SET CACHE_SIZE 131072;         
;              
CREATE USER IF NOT EXISTS SA SALT '2a769bda3d809c9f' HASH '161f30f329bd0e93f712c74e679db990187619974dd5ceb4c5cf059d33b3575f' ADMIN;            
CREATE CACHED TABLE PUBLIC.BLAST_PRODOM_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL
); 
ALTER TABLE PUBLIC.BLAST_PRODOM_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BLAST_PRODOM_LOCATION;    
CREATE CACHED TABLE PUBLIC.BLAST_PRODOM_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);       
ALTER TABLE PUBLIC.BLAST_PRODOM_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BLAST_PRODOM_LOCATION_FRAGMENT;           
CREATE CACHED TABLE PUBLIC.BLAST_PRODOM_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);  
ALTER TABLE PUBLIC.BLAST_PRODOM_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(ID);      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.BLAST_PRODOM_MATCH;       
CREATE CACHED TABLE PUBLIC.CDD_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    BIT_SCORE DOUBLE,
    DEFINITION_LINE VARCHAR(255),
    EVALUE DOUBLE,
    HIT_TYPE INTEGER,
    INCOMPLETE VARCHAR(255),
    PSSM_ID VARCHAR(255),
    SESSION_NUMBER INTEGER,
    SHORT_NAME VARCHAR(255),
    SUPERFAMILY_PSSMID VARCHAR(255)
);        
ALTER TABLE PUBLIC.CDD_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_2A PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.CDD_RAW_MATCH;            
CREATE INDEX PUBLIC.CDD_RW_SEQ_IDX ON PUBLIC.CDD_RAW_MATCH(SEQUENCE_ID);       
CREATE INDEX PUBLIC.CDD_RW_NUM_SEQ_IDX ON PUBLIC.CDD_RAW_MATCH(NUMERIC_SEQUENCE_ID);           
CREATE INDEX PUBLIC.CDD_RW_MODEL_IDX ON PUBLIC.CDD_RAW_MATCH(MODEL_ID);        
CREATE INDEX PUBLIC.CDD_RW_SIGLIB_IDX ON PUBLIC.CDD_RAW_MATCH(SIGNATURE_LIBRARY);              
CREATE INDEX PUBLIC.CDD_RW_SIGLIB_REL_IDX ON PUBLIC.CDD_RAW_MATCH(SIG_LIB_RELEASE);            
CREATE CACHED TABLE PUBLIC.CDD_RAW_SITE(
    ID BIGINT NOT NULL,
    FIRST_START INTEGER,
    LAST_END INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    RESIDUES VARCHAR(6000) NOT NULL,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    TITLE VARCHAR(255),
    COMPLETE_SIZE INTEGER,
    HIT_TYPE INTEGER,
    MAPPED_SIZE INTEGER,
    PSSM_ID VARCHAR(255),
    SESSION_NUMBER INTEGER
);  
ALTER TABLE PUBLIC.CDD_RAW_SITE ADD CONSTRAINT PUBLIC.CONSTRAINT_C PRIMARY KEY(ID);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.CDD_RAW_SITE;             
CREATE INDEX PUBLIC.CDD_RW_S_SEQ_IDX ON PUBLIC.CDD_RAW_SITE(SEQUENCE_ID);      
CREATE INDEX PUBLIC.CDD_RW_S_NUM_SEQ_IDX ON PUBLIC.CDD_RAW_SITE(NUMERIC_SEQUENCE_ID);          
CREATE INDEX PUBLIC.CDD_RW_S_MODEL_IDX ON PUBLIC.CDD_RAW_SITE(MODEL_ID);       
CREATE INDEX PUBLIC.CDD_RW_S_SIGLIB_IDX ON PUBLIC.CDD_RAW_SITE(SIGNATURE_LIBRARY);             
CREATE INDEX PUBLIC.CDD_RW_S_SIGLIB_REL_IDX ON PUBLIC.CDD_RAW_SITE(SIG_LIB_RELEASE);           
CREATE CACHED TABLE PUBLIC.COILS_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL
);               
ALTER TABLE PUBLIC.COILS_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_F PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.COILS_LOCATION;           
CREATE CACHED TABLE PUBLIC.COILS_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);              
ALTER TABLE PUBLIC.COILS_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_FD PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.COILS_LOCATION_FRAGMENT;  
CREATE CACHED TABLE PUBLIC.COILS_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);         
ALTER TABLE PUBLIC.COILS_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_45 PRIMARY KEY(ID);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.COILS_MATCH;              
CREATE CACHED TABLE PUBLIC.ENTRY(
    ID BIGINT NOT NULL,
    ABSTRACT_FIRST_CHUNK VARCHAR(4000),
    ACCESSION VARCHAR(255) NOT NULL,
    CREATED TIMESTAMP,
    DESCRIPTION_FIRST_CHUNK VARCHAR(4000),
    NAME VARCHAR(255),
    TYPE INTEGER,
    UPDATED TIMESTAMP
);     
ALTER TABLE PUBLIC.ENTRY ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(ID);   
-- 5 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY;    
INSERT INTO PUBLIC.ENTRY(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, CREATED, DESCRIPTION_FIRST_CHUNK, NAME, TYPE, UPDATED) VALUES
(1, NULL, 'IPR006034', NULL, 'Asparaginase/glutaminase-like', 'Asparaginase/glutaminase-like', 4, NULL),
(2, NULL, 'IPR027473', NULL, 'L-asparaginase, C-terminal', 'L-asparaginase_C', 5, NULL),
(3, NULL, 'IPR002072', NULL, 'Nerve growth factor-related', 'Nerve_growth_factor-rel', 3, NULL),
(4, NULL, 'IPR020408', NULL, 'Nerve growth factor-like', 'Nerve_growth_factor-like', 4, NULL),
(5, NULL, 'IPR037152', NULL, 'L-asparaginase, N-terminal domain superfamily', 'L-asparaginase_N_sf', 5, NULL);   
CREATE INDEX PUBLIC.ENTRY_AC_IDX ON PUBLIC.ENTRY(ACCESSION);   
CREATE INDEX PUBLIC.ENTRY_NAME_IDX ON PUBLIC.ENTRY(NAME);      
CREATE INDEX PUBLIC.ENTRY_TYPE_IDX ON PUBLIC.ENTRY(TYPE);      
CREATE CACHED TABLE PUBLIC.ENTRY_ABSTRACT_CHUNK(
    ENTRY_ID BIGINT NOT NULL,
    ABSTRACT_CHUNK VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);           
ALTER TABLE PUBLIC.ENTRY_ABSTRACT_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_7 PRIMARY KEY(ENTRY_ID, CHUNK_INDEX); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_ABSTRACT_CHUNK;     
CREATE CACHED TABLE PUBLIC.ENTRY_DESCRIPTION_CHUNK(
    ENTRY_ID BIGINT NOT NULL,
    DESCRIPTION_CHUNKS VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);    
ALTER TABLE PUBLIC.ENTRY_DESCRIPTION_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_9C PRIMARY KEY(ENTRY_ID, CHUNK_INDEX);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_DESCRIPTION_CHUNK;  
CREATE CACHED TABLE PUBLIC.ENTRY_GO_XREF(
    ENTRY_ID BIGINT NOT NULL,
    GO_XREF_ID BIGINT NOT NULL
);      
ALTER TABLE PUBLIC.ENTRY_GO_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_C6 PRIMARY KEY(ENTRY_ID, GO_XREF_ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_GO_XREF;            
CREATE CACHED TABLE PUBLIC.ENTRY_PATHWAY_XREF(
    ENTRY_ID BIGINT NOT NULL,
    PATHWAY_XREF_ID BIGINT NOT NULL
);            
ALTER TABLE PUBLIC.ENTRY_PATHWAY_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_CE PRIMARY KEY(ENTRY_ID, PATHWAY_XREF_ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_PATHWAY_XREF;       
CREATE CACHED TABLE PUBLIC.ENTRY_RELEASE(
    ENTRY_ID BIGINT NOT NULL,
    RELEASE_ID BIGINT NOT NULL
);      
ALTER TABLE PUBLIC.ENTRY_RELEASE ADD CONSTRAINT PUBLIC.CONSTRAINT_40 PRIMARY KEY(ENTRY_ID, RELEASE_ID);        
-- 5 +/- SELECT COUNT(*) FROM PUBLIC.ENTRY_RELEASE;            
INSERT INTO PUBLIC.ENTRY_RELEASE(ENTRY_ID, RELEASE_ID) VALUES
(1, 1),
(2, 1),
(3, 1),
(4, 1),
(5, 1);          
CREATE CACHED TABLE PUBLIC.EXCEPTION_CHUNK(
    STEP_EXECUTION_ID BIGINT NOT NULL,
    EXCEPTION_CHUNKS VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);     
ALTER TABLE PUBLIC.EXCEPTION_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_25 PRIMARY KEY(STEP_EXECUTION_ID, CHUNK_INDEX);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.EXCEPTION_CHUNK;          
CREATE CACHED TABLE PUBLIC.FINGER_PRINTS_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    MOTIF_NUMBER INTEGER NOT NULL,
    PVALUE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL
);             
ALTER TABLE PUBLIC.FINGER_PRINTS_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FINGER_PRINTS_LOCATION;   
CREATE CACHED TABLE PUBLIC.FINGER_PRINTS_LOCAT_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);         
ALTER TABLE PUBLIC.FINGER_PRINTS_LOCAT_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_18 PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FINGER_PRINTS_LOCAT_FRAGMENT;             
CREATE CACHED TABLE PUBLIC.FINGER_PRINTS_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    GRAPHSCAN VARCHAR(25) NOT NULL
); 
ALTER TABLE PUBLIC.FINGER_PRINTS_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_5 PRIMARY KEY(ID);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.FINGER_PRINTS_MATCH;      
CREATE CACHED TABLE PUBLIC.GENE3D_HMMER3_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    DOMAIN_BIAS DOUBLE NOT NULL,
    DOMAIN_CE_VALUE DOUBLE NOT NULL,
    DOMAIN_IE_VALUE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    EXPECTED_ACCURACY DOUBLE NOT NULL,
    FULL_SEQUENCE_BIAS DOUBLE NOT NULL,
    SPLIT_GROUP BINARY,
    CATH_FAMILY_ID VARCHAR(4000) NOT NULL,
    CIGAR_ALIGNMENT VARCHAR(4000) NOT NULL,
    HIT_MODEL_NAME VARCHAR(4000) NOT NULL,
    REGION_COMMENT VARCHAR(4000) NOT NULL
);         
ALTER TABLE PUBLIC.GENE3D_HMMER3_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_31 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.GENE3D_HMMER3_RAW_MATCH;  
CREATE INDEX PUBLIC.G3D_RW_SEQ_IDX ON PUBLIC.GENE3D_HMMER3_RAW_MATCH(SEQUENCE_ID);             
CREATE INDEX PUBLIC.G3D_RW_NUM_SEQ_IDX ON PUBLIC.GENE3D_HMMER3_RAW_MATCH(NUMERIC_SEQUENCE_ID); 
CREATE INDEX PUBLIC.G3D_RW_MODEL_IDX ON PUBLIC.GENE3D_HMMER3_RAW_MATCH(MODEL_ID);              
CREATE INDEX PUBLIC.G3D_RW_SIGLIB_IDX ON PUBLIC.GENE3D_HMMER3_RAW_MATCH(SIGNATURE_LIBRARY);    
CREATE INDEX PUBLIC.G3D_RW_SIGLIB_REL_IDX ON PUBLIC.GENE3D_HMMER3_RAW_MATCH(SIG_LIB_RELEASE);  
CREATE CACHED TABLE PUBLIC.GO_XREF(
    ID BIGINT NOT NULL,
    DATABASE_NAME VARCHAR(255),
    IDENTIFIER VARCHAR(255) NOT NULL,
    NAME VARCHAR(255),
    CATEGORY INTEGER
);               
ALTER TABLE PUBLIC.GO_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_38 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.GO_XREF;  
CREATE INDEX PUBLIC.IDXOJ9LJW7TMNUF4L4GXVCDUCTJA ON PUBLIC.GO_XREF(IDENTIFIER);
CREATE CACHED TABLE PUBLIC.HAMAP_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    CIGAR_ALIGNMENT VARCHAR(4000) NOT NULL,
    PF_SCAN_LEVEL VARCHAR(255) NOT NULL,
    SCORE DOUBLE
);     
ALTER TABLE PUBLIC.HAMAP_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_FE PRIMARY KEY(ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HAMAP_RAW_MATCH;          
CREATE INDEX PUBLIC.HAMAP_RW_SEQ_IDX ON PUBLIC.HAMAP_RAW_MATCH(SEQUENCE_ID);   
CREATE INDEX PUBLIC.HAMAP_RW_NUM_SEQ_IDX ON PUBLIC.HAMAP_RAW_MATCH(NUMERIC_SEQUENCE_ID);       
CREATE INDEX PUBLIC.HAMAP_RW_MODEL_IDX ON PUBLIC.HAMAP_RAW_MATCH(MODEL_ID);    
CREATE INDEX PUBLIC.HAMAP_RW_SIGLIB_IDX ON PUBLIC.HAMAP_RAW_MATCH(SIGNATURE_LIBRARY);          
CREATE INDEX PUBLIC.HAMAP_RW_SIGLIB_REL_IDX ON PUBLIC.HAMAP_RAW_MATCH(SIG_LIB_RELEASE);        
CREATE CACHED TABLE PUBLIC.HMMER2_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2) NOT NULL,
    HMM_END INTEGER NOT NULL,
    HMM_LENGTH INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    SCORE DOUBLE NOT NULL
);    
ALTER TABLE PUBLIC.HMMER2_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_12 PRIMARY KEY(ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER2_LOCATION;          
CREATE CACHED TABLE PUBLIC.HMMER2_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);             
ALTER TABLE PUBLIC.HMMER2_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_6 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER2_LOCATION_FRAGMENT; 
CREATE CACHED TABLE PUBLIC.HMMER2_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL
); 
ALTER TABLE PUBLIC.HMMER2_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(ID);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER2_MATCH;             
CREATE CACHED TABLE PUBLIC.HMMER3_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2) NOT NULL,
    HMM_END INTEGER NOT NULL,
    HMM_LENGTH INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    SCORE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    POST_PROCESSED BOOLEAN NOT NULL
);       
ALTER TABLE PUBLIC.HMMER3_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_6F PRIMARY KEY(ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCATION;          
CREATE CACHED TABLE PUBLIC.HMMER3_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);             
ALTER TABLE PUBLIC.HMMER3_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_3D PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCATION_FRAGMENT; 
CREATE CACHED TABLE PUBLIC.HMMER3_LOCATION_WITH_SITES(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2) NOT NULL,
    HMM_END INTEGER NOT NULL,
    HMM_LENGTH INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    SCORE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL
); 
ALTER TABLE PUBLIC.HMMER3_LOCATION_WITH_SITES ADD CONSTRAINT PUBLIC.CONSTRAINT_B PRIMARY KEY(ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCATION_WITH_SITES;               
CREATE CACHED TABLE PUBLIC.HMMER3_LOCN_FRAG_WITH_SITES(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);          
ALTER TABLE PUBLIC.HMMER3_LOCN_FRAG_WITH_SITES ADD CONSTRAINT PUBLIC.CONSTRAINT_57 PRIMARY KEY(ID);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_LOCN_FRAG_WITH_SITES;              
CREATE CACHED TABLE PUBLIC.HMMER3_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL
); 
ALTER TABLE PUBLIC.HMMER3_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_D PRIMARY KEY(ID);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_MATCH;             
CREATE CACHED TABLE PUBLIC.HMMER3_MATCH_WITH_SITES(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL
);      
ALTER TABLE PUBLIC.HMMER3_MATCH_WITH_SITES ADD CONSTRAINT PUBLIC.CONSTRAINT_CE1 PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_MATCH_WITH_SITES;  
CREATE CACHED TABLE PUBLIC.HMMER3_SITE(
    ID BIGINT NOT NULL,
    DESCRIPTION VARCHAR(255),
    NUM_LOCATIONS INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);           
ALTER TABLE PUBLIC.HMMER3_SITE ADD CONSTRAINT PUBLIC.CONSTRAINT_40D PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER3_SITE;              
CREATE CACHED TABLE PUBLIC.HMMER_SITE(
    ID BIGINT NOT NULL,
    DESCRIPTION VARCHAR(255),
    NUM_LOCATIONS INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);            
ALTER TABLE PUBLIC.HMMER_SITE ADD CONSTRAINT PUBLIC.CONSTRAINT_5F PRIMARY KEY(ID);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.HMMER_SITE;               
CREATE CACHED TABLE PUBLIC.KEY_GEN(
    SEQUENCE_NAME VARCHAR(255) NOT NULL,
    NEXT_VAL BIGINT
);            
ALTER TABLE PUBLIC.KEY_GEN ADD CONSTRAINT PUBLIC.CONSTRAINT_FA PRIMARY KEY(SEQUENCE_NAME);     
-- 16 +/- SELECT COUNT(*) FROM PUBLIC.KEY_GEN; 
INSERT INTO PUBLIC.KEY_GEN(SEQUENCE_NAME, NEXT_VAL) VALUES
('signature', 28750),
('locationFragment', 0),
('signature_library_release', 12),
('match', 0),
('step_execution', 0),
('nucleotide', 0),
('protein', 0),
('release', 1),
('location', 0),
('step_instance', 0),
('orf', 0),
('entry', 100),
('model', 28750),
('site', 0),
('residue_location', 0),
('xref', 0);   
CREATE CACHED TABLE PUBLIC.MOBIDB_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    SEQUENCE_FEATURE VARCHAR(255)
);           
ALTER TABLE PUBLIC.MOBIDB_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_96 PRIMARY KEY(ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_LOCATION;          
CREATE CACHED TABLE PUBLIC.MOBIDB_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);             
ALTER TABLE PUBLIC.MOBIDB_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_LOCATION_FRAGMENT; 
CREATE CACHED TABLE PUBLIC.MOBIDB_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);        
ALTER TABLE PUBLIC.MOBIDB_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_67 PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_MATCH;             
CREATE CACHED TABLE PUBLIC.MOBIDB_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    DESCRIPTION VARCHAR(255)
);             
ALTER TABLE PUBLIC.MOBIDB_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_66 PRIMARY KEY(ID);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MOBIDB_RAW_MATCH;         
CREATE INDEX PUBLIC.MOBIDB_RW_SEQ_IDX ON PUBLIC.MOBIDB_RAW_MATCH(SEQUENCE_ID); 
CREATE INDEX PUBLIC.MOBIDB_RW_NUM_SEQ_IDX ON PUBLIC.MOBIDB_RAW_MATCH(NUMERIC_SEQUENCE_ID);     
CREATE INDEX PUBLIC.MOBIDB_RW_MODEL_IDX ON PUBLIC.MOBIDB_RAW_MATCH(MODEL_ID);  
CREATE INDEX PUBLIC.MOBIDB_RW_SIGLIB_IDX ON PUBLIC.MOBIDB_RAW_MATCH(SIGNATURE_LIBRARY);        
CREATE INDEX PUBLIC.MOBIDB_RW_SIGLIB_REL_IDX ON PUBLIC.MOBIDB_RAW_MATCH(SIG_LIB_RELEASE);      
CREATE CACHED TABLE PUBLIC.MODEL(
    ID BIGINT NOT NULL SELECTIVITY 100,
    ACCESSION VARCHAR(255) NOT NULL SELECTIVITY 100,
    DEFINITION_FIRST_CHUNK VARCHAR(4000) SELECTIVITY 1,
    DESCRIPTION_FIRST_CHUNK VARCHAR(4000) SELECTIVITY 98,
    MODEL_LENGTH INTEGER SELECTIVITY 42,
    MD5 VARCHAR(255) SELECTIVITY 1,
    MODEL_NAME VARCHAR(4000) SELECTIVITY 95,
    SIGNATURE_ID BIGINT SELECTIVITY 100
);          
ALTER TABLE PUBLIC.MODEL ADD CONSTRAINT PUBLIC.CONSTRAINT_46 PRIMARY KEY(ID);  
-- 28694 +/- SELECT COUNT(*) FROM PUBLIC.MODEL;
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1, 'Coil', NULL, NULL, NULL, NULL, 'Coil', 1),
(2, 'mobidb-lite', NULL, 'consensus disorder prediction', NULL, NULL, 'disorder_prediction', 2),
(3, 'SFLDF00365', NULL, 'thuricin CD (TrnCD-like)', 292, NULL, 'thuricin_CD_(TrnCD-like)', 3),
(4, 'SFLDF00430', NULL, 'OxsB-like', 744, NULL, 'OxsB-like', 4),
(5, 'SFLDF00315', NULL, 'antilisterial bacteriocin subtilosin biosynthesis protein (AlbA-like)', 448, NULL, 'antilisterial_bacteriocin_sub', 5),
(6, 'SFLDF00300', NULL, '7-carboxy-7-deazaguanine synthase, Cx3CxxC type', 241, NULL, '7-carboxy-7-deazaguanine_synt', 6),
(7, 'SFLDF00466', NULL, 'Pyruvoyl-dependent histidine decarboxylase', 311, NULL, 'Pyruvoyl-dependent_histidine_', 7),
(8, 'SFLDG01200', NULL, 'SUF1.1', 238, NULL, 'SUF1.1', 8),
(9, 'SFLDF00421', NULL, 'avilamycin epimerase', 397, NULL, 'avilamycin_epimerase', 9),
(10, 'SFLDG01203', NULL, 'Prostaglandin E synthase like.1', 320, NULL, 'Prostaglandin_E_synthase_like', 10),
(11, 'SFLDF00162', NULL, 'galactarate dehydratase 2', 391, NULL, 'galactarate_dehydratase_2', 11),
(12, 'SFLDS00001', NULL, 'Enolase', 371, NULL, 'Enolase', 12),
(13, 'SFLDF00564', NULL, 'xylonate dehydratase 2', 413, NULL, 'xylonate_dehydratase_2', 13),
(14, 'SFLDG00363', NULL, 'AMPS (cytGST): Alpha-, Mu-, Pi-, and Sigma-like', 196, NULL, 'AMPS_(cytGST):_Alpha-,_Mu-,_P', 14),
(15, 'SFLDF00274', NULL, 'ribosomal protein S12 methylthiotransferase (RimO-like)', 443, NULL, 'ribosomal_protein_S12_methylt', 15),
(16, 'SFLDF00552', NULL, 'xylonate dehydratase 1', 393, NULL, 'xylonate_dehydratase_1', 16),
(17, 'SFLDG01142', NULL, 'C2.B.2: Mannosyl-3-phosphoglycerate Phosphatase Like', 269, NULL, 'C2.B.2:_Mannosyl-3-phosphogly', 17),
(18, 'SFLDF00414', NULL, 'bacteriochlorophyll C12 methyltransferase', 469, NULL, 'bacteriochlorophyll_C12_methy', 18),
(19, 'SFLDG01091', NULL, 'uncharacterized CHP01210-like', 312, NULL, 'uncharacterized_CHP01210-like', 19),
(20, 'SFLDG01082', NULL, 'B12-binding domain containing', 460, NULL, 'B12-binding_domain_containing', 20),
(21, 'SFLDF00111', NULL, 'L-fuconate dehydratase', 434, NULL, 'L-fuconate_dehydratase', 21),
(22, 'SFLDF00270', NULL, 'L-galactonate dehydratase', 450, NULL, 'L-galactonate_dehydratase', 22),
(23, 'SFLDF00347', NULL, 'KxxxW cyclic peptide maturase (StrB-like)', 439, NULL, 'KxxxW_cyclic_peptide_maturase', 23),
(24, 'SFLDF00516', NULL, 'thurincin H (ThnB-like)', 462, NULL, 'thurincin_H_(ThnB-like)', 24),
(25, 'SFLDG00055', NULL, 'glucarate dehydratase', 445, NULL, 'glucarate_dehydratase', 25),
(26, 'SFLDF00445', NULL, 'alpha-phosphomannomutase', 246, NULL, 'alpha-phosphomannomutase', 26),
(27, 'SFLDG01113', NULL, 'Uncharacterised Radical SAM Subgroup 4', 293, NULL, 'Uncharacterised_Radical_SAM_S', 27),
(28, 'SFLDF00412', NULL, 'spore photoproduct lyase 2', 340, NULL, 'spore_photoproduct_lyase_2', 28),
(29, 'SFLDG00179', NULL, 'mandelate racemase', 376, NULL, 'mandelate_racemase', 29),
(30, 'SFLDG01143', NULL, 'C2.B.3: Phosphomannomutase Like', 256, NULL, 'C2.B.3:_Phosphomannomutase_Li', 30),
(31, 'SFLDF00379', NULL, 'Phosphonate metabolism (PhnJ)', 275, NULL, 'Phosphonate_metabolism_(PhnJ)', 31),
(32, 'SFLDG01123', NULL, 'methyltransferase (Class B)', 468, NULL, 'methyltransferase_(Class_B)', 32),
(33, 'SFLDF00348', NULL, '[FeFe] hydrogenase maturase (HydE-like)', 323, NULL, '[FeFe]_hydrogenase_maturase_(', 33),
(34, 'SFLDG01604', NULL, 'Terpene Cyclase Like 1 C Terminal Domain - Enzymatic', 329, NULL, 'Terpene_Cyclase_Like_1_C_Term', 34),
(35, 'SFLDG01180', NULL, 'SUF1', 238, NULL, 'SUF1', 35),
(36, 'SFLDG01104', NULL, 'Uncharacterised Radical SAM Subgroup 17', 357, NULL, 'Uncharacterised_Radical_SAM_S', 36),
(37, 'SFLDG01052', NULL, 'RuBisCO', 453, NULL, 'RuBisCO', 37),
(38, 'SFLDG01137', NULL, 'C1.6.1: Phosphoserine Phosphatase Like', 209, NULL, 'C1.6.1:_Phosphoserine_Phospha', 38),
(39, 'SFLDF00408', NULL, 'Diphthamide biosynthesis family (Dph2)', 505, NULL, 'Diphthamide_biosynthesis_fami', 39),
(40, 'SFLDG01063', NULL, 'activating enzymes, group 1', 169, NULL, 'activating_enzymes,_group_1', 40);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(41, 'SFLDG01388', NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase', 352, NULL, '7,8-didemethyl-8-hydroxy-5-de', 41),
(42, 'SFLDG00151', NULL, 'methylaspartate ammonia-lyase', 413, NULL, 'methylaspartate_ammonia-lyase', 42),
(43, 'SFLDF00342', NULL, 'cyclic dehypoxanthine futalosine synthase (mqnC-like)', 358, NULL, 'cyclic_dehypoxanthine_futalos', 43),
(44, 'SFLDG01107', NULL, 'Uncharacterised Radical SAM Subgroup 20', 364, NULL, 'Uncharacterised_Radical_SAM_S', 44),
(45, 'SFLDF00464', NULL, 'Ferric/cupric reductase', 603, NULL, 'Ferric/cupric_reductase', 45),
(46, 'SFLDG01135', NULL, 'C1.5.6: HAD, Beta-PGM, Phosphatase Like', 222, NULL, 'C1.5.6:_HAD,_Beta-PGM,_Phosph', 46),
(47, 'SFLDF00438', NULL, 'pactamycin methyltransferase (PctO-like)', 578, NULL, 'pactamycin_methyltransferase_', 47),
(48, 'SFLDG01069', NULL, 'UPF0313', 661, NULL, 'UPF0313', 48),
(49, 'SFLDG01146', NULL, 'C1.2.2', 179, NULL, 'C1.2.2', 49),
(50, 'SFLDF00343', NULL, 'aminofutalosine synthase (mqnE-like)', 364, NULL, 'aminofutalosine_synthase_(mqn', 50),
(51, 'SFLDG00010', NULL, 'C1.8: polynucleotide 5''-hydroxyl-kinase c-terminal phosphatase like', 149, NULL, 'C1.8:_polynucleotide_5''-hydro', 51),
(52, 'SFLDF00407', NULL, 'phosphomethylpyrimidine synthase (ThiC)', 418, NULL, 'phosphomethylpyrimidine_synth', 52),
(53, 'SFLDG01171', NULL, 'Pyruvoyl-dependent histidine decarboxylase', 312, NULL, 'Pyruvoyl-dependent_histidine_', 53),
(54, 'SFLDF00158', NULL, '5-methylthio-D-ribulose 1-phosphate isomerase', 375, NULL, '5-methylthio-D-ribulose_1-pho', 54),
(55, 'SFLDG01071', NULL, 'tRNA wybutosine-synthesizing', 316, NULL, 'tRNA_wybutosine-synthesizing', 55),
(56, 'SFLDG01387', NULL, 'BtrN-like SPASM domain containing', 340, NULL, 'BtrN-like_SPASM_domain_contai', 56),
(57, 'SFLDF00553', NULL, 'galactarolactone cycloisomerase', 378, NULL, 'galactarolactone_cycloisomera', 57),
(58, 'SFLDF00277', NULL, 'oxygen-independent coproporphyrinogen-III oxidase 1 (HemN-like)', 456, NULL, 'oxygen-independent_coproporph', 58),
(59, 'SFLDF00517', NULL, 'cytosylglucuronate decarboxylase', 333, NULL, 'cytosylglucuronate_decarboxyl', 59),
(60, 'SFLDF00425', NULL, 'dTDP-4-amino-4,6-dideoxy-D-glucose ammonia-lyase (DesII-like)', 485, NULL, 'dTDP-4-amino-4,6-dideoxy-D-gl', 60),
(61, 'SFLDS00033', NULL, 'Radical SAM Phosphonate Metabolism', 299, NULL, 'Radical_SAM_Phosphonate_Metab', 61),
(62, 'SFLDF00001', NULL, 'mannonate dehydratase', 403, NULL, 'mannonate_dehydratase', 62),
(63, 'SFLDF00557', NULL, '3,6-anhydro-alpha-L-galactonate cycloisomerase', 364, NULL, '3,6-anhydro-alpha-L-galactona', 63),
(64, 'SFLDS00057', NULL, 'Glutaminase/Asparaginase', 343, NULL, 'Glutaminase/Asparaginase', 64),
(65, 'SFLDF00036', NULL, 'deoxy-d-mannose-octulosonate 8-phosphate phosphatase', 174, NULL, 'deoxy-d-mannose-octulosonate_', 65),
(66, 'SFLDG00301', NULL, 'RuBisCO-like proteins', 415, NULL, 'RuBisCO-like_proteins', 66),
(67, 'SFLDG01018', NULL, 'Squalene/Phytoene Synthase Like', 280, NULL, 'Squalene/Phytoene_Synthase_Li', 67),
(68, 'SFLDG01116', NULL, 'DesII-like', 485, NULL, 'DesII-like', 68),
(69, 'SFLDG01100', NULL, 'methyltransferase (Class D)', 471, NULL, 'methyltransferase_(Class_D)', 69),
(70, 'SFLDG01201', NULL, 'SUF2.1', 119, NULL, 'SUF2.1', 70),
(71, 'SFLDG01140', NULL, 'C2.B: Phosphomannomutase and Phosphatase Like', 260, NULL, 'C2.B:_Phosphomannomutase_and_', 71),
(72, 'SFLDG01152', NULL, 'Main.3: Omega- and Tau-like', 226, NULL, 'Main.3:_Omega-_and_Tau-like_', 72),
(73, 'SFLDF00043', NULL, 'sucrose-phosphatase', 262, NULL, 'sucrose-phosphatase', 73),
(74, 'SFLDG01278', NULL, 'biotin synthase like', 330, NULL, 'biotin_synthase_like', 74),
(75, 'SFLDG01084', NULL, 'Uncharacterised Radical SAM Subgroup 2', 289, NULL, 'Uncharacterised_Radical_SAM_S', 75),
(76, 'SFLDS00055', NULL, 'Pyruvoyl-Dependent Histidine/Arginine Decarboxylase', 166, NULL, 'Pyruvoyl-Dependent_Histidine/', 76),
(77, 'SFLDG01130', NULL, 'C1.5.1: Epoxide Hydrolase Phosphatase Like', 209, NULL, 'C1.5.1:_Epoxide_Hydrolase_Pho', 77);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(78, 'SFLDG00180', NULL, 'muconate cycloisomerase', 360, NULL, 'muconate_cycloisomerase', 78),
(79, 'SFLDF00302', NULL, 'anaerobic magnesium-protoporphyrin-IX monomethyl ester cyclase', 535, NULL, 'anaerobic_magnesium-protoporp', 79),
(80, 'SFLDS00070', NULL, 'SPOUT Methyltransferase', 306, NULL, 'SPOUT_Methyltransferase', 80),
(81, 'SFLDF00563', NULL, 'galactarate dehydratase 3', 393, NULL, 'galactarate_dehydratase_3', 81),
(82, 'SFLDF00555', NULL, 'cis-3-hydroxy-L-proline dehydratase', 368, NULL, 'cis-3-hydroxy-L-proline_dehyd', 82),
(83, 'SFLDF00155', NULL, 'muconate cycloisomerase (anti)', 367, NULL, 'muconate_cycloisomerase_(anti', 83),
(84, 'SFLDG01121', NULL, 'Diphthamide biosynthesis', 490, NULL, 'Diphthamide_biosynthesis', 84),
(85, 'SFLDF00116', NULL, 'N-succinylamino acid racemase', 371, NULL, 'N-succinylamino_acid_racemase', 85),
(86, 'SFLDG01280', NULL, 'HydE/PylB-like', 346, NULL, 'HydE/PylB-like', 86),
(87, 'SFLDF00432', NULL, 'pyrimidine ring methyltransferase (bleomycin-like antibiotic biosynthesis)', 424, NULL, 'pyrimidine_ring_methyltransfe', 87),
(88, 'SFLDG01217', NULL, 'B12-binding methylthiotransferase like', 437, NULL, 'B12-binding_methylthiotransfe', 88),
(89, 'SFLDG01095', NULL, 'Uncharacterised Radical SAM Subgroup 7', 293, NULL, 'Uncharacterised_Radical_SAM_S', 89),
(90, 'SFLDF00283', NULL, 'L-lysine 2,3-aminomutase (LAM-like)', 413, NULL, 'L-lysine_2,3-aminomutase_(LAM', 90),
(91, 'SFLDF00463', NULL, 'AIM14', 551, NULL, 'AIM14', 91),
(92, 'SFLDG01129', NULL, 'C1.5: HAD, Beta-PGM, Phosphatase Like', 220, NULL, 'C1.5:_HAD,_Beta-PGM,_Phosphat', 92),
(93, 'SFLDF00385', NULL, '7,8-dihydro-6-hydroxymethylpterin dimethylase', 517, NULL, '7,8-dihydro-6-hydroxymethylpt', 93),
(94, 'SFLDF00314', NULL, 'L-lysine 2,3-aminomutase (yjeK like)', 336, NULL, 'L-lysine_2,3-aminomutase_(yje', 94),
(95, 'SFLDF00429', NULL, 'UDP-N-acetyl-tunicamine-uracil synthase (TunB-like)', 338, NULL, 'UDP-N-acetyl-tunicamine-uraci', 95),
(96, 'SFLDF00045', NULL, '2-haloacid dehalogenase', 228, NULL, '2-haloacid_dehalogenase', 96),
(97, 'SFLDG01102', NULL, 'Uncharacterised Radical SAM Subgroup 15', 414, NULL, 'Uncharacterised_Radical_SAM_S', 97),
(98, 'SFLDF00272', NULL, 'biotin synthase', 329, NULL, 'biotin_synthase', 98),
(99, 'SFLDF00003', NULL, 'D-galactonate dehydratase', 369, NULL, 'D-galactonate_dehydratase', 99),
(100, 'SFLDG01127', NULL, 'C1.3: Acid Phosphatase Like', 238, NULL, 'C1.3:_Acid_Phosphatase_Like', 100),
(101, 'SFLDG01124', NULL, 'C0.1: RNA Pol CTD Phosphatase Like', 183, NULL, 'C0.1:_RNA_Pol_CTD_Phosphatase', 101),
(102, 'SFLDG01058', NULL, 'lipoyl synthase like', 301, NULL, 'lipoyl_synthase_like', 102),
(103, 'SFLDG01182', NULL, 'Prostaglandin E synthase like', 325, NULL, 'Prostaglandin_E_synthase_like', 103),
(104, 'SFLDF00413', NULL, 'CDK5RAP1', 460, NULL, 'CDK5RAP1', 104),
(105, 'SFLDG01061', NULL, 'methylthiotransferase', 434, NULL, 'methylthiotransferase', 105),
(106, 'SFLDF00402', NULL, 'carbapenem intermediate methyltransferase (ThnP-like)', 484, NULL, 'carbapenem_intermediate_methy', 106),
(107, 'SFLDG01015', NULL, 'Prenyltransferase Like 1', 326, NULL, 'Prenyltransferase_Like_1', 107),
(108, 'SFLDF00416', NULL, 'fortimicin-like methyltransferase', 553, NULL, 'fortimicin-like_methyltransfe', 108),
(109, 'SFLDF00393', NULL, 'heme D1 biosynthesis (NirJ-like)', 388, NULL, 'heme_D1_biosynthesis_(NirJ-li', 109),
(110, 'SFLDF00035', NULL, 'phosphoglycolate phosphatase', 239, NULL, 'phosphoglycolate_phosphatase', 110),
(111, 'SFLDF00404', NULL, 'hopanetetrol cyclitol ether synthase', 479, NULL, 'hopanetetrol_cyclitol_ether_s', 111),
(112, 'SFLDG01067', NULL, 'SPASM/twitch domain containing', 337, NULL, 'SPASM/twitch_domain_containin', 112),
(113, 'SFLDF00349', NULL, '3-methylornithine synthase (PylB-like)', 350, NULL, '3-methylornithine_synthase_(P', 113),
(114, 'SFLDF00008', NULL, 'gluconate dehydratase', 393, NULL, 'gluconate_dehydratase', 114),
(115, 'SFLDS00003', NULL, 'Haloacid Dehalogenase', 221, NULL, 'Haloacid_Dehalogenase', 115);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(116, 'SFLDF00306', NULL, 'carbapenem intermediate methyltransferase (ThnL-like)', 467, NULL, 'carbapenem_intermediate_methy', 116),
(117, 'SFLDS00014', NULL, 'RuBisCO', 415, NULL, 'RuBisCO', 117),
(118, 'SFLDF00118', NULL, 'D-tartrate dehydratase', 387, NULL, 'D-tartrate_dehydratase', 118),
(119, 'SFLDF00336', NULL, 'quinohemoprotein amine dehydrogenase maturation protein (QhpD-like)', 483, NULL, 'quinohemoprotein_amine_dehydr', 119),
(120, 'SFLDG01154', NULL, 'Main.5: Phi-like', 214, NULL, 'Main.5:_Phi-like', 120),
(121, 'SFLDF00037', NULL, 'glycerol-3-phosphate phosphatase', 271, NULL, 'glycerol-3-phosphate_phosphat', 121),
(122, 'SFLDF00392', NULL, 'YjjI activase', 288, NULL, 'YjjI_activase', 122),
(123, 'SFLDF00157', NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase', 407, NULL, '2,3-diketo-5-methylthiopentyl', 123),
(124, 'SFLDG00178', NULL, 'enolase', 418, NULL, 'enolase', 124),
(125, 'SFLDG01144', NULL, 'C2.B.4: PGP Like', 264, NULL, 'C2.B.4:_PGP_Like', 125),
(126, 'SFLDF00006', NULL, 'rhamnonate dehydratase', 404, NULL, 'rhamnonate_dehydratase', 126),
(127, 'SFLDG01099', NULL, 'Uncharacterised Radical SAM Subgroup 12', 304, NULL, 'Uncharacterised_Radical_SAM_S', 127),
(128, 'SFLDF00046', NULL, 'beta-phosphoglucomutase', 219, NULL, 'beta-phosphoglucomutase', 128),
(129, 'SFLDG01064', NULL, 'F420, menaquinone cofactor biosynthesis', 362, NULL, 'F420,_menaquinone_cofactor_bi', 129),
(130, 'SFLDF00285', NULL, 'anaerobic Ser-type sulfatase-maturating enzyme', 411, NULL, 'anaerobic_Ser-type_sulfatase-', 130),
(131, 'SFLDG01205', NULL, 'AMPS.1', 203, NULL, 'AMPS.1', 131),
(132, 'SFLDF00042', NULL, 'mannosyl-3-phosphoglycerate phosphatase', 243, NULL, 'mannosyl-3-phosphoglycerate_p', 132),
(133, 'SFLDF00276', NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', 340, NULL, 'cyclic_pyranopterin_phosphate', 133),
(134, 'SFLDG00002', NULL, 'C1.7: P-type atpase like', 309, NULL, 'C1.7:_P-type_atpase_like', 134),
(135, 'SFLDG01114', NULL, 'phosphomethylpyrimidine synthase (ThiC)', 571, NULL, 'phosphomethylpyrimidine_synth', 135),
(136, 'SFLDF00545', NULL, 'cyclopropanase', 464, NULL, 'cyclopropanase', 136),
(137, 'SFLDG01122', NULL, 'methyltransferase (class C)', 397, NULL, 'methyltransferase_(class_C)', 137),
(138, 'SFLDG01110', NULL, 'Uncharacterised Radical SAM Subgroup 8', 371, NULL, 'Uncharacterised_Radical_SAM_S', 138),
(139, 'SFLDF00040', NULL, 'epoxide hydrolase n-terminal phosphatase', 227, NULL, 'epoxide_hydrolase_n-terminal_', 139),
(140, 'SFLDS00113', NULL, 'Radical SAM Phosphomethylpyrimidine Synthase', 592, NULL, 'Radical_SAM_Phosphomethylpyri', 140),
(141, 'SFLDG01060', NULL, 'BATS domain containing', 303, NULL, 'BATS_domain_containing', 141),
(142, 'SFLDF00284', NULL, 'tRNA wybutosine-synthesizing', 315, NULL, 'tRNA_wybutosine-synthesizing', 142),
(143, 'SFLDF00554', NULL, 'L-lyxonate dehydratase', 390, NULL, 'L-lyxonate_dehydratase', 143),
(144, 'SFLDF00542', NULL, 'alternative heme biosynthesis D (AhbD-like)', 362, NULL, 'alternative_heme_biosynthesis', 144),
(145, 'SFLDF00562', NULL, 'HemN-like, clustered with heat shock genes', 380, NULL, 'HemN-like,_clustered_with_hea', 145),
(146, 'SFLDF00546', NULL, 'neomycin C-like epimerase', 299, NULL, 'neomycin_C-like_epimerase', 146),
(147, 'SFLDF00044', NULL, 'enolase-phosphatase', 233, NULL, 'enolase-phosphatase', 147),
(148, 'SFLDF00329', NULL, 'gentamicin-like N-methyltransferase  (GntE-like)', 659, NULL, 'gentamicin-like_N-methyltrans', 148),
(149, 'SFLDF00423', NULL, 'chondrochloren A methyltransferase (CndI-like)', 696, NULL, 'chondrochloren_A_methyltransf', 149),
(150, 'SFLDG01020', NULL, 'Terpene Cyclase Like 2', 314, NULL, 'Terpene_Cyclase_Like_2', 150),
(151, 'SFLDF00303', NULL, 'hopanoid C2-methyltransferase (HpnP-like)', 516, NULL, 'hopanoid_C2-methyltransferase', 151),
(152, 'SFLDF00419', NULL, '3-methyl-2-indolic acid synthase (NosL)', 397, NULL, '3-methyl-2-indolic_acid_synth', 152),
(153, 'SFLDG01081', NULL, 'cleavage of the Ca-Cb bond in aromatic amino acids', 379, NULL, 'cleavage_of_the_Ca-Cb_bond_in', 153);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(154, 'SFLDF00439', NULL, 'methylation of yatakemycin (YTK)', 461, NULL, 'methylation_of_yatakemycin_(Y', 154),
(155, 'SFLDG01115', NULL, 'Phosphonate metabolism (PhnJ)', 298, NULL, 'Phosphonate_metabolism_(PhnJ)', 155),
(156, 'SFLDG01162', NULL, 'I', 427, NULL, 'I_', 156),
(157, 'SFLDG01072', NULL, 'dehydrogenase like', 371, NULL, 'dehydrogenase_like', 157),
(158, 'SFLDF00009', NULL, 'o-succinylbenzoate synthase', 319, NULL, 'o-succinylbenzoate_synthase', 158),
(159, 'SFLDF00344', NULL, 'ELP3-like', 509, NULL, 'ELP3-like', 159),
(160, 'SFLDF00417', NULL, 'gentamicin C-6'' methyltransferase (GenK-like)', 638, NULL, 'gentamicin_C-6''_methyltransfe', 160),
(161, 'SFLDG00033', NULL, 'mannonate dehydratase', 403, NULL, 'mannonate_dehydratase', 161),
(162, 'SFLDF00446', NULL, 'phosphoglycolate phosphatase 3', 232, NULL, 'phosphoglycolate_phosphatase_', 162),
(163, 'SFLDG01014', NULL, 'Terpene Cyclase Like 1 N-term', 447, NULL, 'Terpene_Cyclase_Like_1_N-term', 163),
(164, 'SFLDG01169', NULL, 'NADPH oxidase subgroup (NOX)', 3378, NULL, 'NADPH_oxidase_subgroup_(NOX)', 164),
(165, 'SFLDG01141', NULL, 'C2.B.1: Sucrose Phosphatase Like', 261, NULL, 'C2.B.1:_Sucrose_Phosphatase_L', 165),
(166, 'SFLDF00290', NULL, 'glutamate 2,3-aminomutase', 414, NULL, 'glutamate_2,3-aminomutase', 166),
(167, 'SFLDG01168', NULL, 'Ferric reductase subgroup (FRE)', 619, NULL, 'Ferric_reductase_subgroup_(FR', 167),
(168, 'SFLDG01133', NULL, 'C1.5.4: Enolase-phosphatase Like', 232, NULL, 'C1.5.4:_Enolase-phosphatase_L', 168),
(169, 'SFLDF00420', NULL, 'spectinomycin biosynthesis (SpcY-like)', 302, NULL, 'spectinomycin_biosynthesis_(S', 169),
(170, 'SFLDF00296', NULL, 'adenosine C8 methyltransferase (Cfr-like)', 346, NULL, 'adenosine_C8_methyltransferas', 170),
(171, 'SFLDG01019', NULL, 'Terpene Cyclase Like 1 C Terminal Domain', 325, NULL, 'Terpene_Cyclase_Like_1_C_Term', 171),
(172, 'SFLDF00301', NULL, '2-iminoacetate synthase (ThiH)', 374, NULL, '2-iminoacetate_synthase_(ThiH', 172),
(173, 'SFLDF00298', NULL, 'glycerol dehydratase activase', 304, NULL, 'glycerol_dehydratase_activase', 173),
(174, 'SFLDG01216', NULL, 'thioether bond formation requiring one auxiliary iron-sulfur cluster', 461, NULL, 'thioether_bond_formation_requ', 174),
(175, 'SFLDF00319', NULL, '[Fe] hydrogenase maturase (HydG-like)', 474, NULL, '[Fe]_hydrogenase_maturase_(Hy', 175),
(176, 'SFLDF00434', NULL, '3-methyl-2-indolic acid methyltransferase (NocN/NosN like)', 420, NULL, '3-methyl-2-indolic_acid_methy', 176),
(177, 'SFLDF00002', NULL, 'enolase', 418, NULL, 'enolase', 177),
(178, 'SFLDF00299', NULL, 'anaerobic ribonucleoside-triphosphate reductase activase', 159, NULL, 'anaerobic_ribonucleoside-trip', 178),
(179, 'SFLDF00397', NULL, 'adenosyl-hopene transferase', 337, NULL, 'adenosyl-hopene_transferase', 179),
(180, 'SFLDG01145', NULL, 'C1.2.1', 187, NULL, 'C1.2.1', 180),
(181, 'SFLDF00316', NULL, 'C-terminal tyrosine decarboxylase (MftC-like)', 353, NULL, 'C-terminal_tyrosine_decarboxy', 181),
(182, 'SFLDG01097', NULL, 'Uncharacterised Radical SAM Subgroup 10', 375, NULL, 'Uncharacterised_Radical_SAM_S', 182),
(183, 'SFLDF00279', NULL, '4-hydroxyphenylacetate decarboxylase activase', 316, NULL, '4-hydroxyphenylacetate_decarb', 183),
(184, 'SFLDG01103', NULL, 'Uncharacterised Radical SAM Subgroup 16', 365, NULL, 'Uncharacterised_Radical_SAM_S', 184),
(185, 'SFLDF00271', NULL, 'lipoyl synthase', 301, NULL, 'lipoyl_synthase', 185),
(186, 'SFLDF00422', NULL, 'valine cyclopropanase', 613, NULL, 'valine_cyclopropanase', 186),
(187, 'SFLDF00289', NULL, 'anaerobic Cys-type sulfatase-maturating enzyme', 372, NULL, 'anaerobic_Cys-type_sulfatase-', 187),
(188, 'SFLDF00039', NULL, 'phosphoglycolate phosphatase 2', 323, NULL, 'phosphoglycolate_phosphatase_', 188),
(189, 'SFLDF00134', NULL, 'L-talarate/galactarate dehydratase', 377, NULL, 'L-talarate/galactarate_dehydr', 189),
(190, 'SFLDF00418', NULL, 'pactamycin C-methyltransferase (PctN-like)', 575, NULL, 'pactamycin_C-methyltransferas', 190);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(191, 'SFLDF00435', NULL, 'carbapenem intermediate methyltransferase (ThnK-like)', 680, NULL, 'carbapenem_intermediate_methy', 191),
(192, 'SFLDF00156', NULL, 'D-arabinonate dehydratase', 373, NULL, 'D-arabinonate_dehydratase', 192),
(193, 'SFLDG01132', NULL, 'C1.5.3: 5''-Nucleotidase Like', 225, NULL, 'C1.5.3:_5''-Nucleotidase_Like', 193),
(194, 'SFLDS00029', NULL, 'Radical SAM', 166, NULL, 'Radical_SAM', 194),
(195, 'SFLDF00403', NULL, 'phosphonoacetaldehyde methylase (fom3-like)', 534, NULL, 'phosphonoacetaldehyde_methyla', 195),
(196, 'SFLDF00307', NULL, 'bacteriochlorophyll C8 methyltransferase', 468, NULL, 'bacteriochlorophyll_C8_methyl', 196),
(197, 'SFLDG01212', NULL, 'Phytoene synthase like', 281, NULL, 'Phytoene_synthase_like', 197),
(198, 'SFLDF00281', NULL, 'FeMo cofactor biosynthesis protein (nifB-like)', 407, NULL, 'FeMo_cofactor_biosynthesis_pr', 198),
(199, 'SFLDG01383', NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', 324, NULL, 'cyclic_pyranopterin_phosphate', 199),
(200, 'SFLDG01384', NULL, 'thioether bond formation requiring two auxiliary iron-sulfur clusters', 377, NULL, 'thioether_bond_formation_requ', 200),
(201, 'SFLDF00471', NULL, 'Pyruvoyl-dependent arginine decarboxylase', 155, NULL, 'Pyruvoyl-dependent_arginine_d', 201),
(202, 'SFLDG01125', NULL, 'C1.1: Acid Phosphatase Like', 232, NULL, 'C1.1:_Acid_Phosphatase_Like', 202),
(203, 'SFLDF00028', NULL, 'histidinol-phosphatase', 201, NULL, 'histidinol-phosphatase', 203),
(204, 'SFLDS00032', NULL, 'Radical SAM 3-amino-3-carboxypropyl Radical Forming', 1715, NULL, 'Radical_SAM_3-amino-3-carboxy', 204),
(205, 'SFLDF00424', NULL, '2-deoxy-scyllo-inosamine dehydrogenase (BtrN-like)', 250, NULL, '2-deoxy-scyllo-inosamine_dehy', 205),
(206, 'SFLDG01163', NULL, 'II', 307, NULL, 'II', 206),
(207, 'SFLDG01062', NULL, 'methyltransferase (Class A)', 356, NULL, 'methyltransferase_(Class_A)', 207),
(208, 'SFLDG01153', NULL, 'Main.4: Theta-like', 218, NULL, 'Main.4:_Theta-like', 208),
(209, 'SFLDG01131', NULL, 'C1.5.2: MDP Like', 190, NULL, 'C1.5.2:_MDP_Like', 209),
(210, 'SFLDG01066', NULL, 'organic radical-activating enzymes', 243, NULL, 'organic_radical-activating_en', 210),
(211, 'SFLDG01202', NULL, 'SUF2.2', 252, NULL, 'SUF2.2', 211),
(212, 'SFLDS00052', NULL, 'Ferric Reductase Domain', 548, NULL, 'Ferric_Reductase_Domain', 212),
(213, 'SFLDF00027', NULL, 'p-type atpase', 309, NULL, 'p-type_atpase', 213),
(214, 'SFLDF00330', NULL, 'HMD cofactor maturase (HmdB-like)', 342, NULL, 'HMD_cofactor_maturase_(HmdB-l', 214),
(215, 'SFLDF00007', NULL, 'methylaspartate ammonia-lyase', 413, NULL, 'methylaspartate_ammonia-lyase', 215),
(216, 'SFLDG01181', NULL, 'SUF2', 241, NULL, 'SUF2', 216),
(217, 'SFLDF00038', NULL, 'phosphonoacetaldehyde hydrolase', 269, NULL, 'phosphonoacetaldehyde_hydrola', 217),
(218, 'SFLDF00322', NULL, 'tryptophan 2-C-methyltransferase', 574, NULL, 'tryptophan_2-C-methyltransfer', 218),
(219, 'SFLDF00280', NULL, 'coenzyme PQQ synthesis protein E (PqqE-like)', 377, NULL, 'coenzyme_PQQ_synthesis_protei', 219),
(220, 'SFLDG01109', NULL, 'Uncharacterised Radical SAM Subgroup 22', 429, NULL, 'Uncharacterised_Radical_SAM_S', 220),
(221, 'SFLDF00004', NULL, 'mandelate racemase', 394, NULL, 'mandelate_racemase', 221),
(222, 'SFLDF00318', NULL, 'Viperin', 323, NULL, 'Viperin', 222),
(223, 'SFLDG01021', NULL, 'Trichodiene Synthase Like', 308, NULL, 'Trichodiene_Synthase_Like', 223),
(224, 'SFLDF00005', NULL, 'glucarate dehydratase', 451, NULL, 'glucarate_dehydratase', 224),
(225, 'SFLDG01118', NULL, 'activating enzymes, group 2', 303, NULL, 'activating_enzymes,_group_2', 225),
(226, 'SFLDF00376', NULL, '7-carboxy-7-deazaguanine synthase, Cx14CxxC type', 211, NULL, '7-carboxy-7-deazaguanine_synt', 226),
(227, 'SFLDF00543', NULL, 'alternative heme biosynthesis C (AhbC-like)', 392, NULL, 'alternative_heme_biosynthesis', 227),
(228, 'SFLDF00565', NULL, 'hopanoid C3-methyltransferase (HpnR-like)', 513, NULL, 'hopanoid_C3-methyltransferase', 228);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(229, 'SFLDG01139', NULL, 'C2.A: Pyridoxal Phosphate Phosphatase Like', 255, NULL, 'C2.A:_Pyridoxal_Phosphate_Pho', 229),
(230, 'SFLDG01179', NULL, 'Complement C3/C4 Like', 304, NULL, 'Complement_C3/C4_Like', 230),
(231, 'SFLDG00358', NULL, 'Main (cytGST)', 196, NULL, 'Main_(cytGST)', 231),
(232, 'SFLDG01119', NULL, 'spectinomycin biosynthesis (SpcY-like)', 304, NULL, 'spectinomycin_biosynthesis_(S', 232),
(233, 'SFLDG01279', NULL, 'HMD cofactor maturase (HmdB-like)', 342, NULL, 'HMD_cofactor_maturase_(HmdB-l', 233),
(234, 'SFLDG01111', NULL, 'Uncharacterised Radical SAM Subgroup 5', 202, NULL, 'Uncharacterised_Radical_SAM_S', 234),
(235, 'SFLDG01086', NULL, 'elongater protein-like', 303, NULL, 'elongater_protein-like', 235),
(236, 'SFLDG01170', NULL, 'Pyruvoyl-dependent arginine decarboxylase', 170, NULL, 'Pyruvoyl-dependent_arginine_d', 236),
(237, 'SFLDS00036', NULL, 'Aromatic Prenyltransferase', 308, NULL, 'Aromatic_Prenyltransferase', 237),
(238, 'SFLDF00031', NULL, '2-deoxyglucose-6-phosphatase', 256, NULL, '2-deoxyglucose-6-phosphatase', 238),
(239, 'SFLDG01068', NULL, 'FeMo cofactor biosynthesis protein', 492, NULL, 'FeMo_cofactor_biosynthesis_pr', 239),
(240, 'SFLDG01065', NULL, 'anaerobic coproporphyrinogen-III oxidase like', 364, NULL, 'anaerobic_coproporphyrinogen-', 240),
(241, 'SFLDS00019', NULL, 'Glutathione Transferase (cytosolic)', 200, NULL, 'Glutathione_Transferase_(cyto', 241),
(242, 'SFLDF00029', NULL, 'phosphoserine phosphatase', 222, NULL, 'phosphoserine_phosphatase', 242),
(243, 'SFLDG00309', NULL, 'galactarate dehydratase', 391, NULL, 'galactarate_dehydratase', 243),
(244, 'SFLDG01098', NULL, 'Uncharacterised Radical SAM Subgroup 11', 324, NULL, 'Uncharacterised_Radical_SAM_S', 244),
(245, 'SFLDF00515', NULL, 'sporulation killing factor protein (SkfB-like)', 411, NULL, 'sporulation_killing_factor_pr', 245),
(246, 'SFLDG01258', NULL, '(chloro)muconate cycloisomerase (syn) like', 376, NULL, '(chloro)muconate_cycloisomera', 246),
(247, 'SFLDG01206', NULL, 'Xi.1', 327, NULL, 'Xi.1', 247),
(248, 'SFLDG01017', NULL, 'Polyprenyl Transferase Like', 294, NULL, 'Polyprenyl_Transferase_Like', 248),
(249, 'SFLDG01386', NULL, 'main SPASM domain-containing', 349, NULL, 'main_SPASM_domain-containing', 249),
(250, 'SFLDF00556', NULL, '4R-hydroxyproline betaine 2-epimerase', 368, NULL, '4R-hydroxyproline_betaine_2-e', 250),
(251, 'SFLDF00571', NULL, 'Tte1186a maturase', 469, NULL, 'Tte1186a_maturase', 251),
(252, 'SFLDG01150', NULL, 'Main.1: Beta-like', 210, NULL, 'Main.1:_Beta-like', 252),
(253, 'SFLDG01385', NULL, 'heme carboxy lyase like', 393, NULL, 'heme_carboxy_lyase_like', 253),
(254, 'SFLDF00295', NULL, 'threonylcarbamoyladenosine tRNA methylthiotransferase', 448, NULL, 'threonylcarbamoyladenosine_tR', 254),
(255, 'SFLDG01128', NULL, 'C1.4: 5''-Nucleotidase Like', 296, NULL, 'C1.4:_5''-Nucleotidase_Like', 255),
(256, 'SFLDF00294', NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase (CofG-like)', 337, NULL, '7,8-didemethyl-8-hydroxy-5-de', 256),
(257, 'SFLDG01389', NULL, 'menaquinone synthsis involved', 364, NULL, 'menaquinone_synthsis_involved', 257),
(258, 'SFLDF00297', NULL, 'benzylsuccinate synthase activase', 351, NULL, 'benzylsuccinate_synthase_acti', 258),
(259, 'SFLDF00278', NULL, 'pyruvate formate-lyase activase', 250, NULL, 'pyruvate_formate-lyase_activa', 259),
(260, 'SFLDF00317', NULL, 'thioacetal methlytransferase (Swb9-like)', 679, NULL, 'thioacetal_methlytransferase_', 260),
(261, 'SFLDS00005', NULL, 'Isoprenoid Synthase Type I', 271, NULL, 'Isoprenoid_Synthase_Type_I', 261),
(262, 'SFLDG01117', NULL, 'AviX12-like', 440, NULL, 'AviX12-like', 262),
(263, 'SFLDF00154', NULL, 'N-succinylamino acid racemase 2', 369, NULL, 'N-succinylamino_acid_racemase', 263),
(264, 'SFLDF00415', NULL, 'ladderane biosynthesis', 493, NULL, 'ladderane_biosynthesis', 264),
(265, 'SFLDG01101', NULL, 'Uncharacterised Radical SAM Subgroup 14', 336, NULL, 'Uncharacterised_Radical_SAM_S', 265);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(266, 'SFLDF00310', NULL, 'oxygen-independent coproporphyrinogen-III oxidase 2 (HemZ-like)', 421, NULL, 'oxygen-independent_coproporph', 266),
(267, 'SFLDF00010', NULL, 'dipeptide epimerase', 323, NULL, 'dipeptide_epimerase', 267),
(268, 'SFLDF00570', NULL, 'tungsten cofactor oxidoreducase radical SAM maturase', 373, NULL, 'tungsten_cofactor_oxidoreduca', 268),
(269, 'SFLDG01183', NULL, 'Grx2-like', 215, NULL, 'Grx2-like', 269),
(270, 'SFLDF00041', NULL, 'mdp-1', 176, NULL, 'mdp-1', 270),
(271, 'SFLDG01148', NULL, 'Xi (cytGST)', 327, NULL, 'Xi_(cytGST)', 271),
(272, 'SFLDG01151', NULL, 'Main.2: Nu-like', 210, NULL, 'Main.2:_Nu-like', 272),
(273, 'SFLDF00273', NULL, '(dimethylallyl)adenosine tRNA methylthiotransferase (MiaB-like)', 445, NULL, '(dimethylallyl)adenosine_tRNA', 273),
(274, 'SFLDF00291', NULL, 'arginine 2,3-aminomutase', 381, NULL, 'arginine_2,3-aminomutase', 274),
(275, 'SFLDF00324', NULL, 'bacteriocin maturation', 647, NULL, 'bacteriocin_maturation', 275),
(276, 'SFLDF00436', NULL, 'pactamycin C-methyltransferase (PctJ-like)', 614, NULL, 'pactamycin_C-methyltransferas', 276),
(277, 'SFLDG01094', NULL, 'Uncharacterised Radical SAM Subgroup 6', 231, NULL, 'Uncharacterised_Radical_SAM_S', 277),
(278, 'SFLDF00288', NULL, 'HemN-like, clustered with nucleoside-triphosphate RdgB', 384, NULL, 'HemN-like,_clustered_with_nuc', 278),
(279, 'SFLDG01134', NULL, 'C1.5.5: Heptose Bisphosphate Phosphatase Like', 187, NULL, 'C1.5.5:_Heptose_Bisphosphate_', 279),
(280, 'SFLDF00569', NULL, 'pcfB-like', 349, NULL, 'pcfB-like', 280),
(281, 'SFLDG01138', NULL, 'C1.6.2: Deoxy-d-mannose-octulosonate 8-phosphate Phosphatase Like', 163, NULL, 'C1.6.2:_Deoxy-d-mannose-octul', 281),
(282, 'SFLDF00032', NULL, 'trehalose-phosphatase', 267, NULL, 'trehalose-phosphatase', 282),
(283, 'SFLDF00568', NULL, 'paromamine deoxygenase', 456, NULL, 'paromamine_deoxygenase', 283),
(284, 'SFLDF00326', NULL, '5''''-pyrrole methytransferase', 571, NULL, '5''''-pyrrole_methytransferase', 284),
(285, 'SFLDF00311', NULL, 'heme degradation proteins (HutW/ChuW-like)', 453, NULL, 'heme_degradation_proteins_(Hu', 285),
(286, 'SFLDG01204', NULL, 'Grx2-like.1', 215, NULL, 'Grx2-like.1', 286),
(287, 'SFLDF00293', NULL, '((2,3,4,5-tetrahydroxypentyl)amino)dihydropyrimidine-2,4-dione synthase (CofH-like)', 365, NULL, '((2,3,4,5-tetrahydroxypentyl)', 287),
(288, 'SFLDG01083', NULL, 'Uncharacterised Radical SAM Subgroup 1', 303, NULL, 'Uncharacterised_Radical_SAM_S', 288),
(289, 'SFLDG01211', NULL, 'Competence Regulatory Protein ComQ', 305, NULL, 'Competence_Regulatory_Protein', 289),
(290, 'SFLDF00357', NULL, 'ExsD-like', 241, NULL, 'ExsD-like', 290),
(291, 'SFLDG01070', NULL, 'PLP-dependent', 373, NULL, 'PLP-dependent', 291),
(292, 'SFLDG01088', NULL, 'antiviral proteins', 282, NULL, 'antiviral_proteins', 292),
(293, 'SFLDF00275', NULL, 'adenosine C2 methyltransferase (RlmN-like)', 357, NULL, 'adenosine_C2_methyltransferas', 293),
(294, 'SFLDG01016', NULL, 'Prenyltransferase Like 2', 646, NULL, 'Prenyltransferase_Like_2', 294),
(295, 'SFLDG01108', NULL, 'Uncharacterised Radical SAM Subgroup 21', 352, NULL, 'Uncharacterised_Radical_SAM_S', 295),
(296, 'SFLDF00292', NULL, 'spore photoproduct lyase 1', 342, NULL, 'spore_photoproduct_lyase_1', 296),
(297, 'SFLDG01136', NULL, 'C1.6: Phosphoserine Phosphatase Like', 162, NULL, 'C1.6:_Phosphoserine_Phosphata', 297),
(298, 'SFLDS00028', NULL, 'Proline Racemase', 336, NULL, 'Proline_Racemase', 298),
(299, 'SFLDG01126', NULL, 'C1.2: Nucleotidase Like', 195, NULL, 'C1.2:_Nucleotidase_Like', 299),
(300, 'SFLDG01079', NULL, 'spore photoproduct lyase like', 341, NULL, 'spore_photoproduct_lyase_like', 300),
(301, 'SFLDG01605', NULL, 'Terpene Cyclase Like 1 N-term - Enzymatic', 431, NULL, 'Terpene_Cyclase_Like_1_N-term', 301),
(302, 'O', NULL, NULL, NULL, NULL, 'O region', 302),
(303, 'TMhelix', NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, NULL, 'transmembrane helix', 303); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(304, 'inside', NULL, 'inside cell region', NULL, NULL, 'inside cell region', 304),
(305, 'outside', NULL, 'outside cell region', NULL, NULL, 'outside cell region', 305),
(306, 'SIGNAL_PEPTIDE_N_REGION', NULL, 'N-terminal region of a signal peptide.', NULL, NULL, 'Signal peptide N-region', 306),
(307, 'NON_CYTOPLASMIC_DOMAIN', NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the extracellular region.', NULL, NULL, 'Non cytoplasmic domain', 307),
(308, 'SIGNAL_PEPTIDE', NULL, 'Signal peptide region', NULL, NULL, 'Signal Peptide', 308),
(309, 'SIGNAL_PEPTIDE_C_REGION', NULL, 'C-terminal region of a signal peptide.', NULL, NULL, 'Signal peptide C-region', 309),
(310, 'SIGNAL_PEPTIDE_H_REGION', NULL, 'Hydrophobic region of a signal peptide.', NULL, NULL, 'Signal peptide H-region', 310),
(311, 'CYTOPLASMIC_DOMAIN', NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the cytoplasm.', NULL, NULL, 'Cytoplasmic domain', 311),
(312, 'TRANSMEMBRANE', NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, NULL, 'Transmembrane region', 312),
(313, 'PF14560', NULL, 'Ubiquitin-like domain', 87, NULL, 'Ubiquitin_2', 313),
(314, 'PF09014', NULL, 'Beta-2-glycoprotein-1 fifth domain', 88, NULL, 'Sushi_2', 314),
(315, 'PF01654', NULL, 'Cytochrome bd terminal oxidase subunit I', 419, NULL, 'Cyt_bd_oxida_I', 315),
(316, 'PF07328', NULL, 'T-DNA border endonuclease VirD1', 142, NULL, 'VirD1', 316),
(317, 'PF17694', NULL, 'Family of unknown function (DUF5540)', 78, NULL, 'DUF5540', 317),
(318, 'PF00018', NULL, 'SH3 domain', 48, NULL, 'SH3_1', 318),
(319, 'PF06922', NULL, 'Citrus tristeza virus P13 protein', 119, NULL, 'CTV_P13', 319),
(320, 'PF02316', NULL, 'Mu DNA-binding domain', 142, NULL, 'HTH_Tnp_Mu_1', 320),
(321, 'PF04354', NULL, 'ZipA, C-terminal FtsZ-binding domain', 128, NULL, 'ZipA_C', 321),
(322, 'PF17305', NULL, 'Family of unknown function (DUF5354)', 124, NULL, 'DUF5354', 322),
(323, 'PF00956', NULL, 'Nucleosome assembly protein (NAP)', 271, NULL, 'NAP', 323),
(324, 'PF11215', NULL, 'Protein of unknown function (DUF3010)', 137, NULL, 'DUF3010', 324),
(325, 'PF01002', NULL, 'Flavivirus non-structural protein NS2B', 127, NULL, 'Flavi_NS2B', 325),
(326, 'PF12171', NULL, 'Zinc-finger double-stranded RNA-binding', 27, NULL, 'zf-C2H2_jaz', 326),
(327, 'PF09339', NULL, 'IclR helix-turn-helix domain', 52, NULL, 'HTH_IclR', 327),
(328, 'PF09723', NULL, 'Zinc ribbon domain', 40, NULL, 'Zn-ribbon_8', 328),
(329, 'PF05238', NULL, 'Kinetochore protein CHL4 like', 415, NULL, 'CENP-N', 329),
(330, 'PF14138', NULL, 'Cytochrome c oxidase assembly protein COX16', 79, NULL, 'COX16', 330),
(331, 'PF11375', NULL, 'Protein of unknown function (DUF3177)', 189, NULL, 'DUF3177', 331),
(332, 'PF14654', NULL, 'Mucin, catalytic, TM and cytoplasmic tail region', 100, NULL, 'Epiglycanin_C', 332),
(333, 'PF18773', NULL, 'Importin 13 repeat', 40, NULL, 'Importin_rep', 333),
(334, 'PF08567', NULL, 'TFIIH p62 subunit, N-terminal domain', 89, NULL, 'PH_TFIIH', 334),
(335, 'PF16594', NULL, 'Putative AtpZ or ATP-synthase-associated', 53, NULL, 'ATP-synt_Z', 335),
(336, 'PF01768', NULL, 'Birnavirus VP4 protein', 259, NULL, 'Birna_VP4', 336),
(337, 'PF00568', NULL, 'WH1 domain', 111, NULL, 'WH1', 337),
(338, 'PF17406', NULL, 'Nrap protein PAP/OAS1-like domain 5', 162, NULL, 'Nrap_D5', 338),
(339, 'PF06517', NULL, 'Orthopoxvirus A43R protein', 195, NULL, 'Orthopox_A43R', 339),
(340, 'PF15229', NULL, 'POM121 family', 234, NULL, 'POM121', 340),
(341, 'PF05553', NULL, 'Cotton fibre expressed protein', 36, NULL, 'DUF761', 341),
(342, 'PF18192', NULL, 'DNTTIP1 dimerisation domain', 69, NULL, 'DNTTIP1_dimer', 342),
(343, 'PF01557', NULL, 'Fumarylacetoacetate (FAA) hydrolase family', 218, NULL, 'FAA_hydrolase', 343),
(344, 'PF17936', NULL, 'Bacterial Ig domain', 83, NULL, 'Big_6', 344),
(345, 'PF15868', NULL, 'Transcription activator MBF2', 90, NULL, 'MBF2', 345);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(346, 'PF11456', NULL, 'Protein of unknown function (DUF3019)', 102, NULL, 'DUF3019', 346),
(347, 'PF05926', NULL, 'Phage head completion protein (GPL)', 139, NULL, 'Phage_GPL', 347),
(348, 'PF13495', NULL, 'Phage integrase, N-terminal SAM-like domain', 85, NULL, 'Phage_int_SAM_4', 348),
(349, 'PF11471', NULL, 'Maltoporin periplasmic N-terminal extension', 31, NULL, 'Sugarporin_N', 349),
(350, 'PF06168', NULL, 'Protein of unknown function (DUF981)', 187, NULL, 'DUF981', 350),
(351, 'PF11608', NULL, 'Limkain b1', 89, NULL, 'Limkain-b1', 351),
(352, 'PF10986', NULL, 'Protein of unknown function (DUF2796)', 168, NULL, 'DUF2796', 352),
(353, 'PF08853', NULL, 'Domain of unknown function (DUF1823)', 113, NULL, 'DUF1823', 353),
(354, 'PF07830', NULL, 'Protein serine/threonine phosphatase 2C, C-terminal domain', 80, NULL, 'PP2C_C', 354),
(355, 'PF07196', NULL, 'Flagellin hook IN motif', 56, NULL, 'Flagellin_IN', 355),
(356, 'PF03044', NULL, 'Herpesvirus UL16/UL94 family', 337, NULL, 'Herpes_UL16', 356),
(357, 'PF03222', NULL, 'Tryptophan/tyrosine permease family', 394, NULL, 'Trp_Tyr_perm', 357),
(358, 'PF08513', NULL, 'LisH', 27, NULL, 'LisH', 358),
(359, 'PF13452', NULL, 'N-terminal half of MaoC dehydratase', 131, NULL, 'MaoC_dehydrat_N', 359),
(360, 'PF00201', NULL, 'UDP-glucoronosyl and UDP-glucosyl transferase', 499, NULL, 'UDPGT', 360),
(361, 'PF02881', NULL, 'SRP54-type protein, helical bundle domain', 75, NULL, 'SRP54_N', 361),
(362, 'PF10576', NULL, 'Iron-sulfur binding domain of endonuclease III', 17, NULL, 'EndIII_4Fe-2S', 362),
(363, 'PF10399', NULL, 'Ubiquitinol-cytochrome C reductase Fe-S subunit TAT signal', 41, NULL, 'UCR_Fe-S_N', 363),
(364, 'PF05072', NULL, 'Herpesvirus UL43 protein', 375, NULL, 'Herpes_UL43', 364),
(365, 'PF17126', NULL, 'RsmF rRNA methyltransferase first C-terminal domain', 61, NULL, 'RsmF_methylt_CI', 365),
(366, 'PF12905', NULL, 'Endo-alpha-N-acetylgalactosaminidase', 273, NULL, 'Glyco_hydro_101', 366),
(367, 'PF01655', NULL, 'Ribosomal protein L32', 108, NULL, 'Ribosomal_L32e', 367),
(368, 'PF07015', NULL, 'VirC1 protein', 231, NULL, 'VirC1', 368),
(369, 'PF13704', NULL, 'Glycosyl transferase family 2', 96, NULL, 'Glyco_tranf_2_4', 369),
(370, 'PF18883', NULL, 'Autochaperone Domain Type 1', 113, NULL, 'AC_1', 370),
(371, 'PF10412', NULL, 'Type IV secretion-system coupling protein DNA-binding domain', 386, NULL, 'TrwB_AAD_bind', 371),
(372, 'PF17052', NULL, 'Cap associated factor', 159, NULL, 'CAF20', 372),
(373, 'PF02423', NULL, 'Ornithine cyclodeaminase/mu-crystallin family', 318, NULL, 'OCD_Mu_crystall', 373),
(374, 'PF16430', NULL, 'Domain of unknown function (DUF5027)', 187, NULL, 'DUF5027', 374),
(375, 'PF11569', NULL, 'Homeodomain leucine-zipper encoding, Homez', 57, NULL, 'Homez', 375),
(376, 'PF05049', NULL, 'Interferon-inducible GTPase (IIGP)', 375, NULL, 'IIGP', 376),
(377, 'PF03615', NULL, 'GCM motif protein', 140, NULL, 'GCM', 377),
(378, 'PF09951', NULL, 'Protein of unknown function (DUF2185)', 85, NULL, 'DUF2185', 378),
(379, 'PF18049', NULL, 'DNA polymerase nu pseudo-exo', 212, NULL, 'DNA_pol_P_Exo', 379),
(380, 'PF16237', NULL, 'Domain of unknown function (DUF4896)', 44, NULL, 'DUF4896', 380),
(381, 'PF15858', NULL, 'Late cornified envelope protein 6A family', 81, NULL, 'LCE6A', 381),
(382, 'PF16944', NULL, 'Fungal potassium channel', 251, NULL, 'KCH', 382),
(383, 'PF02456', NULL, 'Adenovirus IVa2 protein', 370, NULL, 'Adeno_IVa2', 383),
(384, 'PF16380', NULL, 'Domain of unknown function', 142, NULL, 'DUF4990', 384),
(385, 'PF07426', NULL, 'Dynactin subunit p22', 168, NULL, 'Dynactin_p22', 385),
(386, 'PF14601', NULL, 'DNA_binding protein, TFX, C-term', 83, NULL, 'TFX_C', 386),
(387, 'PF15871', NULL, 'Junction-mediating and -regulatory protein', 356, NULL, 'JMY', 387),
(388, 'PF12932', NULL, 'Vesicle coat trafficking protein Sec16 mid-region', 118, NULL, 'Sec16', 388),
(389, 'PF17302', NULL, 'Family of unknown function (DUF5351)', 29, NULL, 'DUF5351', 389);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(390, 'PF15849', NULL, 'Domain of unknown function (DUF4722)', 167, NULL, 'DUF4722', 390),
(391, 'PF14044', NULL, 'NETI protein', 56, NULL, 'NETI', 391),
(392, 'PF04467', NULL, 'Protein of unknown function (DUF483)', 122, NULL, 'DUF483', 392),
(393, 'PF13796', NULL, 'Putative sensor', 162, NULL, 'Sensor', 393),
(394, 'PF03288', NULL, 'Poxvirus D5 protein-like', 86, NULL, 'Pox_D5', 394),
(395, 'PF12015', NULL, 'Domain of unknown function (DUF3507)', 182, NULL, 'DUF3507', 395),
(396, 'PF07178', NULL, 'TraL protein', 91, NULL, 'TraL', 396),
(397, 'PF15216', NULL, 'Thymic stromal lymphopoietin', 126, NULL, 'TSLP', 397),
(398, 'PF17388', NULL, 'Tail assembly gene products 24 & 25', 132, NULL, 'GP24_25', 398),
(399, 'PF08642', NULL, 'Histone deacetylation protein Rxt3', 127, NULL, 'Rxt3', 399),
(400, 'PF00287', NULL, 'Sodium / potassium ATPase beta chain', 285, NULL, 'Na_K-ATPase', 400),
(401, 'PF06943', NULL, 'LSD1 zinc finger', 25, NULL, 'zf-LSD1', 401),
(402, 'PF07010', NULL, 'Endomucin', 260, NULL, 'Endomucin', 402),
(403, 'PF07894', NULL, 'FAM83 A-H', 274, NULL, 'FAM83', 403),
(404, 'PF02365', NULL, 'No apical meristem (NAM) protein', 128, NULL, 'NAM', 404),
(405, 'PF16021', NULL, 'Programmed cell death protein 7', 306, NULL, 'PDCD7', 405),
(406, 'PF10353', NULL, 'Protein of unknown function (DUF2430)', 107, NULL, 'DUF2430', 406),
(407, 'PF14701', NULL, 'Glycogen debranching enzyme, glucanotransferase domain', 439, NULL, 'hDGE_amylase', 407),
(408, 'PF01633', NULL, 'Choline/ethanolamine kinase', 213, NULL, 'Choline_kinase', 408),
(409, 'PF11723', NULL, 'Homotrimeric ring hydroxylase', 241, NULL, 'Aromatic_hydrox', 409),
(410, 'PF16376', NULL, 'N-terminal domain of fragilysin', 144, NULL, 'fragilysinNterm', 410),
(411, 'PF08634', NULL, 'Mitochondrial protein Pet127', 274, NULL, 'Pet127', 411),
(412, 'PF05929', NULL, 'Phage capsid scaffolding protein (GPO) serine peptidase', 272, NULL, 'Phage_GPO', 412),
(413, 'PF09259', NULL, 'Fungal immunomodulatory protein Fve', 111, NULL, 'Fve', 413),
(414, 'PF08034', NULL, 'Trematode eggshell synthesis protein', 66, NULL, 'TES', 414),
(415, 'PF14323', NULL, 'GxGYxYP putative glycoside hydrolase C-terminal domain', 240, NULL, 'GxGYxYP_C', 415),
(416, 'PF16497', NULL, 'MHC-I family domain', 198, NULL, 'MHC_I_3', 416),
(417, 'PF13041', NULL, 'PPR repeat family', 50, NULL, 'PPR_2', 417),
(418, 'PF04268', NULL, 'Sarcosine oxidase, gamma subunit family', 152, NULL, 'SoxG', 418),
(419, 'PF14890', NULL, 'Intein splicing domain', 155, NULL, 'Intein_splicing', 419),
(420, 'PF18190', NULL, 'Polo-like Kinase 4 Polo Box 1', 108, NULL, 'Plk4_PB1', 420),
(421, 'PF09534', NULL, 'Tryptophan-associated transmembrane protein (Trp_oprn_chp)', 180, NULL, 'Trp_oprn_chp', 421),
(422, 'PF00579', NULL, 'tRNA synthetases class I (W and Y)', 293, NULL, 'tRNA-synt_1b', 422),
(423, 'PF09954', NULL, 'Uncharacterized protein conserved in bacteria (DUF2188)', 62, NULL, 'DUF2188', 423),
(424, 'PF09516', NULL, 'CfrBI restriction endonuclease', 250, NULL, 'RE_CfrBI', 424),
(425, 'PF04355', NULL, 'SmpA / OmlA family', 71, NULL, 'SmpA_OmlA', 425),
(426, 'PF18643', NULL, 'BsaWI restriction endonuclease type 2', 105, NULL, 'RE_BsaWI', 426),
(427, 'PF12779', NULL, 'WXXGXW repeat (2 copies)', 26, NULL, 'WXXGXW', 427),
(428, 'PF06849', NULL, 'Protein of unknown function (DUF1246)', 122, NULL, 'DUF1246', 428),
(429, 'PF04645', NULL, 'Protein of unknown function, DUF603', 181, NULL, 'DUF603', 429),
(430, 'PF15249', NULL, 'Conserved region of unknown function on GLTSCR protein', 102, NULL, 'GLTSCR1', 430),
(431, 'PF00109', NULL, 'Beta-ketoacyl synthase, N-terminal domain', 253, NULL, 'ketoacyl-synt', 431),
(432, 'PF09911', NULL, 'Uncharacterized protein conserved in bacteria (DUF2140)', 187, NULL, 'DUF2140', 432),
(433, 'PF19110', NULL, 'Family of unknown function (DUF5797)', 163, NULL, 'DUF5797', 433),
(434, 'PF01346', NULL, 'Domain amino terminal to FKBP-type peptidyl-prolyl isomerase', 97, NULL, 'FKBP_N', 434);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(435, 'PF08039', NULL, 'Mitochondrial proteolipid', 60, NULL, 'Mit_proteolip', 435),
(436, 'PF03023', NULL, 'Lipid II flippase MurJ', 452, NULL, 'MurJ', 436),
(437, 'PF17682', NULL, 'Tau95 Triple barrel domain', 127, NULL, 'Tau95_N', 437),
(438, 'PF17804', NULL, 'Tail specific protease N-terminal domain', 189, NULL, 'TSP_NTD', 438),
(439, 'PF01271', NULL, 'Granin (chromogranin or secretogranin)', 586, NULL, 'Granin', 439),
(440, 'PF17183', NULL, 'Get5 carboxyl domain', 51, NULL, 'Blt1_C', 440),
(441, 'PF07173', NULL, 'Glycine-rich domain-containing protein-like', 142, NULL, 'GRDP-like', 441),
(442, 'PF14904', NULL, 'Family of unknown function', 94, NULL, 'FAM86', 442),
(443, 'PF08187', NULL, 'Myoactive tetradecapeptides family', 14, NULL, 'Tetradecapep', 443),
(444, 'PF13026', NULL, 'Protein of unknown function (DUF3887)', 91, NULL, 'DUF3887', 444),
(445, 'PF07157', NULL, 'DNA circularisation protein N-terminus', 88, NULL, 'DNA_circ_N', 445),
(446, 'PF01058', NULL, 'NADH ubiquinone oxidoreductase, 20 Kd subunit', 130, NULL, 'Oxidored_q6', 446),
(447, 'PF10983', NULL, 'Protein of unknown function (DUF2793)', 87, NULL, 'DUF2793', 447),
(448, 'PF10248', NULL, 'Myelodysplasia-myeloid leukemia factor 1-interacting protein', 174, NULL, 'Mlf1IP', 448),
(449, 'PF13323', NULL, 'N-terminal domain with HPIH motif', 156, NULL, 'HPIH', 449),
(450, 'PF05763', NULL, 'Protein of unknown function (DUF835)', 136, NULL, 'DUF835', 450),
(451, 'PF02411', NULL, 'MerT mercuric transport protein', 116, NULL, 'MerT', 451),
(452, 'PF00127', NULL, 'Copper binding proteins, plastocyanin/azurin family', 99, NULL, 'Copper-bind', 452),
(453, 'PF05632', NULL, 'Borrelia burgdorferi protein of unknown function (DUF792)', 184, NULL, 'DUF792', 453),
(454, 'PF07416', NULL, 'Crinivirus P26 protein', 227, NULL, 'Crinivirus_P26', 454),
(455, 'PF14692', NULL, 'Domain of unknown function (DUF4462)', 28, NULL, 'DUF4462', 455),
(456, 'PF10997', NULL, 'Alternate to MurJ', 257, NULL, 'Amj', 456),
(457, 'PF12477', NULL, 'Sex factor F TraW protein N terminal', 30, NULL, 'TraW_N', 457),
(458, 'PF17255', NULL, 'EbsA-like protein', 133, NULL, 'EbsA', 458),
(459, 'PF08856', NULL, 'Protein of unknown function (DUF1826)', 199, NULL, 'DUF1826', 459),
(460, 'PF18570', NULL, 'NUP57/Nup54 C-terminal domain', 29, NULL, 'Nup54_57_C', 460),
(461, 'PF12856', NULL, 'Anaphase-promoting complex subunit 9', 119, NULL, 'ANAPC9', 461),
(462, 'PF17424', NULL, 'Family of unknown function (DUF5411)', 134, NULL, 'DUF5411', 462),
(463, 'PF06433', NULL, 'Methylamine dehydrogenase heavy chain (MADH)', 343, NULL, 'Me-amine-dh_H', 463),
(464, 'PF12235', NULL, 'Fragile X-related 1 protein core C terminal', 135, NULL, 'FXMRP1_C_core', 464),
(465, 'PF03007', NULL, 'Wax ester synthase-like Acyl-CoA acyltransferase domain', 264, NULL, 'WES_acyltransf', 465),
(466, 'PF05462', NULL, 'Slime mold cyclic AMP receptor', 305, NULL, 'Dicty_CAR', 466),
(467, 'PF01958', NULL, 'Domain of unknown function DUF108', 89, NULL, 'DUF108', 467),
(468, 'PF05328', NULL, 'CybS, succinate dehydrogenase cytochrome B small subunit', 133, NULL, 'CybS', 468),
(469, 'PF14530', NULL, 'Domain of unknown function (DUF4439)', 131, NULL, 'DUF4439', 469),
(470, 'PF11864', NULL, 'Domain of unknown function (DUF3384)', 477, NULL, 'DUF3384', 470),
(471, 'PF10909', NULL, 'Protein of unknown function (DUF2682)', 77, NULL, 'DUF2682', 471),
(472, 'PF12650', NULL, 'Domain of unknown function (DUF3784)', 94, NULL, 'DUF3784', 472),
(473, 'PF15090', NULL, 'Domain of unknown function (DUF4553)', 478, NULL, 'DUF4553', 473),
(474, 'PF04818', NULL, 'CID domain', 123, NULL, 'CID', 474),
(475, 'PF01404', NULL, 'Ephrin receptor ligand binding domain', 178, NULL, 'Ephrin_lbd', 475),
(476, 'PF08080', NULL, 'RNPHF zinc finger', 36, NULL, 'zf-RNPHF', 476),
(477, 'PF18398', NULL, 'Clip-domain serine protease homolog masquerade', 33, NULL, 'CLIP_SPH_mas', 477),
(478, 'PF10705', NULL, 'Chloroplast protein precursor Ycf15 putative', 86, NULL, 'Ycf15', 478);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(479, 'PF16561', NULL, 'Glycogen recognition site of AMP-activated protein kinase', 85, NULL, 'AMPK1_CBM', 479),
(480, 'PF14897', NULL, 'EpsG family', 325, NULL, 'EpsG', 480),
(481, 'PF12186', NULL, 'Acyl-CoA dehydrogenase C terminal', 111, NULL, 'AcylCoA_dehyd_C', 481),
(482, 'PF17986', NULL, 'EMP3-KAHRP-like N-terminal domain', 53, NULL, 'EKAL', 482),
(483, 'PF17871', NULL, 'AAA lid domain', 104, NULL, 'AAA_lid_9', 483),
(484, 'PF11896', NULL, 'Domain of unknown function (DUF3416)', 179, NULL, 'DUF3416', 484),
(485, 'PF15298', NULL, 'AJAP1/PANP C-terminus', 204, NULL, 'AJAP1_PANP_C', 485),
(486, 'PF10392', NULL, 'Golgi transport complex subunit 5', 132, NULL, 'COG5', 486),
(487, 'PF08209', NULL, 'Sgf11 (transcriptional regulation protein)', 33, NULL, 'Sgf11', 487),
(488, 'PF15742', NULL, 'Domain of unknown function (DUF4686)', 385, NULL, 'DUF4686', 488),
(489, 'PF17703', NULL, 'Family of unknown function (DUF5549)', 186, NULL, 'DUF5549', 489),
(490, 'PF05985', NULL, 'Ethanolamine ammonia-lyase light chain (EutC)', 233, NULL, 'EutC', 490),
(491, 'PF11619', NULL, 'Transcription factor P53 - C terminal domain', 67, NULL, 'P53_C', 491),
(492, 'PF03716', NULL, 'WCCH motif', 25, NULL, 'WCCH', 492),
(493, 'PF07693', NULL, 'KAP family P-loop domain', 326, NULL, 'KAP_NTPase', 493),
(494, 'PF04922', NULL, 'DIE2/ALG10 family', 395, NULL, 'DIE2_ALG10', 494),
(495, 'PF01537', NULL, 'Herpesvirus glycoprotein D/GG/GX domain', 124, NULL, 'Herpes_glycop_D', 495),
(496, 'PF09066', NULL, 'Beta2-adaptin appendage, C-terminal sub-domain', 112, NULL, 'B2-adapt-app_C', 496),
(497, 'PF16803', NULL, 'Fe-S cluster assembly protein DRE2 N-terminus', 131, NULL, 'DRE2_N', 497),
(498, 'PF13665', NULL, 'Domain of unknown function (DUF4150)', 108, NULL, 'DUF4150', 498),
(499, 'PF03787', NULL, 'RAMP superfamily', 213, NULL, 'RAMPs', 499),
(500, 'PF17527', NULL, 'Phage ALC protein', 167, NULL, 'ALC', 500),
(501, 'PF05039', NULL, 'Agouti protein', 91, NULL, 'Agouti', 501),
(502, 'PF15377', NULL, 'Domain of unknown function (DUF4604)', 172, NULL, 'DUF4604', 502),
(503, 'PF06391', NULL, 'CDK-activating kinase assembly factor MAT1', 204, NULL, 'MAT1', 503),
(504, 'PF00026', NULL, 'Eukaryotic aspartyl protease', 315, NULL, 'Asp', 504),
(505, 'PF05619', NULL, 'Borrelia burgdorferi protein of unknown function (DUF787)', 362, NULL, 'DUF787', 505),
(506, 'PF17298', NULL, 'Family of unknown function (DUF5349)', 362, NULL, 'DUF5349', 506),
(507, 'PF19059', NULL, 'Family of unknown function (DUF5755)', 92, NULL, 'DUF5755', 507),
(508, 'PF16572', NULL, 'Long alpha hairpin domain of cation efflux system protein, CusB', 56, NULL, 'HlyD_D4', 508),
(509, 'PF12012', NULL, 'Domain of unknown function (DUF3504)', 162, NULL, 'DUF3504', 509),
(510, 'PF12684', NULL, 'PDDEXK-like domain of unknown function (DUF3799)', 234, NULL, 'DUF3799', 510),
(511, 'PF08246', NULL, 'Cathepsin propeptide inhibitor domain (I29)', 58, NULL, 'Inhibitor_I29', 511),
(512, 'PF18782', NULL, 'Novel AID APOBEC clade 2', 178, NULL, 'NAD2', 512),
(513, 'PF04408', NULL, 'Helicase associated domain (HA2)', 109, NULL, 'HA2', 513),
(514, 'PF08097', NULL, 'Conotoxin T-superfamily', 11, NULL, 'Toxin_26', 514),
(515, 'PF14373', NULL, 'Superinfection immunity protein', 42, NULL, 'Imm_superinfect', 515),
(516, 'PF12907', NULL, 'Zinc-binding', 38, NULL, 'zf-met2', 516),
(517, 'PF00884', NULL, 'Sulfatase', 309, NULL, 'Sulfatase', 517),
(518, 'PF07341', NULL, 'Protein of unknown function (DUF1473)', 163, NULL, 'DUF1473', 518),
(519, 'PF11462', NULL, 'Protein of unknown function (DUF3203)', 74, NULL, 'DUF3203', 519),
(520, 'PF07194', NULL, 'P2 response regulator binding domain', 81, NULL, 'P2', 520),
(521, 'PF08725', NULL, 'Integrin beta cytoplasmic domain', 45, NULL, 'Integrin_b_cyt', 521),
(522, 'PF17358', NULL, 'Family of unknown function (DUF5384)', 145, NULL, 'DUF5384', 522),
(523, 'PF09392', NULL, 'Type III secretion needle MxiH, YscF, SsaG, EprI, PscF, EscF', 71, NULL, 'T3SS_needle_F', 523);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(524, 'PF10126', NULL, 'Uncharacterized protein, homolog of nitrogen regulatory protein PII', 107, NULL, 'Nit_Regul_Hom', 524),
(525, 'PF17786', NULL, 'Mannosidase Ig/CBM-like domain', 92, NULL, 'Mannosidase_ig', 525),
(526, 'PF04336', NULL, 'Acyl carrier protein phosphodiesterase', 105, NULL, 'ACP_PD', 526),
(527, 'PF15224', NULL, 'Scrapie-responsive protein 1', 76, NULL, 'SCRG1', 527),
(528, 'PF16257', NULL, 'tagaturonate epimerase', 475, NULL, 'UxaE', 528),
(529, 'PF10518', NULL, 'TAT (twin-arginine translocation) pathway signal sequence', 26, NULL, 'TAT_signal', 529),
(530, 'PF08736', NULL, 'FERM adjacent (FA)', 44, NULL, 'FA', 530),
(531, 'PF11178', NULL, 'Protein of unknown function (DUF2963)', 51, NULL, 'DUF2963', 531),
(532, 'PF17697', NULL, 'Family of unknown function (DUF5543)', 118, NULL, 'DUF5543', 532),
(533, 'PF11861', NULL, 'Domain of unknown function (DUF3381)', 167, NULL, 'DUF3381', 533),
(534, 'PF16470', NULL, 'Peptidase S8 pro-domain', 79, NULL, 'S8_pro-domain', 534),
(535, 'PF06155', NULL, 'Gamma-butyrobetaine hydroxylase-like, N-terminal', 85, NULL, 'GBBH-like_N', 535),
(536, 'PF13926', NULL, 'Domain of unknown function (DUF4211)', 143, NULL, 'DUF4211', 536),
(537, 'PF04891', NULL, 'NifQ', 159, NULL, 'NifQ', 537),
(538, 'PF18303', NULL, 'SAVED-fused 2TM effector domain', 152, NULL, 'Saf_2TM', 538),
(539, 'PF10795', NULL, 'Protein of unknown function (DUF2607)', 95, NULL, 'DUF2607', 539),
(540, 'PF15181', NULL, 'Spermatid-specific manchette-related protein 1', 262, NULL, 'SMRP1', 540),
(541, 'PF00590', NULL, 'Tetrapyrrole (Corrin/Porphyrin) Methylases', 214, NULL, 'TP_methylase', 541),
(542, 'PF11772', NULL, 'DNA-directed RNA polymerase subunit beta', 46, NULL, 'EpuA', 542),
(543, 'PF15085', NULL, 'Neuropeptide FF', 109, NULL, 'NPFF', 543),
(544, 'PF11054', NULL, 'Sporozoite TA4 surface antigen', 207, NULL, 'Surface_antigen', 544),
(545, 'PF15304', NULL, 'A-kinase anchor protein 2 C-terminus', 353, NULL, 'AKAP2_C', 545),
(546, 'PF12334', NULL, 'Rickettsia outer membrane protein B', 223, NULL, 'rOmpB', 546),
(547, 'PF02630', NULL, 'SCO1/SenC', 134, NULL, 'SCO1-SenC', 547),
(548, 'PF14825', NULL, 'Domain of unknown function (DUF4483)', 158, NULL, 'DUF4483', 548),
(549, 'PF12818', NULL, 'dsDNA viral tegument protein', 277, NULL, 'Tegument_dsDNA', 549),
(550, 'PF11448', NULL, 'Protein of unknown function (DUF3005)', 124, NULL, 'DUF3005', 550),
(551, 'PF05814', NULL, 'Orf76 (Ac76)', 83, NULL, 'Ac76', 551),
(552, 'PF17888', NULL, 'Carmil pleckstrin homology domain', 94, NULL, 'Carm_PH', 552),
(553, 'PF16658', NULL, 'Class II release factor RF3, C-terminal domain', 131, NULL, 'RF3_C', 553),
(554, 'PF02595', NULL, 'Glycerate kinase family', 366, NULL, 'Gly_kinase', 554),
(555, 'PF18651', NULL, 'Surface adhesin CshA non-repetitive domain 2', 269, NULL, 'CshA_NR2', 555),
(556, 'PF07692', NULL, 'Low iron-inducible periplasmic protein', 359, NULL, 'Fea1', 556),
(557, 'PF12749', NULL, 'Eukaryotic metallothionein', 66, NULL, 'Metallothio_Euk', 557),
(558, 'PF11899', NULL, 'Protein of unknown function (DUF3419)', 385, NULL, 'DUF3419', 558),
(559, 'PF03124', NULL, 'EXS family', 330, NULL, 'EXS', 559),
(560, 'PF14837', NULL, 'Integrator complex subunit 5 N-terminus', 211, NULL, 'INTS5_N', 560),
(561, 'PF15492', NULL, 'Neuroblastoma-amplified sequence, N terminal', 282, NULL, 'Nbas_N', 561),
(562, 'PF19045', NULL, 'Ligase-CoA domain', 162, NULL, 'Ligase_CoA_2', 562),
(563, 'PF08685', NULL, 'GON domain', 200, NULL, 'GON', 563),
(564, 'PF03268', NULL, 'Caenorhabditis protein of unknown function, DUF267', 360, NULL, 'DUF267', 564),
(565, 'PF09421', NULL, 'Frequency clock protein', 984, NULL, 'FRQ', 565),
(566, 'PF13433', NULL, 'Periplasmic binding protein domain', 364, NULL, 'Peripla_BP_5', 566),
(567, 'PF16133', NULL, 'Domain of unknown function (DUF4844)', 117, NULL, 'DUF4844', 567),
(568, 'PF19148', NULL, 'Family of unknown function (DUF5830)', 115, NULL, 'DUF5830', 568),
(569, 'PF15460', NULL, 'Something about silencing, SAS, complex subunit 4', 99, NULL, 'SAS4', 569);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(570, 'PF16865', NULL, 'Glutathione S-transferase, C-terminal domain', 108, NULL, 'GST_C_5', 570),
(571, 'PF02550', NULL, 'Acetyl-CoA hydrolase/transferase N-terminal domain', 198, NULL, 'AcetylCoA_hydro', 571),
(572, 'PF08477', NULL, 'Ras of Complex, Roc, domain of DAPkinase', 120, NULL, 'Roc', 572),
(573, 'PF08652', NULL, 'RAI1 like PD-(D/E)XK nuclease', 68, NULL, 'RAI1', 573),
(574, 'PF12726', NULL, 'SEN1 N terminal', 750, NULL, 'SEN1_N', 574),
(575, 'PF14340', NULL, 'Domain of unknown function (DUF4395)', 130, NULL, 'DUF4395', 575),
(576, 'PF17281', NULL, 'Family of unknown function (DUF5346)', 102, NULL, 'DUF5346', 576),
(577, 'PF11318', NULL, 'Protein of unknown function (DUF3120)', 199, NULL, 'DUF3120', 577),
(578, 'PF00742', NULL, 'Homoserine dehydrogenase', 173, NULL, 'Homoserine_dh', 578),
(579, 'PF05726', NULL, 'Pirin C-terminal cupin domain', 105, NULL, 'Pirin_C', 579),
(580, 'PF09200', NULL, 'Monellin', 43, NULL, 'Monellin', 580),
(581, 'PF15711', NULL, 'Interleukin-like EMT inducer', 88, NULL, 'ILEI', 581),
(582, 'PF17976', NULL, 'RING/Ubox like zinc-binding domain', 73, NULL, 'zf-RING_12', 582),
(583, 'PF03622', NULL, 'IBV 3B protein', 64, NULL, 'IBV_3B', 583),
(584, 'PF09806', NULL, 'Cyclin-dependent kinase 2-associated protein', 230, NULL, 'CDK2AP', 584),
(585, 'PF04463', NULL, 'Protein of unknown function (DUF523)', 137, NULL, 'DUF523', 585),
(586, 'PF04797', NULL, 'Herpesvirus dUTPase protein', 379, NULL, 'Herpes_ORF11', 586),
(587, 'PF02588', NULL, 'Uncharacterised 5xTM membrane BCR, YitT family COG1284', 206, NULL, 'YitT_membrane', 587),
(588, 'PF17787', NULL, 'PH domain', 131, NULL, 'PH_14', 588),
(589, 'PF16595', NULL, 'PAM-interacting domain of CRISPR-associated endonuclease Cas9', 262, NULL, 'Cas9_PI', 589),
(590, 'PF04875', NULL, 'Protein of unknown function, DUF645', 59, NULL, 'DUF645', 590),
(591, 'PF01341', NULL, 'Glycosyl hydrolases family 6', 311, NULL, 'Glyco_hydro_6', 591),
(592, 'PF11023', NULL, 'Zinc-ribbon containing domain', 111, NULL, 'DUF2614', 592),
(593, 'PF11377', NULL, 'Protein of unknown function (DUF3180)', 135, NULL, 'DUF3180', 593),
(594, 'PF11890', NULL, 'Domain of unknown function (DUF3410)', 81, NULL, 'DUF3410', 594),
(595, 'PF09141', NULL, 'Talin, middle domain', 161, NULL, 'Talin_middle', 595),
(596, 'PF15292', NULL, 'Treslin N-terminus', 797, NULL, 'Treslin_N', 596),
(597, 'PF02961', NULL, 'Barrier to autointegration factor', 88, NULL, 'BAF', 597),
(598, 'PF06409', NULL, 'Nuclear pore complex interacting protein (NPIP)', 267, NULL, 'NPIP', 598),
(599, 'PF17768', NULL, 'RecJ OB domain', 108, NULL, 'RecJ_OB', 599),
(600, 'PF03561', NULL, 'Allantoicase repeat', 146, NULL, 'Allantoicase', 600),
(601, 'PF16555', NULL, 'Gram-positive pilin subunit D1, N-terminal domain', 160, NULL, 'GramPos_pilinD1', 601),
(602, 'PF14562', NULL, 'Restriction endonuclease BglI', 285, NULL, 'Endonuc_BglI', 602),
(603, 'PF16267', NULL, 'Domain of unknown function (DUF4920)', 87, NULL, 'DUF4920', 603),
(604, 'PF03719', NULL, 'Ribosomal protein S5, C-terminal domain', 72, NULL, 'Ribosomal_S5_C', 604),
(605, 'PF07091', NULL, 'Ribosomal RNA methyltransferase (FmrO)', 252, NULL, 'FmrO', 605),
(606, 'PF18679', NULL, 'ThcOx helix turn helix domain', 107, NULL, 'HTH_57', 606),
(607, 'PF11706', NULL, 'CGNR zinc finger', 44, NULL, 'zf-CGNR', 607),
(608, 'PF04344', NULL, 'Chemotaxis phosphatase, CheZ', 201, NULL, 'CheZ', 608),
(609, 'PF14008', NULL, 'Iron/zinc purple acid phosphatase-like protein C', 63, NULL, 'Metallophos_C', 609),
(610, 'PF05503', NULL, 'Poxvirus G7-like', 367, NULL, 'Pox_G7', 610),
(611, 'PF02743', NULL, 'Cache domain', 243, NULL, 'dCache_1', 611),
(612, 'PF08784', NULL, 'Replication protein A C terminal', 104, NULL, 'RPA_C', 612),
(613, 'PF15603', NULL, 'Immunity protein 74', 80, NULL, 'Imm74', 613),
(614, 'PF18819', NULL, 'Phage MuF-C-terminal domain', 103, NULL, 'MuF_C', 614),
(615, 'PF05432', NULL, 'Bone sialoprotein II (BSP-II)', 301, NULL, 'BSP_II', 615); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(616, 'PF16045', NULL, 'LisH', 28, NULL, 'LisH_2', 616),
(617, 'PF05301', NULL, 'GNAT acetyltransferase, Mec-17', 175, NULL, 'Acetyltransf_16', 617),
(618, 'PF17606', NULL, 'Family of unknown function (DUF5502)', 87, NULL, 'DUF5502', 618),
(619, 'PF09710', NULL, 'Treponema clustered lipoprotein (Trep_dent_lipo)', 397, NULL, 'Trep_dent_lipo', 619),
(620, 'PF14193', NULL, 'Domain of unknown function (DUF4315)', 81, NULL, 'DUF4315', 620),
(621, 'PF03925', NULL, 'SeqA protein C-terminal domain', 111, NULL, 'SeqA', 621),
(622, 'PF02492', NULL, 'CobW/HypB/UreG, nucleotide-binding domain', 179, NULL, 'cobW', 622),
(623, 'PF17783', NULL, 'CvfB-like winged helix domain', 58, NULL, 'CvfB_WH', 623),
(624, 'PF09892', NULL, 'Uncharacterized protein conserved in archaea (DUF2119)', 188, NULL, 'DUF2119', 624),
(625, 'PF10238', NULL, 'E2F-associated phosphoprotein', 146, NULL, 'Eapp_C', 625),
(626, 'PF03155', NULL, 'ALG6, ALG8 glycosyltransferase family', 484, NULL, 'Alg6_Alg8', 626),
(627, 'PF05790', NULL, 'Immunoglobulin C2-set domain', 80, NULL, 'C2-set', 627),
(628, 'PF03231', NULL, 'Bunyavirus non-structural protein NS-S', 444, NULL, 'Bunya_NS-S_2', 628),
(629, 'PF03021', NULL, 'Influenza C virus M2 protein', 139, NULL, 'CM2', 629),
(630, 'PF12478', NULL, 'Ubiquitin-associated protein 2', 35, NULL, 'DUF3697', 630),
(631, 'PF16077', NULL, 'Spaetzle', 96, NULL, 'Spaetzle', 631),
(632, 'PF17766', NULL, 'Fibronectin type-III domain', 99, NULL, 'fn3_6', 632),
(633, 'PF17911', NULL, 'Ski2 N-terminal region', 135, NULL, 'Ski2_N', 633),
(634, 'PF08525', NULL, 'Opacity-associated protein A N-terminal motif', 28, NULL, 'OapA_N', 634),
(635, 'PF15031', NULL, 'Domain of unknown function (DUF4528)', 126, NULL, 'DUF4528', 635),
(636, 'PF16496', NULL, 'SWIRM-associated domain at the N-terminal', 416, NULL, 'SWIRM-assoc_2', 636),
(637, 'PF11501', NULL, 'Betacoronavirus replicase NSP1', 138, NULL, 'bCoV_NSP1', 637),
(638, 'PF15285', NULL, 'Beclin-1 BH3 domain, Bcl-2-interacting', 25, NULL, 'BH3', 638),
(639, 'PF05550', NULL, 'Pestivirus Npro endopeptidase C53', 168, NULL, 'Peptidase_C53', 639),
(640, 'PF10235', NULL, 'Microtubule-associated protein CRIPT', 88, NULL, 'Cript', 640),
(641, 'PF18622', NULL, 'RctB helix turn helix domain', 107, NULL, 'HTH_55', 641),
(642, 'PF17416', NULL, 'Herpesvirus Glycoprotein B', 210, NULL, 'Glycoprot_B_PH1', 642),
(643, 'PF18763', NULL, 'ddrB-like ParB superfamily domain', 124, NULL, 'ddrB-ParB', 643),
(644, 'PF00534', NULL, 'Glycosyl transferases group 1', 172, NULL, 'Glycos_transf_1', 644),
(645, 'PF06112', NULL, 'Gammaherpesvirus capsid protein', 169, NULL, 'Herpes_capsid', 645),
(646, 'PF11967', NULL, 'Recombination protein O N terminal', 80, NULL, 'RecO_N', 646),
(647, 'PF03166', NULL, 'MH2 domain', 174, NULL, 'MH2', 647),
(648, 'PF02538', NULL, 'Hydantoinase B/oxoprolinase', 516, NULL, 'Hydantoinase_B', 648),
(649, 'PF12214', NULL, 'Cell cycle regulated microtubule associated protein', 166, NULL, 'TPX2_importin', 649),
(650, 'PF06658', NULL, 'Protein of unknown function (DUF1168)', 136, NULL, 'DUF1168', 650),
(651, 'PF07210', NULL, 'Protein of unknown function (DUF1416)', 97, NULL, 'DUF1416', 651),
(652, 'PF12191', NULL, 'Tumour necrosis factor receptor stn_TNFRSF12A_TNFR domain', 129, NULL, 'stn_TNFRSF12A', 652),
(653, 'PF16417', NULL, 'CCR4-NOT transcription complex subunit 1 TTP binding domain', 189, NULL, 'CNOT1_TTP_bind', 653),
(654, 'PF07695', NULL, '7TM diverse intracellular signalling', 205, NULL, '7TMR-DISM_7TM', 654),
(655, 'PF07294', NULL, 'Fibroin P25', 196, NULL, 'Fibroin_P25', 655),
(656, 'PF13443', NULL, 'Cro/C1-type HTH DNA-binding domain', 63, NULL, 'HTH_26', 656),
(657, 'PF17455', NULL, 'Late transcription unit B', 79, NULL, 'LtuB', 657),
(658, 'PF10905', NULL, 'Protein of unknown function (DUF2695)', 53, NULL, 'DUF2695', 658),
(659, 'PF00925', NULL, 'GTP cyclohydrolase II', 164, NULL, 'GTP_cyclohydro2', 659),
(660, 'PF07349', NULL, 'Protein of unknown function (DUF1478)', 161, NULL, 'DUF1478', 660);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(661, 'PF14213', NULL, 'STAS-like domain of unknown function (DUF4325)', 64, NULL, 'DUF4325', 661),
(662, 'PF06515', NULL, 'Borna disease virus P10 protein', 87, NULL, 'BDV_P10', 662),
(663, 'PF09952', NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', 143, NULL, 'AbiEi_2', 663),
(664, 'PF18974', NULL, 'Domain of unknown function (DUF5710)', 44, NULL, 'DUF5710', 664),
(665, 'PF03913', NULL, 'Ragweed group 5 pollen allergen', 44, NULL, 'Ragweed_pollen', 665),
(666, 'PF03358', NULL, 'NADPH-dependent FMN reductase', 156, NULL, 'FMN_red', 666),
(667, 'PF01472', NULL, 'PUA domain', 74, NULL, 'PUA', 667),
(668, 'PF17460', NULL, 'Uncharacterized protein RP854', 212, NULL, 'RP854', 668),
(669, 'PF03304', NULL, 'Mlp lipoprotein family', 152, NULL, 'Mlp', 669),
(670, 'PF12523', NULL, 'Protein of unknown function (DUF3725)', 74, NULL, 'DUF3725', 670),
(671, 'PF08772', NULL, 'Nin one binding (NOB1) Zn-ribbon like', 72, NULL, 'NOB1_Zn_bind', 671),
(672, 'PF18068', NULL, 'Npun R1517', 76, NULL, 'Npun_R1517', 672),
(673, 'PF18198', NULL, 'Dynein heavy chain AAA lid domain', 155, NULL, 'AAA_lid_11', 673),
(674, 'PF13486', NULL, 'Reductive dehalogenase subunit', 288, NULL, 'Dehalogenase', 674),
(675, 'PF03422', NULL, 'Carbohydrate binding module (family 6)', 125, NULL, 'CBM_6', 675),
(676, 'PF15826', NULL, 'Bcl-2-binding component 3, p53 upregulated modulator of apoptosis', 189, NULL, 'PUMA', 676),
(677, 'PF05098', NULL, 'Late expression factor 4 (LEF-4)', 472, NULL, 'LEF-4', 677),
(678, 'PF00436', NULL, 'Single-strand binding protein family', 104, NULL, 'SSB', 678),
(679, 'PF04085', NULL, 'rod shape-determining protein MreC', 150, NULL, 'MreC', 679),
(680, 'PF11915', NULL, 'Protein of unknown function (DUF3433)', 91, NULL, 'DUF3433', 680),
(681, 'PF12375', NULL, 'Phage protein', 66, NULL, 'DUF3653', 681),
(682, 'PF00857', NULL, 'Isochorismatase family', 175, NULL, 'Isochorismatase', 682),
(683, 'PF03452', NULL, 'Anp1', 264, NULL, 'Anp1', 683),
(684, 'PF07020', NULL, 'Orthopoxvirus C10L protein', 83, NULL, 'Orthopox_C10L', 684),
(685, 'PF04352', NULL, 'ProQ/FINO family', 110, NULL, 'ProQ', 685),
(686, 'PF04464', NULL, 'CDP-Glycerol:Poly(glycerophosphate) glycerophosphotransferase', 367, NULL, 'Glyphos_transf', 686),
(687, 'PF04729', NULL, 'ASF1 like histone chaperone', 154, NULL, 'ASF1_hist_chap', 687),
(688, 'PF11171', NULL, 'Protein of unknown function (DUF2958)', 111, NULL, 'DUF2958', 688),
(689, 'PF11867', NULL, 'Domain of unknown function (DUF3387)', 331, NULL, 'DUF3387', 689),
(690, 'PF18673', NULL, 'interleukin receptor mimic protein A', 106, NULL, 'IrmA', 690),
(691, 'PF16502', NULL, 'Domain of unknown function (DUF5059)', 620, NULL, 'DUF5059', 691),
(692, 'PF03740', NULL, 'Pyridoxal phosphate biosynthesis protein PdxJ', 234, NULL, 'PdxJ', 692),
(693, 'PF12203', NULL, 'Glutamine rich N terminal domain of histone deacetylase 4', 91, NULL, 'HDAC4_Gln', 693),
(694, 'PF00951', NULL, 'Arterivirus GL envelope glycoprotein', 179, NULL, 'Arteri_Gl', 694),
(695, 'PF11858', NULL, 'Domain of unknown function (DUF3378)', 76, NULL, 'DUF3378', 695),
(696, 'PF13582', NULL, 'Metallo-peptidase family M12B Reprolysin-like', 124, NULL, 'Reprolysin_3', 696),
(697, 'PF16766', NULL, 'Binding region of GANP to ENY2', 71, NULL, 'CID_GANP', 697),
(698, 'PF03819', NULL, 'MazG nucleotide pyrophosphohydrolase domain', 74, NULL, 'MazG', 698),
(699, 'PF07243', NULL, 'Phlebovirus glycoprotein G1', 526, NULL, 'Phlebovirus_G1', 699),
(700, 'PF01151', NULL, 'GNS1/SUR4 family', 250, NULL, 'ELO', 700),
(701, 'PF09980', NULL, 'Predicted membrane protein (DUF2214)', 147, NULL, 'DUF2214', 701),
(702, 'PF04532', NULL, 'Protein of unknown function (DUF587)', 220, NULL, 'DUF587', 702),
(703, 'PF18034', NULL, 'Bacterial Glycosyl hydrolase family 3 C-terminal domain', 137, NULL, 'Bac_GH3_C', 703),
(704, 'PF06122', NULL, 'Conjugative relaxosome accessory transposon protein', 359, NULL, 'TraH', 704),
(705, 'PF00567', NULL, 'Tudor domain', 122, NULL, 'TUDOR', 705);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(706, 'PF02703', NULL, 'Early E1A protein', 289, NULL, 'Adeno_E1A', 706),
(707, 'PF07686', NULL, 'Immunoglobulin V-set domain', 109, NULL, 'V-set', 707),
(708, 'PF03221', NULL, 'Tc5 transposase DNA-binding domain', 66, NULL, 'HTH_Tnp_Tc5', 708),
(709, 'PF08203', NULL, 'Yeast RNA polymerase I subunit RPA14', 77, NULL, 'RNA_polI_A14', 709),
(710, 'PF11944', NULL, 'Protein of unknown function (DUF3461)', 125, NULL, 'DUF3461', 710),
(711, 'PF19098', NULL, 'Family of unknown function (DUF5785)', 98, NULL, 'DUF5785', 711),
(712, 'PF17737', NULL, 'Ig domain in C19orf38 (HIDE1)', 91, NULL, 'Ig_C19orf38', 712),
(713, 'PF10427', NULL, 'Argonaute hook', 162, NULL, 'Ago_hook', 713),
(714, 'PF13052', NULL, 'Protein of unknown function (DUF3913)', 57, NULL, 'DUF3913', 714),
(715, 'PF12386', NULL, 'Pseudomurein endo-isopeptidase Pei', 149, NULL, 'Peptidase_C71', 715),
(716, 'PF02912', NULL, 'Aminoacyl tRNA synthetase class II, N-terminal domain', 69, NULL, 'Phe_tRNA-synt_N', 716),
(717, 'PF17553', NULL, 'Family of unknown function (DUF5465)', 19, NULL, 'DUF5465', 717),
(718, 'PF05302', NULL, 'Protein of unknown function (DUF720)', 125, NULL, 'DUF720', 718),
(719, 'PF10180', NULL, 'WKF domain', 63, NULL, 'WKF', 719),
(720, 'PF10694', NULL, 'Protein of unknown function (DUF2500)', 109, NULL, 'DUF2500', 720),
(721, 'PF08758', NULL, 'Cadherin prodomain like', 90, NULL, 'Cadherin_pro', 721),
(722, 'PF07763', NULL, 'FEZ-like protein', 240, NULL, 'FEZ', 722),
(723, 'PF07791', NULL, 'Protein of unknown function (DUF1629)', 123, NULL, 'DUF1629', 723),
(724, 'PF04556', NULL, 'DpnII restriction endonuclease', 279, NULL, 'DpnII', 724),
(725, 'PF06389', NULL, 'Filovirus membrane-associated protein VP24', 253, NULL, 'Filo_VP24', 725),
(726, 'PF08458', NULL, 'Plant pleckstrin homology-like region', 105, NULL, 'PH_2', 726),
(727, 'PF06626', NULL, 'Protein of unknown function (DUF1152)', 295, NULL, 'DUF1152', 727),
(728, 'PF05133', NULL, 'Phage portal protein, SPP1 Gp6-like', 420, NULL, 'Phage_prot_Gp6', 728),
(729, 'PF01710', NULL, 'Transposase', 119, NULL, 'HTH_Tnp_IS630', 729),
(730, 'PF16289', NULL, 'PIN domain', 171, NULL, 'PIN_12', 730),
(731, 'PF18856', NULL, 'Bacterial archaeo-eukaryotic release factor family 12', 138, NULL, 'baeRF_family12', 731),
(732, 'PF02777', NULL, 'Iron/manganese superoxide dismutases, C-terminal domain', 101, NULL, 'Sod_Fe_C', 732),
(733, 'PF06989', NULL, 'BAALC N-terminus', 50, NULL, 'BAALC_N', 733),
(734, 'PF07218', NULL, 'Rhoptry-associated protein 1 (RAP-1)', 782, NULL, 'RAP1', 734),
(735, 'PF13408', NULL, 'Recombinase zinc beta ribbon domain', 58, NULL, 'Zn_ribbon_recom', 735),
(736, 'PF06387', NULL, 'D1 dopamine receptor-interacting protein (calcyon)', 180, NULL, 'Calcyon', 736),
(737, 'PF09280', NULL, 'XPC-binding domain', 57, NULL, 'XPC-binding', 737),
(738, 'PF12265', NULL, 'Histone-binding protein RBBP4 or subunit C of CAF1 complex', 67, NULL, 'CAF1C_H4-bd', 738),
(739, 'PF08730', NULL, 'Rad33', 165, NULL, 'Rad33', 739),
(740, 'PF15331', NULL, 'Cellular tumour antigen p53-inducible 5', 218, NULL, 'TP53IP5', 740),
(741, 'PF11013', NULL, 'Protein of unknown function (DUF2851)', 375, NULL, 'DUF2851', 741),
(742, 'PF17140', NULL, 'Domain of unknown function (DUF5113)', 162, NULL, 'DUF5113', 742),
(743, 'PF12707', NULL, 'Protein of unknown function (DUF3804)', 128, NULL, 'DUF3804', 743),
(744, 'PF15457', NULL, 'Type III T3SS secreted effector HopW1-1/HopPmaA', 321, NULL, 'HopW1-1', 744),
(745, 'PF14568', NULL, 'SMI1-KNR4 cell-wall', 121, NULL, 'SUKH_6', 745),
(746, 'PF05355', NULL, 'Apolipoprotein C-II', 77, NULL, 'Apo-CII', 746),
(747, 'PF04700', NULL, 'Structural glycoprotein p40/gp41 conserved region', 185, NULL, 'Baculo_gp41', 747),
(748, 'PF04728', NULL, 'Lipoprotein leucine-zipper', 53, NULL, 'LPP', 748),
(749, 'PF15756', NULL, 'Small Novel Rich in Cartilage', 96, NULL, 'DUF4690', 749),
(750, 'PF15174', NULL, 'Prion-related protein testis-specific', 51, NULL, 'PRNT', 750);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(751, 'PF13866', NULL, 'SAP30 zinc-finger', 72, NULL, 'zf-SAP30', 751),
(752, 'PF16777', NULL, 'Transcriptional regulator, RHH-like, CopG', 74, NULL, 'RHH_7', 752),
(753, 'PF08158', NULL, 'NUC130/3NT domain', 52, NULL, 'NUC130_3NT', 753),
(754, 'PF03371', NULL, 'PRP38 family', 174, NULL, 'PRP38', 754),
(755, 'PF12449', NULL, 'Protein of unknown function (DUF3684)', 1099, NULL, 'DUF3684', 755),
(756, 'PF05209', NULL, 'Septum formation inhibitor MinC, N-terminal domain', 104, NULL, 'MinC_N', 756),
(757, 'PF02821', NULL, 'Staphylokinase/Streptokinase family', 126, NULL, 'Staphylokinase', 757),
(758, 'PF16180', NULL, 'RelB leucine zipper', 84, NULL, 'RelB_leu_zip', 758),
(759, 'PF07931', NULL, 'Chloramphenicol phosphotransferase-like protein', 172, NULL, 'CPT', 759),
(760, 'PF15586', NULL, 'Immunity protein 8', 114, NULL, 'Imm8', 760),
(761, 'PF14891', NULL, 'Effector protein', 176, NULL, 'Peptidase_M91', 761),
(762, 'PF12367', NULL, 'Pyruvate ferredoxin oxidoreductase beta subunit C terminal', 66, NULL, 'PFO_beta_C', 762),
(763, 'PF07771', NULL, 'Tick salivary peptide group 1', 120, NULL, 'TSGP1', 763),
(764, 'PF13914', NULL, 'Phostensin PP1-binding and SH3-binding region', 142, NULL, 'Phostensin', 764),
(765, 'PF17798', NULL, 'TRIF N-terminal domain', 157, NULL, 'TRIF-NTD', 765),
(766, 'PF02312', NULL, 'Core binding factor beta subunit', 168, NULL, 'CBF_beta', 766),
(767, 'PF18431', NULL, 'Bacterial CdiA-CT RNAse A domain', 113, NULL, 'RNAse_A_bac', 767),
(768, 'PF17892', NULL, 'Cadherin-like domain', 98, NULL, 'Cadherin_5', 768),
(769, 'PF02801', NULL, 'Beta-ketoacyl synthase, C-terminal domain', 119, NULL, 'Ketoacyl-synt_C', 769),
(770, 'PF00675', NULL, 'Insulinase (Peptidase family M16)', 149, NULL, 'Peptidase_M16', 770),
(771, 'PF02128', NULL, 'Fungalysin metallopeptidase (M36)', 372, NULL, 'Peptidase_M36', 771),
(772, 'PF13812', NULL, 'Pentatricopeptide repeat domain', 63, NULL, 'PPR_3', 772),
(773, 'PF02191', NULL, 'Olfactomedin-like domain', 247, NULL, 'OLF', 773),
(774, 'PF03849', NULL, 'Transcription factor Tfb2', 366, NULL, 'Tfb2', 774),
(775, 'PF07190', NULL, 'Protein of unknown function (DUF1406)', 172, NULL, 'DUF1406', 775),
(776, 'PF17016', NULL, 'Domain of unknown function (DUF5095)', 241, NULL, 'DUF5095', 776),
(777, 'PF19211', NULL, 'Coronavirus replicase NSP2, N-terminal', 200, NULL, 'CoV_NSP2_N', 777),
(778, 'PF15293', NULL, 'Nuclear fragile X mental retardation-interacting protein 2', 596, NULL, 'NUFIP2', 778),
(779, 'PF08508', NULL, 'Fungal domain of unknown function (DUF1746)', 115, NULL, 'DUF1746', 779),
(780, 'PF13964', NULL, 'Kelch motif', 50, NULL, 'Kelch_6', 780),
(781, 'PF18116', NULL, 'Sorting Nexin 17 FERM C-terminal domain', 105, NULL, 'SNX17_FERM_C', 781),
(782, 'PF15098', NULL, 'TMEM89 protein family', 134, NULL, 'TMEM89', 782),
(783, 'PF07184', NULL, 'Citrus tristeza virus P33 protein', 303, NULL, 'CTV_P33', 783),
(784, 'PF02696', NULL, 'Uncharacterized ACR, YdiU/UPF0061 family', 468, NULL, 'UPF0061', 784),
(785, 'PF14328', NULL, 'Domain of unknown function (DUF4385)', 148, NULL, 'DUF4385', 785),
(786, 'PF09380', NULL, 'FERM C-terminal PH-like domain', 94, NULL, 'FERM_C', 786),
(787, 'PF04230', NULL, 'Polysaccharide pyruvyl transferase', 286, NULL, 'PS_pyruv_trans', 787),
(788, 'PF06945', NULL, 'Protein of unknown function (DUF1289)', 48, NULL, 'DUF1289', 788),
(789, 'PF12431', NULL, 'Transcriptional regulator', 30, NULL, 'CitT', 789),
(790, 'PF13214', NULL, 'Protein of unknown function (DUF4022)', 77, NULL, 'DUF4022', 790),
(791, 'PF00565', NULL, 'Staphylococcal nuclease homologue', 108, NULL, 'SNase', 791),
(792, 'PF07492', NULL, 'Neutral trehalase Ca2+ binding domain', 30, NULL, 'Trehalase_Ca-bi', 792),
(793, 'PF16471', NULL, 'JNK-interacting protein leucine zipper II', 71, NULL, 'JIP_LZII', 793),
(794, 'PF09551', NULL, 'Stage II sporulation protein R (spore_II_R)', 128, NULL, 'Spore_II_R', 794),
(795, 'PF02907', NULL, 'Hepatitis C virus NS3 protease', 149, NULL, 'Peptidase_S29', 795);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(796, 'PF10699', NULL, 'Male gamete fusion factor', 502, NULL, 'HAP2-GCS1', 796),
(797, 'PF13525', NULL, 'Outer membrane lipoprotein', 203, NULL, 'YfiO', 797),
(798, 'PF14317', NULL, 'YcxB-like protein', 61, NULL, 'YcxB', 798),
(799, 'PF12136', NULL, 'RNA polymerase Rpo13 subunit HTH domain', 43, NULL, 'RNA_pol_Rpo13', 799),
(800, 'PF14775', NULL, 'Sperm tail C-terminal domain', 60, NULL, 'NYD-SP28_assoc', 800),
(801, 'PF11662', NULL, 'Protein of unknown function (DUF3263)', 74, NULL, 'DUF3263', 801),
(802, 'PF04927', NULL, 'Seed maturation protein', 59, NULL, 'SMP', 802),
(803, 'PF05366', NULL, 'Sarcolipin', 31, NULL, 'Sarcolipin', 803),
(804, 'PF08953', NULL, 'Domain of unknown function (DUF1899)', 66, NULL, 'DUF1899', 804),
(805, 'PF01527', NULL, 'Transposase', 75, NULL, 'HTH_Tnp_1', 805),
(806, 'PF00585', NULL, 'C-terminal regulatory domain of Threonine dehydratase', 91, NULL, 'Thr_dehydrat_C', 806),
(807, 'PF11179', NULL, 'Protein of unknown function (DUF2967)', 880, NULL, 'DUF2967', 807),
(808, 'PF06212', NULL, 'GRIM-19 protein', 132, NULL, 'GRIM-19', 808),
(809, 'PF08777', NULL, 'RNA binding motif', 102, NULL, 'RRM_3', 809),
(810, 'PF09376', NULL, 'NurA domain', 243, NULL, 'NurA', 810),
(811, 'PF09712', NULL, 'Poly(R)-hydroxyalkanoic acid synthase subunit (PHA_synth_III_E)', 314, NULL, 'PHA_synth_III_E', 811),
(812, 'PF05843', NULL, 'Suppressor of forked protein (Suf)', 296, NULL, 'Suf', 812),
(813, 'PF06511', NULL, 'Type III secretion systems tip complex components', 355, NULL, 'T3SS_TC', 813),
(814, 'PF01202', NULL, 'Shikimate kinase', 158, NULL, 'SKI', 814),
(815, 'PF01963', NULL, 'TraB family', 263, NULL, 'TraB', 815),
(816, 'PF18503', NULL, '26S proteasome subunit RPN6 C-terminal helix domain', 27, NULL, 'RPN6_C_helix', 816),
(817, 'PF06644', NULL, 'ATP11 protein', 271, NULL, 'ATP11', 817),
(818, 'PF03736', NULL, 'EPTP domain', 43, NULL, 'EPTP', 818),
(819, 'PF02199', NULL, 'Saposin A-type domain', 33, NULL, 'SapA', 819),
(820, 'PF10225', NULL, 'NEMP family', 249, NULL, 'NEMP', 820),
(821, 'PF10807', NULL, 'Protein of unknown function (DUF2541)', 130, NULL, 'DUF2541', 821),
(822, 'PF08647', NULL, 'BRE1 E3 ubiquitin ligase', 95, NULL, 'BRE1', 822),
(823, 'PF13956', NULL, 'Toxin Ibs, type I toxin-antitoxin system', 19, NULL, 'Ibs_toxin', 823),
(824, 'PF08412', NULL, 'Ion transport protein N-terminal', 44, NULL, 'Ion_trans_N', 824),
(825, 'PF00823', NULL, 'PPE family', 158, NULL, 'PPE', 825),
(826, 'PF10407', NULL, 'Cdc14 phosphatase binding protein N-terminus', 71, NULL, 'Cytokin_check_N', 826),
(827, 'PF03619', NULL, 'Organic solute transporter Ostalpha', 265, NULL, 'Solute_trans_a', 827),
(828, 'PF17992', NULL, 'Agarase CBM like domain', 182, NULL, 'Agarase_CBM', 828),
(829, 'PF15847', NULL, 'Major keratinocyte cell envelope protein', 312, NULL, 'Loricrin', 829),
(830, 'PF17968', NULL, 'Toll-like receptor 3 trans-membrane domain', 33, NULL, 'Tlr3_TMD', 830),
(831, 'PF13072', NULL, 'Mother cell inhibitor of FtsZ', 37, NULL, 'MciZ', 831),
(832, 'PF08153', NULL, 'NGP1NT (NUC091) domain', 131, NULL, 'NGP1NT', 832),
(833, 'PF18168', NULL, 'Prim-pol family 5', 337, NULL, 'PPL5', 833),
(834, 'PF10947', NULL, 'Protein of unknown function (DUF2628)', 88, NULL, 'DUF2628', 834),
(835, 'PF01256', NULL, 'Carbohydrate kinase', 244, NULL, 'Carb_kinase', 835),
(836, 'PF08394', NULL, 'Archaeal TRASH domain', 37, NULL, 'Arc_trans_TRASH', 836),
(837, 'PF09590', NULL, 'Lentivirus surface glycoprotein', 591, NULL, 'Env-gp36', 837),
(838, 'PF03950', NULL, 'tRNA synthetases class I (E and Q), anti-codon binding domain', 174, NULL, 'tRNA-synt_1c_C', 838),
(839, 'PF12506', NULL, 'Protein of unknown function (DUF3713)', 116, NULL, 'DUF3713', 839),
(840, 'PF06419', NULL, 'Conserved oligomeric complex COG6', 626, NULL, 'COG6', 840),
(841, 'PF17819', NULL, 'Family of unknown function (DUF5582)', 146, NULL, 'DUF5582', 841),
(842, 'PF15951', NULL, 'MITF/TFEB/TFEC/TFE3 N-terminus', 153, NULL, 'MITF_TFEB_C_3_N', 842);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(843, 'PF01988', NULL, 'VIT family', 215, NULL, 'VIT1', 843),
(844, 'PF03666', NULL, 'Nitrogen Permease regulator of amino acid transport activity 3', 467, NULL, 'NPR3', 844),
(845, 'PF00494', NULL, 'Squalene/phytoene synthase', 263, NULL, 'SQS_PSY', 845),
(846, 'PF10020', NULL, 'Uncharacterized protein conserved in bacteria (DUF2262)', 141, NULL, 'DUF2262', 846),
(847, 'PF08850', NULL, 'Domain of unknown function (DUF1820)', 97, NULL, 'DUF1820', 847),
(848, 'PF07915', NULL, 'Glucosidase II beta subunit-like protein', 81, NULL, 'PRKCSH', 848),
(849, 'PF12845', NULL, 'TBD domain', 56, NULL, 'TBD', 849),
(850, 'PF05662', NULL, 'Coiled stalk of trimeric autotransporter adhesin', 43, NULL, 'YadA_stalk', 850),
(851, 'PF11956', NULL, 'Ankyrin-G binding motif of KCNQ2-3', 102, NULL, 'KCNQC3-Ank-G_bd', 851),
(852, 'PF13759', NULL, 'Putative 2OG-Fe(II) oxygenase', 101, NULL, '2OG-FeII_Oxy_5', 852),
(853, 'PF05213', NULL, 'Coronavirus NS2A protein', 252, NULL, 'Corona_NS2A', 853),
(854, 'PF00095', NULL, 'WAP-type (Whey Acidic Protein) ''four-disulfide core''', 41, NULL, 'WAP', 854),
(855, 'PF06711', NULL, 'Protein of unknown function (DUF1198)', 143, NULL, 'DUF1198', 855),
(856, 'PF01743', NULL, 'Poly A polymerase head domain', 126, NULL, 'PolyA_pol', 856),
(857, 'PF06526', NULL, 'Protein of unknown function (DUF1107)', 63, NULL, 'DUF1107', 857),
(858, 'PF17499', NULL, 'Ant venom peptides', 74, NULL, 'Pilosulin', 858),
(859, 'PF16630', NULL, 'Unstructured region on APC between 1st and 2nd catenin-bdg motifs', 100, NULL, 'APC_u5', 859),
(860, 'PF15468', NULL, 'Domain of unknown function (DUF4636)', 243, NULL, 'DUF4636', 860),
(861, 'PF09546', NULL, 'Stage III sporulation protein AE (spore_III_AE)', 321, NULL, 'Spore_III_AE', 861),
(862, 'PF11346', NULL, 'Protein of unknown function (DUF3149)', 40, NULL, 'DUF3149', 862),
(863, 'PF03875', NULL, 'Statherin', 41, NULL, 'Statherin', 863),
(864, 'PF10333', NULL, 'GPI-Mannosyltransferase II co-activator', 175, NULL, 'Pga1', 864),
(865, 'PF05825', NULL, 'Beta-microseminoprotein (PSP-94)', 94, NULL, 'PSP94', 865),
(866, 'PF15370', NULL, 'Domain of unknown function (DUF4598)', 110, NULL, 'DUF4598', 866),
(867, 'PF15979', NULL, 'Glycosyl hydrolase family 115', 339, NULL, 'Glyco_hydro_115', 867),
(868, 'PF03460', NULL, 'Nitrite/Sulfite reductase ferredoxin-like half domain', 69, NULL, 'NIR_SIR_ferr', 868),
(869, 'PF11128', NULL, 'Plant viral coat protein nucleocapsid', 179, NULL, 'Nucleocap_ssRNA', 869),
(870, 'PF06741', NULL, 'LsmAD domain', 72, NULL, 'LsmAD', 870),
(871, 'PF11852', NULL, 'Domain of unknown function (DUF3372)', 167, NULL, 'DUF3372', 871),
(872, 'PF18864', NULL, 'AbiTii', 186, NULL, 'AbiTii', 872),
(873, 'PF05003', NULL, 'Protein of unknown function (DUF668)', 89, NULL, 'DUF668', 873),
(874, 'PF14320', NULL, 'Phosphoprotein P region PNT disordered', 311, NULL, 'Paramyxo_PNT', 874),
(875, 'PF08829', NULL, 'Alpha C protein N terminal', 106, NULL, 'AlphaC_N', 875),
(876, 'PF04664', NULL, 'Opioid growth factor receptor (OGFr) conserved region', 208, NULL, 'OGFr_N', 876),
(877, 'PF08950', NULL, 'Protein of unknown function (DUF1861)', 296, NULL, 'DUF1861', 877),
(878, 'PF15709', NULL, 'Domain of unknown function (DUF4670)', 522, NULL, 'DUF4670', 878),
(879, 'PF15642', NULL, 'Toxin in Odyssella and Amoebophilus', 385, NULL, 'Tox-ODYAM1', 879),
(880, 'PF03828', NULL, 'Cid1 family poly A polymerase', 63, NULL, 'PAP_assoc', 880),
(881, 'PF14189', NULL, 'Domain of unknown function (DUF4312)', 84, NULL, 'DUF4312', 881),
(882, 'PF00373', NULL, 'FERM central domain', 111, NULL, 'FERM_M', 882),
(883, 'PF17256', NULL, 'Anaphase-promoting complex, subunit 16', 80, NULL, 'ANAPC16', 883),
(884, 'PF01027', NULL, 'Inhibitor of apoptosis-promoting Bax1', 207, NULL, 'Bax1-I', 884),
(885, 'PF07682', NULL, 'Sulphur oxygenase reductase', 302, NULL, 'SOR', 885),
(886, 'PF10738', NULL, 'Probable lipoprotein LpqN', 174, NULL, 'Lpp-LpqN', 886),
(887, 'PF13969', NULL, 'Pab87 octamerisation domain', 97, NULL, 'Pab87_oct', 887);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(888, 'PF08516', NULL, 'ADAM cysteine-rich', 116, NULL, 'ADAM_CR', 888),
(889, 'PF00308', NULL, 'Bacterial dnaA  protein', 219, NULL, 'Bac_DnaA', 889),
(890, 'PF18629', NULL, 'Family of unknown function (DUF5629)', 98, NULL, 'DUF5629', 890),
(891, 'PF00936', NULL, 'BMC domain', 74, NULL, 'BMC', 891),
(892, 'PF10026', NULL, 'Predicted Zn-dependent protease (DUF2268)', 195, NULL, 'DUF2268', 892),
(893, 'PF03271', NULL, 'EB1-like C-terminal motif', 41, NULL, 'EB1', 893),
(894, 'PF04752', NULL, 'ChaC-like protein', 181, NULL, 'ChaC', 894),
(895, 'PF12538', NULL, 'DNA transporter', 117, NULL, 'FtsK_SpoIIIE_N', 895),
(896, 'PF11404', NULL, 'Potassium voltage-gated channel', 29, NULL, 'Potassium_chann', 896),
(897, 'PF02346', NULL, 'Chordopoxvirus multifunctional envelope protein A27', 56, NULL, 'Vac_Fusion', 897),
(898, 'PF14087', NULL, 'Domain of unknown function (DUF4267)', 112, NULL, 'DUF4267', 898),
(899, 'PF03923', NULL, 'Uncharacterized lipoprotein', 159, NULL, 'Lipoprotein_16', 899),
(900, 'PF03792', NULL, 'PBC domain', 188, NULL, 'PBC', 900),
(901, 'PF08770', NULL, 'Sulphur oxidation protein SoxZ', 96, NULL, 'SoxZ', 901),
(902, 'PF04115', NULL, 'Ureidoglycolate lyase', 189, NULL, 'Ureidogly_lyase', 902),
(903, 'PF01787', NULL, 'Ilarvirus coat protein', 204, NULL, 'Ilar_coat', 903),
(904, 'PF18200', NULL, 'Bacterial Ig-like domain', 79, NULL, 'Big_11', 904),
(905, 'PF04365', NULL, 'Ribonuclease toxin, BrnT, of type II toxin-antitoxin system', 78, NULL, 'BrnT_toxin', 905),
(906, 'PF15189', NULL, 'Meiosis-specific coiled-coil domain-containing protein MEIOC', 166, NULL, 'MEIOC', 906),
(907, 'PF07555', NULL, 'beta-N-acetylglucosaminidase', 292, NULL, 'NAGidase', 907),
(908, 'PF06485', NULL, 'RNA-binding protein Tab2/Atab2', 268, NULL, 'Tab2_like', 908),
(909, 'PF02491', NULL, 'SHS2 domain inserted in FTSA', 79, NULL, 'SHS2_FTSA', 909),
(910, 'PF13272', NULL, 'Putative 2/3 transmembrane domain holin', 105, NULL, 'Holin_2-3', 910),
(911, 'PF18272', NULL, 'single-stranded DNA binding TraI N-terminal subdomain', 53, NULL, 'ssDNA_TraI_N', 911),
(912, 'PF03234', NULL, 'Cdc37 N terminal kinase binding', 129, NULL, 'CDC37_N', 912),
(913, 'PF08765', NULL, 'Mor transcription activator family', 108, NULL, 'Mor', 913),
(914, 'PF16015', NULL, 'Promethin', 106, NULL, 'Promethin', 914),
(915, 'PF12512', NULL, 'Protein of unknown function (DUF3717)', 68, NULL, 'DUF3717', 915),
(916, 'PF01640', NULL, 'Peptidase C10 family', 193, NULL, 'Peptidase_C10', 916),
(917, 'PF18338', NULL, 'Lower baseplate protein N-terminal domain', 25, NULL, 'BppL_N', 917),
(918, 'PF16245', NULL, 'Domain of unknown function (DUF4902)', 118, NULL, 'DUF4902', 918),
(919, 'PF08020', NULL, 'Protein of unknown function (DUF1706)', 166, NULL, 'DUF1706', 919),
(920, 'PF05965', NULL, 'F/Y rich C-terminus', 84, NULL, 'FYRC', 920),
(921, 'PF03179', NULL, 'Vacuolar (H+)-ATPase G subunit', 105, NULL, 'V-ATPase_G', 921),
(922, 'PF18076', NULL, 'Formylglycinamide ribonucleotide amidotransferase N-terminal', 115, NULL, 'FGAR-AT_N', 922),
(923, 'PF02560', NULL, 'Cyanate lyase C-terminal domain', 69, NULL, 'Cyanate_lyase', 923),
(924, 'PF19048', NULL, 'SidE mono-ADP-ribosyltransferase domain', 337, NULL, 'SidE_mART', 924),
(925, 'PF13074', NULL, 'Protein of unknown function (DUF3938)', 98, NULL, 'DUF3938', 925),
(926, 'PF14127', NULL, 'Domain of unknown function (DUF4294)', 155, NULL, 'DUF4294', 926),
(927, 'PF05522', NULL, 'Metallothionein', 65, NULL, 'Metallothio_6', 927),
(928, 'PF01032', NULL, 'FecCD transport family', 312, NULL, 'FecCD', 928),
(929, 'PF16522', NULL, 'Flagellar FLiS export co-chaperone, HP1076', 148, NULL, 'FliS_cochap', 929),
(930, 'PF04135', NULL, 'Nucleolar RNA-binding protein, Nop10p family', 52, NULL, 'Nop10p', 930),
(931, 'PF13035', NULL, 'Protein of unknown function (DUF3896)', 61, NULL, 'DUF3896', 931),
(932, 'PF10177', NULL, 'Uncharacterised conserved protein (DUF2371)', 142, NULL, 'DUF2371', 932),
(933, 'PF16666', NULL, 'Unstructured region on MAGI', 127, NULL, 'MAGI_u5', 933);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(934, 'PF07980', NULL, 'SusD family', 300, NULL, 'SusD_RagB', 934),
(935, 'PF09420', NULL, 'Ribosome biogenesis protein Nop16', 210, NULL, 'Nop16', 935),
(936, 'PF02102', NULL, 'Deuterolysin metalloprotease (M35) family', 359, NULL, 'Peptidase_M35', 936),
(937, 'PF19082', NULL, 'Family of unknown function (DUF5773)', 175, NULL, 'DUF5773', 937),
(938, 'PF00722', NULL, 'Glycosyl hydrolases family 16', 178, NULL, 'Glyco_hydro_16', 938),
(939, 'PF02676', NULL, 'Methyltransferase TYW3', 213, NULL, 'TYW3', 939),
(940, 'PF17501', NULL, 'Viral RNA-directed RNA polymerase', 101, NULL, 'Viral_RdRp_C', 940),
(941, 'PF04316', NULL, 'Anti-sigma-28 factor, FlgM', 55, NULL, 'FlgM', 941),
(942, 'PF18448', NULL, 'Carbohydrate binding domain', 105, NULL, 'CBM46', 942),
(943, 'PF01499', NULL, 'Herpesvirus UL25 family', 554, NULL, 'Herpes_UL25', 943),
(944, 'PF13991', NULL, 'BssS protein family', 72, NULL, 'BssS', 944),
(945, 'PF02454', NULL, 'Sigma 1s protein', 116, NULL, 'Sigma_1s', 945),
(946, 'PF09990', NULL, 'Predicted membrane protein (DUF2231)', 100, NULL, 'DUF2231', 946),
(947, 'PF09203', NULL, 'MspA', 175, NULL, 'MspA', 947),
(948, 'PF15322', NULL, 'Protein missing in infertile sperm 1, putative', 311, NULL, 'PMSI1', 948),
(949, 'PF14084', NULL, 'Protein of unknown function (DUF4264)', 52, NULL, 'DUF4264', 949),
(950, 'PF11791', NULL, 'Aconitate B N-terminal domain', 153, NULL, 'Aconitase_B_N', 950),
(951, 'PF12280', NULL, 'Brain specific membrane anchored protein', 195, NULL, 'BSMAP', 951),
(952, 'PF08788', NULL, 'NHR2 domain like', 67, NULL, 'NHR2', 952),
(953, 'PF13480', NULL, 'Acetyltransferase (GNAT) domain', 142, NULL, 'Acetyltransf_6', 953),
(954, 'PF08553', NULL, 'VID27 C-terminal WD40-like domain', 356, NULL, 'VID27', 954),
(955, 'PF03788', NULL, 'LrgA family', 94, NULL, 'LrgA', 955),
(956, 'PF02664', NULL, 'S-Ribosylhomocysteinase (LuxS)', 154, NULL, 'LuxS', 956),
(957, 'PF00756', NULL, 'Putative esterase', 251, NULL, 'Esterase', 957),
(958, 'PF16560', NULL, 'Putative mobile pathogenicity island', 213, NULL, 'SAPI', 958),
(959, 'PF04263', NULL, 'Thiamin pyrophosphokinase, catalytic domain', 121, NULL, 'TPK_catalytic', 959),
(960, 'PF00048', NULL, 'Small cytokines (intecrine/chemokine), interleukin-8 like', 60, NULL, 'IL8', 960),
(961, 'PF09826', NULL, 'Beta propeller domain', 512, NULL, 'Beta_propel', 961),
(962, 'PF03956', NULL, 'Lysine exporter LysO', 190, NULL, 'Lys_export', 962),
(963, 'PF00088', NULL, 'Trefoil (P-type) domain', 43, NULL, 'Trefoil', 963),
(964, 'PF14870', NULL, 'Photosynthesis system II assembly factor YCF48', 304, NULL, 'PSII_BNR', 964),
(965, 'PF12418', NULL, 'Acyl-CoA dehydrogenase N terminal', 32, NULL, 'AcylCoA_DH_N', 965),
(966, 'PF14593', NULL, 'PH domain', 104, NULL, 'PH_3', 966),
(967, 'PF00893', NULL, 'Small Multidrug Resistance protein', 93, NULL, 'Multi_Drug_Res', 967),
(968, 'PF02508', NULL, 'Rnf-Nqr subunit, membrane protein', 174, NULL, 'Rnf-Nqr', 968),
(969, 'PF06674', NULL, 'Protein of unknown function (DUF1176)', 326, NULL, 'DUF1176', 969),
(970, 'PF14803', NULL, 'Nudix N-terminal', 34, NULL, 'Nudix_N_2', 970),
(971, 'PF17026', NULL, 'Putative ribonucleoprotein zinc-finger pf C4 type', 108, NULL, 'zf-RRPl_C4', 971),
(972, 'PF05692', NULL, 'Mycoplasma haemagglutinin', 429, NULL, 'Myco_haema', 972),
(973, 'PF03685', NULL, 'Uncharacterised protein family (UPF0147)', 81, NULL, 'UPF0147', 973),
(974, 'PF18938', NULL, 'Atypical Rib domain', 71, NULL, 'aRib', 974),
(975, 'PF15346', NULL, 'Arginine and glutamate-rich 1', 151, NULL, 'ARGLU', 975),
(976, 'PF10305', NULL, 'RNA pol II promoter Fmp27 protein domain', 103, NULL, 'Fmp27_SW', 976),
(977, 'PF16338', NULL, 'Domain of unknown function (DUF4968)', 94, NULL, 'DUF4968', 977),
(978, 'PF18512', NULL, 'Benzylsuccinate synthase beta subunit', 66, NULL, 'BssB_TutG', 978),
(979, 'PF15005', NULL, 'Izumo sperm-egg fusion, Ig domain-associated', 143, NULL, 'IZUMO', 979),
(980, 'PF03592', NULL, 'Terminase small subunit', 141, NULL, 'Terminase_2', 980);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(981, 'PF03853', NULL, 'YjeF-related protein N-terminus', 171, NULL, 'YjeF_N', 981),
(982, 'PF12565', NULL, 'Protein of unknown function (DUF3747)', 175, NULL, 'DUF3747', 982),
(983, 'PF15836', NULL, 'SSTK-interacting protein, TSSK6-activating co-chaperone protein', 125, NULL, 'SSTK-IP', 983),
(984, 'PF06600', NULL, 'Protein of unknown function (DUF1140)', 99, NULL, 'DUF1140', 984),
(985, 'PF18367', NULL, 'Rv2175c C-terminal domain of unknown function', 56, NULL, 'Rv2175c_C', 985),
(986, 'PF11153', NULL, 'Protein of unknown function (DUF2931)', 180, NULL, 'DUF2931', 986),
(987, 'PF09457', NULL, 'FIP domain', 41, NULL, 'RBD-FIP', 987),
(988, 'PF06999', NULL, 'Sucrase/ferredoxin-like', 195, NULL, 'Suc_Fer-like', 988),
(989, 'PF06045', NULL, 'Rhamnogalacturonate lyase family', 213, NULL, 'Rhamnogal_lyase', 989),
(990, 'PF03620', NULL, 'IBV 3C protein', 92, NULL, 'IBV_3C', 990),
(991, 'PF04522', NULL, 'Protein of unknown function (DUF585)', 234, NULL, 'DUF585', 991),
(992, 'PF05561', NULL, 'Borrelia burgdorferi protein of unknown function (DUF764)', 180, NULL, 'DUF764', 992),
(993, 'PF01001', NULL, 'Hepatitis C virus non-structural protein NS4b', 192, NULL, 'HCV_NS4b', 993),
(994, 'PF08504', NULL, 'Runx inhibition domain', 99, NULL, 'RunxI', 994),
(995, 'PF10074', NULL, 'Uncharacterized conserved protein (DUF2285)', 107, NULL, 'DUF2285', 995),
(996, 'PF04185', NULL, 'Phosphoesterase family', 356, NULL, 'Phosphoesterase', 996),
(997, 'PF00236', NULL, 'Glycoprotein hormone', 96, NULL, 'Hormone_6', 997),
(998, 'PF16129', NULL, 'Domain of unknown function (DUF4841)', 69, NULL, 'DUF4841', 998),
(999, 'PF16329', NULL, 'Pestivirus envelope glycoprotein E2', 372, NULL, 'Pestivirus_E2', 999),
(1000, 'PF07233', NULL, 'Protein of unknown function (DUF1425)', 92, NULL, 'DUF1425', 1000),
(1001, 'PF05620', NULL, 'SRP-independent targeting protein 2/TMEM208', 168, NULL, 'TMEM208_SND2', 1001),
(1002, 'PF11403', NULL, 'Yeast metallothionein', 39, NULL, 'Yeast_MT', 1002),
(1003, 'PF07125', NULL, 'Protein of unknown function (DUF1378)', 59, NULL, 'DUF1378', 1003),
(1004, 'PF14777', NULL, 'Cilia BBSome complex subunit 10', 64, NULL, 'BBIP10', 1004),
(1005, 'PF07643', NULL, 'Protein of unknown function (DUF1598)', 84, NULL, 'DUF1598', 1005),
(1006, 'PF11352', NULL, 'Protein of unknown function (DUF3155)', 88, NULL, 'DUF3155', 1006),
(1007, 'PF13095', NULL, 'Kinetochore Sim4 complex subunit FTA2', 218, NULL, 'FTA2', 1007),
(1008, 'PF00151', NULL, 'Lipase', 336, NULL, 'Lipase', 1008),
(1009, 'PF17161', NULL, 'Domain of unknown function (DUF5123)', 118, NULL, 'DUF5123', 1009),
(1010, 'PF18455', NULL, 'Gamma-aminobutyric acid type B receptor subunit 2 coiled-coil domain', 39, NULL, 'GBR2_CC', 1010),
(1011, 'PF01338', NULL, 'Bacillus thuringiensis toxin', 230, NULL, 'Bac_thur_toxin', 1011),
(1012, 'PF13366', NULL, 'PD-(D/E)XK nuclease superfamily', 118, NULL, 'PDDEXK_3', 1012),
(1013, 'PF05767', NULL, 'Poxvirus virion envelope protein A14', 93, NULL, 'Pox_A14', 1013),
(1014, 'PF08869', NULL, 'XisI protein', 110, NULL, 'XisI', 1014),
(1015, 'PF16119', NULL, 'Domain of unknown function (DUF4835)', 276, NULL, 'DUF4835', 1015),
(1016, 'PF09562', NULL, 'LlaMI restriction endonuclease', 242, NULL, 'RE_LlaMI', 1016),
(1017, 'PF08833', NULL, 'Axin beta-catenin binding motif', 37, NULL, 'Axin_b-cat_bind', 1017),
(1018, 'PF17065', NULL, 'Putative cytokine, C6ORF120', 185, NULL, 'UPF0669', 1018),
(1019, 'PF09921', NULL, 'Uncharacterized protein conserved in archaea (DUF2153)', 123, NULL, 'DUF2153', 1019),
(1020, 'PF13716', NULL, 'Divergent CRAL/TRIO domain', 139, NULL, 'CRAL_TRIO_2', 1020),
(1021, 'PF16535', NULL, 'Type III cell invasion protein SipB', 155, NULL, 'T3SSipB', 1021),
(1022, 'PF14492', NULL, 'Elongation Factor G, domain III', 75, NULL, 'EFG_III', 1022),
(1023, 'PF15168', NULL, 'Triple QxxK/R motif-containing protein family', 79, NULL, 'TRIQK', 1023),
(1024, 'PF14371', NULL, 'Domain of unknown function (DUF4412)', 191, NULL, 'DUF4412', 1024);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1025, 'PF13322', NULL, 'Domain of unknown function (DUF4092)', 176, NULL, 'DUF4092', 1025),
(1026, 'PF04929', NULL, 'Herpes DNA replication accessory factor', 400, NULL, 'Herpes_DNAp_acc', 1026),
(1027, 'PF14754', NULL, 'Papain-like auto-proteinase', 249, NULL, 'IFR3_antag', 1027),
(1028, 'PF10140', NULL, 'WXG100 protein secretion system (Wss), protein YukC', 357, NULL, 'YukC', 1028),
(1029, 'PF10083', NULL, 'Uncharacterized protein conserved in bacteria (DUF2321)', 156, NULL, 'DUF2321', 1029),
(1030, 'PF13421', NULL, 'SPFH domain-Band 7 family', 211, NULL, 'Band_7_1', 1030),
(1031, 'PF12169', NULL, 'DNA polymerase III subunits gamma and tau domain III', 143, NULL, 'DNA_pol3_gamma3', 1031),
(1032, 'PF14544', NULL, 'Domain of unknown function (DUF4443)', 112, NULL, 'DUF4443', 1032),
(1033, 'PF04077', NULL, 'DsrH like protein', 88, NULL, 'DsrH', 1033),
(1034, 'PF13167', NULL, 'GTP-binding GTPase N-terminal', 89, NULL, 'GTP-bdg_N', 1034),
(1035, 'PF02976', NULL, 'DNA mismatch repair enzyme MutH', 103, NULL, 'MutH', 1035),
(1036, 'PF02390', NULL, 'Putative methyltransferase', 173, NULL, 'Methyltransf_4', 1036),
(1037, 'PF08126', NULL, 'Propeptide_C25', 205, NULL, 'Propeptide_C25', 1037),
(1038, 'PF00965', NULL, 'Tissue inhibitor of metalloproteinase', 183, NULL, 'TIMP', 1038),
(1039, 'PF00243', NULL, 'Nerve growth factor family', 112, NULL, 'NGF', 1039),
(1040, 'PF09454', NULL, 'Vps23 core domain', 64, NULL, 'Vps23_core', 1040),
(1041, 'PF09163', NULL, 'Formate dehydrogenase N, transmembrane', 44, NULL, 'Form-deh_trans', 1041),
(1042, 'PF01186', NULL, 'Lysyl oxidase', 202, NULL, 'Lysyl_oxidase', 1042),
(1043, 'PF08238', NULL, 'Sel1 repeat', 38, NULL, 'Sel1', 1043),
(1044, 'PF05994', NULL, 'Cytoplasmic Fragile-X interacting family', 842, NULL, 'FragX_IP', 1044),
(1045, 'PF03367', NULL, 'ZPR1 zinc-finger domain', 159, NULL, 'zf-ZPR1', 1045),
(1046, 'PF16729', NULL, 'Domain of unknown function (DUF5067)', 126, NULL, 'DUF5067', 1046),
(1047, 'PF19017', NULL, 'Domain of unknown function (DUF5746)', 175, NULL, 'DUF5746', 1047),
(1048, 'PF07974', NULL, 'EGF-like domain', 32, NULL, 'EGF_2', 1048),
(1049, 'PF17254', NULL, 'Family of unknown function (DUF5321)', 160, NULL, 'DUF5321', 1049),
(1050, 'PF11916', NULL, 'Vacuolar protein 14 C-terminal Fig4p binding', 179, NULL, 'Vac14_Fig4_bd', 1050),
(1051, 'PF01510', NULL, 'N-acetylmuramoyl-L-alanine amidase', 126, NULL, 'Amidase_2', 1051),
(1052, 'PF00510', NULL, 'Cytochrome c oxidase subunit III', 258, NULL, 'COX3', 1052),
(1053, 'PF13653', NULL, 'Glycerophosphoryl diester phosphodiesterase family', 30, NULL, 'GDPD_2', 1053),
(1054, 'PF18173', NULL, 'Bacterial HORMA domain 2', 166, NULL, 'bacHORMA_2', 1054),
(1055, 'PF00364', NULL, 'Biotin-requiring enzyme', 73, NULL, 'Biotin_lipoyl', 1055),
(1056, 'PF10187', NULL, 'FAM192A/Fyv6, N-terminal domain', 105, NULL, 'FAM192A_Fyv6_N', 1056),
(1057, 'PF16812', NULL, 'C-terminal head domain of the fowl adenovirus type 1 long fibre', 201, NULL, 'AdHead_fibreRBD', 1057),
(1058, 'PF06533', NULL, 'Protein of unknown function (DUF1110)', 189, NULL, 'DUF1110', 1058),
(1059, 'PF17246', NULL, 'Cell division control protein 24, OB domain 1', 125, NULL, 'CDC24_OB1', 1059),
(1060, 'PF07107', NULL, 'Wound-induced protein WI12', 109, NULL, 'WI12', 1060),
(1061, 'PF17733', NULL, 'Family of unknown function (DUF5572)', 48, NULL, 'DUF5572', 1061),
(1062, 'PF17649', NULL, 'Vacuolar protein sorting 38', 425, NULL, 'VPS38', 1062),
(1063, 'PF12728', NULL, 'Helix-turn-helix domain', 51, NULL, 'HTH_17', 1063),
(1064, 'PF01308', NULL, 'Chlamydia major outer membrane protein', 393, NULL, 'Chlam_OMP', 1064),
(1065, 'PF17826', NULL, 'Family of unknown function (DUF5588)', 362, NULL, 'DUF5588', 1065),
(1066, 'PF06124', NULL, 'Staphylococcal protein of unknown function (DUF960)', 94, NULL, 'DUF960', 1066),
(1067, 'PF04586', NULL, 'Caudovirus prohead serine protease', 163, NULL, 'Peptidase_S78', 1067),
(1068, 'PF03970', NULL, 'Herpesvirus UL37 tegument protein', 267, NULL, 'Herpes_UL37_1', 1068);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1069, 'PF06347', NULL, 'Bacterial SH3 domain', 56, NULL, 'SH3_4', 1069),
(1070, 'PF10772', NULL, 'Protein of unknown function (DUF2597)', 134, NULL, 'DUF2597', 1070),
(1071, 'PF11964', NULL, 'SpoIIAA-like', 95, NULL, 'SpoIIAA-like', 1071),
(1072, 'PF05411', NULL, 'Equine arteritis virus putative proteinase', 128, NULL, 'Peptidase_C32', 1072),
(1073, 'PF12592', NULL, 'Protein of unknown function (DUF3763)', 55, NULL, 'DUF3763', 1073),
(1074, 'PF16138', NULL, 'Domain of unknown function (4846)', 239, NULL, 'DUF4846', 1074),
(1075, 'PF15423', NULL, 'FLYWCH-type zinc finger-containing protein', 107, NULL, 'FLYWCH_N', 1075),
(1076, 'PF05459', NULL, 'Herpesvirus transcriptional regulator family', 221, NULL, 'Herpes_UL69', 1076),
(1077, 'PF01885', NULL, 'RNA 2''-phosphotransferase, Tpt1 / KptA family', 180, NULL, 'PTS_2-RNA', 1077),
(1078, 'PF15388', NULL, 'Protein Family FAM117', 310, NULL, 'FAM117', 1078),
(1079, 'PF19160', NULL, 'SPARK', 152, NULL, 'SPARK', 1079),
(1080, 'PF18392', NULL, 'COP9 signalosome complex subunit 7a helix I domain', 50, NULL, 'CSN7a_helixI', 1080),
(1081, 'PF04666', NULL, 'N-Acetylglucosaminyltransferase-IV (GnT-IV) conserved region', 290, NULL, 'Glyco_transf_54', 1081),
(1082, 'PF15937', NULL, 'prlF antitoxin for toxin YhaV_toxin', 97, NULL, 'PrlF_antitoxin', 1082),
(1083, 'PF13453', NULL, 'Transcription factor zinc-finger', 41, NULL, 'zf-TFIIB', 1083),
(1084, 'PF12139', NULL, 'Adenosine-5''-phosphosulfate reductase beta subunit', 82, NULL, 'APS-reductase_C', 1084),
(1085, 'PF06725', NULL, '3D domain', 75, NULL, '3D', 1085),
(1086, 'PF14495', NULL, 'Cytochrome c-550 domain', 136, NULL, 'Cytochrom_C550', 1086),
(1087, 'PF07332', NULL, 'Putative Actinobacterial Holin-X, holin superfamily III', 113, NULL, 'Phage_holin_3_6', 1087),
(1088, 'PF00750', NULL, 'tRNA synthetases class I (R)', 349, NULL, 'tRNA-synt_1d', 1088),
(1089, 'PF04140', NULL, 'Isoprenylcysteine carboxyl methyltransferase (ICMT) family', 94, NULL, 'ICMT', 1089),
(1090, 'PF04480', NULL, 'Protein of unknown function (DUF559)', 109, NULL, 'DUF559', 1090),
(1091, 'PF05675', NULL, 'Protein of unknown function (DUF817)', 237, NULL, 'DUF817', 1091),
(1092, 'PF01263', NULL, 'Aldose 1-epimerase', 301, NULL, 'Aldose_epim', 1092),
(1093, 'PF01791', NULL, 'DeoC/LacD family aldolase', 235, NULL, 'DeoC', 1093),
(1094, 'PF05166', NULL, 'YcgL domain', 73, NULL, 'YcgL', 1094),
(1095, 'PF03424', NULL, 'Carbohydrate binding domain (family 17/28)', 203, NULL, 'CBM_17_28', 1095),
(1096, 'PF00394', NULL, 'Multicopper oxidase', 159, NULL, 'Cu-oxidase', 1096),
(1097, 'PF08139', NULL, 'Prokaryotic membrane lipoprotein lipid attachment site', 18, NULL, 'LPAM_1', 1097),
(1098, 'PF10464', NULL, 'Peptidase U40', 212, NULL, 'Peptidase_U40', 1098),
(1099, 'PF10428', NULL, 'RAM signalling pathway protein', 507, NULL, 'SOG2', 1099),
(1100, 'PF13071', NULL, 'Protein of unknown function (DUF3935)', 70, NULL, 'DUF3935', 1100),
(1101, 'PF14736', NULL, 'Protein N-terminal asparagine amidohydrolase', 270, NULL, 'N_Asn_amidohyd', 1101),
(1102, 'PF08328', NULL, 'Adenylosuccinate lyase C-terminal', 115, NULL, 'ASL_C', 1102),
(1103, 'PF15357', NULL, 'Psoriasis susceptibility 1 candidate 1', 149, NULL, 'SEEK1', 1103),
(1104, 'PF12679', NULL, 'ABC-2 family transporter protein', 288, NULL, 'ABC2_membrane_2', 1104),
(1105, 'PF13707', NULL, 'RloB-like protein', 194, NULL, 'RloB', 1105),
(1106, 'PF07528', NULL, 'DZF domain', 248, NULL, 'DZF', 1106),
(1107, 'PF16708', NULL, 'Lipoprotein confined to pathogenic Mycobacterium', 153, NULL, 'LppA', 1107),
(1108, 'PF17655', NULL, 'Inward rectifier potassium channel C-terminal domain', 174, NULL, 'IRK_C', 1108),
(1109, 'PF15027', NULL, 'Domain of unknown function (DUF4525)', 137, NULL, 'DUF4525', 1109),
(1110, 'PF05645', NULL, 'RNA polymerase III subunit RPC82', 258, NULL, 'RNA_pol_Rpc82', 1110),
(1111, 'PF18446', NULL, 'Domain of unknown function (DUF5611)', 103, NULL, 'DUF5611', 1111),
(1112, 'PF00327', NULL, 'Ribosomal protein L30p/L7e', 51, NULL, 'Ribosomal_L30', 1112);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1113, 'PF01213', NULL, 'Adenylate cyclase associated (CAP) N terminal', 77, NULL, 'CAP_N', 1113),
(1114, 'PF01389', NULL, 'OmpA-like transmembrane domain', 183, NULL, 'OmpA_membrane', 1114),
(1115, 'PF06307', NULL, 'Herpesvirus IR6 protein', 214, NULL, 'Herpes_IR6', 1115),
(1116, 'PF16768', NULL, 'Nucleoporin homology of Germinal-centre associated nuclear protein', 292, NULL, 'NupH_GANP', 1116),
(1117, 'PF14462', NULL, 'Prokaryotic E2 family E', 125, NULL, 'Prok-E2_E', 1117),
(1118, 'PF17437', NULL, 'Family of unknown function (DUF5416)', 167, NULL, 'DUF5416', 1118),
(1119, 'PF06295', NULL, 'Protein of unknown function (DUF1043)', 124, NULL, 'DUF1043', 1119),
(1120, 'PF06853', NULL, 'Protein of unknown function (DUF1249)', 116, NULL, 'DUF1249', 1120),
(1121, 'PF07972', NULL, 'NrdI Flavodoxin like', 120, NULL, 'Flavodoxin_NdrI', 1121),
(1122, 'PF06720', NULL, 'Bacteriophage phi-29 early protein GP16.7', 130, NULL, 'Phi-29_GP16_7', 1122),
(1123, 'PF05042', NULL, 'Caleosin related protein', 170, NULL, 'Caleosin', 1123),
(1124, 'PF09857', NULL, 'Putative toxin of bacterial toxin-antitoxin pair', 85, NULL, 'YjhX_toxin', 1124),
(1125, 'PF10861', NULL, 'Protein of Unknown function (DUF2784)', 112, NULL, 'DUF2784', 1125),
(1126, 'PF08112', NULL, 'ATP synthase epsilon subunit', 56, NULL, 'ATP-synt_E_2', 1126),
(1127, 'PF06844', NULL, 'Protein of unknown function (DUF1244)', 67, NULL, 'DUF1244', 1127),
(1128, 'PF12359', NULL, 'Protein of unknown function (DUF3645)', 33, NULL, 'DUF3645', 1128),
(1129, 'PF07141', NULL, 'Putative bacteriophage terminase small subunit', 174, NULL, 'Phage_term_sma', 1129),
(1130, 'PF11267', NULL, 'Domain of unknown function (DUF3067)', 98, NULL, 'DUF3067', 1130),
(1131, 'PF09198', NULL, 'Bacteriophage T4 beta-glucosyltransferase', 38, NULL, 'T4-Gluco-transf', 1131),
(1132, 'PF09387', NULL, 'Mitochondrial RNA binding protein MRP', 219, NULL, 'MRP', 1132),
(1133, 'PF06480', NULL, 'FtsH Extracellular', 109, NULL, 'FtsH_ext', 1133),
(1134, 'PF05671', NULL, 'GETHR pentapeptide repeat (5 copies)', 25, NULL, 'GETHR', 1134),
(1135, 'PF14919', NULL, 'MDM2-binding', 340, NULL, 'MTBP_mid', 1135),
(1136, 'PF11687', NULL, 'Domain of unknown function (DUF3284)', 120, NULL, 'DUF3284', 1136),
(1137, 'PF19025', NULL, 'Family of unknown function (DUF5751)', 116, NULL, 'DUF5751', 1137),
(1138, 'PF02815', NULL, 'MIR domain', 186, NULL, 'MIR', 1138),
(1139, 'PF12065', NULL, 'Protein of unknown function (DUF3545)', 59, NULL, 'DUF3545', 1139),
(1140, 'PF10382', NULL, 'Protein of unknown function (DUF2439)', 81, NULL, 'DUF2439', 1140),
(1141, 'PF07841', NULL, 'DM4/DM12 family', 86, NULL, 'DM4_12', 1141),
(1142, 'PF11059', NULL, 'Protein of unknown function (DUF2860)', 297, NULL, 'DUF2860', 1142),
(1143, 'PF13337', NULL, 'Putative ATP-dependent Lon protease', 455, NULL, 'Lon_2', 1143),
(1144, 'PF02122', NULL, 'Peptidase S39', 203, NULL, 'Peptidase_S39', 1144),
(1145, 'PF08031', NULL, 'Berberine and berberine like', 46, NULL, 'BBE', 1145),
(1146, 'PF15004', NULL, 'Myeloma-overexpressed-like', 57, NULL, 'MYEOV2', 1146),
(1147, 'PF11238', NULL, 'Protein of unknown function (DUF3039)', 56, NULL, 'DUF3039', 1147),
(1148, 'PF00154', NULL, 'recA bacterial DNA recombination protein', 263, NULL, 'RecA', 1148),
(1149, 'PF15573', NULL, 'Immunity protein 47', 258, NULL, 'Imm47', 1149),
(1150, 'PF04383', NULL, 'KilA-N domain', 112, NULL, 'KilA-N', 1150),
(1151, 'PF15670', NULL, 'Spermatid maturation protein 1', 254, NULL, 'Spem1', 1151),
(1152, 'PF18615', NULL, 'Short myomegalin-like EB1 binding proteins, N-terminal domain', 388, NULL, 'SMYLE_N', 1152),
(1153, 'PF01473', NULL, 'Putative cell wall binding repeat', 19, NULL, 'Choline_bind_1', 1153),
(1154, 'PF16377', NULL, 'Domain of unknown function', 145, NULL, 'DUF4987', 1154),
(1155, 'PF00206', NULL, 'Lyase', 312, NULL, 'Lyase_1', 1155),
(1156, 'PF12432', NULL, 'Protein of unknown function (DUF3677)', 82, NULL, 'DUF3677', 1156),
(1157, 'PF00162', NULL, 'Phosphoglycerate kinase', 382, NULL, 'PGK', 1157);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1158, 'PF11730', NULL, 'Protein of unknown function (DUF3297)', 71, NULL, 'DUF3297', 1158),
(1159, 'PF15593', NULL, 'Immunity protein 42', 162, NULL, 'Imm42', 1159),
(1160, 'PF14703', NULL, 'Cytosolic domain of 10TM putative phosphate transporter', 176, NULL, 'PHM7_cyt', 1160),
(1161, 'PF13765', NULL, 'SPRY-associated domain', 49, NULL, 'PRY', 1161),
(1162, 'PF17478', NULL, 'Rotavirus VP4 helical domain', 292, NULL, 'VP4_helical', 1162),
(1163, 'PF01288', NULL, '7,8-dihydro-6-hydroxymethylpterin-pyrophosphokinase (HPPK)', 111, NULL, 'HPPK', 1163),
(1164, 'PF09960', NULL, 'Uncharacterised protein conserved in bacteria (DUF2194)', 692, NULL, 'DUF2194', 1164),
(1165, 'PF03199', NULL, 'Eukaryotic glutathione synthase', 107, NULL, 'GSH_synthase', 1165),
(1166, 'PF02309', NULL, 'AUX/IAA family', 240, NULL, 'AUX_IAA', 1166),
(1167, 'PF04845', NULL, 'PurA ssDNA and RNA-binding protein', 219, NULL, 'PurA', 1167),
(1168, 'PF12960', NULL, 'Protein of unknown function (DUF3849)', 124, NULL, 'DUF3849', 1168),
(1169, 'PF02996', NULL, 'Prefoldin subunit', 120, NULL, 'Prefoldin', 1169),
(1170, 'PF15291', NULL, 'Dermcidin, antibiotic peptide', 99, NULL, 'Dermcidin', 1170),
(1171, 'PF14633', NULL, 'SH2 domain', 215, NULL, 'SH2_2', 1171),
(1172, 'PF15058', NULL, 'Speriolin N terminus', 200, NULL, 'Speriolin_N', 1172),
(1173, 'PF05033', NULL, 'Pre-SET motif', 109, NULL, 'Pre-SET', 1173),
(1174, 'PF04205', NULL, 'FMN-binding domain', 70, NULL, 'FMN_bind', 1174),
(1175, 'PF16631', NULL, 'Unstructured region 4 on terminal uridylyltransferase 7', 88, NULL, 'TUTF7_u4', 1175),
(1176, 'PF01225', NULL, 'Mur ligase family, catalytic domain', 93, NULL, 'Mur_ligase', 1176),
(1177, 'PF04437', NULL, 'RINT-1 / TIP-1 family', 517, NULL, 'RINT1_TIP1', 1177),
(1178, 'PF11644', NULL, 'Protein of unknown function (DUF3256)', 195, NULL, 'DUF3256', 1178),
(1179, 'PF11599', NULL, 'RRNA methyltransferase AviRa', 234, NULL, 'AviRa', 1179),
(1180, 'PF00215', NULL, 'Orotidine 5''-phosphate decarboxylase / HUMPS family', 225, NULL, 'OMPdecase', 1180),
(1181, 'PF08519', NULL, 'Replication factor RFC1 C terminal domain', 158, NULL, 'RFC1', 1181),
(1182, 'PF07819', NULL, 'PGAP1-like protein', 231, NULL, 'PGAP1', 1182),
(1183, 'PF16608', NULL, 'TNRC6-PABC binding domain', 291, NULL, 'TNRC6-PABC_bdg', 1183),
(1184, 'PF19128', NULL, 'Family of unknown function (DUF5811)', 103, NULL, 'DUF5811', 1184),
(1185, 'PF14053', NULL, 'Domain of unknown function (DUF4248)', 68, NULL, 'DUF4248', 1185),
(1186, 'PF11717', NULL, 'RNA binding activity-knot of a chromodomain', 55, NULL, 'Tudor-knot', 1186),
(1187, 'PF01918', NULL, 'Alba', 67, NULL, 'Alba', 1187),
(1188, 'PF09730', NULL, 'Microtubule-associated protein Bicaudal-D', 719, NULL, 'BicD', 1188),
(1189, 'PF09707', NULL, 'CRISPR-associated protein (Cas_Cas2CT1978)', 86, NULL, 'Cas_Cas2CT1978', 1189),
(1190, 'PF09717', NULL, 'Plasmodium falciparum domain of unknown function (CPW_WPC)', 59, NULL, 'CPW_WPC', 1190),
(1191, 'PF03076', NULL, 'Equine arteritis virus GP3', 160, NULL, 'GP3', 1191),
(1192, 'PF02536', NULL, 'mTERF', 314, NULL, 'mTERF', 1192),
(1193, 'PF13467', NULL, 'Ribbon-helix-helix domain', 65, NULL, 'RHH_4', 1193),
(1194, 'PF10877', NULL, 'Protein of unknown function (DUF2671)', 88, NULL, 'DUF2671', 1194),
(1195, 'PF08479', NULL, 'POTRA domain, ShlB-type', 76, NULL, 'POTRA_2', 1195),
(1196, 'PF08960', NULL, 'Domain of unknown function (DUF1874)', 101, NULL, 'DUF1874', 1196),
(1197, 'PF09115', NULL, 'DNA polymerase III, delta subunit, C terminal', 117, NULL, 'DNApol3-delta_C', 1197),
(1198, 'PF06806', NULL, 'Putative excisionase (DUF1233)', 70, NULL, 'DUF1233', 1198),
(1199, 'PF05402', NULL, 'Coenzyme PQQ synthesis protein D (PqqD)', 67, NULL, 'PqqD', 1199),
(1200, 'PF09488', NULL, 'Mannosyl-3-phosphoglycerate synthase (osmo_MPGsynth)', 388, NULL, 'Osmo_MPGsynth', 1200),
(1201, 'PF09584', NULL, 'Phage shock protein PspD (Phageshock_PspD)', 61, NULL, 'Phageshock_PspD', 1201),
(1202, 'PF05784', NULL, 'Betaherpesvirus UL82/83 protein N terminus', 345, NULL, 'Herpes_UL82_83', 1202);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1203, 'PF17479', NULL, 'Protein of unknown function (DUF3048) C-terminal domain', 112, NULL, 'DUF3048_C', 1203),
(1204, 'PF13339', NULL, 'Apoptosis antagonizing transcription factor', 138, NULL, 'AATF-Che1', 1204),
(1205, 'PF11657', NULL, 'Transcriptional activator TraM', 142, NULL, 'Activator-TraM', 1205),
(1206, 'PF11018', NULL, 'Pupal cuticle protein C1', 186, NULL, 'Cuticle_3', 1206),
(1207, 'PF05599', NULL, 'Deltaretrovirus Tax protein', 87, NULL, 'Deltaretro_Tax', 1207),
(1208, 'PF01324', NULL, 'Diphtheria toxin, R domain', 154, NULL, 'Diphtheria_R', 1208),
(1209, 'PF04397', NULL, 'LytTr DNA-binding domain', 98, NULL, 'LytTR', 1209),
(1210, 'PF11947', NULL, 'Photosynthesis affected mutant 68', 150, NULL, 'DUF3464', 1210),
(1211, 'PF03735', NULL, 'ENT domain', 70, NULL, 'ENT', 1211),
(1212, 'PF01888', NULL, 'CbiD', 252, NULL, 'CbiD', 1212),
(1213, 'PF11924', NULL, 'Inverse autotransporter, beta-domain', 276, NULL, 'IAT_beta', 1213),
(1214, 'PF00089', NULL, 'Trypsin', 221, NULL, 'Trypsin', 1214),
(1215, 'PF07449', NULL, 'Hydrogenase-1 expression protein HyaE', 108, NULL, 'HyaE', 1215),
(1216, 'PF09571', NULL, 'XcyI restriction endonuclease', 305, NULL, 'RE_XcyI', 1216),
(1217, 'PF06736', NULL, 'Protein of unknown function (DUF1211)', 88, NULL, 'DUF1211', 1217),
(1218, 'PF00054', NULL, 'Laminin G domain', 131, NULL, 'Laminin_G_1', 1218),
(1219, 'PF09142', NULL, 'tRNA Pseudouridine synthase II, C terminal', 56, NULL, 'TruB_C', 1219),
(1220, 'PF02740', NULL, 'Colipase, C-terminal domain', 44, NULL, 'Colipase_C', 1220),
(1221, 'PF00625', NULL, 'Guanylate kinase', 182, NULL, 'Guanylate_kin', 1221),
(1222, 'PF03194', NULL, 'LUC7 N_terminus', 251, NULL, 'LUC7', 1222),
(1223, 'PF15771', NULL, 'Interactor of HORMAD1 protein 1', 576, NULL, 'IHO1', 1223),
(1224, 'PF13913', NULL, 'zinc-finger of a C2HC-type', 25, NULL, 'zf-C2HC_2', 1224),
(1225, 'PF02451', NULL, 'Nodulin', 188, NULL, 'Nodulin', 1225),
(1226, 'PF01524', NULL, 'Geminivirus V2 protein', 78, NULL, 'Gemini_V2', 1226),
(1227, 'PF13309', NULL, 'HTH domain', 63, NULL, 'HTH_22', 1227),
(1228, 'PF05290', NULL, 'Baculovirus immediate-early protein (IE-0)', 141, NULL, 'Baculo_IE-1', 1228),
(1229, 'PF08391', NULL, 'Ly49-like protein, N-terminal region', 119, NULL, 'Ly49', 1229),
(1230, 'PF13008', NULL, 'Zinc-binding domain of Paramyxoviridae V protein', 45, NULL, 'zf-Paramyx-P', 1230),
(1231, 'PF17087', NULL, 'Herpesvirus US34A protein family', 64, NULL, 'HHV-5_US34A', 1231),
(1232, 'PF13350', NULL, 'Tyrosine phosphatase family', 232, NULL, 'Y_phosphatase3', 1232),
(1233, 'PF19042', NULL, 'Nuclear cap binding complex subunit CBP110', 986, NULL, 'CBP110', 1233),
(1234, 'PF09426', NULL, 'Vacuolar R-SNARE Nyv1 N terminal', 138, NULL, 'Nyv1_N', 1234),
(1235, 'PF07395', NULL, 'Mig-14', 264, NULL, 'Mig-14', 1235),
(1236, 'PF07384', NULL, 'Protein of unknown function (DUF1497)', 59, NULL, 'DUF1497', 1236),
(1237, 'PF14338', NULL, 'Mrr N-terminal domain', 87, NULL, 'Mrr_N', 1237),
(1238, 'PF14826', NULL, 'FACT complex subunit SPT16 N-terminal lobe domain', 161, NULL, 'FACT-Spt16_Nlob', 1238),
(1239, 'PF18114', NULL, 'Suv3 helical N-terminal domain', 117, NULL, 'Suv3_N', 1239),
(1240, 'PF09337', NULL, 'H2C2 zinc finger', 39, NULL, 'zf-H2C2', 1240),
(1241, 'PF14841', NULL, 'FliG middle domain', 76, NULL, 'FliG_M', 1241),
(1242, 'PF13283', NULL, 'Bacteriophage N adsorption protein A C-term', 173, NULL, 'NfrA_C', 1242),
(1243, 'PF13188', NULL, 'PAS domain', 67, NULL, 'PAS_8', 1243),
(1244, 'PF12043', NULL, 'Domain of unknown function (DUF3527)', 351, NULL, 'DUF3527', 1244),
(1245, 'PF06382', NULL, 'Protamine and protamine like', 146, NULL, 'Protamine_like', 1245),
(1246, 'PF12148', NULL, 'Tandem tudor domain within UHRF1', 155, NULL, 'TTD', 1246),
(1247, 'PF14579', NULL, 'Helix-hairpin-helix motif', 90, NULL, 'HHH_6', 1247),
(1248, 'PF10155', NULL, 'CCR4-NOT transcription complex subunit 11', 125, NULL, 'CNOT11', 1248),
(1249, 'PF00407', NULL, 'Pathogenesis-related protein Bet v 1 family', 151, NULL, 'Bet_v_1', 1249);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1250, 'PF06250', NULL, 'YhcG PDDEXK nuclease domain', 155, NULL, 'YhcG_C', 1250),
(1251, 'PF05776', NULL, 'Papillomavirus E5A protein', 91, NULL, 'Papilloma_E5A', 1251),
(1252, 'PF15599', NULL, 'Immunity protein 63', 83, NULL, 'Imm63', 1252),
(1253, 'PF12162', NULL, 'STAT1 TAZ2 binding domain', 25, NULL, 'STAT1_TAZ2bind', 1253),
(1254, 'PF01606', NULL, 'Arterivirus envelope protein', 214, NULL, 'Arteri_env', 1254),
(1255, 'PF12166', NULL, 'Piezo non-specific cation channel, R-Ras-binding domain', 426, NULL, 'Piezo_RRas_bdg', 1255),
(1256, 'PF04833', NULL, 'COBRA-like protein', 165, NULL, 'COBRA', 1256),
(1257, 'PF09192', NULL, 'Actin-fragmin kinase, catalytic', 282, NULL, 'Act-Frag_cataly', 1257),
(1258, 'PF01779', NULL, 'Ribosomal L29e protein family', 40, NULL, 'Ribosomal_L29e', 1258),
(1259, 'PF16395', NULL, 'Domain of unknown function (DUF5004)', 145, NULL, 'DUF5004', 1259),
(1260, 'PF04784', NULL, 'Protein of unknown function, DUF547', 125, NULL, 'DUF547', 1260),
(1261, 'PF01104', NULL, 'Bunyavirus non-structural protein NS-s', 91, NULL, 'Bunya_NS-S', 1261),
(1262, 'PF18559', NULL, 'Galactose-binding domain-like', 155, NULL, 'Exop_C', 1262),
(1263, 'PF16116', NULL, 'Domain of unknown function (DUF4832)', 217, NULL, 'DUF4832', 1263),
(1264, 'PF03414', NULL, 'Glycosyltransferase family 6', 319, NULL, 'Glyco_transf_6', 1264),
(1265, 'PF13349', NULL, 'Putative adhesin', 251, NULL, 'DUF4097', 1265),
(1266, 'PF08540', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase C terminal', 280, NULL, 'HMG_CoA_synt_C', 1266),
(1267, 'PF07776', NULL, 'Zinc-finger associated domain (zf-AD)', 76, NULL, 'zf-AD', 1267),
(1268, 'PF02457', NULL, 'DisA bacterial checkpoint controller nucleotide-binding', 119, NULL, 'DAC', 1268),
(1269, 'PF11893', NULL, 'Domain of unknown function (DUF3413)', 248, NULL, 'DUF3413', 1269),
(1270, 'PF04775', NULL, 'Acyl-CoA thioester hydrolase/BAAT N-terminal region', 126, NULL, 'Bile_Hydr_Trans', 1270),
(1271, 'PF14490', NULL, 'Helix-hairpin-helix containing domain', 92, NULL, 'HHH_4', 1271),
(1272, 'PF00934', NULL, 'PE family', 91, NULL, 'PE', 1272),
(1273, 'PF10233', NULL, 'Uncharacterized conserved protein CG6151-P', 113, NULL, 'Cg6151-P', 1273),
(1274, 'PF09087', NULL, 'Cyclomaltodextrinase, N-terminal', 88, NULL, 'Cyc-maltodext_N', 1274),
(1275, 'PF04511', NULL, 'Der1-like family', 191, NULL, 'DER1', 1275),
(1276, 'PF08308', NULL, 'PEGA domain', 70, NULL, 'PEGA', 1276),
(1277, 'PF05287', NULL, 'PMG protein', 180, NULL, 'PMG', 1277),
(1278, 'PF13155', NULL, 'Toprim-like', 90, NULL, 'Toprim_2', 1278),
(1279, 'PF18511', NULL, 'F-box', 42, NULL, 'F-box_5', 1279),
(1280, 'PF00098', NULL, 'Zinc knuckle', 18, NULL, 'zf-CCHC', 1280),
(1281, 'PF16459', NULL, 'Phage tail assembly chaperone, TAC', 97, NULL, 'Phage_TAC_13', 1281),
(1282, 'PF06089', NULL, 'L-asparaginase II', 322, NULL, 'Asparaginase_II', 1282),
(1283, 'PF12258', NULL, 'Microcephalin protein', 391, NULL, 'Microcephalin', 1283),
(1284, 'PF00731', NULL, 'AIR carboxylase', 148, NULL, 'AIRC', 1284),
(1285, 'PF15462', NULL, 'Bartter syndrome, infantile, with sensorineural deafness (Barttin)', 223, NULL, 'Barttin', 1285),
(1286, 'PF04009', NULL, 'Protein of unknown function (DUF356)', 106, NULL, 'DUF356', 1286),
(1287, 'PF08934', NULL, 'Rb C-terminal domain', 151, NULL, 'Rb_C', 1287),
(1288, 'PF08364', NULL, 'Bacterial translation initiation factor IF-2 associated region', 39, NULL, 'IF2_assoc', 1288),
(1289, 'PF08751', NULL, 'TrwC relaxase', 292, NULL, 'TrwC', 1289),
(1290, 'PF18368', NULL, 'Exo-beta-D-glucosaminidase Ig-fold domain', 105, NULL, 'Ig_GlcNase', 1290),
(1291, 'PF18577', NULL, 'Astrotactin-2 C-terminal beta-hairpin domain', 47, NULL, 'ASTN_2_hairpin', 1291),
(1292, 'PF08880', NULL, 'QLQ', 35, NULL, 'QLQ', 1292),
(1293, 'PF03799', NULL, 'Cell division protein FtsQ', 115, NULL, 'FtsQ', 1293),
(1294, 'PF04145', NULL, 'Ctr copper transporter family', 150, NULL, 'Ctr', 1294),
(1295, 'PF18197', NULL, 'Domain of unknown function (DUF5602)', 52, NULL, 'DUF5602', 1295);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1296, 'PF03473', NULL, 'MOSC domain', 135, NULL, 'MOSC', 1296),
(1297, 'PF01795', NULL, 'MraW methylase family', 309, NULL, 'Methyltransf_5', 1297),
(1298, 'PF09076', NULL, 'Beta/Gamma crystallin', 70, NULL, 'Crystall_2', 1298),
(1299, 'PF19054', NULL, 'Domain of unknown function (DUF5753)', 180, NULL, 'DUF5753', 1299),
(1300, 'PF05554', NULL, 'Viral hemorrhagic septicemia virus non-virion protein', 122, NULL, 'Novirhabdo_Nv', 1300),
(1301, 'PF15036', NULL, 'Interleukin 34', 157, NULL, 'IL34', 1301),
(1302, 'PF02752', NULL, 'Arrestin (or S-antigen), C-terminal domain', 134, NULL, 'Arrestin_C', 1302),
(1303, 'PF05927', NULL, 'Penaeidin', 73, NULL, 'Penaeidin', 1303),
(1304, 'PF12017', NULL, 'Transposase protein', 219, NULL, 'Tnp_P_element', 1304),
(1305, 'PF16808', NULL, 'Coiled-coil N-terminus of cGMP-dependent protein kinase', 35, NULL, 'PKcGMP_CC', 1305),
(1306, 'PF06617', NULL, 'M-phase inducer phosphatase', 274, NULL, 'M-inducer_phosp', 1306),
(1307, 'PF11927', NULL, 'Protein of unknown function (DUF3445)', 226, NULL, 'DUF3445', 1307),
(1308, 'PF06726', NULL, 'Bladder cancer-related protein BC10', 65, NULL, 'BC10', 1308),
(1309, 'PF09803', NULL, 'Pet100', 73, NULL, 'Pet100', 1309),
(1310, 'PF08393', NULL, 'Dynein heavy chain, N-terminal region 2', 398, NULL, 'DHC_N2', 1310),
(1311, 'PF08718', NULL, 'Glycolipid transfer protein (GLTP)', 146, NULL, 'GLTP', 1311),
(1312, 'PF08668', NULL, 'HDOD domain', 196, NULL, 'HDOD', 1312),
(1313, 'PF08597', NULL, 'Translation initiation factor eIF3 subunit', 250, NULL, 'eIF3_subunit', 1313),
(1314, 'PF04814', NULL, 'Hepatocyte nuclear factor 1 (HNF-1), N terminus', 189, NULL, 'HNF-1_N', 1314),
(1315, 'PF16195', NULL, 'SUMO-activating enzyme subunit 2 C-terminus', 94, NULL, 'UBA2_C', 1315),
(1316, 'PF08202', NULL, 'Mis12-Mtw1 protein family', 301, NULL, 'MIS13', 1316),
(1317, 'PF05081', NULL, 'Protein of unknown function (DUF682)', 157, NULL, 'DUF682', 1317),
(1318, 'PF14541', NULL, 'Xylanase inhibitor C-terminal', 161, NULL, 'TAXi_C', 1318),
(1319, 'PF11183', NULL, 'Polymyxin resistance protein PmrD', 81, NULL, 'PmrD', 1319),
(1320, 'PF09510', NULL, 'Rtt102p-like transcription regulator protein', 132, NULL, 'Rtt102p', 1320),
(1321, 'PF09750', NULL, 'Alternative splicing regulator', 138, NULL, 'DRY_EERY', 1321),
(1322, 'PF12277', NULL, 'Protein of unknown function (DUF3618)', 47, NULL, 'DUF3618', 1322),
(1323, 'PF01866', NULL, 'Putative diphthamide synthesis protein', 302, NULL, 'Diphthamide_syn', 1323),
(1324, 'PF10819', NULL, 'Protein of unknown function (DUF2564)', 79, NULL, 'DUF2564', 1324),
(1325, 'PF01692', NULL, 'Paramyxovirus non-structural protein C', 204, NULL, 'Paramyxo_C', 1325),
(1326, 'PF04038', NULL, 'Dihydroneopterin aldolase', 108, NULL, 'DHNA', 1326),
(1327, 'PF18977', NULL, 'Family of unknown function (DUF5713)', 107, NULL, 'DUF5713', 1327),
(1328, 'PF18268', NULL, 'Hit1 C-terminal', 82, NULL, 'Hit1_C', 1328),
(1329, 'PF18332', NULL, 'Exoribonuclease Xrn1 D1 domain', 192, NULL, 'XRN1_D1', 1329),
(1330, 'PF12071', NULL, 'Protein of unknown function (DUF3551)', 76, NULL, 'DUF3551', 1330),
(1331, 'PF15743', NULL, 'Spermatogenesis-associated C-terminus', 152, NULL, 'SPATA1_C', 1331),
(1332, 'PF09228', NULL, 'Prokaryotic Transcriptional repressor TraM', 102, NULL, 'Prok-TraM', 1332),
(1333, 'PF01852', NULL, 'START domain', 209, NULL, 'START', 1333),
(1334, 'PF10156', NULL, 'Subunit 17 of Mediator complex', 461, NULL, 'Med17', 1334),
(1335, 'PF12606', NULL, 'Tumour necrosis factor receptor superfamily member 19', 42, NULL, 'RELT', 1335),
(1336, 'PF15211', NULL, 'VEGF co-regulated chemokine 1', 89, NULL, 'CXCL17', 1336),
(1337, 'PF18003', NULL, 'Domain of unknown function (DUF3823_C)', 108, NULL, 'DUF3823_C', 1337),
(1338, 'PF03608', NULL, 'PTS system enzyme II sorbitol-specific factor', 167, NULL, 'EII-GUT', 1338),
(1339, 'PF15594', NULL, 'Immunity protein 50', 118, NULL, 'Imm50', 1339),
(1340, 'PF15965', NULL, 'TRAF-like zinc-finger', 93, NULL, 'zf-TRAF_2', 1340);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1341, 'PF18412', NULL, 'Outer-membrane lipoprotein Wza C-terminal domain', 30, NULL, 'Wza_C', 1341),
(1342, 'PF07440', NULL, 'Caerin 1 protein', 24, NULL, 'Caerin_1', 1342),
(1343, 'PF12177', NULL, 'Prohormone convertase enzyme', 39, NULL, 'Proho_convert', 1343),
(1344, 'PF01386', NULL, 'Ribosomal L25p family', 81, NULL, 'Ribosomal_L25p', 1344),
(1345, 'PF17039', NULL, 'Fucosyltransferase, N-terminal', 110, NULL, 'Glyco_tran_10_N', 1345),
(1346, 'PF04386', NULL, 'Stringent starvation protein B', 160, NULL, 'SspB', 1346),
(1347, 'PF07082', NULL, 'Protein of unknown function (DUF1350)', 250, NULL, 'DUF1350', 1347),
(1348, 'PF09880', NULL, 'Predicted membrane protein (DUF2107)', 73, NULL, 'DUF2107', 1348),
(1349, 'PF09295', NULL, 'ChAPs (Chs5p-Arf1p-binding proteins)', 395, NULL, 'ChAPs', 1349),
(1350, 'PF11870', NULL, 'Domain of unknown function (DUF3390)', 88, NULL, 'DUF3390', 1350),
(1351, 'PF01101', NULL, 'HMG14 and HMG17', 91, NULL, 'HMG14_17', 1351),
(1352, 'PF17591', NULL, 'Herpesvirus UL41A', 78, NULL, 'UL41A', 1352),
(1353, 'PF15043', NULL, 'CB1 cannabinoid receptor-interacting protein 1', 157, NULL, 'CNRIP1', 1353),
(1354, 'PF15534', NULL, 'Bacterial toxin 35', 77, NULL, 'Ntox35', 1354),
(1355, 'PF18674', NULL, 'TarS beta-glycosyltransferase C-terminal domain 1', 148, NULL, 'TarS_C1', 1355),
(1356, 'PF14917', NULL, 'Coiled coil protein 74, C terminal', 122, NULL, 'CCDC74_C', 1356),
(1357, 'PF17959', NULL, 'EF-hand domain', 90, NULL, 'EF-hand_14', 1357),
(1358, 'PF02118', NULL, 'Srg family chemoreceptor', 275, NULL, 'Srg', 1358),
(1359, 'PF13239', NULL, '2TM domain', 76, NULL, '2TM', 1359),
(1360, 'PF18449', NULL, 'Delta endotoxin', 63, NULL, 'Endotoxin_C2', 1360),
(1361, 'PF09805', NULL, 'Nucleolar protein 12 (25kDa)', 136, NULL, 'Nop25', 1361),
(1362, 'PF18594', NULL, 'Sas6/XLF/XRCC4 coiled-coil domain', 30, NULL, 'Sas6_CC', 1362),
(1363, 'PF05480', NULL, 'Staphylococcus haemolytic protein', 43, NULL, 'Staph_haemo', 1363),
(1364, 'PF09544', NULL, 'Protein of unknown function (DUF2381)', 289, NULL, 'DUF2381', 1364),
(1365, 'PF01903', NULL, 'CbiX', 106, NULL, 'CbiX', 1365),
(1366, 'PF07076', NULL, 'Protein of unknown function (DUF1344)', 60, NULL, 'DUF1344', 1366),
(1367, 'PF14301', NULL, 'Domain of unknown function (DUF4376)', 102, NULL, 'DUF4376', 1367),
(1368, 'PF00890', NULL, 'FAD binding domain', 417, NULL, 'FAD_binding_2', 1368),
(1369, 'PF17934', NULL, 'Tetracyclin repressor-like, C-terminal domain', 109, NULL, 'TetR_C_26', 1369),
(1370, 'PF11855', NULL, 'Protein of unknown function (DUF3375)', 475, NULL, 'DUF3375', 1370),
(1371, 'PF01065', NULL, 'Hexon, adenovirus major coat protein, N-terminal domain', 586, NULL, 'Adeno_hexon', 1371),
(1372, 'PF09755', NULL, 'Uncharacterized conserved protein H4 (DUF2046)', 304, NULL, 'DUF2046', 1372),
(1373, 'PF12079', NULL, 'Protein of unknown function (DUF3558)', 174, NULL, 'DUF3558', 1373),
(1374, 'PF02589', NULL, 'LUD domain', 189, NULL, 'LUD_dom', 1374),
(1375, 'PF18251', NULL, 'Fungal defensin Copsin', 39, NULL, 'Defensin_5', 1375),
(1376, 'PF03200', NULL, 'Glycosyl hydrolase family 63 C-terminal domain', 491, NULL, 'Glyco_hydro_63', 1376),
(1377, 'PF10269', NULL, 'Transmembrane Fragile-X-F protein', 250, NULL, 'Tmemb_185A', 1377),
(1378, 'PF08024', NULL, 'Ant antimicrobial peptide', 24, NULL, 'Antimicrobial_4', 1378),
(1379, 'PF17969', NULL, 'L,D-transpeptidase C-terminal domain', 67, NULL, 'Ldt_C', 1379),
(1380, 'PF06242', NULL, 'Protein of unknown function (DUF1013)', 139, NULL, 'DUF1013', 1380),
(1381, 'PF10320', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srsx', 257, NULL, '7TM_GPCR_Srsx', 1381),
(1382, 'PF02362', NULL, 'B3 DNA binding domain', 101, NULL, 'B3', 1382),
(1383, 'PF16647', NULL, 'Granulocyte colony-stimulating factor', 149, NULL, 'GCSF', 1383),
(1384, 'PF07417', NULL, 'Sigma factor-binding transcriptional regulator Crl', 128, NULL, 'Crl', 1384),
(1385, 'PF08259', NULL, 'Periviscerokinin family', 11, NULL, 'Periviscerokin', 1385);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1386, 'PF17068', NULL, 'Required for respiratory growth protein 8 mitochondrial', 279, NULL, 'RRG8', 1386),
(1387, 'PF06951', NULL, 'Group XII secretory phospholipase A2 precursor (PLA2G12)', 186, NULL, 'PLA2G12', 1387),
(1388, 'PF01546', NULL, 'Peptidase family M20/M25/M40', 207, NULL, 'Peptidase_M20', 1388),
(1389, 'PF14046', NULL, 'Nuclear receptor repeat', 49, NULL, 'NR_Repeat', 1389),
(1390, 'PF12913', NULL, 'SH3 domain (SH3b1 type)', 53, NULL, 'SH3_6', 1390),
(1391, 'PF09416', NULL, 'RNA helicase (UPF2 interacting domain)', 152, NULL, 'UPF1_Zn_bind', 1391),
(1392, 'PF00873', NULL, 'AcrB/AcrD/AcrF family', 1021, NULL, 'ACR_tran', 1392),
(1393, 'PF10461', NULL, 'Peptidase S68', 34, NULL, 'Peptidase_S68', 1393),
(1394, 'PF01773', NULL, 'Na+ dependent nucleoside transporter N-terminus', 74, NULL, 'Nucleos_tra2_N', 1394),
(1395, 'PF00971', NULL, 'EIAV coat protein, gp90', 385, NULL, 'EIAV_GP90', 1395),
(1396, 'PF04659', NULL, 'Archaeal flagella protein', 96, NULL, 'Arch_fla_DE', 1396),
(1397, 'PF11512', NULL, 'Agrobacterium tumefaciens protein Atu4866', 75, NULL, 'Atu4866', 1397),
(1398, 'PF18964', NULL, 'Family of unknown function (DUF5704)', 185, NULL, 'DUF5704', 1398),
(1399, 'PF08424', NULL, 'NRDE-2, necessary for RNA interference', 328, NULL, 'NRDE-2', 1399),
(1400, 'PF14668', NULL, 'Rapamycin-insensitive companion of mTOR, domain 5', 71, NULL, 'RICTOR_V', 1400),
(1401, 'PF05440', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B', 94, NULL, 'MtrB', 1401),
(1402, 'PF00527', NULL, 'E7 protein, Early protein', 93, NULL, 'E7', 1402),
(1403, 'PF11849', NULL, 'Domain of unknown function (DUF3369)', 168, NULL, 'DUF3369', 1403),
(1404, 'PF12826', NULL, 'Helix-hairpin-helix motif', 64, NULL, 'HHH_2', 1404),
(1405, 'PF17840', NULL, 'Tethering Ubl4a to BAGS domain', 47, NULL, 'Tugs', 1405),
(1406, 'PF18499', NULL, 'Ubc7p-binding region of Cue1', 52, NULL, 'Cue1_U7BR', 1406),
(1407, 'PF11123', NULL, 'DNA packaging protein', 82, NULL, 'DNA_Packaging_2', 1407),
(1408, 'PF13556', NULL, 'PucR C-terminal helix-turn-helix domain', 59, NULL, 'HTH_30', 1408),
(1409, 'PF01379', NULL, 'Porphobilinogen deaminase, dipyromethane cofactor binding domain', 208, NULL, 'Porphobil_deam', 1409),
(1410, 'PF01024', NULL, 'Colicin pore forming domain', 183, NULL, 'Colicin', 1410),
(1411, 'PF09842', NULL, 'Predicted membrane protein (DUF2069)', 104, NULL, 'DUF2069', 1411),
(1412, 'PF00984', NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, central domain', 94, NULL, 'UDPG_MGDP_dh', 1412),
(1413, 'PF18399', NULL, 'Clip-domain serine protease homolog Scarface', 66, NULL, 'CLIP_SPH_Scar', 1413),
(1414, 'PF02817', NULL, 'e3 binding domain', 36, NULL, 'E3_binding', 1414),
(1415, 'PF15396', NULL, 'Protein Family FAM60A', 212, NULL, 'FAM60A', 1415),
(1416, 'PF18393', NULL, 'MotY N-terminal domain', 146, NULL, 'MotY_N', 1416),
(1417, 'PF00976', NULL, 'Corticotropin ACTH domain', 19, NULL, 'ACTH_domain', 1417),
(1418, 'PF09713', NULL, 'Plant protein 1589 of unknown function (A_thal_3526)', 53, NULL, 'A_thal_3526', 1418),
(1419, 'PF14702', NULL, 'Central domain of human glycogen debranching enzyme', 253, NULL, 'hGDE_central', 1419),
(1420, 'PF18266', NULL, 'Nicastrin small lobe', 170, NULL, 'Ncstrn_small', 1420),
(1421, 'PF03069', NULL, 'Acetamidase/Formamidase family', 373, NULL, 'FmdA_AmdA', 1421),
(1422, 'PF11527', NULL, 'The ARF-like 2 binding protein BART', 116, NULL, 'ARL2_Bind_BART', 1422),
(1423, 'PF03706', NULL, 'Lysylphosphatidylglycerol synthase TM region', 300, NULL, 'LPG_synthase_TM', 1423),
(1424, 'PF17311', NULL, 'Family of unknown function (DUF5358)', 162, NULL, 'DUF5358', 1424),
(1425, 'PF18349', NULL, 'PAZ domain', 93, NULL, 'Paz_1', 1425),
(1426, 'PF05974', NULL, 'Domain of unknown function (DUF892)', 159, NULL, 'DUF892', 1426),
(1427, 'PF07246', NULL, 'Phlebovirus nonstructural protein NS-M', 264, NULL, 'Phlebovirus_NSM', 1427),
(1428, 'PF06278', NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, N-terminal', 112, NULL, 'CNDH2_N', 1428);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1429, 'PF17691', NULL, 'Contingent replication of cDNA 4', 131, NULL, 'Croc_4', 1429),
(1430, 'PF16907', NULL, 'Proline rich region of Caskin proteins', 91, NULL, 'Caskin-Pro-rich', 1430),
(1431, 'PF16193', NULL, 'AAA C-terminal domain', 81, NULL, 'AAA_assoc_2', 1431),
(1432, 'PF18676', NULL, 'MBG domain (YGX type)', 72, NULL, 'MBG_2', 1432),
(1433, 'PF17403', NULL, 'Nrap protein PAP/OAS-like domain', 152, NULL, 'Nrap_D2', 1433),
(1434, 'PF06874', NULL, 'Firmicute fructose-1,6-bisphosphatase', 639, NULL, 'FBPase_2', 1434),
(1435, 'PF10101', NULL, 'Predicted membrane protein (DUF2339)', 668, NULL, 'DUF2339', 1435),
(1436, 'PF06191', NULL, 'Protein of unknown function (DUF995)', 140, NULL, 'DUF995', 1436),
(1437, 'PF03864', NULL, 'Phage major capsid protein E', 333, NULL, 'Phage_cap_E', 1437),
(1438, 'PF11362', NULL, 'Protein of unknown function (DUF3161)', 83, NULL, 'DUF3161', 1438),
(1439, 'PF00632', NULL, 'HECT-domain (ubiquitin-transferase)', 307, NULL, 'HECT', 1439),
(1440, 'PF12295', NULL, 'Symplekin tight junction protein C terminal', 186, NULL, 'Symplekin_C', 1440),
(1441, 'PF10988', NULL, 'Putative auto-transporter adhesin, head GIN domain', 181, NULL, 'DUF2807', 1441),
(1442, 'PF11933', NULL, 'Cytoplasmic domain of voltage-gated Na+ ion channel', 213, NULL, 'Na_trans_cytopl', 1442),
(1443, 'PF04409', NULL, 'Protein of unknown function (DUF530)', 521, NULL, 'DUF530', 1443),
(1444, 'PF02662', NULL, 'Methyl-viologen-reducing hydrogenase, delta subunit', 123, NULL, 'FlpD', 1444),
(1445, 'PF12251', NULL, 'snRNA-activating protein of 50kDa MW C terminal', 200, NULL, 'zf-SNAP50_C', 1445),
(1446, 'PF09435', NULL, 'Fungal protein of unknown function (DUF2015)', 112, NULL, 'DUF2015', 1446),
(1447, 'PF16456', NULL, 'YmgD protein', 82, NULL, 'YmgD', 1447),
(1448, 'PF14806', NULL, 'Coatomer beta subunit appendage platform', 128, NULL, 'Coatomer_b_Cpla', 1448),
(1449, 'PF12917', NULL, 'HD containing hydrolase-like enzyme', 182, NULL, 'HD_2', 1449),
(1450, 'PF13526', NULL, 'Protein of unknown function (DUF4125)', 197, NULL, 'DUF4125', 1450),
(1451, 'PF08706', NULL, 'D5 N terminal like', 151, NULL, 'D5_N', 1451),
(1452, 'PF00453', NULL, 'Ribosomal protein L20', 107, NULL, 'Ribosomal_L20', 1452),
(1453, 'PF05786', NULL, 'Condensin complex subunit 2', 770, NULL, 'Cnd2', 1453),
(1454, 'PF10726', NULL, 'Protein of function (DUF2518)', 145, NULL, 'DUF2518', 1454),
(1455, 'PF00958', NULL, 'GMP synthase C terminal domain', 92, NULL, 'GMP_synt_C', 1455),
(1456, 'PF09013', NULL, 'YopH, N-terminal', 121, NULL, 'YopH_N', 1456),
(1457, 'PF11609', NULL, 'Protein of unknown function (DUF3248)', 63, NULL, 'DUF3248', 1457),
(1458, 'PF09549', NULL, 'Bpu10I restriction endonuclease', 220, NULL, 'RE_Bpu10I', 1458),
(1459, 'PF11164', NULL, 'Protein of unknown function (DUF2948)', 139, NULL, 'DUF2948', 1459),
(1460, 'PF03276', NULL, 'Spumavirus gag protein', 614, NULL, 'Gag_spuma', 1460),
(1461, 'PF19079', NULL, 'Collagen-flanked surface repeat', 49, NULL, 'CFSR', 1461),
(1462, 'PF16506', NULL, 'Putative virion glycoprotein of insect viruses', 239, NULL, 'DiSB-ORF2_chro', 1462),
(1463, 'PF04406', NULL, 'Type IIB DNA topoisomerase', 62, NULL, 'TP6A_N', 1463),
(1464, 'PF10622', NULL, 'Energy-converting hydrogenase B subunit P (EhbP)', 77, NULL, 'Ehbp', 1464),
(1465, 'PF07283', NULL, 'Conjugal transfer protein TrbH', 119, NULL, 'TrbH', 1465),
(1466, 'PF12123', NULL, 'N-acetylmuramoyl-l-alanine amidase', 44, NULL, 'Amidase02_C', 1466),
(1467, 'PF08826', NULL, 'DMPK coiled coil domain like', 61, NULL, 'DMPK_coil', 1467),
(1468, 'PF11771', NULL, 'Protein of unknown function (DUF3314)', 162, NULL, 'DUF3314', 1468),
(1469, 'PF00509', NULL, 'Haemagglutinin', 550, NULL, 'Hemagglutinin', 1469),
(1470, 'PF08460', NULL, 'Bacterial SH3 domain', 65, NULL, 'SH3_5', 1470),
(1471, 'PF08145', NULL, 'BOP1NT (NUC169) domain', 259, NULL, 'BOP1NT', 1471),
(1472, 'PF16550', NULL, 'UCH-binding domain', 112, NULL, 'RPN13_C', 1472),
(1473, 'PF18870', NULL, 'HEPN/RES N-terminal domain 1', 131, NULL, 'HEPN_RES_NTD1', 1473);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1474, 'PF06183', NULL, 'DinI-like family', 63, NULL, 'DinI', 1474),
(1475, 'PF11602', NULL, 'ATPase P4 of dsRNA bacteriophage phi-12', 320, NULL, 'NTPase_P4', 1475),
(1476, 'PF00298', NULL, 'Ribosomal protein L11, RNA binding domain', 70, NULL, 'Ribosomal_L11', 1476),
(1477, 'PF18710', NULL, 'ComR tetratricopeptide', 224, NULL, 'ComR_TPR', 1477),
(1478, 'PF16937', NULL, 'Type III secretion system translocator protein, HrpF', 256, NULL, 'T3SS_HrpK1', 1478),
(1479, 'PF18092', NULL, 'DraK Histidine Kinase N-terminal domain', 86, NULL, 'DraK_HK_N', 1479),
(1480, 'PF08150', NULL, 'FerB (NUC096) domain', 76, NULL, 'FerB', 1480),
(1481, 'PF00439', NULL, 'Bromodomain', 84, NULL, 'Bromodomain', 1481),
(1482, 'PF10655', NULL, 'Hypothetical protein of unknown function (DUF2482)', 98, NULL, 'DUF2482', 1482),
(1483, 'PF04203', NULL, 'Sortase domain', 125, NULL, 'Sortase', 1483),
(1484, 'PF14210', NULL, 'Domain of unknown function (DUF4322)', 66, NULL, 'DUF4322', 1484),
(1485, 'PF02120', NULL, 'Flagellar hook-length control protein FliK', 85, NULL, 'Flg_hook', 1485),
(1486, 'PF13428', NULL, 'Tetratricopeptide repeat', 44, NULL, 'TPR_14', 1486),
(1487, 'PF13784', NULL, 'Fic/DOC family N-terminal', 82, NULL, 'Fic_N', 1487),
(1488, 'PF17676', NULL, 'LD-carboxypeptidase C-terminal domain', 123, NULL, 'Peptidase_S66C', 1488),
(1489, 'PF08374', NULL, 'Protocadherin', 217, NULL, 'Protocadherin', 1489),
(1490, 'PF03095', NULL, 'Phosphotyrosyl phosphate activator (PTPA) protein', 301, NULL, 'PTPA', 1490),
(1491, 'PF08365', NULL, 'Insulin-like growth factor II E-peptide', 56, NULL, 'IGF2_C', 1491),
(1492, 'PF16677', NULL, 'DNA-packaging protein gp3', 120, NULL, 'GP3_package', 1492),
(1493, 'PF16552', NULL, 'D-ornithine 4,5-aminomutase alpha-subunit', 115, NULL, 'OAM_alpha', 1493),
(1494, 'PF17751', NULL, 'SKICH domain', 104, NULL, 'SKICH', 1494),
(1495, 'PF18283', NULL, 'Carbohydrate binding module 77', 109, NULL, 'CBM77', 1495),
(1496, 'PF06761', NULL, 'Intracellular multiplication and human macrophage-killing', 307, NULL, 'IcmF-related', 1496),
(1497, 'PF05476', NULL, 'PET122', 261, NULL, 'PET122', 1497),
(1498, 'PF12374', NULL, 'Double-sex mab3 related transcription factor 1', 74, NULL, 'Dmrt1', 1498),
(1499, 'PF12355', NULL, 'Down syndrome cell adhesion molecule C terminal', 118, NULL, 'Dscam_C', 1499),
(1500, 'PF14761', NULL, 'Hermansky-Pudlak syndrome 3', 210, NULL, 'HPS3_N', 1500),
(1501, 'PF05626', NULL, 'Protein of unknown function (DUF790)', 387, NULL, 'DUF790', 1501),
(1502, 'PF08108', NULL, 'Halocidin family', 15, NULL, 'Antimicrobial13', 1502),
(1503, 'PF02219', NULL, 'Methylenetetrahydrofolate reductase', 287, NULL, 'MTHFR', 1503),
(1504, 'PF07716', NULL, 'Basic region leucine zipper', 54, NULL, 'bZIP_2', 1504),
(1505, 'PF08257', NULL, 'Sulfakinin family', 9, NULL, 'Sulfakinin', 1505),
(1506, 'PF04828', NULL, 'Glutathione-dependent formaldehyde-activating enzyme', 93, NULL, 'GFA', 1506),
(1507, 'PF15013', NULL, 'CCSMST1 family', 75, NULL, 'CCSMST1', 1507),
(1508, 'PF13392', NULL, 'HNH endonuclease', 46, NULL, 'HNH_3', 1508),
(1509, 'PF18655', NULL, 'SHIRT domain', 82, NULL, 'SHIRT', 1509),
(1510, 'PF10732', NULL, 'Protein of unknown function (DUF2524)', 84, NULL, 'DUF2524', 1510),
(1511, 'PF04163', NULL, 'Tht1-like nuclear fusion protein', 544, NULL, 'Tht1', 1511),
(1512, 'PF02282', NULL, 'DNA polymerase processivity factor (UL42)', 154, NULL, 'Herpes_UL42', 1512),
(1513, 'PF10053', NULL, 'Uncharacterized conserved protein (DUF2290)', 195, NULL, 'DUF2290', 1513),
(1514, 'PF03894', NULL, 'D-xylulose 5-phosphate/D-fructose 6-phosphate phosphoketolase', 176, NULL, 'XFP', 1514),
(1515, 'PF15510', NULL, 'CENP-W protein', 88, NULL, 'CENP-W', 1515),
(1516, 'PF10152', NULL, 'Subunit CCDC53 of WASH complex', 153, NULL, 'CCDC53', 1516),
(1517, 'PF03048', NULL, 'UL92 family', 191, NULL, 'Herpes_UL92', 1517),
(1518, 'PF11126', NULL, 'Transcriptional regulator DsbA', 67, NULL, 'Phage_DsbA', 1518),
(1519, 'PF07221', NULL, 'N-acylglucosamine 2-epimerase (GlcNAc 2-epimerase)', 346, NULL, 'GlcNAc_2-epim', 1519);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1520, 'PF05389', NULL, 'Negative regulator of genetic competence (MecA)', 227, NULL, 'MecA', 1520),
(1521, 'PF18050', NULL, 'Cyclophilin-like family', 116, NULL, 'Cyclophil_like2', 1521),
(1522, 'PF03528', NULL, 'Rabaptin', 486, NULL, 'Rabaptin', 1522),
(1523, 'PF03567', NULL, 'Sulfotransferase family', 253, NULL, 'Sulfotransfer_2', 1523),
(1524, 'PF06653', NULL, 'Tight junction protein, Claudin-like', 165, NULL, 'Claudin_3', 1524),
(1525, 'PF03663', NULL, 'Glycosyl hydrolase family 76', 366, NULL, 'Glyco_hydro_76', 1525),
(1526, 'PF12609', NULL, 'Wound-induced protein', 74, NULL, 'DUF3774', 1526),
(1527, 'PF00631', NULL, 'GGL domain', 68, NULL, 'G-gamma', 1527),
(1528, 'PF18718', NULL, 'CxC5 like cysteine cluster associated with KDZ transposases', 117, NULL, 'CxC5', 1528),
(1529, 'PF18263', NULL, 'MCM6 C-terminal winged-helix domain', 108, NULL, 'MCM6_C', 1529),
(1530, 'PF04328', NULL, 'Selenoprotein, putative', 62, NULL, 'Sel_put', 1530),
(1531, 'PF06589', NULL, 'Circumsporozoite-related antigen (CRA)', 134, NULL, 'CRA', 1531),
(1532, 'PF11843', NULL, 'Protein of unknown function (DUF3363)', 378, NULL, 'DUF3363', 1532),
(1533, 'PF09987', NULL, 'Uncharacterized protein conserved in archaea (DUF2226)', 297, NULL, 'DUF2226', 1533),
(1534, 'PF10840', NULL, 'Protein of unknown function (DUF2645)', 98, NULL, 'DUF2645', 1534),
(1535, 'PF01125', NULL, 'G10 protein', 146, NULL, 'G10', 1535),
(1536, 'PF13936', NULL, 'Helix-turn-helix domain', 44, NULL, 'HTH_38', 1536),
(1537, 'PF17610', NULL, 'Family of unknown function (DUF5505)', 156, NULL, 'DUF5505', 1537),
(1538, 'PF02335', NULL, 'Cytochrome c552', 439, NULL, 'Cytochrom_C552', 1538),
(1539, 'PF05783', NULL, 'Dynein light intermediate chain (DLIC)', 471, NULL, 'DLIC', 1539),
(1540, 'PF17097', NULL, 'Spindle pole body component', 362, NULL, 'Kre28', 1540),
(1541, 'PF04000', NULL, 'Sas10/Utp3/C1D family', 86, NULL, 'Sas10_Utp3', 1541),
(1542, 'PF15990', NULL, 'UPF0767 family', 83, NULL, 'UPF0767', 1542),
(1543, 'PF06666', NULL, 'Protein of unknown function (DUF1173)', 386, NULL, 'DUF1173', 1543),
(1544, 'PF17055', NULL, 'Viral matrix protein M2', 235, NULL, 'VMR2', 1544),
(1545, 'PF17598', NULL, 'Family of unknown function (DUF5494)', 84, NULL, 'DUF5494', 1545),
(1546, 'PF04579', NULL, 'Keratin, high-sulphur matrix protein', 96, NULL, 'Keratin_matx', 1546),
(1547, 'PF11800', NULL, 'Replication protein C C-terminal region', 206, NULL, 'RP-C_C', 1547),
(1548, 'PF14741', NULL, 'N-terminal glycosyl-hydrolase-114-associated domain', 127, NULL, 'GH114_assoc', 1548),
(1549, 'PF03099', NULL, 'Biotin/lipoate A/B protein ligase family', 131, NULL, 'BPL_LplA_LipB', 1549),
(1550, 'PF05056', NULL, 'Protein of unknown function (DUF674)', 452, NULL, 'DUF674', 1550),
(1551, 'PF05742', NULL, 'Transport and Golgi organisation 2', 254, NULL, 'TANGO2', 1551),
(1552, 'PF15039', NULL, 'Domain of unknown function (DUF4530)', 113, NULL, 'DUF4530', 1552),
(1553, 'PF19002', NULL, 'Family of unknown function (DUF5731)', 108, NULL, 'DUF5731', 1553),
(1554, 'PF11993', NULL, 'Ribosomal S4P (gammaproteobacterial)', 163, NULL, 'Ribosomal_S4Pg', 1554),
(1555, 'PF03857', NULL, 'Colicin immunity protein', 138, NULL, 'Colicin_im', 1555),
(1556, 'PF18617', NULL, 'Nucleoporin Nup214 phenylalanine-glycine (FG) domain', 63, NULL, 'Nup214_FG', 1556),
(1557, 'PF08373', NULL, 'RAP domain', 58, NULL, 'RAP', 1557),
(1558, 'PF07482', NULL, 'Domain of Unknown Function (DUF1522)', 110, NULL, 'DUF1522', 1558),
(1559, 'PF14435', NULL, 'SUKH-4 immunity protein', 176, NULL, 'SUKH-4', 1559),
(1560, 'PF11074', NULL, 'Domain of unknown function(DUF2779)', 126, NULL, 'DUF2779', 1560),
(1561, 'PF11167', NULL, 'Protein of unknown function (DUF2953)', 53, NULL, 'DUF2953', 1561),
(1562, 'PF16144', NULL, 'Domain of unknown function (DUF4852)', 119, NULL, 'DUF4852', 1562),
(1563, 'PF10557', NULL, 'Cullin protein neddylation domain', 63, NULL, 'Cullin_Nedd8', 1563),
(1564, 'PF16671', NULL, 'Actin cross-linking domain', 386, NULL, 'ACD', 1564);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1565, 'PF04224', NULL, 'Protein of unknown function, DUF417', 175, NULL, 'DUF417', 1565),
(1566, 'PF12605', NULL, 'Casein kinase 1 gamma C terminal', 100, NULL, 'CK1gamma_C', 1566),
(1567, 'PF09933', NULL, 'Predicted small integral membrane protein (DUF2165)', 157, NULL, 'DUF2165', 1567),
(1568, 'PF16407', NULL, 'PKD-like family', 157, NULL, 'PKD_2', 1568),
(1569, 'PF14920', NULL, 'MDM2-binding', 257, NULL, 'MTBP_C', 1569),
(1570, 'PF14082', NULL, 'Domain of unknown function (DUF4263)', 159, NULL, 'DUF4263', 1570),
(1571, 'PF14460', NULL, 'Prokaryotic E2 family D', 171, NULL, 'Prok-E2_D', 1571),
(1572, 'PF01443', NULL, 'Viral (Superfamily 1) RNA helicase', 234, NULL, 'Viral_helicase1', 1572),
(1573, 'PF09177', NULL, 'Syntaxin 6, N-terminal', 100, NULL, 'Syntaxin-6_N', 1573),
(1574, 'PF09381', NULL, 'Outer membrane protein G (OmpG)', 285, NULL, 'Porin_OmpG', 1574),
(1575, 'PF12588', NULL, 'Phophatidylserine decarboxylase', 140, NULL, 'PSDC', 1575),
(1576, 'PF09444', NULL, 'MRC1-like domain', 146, NULL, 'MRC1', 1576),
(1577, 'PF16400', NULL, 'Domain of unknown function (DUF5008)', 109, NULL, 'DUF5008', 1577),
(1578, 'PF13762', NULL, 'Mitochondrial splicing apparatus component', 150, NULL, 'MNE1', 1578),
(1579, 'PF07792', NULL, 'Docking domain of Afi1 for Arf3 in vesicle trafficking', 133, NULL, 'Afi1', 1579),
(1580, 'PF10437', NULL, 'Bacterial lipoate protein ligase C-terminus', 85, NULL, 'Lip_prot_lig_C', 1580),
(1581, 'PF12202', NULL, 'Oxidative-stress-responsive kinase 1 C-terminal domain', 64, NULL, 'OSR1_C', 1581),
(1582, 'PF08105', NULL, 'Metchnikowin family', 50, NULL, 'Antimicrobial10', 1582),
(1583, 'PF08912', NULL, 'Rho Binding', 69, NULL, 'Rho_Binding', 1583),
(1584, 'PF13388', NULL, 'Protein of unknown function (DUF4106)', 420, NULL, 'DUF4106', 1584),
(1585, 'PF13296', NULL, 'Putative type VI secretion system Rhs element Vgr', 108, NULL, 'T6SS_Vgr', 1585),
(1586, 'PF03337', NULL, 'Poxvirus F12L protein', 648, NULL, 'Pox_F12L', 1586),
(1587, 'PF19123', NULL, 'Family of unknown function (DUF5807)', 106, NULL, 'DUF5807', 1587),
(1588, 'PF00485', NULL, 'Phosphoribulokinase / Uridine kinase family', 197, NULL, 'PRK', 1588),
(1589, 'PF06497', NULL, 'Protein of unknown function (DUF1098)', 93, NULL, 'DUF1098', 1589),
(1590, 'PF04588', NULL, 'Hypoxia induced protein conserved region', 52, NULL, 'HIG_1_N', 1590),
(1591, 'PF05849', NULL, 'Fibroin light chain (L-fibroin)', 239, NULL, 'L-fibroin', 1591),
(1592, 'PF04934', NULL, 'MED6 mediator sub complex component', 134, NULL, 'Med6', 1592),
(1593, 'PF13182', NULL, 'Protein of unknown function (DUF4007)', 286, NULL, 'DUF4007', 1593),
(1594, 'PF00544', NULL, 'Pectate lyase', 211, NULL, 'Pectate_lyase_4', 1594),
(1595, 'PF14671', NULL, 'Dual specificity protein phosphatase, N-terminal half', 141, NULL, 'DSPn', 1595),
(1596, 'PF02091', NULL, 'Glycyl-tRNA synthetase alpha subunit', 278, NULL, 'tRNA-synt_2e', 1596),
(1597, 'PF07074', NULL, 'Translocon-associated protein, gamma subunit (TRAP-gamma)', 170, NULL, 'TRAP-gamma', 1597),
(1598, 'PF16975', NULL, 'Ly6/PLAUR domain-containing protein 6, Lypd6', 106, NULL, 'UPAR_LY6_2', 1598),
(1599, 'PF06702', NULL, 'Golgi casein kinase, C-terminal, Fam20', 218, NULL, 'Fam20C', 1599),
(1600, 'PF10098', NULL, 'Uncharacterised protein conserved in bacteria (DUF2336)', 262, NULL, 'DUF2336', 1600),
(1601, 'PF15741', NULL, 'Ligand-dependent nuclear receptor-interacting factor 1', 749, NULL, 'LRIF1', 1601),
(1602, 'PF07705', NULL, 'CARDB', 102, NULL, 'CARDB', 1602),
(1603, 'PF00811', NULL, 'Ependymin', 127, NULL, 'Ependymin', 1603),
(1604, 'PF15501', NULL, 'Nuclear protein MDM1', 562, NULL, 'MDM1', 1604),
(1605, 'PF10975', NULL, 'Protein of unknown function (DUF2802)', 68, NULL, 'DUF2802', 1605),
(1606, 'PF14355', NULL, 'Abortive infection C-terminus', 83, NULL, 'Abi_C', 1606),
(1607, 'PF09021', NULL, 'HutP', 129, NULL, 'HutP', 1607),
(1608, 'PF09815', NULL, 'XK-related protein', 340, NULL, 'XK-related', 1608);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1609, 'PF12841', NULL, 'YvrJ protein family', 36, NULL, 'YvrJ', 1609),
(1610, 'PF12720', NULL, 'Protein of unknown function (DUF3807)', 182, NULL, 'DUF3807', 1610),
(1611, 'PF03248', NULL, 'Rer1 family', 171, NULL, 'Rer1', 1611),
(1612, 'PF15086', NULL, 'Uncharacterised protein family UPF0542', 68, NULL, 'UPF0542', 1612),
(1613, 'PF09786', NULL, 'Cytochrome B561, N terminal', 571, NULL, 'CytochromB561_N', 1613),
(1614, 'PF15193', NULL, 'FAM24 family', 69, NULL, 'FAM24', 1614),
(1615, 'PF03695', NULL, 'Uncharacterised protein family (UPF0149)', 175, NULL, 'UPF0149', 1615),
(1616, 'PF19074', NULL, 'Family of unknown function (DUF5770)', 131, NULL, 'DUF5770', 1616),
(1617, 'PF07834', NULL, 'RanGAP1 C-terminal domain', 179, NULL, 'RanGAP1_C', 1617),
(1618, 'PF10329', NULL, 'Region of unknown function (DUF2417)', 236, NULL, 'DUF2417', 1618),
(1619, 'PF04319', NULL, 'NifZ domain', 73, NULL, 'NifZ', 1619),
(1620, 'PF01930', NULL, 'Domain of unknown function DUF83', 163, NULL, 'Cas_Cas4', 1620),
(1621, 'PF06524', NULL, 'NOA36 protein', 307, NULL, 'NOA36', 1621),
(1622, 'PF05911', NULL, 'Filament-like plant protein, long coiled-coil', 868, NULL, 'FPP', 1622),
(1623, 'PF04874', NULL, 'Mak16 protein C-terminal region', 102, NULL, 'Mak16', 1623),
(1624, 'PF10625', NULL, 'Universal stress protein B (UspB)', 107, NULL, 'UspB', 1624),
(1625, 'PF08030', NULL, 'Ferric reductase NAD binding domain', 156, NULL, 'NAD_binding_6', 1625),
(1626, 'PF12800', NULL, '4Fe-4S binding domain', 17, NULL, 'Fer4_4', 1626),
(1627, 'PF11834', NULL, 'KHA, dimerisation domain of potassium ion channel', 67, NULL, 'KHA', 1627),
(1628, 'PF10432', NULL, 'Bacterial phospho-glucose isomerase C-terminal SIS domain', 152, NULL, 'bact-PGI_C', 1628),
(1629, 'PF06481', NULL, 'COX Aromatic Rich Motif', 46, NULL, 'COX_ARM', 1629),
(1630, 'PF01088', NULL, 'Ubiquitin carboxyl-terminal hydrolase, family 1', 211, NULL, 'Peptidase_C12', 1630),
(1631, 'PF08946', NULL, 'Osmosensory transporter coiled coil', 46, NULL, 'Osmo_CC', 1631),
(1632, 'PF11038', NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 5', 278, NULL, 'DGF-1_5', 1632),
(1633, 'PF06316', NULL, 'Enterobacterial Ail/Lom protein', 199, NULL, 'Ail_Lom', 1633),
(1634, 'PF04965', NULL, 'Gene 25-like lysozyme', 95, NULL, 'GPW_gp25', 1634),
(1635, 'PF04882', NULL, 'Peroxin-3', 471, NULL, 'Peroxin-3', 1635),
(1636, 'PF17049', NULL, 'ATPase expression protein 1', 395, NULL, 'AEP1', 1636),
(1637, 'PF05757', NULL, 'Oxygen evolving enhancer protein 3 (PsbQ)', 200, NULL, 'PsbQ', 1637),
(1638, 'PF16701', NULL, 'Adenylate cyclase regulatory domain', 186, NULL, 'Ad_Cy_reg', 1638),
(1639, 'PF03536', NULL, 'Salmonella virulence-associated 28kDa protein', 240, NULL, 'VRP3', 1639),
(1640, 'PF13775', NULL, 'Domain of unknown function (DUF4171)', 133, NULL, 'DUF4171', 1640),
(1641, 'PF02434', NULL, 'Fringe-like', 252, NULL, 'Fringe', 1641),
(1642, 'PF11071', NULL, 'Nucleoside 2-deoxyribosyltransferase YtoQ', 140, NULL, 'Nuc_deoxyri_tr3', 1642),
(1643, 'PF15736', NULL, 'Domain of unknown function (DUF4684)', 454, NULL, 'DUF4684', 1643),
(1644, 'PF06432', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase', 280, NULL, 'GPI2', 1644),
(1645, 'PF12529', NULL, 'Xylosyltransferase C terminal', 182, NULL, 'Xylo_C', 1645),
(1646, 'PF04315', NULL, 'Elongation factor P hydroxylase', 163, NULL, 'EpmC', 1646),
(1647, 'PF16795', NULL, 'Archaeal phage integrase', 160, NULL, 'Phage_integr_3', 1647),
(1648, 'PF04772', NULL, 'Influenza B matrix protein 2 (BM2)', 109, NULL, 'Flu_B_M2', 1648),
(1649, 'PF11221', NULL, 'Subunit 21 of Mediator complex', 144, NULL, 'Med21', 1649),
(1650, 'PF08734', NULL, 'GYD domain', 91, NULL, 'GYD', 1650),
(1651, 'PF14774', NULL, 'FAM177 family', 117, NULL, 'FAM177', 1651),
(1652, 'PF13966', NULL, 'zinc-binding in reverse transcriptase', 85, NULL, 'zf-RVT', 1652),
(1653, 'PF12729', NULL, 'Four helix bundle sensory module for signal transduction', 181, NULL, '4HB_MCP_1', 1653);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1654, 'PF18835', NULL, 'Beta helix repeat of Inulin fructotransferase', 68, NULL, 'Beta_helix_2', 1654),
(1655, 'PF04198', NULL, 'Putative sugar-binding domain', 257, NULL, 'Sugar-bind', 1655),
(1656, 'PF02188', NULL, 'GoLoco motif', 22, NULL, 'GoLoco', 1656),
(1657, 'PF19036', NULL, 'First Longin domain of FUZ, MON1 and HPS1', 125, NULL, 'Fuz_longin_1', 1657),
(1658, 'PF17226', NULL, 'MTA R1 domain', 79, NULL, 'MTA_R1', 1658),
(1659, 'PF10007', NULL, 'Uncharacterized protein conserved in archaea (DUF2250)', 93, NULL, 'DUF2250', 1659),
(1660, 'PF13507', NULL, 'CobB/CobQ-like glutamine amidotransferase domain', 260, NULL, 'GATase_5', 1660),
(1661, 'PF04498', NULL, 'Poxvirus nucleic acid binding protein VP8/L4R', 217, NULL, 'Pox_VP8_L4R', 1661),
(1662, 'PF03128', NULL, 'CXCXC repeat', 13, NULL, 'CXCXC', 1662),
(1663, 'PF09039', NULL, 'Mu DNA binding, I gamma subdomain', 109, NULL, 'HTH_Tnp_Mu_2', 1663),
(1664, 'PF02342', NULL, 'TerD domain', 187, NULL, 'TerD', 1664),
(1665, 'PF09872', NULL, 'Uncharacterized protein conserved in archaea (DUF2099)', 257, NULL, 'DUF2099', 1665),
(1666, 'PF11447', NULL, 'Protein of unknown function (DUF3201)', 151, NULL, 'DUF3201', 1666),
(1667, 'PF13989', NULL, 'YejG-like protein', 106, NULL, 'YejG', 1667),
(1668, 'PF07303', NULL, 'Occludin homology domain', 101, NULL, 'Occludin_ELL', 1668),
(1669, 'PF13254', NULL, 'Domain of unknown function (DUF4045)', 424, NULL, 'DUF4045', 1669),
(1670, 'PF03160', NULL, 'Calx-beta domain', 100, NULL, 'Calx-beta', 1670),
(1671, 'PF04015', NULL, 'Domain of unknown function (DUF362)', 202, NULL, 'DUF362', 1671),
(1672, 'PF18769', NULL, 'APOBEC1', 101, NULL, 'APOBEC1', 1672),
(1673, 'PF08939', NULL, 'Domain of unknown function (DUF1917)', 261, NULL, 'DUF1917', 1673),
(1674, 'PF09007', NULL, 'EBP50, C-terminal', 128, NULL, 'EBP50_C', 1674),
(1675, 'PF09374', NULL, 'Predicted Peptidoglycan domain', 76, NULL, 'PG_binding_3', 1675),
(1676, 'PF07781', NULL, 'Reovirus minor core protein Mu-2', 727, NULL, 'Reovirus_Mu2', 1676),
(1677, 'PF08639', NULL, 'DNA replication regulator SLD3', 539, NULL, 'SLD3', 1677),
(1678, 'PF07498', NULL, 'Rho termination factor, N-terminal domain', 43, NULL, 'Rho_N', 1678),
(1679, 'PF16344', NULL, 'Domain of unknown function (DUF4974)', 70, NULL, 'DUF4974', 1679),
(1680, 'PF17096', NULL, 'Altered inheritance of mitochondria protein 3', 88, NULL, 'AIM3', 1680),
(1681, 'PF02578', NULL, 'Multi-copper polyphenol oxidoreductase laccase', 235, NULL, 'Cu-oxidase_4', 1681),
(1682, 'PF12232', NULL, 'Myogenic determination factor 5', 71, NULL, 'Myf5', 1682),
(1683, 'PF16820', NULL, 'PKD-like domain', 68, NULL, 'PKD_3', 1683),
(1684, 'PF13790', NULL, 'SR1 protein', 37, NULL, 'SR1P', 1684),
(1685, 'PF12589', NULL, 'Methyltransferase involved in Williams-Beuren syndrome', 82, NULL, 'WBS_methylT', 1685),
(1686, 'PF13163', NULL, 'Protein of unknown function (DUF3999)', 425, NULL, 'DUF3999', 1686),
(1687, 'PF12555', NULL, 'Thiamine pyrophosphokinase C terminal', 52, NULL, 'TPPK_C', 1687),
(1688, 'PF05827', NULL, 'Vacuolar ATP synthase subunit S1 (ATP6S1)', 144, NULL, 'ATP-synt_S1', 1688),
(1689, 'PF05246', NULL, 'Protein of unknown function (DUF735)', 204, NULL, 'DUF735', 1689),
(1690, 'PF03448', NULL, 'MgtE intracellular N domain', 102, NULL, 'MgtE_N', 1690),
(1691, 'PF08010', NULL, 'Bacteriophage protein GP30.3', 138, NULL, 'Phage_30_3', 1691),
(1692, 'PF06998', NULL, 'Protein of unknown function (DUF1307)', 123, NULL, 'DUF1307', 1692),
(1693, 'PF07220', NULL, 'Protein of unknown function (DUF1420)', 670, NULL, 'DUF1420', 1693),
(1694, 'PF13332', NULL, 'Hemagglutinin repeat', 170, NULL, 'Fil_haemagg_2', 1694),
(1695, 'PF00932', NULL, 'Lamin Tail Domain', 113, NULL, 'LTD', 1695),
(1696, 'PF06619', NULL, 'Protein of unknown function (DUF1149)', 123, NULL, 'DUF1149', 1696),
(1697, 'PF14694', NULL, 'Lines N-terminus', 350, NULL, 'LINES_N', 1697),
(1698, 'PF05497', NULL, 'Destabilase', 118, NULL, 'Destabilase', 1698),
(1699, 'PF05904', NULL, 'Plant protein of unknown function (DUF863)', 931, NULL, 'DUF863', 1699);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1700, 'PF00940', NULL, 'DNA-dependent RNA polymerase', 426, NULL, 'RNA_pol', 1700),
(1701, 'PF01294', NULL, 'Ribosomal protein L13e', 180, NULL, 'Ribosomal_L13e', 1701),
(1702, 'PF09357', NULL, 'RteC protein', 219, NULL, 'RteC', 1702),
(1703, 'PF17861', NULL, 'Laterosporulin defensin-like peptide', 49, NULL, 'Laterosporulin', 1703),
(1704, 'PF13821', NULL, 'Domain of unknown function (DUF4187)', 54, NULL, 'DUF4187', 1704),
(1705, 'PF18267', NULL, 'Rubredoxin NAD+ reductase C-terminal domain', 70, NULL, 'Rubredoxin_C', 1705),
(1706, 'PF03086', NULL, 'Domain of unknown function (DUF240)', 119, NULL, 'DUF240', 1706),
(1707, 'PF09182', NULL, 'Bacterial purine repressor, N-terminal', 70, NULL, 'PuR_N', 1707),
(1708, 'PF00588', NULL, 'SpoU rRNA Methylase family', 142, NULL, 'SpoU_methylase', 1708),
(1709, 'PF16398', NULL, 'Domain of unknown function (DUF5007)', 287, NULL, 'DUF5007', 1709),
(1710, 'PF07423', NULL, 'Domain of unknown function (DUF1510)', 93, NULL, 'DUF1510', 1710),
(1711, 'PF02245', NULL, 'Methylpurine-DNA glycosylase (MPG)', 183, NULL, 'Pur_DNA_glyco', 1711),
(1712, 'PF06563', NULL, 'Protein of unknown function (DUF1125)', 55, NULL, 'DUF1125', 1712),
(1713, 'PF04123', NULL, 'Domain of unknown function (DUF373)', 335, NULL, 'DUF373', 1713),
(1714, 'PF04669', NULL, 'Polysaccharide biosynthesis', 190, NULL, 'Polysacc_synt_4', 1714),
(1715, 'PF09248', NULL, 'Domain of unknown function (DUF1965)', 69, NULL, 'DUF1965', 1715),
(1716, 'PF18646', NULL, 'Family of unknown function (DUF5632)', 81, NULL, 'DUF5632', 1716),
(1717, 'PF12022', NULL, 'Domain of unknown function (DUF3510)', 130, NULL, 'DUF3510', 1717),
(1718, 'PF03881', NULL, 'Fructosamine kinase', 288, NULL, 'Fructosamin_kin', 1718),
(1719, 'PF14879', NULL, 'Domain of unknown function (DUF4489)', 140, NULL, 'DUF4489', 1719),
(1720, 'PF17771', NULL, 'ADAM cysteine-rich domain', 70, NULL, 'ADAM_CR_2', 1720),
(1721, 'PF03184', NULL, 'DDE superfamily endonuclease', 175, NULL, 'DDE_1', 1721),
(1722, 'PF17870', NULL, 'Insulin receptor trans-membrane segment', 47, NULL, 'Insulin_TMD', 1722),
(1723, 'PF13823', NULL, 'Alcohol dehydrogenase GroES-associated', 23, NULL, 'ADH_N_assoc', 1723),
(1724, 'PF08381', NULL, 'Transcription factor regulating root and shoot growth via Pin3', 56, NULL, 'BRX', 1724),
(1725, 'PF03974', NULL, 'Ecotin', 122, NULL, 'Ecotin', 1725),
(1726, 'PF08918', NULL, 'PhoQ Sensor', 179, NULL, 'PhoQ_Sensor', 1726),
(1727, 'PF05878', NULL, 'Phytoreovirus nonstructural protein Pns9/Pns10', 319, NULL, 'Phyto_Pns9_10', 1727),
(1728, 'PF13489', NULL, 'Methyltransferase domain', 165, NULL, 'Methyltransf_23', 1728),
(1729, 'PF12734', NULL, 'Cysteine-rich TM module stress tolerance', 42, NULL, 'CYSTM', 1729),
(1730, 'PF12594', NULL, 'Protein of unknown function (DUF3764)', 84, NULL, 'DUF3764', 1730),
(1731, 'PF02449', NULL, 'Beta-galactosidase', 374, NULL, 'Glyco_hydro_42', 1731),
(1732, 'PF03266', NULL, 'NTPase', 169, NULL, 'NTPase_1', 1732),
(1733, 'PF16713', NULL, 'Enriched in aromatic and glycine Residues box', 34, NULL, 'EAGR_box', 1733),
(1734, 'PF05379', NULL, 'Carlavirus endopeptidase', 88, NULL, 'Peptidase_C23', 1734),
(1735, 'PF01092', NULL, 'Ribosomal protein S6e', 125, NULL, 'Ribosomal_S6e', 1735),
(1736, 'PF12702', NULL, 'Lipocalin-like', 94, NULL, 'Lipocalin_3', 1736),
(1737, 'PF13908', NULL, 'Wnt and FGF inhibitory regulator', 187, NULL, 'Shisa', 1737),
(1738, 'PF13773', NULL, 'Domain of unknown function (DUF4170)', 68, NULL, 'DUF4170', 1738),
(1739, 'PF13383', NULL, 'Methyltransferase domain', 252, NULL, 'Methyltransf_22', 1739),
(1740, 'PF06697', NULL, 'Protein of unknown function (DUF1191)', 183, NULL, 'DUF1191', 1740),
(1741, 'PF13778', NULL, 'Domain of unknown function (DUF4174)', 120, NULL, 'DUF4174', 1741),
(1742, 'PF14063', NULL, 'Protein of unknown function (DUF4254)', 144, NULL, 'DUF4254', 1742),
(1743, 'PF01233', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, N-terminal domain', 160, NULL, 'NMT', 1743); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1744, 'PF00363', NULL, 'Casein', 87, NULL, 'Casein', 1744),
(1745, 'PF04088', NULL, 'Peroxin 13, N-terminal region', 145, NULL, 'Peroxin-13_N', 1745),
(1746, 'PF01055', NULL, 'Glycosyl hydrolases family 31', 443, NULL, 'Glyco_hydro_31', 1746),
(1747, 'PF03664', NULL, 'Glycosyl hydrolase family 62', 272, NULL, 'Glyco_hydro_62', 1747),
(1748, 'PF10181', NULL, 'GPI-GlcNAc transferase complex, PIG-H component', 70, NULL, 'PIG-H', 1748),
(1749, 'PF00878', NULL, 'Cation-independent mannose-6-phosphate receptor repeat', 143, NULL, 'CIMR', 1749),
(1750, 'PF10712', NULL, 'NAD-specific glutamate dehydrogenase', 576, NULL, 'NAD-GH', 1750),
(1751, 'PF11745', NULL, 'Protein of unknown function (DUF3304)', 111, NULL, 'DUF3304', 1751),
(1752, 'PF18601', NULL, 'EZH2 N-terminal domain', 79, NULL, 'EZH2_N', 1752),
(1753, 'PF04838', NULL, 'Baculoviridae late expression factor 5', 156, NULL, 'Baculo_LEF5', 1753),
(1754, 'PF07123', NULL, 'Photosystem II reaction centre W protein (PsbW)', 132, NULL, 'PsbW', 1754),
(1755, 'PF06733', NULL, 'DEAD_2', 175, NULL, 'DEAD_2', 1755),
(1756, 'PF10934', NULL, 'Protein of unknown function (DUF2634)', 105, NULL, 'DUF2634', 1756),
(1757, 'PF17272', NULL, 'Family of unknown function (DUF5337)', 74, NULL, 'DUF5337', 1757),
(1758, 'PF03876', NULL, 'SHS2 domain found in N terminus of Rpb7p/Rpc25p/MJ0397', 57, NULL, 'SHS2_Rpb7-N', 1758),
(1759, 'PF03047', NULL, 'COMC family', 31, NULL, 'ComC', 1759),
(1760, 'PF11765', NULL, 'Hyphally regulated cell wall protein N-terminal', 328, NULL, 'Hyphal_reg_CWP', 1760),
(1761, 'PF04902', NULL, 'Conserved region in Nab1', 181, NULL, 'Nab1', 1761),
(1762, 'PF00487', NULL, 'Fatty acid desaturase', 254, NULL, 'FA_desaturase', 1762),
(1763, 'PF08951', NULL, 'Enterocin A Immunity', 73, NULL, 'EntA_Immun', 1763),
(1764, 'PF12167', NULL, 'Arm DNA-binding domain', 65, NULL, 'Arm-DNA-bind_2', 1764),
(1765, 'PF10239', NULL, 'Protein of unknown function (DUF2465)', 323, NULL, 'DUF2465', 1765),
(1766, 'PF04324', NULL, 'BFD-like [2Fe-2S] binding domain', 51, NULL, 'Fer2_BFD', 1766),
(1767, 'PF12676', NULL, 'Protein of unknown function (DUF3796)', 120, NULL, 'DUF3796', 1767),
(1768, 'PF09528', NULL, 'Ehrlichia tandem repeat (Ehrlichia_rpt)', 36, NULL, 'Ehrlichia_rpt', 1768),
(1769, 'PF04515', NULL, 'Plasma-membrane choline transporter', 325, NULL, 'Choline_transpo', 1769),
(1770, 'PF10814', NULL, 'Cell wall synthesis protein CwsA', 133, NULL, 'CwsA', 1770),
(1771, 'PF10771', NULL, 'Winged helix-turn-helix domain (DUF2582)', 65, NULL, 'DUF2582', 1771),
(1772, 'PF17720', NULL, 'Family of unknown function (DUF5565)', 324, NULL, 'DUF5565', 1772),
(1773, 'PF10254', NULL, 'PACS-1 cytosolic sorting protein', 416, NULL, 'Pacs-1', 1773),
(1774, 'PF05823', NULL, 'Nematode fatty acid retinoid binding protein (Gp-FAR-1)', 149, NULL, 'Gp-FAR-1', 1774),
(1775, 'PF00029', NULL, 'Connexin', 228, NULL, 'Connexin', 1775),
(1776, 'PF15748', NULL, 'Centriole, cilia and spindle-associated', 258, NULL, 'CCSAP', 1776),
(1777, 'PF16000', NULL, 'CARMIL C-terminus', 303, NULL, 'CARMIL_C', 1777),
(1778, 'PF00396', NULL, 'Granulin', 42, NULL, 'Granulin', 1778),
(1779, 'PF14812', NULL, 'Transmembrane domain of transglycosylase PBP1 at N-terminal', 85, NULL, 'PBP1_TM', 1779),
(1780, 'PF05861', NULL, 'Bacterial phosphonate metabolism protein (PhnI)', 350, NULL, 'PhnI', 1780),
(1781, 'PF00647', NULL, 'Elongation factor 1 gamma, conserved domain', 107, NULL, 'EF1G', 1781),
(1782, 'PF15802', NULL, 'DDB1- and CUL4-associated factor 17', 474, NULL, 'DCAF17', 1782),
(1783, 'PF07057', NULL, 'DNA helicase TraI', 123, NULL, 'TraI', 1783),
(1784, 'PF11953', NULL, 'Domain of unknown function (DUF3470)', 42, NULL, 'DUF3470', 1784),
(1785, 'PF01756', NULL, 'Acyl-CoA oxidase', 181, NULL, 'ACOX', 1785),
(1786, 'PF07456', NULL, 'Heptaprenyl diphosphate synthase component I', 147, NULL, 'Hpre_diP_synt_I', 1786),
(1787, 'PF18212', NULL, 'ZNRF-3 Ectodomain', 105, NULL, 'ZNRF_3_ecto', 1787),
(1788, 'PF18866', NULL, 'CxC7 like cysteine cluster associated with KDZ transposases', 64, NULL, 'CxC7', 1788);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1789, 'PF01676', NULL, 'Metalloenzyme superfamily', 248, NULL, 'Metalloenzyme', 1789),
(1790, 'PF13132', NULL, 'Domain of unknown function (DUF3950)', 30, NULL, 'DUF3950', 1790),
(1791, 'PF01673', NULL, 'Herpesvirus putative major envelope glycoprotein', 530, NULL, 'Herpes_env', 1791),
(1792, 'PF00922', NULL, 'Vesiculovirus phosphoprotein', 204, NULL, 'Phosphoprotein', 1792),
(1793, 'PF09461', NULL, 'Phytotoxin PcF protein', 45, NULL, 'PcF', 1793),
(1794, 'PF03948', NULL, 'Ribosomal protein L9, C-terminal domain', 87, NULL, 'Ribosomal_L9_C', 1794),
(1795, 'PF14115', NULL, 'YuzL-like protein', 41, NULL, 'YuzL', 1795),
(1796, 'PF00497', NULL, 'Bacterial extracellular solute-binding proteins, family 3', 225, NULL, 'SBP_bac_3', 1796),
(1797, 'PF17502', NULL, 'Family of unknown function (DUF5434)', 186, NULL, 'DUF5434', 1797),
(1798, 'PF18318', NULL, 'Glutamine synthetase C-terminal domain', 118, NULL, 'Gln-synt_C-ter', 1798),
(1799, 'PF04910', NULL, 'Transcriptional repressor TCF25', 351, NULL, 'Tcf25', 1799),
(1800, 'PF06072', NULL, 'Alphaherpesvirus tegument protein US9', 61, NULL, 'Herpes_US9', 1800),
(1801, 'PF10710', NULL, 'Protein of unknown function (DUF2512)', 136, NULL, 'DUF2512', 1801),
(1802, 'PF15823', NULL, 'UPF0524 of C3orf70', 239, NULL, 'UPF0524', 1802),
(1803, 'PF16697', NULL, 'Inner membrane component of T3SS, cytoplasmic domain', 92, NULL, 'Yop-YscD_cpl', 1803),
(1804, 'PF09210', NULL, 'Domain of unknown function (DUF1957)', 101, NULL, 'DUF1957', 1804),
(1805, 'PF00661', NULL, 'Viral matrix protein', 340, NULL, 'Matrix', 1805),
(1806, 'PF05806', NULL, 'Noggin', 216, NULL, 'Noggin', 1806),
(1807, 'PF14105', NULL, 'Domain of unknown function (DUF4278)', 56, NULL, 'DUF4278', 1807),
(1808, 'PF03265', NULL, 'Deoxyribonuclease II', 326, NULL, 'DNase_II', 1808),
(1809, 'PF08389', NULL, 'Exportin 1-like protein', 149, NULL, 'Xpo1', 1809),
(1810, 'PF02214', NULL, 'BTB/POZ domain', 94, NULL, 'BTB_2', 1810),
(1811, 'PF00649', NULL, 'Copper fist DNA binding domain', 39, NULL, 'Copper-fist', 1811),
(1812, 'PF06767', NULL, 'Sif protein', 337, NULL, 'Sif', 1812),
(1813, 'PF17196', NULL, 'Protein of unknown function (DUF5133)', 65, NULL, 'DUF5133', 1813),
(1814, 'PF15315', NULL, 'Facioscapulohumeral muscular dystrophy candidate 2', 183, NULL, 'FRG2', 1814),
(1815, 'PF03824', NULL, 'High-affinity nickel-transport protein', 287, NULL, 'NicO', 1815),
(1816, 'PF02524', NULL, 'KID repeat', 11, NULL, 'KID', 1816),
(1817, 'PF16859', NULL, 'Tetracyclin repressor-like, C-terminal domain', 113, NULL, 'TetR_C_11', 1817),
(1818, 'PF06778', NULL, 'Chlorite dismutase', 194, NULL, 'Chlor_dismutase', 1818),
(1819, 'PF18161', NULL, 'ISP1 C-terminal', 107, NULL, 'ISP1_C', 1819),
(1820, 'PF02404', NULL, 'Stem cell factor', 275, NULL, 'SCF', 1820),
(1821, 'PF15487', NULL, 'FAM220 family', 275, NULL, 'FAM220', 1821),
(1822, 'PF06799', NULL, 'Conserved in the green lineage and diatoms 27', 143, NULL, 'DUF1230', 1822),
(1823, 'PF14871', NULL, 'Hypothetical glycosyl hydrolase 6', 137, NULL, 'GHL6', 1823),
(1824, 'PF16835', NULL, 'Pre-mRNA-splicing factor SF3a complex subunit 2 (Prp11)', 96, NULL, 'SF3A2', 1824),
(1825, 'PF15061', NULL, 'Domain of unknown function (DUF4538)', 57, NULL, 'DUF4538', 1825),
(1826, 'PF07508', NULL, 'Recombinase', 104, NULL, 'Recombinase', 1826),
(1827, 'PF09277', NULL, 'Erythronolide synthase, docking', 58, NULL, 'Erythro-docking', 1827),
(1828, 'PF15564', NULL, 'Immunity protein 25', 131, NULL, 'Imm25', 1828),
(1829, 'PF08407', NULL, 'Chitin synthase N-terminal', 73, NULL, 'Chitin_synth_1N', 1829),
(1830, 'PF08054', NULL, 'Leucine operon leader peptide', 28, NULL, 'Leu_leader', 1830),
(1831, 'PF03693', NULL, 'Bacterial antitoxin of ParD toxin-antitoxin type II system and RHH', 81, NULL, 'ParD_antitoxin', 1831),
(1832, 'PF10263', NULL, 'SprT-like family', 114, NULL, 'SprT-like', 1832),
(1833, 'PF08900', NULL, 'Domain of unknown function (DUF1845)', 215, NULL, 'DUF1845', 1833),
(1834, 'PF15767', NULL, 'Domain of unknown function (DUF4696)', 583, NULL, 'DUF4696', 1834);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1835, 'PF12469', NULL, 'CRISPR-associated protein', 111, NULL, 'DUF3692', 1835),
(1836, 'PF09023', NULL, 'Staphostatin B', 105, NULL, 'Staphostatin_B', 1836),
(1837, 'PF17750', NULL, 'Reovirus sigma C capsid protein triple beta spiral', 40, NULL, 'Reo_sigmaC_M', 1837),
(1838, 'PF16662', NULL, 'FLYWCH-type zinc finger-containing protein 1', 62, NULL, 'FLYWCH_u', 1838),
(1839, 'PF01738', NULL, 'Dienelactone hydrolase family', 217, NULL, 'DLH', 1839),
(1840, 'PF01462', NULL, 'Leucine rich repeat N-terminal domain', 28, NULL, 'LRRNT', 1840),
(1841, 'PF07892', NULL, 'Protein of unknown function (DUF1667)', 82, NULL, 'DUF1667', 1841),
(1842, 'PF10224', NULL, 'Short coiled-coil protein', 75, NULL, 'DUF2205', 1842),
(1843, 'PF14977', NULL, 'FAM194 protein', 202, NULL, 'FAM194', 1843),
(1844, 'PF17780', NULL, 'OCRE domain', 52, NULL, 'OCRE', 1844),
(1845, 'PF16321', NULL, 'Sigma 54 modulation/S30EA ribosomal protein C terminus', 57, NULL, 'Ribosom_S30AE_C', 1845),
(1846, 'PF10144', NULL, 'Bacterial virulence factor haemolysin', 159, NULL, 'SMP_2', 1846),
(1847, 'PF07016', NULL, 'Cysteine-rich acidic integral membrane protein precursor', 22, NULL, 'CRAM_rpt', 1847),
(1848, 'PF08968', NULL, 'Domain of unknown function (DUF1885)', 132, NULL, 'DUF1885', 1848),
(1849, 'PF09669', NULL, 'Phage regulatory protein Rha (Phage_pRha)', 88, NULL, 'Phage_pRha', 1849),
(1850, 'PF01428', NULL, 'AN1-like Zinc finger', 40, NULL, 'zf-AN1', 1850),
(1851, 'PF17730', NULL, 'Centrosomal C10orf90', 512, NULL, 'Centro_C10orf90', 1851),
(1852, 'PF11106', NULL, 'Exopolysaccharide production protein YjbE', 79, NULL, 'YjbE', 1852),
(1853, 'PF05078', NULL, 'Protein of unknown function (DUF679)', 163, NULL, 'DUF679', 1853),
(1854, 'PF01031', NULL, 'Dynamin central region', 286, NULL, 'Dynamin_M', 1854),
(1855, 'PF02228', NULL, 'Major core protein p19', 92, NULL, 'Gag_p19', 1855),
(1856, 'PF14611', NULL, 'Mitochondrial inner-membrane-bound regulator', 222, NULL, 'SLS', 1856),
(1857, 'PF00405', NULL, 'Transferrin', 329, NULL, 'Transferrin', 1857),
(1858, 'PF08069', NULL, 'Ribosomal S13/S15 N-terminal domain', 60, NULL, 'Ribosomal_S13_N', 1858),
(1859, 'PF00733', NULL, 'Asparagine synthase', 355, NULL, 'Asn_synthase', 1859),
(1860, 'PF07668', NULL, 'M penetrans paralogue family 1', 314, NULL, 'MpPF1', 1860),
(1861, 'PF08780', NULL, 'Nucleotidyltransferase substrate binding protein like', 126, NULL, 'NTase_sub_bind', 1861),
(1862, 'PF05035', NULL, '2-keto-3-deoxy-galactonokinase', 285, NULL, 'DGOK', 1862),
(1863, 'PF01015', NULL, 'Ribosomal S3Ae family', 195, NULL, 'Ribosomal_S3Ae', 1863),
(1864, 'PF09659', NULL, 'CRISPR-associated protein (Cas_Csm6)', 373, NULL, 'Cas_Csm6', 1864),
(1865, 'PF08033', NULL, 'Sec23/Sec24 beta-sandwich domain', 96, NULL, 'Sec23_BS', 1865),
(1866, 'PF16162', NULL, 'Domain of unknown function (DUF4868)', 187, NULL, 'DUF4868', 1866),
(1867, 'PF11982', NULL, 'Domain of unknown function (DUF3483)', 217, NULL, 'DUF3483', 1867),
(1868, 'PF14636', NULL, 'Folliculin-interacting protein N-terminus', 154, NULL, 'FNIP_N', 1868),
(1869, 'PF18207', NULL, 'Leukemia inhibitory factor receptor N-terminal domain', 78, NULL, 'LIFR_N', 1869),
(1870, 'PF06222', NULL, 'Phage tail assembly chaperone', 127, NULL, 'Phage_TAC_1', 1870),
(1871, 'PF03482', NULL, 'sic protein repeat', 30, NULL, 'SIC', 1871),
(1872, 'PF03413', NULL, 'Peptidase propeptide and YPEB domain', 63, NULL, 'PepSY', 1872),
(1873, 'PF18549', NULL, 'Nitrosopumilus output domain 1', 70, NULL, 'NitrOD1', 1873),
(1874, 'PF04487', NULL, 'CITED', 212, NULL, 'CITED', 1874),
(1875, 'PF01696', NULL, 'Adenovirus EB1 55K protein / large t-antigen', 387, NULL, 'Adeno_E1B_55K', 1875),
(1876, 'PF06443', NULL, 'SEF14-like adhesin', 165, NULL, 'SEF14_adhesin', 1876),
(1877, 'PF19137', NULL, 'Family of unknown function (DUF5820)', 117, NULL, 'DUF5820', 1877),
(1878, 'PF00224', NULL, 'Pyruvate kinase, barrel domain', 348, NULL, 'PK', 1878),
(1879, 'PF16892', NULL, 'Chitin biosynthesis protein CHS5 N-terminus', 48, NULL, 'CHS5_N', 1879);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1880, 'PF11391', NULL, 'Protein of unknown function (DUF2798)', 59, NULL, 'DUF2798', 1880),
(1881, 'PF00831', NULL, 'Ribosomal L29 protein', 57, NULL, 'Ribosomal_L29', 1881),
(1882, 'PF09591', NULL, 'Protein of unknown function (DUF2463)', 210, NULL, 'DUF2463', 1882),
(1883, 'PF08410', NULL, 'Domain of unknown function (DUF1737)', 53, NULL, 'DUF1737', 1883),
(1884, 'PF08587', NULL, 'Ubiquitin associated domain (UBA)', 46, NULL, 'UBA_2', 1884),
(1885, 'PF00113', NULL, 'Enolase, C-terminal TIM barrel domain', 296, NULL, 'Enolase_C', 1885),
(1886, 'PF12209', NULL, 'Leucine permease transcriptional regulator helical domain', 77, NULL, 'SAC3', 1886),
(1887, 'PF11884', NULL, 'Domain of unknown function (DUF3404)', 259, NULL, 'DUF3404', 1887),
(1888, 'PF09316', NULL, 'C-myb, C-terminal', 164, NULL, 'Cmyb_C', 1888),
(1889, 'PF15025', NULL, 'Domain of unknown function (DUF4524)', 146, NULL, 'DUF4524', 1889),
(1890, 'PF14358', NULL, 'Domain of unknown function (DUF4405)', 66, NULL, 'DUF4405', 1890),
(1891, 'PF07471', NULL, 'Phage DNA packaging protein Nu1', 164, NULL, 'Phage_Nu1', 1891),
(1892, 'PF02080', NULL, 'TrkA-C domain', 70, NULL, 'TrkA_C', 1892),
(1893, 'PF15679', NULL, 'Domain of unknown function (DUF4665)', 99, NULL, 'DUF4665', 1893),
(1894, 'PF16841', NULL, 'Ca-dependent carbohydrate-binding module xylan-binding', 93, NULL, 'CBM60', 1894),
(1895, 'PF14634', NULL, 'zinc-RING finger domain', 44, NULL, 'zf-RING_5', 1895),
(1896, 'PF05241', NULL, 'EXPERA (EXPanded EBP superfamily)', 115, NULL, 'EBP', 1896),
(1897, 'PF07551', NULL, 'Protein of unknown function (DUF1534)', 48, NULL, 'DUF1534', 1897),
(1898, 'PF12463', NULL, 'Protein of unknown function (DUF3689)', 312, NULL, 'DUF3689', 1898),
(1899, 'PF09309', NULL, 'FCP1, C-terminal', 260, NULL, 'FCP1_C', 1899),
(1900, 'PF00627', NULL, 'UBA/TS-N domain', 37, NULL, 'UBA', 1900),
(1901, 'PF13581', NULL, 'Histidine kinase-like ATPase domain', 125, NULL, 'HATPase_c_2', 1901),
(1902, 'PF13166', NULL, 'AAA domain', 713, NULL, 'AAA_13', 1902),
(1903, 'PF11700', NULL, 'Vacuole effluxer Atg22 like', 478, NULL, 'ATG22', 1903),
(1904, 'PF11053', NULL, 'Terminase DNA packaging enzyme', 157, NULL, 'DNA_Packaging', 1904),
(1905, 'PF10928', NULL, 'Protein of unknown function (DUF2810)', 53, NULL, 'DUF2810', 1905),
(1906, 'PF08495', NULL, 'FIST N domain', 174, NULL, 'FIST', 1906),
(1907, 'PF03407', NULL, 'Nucleotide-diphospho-sugar transferase', 212, NULL, 'Nucleotid_trans', 1907),
(1908, 'PF13376', NULL, 'Bacteriocin-protection, YdeI or OmpD-Associated', 60, NULL, 'OmdA', 1908),
(1909, 'PF00404', NULL, 'Dockerin type I domain', 58, NULL, 'Dockerin_1', 1909),
(1910, 'PF11879', NULL, 'Domain of unknown function (DUF3399)', 103, NULL, 'DUF3399', 1910),
(1911, 'PF06049', NULL, 'Coagulation Factor V LSPD Repeat', 9, NULL, 'LSPR', 1911),
(1912, 'PF14261', NULL, 'Domain of unknown function (DUF4351)', 59, NULL, 'DUF4351', 1912),
(1913, 'PF14674', NULL, 'FANCI solenoid 1 cap', 53, NULL, 'FANCI_S1-cap', 1913),
(1914, 'PF18041', NULL, 'MapZ extracellular domain 1', 129, NULL, 'MapZ_EC1', 1914),
(1915, 'PF02519', NULL, 'Auxin responsive protein', 90, NULL, 'Auxin_inducible', 1915),
(1916, 'PF14444', NULL, 'S1-like', 58, NULL, 'S1-like', 1916),
(1917, 'PF13941', NULL, 'MutL protein', 453, NULL, 'MutL', 1917),
(1918, 'PF00747', NULL, 'ssDNA binding protein', 1132, NULL, 'Viral_DNA_bp', 1918),
(1919, 'PF16508', NULL, 'Second BRCT domain on Nijmegen syndrome breakage protein', 121, NULL, 'NIBRIN_BRCT_II', 1919),
(1920, 'PF03555', NULL, 'Influenza C non-structural protein (NS2)', 57, NULL, 'Flu_C_NS2', 1920),
(1921, 'PF12740', NULL, 'Chlorophyllase enzyme', 254, NULL, 'Chlorophyllase2', 1921),
(1922, 'PF07436', NULL, 'Curtovirus V3 protein', 87, NULL, 'Curto_V3', 1922),
(1923, 'PF16610', NULL, 'Unstructured region between two PDZ domains on Dlg5', 81, NULL, 'dbPDZ_assoc', 1923),
(1924, 'PF00007', NULL, 'Cystine-knot domain', 105, NULL, 'Cys_knot', 1924),
(1925, 'PF12789', NULL, 'Phage tail repeat like', 60, NULL, 'PTR', 1925); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1926, 'PF00553', NULL, 'Cellulose binding domain', 101, NULL, 'CBM_2', 1926),
(1927, 'PF01865', NULL, 'Protein of unknown function DUF47', 214, NULL, 'PhoU_div', 1927),
(1928, 'PF04455', NULL, 'LOR/SDH bifunctional enzyme conserved region', 100, NULL, 'Saccharop_dh_N', 1928),
(1929, 'PF01826', NULL, 'Trypsin Inhibitor like cysteine rich domain', 55, NULL, 'TIL', 1929),
(1930, 'PF11354', NULL, 'Protein of unknown function (DUF3156)', 161, NULL, 'DUF3156', 1930),
(1931, 'PF15828', NULL, 'Domain of unknown function (DUF4710)', 77, NULL, 'DUF4710', 1931),
(1932, 'PF13634', NULL, 'Nucleoporin FG repeat region', 92, NULL, 'Nucleoporin_FG', 1932),
(1933, 'PF03012', NULL, 'Phosphoprotein', 296, NULL, 'PP_M1', 1933),
(1934, 'PF16764', NULL, 'Sharpin PH domain', 121, NULL, 'Sharpin_PH', 1934),
(1935, 'PF05695', NULL, 'Plant protein of unknown function (DUF825)', 1486, NULL, 'DUF825', 1935),
(1936, 'PF14785', NULL, 'Maltose transport system permease protein MalF P2 domain', 164, NULL, 'MalF_P2', 1936),
(1937, 'PF06730', NULL, 'FAM92 protein', 222, NULL, 'FAM92', 1937),
(1938, 'PF03939', NULL, 'Ribosomal protein L23, N-terminal domain', 51, NULL, 'Ribosomal_L23eN', 1938),
(1939, 'PF17769', NULL, 'Phosphoribosylaminoimidazole carboxylase C-terminal domain', 55, NULL, 'PurK_C', 1939),
(1940, 'PF01123', NULL, 'Staphylococcal/Streptococcal toxin, OB-fold domain', 79, NULL, 'Stap_Strp_toxin', 1940),
(1941, 'PF05804', NULL, 'Kinesin-associated protein (KAP)', 708, NULL, 'KAP', 1941),
(1942, 'PF01053', NULL, 'Cys/Met metabolism PLP-dependent enzyme', 382, NULL, 'Cys_Met_Meta_PP', 1942),
(1943, 'PF03465', NULL, 'eRF1 domain 3', 113, NULL, 'eRF1_3', 1943),
(1944, 'PF02186', NULL, 'TFIIE beta subunit core domain', 68, NULL, 'TFIIE_beta', 1944),
(1945, 'PF13299', NULL, 'Cleavage and polyadenylation factor 2 C-terminal', 170, NULL, 'CPSF100_C', 1945),
(1946, 'PF11416', NULL, 'Syntaxin-5 N-terminal, Sly1p-binding domain', 23, NULL, 'Syntaxin-5_N', 1946),
(1947, 'PF06463', NULL, 'Molybdenum Cofactor Synthesis C', 128, NULL, 'Mob_synth_C', 1947),
(1948, 'PF16780', NULL, 'AIMP2 lysyl-tRNA synthetase binding domain', 47, NULL, 'AIMP2_LysRS_bd', 1948),
(1949, 'PF16365', NULL, 'Ethanolamine utilization protein EutK C-terminus', 55, NULL, 'EutK_C', 1949),
(1950, 'PF11130', NULL, 'TraC protein', 233, NULL, 'TraC_F_IV', 1950),
(1951, 'PF10106', NULL, 'Uncharacterized protein conserved in bacteria (DUF2345)', 151, NULL, 'DUF2345', 1951),
(1952, 'PF10818', NULL, 'Protein of unknown function (DUF2547)', 96, NULL, 'DUF2547', 1952),
(1953, 'PF11144', NULL, 'Protein of unknown function (DUF2920)', 394, NULL, 'DUF2920', 1953),
(1954, 'PF16618', NULL, 'Linker region between SH3 and WW domains on ARHGAP12', 194, NULL, 'SH3-WW_linker', 1954),
(1955, 'PF03217', NULL, 'Surface layer protein A domain', 55, NULL, 'SlpA', 1955),
(1956, 'PF19053', NULL, 'EccD-like transmembrane domain', 392, NULL, 'EccD', 1956),
(1957, 'PF02601', NULL, 'Exonuclease VII, large subunit', 305, NULL, 'Exonuc_VII_L', 1957),
(1958, 'PF12414', NULL, 'Calcitonin gene-related peptide regulator C terminal', 96, NULL, 'Fox-1_C', 1958),
(1959, 'PF11395', NULL, 'Betacoronavirus NS7B protein', 43, NULL, 'bCoV_NS7B', 1959),
(1960, 'PF12488', NULL, 'Protein of unknown function (DUF3704)', 27, NULL, 'DUF3704', 1960),
(1961, 'PF12794', NULL, 'Mechanosensitive ion channel inner membrane domain 1', 339, NULL, 'MscS_TM', 1961),
(1962, 'PF03568', NULL, 'Peptidase family C50', 395, NULL, 'Peptidase_C50', 1962),
(1963, 'PF17931', NULL, 'Tetracyclin repressor-like, C-terminal domain', 127, NULL, 'TetR_C_23', 1963),
(1964, 'PF19008', NULL, 'Family of unknown function (DUF5737)', 99, NULL, 'DUF5737', 1964),
(1965, 'PF06936', NULL, 'Selenoprotein S (SelS)', 192, NULL, 'Selenoprotein_S', 1965),
(1966, 'PF01450', NULL, 'Acetohydroxy acid isomeroreductase, catalytic domain', 144, NULL, 'IlvC', 1966),
(1967, 'PF04468', NULL, 'PSP1 C-terminal conserved region', 86, NULL, 'PSP1', 1967);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(1968, 'PF02208', NULL, 'Sorbin homologous domain', 45, NULL, 'Sorb', 1968),
(1969, 'PF08657', NULL, 'DASH complex subunit Spc34', 255, NULL, 'DASH_Spc34', 1969),
(1970, 'PF07800', NULL, 'Protein of unknown function (DUF1644)', 168, NULL, 'DUF1644', 1970),
(1971, 'PF12525', NULL, 'Protein of unknown function (DUF3726)', 73, NULL, 'DUF3726', 1971),
(1972, 'PF00050', NULL, 'Kazal-type serine protease inhibitor domain', 49, NULL, 'Kazal_1', 1972),
(1973, 'PF03507', NULL, 'CagA exotoxin phosphopeptide substrate mimic region', 39, NULL, 'CagA', 1973),
(1974, 'PF05058', NULL, 'ActA Protein', 633, NULL, 'ActA', 1974),
(1975, 'PF18925', NULL, 'Family of unknown function (DUF5675)', 112, NULL, 'DUF5675', 1975),
(1976, 'PF13836', NULL, 'Domain of unknown function (DUF4195)', 185, NULL, 'DUF4195', 1976),
(1977, 'PF11647', NULL, 'Membrane Localization Domain', 70, NULL, 'MLD', 1977),
(1978, 'PF00242', NULL, 'DNA polymerase (viral) N-terminal domain', 353, NULL, 'DNA_pol_viral_N', 1978),
(1979, 'PF00203', NULL, 'Ribosomal protein S19', 81, NULL, 'Ribosomal_S19', 1979),
(1980, 'PF02045', NULL, 'CCAAT-binding transcription factor (CBF-B/NF-YA) subunit B', 56, NULL, 'CBFB_NFYA', 1980),
(1981, 'PF17046', NULL, 'SesB domain on fungal death-pathway protein', 28, NULL, 'Ses_B', 1981),
(1982, 'PF10776', NULL, 'Protein of unknown function (DUF2600)', 328, NULL, 'DUF2600', 1982),
(1983, 'PF15535', NULL, 'Bacterial toxin 37', 64, NULL, 'Ntox37', 1983),
(1984, 'PF07639', NULL, 'YTV', 43, NULL, 'YTV', 1984),
(1985, 'PF00679', NULL, 'Elongation factor G C-terminus', 89, NULL, 'EFG_C', 1985),
(1986, 'PF03810', NULL, 'Importin-beta N-terminal domain', 74, NULL, 'IBN_N', 1986),
(1987, 'PF04341', NULL, 'Protein of unknown function, DUF485', 89, NULL, 'DUF485', 1987),
(1988, 'PF18969', NULL, 'Family of unknown function (DUF5708)', 60, NULL, 'DUF5708', 1988),
(1989, 'PF04250', NULL, 'Protein of unknown function (DUF429)', 209, NULL, 'DUF429', 1989),
(1990, 'PF09565', NULL, 'NgoFVII restriction endonuclease', 287, NULL, 'RE_NgoFVII', 1990),
(1991, 'PF08812', NULL, 'YtxC-like family', 217, NULL, 'YtxC', 1991),
(1992, 'PF09018', NULL, 'P3 major capsid protein', 394, NULL, 'Phage_Capsid_P3', 1992),
(1993, 'PF11214', NULL, 'Mediator complex subunit 2', 100, NULL, 'Med2', 1993),
(1994, 'PF11559', NULL, 'Afadin- and alpha -actinin-Binding', 152, NULL, 'ADIP', 1994),
(1995, 'PF11638', NULL, 'DnaA N-terminal domain', 64, NULL, 'DnaA_N', 1995),
(1996, 'PF05399', NULL, 'Ectropic viral integration site 2A protein (EVI2A)', 232, NULL, 'EVI2A', 1996),
(1997, 'PF01746', NULL, 'tRNA (Guanine-1)-methyltransferase', 195, NULL, 'tRNA_m1G_MT', 1997),
(1998, 'PF14839', NULL, 'DOR family', 243, NULL, 'DOR', 1998),
(1999, 'PF07669', NULL, 'Eco57I restriction-modification methylase', 106, NULL, 'Eco57I', 1999),
(2000, 'PF13672', NULL, 'Protein phosphatase 2C', 210, NULL, 'PP2C_2', 2000),
(2001, 'PF03745', NULL, 'Domain of unknown function (DUF309)', 59, NULL, 'DUF309', 2001),
(2002, 'PF14073', NULL, 'Centrosome localisation domain of Cep57', 178, NULL, 'Cep57_CLD', 2002),
(2003, 'PF04037', NULL, 'Domain of unknown function (DUF382)', 127, NULL, 'DUF382', 2003),
(2004, 'PF15424', NULL, 'Odontogenic ameloblast-associated family', 264, NULL, 'ODAM', 2004),
(2005, 'PF10210', NULL, 'Mitochondrial 28S ribosomal protein S32', 93, NULL, 'MRP-S32', 2005),
(2006, 'PF15441', NULL, 'RhoGEF 5/35 N-terminal disordered region', 488, NULL, 'ARHGEF5_35', 2006),
(2007, 'PF00223', NULL, 'Photosystem I psaA/psaB protein', 717, NULL, 'PsaA_PsaB', 2007),
(2008, 'PF07058', NULL, 'Microtubule-associated protein 70', 554, NULL, 'MAP70', 2008),
(2009, 'PF06558', NULL, 'Secretion monitor precursor protein (SecM)', 146, NULL, 'SecM', 2009),
(2010, 'PF10275', NULL, 'Peptidase C65 Otubain', 246, NULL, 'Peptidase_C65', 2010),
(2011, 'PF06592', NULL, 'Protein of unknown function (DUF1138)', 73, NULL, 'DUF1138', 2011),
(2012, 'PF11547', NULL, 'E3 ubiquitin ligase EDD', 52, NULL, 'E3_UbLigase_EDD', 2012);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2013, 'PF09058', NULL, 'L27_1', 61, NULL, 'L27_1', 2013),
(2014, 'PF14656', NULL, 'Rab3 GTPase-activating protein regulatory subunit C-terminus', 598, NULL, 'RAB3GAP2_C', 2014),
(2015, 'PF11207', NULL, 'Protein of unknown function (DUF2989)', 201, NULL, 'DUF2989', 2015),
(2016, 'PF02331', NULL, 'Apoptosis preventing protein', 296, NULL, 'P35', 2016),
(2017, 'PF15467', NULL, 'Secretogranin-3', 449, NULL, 'SGIII', 2017),
(2018, 'PF13141', NULL, 'Protein of unknown function (DUF3979)', 115, NULL, 'DUF3979', 2018),
(2019, 'PF09500', NULL, 'Putative thioesterase (yiiD_Cterm)', 144, NULL, 'YiiD_C', 2019),
(2020, 'PF18366', NULL, 'Zic proteins zinc finger domain', 46, NULL, 'zf_ZIC', 2020),
(2021, 'PF09057', NULL, 'Second Mitochondria-derived Activator of Caspases', 237, NULL, 'Smac_DIABLO', 2021),
(2022, 'PF08663', NULL, 'HalX domain', 67, NULL, 'HalX', 2022),
(2023, 'PF16248', NULL, 'Domain of unknown function (DUF4905)', 83, NULL, 'DUF4905', 2023),
(2024, 'PF14242', NULL, 'Domain of unknown function (DUF4342)', 81, NULL, 'DUF4342', 2024),
(2025, 'PF10748', NULL, 'DNA utilization proteins HofP', 132, NULL, 'HofP', 2025),
(2026, 'PF13897', NULL, 'Golgi-dynamics membrane-trafficking', 137, NULL, 'GOLD_2', 2026),
(2027, 'PF00183', NULL, 'Hsp90 protein', 518, NULL, 'HSP90', 2027),
(2028, 'PF09769', NULL, 'Apolipoprotein O', 130, NULL, 'ApoO', 2028),
(2029, 'PF07079', NULL, 'Protein of unknown function (DUF1347)', 546, NULL, 'DUF1347', 2029),
(2030, 'PF16335', NULL, 'Domain of unknown function (DUF4965)', 174, NULL, 'DUF4965', 2030),
(2031, 'PF07527', NULL, 'Hairy Orange', 40, NULL, 'Hairy_orange', 2031),
(2032, 'PF09709', NULL, 'CRISPR-associated protein (Cas_Csd1)', 551, NULL, 'Cas_Csd1', 2032),
(2033, 'PF04173', NULL, 'TQO small subunit DoxD', 167, NULL, 'DoxD', 2033),
(2034, 'PF09469', NULL, 'Cordon-bleu ubiquitin-like domain', 92, NULL, 'Cobl', 2034),
(2035, 'PF05982', NULL, 'Na+-dependent bicarbonate transporter superfamily', 308, NULL, 'Sbt_1', 2035),
(2036, 'PF11942', NULL, 'Spt5 transcription elongation factor, acidic N-terminal', 99, NULL, 'Spt5_N', 2036),
(2037, 'PF06466', NULL, 'PCAF (P300/CBP-associated factor) N-terminal domain', 250, NULL, 'PCAF_N', 2037),
(2038, 'PF07229', NULL, 'VirE2', 556, NULL, 'VirE2', 2038),
(2039, 'PF03804', NULL, 'Viral proteins of unknown function', 73, NULL, 'DUF325', 2039),
(2040, 'PF14520', NULL, 'Helix-hairpin-helix domain', 57, NULL, 'HHH_5', 2040),
(2041, 'PF18265', NULL, 'Nas2 N_terminal domain', 79, NULL, 'Nas2_N', 2041),
(2042, 'PF07290', NULL, 'Protein of unknown function (DUF1449)', 202, NULL, 'DUF1449', 2042),
(2043, 'PF14267', NULL, 'Domain of unknown function (DUF4357)', 54, NULL, 'DUF4357', 2043),
(2044, 'PF00584', NULL, 'SecE/Sec61-gamma subunits of protein translocation complex', 55, NULL, 'SecE', 2044),
(2045, 'PF00234', NULL, 'Protease inhibitor/seed storage/LTP family', 87, NULL, 'Tryp_alpha_amyl', 2045),
(2046, 'PF00635', NULL, 'MSP (Major sperm protein) domain', 109, NULL, 'Motile_Sperm', 2046),
(2047, 'PF16228', NULL, 'Domain of unknown function (DUF4887)', 172, NULL, 'DUF4887', 2047),
(2048, 'PF17011', NULL, 'Domain of unknown function (DUF5093)', 131, NULL, 'DUF5093', 2048),
(2049, 'PF08406', NULL, 'CbbQ/NirQ/NorQ C-terminal', 85, NULL, 'CbbQ_C', 2049),
(2050, 'PF03061', NULL, 'Thioesterase superfamily', 79, NULL, '4HBT', 2050),
(2051, 'PF16551', NULL, 'Putative nuclear localisation signal of quaking', 30, NULL, 'Quaking_NLS', 2051),
(2052, 'PF06336', NULL, 'Coronavirus 5a protein', 64, NULL, 'Corona_5a', 2052),
(2053, 'PF17776', NULL, 'NLRC4 helical domain HD2', 127, NULL, 'NLRC4_HD2', 2053),
(2054, 'PF05630', NULL, 'Necrosis inducing protein (NPP1)', 196, NULL, 'NPP1', 2054),
(2055, 'PF18209', NULL, 'Embryo surrounding factor 1', 56, NULL, 'ESF1', 2055),
(2056, 'PF08683', NULL, 'Microtubule-binding calmodulin-regulated spectrin-associated', 119, NULL, 'CAMSAP_CKK', 2056),
(2057, 'PF10734', NULL, 'Protein of unknown function (DUF2523)', 80, NULL, 'DUF2523', 2057);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2058, 'PF07876', NULL, 'Stress responsive A/B Barrel Domain', 97, NULL, 'Dabb', 2058),
(2059, 'PF08447', NULL, 'PAS fold', 89, NULL, 'PAS_3', 2059),
(2060, 'PF05887', NULL, 'Procyclic acidic repetitive protein (PARP)', 134, NULL, 'Trypan_PARP', 2060),
(2061, 'PF03296', NULL, 'Poxvirus poly(A) polymerase nucleotidyltransferase domain', 148, NULL, 'Pox_polyA_pol', 2061),
(2062, 'PF10648', NULL, 'Immunoglobulin-like domain of bacterial spore germination', 86, NULL, 'Gmad2', 2062),
(2063, 'PF00124', NULL, 'Photosynthetic reaction centre protein', 260, NULL, 'Photo_RC', 2063),
(2064, 'PF08275', NULL, 'DNA primase catalytic core, N-terminal domain', 128, NULL, 'Toprim_N', 2064),
(2065, 'PF10092', NULL, 'Uncharacterized protein conserved in bacteria (DUF2330)', 309, NULL, 'DUF2330', 2065),
(2066, 'PF00354', NULL, 'Pentaxin family', 194, NULL, 'Pentaxin', 2066),
(2067, 'PF08269', NULL, 'Cache domain', 296, NULL, 'dCache_2', 2067),
(2068, 'PF12974', NULL, 'ABC transporter, phosphonate, periplasmic substrate-binding protein', 243, NULL, 'Phosphonate-bd', 2068),
(2069, 'PF15773', NULL, 'Domain of unknown function (DUF4701)', 504, NULL, 'DUF4701', 2069),
(2070, 'PF11381', NULL, 'Protein of unknown function (DUF3185)', 59, NULL, 'DUF3185', 2070),
(2071, 'PF06394', NULL, 'Pepsin inhibitor-3-like repeated domain', 74, NULL, 'Pepsin-I3', 2071),
(2072, 'PF16825', NULL, 'IGP family C-type lectin domain', 173, NULL, 'DUF5075', 2072),
(2073, 'PF03688', NULL, 'Nepovirus coat protein, C-terminal domain', 163, NULL, 'Nepo_coat_C', 2073),
(2074, 'PF16170', NULL, 'Domain of unknown function (DUF4873)', 91, NULL, 'DUF4873', 2074),
(2075, 'PF15332', NULL, 'Lck-interacting transmembrane adapter 1', 224, NULL, 'LIME1', 2075),
(2076, 'PF12178', NULL, 'Chromosome passenger complex (CPC) protein INCENP N terminal', 36, NULL, 'INCENP_N', 2076),
(2077, 'PF15529', NULL, 'Bacterial toxin 24', 96, NULL, 'Ntox24', 2077),
(2078, 'PF10255', NULL, 'RNA polymerase I-associated factor PAF67', 402, NULL, 'Paf67', 2078),
(2079, 'PF15984', NULL, 'Bacterial collagen, middle region', 198, NULL, 'Collagen_mid', 2079),
(2080, 'PF14746', NULL, 'WASH complex subunit 7, C-terminal', 175, NULL, 'WASH-7_C', 2080),
(2081, 'PF12554', NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', 47, NULL, 'MOZART1', 2081),
(2082, 'PF12981', NULL, 'Domain of Unknown Function with PDB structure (DUF3865)', 224, NULL, 'DUF3865', 2082),
(2083, 'PF18221', NULL, 'Mutator 2 Fork head associated domain', 94, NULL, 'MU2_FHA', 2083),
(2084, 'PF09041', NULL, 'Aurora-A binding', 68, NULL, 'Aurora-A_bind', 2084),
(2085, 'PF07319', NULL, 'Primosomal protein DnaI N-terminus', 94, NULL, 'DnaI_N', 2085),
(2086, 'PF07070', NULL, 'SpoOM protein', 210, NULL, 'Spo0M', 2086),
(2087, 'PF07239', NULL, 'Outer membrane protein OpcA', 250, NULL, 'OpcA', 2087),
(2088, 'PF19011', NULL, 'Family of unknown function (DUF5740)', 94, NULL, 'DUF5740', 2088),
(2089, 'PF18933', NULL, 'PsbP-like protein', 193, NULL, 'PsbP_2', 2089),
(2090, 'PF10797', NULL, 'Protein of unknown function', 424, NULL, 'YhfT', 2090),
(2091, 'PF06556', NULL, 'IAP-like protein p27 C-terminus', 131, NULL, 'ASFV_p27', 2091),
(2092, 'PF17053', NULL, 'Genetic interactor of prohibitin 5', 222, NULL, 'GEP5', 2092),
(2093, 'PF05180', NULL, 'DNL zinc finger', 64, NULL, 'zf-DNL', 2093),
(2094, 'PF02661', NULL, 'Fic/DOC family', 97, NULL, 'Fic', 2094),
(2095, 'PF15744', NULL, 'Uncharacterized protein family UPF0492', 369, NULL, 'UPF0492', 2095),
(2096, 'PF18378', NULL, 'Nuclear pore protein NUP188 C-terminal domain', 371, NULL, 'Nup188_C', 2096),
(2097, 'PF05090', NULL, 'Vitamin K-dependent gamma-carboxylase', 434, NULL, 'VKG_Carbox', 2097),
(2098, 'PF14416', NULL, 'PMR5 N terminal Domain', 54, NULL, 'PMR5N', 2098),
(2099, 'PF15777', NULL, 'Tryptophan RNA-binding attenuator protein inhibitory protein', 59, NULL, 'Anti-TRAP', 2099),
(2100, 'PF17742', NULL, 'Family of unknown function (DUF5579)', 202, NULL, 'DUF5579', 2100);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2101, 'PF08541', NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III C terminal', 90, NULL, 'ACP_syn_III_C', 2101),
(2102, 'PF05988', NULL, 'Bacterial protein of unknown function (DUF899)', 215, NULL, 'DUF899', 2102),
(2103, 'PF17566', NULL, 'Family of unknown function (DUF5472)', 73, NULL, 'DUF5472', 2103),
(2104, 'PF13528', NULL, 'Glycosyl transferase family 1', 322, NULL, 'Glyco_trans_1_3', 2104),
(2105, 'PF17941', NULL, 'Polyphosphate kinase C-terminal domain 1', 167, NULL, 'PP_kinase_C_1', 2105),
(2106, 'PF08014', NULL, 'Domain of unknown function (DUF1704)', 365, NULL, 'DUF1704', 2106),
(2107, 'PF07299', NULL, 'Elongation factor G-binding protein, N-terminal', 83, NULL, 'EF-G-binding_N', 2107),
(2108, 'PF03426', NULL, 'Carbohydrate binding domain (family 15)', 163, NULL, 'CBM_15', 2108),
(2109, 'PF19049', NULL, 'SidE DUB domain', 173, NULL, 'SidE_DUB', 2109),
(2110, 'PF16489', NULL, 'GPCR-Autoproteolysis INducing (GAIN) domain', 210, NULL, 'GAIN', 2110),
(2111, 'PF09673', NULL, 'Type-F conjugative transfer system pilin assembly protein', 111, NULL, 'TrbC_Ftype', 2111),
(2112, 'PF14305', NULL, 'TupA-like ATPgrasp', 241, NULL, 'ATPgrasp_TupA', 2112),
(2113, 'PF17042', NULL, 'Nucleotide-binding C-terminal domain', 169, NULL, 'NBD_C', 2113),
(2114, 'PF10493', NULL, 'Rough deal protein C-terminal region', 563, NULL, 'Rod_C', 2114),
(2115, 'PF14751', NULL, 'Domain of unknown function (DUF4474)', 241, NULL, 'DUF4474', 2115),
(2116, 'PF05025', NULL, 'RbsD / FucU transport protein family', 134, NULL, 'RbsD_FucU', 2116),
(2117, 'PF14389', NULL, 'Leucine-zipper of ternary complex factor MIP1', 85, NULL, 'Lzipper-MIP1', 2117),
(2118, 'PF09477', NULL, 'Bacterial type II secretion system chaperone protein (type_III_yscG)', 116, NULL, 'Type_III_YscG', 2118),
(2119, 'PF09928', NULL, 'Predicted small integral membrane protein (DUF2160)', 88, NULL, 'DUF2160', 2119),
(2120, 'PF07253', NULL, 'Gypsy protein', 472, NULL, 'Gypsy', 2120),
(2121, 'PF15977', NULL, 'Winged helix-turn-helix DNA binding', 68, NULL, 'HTH_46', 2121),
(2122, 'PF18043', NULL, 'T4 RNA ligase 2 C-terminal', 82, NULL, 'T4_Rnl2_C', 2122),
(2123, 'PF06461', NULL, 'Domain of Unknown Function (DUF1086)', 138, NULL, 'DUF1086', 2123),
(2124, 'PF01509', NULL, 'TruB family pseudouridylate synthase (N terminal domain)', 149, NULL, 'TruB_N', 2124),
(2125, 'PF13617', NULL, 'YnbE-like lipoprotein', 34, NULL, 'Lipoprotein_19', 2125),
(2126, 'PF07445', NULL, 'Primosomal replication protein priC', 174, NULL, 'PriC', 2126),
(2127, 'PF07542', NULL, 'ATP12 chaperone protein', 129, NULL, 'ATP12', 2127),
(2128, 'PF15312', NULL, 'Junctional sarcoplasmic reticulum protein', 63, NULL, 'JSRP', 2128),
(2129, 'PF05854', NULL, 'Non-histone chromosomal protein MC1', 90, NULL, 'MC1', 2129),
(2130, 'PF17593', NULL, 'Family of unknown function (DUF5490)', 62, NULL, 'DUF5490', 2130),
(2131, 'PF08531', NULL, 'Alpha-L-rhamnosidase N-terminal domain', 172, NULL, 'Bac_rhamnosid_N', 2131),
(2132, 'PF19101', NULL, 'Family of unknown function (DUF5788)', 131, NULL, 'DUF5788', 2132),
(2133, 'PF17753', NULL, 'Ig-fold domain', 81, NULL, 'Ig_mannosidase', 2133),
(2134, 'PF04741', NULL, 'InvH outer membrane lipoprotein', 147, NULL, 'InvH', 2134),
(2135, 'PF05002', NULL, 'SGS domain', 83, NULL, 'SGS', 2135),
(2136, 'PF07751', NULL, 'Abi-like protein', 179, NULL, 'Abi_2', 2136),
(2137, 'PF15466', NULL, 'Domain of unknown function (DUF4635)', 134, NULL, 'DUF4635', 2137),
(2138, 'PF10448', NULL, '20S proteasome chaperone assembly proteins 3 and 4', 144, NULL, 'POC3_POC4', 2138),
(2139, 'PF01250', NULL, 'Ribosomal protein S6', 90, NULL, 'Ribosomal_S6', 2139),
(2140, 'PF06782', NULL, 'Uncharacterised protein family (UPF0236)', 479, NULL, 'UPF0236', 2140),
(2141, 'PF01306', NULL, 'LacY proton/sugar symporter', 413, NULL, 'LacY_symp', 2141),
(2142, 'PF03444', NULL, 'Winged helix-turn-helix transcription repressor, HrcA DNA-binding', 79, NULL, 'HrcA_DNA-bdg', 2142),
(2143, 'PF10698', NULL, 'Protein of unknown function (DUF2505)', 158, NULL, 'DUF2505', 2143);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2144, 'PF06797', NULL, 'Protein of unknown function (DUF1229)', 139, NULL, 'DUF1229', 2144),
(2145, 'PF16951', NULL, 'Putative methionine and alanine importer, small subunit', 60, NULL, 'MaAIMP_sms', 2145),
(2146, 'PF03042', NULL, 'Birnavirus VP5 protein', 135, NULL, 'Birna_VP5', 2146),
(2147, 'PF02529', NULL, 'Cytochrome B6-F complex subunit 5', 36, NULL, 'PetG', 2147),
(2148, 'PF11433', NULL, 'Protein of unknown function (DUF3198)', 50, NULL, 'DUF3198', 2148),
(2149, 'PF02923', NULL, 'Restriction endonuclease BamHI', 157, NULL, 'BamHI', 2149),
(2150, 'PF02914', NULL, 'Bacteriophage Mu transposase', 219, NULL, 'DDE_2', 2150),
(2151, 'PF10960', NULL, 'BhlA holin family', 70, NULL, 'Holin_BhlA', 2151),
(2152, 'PF14446', NULL, 'Prokaryotic RING finger family 1', 54, NULL, 'Prok-RING_1', 2152),
(2153, 'PF13957', NULL, 'Toxin YafO, type II toxin-antitoxin system', 101, NULL, 'YafO_toxin', 2153),
(2154, 'PF08204', NULL, 'CD47 immunoglobulin-like domain', 130, NULL, 'V-set_CD47', 2154),
(2155, 'PF09216', NULL, 'Pfg27', 174, NULL, 'Pfg27', 2155),
(2156, 'PF02924', NULL, 'Bacteriophage lambda head decoration protein D', 116, NULL, 'HDPD', 2156),
(2157, 'PF16507', NULL, 'Proteasome-substrate-size regulator, mid region', 524, NULL, 'BLM10_mid', 2157),
(2158, 'PF09096', NULL, 'Baseplate structural protein, domain 2', 173, NULL, 'Phage-tail_2', 2158),
(2159, 'PF18846', NULL, 'Bacterial archaeo-eukaryotic release factor family 5', 132, NULL, 'baeRF_family5', 2159),
(2160, 'PF09981', NULL, 'Uncharacterized protein conserved in bacteria (DUF2218)', 88, NULL, 'DUF2218', 2160),
(2161, 'PF18831', NULL, 'Leucine-rich repeat', 29, NULL, 'LRR_11', 2161),
(2162, 'PF10778', NULL, 'Halocarboxylic acid dehydrogenase DehI', 148, NULL, 'DehI', 2162),
(2163, 'PF00278', NULL, 'Pyridoxal-dependent decarboxylase, C-terminal sheet domain', 95, NULL, 'Orn_DAP_Arg_deC', 2163),
(2164, 'PF17536', NULL, 'Matrix and Matrix long proteins N-terminal', 149, NULL, 'Mx_ML', 2164),
(2165, 'PF06108', NULL, 'Protein of unknown function (DUF952)', 90, NULL, 'DUF952', 2165),
(2166, 'PF00918', NULL, 'Gastrin/cholecystokinin family', 128, NULL, 'Gastrin', 2166),
(2167, 'PF13081', NULL, 'Domain of unknown function (DUF3941)', 24, NULL, 'DUF3941', 2167),
(2168, 'PF05048', NULL, 'Periplasmic copper-binding protein (NosD)', 211, NULL, 'NosD', 2168),
(2169, 'PF18105', NULL, 'PGM1 C-terminal domain', 53, NULL, 'PGM1_C', 2169),
(2170, 'PF04791', NULL, 'LMBR1-like membrane protein', 509, NULL, 'LMBR1', 2170),
(2171, 'PF07398', NULL, 'MDMPI C-terminal domain', 91, NULL, 'MDMPI_C', 2171),
(2172, 'PF03017', NULL, 'TNP1/EN/SPM transposase', 66, NULL, 'Transposase_23', 2172),
(2173, 'PF07529', NULL, 'HSA', 71, NULL, 'HSA', 2173),
(2174, 'PF11524', NULL, 'Selenium binding protein', 82, NULL, 'SeleniumBinding', 2174),
(2175, 'PF17542', NULL, 'Uncharacterized RP853', 317, NULL, 'RP853', 2175),
(2176, 'PF10930', NULL, 'Protein of unknown function (DUF2737)', 53, NULL, 'DUF2737', 2176),
(2177, 'PF09112', NULL, 'Peptide-N-glycosidase F, N terminal', 173, NULL, 'N-glycanase_N', 2177),
(2178, 'PF07278', NULL, 'Protein of unknown function (DUF1441)', 149, NULL, 'DUF1441', 2178),
(2179, 'PF13509', NULL, 'S1 domain', 61, NULL, 'S1_2', 2179),
(2180, 'PF08881', NULL, 'CVNH domain', 101, NULL, 'CVNH', 2180),
(2181, 'PF00301', NULL, 'Rubredoxin', 47, NULL, 'Rubredoxin', 2181),
(2182, 'PF13465', NULL, 'Zinc-finger double domain', 26, NULL, 'zf-H2C2_2', 2182),
(2183, 'PF18842', NULL, 'Large polyvalent protein associated domain 26', 57, NULL, 'LPD26', 2183),
(2184, 'PF04492', NULL, 'Bacteriophage replication protein O', 96, NULL, 'Phage_rep_O', 2184),
(2185, 'PF15239', NULL, 'Domain of unknown function (DUF4586)', 302, NULL, 'DUF4586', 2185),
(2186, 'PF11436', NULL, 'Protein of unknown function (DUF3199)', 124, NULL, 'DUF3199', 2186),
(2187, 'PF00122', NULL, 'E1-E2 ATPase', 181, NULL, 'E1-E2_ATPase', 2187),
(2188, 'PF06947', NULL, 'Protein of unknown function (DUF1290)', 86, NULL, 'DUF1290', 2188);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2189, 'PF14124', NULL, 'Domain of unknown function (DUF4291)', 180, NULL, 'DUF4291', 2189),
(2190, 'PF09245', NULL, 'Mycoplasma arthritidis-derived mitogen', 214, NULL, 'MA-Mit', 2190),
(2191, 'PF05642', NULL, 'Sporozoite P67 surface antigen', 727, NULL, 'Sporozoite_P67', 2191),
(2192, 'PF15958', NULL, 'Domain of unknown function (DUF4761)', 105, NULL, 'DUF4761', 2192),
(2193, 'PF13677', NULL, 'Membrane MotB of proton-channel complex MotA/MotB', 58, NULL, 'MotB_plug', 2193),
(2194, 'PF13444', NULL, 'Acetyltransferase (GNAT) domain', 101, NULL, 'Acetyltransf_5', 2194),
(2195, 'PF09924', NULL, 'Uncharacterised conserved protein (DUF2156)', 299, NULL, 'DUF2156', 2195),
(2196, 'PF17329', NULL, 'Family of unknown function (DUF5367)', 98, NULL, 'DUF5367', 2196),
(2197, 'PF18636', NULL, 'Mitochondrial morphogenesis protein SLD7 N-terminal domain', 123, NULL, 'Sld7_N', 2197),
(2198, 'PF15416', NULL, 'Domain of unknown function (DUF4623)', 448, NULL, 'DUF4623', 2198),
(2199, 'PF15910', NULL, 'ICOS V-set domain', 113, NULL, 'V-set_2', 2199),
(2200, 'PF07556', NULL, 'Protein of unknown function (DUF1538)', 211, NULL, 'DUF1538', 2200),
(2201, 'PF15449', NULL, 'Retinal protein', 1292, NULL, 'Retinal', 2201),
(2202, 'PF04471', NULL, 'Restriction endonuclease', 115, NULL, 'Mrr_cat', 2202),
(2203, 'PF16295', NULL, 'Tetracyclin repressor-like, C-terminal domain', 132, NULL, 'TetR_C_10', 2203),
(2204, 'PF07593', NULL, 'ASPIC and UnbV', 68, NULL, 'UnbV_ASPIC', 2204),
(2205, 'PF03709', NULL, 'Orn/Lys/Arg decarboxylase, N-terminal domain', 111, NULL, 'OKR_DC_1_N', 2205),
(2206, 'PF04177', NULL, 'TAP42-like family', 317, NULL, 'TAP42', 2206),
(2207, 'PF08063', NULL, 'PADR1 (NUC008) domain', 53, NULL, 'PADR1', 2207),
(2208, 'PF16183', NULL, 'Kinesin-associated', 176, NULL, 'Kinesin_assoc', 2208),
(2209, 'PF02677', NULL, 'Epoxyqueuosine reductase QueH', 175, NULL, 'QueH', 2209),
(2210, 'PF11296', NULL, 'Protein of unknown function (DUF3097)', 271, NULL, 'DUF3097', 2210),
(2211, 'PF02320', NULL, 'Ubiquinol-cytochrome C reductase hinge protein', 66, NULL, 'UCR_hinge', 2211),
(2212, 'PF10386', NULL, 'Protein of unknown function (DUF2441)', 141, NULL, 'DUF2441', 2212),
(2213, 'PF04060', NULL, 'Putative Fe-S cluster', 33, NULL, 'FeS', 2213),
(2214, 'PF12943', NULL, 'Protein of unknown function (DUF3839)', 242, NULL, 'DUF3839', 2214),
(2215, 'PF03860', NULL, 'Domain of Unknown Function (DUF326)', 21, NULL, 'DUF326', 2215),
(2216, 'PF02913', NULL, 'FAD linked oxidases, C-terminal domain', 250, NULL, 'FAD-oxidase_C', 2216),
(2217, 'PF09825', NULL, 'Biotin-protein ligase, N terminal', 377, NULL, 'BPL_N', 2217),
(2218, 'PF14596', NULL, 'STAT6 C-terminal', 193, NULL, 'STAT6_C', 2218),
(2219, 'PF00847', NULL, 'AP2 domain', 54, NULL, 'AP2', 2219),
(2220, 'PF05724', NULL, 'Thiopurine S-methyltransferase (TPMT)', 218, NULL, 'TPMT', 2220),
(2221, 'PF18820', NULL, 'Bdellovibrio Beta-sandwich', 131, NULL, 'BD_b_sandwich', 2221),
(2222, 'PF06021', NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase', 198, NULL, 'Gly_acyl_tr_N', 2222),
(2223, 'PF13692', NULL, 'Glycosyl transferases group 1', 135, NULL, 'Glyco_trans_1_4', 2223),
(2224, 'PF07428', NULL, '15-O-acetyltransferase Tri3', 413, NULL, 'Tri3', 2224),
(2225, 'PF00982', NULL, 'Glycosyltransferase family 20', 474, NULL, 'Glyco_transf_20', 2225),
(2226, 'PF01406', NULL, 'tRNA synthetases class I (C) catalytic domain', 301, NULL, 'tRNA-synt_1e', 2226),
(2227, 'PF10682', NULL, 'Glycoprotein of human cytomegalovirus HHV-5', 214, NULL, 'UL40', 2227),
(2228, 'PF04081', NULL, 'DNA polymerase delta, subunit 4', 131, NULL, 'DNA_pol_delta_4', 2228),
(2229, 'PF13346', NULL, 'ABC-2 family transporter protein', 206, NULL, 'ABC2_membrane_5', 2229),
(2230, 'PF18324', NULL, 'Hypothetical protein TT1725', 110, NULL, 'TT1725', 2230),
(2231, 'PF07996', NULL, 'Type IV secretion system proteins', 196, NULL, 'T4SS', 2231),
(2232, 'PF17574', NULL, 'Inhibitor of toxin/antitoxin system (Gp4.5)', 89, NULL, 'TA_inhibitor', 2232);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2233, 'PF09899', NULL, 'Putative amidoligase enzyme (DUF2126)', 821, NULL, 'DUF2126', 2233),
(2234, 'PF02663', NULL, 'FmdE, Molybdenum formylmethanofuran dehydrogenase operon', 131, NULL, 'FmdE', 2234),
(2235, 'PF15274', NULL, 'Muscular LMNA-interacting protein', 269, NULL, 'MLIP', 2235),
(2236, 'PF11411', NULL, 'DNA ligase IV', 34, NULL, 'DNA_ligase_IV', 2236),
(2237, 'PF05378', NULL, 'Hydantoinase/oxoprolinase N-terminal region', 178, NULL, 'Hydant_A_N', 2237),
(2238, 'PF17791', NULL, 'Macroglobulin domain MG3', 86, NULL, 'MG3', 2238),
(2239, 'PF16222', NULL, 'Domain of unknown function (DUF4881)', 180, NULL, 'DUF4881', 2239),
(2240, 'PF16450', NULL, 'Proteasomal ATPase OB C-terminal domain', 56, NULL, 'Prot_ATP_ID_OB', 2240),
(2241, 'PF17434', NULL, 'Family of unknown function (DUF5413)', 133, NULL, 'DUF5413', 2241),
(2242, 'PF12919', NULL, 'TcdA/TcdB catalytic glycosyltransferase domain', 407, NULL, 'TcdA_TcdB', 2242),
(2243, 'PF08926', NULL, 'Domain of unknown function (DUF1908)', 285, NULL, 'DUF1908', 2243),
(2244, 'PF14244', NULL, 'gag-polypeptide of LTR copia-type', 48, NULL, 'Retrotran_gag_3', 2244),
(2245, 'PF00974', NULL, 'Rhabdovirus spike glycoprotein', 502, NULL, 'Rhabdo_glycop', 2245),
(2246, 'PF11345', NULL, 'Protein of unknown function (DUF3147)', 111, NULL, 'DUF3147', 2246),
(2247, 'PF17651', NULL, 'RACo middle region', 163, NULL, 'Raco_middle', 2247),
(2248, 'PF04598', NULL, 'Gasdermin pore forming domain', 242, NULL, 'Gasdermin', 2248),
(2249, 'PF03209', NULL, 'PUCC protein', 401, NULL, 'PUCC', 2249),
(2250, 'PF03748', NULL, 'Flagellar basal body-associated protein FliL', 103, NULL, 'FliL', 2250),
(2251, 'PF07664', NULL, 'Ferrous iron transport protein B C terminus', 53, NULL, 'FeoB_C', 2251),
(2252, 'PF04553', NULL, 'Tis11B like protein, N terminus', 116, NULL, 'Tis11B_N', 2252),
(2253, 'PF12934', NULL, 'FTO C-terminal domain', 170, NULL, 'FTO_CTD', 2253),
(2254, 'PF09327', NULL, 'Domain of unknown function (DUF1983)', 81, NULL, 'DUF1983', 2254),
(2255, 'PF00402', NULL, 'Calponin family repeat', 25, NULL, 'Calponin', 2255),
(2256, 'PF10692', NULL, 'Protein of unknown function (DUF2498)', 79, NULL, 'DUF2498', 2256),
(2257, 'PF03197', NULL, 'Bacteriophage FRD2 protein', 103, NULL, 'FRD2', 2257),
(2258, 'PF01620', NULL, 'Ribonuclease (pollen allergen)', 155, NULL, 'Pollen_allerg_2', 2258),
(2259, 'PF02988', NULL, 'Phospholipase A2 inhibitor', 83, NULL, 'PLA2_inh', 2259),
(2260, 'PF01120', NULL, 'Alpha-L-fucosidase', 350, NULL, 'Alpha_L_fucos', 2260),
(2261, 'PF07742', NULL, 'BTG family', 116, NULL, 'BTG', 2261),
(2262, 'PF03467', NULL, 'Smg-4/UPF3 family', 175, NULL, 'Smg4_UPF3', 2262),
(2263, 'PF00336', NULL, 'DNA polymerase (viral) C-terminal domain', 233, NULL, 'DNA_pol_viral_C', 2263),
(2264, 'PF08956', NULL, 'Domain of unknown function (DUF1869)', 59, NULL, 'DUF1869', 2264),
(2265, 'PF00465', NULL, 'Iron-containing alcohol dehydrogenase', 364, NULL, 'Fe-ADH', 2265),
(2266, 'PF00084', NULL, 'Sushi repeat (SCR repeat)', 56, NULL, 'Sushi', 2266),
(2267, 'PF00262', NULL, 'Calreticulin family', 370, NULL, 'Calreticulin', 2267),
(2268, 'PF00827', NULL, 'Ribosomal L15', 189, NULL, 'Ribosomal_L15e', 2268),
(2269, 'PF04865', NULL, 'Baseplate J-like protein', 254, NULL, 'Baseplate_J', 2269),
(2270, 'PF17449', NULL, 'Uncharacterized YrzK-like', 54, NULL, 'YrzK', 2270),
(2271, 'PF01304', NULL, 'Gas vesicles protein GVPc repeated domain', 33, NULL, 'Gas_vesicle_C', 2271),
(2272, 'PF01803', NULL, 'LIM-domain binding protein', 242, NULL, 'LIM_bind', 2272),
(2273, 'PF09726', NULL, 'Macoilin family', 671, NULL, 'Macoilin', 2273),
(2274, 'PF19096', NULL, 'Family of unknown function (DUF5784)', 329, NULL, 'DUF5784', 2274),
(2275, 'PF04936', NULL, 'Protein of unknown function (DUF658)', 186, NULL, 'DUF658', 2275),
(2276, 'PF08801', NULL, 'Nup133 N terminal like', 434, NULL, 'Nucleoporin_N', 2276),
(2277, 'PF03449', NULL, 'Transcription elongation factor, N-terminal', 71, NULL, 'GreA_GreB_N', 2277);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2278, 'PF04509', NULL, 'CheC-like family', 38, NULL, 'CheC', 2278),
(2279, 'PF17659', NULL, 'Family of unknown function (DUF5521)', 848, NULL, 'DUF5521', 2279),
(2280, 'PF09517', NULL, 'Eco29kI restriction endonuclease', 164, NULL, 'RE_Eco29kI', 2280),
(2281, 'PF17470', NULL, 'Phage gene product 45.2', 57, NULL, 'Gp45_2', 2281),
(2282, 'PF15194', NULL, 'TMEM191C family', 121, NULL, 'TMEM191C', 2282),
(2283, 'PF19172', NULL, 'Family of unknown function (DUF5854)', 161, NULL, 'DUF5854', 2283),
(2284, 'PF11249', NULL, 'Protein of unknown function (DUF3047)', 188, NULL, 'DUF3047', 2284),
(2285, 'PF16442', NULL, 'Domain of unknown function (DUF5039)', 203, NULL, 'DUF5039', 2285),
(2286, 'PF02124', NULL, 'Marek''s disease glycoprotein A', 210, NULL, 'Marek_A', 2286),
(2287, 'PF14512', NULL, 'Putative TM nitroreductase', 215, NULL, 'TM1586_NiRdase', 2287),
(2288, 'PF14930', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain II', 107, NULL, 'Qn_am_d_aII', 2288),
(2289, 'PF07728', NULL, 'AAA domain (dynein-related subfamily)', 138, NULL, 'AAA_5', 2289),
(2290, 'PF02070', NULL, 'Neuromedin U', 25, NULL, 'NMU', 2290),
(2291, 'PF10755', NULL, 'Protein of unknown function (DUF2585)', 164, NULL, 'DUF2585', 2291),
(2292, 'PF05137', NULL, 'Fimbrial assembly protein (PilN)', 78, NULL, 'PilN', 2292),
(2293, 'PF19043', NULL, 'Nuclear cap binding complex subunit CBP66', 585, NULL, 'CBP66', 2293),
(2294, 'PF08543', NULL, 'Phosphomethylpyrimidine kinase', 247, NULL, 'Phos_pyr_kin', 2294),
(2295, 'PF08055', NULL, 'Tryptophan leader peptide', 18, NULL, 'Trp_leader1', 2295),
(2296, 'PF00639', NULL, 'PPIC-type PPIASE domain', 96, NULL, 'Rotamase', 2296),
(2297, 'PF13743', NULL, 'Thioredoxin', 186, NULL, 'Thioredoxin_5', 2297),
(2298, 'PF09234', NULL, 'Domain of unknown function (DUF1963)', 216, NULL, 'DUF1963', 2298),
(2299, 'PF14315', NULL, 'Domain of unknown function (DUF4380)', 295, NULL, 'DUF4380', 2299),
(2300, 'PF09307', NULL, 'CLIP, MHC2 interacting', 109, NULL, 'MHC2-interact', 2300),
(2301, 'PF11722', NULL, 'CCCH zinc finger in TRM13 protein', 29, NULL, 'zf-TRM13_CCCH', 2301),
(2302, 'PF00524', NULL, 'E1 Protein, N terminal domain', 121, NULL, 'PPV_E1_N', 2302),
(2303, 'PF11621', NULL, 'C3 binding domain 4 of IgG-bind protein SBI', 69, NULL, 'Sbi-IV', 2303),
(2304, 'PF16022', NULL, 'Domain of unknown function (DUF4783)', 102, NULL, 'DUF4783', 2304),
(2305, 'PF02623', NULL, 'FliW protein', 121, NULL, 'FliW', 2305),
(2306, 'PF16620', NULL, 'Unstructured linker between I-set domains 2 and 3 on MYLCK', 162, NULL, '23ISL', 2306),
(2307, 'PF03084', NULL, 'Reoviral Sigma1/Sigma2 family', 418, NULL, 'Sigma_1_2', 2307),
(2308, 'PF10471', NULL, 'Anaphase-promoting complex APC subunit CDC26', 74, NULL, 'ANAPC_CDC26', 2308),
(2309, 'PF13119', NULL, 'Domain of unknown function (DUF3973)', 40, NULL, 'DUF3973', 2309),
(2310, 'PF17342', NULL, 'Family of unknown function (DUF5372)', 78, NULL, 'DUF5372', 2310),
(2311, 'PF04172', NULL, 'LrgB-like family', 214, NULL, 'LrgB', 2311),
(2312, 'PF11382', NULL, 'Copper transport outer membrane protein, MctB', 306, NULL, 'MctB', 2312),
(2313, 'PF18304', NULL, 'SabA N-terminal extracellular adhesion domain', 299, NULL, 'SabA_adhesion', 2313),
(2314, 'PF10204', NULL, 'Dual oxidase maturation factor', 279, NULL, 'DuoxA', 2314),
(2315, 'PF09554', NULL, 'HaeII restriction endonuclease', 338, NULL, 'RE_HaeII', 2315),
(2316, 'PF13852', NULL, 'Protein of unknown function (DUF4197)', 201, NULL, 'DUF4197', 2316),
(2317, 'PF14181', NULL, 'YqfQ-like protein', 177, NULL, 'YqfQ', 2317),
(2318, 'PF05430', NULL, 'S-adenosyl-L-methionine-dependent methyltransferase', 124, NULL, 'Methyltransf_30', 2318),
(2319, 'PF06334', NULL, 'Orthopoxvirus A47 protein', 244, NULL, 'Orthopox_A47', 2319),
(2320, 'PF12978', NULL, 'Domain of Unknown Function with PDB structure (DUF3862)', 159, NULL, 'DUF3862', 2320),
(2321, 'PF17471', NULL, 'Gene product 63', 73, NULL, 'GP63', 2321),
(2322, 'PF16349', NULL, 'Domain of unknown function (DUF4978)', 172, NULL, 'DUF4978', 2322);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2323, 'PF00735', NULL, 'Septin', 281, NULL, 'Septin', 2323),
(2324, 'PF16747', NULL, 'Surface-adhesin protein E', 125, NULL, 'Adhesin_E', 2324),
(2325, 'PF18229', NULL, 'N-acetyl-beta-D-glucosaminidase N-terminal domain', 78, NULL, 'GcnA_N', 2325),
(2326, 'PF13968', NULL, 'Domain of unknown function (DUF4220)', 346, NULL, 'DUF4220', 2326),
(2327, 'PF15185', NULL, 'Bcl-2-modifying factor, apoptosis', 192, NULL, 'BMF', 2327),
(2328, 'PF15915', NULL, 'GAF and HTH_10 associated domain', 156, NULL, 'BAT', 2328),
(2329, 'PF14019', NULL, 'Protein of unknown function (DUF4235)', 77, NULL, 'DUF4235', 2329),
(2330, 'PF03196', NULL, 'Protein of unknown function, DUF261', 137, NULL, 'DUF261', 2330),
(2331, 'PF16843', NULL, 'Binding domain to Get4 on Get5, Golgi to ER traffic protein', 53, NULL, 'Get5_bdg', 2331),
(2332, 'PF18810', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease2', 121, NULL, 'PBECR2', 2332),
(2333, 'PF03872', NULL, 'Anti sigma-E protein RseA, N-terminal domain', 87, NULL, 'RseA_N', 2333),
(2334, 'PF00907', NULL, 'T-box', 184, NULL, 'T-box', 2334),
(2335, 'PF18261', NULL, 'Rpn9 C-terminal helix', 33, NULL, 'Rpn9_C', 2335),
(2336, 'PF04572', NULL, 'Alpha 1,4-glycosyltransferase conserved region', 130, NULL, 'Gb3_synth', 2336),
(2337, 'PF18051', NULL, '26S proteasome non-ATPase regulatory subunit RPN1 C-terminal', 54, NULL, 'RPN1_C', 2337),
(2338, 'PF11313', NULL, 'Protein of unknown function (DUF3116)', 84, NULL, 'DUF3116', 2338),
(2339, 'PF10608', NULL, 'Polyubiquitination (PEST) N-terminal domain of MAGUK', 89, NULL, 'MAGUK_N_PEST', 2339),
(2340, 'PF02069', NULL, 'Prokaryotic metallothionein', 51, NULL, 'Metallothio_Pro', 2340),
(2341, 'PF04502', NULL, 'Family of unknown function (DUF572)', 326, NULL, 'DUF572', 2341),
(2342, 'PF01695', NULL, 'IstB-like ATP binding protein', 238, NULL, 'IstB_IS21', 2342),
(2343, 'PF10509', NULL, 'Galactokinase galactose-binding signature', 50, NULL, 'GalKase_gal_bdg', 2343),
(2344, 'PF09350', NULL, 'Domain of unknown function (DUF1992)', 70, NULL, 'DUF1992', 2344),
(2345, 'PF07853', NULL, 'Protein of unknown function (DUF1648)', 49, NULL, 'DUF1648', 2345),
(2346, 'PF14734', NULL, 'Domain of unknown function (DUF4469) with IG-like fold', 101, NULL, 'DUF4469', 2346),
(2347, 'PF18111', NULL, 'Retinitis pigmentosa G-protein regulator interacting C-terminal', 166, NULL, 'RPGR1_C', 2347),
(2348, 'PF08731', NULL, 'Transcription factor AFT', 111, NULL, 'AFT', 2348),
(2349, 'PF08255', NULL, 'Trp-operon Leader Peptide', 14, NULL, 'Leader_Trp', 2349),
(2350, 'PF04182', NULL, 'B-block binding subunit of TFIIIC', 75, NULL, 'B-block_TFIIIC', 2350),
(2351, 'PF14853', NULL, 'Fis1 C-terminal tetratricopeptide repeat', 53, NULL, 'Fis1_TPR_C', 2351),
(2352, 'PF01555', NULL, 'DNA methylase', 231, NULL, 'N6_N4_Mtase', 2352),
(2353, 'PF01522', NULL, 'Polysaccharide deacetylase', 124, NULL, 'Polysacc_deac_1', 2353),
(2354, 'PF06071', NULL, 'Protein of unknown function (DUF933)', 84, NULL, 'YchF-GTPase_C', 2354),
(2355, 'PF03212', NULL, 'Pertactin', 121, NULL, 'Pertactin', 2355),
(2356, 'PF12557', NULL, 'Cob(I)alamin adenosyltransferase N terminal', 26, NULL, 'Co_AT_N', 2356),
(2357, 'PF16511', NULL, 'N-terminal or F0 domain of Talin-head FERM', 82, NULL, 'FERM_f0', 2357),
(2358, 'PF15253', NULL, 'SCL-interrupting locus protein N-terminus', 404, NULL, 'STIL_N', 2358),
(2359, 'PF00734', NULL, 'Fungal cellulose binding domain', 29, NULL, 'CBM_1', 2359),
(2360, 'PF10845', NULL, 'Protein of unknown function (DUF2576)', 48, NULL, 'DUF2576', 2360),
(2361, 'PF16655', NULL, 'PhoD-like phosphatase, N-terminal domain', 90, NULL, 'PhoD_N', 2361),
(2362, 'PF07461', NULL, 'Nicotine adenine dinucleotide glycohydrolase (NADase)', 446, NULL, 'NADase_NGA', 2362),
(2363, 'PF07516', NULL, 'SecA Wing and Scaffold domain', 199, NULL, 'SecA_SW', 2363),
(2364, 'PF00285', NULL, 'Citrate synthase, C-terminal domain', 360, NULL, 'Citrate_synt', 2364),
(2365, 'PF07084', NULL, 'Thyroid hormone-inducible hepatic protein Spot 14', 153, NULL, 'Spot_14', 2365);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2366, 'PF13619', NULL, 'KTSC domain', 58, NULL, 'KTSC', 2366),
(2367, 'PF07122', NULL, 'Variable length PCR target protein (VLPT)', 30, NULL, 'VLPT', 2367),
(2368, 'PF13901', NULL, 'Putative zinc-RING and/or ribbon', 205, NULL, 'zf-RING_9', 2368),
(2369, 'PF19169', NULL, 'Family of unknown function (DUF5851)', 353, NULL, 'DUF5851', 2369),
(2370, 'PF10544', NULL, 'T5orf172 domain', 104, NULL, 'T5orf172', 2370),
(2371, 'PF16667', NULL, 'Unstructured region 10 on multiple PDZ protein', 65, NULL, 'MPDZ_u10', 2371),
(2372, 'PF13597', NULL, 'Anaerobic ribonucleoside-triphosphate reductase', 566, NULL, 'NRDD', 2372),
(2373, 'PF15616', NULL, 'TerY-C metal binding domain', 129, NULL, 'TerY_C', 2373),
(2374, 'PF15745', NULL, 'AP-1 complex-associated regulatory protein', 275, NULL, 'AP1AR', 2374),
(2375, 'PF08061', NULL, 'P68HR (NUC004) repeat', 32, NULL, 'P68HR', 2375),
(2376, 'PF11912', NULL, 'Protein of unknown function (DUF3430)', 212, NULL, 'DUF3430', 2376),
(2377, 'PF07797', NULL, 'Protein of unknown function (DUF1639)', 50, NULL, 'DUF1639', 2377),
(2378, 'PF03690', NULL, 'Uncharacterised protein family (UPF0160)', 318, NULL, 'UPF0160', 2378),
(2379, 'PF14394', NULL, 'Domain of unknown function (DUF4423)', 168, NULL, 'DUF4423', 2379),
(2380, 'PF17588', NULL, 'Family of unknown function (DUF5486)', 53, NULL, 'DUF5486', 2380),
(2381, 'PF02787', NULL, 'Carbamoyl-phosphate synthetase large chain, oligomerisation domain', 80, NULL, 'CPSase_L_D3', 2381),
(2382, 'PF10635', NULL, 'DisA bacterial checkpoint controller linker region', 142, NULL, 'DisA-linker', 2382),
(2383, 'PF03420', NULL, 'Prohead core protein serine protease', 185, NULL, 'Peptidase_S77', 2383),
(2384, 'PF16870', NULL, '2-oxoglutarate dehydrogenase C-terminal', 152, NULL, 'OxoGdeHyase_C', 2384),
(2385, 'PF13971', NULL, 'Meiosis-specific protein Mei4', 339, NULL, 'Mei4', 2385),
(2386, 'PF10267', NULL, 'Predicted transmembrane and coiled-coil 2 protein', 401, NULL, 'Tmemb_cc2', 2386),
(2387, 'PF10062', NULL, 'Predicted secreted protein (DUF2300)', 127, NULL, 'DUF2300', 2387),
(2388, 'PF07520', NULL, 'Virulence factor SrfB', 992, NULL, 'SrfB', 2388),
(2389, 'PF00521', NULL, 'DNA gyrase/topoisomerase IV, subunit A', 426, NULL, 'DNA_topoisoIV', 2389),
(2390, 'PF10850', NULL, 'Protein of unknown function (DUF2653)', 88, NULL, 'DUF2653', 2390),
(2391, 'PF12396', NULL, 'Protein of unknown function (DUF3659)', 61, NULL, 'DUF3659', 2391),
(2392, 'PF10680', NULL, 'RNA polymerase I specific transcription initiation factor', 69, NULL, 'RRN9', 2392),
(2393, 'PF15644', NULL, 'Papain fold toxin 1, glutamine deamidase', 112, NULL, 'Gln_amidase', 2393),
(2394, 'PF14821', NULL, 'Threonine synthase N terminus', 79, NULL, 'Thr_synth_N', 2394),
(2395, 'PF05304', NULL, 'Protein of unknown function (DUF728)', 139, NULL, 'DUF728', 2395),
(2396, 'PF07657', NULL, 'N terminus of Notch ligand', 75, NULL, 'MNNL', 2396),
(2397, 'PF09609', NULL, 'CRISPR-associated protein, GSU0054 family (Cas_GSU0054)', 534, NULL, 'Cas_GSU0054', 2397),
(2398, 'PF17643', NULL, 'Type VI secretion system, TssR', 746, NULL, 'TssR', 2398),
(2399, 'PF03425', NULL, 'Carbohydrate binding domain (family 11)', 180, NULL, 'CBM_11', 2399),
(2400, 'PF04351', NULL, 'Pilus assembly protein, PilP', 147, NULL, 'PilP', 2400),
(2401, 'PF01246', NULL, 'Ribosomal protein L24e', 66, NULL, 'Ribosomal_L24e', 2401),
(2402, 'PF11025', NULL, 'Glycoprotein GP40 of Cryptosporidium', 164, NULL, 'GP40', 2402),
(2403, 'PF16986', NULL, 'Heavy-metal resistance protein CzcE', 81, NULL, 'CzcE', 2403),
(2404, 'PF01194', NULL, 'RNA polymerases N / 8 kDa subunit', 59, NULL, 'RNA_pol_N', 2404),
(2405, 'PF07051', NULL, 'Ovarian carcinoma immunoreactive antigen (OCIA)', 87, NULL, 'OCIA', 2405),
(2406, 'PF16290', NULL, 'Domain of unknown function (DUF4936)', 91, NULL, 'DUF4936', 2406),
(2407, 'PF06788', NULL, 'Uncharacterised protein family (UPF0257)', 235, NULL, 'UPF0257', 2407),
(2408, 'PF13152', NULL, 'Protein of unknown function (DUF3967)', 33, NULL, 'DUF3967', 2408);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2409, 'PF15814', NULL, 'Protein family FAM199X', 322, NULL, 'FAM199X', 2409),
(2410, 'PF15394', NULL, 'Domain of unknown function (DUF4616)', 526, NULL, 'DUF4616', 2410),
(2411, 'PF01478', NULL, 'Type IV leader peptidase family', 107, NULL, 'Peptidase_A24', 2411),
(2412, 'PF01110', NULL, 'Ciliary neurotrophic factor', 194, NULL, 'CNTF', 2412),
(2413, 'PF01596', NULL, 'O-methyltransferase', 204, NULL, 'Methyltransf_3', 2413),
(2414, 'PF07756', NULL, 'Protein of unknown function (DUF1612)', 127, NULL, 'DUF1612', 2414),
(2415, 'PF05564', NULL, 'Dormancy/auxin associated protein', 118, NULL, 'Auxin_repressed', 2415),
(2416, 'PF09652', NULL, 'Putative CRISPR-associated protein (Cas_VVA1548)', 91, NULL, 'Cas_VVA1548', 2416),
(2417, 'PF05202', NULL, 'Recombinase Flp protein', 251, NULL, 'Flp_C', 2417),
(2418, 'PF03491', NULL, 'Serotonin (5-HT) neurotransmitter transporter, N-terminus', 41, NULL, '5HT_transport_N', 2418),
(2419, 'PF04121', NULL, 'Nuclear pore protein 84 / 107', 729, NULL, 'Nup84_Nup100', 2419),
(2420, 'PF05565', NULL, 'Siphovirus Gp157', 163, NULL, 'Sipho_Gp157', 2420),
(2421, 'PF16801', NULL, 'Dimerisation domain of Male-specific-Lethal 1', 37, NULL, 'MSL1_dimer', 2421),
(2422, 'PF01307', NULL, 'Plant viral movement protein', 100, NULL, 'Plant_vir_prot', 2422),
(2423, 'PF14243', NULL, 'ATP-grasp domain, R2K clade family 3', 200, NULL, 'R2K_3', 2423),
(2424, 'PF00267', NULL, 'Gram-negative porin', 340, NULL, 'Porin_1', 2424),
(2425, 'PF04530', NULL, 'Viral Beta C/D like family', 123, NULL, 'Viral_Beta_CD', 2425),
(2426, 'PF02398', NULL, 'Coronavirus protein 7', 101, NULL, 'Corona_7', 2426),
(2427, 'PF08828', NULL, 'Doublesex dimerisation domain', 60, NULL, 'DSX_dimer', 2427),
(2428, 'PF02012', NULL, 'BNR/Asp-box repeat', 12, NULL, 'BNR', 2428),
(2429, 'PF01599', NULL, 'Ribosomal protein S27a', 44, NULL, 'Ribosomal_S27', 2429),
(2430, 'PF08285', NULL, 'Dolichol-phosphate mannosyltransferase subunit 3 (DPM3)', 91, NULL, 'DPM3', 2430),
(2431, 'PF11658', NULL, 'Cellulose biosynthesis protein BcsG', 516, NULL, 'CBP_BcsG', 2431),
(2432, 'PF10915', NULL, 'Protein of unknown function (DUF2709)', 237, NULL, 'DUF2709', 2432),
(2433, 'PF13128', NULL, 'Protein of unknown function (DUF3954)', 49, NULL, 'DUF3954', 2433),
(2434, 'PF09102', NULL, 'Exotoxin A, targeting', 142, NULL, 'Exotox-A_target', 2434),
(2435, 'PF14947', NULL, 'Winged helix-turn-helix', 77, NULL, 'HTH_45', 2435),
(2436, 'PF10979', NULL, 'Protein of unknown function (DUF2786)', 40, NULL, 'DUF2786', 2436),
(2437, 'PF03805', NULL, 'Cytoadherence-linked asexual protein', 1286, NULL, 'CLAG', 2437),
(2438, 'PF14970', NULL, 'Domain of unknown function (DUF4509)', 189, NULL, 'DUF4509', 2438),
(2439, 'PF02687', NULL, 'FtsX-like permease family', 96, NULL, 'FtsX', 2439),
(2440, 'PF11607', NULL, 'Protein of unknown function (DUF3247)', 92, NULL, 'DUF3247', 2440),
(2441, 'PF02599', NULL, 'Global regulator protein family', 53, NULL, 'CsrA', 2441),
(2442, 'PF14616', NULL, 'Domain of unknown function (DUF4451)', 122, NULL, 'DUF4451', 2442),
(2443, 'PF04557', NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 2', 91, NULL, 'tRNA_synt_1c_R2', 2443),
(2444, 'PF19178', NULL, 'Family of unknown function (DUF5860)', 167, NULL, 'DUF5860', 2444),
(2445, 'PF12161', NULL, 'HsdM N-terminal domain', 138, NULL, 'HsdM_N', 2445),
(2446, 'PF15942', NULL, 'Domain of unknown function (DUF4751)', 121, NULL, 'DUF4751', 2446),
(2447, 'PF14055', NULL, 'NVEALA protein', 65, NULL, 'NVEALA', 2447),
(2448, 'PF02806', NULL, 'Alpha amylase, C-terminal all-beta domain', 96, NULL, 'Alpha-amylase_C', 2448),
(2449, 'PF06037', NULL, 'Bacterial protein of unknown function (DUF922)', 159, NULL, 'DUF922', 2449),
(2450, 'PF02876', NULL, 'Staphylococcal/Streptococcal toxin, beta-grasp domain', 106, NULL, 'Stap_Strp_tox_C', 2450),
(2451, 'PF08101', NULL, 'Domain of unknown function (DUF1708)', 426, NULL, 'DUF1708', 2451),
(2452, 'PF15232', NULL, 'Domain of unknown function (DUF4585)', 73, NULL, 'DUF4585', 2452);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2453, 'PF17620', NULL, 'Family of unknown function', 191, NULL, 'ORF45', 2453),
(2454, 'PF19034', NULL, 'RNase LS, bacterial toxin C terminal', 125, NULL, 'RnlA-toxin_C', 2454),
(2455, 'PF11149', NULL, 'Protein of unknown function (DUF2924)', 135, NULL, 'DUF2924', 2455),
(2456, 'PF03317', NULL, 'ELF protein', 123, NULL, 'ELF', 2456),
(2457, 'PF18313', NULL, 'Thiolase-like protein type 1 additional C-terminal domain', 83, NULL, 'TLP1_add_C', 2457),
(2458, 'PF08499', NULL, '3''5''-cyclic nucleotide phosphodiesterase N-terminal', 61, NULL, 'PDEase_I_N', 2458),
(2459, 'PF16446', NULL, 'Domain of unknown function (DUF5043)', 156, NULL, 'DUF5043', 2459),
(2460, 'PF01757', NULL, 'Acyltransferase family', 340, NULL, 'Acyl_transf_3', 2460),
(2461, 'PF15201', NULL, 'Progressive rod-cone degeneration', 54, NULL, 'Rod_cone_degen', 2461),
(2462, 'PF09529', NULL, 'Integral membrane protein (intg_mem_TP0381)', 224, NULL, 'Intg_mem_TP0381', 2462),
(2463, 'PF02771', NULL, 'Acyl-CoA dehydrogenase, N-terminal domain', 113, NULL, 'Acyl-CoA_dh_N', 2463),
(2464, 'PF18141', NULL, 'Domain of unknown function (DUF5599)', 93, NULL, 'DUF5599', 2464),
(2465, 'PF13889', NULL, 'Chromosome segregation during meiosis', 55, NULL, 'Chromosome_seg', 2465),
(2466, 'PF12096', NULL, 'Protein of unknown function (DUF3572)', 84, NULL, 'DUF3572', 2466),
(2467, 'PF02294', NULL, '7kD DNA-binding domain', 58, NULL, '7kD_DNA_binding', 2467),
(2468, 'PF15822', NULL, 'MAPK-interacting and spindle-stabilising protein-like', 238, NULL, 'MISS', 2468),
(2469, 'PF00344', NULL, 'SecY translocase', 308, NULL, 'SecY', 2469),
(2470, 'PF01535', NULL, 'PPR repeat', 31, NULL, 'PPR', 2470),
(2471, 'PF12328', NULL, 'Rpp20 subunit of nuclear RNase MRP and P', 137, NULL, 'Rpp20', 2471),
(2472, 'PF10336', NULL, 'Protein of unknown function (DUF2420)', 108, NULL, 'DUF2420', 2472),
(2473, 'PF16769', NULL, 'MCM3AP domain of GANP', 717, NULL, 'MCM3AP_GANP', 2473),
(2474, 'PF05022', NULL, 'SRP40, C-terminal domain', 76, NULL, 'SRP40_C', 2474),
(2475, 'PF02308', NULL, 'MgtC family', 121, NULL, 'MgtC', 2475),
(2476, 'PF15103', NULL, 'G0/G1 switch protein 2', 105, NULL, 'G0-G1_switch_2', 2476),
(2477, 'PF13384', NULL, 'Homeodomain-like domain', 50, NULL, 'HTH_23', 2477),
(2478, 'PF10922', NULL, 'Protein of unknown function (DUF2745)', 85, NULL, 'DUF2745', 2478),
(2479, 'PF09090', NULL, 'MIF4G like', 274, NULL, 'MIF4G_like_2', 2479),
(2480, 'PF13223', NULL, 'Protein of unknown function (DUF4031)', 79, NULL, 'DUF4031', 2480),
(2481, 'PF02603', NULL, 'HPr Serine kinase N terminus', 125, NULL, 'Hpr_kinase_N', 2481),
(2482, 'PF17868', NULL, 'AAA lid domain', 72, NULL, 'AAA_lid_8', 2482),
(2483, 'PF03564', NULL, 'Protein of unknown function (DUF1759)', 148, NULL, 'DUF1759', 2483),
(2484, 'PF18725', NULL, 'SAV2148-like HEPN', 216, NULL, 'HEPN_SAV2148', 2484),
(2485, 'PF15572', NULL, 'Immunity protein 45', 100, NULL, 'Imm45', 2485),
(2486, 'PF00633', NULL, 'Helix-hairpin-helix motif', 30, NULL, 'HHH', 2486),
(2487, 'PF02467', NULL, 'Transcription factor WhiB', 64, NULL, 'Whib', 2487),
(2488, 'PF09699', NULL, 'Doubled CXXCH motif (Paired_CXXCH_1)', 42, NULL, 'Paired_CXXCH_1', 2488),
(2489, 'PF02825', NULL, 'WWE domain', 67, NULL, 'WWE', 2489),
(2490, 'PF01612', NULL, '3''-5'' exonuclease', 176, NULL, 'DNA_pol_A_exo1', 2490),
(2491, 'PF03514', NULL, 'GRAS domain family', 374, NULL, 'GRAS', 2491),
(2492, 'PF14223', NULL, 'gag-polypeptide of LTR copia-type', 138, NULL, 'Retrotran_gag_2', 2492),
(2493, 'PF04766', NULL, 'Nucleopolyhedrovirus p26 protein', 234, NULL, 'Baculo_p26', 2493),
(2494, 'PF08488', NULL, 'Wall-associated kinase', 103, NULL, 'WAK', 2494),
(2495, 'PF15515', NULL, 'MvaI/BcnI restriction endonuclease family', 232, NULL, 'MvaI_BcnI', 2495),
(2496, 'PF02526', NULL, 'Glycophorin-binding protein', 38, NULL, 'GBP_repeat', 2496),
(2497, 'PF00656', NULL, 'Caspase domain', 247, NULL, 'Peptidase_C14', 2497),
(2498, 'PF10642', NULL, 'Mitochondrial import receptor subunit or translocase', 47, NULL, 'Tom5', 2498);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2499, 'PF18291', NULL, 'HU domain fused to wHTH, Ig, or Glycine-rich motif', 125, NULL, 'HU-HIG', 2499),
(2500, 'PF05424', NULL, 'Duffy binding domain', 182, NULL, 'Duffy_binding', 2500),
(2501, 'PF00297', NULL, 'Ribosomal protein L3', 369, NULL, 'Ribosomal_L3', 2501),
(2502, 'PF17582', NULL, 'Cytomegalovirus UL20', 304, NULL, 'UL20', 2502),
(2503, 'PF03445', NULL, 'Putative nucleotidyltransferase DUF294', 138, NULL, 'DUF294', 2503),
(2504, 'PF13062', NULL, 'Protein of unknown function (DUF3924)', 62, NULL, 'DUF3924', 2504),
(2505, 'PF16231', NULL, 'Domain of unknown function (DUF4890)', 110, NULL, 'DUF4890', 2505),
(2506, 'PF16481', NULL, 'Domain of unknown function (DUF5058)', 222, NULL, 'DUF5058', 2506),
(2507, 'PF18868', NULL, 'Zinc finger C2H2-type, 3 repeats', 126, NULL, 'zf-C2H2_3rep', 2507),
(2508, 'PF16679', NULL, 'DNA replication factor Cdt1 C-terminal domain', 96, NULL, 'CDT1_C', 2508),
(2509, 'PF06950', NULL, 'Protein of unknown function (DUF1293)', 115, NULL, 'DUF1293', 2509),
(2510, 'PF04637', NULL, 'Herpesvirus phosphoprotein 85 (HHV6-7 U14/HCMV UL25)', 524, NULL, 'Herpes_pp85', 2510),
(2511, 'PF00372', NULL, 'Hemocyanin, copper containing domain', 271, NULL, 'Hemocyanin_M', 2511),
(2512, 'PF05622', NULL, 'HOOK protein coiled-coil region', 527, NULL, 'HOOK', 2512),
(2513, 'PF00452', NULL, 'Apoptosis regulator proteins, Bcl-2 family', 100, NULL, 'Bcl-2', 2513),
(2514, 'PF05258', NULL, 'Dna[CI] antecedent, DciA', 89, NULL, 'DciA', 2514),
(2515, 'PF05369', NULL, 'Monomethylamine methyltransferase MtmB', 450, NULL, 'MtmB', 2515),
(2516, 'PF17772', NULL, 'MYST family zinc finger domain', 55, NULL, 'zf-MYST', 2516),
(2517, 'PF08490', NULL, 'Domain of unknown function (DUF1744)', 401, NULL, 'DUF1744', 2517),
(2518, 'PF18524', NULL, 'High potential iron-sulfur protein like', 40, NULL, 'HPIP_like', 2518),
(2519, 'PF15303', NULL, 'E3 ubiquitin-protein ligase Arkadia N-terminus', 277, NULL, 'RNF111_N', 2519),
(2520, 'PF14494', NULL, 'Domain of unknown function (DUF4436)', 255, NULL, 'DUF4436', 2520),
(2521, 'PF00119', NULL, 'ATP synthase A chain', 214, NULL, 'ATP-synt_A', 2521),
(2522, 'PF19019', NULL, 'Phlebovirus glycoprotein G2 C-terminal domain', 171, NULL, 'Phlebo_G2_C', 2522),
(2523, 'PF14491', NULL, 'Protein of unknown function (DUF4435)', 236, NULL, 'DUF4435', 2523),
(2524, 'PF15429', NULL, 'Domain of unknown function (DUF4628)', 273, NULL, 'DUF4628', 2524),
(2525, 'PF14047', NULL, 'Dppa2/4 conserved region', 67, NULL, 'DCR', 2525),
(2526, 'PF09448', NULL, 'Methylmuconolactone methyl-isomerase', 114, NULL, 'MmlI', 2526),
(2527, 'PF05597', NULL, 'Poly(hydroxyalcanoate) granule associated protein (phasin)', 126, NULL, 'Phasin', 2527),
(2528, 'PF02284', NULL, 'Cytochrome c oxidase subunit Va', 103, NULL, 'COX5A', 2528),
(2529, 'PF06482', NULL, 'Collagenase NC10 and Endostatin', 302, NULL, 'Endostatin', 2529),
(2530, 'PF05375', NULL, 'Pacifastin inhibitor (LCMII)', 40, NULL, 'Pacifastin_I', 2530),
(2531, 'PF01043', NULL, 'SecA preprotein cross-linking domain', 111, NULL, 'SecA_PP_bind', 2531),
(2532, 'PF15407', NULL, 'Sporulation protein family 7', 64, NULL, 'Spo7_2_N', 2532),
(2533, 'PF02426', NULL, 'Muconolactone delta-isomerase', 90, NULL, 'MIase', 2533),
(2534, 'PF05251', NULL, 'Oligosaccharyltransferase subunit 5', 73, NULL, 'Ost5', 2534),
(2535, 'PF06717', NULL, 'Protein of unknown function (DUF1202)', 307, NULL, 'DUF1202', 2535),
(2536, 'PF15812', NULL, 'Melanoregulin', 149, NULL, 'MREG', 2536),
(2537, 'PF17980', NULL, 'Cysteine rich ADD domain in DNMT3', 56, NULL, 'ADD_DNMT3', 2537),
(2538, 'PF16419', NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', 229, NULL, 'CNOT1_HEAT_N', 2538),
(2539, 'PF11735', NULL, 'Cryptococcal mannosyltransferase 1', 240, NULL, 'CAP59_mtransfer', 2539),
(2540, 'PF05896', NULL, 'Na(+)-translocating NADH-quinone reductase subunit A (NQRA)', 257, NULL, 'NQRA', 2540),
(2541, 'PF13368', NULL, 'Topoisomerase C-terminal repeat', 56, NULL, 'Toprim_C_rpt', 2541);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2542, 'PF03470', NULL, 'XS zinc finger domain', 43, NULL, 'zf-XS', 2542),
(2543, 'PF02729', NULL, 'Aspartate/ornithine carbamoyltransferase, carbamoyl-P binding domain', 146, NULL, 'OTCace_N', 2543),
(2544, 'PF16851', NULL, 'Stomagen', 50, NULL, 'Stomagen', 2544),
(2545, 'PF05308', NULL, 'Mitochondrial fission regulator', 248, NULL, 'Mito_fiss_reg', 2545),
(2546, 'PF17209', NULL, 'Hfq protein', 64, NULL, 'Hfq', 2546),
(2547, 'PF13426', NULL, 'PAS domain', 104, NULL, 'PAS_9', 2547),
(2548, 'PF08976', NULL, 'EF-hand domain', 105, NULL, 'EF-hand_11', 2548),
(2549, 'PF12384', NULL, 'Ty3 transposon peptidase', 177, NULL, 'Peptidase_A2B', 2549),
(2550, 'PF05185', NULL, 'PRMT5 arginine-N-methyltransferase', 173, NULL, 'PRMT5', 2550),
(2551, 'PF11498', NULL, 'Transcriptional activator LAG-3', 468, NULL, 'Activator_LAG-3', 2551),
(2552, 'PF15320', NULL, 'mRNA cap methylation, RNMT-activating mini protein', 86, NULL, 'RAM', 2552),
(2553, 'PF07689', NULL, 'KaiB domain', 82, NULL, 'KaiB', 2553),
(2554, 'PF15231', NULL, 'Variable charge X/Y family', 129, NULL, 'VCX_VCY', 2554),
(2555, 'PF06504', NULL, 'Replication protein C (RepC)', 273, NULL, 'RepC', 2555),
(2556, 'PF16935', NULL, 'Putative Holin-like Toxin (Hol-Tox)', 60, NULL, 'Hol_Tox', 2556),
(2557, 'PF01734', NULL, 'Patatin-like phospholipase', 204, NULL, 'Patatin', 2557),
(2558, 'PF03003', NULL, 'Pox virus entry-fusion-complex G9/A16', 128, NULL, 'Pox_G9-A16', 2558),
(2559, 'PF06067', NULL, 'Domain of unknown function (DUF932)', 228, NULL, 'DUF932', 2559),
(2560, 'PF08445', NULL, 'FR47-like protein', 86, NULL, 'FR47', 2560),
(2561, 'PF19065', NULL, 'Family of unknown function (DUF5761)', 62, NULL, 'DUF5761', 2561),
(2562, 'PF10483', NULL, 'Elongator subunit Iki1', 298, NULL, 'Elong_Iki1', 2562),
(2563, 'PF16210', NULL, 'Keratin type II cytoskeletal 1 tail', 136, NULL, 'Keratin_2_tail', 2563),
(2564, 'PF02027', NULL, 'RolB/RolC glucosidase family', 184, NULL, 'RolB_RolC', 2564),
(2565, 'PF18157', NULL, 'MID domain of pPIWI_RE', 142, NULL, 'MID_pPIWI_RE', 2565),
(2566, 'PF12231', NULL, 'Rap1-interacting factor 1 N terminal', 374, NULL, 'Rif1_N', 2566),
(2567, 'PF17576', NULL, 'Family of unknown function (DUF5480)', 71, NULL, 'DUF5480', 2567),
(2568, 'PF13202', NULL, 'EF hand', 25, NULL, 'EF-hand_5', 2568),
(2569, 'PF08135', NULL, 'Major transforming protein E5 family', 43, NULL, 'EPV_E5', 2569),
(2570, 'PF05294', NULL, 'Scorpion short toxin', 32, NULL, 'Toxin_5', 2570),
(2571, 'PF17382', NULL, 'Uncharacterized Ycf70-like', 89, NULL, 'Ycf70', 2571),
(2572, 'PF08599', NULL, 'DNA damage repair protein Nbs1', 64, NULL, 'Nbs1_C', 2572),
(2573, 'PF19201', NULL, 'Family of unknown function (DUF5873)', 109, NULL, 'DUF5873', 2573),
(2574, 'PF02503', NULL, 'Polyphosphate kinase middle domain', 202, NULL, 'PP_kinase', 2574),
(2575, 'PF17876', NULL, 'Cold shock domain', 74, NULL, 'CSD2', 2575),
(2576, 'PF14485', NULL, 'Domain of unknown function (DUF4431)', 48, NULL, 'DUF4431', 2576),
(2577, 'PF15881', NULL, 'Domain of unknown function (DUF4734)', 91, NULL, 'DUF4734', 2577),
(2578, 'PF13675', NULL, 'Type IV pili methyl-accepting chemotaxis transducer N-term', 114, NULL, 'PilJ', 2578),
(2579, 'PF16940', NULL, 'Chloroplast envelope transporter', 574, NULL, 'Tic110', 2579),
(2580, 'PF06689', NULL, 'ClpX C4-type zinc finger', 39, NULL, 'zf-C4_ClpX', 2580),
(2581, 'PF14714', NULL, 'KH-domain-like of EngA bacterial GTPase enzymes, C-terminal', 80, NULL, 'KH_dom-like', 2581),
(2582, 'PF03025', NULL, 'Papillomavirus E5', 72, NULL, 'Papilloma_E5', 2582),
(2583, 'PF00146', NULL, 'NADH dehydrogenase', 299, NULL, 'NADHdh', 2583),
(2584, 'PF03911', NULL, 'Sec61beta family', 41, NULL, 'Sec61_beta', 2584),
(2585, 'PF12918', NULL, 'TcdB toxin N-terminal helical domain', 66, NULL, 'TcdB_N', 2585),
(2586, 'PF08484', NULL, 'C-methyltransferase C-terminal domain', 160, NULL, 'Methyltransf_14', 2586),
(2587, 'PF06688', NULL, 'Protein of unknown function (DUF1187)', 61, NULL, 'DUF1187', 2587);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2588, 'PF03779', NULL, 'SPW repeat', 48, NULL, 'SPW', 2588),
(2589, 'PF15079', NULL, 'Testis-specific protein 35', 205, NULL, 'Tsc35', 2589),
(2590, 'PF02938', NULL, 'GAD domain', 95, NULL, 'GAD', 2590),
(2591, 'PF17923', NULL, 'Tetracyclin repressor-like, C-terminal domain', 113, NULL, 'TetR_C_18', 2591),
(2592, 'PF06300', NULL, 'Tsp45I type II restriction enzyme', 260, NULL, 'Tsp45I', 2592),
(2593, 'PF14045', NULL, 'YIEGIA protein', 282, NULL, 'YIEGIA', 2593),
(2594, 'PF10520', NULL, 'B domain of TMEM189, localisation domain', 172, NULL, 'TMEM189_B_dmain', 2594),
(2595, 'PF08035', NULL, 'Opioids neuropeptide', 30, NULL, 'Op_neuropeptide', 2595),
(2596, 'PF10103', NULL, 'Zincin-like metallopeptidase', 332, NULL, 'Zincin_2', 2596),
(2597, 'PF13523', NULL, 'Acetyltransferase (GNAT) domain', 145, NULL, 'Acetyltransf_8', 2597),
(2598, 'PF14696', NULL, 'Hydroxyphenylpyruvate dioxygenase, HPPD, N-terminal', 139, NULL, 'Glyoxalase_5', 2598),
(2599, 'PF06667', NULL, 'Phage shock protein B', 73, NULL, 'PspB', 2599),
(2600, 'PF01452', NULL, 'Rotavirus non structural protein', 173, NULL, 'Rota_NSP4', 2600),
(2601, 'PF06685', NULL, 'Protein of unknown function (DUF1186)', 247, NULL, 'DUF1186', 2601),
(2602, 'PF04792', NULL, 'V antigen (LcrV) protein', 323, NULL, 'LcrV', 2602),
(2603, 'PF05892', NULL, 'Trichovirus coat protein', 197, NULL, 'Tricho_coat', 2603),
(2604, 'PF05218', NULL, 'Protein of unknown function (DUF713)', 185, NULL, 'DUF713', 2604),
(2605, 'PF03137', NULL, 'Organic Anion Transporter Polypeptide (OATP) family', 541, NULL, 'OATP', 2605),
(2606, 'PF07816', NULL, 'Protein of unknown function (DUF1645)', 191, NULL, 'DUF1645', 2606),
(2607, 'PF00550', NULL, 'Phosphopantetheine attachment site', 67, NULL, 'PP-binding', 2607),
(2608, 'PF11302', NULL, 'Protein of unknown function (DUF3104)', 69, NULL, 'DUF3104', 2608),
(2609, 'PF17813', NULL, 'RET Cadherin like domain 4', 105, NULL, 'RET_CLD4', 2609),
(2610, 'PF05761', NULL, '5'' nucleotidase family', 459, NULL, '5_nucleotid', 2610),
(2611, 'PF18603', NULL, 'L-amino acid ligase C-terminal domain 2', 78, NULL, 'LAL_C2', 2611),
(2612, 'PF00696', NULL, 'Amino acid kinase family', 241, NULL, 'AA_kinase', 2612),
(2613, 'PF08144', NULL, 'CPL (NUC119) domain', 143, NULL, 'CPL', 2613),
(2614, 'PF12263', NULL, 'Protein of unknown function (DUF3611)', 175, NULL, 'DUF3611', 2614),
(2615, 'PF04473', NULL, 'Transglutaminase-like domain', 154, NULL, 'DUF553', 2615),
(2616, 'PF07897', NULL, 'Ethylene-responsive binding factor-associated repression', 36, NULL, 'EAR', 2616),
(2617, 'PF13519', NULL, 'von Willebrand factor type A domain', 107, NULL, 'VWA_2', 2617),
(2618, 'PF13992', NULL, 'YecR-like lipoprotein', 73, NULL, 'YecR', 2618),
(2619, 'PF08695', NULL, 'Cytochrome oxidase complex assembly protein 1', 117, NULL, 'Coa1', 2619),
(2620, 'PF10192', NULL, 'Rhodopsin-like GPCR transmembrane domain', 257, NULL, 'GpcrRhopsn4', 2620),
(2621, 'PF13814', NULL, 'Replication-relaxation', 192, NULL, 'Replic_Relax', 2621),
(2622, 'PF04286', NULL, 'Protein of unknown function (DUF445)', 367, NULL, 'DUF445', 2622),
(2623, 'PF04824', NULL, 'Conserved region of Rad21 / Rec8 like protein', 55, NULL, 'Rad21_Rec8', 2623),
(2624, 'PF09060', NULL, 'L27_N', 48, NULL, 'L27_N', 2624),
(2625, 'PF02285', NULL, 'Cytochrome oxidase c subunit VIII', 43, NULL, 'COX8', 2625),
(2626, 'PF19181', NULL, 'Family of unknown function (DUF5863)', 169, NULL, 'DUF5863', 2626),
(2627, 'PF02374', NULL, 'Anion-transporting ATPase', 305, NULL, 'ArsA_ATPase', 2627),
(2628, 'PF00997', NULL, 'Kappa casein', 160, NULL, 'Casein_kappa', 2628),
(2629, 'PF14824', NULL, 'Sirohaem biosynthesis protein central', 28, NULL, 'Sirohm_synth_M', 2629),
(2630, 'PF07104', NULL, 'Protein of unknown function (DUF1366)', 117, NULL, 'DUF1366', 2630),
(2631, 'PF18023', NULL, 'BDBT FKBP like N-terminal', 113, NULL, 'FKBP_N_2', 2631),
(2632, 'PF03328', NULL, 'HpcH/HpaI aldolase/citrate lyase family', 221, NULL, 'HpcH_HpaI', 2632); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2633, 'PF01809', NULL, 'Putative membrane protein insertion efficiency factor', 66, NULL, 'YidD', 2633),
(2634, 'PF02326', NULL, 'Plant ATP synthase F0', 86, NULL, 'YMF19', 2634),
(2635, 'PF03547', NULL, 'Membrane transport protein', 387, NULL, 'Mem_trans', 2635),
(2636, 'PF04423', NULL, 'Rad50 zinc hook motif', 52, NULL, 'Rad50_zn_hook', 2636),
(2637, 'PF09552', NULL, 'BstXI restriction endonuclease', 288, NULL, 'RE_BstXI', 2637),
(2638, 'PF02937', NULL, 'Cytochrome c oxidase subunit VIc', 70, NULL, 'COX6C', 2638),
(2639, 'PF02685', NULL, 'Glucokinase', 316, NULL, 'Glucokinase', 2639),
(2640, 'PF17178', NULL, 'Membrane-associated sensor', 192, NULL, 'MASE5', 2640),
(2641, 'PF11216', NULL, 'Protein of unknown function (DUF3012)', 32, NULL, 'DUF3012', 2641),
(2642, 'PF06117', NULL, 'Enterobacterial protein of unknown function (DUF957)', 55, NULL, 'DUF957', 2642),
(2643, 'PF11667', NULL, 'Putative zincin peptidase', 108, NULL, 'DUF3267', 2643),
(2644, 'PF13742', NULL, 'OB-fold nucleic acid binding domain', 95, NULL, 'tRNA_anti_2', 2644),
(2645, 'PF07435', NULL, 'YycH protein', 438, NULL, 'YycH', 2645),
(2646, 'PF17289', NULL, 'Terminase RNaseH-like domain', 153, NULL, 'Terminase_6C', 2646),
(2647, 'PF10076', NULL, 'Uncharacterised protein conserved in bacteria (DUF2313)', 173, NULL, 'DUF2313', 2647),
(2648, 'PF17638', NULL, 'HCMV UL42', 125, NULL, 'UL42', 2648),
(2649, 'PF00743', NULL, 'Flavin-binding monooxygenase-like', 532, NULL, 'FMO-like', 2649),
(2650, 'PF18815', NULL, 'Bacterial antifreeze protein repeat', 52, NULL, 'AFP_2', 2650),
(2651, 'PF18988', NULL, 'Family of unknown function (DUF5721)', 149, NULL, 'DUF5721', 2651),
(2652, 'PF09249', NULL, 'tRNA nucleotidyltransferase, second domain', 113, NULL, 'tRNA_NucTransf2', 2652),
(2653, 'PF15374', NULL, 'Coiled-coil domain-containing protein 71L', 393, NULL, 'CCDC71L', 2653),
(2654, 'PF13940', NULL, 'Toxin Ldr, type I toxin-antitoxin system', 35, NULL, 'Ldr_toxin', 2654),
(2655, 'PF00528', NULL, 'Binding-protein-dependent transport system inner membrane component', 185, NULL, 'BPD_transp_1', 2655),
(2656, 'PF17979', NULL, 'Cysteine rich domain with multizinc binding regions', 159, NULL, 'zf-CRD', 2656),
(2657, 'PF11399', NULL, 'Protein of unknown function (DUF3192)', 101, NULL, 'DUF3192', 2657),
(2658, 'PF05508', NULL, 'RanGTP-binding protein', 310, NULL, 'Ran-binding', 2658),
(2659, 'PF12735', NULL, 'TRAPP trafficking subunit Trs65', 313, NULL, 'Trs65', 2659),
(2660, 'PF12197', NULL, 'Bacillus cereus group antimicrobial protein', 45, NULL, 'lci', 2660),
(2661, 'PF08066', NULL, 'PMC2NT (NUC016) domain', 92, NULL, 'PMC2NT', 2661),
(2662, 'PF03669', NULL, 'Uncharacterised protein family (UPF0139)', 97, NULL, 'UPF0139', 2662),
(2663, 'PF05466', NULL, 'Brain acid soluble protein 1 (BASP1 protein)', 237, NULL, 'BASP1', 2663),
(2664, 'PF09625', NULL, 'VP9 protein', 79, NULL, 'VP9', 2664),
(2665, 'PF16582', NULL, 'Middle domain of thiamine pyrophosphate', 208, NULL, 'TPP_enzyme_M_2', 2665),
(2666, 'PF07712', NULL, 'Stress up-regulated Nod 19', 377, NULL, 'SURNod19', 2666),
(2667, 'PF10910', NULL, 'Protein of unknown function (DUF2744)', 118, NULL, 'DUF2744', 2667),
(2668, 'PF04313', NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', 194, NULL, 'HSDR_N', 2668),
(2669, 'PF13474', NULL, 'SnoaL-like domain', 121, NULL, 'SnoaL_3', 2669),
(2670, 'PF00478', NULL, 'IMP dehydrogenase / GMP reductase domain', 345, NULL, 'IMPDH', 2670),
(2671, 'PF18279', NULL, 'Werner helicase-interacting protein 1 ubiquitin-binding domain', 21, NULL, 'zf-WRNIP1_ubi', 2671),
(2672, 'PF12045', NULL, 'Protein of unknown function (DUF3528)', 141, NULL, 'DUF3528', 2672),
(2673, 'PF12990', NULL, 'Domain of unknonw function from B. Theta Gene description (DUF3874)', 71, NULL, 'DUF3874', 2673),
(2674, 'PF19200', NULL, 'DUF871 N-terminal domain', 235, NULL, 'DUF871_N', 2674),
(2675, 'PF00376', NULL, 'MerR family regulatory protein', 38, NULL, 'MerR', 2675),
(2676, 'PF12631', NULL, 'MnmE helical domain', 208, NULL, 'MnmE_helical', 2676);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2677, 'PF16598', NULL, 'Linker region of enhancer of mRNA-decapping protein 3', 94, NULL, 'Edc3_linker', 2677),
(2678, 'PF13546', NULL, 'DDE superfamily endonuclease', 273, NULL, 'DDE_5', 2678),
(2679, 'PF17707', NULL, 'Family of unknown function (DUF5553)', 223, NULL, 'DUF5553', 2679),
(2680, 'PF01994', NULL, 'tRNA ribose 2''-O-methyltransferase, aTrm56', 119, NULL, 'Trm56', 2680),
(2681, 'PF17444', NULL, 'Uncharacterized YhdX-like', 33, NULL, 'YhdX', 2681),
(2682, 'PF05152', NULL, 'Protein of unknown function (DUF705)', 304, NULL, 'DUF705', 2682),
(2683, 'PF00165', NULL, 'Bacterial regulatory helix-turn-helix proteins, AraC family', 42, NULL, 'HTH_AraC', 2683),
(2684, 'PF16898', NULL, 'C-terminal associated domain of TOPRIM', 128, NULL, 'TOPRIM_C', 2684),
(2685, 'PF12060', NULL, 'Domain of unknown function (DUF3541)', 225, NULL, 'DUF3541', 2685),
(2686, 'PF18476', NULL, 'PIN like domain', 227, NULL, 'PIN_8', 2686),
(2687, 'PF17398', NULL, 'Nodulation protein NolB', 151, NULL, 'NolB', 2687),
(2688, 'PF11692', NULL, 'Protein of unknown function (DUF3289)', 272, NULL, 'DUF3289', 2688),
(2689, 'PF04025', NULL, 'Domain of unknown function (DUF370)', 73, NULL, 'DUF370', 2689),
(2690, 'PF04794', NULL, 'YdjC-like protein', 251, NULL, 'YdjC', 2690),
(2691, 'PF04124', NULL, 'Dor1-like family', 338, NULL, 'Dor1', 2691),
(2692, 'PF03899', NULL, 'ATP synthase I chain', 99, NULL, 'ATP-synt_I', 2692),
(2693, 'PF15442', NULL, 'Domain of unknown function (DUF4629)', 150, NULL, 'DUF4629', 2693),
(2694, 'PF03058', NULL, 'Sar8.2 family', 93, NULL, 'Sar8_2', 2694),
(2695, 'PF17661', NULL, 'Family of unknown function (DUF5523)', 255, NULL, 'DUF5523', 2695),
(2696, 'PF09179', NULL, 'TilS substrate binding domain', 68, NULL, 'TilS', 2696),
(2697, 'PF14366', NULL, 'Domain of unknown function (DUF4410)', 134, NULL, 'DUF4410', 2697),
(2698, 'PF06022', NULL, 'Plasmodium variant antigen protein Cir/Yir/Bir', 258, NULL, 'Cir_Bir_Yir', 2698),
(2699, 'PF03656', NULL, 'Pam16', 127, NULL, 'Pam16', 2699),
(2700, 'PF16033', NULL, 'Domain of unknown function (DUF4789)', 101, NULL, 'DUF4789', 2700),
(2701, 'PF08726', NULL, 'Ca2+ insensitive EF hand', 69, NULL, 'EFhand_Ca_insen', 2701),
(2702, 'PF00291', NULL, 'Pyridoxal-phosphate dependent enzyme', 294, NULL, 'PALP', 2702),
(2703, 'PF02861', NULL, 'Clp amino terminal domain, pathogenicity island component', 53, NULL, 'Clp_N', 2703),
(2704, 'PF17259', NULL, 'Family of unknown function (DUF5325)', 61, NULL, 'DUF5325', 2704),
(2705, 'PF00391', NULL, 'PEP-utilising enzyme, mobile domain', 73, NULL, 'PEP-utilizers', 2705),
(2706, 'PF06246', NULL, 'Isy1-like splicing family', 258, NULL, 'Isy1', 2706),
(2707, 'PF07248', NULL, 'Protein of unknown function (DUF1431)', 154, NULL, 'DUF1431', 2707),
(2708, 'PF07737', NULL, 'Anthrax toxin lethal factor, N- and C-terminal domain', 218, NULL, 'ATLF', 2708),
(2709, 'PF04428', NULL, 'Choline kinase N terminus', 51, NULL, 'Choline_kin_N', 2709),
(2710, 'PF16510', NULL, 'Phage P22-like portal protein', 668, NULL, 'P22_portal', 2710),
(2711, 'PF08867', NULL, 'FRG domain', 94, NULL, 'FRG', 2711),
(2712, 'PF02684', NULL, 'Lipid-A-disaccharide synthetase', 374, NULL, 'LpxB', 2712),
(2713, 'PF10317', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srd', 292, NULL, '7TM_GPCR_Srd', 2713),
(2714, 'PF16327', NULL, 'Cytochrome c-type biogenesis protein CcmF C-terminal', 323, NULL, 'CcmF_C', 2714),
(2715, 'PF16280', NULL, 'Domain of unknown function (DUF4928)', 306, NULL, 'DUF4928', 2715),
(2716, 'PF09682', NULL, 'Bacteriophage holin of superfamily 6 (Holin_LLH)', 101, NULL, 'Phage_holin_6_1', 2716),
(2717, 'PF17664', NULL, 'Family of unknown function (DUF5526)', 168, NULL, 'DUF5526', 2717),
(2718, 'PF01470', NULL, 'Pyroglutamyl peptidase', 203, NULL, 'Peptidase_C15', 2718),
(2719, 'PF08038', NULL, 'TOM7 family', 41, NULL, 'Tom7', 2719),
(2720, 'PF12168', NULL, 'DNA polymerase III subunits tau domain IV DnaB-binding', 80, NULL, 'DNA_pol3_tau_4', 2720);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2721, 'PF01563', NULL, 'Alphavirus E3 glycoprotein', 59, NULL, 'Alpha_E3_glycop', 2721),
(2722, 'PF12766', NULL, 'Pyridoxamine 5''-phosphate oxidase', 100, NULL, 'Pyridox_oxase_2', 2722),
(2723, 'PF18495', NULL, 'Antitoxin VbhA', 47, NULL, 'VbhA', 2723),
(2724, 'PF06236', NULL, 'Tyrosinase co-factor MelC1', 115, NULL, 'MelC1', 2724),
(2725, 'PF01277', NULL, 'Oleosin', 113, NULL, 'Oleosin', 2725),
(2726, 'PF05787', NULL, 'Bacterial protein of unknown function (DUF839)', 516, NULL, 'DUF839', 2726),
(2727, 'PF11287', NULL, 'Protein of unknown function (DUF3088)', 112, NULL, 'DUF3088', 2727),
(2728, 'PF13637', NULL, 'Ankyrin repeats (many copies)', 55, NULL, 'Ank_4', 2728),
(2729, 'PF11218', NULL, 'Protein of unknown function (DUF3011)', 197, NULL, 'DUF3011', 2729),
(2730, 'PF15523', NULL, 'Novel toxin 16', 85, NULL, 'Ntox16', 2730),
(2731, 'PF10153', NULL, 'rRNA-processing protein Efg1', 114, NULL, 'Efg1', 2731),
(2732, 'PF03724', NULL, 'META domain', 109, NULL, 'META', 2732),
(2733, 'PF11082', NULL, 'Protein of unknown function (DUF2880)', 79, NULL, 'DUF2880', 2733),
(2734, 'PF11778', NULL, 'Septation initiation', 135, NULL, 'SID', 2734),
(2735, 'PF11500', NULL, 'Spindle pole body formation-associated protein', 146, NULL, 'Cut12', 2735),
(2736, 'PF03889', NULL, 'Alternative ribosome-rescue factor A', 44, NULL, 'ArfA', 2736),
(2737, 'PF19144', NULL, 'Family of unknown function (DUF5826)', 68, NULL, 'DUF5826', 2737),
(2738, 'PF05310', NULL, 'Tenuivirus movement protein', 186, NULL, 'Tenui_NS3', 2738),
(2739, 'PF09766', NULL, 'Fms-interacting protein/Thoc5', 364, NULL, 'FmiP_Thoc5', 2739),
(2740, 'PF12987', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3871)', 318, NULL, 'DUF3871', 2740),
(2741, 'PF12422', NULL, 'Condensin II non structural maintenance of chromosomes subunit', 149, NULL, 'Condensin2nSMC', 2741),
(2742, 'PF05873', NULL, 'ATP synthase D chain, mitochondrial (ATP5H)', 154, NULL, 'Mt_ATP-synt_D', 2742),
(2743, 'PF10702', NULL, 'Protein of unknown function (DUF2507)', 123, NULL, 'DUF2507', 2743),
(2744, 'PF16674', NULL, 'N-terminal of ubiquitin carboxyl-terminal hydrolase 37', 105, NULL, 'UCH_N', 2744),
(2745, 'PF16096', NULL, 'Fragile X-related 1 protein C-terminal region 2', 76, NULL, 'FXR_C1', 2745),
(2746, 'PF17324', NULL, 'BLOC-1 interactor 1', 111, NULL, 'BLI1', 2746),
(2747, 'PF03752', NULL, 'Short repeats of unknown function', 42, NULL, 'ALF', 2747),
(2748, 'PF00135', NULL, 'Carboxylesterase family', 515, NULL, 'COesterase', 2748),
(2749, 'PF15243', NULL, 'Anaphase-promoting complex subunit 15', 90, NULL, 'ANAPC15', 2749),
(2750, 'PF16216', NULL, 'GxGYxY sequence motif in domain of unknown function N-terminal', 218, NULL, 'GxGYxYP_N', 2750),
(2751, 'PF00459', NULL, 'Inositol monophosphatase family', 272, NULL, 'Inositol_P', 2751),
(2752, 'PF15681', NULL, 'Lymphocyte activation family X', 350, NULL, 'LAX', 2752),
(2753, 'PF15412', NULL, 'Binding domain of Nse4/EID3 to Nse3-MAGE', 57, NULL, 'Nse4-Nse3_bdg', 2753),
(2754, 'PF12256', NULL, 'Insecticide toxin TcdB middle/N-terminal region', 181, NULL, 'TcdB_toxin_midN', 2754),
(2755, 'PF19088', NULL, 'TUTase nucleotidyltransferase domain', 337, NULL, 'TUTase', 2755),
(2756, 'PF10580', NULL, 'Gap junction protein N-terminal region', 31, NULL, 'Neuromodulin_N', 2756),
(2757, 'PF07180', NULL, 'CaiF/GrlA transcriptional regulator', 146, NULL, 'CaiF_GrlA', 2757),
(2758, 'PF02410', NULL, 'Ribosomal silencing factor during starvation', 100, NULL, 'RsfS', 2758),
(2759, 'PF06672', NULL, 'Protein of unknown function (DUF1175)', 225, NULL, 'DUF1175', 2759),
(2760, 'PF05118', NULL, 'Aspartyl/Asparaginyl beta-hydroxylase', 157, NULL, 'Asp_Arg_Hydrox', 2760),
(2761, 'PF02372', NULL, 'Interleukin 15', 135, NULL, 'IL15', 2761),
(2762, 'PF03145', NULL, 'Seven in absentia protein family', 200, NULL, 'Sina', 2762),
(2763, 'PF18002', NULL, 'T6 antigen Ig like domain', 142, NULL, 'T6_Ig_like', 2763),
(2764, 'PF13903', NULL, 'PMP-22/EMP/MP20/Claudin tight junction', 193, NULL, 'Claudin_2', 2764);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2765, 'PF00572', NULL, 'Ribosomal protein L13', 119, NULL, 'Ribosomal_L13', 2765),
(2766, 'PF18950', NULL, 'Family of unknown function (DUF5694)', 185, NULL, 'DUF5694', 2766),
(2767, 'PF12743', NULL, 'Oestrogen-type nuclear receptor final C-terminal', 44, NULL, 'ESR1_C', 2767),
(2768, 'PF12407', NULL, 'Homeobox protein', 24, NULL, 'Abdominal-A', 2768),
(2769, 'PF12497', NULL, 'Estrogen receptor beta', 114, NULL, 'ERbeta_N', 2769),
(2770, 'PF13329', NULL, 'Autophagy-related protein 2 CAD motif', 154, NULL, 'ATG2_CAD', 2770),
(2771, 'PF18370', NULL, 'Rhamnogalacturonan I lyases beta-sheet domain', 86, NULL, 'RGI_lyase', 2771),
(2772, 'PF17788', NULL, 'HypF Kae1-like domain', 102, NULL, 'HypF_C', 2772),
(2773, 'PF12975', NULL, 'Domain of unknown function (DUF3859)', 133, NULL, 'DUF3859', 2773),
(2774, 'PF09957', NULL, 'Bacterial antitoxin of type II TA system, VapB', 47, NULL, 'VapB_antitoxin', 2774),
(2775, 'PF02500', NULL, 'Probable DNA packing protein, N-terminus', 278, NULL, 'DNA_pack_N', 2775),
(2776, 'PF17693', NULL, 'Family of unknown function (DUF5539)', 232, NULL, 'DUF5539', 2776),
(2777, 'PF14109', NULL, 'GldH lipoprotein', 128, NULL, 'GldH_lipo', 2777),
(2778, 'PF01189', NULL, '16S rRNA methyltransferase RsmB/F', 200, NULL, 'Methyltr_RsmB-F', 2778),
(2779, 'PF08747', NULL, 'Domain of unknown function (DUF1788)', 124, NULL, 'DUF1788', 2779),
(2780, 'PF14966', NULL, 'DNA repair REX1-B', 95, NULL, 'DNA_repr_REX1B', 2780),
(2781, 'PF12952', NULL, 'Domain of unknown function (DUF3841)', 179, NULL, 'DUF3841', 2781),
(2782, 'PF15447', NULL, 'N-terminal segments of PfEMP1', 37, NULL, 'NTS', 2782),
(2783, 'PF05159', NULL, 'Capsule polysaccharide biosynthesis protein', 310, NULL, 'Capsule_synth', 2783),
(2784, 'PF18445', NULL, 'PR zinc knuckle motif', 38, NULL, 'zf_PR_Knuckle', 2784),
(2785, 'PF09627', NULL, 'PrgU-like protein', 106, NULL, 'PrgU', 2785),
(2786, 'PF16802', NULL, 'Domain of unknown function (DUF5070)', 154, NULL, 'DUF5070', 2786),
(2787, 'PF17117', NULL, 'Domain of unknown function (DUF5104)', 107, NULL, 'DUF5104', 2787),
(2788, 'PF01441', NULL, 'Lipoprotein', 170, NULL, 'Lipoprotein_6', 2788),
(2789, 'PF18402', NULL, 'Thioredoxin-like domain', 252, NULL, 'Thioredoxin_14', 2789),
(2790, 'PF16861', NULL, 'Carbamoyltransferase C-terminus', 170, NULL, 'Carbam_trans_C', 2790),
(2791, 'PF03769', NULL, 'Attacin, C-terminal region', 120, NULL, 'Attacin_C', 2791),
(2792, 'PF18264', NULL, 'CXC domain', 32, NULL, 'preSET_CXC', 2792),
(2793, 'PF07117', NULL, 'Protein of unknown function (DUF1373)', 213, NULL, 'DUF1373', 2793),
(2794, 'PF00653', NULL, 'Inhibitor of Apoptosis domain', 73, NULL, 'BIR', 2794),
(2795, 'PF12238', NULL, 'Merozoite surface antigen 2c', 216, NULL, 'MSA-2c', 2795),
(2796, 'PF18937', NULL, 'Family of unknown function (DUF5685)', 273, NULL, 'DUF5685', 2796),
(2797, 'PF11918', NULL, 'N-terminal domain of Peptidase_S41 in eukaryotic IRBP', 129, NULL, 'Peptidase_S41_N', 2797),
(2798, 'PF18765', NULL, 'Polymerase beta, Nucleotidyltransferase', 93, NULL, 'Polbeta', 2798),
(2799, 'PF13548', NULL, 'Domain of unknown function (DUF4126)', 175, NULL, 'DUF4126', 2799),
(2800, 'PF13304', NULL, 'AAA domain, putative AbiEii toxin, Type IV TA system', 304, NULL, 'AAA_21', 2800),
(2801, 'PF15970', NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', 81, NULL, 'HicB-like_2', 2801),
(2802, 'PF15545', NULL, 'Bacterial toxin 8', 74, NULL, 'Ntox8', 2802),
(2803, 'PF17814', NULL, 'LisH-like dimerisation domain', 30, NULL, 'LisH_TPL', 2803),
(2804, 'PF11581', NULL, 'Antagonist of EGFR signalling, Argos', 129, NULL, 'Argos', 2804),
(2805, 'PF14326', NULL, 'Domain of unknown function (DUF4384)', 81, NULL, 'DUF4384', 2805),
(2806, 'PF04837', NULL, 'MbeB-like, N-term conserved region', 52, NULL, 'MbeB_N', 2806),
(2807, 'PF08264', NULL, 'Anticodon-binding domain of tRNA ligase', 152, NULL, 'Anticodon_1', 2807),
(2808, 'PF17393', NULL, 'Family of unknown function (DUF5402)', 119, NULL, 'DUF5402', 2808);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2809, 'PF12448', NULL, 'Kinesin associated protein', 175, NULL, 'Milton', 2809),
(2810, 'PF01966', NULL, 'HD domain', 122, NULL, 'HD', 2810),
(2811, 'PF06749', NULL, 'Protein of unknown function (DUF1218)', 96, NULL, 'DUF1218', 2811),
(2812, 'PF05934', NULL, 'Mid-1-related chloride channel (MCLC)', 549, NULL, 'MCLC', 2812),
(2813, 'PF03353', NULL, 'Ras-mediated vulval-induction antagonist', 306, NULL, 'Lin-8', 2813),
(2814, 'PF08998', NULL, 'Bacterial epsilon antitoxin', 89, NULL, 'Epsilon_antitox', 2814),
(2815, 'PF11539', NULL, 'Protein of unknown function (DUF3228)', 194, NULL, 'DUF3228', 2815),
(2816, 'PF00351', NULL, 'Biopterin-dependent aromatic amino acid hydroxylase', 331, NULL, 'Biopterin_H', 2816),
(2817, 'PF02841', NULL, 'Guanylate-binding protein, C-terminal domain', 297, NULL, 'GBP_C', 2817),
(2818, 'PF17790', NULL, 'Macroglobulin domain MG1', 101, NULL, 'MG1', 2818),
(2819, 'PF08644', NULL, 'FACT complex subunit (SPT16/CDC68)', 151, NULL, 'SPT16', 2819),
(2820, 'PF09256', NULL, 'BAFF-R, TALL-1 binding', 30, NULL, 'BaffR-Tall_bind', 2820),
(2821, 'PF08344', NULL, 'Transient receptor ion channel II', 63, NULL, 'TRP_2', 2821),
(2822, 'PF07201', NULL, 'HrpJ-like domain', 166, NULL, 'HrpJ', 2822),
(2823, 'PF11734', NULL, 'TilS substrate C-terminal domain', 74, NULL, 'TilS_C', 2823),
(2824, 'PF12662', NULL, 'Complement Clr-like EGF-like', 24, NULL, 'cEGF', 2824),
(2825, 'PF07153', NULL, 'Marek''s disease-like virus SORF3 protein', 253, NULL, 'Marek_SORF3', 2825),
(2826, 'PF18365', NULL, 'Phosphoinositide phosphatase C-terminal domain', 125, NULL, 'PI_PP_C', 2826),
(2827, 'PF17618', NULL, 'Uncharacterized Strongylid L4 protein', 88, NULL, 'SL4P', 2827),
(2828, 'PF04448', NULL, 'Protein of unknown function (DUF551)', 69, NULL, 'DUF551', 2828),
(2829, 'PF18193', NULL, 'Fibrillin 1 unique N-terminal domain', 37, NULL, 'Fibrillin_U_N', 2829),
(2830, 'PF04275', NULL, 'Phosphomevalonate kinase', 114, NULL, 'P-mevalo_kinase', 2830),
(2831, 'PF00560', NULL, 'Leucine Rich Repeat', 23, NULL, 'LRR_1', 2831),
(2832, 'PF07324', NULL, 'DiGeorge syndrome critical region 6 (DGCR6) protein', 194, NULL, 'DGCR6', 2832),
(2833, 'PF04988', NULL, 'A-kinase anchoring protein 95 (AKAP95)', 134, NULL, 'AKAP95', 2833),
(2834, 'PF02966', NULL, 'Mitosis protein DIM1', 133, NULL, 'DIM1', 2834),
(2835, 'PF14771', NULL, 'Domain of unknown function (DUF4476)', 91, NULL, 'DUF4476', 2835),
(2836, 'PF02704', NULL, 'Gibberellin regulated protein', 60, NULL, 'GASA', 2836),
(2837, 'PF16664', NULL, 'Unstructured on SH3 and cysteine-rich domain-containing protein 2', 127, NULL, 'STAC2_u1', 2837),
(2838, 'PF13809', NULL, 'Tubulin like', 348, NULL, 'Tubulin_2', 2838),
(2839, 'PF15473', NULL, 'PEST, proteolytic signal-containing nuclear protein family', 157, NULL, 'PCNP', 2839),
(2840, 'PF05279', NULL, 'Aspartyl beta-hydroxylase N-terminal region', 243, NULL, 'Asp-B-Hydro_N', 2840),
(2841, 'PF02615', NULL, 'Malate/L-lactate dehydrogenase', 333, NULL, 'Ldh_2', 2841),
(2842, 'PF03131', NULL, 'bZIP Maf transcription factor', 92, NULL, 'bZIP_Maf', 2842),
(2843, 'PF13117', NULL, 'Cag pathogenicity island protein Cag12', 92, NULL, 'Cag12', 2843),
(2844, 'PF14610', NULL, 'Ykl077w/Psg1 (Pma1 Stabilization in Golgi)', 194, NULL, 'Psg1', 2844),
(2845, 'PF17476', NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 3', 102, NULL, 'Binary_toxB_3', 2845),
(2846, 'PF13317', NULL, 'Protein of unknown function (DUF4088)', 226, NULL, 'DUF4088', 2846),
(2847, 'PF16751', NULL, 'Anti-sigma-D factor RsdA to sigma factor binding region', 46, NULL, 'RsdA_SigD_bd', 2847),
(2848, 'PF05274', NULL, 'Occlusion-derived virus envelope protein E25', 190, NULL, 'Baculo_E25', 2848),
(2849, 'PF08189', NULL, 'Meleagrin/Cygnin family', 38, NULL, 'Meleagrin', 2849),
(2850, 'PF13129', NULL, 'Protein of unknown function (DUF3953)', 41, NULL, 'DUF3953', 2850),
(2851, 'PF12851', NULL, 'Oxygenase domain of the 2OGFeDO superfamily', 335, NULL, 'Tet_JBP', 2851);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2852, 'PF14697', NULL, '4Fe-4S dicluster domain', 59, NULL, 'Fer4_21', 2852),
(2853, 'PF02580', NULL, 'D-Tyr-tRNA(Tyr) deacylase', 144, NULL, 'Tyr_Deacylase', 2853),
(2854, 'PF11051', NULL, 'Mannosyltransferase putative', 273, NULL, 'Mannosyl_trans3', 2854),
(2855, 'PF13451', NULL, 'Probable zinc-ribbon domain', 48, NULL, 'zf-trcl', 2855),
(2856, 'PF03901', NULL, 'Alg9-like mannosyltransferase family', 417, NULL, 'Glyco_transf_22', 2856),
(2857, 'PF00863', NULL, 'Peptidase family C4', 233, NULL, 'Peptidase_C4', 2857),
(2858, 'PF02566', NULL, 'OsmC-like protein', 99, NULL, 'OsmC', 2858),
(2859, 'PF14431', NULL, 'YwqJ-like deaminase', 134, NULL, 'YwqJ-deaminase', 2859),
(2860, 'PF11822', NULL, 'Domain of unknown function (DUF3342)', 97, NULL, 'DUF3342', 2860),
(2861, 'PF02067', NULL, 'Metallothionein family 5', 41, NULL, 'Metallothio_5', 2861),
(2862, 'PF06151', NULL, 'Trehalose receptor', 411, NULL, 'Trehalose_recp', 2862),
(2863, 'PF11989', NULL, 'Retrograde transport protein Dsl1 C terminal', 194, NULL, 'Dsl1_C', 2863),
(2864, 'PF13488', NULL, 'Glycine zipper', 46, NULL, 'Gly-zipper_Omp', 2864),
(2865, 'PF11961', NULL, 'Domain of unknown function (DUF3475)', 57, NULL, 'DUF3475', 2865),
(2866, 'PF04926', NULL, 'Poly(A) polymerase predicted RNA binding domain', 187, NULL, 'PAP_RNA-bind', 2866),
(2867, 'PF10023', NULL, 'Putative aminopeptidase', 322, NULL, 'Aminopep', 2867),
(2868, 'PF03340', NULL, 'Poxvirus rifampicin resistance protein', 541, NULL, 'Pox_Rif', 2868),
(2869, 'PF14282', NULL, 'FlxA-like protein', 101, NULL, 'FlxA', 2869),
(2870, 'PF10966', NULL, 'Protein of unknown function (DUF2768)', 58, NULL, 'DUF2768', 2870),
(2871, 'PF13174', NULL, 'Tetratricopeptide repeat', 33, NULL, 'TPR_6', 2871),
(2872, 'PF09020', NULL, 'YopE, N terminal', 126, NULL, 'YopE_N', 2872),
(2873, 'PF03161', NULL, 'LAGLIDADG DNA endonuclease family', 169, NULL, 'LAGLIDADG_2', 2873),
(2874, 'PF09082', NULL, 'Domain of unknown function (DUF1922)', 67, NULL, 'DUF1922', 2874),
(2875, 'PF08293', NULL, 'Mitochondrial ribosomal subunit S27', 88, NULL, 'MRP-S33', 2875),
(2876, 'PF16284', NULL, 'Domain of unknown function (DUF4930)', 136, NULL, 'DUF4930', 2876),
(2877, 'PF00787', NULL, 'PX domain', 84, NULL, 'PX', 2877),
(2878, 'PF06031', NULL, 'SERTA motif', 36, NULL, 'SERTA', 2878),
(2879, 'PF09347', NULL, 'Domain of unknown function (DUF1989)', 167, NULL, 'DUF1989', 2879),
(2880, 'PF08859', NULL, 'DGC domain', 106, NULL, 'DGC', 2880),
(2881, 'PF16980', NULL, 'Putative citrate transport', 449, NULL, 'CitMHS_2', 2881),
(2882, 'PF15608', NULL, 'PELOTA RNA binding domain', 81, NULL, 'PELOTA_1', 2882),
(2883, 'PF10199', NULL, 'Alpha and gamma adaptin binding protein p34', 121, NULL, 'Adaptin_binding', 2883),
(2884, 'PF10673', NULL, 'Protein of unknown function (DUF2487)', 142, NULL, 'DUF2487', 2884),
(2885, 'PF03192', NULL, 'Pyrococcus protein of unknown function, DUF257', 205, NULL, 'DUF257', 2885),
(2886, 'PF00542', NULL, 'Ribosomal protein L7/L12 C-terminal domain', 67, NULL, 'Ribosomal_L12', 2886),
(2887, 'PF08719', NULL, 'NADAR domain', 164, NULL, 'NADAR', 2887),
(2888, 'PF04153', NULL, 'NOT2 / NOT3 / NOT5 family', 131, NULL, 'NOT2_3_5', 2888),
(2889, 'PF06457', NULL, 'Ectatomin', 34, NULL, 'Ectatomin', 2889),
(2890, 'PF16230', NULL, 'Domain of unknown function (DUF4889)', 71, NULL, 'DUF4889', 2890),
(2891, 'PF04387', NULL, 'Protein tyrosine phosphatase-like protein, PTPLA', 161, NULL, 'PTPLA', 2891),
(2892, 'PF16839', NULL, 'Nematode antimicrobial peptide', 54, NULL, 'Antimicrobial25', 2892),
(2893, 'PF01208', NULL, 'Uroporphyrinogen decarboxylase (URO-D)', 346, NULL, 'URO-D', 2893),
(2894, 'PF00998', NULL, 'Viral RNA dependent RNA polymerase', 486, NULL, 'RdRP_3', 2894),
(2895, 'PF07347', NULL, 'NADH:ubiquinone oxidoreductase subunit B14.5a (Complex I-B14.5a)', 95, NULL, 'CI-B14_5a', 2895),
(2896, 'PF11291', NULL, 'Protein of unknown function (DUF3091)', 100, NULL, 'DUF3091', 2896),
(2897, 'PF07952', NULL, 'Clostridium neurotoxin, Translocation domain', 322, NULL, 'Toxin_trans', 2897);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2898, 'PF08326', NULL, 'Acetyl-CoA carboxylase, central region', 727, NULL, 'ACC_central', 2898),
(2899, 'PF02482', NULL, 'Sigma 54 modulation protein / S30EA ribosomal protein', 86, NULL, 'Ribosomal_S30AE', 2899),
(2900, 'PF00574', NULL, 'Clp protease', 182, NULL, 'CLP_protease', 2900),
(2901, 'PF16733', NULL, 'Rhomboid N-terminal domain', 69, NULL, 'NRho', 2901),
(2902, 'PF15751', NULL, 'FAAP20 FANCA interaction domain', 108, NULL, 'FANCA_interact', 2902),
(2903, 'PF11740', NULL, 'Plasmid replication region DNA-binding N-term', 117, NULL, 'KfrA_N', 2903),
(2904, 'PF01029', NULL, 'NusB family', 134, NULL, 'NusB', 2904),
(2905, 'PF12733', NULL, 'Cadherin-like beta sandwich domain', 93, NULL, 'Cadherin-like', 2905),
(2906, 'PF04555', NULL, 'Restriction endonuclease XhoI', 191, NULL, 'XhoI', 2906),
(2907, 'PF04232', NULL, 'Stage V sporulation protein S (SpoVS)', 83, NULL, 'SpoVS', 2907),
(2908, 'PF00261', NULL, 'Tropomyosin', 237, NULL, 'Tropomyosin', 2908),
(2909, 'PF05044', NULL, 'Homeo-prospero domain', 154, NULL, 'HPD', 2909),
(2910, 'PF14343', NULL, 'PrcB C-terminal', 58, NULL, 'PrcB_C', 2910),
(2911, 'PF12057', NULL, 'BCL2-associated athanogene 6', 116, NULL, 'BAG6', 2911),
(2912, 'PF07470', NULL, 'Glycosyl Hydrolase Family 88', 344, NULL, 'Glyco_hydro_88', 2912),
(2913, 'PF06215', NULL, 'Infectious salmon anaemia virus haemagglutinin', 353, NULL, 'ISAV_HA', 2913),
(2914, 'PF17355', NULL, 'Family of unknown function (DUF5383)', 124, NULL, 'DUF5383', 2914),
(2915, 'PF14218', NULL, 'Circadian oscillating protein COP23', 138, NULL, 'COP23', 2915),
(2916, 'PF13898', NULL, 'Domain of unknown function (DUF4205)', 351, NULL, 'DUF4205', 2916),
(2917, 'PF12129', NULL, 'Male germ-cell putative homeodomain transcription factor', 154, NULL, 'Phtf-FEM1B_bdg', 2917),
(2918, 'PF18508', NULL, 'Zinc finger domain', 42, NULL, 'zf_C2H2_13', 2918),
(2919, 'PF04924', NULL, 'Poxvirus A6 protein', 370, NULL, 'Pox_A6', 2919),
(2920, 'PF02397', NULL, 'Bacterial sugar transferase', 184, NULL, 'Bac_transf', 2920),
(2921, 'PF13087', NULL, 'AAA domain', 199, NULL, 'AAA_12', 2921),
(2922, 'PF08430', NULL, 'Forkhead N-terminal region', 136, NULL, 'Forkhead_N', 2922),
(2923, 'PF03949', NULL, 'Malic enzyme, NAD binding domain', 258, NULL, 'Malic_M', 2923),
(2924, 'PF15474', NULL, 'Meiotically up-regulated gene family', 103, NULL, 'MU117', 2924),
(2925, 'PF08015', NULL, 'Fungal mating-type pheromone', 69, NULL, 'Pheromone', 2925),
(2926, 'PF09518', NULL, 'HindIII restriction endonuclease', 285, NULL, 'RE_HindIII', 2926),
(2927, 'PF16266', NULL, 'Domain of unknown function (DUF4919)', 185, NULL, 'DUF4919', 2927),
(2928, 'PF07675', NULL, 'Cleaved Adhesin Domain', 174, NULL, 'Cleaved_Adhesin', 2928),
(2929, 'PF11251', NULL, 'Protein of unknown function (DUF3050)', 232, NULL, 'DUF3050', 2929),
(2930, 'PF07659', NULL, 'Nucleotide modification associated domain 1', 61, NULL, 'DUF1599', 2930),
(2931, 'PF08659', NULL, 'KR domain', 180, NULL, 'KR', 2931),
(2932, 'PF13947', NULL, 'Wall-associated receptor kinase galacturonan-binding', 62, NULL, 'GUB_WAK_bind', 2932),
(2933, 'PF08314', NULL, 'Secretory pathway protein Sec39', 749, NULL, 'Sec39', 2933),
(2934, 'PF12476', NULL, 'Protein of unknown function (DUF3696)', 53, NULL, 'DUF3696', 2934),
(2935, 'PF04445', NULL, 'Putative SAM-dependent methyltransferase', 231, NULL, 'SAM_MT', 2935),
(2936, 'PF03404', NULL, 'Mo-co oxidoreductase dimerisation domain', 138, NULL, 'Mo-co_dimer', 2936),
(2937, 'PF05283', NULL, 'Multi-glycosylated core protein 24 (MGC-24), sialomucin', 140, NULL, 'MGC-24', 2937),
(2938, 'PF03885', NULL, 'Protein of unknown function (DUF327)', 143, NULL, 'DUF327', 2938),
(2939, 'PF13894', NULL, 'C2H2-type zinc finger', 24, NULL, 'zf-C2H2_4', 2939),
(2940, 'PF11001', NULL, 'Protein of unknown function (DUF2841)', 124, NULL, 'DUF2841', 2940),
(2941, 'PF15699', NULL, 'NPR1 interacting', 110, NULL, 'NPR1_interact', 2941),
(2942, 'PF00511', NULL, 'E2 (early) protein, C terminal', 80, NULL, 'PPV_E2_C', 2942);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2943, 'PF00599', NULL, 'Influenza Matrix protein (M2)', 97, NULL, 'Flu_M2', 2943),
(2944, 'PF08613', NULL, 'Cyclin', 161, NULL, 'Cyclin', 2944),
(2945, 'PF05755', NULL, 'Rubber elongation factor protein (REF)', 206, NULL, 'REF', 2945),
(2946, 'PF03915', NULL, 'Actin interacting protein 3', 408, NULL, 'AIP3', 2946),
(2947, 'PF16287', NULL, 'Domain of unknown function (DUF4933)', 386, NULL, 'DUF4933', 2947),
(2948, 'PF03193', NULL, 'RsgA GTPase', 167, NULL, 'RsgA_GTPase', 2948),
(2949, 'PF03531', NULL, 'Structure-specific recognition protein (SSRP1)', 69, NULL, 'SSrecog', 2949),
(2950, 'PF09414', NULL, 'RNA ligase', 163, NULL, 'RNA_ligase', 2950),
(2951, 'PF18381', NULL, 'YcaO cyclodehydratase C-terminal domain', 172, NULL, 'YcaO_C', 2951),
(2952, 'PF15048', NULL, 'Organic solute transporter subunit beta protein', 122, NULL, 'OSTbeta', 2952),
(2953, 'PF09811', NULL, 'Essential protein Yae1, N terminal', 39, NULL, 'Yae1_N', 2953),
(2954, 'PF00950', NULL, 'ABC 3 transport family', 258, NULL, 'ABC-3', 2954),
(2955, 'PF10941', NULL, 'Protein of unknown function DUF2620', 116, NULL, 'DUF2620', 2955),
(2956, 'PF15668', NULL, 'Domain of unknown function (DUF4663)', 340, NULL, 'DUF4663', 2956),
(2957, 'PF18954', NULL, 'Family of unknown function (DUF5697)', 160, NULL, 'DUF5697', 2957),
(2958, 'PF06279', NULL, 'Protein of unknown function (DUF1033)', 118, NULL, 'DUF1033', 2958),
(2959, 'PF08114', NULL, 'ATPase proteolipid family', 43, NULL, 'PMP1_2', 2959),
(2960, 'PF07137', NULL, 'VDE lipocalin domain', 237, NULL, 'VDE', 2960),
(2961, 'PF07081', NULL, 'Protein of unknown function (DUF1349)', 179, NULL, 'DUF1349', 2961),
(2962, 'PF04904', NULL, 'NAB conserved region 1 (NCD1)', 79, NULL, 'NCD1', 2962),
(2963, 'PF10332', NULL, 'Protein of unknown function (DUF2418)', 96, NULL, 'DUF2418', 2963),
(2964, 'PF17462', NULL, 'Family of unknown function (DUF5424)', 174, NULL, 'DUF5424', 2964),
(2965, 'PF18772', NULL, 'APOBEC2', 173, NULL, 'APOBEC2', 2965),
(2966, 'PF02880', NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain III', 114, NULL, 'PGM_PMM_III', 2966),
(2967, 'PF08857', NULL, 'Putative ParB-like nuclease', 164, NULL, 'ParBc_2', 2967),
(2968, 'PF08935', NULL, 'Viral protein VP4 subunit', 84, NULL, 'VP4_2', 2968),
(2969, 'PF03847', NULL, 'Transcription initiation factor TFIID subunit A', 68, NULL, 'TFIID_20kDa', 2969),
(2970, 'PF00004', NULL, 'ATPase family associated with various cellular activities (AAA)', 132, NULL, 'AAA', 2970),
(2971, 'PF15113', NULL, 'TMEM117 protein family', 410, NULL, 'TMEM117', 2971),
(2972, 'PF11088', NULL, 'Glycoprotein encoding membrane proteins RL5A and RL6', 99, NULL, 'RL11D', 2972),
(2973, 'PF07358', NULL, 'Protein of unknown function (DUF1482)', 57, NULL, 'DUF1482', 2973),
(2974, 'PF07258', NULL, 'COMM domain', 72, NULL, 'COMM_domain', 2974),
(2975, 'PF10768', NULL, 'Class II flagellar assembly regulator', 135, NULL, 'FliX', 2975),
(2976, 'PF02950', NULL, 'Conotoxin', 75, NULL, 'Conotoxin', 2976),
(2977, 'PF03786', NULL, 'D-mannonate dehydratase (UxuA)', 352, NULL, 'UxuA', 2977),
(2978, 'PF13744', NULL, 'Helix-turn-helix domain', 80, NULL, 'HTH_37', 2978),
(2979, 'PF07889', NULL, 'Protein of unknown function (DUF1664)', 124, NULL, 'DUF1664', 2979),
(2980, 'PF13560', NULL, 'Helix-turn-helix domain', 64, NULL, 'HTH_31', 2980),
(2981, 'PF14513', NULL, 'Diacylglycerol kinase N-terminus', 157, NULL, 'DAG_kinase_N', 2981),
(2982, 'PF01282', NULL, 'Ribosomal protein S24e', 79, NULL, 'Ribosomal_S24e', 2982),
(2983, 'PF09061', NULL, 'Stirrup', 79, NULL, 'Stirrup', 2983),
(2984, 'PF02694', NULL, 'Uncharacterised BCR, YnfA/UPF0060 family', 107, NULL, 'UPF0060', 2984),
(2985, 'PF12821', NULL, 'Threonine/Serine exporter, ThrE', 129, NULL, 'ThrE_2', 2985),
(2986, 'PF17630', NULL, 'Family of unknown function (DUF5511)', 69, NULL, 'DUF5511', 2986),
(2987, 'PF14555', NULL, 'UBA-like domain', 43, NULL, 'UBA_4', 2987),
(2988, 'PF16005', NULL, 'KH-like RNA-binding domain', 86, NULL, 'MOEP19', 2988);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(2989, 'PF12806', NULL, 'Acetyl-CoA dehydrogenase C-terminal like', 124, NULL, 'Acyl-CoA_dh_C', 2989),
(2990, 'PF07786', NULL, 'Protein of unknown function (DUF1624)', 223, NULL, 'DUF1624', 2990),
(2991, 'PF07920', NULL, 'Protein of unknown function (DUF1684)', 141, NULL, 'DUF1684', 2991),
(2992, 'PF01965', NULL, 'DJ-1/PfpI family', 165, NULL, 'DJ-1_PfpI', 2992),
(2993, 'PF16422', NULL, 'Transcription factor COE1 DNA-binding domain', 231, NULL, 'COE1_DBD', 2993),
(2994, 'PF06798', NULL, 'PrkA serine protein kinase C-terminal domain', 256, NULL, 'PrkA', 2994),
(2995, 'PF17657', NULL, 'Bacterial DNA polymerase III alpha subunit finger domain', 166, NULL, 'DNA_pol3_finger', 2995),
(2996, 'PF19163', NULL, 'Family of unknown function (DUF5845)', 80, NULL, 'DUF5845', 2996),
(2997, 'PF08505', NULL, 'Mitochondrial Myo2 receptor-related protein', 265, NULL, 'MMR1', 2997),
(2998, 'PF08790', NULL, 'LYAR-type C2HC zinc finger', 28, NULL, 'zf-LYAR', 2998),
(2999, 'PF13586', NULL, 'Transposase DDE domain', 91, NULL, 'DDE_Tnp_1_2', 2999),
(3000, 'PF09828', NULL, 'Chromate resistance exported protein', 132, NULL, 'Chrome_Resist', 3000),
(3001, 'PF18275', NULL, 'His-Me finger endonuclease beta4-alpha2 domain', 52, NULL, 'His_Me_b4a2', 3001),
(3002, 'PF11775', NULL, 'Cobalamin biosynthesis protein CobT VWA domain', 219, NULL, 'CobT_C', 3002),
(3003, 'PF05448', NULL, 'Acetyl xylan esterase (AXE1)', 318, NULL, 'AXE1', 3003),
(3004, 'PF03812', NULL, '2-keto-3-deoxygluconate permease', 305, NULL, 'KdgT', 3004),
(3005, 'PF00202', NULL, 'Aminotransferase class-III', 403, NULL, 'Aminotran_3', 3005),
(3006, 'PF11407', NULL, 'Type II restriction enzyme MunI', 202, NULL, 'RestrictionMunI', 3006),
(3007, 'PF18482', NULL, 'Fungal Pih1 CS domain', 90, NULL, 'Pih1_fungal_CS', 3007),
(3008, 'PF11333', NULL, 'Protein of unknown function (DUF3135)', 81, NULL, 'DUF3135', 3008),
(3009, 'PF00609', NULL, 'Diacylglycerol kinase accessory domain', 159, NULL, 'DAGK_acc', 3009),
(3010, 'PF12215', NULL, 'beta-glucosidase 2, glycosyl-hydrolase family 116 N-term', 313, NULL, 'Glyco_hydr_116N', 3010),
(3011, 'PF12090', NULL, 'Spt20 family', 233, NULL, 'Spt20', 3011),
(3012, 'PF00674', NULL, 'DUP family', 103, NULL, 'DUP', 3012),
(3013, 'PF02874', NULL, 'ATP synthase alpha/beta family, beta-barrel domain', 69, NULL, 'ATP-synt_ab_N', 3013),
(3014, 'PF10644', NULL, 'Misato Segment II tubulin-like domain', 118, NULL, 'Misat_Tub_SegII', 3014),
(3015, 'PF08418', NULL, 'DNA polymerase alpha subunit B N-terminal', 246, NULL, 'Pol_alpha_B_N', 3015),
(3016, 'PF11639', NULL, 'REDY-like protein HapK', 104, NULL, 'HapK', 3016),
(3017, 'PF02505', NULL, 'Methyl-coenzyme M reductase operon protein D', 142, NULL, 'MCR_D', 3017),
(3018, 'PF14198', NULL, 'Transposon-encoded protein TnpV', 112, NULL, 'TnpV', 3018),
(3019, 'PF14377', NULL, 'Ubiquitin binding region', 35, NULL, 'UBM', 3019),
(3020, 'PF10758', NULL, 'Protein of unknown function (DUF2586)', 363, NULL, 'DUF2586', 3020),
(3021, 'PF16856', NULL, 'Cell division control protein 4 dimerisation domain', 51, NULL, 'CDC4_D', 3021),
(3022, 'PF05327', NULL, 'RNA polymerase I specific transcription initiation factor RRN3', 557, NULL, 'RRN3', 3022),
(3023, 'PF02791', NULL, 'DDT domain', 60, NULL, 'DDT', 3023),
(3024, 'PF16423', NULL, 'Transcription factor COE1 helix-loop-helix domain', 44, NULL, 'COE1_HLH', 3024),
(3025, 'PF06325', NULL, 'Ribosomal protein L11 methyltransferase (PrmA)', 295, NULL, 'PrmA', 3025),
(3026, 'PF06367', NULL, 'Diaphanous FH3 Domain', 195, NULL, 'Drf_FH3', 3026),
(3027, 'PF16612', NULL, 'C-terminal unstructured region of RGS12', 138, NULL, 'RGS12_usC', 3027),
(3028, 'PF07546', NULL, 'EMI domain', 68, NULL, 'EMI', 3028),
(3029, 'PF00843', NULL, 'Arenavirus nucleocapsid N-terminal domain', 334, NULL, 'Arena_nucleocap', 3029),
(3030, 'PF16328', NULL, 'Domain of unknown function (DUF4961)', 312, NULL, 'DUF4961', 3030),
(3031, 'PF19071', NULL, 'Family of unknown function (DUF5767)', 85, NULL, 'DUF5767', 3031);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3032, 'PF09300', NULL, 'Tectiviridae, minor capsid', 84, NULL, 'Tecti-min-caps', 3032),
(3033, 'PF17717', NULL, 'Family of unknown function (DUF5562)', 166, NULL, 'DUF5562', 3033),
(3034, 'PF01979', NULL, 'Amidohydrolase family', 344, NULL, 'Amidohydro_1', 3034),
(3035, 'PF11911', NULL, 'Protein of unknown function (DUF3429)', 144, NULL, 'DUF3429', 3035),
(3036, 'PF09734', NULL, 'RNA polymerase III transcription factor (TF)IIIC subunit HTH domain', 140, NULL, 'Tau95', 3036),
(3037, 'PF09236', NULL, 'Alpha-haemoglobin stabilising protein', 87, NULL, 'AHSP', 3037),
(3038, 'PF11900', NULL, 'Domain of unknown function (DUF3420)', 47, NULL, 'DUF3420', 3038),
(3039, 'PF14342', NULL, 'Domain of unknown function (DUF4396)', 141, NULL, 'DUF4396', 3039),
(3040, 'PF02674', NULL, 'Colicin V production protein', 144, NULL, 'Colicin_V', 3040),
(3041, 'PF03784', NULL, 'Cyclotide family', 30, NULL, 'Cyclotide', 3041),
(3042, 'PF09276', NULL, 'Pertussis toxin S5 subunit', 97, NULL, 'Pertus-S5-tox', 3042),
(3043, 'PF10523', NULL, 'BEN domain', 78, NULL, 'BEN', 3043),
(3044, 'PF14964', NULL, 'Domain of unknown function (DUF4507)', 362, NULL, 'DUF4507', 3044),
(3045, 'PF06679', NULL, 'Protein of unknown function (DUF1180)', 169, NULL, 'DUF1180', 3045),
(3046, 'PF02750', NULL, 'Synapsin, ATP binding domain', 203, NULL, 'Synapsin_C', 3046),
(3047, 'PF15757', NULL, 'Amelotin', 195, NULL, 'Amelotin', 3047),
(3048, 'PF03642', NULL, 'MAP domain', 88, NULL, 'MAP', 3048),
(3049, 'PF05864', NULL, 'Chordopoxvirus DNA-directed RNA polymerase 7 kDa polypeptide (RPO7)', 63, NULL, 'Chordopox_RPO7', 3049),
(3050, 'PF06226', NULL, 'Protein of unknown function (DUF1007)', 211, NULL, 'DUF1007', 3050),
(3051, 'PF13320', NULL, 'Domain of unknown function (DUF4091)', 65, NULL, 'DUF4091', 3051),
(3052, 'PF13091', NULL, 'PLD-like domain', 133, NULL, 'PLDc_2', 3052),
(3053, 'PF11786', NULL, 'Aft1 HRA domain', 79, NULL, 'Aft1_HRA', 3053),
(3054, 'PF01226', NULL, 'Formate/nitrite transporter', 236, NULL, 'Form_Nir_trans', 3054),
(3055, 'PF09514', NULL, 'SSXRD motif', 31, NULL, 'SSXRD', 3055),
(3056, 'PF05912', NULL, 'Caenorhabditis elegans protein of unknown function (DUF870)', 112, NULL, 'DUF870', 3056),
(3057, 'PF02237', NULL, 'Biotin protein ligase C terminal domain', 48, NULL, 'BPL_C', 3057),
(3058, 'PF18171', NULL, 'SLOG in TRPM, prokaryote', 194, NULL, 'LSDAT_prok', 3058),
(3059, 'PF01592', NULL, 'NifU-like N terminal domain', 129, NULL, 'NifU_N', 3059),
(3060, 'PF07145', NULL, 'Ataxin-2 C-terminal region', 18, NULL, 'PAM2', 3060),
(3061, 'PF00067', NULL, 'Cytochrome P450', 463, NULL, 'p450', 3061),
(3062, 'PF00083', NULL, 'Sugar (and other) transporter', 452, NULL, 'Sugar_tr', 3062),
(3063, 'PF00300', NULL, 'Histidine phosphatase superfamily (branch 1)', 194, NULL, 'His_Phos_1', 3063),
(3064, 'PF16537', NULL, 'Type II secretion system protein B', 60, NULL, 'T2SSB', 3064),
(3065, 'PF16503', NULL, 'Zinc-ribbon', 32, NULL, 'zn-ribbon_14', 3065),
(3066, 'PF15354', NULL, 'Kidney-associated antigen 1', 84, NULL, 'KAAG1', 3066),
(3067, 'PF18671', NULL, '4-Hydroxyphenylacetate decarboxylase subunit gamma N-terminal', 31, NULL, '4HPAD_g_N', 3067),
(3068, 'PF12442', NULL, 'Protein of unknown function (DUF3681)', 97, NULL, 'DUF3681', 3068),
(3069, 'PF02737', NULL, '3-hydroxyacyl-CoA dehydrogenase, NAD binding domain', 180, NULL, '3HCDH_N', 3069),
(3070, 'PF00582', NULL, 'Universal stress protein family', 141, NULL, 'Usp', 3070),
(3071, 'PF17647', NULL, 'Family of unknown function (DUF5518)', 118, NULL, 'DUF5518', 3071),
(3072, 'PF18210', NULL, 'Knl1 RWD C-terminal domain', 98, NULL, 'Knl1_RWD_C', 3072),
(3073, 'PF03260', NULL, 'Lepidopteran low molecular weight (30 kD) lipoprotein', 251, NULL, 'Lipoprotein_11', 3073),
(3074, 'PF09065', NULL, 'Haemadin', 27, NULL, 'Haemadin', 3074),
(3075, 'PF04126', NULL, 'Cyclophilin-like', 119, NULL, 'Cyclophil_like', 3075),
(3076, 'PF13562', NULL, 'Sugar nucleotidyl transferase', 161, NULL, 'NTP_transf_4', 3076);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3077, 'PF12651', NULL, 'Ribbon-helix-helix domain', 44, NULL, 'RHH_3', 3077),
(3078, 'PF17127', NULL, 'Domain of unknown function (DUF5106)', 153, NULL, 'DUF5106', 3078),
(3079, 'PF04535', NULL, 'Domain of unknown function (DUF588)', 150, NULL, 'DUF588', 3079),
(3080, 'PF04569', NULL, 'Protein of unknown function', 51, NULL, 'DUF591', 3080),
(3081, 'PF18439', NULL, 'Ubiquitin-Binding Zinc Finger', 32, NULL, 'zf_UBZ', 3081),
(3082, 'PF11785', NULL, 'Aft1 osmotic stress response (OSM) domain', 57, NULL, 'Aft1_OSA', 3082),
(3083, 'PF14108', NULL, 'Domain of unknown function (DUF4281)', 127, NULL, 'DUF4281', 3083),
(3084, 'PF02152', NULL, 'Dihydroneopterin aldolase', 111, NULL, 'FolB', 3084),
(3085, 'PF16902', NULL, 'Type-2 restriction enzyme D3 domain', 69, NULL, 'Type2_restr_D3', 3085),
(3086, 'PF02112', NULL, 'cAMP phosphodiesterases class-II', 338, NULL, 'PDEase_II', 3086),
(3087, 'PF08216', NULL, 'Catenin-beta-like, Arm-motif containing nuclear', 104, NULL, 'CTNNBL', 3087),
(3088, 'PF18270', NULL, 'Virulence factor Evf', 235, NULL, 'Evf', 3088),
(3089, 'PF12814', NULL, 'Meiotic cell cortex C-terminal pleckstrin homology', 119, NULL, 'Mcp5_PH', 3089),
(3090, 'PF09486', NULL, 'Bacterial type III secretion protein (HrpB7)', 157, NULL, 'HrpB7', 3090),
(3091, 'PF16640', NULL, 'Bacterial Ig-like domain (group 3)', 90, NULL, 'Big_3_5', 3091),
(3092, 'PF16641', NULL, 'CLIP1 zinc knuckle', 17, NULL, 'CLIP1_ZNF', 3092),
(3093, 'PF03050', NULL, 'Transposase IS66 family', 281, NULL, 'DDE_Tnp_IS66', 3093),
(3094, 'PF16866', NULL, 'PHD-finger', 68, NULL, 'PHD_4', 3094),
(3095, 'PF01969', NULL, 'Protein of unknown function DUF111', 371, NULL, 'DUF111', 3095),
(3096, 'PF11187', NULL, 'Protein of unknown function (DUF2974)', 224, NULL, 'DUF2974', 3096),
(3097, 'PF04964', NULL, 'Flp/Fap pilin component', 46, NULL, 'Flp_Fap', 3097),
(3098, 'PF08008', NULL, 'Viral cysteine rich', 83, NULL, 'Viral_cys_rich', 3098),
(3099, 'PF11510', NULL, 'Fanconi Anaemia group E protein FANCE', 262, NULL, 'FA_FANCE', 3099),
(3100, 'PF15109', NULL, 'TMEM125 protein family', 111, NULL, 'TMEM125', 3100),
(3101, 'PF01209', NULL, 'ubiE/COQ5 methyltransferase family', 233, NULL, 'Ubie_methyltran', 3101),
(3102, 'PF00952', NULL, 'Bunyavirus nucleocapsid (N) protein', 229, NULL, 'Bunya_nucleocap', 3102),
(3103, 'PF13803', NULL, 'Domain of unknown function (DUF4184)', 219, NULL, 'DUF4184', 3103),
(3104, 'PF09767', NULL, 'Predicted membrane protein (DUF2053)', 160, NULL, 'DUF2053', 3104),
(3105, 'PF08009', NULL, 'CDP-alcohol phosphatidyltransferase 2', 37, NULL, 'CDP-OH_P_tran_2', 3105),
(3106, 'PF08356', NULL, 'EF hand associated', 87, NULL, 'EF_assoc_2', 3106),
(3107, 'PF07255', NULL, 'Benyvirus 14KDa protein', 123, NULL, 'Benyvirus_14KDa', 3107),
(3108, 'PF17484', NULL, 'N-Lobe handle Tf-binding protein B', 137, NULL, 'TbpB_A', 3108),
(3109, 'PF09968', NULL, 'Uncharacterized protein domain (DUF2202)', 162, NULL, 'DUF2202', 3109),
(3110, 'PF11537', NULL, 'Nitrosopumilus output domain 5', 94, NULL, 'NitrOD5', 3110),
(3111, 'PF04872', NULL, 'Poxvirus L5 protein family', 79, NULL, 'Pox_L5', 3111),
(3112, 'PF03563', NULL, 'Bunyavirus glycoprotein G2', 281, NULL, 'Bunya_G2', 3112),
(3113, 'PF04100', NULL, 'Vps53-like, N-terminal', 380, NULL, 'Vps53_N', 3113),
(3114, 'PF08262', NULL, 'Leucophaea maderae tachykinin-related peptide', 10, NULL, 'Lem_TRP', 3114),
(3115, 'PF00144', NULL, 'Beta-lactamase', 330, NULL, 'Beta-lactamase', 3115),
(3116, 'PF09151', NULL, 'Domain of unknown function (DUF1936)', 34, NULL, 'DUF1936', 3116),
(3117, 'PF10358', NULL, 'N-terminal C2 in EEIG1 and EHBP1 proteins', 146, NULL, 'NT-C2', 3117),
(3118, 'PF17322', NULL, 'Family of unknown function (DUF5364)', 185, NULL, 'DUF5364', 3118),
(3119, 'PF02157', NULL, 'Mannose-6-phosphate receptor', 254, NULL, 'Man-6-P_recep', 3119),
(3120, 'PF08526', NULL, 'Protein-arginine deiminase (PAD) N-terminal domain', 113, NULL, 'PAD_N', 3120),
(3121, 'PF03270', NULL, 'Protein of unknown function, DUF269', 121, NULL, 'DUF269', 3121);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3122, 'PF03477', NULL, 'ATP cone domain', 86, NULL, 'ATP-cone', 3122),
(3123, 'PF03598', NULL, 'CO dehydrogenase/acetyl-CoA synthase complex beta subunit', 155, NULL, 'CdhC', 3123),
(3124, 'PF06491', NULL, 'Disulphide isomerase', 136, NULL, 'Disulph_isomer', 3124),
(3125, 'PF15553', NULL, 'Testis-expressed protein 19', 159, NULL, 'TEX19', 3125),
(3126, 'PF08398', NULL, 'Parvovirus coat protein VP1', 64, NULL, 'Parvo_coat_N', 3126),
(3127, 'PF15260', NULL, 'Protein family FAM219A', 125, NULL, 'FAM219A', 3127),
(3128, 'PF07130', NULL, 'YebG protein', 74, NULL, 'YebG', 3128),
(3129, 'PF13397', NULL, 'RNA polymerase-binding protein', 104, NULL, 'RbpA', 3129),
(3130, 'PF07702', NULL, 'UTRA domain', 141, NULL, 'UTRA', 3130),
(3131, 'PF16437', NULL, 'Domain of unknown function (DUF5034)', 161, NULL, 'DUF5034', 3131),
(3132, 'PF04575', NULL, 'Protein of unknown function (DUF560)', 288, NULL, 'DUF560', 3132),
(3133, 'PF02470', NULL, 'MlaD protein', 81, NULL, 'MlaD', 3133),
(3134, 'PF04663', NULL, 'Phenol hydroxylase conserved region', 66, NULL, 'Phenol_monoox', 3134),
(3135, 'PF01409', NULL, 'tRNA synthetases class II core domain (F)', 246, NULL, 'tRNA-synt_2d', 3135),
(3136, 'PF18425', NULL, 'Csp protease B prodomain', 89, NULL, 'CspB_prodomain', 3136),
(3137, 'PF12573', NULL, '2-oxoisovalerate dehydrogenase E1 alpha subunit N terminal', 41, NULL, 'OxoDH_E1alpha_N', 3137),
(3138, 'PF16579', NULL, 'Adenylate sensor of SNF1-like protein kinase', 118, NULL, 'AdenylateSensor', 3138),
(3139, 'PF18130', NULL, 'ATP-grasp N-terminal domain', 81, NULL, 'ATPgrasp_N', 3139),
(3140, 'PF18934', NULL, 'Family of unknown function (DUF5682)', 736, NULL, 'DUF5682', 3140),
(3141, 'PF08057', NULL, 'Erythromycin resistance leader peptide', 14, NULL, 'Ery_res_leader2', 3141),
(3142, 'PF08922', NULL, 'Domain of unknown function (DUF1905)', 82, NULL, 'DUF1905', 3142),
(3143, 'PF17949', NULL, 'FANCM pseudonuclease domain', 125, NULL, 'PND', 3143),
(3144, 'PF09194', NULL, 'Restriction endonuclease BsobI', 314, NULL, 'Endonuc-BsobI', 3144),
(3145, 'PF09165', NULL, 'Ubiquinol-cytochrome c reductase 8 kDa, N-terminal', 75, NULL, 'Ubiq-Cytc-red_N', 3145),
(3146, 'PF01301', NULL, 'Glycosyl hydrolases family 35', 316, NULL, 'Glyco_hydro_35', 3146),
(3147, 'PF05141', NULL, 'Pyoverdine/dityrosine biosynthesis protein', 277, NULL, 'DIT1_PvcA', 3147),
(3148, 'PF15334', NULL, 'Aurora kinase A and ninein interacting protein', 324, NULL, 'AIB', 3148),
(3149, 'PF04716', NULL, 'ETC complex I subunit conserved region', 67, NULL, 'ETC_C1_NDUFA5', 3149),
(3150, 'PF07140', NULL, 'Interferon gamma receptor (IFNGR1)', 133, NULL, 'IFNGR1', 3150),
(3151, 'PF19108', NULL, 'Family of unknown function (DUF5795)', 74, NULL, 'DUF5795', 3151),
(3152, 'PF17725', NULL, 'YAP binding domain', 207, NULL, 'YBD', 3152),
(3153, 'PF11061', NULL, 'Protein of unknown function (DUF2862)', 61, NULL, 'DUF2862', 3153),
(3154, 'PF12293', NULL, 'Putative outer membrane core complex of type IVb secretion', 238, NULL, 'T4BSS_DotH_IcmK', 3154),
(3155, 'PF09033', NULL, 'DNA Fragmentation factor 45kDa, C terminal domain', 166, NULL, 'DFF-C', 3155),
(3156, 'PF07139', NULL, 'Protein of unknown function (DUF1387)', 312, NULL, 'DUF1387', 3156),
(3157, 'PF10115', NULL, 'Transcriptional activator HlyU', 91, NULL, 'HlyU', 3157),
(3158, 'PF14216', NULL, 'Domain of unknown function (DUF4326)', 82, NULL, 'DUF4326', 3158),
(3159, 'PF05269', NULL, 'Bacteriophage CII protein', 91, NULL, 'Phage_CII', 3159),
(3160, 'PF12034', NULL, 'Domain of unknown function (DUF3520)', 185, NULL, 'DUF3520', 3160),
(3161, 'PF02917', NULL, 'Pertussis toxin, subunit 1', 233, NULL, 'Pertussis_S1', 3161),
(3162, 'PF12514', NULL, 'Protein of unknown function (DUF3718)', 66, NULL, 'DUF3718', 3162),
(3163, 'PF07013', NULL, 'Protein of unknown function (DUF1314)', 179, NULL, 'DUF1314', 3163),
(3164, 'PF11766', NULL, 'Cell-wall agglutinin N-terminal ligand-sugar binding', 249, NULL, 'Candida_ALS_N', 3164);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3165, 'PF18729', NULL, 'STY4199-like HEPN', 282, NULL, 'HEPN_STY4199', 3165),
(3166, 'PF05224', NULL, 'NDT80 / PhoG like DNA-binding  family', 186, NULL, 'NDT80_PhoG', 3166),
(3167, 'PF06523', NULL, 'Protein of unknown function (DUF1106)', 91, NULL, 'DUF1106', 3167),
(3168, 'PF07825', NULL, 'Excisionase-like protein', 77, NULL, 'Exc', 3168),
(3169, 'PF09157', NULL, 'Pseudouridine synthase II TruB, C-terminal', 58, NULL, 'TruB-C_2', 3169),
(3170, 'PF14002', NULL, 'YniB-like protein', 166, NULL, 'YniB', 3170),
(3171, 'PF03280', NULL, 'Proteobacterial lipase chaperone protein', 193, NULL, 'Lipase_chap', 3171),
(3172, 'PF11758', NULL, 'Aureocin-like type II bacteriocin', 51, NULL, 'Bacteriocin_IIi', 3172),
(3173, 'PF02645', NULL, 'Uncharacterised protein, DegV family COG1307', 280, NULL, 'DegV', 3173),
(3174, 'PF12366', NULL, 'Cancer susceptibility candidate 1', 250, NULL, 'Casc1', 3174),
(3175, 'PF00045', NULL, 'Hemopexin', 45, NULL, 'Hemopexin', 3175),
(3176, 'PF01459', NULL, 'Eukaryotic porin', 270, NULL, 'Porin_3', 3176),
(3177, 'PF09353', NULL, 'Domain of unknown function (DUF1995)', 199, NULL, 'DUF1995', 3177),
(3178, 'PF17778', NULL, 'Beta-lactamase associated winged helix domain', 47, NULL, 'BLACT_WH', 3178),
(3179, 'PF18374', NULL, 'Enolase N-terminal domain-like', 52, NULL, 'Enolase_like_N', 3179),
(3180, 'PF08868', NULL, 'YugN-like family', 130, NULL, 'YugN', 3180),
(3181, 'PF01268', NULL, 'Formate--tetrahydrofolate ligase', 556, NULL, 'FTHFS', 3181),
(3182, 'PF11039', NULL, 'Protein of unknown function (DUF2824)', 151, NULL, 'DUF2824', 3182),
(3183, 'PF09085', NULL, 'Adhesion molecule, immunoglobulin-like', 110, NULL, 'Adhes-Ig_like', 3183),
(3184, 'PF14909', NULL, 'Spermatogenesis-assoc protein 6', 139, NULL, 'SPATA6', 3184),
(3185, 'PF06353', NULL, 'Protein of unknown function (DUF1062)', 135, NULL, 'DUF1062', 3185),
(3186, 'PF00469', NULL, 'Negative factor, (F-Protein) or Nef', 220, NULL, 'F-protein', 3186),
(3187, 'PF13995', NULL, 'YebF-like protein', 89, NULL, 'YebF', 3187),
(3188, 'PF16449', NULL, 'Fimbrillin MatB', 167, NULL, 'MatB', 3188),
(3189, 'PF04751', NULL, 'Protein of unknown function (DUF615)', 154, NULL, 'DUF615', 3189),
(3190, 'PF09479', NULL, 'Listeria-Bacteroides repeat domain (List_Bact_rpt)', 65, NULL, 'Flg_new', 3190),
(3191, 'PF15702', NULL, 'Hermansky-Pudlak syndrome 6 protein', 779, NULL, 'HPS6', 3191),
(3192, 'PF08085', NULL, 'Entericidin EcnA/B family', 20, NULL, 'Entericidin', 3192),
(3193, 'PF09105', NULL, 'Elongation factor SelB, winged helix', 61, NULL, 'SelB-wing_1', 3193),
(3194, 'PF00753', NULL, 'Metallo-beta-lactamase superfamily', 197, NULL, 'Lactamase_B', 3194),
(3195, 'PF14885', NULL, 'Hypothetical glycosyl hydrolase family 15', 271, NULL, 'GHL15', 3195),
(3196, 'PF03397', NULL, 'Rhabdovirus matrix protein', 168, NULL, 'Rhabdo_matrix', 3196),
(3197, 'PF02759', NULL, 'RUN domain', 136, NULL, 'RUN', 3197),
(3198, 'PF18848', NULL, 'Bacterial archaeo-eukaryotic release factor family 6', 149, NULL, 'baeRF_family6', 3198),
(3199, 'PF11906', NULL, 'Protein of unknown function (DUF3426)', 146, NULL, 'DUF3426', 3199),
(3200, 'PF15230', NULL, 'Serine/arginine repetitive matrix protein C-terminus', 67, NULL, 'SRRM_C', 3200),
(3201, 'PF12955', NULL, 'Domain of unknown function (DUF3844)', 106, NULL, 'DUF3844', 3201),
(3202, 'PF09104', NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 3', 139, NULL, 'BRCA-2_OB3', 3202),
(3203, 'PF02072', NULL, 'Prepro-orexin', 129, NULL, 'Orexin', 3203),
(3204, 'PF07524', NULL, 'Bromodomain associated', 77, NULL, 'Bromo_TP', 3204),
(3205, 'PF15095', NULL, 'Interleukin 33', 271, NULL, 'IL33', 3205),
(3206, 'PF00101', NULL, 'Ribulose bisphosphate carboxylase, small chain', 97, NULL, 'RuBisCO_small', 3206),
(3207, 'PF17667', NULL, 'Fungal protein kinase', 395, NULL, 'Pkinase_fungal', 3207),
(3208, 'PF17205', NULL, 'Integrin plexin domain', 46, NULL, 'PSI_integrin', 3208),
(3209, 'PF10664', NULL, 'Cyanobacterial and plastid NDH-1 subunit M', 107, NULL, 'NdhM', 3209);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3210, 'PF18223', NULL, 'Pili PilJ C-terminal domain', 95, NULL, 'PilJ_C', 3210),
(3211, 'PF16583', NULL, 'Zinc-regulated secreted antivirulence protein C-terminal domain', 145, NULL, 'ZirS_C', 3211),
(3212, 'PF07451', NULL, 'Stage V sporulation protein AD (SpoVAD)', 329, NULL, 'SpoVAD', 3212),
(3213, 'PF09472', NULL, 'Tetrahydromethanopterin S-methyltransferase, F subunit (MtrF)', 62, NULL, 'MtrF', 3213),
(3214, 'PF06011', NULL, 'Transient receptor potential (TRP) ion channel', 427, NULL, 'TRP', 3214),
(3215, 'PF13379', NULL, 'NMT1-like family', 252, NULL, 'NMT1_2', 3215),
(3216, 'PF16921', NULL, 'Tex protein YqgF-like domain', 126, NULL, 'Tex_YqgF', 3216),
(3217, 'PF15047', NULL, 'Protein of unknown function (DUF4533)', 228, NULL, 'DUF4533', 3217),
(3218, 'PF10653', NULL, 'Protein gp45 of Bacteriophage A118', 62, NULL, 'Phage-A118_gp45', 3218),
(3219, 'PF10130', NULL, 'PIN domain', 133, NULL, 'PIN_2', 3219),
(3220, 'PF06825', NULL, 'Heat shock factor binding protein 1', 51, NULL, 'HSBP1', 3220),
(3221, 'PF14779', NULL, 'Ciliary BBSome complex subunit 1', 255, NULL, 'BBS1', 3221),
(3222, 'PF15411', NULL, 'Pleckstrin homology domain', 123, NULL, 'PH_10', 3222),
(3223, 'PF04566', NULL, 'RNA polymerase Rpb2, domain 4', 62, NULL, 'RNA_pol_Rpb2_4', 3223),
(3224, 'PF14995', NULL, 'Transmembrane protein', 123, NULL, 'TMEM107', 3224),
(3225, 'PF05288', NULL, 'Poxvirus A3L Protein', 70, NULL, 'Pox_A3L', 3225),
(3226, 'PF01610', NULL, 'Transposase', 240, NULL, 'DDE_Tnp_ISL3', 3226),
(3227, 'PF05979', NULL, 'Bacterial protein of unknown function (DUF896)', 64, NULL, 'DUF896', 3227),
(3228, 'PF16403', NULL, 'Domain of unknown function (DUF5011)', 71, NULL, 'DUF5011', 3228),
(3229, 'PF05702', NULL, 'Herpesvirus UL49.5 envelope/tegument protein', 98, NULL, 'Herpes_UL49_5', 3229),
(3230, 'PF15012', NULL, 'Domain of unknown function (DUF4519)', 56, NULL, 'DUF4519', 3230),
(3231, 'PF11446', NULL, 'Protein of unknown function (DUF2897)', 54, NULL, 'DUF2897', 3231),
(3232, 'PF07708', NULL, 'Tash protein PEST motif', 18, NULL, 'Tash_PEST', 3232),
(3233, 'PF03427', NULL, 'Carbohydrate binding domain (family 19)', 61, NULL, 'CBM_19', 3233),
(3234, 'PF09432', NULL, 'Tho complex subunit THP2', 129, NULL, 'THP2', 3234),
(3235, 'PF15207', NULL, 'TMEM240 family', 174, NULL, 'TMEM240', 3235),
(3236, 'PF07993', NULL, 'Male sterility protein', 257, NULL, 'NAD_binding_4', 3236),
(3237, 'PF04948', NULL, 'Poxvirus A51 protein', 337, NULL, 'Pox_A51', 3237),
(3238, 'PF13192', NULL, 'Thioredoxin domain', 76, NULL, 'Thioredoxin_3', 3238),
(3239, 'PF06974', NULL, 'WS/DGAT C-terminal domain', 145, NULL, 'WS_DGAT_C', 3239),
(3240, 'PF12195', NULL, 'Beta barrel domain of bacteriophage endosialidase', 83, NULL, 'End_beta_barrel', 3240),
(3241, 'PF14843', NULL, 'Growth factor receptor domain IV', 132, NULL, 'GF_recep_IV', 3241),
(3242, 'PF04402', NULL, 'Protein of unknown function (DUF541)', 199, NULL, 'SIMPL', 3242),
(3243, 'PF13462', NULL, 'Thioredoxin', 166, NULL, 'Thioredoxin_4', 3243),
(3244, 'PF02879', NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain II', 103, NULL, 'PGM_PMM_II', 3244),
(3245, 'PF02486', NULL, 'Replication initiation factor', 199, NULL, 'Rep_trans', 3245),
(3246, 'PF00062', NULL, 'C-type lysozyme/alpha-lactalbumin family', 123, NULL, 'Lys', 3246),
(3247, 'PF03753', NULL, 'Human herpesvirus 6 immediate early protein', 1078, NULL, 'HHV6-IE', 3247),
(3248, 'PF17533', NULL, 'Family of unknown function (DUF5452)', 169, NULL, 'DUF5452', 3248),
(3249, 'PF11437', NULL, 'Vanadium-binding protein 2', 96, NULL, 'Vanabin-2', 3249),
(3250, 'PF06189', NULL, '5''-nucleotidase', 265, NULL, '5-nucleotidase', 3250),
(3251, 'PF13929', NULL, 'mRNA stabilisation', 288, NULL, 'mRNA_stabil', 3251),
(3252, 'PF02608', NULL, 'ABC transporter substrate-binding protein PnrA-like', 302, NULL, 'Bmp', 3252),
(3253, 'PF09686', NULL, 'Plasmid protein of unknown function (Plasmid_RAQPRD)', 77, NULL, 'Plasmid_RAQPRD', 3253);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3254, 'PF11033', NULL, 'Competence protein J (ComJ)', 122, NULL, 'ComJ', 3254),
(3255, 'PF01556', NULL, 'DnaJ C terminal domain', 153, NULL, 'DnaJ_C', 3255),
(3256, 'PF11320', NULL, 'Protein of unknown function (DUF3122)', 134, NULL, 'DUF3122', 3256),
(3257, 'PF08172', NULL, 'CASP C terminal', 252, NULL, 'CASP_C', 3257),
(3258, 'PF09843', NULL, 'Predicted membrane protein (DUF2070)', 561, NULL, 'DUF2070', 3258),
(3259, 'PF12221', NULL, 'Bacterial membrane protein N terminal', 46, NULL, 'HflK_N', 3259),
(3260, 'PF05518', NULL, 'Totivirus coat protein', 759, NULL, 'Totivirus_coat', 3260),
(3261, 'PF00928', NULL, 'Adaptor complexes medium subunit family', 264, NULL, 'Adap_comp_sub', 3261),
(3262, 'PF15843', NULL, 'Domain of unknown function (DUF4719)', 202, NULL, 'DUF4719', 3262),
(3263, 'PF02115', NULL, 'RHO protein GDP dissociation inhibitor', 195, NULL, 'Rho_GDI', 3263),
(3264, 'PF06612', NULL, 'Protein of unknown function (DUF1146)', 48, NULL, 'DUF1146', 3264),
(3265, 'PF05157', NULL, 'Type II secretion system (T2SS), protein E, N-terminal domain', 111, NULL, 'T2SSE_N', 3265),
(3266, 'PF10902', NULL, 'WYL_2, Sm-like SH3 beta-barrel fold', 74, NULL, 'WYL_2', 3266),
(3267, 'PF13236', NULL, 'Clustered mitochondria', 225, NULL, 'CLU', 3267),
(3268, 'PF08574', NULL, 'Transcription factor Iwr1', 74, NULL, 'Iwr1', 3268),
(3269, 'PF17637', NULL, 'Family of unknown function (DUF5516)', 37, NULL, 'DUF5516', 3269),
(3270, 'PF14418', NULL, 'OST-HTH Associated domain', 77, NULL, 'OHA', 3270),
(3271, 'PF01255', NULL, 'Putative undecaprenyl diphosphate synthase', 221, NULL, 'Prenyltransf', 3271),
(3272, 'PF05711', NULL, 'Macrocin-O-methyltransferase (TylF)', 259, NULL, 'TylF', 3272),
(3273, 'PF17138', NULL, 'Domain of unknown function (DUF5111)', 122, NULL, 'DUF5111', 3273),
(3274, 'PF15453', NULL, 'Protein incorporated later into Tight Junctions', 362, NULL, 'Pilt', 3274),
(3275, 'PF17373', NULL, 'Family of unknown function (DUF5395)', 81, NULL, 'DUF5395', 3275),
(3276, 'PF17815', NULL, 'PDZ domain', 145, NULL, 'PDZ_3', 3276),
(3277, 'PF14644', NULL, 'Domain of unknown function (DUF4456)', 209, NULL, 'DUF4456', 3277),
(3278, 'PF17592', NULL, 'Family of unknown function (DUF5489)', 78, NULL, 'DUF5489', 3278),
(3279, 'PF16212', NULL, 'Phospholipid-translocating P-type ATPase C-terminal', 249, NULL, 'PhoLip_ATPase_C', 3279),
(3280, 'PF07368', NULL, 'Protein of unknown function (DUF1487)', 215, NULL, 'DUF1487', 3280),
(3281, 'PF02681', NULL, 'Divergent PAP2 family', 126, NULL, 'DUF212', 3281),
(3282, 'PF10893', NULL, 'Protein of unknown function (DUF2724)', 63, NULL, 'DUF2724', 3282),
(3283, 'PF03309', NULL, 'Type III pantothenate kinase', 208, NULL, 'Pan_kinase', 3283),
(3284, 'PF00398', NULL, 'Ribosomal RNA adenine dimethylase', 265, NULL, 'RrnaAD', 3284),
(3285, 'PF18069', NULL, 'DR2241 stabilising domain', 111, NULL, 'DR2241', 3285),
(3286, 'PF02462', NULL, 'Opacity family porin protein', 132, NULL, 'Opacity', 3286),
(3287, 'PF13670', NULL, 'Peptidase propeptide and YPEB domain', 84, NULL, 'PepSY_2', 3287),
(3288, 'PF18829', NULL, 'Importin repeat 6', 110, NULL, 'Importin_rep_6', 3288),
(3289, 'PF13194', NULL, 'Domain of unknown function (DUF4010)', 210, NULL, 'DUF4010', 3289),
(3290, 'PF17427', NULL, 'Phage Single-stranded DNA-binding protein', 123, NULL, 'Phi29_Phage_SSB', 3290),
(3291, 'PF17268', NULL, 'Family of unknown function (DUF5334)', 71, NULL, 'DUF5334', 3291),
(3292, 'PF11660', NULL, 'Protein of unknown function (DUF3262)', 77, NULL, 'DUF3262', 3292),
(3293, 'PF14297', NULL, 'Domain of unknown function (DUF4373)', 96, NULL, 'DUF4373', 3293),
(3294, 'PF01368', NULL, 'DHH family', 101, NULL, 'DHH', 3294),
(3295, 'PF14159', NULL, 'CAAD domains of cyanobacterial aminoacyl-tRNA synthetase', 85, NULL, 'CAAD', 3295),
(3296, 'PF18837', NULL, 'Leucine-rich repeat', 30, NULL, 'LRR_12', 3296),
(3297, 'PF16013', NULL, 'Domain of unknown function (DUF4781)', 310, NULL, 'DUF4781', 3297),
(3298, 'PF17153', NULL, 'Periplasmic sensor domain, extracellular', 116, NULL, 'CHASE9', 3298);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3299, 'PF16484', NULL, 'Carnitine O-palmitoyltransferase N-terminus', 47, NULL, 'CPT_N', 3299),
(3300, 'PF13437', NULL, 'HlyD family secretion protein', 106, NULL, 'HlyD_3', 3300),
(3301, 'PF18166', NULL, 'Predicted pPIWI-associating nuclease', 122, NULL, 'pP_pnuc_2', 3301),
(3302, 'PF01016', NULL, 'Ribosomal L27 protein', 79, NULL, 'Ribosomal_L27', 3302),
(3303, 'PF08295', NULL, 'Sin3 family co-repressor', 98, NULL, 'Sin3_corepress', 3303),
(3304, 'PF02594', NULL, 'Uncharacterised ACR, YggU family COG1872', 75, NULL, 'DUF167', 3304),
(3305, 'PF10872', NULL, 'Protein of unknown function (DUF2740)', 48, NULL, 'DUF2740', 3305),
(3306, 'PF15399', NULL, 'Domain of unknown function (DUF4620)', 113, NULL, 'DUF4620', 3306),
(3307, 'PF09487', NULL, 'Bacterial type III secretion protein (HrpB2)', 114, NULL, 'HrpB2', 3307),
(3308, 'PF15264', NULL, 'Tumour suppressing sub-chromosomal transferable candidate 4', 126, NULL, 'TSSC4', 3308),
(3309, 'PF17685', NULL, 'Family of unknown function (DUF5533)', 139, NULL, 'DUF5533', 3309),
(3310, 'PF16573', NULL, 'N-terminal beta-sandwich domain of polyadenylation factor', 92, NULL, 'CLP1_N', 3310),
(3311, 'PF15337', NULL, 'Vascular protein family Vasculin-like 1', 96, NULL, 'Vasculin', 3311),
(3312, 'PF17673', NULL, 'Family of unknown function (DUF5532)', 92, NULL, 'DUF5532', 3312),
(3313, 'PF10366', NULL, 'Vacuolar sorting protein 39 domain 1', 108, NULL, 'Vps39_1', 3313),
(3314, 'PF00218', NULL, 'Indole-3-glycerol phosphate synthase', 254, NULL, 'IGPS', 3314),
(3315, 'PF13607', NULL, 'Succinyl-CoA ligase like flavodoxin domain', 138, NULL, 'Succ_CoA_lig', 3315),
(3316, 'PF06173', NULL, 'Protein of unknown function (DUF986)', 148, NULL, 'DUF986', 3316),
(3317, 'PF03710', NULL, 'Glutamate-ammonia ligase adenylyltransferase', 250, NULL, 'GlnE', 3317),
(3318, 'PF04769', NULL, 'Mating-type protein MAT alpha 1 HMG-box', 194, NULL, 'MATalpha_HMGbox', 3318),
(3319, 'PF09171', NULL, 'N-glycosylase/DNA lyase', 248, NULL, 'AGOG', 3319),
(3320, 'PF17170', NULL, '6-bladed beta-propeller', 321, NULL, 'DUF5128', 3320),
(3321, 'PF09846', NULL, 'Uncharacterized protein conserved in archaea (DUF2073)', 105, NULL, 'DUF2073', 3321),
(3322, 'PF19150', NULL, 'Family of unknown function (DUF5832)', 81, NULL, 'DUF5832', 3322),
(3323, 'PF04977', NULL, 'Septum formation initiator', 80, NULL, 'DivIC', 3323),
(3324, 'PF07540', NULL, 'Nucleolar complex-associated protein', 92, NULL, 'NOC3p', 3324),
(3325, 'PF15153', NULL, 'Cytokine-like protein 1', 127, NULL, 'CYTL1', 3325),
(3326, 'PF03855', NULL, 'M-factor', 43, NULL, 'M-factor', 3326),
(3327, 'PF06470', NULL, 'SMC proteins Flexible Hinge Domain', 117, NULL, 'SMC_hinge', 3327),
(3328, 'PF17688', NULL, 'Family of unknown function (DUF5536)', 185, NULL, 'DUF5536', 3328),
(3329, 'PF17880', NULL, 'Yos9 dimerzation domain', 128, NULL, 'Yos9_DD', 3329),
(3330, 'PF10887', NULL, 'Protein of unknown function (DUF2686)', 276, NULL, 'DUF2686', 3330),
(3331, 'PF10613', NULL, 'Ligated ion channel L-glutamate- and glycine-binding site', 116, NULL, 'Lig_chan-Glu_bd', 3331),
(3332, 'PF05124', NULL, 'S-layer like family, C-terminal region', 220, NULL, 'S_layer_C', 3332),
(3333, 'PF15688', NULL, 'Nuclear receptor-interacting protein 1 repression 2', 324, NULL, 'NRIP1_repr_2', 3333),
(3334, 'PF14437', NULL, 'MafB19-like deaminase', 138, NULL, 'MafB19-deam', 3334),
(3335, 'PF15944', NULL, 'Domain of unknown function (DUF4752)', 84, NULL, 'DUF4752', 3335),
(3336, 'PF13878', NULL, 'zinc-finger of acetyl-transferase ESCO', 40, NULL, 'zf-C2H2_3', 3336),
(3337, 'PF18631', NULL, 'Cucumopine synthase C-terminal helical bundle domain', 141, NULL, 'Cucumopine_C', 3337),
(3338, 'PF18662', NULL, 'Cch helix turn helix domain', 111, NULL, 'HTH_56', 3338),
(3339, 'PF11220', NULL, 'Protein of unknown function (DUF3015)', 142, NULL, 'DUF3015', 3339),
(3340, 'PF04388', NULL, 'Hamartin protein', 727, NULL, 'Hamartin', 3340),
(3341, 'PF15215', NULL, 'Follicular dendritic cell secreted peptide', 65, NULL, 'FDC-SP', 3341);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3342, 'PF05582', NULL, 'YabG peptidase U57', 281, NULL, 'Peptidase_U57', 3342),
(3343, 'PF11070', NULL, 'Protein of unknown function (DUF2871)', 134, NULL, 'DUF2871', 3343),
(3344, 'PF10246', NULL, 'Mitochondrial ribosomal protein MRP-S35', 105, NULL, 'MRP-S35', 3344),
(3345, 'PF10388', NULL, 'EAL-domain associated signalling protein domain', 166, NULL, 'YkuI_C', 3345),
(3346, 'PF03575', NULL, 'Peptidase family S51', 206, NULL, 'Peptidase_S51', 3346),
(3347, 'PF07968', NULL, 'Leukocidin/Hemolysin toxin family', 255, NULL, 'Leukocidin', 3347),
(3348, 'PF04969', NULL, 'CS domain', 77, NULL, 'CS', 3348),
(3349, 'PF02745', NULL, 'Methyl-coenzyme M reductase alpha subunit, N-terminal domain', 269, NULL, 'MCR_alpha_N', 3349),
(3350, 'PF18136', NULL, 'DNA mitochondrial polymerase exonuclease domain', 282, NULL, 'DNApol_Exo', 3350),
(3351, 'PF11506', NULL, 'Protein of unknown function (DUF3217)', 104, NULL, 'DUF3217', 3351),
(3352, 'PF13794', NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)-like', 185, NULL, 'MiaE_2', 3352),
(3353, 'PF10788', NULL, 'Protein of unknown function (DUF2603)', 137, NULL, 'DUF2603', 3353),
(3354, 'PF06350', NULL, 'Hormone-sensitive lipase (HSL) N-terminus', 306, NULL, 'HSL_N', 3354),
(3355, 'PF10862', NULL, 'FcoT-like thioesterase domain', 156, NULL, 'FcoT', 3355),
(3356, 'PF05320', NULL, 'Poxvirus DNA-directed RNA polymerase 19 kDa subunit', 166, NULL, 'Pox_RNA_Pol_19', 3356),
(3357, 'PF15015', NULL, 'Spermatogenesis-associated, N-terminal', 564, NULL, 'NYD-SP12_N', 3357),
(3358, 'PF04520', NULL, 'Senescence regulator', 167, NULL, 'Senescence_reg', 3358),
(3359, 'PF14504', NULL, 'CAP-associated N-terminal', 140, NULL, 'CAP_assoc_N', 3359),
(3360, 'PF17045', NULL, 'Centrosomal protein of 63 kDa', 269, NULL, 'CEP63', 3360),
(3361, 'PF13804', NULL, 'Retro-transcribing viruses envelope glycoprotein', 169, NULL, 'HERV-K_env_2', 3361),
(3362, 'PF11282', NULL, 'Protein of unknown function (DUF3082)', 80, NULL, 'DUF3082', 3362),
(3363, 'PF09222', NULL, 'Fimbrial adhesin F17-AG, lectin domain', 171, NULL, 'Fim-adh_lectin', 3363),
(3364, 'PF07474', NULL, 'G2F domain', 184, NULL, 'G2F', 3364),
(3365, 'PF02918', NULL, 'Pertussis toxin, subunit 2 and 3, C-terminal domain', 109, NULL, 'Pertussis_S2S3', 3365),
(3366, 'PF07407', NULL, 'Seadornavirus VP6 protein', 420, NULL, 'Seadorna_VP6', 3366),
(3367, 'PF04981', NULL, 'NMD3 family', 243, NULL, 'NMD3', 3367),
(3368, 'PF14033', NULL, 'Protein of unknown function (DUF4246)', 453, NULL, 'DUF4246', 3368),
(3369, 'PF15325', NULL, 'Modulator of retrovirus infection', 104, NULL, 'MRI', 3369),
(3370, 'PF13019', NULL, 'Silencing defective 2 N-terminal ubiquitin domain', 164, NULL, 'Sde2_N_Ubi', 3370),
(3371, 'PF14160', NULL, 'Centrosome-associated C terminus', 111, NULL, 'FAM110_C', 3371),
(3372, 'PF00658', NULL, 'Poly-adenylate binding protein, unique domain', 68, NULL, 'PABP', 3372),
(3373, 'PF03916', NULL, 'Polysulphide reductase, NrfD', 313, NULL, 'NrfD', 3373),
(3374, 'PF09279', NULL, 'Phosphoinositide-specific phospholipase C, efhand-like', 86, NULL, 'EF-hand_like', 3374),
(3375, 'PF06632', NULL, 'DNA double-strand break repair and V(D)J recombination protein XRCC4', 337, NULL, 'XRCC4', 3375),
(3376, 'PF15157', NULL, 'Fusion protein IQCJ-SCHIP1 with IQ-like motif', 153, NULL, 'IQCJ-SCHIP1', 3376),
(3377, 'PF18281', NULL, 'BILBO1 N-terminal domain', 92, NULL, 'BILBO1_N', 3377),
(3378, 'PF06911', NULL, 'Senescence-associated protein', 183, NULL, 'Senescence', 3378),
(3379, 'PF03513', NULL, 'Cloacin immunity protein', 80, NULL, 'Cloacin_immun', 3379),
(3380, 'PF12068', NULL, 'Rab-binding domain (RBD)', 169, NULL, 'PH_RBD', 3380),
(3381, 'PF08915', NULL, 'Archaea-specific editing domain of threonyl-tRNA synthetase', 137, NULL, 'tRNA-Thr_ED', 3381),
(3382, 'PF03705', NULL, 'CheR methyltransferase, all-alpha domain', 53, NULL, 'CheR_N', 3382),
(3383, 'PF06326', NULL, 'Vesiculovirus matrix protein', 222, NULL, 'Vesiculo_matrix', 3383),
(3384, 'PF00962', NULL, 'Adenosine/AMP deaminase', 328, NULL, 'A_deaminase', 3384);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3385, 'PF06403', NULL, 'Lamprin', 91, NULL, 'Lamprin', 3385),
(3386, 'PF19207', NULL, 'Family of unknown function (DUF5879)', 273, NULL, 'DUF5879', 3386),
(3387, 'PF05342', NULL, 'M26 IgA1-specific Metallo-endopeptidase N-terminal region', 250, NULL, 'Peptidase_M26_N', 3387),
(3388, 'PF12608', NULL, 'Type IVb secretion, IcmS, effector-recruitment', 93, NULL, 'T4bSS_IcmS', 3388),
(3389, 'PF05008', NULL, 'Vesicle transport v-SNARE protein N-terminus', 79, NULL, 'V-SNARE', 3389),
(3390, 'PF15622', NULL, 'Kinetochore assembly subunit CENP-C N-terminal', 287, NULL, 'CENP_C_N', 3390),
(3391, 'PF13138', NULL, 'Protein of unknown function (DUF3982)', 35, NULL, 'DUF3982', 3391),
(3392, 'PF15998', NULL, 'Domain of unknown function (DUF4773)', 117, NULL, 'DUF4773', 3392),
(3393, 'PF16174', NULL, 'Intracellular hyaluronan-binding protein 4 N-terminal', 155, NULL, 'IHABP4_N', 3393),
(3394, 'PF09178', NULL, 'Domain of unknown function (DUF1945)', 50, NULL, 'DUF1945', 3394),
(3395, 'PF12916', NULL, 'Protein of unknown function (DUF3834)', 201, NULL, 'DUF3834', 3395),
(3396, 'PF02340', NULL, 'PRRSV putative envelope protein', 234, NULL, 'PRRSV_Env', 3396),
(3397, 'PF15729', NULL, 'Amyotrophic lateral sclerosis 2 candidate 11', 418, NULL, 'ALS2CR11', 3397),
(3398, 'PF16428', NULL, 'Domain of unknown function (DUF5025)', 157, NULL, 'DUF5025', 3398),
(3399, 'PF04604', NULL, 'Type-A lantibiotic', 51, NULL, 'L_biotic_typeA', 3399),
(3400, 'PF18885', NULL, 'Repeat of unknown function (DUF5648)', 39, NULL, 'DUF5648', 3400),
(3401, 'PF14783', NULL, 'Ciliary BBSome complex subunit 2, middle region', 108, NULL, 'BBS2_Mid', 3401),
(3402, 'PF12351', NULL, 'Ca2+ regulator and membrane fusion protein Fig1', 188, NULL, 'Fig1', 3402),
(3403, 'PF06599', NULL, 'Protein of unknown function (DUF1139)', 309, NULL, 'DUF1139', 3403),
(3404, 'PF15753', NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit 3', 181, NULL, 'BLOC1S3', 3404),
(3405, 'PF17392', NULL, 'Urocanase C-terminal domain', 196, NULL, 'Urocanase_C', 3405),
(3406, 'PF02476', NULL, 'US2 family', 126, NULL, 'US2', 3406),
(3407, 'PF05956', NULL, 'APC basic domain', 345, NULL, 'APC_basic', 3407),
(3408, 'PF05869', NULL, 'DNA N-6-adenine-methyltransferase (Dam)', 171, NULL, 'Dam', 3408),
(3409, 'PF09441', NULL, 'ARS binding protein 2', 171, NULL, 'Abp2', 3409),
(3410, 'PF07552', NULL, 'Spore Coat Protein X and V domain', 58, NULL, 'Coat_X', 3410),
(3411, 'PF15281', NULL, 'Consortin C-terminus', 113, NULL, 'Consortin_C', 3411),
(3412, 'PF04584', NULL, 'Poxvirus A28 family', 140, NULL, 'Pox_A28', 3412),
(3413, 'PF01926', NULL, '50S ribosome-binding GTPase', 114, NULL, 'MMR_HSR1', 3413),
(3414, 'PF09989', NULL, 'CoA enzyme activase uncharacterised domain (DUF2229)', 216, NULL, 'DUF2229', 3414),
(3415, 'PF09687', NULL, 'Plasmodium RESA N-terminal', 125, NULL, 'PRESAN', 3415),
(3416, 'PF14594', NULL, 'Siphovirus ReqiPepy6 Gp37-like protein', 350, NULL, 'Sipho_Gp37', 3416),
(3417, 'PF13606', NULL, 'Ankyrin repeat', 31, NULL, 'Ank_3', 3417),
(3418, 'PF04996', NULL, 'Succinylarginine dihydrolase', 443, NULL, 'AstB', 3418),
(3419, 'PF03708', NULL, 'Avian retrovirus envelope protein, gp85', 246, NULL, 'Avian_gp85', 3419),
(3420, 'PF12876', NULL, 'Sugar-binding cellulase-like', 355, NULL, 'Cellulase-like', 3420),
(3421, 'PF12562', NULL, 'Protein of unknown function (DUF3746)', 37, NULL, 'DUF3746', 3421),
(3422, 'PF05055', NULL, 'Protein of unknown function (DUF677)', 336, NULL, 'DUF677', 3422),
(3423, 'PF11168', NULL, 'Protein of unknown function (DUF2955)', 140, NULL, 'DUF2955', 3423),
(3424, 'PF18383', NULL, 'Intraflagellar transport 81 calponin homology domain', 123, NULL, 'IFT81_CH', 3424),
(3425, 'PF03102', NULL, 'NeuB family', 241, NULL, 'NeuB', 3425),
(3426, 'PF07778', NULL, 'Mis6', 515, NULL, 'CENP-I', 3426),
(3427, 'PF13550', NULL, 'Putative phage tail protein', 164, NULL, 'Phage-tail_3', 3427),
(3428, 'PF00269', NULL, 'Small, acid-soluble spore proteins, alpha/beta type', 60, NULL, 'SASP', 3428);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3429, 'PF15279', NULL, 'Sine oculis-binding protein', 327, NULL, 'SOBP', 3429),
(3430, 'PF09992', NULL, 'Phosphodiester glycosidase', 169, NULL, 'NAGPA', 3430),
(3431, 'PF03785', NULL, 'Peptidase family C25, C terminal ig-like domain', 79, NULL, 'Peptidase_C25_C', 3431),
(3432, 'PF00176', NULL, 'SNF2 family N-terminal domain', 350, NULL, 'SNF2_N', 3432),
(3433, 'PF17902', NULL, 'SH3 domain', 65, NULL, 'SH3_10', 3433),
(3434, 'PF01183', NULL, 'Glycosyl hydrolases family 25', 178, NULL, 'Glyco_hydro_25', 3434),
(3435, 'PF01775', NULL, 'Ribosomal proteins 50S-L18Ae/60S-L20/60S-L18A', 121, NULL, 'Ribosomal_L18A', 3435),
(3436, 'PF12440', NULL, 'Melanoma associated antigen family N terminal', 92, NULL, 'MAGE_N', 3436),
(3437, 'PF12674', NULL, 'Putative zinc ribbon domain', 82, NULL, 'Zn_ribbon_2', 3437),
(3438, 'PF07802', NULL, 'GCK domain', 74, NULL, 'GCK', 3438),
(3439, 'PF02699', NULL, 'Preprotein translocase subunit', 80, NULL, 'YajC', 3439),
(3440, 'PF14208', NULL, 'Domain of unknown function (DUF4320)', 118, NULL, 'DUF4320', 3440),
(3441, 'PF11316', NULL, 'Putative rhamnosyl transferase', 235, NULL, 'Rhamno_transf', 3441),
(3442, 'PF08272', NULL, 'Topoisomerase I zinc-ribbon-like', 41, NULL, 'Topo_Zn_Ribbon', 3442),
(3443, 'PF16086', NULL, 'Domain of unknown function (DUF4816)', 43, NULL, 'DUF4816', 3443),
(3444, 'PF02399', NULL, 'Origin of replication binding protein', 820, NULL, 'Herpes_ori_bp', 3444),
(3445, 'PF13438', NULL, 'Domain of unknown function (DUF4113)', 51, NULL, 'DUF4113', 3445),
(3446, 'PF18903', NULL, 'Domain of unknown function (DUF5659)', 75, NULL, 'DUF5659', 3446),
(3447, 'PF03638', NULL, 'Tesmin/TSO1-like CXC domain, cysteine-rich domain', 38, NULL, 'TCR', 3447),
(3448, 'PF14433', NULL, 'SUKH-3 immunity protein', 143, NULL, 'SUKH-3', 3448),
(3449, 'PF01982', NULL, 'Domain of unknown function DUF120', 121, NULL, 'CTP-dep_RFKase', 3449),
(3450, 'PF12889', NULL, 'Protein of unknown function (DUF3829)', 283, NULL, 'DUF3829', 3450),
(3451, 'PF07888', NULL, 'Calcium binding and coiled-coil domain (CALCOCO1) like', 498, NULL, 'CALCOCO1', 3451),
(3452, 'PF16125', NULL, 'Domain of unknown function (DUF4837)', 295, NULL, 'DUF4837', 3452),
(3453, 'PF15478', NULL, 'Family of unknown function with LKAAEAR motif', 137, NULL, 'LKAAEAR', 3453),
(3454, 'PF19114', NULL, 'EsV-1-7 cysteine-rich motif', 26, NULL, 'EsV_1_7_cys', 3454),
(3455, 'PF05718', NULL, 'Poxvirus intermediate transcription factor', 383, NULL, 'Pox_int_trans', 3455),
(3456, 'PF06645', NULL, 'Microsomal signal peptidase 12 kDa subunit (SPC12)', 71, NULL, 'SPC12', 3456),
(3457, 'PF12964', NULL, 'Protein of unknown function (DUF3853)', 96, NULL, 'DUF3853', 3457),
(3458, 'PF00051', NULL, 'Kringle domain', 79, NULL, 'Kringle', 3458),
(3459, 'PF11193', NULL, 'Protein of unknown function (DUF2812)', 110, NULL, 'DUF2812', 3459),
(3460, 'PF06967', NULL, 'Mo-dependent nitrogenase C-terminus', 83, NULL, 'Mo-nitro_C', 3460),
(3461, 'PF17743', NULL, 'Family of unknown function (DUF5580)', 547, NULL, 'DUF5580', 3461),
(3462, 'PF04412', NULL, 'Aconitase X', 401, NULL, 'AcnX', 3462),
(3463, 'PF03038', NULL, 'UL95 family', 322, NULL, 'Herpes_UL95', 3463),
(3464, 'PF03832', NULL, 'WSK motif', 29, NULL, 'WSK', 3464),
(3465, 'PF13916', NULL, 'PP1-regulatory protein, Phostensin N-terminal', 86, NULL, 'Phostensin_N', 3465),
(3466, 'PF13545', NULL, 'Crp-like helix-turn-helix domain', 68, NULL, 'HTH_Crp_2', 3466),
(3467, 'PF11113', NULL, 'Head assembly gene product', 56, NULL, 'Phage_head_chap', 3467),
(3468, 'PF05397', NULL, 'Mediator complex subunit 15', 112, NULL, 'Med15_fungi', 3468),
(3469, 'PF14420', NULL, 'Clr5 domain', 54, NULL, 'Clr5', 3469),
(3470, 'PF00130', NULL, 'Phorbol esters/diacylglycerol binding domain (C1 domain)', 53, NULL, 'C1_1', 3470),
(3471, 'PF12435', NULL, 'Protein of unknown function (DUF3678)', 35, NULL, 'DUF3678', 3471),
(3472, 'PF01132', NULL, 'Elongation factor P (EF-P) OB domain', 54, NULL, 'EFP', 3472);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3473, 'PF03653', NULL, 'Uncharacterised protein family (UPF0093)', 146, NULL, 'UPF0093', 3473),
(3474, 'PF02682', NULL, 'Carboxyltransferase domain, subdomain C and D', 202, NULL, 'CT_C_D', 3474),
(3475, 'PF05144', NULL, 'Phage replication protein CRI', 271, NULL, 'Phage_CRI', 3475),
(3476, 'PF02867', NULL, 'Ribonucleotide reductase, barrel domain', 527, NULL, 'Ribonuc_red_lgC', 3476),
(3477, 'PF17457', NULL, 'Family of unknown function (DUF5420)', 185, NULL, 'DUF5420', 3477),
(3478, 'PF09385', NULL, 'Histidine kinase N terminal', 129, NULL, 'HisK_N', 3478),
(3479, 'PF13326', NULL, 'Photosystem II Pbs27', 141, NULL, 'PSII_Pbs27', 3479),
(3480, 'PF17297', NULL, 'Phosphoenolpyruvate carboxykinase N-terminal domain', 218, NULL, 'PEPCK_N', 3480),
(3481, 'PF12468', NULL, 'Type III secretion system leucine rich repeat protein', 57, NULL, 'TTSSLRR', 3481),
(3482, 'PF11950', NULL, 'Protein of unknown function (DUF3467)', 92, NULL, 'DUF3467', 3482),
(3483, 'PF07912', NULL, 'ERp29, N-terminal domain', 126, NULL, 'ERp29_N', 3483),
(3484, 'PF03723', NULL, 'Hemocyanin, ig-like domain', 248, NULL, 'Hemocyanin_C', 3484),
(3485, 'PF10341', NULL, 'Shelterin complex subunit, TPP1/ACD', 111, NULL, 'TPP1', 3485),
(3486, 'PF13893', NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', 125, NULL, 'RRM_5', 3486),
(3487, 'PF12490', NULL, 'Breast carcinoma amplified sequence 3', 240, NULL, 'BCAS3', 3487),
(3488, 'PF16994', NULL, 'Glycosyl-transferase family 4', 171, NULL, 'Glyco_trans_4_5', 3488),
(3489, 'PF07563', NULL, 'Protein of unknown function (DUF1541)', 52, NULL, 'DUF1541', 3489),
(3490, 'PF19032', NULL, 'Intu longin-like domain 2', 126, NULL, 'Intu_longin_2', 3490),
(3491, 'PF14588', NULL, 'YjgF/chorismate_mutase-like, putative endoribonuclease', 148, NULL, 'YjgF_endoribonc', 3491),
(3492, 'PF00575', NULL, 'S1 RNA binding domain', 75, NULL, 'S1', 3492),
(3493, 'PF11084', NULL, 'Protein of unknown function (DUF2621)', 139, NULL, 'DUF2621', 3493),
(3494, 'PF00303', NULL, 'Thymidylate synthase', 270, NULL, 'Thymidylat_synt', 3494),
(3495, 'PF16182', NULL, 'Putative adherens-junction anchoring region of AbLIM', 372, NULL, 'AbLIM_anchor', 3495),
(3496, 'PF04670', NULL, 'Gtr1/RagA G protein conserved region', 233, NULL, 'Gtr1_RagA', 3496),
(3497, 'PF00621', NULL, 'RhoGEF domain', 183, NULL, 'RhoGEF', 3497),
(3498, 'PF13042', NULL, 'Protein of unknown function (DUF3902)', 161, NULL, 'DUF3902', 3498),
(3499, 'PF18790', NULL, 'KfrB protein', 61, NULL, 'KfrB', 3499),
(3500, 'PF15305', NULL, 'Intraflagellar transport protein 43', 136, NULL, 'IFT43', 3500),
(3501, 'PF13078', NULL, 'Protein of unknown function (DUF3942)', 137, NULL, 'DUF3942', 3501),
(3502, 'PF09009', NULL, 'Exotoxin A catalytic', 171, NULL, 'Exotox-A_cataly', 3502),
(3503, 'PF01081', NULL, 'KDPG and KHG aldolase', 196, NULL, 'Aldolase', 3503),
(3504, 'PF17238', NULL, 'Family of unknown function (DUF5311)', 194, NULL, 'DUF5311', 3504),
(3505, 'PF16361', NULL, 'N-terminal of Subtilase family', 142, NULL, 'Peptidase_S8_N', 3505),
(3506, 'PF13324', NULL, 'Grap2 and cyclin-D-interacting', 263, NULL, 'GCIP', 3506),
(3507, 'PF18736', NULL, 'HEPN pEK499 p136', 152, NULL, 'pEK499_p136', 3507),
(3508, 'PF02277', NULL, 'Phosphoribosyltransferase', 329, NULL, 'DBI_PRT', 3508),
(3509, 'PF06303', NULL, 'MatP N-terminal domain', 84, NULL, 'MatP', 3509),
(3510, 'PF18248', NULL, 'RalF C-terminal Sec-7 capping domain', 147, NULL, 'RalF_SCD', 3510),
(3511, 'PF18719', NULL, 'ArlS sensor domain', 126, NULL, 'ArlS_N', 3511),
(3512, 'PF00566', NULL, 'Rab-GTPase-TBC domain', 215, NULL, 'RabGAP-TBC', 3512),
(3513, 'PF15327', NULL, 'Tankyrase binding protein C terminal domain', 171, NULL, 'Tankyrase_bdg_C', 3513),
(3514, 'PF16141', NULL, 'Putative glycoside hydrolase Family 18, chitinase_18', 318, NULL, 'DUF4849', 3514),
(3515, 'PF04367', NULL, 'Protein of unknown function (DUF502)', 106, NULL, 'DUF502', 3515),
(3516, 'PF05175', NULL, 'Methyltransferase small domain', 170, NULL, 'MTS', 3516);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3517, 'PF07066', NULL, 'Lactococcus phage M3 protein', 159, NULL, 'DUF3882', 3517),
(3518, 'PF02417', NULL, 'Chromate transporter', 157, NULL, 'Chromate_transp', 3518),
(3519, 'PF08340', NULL, 'Domain of unknown function (DUF1732)', 85, NULL, 'DUF1732', 3519),
(3520, 'PF06796', NULL, 'Periplasmic nitrate reductase protein NapE', 54, NULL, 'NapE', 3520),
(3521, 'PF05104', NULL, 'Ribosome receptor lysine/proline rich region', 142, NULL, 'Rib_recp_KP_reg', 3521),
(3522, 'PF01793', NULL, 'Glycolipid 2-alpha-mannosyltransferase', 325, NULL, 'Glyco_transf_15', 3522),
(3523, 'PF08678', NULL, 'Rsbr N terminal', 130, NULL, 'Rsbr_N', 3523),
(3524, 'PF01688', NULL, 'Alphaherpesvirus glycoprotein I', 155, NULL, 'Herpes_gI', 3524),
(3525, 'PF00917', NULL, 'MATH domain', 113, NULL, 'MATH', 3525),
(3526, 'PF14855', NULL, 'Pilus-assembly fibrillin subunit, chaperone', 187, NULL, 'PapJ', 3526),
(3527, 'PF06593', NULL, 'Raspberry bushy dwarf virus coat protein', 274, NULL, 'RBDV_coat', 3527),
(3528, 'PF04284', NULL, 'Protein of unknown function (DUF441)', 139, NULL, 'DUF441', 3528),
(3529, 'PF00462', NULL, 'Glutaredoxin', 60, NULL, 'Glutaredoxin', 3529),
(3530, 'PF07752', NULL, 'S-layer protein', 258, NULL, 'S-layer', 3530),
(3531, 'PF18146', NULL, 'Damage-inducible protein CinA KH domain', 73, NULL, 'CinA_KH', 3531),
(3532, 'PF05865', NULL, 'Cypovirus polyhedrin protein', 248, NULL, 'Cypo_polyhedrin', 3532),
(3533, 'PF08438', NULL, 'GTPase of unknown function C-terminal', 110, NULL, 'MMR_HSR1_C', 3533),
(3534, 'PF06888', NULL, 'Putative Phosphatase', 234, NULL, 'Put_Phosphatase', 3534),
(3535, 'PF08473', NULL, 'Neuronal voltage-dependent calcium channel alpha 2acd', 433, NULL, 'VGCC_alpha2', 3535),
(3536, 'PF14290', NULL, 'Domain of unknown function (DUF4370)', 237, NULL, 'DUF4370', 3536),
(3537, 'PF06920', NULL, 'Dock homology region 2', 528, NULL, 'DHR-2', 3537),
(3538, 'PF12935', NULL, 'Vesicle coat trafficking protein Sec16 N-terminus', 238, NULL, 'Sec16_N', 3538),
(3539, 'PF14275', NULL, 'Domain of unknown function (DUF4362)', 93, NULL, 'DUF4362', 3539),
(3540, 'PF18450', NULL, 'Zinc Finger domain', 28, NULL, 'zf_C2H2_6', 3540),
(3541, 'PF19154', NULL, 'Family of unknown function (DUF5836)', 38, NULL, 'DUF5836', 3541),
(3542, 'PF09586', NULL, 'Bacterial membrane protein YfhO', 840, NULL, 'YfhO', 3542),
(3543, 'PF06448', NULL, 'Domain of Unknown Function (DUF1081)', 114, NULL, 'DUF1081', 3543),
(3544, 'PF00603', NULL, 'Influenza RNA-dependent RNA polymerase subunit PA', 694, NULL, 'Flu_PA', 3544),
(3545, 'PF02631', NULL, 'RecX family', 122, NULL, 'RecX', 3545),
(3546, 'PF00108', NULL, 'Thiolase, N-terminal domain', 260, NULL, 'Thiolase_N', 3546),
(3547, 'PF08331', NULL, 'Domain of unknown function (DUF1730)', 76, NULL, 'DUF1730', 3547),
(3548, 'PF04970', NULL, 'Lecithin retinol acyltransferase', 127, NULL, 'LRAT', 3548),
(3549, 'PF02679', NULL, '(2R)-phospho-3-sulfolactate synthase (ComA)', 243, NULL, 'ComA', 3549),
(3550, 'PF08694', NULL, 'Ubiquitin-fold modifier-conjugating enzyme 1', 155, NULL, 'UFC1', 3550),
(3551, 'PF07706', NULL, 'Aminotransferase ubiquitination site', 40, NULL, 'TAT_ubiq', 3551),
(3552, 'PF07746', NULL, 'Aromatic-ring-opening dioxygenase LigAB, LigA subunit', 87, NULL, 'LigA', 3552),
(3553, 'PF05819', NULL, 'NolX protein', 435, NULL, 'NolX', 3553),
(3554, 'PF08824', NULL, 'Serine rich protein interaction domain', 157, NULL, 'Serine_rich', 3554),
(3555, 'PF14231', NULL, 'GXWXG protein', 59, NULL, 'GXWXG', 3555),
(3556, 'PF03059', NULL, 'Nicotianamine synthase protein', 276, NULL, 'NAS', 3556),
(3557, 'PF11308', NULL, 'Glycosyl hydrolases related to GH101 family, GH129', 324, NULL, 'Glyco_hydro_129', 3557),
(3558, 'PF05363', NULL, 'Herpesvirus US12 family', 86, NULL, 'Herpes_US12', 3558),
(3559, 'PF06088', NULL, 'Nucleopolyhedrovirus telokin-like protein-20 (TLP20)', 169, NULL, 'TLP-20', 3559),
(3560, 'PF10318', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srh', 302, NULL, '7TM_GPCR_Srh', 3560);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3561, 'PF00613', NULL, 'Phosphoinositide 3-kinase family, accessory domain (PIK domain)', 185, NULL, 'PI3Ka', 3561),
(3562, 'PF15317', NULL, 'Cardiac transcription factor regulator, Developmental protein', 102, NULL, 'Lbh', 3562),
(3563, 'PF17397', NULL, 'Family of unknown function (DUF5404)', 145, NULL, 'DUF5404', 3563),
(3564, 'PF03174', NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', 76, NULL, 'CHB_HEX_C', 3564),
(3565, 'PF04523', NULL, 'Herpes virus tegument protein U30', 917, NULL, 'Herpes_U30', 3565),
(3566, 'PF01171', NULL, 'PP-loop family', 184, NULL, 'ATP_bind_3', 3566),
(3567, 'PF10112', NULL, '5-bromo-4-chloroindolyl phosphate hydrolysis protein', 191, NULL, 'Halogen_Hydrol', 3567),
(3568, 'PF07945', NULL, 'Janus-atracotoxin', 36, NULL, 'Toxin_16', 3568),
(3569, 'PF00894', NULL, 'Luteovirus coat protein', 138, NULL, 'Luteo_coat', 3569),
(3570, 'PF06134', NULL, 'L-rhamnose isomerase (RhaA)', 417, NULL, 'RhaA', 3570),
(3571, 'PF04343', NULL, 'Protein of unknown function, DUF488', 122, NULL, 'DUF488', 3571),
(3572, 'PF08241', NULL, 'Methyltransferase domain', 96, NULL, 'Methyltransf_11', 3572),
(3573, 'PF02196', NULL, 'Raf-like Ras-binding domain', 69, NULL, 'RBD', 3573),
(3574, 'PF15099', NULL, 'Phosphoinositide-interacting protein family', 131, NULL, 'PIRT', 3574),
(3575, 'PF09267', NULL, 'Dictyostelium STAT, coiled coil', 114, NULL, 'Dict-STAT-coil', 3575),
(3576, 'PF00258', NULL, 'Flavodoxin', 143, NULL, 'Flavodoxin_1', 3576),
(3577, 'PF17853', NULL, 'GGDEF-like domain', 116, NULL, 'GGDEF_2', 3577),
(3578, 'PF05128', NULL, 'Domain of unknown function (DUF697)', 162, NULL, 'DUF697', 3578),
(3579, 'PF04900', NULL, 'Fcf1', 99, NULL, 'Fcf1', 3579),
(3580, 'PF05908', NULL, 'Poly-gamma-glutamate hydrolase', 191, NULL, 'Gamma_PGA_hydro', 3580),
(3581, 'PF06227', NULL, 'dsDNA Poxvirus', 173, NULL, 'Poxvirus', 3581),
(3582, 'PF07907', NULL, 'YibE/F-like protein', 241, NULL, 'YibE_F', 3582),
(3583, 'PF06535', NULL, 'Repulsive guidance molecule (RGM) N-terminus', 170, NULL, 'RGM_N', 3583),
(3584, 'PF04484', NULL, 'QWRF family', 301, NULL, 'QWRF', 3584),
(3585, 'PF07609', NULL, 'Protein of unknown function (DUF1572)', 163, NULL, 'DUF1572', 3585),
(3586, 'PF13491', NULL, '4TM region of DNA translocase FtsK/SpoIIIE', 171, NULL, 'FtsK_4TM', 3586),
(3587, 'PF17974', NULL, 'Galactose-binding domain-like', 190, NULL, 'GalBD_like', 3587),
(3588, 'PF10221', NULL, 'Cell cycle and development regulator', 691, NULL, 'DUF2151', 3588),
(3589, 'PF19116', NULL, 'Domain of unknown function (DUF5801)', 154, NULL, 'DUF5801', 3589),
(3590, 'PF12666', NULL, 'PrgI family protein', 90, NULL, 'PrgI', 3590),
(3591, 'PF17152', NULL, 'Periplasmic sensor domain', 102, NULL, 'CHASE8', 3591),
(3592, 'PF05631', NULL, 'Sugar-tranasporters, 12 TM', 354, NULL, 'MFS_5', 3592),
(3593, 'PF10706', NULL, 'Aminoglycoside-2''''-adenylyltransferase', 174, NULL, 'Aminoglyc_resit', 3593),
(3594, 'PF03678', NULL, 'Hexon, adenovirus major coat protein, C-terminal domain', 241, NULL, 'Adeno_hexon_C', 3594),
(3595, 'PF13422', NULL, 'Domain of unknown function (DUF4110)', 95, NULL, 'DUF4110', 3595),
(3596, 'PF02351', NULL, 'GDNF/GAS1 domain', 89, NULL, 'GDNF', 3596),
(3597, 'PF17190', NULL, 'RecG N-terminal helical domain', 89, NULL, 'RecG_N', 3597),
(3598, 'PF11376', NULL, 'Protein of unknown function (DUF3179)', 285, NULL, 'DUF3179', 3598),
(3599, 'PF11169', NULL, 'Protein of unknown function (DUF2956)', 102, NULL, 'DUF2956', 3599),
(3600, 'PF14532', NULL, 'Sigma-54 interaction domain', 138, NULL, 'Sigma54_activ_2', 3600),
(3601, 'PF18684', NULL, 'Pleurotolysin B C-terminal domain', 173, NULL, 'PlyB_C', 3601),
(3602, 'PF07596', NULL, 'Protein of unknown function (DUF1559)', 274, NULL, 'SBP_bac_10', 3602),
(3603, 'PF18084', NULL, 'ARTD15 N-terminal domain', 84, NULL, 'ARTD15_N', 3603),
(3604, 'PF02288', NULL, 'Dehydratase medium subunit', 110, NULL, 'Dehydratase_MU', 3604),
(3605, 'PF07789', NULL, 'Protein of unknown function (DUF1627)', 155, NULL, 'DUF1627', 3605);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3606, 'PF14452', NULL, 'Multiubiquitin', 69, NULL, 'Multi_ubiq', 3606),
(3607, 'PF14591', NULL, 'AF0941-like', 113, NULL, 'AF0941-like', 3607),
(3608, 'PF06972', NULL, 'Protein of unknown function (DUF1296)', 60, NULL, 'DUF1296', 3608),
(3609, 'PF18961', NULL, 'Domain of unknown function (DUF5703)', 287, NULL, 'DUF5703_N', 3609),
(3610, 'PF14670', NULL, 'Coagulation Factor Xa inhibitory site', 36, NULL, 'FXa_inhibition', 3610),
(3611, 'PF13678', NULL, 'NFkB-p65-degrading zinc protease', 251, NULL, 'Peptidase_M85', 3611),
(3612, 'PF14639', NULL, 'Holliday-junction resolvase-like of SPT6', 150, NULL, 'YqgF', 3612),
(3613, 'PF18195', NULL, 'GatD N-terminal domain', 53, NULL, 'GatD_N', 3613),
(3614, 'PF09984', NULL, 'Single cache domain 4', 148, NULL, 'sCache_4', 3614),
(3615, 'PF03703', NULL, 'Bacterial PH domain', 80, NULL, 'bPH_2', 3615),
(3616, 'PF11674', NULL, 'Protein of unknown function (DUF3270)', 86, NULL, 'DUF3270', 3616),
(3617, 'PF10039', NULL, 'Predicted integral membrane protein (DUF2275)', 210, NULL, 'DUF2275', 3617),
(3618, 'PF08864', NULL, 'UPF0302 domain', 105, NULL, 'UPF0302', 3618),
(3619, 'PF13229', NULL, 'Right handed beta helix region', 158, NULL, 'Beta_helix', 3619),
(3620, 'PF00707', NULL, 'Translation initiation factor IF-3, C-terminal domain', 86, NULL, 'IF3_C', 3620),
(3621, 'PF17426', NULL, 'Putative Gamma DNA binding protein G5P', 107, NULL, 'Putative_G5P', 3621),
(3622, 'PF04739', NULL, '5''-AMP-activated protein kinase beta subunit, interaction domain', 75, NULL, 'AMPKBI', 3622),
(3623, 'PF03632', NULL, 'Glycosyl hydrolase family 65 central catalytic domain', 387, NULL, 'Glyco_hydro_65m', 3623),
(3624, 'PF04773', NULL, 'FecR protein', 96, NULL, 'FecR', 3624),
(3625, 'PF06423', NULL, 'GWT1', 157, NULL, 'GWT1', 3625),
(3626, 'PF02507', NULL, 'Photosystem I reaction centre subunit III', 172, NULL, 'PSI_PsaF', 3626),
(3627, 'PF02119', NULL, 'Flagellar P-ring protein', 343, NULL, 'FlgI', 3627),
(3628, 'PF05616', NULL, 'Neisseria meningitidis TspB protein', 517, NULL, 'Neisseria_TspB', 3628),
(3629, 'PF10274', NULL, 'Parkin co-regulated protein', 183, NULL, 'ParcG', 3629),
(3630, 'PF18325', NULL, 'Fatty acid synthase subunit alpha Acyl carrier domain', 162, NULL, 'Fas_alpha_ACP', 3630),
(3631, 'PF11239', NULL, 'Protein of unknown function (DUF3040)', 84, NULL, 'DUF3040', 3631),
(3632, 'PF13436', NULL, 'Glycine-zipper domain', 44, NULL, 'Gly-zipper_OmpA', 3632),
(3633, 'PF14997', NULL, 'CECR6/TMEM121 family', 195, NULL, 'CECR6_TMEM121', 3633),
(3634, 'PF03737', NULL, 'Aldolase/RraA', 150, NULL, 'RraA-like', 3634),
(3635, 'PF02702', NULL, 'Osmosensitive K+ channel His kinase sensor domain', 210, NULL, 'KdpD', 3635),
(3636, 'PF03566', NULL, 'Peptidase family A21', 653, NULL, 'Peptidase_A21', 3636),
(3637, 'PF02778', NULL, 'tRNA intron endonuclease, N-terminal domain', 67, NULL, 'tRNA_int_endo_N', 3637),
(3638, 'PF15203', NULL, 'TMEM95 family', 151, NULL, 'TMEM95', 3638),
(3639, 'PF12840', NULL, 'Helix-turn-helix domain', 61, NULL, 'HTH_20', 3639),
(3640, 'PF01096', NULL, 'Transcription factor S-II (TFIIS)', 39, NULL, 'TFIIS_C', 3640),
(3641, 'PF01168', NULL, 'Alanine racemase, N-terminal domain', 219, NULL, 'Ala_racemase_N', 3641),
(3642, 'PF04968', NULL, 'CHORD', 63, NULL, 'CHORD', 3642),
(3643, 'PF11962', NULL, 'Peptidase_G2, IMC autoproteolytic cleavage domain', 228, NULL, 'Peptidase_G2', 3643),
(3644, 'PF18498', NULL, 'Domain of unknown function (DUF5618)', 123, NULL, 'DUF5618', 3644),
(3645, 'PF04357', NULL, 'TamB, inner membrane protein subunit of TAM complex', 383, NULL, 'TamB', 3645),
(3646, 'PF07333', NULL, 'S locus-related glycoprotein 1 binding pollen coat protein (SLR1-BP)', 58, NULL, 'SLR1-BP', 3646),
(3647, 'PF03255', NULL, 'Acetyl co-enzyme A carboxylase carboxyltransferase alpha subunit', 144, NULL, 'ACCA', 3647),
(3648, 'PF02940', NULL, 'mRNA capping enzyme, beta chain', 221, NULL, 'mRNA_triPase', 3648),
(3649, 'PF15494', NULL, 'Scavenger receptor cysteine-rich domain', 99, NULL, 'SRCR_2', 3649);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3650, 'PF11430', NULL, 'Programmed cell death activator EGL-1', 20, NULL, 'EGL-1', 3650),
(3651, 'PF09902', NULL, 'Uncharacterized protein conserved in bacteria (DUF2129)', 70, NULL, 'DUF2129', 3651),
(3652, 'PF11072', NULL, 'Protein of unknown function (DUF2859)', 149, NULL, 'DUF2859', 3652),
(3653, 'PF11112', NULL, 'Pyocin activator protein PrtN', 74, NULL, 'PyocinActivator', 3653),
(3654, 'PF11886', NULL, 'Translocase of chloroplast 159/132, membrane anchor domain', 267, NULL, 'TOC159_MAD', 3654),
(3655, 'PF08084', NULL, 'PROCT (NUC072) domain', 123, NULL, 'PROCT', 3655),
(3656, 'PF14940', NULL, 'Transmembrane 219', 238, NULL, 'TMEM219', 3656),
(3657, 'PF02042', NULL, 'RWP-RK domain', 49, NULL, 'RWP-RK', 3657),
(3658, 'PF04317', NULL, 'YcjX-like family, DUF463', 444, NULL, 'DUF463', 3658),
(3659, 'PF08744', NULL, 'Plant transcription factor NOZZLE', 335, NULL, 'NOZZLE', 3659),
(3660, 'PF16916', NULL, 'Dimerisation domain of Zinc Transporter', 79, NULL, 'ZT_dimer', 3660),
(3661, 'PF14161', NULL, 'Centrosome-associated N terminus', 115, NULL, 'FAM110_N', 3661),
(3662, 'PF12011', NULL, 'RNA helicase NPH-II', 174, NULL, 'NPH-II', 3662),
(3663, 'PF10252', NULL, 'Casein kinase substrate phosphoprotein PP28', 85, NULL, 'PP28', 3663),
(3664, 'PF12472', NULL, 'Phage related protein', 60, NULL, 'DUF3693', 3664),
(3665, 'PF05171', NULL, 'Haemin-degrading HemS.ChuX domain', 128, NULL, 'HemS', 3665),
(3666, 'PF07510', NULL, 'Protein of unknown function (DUF1524)', 139, NULL, 'DUF1524', 3666),
(3667, 'PF09742', NULL, 'Dyggve-Melchior-Clausen syndrome protein', 680, NULL, 'Dymeclin', 3667),
(3668, 'PF04537', NULL, 'Herpesvirus UL55 protein', 164, NULL, 'Herpes_UL55', 3668),
(3669, 'PF01358', NULL, 'Poly A polymerase regulatory subunit', 291, NULL, 'PARP_regulatory', 3669),
(3670, 'PF16273', NULL, 'Nuclear distribution C domain', 66, NULL, 'NuDC', 3670),
(3671, 'PF11324', NULL, 'Protein of unknown function (DUF3126)', 63, NULL, 'DUF3126', 3671),
(3672, 'PF07879', NULL, 'PHB/PHA accumulation regulator DNA-binding domain', 61, NULL, 'PHB_acc_N', 3672),
(3673, 'PF13371', NULL, 'Tetratricopeptide repeat', 73, NULL, 'TPR_9', 3673),
(3674, 'PF04264', NULL, 'YceI-like domain', 146, NULL, 'YceI', 3674),
(3675, 'PF05061', NULL, 'Poxvirus A11 Protein', 315, NULL, 'Pox_A11', 3675),
(3676, 'PF05113', NULL, 'Protein of unknown function (DUF693)', 311, NULL, 'DUF693', 3676),
(3677, 'PF16854', NULL, 'Vacuolar protein sorting-associated protein 53 C-terminus', 203, NULL, 'VPS53_C', 3677),
(3678, 'PF18845', NULL, 'Bacterial archaeo-eukaryotic release factor family 3', 168, NULL, 'baeRF_family3', 3678),
(3679, 'PF08110', NULL, 'Ocellatin family', 19, NULL, 'Antimicrobial15', 3679),
(3680, 'PF06174', NULL, 'Protein of unknown function (DUF987)', 65, NULL, 'DUF987', 3680),
(3681, 'PF19209', NULL, 'Coronavirus spike glycoprotein S1, C-terminal', 58, NULL, 'CoV_S1_C', 3681),
(3682, 'PF00717', NULL, 'Peptidase S24-like', 116, NULL, 'Peptidase_S24', 3682),
(3683, 'PF03800', NULL, 'Nuf2 family', 139, NULL, 'Nuf2', 3683),
(3684, 'PF16175', NULL, 'Domain of unknown function (DUF4875)', 120, NULL, 'DUF4875', 3684),
(3685, 'PF14706', NULL, 'Transposase DNA-binding', 58, NULL, 'Tnp_DNA_bind', 3685),
(3686, 'PF12480', NULL, 'Protein of unknown function (DUF3699)', 71, NULL, 'DUF3699', 3686),
(3687, 'PF08955', NULL, 'BofC C-terminal domain', 74, NULL, 'BofC_C', 3687),
(3688, 'PF00758', NULL, 'Erythropoietin/thrombopoietin', 160, NULL, 'EPO_TPO', 3688),
(3689, 'PF12704', NULL, 'MacB-like periplasmic core domain', 195, NULL, 'MacB_PCD', 3689),
(3690, 'PF07111', NULL, 'Alpha helical coiled-coil rod protein (HCR)', 749, NULL, 'HCR', 3690),
(3691, 'PF02882', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, NAD(P)-binding domain', 160, NULL, 'THF_DHG_CYH_C', 3691),
(3692, 'PF19031', NULL, 'First Longin domain of INTU, CCZ1 and HPS4', 113, NULL, 'Intu_longin_1', 3692),
(3693, 'PF13656', NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', 75, NULL, 'RNA_pol_L_2', 3693);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3694, 'PF07004', NULL, 'Sperm-tail PG-rich repeat', 31, NULL, 'SHIPPO-rpt', 3694),
(3695, 'PF15323', NULL, 'Developmental protein', 221, NULL, 'Ashwin', 3695),
(3696, 'PF16675', NULL, 'KIX-binding domain of forkhead box O, CR2', 81, NULL, 'FOXO_KIX_bdg', 3696),
(3697, 'PF12693', NULL, 'GspL periplasmic domain', 158, NULL, 'GspL_C', 3697),
(3698, 'PF17843', NULL, 'MycE methyltransferase N-terminal', 110, NULL, 'MycE_N', 3698),
(3699, 'PF12144', NULL, 'Eukaryotic Mediator 12 catenin-binding domain', 210, NULL, 'Med12-PQL', 3699),
(3700, 'PF00280', NULL, 'Potato inhibitor I family', 64, NULL, 'potato_inhibit', 3700),
(3701, 'PF09423', NULL, 'PhoD-like phosphatase', 347, NULL, 'PhoD', 3701),
(3702, 'PF16934', NULL, 'Two-component Enterococcus faecalis cytolysin (EFC)', 68, NULL, 'Mersacidin', 3702),
(3703, 'PF05868', NULL, 'Rotavirus major outer capsid protein VP7', 249, NULL, 'Rotavirus_VP7', 3703),
(3704, 'PF05307', NULL, 'Bundlin', 60, NULL, 'Bundlin', 3704),
(3705, 'PF08509', NULL, 'Adenylate cyclase G-alpha binding domain', 49, NULL, 'Ad_cyc_g-alpha', 3705),
(3706, 'PF13899', NULL, 'Thioredoxin-like', 83, NULL, 'Thioredoxin_7', 3706),
(3707, 'PF16153', NULL, 'Domain of unknown function (DUF4861)', 376, NULL, 'DUF4861', 3707),
(3708, 'PF06116', NULL, 'Transcriptional activator RinB', 51, NULL, 'RinB', 3708),
(3709, 'PF11422', NULL, 'Initiator binding protein 39 kDa', 179, NULL, 'IBP39', 3709),
(3710, 'PF16939', NULL, 'Putative porin', 282, NULL, 'Porin_6', 3710),
(3711, 'PF04210', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit G', 64, NULL, 'MtrG', 3711),
(3712, 'PF02046', NULL, 'Cytochrome c oxidase subunit VIa', 112, NULL, 'COX6A', 3712),
(3713, 'PF03940', NULL, 'Male specific sperm protein', 51, NULL, 'MSSP', 3713),
(3714, 'PF03341', NULL, 'Poxvirus mRNA capping enzyme, small subunit', 286, NULL, 'Pox_mRNA-cap', 3714),
(3715, 'PF04496', NULL, 'Herpesvirus UL35 family', 109, NULL, 'Herpes_UL35', 3715),
(3716, 'PF10780', NULL, '39S ribosomal protein L53/MRP-L53', 53, NULL, 'MRP_L53', 3716),
(3717, 'PF12647', NULL, 'RNHCP domain', 90, NULL, 'RNHCP', 3717),
(3718, 'PF17896', NULL, 'Replicase polyprotein 1a N-terminal domain', 358, NULL, 'Nsp2a_N', 3718),
(3719, 'PF00942', NULL, 'Cellulose binding domain', 83, NULL, 'CBM_3', 3719),
(3720, 'PF08982', NULL, 'Domain of unknown function (DUF1857)', 147, NULL, 'DUF1857', 3720),
(3721, 'PF09877', NULL, 'Predicted membrane protein (DUF2104)', 99, NULL, 'DUF2104', 3721),
(3722, 'PF08472', NULL, 'Sucrose-6-phosphate phosphohydrolase C-terminal', 133, NULL, 'S6PP_C', 3722),
(3723, 'PF15127', NULL, 'Small membrane A-kinase anchor protein', 92, NULL, 'SmAKAP', 3723),
(3724, 'PF04660', NULL, 'Nanovirus coat protein', 170, NULL, 'Nanovirus_coat', 3724),
(3725, 'PF12491', NULL, 'Apolipoprotein B100 C terminal', 57, NULL, 'ApoB100_C', 3725),
(3726, 'PF17803', NULL, 'Bacterial cadherin-like domain', 72, NULL, 'Cadherin_4', 3726),
(3727, 'PF16406', NULL, 'Domain of unknown function (DUF5014)', 90, NULL, 'DUF5014', 3727),
(3728, 'PF04309', NULL, 'Glycerol-3-phosphate responsive antiterminator', 173, NULL, 'G3P_antiterm', 3728),
(3729, 'PF14687', NULL, 'Domain of unknown function (DUF4460)', 110, NULL, 'DUF4460', 3729),
(3730, 'PF15848', NULL, 'Odontogenesis associated phosphoprotein', 106, NULL, 'ODAPH', 3730),
(3731, 'PF18489', NULL, 'Alpha helical domain', 127, NULL, 'Alpha_Helical', 3731),
(3732, 'PF16150', NULL, 'Domain of unknown function (DUF4858)', 183, NULL, 'DUF4858', 3732),
(3733, 'PF18687', NULL, 'Family of unknown function (DUF5637)', 33, NULL, 'DUF5637', 3733),
(3734, 'PF11803', NULL, 'UDP-glucuronate decarboxylase N-terminal', 75, NULL, 'UXS1_N', 3734),
(3735, 'PF07845', NULL, 'Protein of unknown function (DUF1636)', 117, NULL, 'DUF1636', 3735),
(3736, 'PF08485', NULL, 'Polysaccharide biosynthesis protein C-terminal', 48, NULL, 'Polysacc_syn_2C', 3736),
(3737, 'PF05520', NULL, 'Citrus tristeza virus P18 protein', 167, NULL, 'Citrus_P18', 3737);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3738, 'PF15307', NULL, 'Sperm acrosome-associated protein 7', 108, NULL, 'SPACA7', 3738),
(3739, 'PF12040', NULL, 'Domain of unknown function (DUF3526)', 155, NULL, 'DUF3526', 3739),
(3740, 'PF14157', NULL, 'YmzC-like protein', 58, NULL, 'YmzC', 3740),
(3741, 'PF04868', NULL, 'Retinal cGMP phosphodiesterase, gamma subunit', 82, NULL, 'PDE6_gamma', 3741),
(3742, 'PF17656', NULL, 'FlgA N-terminal domain', 77, NULL, 'ChapFlgA_N', 3742),
(3743, 'PF11428', NULL, 'Protein of unknown function (DUF3196)', 285, NULL, 'DUF3196', 3743),
(3744, 'PF00512', NULL, 'His Kinase A (phospho-acceptor) domain', 67, NULL, 'HisKA', 3744),
(3745, 'PF07187', NULL, 'Protein of unknown function (DUF1405)', 160, NULL, 'DUF1405', 3745),
(3746, 'PF16684', NULL, 'Telomere resolvase', 274, NULL, 'Telomere_res', 3746),
(3747, 'PF08610', NULL, 'Peroxisomal membrane protein (Pex16)', 364, NULL, 'Pex16', 3747),
(3748, 'PF15040', NULL, 'Humanin family', 24, NULL, 'Humanin', 3748),
(3749, 'PF16303', NULL, 'Domain of unknown function (DUF4945)', 115, NULL, 'DUF4945', 3749),
(3750, 'PF15124', NULL, 'FANCD2 opposite strand protein', 175, NULL, 'FANCD2OS', 3750),
(3751, 'PF17832', NULL, 'Pre-PUA-like domain', 87, NULL, 'Pre-PUA', 3751),
(3752, 'PF09143', NULL, 'AvrPphF-ORF-2', 175, NULL, 'AvrPphF-ORF-2', 3752),
(3753, 'PF01077', NULL, 'Nitrite and sulphite reductase 4Fe-4S domain', 159, NULL, 'NIR_SIR', 3753),
(3754, 'PF10491', NULL, 'NLS-binding and DNA-binding and dimerisation domains of Nrf1', 213, NULL, 'Nrf1_DNA-bind', 3754),
(3755, 'PF15956', NULL, 'Domain of unknown function (DUF4760)', 142, NULL, 'DUF4760', 3755),
(3756, 'PF11995', NULL, 'Domain of unknown function (DUF3490)', 161, NULL, 'DUF3490', 3756),
(3757, 'PF03512', NULL, 'Glycosyl hydrolase family 52', 414, NULL, 'Glyco_hydro_52', 3757),
(3758, 'PF13780', NULL, 'Domain of unknown function (DUF4176)', 74, NULL, 'DUF4176', 3758),
(3759, 'PF17200', NULL, 'Single Cache domain 2', 155, NULL, 'sCache_2', 3759),
(3760, 'PF00869', NULL, 'Flavivirus glycoprotein, central and dimerisation domains', 295, NULL, 'Flavi_glycoprot', 3760),
(3761, 'PF14235', NULL, 'Domain of unknown function (DUF4337)', 161, NULL, 'DUF4337', 3761),
(3762, 'PF17134', NULL, 'Domain of unknown function (DUF5109)', 114, NULL, 'DUF5109', 3762),
(3763, 'PF18983', NULL, 'Family of unknown function (DUF5717)C-terminal', 306, NULL, 'DUF5717', 3763),
(3764, 'PF10537', NULL, 'ATP-utilising chromatin assembly and remodelling N-terminal', 101, NULL, 'WAC_Acf1_DNA_bd', 3764),
(3765, 'PF03579', NULL, 'Small hydrophobic protein', 64, NULL, 'SHP', 3765),
(3766, 'PF15806', NULL, 'Domain of unknown function (DUF4707)', 437, NULL, 'DUF4707', 3766),
(3767, 'PF03323', NULL, 'Bacillus/Clostridium GerA spore germination protein', 467, NULL, 'GerA', 3767),
(3768, 'PF14077', NULL, 'Alternative WD40 repeat motif', 48, NULL, 'WD40_alt', 3768),
(3769, 'PF11278', NULL, 'Protein of unknown function (DUF3079)', 51, NULL, 'DUF3079', 3769),
(3770, 'PF15006', NULL, 'Domain of unknown function (DUF4517)', 157, NULL, 'DUF4517', 3770),
(3771, 'PF10469', NULL, 'AKAP7 2''5'' RNA ligase-like domain', 207, NULL, 'AKAP7_NLS', 3771),
(3772, 'PF13069', NULL, 'Protein of unknown function (DUF3933)', 53, NULL, 'DUF3933', 3772),
(3773, 'PF00204', NULL, 'DNA gyrase B', 175, NULL, 'DNA_gyraseB', 3773),
(3774, 'PF13439', NULL, 'Glycosyltransferase Family 4', 169, NULL, 'Glyco_transf_4', 3774),
(3775, 'PF08004', NULL, 'Protein of unknown function (DUF1699)', 130, NULL, 'DUF1699', 3775),
(3776, 'PF16071', NULL, 'Domain of unknown function (DUF4812)', 65, NULL, 'DUF4812', 3776),
(3777, 'PF06268', NULL, 'Fascin domain', 111, NULL, 'Fascin', 3777),
(3778, 'PF10454', NULL, 'Protein of unknown function (DUF2458)', 172, NULL, 'DUF2458', 3778),
(3779, 'PF07965', NULL, 'Integrin beta tail domain', 85, NULL, 'Integrin_B_tail', 3779),
(3780, 'PF11131', NULL, 'Rap-phr extracellular signalling', 38, NULL, 'PhrC_PhrF', 3780),
(3781, 'PF14931', NULL, 'Intraflagellar transport complex B, subunit 20', 119, NULL, 'IFT20', 3781);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3782, 'PF00464', NULL, 'Serine hydroxymethyltransferase', 399, NULL, 'SHMT', 3782),
(3783, 'PF01118', NULL, 'Semialdehyde dehydrogenase, NAD binding domain', 121, NULL, 'Semialdhyde_dh', 3783),
(3784, 'PF10676', NULL, 'Spore germination protein gerPA/gerPF', 72, NULL, 'gerPA', 3784),
(3785, 'PF00102', NULL, 'Protein-tyrosine phosphatase', 235, NULL, 'Y_phosphatase', 3785),
(3786, 'PF04290', NULL, 'Tripartite ATP-independent periplasmic transporters, DctQ component', 132, NULL, 'DctQ', 3786),
(3787, 'PF09262', NULL, 'Peroxisome biogenesis factor 1, N-terminal', 77, NULL, 'PEX-1N', 3787),
(3788, 'PF05136', NULL, 'Phage portal protein, lambda family', 363, NULL, 'Phage_portal_2', 3788),
(3789, 'PF10884', NULL, 'Protein of unknown function (DUF2683)', 78, NULL, 'DUF2683', 3789),
(3790, 'PF12911', NULL, 'N-terminal TM domain of oligopeptide transport permease C', 51, NULL, 'OppC_N', 3790),
(3791, 'PF11464', NULL, 'Rabenosyn Rab binding domain', 42, NULL, 'Rbsn', 3791),
(3792, 'PF17525', NULL, 'Family of unknown function (DUF5447)', 92, NULL, 'DUF5447', 3792),
(3793, 'PF07606', NULL, 'Protein of unknown function (DUF1569)', 152, NULL, 'DUF1569', 3793),
(3794, 'PF02604', NULL, 'Antitoxin Phd_YefM, type II toxin-antitoxin system', 75, NULL, 'PhdYeFM_antitox', 3794),
(3795, 'PF11064', NULL, 'Protein of unknown function (DUF2865)', 115, NULL, 'DUF2865', 3795),
(3796, 'PF17294', NULL, 'Uncharacterised lipoprotein family', 166, NULL, 'Lipoprotein_22', 3796),
(3797, 'PF19153', NULL, 'Family of unknown function (DUF5835)', 53, NULL, 'DUF5835', 3797),
(3798, 'PF05340', NULL, 'Protein of unknown function (DUF740)', 625, NULL, 'DUF740', 3798),
(3799, 'PF18150', NULL, 'Domain of unknown function (DUF5600)', 107, NULL, 'DUF5600', 3799),
(3800, 'PF19035', NULL, 'CCN3 Nov like TSP1 domain', 44, NULL, 'TSP1_CCN', 3800),
(3801, 'PF11483', NULL, 'Protein of unknown function (DUF3209)', 124, NULL, 'DUF3209', 3801),
(3802, 'PF03701', NULL, 'Uncharacterised protein family (UPF0181)', 50, NULL, 'UPF0181', 3802),
(3803, 'PF17037', NULL, 'Cellulose biosynthesis protein BcsO', 201, NULL, 'CBP_BcsO', 3803),
(3804, 'PF18838', NULL, 'Large polyvalent protein associated domain 23', 58, NULL, 'LPD23', 3804),
(3805, 'PF02302', NULL, 'PTS system, Lactose/Cellobiose specific IIB subunit', 90, NULL, 'PTS_IIB', 3805),
(3806, 'PF16867', NULL, 'Dimethlysulfonioproprionate lyase', 162, NULL, 'DMSP_lyase', 3806),
(3807, 'PF14600', NULL, 'Cellulose-binding domain', 62, NULL, 'CBM_5_12_2', 3807),
(3808, 'PF00333', NULL, 'Ribosomal protein S5, N-terminal domain', 65, NULL, 'Ribosomal_S5', 3808),
(3809, 'PF01367', NULL, '5''-3'' exonuclease, C-terminal SAM fold', 97, NULL, '5_3_exonuc', 3809),
(3810, 'PF14025', NULL, 'Protein of unknown function (DUF4241)', 186, NULL, 'DUF4241', 3810),
(3811, 'PF00773', NULL, 'RNB domain', 323, NULL, 'RNB', 3811),
(3812, 'PF16366', NULL, 'Cytoplasmic polyadenylation element-binding protein ZZ domain', 58, NULL, 'CEBP_ZZ', 3812),
(3813, 'PF13646', NULL, 'HEAT repeats', 88, NULL, 'HEAT_2', 3813),
(3814, 'PF08813', NULL, 'Phage tail tube protein, TTP', 165, NULL, 'Phage_tail_3', 3814),
(3815, 'PF14010', NULL, 'Phosphoenolpyruvate carboxylase', 494, NULL, 'PEPcase_2', 3815),
(3816, 'PF15646', NULL, 'Restriction endonuclease fold toxin 2', 129, NULL, 'Tox-REase-2', 3816),
(3817, 'PF09224', NULL, 'Domain of unknown function (DUF1961)', 214, NULL, 'DUF1961', 3817),
(3818, 'PF13833', NULL, 'EF-hand domain pair', 54, NULL, 'EF-hand_8', 3818),
(3819, 'PF09264', NULL, 'Vibrio cholerae sialidase, lectin insertion', 198, NULL, 'Sial-lect-inser', 3819),
(3820, 'PF09227', NULL, 'Domain of unknown function (DUF1962)', 64, NULL, 'DUF1962', 3820),
(3821, 'PF14646', NULL, 'MYCBP-associated protein family', 437, NULL, 'MYCBPAP', 3821),
(3822, 'PF18254', NULL, 'HMW1 domain 2', 88, NULL, 'HMw1_D2', 3822),
(3823, 'PF03825', NULL, 'Nucleoside H+ symporter', 400, NULL, 'Nuc_H_symport', 3823),
(3824, 'PF18610', NULL, 'Periplasmic binding protein domain', 71, NULL, 'Peripla_BP_7', 3824);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3825, 'PF03999', NULL, 'Microtubule associated protein (MAP65/ASE1 family)', 590, NULL, 'MAP65_ASE1', 3825),
(3826, 'PF16341', NULL, 'Domain of unknown function (DUF4971)', 139, NULL, 'DUF4971', 3826),
(3827, 'PF13774', NULL, 'Regulated-SNARE-like domain', 83, NULL, 'Longin', 3827),
(3828, 'PF16703', NULL, 'Domain of unknown function (DUF5064)', 117, NULL, 'DUF5064', 3828),
(3829, 'PF07537', NULL, 'CamS sex pheromone cAM373 precursor', 316, NULL, 'CamS', 3829),
(3830, 'PF08993', NULL, 'T4 gene Gp59 loader of gp41 DNA helicase', 93, NULL, 'T4_Gp59_N', 3830),
(3831, 'PF06269', NULL, 'Protein of unknown function (DUF1029)', 53, NULL, 'DUF1029', 3831),
(3832, 'PF11273', NULL, 'Protein of unknown function (DUF3073)', 63, NULL, 'DUF3073', 3832),
(3833, 'PF08537', NULL, 'Fungal Nap binding protein NBP1', 339, NULL, 'NBP1', 3833),
(3834, 'PF16490', NULL, 'Putative oxidoreductase C terminal domain', 279, NULL, 'Oxidoreduct_C', 3834),
(3835, 'PF14379', NULL, 'MYB-CC type transfactor, LHEQLE motif', 48, NULL, 'Myb_CC_LHEQLE', 3835),
(3836, 'PF08908', NULL, 'Domain of unknown function (DUF1852)', 323, NULL, 'DUF1852', 3836),
(3837, 'PF13300', NULL, 'Domain of unknown function (DUF4078)', 86, NULL, 'DUF4078', 3837),
(3838, 'PF00601', NULL, 'Influenza non-structural protein (NS2)', 94, NULL, 'Flu_NS2', 3838),
(3839, 'PF03177', NULL, 'Non-repetitive/WGA-negative nucleoporin C-terminal', 596, NULL, 'Nucleoporin_C', 3839),
(3840, 'PF08605', NULL, 'Fungal Rad9-like Rad53-binding', 129, NULL, 'Rad9_Rad53_bind', 3840),
(3841, 'PF17963', NULL, 'Bacterial Ig domain', 90, NULL, 'Big_9', 3841),
(3842, 'PF13643', NULL, 'Domain of unknown function (DUF4145)', 88, NULL, 'DUF4145', 3842),
(3843, 'PF04403', NULL, 'Paraquat-inducible protein A', 156, NULL, 'PqiA', 3843),
(3844, 'PF05591', NULL, 'Type VI secretion system, VipA, VC_A0107 or Hcp2', 155, NULL, 'T6SS_VipA', 3844),
(3845, 'PF14851', NULL, 'FAM176 family', 148, NULL, 'FAM176', 3845),
(3846, 'PF13631', NULL, 'Cytochrome b(N-terminal)/b6/petB', 169, NULL, 'Cytochrom_B_N_2', 3846),
(3847, 'PF05464', NULL, 'Phi-29-like late genes activator (early protein GP4)', 125, NULL, 'Phi-29_GP4', 3847),
(3848, 'PF00645', NULL, 'Poly(ADP-ribose) polymerase and DNA-Ligase Zn-finger region', 82, NULL, 'zf-PARP', 3848),
(3849, 'PF07767', NULL, 'Nop53 (60S ribosomal biogenesis)', 399, NULL, 'Nop53', 3849),
(3850, 'PF08618', NULL, 'Transcription factor Opi1', 420, NULL, 'Opi1', 3850),
(3851, 'PF09834', NULL, 'Predicted membrane protein (DUF2061)', 52, NULL, 'DUF2061', 3851),
(3852, 'PF15294', NULL, 'Leucine zipper', 276, NULL, 'Leu_zip', 3852),
(3853, 'PF00400', NULL, 'WD domain, G-beta repeat', 38, NULL, 'WD40', 3853),
(3854, 'PF14415', NULL, 'Domain of unknown function (DUF4424)', 302, NULL, 'DUF4424', 3854),
(3855, 'PF11773', NULL, 'Type II secretory pathway pseudopilin', 82, NULL, 'PulG', 3855),
(3856, 'PF15277', NULL, 'Exocyst complex component SEC3 N-terminal PIP2 binding PH', 89, NULL, 'Sec3-PIP2_bind', 3856),
(3857, 'PF15119', NULL, 'Apolipoprotein C4', 94, NULL, 'APOC4', 3857),
(3858, 'PF04504', NULL, 'Protein of unknown function, DUF573', 95, NULL, 'DUF573', 3858),
(3859, 'PF03071', NULL, 'GNT-I family', 434, NULL, 'GNT-I', 3859),
(3860, 'PF11727', NULL, 'Invariant surface glycoprotein', 281, NULL, 'ISG65-75', 3860),
(3861, 'PF06858', NULL, 'Nucleolar GTP-binding protein 1 (NOG1)', 58, NULL, 'NOG1', 3861),
(3862, 'PF14804', NULL, 'Jag N-terminus', 51, NULL, 'Jag_N', 3862),
(3863, 'PF04859', NULL, 'Plant protein of unknown function (DUF641)', 128, NULL, 'DUF641', 3863),
(3864, 'PF03647', NULL, 'Transmembrane proteins 14C', 92, NULL, 'Tmemb_14', 3864),
(3865, 'PF11630', NULL, 'Protein of unknown function (DUF3254)', 100, NULL, 'DUF3254', 3865),
(3866, 'PF00024', NULL, 'PAN domain', 79, NULL, 'PAN_1', 3866),
(3867, 'PF12629', NULL, 'Poxvirus poly(A) polymerase C-terminal domain', 201, NULL, 'Pox_polyA_pol_C', 3867),
(3868, 'PF08141', NULL, 'Small acid-soluble spore protein H family', 58, NULL, 'SspH', 3868);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3869, 'PF17735', NULL, 'Biofilm surface layer A', 121, NULL, 'BslA', 3869),
(3870, 'PF05919', NULL, 'Mitovirus RNA-dependent RNA polymerase', 498, NULL, 'Mitovir_RNA_pol', 3870),
(3871, 'PF13156', NULL, 'Restriction endonuclease', 127, NULL, 'Mrr_cat_2', 3871),
(3872, 'PF08159', NULL, 'NUC153 domain', 29, NULL, 'NUC153', 3872),
(3873, 'PF15809', NULL, 'Simian taste bud-specific gene product family', 240, NULL, 'STG', 3873),
(3874, 'PF00034', NULL, 'Cytochrome c', 92, NULL, 'Cytochrom_C', 3874),
(3875, 'PF03092', NULL, 'BT1 family', 524, NULL, 'BT1', 3875),
(3876, 'PF10564', NULL, 'Sialic-acid binding micronemal adhesive repeat', 94, NULL, 'MAR_sialic_bdg', 3876),
(3877, 'PF05023', NULL, 'Phytochelatin synthase', 208, NULL, 'Phytochelatin', 3877),
(3878, 'PF12863', NULL, 'Domain of unknown function (DUF3821)', 209, NULL, 'DUF3821', 3878),
(3879, 'PF08470', NULL, 'Nontoxic nonhaemagglutinin C-terminal', 162, NULL, 'NTNH_C', 3879),
(3880, 'PF01062', NULL, 'Bestrophin, RFP-TM, chloride channel', 287, NULL, 'Bestrophin', 3880),
(3881, 'PF01302', NULL, 'CAP-Gly domain', 66, NULL, 'CAP_GLY', 3881),
(3882, 'PF07203', NULL, 'Protein of unknown function (DUF1412)', 53, NULL, 'DUF1412', 3882),
(3883, 'PF14411', NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved LHH', 76, NULL, 'LHH', 3883),
(3884, 'PF03932', NULL, 'CutC family', 202, NULL, 'CutC', 3884),
(3885, 'PF05501', NULL, 'Domain of unknown function (DUF755)', 123, NULL, 'DUF755', 3885),
(3886, 'PF08452', NULL, 'DNA polymerase family B exonuclease domain, N-terminal', 22, NULL, 'DNAP_B_exo_N', 3886),
(3887, 'PF14647', NULL, 'FAM91 N-terminus', 310, NULL, 'FAM91_N', 3887),
(3888, 'PF09617', NULL, 'CRISPR-associated protein GSU0053 (Cas_GSU0053)', 172, NULL, 'Cas_GSU0053', 3888),
(3889, 'PF16427', NULL, 'Domain of unknown function (DUF5024)', 104, NULL, 'DUF5024', 3889),
(3890, 'PF02249', NULL, 'Methyl-coenzyme M reductase alpha subunit, C-terminal domain', 127, NULL, 'MCR_alpha', 3890),
(3891, 'PF01807', NULL, 'CHC2 zinc finger', 98, NULL, 'zf-CHC2', 3891),
(3892, 'PF07810', NULL, 'TMC domain', 111, NULL, 'TMC', 3892),
(3893, 'PF03795', NULL, 'YCII-related domain', 95, NULL, 'YCII', 3893),
(3894, 'PF10425', NULL, 'C-terminus of bacterial fibrinogen-binding adhesin', 156, NULL, 'SdrG_C_C', 3894),
(3895, 'PF13918', NULL, 'PLD-like domain', 177, NULL, 'PLDc_3', 3895),
(3896, 'PF13553', NULL, 'Function to find', 251, NULL, 'FIIND', 3896),
(3897, 'PF11270', NULL, 'Protein of unknown function (DUF3070)', 33, NULL, 'DUF3070', 3897),
(3898, 'PF15550', NULL, 'Draxin', 320, NULL, 'Draxin', 3898),
(3899, 'PF07719', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_2', 3899),
(3900, 'PF04075', NULL, 'F420H(2)-dependent quinone reductase', 130, NULL, 'F420H2_quin_red', 3900),
(3901, 'PF02260', NULL, 'FATC domain', 32, NULL, 'FATC', 3901),
(3902, 'PF12081', NULL, 'GldM N-terminal domain', 194, NULL, 'GldM_N', 3902),
(3903, 'PF15982', NULL, 'N-terminal cysteine-rich region of Transmembrane protein 135', 134, NULL, 'TMEM135_C_rich', 3903),
(3904, 'PF07292', NULL, 'Nmi/IFP 35 domain (NID)', 90, NULL, 'NID', 3904),
(3905, 'PF17165', NULL, 'Domain of unknown function (DUF5121)', 115, NULL, 'DUF5121', 3905),
(3906, 'PF17124', NULL, 'ThiJ/PfpI family-like', 196, NULL, 'ThiJ_like', 3906),
(3907, 'PF13173', NULL, 'AAA domain', 131, NULL, 'AAA_14', 3907),
(3908, 'PF09181', NULL, 'Prolyl-tRNA synthetase, C-terminal', 66, NULL, 'ProRS-C_2', 3908),
(3909, 'PF00114', NULL, 'Pilin (bacterial filament)', 109, NULL, 'Pilin', 3909),
(3910, 'PF15897', NULL, 'Domain of unknown function (DUF4741)', 169, NULL, 'DUF4741', 3910),
(3911, 'PF18160', NULL, 'SMODS and SLOG-associating 2TM effector domain family 5', 192, NULL, 'SLATT_5', 3911),
(3912, 'PF06850', NULL, 'PHB de-polymerase C-terminus', 203, NULL, 'PHB_depo_C', 3912),
(3913, 'PF02812', NULL, 'Glu/Leu/Phe/Val dehydrogenase, dimerisation domain', 130, NULL, 'ELFV_dehydrog_N', 3913),
(3914, 'PF02710', NULL, 'Hemagglutinin domain of haemagglutinin-esterase-fusion glycoprotein', 155, NULL, 'Hema_HEFG', 3914);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3915, 'PF12311', NULL, 'Protein of unknown function (DUF3632)', 175, NULL, 'DUF3632', 3915),
(3916, 'PF07684', NULL, 'NOTCH protein', 59, NULL, 'NODP', 3916),
(3917, 'PF13280', NULL, 'WYL domain', 171, NULL, 'WYL', 3917),
(3918, 'PF12867', NULL, 'DinB superfamily', 128, NULL, 'DinB_2', 3918),
(3919, 'PF09379', NULL, 'FERM N-terminal domain', 64, NULL, 'FERM_N', 3919),
(3920, 'PF17270', NULL, 'Family of unknown function (DUF5336)', 115, NULL, 'DUF5336', 3920),
(3921, 'PF17458', NULL, 'Family of unknown function (DUF5421)', 283, NULL, 'DUF5421', 3921),
(3922, 'PF12240', NULL, 'Angiomotin C terminal', 201, NULL, 'Angiomotin_C', 3922),
(3923, 'PF09775', NULL, 'Keratinocyte-associated protein 2', 129, NULL, 'Keratin_assoc', 3923),
(3924, 'PF00014', NULL, 'Kunitz/Bovine pancreatic trypsin inhibitor domain', 53, NULL, 'Kunitz_BPTI', 3924),
(3925, 'PF11029', NULL, 'DAZ associated protein 2 (DAZAP2)', 133, NULL, 'DAZAP2', 3925),
(3926, 'PF12157', NULL, 'Protein of unknown function (DUF3591)', 442, NULL, 'DUF3591', 3926),
(3927, 'PF08124', NULL, 'Polysaccharide lyase family 8, N terminal alpha-helical domain', 324, NULL, 'Lyase_8_N', 3927),
(3928, 'PF00401', NULL, 'ATP synthase, Delta/Epsilon chain, long alpha-helix domain', 47, NULL, 'ATP-synt_DE', 3928),
(3929, 'PF13402', NULL, 'Peptidase M60, enhancin and enhancin-like', 266, NULL, 'Peptidase_M60', 3929),
(3930, 'PF13417', NULL, 'Glutathione S-transferase, N-terminal domain', 75, NULL, 'GST_N_3', 3930),
(3931, 'PF02719', NULL, 'Polysaccharide biosynthesis protein', 294, NULL, 'Polysacc_synt_2', 3931),
(3932, 'PF09254', NULL, 'Restriction endonuclease FokI, C terminal', 188, NULL, 'Endonuc-FokI_C', 3932),
(3933, 'PF06876', NULL, 'Plant self-incompatibility response (SCRL) protein', 67, NULL, 'SCRL', 3933),
(3934, 'PF13475', NULL, 'Domain of unknown function (DUF4116)', 49, NULL, 'DUF4116', 3934),
(3935, 'PF09526', NULL, 'Probable metal-binding protein (DUF2387)', 75, NULL, 'DUF2387', 3935),
(3936, 'PF09680', NULL, 'Family of unknown function', 24, NULL, 'YjcZ_2', 3936),
(3937, 'PF12109', NULL, 'CXCR4 Chemokine receptor N terminal', 33, NULL, 'CXCR4_N', 3937),
(3938, 'PF07654', NULL, 'Immunoglobulin C1-set domain', 86, NULL, 'C1-set', 3938),
(3939, 'PF05846', NULL, 'Chordopoxvirus A15 protein', 90, NULL, 'Chordopox_A15', 3939),
(3940, 'PF01933', NULL, 'Uncharacterised protein family UPF0052', 293, NULL, 'UPF0052', 3940),
(3941, 'PF10268', NULL, 'Predicted transmembrane protein 161AB', 481, NULL, 'Tmemb_161AB', 3941),
(3942, 'PF17213', NULL, 'Hydin Adenylate kinase-like domain', 199, NULL, 'Hydin_ADK', 3942),
(3943, 'PF10645', NULL, 'Carbohydrate binding', 49, NULL, 'Carb_bind', 3943),
(3944, 'PF15380', NULL, 'Domain of unknown function (DUF4607)', 264, NULL, 'DUF4607', 3944),
(3945, 'PF18840', NULL, 'Large polyvalent protein associated domain 25', 102, NULL, 'LPD25', 3945),
(3946, 'PF05473', NULL, 'UL45 protein, carbohydrate-binding C-type lectin-like', 200, NULL, 'UL45', 3946),
(3947, 'PF13251', NULL, 'Domain of unknown function (DUF4042)', 182, NULL, 'DUF4042', 3947),
(3948, 'PF14810', NULL, 'Patch-forming domain C2 of tRNA-guanine transglycosylase', 71, NULL, 'TGT_C2', 3948),
(3949, 'PF04273', NULL, 'Putative phosphatase (DUF442)', 110, NULL, 'DUF442', 3949),
(3950, 'PF00508', NULL, 'E2 (early) protein, N terminal', 200, NULL, 'PPV_E2_N', 3950),
(3951, 'PF17983', NULL, 'Trypsin inhibitors 1,2 and 3', 33, NULL, 'Tryp_inh', 3951),
(3952, 'PF10521', NULL, 'Tti2 family', 281, NULL, 'Tti2', 3952),
(3953, 'PF03293', NULL, 'Poxvirus DNA-directed RNA polymerase, 18 kD subunit', 160, NULL, 'Pox_RNA_pol', 3953),
(3954, 'PF17524', NULL, 'Anti-sigma factor CnrY', 95, NULL, 'CnrY', 3954),
(3955, 'PF03352', NULL, 'Methyladenine glycosylase', 177, NULL, 'Adenine_glyco', 3955),
(3956, 'PF14132', NULL, 'Domain of unknown function (DUF4299)', 301, NULL, 'DUF4299', 3956),
(3957, 'PF17356', NULL, 'Phage-like element PBSX protein XtrA', 64, NULL, 'PBSX_XtrA', 3957);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(3958, 'PF02864', NULL, 'STAT protein, DNA binding domain', 135, NULL, 'STAT_bind', 3958),
(3959, 'PF17103', NULL, 'Stealth protein CR4, conserved region 4', 55, NULL, 'Stealth_CR4', 3959),
(3960, 'PF14863', NULL, 'Alkyl sulfatase dimerisation', 139, NULL, 'Alkyl_sulf_dimr', 3960),
(3961, 'PF00367', NULL, 'phosphotransferase system, EIIB', 34, NULL, 'PTS_EIIB', 3961),
(3962, 'PF08972', NULL, 'Domain of unknown function (DUF1902)', 75, NULL, 'DUF1902', 3962),
(3963, 'PF02541', NULL, 'Ppx/GppA phosphatase family', 285, NULL, 'Ppx-GppA', 3963),
(3964, 'PF15200', NULL, 'Keratinocyte differentiation-associated', 77, NULL, 'KRTDAP', 3964),
(3965, 'PF06023', NULL, 'CRISPR-associated exonuclease Csa1', 292, NULL, 'Csa1', 3965),
(3966, 'PF01158', NULL, 'Ribosomal protein L36e', 96, NULL, 'Ribosomal_L36e', 3966),
(3967, 'PF05907', NULL, 'Eukaryotic protein of unknown function (DUF866)', 155, NULL, 'DUF866', 3967),
(3968, 'PF07595', NULL, 'Planctomycete extracellular', 24, NULL, 'Planc_extracel', 3968),
(3969, 'PF09166', NULL, 'Biliverdin reductase, catalytic', 113, NULL, 'Biliv-reduc_cat', 3969),
(3970, 'PF12267', NULL, 'Protein of unknown function (DUF3614)', 173, NULL, 'DUF3614', 3970),
(3971, 'PF04921', NULL, 'XAP5, circadian clock regulator', 255, NULL, 'XAP5', 3971),
(3972, 'PF18672', NULL, 'Family of unknown function (DUF5634) N-terminal domain', 93, NULL, 'DUF5634_N', 3972),
(3973, 'PF12633', NULL, 'Adenylate cyclase NT domain', 199, NULL, 'Adenyl_cycl_N', 3973),
(3974, 'PF00693', NULL, 'Thymidine kinase from herpesvirus', 280, NULL, 'Herpes_TK', 3974),
(3975, 'PF05840', NULL, 'Bacteriophage replication gene A protein (GPA)', 318, NULL, 'Phage_GPA', 3975),
(3976, 'PF02949', NULL, '7tm Odorant receptor', 313, NULL, '7tm_6', 3976),
(3977, 'PF14680', NULL, 'FANCI helical domain 2', 237, NULL, 'FANCI_HD2', 3977),
(3978, 'PF00665', NULL, 'Integrase core domain', 102, NULL, 'rve', 3978),
(3979, 'PF02543', NULL, 'Carbamoyltransferase N-terminus', 338, NULL, 'Carbam_trans_N', 3979),
(3980, 'PF00723', NULL, 'Glycosyl hydrolases family 15', 448, NULL, 'Glyco_hydro_15', 3980),
(3981, 'PF09688', NULL, 'Protein of unknown function (Wx5_PLAF3D7)', 144, NULL, 'Wx5_PLAF3D7', 3981),
(3982, 'PF16106', NULL, 'Domain of unknown function (DUF4824)', 253, NULL, 'DUF4824', 3982),
(3983, 'PF18290', NULL, 'Nudix hydrolase domain', 80, NULL, 'Nudix_hydro', 3983),
(3984, 'PF09428', NULL, 'Fungal protein of unknown function (DUF2011)', 89, NULL, 'DUF2011', 3984),
(3985, 'PF05677', NULL, 'Chlamydia CHLPS protein (DUF818)', 365, NULL, 'DUF818', 3985),
(3986, 'PF14618', NULL, 'Domain of unknown function (DUF4452)', 170, NULL, 'DUF4452', 3986),
(3987, 'PF04676', NULL, 'Protein similar to CwfJ C-terminus 2', 99, NULL, 'CwfJ_C_2', 3987),
(3988, 'PF07045', NULL, 'Domain of unknown function (DUF1330)', 94, NULL, 'DUF1330', 3988),
(3989, 'PF11396', NULL, 'Putative beta-lactamase-inhibitor-like, PepSY-like', 90, NULL, 'PepSY_like', 3989),
(3990, 'PF07698', NULL, '7TM receptor with intracellular HD hydrolase', 194, NULL, '7TM-7TMR_HD', 3990),
(3991, 'PF05276', NULL, 'SH3 domain-binding protein 5 (SH3BP5)', 231, NULL, 'SH3BP5', 3991),
(3992, 'PF15901', NULL, 'Sortilin, neurotensin receptor 3, C-terminal', 170, NULL, 'Sortilin_C', 3992),
(3993, 'PF07007', NULL, 'Lysozyme inhibitor LprI', 97, NULL, 'LprI', 3993),
(3994, 'PF15640', NULL, 'Metallopeptidase toxin 4', 132, NULL, 'Tox-MPTase4', 3994),
(3995, 'PF07573', NULL, 'Nitrogen regulatory protein AreA N terminus', 94, NULL, 'AreA_N', 3995),
(3996, 'PF19162', NULL, 'Family of unknown function (DUF5844)', 109, NULL, 'DUF5844', 3996),
(3997, 'PF18501', NULL, 'Alpha helical recognition lobe domain', 248, NULL, 'REC1', 3997),
(3998, 'PF01702', NULL, 'Queuine tRNA-ribosyltransferase', 356, NULL, 'TGT', 3998),
(3999, 'PF09241', NULL, 'Herpesviridae viral cyclin', 106, NULL, 'Herp-Cyclin', 3999),
(4000, 'PF16992', NULL, 'DNA-directed RNA polymerase, subunit G', 119, NULL, 'RNA_pol_RpbG', 4000);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4001, 'PF02414', NULL, 'Borrelia ORF-A', 291, NULL, 'Borrelia_orfA', 4001),
(4002, 'PF18616', NULL, 'CDI immunity proteins', 95, NULL, 'CdiI_3', 4002),
(4003, 'PF07330', NULL, 'Protein of unknown function (DUF1467)', 83, NULL, 'DUF1467', 4003),
(4004, 'PF19120', NULL, 'Family of unknown function (DUF5804)', 108, NULL, 'DUF5804', 4004),
(4005, 'PF01758', NULL, 'Sodium Bile acid symporter family', 195, NULL, 'SBF', 4005),
(4006, 'PF01894', NULL, 'Uncharacterised protein family UPF0047', 115, NULL, 'UPF0047', 4006),
(4007, 'PF18037', NULL, 'Ubiquitin-like domain', 98, NULL, 'Ubiquitin_5', 4007),
(4008, 'PF13228', NULL, 'Domain of unknown function (DUF4037)', 101, NULL, 'DUF4037', 4008),
(4009, 'PF05097', NULL, 'Protein of unknown function (DUF688)', 446, NULL, 'DUF688', 4009),
(4010, 'PF09040', NULL, 'Gastric H+/K+-ATPase, N terminal domain', 43, NULL, 'H-K_ATPase_N', 4010),
(4011, 'PF16028', NULL, 'Solute carrier family 3 member 2 N-terminus', 77, NULL, 'SLC3A2_N', 4011),
(4012, 'PF16685', NULL, 'zinc RING finger of MSL2', 70, NULL, 'zf-RING_10', 4012),
(4013, 'PF06547', NULL, 'Protein of unknown function (DUF1117)', 113, NULL, 'DUF1117', 4013),
(4014, 'PF18812', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease3', 116, NULL, 'PBECR3', 4014),
(4015, 'PF05924', NULL, 'SAMP Motif', 22, NULL, 'SAMP', 4015),
(4016, 'PF15450', NULL, 'Coiled-coil domain-containing protein 154', 531, NULL, 'CCDC154', 4016),
(4017, 'PF16424', NULL, 'Domain of unknown function (DUF5021)', 158, NULL, 'DUF5021', 4017),
(4018, 'PF09017', NULL, 'Microbial transglutaminase', 414, NULL, 'Transglut_prok', 4018),
(4019, 'PF16982', NULL, 'Putative Flagellin, Flp1-like, domain', 49, NULL, 'Flp1_like', 4019),
(4020, 'PF02310', NULL, 'B12 binding domain', 121, NULL, 'B12-binding', 4020),
(4021, 'PF12904', NULL, 'Putative collagen-binding domain of a collagenase', 92, NULL, 'Collagen_bind_2', 4021),
(4022, 'PF11505', NULL, 'Protein of unknown function (DUF3216)', 91, NULL, 'DUF3216', 4022),
(4023, 'PF07033', NULL, 'Orthopoxvirus B11R protein', 71, NULL, 'Orthopox_B11R', 4023),
(4024, 'PF06296', NULL, 'RelE toxin of RelE / RelB toxin-antitoxin system', 120, NULL, 'RelE', 4024),
(4025, 'PF09364', NULL, 'XFP N-terminal domain', 364, NULL, 'XFP_N', 4025),
(4026, 'PF18424', NULL, 'Alpha-Dystroglycan N-terminal domain 2', 123, NULL, 'a_DG1_N2', 4026),
(4027, 'PF11757', NULL, 'Suppressor of RNA silencing P21-like N-terminal domain', 94, NULL, 'RSS_P20', 4027),
(4028, 'PF15943', NULL, 'Putative antitoxin of bacterial toxin-antitoxin system, YdaS/YdaT', 65, NULL, 'YdaS_antitoxin', 4028),
(4029, 'PF01447', NULL, 'Thermolysin metallopeptidase, catalytic domain', 146, NULL, 'Peptidase_M4', 4029),
(4030, 'PF06649', NULL, 'Protein of unknown function (DUF1161)', 52, NULL, 'DUF1161', 4030),
(4031, 'PF08017', NULL, 'Fibrinogen binding protein', 393, NULL, 'Fibrinogen_BP', 4031),
(4032, 'PF01611', NULL, 'Filovirus glycoprotein', 375, NULL, 'Filo_glycop', 4032),
(4033, 'PF16412', NULL, 'Domain of unknown function (DUF5020)', 212, NULL, 'DUF5020', 4033),
(4034, 'PF16695', NULL, 'Type VI secretion system (T6SS), amidase immunity protein', 92, NULL, 'Tai4', 4034),
(4035, 'PF01393', NULL, 'Chromo shadow domain', 53, NULL, 'Chromo_shadow', 4035),
(4036, 'PF07774', NULL, 'ER membrane protein complex subunit 1, C-terminal', 213, NULL, 'EMC1_C', 4036),
(4037, 'PF11031', NULL, 'Bacteriophage T holin', 216, NULL, 'Phage_holin_T', 4037),
(4038, 'PF17581', NULL, 'Family of unknown function (DUF5483)', 441, NULL, 'DUF5483', 4038),
(4039, 'PF04485', NULL, 'Phycobilisome degradation protein nblA', 50, NULL, 'NblA', 4039),
(4040, 'PF00807', NULL, 'Apidaecin', 29, NULL, 'Apidaecin', 4040),
(4041, 'PF01995', NULL, 'NrpR regulatory domains NRD1 and 2', 238, NULL, 'NRD1_2', 4041),
(4042, 'PF08324', NULL, 'PUL domain', 276, NULL, 'PUL', 4042),
(4043, 'PF03600', NULL, 'Citrate transporter', 295, NULL, 'CitMHS', 4043),
(4044, 'PF02107', NULL, 'Flagellar L-ring protein', 168, NULL, 'FlgH', 4044);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4045, 'PF17156', NULL, 'Gammaproteobacterial periplasmic sensor domain', 204, NULL, 'GAPES2', 4045),
(4046, 'PF11321', NULL, 'Protein of unknown function (DUF3123)', 113, NULL, 'DUF3123', 4046),
(4047, 'PF03203', NULL, 'MerC mercury resistance protein', 117, NULL, 'MerC', 4047),
(4048, 'PF16250', NULL, 'Domain of unknown function (DUF4907)', 67, NULL, 'DUF4907', 4048),
(4049, 'PF17389', NULL, 'Bacterial alpha-L-rhamnosidase 6 hairpin glycosidase domain', 340, NULL, 'Bac_rhamnosid6H', 4049),
(4050, 'PF03167', NULL, 'Uracil DNA glycosylase superfamily', 155, NULL, 'UDG', 4050),
(4051, 'PF14480', NULL, 'DNA polymerase III polC-type N-terminus I', 72, NULL, 'DNA_pol3_a_NI', 4051),
(4052, 'PF05338', NULL, 'Protein of unknown function (DUF717)', 55, NULL, 'DUF717', 4052),
(4053, 'PF02257', NULL, 'RFX DNA-binding domain', 79, NULL, 'RFX_DNA_binding', 4053),
(4054, 'PF13876', NULL, 'Phage protein (N4 Gp49/phage Sf6 gene 66) family', 81, NULL, 'Phage_gp49_66', 4054),
(4055, 'PF14921', NULL, 'Adenomatosis polyposis coli down-regulated 1', 238, NULL, 'APCDDC', 4055),
(4056, 'PF02030', NULL, 'Hypothetical lipoprotein (MG045 family)', 493, NULL, 'Lipoprotein_8', 4056),
(4057, 'PF03251', NULL, 'Tymovirus 45/70Kd protein', 468, NULL, 'Tymo_45kd_70kd', 4057),
(4058, 'PF05969', NULL, 'Photosystem II complex subunit Ycf12', 33, NULL, 'PSII_Ycf12', 4058),
(4059, 'PF10290', NULL, 'Glycine-rich protein domain (DUF2403)', 63, NULL, 'DUF2403', 4059),
(4060, 'PF16109', NULL, 'Domain of unknown function (DUF4827)', 179, NULL, 'DUF4827', 4060),
(4061, 'PF07929', NULL, 'Plasmid pRiA4b ORF-3-like protein', 174, NULL, 'PRiA4_ORF3', 4061),
(4062, 'PF04976', NULL, 'DMSO reductase anchor subunit (DmsC)', 276, NULL, 'DmsC', 4062),
(4063, 'PF10273', NULL, 'Pre-rRNA-processing protein TSR2', 81, NULL, 'WGG', 4063),
(4064, 'PF07048', NULL, 'Protein of unknown function (DUF1331)', 35, NULL, 'DUF1331', 4064),
(4065, 'PF04526', NULL, 'Protein of unknown function (DUF568)', 101, NULL, 'DUF568', 4065),
(4066, 'PF00507', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase, chain 3', 99, NULL, 'Oxidored_q4', 4066),
(4067, 'PF10080', NULL, 'Predicted membrane protein (DUF2318)', 101, NULL, 'DUF2318', 4067),
(4068, 'PF12292', NULL, 'Protein of unknown function (DUF3624)', 76, NULL, 'DUF3624', 4068),
(4069, 'PF00248', NULL, 'Aldo/keto reductase family', 291, NULL, 'Aldo_ket_red', 4069),
(4070, 'PF18042', NULL, 'ORF 12 gene product N-terminal', 94, NULL, 'ORF_12_N', 4070),
(4071, 'PF08676', NULL, 'MutL C terminal dimerisation domain', 147, NULL, 'MutL_C', 4071),
(4072, 'PF12496', NULL, 'Bcl2-/adenovirus E1B nineteen kDa-interacting protein 2', 138, NULL, 'BNIP2', 4072),
(4073, 'PF01785', NULL, 'Closterovirus coat protein', 189, NULL, 'Closter_coat', 4073),
(4074, 'PF09522', NULL, 'R.Pab1 restriction endonuclease', 119, NULL, 'RE_R_Pab1', 4074),
(4075, 'PF18843', NULL, 'Large polyvalent protein associated domain 28', 97, NULL, 'LPD28', 4075),
(4076, 'PF14767', NULL, 'Replication protein A interacting middle', 94, NULL, 'RPA_interact_M', 4076),
(4077, 'PF03852', NULL, 'DNA mismatch endonuclease Vsr', 74, NULL, 'Vsr', 4077),
(4078, 'PF07197', NULL, 'Protein of unknown function (DUF1409)', 48, NULL, 'DUF1409', 4078),
(4079, 'PF16047', NULL, 'Frog antimicrobial peptide', 21, NULL, 'Antimicrobial22', 4079),
(4080, 'PF10441', NULL, 'Urb2/Npa2 family', 206, NULL, 'Urb2', 4080),
(4081, 'PF03233', NULL, 'Aphid transmission protein', 163, NULL, 'Cauli_AT', 4081),
(4082, 'PF14330', NULL, 'Domain of unknown function (DUF4387)', 98, NULL, 'DUF4387', 4082),
(4083, 'PF11840', NULL, 'Protein of unknown function (DUF3360)', 485, NULL, 'DUF3360', 4083),
(4084, 'PF05592', NULL, 'Bacterial alpha-L-rhamnosidase concanavalin-like domain', 102, NULL, 'Bac_rhamnosid', 4084),
(4085, 'PF19136', NULL, 'Family of unknown function (DUF5819)', 171, NULL, 'DUF5819', 4085),
(4086, 'PF01322', NULL, 'Cytochrome C''', 121, NULL, 'Cytochrom_C_2', 4086),
(4087, 'PF09779', NULL, 'Ima1 N-terminal domain', 137, NULL, 'Ima1_N', 4087);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4088, 'PF05647', NULL, 'Tandem-repeating region of mucin, epiglycanin-like', 68, NULL, 'Epiglycanin_TR', 4088),
(4089, 'PF11461', NULL, 'Rab interacting lysosomal protein', 59, NULL, 'RILP', 4089),
(4090, 'PF18293', NULL, 'Caprin-1 dimerization domain', 116, NULL, 'Caprin-1_dimer', 4090),
(4091, 'PF00864', NULL, 'ATP P2X receptor', 366, NULL, 'P2X_receptor', 4091),
(4092, 'PF17220', NULL, 'Protein of unknown function (DUF5137)', 85, NULL, 'DUF5137', 4092),
(4093, 'PF02465', NULL, 'Flagellar hook-associated protein 2 N-terminus', 97, NULL, 'FliD_N', 4093),
(4094, 'PF17967', NULL, 'Pullulanase N2 domain', 112, NULL, 'Pullulanase_N2', 4094),
(4095, 'PF14683', NULL, 'Polysaccharide lyase family 4, domain III', 169, NULL, 'CBM-like', 4095),
(4096, 'PF10406', NULL, 'Transcription factor TFIID complex subunit 8 C-term', 49, NULL, 'TAF8_C', 4096),
(4097, 'PF16483', NULL, 'Beta-1,3-glucanase', 371, NULL, 'Glyco_hydro_64', 4097),
(4098, 'PF18040', NULL, 'beta porphyranase A C-terminal', 95, NULL, 'BPA_C', 4098),
(4099, 'PF01067', NULL, 'Calpain large subunit, domain III', 135, NULL, 'Calpain_III', 4099),
(4100, 'PF11143', NULL, 'Protein of unknown function (DUF2919)', 146, NULL, 'DUF2919', 4100),
(4101, 'PF11814', NULL, 'Peptidase_C39 like family', 206, NULL, 'DUF3335', 4101),
(4102, 'PF07959', NULL, 'L-fucokinase', 406, NULL, 'Fucokinase', 4102),
(4103, 'PF14135', NULL, 'Domain of unknown function (DUF4302)', 238, NULL, 'DUF4302', 4103),
(4104, 'PF18547', NULL, 'Halobacterial output domain 2', 52, NULL, 'HalOD2', 4104),
(4105, 'PF04599', NULL, 'Poxvirus G5 protein', 425, NULL, 'Pox_G5', 4105),
(4106, 'PF02083', NULL, 'Urotensin II', 12, NULL, 'Urotensin_II', 4106),
(4107, 'PF18680', NULL, 'Plasmodium host cell traversal SPECT1', 180, NULL, 'SPECT1', 4107),
(4108, 'PF10482', NULL, 'Tumour-suppressor protein CtIP N-terminal domain', 120, NULL, 'CtIP_N', 4108),
(4109, 'PF11283', NULL, 'Protein of unknown function (DUF3084)', 77, NULL, 'DUF3084', 4109),
(4110, 'PF09889', NULL, 'Uncharacterized protein containing a Zn-ribbon (DUF2116)', 59, NULL, 'DUF2116', 4110),
(4111, 'PF16796', NULL, 'Microtubule binding', 155, NULL, 'Microtub_bd', 4111),
(4112, 'PF03588', NULL, 'Leucyl/phenylalanyl-tRNA protein transferase', 171, NULL, 'Leu_Phe_trans', 4112),
(4113, 'PF04276', NULL, 'Protein of unknown function (DUF443)', 202, NULL, 'DUF443', 4113),
(4114, 'PF15719', NULL, 'Domain of unknown function (DUF4674)', 191, NULL, 'DUF4674', 4114),
(4115, 'PF16977', NULL, 'C-terminal domain of apextrin', 206, NULL, 'ApeC', 4115),
(4116, 'PF07553', NULL, 'Host cell surface-exposed lipoprotein', 48, NULL, 'Lipoprotein_Ltp', 4116),
(4117, 'PF09346', NULL, 'SMI1 / KNR4 family (SUKH-1)', 133, NULL, 'SMI1_KNR4', 4117),
(4118, 'PF15440', NULL, 'THRAP3/BCLAF1 family', 670, NULL, 'THRAP3_BCLAF1', 4118),
(4119, 'PF03698', NULL, 'Uncharacterised protein family (UPF0180)', 77, NULL, 'UPF0180', 4119),
(4120, 'PF16915', NULL, 'Annelid erythrocruorin linker subunit C-terminus', 121, NULL, 'Eryth_link_C', 4120),
(4121, 'PF04615', NULL, 'Utp14 protein', 753, NULL, 'Utp14', 4121),
(4122, 'PF02026', NULL, 'RyR domain', 91, NULL, 'RyR', 4122),
(4123, 'PF15204', NULL, 'Kita-kyushu lung cancer antigen 1', 87, NULL, 'KKLCAg1', 4123),
(4124, 'PF11720', NULL, 'Peptidase inhibitor I78 family', 65, NULL, 'Inhibitor_I78', 4124),
(4125, 'PF07759', NULL, 'Protein of unknown function (DUF1615)', 320, NULL, 'DUF1615', 4125),
(4126, 'PF18693', NULL, 'TRAM domain', 63, NULL, 'TRAM_2', 4126),
(4127, 'PF17184', NULL, 'Rit1 N-terminal domain', 269, NULL, 'Rit1_C', 4127),
(4128, 'PF04295', NULL, 'D-galactarate dehydratase / Altronate hydrolase, C terminus', 392, NULL, 'GD_AH_C', 4128),
(4129, 'PF04816', NULL, 'tRNA (adenine(22)-N(1))-methyltransferase', 205, NULL, 'TrmK', 4129),
(4130, 'PF11200', NULL, 'Protein of unknown function (DUF2981)', 334, NULL, 'DUF2981', 4130),
(4131, 'PF00954', NULL, 'S-locus glycoprotein domain', 111, NULL, 'S_locus_glycop', 4131);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4132, 'PF16543', NULL, 'DRG Family Regulatory Proteins, Tma46', 89, NULL, 'DFRP_C', 4132),
(4133, 'PF18025', NULL, 'Alpha-(1,3)-fucosyltransferase FucT N-terminal domain', 92, NULL, 'FucT_N', 4133),
(4134, 'PF18626', NULL, 'Glutaminase', 106, NULL, 'Gln_deamidase_2', 4134),
(4135, 'PF16392', NULL, 'Ig-like domain', 86, NULL, 'DUF5001', 4135),
(4136, 'PF13828', NULL, 'Domain of unknown function (DUF4190)', 62, NULL, 'DUF4190', 4136),
(4137, 'PF17111', NULL, 'Fungal N-terminal domain of STAND proteins', 209, NULL, 'Helo_like_N', 4137),
(4138, 'PF16516', NULL, 'Leucine zipper of domain CC2 of NEMO, NF-kappa-B essential modulator', 100, NULL, 'CC2-LZ', 4138),
(4139, 'PF14538', NULL, 'Raptor N-terminal CASPase like domain', 149, NULL, 'Raptor_N', 4139),
(4140, 'PF13198', NULL, 'Protein of unknown function (DUF4014)', 72, NULL, 'DUF4014', 4140),
(4141, 'PF18781', NULL, 'Phage spike trimer', 78, NULL, 'Phage_spike_2', 4141),
(4142, 'PF17797', NULL, 'RL domain', 71, NULL, 'RL', 4142),
(4143, 'PF16066', NULL, 'Domain of unknown function (DUF4808)', 121, NULL, 'DUF4808', 4143),
(4144, 'PF16929', NULL, 'Accessory Sec system GspB-transporter', 505, NULL, 'Asp2', 4144),
(4145, 'PF19027', NULL, 'Family of unknown function (DUF5752)', 208, NULL, 'DUF5752', 4145),
(4146, 'PF18654', NULL, 'LegC3 N-terminal coiled-coil domain', 297, NULL, 'LegC3_N', 4146),
(4147, 'PF15356', NULL, 'Psoriasis susceptibility locus 2', 114, NULL, 'SPR1', 4147),
(4148, 'PF01974', NULL, 'tRNA intron endonuclease, catalytic C-terminal domain', 85, NULL, 'tRNA_int_endo', 4148),
(4149, 'PF07848', NULL, 'PaaX-like protein', 70, NULL, 'PaaX', 4149),
(4150, 'PF11057', NULL, 'Cortexin of kidney', 76, NULL, 'Cortexin', 4150),
(4151, 'PF06894', NULL, 'Bacteriophage lambda tail assembly chaperone, TAC, protein G', 126, NULL, 'Phage_TAC_2', 4151),
(4152, 'PF14214', NULL, 'Helitron helicase-like domain at N-terminus', 198, NULL, 'Helitron_like_N', 4152),
(4153, 'PF11588', NULL, 'Protein of unknown function (DUF3243)', 79, NULL, 'DUF3243', 4153),
(4154, 'PF00643', NULL, 'B-box zinc finger', 42, NULL, 'zf-B_box', 4154),
(4155, 'PF15024', NULL, 'Glycosyltransferase family 18', 557, NULL, 'Glyco_transf_18', 4155),
(4156, 'PF16945', NULL, 'Putative lactococcus lactis phage r1t holin', 72, NULL, 'Phage_r1t_holin', 4156),
(4157, 'PF01153', NULL, 'Glypican', 555, NULL, 'Glypican', 4157),
(4158, 'PF02925', NULL, 'Bacteriophage scaffolding protein D', 141, NULL, 'gpD', 4158),
(4159, 'PF17118', NULL, 'Domain of unknown function (DUF5105)', 189, NULL, 'DUF5105', 4159),
(4160, 'PF01938', NULL, 'TRAM domain', 62, NULL, 'TRAM', 4160),
(4161, 'PF16924', NULL, 'Dipicolinate synthase subunit A N-terminal domain', 116, NULL, 'DpaA_N', 4161),
(4162, 'PF02391', NULL, 'MoaE protein', 113, NULL, 'MoaE', 4162),
(4163, 'PF05130', NULL, 'FlgN protein', 146, NULL, 'FlgN', 4163),
(4164, 'PF15420', NULL, 'Alpha/beta-hydrolase family N-terminus', 209, NULL, 'Abhydrolase_9_N', 4164),
(4165, 'PF14174', NULL, 'YycC-like protein', 51, NULL, 'YycC', 4165),
(4166, 'PF09384', NULL, 'UTP15 C terminal', 147, NULL, 'UTP15_C', 4166),
(4167, 'PF02928', NULL, 'C5HC2 zinc finger', 53, NULL, 'zf-C5HC2', 4167),
(4168, 'PF15131', NULL, 'Domain of unknown function (DUF4567)', 75, NULL, 'DUF4567', 4168),
(4169, 'PF05686', NULL, 'Glycosyl transferase family 90', 396, NULL, 'Glyco_transf_90', 4169),
(4170, 'PF09798', NULL, 'DNA damage checkpoint protein', 613, NULL, 'LCD1', 4170),
(4171, 'PF17084', NULL, 'Topoisomerase I damage affected protein 11', 465, NULL, 'TDA11', 4171),
(4172, 'PF18401', NULL, 'Thioredoxin-like domain', 136, NULL, 'Thioredoxin_13', 4172),
(4173, 'PF07442', NULL, 'Ponericin', 29, NULL, 'Ponericin', 4173),
(4174, 'PF17665', NULL, 'Family of unknown function (DUF5527)', 139, NULL, 'DUF5527', 4174),
(4175, 'PF02537', NULL, 'CrcB-like protein, Camphor Resistance (CrcB)', 94, NULL, 'CRCB', 4175),
(4176, 'PF10764', NULL, 'Inhibitor of sigma-G Gin', 45, NULL, 'Gin', 4176);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4177, 'PF01410', NULL, 'Fibrillar collagen C-terminal domain', 233, NULL, 'COLFI', 4177),
(4178, 'PF17544', NULL, 'Family of unknown function (DUF5460)', 375, NULL, 'DUF5460', 4178),
(4179, 'PF15658', NULL, 'Latrotoxin C-terminal domain', 137, NULL, 'Latrotoxin_C', 4179),
(4180, 'PF17847', NULL, 'Glucose ABC transporter C-terminal domain', 61, NULL, 'GlcV_C_terminal', 4180),
(4181, 'PF12628', NULL, 'Falstatin, cysteine peptidase inhibitor', 173, NULL, 'Inhibitor_I71', 4181),
(4182, 'PF16318', NULL, 'Domain of unknown function (DUF4957)', 141, NULL, 'DUF4957', 4182),
(4183, 'PF04062', NULL, 'ARP2/3 complex ARPC3 (21 kDa) subunit', 174, NULL, 'P21-Arc', 4183),
(4184, 'PF09396', NULL, 'Thrombin light chain', 48, NULL, 'Thrombin_light', 4184),
(4185, 'PF05933', NULL, 'Fungal ATP synthase protein 8 (A6L)', 48, NULL, 'Fun_ATP-synt_8', 4185),
(4186, 'PF18176', NULL, 'KptA in kinetoplastid DICER domain', 159, NULL, 'KptA_kDCL', 4186),
(4187, 'PF15789', NULL, 'Hyphally regulated cell wall GPI-anchored protein 1', 41, NULL, 'Hyr1', 4187),
(4188, 'PF16270', NULL, 'Lipocalin-like domain (DUF4923)', 176, NULL, 'DUF4923', 4188),
(4189, 'PF14003', NULL, 'YlbE-like protein', 61, NULL, 'YlbE', 4189),
(4190, 'PF12897', NULL, 'Alanine-glyoxylate amino-transferase', 421, NULL, 'Aminotran_MocR', 4190),
(4191, 'PF03311', NULL, 'Cornichon protein', 122, NULL, 'Cornichon', 4191),
(4192, 'PF02558', NULL, 'Ketopantoate reductase PanE/ApbA', 151, NULL, 'ApbA', 4192),
(4193, 'PF18059', NULL, 'Csd3 N-terminal', 83, NULL, 'Csd3_N', 4193),
(4194, 'PF00581', NULL, 'Rhodanese-like domain', 107, NULL, 'Rhodanese', 4194),
(4195, 'PF03721', NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, NAD binding domain', 187, NULL, 'UDPG_MGDP_dh_N', 4195),
(4196, 'PF01638', NULL, 'HxlR-like helix-turn-helix', 91, NULL, 'HxlR', 4196),
(4197, 'PF16135', NULL, 'Tify domain binding domain', 52, NULL, 'TDBD', 4197),
(4198, 'PF18722', NULL, 'MazG C-terminal domain', 190, NULL, 'MazG_C', 4198),
(4199, 'PF16479', NULL, 'Domain of unknown function (DUF5056)', 93, NULL, 'DUF5056', 4199),
(4200, 'PF06054', NULL, 'Competence protein CoiA-like family', 377, NULL, 'CoiA', 4200),
(4201, 'PF19157', NULL, 'Family of unknown function (DUF5839)', 87, NULL, 'DUF5839', 4201),
(4202, 'PF14971', NULL, 'Domain of unknown function (DUF4510)', 157, NULL, 'DUF4510', 4202),
(4203, 'PF10883', NULL, 'Protein of unknown function (DUF2681)', 87, NULL, 'DUF2681', 4203),
(4204, 'PF10940', NULL, 'Protein of unknown function (DUF2618)', 40, NULL, 'DUF2618', 4204),
(4205, 'PF03453', NULL, 'MoeA N-terminal region (domain I and II)', 156, NULL, 'MoeA_N', 4205),
(4206, 'PF05368', NULL, 'NmrA-like family', 233, NULL, 'NmrA', 4206),
(4207, 'PF17211', NULL, 'VHL box domain', 49, NULL, 'VHL_C', 4207),
(4208, 'PF06157', NULL, 'Protein of unknown function (DUF973)', 310, NULL, 'DUF973', 4208),
(4209, 'PF06430', NULL, 'Lactococcus lactis RepB C-terminus', 124, NULL, 'L_lactis_RepB_C', 4209),
(4210, 'PF04528', NULL, 'Adenovirus early E4 34 kDa protein conserved region', 145, NULL, 'Adeno_E4_34', 4210),
(4211, 'PF03239', NULL, 'Iron permease FTR1 family', 306, NULL, 'FTR1', 4211),
(4212, 'PF00293', NULL, 'NUDIX domain', 131, NULL, 'NUDIX', 4212),
(4213, 'PF11246', NULL, 'Base plate wedge protein 53', 189, NULL, 'Phage_gp53', 4213),
(4214, 'PF06734', NULL, 'UL97', 182, NULL, 'UL97', 4214),
(4215, 'PF15758', NULL, 'Histidine-rich carboxyl terminus protein 1', 78, NULL, 'HRCT1', 4215),
(4216, 'PF15017', NULL, 'Putative WW-binding domain and destruction box', 70, NULL, 'WRNPLPNID', 4216),
(4217, 'PF14308', NULL, 'X-domain of DnaJ-containing', 209, NULL, 'DnaJ-X', 4217),
(4218, 'PF17222', NULL, 'Viral cysteine endopeptidase C107', 314, NULL, 'Peptidase_C107', 4218),
(4219, 'PF16306', NULL, 'Domain of unknown function (DUF4948)', 171, NULL, 'DUF4948', 4219),
(4220, 'PF05057', NULL, 'Putative serine esterase (DUF676)', 219, NULL, 'DUF676', 4220),
(4221, 'PF10911', NULL, 'Protein of unknown function (DUF2717)', 77, NULL, 'DUF2717', 4221);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4222, 'PF16750', NULL, 'Sensor domain of 2-component histidine kinase', 110, NULL, 'HK_sensor', 4222),
(4223, 'PF01091', NULL, 'PTN/MK heparin-binding protein family, C-terminal domain', 65, NULL, 'PTN_MK_C', 4223),
(4224, 'PF16923', NULL, 'Glycosyl hydrolase family 63 N-terminal domain', 227, NULL, 'Glyco_hydro_63N', 4224),
(4225, 'PF13539', NULL, 'D-alanyl-D-alanine carboxypeptidase', 67, NULL, 'Peptidase_M15_4', 4225),
(4226, 'PF10601', NULL, 'LITAF-like zinc ribbon domain', 70, NULL, 'zf-LITAF-like', 4226),
(4227, 'PF08797', NULL, 'HIRAN domain', 96, NULL, 'HIRAN', 4227),
(4228, 'PF18630', NULL, 'Peptidase M60 C-terminal domain', 64, NULL, 'Peptidase_M60_C', 4228),
(4229, 'PF14857', NULL, 'TMEM151 family', 430, NULL, 'TMEM151', 4229),
(4230, 'PF06444', NULL, 'NADH dehydrogenase subunit 2 C-terminus', 55, NULL, 'NADH_dehy_S2_C', 4230),
(4231, 'PF09727', NULL, 'Cortactin-binding protein-2', 191, NULL, 'CortBP2', 4231),
(4232, 'PF09947', NULL, 'Uncharacterized protein conserved in archaea (DUF2180)', 68, NULL, 'DUF2180', 4232),
(4233, 'PF00284', NULL, 'Lumenal portion of Cytochrome b559, alpha (gene psbE) subunit', 39, NULL, 'Cytochrom_B559a', 4233),
(4234, 'PF11198', NULL, 'Protein of unknown function (DUF2857)', 175, NULL, 'DUF2857', 4234),
(4235, 'PF04106', NULL, 'Autophagy protein Apg5', 219, NULL, 'APG5', 4235),
(4236, 'PF11035', NULL, 'Small nuclear RNA activating complex subunit 2, SNAP190 Myb', 335, NULL, 'SnAPC_2_like', 4236),
(4237, 'PF04647', NULL, 'Accessory gene regulator B', 184, NULL, 'AgrB', 4237),
(4238, 'PF18224', NULL, 'ToxB N-terminal domain', 61, NULL, 'ToxB_N', 4238),
(4239, 'PF11114', NULL, 'Minor capsid protein', 114, NULL, 'Minor_capsid_2', 4239),
(4240, 'PF10141', NULL, 'Single-strand DNA-specific exonuclease, C terminal domain', 202, NULL, 'ssDNA-exonuc_C', 4240),
(4241, 'PF09474', NULL, 'Type III secretion system YscX (type_III_YscX)', 121, NULL, 'Type_III_YscX', 4241),
(4242, 'PF07836', NULL, 'DmpG-like communication domain', 63, NULL, 'DmpG_comm', 4242),
(4243, 'PF04447', NULL, 'Protein of unknown function (DUF550)', 97, NULL, 'DUF550', 4243),
(4244, 'PF17248', NULL, 'Family of unknown function (DUF5317)', 150, NULL, 'DUF5317', 4244),
(4245, 'PF12289', NULL, 'Rotavirus VP1 C-terminal domain', 313, NULL, 'Rotavirus_VP1', 4245),
(4246, 'PF06773', NULL, 'Bim protein N-terminus', 40, NULL, 'Bim_N', 4246),
(4247, 'PF16591', NULL, 'Helical bimodular sensor domain', 254, NULL, 'HBM', 4247),
(4248, 'PF10323', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srv', 283, NULL, '7TM_GPCR_Srv', 4248),
(4249, 'PF16288', NULL, 'Domain of unknown function (DUF4934)', 102, NULL, 'DUF4934', 4249),
(4250, 'PF08212', NULL, 'Lipocalin-like domain', 143, NULL, 'Lipocalin_2', 4250),
(4251, 'PF09715', NULL, 'Plasmodium protein of unknown function (Plasmod_dom_1)', 66, NULL, 'Plasmod_dom_1', 4251),
(4252, 'PF17318', NULL, 'Family of unknown function (DUF5361)', 36, NULL, 'DUF5361', 4252),
(4253, 'PF00598', NULL, 'Influenza Matrix protein (M1)', 157, NULL, 'Flu_M1', 4253),
(4254, 'PF05407', NULL, 'Rubella virus endopeptidase', 164, NULL, 'Peptidase_C27', 4254),
(4255, 'PF14743', NULL, 'DNA ligase OB-like domain', 66, NULL, 'DNA_ligase_OB_2', 4255),
(4256, 'PF13211', NULL, 'Protein of unknown function (DUF4019)', 104, NULL, 'DUF4019', 4256),
(4257, 'PF07547', NULL, 'RSD-2 N-terminal domain', 85, NULL, 'RSD-2', 4257),
(4258, 'PF17423', NULL, 'Swarming motility protein', 116, NULL, 'SwrA', 4258),
(4259, 'PF07909', NULL, 'Protein of unknown function (DUF1663)', 497, NULL, 'DUF1663', 4259),
(4260, 'PF08930', NULL, 'Domain of unknown function (DUF1912)', 84, NULL, 'DUF1912', 4260),
(4261, 'PF11656', NULL, 'YjbD family (DUF3811)', 88, NULL, 'DUF3811', 4261),
(4262, 'PF00517', NULL, 'Retroviral envelope protein', 197, NULL, 'GP41', 4262),
(4263, 'PF07975', NULL, 'TFIIH C1-like domain', 55, NULL, 'C1_4', 4263),
(4264, 'PF17897', NULL, 'Vanadium chloroperoxidase N-terminal domain', 215, NULL, 'VCPO_N', 4264);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4265, 'PF04649', NULL, 'Mycoplasma hyorhinis VlpA repeat', 13, NULL, 'VlpA_repeat', 4265),
(4266, 'PF11920', NULL, 'Protein of unknown function (DUF3438)', 289, NULL, 'DUF3438', 4266),
(4267, 'PF12768', NULL, 'Cortical protein marker for cell polarity', 215, NULL, 'Rax2', 4267),
(4268, 'PF16737', NULL, 'PHD finger protein 12 MRG binding domain', 40, NULL, 'PHF12_MRG_bd', 4268),
(4269, 'PF05725', NULL, 'FNIP Repeat', 44, NULL, 'FNIP', 4269),
(4270, 'PF07457', NULL, 'Protein of unknown function (DUF1516)', 108, NULL, 'DUF1516', 4270),
(4271, 'PF04376', NULL, 'Arginine-tRNA-protein transferase, N terminus', 81, NULL, 'ATE_N', 4271),
(4272, 'PF17973', NULL, 'Bacterial Alpha-2-macroglobulin MG10 domain', 130, NULL, 'bMG10', 4272),
(4273, 'PF06471', NULL, 'Coronavirus guanine-N7 methyltransferase', 513, NULL, 'CoV_Methyltr_1', 4273),
(4274, 'PF13434', NULL, 'L-lysine 6-monooxygenase (NADPH-requiring)', 342, NULL, 'K_oxygenase', 4274),
(4275, 'PF09362', NULL, 'Domain of unknown function (DUF1996)', 233, NULL, 'DUF1996', 4275),
(4276, 'PF05593', NULL, 'RHS Repeat', 38, NULL, 'RHS_repeat', 4276),
(4277, 'PF17154', NULL, 'Gammaproteobacterial periplasmic sensor domain', 121, NULL, 'GAPES3', 4277),
(4278, 'PF01801', NULL, 'Cytomegalovirus glycoprotein L', 211, NULL, 'Cytomega_gL', 4278),
(4279, 'PF16998', NULL, '17 kDa outer membrane surface antigen', 116, NULL, '17kDa_Anti_2', 4279),
(4280, 'PF13620', NULL, 'Carboxypeptidase regulatory-like domain', 82, NULL, 'CarboxypepD_reg', 4280),
(4281, 'PF01018', NULL, 'GTP1/OBG', 155, NULL, 'GTP1_OBG', 4281),
(4282, 'PF09446', NULL, 'VMA21-like domain', 64, NULL, 'VMA21', 4282),
(4283, 'PF12411', NULL, 'Choline sulfatase enzyme C terminal', 53, NULL, 'Choline_sulf_C', 4283),
(4284, 'PF15023', NULL, 'Protein of unknown function (DUF4523)', 166, NULL, 'DUF4523', 4284),
(4285, 'PF04734', NULL, 'Neutral/alkaline non-lysosomal ceramidase, N-terminal', 508, NULL, 'Ceramidase_alk', 4285),
(4286, 'PF10952', NULL, 'Protein of unknown function (DUF2753)', 140, NULL, 'DUF2753', 4286),
(4287, 'PF04747', NULL, 'Protein of unknown function, DUF612', 504, NULL, 'DUF612', 4287),
(4288, 'PF01022', NULL, 'Bacterial regulatory protein, arsR family', 47, NULL, 'HTH_5', 4288),
(4289, 'PF09370', NULL, 'Phosphoenolpyruvate hydrolase-like', 267, NULL, 'PEP_hydrolase', 4289),
(4290, 'PF04255', NULL, 'Protein of unknown function (DUF433)', 56, NULL, 'DUF433', 4290),
(4291, 'PF05145', NULL, 'Transition state regulatory protein AbrB', 314, NULL, 'AbrB', 4291),
(4292, 'PF14387', NULL, 'Domain of unknown function (DUF4418)', 119, NULL, 'DUF4418', 4292),
(4293, 'PF10646', NULL, 'Sporulation and spore germination', 104, NULL, 'Germane', 4293),
(4294, 'PF01093', NULL, 'Clusterin', 430, NULL, 'Clusterin', 4294),
(4295, 'PF07085', NULL, 'DRTGG domain', 105, NULL, 'DRTGG', 4295),
(4296, 'PF03670', NULL, 'Uncharacterised protein family (UPF0184)', 83, NULL, 'UPF0184', 4296),
(4297, 'PF04702', NULL, 'Vicilin N terminal region', 147, NULL, 'Vicilin_N', 4297),
(4298, 'PF04854', NULL, 'Protein of unknown function, DUF624', 77, NULL, 'DUF624', 4298),
(4299, 'PF18994', NULL, 'Prophage endopeptidase tail N-terminal domain', 85, NULL, 'Prophage_tailD1', 4299),
(4300, 'PF19184', NULL, 'Family of unknown function (DUF5866)', 74, NULL, 'DUF5866', 4300),
(4301, 'PF02158', NULL, 'Neuregulin intracellular region', 358, NULL, 'Neuregulin', 4301),
(4302, 'PF03992', NULL, 'Antibiotic biosynthesis monooxygenase', 78, NULL, 'ABM', 4302),
(4303, 'PF15598', NULL, 'Immunity protein 61', 153, NULL, 'Imm61', 4303),
(4304, 'PF14559', NULL, 'Tetratricopeptide repeat', 68, NULL, 'TPR_19', 4304),
(4305, 'PF03841', NULL, 'L-seryl-tRNA selenium transferase', 367, NULL, 'SelA', 4305),
(4306, 'PF09160', NULL, 'FimH, mannose binding', 145, NULL, 'FimH_man-bind', 4306),
(4307, 'PF12879', NULL, 'SICA C-terminal inner membrane domain', 137, NULL, 'SICA_C', 4307),
(4308, 'PF06364', NULL, 'Protein of unknown function (DUF1068)', 167, NULL, 'DUF1068', 4308);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4309, 'PF06980', NULL, 'Protein of unknown function (DUF1302)', 571, NULL, 'DUF1302', 4309),
(4310, 'PF07073', NULL, 'Modulator of Rho-dependent transcription termination (ROF)', 80, NULL, 'ROF', 4310),
(4311, 'PF17110', NULL, 'Subunit 11 of the general transcription factor TFIIH', 171, NULL, 'TFB6', 4311),
(4312, 'PF01778', NULL, 'Ribosomal L28e protein family', 115, NULL, 'Ribosomal_L28e', 4312),
(4313, 'PF11142', NULL, 'Protein of unknown function (DUF2917)', 59, NULL, 'DUF2917', 4313),
(4314, 'PF01549', NULL, 'ShK domain-like', 38, NULL, 'ShK', 4314),
(4315, 'PF07438', NULL, 'Protein of unknown function (DUF1514)', 62, NULL, 'DUF1514', 4315),
(4316, 'PF18298', NULL, 'NusG additional domain', 109, NULL, 'NusG_add', 4316),
(4317, 'PF06969', NULL, 'HemN C-terminal domain', 66, NULL, 'HemN_C', 4317),
(4318, 'PF14628', NULL, 'Domain of unknown function (DUF4454)', 210, NULL, 'DUF4454', 4318),
(4319, 'PF01094', NULL, 'Receptor family ligand binding region', 354, NULL, 'ANF_receptor', 4319),
(4320, 'PF16563', NULL, 'Coiled-coil and interaction region of P66A and P66B with MBD2', 44, NULL, 'P66_CC', 4320),
(4321, 'PF03423', NULL, 'Carbohydrate binding domain (family 25)', 105, NULL, 'CBM_25', 4321),
(4322, 'PF12993', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3877)', 173, NULL, 'DUF3877', 4322),
(4323, 'PF08874', NULL, 'Domain of unknown function (DUF1835)', 120, NULL, 'DUF1835', 4323),
(4324, 'PF06823', NULL, 'Protein of unknown function (DUF1236)', 65, NULL, 'DUF1236', 4324),
(4325, 'PF06812', NULL, 'ImpA, N-terminal, type VI secretion system', 119, NULL, 'ImpA_N', 4325),
(4326, 'PF02008', NULL, 'CXXC zinc finger domain', 48, NULL, 'zf-CXXC', 4326),
(4327, 'PF02479', NULL, 'Herpesvirus immediate early protein', 134, NULL, 'Herpes_IE68', 4327),
(4328, 'PF17913', NULL, 'FHA domain', 97, NULL, 'FHA_2', 4328),
(4329, 'PF06261', NULL, 'Actinobacillus actinomycetemcomitans leukotoxin activator LktC', 150, NULL, 'LktC', 4329),
(4330, 'PF17006', NULL, 'Domain of unknown function (DUF5087)', 292, NULL, 'DUF5087', 4330),
(4331, 'PF03335', NULL, 'Phage tail fibre repeat', 14, NULL, 'Phage_fiber', 4331),
(4332, 'PF11846', NULL, 'Virulence factor membrane-bound polymerase, C-terminal', 188, NULL, 'Wzy_C_2', 4332),
(4333, 'PF07484', NULL, 'Phage Tail Collar Domain', 57, NULL, 'Collar', 4333),
(4334, 'PF01195', NULL, 'Peptidyl-tRNA hydrolase', 183, NULL, 'Pept_tRNA_hydro', 4334),
(4335, 'PF11936', NULL, 'Domain of unknown function (DUF3454)', 64, NULL, 'DUF3454', 4335),
(4336, 'PF01417', NULL, 'ENTH domain', 125, NULL, 'ENTH', 4336),
(4337, 'PF14442', NULL, 'Bd3614-like deaminase N-terminal', 92, NULL, 'Bd3614_N', 4337),
(4338, 'PF12321', NULL, 'Protein of unknown function (DUF3634)', 102, NULL, 'DUF3634', 4338),
(4339, 'PF08372', NULL, 'Plant phosphoribosyltransferase C-terminal', 156, NULL, 'PRT_C', 4339),
(4340, 'PF09212', NULL, 'Carbohydrate binding module 27', 170, NULL, 'CBM27', 4340),
(4341, 'PF14850', NULL, 'DNA-binding domain of Proline dehydrogenase', 112, NULL, 'Pro_dh-DNA_bdg', 4341),
(4342, 'PF17157', NULL, 'Gammaproteobacterial periplasmic sensor domain', 98, NULL, 'GAPES4', 4342),
(4343, 'PF03189', NULL, 'Otopetrin', 448, NULL, 'Otopetrin', 4343),
(4344, 'PF12383', NULL, 'Severe acute respiratory syndrome coronavirus 3b protein', 153, NULL, 'SARS_3b', 4344),
(4345, 'PF12004', NULL, 'Domain of unknown function (DUF3498)', 515, NULL, 'DUF3498', 4345),
(4346, 'PF11677', NULL, 'Protein of unknown function (DUF3273)', 265, NULL, 'DUF3273', 4346),
(4347, 'PF01456', NULL, 'Mucin-like glycoprotein', 143, NULL, 'Mucin', 4347),
(4348, 'PF14576', NULL, 'Sieve element occlusion N-terminus', 287, NULL, 'SEO_N', 4348),
(4349, 'PF05770', NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase ATP-grasp domain', 201, NULL, 'Ins134_P3_kin', 4349),
(4350, 'PF12274', NULL, 'Protein of unknown function (DUF3615)', 91, NULL, 'DUF3615', 4350),
(4351, 'PF10965', NULL, 'Protein of unknown function (DUF2767)', 67, NULL, 'DUF2767', 4351);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4352, 'PF07071', NULL, 'KDGP aldolase', 218, NULL, 'KDGP_aldolase', 4352),
(4353, 'PF14455', NULL, 'Predicted metal binding domain', 177, NULL, 'Metal_CEHH', 4353),
(4354, 'PF10563', NULL, 'Putative carbonic anhydrase', 178, NULL, 'CA_like', 4354),
(4355, 'PF13499', NULL, 'EF-hand domain pair', 70, NULL, 'EF-hand_7', 4355),
(4356, 'PF02361', NULL, 'Cobalt transport protein', 218, NULL, 'CbiQ', 4356),
(4357, 'PF09425', NULL, 'Jas motif', 26, NULL, 'Jas_motif', 4357),
(4358, 'PF03129', NULL, 'Anticodon binding domain', 94, NULL, 'HGTP_anticodon', 4358),
(4359, 'PF00015', NULL, 'Methyl-accepting chemotaxis protein (MCP) signalling domain', 172, NULL, 'MCPsignal', 4359),
(4360, 'PF03553', NULL, 'Na+/H+ antiporter family', 303, NULL, 'Na_H_antiporter', 4360),
(4361, 'PF01475', NULL, 'Ferric uptake regulator family', 120, NULL, 'FUR', 4361),
(4362, 'PF04626', NULL, 'Dec-1 protein, C terminal region', 131, NULL, 'DEC-1_C', 4362),
(4363, 'PF15636', NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin', 78, NULL, 'Tox-GHH', 4363),
(4364, 'PF13880', NULL, 'ESCO1/2 acetyl-transferase', 69, NULL, 'Acetyltransf_13', 4364),
(4365, 'PF00106', NULL, 'short chain dehydrogenase', 195, NULL, 'adh_short', 4365),
(4366, 'PF14428', NULL, 'SCP1.201-like deaminase', 137, NULL, 'SCP1201-deam', 4366),
(4367, 'PF14802', NULL, 'TMEM192 family', 235, NULL, 'TMEM192', 4367),
(4368, 'PF16587', NULL, '17 kDa common-antigen outer membrane protein', 82, NULL, 'DUF5061', 4368),
(4369, 'PF11939', NULL, '[NiFe]-hydrogenase assembly, chaperone, HybE', 154, NULL, 'NiFe-hyd_HybE', 4369),
(4370, 'PF10532', NULL, 'Plant specific N-all beta domain', 114, NULL, 'Plant_all_beta', 4370),
(4371, 'PF09969', NULL, 'Uncharacterized conserved protein (DUF2203)', 122, NULL, 'DUF2203', 4371),
(4372, 'PF07110', NULL, 'EthD domain', 94, NULL, 'EthD', 4372),
(4373, 'PF13469', NULL, 'Sulfotransferase family', 217, NULL, 'Sulfotransfer_3', 4373),
(4374, 'PF15398', NULL, 'Domain of unknown function (DUF4619)', 296, NULL, 'DUF4619', 4374),
(4375, 'PF18438', NULL, 'Glycosyl hydrolases family 38 C-terminal domain 1', 111, NULL, 'Glyco_hydro_38', 4375),
(4376, 'PF06102', NULL, 'rRNA biogenesis protein RRP36', 166, NULL, 'RRP36', 4376),
(4377, 'PF08355', NULL, 'EF hand associated', 73, NULL, 'EF_assoc_1', 4377),
(4378, 'PF02304', NULL, 'Scaffold protein B', 117, NULL, 'Phage_B', 4378),
(4379, 'PF00684', NULL, 'DnaJ central domain', 66, NULL, 'DnaJ_CXXCXGXG', 4379),
(4380, 'PF08820', NULL, 'Domain of unknown function (DUF1803)', 93, NULL, 'DUF1803', 4380),
(4381, 'PF02064', NULL, 'MAS20 protein import receptor', 132, NULL, 'MAS20', 4381),
(4382, 'PF13844', NULL, 'Glycosyl transferase family 41', 543, NULL, 'Glyco_transf_41', 4382),
(4383, 'PF06643', NULL, 'Protein of unknown function (DUF1158)', 79, NULL, 'DUF1158', 4383),
(4384, 'PF04266', NULL, 'ASCH domain', 107, NULL, 'ASCH', 4384),
(4385, 'PF02971', NULL, 'Formiminotransferase domain', 144, NULL, 'FTCD', 4385),
(4386, 'PF14566', NULL, 'Inositol hexakisphosphate', 156, NULL, 'PTPlike_phytase', 4386),
(4387, 'PF07882', NULL, 'L-fucose isomerase, second N-terminal domain', 180, NULL, 'Fucose_iso_N2', 4387),
(4388, 'PF12369', NULL, 'Gonadotropin hormone receptor transmembrane region', 68, NULL, 'GnHR_trans', 4388),
(4389, 'PF17595', NULL, 'Family of unknown function (DUF5491)', 68, NULL, 'DUF5491', 4389),
(4390, 'PF09919', NULL, 'Uncharacterized conserved protein (DUF2149)', 92, NULL, 'DUF2149', 4390),
(4391, 'PF14112', NULL, 'Immunity protein 22', 121, NULL, 'DUF4284', 4391),
(4392, 'PF11004', NULL, '3-deoxy-D-manno-oct-2-ulosonic acid (Kdo) hydroxylase', 275, NULL, 'Kdo_hydroxy', 4392),
(4393, 'PF17325', NULL, 'Stationary phase protein 4', 109, NULL, 'SPG4', 4393),
(4394, 'PF01946', NULL, 'Thi4 family', 235, NULL, 'Thi4', 4394),
(4395, 'PF18154', NULL, 'REase associating with pPIWI_RE', 117, NULL, 'pPIWI_RE_REase', 4395),
(4396, 'PF02181', NULL, 'Formin Homology 2 Domain', 372, NULL, 'FH2', 4396);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4397, 'PF11160', NULL, 'Hypervirulence associated proteins TUDOR domain', 59, NULL, 'Hva1_TUDOR', 4397),
(4398, 'PF10863', NULL, 'Nucleolar protein 19', 142, NULL, 'NOP19', 4398),
(4399, 'PF18017', NULL, 'SAM domain (Sterile alpha motif)', 84, NULL, 'SAM_4', 4399),
(4400, 'PF19208', NULL, 'Family of unknown function (DUF5880)', 97, NULL, 'DUF5880', 4400),
(4401, 'PF10127', NULL, 'RNA repair pathway DNA polymerase beta family', 246, NULL, 'RlaP', 4401),
(4402, 'PF03235', NULL, 'Protein of unknown function DUF262', 221, NULL, 'DUF262', 4402),
(4403, 'PF15511', NULL, 'Centromere kinetochore component CENP-T histone fold', 108, NULL, 'CENP-T_C', 4403),
(4404, 'PF01243', NULL, 'Pyridoxamine 5''-phosphate oxidase', 88, NULL, 'Putative_PNPOx', 4404),
(4405, 'PF18405', NULL, 'Mitochondrial SLC25 homolog', 282, NULL, 'SLC25_like', 4405),
(4406, 'PF11420', NULL, 'Bacteriocin subtilosin A', 35, NULL, 'Subtilosin_A', 4406),
(4407, 'PF02205', NULL, 'WH2 motif', 30, NULL, 'WH2', 4407),
(4408, 'PF08798', NULL, 'CRISPR associated protein', 228, NULL, 'CRISPR_assoc', 4408),
(4409, 'PF07680', NULL, 'TQO small subunit DoxA', 132, NULL, 'DoxA', 4409),
(4410, 'PF12997', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3881)', 283, NULL, 'DUF3881', 4410),
(4411, 'PF06237', NULL, 'Protein of unknown function (DUF1011)', 99, NULL, 'DUF1011', 4411),
(4412, 'PF13805', NULL, 'Eisosome component PIL1', 265, NULL, 'Pil1', 4412),
(4413, 'PF06289', NULL, 'Flagellar and Swarming motility proteins', 59, NULL, 'FlbD', 4413),
(4414, 'PF14414', NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved WHH', 43, NULL, 'WHH', 4414),
(4415, 'PF09930', NULL, 'Predicted transporter (DUF2162)', 223, NULL, 'DUF2162', 4415),
(4416, 'PF12944', NULL, 'Hepatitis A virus viral protein VP', 168, NULL, 'HAV_VP', 4416),
(4417, 'PF00347', NULL, 'Ribosomal protein L6', 76, NULL, 'Ribosomal_L6', 4417),
(4418, 'PF16735', NULL, 'Unconventional myosin-X coiled coil domain', 52, NULL, 'MYO10_CC', 4418),
(4419, 'PF02605', NULL, 'Photosystem I reaction centre subunit XI', 150, NULL, 'PsaL', 4419),
(4420, 'PF11519', NULL, 'Protein of unknown function (DUF3222)', 75, NULL, 'DUF3222', 4420),
(4421, 'PF12580', NULL, 'Tripeptidyl peptidase II', 187, NULL, 'TPPII', 4421),
(4422, 'PF06940', NULL, 'Domain of unknown function (DUF1287)', 163, NULL, 'DUF1287', 4422),
(4423, 'PF00148', NULL, 'Nitrogenase component 1 type Oxidoreductase', 399, NULL, 'Oxidored_nitro', 4423),
(4424, 'PF12654', NULL, 'Domain of unknown function (DUF3786)', 176, NULL, 'DUF3786', 4424),
(4425, 'PF11673', NULL, 'Protein of unknown function (DUF3269)', 73, NULL, 'DUF3269', 4425),
(4426, 'PF16721', NULL, 'Zinc-finger like, probable DNA-binding', 102, NULL, 'zf-H3C2', 4426),
(4427, 'PF18306', NULL, 'SLOG cluster4 family', 152, NULL, 'LDcluster4', 4427),
(4428, 'PF04607', NULL, 'Region found in RelA / SpoT proteins', 117, NULL, 'RelA_SpoT', 4428),
(4429, 'PF10590', NULL, 'Pyridoxine 5''-phosphate oxidase C-terminal dimerisation region', 43, NULL, 'PNP_phzG_C', 4429),
(4430, 'PF17539', NULL, 'Family of unknown function (DUF5456)', 152, NULL, 'DUF5456', 4430),
(4431, 'PF12721', NULL, 'RIP homotypic interaction motif', 52, NULL, 'RHIM', 4431),
(4432, 'PF18112', NULL, 'Autophagy receptor zinc finger-C2H2 domain', 27, NULL, 'Zn-C2H2_12', 4432),
(4433, 'PF13446', NULL, 'A repeated domain in UCH-protein', 59, NULL, 'RPT', 4433),
(4434, 'PF13013', NULL, 'F-box-like domain', 107, NULL, 'F-box-like_2', 4434),
(4435, 'PF00276', NULL, 'Ribosomal protein L23', 86, NULL, 'Ribosomal_L23', 4435),
(4436, 'PF01628', NULL, 'HrcA protein C terminal domain', 219, NULL, 'HrcA', 4436),
(4437, 'PF18756', NULL, 'Nucleotide modification associated domain 4', 87, NULL, 'Nmad4', 4437),
(4438, 'PF16332', NULL, 'Domain of unknown function (DUF4962)', 476, NULL, 'DUF4962', 4438),
(4439, 'PF18534', NULL, 'Helical bundle domain', 84, NULL, 'HBD', 4439),
(4440, 'PF03377', NULL, 'TAL effector repeat', 33, NULL, 'TAL_effector', 4440); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4441, 'PF03520', NULL, 'KCNQ voltage-gated potassium channel', 189, NULL, 'KCNQ_channel', 4441),
(4442, 'PF06375', NULL, 'AP-3 complex subunit delta-1', 156, NULL, 'AP3D1', 4442),
(4443, 'PF02610', NULL, 'L-arabinose isomerase', 356, NULL, 'Arabinose_Isome', 4443),
(4444, 'PF02561', NULL, 'Flagellar protein FliS', 115, NULL, 'FliS', 4444),
(4445, 'PF04281', NULL, 'Mitochondrial import receptor subunit Tom22', 139, NULL, 'Tom22', 4445),
(4446, 'PF05852', NULL, 'Gammaherpesvirus protein of unknown function (DUF848)', 145, NULL, 'DUF848', 4446),
(4447, 'PF07387', NULL, 'Seadornavirus VP7', 308, NULL, 'Seadorna_VP7', 4447),
(4448, 'PF09860', NULL, 'Uncharacterized protein conserved in bacteria (DUF2087)', 69, NULL, 'DUF2087', 4448),
(4449, 'PF16331', NULL, 'TolA binding protein trimerisation', 76, NULL, 'TolA_bind_tri', 4449),
(4450, 'PF15582', NULL, 'Immunity protein 65', 321, NULL, 'Imm65', 4450),
(4451, 'PF10869', NULL, 'Protein of unknown function (DUF2666)', 135, NULL, 'DUF2666', 4451),
(4452, 'PF14016', NULL, 'Protein of unknown function (DUF4232)', 129, NULL, 'DUF4232', 4452),
(4453, 'PF17265', NULL, 'Family of unknown function (DUF5331)', 113, NULL, 'DUF5331', 4453),
(4454, 'PF18574', NULL, 'C2HC Zing finger domain', 33, NULL, 'zf_C2HC_14', 4454),
(4455, 'PF09281', NULL, 'Taq polymerase, exonuclease', 129, NULL, 'Taq-exonuc', 4455),
(4456, 'PF03146', NULL, 'Agrin NtA domain', 109, NULL, 'NtA', 4456),
(4457, 'PF00013', NULL, 'KH domain', 66, NULL, 'KH_1', 4457),
(4458, 'PF02305', NULL, 'Capsid protein (F protein)', 510, NULL, 'Phage_F', 4458),
(4459, 'PF07029', NULL, 'CryBP1 protein', 164, NULL, 'CryBP1', 4459),
(4460, 'PF09739', NULL, 'Mini-chromosome maintenance replisome factor', 581, NULL, 'MCM_bind', 4460),
(4461, 'PF17493', NULL, 'Family of unknown function (DUF5428)', 63, NULL, 'DUF5428', 4461),
(4462, 'PF14665', NULL, 'Rapamycin-insensitive companion of mTOR, phosphorylation-site', 112, NULL, 'RICTOR_phospho', 4462),
(4463, 'PF15913', NULL, 'Furin-like repeat, cysteine-rich', 102, NULL, 'Furin-like_2', 4463),
(4464, 'PF01265', NULL, 'Cytochrome c/c1 heme lyase', 292, NULL, 'Cyto_heme_lyase', 4464),
(4465, 'PF17926', NULL, 'Tetracyclin repressor-like, C-terminal domain', 111, NULL, 'TetR_C_21', 4465),
(4466, 'PF03571', NULL, 'Peptidase family M49', 551, NULL, 'Peptidase_M49', 4466),
(4467, 'PF05234', NULL, 'UAF complex subunit Rrn10', 120, NULL, 'UAF_Rrn10', 4467),
(4468, 'PF15788', NULL, 'Domain of unknown function (DUF4705)', 52, NULL, 'DUF4705', 4468),
(4469, 'PF05785', NULL, 'Rho-activating domain of cytotoxic necrotizing factor', 286, NULL, 'CNF1', 4469),
(4470, 'PF09480', NULL, 'Type III secretion system protein PrgH-EprH (PrgH)', 374, NULL, 'PrgH', 4470),
(4471, 'PF19204', NULL, 'Family of unknown function (DUF5876)', 561, NULL, 'DUF5876', 4471),
(4472, 'PF01985', NULL, 'CRS1 / YhbY (CRM) domain', 84, NULL, 'CRS1_YhbY', 4472),
(4473, 'PF19018', NULL, 'Vanin C-terminal domain', 168, NULL, 'Vanin_C', 4473),
(4474, 'PF01140', NULL, 'Matrix protein (MA), p15', 126, NULL, 'Gag_MA', 4474),
(4475, 'PF03793', NULL, 'PASTA domain', 63, NULL, 'PASTA', 4475),
(4476, 'PF02794', NULL, 'RTX toxin acyltransferase family', 128, NULL, 'HlyC', 4476),
(4477, 'PF11805', NULL, 'Protein of unknown function (DUF3326)', 337, NULL, 'DUF3326', 4477),
(4478, 'PF00251', NULL, 'Glycosyl hydrolases family 32 N-terminal domain', 305, NULL, 'Glyco_hydro_32N', 4478),
(4479, 'PF02625', NULL, 'XdhC and CoxI family', 68, NULL, 'XdhC_CoxI', 4479),
(4480, 'PF07602', NULL, 'Protein of unknown function (DUF1565)', 247, NULL, 'DUF1565', 4480),
(4481, 'PF17757', NULL, 'UvrB interaction domain', 91, NULL, 'UvrB_inter', 4481),
(4482, 'PF13572', NULL, 'Domain of unknown function (DUF4134)', 93, NULL, 'DUF4134', 4482),
(4483, 'PF15899', NULL, 'BNR-Asp box repeat', 14, NULL, 'BNR_6', 4483),
(4484, 'PF12984', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3868)', 110, NULL, 'DUF3868', 4484),
(4485, 'PF17370', NULL, 'Family of unknown function (DUF5392)', 139, NULL, 'DUF5392', 4485);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4486, 'PF09191', NULL, 'CD4, extracellular', 107, NULL, 'CD4-extracel', 4486),
(4487, 'PF00472', NULL, 'RF-1 domain', 116, NULL, 'RF-1', 4487),
(4488, 'PF17569', NULL, 'Family of unknown function (DUF5475)', 81, NULL, 'DUF5475', 4488),
(4489, 'PF07429', NULL, '4-alpha-L-fucosyltransferase glycosyl transferase group 56', 358, NULL, 'Glyco_transf_56', 4489),
(4490, 'PF12961', NULL, 'Domain of unknown function (DUF3850)', 77, NULL, 'DUF3850', 4490),
(4491, 'PF09567', NULL, 'MamI restriction endonuclease', 183, NULL, 'RE_MamI', 4491),
(4492, 'PF18362', NULL, 'Tri-helix bundle domain', 34, NULL, 'THB', 4492),
(4493, 'PF05890', NULL, 'Eukaryotic rRNA processing protein EBP2', 276, NULL, 'Ebp2', 4493),
(4494, 'PF10507', NULL, 'Transmembrane protein 65', 109, NULL, 'TMEM65', 4494),
(4495, 'PF07355', NULL, 'Glycine/sarcosine/betaine reductase selenoprotein B (GRDB)', 347, NULL, 'GRDB', 4495),
(4496, 'PF17230', NULL, 'Family of unknown function (DUF5304)', 150, NULL, 'DUF5304', 4496),
(4497, 'PF11594', NULL, 'Mediator complex subunit 28', 101, NULL, 'Med28', 4497),
(4498, 'PF08278', NULL, 'DNA primase DnaG DnaB-binding', 124, NULL, 'DnaG_DnaB_bind', 4498),
(4499, 'PF13575', NULL, 'Domain of unknown function (DUF4135)', 376, NULL, 'DUF4135', 4499),
(4500, 'PF00357', NULL, 'Integrin alpha cytoplasmic region', 15, NULL, 'Integrin_alpha', 4500),
(4501, 'PF10335', NULL, 'Putative nucleotidyltransferase substrate binding domain', 145, NULL, 'DUF294_C', 4501),
(4502, 'PF03649', NULL, 'Uncharacterised protein family (UPF0014)', 242, NULL, 'UPF0014', 4502),
(4503, 'PF11695', NULL, 'Domain of unknown function (DUF3291)', 139, NULL, 'DUF3291', 4503),
(4504, 'PF11587', NULL, 'Major prion protein bPrPp - N terminal', 30, NULL, 'Prion_bPrPp', 4504),
(4505, 'PF15801', NULL, 'zf-MYND-like zinc finger, mRNA-binding', 47, NULL, 'zf-C6H2', 4505),
(4506, 'PF08665', NULL, 'PglZ domain', 176, NULL, 'PglZ', 4506),
(4507, 'PF12206', NULL, 'Domain of unknown function (DUF3599)', 116, NULL, 'DUF3599', 4507),
(4508, 'PF09272', NULL, 'Hepsin, SRCR domain', 110, NULL, 'Hepsin-SRCR', 4508),
(4509, 'PF11561', NULL, 'Single strand annealing-weakened 1', 244, NULL, 'Saw1', 4509),
(4510, 'PF05628', NULL, 'Borrelia membrane protein P13', 138, NULL, 'Borrelia_P13', 4510),
(4511, 'PF09690', NULL, 'Plasmodium yoelii subtelomeric region (PYST-C1)', 55, NULL, 'PYST-C1', 4511),
(4512, 'PF12545', NULL, 'Filamentous haemagglutinin family outer membrane protein', 110, NULL, 'DUF3739', 4512),
(4513, 'PF16225', NULL, 'Domain of unknown function (DUF4884)', 49, NULL, 'DUF4884', 4513),
(4514, 'PF04378', NULL, 'Ribosomal RNA large subunit methyltransferase D, RlmJ', 245, NULL, 'RsmJ', 4514),
(4515, 'PF02892', NULL, 'BED zinc finger', 44, NULL, 'zf-BED', 4515),
(4516, 'PF01560', NULL, 'Hepatitis C virus non-structural protein E2/NS1', 344, NULL, 'HCV_NS1', 4516),
(4517, 'PF11640', NULL, 'Telomere-length maintenance and DNA damage repair', 151, NULL, 'TAN', 4517),
(4518, 'PF10165', NULL, 'Guanine nucleotide exchange factor synembryn', 457, NULL, 'Ric8', 4518),
(4519, 'PF07896', NULL, 'Protein of unknown function (DUF1674)', 50, NULL, 'DUF1674', 4519),
(4520, 'PF08809', NULL, 'Phage related hypothetical protein (DUF1799)', 80, NULL, 'DUF1799', 4520),
(4521, 'PF16356', NULL, 'Domain of unknown function (DUF4983)', 93, NULL, 'DUF4983', 4521),
(4522, 'PF04931', NULL, 'DNA polymerase phi', 768, NULL, 'DNA_pol_phi', 4522),
(4523, 'PF18447', NULL, 'Fibronectin type III domain', 97, NULL, 'FN3_7', 4523),
(4524, 'PF03402', NULL, 'Vomeronasal organ pheromone receptor family, V1R', 265, NULL, 'V1R', 4524),
(4525, 'PF08440', NULL, 'Potyviridae polyprotein', 277, NULL, 'Poty_PP', 4525),
(4526, 'PF07647', NULL, 'SAM domain (Sterile alpha motif)', 66, NULL, 'SAM_2', 4526),
(4527, 'PF16262', NULL, 'Domain of unknown function (DUF4916)', 170, NULL, 'DUF4916', 4527),
(4528, 'PF18917', NULL, 'Domain of unknown function (DUF5668)', 42, NULL, 'DUF5668', 4528),
(4529, 'PF16463', NULL, 'Phage tail tube protein family', 137, NULL, 'Phage_TTP_13', 4529);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4530, 'PF01300', NULL, 'Telomere recombination', 179, NULL, 'Sua5_yciO_yrdC', 4530),
(4531, 'PF14404', NULL, 'Ribosomally synthesized peptide in Streptomyces species', 63, NULL, 'Strep_pep', 4531),
(4532, 'PF13038', NULL, 'Domain of unknown function (DUF3899)', 84, NULL, 'DUF3899', 4532),
(4533, 'PF01887', NULL, 'S-adenosyl-l-methionine hydroxide adenosyltransferase', 233, NULL, 'SAM_adeno_trans', 4533),
(4534, 'PF00237', NULL, 'Ribosomal protein L22p/L17e', 103, NULL, 'Ribosomal_L22', 4534),
(4535, 'PF04382', NULL, 'SAB domain', 49, NULL, 'SAB', 4535),
(4536, 'PF18024', NULL, 'Helix-turn-helix domain', 50, NULL, 'HTH_50', 4536),
(4537, 'PF07584', NULL, 'Aerotolerance regulator N-terminal', 77, NULL, 'BatA', 4537),
(4538, 'PF00047', NULL, 'Immunoglobulin domain', 87, NULL, 'ig', 4538),
(4539, 'PF05211', NULL, 'Neuraminyllactose-binding hemagglutinin precursor (NLBH)', 253, NULL, 'NLBH', 4539),
(4540, 'PF13318', NULL, 'Protein of unknown function (DUF4089)', 50, NULL, 'DUF4089', 4540),
(4541, 'PF06170', NULL, 'Protein of unknown function (DUF983)', 85, NULL, 'DUF983', 4541),
(4542, 'PF10969', NULL, 'Protein of unknown function (DUF2771)', 127, NULL, 'DUF2771', 4542),
(4543, 'PF06578', NULL, 'YOP proteins translocation protein K (YscK)', 209, NULL, 'YscK', 4543),
(4544, 'PF13647', NULL, 'Glycosyl hydrolase family 80 of chitosanase A', 308, NULL, 'Glyco_hydro_80', 4544),
(4545, 'PF07859', NULL, 'alpha/beta hydrolase fold', 211, NULL, 'Abhydrolase_3', 4545),
(4546, 'PF10508', NULL, 'Proteasome non-ATPase 26S subunit', 497, NULL, 'Proteasom_PSMB', 4546),
(4547, 'PF14178', NULL, 'YppF-like protein', 59, NULL, 'YppF', 4547),
(4548, 'PF10903', NULL, 'Protein of unknown function (DUF2691)', 152, NULL, 'DUF2691', 4548),
(4549, 'PF12054', NULL, 'Domain of unknown function (DUF3535)', 442, NULL, 'DUF3535', 4549),
(4550, 'PF15068', NULL, 'FAM101 family', 208, NULL, 'FAM101', 4550),
(4551, 'PF08690', NULL, 'GET complex subunit GET2', 309, NULL, 'GET2', 4551),
(4552, 'PF17229', NULL, 'Serine/threonine-protein kinase SMG1 N-terminal', 106, NULL, 'SMG1_N', 4552),
(4553, 'PF01614', NULL, 'Bacterial transcriptional regulator', 129, NULL, 'IclR', 4553),
(4554, 'PF11838', NULL, 'ERAP1-like C-terminal domain', 315, NULL, 'ERAP1_C', 4554),
(4555, 'PF14717', NULL, 'Domain of unknown function (DUF4465)', 182, NULL, 'DUF4465', 4555),
(4556, 'PF12848', NULL, 'ABC transporter', 85, NULL, 'ABC_tran_Xtn', 4556),
(4557, 'PF10265', NULL, 'Mitoguardin', 539, NULL, 'Miga', 4557),
(4558, 'PF03611', NULL, 'PTS system sugar-specific permease component', 394, NULL, 'EIIC-GAT', 4558),
(4559, 'PF02585', NULL, 'GlcNAc-PI de-N-acetylase', 132, NULL, 'PIG-L', 4559),
(4560, 'PF10100', NULL, 'Staphylopine dehydrogenase', 424, NULL, 'Staph_opine_DH', 4560),
(4561, 'PF00803', NULL, '3A/RNA2 movement protein family', 236, NULL, '3A', 4561),
(4562, 'PF14649', NULL, 'Spatacsin C-terminus', 304, NULL, 'Spatacsin_C', 4562),
(4563, 'PF08703', NULL, 'PLC-beta C terminal', 176, NULL, 'PLC-beta_C', 4563),
(4564, 'PF15538', NULL, 'Bacterial toxin 46', 157, NULL, 'Ntox46', 4564),
(4565, 'PF16091', NULL, 'Domain of unknown function (DUF4820)', 229, NULL, 'DUF4820', 4565),
(4566, 'PF01665', NULL, 'Rotavirus non-structural protein NSP3', 299, NULL, 'Rota_NSP3', 4566),
(4567, 'PF01220', NULL, 'Dehydroquinase class II', 138, NULL, 'DHquinase_II', 4567),
(4568, 'PF12322', NULL, 'T4 bacteriophage base plate protein', 205, NULL, 'T4_baseplate', 4568),
(4569, 'PF02634', NULL, 'FdhD/NarQ family', 237, NULL, 'FdhD-NarQ', 4569),
(4570, 'PF00421', NULL, 'Photosystem II protein', 511, NULL, 'PSII', 4570),
(4571, 'PF08343', NULL, 'Ribonucleotide reductase N-terminal', 82, NULL, 'RNR_N', 4571),
(4572, 'PF06568', NULL, 'Domain of unknown function (DUF1127)', 37, NULL, 'DUF1127', 4572),
(4573, 'PF09147', NULL, 'Domain of unknown function (DUF1933)', 199, NULL, 'DUF1933', 4573),
(4574, 'PF18768', NULL, 'RNPP family C-terminal domain', 210, NULL, 'RNPP_C', 4574);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4575, 'PF08325', NULL, 'WLM domain', 191, NULL, 'WLM', 4575),
(4576, 'PF17761', NULL, 'DUF1016 N-terminal domain', 137, NULL, 'DUF1016_N', 4576),
(4577, 'PF11497', NULL, 'NADH-quinone oxidoreductase chain 15', 123, NULL, 'NADH_Oxid_Nqo15', 4577),
(4578, 'PF11240', NULL, 'Protein of unknown function (DUF3042)', 54, NULL, 'DUF3042', 4578),
(4579, 'PF18531', NULL, 'Polo box domain', 112, NULL, 'Polo_box_2', 4579),
(4580, 'PF05425', NULL, 'Copper resistance protein D', 105, NULL, 'CopD', 4580),
(4581, 'PF09572', NULL, 'XamI restriction endonuclease', 254, NULL, 'RE_XamI', 4581),
(4582, 'PF12306', NULL, 'Inclusion body protein', 166, NULL, 'PixA', 4582),
(4583, 'PF07918', NULL, 'CAP160 repeat', 27, NULL, 'CAP160', 4583),
(4584, 'PF19175', NULL, 'Family of unknown function (DUF5857)', 287, NULL, 'DUF5857', 4584),
(4585, 'PF08090', NULL, 'Heat stable E.coli enterotoxin 1', 36, NULL, 'Enterotoxin_HS1', 4585),
(4586, 'PF09412', NULL, 'Endoribonuclease XendoU', 265, NULL, 'XendoU', 4586),
(4587, 'PF08143', NULL, 'CBFNT (NUC161) domain', 70, NULL, 'CBFNT', 4587),
(4588, 'PF06565', NULL, 'DUF1126 PH-like domain', 104, NULL, 'DUF1126', 4588),
(4589, 'PF01847', NULL, 'VHL beta domain', 82, NULL, 'VHL', 4589),
(4590, 'PF15933', NULL, 'Antitoxin to bacterial toxin RNase LS or RnlA', 94, NULL, 'RnlB_antitoxin', 4590),
(4591, 'PF08738', NULL, 'Gon7 family', 108, NULL, 'Gon7', 4591),
(4592, 'PF04418', NULL, 'Domain of unknown function (DUF543)', 75, NULL, 'DUF543', 4592),
(4593, 'PF09512', NULL, 'Thiamine-precursor transporter protein (ThiW)', 150, NULL, 'ThiW', 4593),
(4594, 'PF12083', NULL, 'Domain of unknown function (DUF3560)', 124, NULL, 'DUF3560', 4594),
(4595, 'PF08711', NULL, 'TFIIS helical bundle-like domain', 53, NULL, 'Med26', 4595),
(4596, 'PF13802', NULL, 'Galactose mutarotase-like', 68, NULL, 'Gal_mutarotas_2', 4596),
(4597, 'PF00385', NULL, 'Chromo (CHRromatin Organisation MOdifier) domain', 54, NULL, 'Chromo', 4597),
(4598, 'PF18454', NULL, 'Major tropism determinant N-terminal domain', 38, NULL, 'Mtd_N', 4598),
(4599, 'PF02018', NULL, 'Carbohydrate binding domain', 138, NULL, 'CBM_4_9', 4599),
(4600, 'PF03333', NULL, 'Adhesin biosynthesis transcription regulatory protein', 91, NULL, 'PapB', 4600),
(4601, 'PF01259', NULL, 'SAICAR synthetase', 254, NULL, 'SAICAR_synt', 4601),
(4602, 'PF08650', NULL, 'DASH complex subunit Dad4', 71, NULL, 'DASH_Dad4', 4602),
(4603, 'PF04370', NULL, 'Domain of unknown function (DUF508)', 149, NULL, 'DUF508', 4603),
(4604, 'PF10266', NULL, 'Hereditary spastic paraplegia protein strumpellin', 1085, NULL, 'Strumpellin', 4604),
(4605, 'PF08969', NULL, 'USP8 dimerisation domain', 114, NULL, 'USP8_dimer', 4605),
(4606, 'PF00924', NULL, 'Mechanosensitive ion channel', 206, NULL, 'MS_channel', 4606),
(4607, 'PF19077', NULL, 'Bacterial Ig-like domain', 102, NULL, 'Big_13', 4607),
(4608, 'PF13056', NULL, 'Protein of unknown function (DUF3918)', 43, NULL, 'DUF3918', 4608),
(4609, 'PF06677', NULL, 'Sjogren''s syndrome/scleroderma autoantigen 1 (Autoantigen p27)', 40, NULL, 'Auto_anti-p27', 4609),
(4610, 'PF14064', NULL, 'HmuY protein', 155, NULL, 'HmuY', 4610),
(4611, 'PF06979', NULL, 'Assembly, mitochondrial proton-transport ATP synth complex', 132, NULL, 'TMEM70', 4611),
(4612, 'PF12968', NULL, 'Domain of Unknown Function (DUF3856)', 143, NULL, 'DUF3856', 4612),
(4613, 'PF07869', NULL, 'Protein of unknown function (DUF1656)', 56, NULL, 'DUF1656', 4613),
(4614, 'PF00505', NULL, 'HMG (high mobility group) box', 69, NULL, 'HMG_box', 4614),
(4615, 'PF09521', NULL, 'NgoPII restriction endonuclease', 262, NULL, 'RE_NgoPII', 4615),
(4616, 'PF18653', NULL, 'Arcadin 1', 111, NULL, 'Arcadin_1', 4616),
(4617, 'PF14553', NULL, 'YqbF, hypothetical protein domain', 43, NULL, 'YqbF', 4617),
(4618, 'PF03947', NULL, 'Ribosomal Proteins L2, C-terminal domain', 126, NULL, 'Ribosomal_L2_C', 4618),
(4619, 'PF13481', NULL, 'AAA domain', 194, NULL, 'AAA_25', 4619),
(4620, 'PF00094', NULL, 'von Willebrand factor type D domain', 157, NULL, 'VWD', 4620);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4621, 'PF15584', NULL, 'Immunity protein 72', 81, NULL, 'Imm72', 4621),
(4622, 'PF07971', NULL, 'Glycosyl hydrolase family 92', 462, NULL, 'Glyco_hydro_92', 4622),
(4623, 'PF04093', NULL, 'rod shape-determining protein MreD', 160, NULL, 'MreD', 4623),
(4624, 'PF13683', NULL, 'Integrase core domain', 67, NULL, 'rve_3', 4624),
(4625, 'PF10691', NULL, 'Protein of unknown function (DUF2497)', 75, NULL, 'DUF2497', 4625),
(4626, 'PF15903', NULL, 'Filopodia upregulated, FAM65', 346, NULL, 'PL48', 4626),
(4627, 'PF17799', NULL, 'Rrp7 RRM-like N-terminal domain', 162, NULL, 'RRM_Rrp7', 4627),
(4628, 'PF00181', NULL, 'Ribosomal Proteins L2, RNA binding domain', 77, NULL, 'Ribosomal_L2', 4628),
(4629, 'PF08715', NULL, 'Coronavirus papain-like peptidase', 320, NULL, 'CoV_peptidase', 4629),
(4630, 'PF07095', NULL, 'Intracellular growth attenuator protein IgaA', 703, NULL, 'IgaA', 4630),
(4631, 'PF03851', NULL, 'UV-endonuclease UvdE', 276, NULL, 'UvdE', 4631),
(4632, 'PF06363', NULL, 'Picornaviridae P3A protein', 97, NULL, 'Picorna_P3A', 4632),
(4633, 'PF09405', NULL, 'CASC3/Barentsz eIF4AIII binding', 131, NULL, 'Btz', 4633),
(4634, 'PF01780', NULL, 'Ribosomal L37ae protein family', 85, NULL, 'Ribosomal_L37ae', 4634),
(4635, 'PF09794', NULL, 'Transport protein Avl9', 379, NULL, 'Avl9', 4635),
(4636, 'PF01512', NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit', 152, NULL, 'Complex1_51K', 4636),
(4637, 'PF14943', NULL, 'Mitochondrial ribosome subunit S26', 167, NULL, 'MRP-S26', 4637),
(4638, 'PF04059', NULL, 'RNA recognition motif 2', 97, NULL, 'RRM_2', 4638),
(4639, 'PF14367', NULL, 'Domain of unknown function (DUF4411)', 161, NULL, 'DUF4411', 4639),
(4640, 'PF15815', NULL, 'E3 ubiquitin-protein ligase makorin, C-terminal', 91, NULL, 'MKRN1_C', 4640),
(4641, 'PF10033', NULL, 'Autophagy-related protein 13', 239, NULL, 'ATG13', 4641),
(4642, 'PF02035', NULL, 'Coagulin', 174, NULL, 'Coagulin', 4642),
(4643, 'PF17174', NULL, 'Domain of unknown function (DUF5130)', 136, NULL, 'DUF5130', 4643),
(4644, 'PF17626', NULL, 'Inclusion membrane protein F', 104, NULL, 'IncF', 4644),
(4645, 'PF09409', NULL, 'PUB domain', 82, NULL, 'PUB', 4645),
(4646, 'PF05285', NULL, 'SDA1', 343, NULL, 'SDA1', 4646),
(4647, 'PF05332', NULL, 'Protein of unknown function (DUF743)', 113, NULL, 'DUF743', 4647),
(4648, 'PF06552', NULL, 'Plant specific mitochondrial import receptor subunit TOM20', 187, NULL, 'TOM20_plant', 4648),
(4649, 'PF12032', NULL, 'Regulatory CLIP domain of proteinases', 55, NULL, 'CLIP', 4649),
(4650, 'PF15372', NULL, 'Domain of unknown function (DUF4600)', 128, NULL, 'DUF4600', 4650),
(4651, 'PF01107', NULL, 'Viral movement protein (MP)', 191, NULL, 'MP', 4651),
(4652, 'PF04919', NULL, 'Protein of unknown function (DUF655)', 181, NULL, 'DUF655', 4652),
(4653, 'PF17199', NULL, 'Protein of unknown function (DUF5136)', 28, NULL, 'DUF5136', 4653),
(4654, 'PF14207', NULL, 'DpnD/PcfM-like protein', 46, NULL, 'DpnD-PcfM', 4654),
(4655, 'PF07288', NULL, 'Protein of unknown function (DUF1447)', 68, NULL, 'DUF1447', 4655),
(4656, 'PF11342', NULL, 'Protein of unknown function (DUF3144)', 77, NULL, 'DUF3144', 4656),
(4657, 'PF14042', NULL, 'Domain of unknown function (DUF4247)', 125, NULL, 'DUF4247', 4657),
(4658, 'PF18077', NULL, 'Domain of unknown function (DUF5595)', 73, NULL, 'DUF5595', 4658),
(4659, 'PF07037', NULL, 'Putative transcription regulator (DUF1323)', 122, NULL, 'DUF1323', 4659),
(4660, 'PF04823', NULL, 'Herpesvirus UL49 tegument protein', 96, NULL, 'Herpes_UL49_2', 4660),
(4661, 'PF14705', NULL, 'Costars', 76, NULL, 'Costars', 4661),
(4662, 'PF12500', NULL, 'TRSP domain C terminus to PRTase_2', 132, NULL, 'TRSP', 4662),
(4663, 'PF17827', NULL, 'PrmC N-terminal domain', 71, NULL, 'PrmC_N', 4663),
(4664, 'PF15867', NULL, 'Dynein attachment factor N-terminus', 69, NULL, 'Dynein_attach_N', 4664),
(4665, 'PF09637', NULL, 'Med18 protein', 249, NULL, 'Med18', 4665),
(4666, 'PF15912', NULL, 'Virilizer, N-terminal', 265, NULL, 'VIR_N', 4666);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4667, 'PF11002', NULL, 'RFPL defining motif (RDM)', 42, NULL, 'RDM', 4667),
(4668, 'PF12099', NULL, 'Protein of unknown function (DUF3575)', 176, NULL, 'DUF3575', 4668),
(4669, 'PF04235', NULL, 'Protein of unknown function (DUF418)', 163, NULL, 'DUF418', 4669),
(4670, 'PF05748', NULL, 'Rubella membrane glycoprotein E1', 496, NULL, 'Rubella_E1', 4670),
(4671, 'PF02350', NULL, 'UDP-N-acetylglucosamine 2-epimerase', 346, NULL, 'Epimerase_2', 4671),
(4672, 'PF06722', NULL, 'Protein of unknown function (DUF1205)', 95, NULL, 'DUF1205', 4672),
(4673, 'PF16019', NULL, 'Cysteine/serine-rich nuclear protein N-terminus', 219, NULL, 'CSRNP_N', 4673),
(4674, 'PF09744', NULL, 'JNK_SAPK-associated protein-1', 149, NULL, 'Jnk-SapK_ap_N', 4674),
(4675, 'PF01311', NULL, 'Bacterial export proteins, family 1', 230, NULL, 'Bac_export_1', 4675),
(4676, 'PF02770', NULL, 'Acyl-CoA dehydrogenase, middle domain', 97, NULL, 'Acyl-CoA_dh_M', 4676),
(4677, 'PF14286', NULL, 'DHHW protein', 382, NULL, 'DHHW', 4677),
(4678, 'PF07026', NULL, 'Protein of unknown function (DUF1317)', 60, NULL, 'DUF1317', 4678),
(4679, 'PF11410', NULL, 'Antifungal peptide', 33, NULL, 'Antifungal_pept', 4679),
(4680, 'PF15162', NULL, 'Domain of unknown function (DUF4580)', 162, NULL, 'DUF4580', 4680),
(4681, 'PF06789', NULL, 'MINAR1 C-terminal domain', 159, NULL, 'MINAR1_C', 4681),
(4682, 'PF19179', NULL, 'Family of unknown function (DUF5861)', 116, NULL, 'DUF5861', 4682),
(4683, 'PF18519', NULL, 'SAGA-associated factor 11 N-terminal domain', 39, NULL, 'Sgf11_N', 4683),
(4684, 'PF07298', NULL, 'NnrU protein', 211, NULL, 'NnrU', 4684),
(4685, 'PF13923', NULL, 'Zinc finger, C3HC4 type (RING finger)', 40, NULL, 'zf-C3HC4_2', 4685),
(4686, 'PF04363', NULL, 'Protein of unknown function (DUF496)', 93, NULL, 'DUF496', 4686),
(4687, 'PF08779', NULL, 'Betacoronavirus NS7A protein', 107, NULL, 'bCoV_NS7A', 4687),
(4688, 'PF04279', NULL, 'Intracellular septation protein A', 176, NULL, 'IspA', 4688),
(4689, 'PF14620', NULL, 'YpeB sporulation', 361, NULL, 'YPEB', 4689),
(4690, 'PF03428', NULL, 'Replication protein C N-terminal domain', 175, NULL, 'RP-C', 4690),
(4691, 'PF09646', NULL, 'Gp37 protein', 143, NULL, 'Gp37', 4691),
(4692, 'PF16475', NULL, 'Domain of unknown function (DUF5052)', 199, NULL, 'DUF5052', 4692),
(4693, 'PF08943', NULL, 'CsiD', 294, NULL, 'CsiD', 4693),
(4694, 'PF08552', NULL, 'Inositolphosphorylceramide synthase subunit Kei1', 190, NULL, 'Kei1', 4694),
(4695, 'PF06833', NULL, 'Malonate decarboxylase gamma subunit (MdcE)', 232, NULL, 'MdcE', 4695),
(4696, 'PF17283', NULL, 'SprT-like zinc ribbon domain', 38, NULL, 'Zn_ribbon_SprT', 4696),
(4697, 'PF17081', NULL, 'Suppressor of PMA 1-7 protein', 209, NULL, 'SOP4', 4697),
(4698, 'PF03739', NULL, 'Lipopolysaccharide export system permease LptF/LptG', 354, NULL, 'LptF_LptG', 4698),
(4699, 'PF04735', NULL, 'Baculovirus DNA helicase', 1217, NULL, 'Baculo_helicase', 4699),
(4700, 'PF05220', NULL, 'MgpC protein precursor', 226, NULL, 'MgpC', 4700),
(4701, 'PF08049', NULL, 'IlvB leader peptide', 32, NULL, 'IlvB_leader', 4701),
(4702, 'PF19046', NULL, 'GM130 C-terminal binding motif', 46, NULL, 'GM130_C', 4702),
(4703, 'PF00591', NULL, 'Glycosyl transferase family, a/b domain', 253, NULL, 'Glycos_transf_3', 4703),
(4704, 'PF00383', NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', 101, NULL, 'dCMP_cyt_deam_1', 4704),
(4705, 'PF08933', NULL, 'Domain of unknown function (DUF1864)', 387, NULL, 'DUF1864', 4705),
(4706, 'PF17367', NULL, 'NiFe-hydrogenase-type-3 Eha complex subunit A', 94, NULL, 'NiFe_hyd_3_EhaA', 4706),
(4707, 'PF07500', NULL, 'Transcription factor S-II (TFIIS), central domain', 115, NULL, 'TFIIS_M', 4707),
(4708, 'PF10995', NULL, 'Cellulose biosynthesis GIL', 516, NULL, 'CBP_GIL', 4708),
(4709, 'PF09936', NULL, 'SAM-dependent RNA methyltransferase', 182, NULL, 'Methyltrn_RNA_4', 4709),
(4710, 'PF15489', NULL, 'CST, telomere maintenance, complex subunit CTC1', 1139, NULL, 'CTC1', 4710);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4711, 'PF04005', NULL, 'Hus1-like protein', 292, NULL, 'Hus1', 4711),
(4712, 'PF00821', NULL, 'Phosphoenolpyruvate carboxykinase C-terminal P-loop domain', 359, NULL, 'PEPCK_GTP', 4712),
(4713, 'PF14065', NULL, 'Protein of unknown function (DUF4255)', 177, NULL, 'DUF4255', 4713),
(4714, 'PF12715', NULL, 'Abhydrolase family', 388, NULL, 'Abhydrolase_7', 4714),
(4715, 'PF08376', NULL, 'Nitrate and nitrite sensing', 228, NULL, 'NIT', 4715),
(4716, 'PF15764', NULL, 'Domain of unknown function (DUF4693)', 284, NULL, 'DUF4693', 4716),
(4717, 'PF00530', NULL, 'Scavenger receptor cysteine-rich domain', 100, NULL, 'SRCR', 4717),
(4718, 'PF15862', NULL, 'Coilin N-terminus', 136, NULL, 'Coilin_N', 4718),
(4719, 'PF08102', NULL, 'Scorpion antimicrobial peptide', 43, NULL, 'Antimicrobial_7', 4719),
(4720, 'PF18788', NULL, 'Defence against restriction A N-terminal', 122, NULL, 'DarA_N', 4720),
(4721, 'PF08180', NULL, 'B melanoma antigen family', 28, NULL, 'BAGE', 4721),
(4722, 'PF02650', NULL, 'WhiA C-terminal HTH domain', 84, NULL, 'HTH_WhiA', 4722),
(4723, 'PF10431', NULL, 'C-terminal, D2-small domain, of ClpB protein', 81, NULL, 'ClpB_D2-small', 4723),
(4724, 'PF09439', NULL, 'Signal recognition particle receptor beta subunit', 181, NULL, 'SRPRB', 4724),
(4725, 'PF00531', NULL, 'Death domain', 86, NULL, 'Death', 4725),
(4726, 'PF05482', NULL, 'Serendipity locus alpha protein (SRY-A)', 541, NULL, 'Serendipity_A', 4726),
(4727, 'PF03725', NULL, '3'' exoribonuclease family, domain 2', 67, NULL, 'RNase_PH_C', 4727),
(4728, 'PF00659', NULL, 'POLO box duplicated region', 64, NULL, 'POLO_box', 4728),
(4729, 'PF04756', NULL, 'OST3 / OST6 family, transporter family', 293, NULL, 'OST3_OST6', 4729),
(4730, 'PF09700', NULL, 'CRISPR-associated protein (Cas_Cmr3)', 374, NULL, 'Cas_Cmr3', 4730),
(4731, 'PF03908', NULL, 'Sec20', 92, NULL, 'Sec20', 4731),
(4732, 'PF18453', NULL, 'Oligomerization domain of C4b-binding protein alpha', 49, NULL, 'C4bp_oligo', 4732),
(4733, 'PF16896', NULL, 'Phosphogluconate dehydrogenase (decarboxylating) C-term', 155, NULL, 'PGDH_C', 4733),
(4734, 'PF11975', NULL, 'Family 4 glycosyl hydrolase C-terminal domain', 211, NULL, 'Glyco_hydro_4C', 4734),
(4735, 'PF07587', NULL, 'Protein of unknown function (DUF1553)', 244, NULL, 'PSD1', 4735),
(4736, 'PF15960', NULL, 'Domain of unknown function (DUF4763)', 244, NULL, 'DUF4763', 4736),
(4737, 'PF06608', NULL, 'Protein of unknown function (DUF1143)', 148, NULL, 'DUF1143', 4737),
(4738, 'PF07558', NULL, 'Shugoshin N-terminal coiled-coil region', 45, NULL, 'Shugoshin_N', 4738),
(4739, 'PF00306', NULL, 'ATP synthase alpha/beta chain, C terminal domain', 126, NULL, 'ATP-synt_ab_C', 4739),
(4740, 'PF14050', NULL, 'N-terminal conserved domain of Nudc.', 60, NULL, 'Nudc_N', 4740),
(4741, 'PF10796', NULL, 'Sigma-S stabilisation anti-adaptor protein', 86, NULL, 'Anti-adapt_IraP', 4741),
(4742, 'PF00833', NULL, 'Ribosomal S17', 122, NULL, 'Ribosomal_S17e', 4742),
(4743, 'PF13294', NULL, 'Domain of unknown function (DUF4075)', 79, NULL, 'DUF4075', 4743),
(4744, 'PF07700', NULL, 'Haem-NO-binding', 164, NULL, 'HNOB', 4744),
(4745, 'PF05571', NULL, 'JNK1/MAPK8-associated membrane protein', 292, NULL, 'JAMP', 4745),
(4746, 'PF04101', NULL, 'Glycosyltransferase family 28 C-terminal domain', 167, NULL, 'Glyco_tran_28_C', 4746),
(4747, 'PF14784', NULL, 'C-terminal domain of the ECSIT protein', 130, NULL, 'ECSIT_C', 4747),
(4748, 'PF11985', NULL, 'Protein of unknown function (DUF3486)', 180, NULL, 'DUF3486', 4748),
(4749, 'PF12217', NULL, 'Catalytic beta propeller domain of bacteriophage endosialidase', 367, NULL, 'End_beta_propel', 4749),
(4750, 'PF01849', NULL, 'NAC domain', 57, NULL, 'NAC', 4750),
(4751, 'PF12945', NULL, 'Flagellar protein YcgR', 85, NULL, 'YcgR_2', 4751),
(4752, 'PF05716', NULL, 'A-kinase anchor protein 110 kDa (AKAP 110)', 692, NULL, 'AKAP_110', 4752),
(4753, 'PF13220', NULL, 'Protein of unknown function (DUF4028)', 65, NULL, 'DUF4028', 4753);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4754, 'PF13531', NULL, 'Bacterial extracellular solute-binding protein', 230, NULL, 'SBP_bac_11', 4754),
(4755, 'PF03658', NULL, 'RnfH family Ubiquitin', 83, NULL, 'Ub-RnfH', 4755),
(4756, 'PF09898', NULL, 'Uncharacterized protein conserved in bacteria (DUF2125)', 319, NULL, 'DUF2125', 4756),
(4757, 'PF12182', NULL, 'Bacterial lipoprotein', 93, NULL, 'DUF3642', 4757),
(4758, 'PF13424', NULL, 'Tetratricopeptide repeat', 77, NULL, 'TPR_12', 4758),
(4759, 'PF03975', NULL, 'CheD chemotactic sensory transduction', 109, NULL, 'CheD', 4759),
(4760, 'PF16985', NULL, 'Domain of unknown function (DUF5086)', 133, NULL, 'DUF5086', 4760),
(4761, 'PF09111', NULL, 'SLIDE', 116, NULL, 'SLIDE', 4761),
(4762, 'PF08860', NULL, 'Domain of unknown function (DUF1827)', 96, NULL, 'DUF1827', 4762),
(4763, 'PF13700', NULL, 'Domain of unknown function (DUF4158)', 166, NULL, 'DUF4158', 4763),
(4764, 'PF09306', NULL, 'Bacteriophage, scaffolding protein', 303, NULL, 'Phage-scaffold', 4764),
(4765, 'PF07992', NULL, 'Pyridine nucleotide-disulphide oxidoreductase', 295, NULL, 'Pyr_redox_2', 4765),
(4766, 'PF07874', NULL, 'Prophage protein (DUF1660)', 64, NULL, 'DUF1660', 4766),
(4767, 'PF15198', NULL, 'Dexamethasone-induced', 90, NULL, 'Dexa_ind', 4767),
(4768, 'PF12664', NULL, 'Protein of unknown function (DUF3789)', 32, NULL, 'DUF3789', 4768),
(4769, 'PF12849', NULL, 'PBP superfamily domain', 282, NULL, 'PBP_like_2', 4769),
(4770, 'PF07718', NULL, 'Coatomer beta C-terminal region', 140, NULL, 'Coatamer_beta_C', 4770),
(4771, 'PF10924', NULL, 'Protein of unknown function (DUF2711)', 217, NULL, 'DUF2711', 4771),
(4772, 'PF10921', NULL, 'Protein of unknown function (DUF2710)', 104, NULL, 'DUF2710', 4772),
(4773, 'PF10166', NULL, 'Uncharacterised conserved protein (DUF2368)', 134, NULL, 'DUF2368', 4773),
(4774, 'PF11189', NULL, 'Protein of unknown function (DUF2973)', 68, NULL, 'DUF2973', 4774),
(4775, 'PF02611', NULL, 'CDP-diacylglycerol pyrophosphatase', 224, NULL, 'CDH', 4775),
(4776, 'PF08845', NULL, 'Toxin SymE, type I toxin-antitoxin system', 54, NULL, 'SymE_toxin', 4776),
(4777, 'PF19097', NULL, 'Snu56-like U1 small nuclear ribonucleoprotein component', 437, NULL, 'Snu56_snRNP', 4777),
(4778, 'PF09287', NULL, 'CEP-1, DNA binding', 196, NULL, 'CEP1-DNA_bind', 4778),
(4779, 'PF08545', NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III', 80, NULL, 'ACP_syn_III', 4779),
(4780, 'PF05181', NULL, 'XPA protein C-terminus', 51, NULL, 'XPA_C', 4780),
(4781, 'PF15792', NULL, 'Lung adenoma susceptibility protein 2', 75, NULL, 'LAS2', 4781),
(4782, 'PF17288', NULL, 'Terminase RNAseH like domain', 155, NULL, 'Terminase_3C', 4782),
(4783, 'PF12484', NULL, 'PPE-SVP subfamily C-terminal region', 80, NULL, 'PPE-SVP', 4783),
(4784, 'PF09829', NULL, 'Uncharacterized protein conserved in bacteria (DUF2057)', 192, NULL, 'DUF2057', 4784),
(4785, 'PF10999', NULL, 'Protein of unknown function (DUF2839)', 67, NULL, 'DUF2839', 4785),
(4786, 'PF12020', NULL, 'TAFA family', 89, NULL, 'TAFA', 4786),
(4787, 'PF04718', NULL, 'Mitochondrial ATP synthase g subunit', 100, NULL, 'ATP-synt_G', 4787),
(4788, 'PF02527', NULL, 'rRNA small subunit methyltransferase G', 184, NULL, 'GidB', 4788),
(4789, 'PF10803', NULL, 'Spore germination GerPB', 52, NULL, 'GerPB', 4789),
(4790, 'PF18922', NULL, 'Protein of unknown function (DUF5672)', 165, NULL, 'DUF5672', 4790),
(4791, 'PF04547', NULL, 'Calcium-activated chloride channel', 445, NULL, 'Anoctamin', 4791),
(4792, 'PF11186', NULL, 'Protein of unknown function (DUF2972)', 199, NULL, 'DUF2972', 4792),
(4793, 'PF02154', NULL, 'Flagellar motor switch protein FliM', 192, NULL, 'FliM', 4793),
(4794, 'PF01917', NULL, 'Archaebacterial flagellin', 164, NULL, 'Arch_flagellin', 4794),
(4795, 'PF17214', NULL, 'KH domain', 68, NULL, 'KH_7', 4795),
(4796, 'PF17700', NULL, 'Family of unknown function (DUF5546)', 135, NULL, 'DUF5546', 4796),
(4797, 'PF07000', NULL, 'Protein of unknown function (DUF1308)', 163, NULL, 'DUF1308', 4797);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4798, 'PF16375', NULL, 'Domain of unknown function', 84, NULL, 'DUF4986', 4798),
(4799, 'PF02854', NULL, 'MIF4G domain', 212, NULL, 'MIF4G', 4799),
(4800, 'PF11232', NULL, 'Mediator complex subunit 25 PTOV activation and synapsin 2', 154, NULL, 'Med25', 4800),
(4801, 'PF13497', NULL, 'Domain of unknown function (DUF4121)', 264, NULL, 'DUF4121', 4801),
(4802, 'PF13687', NULL, 'Domain of unknown function (DUF4153)', 216, NULL, 'DUF4153', 4802),
(4803, 'PF08076', NULL, 'Tetracycline resistance determinant leader peptide', 28, NULL, 'TetM_leader', 4803),
(4804, 'PF01252', NULL, 'Signal peptidase (SPase) II', 142, NULL, 'Peptidase_A8', 4804),
(4805, 'PF10426', NULL, 'Recombination-activating protein 1 zinc-finger domain', 30, NULL, 'zf-RAG1', 4805),
(4806, 'PF18182', NULL, 'minimal CRISPR polymerase domain', 114, NULL, 'mCpol', 4806),
(4807, 'PF13102', NULL, 'Phage integrase SAM-like domain', 99, NULL, 'Phage_int_SAM_5', 4807),
(4808, 'PF19062', NULL, 'Family of unknown function (DUF5758)', 105, NULL, 'DUF5758', 4808),
(4809, 'PF16778', NULL, 'Phage tail assembly chaperone protein', 60, NULL, 'Phage_tail_APC', 4809),
(4810, 'PF12644', NULL, 'Protein of unknown function (DUF3782)', 78, NULL, 'DUF3782', 4810),
(4811, 'PF08847', NULL, 'Chlororespiratory reduction 6', 150, NULL, 'Crr6', 4811),
(4812, 'PF04033', NULL, 'Domain of unknown function (DUF365)', 96, NULL, 'DUF365', 4812),
(4813, 'PF14543', NULL, 'Xylanase inhibitor N-terminal', 178, NULL, 'TAXi_N', 4813),
(4814, 'PF14036', NULL, 'YlaH-like protein', 77, NULL, 'YlaH', 4814),
(4815, 'PF18064', NULL, 'Centromere-binding protein ParB C-terminal', 47, NULL, 'ParB_C', 4815),
(4816, 'PF06050', NULL, '2-hydroxyglutaryl-CoA dehydratase, D-component', 324, NULL, 'HGD-D', 4816),
(4817, 'PF05617', NULL, 'Prolamin-like', 67, NULL, 'Prolamin_like', 4817),
(4818, 'PF09795', NULL, 'Autophagy-related protein 31', 158, NULL, 'Atg31', 4818),
(4819, 'PF19166', NULL, 'Family of unknown function (DUF5848)', 64, NULL, 'DUF5848', 4819),
(4820, 'PF18942', NULL, 'Family of unknown function (DUF5689)', 220, NULL, 'DUF5689', 4820),
(4821, 'PF07832', NULL, 'Cfr10I/Bse634I restriction endonuclease', 280, NULL, 'Bse634I', 4821),
(4822, 'PF02749', NULL, 'Quinolinate phosphoribosyl transferase, N-terminal domain', 89, NULL, 'QRPTase_N', 4822),
(4823, 'PF13308', NULL, 'YARHG domain', 84, NULL, 'YARHG', 4823),
(4824, 'PF00304', NULL, 'Gamma-thionin family', 47, NULL, 'Gamma-thionin', 4824),
(4825, 'PF00522', NULL, 'VPR/VPX protein', 96, NULL, 'VPR', 4825),
(4826, 'PF05762', NULL, 'VWA domain containing CoxE-like protein', 221, NULL, 'VWA_CoxE', 4826),
(4827, 'PF05751', NULL, 'FixH', 146, NULL, 'FixH', 4827),
(4828, 'PF08266', NULL, 'Cadherin-like', 83, NULL, 'Cadherin_2', 4828),
(4829, 'PF04815', NULL, 'Sec23/Sec24 helical domain', 102, NULL, 'Sec23_helical', 4829),
(4830, 'PF03148', NULL, 'Tektin family', 383, NULL, 'Tektin', 4830),
(4831, 'PF13390', NULL, 'Protein of unknown function (DUF4108)', 143, NULL, 'DUF4108', 4831),
(4832, 'PF05484', NULL, 'LRV protein FeS4 cluster', 53, NULL, 'LRV_FeS', 4832),
(4833, 'PF02334', NULL, 'Replication terminator protein', 113, NULL, 'RTP', 4833),
(4834, 'PF07413', NULL, 'Betaherpesvirus immediate-early glycoprotein UL37', 278, NULL, 'Herpes_UL37_2', 4834),
(4835, 'PF00549', NULL, 'CoA-ligase', 153, NULL, 'Ligase_CoA', 4835),
(4836, 'PF04655', NULL, 'Aminoglycoside/hydroxyurea antibiotic resistance kinase', 252, NULL, 'APH_6_hur', 4836),
(4837, 'PF19093', NULL, 'Family of unknown function (DUF5781)', 243, NULL, 'DUF5781', 4837),
(4838, 'PF06705', NULL, 'SF-assemblin/beta giardin', 247, NULL, 'SF-assemblin', 4838),
(4839, 'PF18256', NULL, 'Co-chaperone HscB tetracysteine metal binding motif', 27, NULL, 'HscB_4_cys', 4839),
(4840, 'PF05572', NULL, 'Pregnancy-associated plasma protein-A', 152, NULL, 'Peptidase_M43', 4840),
(4841, 'PF13079', NULL, 'Protein of unknown function (DUF3916)', 151, NULL, 'DUF3916', 4841),
(4842, 'PF04337', NULL, 'Protein of unknown function, DUF480', 149, NULL, 'DUF480', 4842);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4843, 'PF09787', NULL, 'Golgin subfamily A member 5', 306, NULL, 'Golgin_A5', 4843),
(4844, 'PF02667', NULL, 'Short chain fatty acid transporter', 453, NULL, 'SCFA_trans', 4844),
(4845, 'PF15714', NULL, 'Stage V sporulation protein T C-terminal, transcription factor', 128, NULL, 'SpoVT_C', 4845),
(4846, 'PF09074', NULL, 'Mer2', 193, NULL, 'Mer2', 4846),
(4847, 'PF19076', NULL, 'Surface adhesin CshA repetitive domain', 97, NULL, 'CshA_repeat', 4847),
(4848, 'PF13713', NULL, 'Transcription factor BRX N-terminal domain', 37, NULL, 'BRX_N', 4848),
(4849, 'PF01927', NULL, 'Mut7-C RNAse domain', 146, NULL, 'Mut7-C', 4849),
(4850, 'PF06868', NULL, 'Protein of unknown function (DUF1257)', 104, NULL, 'DUF1257', 4850),
(4851, 'PF10512', NULL, 'Cell division cycle-associated protein 8', 122, NULL, 'Borealin', 4851),
(4852, 'PF18899', NULL, 'Domain of unknown function (DUF5655)', 108, NULL, 'DUF5655', 4852),
(4853, 'PF10444', NULL, 'Nbl1 / Borealin N terminal', 57, NULL, 'Nbl1_Borealin_N', 4853),
(4854, 'PF02114', NULL, 'Phosducin', 265, NULL, 'Phosducin', 4854),
(4855, 'PF11367', NULL, 'Protein of unknown function (DUF3168)', 117, NULL, 'DUF3168', 4855),
(4856, 'PF18733', NULL, 'LA2681-like HEPN', 208, NULL, 'HEPN_LA2681', 4856),
(4857, 'PF10161', NULL, 'Putative mitochondrial precursor protein', 76, NULL, 'DDDD', 4857),
(4858, 'PF00506', NULL, 'Influenza virus nucleoprotein', 520, NULL, 'Flu_NP', 4858),
(4859, 'PF12770', NULL, 'CHAT domain', 290, NULL, 'CHAT', 4859),
(4860, 'PF12627', NULL, 'Probable RNA and SrmB- binding site of polymerase A', 64, NULL, 'PolyA_pol_RNAbd', 4860),
(4861, 'PF12452', NULL, 'Protein of unknown function (DUF3685)', 192, NULL, 'DUF3685', 4861),
(4862, 'PF01080', NULL, 'Presenilin', 399, NULL, 'Presenilin', 4862),
(4863, 'PF01457', NULL, 'Leishmanolysin', 529, NULL, 'Peptidase_M8', 4863),
(4864, 'PF14224', NULL, 'Domain of unknown function (DUF4331)', 414, NULL, 'DUF4331', 4864),
(4865, 'PF16645', NULL, 'Unstructured region on Pneumococcal histidine triad protein', 56, NULL, 'PHtD_u1', 4865),
(4866, 'PF07109', NULL, 'Magnesium-protoporphyrin IX methyltransferase C-terminus', 97, NULL, 'Mg-por_mtran_C', 4866),
(4867, 'PF00629', NULL, 'MAM domain, meprin/A5/mu', 160, NULL, 'MAM', 4867),
(4868, 'PF09123', NULL, 'Domain of unknown function (DUF1931)', 138, NULL, 'DUF1931', 4868),
(4869, 'PF18032', NULL, 'Photoprotection regulator fluorescence recovery protein', 99, NULL, 'FRP', 4869),
(4870, 'PF16954', NULL, 'Haem-transporter, endosomal/lysosomal, haem-responsive gene', 52, NULL, 'HRG', 4870),
(4871, 'PF18433', NULL, 'Domain of unknown function (DUF5610)', 118, NULL, 'DUF5610', 4871),
(4872, 'PF04688', NULL, 'SPP1 phage holin', 74, NULL, 'Holin_SPP1', 4872),
(4873, 'PF16177', NULL, 'Acetyl-coenzyme A synthetase N-terminus', 55, NULL, 'ACAS_N', 4873),
(4874, 'PF17261', NULL, 'Family of unknown function (DUF5327)', 98, NULL, 'DUF5327', 4874),
(4875, 'PF13702', NULL, 'Lysozyme-like', 158, NULL, 'Lysozyme_like', 4875),
(4876, 'PF14845', NULL, 'beta-acetyl hexosaminidase like', 137, NULL, 'Glycohydro_20b2', 4876),
(4877, 'PF09608', NULL, 'Putative transmembrane protein (Alph_Pro_TM)', 227, NULL, 'Alph_Pro_TM', 4877),
(4878, 'PF03442', NULL, 'Carbohydrate binding domain X2', 83, NULL, 'CBM_X2', 4878),
(4879, 'PF00520', NULL, 'Ion transport protein', 245, NULL, 'Ion_trans', 4879),
(4880, 'PF17955', NULL, 'Cas6b N-terminal domain', 105, NULL, 'Cas6b_N', 4880),
(4881, 'PF12713', NULL, 'Domain of unknown function (DUF3806)', 86, NULL, 'DUF3806', 4881),
(4882, 'PF09520', NULL, 'Type II restriction endonuclease, TdeIII', 243, NULL, 'RE_TdeIII', 4882),
(4883, 'PF04503', NULL, 'Single-stranded DNA binding protein, SSDP', 291, NULL, 'SSDP', 4883),
(4884, 'PF08901', NULL, 'Protein of unknown function (DUF1847)', 157, NULL, 'DUF1847', 4884),
(4885, 'PF12883', NULL, 'Protein of unknown function (DUF3828)', 122, NULL, 'DUF3828', 4885),
(4886, 'PF11303', NULL, 'Protein of unknown function (DUF3105)', 129, NULL, 'DUF3105', 4886);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4887, 'PF06306', NULL, 'Beta-1,4-N-acetylgalactosaminyltransferase (CgtA)', 347, NULL, 'CgtA', 4887),
(4888, 'PF15142', NULL, 'INCA1', 178, NULL, 'INCA1', 4888),
(4889, 'PF11977', NULL, 'Zc3h12a-like Ribonuclease NYN domain', 156, NULL, 'RNase_Zc3h12a', 4889),
(4890, 'PF07503', NULL, 'HypF finger', 34, NULL, 'zf-HYPF', 4890),
(4891, 'PF06034', NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF919)', 62, NULL, 'DUF919', 4891),
(4892, 'PF18382', NULL, 'Formin N-terminal GTPase-binding domain', 99, NULL, 'Formin_GBD_N', 4892),
(4893, 'PF05774', NULL, 'Herpesvirus helicase-primase complex component', 127, NULL, 'Herpes_heli_pri', 4893),
(4894, 'PF08785', NULL, 'Ku C terminal domain like', 119, NULL, 'Ku_PK_bind', 4894),
(4895, 'PF07150', NULL, 'Protein of unknown function (DUF1390)', 226, NULL, 'DUF1390', 4895),
(4896, 'PF08068', NULL, 'DKCLD (NUC011) domain', 58, NULL, 'DKCLD', 4896),
(4897, 'PF17912', NULL, 'MalK OB fold domain', 53, NULL, 'OB_MalK', 4897),
(4898, 'PF05050', NULL, 'Methyltransferase FkbM domain', 173, NULL, 'Methyltransf_21', 4898),
(4899, 'PF04951', NULL, 'D-aminopeptidase', 264, NULL, 'Peptidase_M55', 4899),
(4900, 'PF11654', NULL, 'Non-classical export protein 1', 45, NULL, 'NCE101', 4900),
(4901, 'PF06381', NULL, 'Protein of unknown function (DUF1073)', 357, NULL, 'DUF1073', 4901),
(4902, 'PF12979', NULL, 'Domain of Unknown Function with PDB structure (DUF3863)', 349, NULL, 'DUF3863', 4902),
(4903, 'PF18035', NULL, 'Bap31/Bap29 cytoplasmic coiled-coil domain', 53, NULL, 'Bap31_Bap29_C', 4903),
(4904, 'PF00286', NULL, 'Viral coat protein', 138, NULL, 'Flexi_CP', 4904),
(4905, 'PF07160', NULL, 'Spindle and kinetochore-associated protein 1', 237, NULL, 'SKA1', 4905),
(4906, 'PF00056', NULL, 'lactate/malate dehydrogenase, NAD binding domain', 141, NULL, 'Ldh_1_N', 4906),
(4907, 'PF00587', NULL, 'tRNA synthetase class II core domain (G, H, P, S and T)', 179, NULL, 'tRNA-synt_2b', 4907),
(4908, 'PF11513', NULL, 'Thermoplasma acidophilum protein TA0956', 110, NULL, 'TA0956', 4908),
(4909, 'PF01588', NULL, 'Putative tRNA binding domain', 96, NULL, 'tRNA_bind', 4909),
(4910, 'PF15328', NULL, 'Putative GRINL1B complex locus protein 2', 214, NULL, 'GCOM2', 4910),
(4911, 'PF07425', NULL, 'Pardaxin', 33, NULL, 'Pardaxin', 4911),
(4912, 'PF04083', NULL, 'Partial alpha/beta-hydrolase lipase region', 64, NULL, 'Abhydro_lipase', 4912),
(4913, 'PF05986', NULL, 'ADAM-TS Spacer 1', 114, NULL, 'ADAM_spacer1', 4913),
(4914, 'PF18213', NULL, 'SUB1 protease Prodomain ProdP9', 80, NULL, 'SUB1_ProdP9', 4914),
(4915, 'PF05182', NULL, 'Fip1 motif', 43, NULL, 'Fip1', 4915),
(4916, 'PF14221', NULL, 'Domain of unknown function (DUF4330)', 167, NULL, 'DUF4330', 4916),
(4917, 'PF17422', NULL, 'Family of unknown function (DUF5410)', 353, NULL, 'DUF5410', 4917),
(4918, 'PF11617', NULL, 'Putative metal-binding motif', 30, NULL, 'Cu-binding_MopE', 4918),
(4919, 'PF04788', NULL, 'Protein of unknown function (DUF620)', 243, NULL, 'DUF620', 4919),
(4920, 'PF10839', NULL, 'Protein of unknown function (DUF2647)', 70, NULL, 'DUF2647', 4920),
(4921, 'PF16990', NULL, 'Carbohydrate binding module (family 35)', 121, NULL, 'CBM_35', 4921),
(4922, 'PF10981', NULL, 'Protein of unknown function (DUF2788)', 51, NULL, 'DUF2788', 4922),
(4923, 'PF18929', NULL, 'Family of unknown function (DUF5678)', 50, NULL, 'DUF5678', 4923),
(4924, 'PF00064', NULL, 'Neuraminidase', 334, NULL, 'Neur', 4924),
(4925, 'PF18612', NULL, 'Bacterial Alpha amylase C-terminal domain', 69, NULL, 'Bac_A_amyl_C', 4925),
(4926, 'PF09758', NULL, 'Uncharacterised conserved protein', 149, NULL, 'FPL', 4926),
(4927, 'PF11016', NULL, 'Protein of unknown function (DUF2854)', 146, NULL, 'DUF2854', 4927),
(4928, 'PF17420', NULL, 'Superinfection exclusion gene product 17', 98, NULL, 'GP17', 4928),
(4929, 'PF05563', NULL, 'Salmonella plasmid virulence protein SpvD', 212, NULL, 'SpvD', 4929),
(4930, 'PF03351', NULL, 'DOMON domain', 124, NULL, 'DOMON', 4930);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4931, 'PF16562', NULL, 'N-terminal domain of E3 ubiquitin-protein ligase HECW1 and 2', 120, NULL, 'HECW_N', 4931),
(4932, 'PF15793', NULL, 'Protein family FAM35, C-terminal', 176, NULL, 'FAM35_C', 4932),
(4933, 'PF05925', NULL, 'Enterobacterial virulence protein IpgD', 559, NULL, 'IpgD', 4933),
(4934, 'PF16211', NULL, 'C-terminus of histone H2A', 35, NULL, 'Histone_H2A_C', 4934),
(4935, 'PF13638', NULL, 'PIN domain', 131, NULL, 'PIN_4', 4935),
(4936, 'PF01914', NULL, 'MarC family integral membrane protein', 203, NULL, 'MarC', 4936),
(4937, 'PF14289', NULL, 'Domain of unknown function (DUF4369)', 92, NULL, 'DUF4369', 4937),
(4938, 'PF17704', NULL, 'Family of unknown function (DUF5550)', 123, NULL, 'DUF5550', 4938),
(4939, 'PF11809', NULL, 'Domain of unknown function (DUF3330)', 69, NULL, 'DUF3330', 4939),
(4940, 'PF18526', NULL, 'Thymine dioxygenase JBP1 DNA-binding domain', 164, NULL, 'DB_JBP1', 4940),
(4941, 'PF13817', NULL, 'IS66 C-terminal element', 39, NULL, 'DDE_Tnp_IS66_C', 4941),
(4942, 'PF15443', NULL, 'Domain of unknown function (DUF4630)', 156, NULL, 'DUF4630', 4942),
(4943, 'PF16264', NULL, 'SatD family (SatD)', 211, NULL, 'SatD', 4943),
(4944, 'PF12229', NULL, 'Putative peptidoglycan binding domain', 116, NULL, 'PG_binding_4', 4944),
(4945, 'PF13612', NULL, 'Transposase DDE domain', 155, NULL, 'DDE_Tnp_1_3', 4945),
(4946, 'PF08183', NULL, 'Stage V sporulation protein family', 25, NULL, 'SpoV', 4946),
(4947, 'PF03988', NULL, 'Repeat of Unknown Function (DUF347)', 52, NULL, 'DUF347', 4947),
(4948, 'PF06941', NULL, '5'' nucleotidase, deoxy (Pyrimidine), cytosolic type C protein (NT5C)', 180, NULL, 'NT5C', 4948),
(4949, 'PF06790', NULL, 'Uncharacterised protein family (UPF0259)', 248, NULL, 'UPF0259', 4949),
(4950, 'PF09704', NULL, 'CRISPR-associated protein (Cas_Cas5)', 215, NULL, 'Cas_Cas5d', 4950),
(4951, 'PF09564', NULL, 'NgoBV restriction endonuclease', 238, NULL, 'RE_NgoBV', 4951),
(4952, 'PF10993', NULL, 'Protein of unknown function (DUF2818)', 93, NULL, 'DUF2818', 4952),
(4953, 'PF13159', NULL, 'Domain of unknown function (DUF3994)', 99, NULL, 'DUF3994', 4953),
(4954, 'PF07309', NULL, 'Flagellar protein FlaF', 113, NULL, 'FlaF', 4954),
(4955, 'PF09419', NULL, 'Mitochondrial PGP phosphatase', 168, NULL, 'PGP_phosphatase', 4955),
(4956, 'PF02697', NULL, 'Putative antitoxin', 69, NULL, 'VAPB_antitox', 4956),
(4957, 'PF01878', NULL, 'EVE domain', 145, NULL, 'EVE', 4957),
(4958, 'PF08632', NULL, 'Activator of mitotic machinery Cdc14 phosphatase activation C-term', 52, NULL, 'Zds_C', 4958),
(4959, 'PF09667', NULL, 'Domain of unknown function (DUF2028)', 197, NULL, 'DUF2028', 4959),
(4960, 'PF08358', NULL, 'Carlavirus coat', 52, NULL, 'Flexi_CP_N', 4960),
(4961, 'PF01875', NULL, 'Memo-like protein', 271, NULL, 'Memo', 4961),
(4962, 'PF01718', NULL, 'Orbivirus non-structural protein NS1, or hydrophobic tubular protein', 548, NULL, 'Orbi_NS1', 4962),
(4963, 'PF14621', NULL, 'RFX5 DNA-binding domain', 219, NULL, 'RFX5_DNA_bdg', 4963),
(4964, 'PF08710', NULL, 'Coronavirus replicase NSP9', 111, NULL, 'CoV_NSP9', 4964),
(4965, 'PF01005', NULL, 'Flavivirus non-structural protein NS2A', 185, NULL, 'Flavi_NS2A', 4965),
(4966, 'PF12108', NULL, 'Splicing factor SF3a60 binding domain', 27, NULL, 'SF3a60_bindingd', 4966),
(4967, 'PF01950', NULL, 'Fructose-1,6-bisphosphatase', 361, NULL, 'FBPase_3', 4967),
(4968, 'PF06952', NULL, 'PsiA protein', 237, NULL, 'PsiA', 4968),
(4969, 'PF03073', NULL, 'TspO/MBR family', 136, NULL, 'TspO_MBR', 4969),
(4970, 'PF00079', NULL, 'Serpin (serine protease inhibitor)', 371, NULL, 'Serpin', 4970),
(4971, 'PF09622', NULL, 'Putative integral membrane protein (DUF2391)', 268, NULL, 'DUF2391', 4971),
(4972, 'PF04414', NULL, 'D-aminoacyl-tRNA deacylase', 206, NULL, 'tRNA_deacylase', 4972),
(4973, 'PF09190', NULL, 'DALR domain', 63, NULL, 'DALR_2', 4973),
(4974, 'PF17185', NULL, 'NlpE C-terminal OB domain', 90, NULL, 'NlpE_C', 4974),
(4975, 'PF03151', NULL, 'Triose-phosphate Transporter family', 290, NULL, 'TPT', 4975); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(4976, 'PF12047', NULL, 'Cytosine specific DNA methyltransferase replication foci domain', 144, NULL, 'DNMT1-RFD', 4976),
(4977, 'PF11069', NULL, 'Cilia- and flagella-associated protein 298', 97, NULL, 'CFAP298', 4977),
(4978, 'PF08352', NULL, 'Oligopeptide/dipeptide transporter, C-terminal region', 65, NULL, 'oligo_HPY', 4978),
(4979, 'PF06321', NULL, 'Major fimbrial subunit protein (FimA)', 156, NULL, 'P_gingi_FimA', 4979),
(4980, 'PF11713', NULL, 'Peptidase C80 family', 154, NULL, 'Peptidase_C80', 4980),
(4981, 'PF07069', NULL, 'Porcine reproductive and respiratory syndrome virus 2b', 73, NULL, 'PRRSV_2b', 4981),
(4982, 'PF10685', NULL, 'Stress-induced bacterial acidophilic repeat motif', 22, NULL, 'KGG', 4982),
(4983, 'PF09629', NULL, 'YorP protein', 71, NULL, 'YorP', 4983),
(4984, 'PF11055', NULL, 'Glucose signalling factor 2', 373, NULL, 'Gsf2', 4984),
(4985, 'PF17497', NULL, 'Family of unknown function (DUF5432)', 74, NULL, 'DUF5432', 4985),
(4986, 'PF06146', NULL, 'Phosphate-starvation-inducible E', 68, NULL, 'PsiE', 4986),
(4987, 'PF02969', NULL, 'TATA box binding protein associated factor (TAF)', 66, NULL, 'TAF', 4987),
(4988, 'PF19104', NULL, 'Family of unknown function (DUF5791)', 124, NULL, 'DUF5791', 4988),
(4989, 'PF07093', NULL, 'SGT1 protein', 581, NULL, 'SGT1', 4989),
(4990, 'PF08062', NULL, 'P120R (NUC006) repeat', 22, NULL, 'P120R', 4990),
(4991, 'PF06366', NULL, 'Flagellar protein FlhE', 106, NULL, 'FlhE', 4991),
(4992, 'PF04435', NULL, 'Domain of unknown function (DUF545)', 104, NULL, 'SPK', 4992),
(4993, 'PF06687', NULL, 'SUR7/PalI family', 212, NULL, 'SUR7', 4993),
(4994, 'PF14957', NULL, 'Cdc42 effector', 130, NULL, 'BORG_CEP', 4994),
(4995, 'PF04754', NULL, 'Putative transposase, YhgA-like', 204, NULL, 'Transposase_31', 4995),
(4996, 'PF17122', NULL, 'Zinc-finger', 35, NULL, 'zf-C3H2C3', 4996),
(4997, 'PF02052', NULL, 'Gallidermin', 52, NULL, 'Gallidermin', 4997),
(4998, 'PF03264', NULL, 'NapC/NirT cytochrome c family, N-terminal region', 174, NULL, 'Cytochrom_NNT', 4998),
(4999, 'PF06616', NULL, 'BsuBI/PstI restriction endonuclease domain', 154, NULL, 'BsuBI_PstI_RE', 4999),
(5000, 'PF18704', NULL, 'Chromatin organization modifier domain 2', 68, NULL, 'Chromo_2', 5000),
(5001, 'PF03880', NULL, 'DbpA RNA binding domain', 72, NULL, 'DbpA', 5001),
(5002, 'PF04459', NULL, 'Protein of unknown function (DUF512)', 199, NULL, 'DUF512', 5002),
(5003, 'PF12457', NULL, 'Tuftelin interacting protein N terminal', 104, NULL, 'TIP_N', 5003),
(5004, 'PF11412', NULL, 'Disulphide bond corrector protein DsbC', 120, NULL, 'DsbC', 5004),
(5005, 'PF15811', NULL, 'Small VCP/p97-interacting protein', 77, NULL, 'SVIP', 5005),
(5006, 'PF09186', NULL, 'Domain of unknown function (DUF1949)', 56, NULL, 'DUF1949', 5006),
(5007, 'PF10589', NULL, 'NADH-ubiquinone oxidoreductase-F iron-sulfur binding region', 85, NULL, 'NADH_4Fe-4S', 5007),
(5008, 'PF07148', NULL, 'Maltose operon periplasmic protein precursor (MalM)', 134, NULL, 'MalM', 5008),
(5009, 'PF14968', NULL, 'Coiled coil protein 84', 341, NULL, 'CCDC84', 5009),
(5010, 'PF10282', NULL, 'Lactonase, 7-bladed beta-propeller', 344, NULL, 'Lactonase', 5010),
(5011, 'PF01108', NULL, 'Tissue factor', 107, NULL, 'Tissue_fac', 5011),
(5012, 'PF05232', NULL, 'Chlorhexidine efflux transporter', 64, NULL, 'BTP', 5012),
(5013, 'PF03964', NULL, 'Chorion family 2', 103, NULL, 'Chorion_2', 5013),
(5014, 'PF13563', NULL, '2''-5'' RNA ligase superfamily', 152, NULL, '2_5_RNA_ligase2', 5014),
(5015, 'PF13835', NULL, 'Domain of unknown function (DUF4194)', 167, NULL, 'DUF4194', 5015),
(5016, 'PF05038', NULL, 'Cytochrome Cytochrome b558 alpha-subunit', 184, NULL, 'Cytochrom_B558a', 5016),
(5017, 'PF04597', NULL, 'Ribophorin I', 446, NULL, 'Ribophorin_I', 5017),
(5018, 'PF13671', NULL, 'AAA domain', 143, NULL, 'AAA_33', 5018),
(5019, 'PF17636', NULL, 'Viral Unique Long protein 21a', 123, NULL, 'UL21a', 5019),
(5020, 'PF16165', NULL, 'Ferlin C-terminus', 154, NULL, 'Ferlin_C', 5020);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5021, 'PF18242', NULL, 'Legionella ubiquitin-specific protease A domain', 178, NULL, 'LupA', 5021),
(5022, 'PF01414', NULL, 'Delta serrate ligand', 63, NULL, 'DSL', 5022),
(5023, 'PF01424', NULL, 'R3H domain', 60, NULL, 'R3H', 5023),
(5024, 'PF16298', NULL, 'Domain of unknown function (DUF4940)', 206, NULL, 'DUF4940', 5024),
(5025, 'PF07905', NULL, 'Purine catabolism regulatory protein-like family', 117, NULL, 'PucR', 5025),
(5026, 'PF09286', NULL, 'Pro-kumamolisin, activation domain', 142, NULL, 'Pro-kuma_activ', 5026),
(5027, 'PF15100', NULL, 'TMEM187 protein family', 244, NULL, 'TMEM187', 5027),
(5028, 'PF15152', NULL, 'Kisspeptin', 76, NULL, 'Kisspeptin', 5028),
(5029, 'PF18502', NULL, '54S ribosomal protein L8 C-terminal domain', 111, NULL, 'Mrpl_C', 5029),
(5030, 'PF14637', NULL, 'Folliculin-interacting protein middle domain', 227, NULL, 'FNIP_M', 5030),
(5031, 'PF14229', NULL, 'Domain of unknown function (DUF4332)', 122, NULL, 'DUF4332', 5031),
(5032, 'PF15813', NULL, 'Domain of unknown function (DUF4708)', 274, NULL, 'DUF4708', 5032),
(5033, 'PF19138', NULL, 'Family of unknown function (DUF5821)', 217, NULL, 'DUF5821', 5033),
(5034, 'PF11423', NULL, 'Regulatory protein Mnt', 28, NULL, 'Repressor_Mnt', 5034),
(5035, 'PF15827', NULL, 'UPF0730 unknown protein family', 46, NULL, 'UPF0730', 5035),
(5036, 'PF12641', NULL, 'Flavodoxin domain', 160, NULL, 'Flavodoxin_3', 5036),
(5037, 'PF01044', NULL, 'Vinculin family', 969, NULL, 'Vinculin', 5037),
(5038, 'PF14828', NULL, 'Amnionless', 451, NULL, 'Amnionless', 5038),
(5039, 'PF18682', NULL, 'Pilin A4', 82, NULL, 'PilA4', 5039),
(5040, 'PF04878', NULL, 'Baculovirus P48 protein', 371, NULL, 'Baculo_p48', 5040),
(5041, 'PF11139', NULL, 'Sap, sulfolipid-1-addressing protein', 214, NULL, 'SfLAP', 5041),
(5042, 'PF10573', NULL, 'Uncharacterised protein family UPF0561', 120, NULL, 'UPF0561', 5042),
(5043, 'PF09214', NULL, 'Bacteriophage Prd1, adsorption protein P2', 555, NULL, 'Prd1-P2', 5043),
(5044, 'PF18851', NULL, 'Bacterial archaeo-eukaryotic release factor family 8', 141, NULL, 'baeRF_family8', 5044),
(5045, 'PF02953', NULL, 'Tim10/DDP family zinc finger', 64, NULL, 'zf-Tim10_DDP', 5045),
(5046, 'PF02364', NULL, '1,3-beta-glucan synthase component', 819, NULL, 'Glucan_synthase', 5046),
(5047, 'PF08260', NULL, 'Insect kinin peptide', 8, NULL, 'Kinin', 5047),
(5048, 'PF17965', NULL, 'Mucin binding domain', 76, NULL, 'MucBP_2', 5048),
(5049, 'PF00866', NULL, 'Ring hydroxylating beta subunit', 144, NULL, 'Ring_hydroxyl_B', 5049),
(5050, 'PF09269', NULL, 'Domain of unknown function (DUF1967)', 69, NULL, 'DUF1967', 5050),
(5051, 'PF12113', NULL, 'SVM protein signal sequence', 33, NULL, 'SVM_signal', 5051),
(5052, 'PF09489', NULL, 'Probable cobalt transporter subunit (CbtB)', 51, NULL, 'CbtB', 5052),
(5053, 'PF17577', NULL, 'ECORI-T site', 109, NULL, 'ETM', 5053),
(5054, 'PF00697', NULL, 'N-(5''phosphoribosyl)anthranilate (PRA) isomerase', 193, NULL, 'PRAI', 5054),
(5055, 'PF02209', NULL, 'Villin headpiece domain', 36, NULL, 'VHP', 5055),
(5056, 'PF10832', NULL, 'Protein of unknown function (DUF2559)', 54, NULL, 'DUF2559', 5056),
(5057, 'PF01691', NULL, 'Adenovirus E1B 19K protein / small t-antigen', 135, NULL, 'Adeno_E1B_19K', 5057),
(5058, 'PF05077', NULL, 'Protein of unknown function (DUF678)', 75, NULL, 'DUF678', 5058),
(5059, 'PF05199', NULL, 'GMC oxidoreductase', 145, NULL, 'GMC_oxred_C', 5059),
(5060, 'PF10278', NULL, 'Mediator of RNA pol II transcription subunit 19', 178, NULL, 'Med19', 5060),
(5061, 'PF06197', NULL, 'Protein of unknown function (DUF998)', 185, NULL, 'DUF998', 5061),
(5062, 'PF10674', NULL, 'Protein of unknown function (DUF2488)', 92, NULL, 'Ycf54', 5062),
(5063, 'PF12114', NULL, 'Period protein 2/3C-terminal region', 195, NULL, 'Period_C', 5063),
(5064, 'PF13723', NULL, 'Beta-ketoacyl synthase, N-terminal domain', 226, NULL, 'Ketoacyl-synt_2', 5064),
(5065, 'PF04843', NULL, 'Herpesvirus tegument protein, N-terminal conserved region', 158, NULL, 'Herpes_teg_N', 5065);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5066, 'PF12080', NULL, 'GldM C-terminal domain', 176, NULL, 'GldM_C', 5066),
(5067, 'PF01214', NULL, 'Casein kinase II regulatory subunit', 182, NULL, 'CK_II_beta', 5067),
(5068, 'PF12000', NULL, 'Glycosyl transferase family 4 group', 169, NULL, 'Glyco_trans_4_3', 5068),
(5069, 'PF04051', NULL, 'Transport protein particle (TRAPP) component', 155, NULL, 'TRAPP', 5069),
(5070, 'PF08500', NULL, 'Tombusvirus p33', 142, NULL, 'Tombus_P33', 5070),
(5071, 'PF16988', NULL, 'Vacuolar protein sorting 36 NZF-N zinc-finger domain', 65, NULL, 'Vps36-NZF-N', 5071),
(5072, 'PF01467', NULL, 'Cytidylyltransferase-like', 143, NULL, 'CTP_transf_like', 5072),
(5073, 'PF18163', NULL, 'SLOG cluster2', 262, NULL, 'LD_cluster2', 5073),
(5074, 'PF16657', NULL, 'Maltogenic Amylase, C-terminal domain', 75, NULL, 'Malt_amylase_C', 5074),
(5075, 'PF02110', NULL, 'Hydroxyethylthiazole kinase family', 246, NULL, 'HK', 5075),
(5076, 'PF16171', NULL, 'Centromere kinetochore component CENP-T N-terminus', 378, NULL, 'CENP-T_N', 5076),
(5077, 'PF16283', NULL, 'Domain of unknown function (DUF4929)', 366, NULL, 'DUF4929', 5077),
(5078, 'PF13295', NULL, 'Domain of unknown function (DUF4077)', 176, NULL, 'DUF4077', 5078),
(5079, 'PF09333', NULL, 'Autophagy-related protein C terminal domain', 96, NULL, 'ATG_C', 5079),
(5080, 'PF15560', NULL, 'Immunity protein 12', 138, NULL, 'Imm12', 5080),
(5081, 'PF05917', NULL, 'Helicobacter pylori protein of unknown function (DUF874)', 398, NULL, 'DUF874', 5081),
(5082, 'PF16621', NULL, 'SH3 terminal domain of 2nd SH3 on Neutrophil cytosol factor 1', 50, NULL, 'NECFESHC', 5082),
(5083, 'PF05842', NULL, 'Euplotes octocarinatus mating pheromone protein', 134, NULL, 'Euplotes_phero', 5083),
(5084, 'PF03963', NULL, 'Flagellar hook capping protein - N-terminal region', 75, NULL, 'FlgD', 5084),
(5085, 'PF08437', NULL, 'Glycosyl transferase family 8 C-terminal', 57, NULL, 'Glyco_transf_8C', 5085),
(5086, 'PF05299', NULL, 'M61 glycyl aminopeptidase', 118, NULL, 'Peptidase_M61', 5086),
(5087, 'PF06401', NULL, 'Alpha-2-macroglobulin RAP, C-terminal domain', 210, NULL, 'Alpha-2-MRAP_C', 5087),
(5088, 'PF05248', NULL, 'Adenovirus E3A', 104, NULL, 'Adeno_E3A', 5088),
(5089, 'PF05052', NULL, 'MerE protein', 75, NULL, 'MerE', 5089),
(5090, 'PF14252', NULL, 'Domain of unknown function (DUF4347)', 164, NULL, 'DUF4347', 5090),
(5091, 'PF14183', NULL, 'YwpF-like protein', 134, NULL, 'YwpF', 5091),
(5092, 'PF06109', NULL, 'Haemolysin E (HlyE)', 309, NULL, 'HlyE', 5092),
(5093, 'PF12155', NULL, 'NADH dehydrogenase subunit 2 N-terminal', 88, NULL, 'NADHdh-2_N', 5093),
(5094, 'PF16693', NULL, 'Inner membrane component of T3SS, periplasmic domain', 254, NULL, 'Yop-YscD_ppl', 5094),
(5095, 'PF13503', NULL, 'Domain of unknown function (DUF4123)', 128, NULL, 'DUF4123', 5095),
(5096, 'PF00488', NULL, 'MutS domain V', 188, NULL, 'MutS_V', 5096),
(5097, 'PF01855', NULL, 'Pyruvate flavodoxin/ferredoxin oxidoreductase, thiamine diP-bdg', 231, NULL, 'POR_N', 5097),
(5098, 'PF06603', NULL, 'UpxZ family of transcription anti-terminator antagonists', 105, NULL, 'UpxZ', 5098),
(5099, 'PF02179', NULL, 'BAG domain', 78, NULL, 'BAG', 5099),
(5100, 'PF13748', NULL, 'ABC transporter transmembrane region', 237, NULL, 'ABC_membrane_3', 5100),
(5101, 'PF03759', NULL, 'PRONE (Plant-specific Rop nucleotide exchanger)', 363, NULL, 'PRONE', 5101),
(5102, 'PF18006', NULL, 'O-phosphoseryl-tRNA synthetase C-terminal domain', 31, NULL, 'SepRS_C', 5102),
(5103, 'PF09334', NULL, 'tRNA synthetases class I (M)', 391, NULL, 'tRNA-synt_1g', 5103),
(5104, 'PF12765', NULL, 'HEAT repeat associated with sister chromatid cohesion', 42, NULL, 'Cohesin_HEAT', 5104),
(5105, 'PF08242', NULL, 'Methyltransferase domain', 99, NULL, 'Methyltransf_12', 5105),
(5106, 'PF11119', NULL, 'Protein of unknown function (DUF2633)', 56, NULL, 'DUF2633', 5106),
(5107, 'PF00059', NULL, 'Lectin C-type domain', 108, NULL, 'Lectin_C', 5107),
(5108, 'PF07106', NULL, 'TBPIP/Hop2 winged helix domain', 62, NULL, 'TBPIP', 5108);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5109, 'PF09363', NULL, 'XFP C-terminal domain', 202, NULL, 'XFP_C', 5109),
(5110, 'PF10276', NULL, 'Zinc-finger domain', 37, NULL, 'zf-CHCC', 5110),
(5111, 'PF01658', NULL, 'Myo-inositol-1-phosphate synthase', 107, NULL, 'Inos-1-P_synth', 5111),
(5112, 'PF08463', NULL, 'EcoEI R protein C-terminal', 167, NULL, 'EcoEI_R_C', 5112),
(5113, 'PF18766', NULL, 'SWI2/SNF2 ATPase', 224, NULL, 'SWI2_SNF2', 5113),
(5114, 'PF01624', NULL, 'MutS domain I', 113, NULL, 'MutS_I', 5114),
(5115, 'PF15149', NULL, 'Cation channel sperm-associated protein subunit beta protein family', 520, NULL, 'CATSPERB', 5115),
(5116, 'PF06097', NULL, 'Bacterial protein of unknown function (DUF945)', 459, NULL, 'DUF945', 5116),
(5117, 'PF13431', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_17', 5117),
(5118, 'PF06027', NULL, 'Solute carrier family 35', 299, NULL, 'SLC35F', 5118),
(5119, 'PF05782', NULL, 'Extracellular matrix protein 1 (ECM1)', 563, NULL, 'ECM1', 5119),
(5120, 'PF17384', NULL, 'RimP C-terminal SH3 domain', 70, NULL, 'DUF150_C', 5120),
(5121, 'PF02192', NULL, 'PI3-kinase family, p85-binding domain', 76, NULL, 'PI3K_p85B', 5121),
(5122, 'PF02574', NULL, 'Homocysteine S-methyltransferase', 272, NULL, 'S-methyl_trans', 5122),
(5123, 'PF07393', NULL, 'Exocyst complex component Sec10', 711, NULL, 'Sec10', 5123),
(5124, 'PF10517', NULL, 'Electron transfer DM13', 104, NULL, 'DM13', 5124),
(5125, 'PF12061', NULL, 'Late blight resistance protein R1', 297, NULL, 'NB-LRR', 5125),
(5126, 'PF01453', NULL, 'D-mannose binding lectin', 106, NULL, 'B_lectin', 5126),
(5127, 'PF15498', NULL, 'Nephrin and CD2AP-binding protein, Dendrin', 656, NULL, 'Dendrin', 5127),
(5128, 'PF08895', NULL, 'Domain of unknown function (DUF1840)', 108, NULL, 'DUF1840', 5128),
(5129, 'PF13142', NULL, 'Domain of unknown function (DUF3960)', 89, NULL, 'DUF3960', 5129),
(5130, 'PF01558', NULL, 'Pyruvate ferredoxin/flavodoxin oxidoreductase', 177, NULL, 'POR', 5130),
(5131, 'PF04359', NULL, 'Protein of unknown function (DUF493)', 84, NULL, 'DUF493', 5131),
(5132, 'PF04262', NULL, 'Glutamate-cysteine ligase', 372, NULL, 'Glu_cys_ligase', 5132),
(5133, 'PF12495', NULL, 'Vegetative insecticide protein 3A N terminal', 177, NULL, 'Vip3A_N', 5133),
(5134, 'PF09869', NULL, 'Uncharacterized protein conserved in archaea (DUF2096)', 169, NULL, 'DUF2096', 5134),
(5135, 'PF06328', NULL, 'Ig-like C2-type domain', 86, NULL, 'Lep_receptor_Ig', 5135),
(5136, 'PF03815', NULL, 'LCCL domain', 96, NULL, 'LCCL', 5136),
(5137, 'PF13205', NULL, 'Bacterial Ig-like domain', 108, NULL, 'Big_5', 5137),
(5138, 'PF15318', NULL, 'Putative Bcl-2 like protein of testis', 191, NULL, 'Bclt', 5138),
(5139, 'PF06810', NULL, 'Phage minor structural protein GP20', 148, NULL, 'Phage_GP20', 5139),
(5140, 'PF03495', NULL, 'Clostridial binary toxin B/anthrax toxin PA Ca-binding domain', 78, NULL, 'Binary_toxB', 5140),
(5141, 'PF16554', NULL, 'Dimerisation domain of d-ornithine 4,5-aminomutase', 78, NULL, 'OAM_dimer', 5141),
(5142, 'PF16326', NULL, 'ABC transporter C-terminal domain', 69, NULL, 'ABC_tran_CTD', 5142),
(5143, 'PF05937', NULL, 'EB-1 Binding Domain', 174, NULL, 'EB1_binding', 5143),
(5144, 'PF09632', NULL, 'Rac1-binding domain', 297, NULL, 'Rac1', 5144),
(5145, 'PF06248', NULL, 'Centromere/kinetochore Zw10', 544, NULL, 'Zw10', 5145),
(5146, 'PF00557', NULL, 'Metallopeptidase family M24', 209, NULL, 'Peptidase_M24', 5146),
(5147, 'PF18354', NULL, 'CarS bacterial SH3 domain', 85, NULL, 'SH3_18', 5147),
(5148, 'PF04580', NULL, 'Chordopoxvirinae D3 protein', 248, NULL, 'Pox_D3', 5148),
(5149, 'PF08093', NULL, 'Magi 5 toxic peptide family', 30, NULL, 'Toxin_23', 5149),
(5150, 'PF01941', NULL, 'S-adenosylmethionine synthetase (AdoMet synthetase)', 395, NULL, 'AdoMet_Synthase', 5150),
(5151, 'PF15507', NULL, 'Domain of unknown function (DUF4649)', 68, NULL, 'DUF4649', 5151),
(5152, 'PF15548', NULL, 'Domain of unknown function (DUF4655)', 534, NULL, 'DUF4655', 5152),
(5153, 'PF09985', NULL, 'C-terminal binding-module, SLH-like, of glucodextranase', 239, NULL, 'Glucodextran_C', 5153);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5154, 'PF11707', NULL, 'Ribosome 60S biogenesis N-terminal', 339, NULL, 'Npa1', 5154),
(5155, 'PF13993', NULL, 'YccJ-like protein', 67, NULL, 'YccJ', 5155),
(5156, 'PF11804', NULL, 'Protein of unknown function (DUF3325)', 101, NULL, 'DUF3325', 5156),
(5157, 'PF17849', NULL, 'Dis3-like cold-shock domain 2 (CSD2)', 77, NULL, 'OB_Dis3', 5157),
(5158, 'PF15392', NULL, 'Joubert syndrome-associated', 342, NULL, 'Joubert', 5158),
(5159, 'PF18804', NULL, 'CxC3 like cysteine cluster associated with KDZ transposases', 113, NULL, 'CxC3', 5159),
(5160, 'PF13355', NULL, 'Protein of unknown function (DUF4101)', 117, NULL, 'DUF4101', 5160),
(5161, 'PF00339', NULL, 'Arrestin (or S-antigen), N-terminal domain', 146, NULL, 'Arrestin_N', 5161),
(5162, 'PF15220', NULL, 'Hypoxia-inducible lipid droplet-associated', 63, NULL, 'HILPDA', 5162),
(5163, 'PF04391', NULL, 'Protein of unknown function (DUF533)', 177, NULL, 'DUF533', 5163),
(5164, 'PF06752', NULL, 'Enhancer of Polycomb C-terminus', 229, NULL, 'E_Pc_C', 5164),
(5165, 'PF15689', NULL, 'Nuclear receptor-interacting protein 1 repression 3', 88, NULL, 'NRIP1_repr_3', 5165),
(5166, 'PF14356', NULL, 'Domain of unknown function (DUF4403)', 425, NULL, 'DUF4403', 5166),
(5167, 'PF15782', NULL, 'Gene regulated by oestrogen in breast cancer', 1937, NULL, 'GREB1', 5167),
(5168, 'PF17781', NULL, 'RPN1/RPN2 N-terminal domain', 304, NULL, 'RPN1_RPN2_N', 5168),
(5169, 'PF06864', NULL, 'Pilin accessory protein (PilO)', 410, NULL, 'PAP_PilO', 5169),
(5170, 'PF15205', NULL, 'Placenta-specific protein 9', 74, NULL, 'PLAC9', 5170),
(5171, 'PF16368', NULL, 'Cytoplasmic polyadenylation element-binding protein 1 N-terminus', 307, NULL, 'CEBP1_N', 5171),
(5172, 'PF17391', NULL, 'Urocanase N-terminal domain', 127, NULL, 'Urocanase_N', 5172),
(5173, 'PF15094', NULL, 'Domain of unknown function (DUF4556)', 215, NULL, 'DUF4556', 5173),
(5174, 'PF14359', NULL, 'Domain of unknown function (DUF4406)', 90, NULL, 'DUF4406', 5174),
(5175, 'PF11231', NULL, 'Protein of unknown function (DUF3034)', 259, NULL, 'DUF3034', 5175),
(5176, 'PF14265', NULL, 'Domain of unknown function (DUF4355)', 124, NULL, 'DUF4355', 5176),
(5177, 'PF11081', NULL, 'Protein of unknown function (DUF2890)', 168, NULL, 'DUF2890', 5177),
(5178, 'PF13059', NULL, 'Protein of unknown function (DUF3992)', 79, NULL, 'DUF3922', 5178),
(5179, 'PF06536', NULL, 'Avian adenovirus fibre, N-terminal', 56, NULL, 'Av_adeno_fibre', 5179),
(5180, 'PF04710', NULL, 'Pellino', 411, NULL, 'Pellino', 5180),
(5181, 'PF10048', NULL, 'Predicted integral membrane protein (DUF2282)', 53, NULL, 'DUF2282', 5181),
(5182, 'PF10490', NULL, 'Rb-binding domain of kinetochore protein Cenp-F/LEK1', 47, NULL, 'CENP-F_C_Rb_bdg', 5182),
(5183, 'PF15870', NULL, 'ElonginA binding-protein 1', 166, NULL, 'EloA-BP1', 5183),
(5184, 'PF16473', NULL, '3'' exoribonuclease, RNase T-like', 166, NULL, 'DUF5051', 5184),
(5185, 'PF00438', NULL, 'S-adenosylmethionine synthetase, N-terminal domain', 99, NULL, 'S-AdoMet_synt_N', 5185),
(5186, 'PF15872', NULL, 'Serine-rich and transmembrane domain-containing protein 1', 103, NULL, 'SRTM1', 5186),
(5187, 'PF13057', NULL, 'Protein of unknown function (DUF3919)', 227, NULL, 'DUF3919', 5187),
(5188, 'PF02613', NULL, 'Nitrate reductase delta subunit', 138, NULL, 'Nitrate_red_del', 5188),
(5189, 'PF09025', NULL, 'YopR, type III needle-polymerisation regulator', 145, NULL, 'T3SS_needle_reg', 5189),
(5190, 'PF18159', NULL, 'SMODS-associating 4TM effector domain', 291, NULL, 'S_4TM', 5190),
(5191, 'PF17571', NULL, 'Family of unknown function (DUF5477)', 77, NULL, 'DUF5477', 5191),
(5192, 'PF12963', NULL, 'Protein of unknown function (DUF3852)', 108, NULL, 'DUF3852', 5192),
(5193, 'PF02097', NULL, 'Filoviridae VP35', 329, NULL, 'Filo_VP35', 5193),
(5194, 'PF15409', NULL, 'Pleckstrin homology domain', 89, NULL, 'PH_8', 5194),
(5195, 'PF15057', NULL, 'Domain of unknown function (DUF4537)', 124, NULL, 'DUF4537', 5195),
(5196, 'PF17564', NULL, 'Family of unknown function (DUF5470)', 73, NULL, 'DUF5470', 5196);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5197, 'PF10896', NULL, 'Protein of unknown function (DUF2714)', 143, NULL, 'DUF2714', 5197),
(5198, 'PF18300', NULL, 'Domain of unknown function (DUF5604)', 58, NULL, 'DUF5604', 5198),
(5199, 'PF03686', NULL, 'Uncharacterised protein family (UPF0146)', 129, NULL, 'UPF0146', 5199),
(5200, 'PF14090', NULL, 'Helix-turn-helix domain', 70, NULL, 'HTH_39', 5200),
(5201, 'PF14162', NULL, 'YozD-like protein', 57, NULL, 'YozD', 5201),
(5202, 'PF00120', NULL, 'Glutamine synthetase, catalytic domain', 344, NULL, 'Gln-synt_C', 5202),
(5203, 'PF03464', NULL, 'eRF1 domain 2', 133, NULL, 'eRF1_2', 5203),
(5204, 'PF04265', NULL, 'Thiamin pyrophosphokinase, vitamin B1 binding domain', 70, NULL, 'TPK_B1_binding', 5204),
(5205, 'PF12834', NULL, 'Phage integrase, N-terminal', 91, NULL, 'Phage_int_SAM_2', 5205),
(5206, 'PF09606', NULL, 'ARC105 or Med15 subunit of Mediator complex non-fungal', 780, NULL, 'Med15', 5206),
(5207, 'PF00449', NULL, 'Urease alpha-subunit, N-terminal domain', 121, NULL, 'Urease_alpha', 5207),
(5208, 'PF09459', NULL, 'Ethylbenzene dehydrogenase', 271, NULL, 'EB_dh', 5208),
(5209, 'PF17680', NULL, 'FlgO protein', 131, NULL, 'FlgO', 5209),
(5210, 'PF01476', NULL, 'LysM domain', 44, NULL, 'LysM', 5210),
(5211, 'PF10285', NULL, 'Luciferase catalytic domain', 296, NULL, 'Luciferase_cat', 5211),
(5212, 'PF13714', NULL, 'Phosphoenolpyruvate phosphomutase', 241, NULL, 'PEP_mutase', 5212),
(5213, 'PF19203', NULL, 'Family of unknown function (DUF5875)', 228, NULL, 'DUF5875', 5213),
(5214, 'PF04458', NULL, 'Protein of unknown function (DUF505)', 622, NULL, 'DUF505', 5214),
(5215, 'PF15571', NULL, 'Immunity protein 44', 126, NULL, 'Imm44', 5215),
(5216, 'PF07715', NULL, 'TonB-dependent Receptor Plug Domain', 108, NULL, 'Plug', 5216),
(5217, 'PF00552', NULL, 'Integrase DNA binding domain', 45, NULL, 'IN_DBD_C', 5217),
(5218, 'PF10029', NULL, 'Predicted periplasmic protein (DUF2271)', 136, NULL, 'DUF2271', 5218),
(5219, 'PF02264', NULL, 'LamB porin', 376, NULL, 'LamB', 5219),
(5220, 'PF07827', NULL, 'KNTase C-terminal domain', 132, NULL, 'KNTase_C', 5220),
(5221, 'PF10468', NULL, 'Carboxypeptidase inhibitor I68', 87, NULL, 'Inhibitor_I68', 5221),
(5222, 'PF09221', NULL, 'Bacteriocin class IId cyclical uberolysin-like', 67, NULL, 'Bacteriocin_IId', 5222),
(5223, 'PF05219', NULL, 'DREV methyltransferase', 265, NULL, 'DREV', 5223),
(5224, 'PF13524', NULL, 'Glycosyl transferases group 1', 92, NULL, 'Glyco_trans_1_2', 5224),
(5225, 'PF08261', NULL, 'Carcinustatin peptide', 8, NULL, 'Carcinustatin', 5225),
(5226, 'PF15121', NULL, 'TMEM71 protein family', 150, NULL, 'TMEM71', 5226),
(5227, 'PF15691', NULL, 'Protein phosphatase 1 regulatory subunit 32', 419, NULL, 'PPP1R32', 5227),
(5228, 'PF10260', NULL, 'Uncharacterized conserved domain (SAYSvFN)', 70, NULL, 'SAYSvFN', 5228),
(5229, 'PF07282', NULL, 'Putative transposase DNA-binding domain', 69, NULL, 'OrfB_Zn_ribbon', 5229),
(5230, 'PF01166', NULL, 'TSC-22/dip/bun family', 57, NULL, 'TSC22', 5230),
(5231, 'PF17535', NULL, 'Family of unknown function (DUF5454)', 221, NULL, 'DUF5454', 5231),
(5232, 'PF11628', NULL, 'T-cell surface glycoprotein CD3 zeta chain', 31, NULL, 'TCR_zetazeta', 5232),
(5233, 'PF06271', NULL, 'RDD family', 141, NULL, 'RDD', 5233),
(5234, 'PF10041', NULL, 'Uncharacterized conserved protein (DUF2277)', 78, NULL, 'DUF2277', 5234),
(5235, 'PF13848', NULL, 'Thioredoxin-like domain', 185, NULL, 'Thioredoxin_6', 5235),
(5236, 'PF05991', NULL, 'YacP-like NYN domain', 166, NULL, 'NYN_YacP', 5236),
(5237, 'PF10393', NULL, 'Trimeric coiled-coil oligomerisation domain of matrilin', 45, NULL, 'Matrilin_ccoil', 5237),
(5238, 'PF06270', NULL, 'Protein of unknown function (DUF1030)', 53, NULL, 'DUF1030', 5238),
(5239, 'PF01230', NULL, 'HIT domain', 98, NULL, 'HIT', 5239),
(5240, 'PF04860', NULL, 'Phage portal protein', 318, NULL, 'Phage_portal', 5240),
(5241, 'PF13749', NULL, 'Putative ATP-dependent DNA helicase recG C-terminal', 88, NULL, 'HATPase_c_4', 5241);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5242, 'PF04041', NULL, 'beta-1,4-mannooligosaccharide phosphorylase', 322, NULL, 'Glyco_hydro_130', 5242),
(5243, 'PF00230', NULL, 'Major intrinsic protein', 227, NULL, 'MIP', 5243),
(5244, 'PF13871', NULL, 'C-terminal domain on Strawberry notch homologue', 271, NULL, 'Helicase_C_4', 5244),
(5245, 'PF14514', NULL, 'Tetracyclin repressor-like, C-terminal domain', 130, NULL, 'TetR_C_9', 5245),
(5246, 'PF04510', NULL, 'Family of unknown function (DUF577)', 173, NULL, 'DUF577', 5246),
(5247, 'PF07305', NULL, 'Protein of unknown function (DUF1454)', 190, NULL, 'DUF1454', 5247),
(5248, 'PF13085', NULL, '2Fe-2S iron-sulfur cluster binding domain', 109, NULL, 'Fer2_3', 5248),
(5249, 'PF05011', NULL, 'Lariat debranching enzyme, C-terminal domain', 139, NULL, 'DBR1', 5249),
(5250, 'PF14627', NULL, 'Domain of unknown function (DUF4453)', 107, NULL, 'DUF4453', 5250),
(5251, 'PF01431', NULL, 'Peptidase family M13', 205, NULL, 'Peptidase_M13', 5251),
(5252, 'PF05939', NULL, 'Phage minor tail protein', 108, NULL, 'Phage_min_tail', 5252),
(5253, 'PF03835', NULL, 'Rad4 transglutaminase-like domain', 147, NULL, 'Rad4', 5253),
(5254, 'PF03029', NULL, 'Conserved hypothetical ATP binding protein', 241, NULL, 'ATP_bind_1', 5254),
(5255, 'PF04475', NULL, 'Protein of unknown function (DUF555)', 101, NULL, 'DUF555', 5255),
(5256, 'PF03055', NULL, 'Retinal pigment epithelial membrane protein', 476, NULL, 'RPE65', 5256),
(5257, 'PF02092', NULL, 'Glycyl-tRNA synthetase beta subunit', 534, NULL, 'tRNA_synt_2f', 5257),
(5258, 'PF12637', NULL, 'TSCPD domain', 74, NULL, 'TSCPD', 5258),
(5259, 'PF06630', NULL, 'Enterobacterial exodeoxyribonuclease VIII', 192, NULL, 'Exonuc_VIII', 5259),
(5260, 'PF09781', NULL, 'NADH:ubiquinone oxidoreductase, NDUFB5/SGDH subunit', 187, NULL, 'NDUF_B5', 5260),
(5261, 'PF06254', NULL, 'Putative bacterial toxin ydaT', 88, NULL, 'YdaT_toxin', 5261),
(5262, 'PF08967', NULL, 'Domain of unknown function (DUF1884)', 92, NULL, 'DUF1884', 5262),
(5263, 'PF07713', NULL, 'Protein of unknown function (DUF1604)', 85, NULL, 'DUF1604', 5263),
(5264, 'PF09107', NULL, 'Elongation factor SelB, winged helix', 47, NULL, 'SelB-wing_3', 5264),
(5265, 'PF16148', NULL, 'Domain of unknown function (DUF4856)', 358, NULL, 'DUF4856', 5265),
(5266, 'PF06570', NULL, 'Protein of unknown function (DUF1129)', 207, NULL, 'DUF1129', 5266),
(5267, 'PF10629', NULL, 'Protein of unknown function (DUF2475)', 67, NULL, 'DUF2475', 5267),
(5268, 'PF14762', NULL, 'Hermansky-Pudlak syndrome 3, middle region', 387, NULL, 'HPS3_Mid', 5268),
(5269, 'PF10036', NULL, 'RNA transcription, translation and transport factor protein', 257, NULL, 'RLL', 5269),
(5270, 'PF16770', NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', 100, NULL, 'RTT107_BRCT_5', 5270),
(5271, 'PF07887', NULL, 'Calmodulin binding protein-like', 292, NULL, 'Calmodulin_bind', 5271),
(5272, 'PF11830', NULL, 'Domain of unknown function (DUF3350)', 62, NULL, 'DUF3350', 5272),
(5273, 'PF08638', NULL, 'Mediator complex subunit MED14', 192, NULL, 'Med14', 5273),
(5274, 'PF03002', NULL, 'Somatostatin/Cortistatin family', 18, NULL, 'Somatostatin', 5274),
(5275, 'PF10004', NULL, 'Uncharacterized protein conserved in bacteria (DUF2247)', 158, NULL, 'DUF2247', 5275),
(5276, 'PF00683', NULL, 'TB domain', 45, NULL, 'TB', 5276),
(5277, 'PF18971', NULL, 'CagA protein', 876, NULL, 'CagA_N', 5277),
(5278, 'PF01947', NULL, 'p-hydroxybenzoic acid synthase', 149, NULL, 'DUF98', 5278),
(5279, 'PF02905', NULL, 'Epstein Barr virus nuclear antigen-1, DNA-binding domain', 146, NULL, 'EBV-NA1', 5279),
(5280, 'PF10617', NULL, 'Protein of unknown function (DUF2474)', 39, NULL, 'DUF2474', 5280),
(5281, 'PF17830', NULL, 'STI1 domain', 55, NULL, 'STI1', 5281),
(5282, 'PF02559', NULL, 'CarD-like/TRCF domain', 97, NULL, 'CarD_CdnL_TRCF', 5282),
(5283, 'PF15115', NULL, 'Domain of unknown function with conserved HDNR motif', 173, NULL, 'HDNR', 5283),
(5284, 'PF18506', NULL, 'RelB Antitoxin alpha helical domain', 47, NULL, 'RelB_N', 5284);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5285, 'PF11315', NULL, 'Mediator complex subunit 30', 147, NULL, 'Med30', 5285),
(5286, 'PF18715', NULL, 'Phage spike trimer', 53, NULL, 'Phage_spike', 5286),
(5287, 'PF05458', NULL, 'Cd27 binding protein (Siva)', 173, NULL, 'Siva', 5287),
(5288, 'PF15918', NULL, 'Domain of unknown function (DUF4744)', 72, NULL, 'DUF4744', 5288),
(5289, 'PF03082', NULL, 'Male accessory gland secretory protein', 264, NULL, 'MAGSP', 5289),
(5290, 'PF18875', NULL, 'AF4 interaction motif', 15, NULL, 'AF4_int', 5290),
(5291, 'PF18137', NULL, 'Origin recognition complex winged helix C-terminal', 145, NULL, 'ORC_WH_C', 5291),
(5292, 'PF19040', NULL, 'SGNH domain (fused to AT3 domains)', 233, NULL, 'SGNH', 5292),
(5293, 'PF18436', NULL, 'Helical box domain of E3 ubiquitin-protein ligase HECW1', 67, NULL, 'HECW1_helix', 5293),
(5294, 'PF07285', NULL, 'Protein of unknown function (DUF1444)', 264, NULL, 'DUF1444', 5294),
(5295, 'PF15583', NULL, 'Immunity protein 68', 152, NULL, 'Imm68', 5295),
(5296, 'PF12658', NULL, 'Telomere capping, CST complex subunit', 121, NULL, 'Ten1', 5296),
(5297, 'PF16213', NULL, 'Dimerisation and cyclophilin-binding domain of Mon2', 175, NULL, 'DCB', 5297),
(5298, 'PF00348', NULL, 'Polyprenyl synthetase', 256, NULL, 'polyprenyl_synt', 5298),
(5299, 'PF09903', NULL, 'Uncharacterized protein conserved in bacteria (DUF2130)', 255, NULL, 'DUF2130', 5299),
(5300, 'PF17186', NULL, 'Lipocalin-like domain', 130, NULL, 'Lipocalin_9', 5300),
(5301, 'PF10585', NULL, 'Ubiquitin-activating enzyme active site', 254, NULL, 'UBA_e1_thiolCys', 5301),
(5302, 'PF07086', NULL, 'Jagunal, ER re-organisation during oogenesis', 186, NULL, 'Jagunal', 5302),
(5303, 'PF09317', NULL, 'Domain of unknown function (DUF1974)', 284, NULL, 'DUF1974', 5303),
(5304, 'PF02203', NULL, 'Tar ligand binding domain homologue', 177, NULL, 'TarH', 5304),
(5305, 'PF13882', NULL, 'Bravo-like intracellular region', 88, NULL, 'Bravo_FIGEY', 5305),
(5306, 'PF02459', NULL, 'Adenoviral DNA terminal protein', 557, NULL, 'Adeno_terminal', 5306),
(5307, 'PF18147', NULL, 'Suv3 C-terminal domain 1', 43, NULL, 'Suv3_C_1', 5307),
(5308, 'PF15367', NULL, 'Calcium-binding and spermatid-specific protein 1', 397, NULL, 'CABS1', 5308),
(5309, 'PF03902', NULL, 'Gal4-like dimerisation domain', 54, NULL, 'Gal4_dimer', 5309),
(5310, 'PF02576', NULL, 'RimP N-terminal domain', 73, NULL, 'DUF150', 5310),
(5311, 'PF09155', NULL, 'Domain of unknown function (DUF1940)', 143, NULL, 'DUF1940', 5311),
(5312, 'PF17609', NULL, 'Family of unknown function', 126, NULL, 'HCMV_UL124', 5312),
(5313, 'PF07914', NULL, 'Protein of unknown function (DUF1679)', 414, NULL, 'DUF1679', 5313),
(5314, 'PF06729', NULL, 'Kinetochore component, CENP-R', 138, NULL, 'CENP-R', 5314),
(5315, 'PF04497', NULL, 'Poxviridae protein', 741, NULL, 'Pox_E2-like', 5315),
(5316, 'PF07768', NULL, 'PVL ORF-50-like family', 116, NULL, 'PVL_ORF50', 5316),
(5317, 'PF16912', NULL, 'Glucose dehydrogenase C-terminus', 212, NULL, 'Glu_dehyd_C', 5317),
(5318, 'PF14571', NULL, 'Stress-induced protein Di19, C-terminal', 101, NULL, 'Di19_C', 5318),
(5319, 'PF07679', NULL, 'Immunoglobulin I-set domain', 90, NULL, 'I-set', 5319),
(5320, 'PF03509', NULL, 'Gap junction alpha-8 protein (Cx50)', 66, NULL, 'Connexin50', 5320),
(5321, 'PF05084', NULL, 'Granule antigen protein (GRA6)', 216, NULL, 'GRA6', 5321),
(5322, 'PF09573', NULL, 'TaqI restriction endonuclease', 229, NULL, 'RE_TaqI', 5322),
(5323, 'PF16087', NULL, 'Helix-turn-helix domain (DUF4817)', 55, NULL, 'DUF4817', 5323),
(5324, 'PF01646', NULL, 'Herpes virus proteins UL24 and UL76', 177, NULL, 'Herpes_UL24', 5324),
(5325, 'PF15690', NULL, 'Nuclear receptor-interacting protein 1 repression 4', 312, NULL, 'NRIP1_repr_4', 5325),
(5326, 'PF18036', NULL, 'Ubiquitin-like domain', 89, NULL, 'Ubiquitin_4', 5326),
(5327, 'PF10013', NULL, 'Uncharacterized protein conserved in bacteria (DUF2256)', 40, NULL, 'DUF2256', 5327),
(5328, 'PF01398', NULL, 'JAB1/Mov34/MPN/PAD-1 ubiquitin protease', 118, NULL, 'JAB', 5328);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5329, 'PF19183', NULL, 'Family of unknown function (DUF5865)', 210, NULL, 'DUF5865', 5329),
(5330, 'PF15723', NULL, 'Motility quorum-sensing regulator, toxin of MqsA', 96, NULL, 'MqsR_toxin', 5330),
(5331, 'PF11488', NULL, 'Transcriptional regulatory protein LGE1', 71, NULL, 'Lge1', 5331),
(5332, 'PF11941', NULL, 'Domain of unknown function (DUF3459)', 91, NULL, 'DUF3459', 5332),
(5333, 'PF08235', NULL, 'LNS2 (Lipin/Ned1/Smp2)', 226, NULL, 'LNS2', 5333),
(5334, 'PF03379', NULL, 'CcmB protein', 215, NULL, 'CcmB', 5334),
(5335, 'PF12691', NULL, 'Bacteriophage minor capsid protein', 117, NULL, 'Minor_capsid_3', 5335),
(5336, 'PF15062', NULL, 'Haemopoietic lineage transmembrane helix', 86, NULL, 'ARL6IP6', 5336),
(5337, 'PF00445', NULL, 'Ribonuclease T2 family', 185, NULL, 'Ribonuclease_T2', 5337),
(5338, 'PF06384', NULL, 'Beta-catenin-interacting protein ICAT', 76, NULL, 'ICAT', 5338),
(5339, 'PF16097', NULL, 'Fragile X-related 1 protein C-terminal region 3', 68, NULL, 'FXR_C3', 5339),
(5340, 'PF07927', NULL, 'HicA toxin of bacterial toxin-antitoxin,', 58, NULL, 'HicA_toxin', 5340),
(5341, 'PF18355', NULL, 'Domain of unknown function (DUF5607)', 65, NULL, 'DUF5607', 5341),
(5342, 'PF02394', NULL, 'Interleukin-1 propeptide', 108, NULL, 'IL1_propep', 5342),
(5343, 'PF11052', NULL, 'Trans-sialidase of Trypanosoma hydrophobic C-terminal', 24, NULL, 'Tr-sialidase_C', 5343),
(5344, 'PF13642', NULL, 'protein structure with unknown function', 101, NULL, 'DUF4144', 5344),
(5345, 'PF04954', NULL, 'Siderophore-interacting protein', 119, NULL, 'SIP', 5345),
(5346, 'PF17063', NULL, 'Phenol-soluble modulin alpha 4 peptide', 20, NULL, 'Psm4', 5346),
(5347, 'PF17374', NULL, 'Family of unknown function (DUF5396)', 947, NULL, 'DUF5396', 5347),
(5348, 'PF03089', NULL, 'Recombination activating protein 2', 339, NULL, 'RAG2', 5348),
(5349, 'PF11729', NULL, 'nodavirus capsid protein', 340, NULL, 'Capsid-VNN', 5349),
(5350, 'PF09117', NULL, 'MiAMP1', 76, NULL, 'MiAMP1', 5350),
(5351, 'PF07316', NULL, 'Protein of unknown function (DUF1463)', 137, NULL, 'DUF1463', 5351),
(5352, 'PF01170', NULL, 'Putative RNA methylase family UPF0020', 197, NULL, 'UPF0020', 5352),
(5353, 'PF01087', NULL, 'Galactose-1-phosphate uridyl transferase, N-terminal domain', 184, NULL, 'GalP_UDP_transf', 5353),
(5354, 'PF00182', NULL, 'Chitinase class I', 232, NULL, 'Glyco_hydro_19', 5354),
(5355, 'PF08283', NULL, 'Geminivirus rep protein central domain', 107, NULL, 'Gemini_AL1_M', 5355),
(5356, 'PF16926', NULL, 'Archaeal 4TM region of histidine kinase', 164, NULL, 'HisKA_4TM', 5356),
(5357, 'PF12254', NULL, 'DNA polymerase alpha subunit p180 N terminal', 66, NULL, 'DNA_pol_alpha_N', 5357),
(5358, 'PF06110', NULL, 'Eukaryotic protein of unknown function (DUF953)', 119, NULL, 'DUF953', 5358),
(5359, 'PF13915', NULL, 'Domain of unknown function (DUF4210)', 73, NULL, 'DUF4210', 5359),
(5360, 'PF06440', NULL, 'DNA polymerase III, theta subunit', 70, NULL, 'DNA_pol3_theta', 5360),
(5361, 'PF12739', NULL, 'ER-Golgi trafficking TRAPP I complex 85 kDa subunit', 418, NULL, 'TRAPPC-Trs85', 5361),
(5362, 'PF05635', NULL, '23S rRNA-intervening sequence protein', 106, NULL, '23S_rRNA_IVP', 5362),
(5363, 'PF06139', NULL, 'BphX-like', 133, NULL, 'BphX', 5363),
(5364, 'PF18921', NULL, 'Cyanophycin synthase-like N-terminal domain', 115, NULL, 'Cyanophycin_syn', 5364),
(5365, 'PF00986', NULL, 'DNA gyrase B subunit, carboxyl terminus', 63, NULL, 'DNA_gyraseB_C', 5365),
(5366, 'PF07607', NULL, 'Protein of unknown function (DUF1570)', 129, NULL, 'DUF1570', 5366),
(5367, 'PF14962', NULL, 'Mitochondria Localisation Sequence', 192, NULL, 'AIF-MLS', 5367),
(5368, 'PF00741', NULL, 'Gas vesicle protein', 39, NULL, 'Gas_vesicle', 5368),
(5369, 'PF00737', NULL, 'Photosystem II 10 kDa phosphoprotein', 52, NULL, 'PsbH', 5369),
(5370, 'PF05535', NULL, 'Chromadorea ALT protein', 80, NULL, 'Chromadorea_ALT', 5370),
(5371, 'PF15282', NULL, 'BMP-2-inducible protein kinase C-terminus', 255, NULL, 'BMP2K_C', 5371);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5372, 'PF18948', NULL, 'Family of unknown function (DUF5692)', 305, NULL, 'DUF5692', 5372),
(5373, 'PF09988', NULL, 'Uncharacterized metal-binding protein (DUF2227)', 167, NULL, 'DUF2227', 5373),
(5374, 'PF05590', NULL, 'Xylella fastidiosa protein of unknown function (DUF769)', 259, NULL, 'DUF769', 5374),
(5375, 'PF01607', NULL, 'Chitin binding Peritrophin-A domain', 53, NULL, 'CBM_14', 5375),
(5376, 'PF12745', NULL, 'Anticodon binding domain of tRNAs', 263, NULL, 'HGTP_anticodon2', 5376),
(5377, 'PF14905', NULL, 'Outer membrane protein beta-barrel family', 408, NULL, 'OMP_b-brl_3', 5377),
(5378, 'PF02098', NULL, 'Tick histamine binding protein', 152, NULL, 'His_binding', 5378),
(5379, 'PF02453', NULL, 'Reticulon', 157, NULL, 'Reticulon', 5379),
(5380, 'PF17793', NULL, 'ANC1 homology domain (AHD)', 61, NULL, 'AHD', 5380),
(5381, 'PF03606', NULL, 'C4-dicarboxylate anaerobic carrier', 465, NULL, 'DcuC', 5381),
(5382, 'PF00096', NULL, 'Zinc finger, C2H2 type', 23, NULL, 'zf-C2H2', 5382),
(5383, 'PF13314', NULL, 'Domain of unknown function (DUF4083)', 57, NULL, 'DUF4083', 5383),
(5384, 'PF06001', NULL, 'Domain of Unknown Function (DUF902)', 40, NULL, 'DUF902', 5384),
(5385, 'PF12269', NULL, 'CpG binding protein zinc finger C terminal domain', 235, NULL, 'zf-CpG_bind_C', 5385),
(5386, 'PF07228', NULL, 'Stage II sporulation protein E (SpoIIE)', 193, NULL, 'SpoIIE', 5386),
(5387, 'PF03707', NULL, 'Bacterial signalling protein N terminal repeat', 59, NULL, 'MHYT', 5387),
(5388, 'PF00752', NULL, 'XPG N-terminal domain', 101, NULL, 'XPG_N', 5388),
(5389, 'PF09458', NULL, 'H-type lectin domain', 67, NULL, 'H_lectin', 5389),
(5390, 'PF14781', NULL, 'Ciliary BBSome complex subunit 2, N-terminal', 106, NULL, 'BBS2_N', 5390),
(5391, 'PF14062', NULL, 'Domain of unknown function (DUF4253)', 109, NULL, 'DUF4253', 5391),
(5392, 'PF15265', NULL, 'FAM196 family', 491, NULL, 'FAM196', 5392),
(5393, 'PF01790', NULL, 'Prolipoprotein diacylglyceryl transferase', 242, NULL, 'LGT', 5393),
(5394, 'PF09695', NULL, 'Bacterial protein of unknown function (YtfJ_HI0045)', 160, NULL, 'YtfJ_HI0045', 5394),
(5395, 'PF05016', NULL, 'ParE toxin of type II toxin-antitoxin system, parDE', 90, NULL, 'ParE_toxin', 5395),
(5396, 'PF14727', NULL, 'PTHB1 N-terminus', 415, NULL, 'PHTB1_N', 5396),
(5397, 'PF10810', NULL, 'Protein of unknown function (DUF2545)', 80, NULL, 'DUF2545', 5397),
(5398, 'PF11807', NULL, 'Mycotoxin biosynthesis protein UstYa', 220, NULL, 'UstYa', 5398),
(5399, 'PF09895', NULL, 'RecB-family nuclease (DUF2122)', 106, NULL, 'DUF2122', 5399),
(5400, 'PF05388', NULL, 'Carboxypeptidase Y pro-peptide', 127, NULL, 'Carbpep_Y_N', 5400),
(5401, 'PF15046', NULL, 'Protein of unknown function (DUF4532)', 279, NULL, 'DUF4532', 5401),
(5402, 'PF08637', NULL, 'ATP synthase regulation protein NCA2', 289, NULL, 'NCA2', 5402),
(5403, 'PF12430', NULL, 'Abscisic acid G-protein coupled receptor', 182, NULL, 'ABA_GPCR', 5403),
(5404, 'PF13024', NULL, 'Protein of unknown function (DUF3884)', 73, NULL, 'DUF3884', 5404),
(5405, 'PF00393', NULL, '6-phosphogluconate dehydrogenase, C-terminal domain', 290, NULL, '6PGD', 5405),
(5406, 'PF12590', NULL, 'Acyl-ATP thioesterase', 130, NULL, 'Acyl-thio_N', 5406),
(5407, 'PF01426', NULL, 'BAH domain', 122, NULL, 'BAH', 5407),
(5408, 'PF04732', NULL, 'Intermediate filament head (DNA binding) region', 87, NULL, 'Filament_head', 5408),
(5409, 'PF18194', NULL, 'Exoribonuclease 1 Domain-3', 71, NULL, 'Xrn1_D3', 5409),
(5410, 'PF07321', NULL, 'Type III secretion protein YscO', 149, NULL, 'YscO', 5410),
(5411, 'PF10350', NULL, 'Putative death-receptor fusion protein (DUF2428)', 276, NULL, 'DUF2428', 5411),
(5412, 'PF14057', NULL, 'GGGtGRT protein', 327, NULL, 'GGGtGRT', 5412),
(5413, 'PF16958', NULL, 'Pre-mRNA-splicing factor PRP9 N-terminus', 150, NULL, 'PRP9_N', 5413),
(5414, 'PF01278', NULL, 'Omptin family', 282, NULL, 'Omptin', 5414),
(5415, 'PF15469', NULL, 'Exocyst complex component Sec5', 191, NULL, 'Sec5', 5415);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5416, 'PF12533', NULL, 'Neuronal helix-loop-helix transcription factor', 126, NULL, 'Neuro_bHLH', 5416),
(5417, 'PF13362', NULL, 'Toprim domain', 95, NULL, 'Toprim_3', 5417),
(5418, 'PF04488', NULL, 'Glycosyltransferase sugar-binding region containing DXD motif', 98, NULL, 'Gly_transf_sug', 5418),
(5419, 'PF18730', NULL, 'Cthe_2314-like HEPN', 173, NULL, 'HEPN_Cthe2314', 5419),
(5420, 'PF15727', NULL, 'Domain of unknown function (DUF4678)', 380, NULL, 'DUF4678', 5420),
(5421, 'PF09711', NULL, 'CRISPR-associated protein (Cas_Csn2)', 176, NULL, 'Cas_Csn2', 5421),
(5422, 'PF09162', NULL, 'Tap, RNA-binding', 83, NULL, 'Tap-RNA_bind', 5422),
(5423, 'PF12774', NULL, 'Hydrolytic ATP binding site of dynein motor region', 327, NULL, 'AAA_6', 5423),
(5424, 'PF03475', NULL, '3-alpha domain', 44, NULL, '3-alpha', 5424),
(5425, 'PF13596', NULL, 'PAS domain', 106, NULL, 'PAS_10', 5425),
(5426, 'PF14137', NULL, 'Domain of unknown function (DUF4304)', 116, NULL, 'DUF4304', 5426),
(5427, 'PF10824', NULL, 'Excreted virulence factor EspC, type VII ESX diderm', 100, NULL, 'T7SS_ESX_EspC', 5427),
(5428, 'PF11341', NULL, 'Protein of unknown function (DUF3143)', 65, NULL, 'DUF3143', 5428),
(5429, 'PF03403', NULL, 'Platelet-activating factor acetylhydrolase, isoform II', 379, NULL, 'PAF-AH_p_II', 5429),
(5430, 'PF05777', NULL, 'Drosophila accessory gland-specific peptide 26Ab (Acp26Ab)', 90, NULL, 'Acp26Ab', 5430),
(5431, 'PF10667', NULL, 'Protein of unknown function (DUF2486)', 251, NULL, 'DUF2486', 5431),
(5432, 'PF03226', NULL, 'Yippee zinc-binding/DNA-binding /Mis18, centromere assembly', 105, NULL, 'Yippee-Mis18', 5432),
(5433, 'PF14613', NULL, 'Protein of unknown function (DUF4449)', 163, NULL, 'DUF4449', 5433),
(5434, 'PF16714', NULL, 'Tyrosyl-tRNA synthetase C-terminal domain', 120, NULL, 'TyrRSs_C', 5434),
(5435, 'PF12095', NULL, 'Protein CHLORORESPIRATORY REDUCTION 7', 84, NULL, 'CRR7', 5435),
(5436, 'PF03116', NULL, 'NQR2, RnfD, RnfE family', 293, NULL, 'NQR2_RnfD_RnfE', 5436),
(5437, 'PF15770', NULL, 'Domain of unknown function (DUF4699)', 310, NULL, 'DUF4699', 5437),
(5438, 'PF12722', NULL, 'High-temperature-induced dauer-formation protein', 811, NULL, 'Hid1', 5438),
(5439, 'PF09238', NULL, 'Interleukin-4 receptor alpha chain, N-terminal', 94, NULL, 'IL4Ra_N', 5439),
(5440, 'PF04078', NULL, 'Cell differentiation family, Rcd1-like', 259, NULL, 'Rcd1', 5440),
(5441, 'PF03109', NULL, 'ABC1 family', 119, NULL, 'ABC1', 5441),
(5442, 'PF11988', NULL, 'Retrograde transport protein Dsl1 N terminal', 352, NULL, 'Dsl1_N', 5442),
(5443, 'PF11793', NULL, 'FANCL C-terminal domain', 70, NULL, 'FANCL_C', 5443),
(5444, 'PF10612', NULL, 'Spore coat protein Z', 159, NULL, 'Spore-coat_CotZ', 5444),
(5445, 'PF14583', NULL, 'Oligogalacturonate lyase', 386, NULL, 'Pectate_lyase22', 5445),
(5446, 'PF13605', NULL, 'Domain of unknown function (DUF4141)', 53, NULL, 'DUF4141', 5446),
(5447, 'PF15413', NULL, 'Pleckstrin homology domain', 105, NULL, 'PH_11', 5447),
(5448, 'PF05281', NULL, 'Neuroendocrine protein 7B2 precursor (Secretogranin V)', 227, NULL, 'Secretogranin_V', 5448),
(5449, 'PF02085', NULL, 'Class III cytochrome C family', 102, NULL, 'Cytochrom_CIII', 5449),
(5450, 'PF06304', NULL, 'Protein of unknown function (DUF1048)', 103, NULL, 'DUF1048', 5450),
(5451, 'PF00705', NULL, 'Proliferating cell nuclear antigen, N-terminal domain', 127, NULL, 'PCNA_N', 5451),
(5452, 'PF04362', NULL, 'Bacterial Fe(2+) trafficking', 88, NULL, 'Iron_traffic', 5452),
(5453, 'PF07863', NULL, 'Homologues of TraJ from Bacteroides conjugative transposon', 66, NULL, 'CtnDOT_TraJ', 5453),
(5454, 'PF19195', NULL, 'Family of unknown function (DUF5870)', 488, NULL, 'DUF5870', 5454),
(5455, 'PF14230', NULL, 'Domain of unknown function (DUF4333)', 78, NULL, 'DUF4333', 5455),
(5456, 'PF18968', NULL, 'Family of unknown function (DUF5707)', 98, NULL, 'DUF5707', 5456),
(5457, 'PF12024', NULL, 'Domain of unknown function (DUF3512)', 186, NULL, 'DUF3512', 5457);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5458, 'PF12291', NULL, 'Protein of unknown function (DUF3623)', 256, NULL, 'DUF3623', 5458),
(5459, 'PF16724', NULL, 'T4-like virus Myoviridae tail sheath stabiliser', 234, NULL, 'T4-gp15_tss', 5459),
(5460, 'PF13291', NULL, 'ACT domain', 80, NULL, 'ACT_4', 5460),
(5461, 'PF14721', NULL, 'Apoptosis-inducing factor, mitochondrion-associated, C-term', 131, NULL, 'AIF_C', 5461),
(5462, 'PF09180', NULL, 'Prolyl-tRNA synthetase, C-terminal', 69, NULL, 'ProRS-C_1', 5462),
(5463, 'PF15963', NULL, 'Myb DNA-binding like', 88, NULL, 'Myb_DNA-bind_7', 5463),
(5464, 'PF14104', NULL, 'Domain of unknown function (DUF4277)', 109, NULL, 'DUF4277', 5464),
(5465, 'PF10079', NULL, 'Bacillithiol biosynthesis BshC', 539, NULL, 'BshC', 5465),
(5466, 'PF16157', NULL, 'Domain of unknown function (DUF4865)', 183, NULL, 'DUF4865', 5466),
(5467, 'PF15009', NULL, 'Transmembrane protein 173', 293, NULL, 'TMEM173', 5467),
(5468, 'PF12980', NULL, 'Domain of Unknown Function with PDB structure (DUF3864)', 80, NULL, 'DUF3864', 5468),
(5469, 'PF17713', NULL, 'Family of unknown function (DUF5558)', 124, NULL, 'DUF5558', 5469),
(5470, 'PF01578', NULL, 'Cytochrome C assembly protein', 214, NULL, 'Cytochrom_C_asm', 5470),
(5471, 'PF18196', NULL, 'Chromodomain helicase DNA-binding domain 1', 120, NULL, 'Cdh1_DBD_1', 5471),
(5472, 'PF13549', NULL, 'ATP-grasp domain', 222, NULL, 'ATP-grasp_5', 5472),
(5473, 'PF11937', NULL, 'Protein of unknown function (DUF3455)', 158, NULL, 'DUF3455', 5473),
(5474, 'PF06014', NULL, 'Bacterial protein of unknown function (DUF910)', 61, NULL, 'DUF910', 5474),
(5475, 'PF10609', NULL, 'NUBPL iron-transfer P-loop NTPase', 246, NULL, 'ParA', 5475),
(5476, 'PF18623', NULL, 'TnsE C-terminal domain', 145, NULL, 'TnsE_C', 5476),
(5477, 'PF06820', NULL, 'Putative prophage tail fibre C-terminus', 64, NULL, 'Phage_fiber_C', 5477),
(5478, 'PF17267', NULL, 'Family of unknown function (DUF5333)', 110, NULL, 'DUF5333', 5478),
(5479, 'PF00167', NULL, 'Fibroblast growth factor', 125, NULL, 'FGF', 5479),
(5480, 'PF15182', NULL, 'Otospiralin', 69, NULL, 'OTOS', 5480),
(5481, 'PF10291', NULL, 'Muniscin C-terminal mu homology domain', 263, NULL, 'muHD', 5481),
(5482, 'PF08227', NULL, 'DASH complex subunit Hsk3 like', 45, NULL, 'DASH_Hsk3', 5482),
(5483, 'PF17777', NULL, 'Insertion domain in 60S ribosomal protein L10P', 71, NULL, 'RL10P_insert', 5483),
(5484, 'PF04500', NULL, 'FLYWCH zinc finger domain', 63, NULL, 'FLYWCH', 5484),
(5485, 'PF10457', NULL, 'Cholesterol-capturing domain', 178, NULL, 'MENTAL', 5485),
(5486, 'PF12656', NULL, 'G-patch domain', 61, NULL, 'G-patch_2', 5486),
(5487, 'PF07565', NULL, 'Band 3 cytoplasmic domain', 268, NULL, 'Band_3_cyto', 5487),
(5488, 'PF15627', NULL, 'CEP76 C2 domain', 152, NULL, 'CEP76-C2', 5488),
(5489, 'PF15499', NULL, 'Ubiquitin-specific peptidase-like, SUMO isopeptidase', 272, NULL, 'Peptidase_C98', 5489),
(5490, 'PF02813', NULL, 'Retroviral M domain', 86, NULL, 'Retro_M', 5490),
(5491, 'PF04822', NULL, 'Takusan', 85, NULL, 'Takusan', 5491),
(5492, 'PF15816', NULL, 'Transmembrane protein 82', 305, NULL, 'TMEM82', 5492),
(5493, 'PF13183', NULL, '4Fe-4S dicluster domain', 65, NULL, 'Fer4_8', 5493),
(5494, 'PF11799', NULL, 'impB/mucB/samB family C-terminal domain', 118, NULL, 'IMS_C', 5494),
(5495, 'PF13983', NULL, 'YsaB-like lipoprotein', 75, NULL, 'YsaB', 5495),
(5496, 'PF16320', NULL, 'Ribosomal protein L7/L12 dimerisation domain', 48, NULL, 'Ribosomal_L12_N', 5496),
(5497, 'PF06769', NULL, 'YoeB-like toxin of bacterial type II toxin-antitoxin system', 80, NULL, 'YoeB_toxin', 5497),
(5498, 'PF05944', NULL, 'Phage small terminase subunit', 130, NULL, 'Phage_term_smal', 5498),
(5499, 'PF16590', NULL, 'Exocrine gland-secreting peptide', 91, NULL, 'ESP', 5499),
(5500, 'PF16342', NULL, 'Domain of unknown function (DUF4972)', 128, NULL, 'DUF4972', 5500),
(5501, 'PF17838', NULL, 'PH domain', 123, NULL, 'PH_16', 5501),
(5502, 'PF04071', NULL, 'Cysteine-rich small domain', 82, NULL, 'zf-like', 5502);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5503, 'PF07401', NULL, 'Bovine Lentivirus VIF protein', 198, NULL, 'Lenti_VIF_2', 5503),
(5504, 'PF12125', NULL, 'D domain of beta-TrCP', 39, NULL, 'Beta-TrCP_D', 5504),
(5505, 'PF17600', NULL, 'Family of unknown function (DUF5496)', 87, NULL, 'DUF5496', 5505),
(5506, 'PF14426', NULL, 'Immunity protein Imm2', 60, NULL, 'Imm2', 5506),
(5507, 'PF06315', NULL, 'Isocitrate dehydrogenase kinase/phosphatase (AceK)', 561, NULL, 'AceK', 5507),
(5508, 'PF01632', NULL, 'Ribosomal protein L35', 61, NULL, 'Ribosomal_L35p', 5508),
(5509, 'PF06786', NULL, 'Uncharacterised protein family (UPF0253)', 65, NULL, 'UPF0253', 5509),
(5510, 'PF14984', NULL, 'CD24 protein', 52, NULL, 'CD24', 5510),
(5511, 'PF09729', NULL, 'Gti1/Pac2 family', 181, NULL, 'Gti1_Pac2', 5511),
(5512, 'PF07042', NULL, 'TrfA protein', 282, NULL, 'TrfA', 5512),
(5513, 'PF05559', NULL, 'Protein of unknown function (DUF763)', 311, NULL, 'DUF763', 5513),
(5514, 'PF06779', NULL, 'Uncharacterised MFS-type transporter YbfB', 365, NULL, 'MFS_4', 5514),
(5515, 'PF13921', NULL, 'Myb-like DNA-binding domain', 60, NULL, 'Myb_DNA-bind_6', 5515),
(5516, 'PF17770', NULL, 'Ribonuclease J C-terminal domain', 102, NULL, 'RNase_J_C', 5516),
(5517, 'PF18739', NULL, 'Apea-like HEPN', 107, NULL, 'HEPN_Apea', 5517),
(5518, 'PF11306', NULL, 'Protein of unknown function (DUF3108)', 222, NULL, 'DUF3108', 5518),
(5519, 'PF00729', NULL, 'Viral coat protein (S domain)', 207, NULL, 'Viral_coat', 5519),
(5520, 'PF09128', NULL, 'Regulator of G protein signalling-like domain', 188, NULL, 'RGS-like', 5520),
(5521, 'PF11671', NULL, 'Complementary sex determiner protein', 146, NULL, 'Apis_Csd', 5521),
(5522, 'PF00992', NULL, 'Troponin', 132, NULL, 'Troponin', 5522),
(5523, 'PF02637', NULL, 'GatB domain', 148, NULL, 'GatB_Yqey', 5523),
(5524, 'PF01877', NULL, 'RNA binding', 119, NULL, 'RNA_binding', 5524),
(5525, 'PF00938', NULL, 'Lipoprotein', 86, NULL, 'Lipoprotein_3', 5525),
(5526, 'PF01359', NULL, 'Transposase (partial DDE domain)', 80, NULL, 'Transposase_1', 5526),
(5527, 'PF16253', NULL, 'Domain of unknown function (DUF4909)', 127, NULL, 'DUF4909', 5527),
(5528, 'PF02108', NULL, 'Flagellar assembly protein FliH', 128, NULL, 'FliH', 5528),
(5529, 'PF00799', NULL, 'Geminivirus Rep catalytic domain', 113, NULL, 'Gemini_AL1', 5529),
(5530, 'PF16542', NULL, 'PNKP adenylyltransferase domain, ligase domain', 320, NULL, 'PNKP_ligase', 5530),
(5531, 'PF18107', NULL, 'Fission yeast centromere protein N-terminal domain', 61, NULL, 'HTH_ABP1_N', 5531),
(5532, 'PF16823', NULL, 'Atypical PilZ domain, cyclic di-GMP receptor', 136, NULL, 'PilZ_2', 5532),
(5533, 'PF00268', NULL, 'Ribonucleotide reductase, small chain', 280, NULL, 'Ribonuc_red_sm', 5533),
(5534, 'PF00104', NULL, 'Ligand-binding domain of nuclear hormone receptor', 211, NULL, 'Hormone_recep', 5534),
(5535, 'PF14257', NULL, 'Domain of unknown function (DUF4349)', 212, NULL, 'DUF4349', 5535),
(5536, 'PF05066', NULL, 'HB1, ASXL, restriction endonuclease HTH domain', 72, NULL, 'HARE-HTH', 5536),
(5537, 'PF12976', NULL, 'Domain of Unknown Function with PDB structure (DUF3860)', 92, NULL, 'DUF3860', 5537),
(5538, 'PF00808', NULL, 'Histone-like transcription factor (CBF/NF-Y) and archaeal histone', 65, NULL, 'CBFD_NFYB_HMF', 5538),
(5539, 'PF05453', NULL, 'BmTXKS1/BmP02 toxin family', 28, NULL, 'Toxin_6', 5539),
(5540, 'PF09208', NULL, 'Restriction endonuclease MspI', 259, NULL, 'Endonuc-MspI', 5540),
(5541, 'PF05215', NULL, 'Spiralin', 239, NULL, 'Spiralin', 5541),
(5542, 'PF09863', NULL, 'Uncharacterized protein conserved in bacteria (DUF2090)', 311, NULL, 'DUF2090', 5542),
(5543, 'PF11845', NULL, 'Protein of unknown function (DUF3365)', 139, NULL, 'DUF3365', 5543),
(5544, 'PF19075', NULL, 'Family of unknown function (DUF5771)', 69, NULL, 'DUF5771', 5544),
(5545, 'PF01660', NULL, 'Viral methyltransferase', 346, NULL, 'Vmethyltransf', 5545),
(5546, 'PF15569', NULL, 'Immunity protein 40', 93, NULL, 'Imm40', 5546),
(5547, 'PF12243', NULL, 'CTD kinase subunit gamma CTK3', 123, NULL, 'CTK3', 5547);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5548, 'PF04001', NULL, 'Transcription factor Vhr1', 91, NULL, 'Vhr1', 5548),
(5549, 'PF13769', NULL, 'Virulence factor', 81, NULL, 'Virulence_fact', 5549),
(5550, 'PF13621', NULL, 'Cupin-like domain', 254, NULL, 'Cupin_8', 5550),
(5551, 'PF03677', NULL, 'Uncharacterised protein family (UPF0137)', 237, NULL, 'UPF0137', 5551),
(5552, 'PF02206', NULL, 'Domain of unknown function', 66, NULL, 'WSN', 5552),
(5553, 'PF12744', NULL, 'Autophagy protein Atg19, Atg8-binding', 251, NULL, 'ATG19_autophagy', 5553),
(5554, 'PF12558', NULL, 'ATP-binding cassette cobalt transporter', 73, NULL, 'DUF3744', 5554),
(5555, 'PF02439', NULL, 'Adenovirus E3 region protein CR2', 38, NULL, 'Adeno_E3_CR2', 5555),
(5556, 'PF01594', NULL, 'AI-2E family transporter', 327, NULL, 'AI-2E_transport', 5556),
(5557, 'PF11030', NULL, 'Nucleocapsid protein N', 167, NULL, 'Nucleocapsid-N', 5557),
(5558, 'PF14202', NULL, 'Transposon-encoded protein TnpW', 35, NULL, 'TnpW', 5558),
(5559, 'PF01883', NULL, 'Iron-sulfur cluster assembly protein', 75, NULL, 'FeS_assembly_P', 5559),
(5560, 'PF12659', NULL, 'Telomere capping C-terminal wHTH', 120, NULL, 'Stn1_C', 5560),
(5561, 'PF00593', NULL, 'TonB dependent receptor', 470, NULL, 'TonB_dep_Rec', 5561),
(5562, 'PF16850', NULL, 'Peptidase inhibitor I66', 146, NULL, 'Inhibitor_I66', 5562),
(5563, 'PF06572', NULL, 'Protein of unknown function (DUF1131)', 170, NULL, 'DUF1131', 5563),
(5564, 'PF11996', NULL, 'Protein of unknown function (DUF3491)', 944, NULL, 'DUF3491', 5564),
(5565, 'PF08046', NULL, 'IlvGEDA operon leader peptide', 32, NULL, 'IlvGEDA_leader', 5565),
(5566, 'PF02226', NULL, 'Picornavirus coat protein (VP4)', 68, NULL, 'Pico_P1A', 5566),
(5567, 'PF18927', NULL, 'Glycosyl-4,4''-diaponeurosporenoate acyltransferase', 123, NULL, 'CrtO', 5567),
(5568, 'PF05829', NULL, 'Adenovirus late L2 mu core protein (Protein X)', 42, NULL, 'Adeno_PX', 5568),
(5569, 'PF13284', NULL, 'Domain of unknown function (DUF4072)', 47, NULL, 'DUF4072', 5569),
(5570, 'PF06800', NULL, 'Sugar transport protein', 281, NULL, 'Sugar_transport', 5570),
(5571, 'PF07936', NULL, 'Potassium-channel blocking toxin', 34, NULL, 'Defensin_4', 5571),
(5572, 'PF18151', NULL, 'Domain of unknown function (DUF5601)', 65, NULL, 'DUF5601', 5572),
(5573, 'PF09756', NULL, 'DDRGK domain', 188, NULL, 'DDRGK', 5573),
(5574, 'PF06651', NULL, 'Protein of unknown function (DUF1163)', 68, NULL, 'DUF1163', 5574),
(5575, 'PF11397', NULL, 'Glycosyltransferase (GlcNAc)', 352, NULL, 'GlcNAc', 5575),
(5576, 'PF12033', NULL, 'Protein of unknown function (DUF3519)', 105, NULL, 'DUF3519', 5576),
(5577, 'PF16742', NULL, 'N-terminus of interleukin 17 receptor D', 122, NULL, 'IL17R_D_N', 5577),
(5578, 'PF11279', NULL, 'Protein of unknown function (DUF3080)', 316, NULL, 'DUF3080', 5578),
(5579, 'PF01597', NULL, 'Glycine cleavage H-protein', 122, NULL, 'GCV_H', 5579),
(5580, 'PF08684', NULL, 'DNA mimic ocr', 101, NULL, 'ocr', 5580),
(5581, 'PF00526', NULL, 'Dictyostelium (slime mold) repeat', 24, NULL, 'Dicty_CTDC', 5581),
(5582, 'PF04803', NULL, 'Cor1/Xlr/Xmr conserved region', 132, NULL, 'Cor1', 5582),
(5583, 'PF13036', NULL, 'Peptidoglycan-synthase activator LpoB', 147, NULL, 'LpoB', 5583),
(5584, 'PF07699', NULL, 'Putative ephrin-receptor like', 48, NULL, 'Ephrin_rec_like', 5584),
(5585, 'PF18334', NULL, 'Exoribonuclease Xrn1 D2/D3 domain', 87, NULL, 'XRN1_D2_D3', 5585),
(5586, 'PF10675', NULL, 'Protein of unknown function (DUF2489)', 130, NULL, 'DUF2489', 5586),
(5587, 'PF03313', NULL, 'Serine dehydratase alpha chain', 260, NULL, 'SDH_alpha', 5587),
(5588, 'PF04248', NULL, 'Domain of unknown function (DUF427)', 93, NULL, 'NTP_transf_9', 5588),
(5589, 'PF00790', NULL, 'VHS domain', 141, NULL, 'VHS', 5589),
(5590, 'PF13722', NULL, '5TM C-terminal transporter carbon starvation CstA', 117, NULL, 'CstA_5TM', 5590),
(5591, 'PF04899', NULL, 'MbeD/MobD like', 70, NULL, 'MbeD_MobD', 5591),
(5592, 'PF04945', NULL, 'YHS domain', 47, NULL, 'YHS', 5592);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5593, 'PF19115', NULL, 'Family of unknown function (DUF5800)', 64, NULL, 'DUF5800', 5593),
(5594, 'PF17932', NULL, 'Tetracyclin repressor-like, C-terminal domain', 114, NULL, 'TetR_C_24', 5594),
(5595, 'PF01769', NULL, 'Divalent cation transporter', 125, NULL, 'MgtE', 5595),
(5596, 'PF04138', NULL, 'GtrA-like protein', 117, NULL, 'GtrA', 5596),
(5597, 'PF11467', NULL, 'Lens epithelium-derived growth factor (LEDGF)', 120, NULL, 'LEDGF', 5597),
(5598, 'PF10319', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srj', 310, NULL, '7TM_GPCR_Srj', 5598),
(5599, 'PF06092', NULL, 'Enterobacterial putative membrane protein (DUF943)', 152, NULL, 'DUF943', 5599),
(5600, 'PF17189', NULL, 'Glycosyl hydrolase family 30 beta sandwich domain', 65, NULL, 'Glyco_hydro_30C', 5600),
(5601, 'PF06428', NULL, 'GDP/GTP exchange factor Sec2p', 92, NULL, 'Sec2p', 5601),
(5602, 'PF12368', NULL, 'Rhodanase C-terminal', 66, NULL, 'Rhodanese_C', 5602),
(5603, 'PF09763', NULL, 'Exocyst complex component Sec3', 707, NULL, 'Sec3_C', 5603),
(5604, 'PF10506', NULL, 'PDZ domain of MCC-2 bdg protein for Usher syndrome', 65, NULL, 'MCC-bdg_PDZ', 5604),
(5605, 'PF13961', NULL, 'Domain of unknown function (DUF4219)', 27, NULL, 'DUF4219', 5605),
(5606, 'PF15410', NULL, 'Pleckstrin homology domain', 121, NULL, 'PH_9', 5606),
(5607, 'PF15656', NULL, 'Toxin with a H, D/N and C signature', 130, NULL, 'Tox-HDC', 5607),
(5608, 'PF18724', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 2', 230, NULL, 'aGPT-Pplase2', 5608),
(5609, 'PF04399', NULL, 'Glutaredoxin 2, C terminal domain', 130, NULL, 'Glutaredoxin2_C', 5609),
(5610, 'PF12298', NULL, 'Eukaryotic mitochondrial regulator protein', 172, NULL, 'Bot1p', 5610),
(5611, 'PF01700', NULL, 'Orbivirus VP3 (T2) protein', 888, NULL, 'Orbi_VP3', 5611),
(5612, 'PF07424', NULL, 'TrbM', 156, NULL, 'TrbM', 5612),
(5613, 'PF15045', NULL, 'Clathrin-binding box of Aftiphilin, vesicle trafficking', 80, NULL, 'Clathrin_bdg', 5613),
(5614, 'PF02424', NULL, 'ApbE family', 259, NULL, 'ApbE', 5614),
(5615, 'PF17198', NULL, 'Spirocyclase AveC-like', 234, NULL, 'AveC_like', 5615),
(5616, 'PF00944', NULL, 'Alphavirus core protein', 159, NULL, 'Peptidase_S3', 5616),
(5617, 'PF08471', NULL, 'Class II vitamin B12-dependent ribonucleotide reductase', 99, NULL, 'Ribonuc_red_2_N', 5617),
(5618, 'PF19081', NULL, 'Ig-like domain CHU_C associated', 84, NULL, 'Ig_7', 5618),
(5619, 'PF00730', NULL, 'HhH-GPD superfamily base excision DNA repair protein', 108, NULL, 'HhH-GPD', 5619),
(5620, 'PF11999', NULL, 'Ice-binding-like', 209, NULL, 'Ice_binding', 5620),
(5621, 'PF10169', NULL, 'Learning-associated protein', 127, NULL, 'Laps', 5621),
(5622, 'PF08450', NULL, 'SMP-30/Gluconolactonase/LRE-like region', 246, NULL, 'SGL', 5622),
(5623, 'PF04056', NULL, 'Ssl1-like', 193, NULL, 'Ssl1', 5623),
(5624, 'PF12089', NULL, 'Transmembrane domain of unknown function (DUF3566)', 118, NULL, 'DUF3566', 5624),
(5625, 'PF05680', NULL, 'ATP synthase E chain', 96, NULL, 'ATP-synt_E', 5625),
(5626, 'PF03783', NULL, 'Curli production assembly/transport component CsgG', 210, NULL, 'CsgG', 5626),
(5627, 'PF09116', NULL, 'gp45 sliding clamp, C terminal', 105, NULL, 'gp45-slide_C', 5627),
(5628, 'PF05879', NULL, 'Root hair defective 3 GTP-binding protein (RHD3)', 743, NULL, 'RHD3', 5628),
(5629, 'PF09247', NULL, 'TATA box-binding protein binding', 61, NULL, 'TBP-binding', 5629),
(5630, 'PF16634', NULL, 'Unstructured region on APC between APC_crr and SAMP', 54, NULL, 'APC_u13', 5630),
(5631, 'PF08247', NULL, 'ENOD40 protein', 12, NULL, 'ENOD40', 5631),
(5632, 'PF11319', NULL, 'Type VI secretion system VasI, EvfG, VC_A0118', 184, NULL, 'VasI', 5632),
(5633, 'PF16893', NULL, 'Fibronectin type III domain', 89, NULL, 'fn3_2', 5633),
(5634, 'PF00077', NULL, 'Retroviral aspartyl protease', 101, NULL, 'RVP', 5634),
(5635, 'PF14294', NULL, 'Domain of unknown function (DUF4372)', 74, NULL, 'DUF4372', 5635),
(5636, 'PF00073', NULL, 'picornavirus capsid protein', 171, NULL, 'Rhv', 5636);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5637, 'PF02477', NULL, 'Nucleocapsid N protein', 442, NULL, 'Nairo_nucleo', 5637),
(5638, 'PF06276', NULL, 'Ferric iron reductase FhuF-like transporter', 163, NULL, 'FhuF', 5638),
(5639, 'PF17043', NULL, 'Mating type protein 1-1-2 of unknown function', 147, NULL, 'MAT1-1-2', 5639),
(5640, 'PF11486', NULL, 'Protein of unknown function (DUF3212)', 120, NULL, 'DUF3212', 5640),
(5641, 'PF17594', NULL, 'Phage Tail fiber assembly helper gene product 57', 75, NULL, 'GP57', 5641),
(5642, 'PF08251', NULL, 'Mastoparan peptide', 14, NULL, 'Mastoparan_2', 5642),
(5643, 'PF04764', NULL, 'Protein of unknown function (DUF613)', 120, NULL, 'DUF613', 5643),
(5644, 'PF01295', NULL, 'Adenylate cyclase, class-I', 601, NULL, 'Adenylate_cycl', 5644),
(5645, 'PF11716', NULL, 'Mycothiol maleylpyruvate isomerase N-terminal domain', 141, NULL, 'MDMPI_N', 5645),
(5646, 'PF18062', NULL, 'Restriction endonuclease AspBHI N-terminal', 185, NULL, 'RE_AspBHI_N', 5646),
(5647, 'PF18175', NULL, 'CCDC81-like prokaryotic HU domain 2', 70, NULL, 'HU-CCDC81_bac_2', 5647),
(5648, 'PF06532', NULL, 'Negative regulator of sigma F', 204, NULL, 'NrsF', 5648),
(5649, 'PF18451', NULL, 'Contact-dependent growth inhibition CdiA C-terminal domain', 81, NULL, 'CdiA_C', 5649),
(5650, 'PF10913', NULL, 'Protein of unknown function (DUF2706)', 59, NULL, 'DUF2706', 5650),
(5651, 'PF17910', NULL, 'FeoB cytosolic helical domain', 91, NULL, 'FeoB_Cyto', 5651),
(5652, 'PF09660', NULL, 'Protein of unknown function (DUF2397)', 483, NULL, 'DUF2397', 5652),
(5653, 'PF06755', NULL, 'CbtA_toxin of type IV toxin-antitoxin system', 112, NULL, 'CbtA_toxin', 5653),
(5654, 'PF04308', NULL, 'Ribonuclease H-like', 145, NULL, 'RNaseH_like', 5654),
(5655, 'PF08115', NULL, 'SFI toxin family', 35, NULL, 'Toxin_28', 5655),
(5656, 'PF18644', NULL, 'Phage integrase SAM-like domain', 132, NULL, 'Phage_int_SAM_6', 5656),
(5657, 'PF18255', NULL, 'DNA processing protein A sterile alpha motif domain', 62, NULL, 'SAM_DrpA', 5657),
(5658, 'PF16546', NULL, 'Homodimerisation domain of SGTA', 67, NULL, 'SGTA_dimer', 5658),
(5659, 'PF09698', NULL, 'Geobacter CxxxxCH...CXXCH motif (GSu_C4xC__C2xCH)', 36, NULL, 'GSu_C4xC__C2xCH', 5659),
(5660, 'PF04935', NULL, 'Surfeit locus protein 6', 201, NULL, 'SURF6', 5660),
(5661, 'PF17346', NULL, 'Family of unknown function (DUF5376)', 128, NULL, 'DUF5376', 5661),
(5662, 'PF05648', NULL, 'Peroxisomal biogenesis factor 11 (PEX11)', 223, NULL, 'PEX11', 5662),
(5663, 'PF15876', NULL, 'Domain of unknown function (DUF4732)', 159, NULL, 'DUF4732', 5663),
(5664, 'PF17586', NULL, 'Family of unknown function (DUF5485)', 56, NULL, 'DUF5485', 5664),
(5665, 'PF02824', NULL, 'TGS domain', 60, NULL, 'TGS', 5665),
(5666, 'PF13924', NULL, 'Lipocalin-like domain', 142, NULL, 'Lipocalin_5', 5666),
(5667, 'PF07397', NULL, 'Repeat of unknown function (DUF1502)', 34, NULL, 'DUF1502', 5667),
(5668, 'PF08168', NULL, 'NUC205 domain', 44, NULL, 'NUC205', 5668),
(5669, 'PF10256', NULL, 'Golgin subfamily A member 7/ERF4 family', 116, NULL, 'Erf4', 5669),
(5670, 'PF08628', NULL, 'Sorting nexin C terminal', 112, NULL, 'Nexin_C', 5670),
(5671, 'PF13721', NULL, 'SecD export protein N-terminal TM region', 103, NULL, 'SecD-TM1', 5671),
(5672, 'PF12044', NULL, 'Putative peptidase family', 427, NULL, 'Metallopep', 5672),
(5673, 'PF07732', NULL, 'Multicopper oxidase', 119, NULL, 'Cu-oxidase_3', 5673),
(5674, 'PF04333', NULL, 'MlaA lipoprotein', 196, NULL, 'MlaA', 5674),
(5675, 'PF09153', NULL, 'Domain of unknown function (DUF1938)', 89, NULL, 'DUF1938', 5675),
(5676, 'PF03562', NULL, 'MltA specific insert domain', 226, NULL, 'MltA', 5676),
(5677, 'PF06374', NULL, 'NADH-ubiquinone oxidoreductase subunit b14.5b (NDUFC2)', 109, NULL, 'NDUF_C2', 5677),
(5678, 'PF04611', NULL, 'Mating type protein A alpha Y mating type dependent binding region', 145, NULL, 'AalphaY_MDB', 5678),
(5679, 'PF09535', NULL, 'Protein of unknown function (Gmx_para_CXXCG)', 236, NULL, 'Gmx_para_CXXCG', 5679);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5680, 'PF02332', NULL, 'Methane/Phenol/Toluene Hydroxylase', 230, NULL, 'Phenol_Hydrox', 5680),
(5681, 'PF11402', NULL, 'Antifungal protein', 50, NULL, 'Antifungal_prot', 5681),
(5682, 'PF14030', NULL, 'Protein of unknown function (DUF4245)', 166, NULL, 'DUF4245', 5682),
(5683, 'PF02218', NULL, 'Repeat in HS1/Cortactin', 36, NULL, 'HS1_rep', 5683),
(5684, 'PF11312', NULL, 'Putative SAM-dependent methyltransferase', 304, NULL, 'Methyltransf_34', 5684),
(5685, 'PF16317', NULL, 'Glycosyl hydrolase family 99', 342, NULL, 'Glyco_hydro_99', 5685),
(5686, 'PF08595', NULL, 'RXT2-like, N-terminal', 150, NULL, 'RXT2_N', 5686),
(5687, 'PF13667', NULL, 'ThiC-associated domain', 81, NULL, 'ThiC-associated', 5687),
(5688, 'PF02562', NULL, 'PhoH-like protein', 205, NULL, 'PhoH', 5688),
(5689, 'PF07875', NULL, 'Coat F domain', 63, NULL, 'Coat_F', 5689),
(5690, 'PF08448', NULL, 'PAS fold', 110, NULL, 'PAS_4', 5690),
(5691, 'PF18522', NULL, 'Domain of unknown function (DUF5620)', 126, NULL, 'DUF5620', 5691),
(5692, 'PF02579', NULL, 'Dinitrogenase iron-molybdenum cofactor', 94, NULL, 'Nitro_FeMo-Co', 5692),
(5693, 'PF15624', NULL, 'Kinetochore CENP-C fungal homologue, Mif2, N-terminal', 135, NULL, 'Mif2_N', 5693),
(5694, 'PF18336', NULL, 'Fragile X mental retardation Tudor domain', 49, NULL, 'Tudor_FRX1', 5694),
(5695, 'PF11923', NULL, 'NFACT protein C-terminal domain', 108, NULL, 'NFACT-C', 5695),
(5696, 'PF01353', NULL, 'Green fluorescent protein', 212, NULL, 'GFP', 5696),
(5697, 'PF15973', NULL, 'Domain of unknown function (DUF4766)', 117, NULL, 'DUF4766', 5697),
(5698, 'PF18932', NULL, 'Family of unknown function (DUF5681)', 77, NULL, 'DUF5681', 5698),
(5699, 'PF15521', NULL, 'Novel toxin 11', 272, NULL, 'Ntox11', 5699),
(5700, 'PF05610', NULL, 'Protein of unknown function (DUF779)', 94, NULL, 'DUF779', 5700),
(5701, 'PF05080', NULL, 'Protein of unknown function (DUF681)', 101, NULL, 'DUF681', 5701),
(5702, 'PF06288', NULL, 'Protein of unknown function (DUF1040)', 86, NULL, 'DUF1040', 5702),
(5703, 'PF10334', NULL, 'Aromatic acid exporter family member 2', 229, NULL, 'ArAE_2', 5703),
(5704, 'PF12755', NULL, 'Vacuolar 14 Fab1-binding region', 97, NULL, 'Vac14_Fab1_bd', 5704),
(5705, 'PF03215', NULL, 'Rad17 P-loop domain', 186, NULL, 'Rad17', 5705),
(5706, 'PF16251', NULL, 'Betacoronavirus nucleic acid-binding (NAR)', 117, NULL, 'bCoV_NAR', 5706),
(5707, 'PF01048', NULL, 'Phosphorylase superfamily', 234, NULL, 'PNP_UDP_1', 5707),
(5708, 'PF08408', NULL, 'DNA polymerase family B viral insert', 128, NULL, 'DNA_pol_B_3', 5708),
(5709, 'PF17550', NULL, 'Family of unknown function', 162, NULL, 'PsaF', 5709),
(5710, 'PF02933', NULL, 'Cell division protein 48 (CDC48), domain 2', 64, NULL, 'CDC48_2', 5710),
(5711, 'PF02089', NULL, 'Palmitoyl protein thioesterase', 250, NULL, 'Palm_thioest', 5711),
(5712, 'PF12122', NULL, 'Cytoplasmic N-terminal domain of rhomboid serine protease', 86, NULL, 'Rhomboid_N', 5712),
(5713, 'PF04444', NULL, 'Catechol dioxygenase N terminus', 75, NULL, 'Dioxygenase_N', 5713),
(5714, 'PF16971', NULL, 'Rough colony protein B, tight adherence - tad - subunit', 167, NULL, 'RcpB', 5714),
(5715, 'PF07902', NULL, 'gp58-like protein', 594, NULL, 'Gp58', 5715),
(5716, 'PF17683', NULL, 'TFIIF, beta subunit N-terminus', 132, NULL, 'TFIIF_beta_N', 5716),
(5717, 'PF18127', NULL, 'Domain of unknown function (DUF5598)', 98, NULL, 'DUF5598', 5717),
(5718, 'PF11724', NULL, 'YvbH-like oligomerisation region', 61, NULL, 'YvbH_ext', 5718),
(5719, 'PF13965', NULL, 'dsRNA-gated channel SID-1', 603, NULL, 'SID-1_RNA_chan', 5719),
(5720, 'PF10046', NULL, 'Biogenesis of lysosome-related organelles complex-1 subunit 2', 96, NULL, 'BLOC1_2', 5720),
(5721, 'PF03511', NULL, 'Fanconi anaemia group A protein', 63, NULL, 'Fanconi_A', 5721),
(5722, 'PF00981', NULL, 'Rotavirus RNA-binding Protein 53 (NS53)', 488, NULL, 'Rota_NS53', 5722),
(5723, 'PF02782', NULL, 'FGGY family of carbohydrate kinases, C-terminal domain', 198, NULL, 'FGGY_C', 5723);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5724, 'PF13068', NULL, 'Protein of unknown function (DUF3932)', 81, NULL, 'DUF3932', 5724),
(5725, 'PF06460', NULL, 'Coronavirus 2''-O-methyltransferase', 299, NULL, 'CoV_Methyltr_2', 5725),
(5726, 'PF18882', NULL, 'Family of unknown function (DUF5647)', 79, NULL, 'DUF5647', 5726),
(5727, 'PF02160', NULL, 'Cauliflower mosaic virus peptidase (A3)', 205, NULL, 'Peptidase_A3', 5727),
(5728, 'PF09361', NULL, 'Phasin protein', 100, NULL, 'Phasin_2', 5728),
(5729, 'PF10654', NULL, 'Protein of unknown function (DUF2481)', 126, NULL, 'DUF2481', 5729),
(5730, 'PF08016', NULL, 'Polycystin cation channel', 426, NULL, 'PKD_channel', 5730),
(5731, 'PF00872', NULL, 'Transposase, Mutator family', 381, NULL, 'Transposase_mut', 5731),
(5732, 'PF07976', NULL, 'Phenol hydroxylase, C-terminal dimerisation domain', 167, NULL, 'Phe_hydrox_dim', 5732),
(5733, 'PF10475', NULL, 'Vacuolar-sorting protein 54, of GARP complex', 291, NULL, 'Vps54_N', 5733),
(5734, 'PF12465', NULL, 'Proteasome beta subunits C terminal', 36, NULL, 'Pr_beta_C', 5734),
(5735, 'PF14496', NULL, 'C-terminal novel E3 ligase, LRR-interacting', 222, NULL, 'NEL', 5735),
(5736, 'PF13746', NULL, '4Fe-4S dicluster domain', 114, NULL, 'Fer4_18', 5736),
(5737, 'PF12871', NULL, 'Pre-mRNA-splicing factor 38-associated hydrophilic C-term', 100, NULL, 'PRP38_assoc', 5737),
(5738, 'PF01403', NULL, 'Sema domain', 421, NULL, 'Sema', 5738),
(5739, 'PF08432', NULL, 'AAA-ATPase Vps4-associated protein 1', 181, NULL, 'Vfa1', 5739),
(5740, 'PF01264', NULL, 'Chorismate synthase', 328, NULL, 'Chorismate_synt', 5740),
(5741, 'PF13577', NULL, 'SnoaL-like domain', 126, NULL, 'SnoaL_4', 5741),
(5742, 'PF10567', NULL, 'RNA-recognition motif', 307, NULL, 'Nab6_mRNP_bdg', 5742),
(5743, 'PF11873', NULL, 'Membrane-bound lytic murein transglycosylase C, N-terminal domain', 163, NULL, 'Mltc_N', 5743),
(5744, 'PF06143', NULL, 'Baculovirus 11 kDa family', 84, NULL, 'Baculo_11_kDa', 5744),
(5745, 'PF11650', NULL, 'P22 tail accessory factor', 164, NULL, 'P22_Tail-4', 5745),
(5746, 'PF18360', NULL, 'Heterogeneous nuclear ribonucleoprotein Q acidic domain', 70, NULL, 'hnRNP_Q_AcD', 5746),
(5747, 'PF12102', NULL, 'MrcB-like, N-terminal domain', 183, NULL, 'MrcB_N', 5747),
(5748, 'PF18058', NULL, 'SbsC C-terminal domain', 132, NULL, 'SbsC_C', 5748),
(5749, 'PF02586', NULL, 'SOS response associated peptidase (SRAP)', 220, NULL, 'SRAP', 5749),
(5750, 'PF12314', NULL, 'Inner membrane complex protein', 94, NULL, 'IMCp', 5750),
(5751, 'PF08350', NULL, 'Domain of unknown function (DUF1724)', 62, NULL, 'DUF1724', 5751),
(5752, 'PF08558', NULL, 'Telomere repeat binding factor (TRF)', 239, NULL, 'TRF', 5752),
(5753, 'PF09582', NULL, 'Iron only nitrogenase protein AnfO (AnfO_nitrog)', 190, NULL, 'AnfO_nitrog', 5753),
(5754, 'PF15389', NULL, 'Domain of unknown function (DUF4612)', 118, NULL, 'DUF4612', 5754),
(5755, 'PF15635', NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin  2', 112, NULL, 'Tox-GHH2', 5755),
(5756, 'PF13233', NULL, 'Complex1_LYR-like', 82, NULL, 'Complex1_LYR_2', 5756),
(5757, 'PF10222', NULL, 'Uncharacterized conserved protein (DUF2152)', 605, NULL, 'DUF2152', 5757),
(5758, 'PF04113', NULL, 'Gpi16 subunit, GPI transamidase component', 558, NULL, 'Gpi16', 5758),
(5759, 'PF03743', NULL, 'Bacterial conjugation TrbI-like protein', 187, NULL, 'TrbI', 5759),
(5760, 'PF13004', NULL, 'Putative binding domain, N-terminal', 53, NULL, 'BACON', 5760),
(5761, 'PF13715', NULL, 'CarboxypepD_reg-like domain', 88, NULL, 'CarbopepD_reg_2', 5761),
(5762, 'PF03487', NULL, 'Interleukin-13', 129, NULL, 'IL13', 5762),
(5763, 'PF10345', NULL, 'Cohesin loading factor', 597, NULL, 'Cohesin_load', 5763),
(5764, 'PF09558', NULL, 'Protein of unknown function (DUF2375)', 69, NULL, 'DUF2375', 5764),
(5765, 'PF01600', NULL, 'Coronavirus spike glycoprotein S1', 411, NULL, 'CoV_S1', 5765),
(5766, 'PF07990', NULL, 'Nucleic acid binding protein NABP', 388, NULL, 'NABP', 5766),
(5767, 'PF11653', NULL, 'Bacteriophage T7 virion assembly protein', 99, NULL, 'VirionAssem_T7', 5767);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5768, 'PF15975', NULL, 'Flotillin', 123, NULL, 'Flot', 5768),
(5769, 'PF11743', NULL, 'Protein of unknown function (DUF3301)', 95, NULL, 'DUF3301', 5769),
(5770, 'PF02757', NULL, 'YLP motif', 9, NULL, 'YLP', 5770),
(5771, 'PF03350', NULL, 'Uncharacterized protein family, UPF0114', 118, NULL, 'UPF0114', 5771),
(5772, 'PF05538', NULL, 'Campylobacter major outer membrane protein', 421, NULL, 'Campylo_MOMP', 5772),
(5773, 'PF02496', NULL, 'ABA/WDS induced protein', 78, NULL, 'ABA_WDS', 5773),
(5774, 'PF05845', NULL, 'Bacterial phosphonate metabolism protein (PhnH)', 189, NULL, 'PhnH', 5774),
(5775, 'PF19193', NULL, 'Tectonin domain', 214, NULL, 'Tectonin', 5775),
(5776, 'PF03530', NULL, 'Calcium-activated SK potassium channel', 115, NULL, 'SK_channel', 5776),
(5777, 'PF17310', NULL, 'Family of unknown function (DUF5357)', 322, NULL, 'DUF5357', 5777),
(5778, 'PF19117', NULL, 'Mitochondrial import 2', 45, NULL, 'Mim2', 5778),
(5779, 'PF04253', NULL, 'Transferrin receptor-like dimerisation domain', 125, NULL, 'TFR_dimer', 5779),
(5780, 'PF11592', NULL, 'Central core of the bacterial effector protein AvrPto', 105, NULL, 'AvrPto', 5780),
(5781, 'PF19129', NULL, 'Family of unknown function (DUF5812)', 140, NULL, 'DUF5812', 5781),
(5782, 'PF14476', NULL, 'Petal formation-expressed', 320, NULL, 'Chloroplast_duf', 5782),
(5783, 'PF11954', NULL, 'Domain of unknown function (DUF3471)', 103, NULL, 'DUF3471', 5783),
(5784, 'PF17029', NULL, 'Domain of unknown function (DUF5100)', 126, NULL, 'DUF5100', 5784),
(5785, 'PF01387', NULL, 'Synuclein', 134, NULL, 'Synuclein', 5785),
(5786, 'PF11683', NULL, 'Protein of unknown function (DUF3278)', 130, NULL, 'DUF3278', 5786),
(5787, 'PF03045', NULL, 'DAN domain', 114, NULL, 'DAN', 5787),
(5788, 'PF06449', NULL, 'Mitochondrial domain of unknown function (DUF1082)', 51, NULL, 'DUF1082', 5788),
(5789, 'PF00652', NULL, 'Ricin-type beta-trefoil lectin domain', 127, NULL, 'Ricin_B_lectin', 5789),
(5790, 'PF05134', NULL, 'Type II secretion system (T2SS), protein L', 233, NULL, 'T2SSL', 5790),
(5791, 'PF07839', NULL, 'Plant calmodulin-binding domain', 117, NULL, 'CaM_binding', 5791),
(5792, 'PF07205', NULL, 'Domain of unknown function (DUF1413)', 69, NULL, 'DUF1413', 5792),
(5793, 'PF17023', NULL, 'Domain of unknown function (DUF5098)', 463, NULL, 'DUF5098', 5793),
(5794, 'PF17729', NULL, 'Family of unknown function (DUF5569)', 226, NULL, 'DUF5569', 5794),
(5795, 'PF11928', NULL, 'Early growth response N-terminal domain', 89, NULL, 'DUF3446', 5795),
(5796, 'PF10849', NULL, 'Protein of unknown function (DUF2654)', 70, NULL, 'DUF2654', 5796),
(5797, 'PF15740', NULL, 'Protein phosphatase 1 regulatory subunit 26 N-terminus', 873, NULL, 'PPP1R26_N', 5797),
(5798, 'PF13861', NULL, 'FlgD Tudor-like domain', 58, NULL, 'FLgD_tudor', 5798),
(5799, 'PF05736', NULL, 'OprF membrane domain', 184, NULL, 'OprF', 5799),
(5800, 'PF19225', NULL, 'Spo16 protein', 165, NULL, 'Spo16', 5800),
(5801, 'PF11347', NULL, 'Protein of unknown function (DUF3148)', 62, NULL, 'DUF3148', 5801),
(5802, 'PF07886', NULL, 'BA14K-like protein', 30, NULL, 'BA14K', 5802),
(5803, 'PF10247', NULL, 'Reactive mitochondrial oxygen species modulator 1', 66, NULL, 'Romo1', 5803),
(5804, 'PF00622', NULL, 'SPRY domain', 120, NULL, 'SPRY', 5804),
(5805, 'PF15208', NULL, 'Rab15 effector', 240, NULL, 'Rab15_effector', 5805),
(5806, 'PF12198', NULL, 'Theoretical tuberculin protein', 34, NULL, 'Tuberculin', 5806),
(5807, 'PF00219', NULL, 'Insulin-like growth factor binding protein', 55, NULL, 'IGFBP', 5807),
(5808, 'PF13413', NULL, 'Helix-turn-helix domain', 62, NULL, 'HTH_25', 5808),
(5809, 'PF12995', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3879)', 181, NULL, 'DUF3879', 5809),
(5810, 'PF02798', NULL, 'Glutathione S-transferase, N-terminal domain', 76, NULL, 'GST_N', 5810),
(5811, 'PF16206', NULL, 'C-terminal region of Mon2 protein', 785, NULL, 'Mon2_C', 5811),
(5812, 'PF09217', NULL, 'Restriction endonuclease EcoRII, N-terminal', 154, NULL, 'EcoRII-N', 5812);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5813, 'PF00955', NULL, 'HCO3- transporter family', 502, NULL, 'HCO3_cotransp', 5813),
(5814, 'PF12048', NULL, 'Protein of unknown function (DUF3530)', 314, NULL, 'DUF3530', 5814),
(5815, 'PF16371', NULL, 'N terminal of Calcineurin-like phosphoesterase', 78, NULL, 'MetallophosN', 5815),
(5816, 'PF14662', NULL, 'Coiled-coil region of CCDC155 or KASH', 191, NULL, 'KASH_CCD', 5816),
(5817, 'PF14578', NULL, 'Elongation factor Tu domain 4', 87, NULL, 'GTP_EFTU_D4', 5817),
(5818, 'PF03702', NULL, 'Anhydro-N-acetylmuramic acid kinase', 366, NULL, 'AnmK', 5818),
(5819, 'PF17366', NULL, 'A-agglutinin-binding subunit Aga2', 58, NULL, 'AGA2', 5819),
(5820, 'PF05899', NULL, 'Protein of unknown function (DUF861)', 74, NULL, 'Cupin_3', 5820),
(5821, 'PF15283', NULL, 'Domain of unknown function (DUF4595) with porin-like fold', 187, NULL, 'DUF4595', 5821),
(5822, 'PF13767', NULL, 'Domain of unknown function (DUF4168)', 90, NULL, 'DUF4168', 5822),
(5823, 'PF11871', NULL, 'Domain of unknown function (DUF3391)', 136, NULL, 'DUF3391', 5823),
(5824, 'PF04740', NULL, 'LXG domain of WXG superfamily', 202, NULL, 'LXG', 5824),
(5825, 'PF13092', NULL, 'Kinetochore complex Sim4 subunit Fta1', 163, NULL, 'CENP-L', 5825),
(5826, 'PF00615', NULL, 'Regulator of G protein signaling domain', 118, NULL, 'RGS', 5826),
(5827, 'PF11538', NULL, 'Snurportin1', 40, NULL, 'Snurportin1', 5827),
(5828, 'PF08025', NULL, 'Spider antimicrobial peptide', 37, NULL, 'Antimicrobial_3', 5828),
(5829, 'PF12572', NULL, 'Protein of unknown function (DUF3752)', 154, NULL, 'DUF3752', 5829),
(5830, 'PF01844', NULL, 'HNH endonuclease', 47, NULL, 'HNH', 5830),
(5831, 'PF18464', NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', 66, NULL, 'PCSK9_C2', 5831),
(5832, 'PF03307', NULL, 'Adenovirus 15.3kD protein in E3 region', 117, NULL, 'Adeno_E3_15_3', 5832),
(5833, 'PF07861', NULL, 'WisP family N-Terminal Region', 239, NULL, 'WND', 5833),
(5834, 'PF07252', NULL, 'Protein of unknown function (DUF1433)', 88, NULL, 'DUF1433', 5834),
(5835, 'PF11736', NULL, 'Protein of unknown function (DUF3299)', 138, NULL, 'DUF3299', 5835),
(5836, 'PF10513', NULL, 'Enhancer of polycomb-like', 172, NULL, 'EPL1', 5836),
(5837, 'PF03918', NULL, 'Cytochrome C biogenesis protein', 143, NULL, 'CcmH', 5837),
(5838, 'PF08353', NULL, 'Domain of unknown function (DUF1727)', 110, NULL, 'DUF1727', 5838),
(5839, 'PF12443', NULL, 'AT-hook-containing transcription factor', 95, NULL, 'AKNA', 5839),
(5840, 'PF14519', NULL, 'Macro-like domain', 275, NULL, 'Macro_2', 5840),
(5841, 'PF00078', NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', 222, NULL, 'RVT_1', 5841),
(5842, 'PF19085', NULL, 'Choline-binding repeat', 39, NULL, 'Choline_bind_2', 5842),
(5843, 'PF12695', NULL, 'Alpha/beta hydrolase family', 164, NULL, 'Abhydrolase_5', 5843),
(5844, 'PF17070', NULL, '30S ribosomal protein Thx', 27, NULL, 'Thx', 5844),
(5845, 'PF04582', NULL, 'Reovirus sigma C capsid protein C-terminal domain', 130, NULL, 'Reo_sigmaC', 5845),
(5846, 'PF01111', NULL, 'Cyclin-dependent kinase regulatory subunit', 68, NULL, 'CKS', 5846),
(5847, 'PF14874', NULL, 'Flagellar-associated PapD-like', 102, NULL, 'PapD-like', 5847),
(5848, 'PF03731', NULL, 'Ku70/Ku80 N-terminal alpha/beta domain', 220, NULL, 'Ku_N', 5848),
(5849, 'PF07683', NULL, 'Cobalamin synthesis protein cobW C-terminal domain', 94, NULL, 'CobW_C', 5849),
(5850, 'PF01144', NULL, 'Coenzyme A transferase', 217, NULL, 'CoA_trans', 5850),
(5851, 'PF03623', NULL, 'Focal adhesion targeting region', 133, NULL, 'Focal_AT', 5851),
(5852, 'PF16145', NULL, 'Domain of unknown function (DUF4853)', 135, NULL, 'DUF4853', 5852),
(5853, 'PF06516', NULL, 'Purine nucleoside permease (NUP)', 313, NULL, 'NUP', 5853),
(5854, 'PF17155', NULL, 'Gammaproteobacterial periplasmic sensor domain', 274, NULL, 'GAPES1', 5854),
(5855, 'PF15612', NULL, 'WSTF, HB1, Itc1p, MBD9 motif 1', 46, NULL, 'WHIM1', 5855),
(5856, 'PF18414', NULL, 'C2H2 type zinc-finger', 26, NULL, 'zf_C2H2_10', 5856);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5857, 'PF03258', NULL, 'Baculovirus FP protein', 147, NULL, 'Baculo_FP', 5857),
(5858, 'PF12246', NULL, 'Temperature dependent protein affecting M2 dsRNA replication', 240, NULL, 'MKT1_C', 5858),
(5859, 'PF16569', NULL, 'Gram-positive pilin backbone subunit 2, Cna-B-like domain', 116, NULL, 'GramPos_pilinBB', 5859),
(5860, 'PF07481', NULL, 'Domain of Unknown Function (DUF1521)', 169, NULL, 'DUF1521', 5860),
(5861, 'PF14236', NULL, 'Domain of unknown function (DUF4338)', 230, NULL, 'DUF4338', 5861),
(5862, 'PF18474', NULL, 'Family of unknown function (DUF5614)', 221, NULL, 'DUF5614', 5862),
(5863, 'PF12680', NULL, 'SnoaL-like domain', 102, NULL, 'SnoaL_2', 5863),
(5864, 'PF11731', NULL, 'Pathogenicity locus', 86, NULL, 'Cdd1', 5864),
(5865, 'PF14906', NULL, 'Domain of unknown function (DUF4495)', 318, NULL, 'DUF4495', 5865),
(5866, 'PF06341', NULL, 'Protein of unknown function (DUF1056)', 63, NULL, 'DUF1056', 5866),
(5867, 'PF02957', NULL, 'TT viral ORF2', 122, NULL, 'TT_ORF2', 5867),
(5868, 'PF18373', NULL, 'Spectrin like domain', 78, NULL, 'Spectrin_like', 5868),
(5869, 'PF17377', NULL, 'Family of unknown function (DUF5399)', 134, NULL, 'DUF5399', 5869),
(5870, 'PF08604', NULL, 'Nucleoporin Nup153-like', 505, NULL, 'Nup153', 5870),
(5871, 'PF05079', NULL, 'Protein of unknown function (DUF680)', 54, NULL, 'DUF680', 5871),
(5872, 'PF01508', NULL, 'Paramecium surface antigen domain', 63, NULL, 'Paramecium_SA', 5872),
(5873, 'PF05100', NULL, 'Phage minor tail protein L', 206, NULL, 'Phage_tail_L', 5873),
(5874, 'PF00935', NULL, 'Ribosomal protein L44', 76, NULL, 'Ribosomal_L44', 5874),
(5875, 'PF07464', NULL, 'Apolipophorin-III precursor (apoLp-III)', 146, NULL, 'ApoLp-III', 5875),
(5876, 'PF06629', NULL, 'MltA-interacting protein MipA', 212, NULL, 'MipA', 5876),
(5877, 'PF19145', NULL, 'Family of unknown function (DUF5827)', 87, NULL, 'DUF5827', 5877),
(5878, 'PF09070', NULL, 'PFU (PLAA family ubiquitin binding)', 113, NULL, 'PFU', 5878),
(5879, 'PF13165', NULL, 'Six-cysteine peptide SCIFF', 44, NULL, 'SCIFF', 5879),
(5880, 'PF11006', NULL, 'Protein of unknown function (DUF2845)', 83, NULL, 'DUF2845', 5880),
(5881, 'PF09904', NULL, 'Winged helix-turn helix', 89, NULL, 'HTH_43', 5881),
(5882, 'PF08598', NULL, 'Sds3-like', 219, NULL, 'Sds3', 5882),
(5883, 'PF15561', NULL, 'Immunity protein 15', 161, NULL, 'Imm15', 5883),
(5884, 'PF09481', NULL, 'CRISPR-associated protein Cse1 (CRISPR_cse1)', 452, NULL, 'CRISPR_Cse1', 5884),
(5885, 'PF15724', NULL, 'TMEM119 family', 252, NULL, 'TMEM119', 5885),
(5886, 'PF11821', NULL, 'Protein of unknown function (DUF3341)', 170, NULL, 'DUF3341', 5886),
(5887, 'PF15805', NULL, 'Acidic C-terminal region of sodium channel modifier 1 SCNM1', 47, NULL, 'SCNM1_acidic', 5887),
(5888, 'PF16875', NULL, 'Glycosyl hydrolase family 36 N-terminal domain', 252, NULL, 'Glyco_hydro_36N', 5888),
(5889, 'PF04415', NULL, 'Protein of unknown function (DUF515)', 449, NULL, 'DUF515', 5889),
(5890, 'PF16139', NULL, 'Domain of unknown function (DUF4847)', 143, NULL, 'DUF4847', 5890),
(5891, 'PF01613', NULL, 'Flavin reductase like domain', 155, NULL, 'Flavin_Reduct', 5891),
(5892, 'PF09255', NULL, 'Caf1 Capsule antigen', 136, NULL, 'Antig_Caf1', 5892),
(5893, 'PF18884', NULL, 'Bacterial TSP3 repeat', 22, NULL, 'TSP3_bac', 5893),
(5894, 'PF11787', NULL, 'Aft1 HRR domain', 71, NULL, 'Aft1_HRR', 5894),
(5895, 'PF04665', NULL, 'Poxvirus A32 protein', 242, NULL, 'Pox_A32', 5895),
(5896, 'PF07724', NULL, 'AAA domain (Cdc48 subfamily)', 171, NULL, 'AAA_2', 5896),
(5897, 'PF00624', NULL, 'Flocculin repeat', 41, NULL, 'Flocculin', 5897),
(5898, 'PF02718', NULL, 'Herpesvirus UL31-like protein', 254, NULL, 'Herpes_UL31', 5898),
(5899, 'PF13107', NULL, 'Protein of unknown function (DUF3964)', 109, NULL, 'DUF3964', 5899),
(5900, 'PF16997', NULL, 'Wap1 domain', 380, NULL, 'Wap1', 5900),
(5901, 'PF16093', NULL, 'Proteasome assembly chaperone 4', 80, NULL, 'PAC4', 5901),
(5902, 'PF11105', NULL, 'Arthropod cardioacceleratory peptide 2a', 128, NULL, 'CCAP', 5902);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5903, 'PF18120', NULL, 'Domain of unknown function (DUF5597)', 133, NULL, 'DUF5597', 5903),
(5904, 'PF18471', NULL, 'Ribosomal L27 protein C-terminal domain', 240, NULL, 'Ribosomal_L27_C', 5904),
(5905, 'PF17585', NULL, 'Accessory recombination function protein', 47, NULL, 'Phage_Arf', 5905),
(5906, 'PF17093', NULL, 'Penicillin-binding protein N-terminus', 138, NULL, 'PBP_N', 5906),
(5907, 'PF13086', NULL, 'AAA domain', 261, NULL, 'AAA_11', 5907),
(5908, 'PF06294', NULL, 'CH-like domain in sperm protein', 96, NULL, 'CH_2', 5908),
(5909, 'PF09634', NULL, 'Protein of unknown function (DUF2025)', 105, NULL, 'DUF2025', 5909),
(5910, 'PF14515', NULL, 'Haem-oxygenase-associated N-terminal helices', 93, NULL, 'HOASN', 5910),
(5911, 'PF12485', NULL, 'Lymphocyte signaling adaptor protein', 156, NULL, 'SLY', 5911),
(5912, 'PF07273', NULL, 'Protein of unknown function (DUF1439)', 152, NULL, 'DUF1439', 5912),
(5913, 'PF16528', NULL, 'Exocyst component 84 C-terminal', 205, NULL, 'Exo84_C', 5913),
(5914, 'PF09515', NULL, 'Thiamine transporter protein (Thia_YuaJ)', 177, NULL, 'Thia_YuaJ', 5914),
(5915, 'PF15199', NULL, 'D-amino acid oxidase activator', 82, NULL, 'DAOA', 5915),
(5916, 'PF02974', NULL, 'Protease inhibitor Inh', 97, NULL, 'Inh', 5916),
(5917, 'PF00002', NULL, '7 transmembrane receptor (Secretin family)', 246, NULL, '7tm_2', 5917),
(5918, 'PF15769', NULL, 'Domain of unknown function (DUF4698)', 492, NULL, 'DUF4698', 5918),
(5919, 'PF17486', NULL, 'Cystine knot toxins', 70, NULL, 'Cys_Knot_tox', 5919),
(5920, 'PF13250', NULL, 'Domain of unknown function (DUF4041)', 56, NULL, 'DUF4041', 5920),
(5921, 'PF03305', NULL, 'Mycoplasma MG185/MG260 protein', 183, NULL, 'Lipoprotein_X', 5921),
(5922, 'PF02348', NULL, 'Cytidylyltransferase', 221, NULL, 'CTP_transf_3', 5922),
(5923, 'PF07379', NULL, 'Protein of unknown function (DUF1494)', 173, NULL, 'DUF1494', 5923),
(5924, 'PF01270', NULL, 'Glycosyl hydrolases family 8', 342, NULL, 'Glyco_hydro_8', 5924),
(5925, 'PF07795', NULL, 'Protein of unknown function (DUF1635)', 223, NULL, 'DUF1635', 5925),
(5926, 'PF12803', NULL, 'mRNA (guanine-7-)methyltransferase (G-7-MTase)', 317, NULL, 'G-7-MTase', 5926),
(5927, 'PF18844', NULL, 'Bacterial archaeo-eukaryotic release factor family 2', 149, NULL, 'baeRF_family2', 5927),
(5928, 'PF17312', NULL, 'Bacteriocin helveticin-J', 310, NULL, 'Helveticin_J', 5928),
(5929, 'PF11389', NULL, 'Leptospira porin protein OmpL1', 272, NULL, 'Porin_OmpL1', 5929),
(5930, 'PF13442', NULL, 'Cytochrome C oxidase, cbb3-type, subunit III', 67, NULL, 'Cytochrome_CBB3', 5930),
(5931, 'PF11487', NULL, 'Type II restriction enzyme SfiI', 216, NULL, 'RestrictionSfiI', 5931),
(5932, 'PF10145', NULL, 'Phage-related minor tail protein', 198, NULL, 'PhageMin_Tail', 5932),
(5933, 'PF02494', NULL, 'HYR domain', 81, NULL, 'HYR', 5933),
(5934, 'PF02071', NULL, 'Aromatic-di-Alanine (AdAR) repeat', 12, NULL, 'NSF', 5934),
(5935, 'PF03201', NULL, 'H2-forming N5,N10-methylene-tetrahydromethanopterin dehydrogenase', 97, NULL, 'HMD', 5935),
(5936, 'PF03286', NULL, 'Pox virus Ag35 surface protein', 196, NULL, 'Pox_Ag35', 5936),
(5937, 'PF16824', NULL, 'C-terminal carbohydrate-binding module', 125, NULL, 'CBM_26', 5937),
(5938, 'PF02945', NULL, 'Recombination endonuclease VII', 82, NULL, 'Endonuclease_7', 5938),
(5939, 'PF04622', NULL, 'ERG2 and Sigma1 receptor like protein', 210, NULL, 'ERG2_Sigma1R', 5939),
(5940, 'PF06131', NULL, 'Schizosaccharomyces pombe repeat of unknown function (DUF963)', 36, NULL, 'DUF963', 5940),
(5941, 'PF13033', NULL, 'Protein of unknown function (DUF3894)', 54, NULL, 'DUF3894', 5941),
(5942, 'PF16304', NULL, 'Domain of unknown function (DUF4946)', 152, NULL, 'DUF4946', 5942),
(5943, 'PF03756', NULL, 'A-factor biosynthesis hotdog domain', 133, NULL, 'AfsA', 5943),
(5944, 'PF09343', NULL, 'Conserved hypothetical protein 2217 (DUF2460)', 200, NULL, 'DUF2460', 5944),
(5945, 'PF00172', NULL, 'Fungal Zn(2)-Cys(6) binuclear cluster domain', 40, NULL, 'Zn_clus', 5945);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5946, 'PF03820', NULL, 'Sideroflexins', 319, NULL, 'SFXNs', 5946),
(5947, 'PF14278', NULL, 'Transcriptional regulator C-terminal region', 103, NULL, 'TetR_C_8', 5947),
(5948, 'PF19083', NULL, 'Family of unknown function (DUF5774)', 126, NULL, 'DUF5774', 5948),
(5949, 'PF02338', NULL, 'OTU-like cysteine protease', 127, NULL, 'OTU', 5949),
(5950, 'PF02013', NULL, 'Cellulose or protein binding domain', 36, NULL, 'CBM_10', 5950),
(5951, 'PF15081', NULL, 'Domain of unknown function (DUF4548)', 167, NULL, 'DUF4548', 5951),
(5952, 'PF18566', NULL, 'Linalool dehydratase/isomerase', 319, NULL, 'Ldi', 5952),
(5953, 'PF13686', NULL, 'DsrE/DsrF/DrsH-like family', 153, NULL, 'DrsE_2', 5953),
(5954, 'PF00985', NULL, 'Merozoite Surface Antigen 2 (MSA-2) family', 171, NULL, 'MSA_2', 5954),
(5955, 'PF01905', NULL, 'CRISPR-associated negative auto-regulator DevR/Csa2', 269, NULL, 'DevR', 5955),
(5956, 'PF00820', NULL, 'Borrelia lipoprotein', 261, NULL, 'Lipoprotein_1', 5956),
(5957, 'PF17309', NULL, 'Family of unknown function (DUF5356)', 135, NULL, 'DUF5356', 5957),
(5958, 'PF18411', NULL, 'Annexin-like domain', 93, NULL, 'Annexin_like', 5958),
(5959, 'PF03722', NULL, 'Hemocyanin, all-alpha domain', 124, NULL, 'Hemocyanin_N', 5959),
(5960, 'PF18117', NULL, 'Enhanced disease susceptibility 1 protein EP domain', 214, NULL, 'EDS1_EP', 5960),
(5961, 'PF12669', NULL, 'FeoB-associated Cys-rich membrane protein', 44, NULL, 'FeoB_associated', 5961),
(5962, 'PF05875', NULL, 'Ceramidase', 263, NULL, 'Ceramidase', 5962),
(5963, 'PF02831', NULL, 'gpW', 67, NULL, 'gpW', 5963),
(5964, 'PF18258', NULL, 'Interleukin-4 inducing immunoglobulin-binding domain', 89, NULL, 'IL4_i_Ig', 5964),
(5965, 'PF03934', NULL, 'Type II secretion system (T2SS), protein K', 280, NULL, 'T2SSK', 5965),
(5966, 'PF11000', NULL, 'Protein of unknown function (DUF2840)', 148, NULL, 'DUF2840', 5966),
(5967, 'PF12409', NULL, 'P5-type ATPase cation transporter', 126, NULL, 'P5-ATPase', 5967),
(5968, 'PF10853', NULL, 'Protein of unknown function (DUF2650)', 37, NULL, 'DUF2650', 5968),
(5969, 'PF11163', NULL, 'Protein of unknown function (DUF2947)', 152, NULL, 'DUF2947', 5969),
(5970, 'PF00711', NULL, 'Beta defensin', 36, NULL, 'Defensin_beta', 5970),
(5971, 'PF17816', NULL, 'PDZ domain', 114, NULL, 'PDZ_4', 5971),
(5972, 'PF13764', NULL, 'E3 ubiquitin-protein ligase UBR4', 813, NULL, 'E3_UbLigase_R4', 5972),
(5973, 'PF10288', NULL, 'Cytoplasmic tRNA 2-thiolation protein 2', 111, NULL, 'CTU2', 5973),
(5974, 'PF16154', NULL, 'Domain of unknown function (DUF4862)', 291, NULL, 'DUF4862', 5974),
(5975, 'PF11568', NULL, 'Mediator complex subunit 29', 139, NULL, 'Med29', 5975),
(5976, 'PF14752', NULL, 'Retinol binding protein receptor', 608, NULL, 'RBP_receptor', 5976),
(5977, 'PF03715', NULL, 'Noc2p family', 299, NULL, 'Noc2', 5977),
(5978, 'PF03299', NULL, 'Transcription factor AP-2', 197, NULL, 'TF_AP-2', 5978),
(5979, 'PF00350', NULL, 'Dynamin family', 168, NULL, 'Dynamin_N', 5979),
(5980, 'PF08282', NULL, 'haloacid dehalogenase-like hydrolase', 255, NULL, 'Hydrolase_3', 5980),
(5981, 'PF06771', NULL, 'Viral Desmoplakin N-terminus', 90, NULL, 'Desmo_N', 5981),
(5982, 'PF14523', NULL, 'Syntaxin-like protein', 101, NULL, 'Syntaxin_2', 5982),
(5983, 'PF16099', NULL, 'Recq-mediated genome instability protein 1, C-terminal OB-fold', 143, NULL, 'RMI1_C', 5983),
(5984, 'PF07380', NULL, 'Pneumovirus M2 protein', 89, NULL, 'Pneumo_M2', 5984),
(5985, 'PF11065', NULL, 'Protein of unknown function (DUF2866)', 64, NULL, 'DUF2866', 5985),
(5986, 'PF10164', NULL, 'Uncharacterized conserved protein (DUF2367)', 106, NULL, 'DUF2367', 5986),
(5987, 'PF02429', NULL, 'Peridinin-chlorophyll A binding protein', 145, NULL, 'PCP', 5987),
(5988, 'PF11076', NULL, 'Putative inner membrane protein YbhQ', 132, NULL, 'YbhQ', 5988),
(5989, 'PF06942', NULL, 'GlpM protein', 107, NULL, 'GlpM', 5989),
(5990, 'PF09257', NULL, 'BCMA, TALL-1 binding', 37, NULL, 'BCMA-Tall_bind', 5990),
(5991, 'PF09205', NULL, 'Domain of unknown function (DUF1955)', 159, NULL, 'DUF1955', 5991); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(5992, 'PF12579', NULL, 'Protein of unknown function (DUF3755)', 34, NULL, 'DUF3755', 5992),
(5993, 'PF09431', NULL, 'Protein of unknown function (DUF2013)', 139, NULL, 'DUF2013', 5993),
(5994, 'PF13793', NULL, 'N-terminal domain of ribose phosphate pyrophosphokinase', 116, NULL, 'Pribosyltran_N', 5994),
(5995, 'PF17884', NULL, 'Domain of unknown function (DUF5591)', 152, NULL, 'DUF5591', 5995),
(5996, 'PF03074', NULL, 'Glutamate-cysteine ligase', 372, NULL, 'GCS', 5996),
(5997, 'PF08789', NULL, 'PBCV-specific basic adaptor domain', 38, NULL, 'PBCV_basic_adap', 5997),
(5998, 'PF14299', NULL, 'Phloem protein 2', 146, NULL, 'PP2', 5998),
(5999, 'PF10099', NULL, 'Anti-sigma-K factor rskA', 180, NULL, 'RskA', 5999),
(6000, 'PF10030', NULL, 'Uncharacterized protein conserved in bacteria (DUF2272)', 191, NULL, 'DUF2272', 6000),
(6001, 'PF18953', NULL, 'SAP domain-containing new25', 51, NULL, 'SAP_new25', 6001),
(6002, 'PF11698', NULL, 'V-ATPase subunit H', 117, NULL, 'V-ATPase_H_C', 6002),
(6003, 'PF06411', NULL, 'HdeA/HdeB family', 92, NULL, 'HdeA', 6003),
(6004, 'PF04614', NULL, 'Pex19 protein family', 247, NULL, 'Pex19', 6004),
(6005, 'PF09084', NULL, 'NMT1/THI5 like', 216, NULL, 'NMT1', 6005),
(6006, 'PF08846', NULL, 'Domain of unknown function (DUF1816)', 65, NULL, 'DUF1816', 6006),
(6007, 'PF17095', NULL, 'Spectrin-binding region of Ca2+-Calmodulin', 59, NULL, 'CAMSAP_CC1', 6007),
(6008, 'PF03836', NULL, 'RasGAP C-terminus', 137, NULL, 'RasGAP_C', 6008),
(6009, 'PF08456', NULL, 'Viral methyltransferase C-terminal', 230, NULL, 'Vmethyltransf_C', 6009),
(6010, 'PF00771', NULL, 'FHIPEP family', 658, NULL, 'FHIPEP', 6010),
(6011, 'PF06152', NULL, 'Phage minor capsid protein 2', 366, NULL, 'Phage_min_cap2', 6011),
(6012, 'PF01297', NULL, 'Zinc-uptake complex component A periplasmic', 247, NULL, 'ZnuA', 6012),
(6013, 'PF03878', NULL, 'YIF1', 244, NULL, 'YIF1', 6013),
(6014, 'PF07224', NULL, 'Chlorophyllase', 307, NULL, 'Chlorophyllase', 6014),
(6015, 'PF18572', NULL, 'Trehalose-6-phosphate phosphatase N-terminal helical bundle domain', 100, NULL, 'T6PP_N', 6015),
(6016, 'PF10111', NULL, 'Glycosyltransferase like family 2', 276, NULL, 'Glyco_tranf_2_2', 6016),
(6017, 'PF07850', NULL, 'Renin receptor-like protein', 100, NULL, 'Renin_r', 6017),
(6018, 'PF04472', NULL, 'Cell division protein SepF', 72, NULL, 'SepF', 6018),
(6019, 'PF14153', NULL, 'Spore coat protein CotO', 192, NULL, 'Spore_coat_CotO', 6019),
(6020, 'PF19130', NULL, 'Family of unknown function (DUF5813)', 143, NULL, 'DUF5813', 6020),
(6021, 'PF10261', NULL, 'Inositol phospholipid synthesis and fat-storage-inducing TM', 246, NULL, 'Scs3p', 6021),
(6022, 'PF14864', NULL, 'Alkyl sulfatase C-terminal', 126, NULL, 'Alkyl_sulf_C', 6022),
(6023, 'PF16584', NULL, 'Outer membrane lipoprotein carrier protein LolA', 152, NULL, 'LolA_2', 6023),
(6024, 'PF16961', NULL, 'Putative OmpA-OmpF-like porin family', 197, NULL, 'OmpA_like', 6024),
(6025, 'PF10307', NULL, 'HAD domain family 1 in Swiss Army Knife RNA repair proteins', 203, NULL, 'HAD_SAK_1', 6025),
(6026, 'PF17930', NULL, 'LpxI N-terminal domain', 129, NULL, 'LpxI_N', 6026),
(6027, 'PF08756', NULL, 'YfkB-like domain', 151, NULL, 'YfkB', 6027),
(6028, 'PF13425', NULL, 'O-antigen ligase like membrane protein', 465, NULL, 'O-antigen_lig', 6028),
(6029, 'PF05006', NULL, 'Per os infectivity factor 3', 149, NULL, 'PIF3', 6029),
(6030, 'PF11138', NULL, 'Protein of unknown function (DUF2911)', 145, NULL, 'DUF2911', 6030),
(6031, 'PF13895', NULL, 'Immunoglobulin domain', 79, NULL, 'Ig_2', 6031),
(6032, 'PF15581', NULL, 'Immunity protein 58', 109, NULL, 'Imm58', 6032),
(6033, 'PF08258', NULL, 'WWamide peptide', 7, NULL, 'WWamide', 6033),
(6034, 'PF05733', NULL, 'Tenuivirus/Phlebovirus nucleocapsid protein', 246, NULL, 'Tenui_N', 6034),
(6035, 'PF14302', NULL, 'Domain of unknown function (DUF4377)', 75, NULL, 'DUF4377', 6035),
(6036, 'PF18609', NULL, 'Exuperantia SAM-like domain', 73, NULL, 'SAM_Exu', 6036);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6037, 'PF10163', NULL, 'Transcription factor e(y)2', 84, NULL, 'EnY2', 6037),
(6038, 'PF11686', NULL, 'Protein of unknown function (DUF3283)', 61, NULL, 'DUF3283', 6038),
(6039, 'PF16877', NULL, 'Domain of unknown function (DUF5078)', 119, NULL, 'DUF5078', 6039),
(6040, 'PF10244', NULL, 'Mitochondrial ribosomal subunit', 93, NULL, 'MRP-L51', 6040),
(6041, 'PF07297', NULL, 'Dolichol phosphate-mannose biosynthesis regulatory protein (DPM2)', 76, NULL, 'DPM2', 6041),
(6042, 'PF13783', NULL, 'Domain of unknown function (DUF4177)', 66, NULL, 'DUF4177', 6042),
(6043, 'PF11620', NULL, 'GA-binding protein alpha chain', 85, NULL, 'GABP-alpha', 6043),
(6044, 'PF08830', NULL, 'Protein of unknown function (DUF1806)', 112, NULL, 'DUF1806', 6044),
(6045, 'PF06554', NULL, 'Olfactory marker protein', 150, NULL, 'Olfactory_mark', 6045),
(6046, 'PF05112', NULL, 'Baculovirus P47 protein', 306, NULL, 'Baculo_p47', 6046),
(6047, 'PF13298', NULL, 'DNA polymerase Ligase (LigD)', 105, NULL, 'LigD_N', 6047),
(6048, 'PF02947', NULL, 'flt3 ligand', 131, NULL, 'Flt3_lig', 6048),
(6049, 'PF16673', NULL, 'TNF receptor-associated factor BIRC3 binding domain', 64, NULL, 'TRAF_BIRC3_bd', 6049),
(6050, 'PF06006', NULL, 'Bacterial protein of unknown function (DUF905)', 70, NULL, 'DUF905', 6050),
(6051, 'PF10110', NULL, 'Membrane domain of glycerophosphoryl diester phosphodiesterase', 321, NULL, 'GPDPase_memb', 6051),
(6052, 'PF14094', NULL, 'Domain of unknown function (DUF4272)', 207, NULL, 'DUF4272', 6052),
(6053, 'PF02337', NULL, 'Retroviral GAG p10 protein', 85, NULL, 'Gag_p10', 6053),
(6054, 'PF17146', NULL, 'PIN domain of ribonuclease', 89, NULL, 'PIN_6', 6054),
(6055, 'PF03035', NULL, 'Calicivirus putative RNA polymerase/capsid protein', 226, NULL, 'RNA_capsid', 6055),
(6056, 'PF17144', NULL, 'Ribosomal large subunit proteins 60S L5, and 50S L18', 163, NULL, 'Ribosomal_L5e', 6056),
(6057, 'PF15601', NULL, 'Immunity protein 70', 131, NULL, 'Imm70', 6057),
(6058, 'PF09050', NULL, 'Stannin unstructured linker', 26, NULL, 'SNN_linker', 6058),
(6059, 'PF02994', NULL, 'L1 transposable element RBD-like domain', 98, NULL, 'Transposase_22', 6059),
(6060, 'PF09422', NULL, 'WTX protein', 482, NULL, 'WTX', 6060),
(6061, 'PF08107', NULL, 'Pleurocidin family', 42, NULL, 'Antimicrobial12', 6061),
(6062, 'PF00842', NULL, 'Alanine racemase, C-terminal domain', 125, NULL, 'Ala_racemase_C', 6062),
(6063, 'PF02344', NULL, 'Myc leucine zipper domain', 31, NULL, 'Myc-LZ', 6063),
(6064, 'PF07410', NULL, 'Streptococcus thermophilus bacteriophage Gp111 protein', 118, NULL, 'Phage_Gp111', 6064),
(6065, 'PF15735', NULL, 'Domain of unknown function (DUF4683)', 398, NULL, 'DUF4683', 6065),
(6066, 'PF07213', NULL, 'DAP10 membrane protein', 79, NULL, 'DAP10', 6066),
(6067, 'PF11523', NULL, 'Protein of unknown function (DUF3223)', 75, NULL, 'DUF3223', 6067),
(6068, 'PF14988', NULL, 'Domain of unknown function (DUF4515)', 206, NULL, 'DUF4515', 6068),
(6069, 'PF01904', NULL, 'Protein of unknown function DUF72', 219, NULL, 'DUF72', 6069),
(6070, 'PF05578', NULL, 'Pestivirus NS3 polyprotein peptidase S31', 211, NULL, 'Peptidase_S31', 6070),
(6071, 'PF06148', NULL, 'COG (conserved oligomeric Golgi) complex component, COG2', 133, NULL, 'COG2', 6071),
(6072, 'PF11253', NULL, 'Protein of unknown function (DUF3052)', 125, NULL, 'DUF3052', 6072),
(6073, 'PF05586', NULL, 'Anthrax receptor C-terminus region', 93, NULL, 'Ant_C', 6073),
(6074, 'PF06597', NULL, 'Clostridium P-47 protein', 468, NULL, 'Clostridium_P47', 6074),
(6075, 'PF06281', NULL, 'Protein of unknown function (DUF1035)', 73, NULL, 'DUF1035', 6075),
(6076, 'PF14914', NULL, 'LRRC37A/B like protein 1 C-terminal domain', 147, NULL, 'LRRC37AB_C', 6076),
(6077, 'PF01121', NULL, 'Dephospho-CoA kinase', 179, NULL, 'CoaE', 6077),
(6078, 'PF13200', NULL, 'Putative glycosyl hydrolase domain', 314, NULL, 'DUF4015', 6078),
(6079, 'PF00970', NULL, 'Oxidoreductase FAD-binding domain', 99, NULL, 'FAD_binding_6', 6079);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6080, 'PF10733', NULL, 'Protein of unknown function (DUF2525)', 60, NULL, 'DUF2525', 6080),
(6081, 'PF01824', NULL, 'MatK/TrnK amino terminal region', 331, NULL, 'MatK_N', 6081),
(6082, 'PF03410', NULL, 'Metallopeptidase from vaccinia pox', 598, NULL, 'Peptidase_M44', 6082),
(6083, 'PF04525', NULL, 'LURP-one-related', 187, NULL, 'LOR', 6083),
(6084, 'PF05117', NULL, 'Family of unknown function (DUF695)', 134, NULL, 'DUF695', 6084),
(6085, 'PF04131', NULL, 'Putative N-acetylmannosamine-6-phosphate epimerase', 192, NULL, 'NanE', 6085),
(6086, 'PF04111', NULL, 'Apg6 BARA domain', 179, NULL, 'APG6', 6086),
(6087, 'PF07065', NULL, 'D123', 306, NULL, 'D123', 6087),
(6088, 'PF07535', NULL, 'DBF zinc finger', 45, NULL, 'zf-DBF', 6088),
(6089, 'PF18238', NULL, 'LnmK N-terminal Hot Dog Fold domain', 176, NULL, 'LnmK_N_HDF', 6089),
(6090, 'PF00382', NULL, 'Transcription factor TFIIB repeat', 71, NULL, 'TFIIB', 6090),
(6091, 'PF00726', NULL, 'Interleukin 10', 170, NULL, 'IL10', 6091),
(6092, 'PF16908', NULL, 'Vacuolar sorting-associated protein 13, N-terminal', 234, NULL, 'VPS13', 6092),
(6093, 'PF11646', NULL, 'Protein of unknown function DUF3258', 99, NULL, 'DUF3258', 6093),
(6094, 'PF07455', NULL, 'Phage polarity suppression protein (Psu)', 174, NULL, 'Psu', 6094),
(6095, 'PF17413', NULL, 'Outer membrane lipoprotein virB7', 35, NULL, 'VirB7', 6095),
(6096, 'PF04207', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit D', 218, NULL, 'MtrD', 6096),
(6097, 'PF00145', NULL, 'C-5 cytosine-specific DNA methylase', 335, NULL, 'DNA_methylase', 6097),
(6098, 'PF09226', NULL, 'Restriction endonuclease HincII', 247, NULL, 'Endonuc-HincII', 6098),
(6099, 'PF16492', NULL, 'Cadherin cytoplasmic C-terminal', 85, NULL, 'Cadherin_C_2', 6099),
(6100, 'PF09109', NULL, 'Switch protein XOL-1, GHMP-like', 189, NULL, 'Xol-1_GHMP-like', 6100),
(6101, 'PF02982', NULL, 'Scytalone dehydratase', 160, NULL, 'Scytalone_dh', 6101),
(6102, 'PF05272', NULL, 'Virulence-associated protein E', 217, NULL, 'VirE', 6102),
(6103, 'PF02739', NULL, '5''-3'' exonuclease, N-terminal resolvase-like domain', 159, NULL, '5_3_exonuc_N', 6103),
(6104, 'PF09523', NULL, 'Protein of unknown function (DUF2390)', 106, NULL, 'DUF2390', 6104),
(6105, 'PF15120', NULL, 'Sperm acrosome-associated protein 9', 164, NULL, 'SPACA9', 6105),
(6106, 'PF11236', NULL, 'Protein of unknown function (DUF3037)', 118, NULL, 'DUF3037', 6106),
(6107, 'PF00158', NULL, 'Sigma-54 interaction domain', 168, NULL, 'Sigma54_activat', 6107),
(6108, 'PF17483', NULL, 'C-lobe handle domain of Tf-binding protein B', 102, NULL, 'TbpB_C', 6108),
(6109, 'PF15475', NULL, 'Transmembrane protein C12orf23, UPF0444', 91, NULL, 'UPF0444', 6109),
(6110, 'PF02471', NULL, 'Borrelia outer surface protein E', 107, NULL, 'OspE', 6110),
(6111, 'PF10917', NULL, 'Fungus-induced protein', 50, NULL, 'Fungus-induced', 6111),
(6112, 'PF04832', NULL, 'SOUL heme-binding protein', 174, NULL, 'SOUL', 6112),
(6113, 'PF13338', NULL, 'Transcriptional regulator, AbiEi antitoxin', 49, NULL, 'AbiEi_4', 6113),
(6114, 'PF16718', NULL, 'Immunity factor for SPN', 164, NULL, 'IFS', 6114),
(6115, 'PF02460', NULL, 'Patched family', 811, NULL, 'Patched', 6115),
(6116, 'PF11777', NULL, 'Protein of unknown function (DUF3316)', 119, NULL, 'DUF3316', 6116),
(6117, 'PF04574', NULL, 'Protein of unknown function (DUF592)', 153, NULL, 'DUF592', 6117),
(6118, 'PF12283', NULL, 'Bacteriophage protein K', 56, NULL, 'Protein_K', 6118),
(6119, 'PF13559', NULL, 'Domain of unknown function (DUF4129)', 69, NULL, 'DUF4129', 6119),
(6120, 'PF15705', NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, N-term', 131, NULL, 'TMEM132D_N', 6120),
(6121, 'PF04057', NULL, 'Replication factor-A protein 1, N-terminal domain', 101, NULL, 'Rep-A_N', 6121),
(6122, 'PF07293', NULL, 'Protein of unknown function (DUF1450)', 75, NULL, 'DUF1450', 6122),
(6123, 'PF15967', NULL, 'Nucleoporin FG repeated region', 599, NULL, 'Nucleoporin_FG2', 6123);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6124, 'PF01469', NULL, 'Pentapeptide repeats (8 copies)', 40, NULL, 'Pentapeptide_2', 6124),
(6125, 'PF12137', NULL, 'RNA polymerase recycling family C-terminal', 360, NULL, 'RapA_C', 6125),
(6126, 'PF05589', NULL, 'Protein of unknown function (DUF768)', 67, NULL, 'DUF768', 6126),
(6127, 'PF07313', NULL, 'Protein of unknown function (DUF1460)', 215, NULL, 'DUF1460', 6127),
(6128, 'PF02900', NULL, 'Catalytic LigB subunit of aromatic ring-opening dioxygenase', 273, NULL, 'LigB', 6128),
(6129, 'PF16501', NULL, 'S phase cyclin A-associated protein in the endoplasmic reticulum', 98, NULL, 'SCAPER_N', 6129),
(6130, 'PF16011', NULL, 'Carbohydrate-binding family 9', 199, NULL, 'CBM9_2', 6130),
(6131, 'PF04107', NULL, 'Glutamate-cysteine ligase family 2(GCS2)', 291, NULL, 'GCS2', 6131),
(6132, 'PF02911', NULL, 'Formyl transferase, C-terminal domain', 99, NULL, 'Formyl_trans_C', 6132),
(6133, 'PF01797', NULL, 'Transposase IS200 like', 121, NULL, 'Y1_Tnp', 6133),
(6134, 'PF16117', NULL, 'Domain of unknown function (DUF4833)', 138, NULL, 'DUF4833', 6134),
(6135, 'PF12445', NULL, 'Flagellin protein', 129, NULL, 'FliC', 6135),
(6136, 'PF06456', NULL, 'Arfaptin-like domain', 229, NULL, 'Arfaptin', 6136),
(6137, 'PF19070', NULL, 'Family of unknown function (DUF5766)', 77, NULL, 'DUF5766', 6137),
(6138, 'PF17051', NULL, 'Cytochrome C oxidase assembly factor 2', 86, NULL, 'COA2', 6138),
(6139, 'PF04259', NULL, 'Small, acid-soluble spore protein, gamma-type', 84, NULL, 'SASP_gamma', 6139),
(6140, 'PF04993', NULL, 'TfoX N-terminal domain', 91, NULL, 'TfoX_N', 6140),
(6141, 'PF08480', NULL, 'Disaggregatase related', 189, NULL, 'Disaggr_assoc', 6141),
(6142, 'PF06094', NULL, 'Gamma-glutamyl cyclotransferase, AIG2-like', 122, NULL, 'GGACT', 6142),
(6143, 'PF15996', NULL, 'Arginine/serine-rich protein PNISR', 198, NULL, 'PNISR', 6143),
(6144, 'PF09948', NULL, 'Predicted metal-binding integral membrane protein (DUF2182)', 188, NULL, 'DUF2182', 6144),
(6145, 'PF11327', NULL, 'Egh16-like virulence factor', 183, NULL, 'Egh16-like', 6145),
(6146, 'PF12111', NULL, 'Polyribonucleotide phosphorylase C terminal', 37, NULL, 'PNPase_C', 6146),
(6147, 'PF08564', NULL, 'Cdc37 C terminal domain', 100, NULL, 'CDC37_C', 6147),
(6148, 'PF05826', NULL, 'Phospholipase A2', 97, NULL, 'Phospholip_A2_2', 6148),
(6149, 'PF17834', NULL, 'Beta-sandwich domain in beta galactosidase', 72, NULL, 'GHD', 6149),
(6150, 'PF00467', NULL, 'KOW motif', 32, NULL, 'KOW', 6150),
(6151, 'PF00967', NULL, 'Barwin family', 119, NULL, 'Barwin', 6151),
(6152, 'PF19107', NULL, 'Family of unknown function (DUF5794)', 128, NULL, 'DUF5794', 6152),
(6153, 'PF12969', NULL, 'Domain of Unknown Function with PDB structure (DUF3857)', 167, NULL, 'DUF3857', 6153),
(6154, 'PF15147', NULL, 'Domain of unknown function (DUF4578)', 126, NULL, 'DUF4578', 6154),
(6155, 'PF13955', NULL, 'Toxin Fst, type I toxin-antitoxin system', 21, NULL, 'Fst_toxin', 6155),
(6156, 'PF09325', NULL, 'Vps5 C terminal like', 236, NULL, 'Vps5', 6156),
(6157, 'PF16201', NULL, 'Nucleolar pre-ribosomal-associated protein 1', 201, NULL, 'NopRA1', 6157),
(6158, 'PF14113', NULL, 'Type VI secretion system (T6SS), amidase effector protein 4', 123, NULL, 'Tae4', 6158),
(6159, 'PF09101', NULL, 'Exotoxin A binding', 262, NULL, 'Exotox-A_bind', 6159),
(6160, 'PF00406', NULL, 'Adenylate kinase', 151, NULL, 'ADK', 6160),
(6161, 'PF06745', NULL, 'KaiC', 231, NULL, 'ATPase', 6161),
(6162, 'PF17573', NULL, 'GA-like domain', 50, NULL, 'GA-like', 6162),
(6163, 'PF17175', NULL, 'Modulator of levamisole receptor-1', 119, NULL, 'MOLO1', 6163),
(6164, 'PF16184', NULL, 'Cadherin-like', 111, NULL, 'Cadherin_3', 6164),
(6165, 'PF01023', NULL, 'S-100/ICaBP type calcium binding domain', 43, NULL, 'S_100', 6165),
(6166, 'PF16095', NULL, 'C-terminal of Roc, COR, domain', 194, NULL, 'COR', 6166),
(6167, 'PF16781', NULL, 'Domain of unknown function (DUF5068)', 187, NULL, 'DUF5068', 6167),
(6168, 'PF01523', NULL, 'Putative modulator of DNA gyrase', 279, NULL, 'PmbA_TldD', 6168);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6169, 'PF01231', NULL, 'Indoleamine 2,3-dioxygenase', 437, NULL, 'IDO', 6169),
(6170, 'PF15972', NULL, 'Unpaired protein', 273, NULL, 'Unpaired', 6170),
(6171, 'PF08403', NULL, 'Amino acid permease N-terminal', 70, NULL, 'AA_permease_N', 6171),
(6172, 'PF17996', NULL, 'Carbohydrate esterase 2 N-terminal', 110, NULL, 'CE2_N', 6172),
(6173, 'PF15730', NULL, 'Domain of unknown function (DUF4680)', 144, NULL, 'DUF4680', 6173),
(6174, 'PF12527', NULL, 'Protein of unknown function (DUF3727)', 98, NULL, 'DUF3727', 6174),
(6175, 'PF07422', NULL, 'Sexual stage antigen s48/45 domain', 108, NULL, 's48_45', 6175),
(6176, 'PF14441', NULL, 'OTT_1508-like deaminase', 64, NULL, 'OTT_1508_deam', 6176),
(6177, 'PF14769', NULL, 'Flagellar C1a complex subunit C1a-32', 99, NULL, 'CLAMP', 6177),
(6178, 'PF10395', NULL, 'Utp8 family', 690, NULL, 'Utp8', 6178),
(6179, 'PF10086', NULL, 'YhfC intramembrane metalloprotease', 223, NULL, 'YhfC', 6179),
(6180, 'PF11948', NULL, 'Protein of unknown function (DUF3465)', 124, NULL, 'DUF3465', 6180),
(6181, 'PF01842', NULL, 'ACT domain', 67, NULL, 'ACT', 6181),
(6182, 'PF06802', NULL, 'Protein of unknown function (DUF1231)', 340, NULL, 'DUF1231', 6182),
(6183, 'PF17439', NULL, 'Family of unknown function (DUF5418)', 151, NULL, 'DUF5418', 6183),
(6184, 'PF02053', NULL, 'Gene 66 (IR5) protein', 209, NULL, 'Gene66', 6184),
(6185, 'PF01312', NULL, 'FlhB HrpN YscU SpaS Family', 330, NULL, 'Bac_export_2', 6185),
(6186, 'PF13747', NULL, 'Domain of unknown function (DUF4164)', 89, NULL, 'DUF4164', 6186),
(6187, 'PF11597', NULL, 'Mediator complex subunit 13 N-terminal', 323, NULL, 'Med13_N', 6187),
(6188, 'PF13922', NULL, 'PHD domain of transcriptional enhancer, Asx', 69, NULL, 'PHD_3', 6188),
(6189, 'PF13912', NULL, 'C2H2-type zinc finger', 27, NULL, 'zf-C2H2_6', 6189),
(6190, 'PF05273', NULL, 'Poxvirus RNA polymerase 22 kDa subunit', 184, NULL, 'Pox_RNA_Pol_22', 6190),
(6191, 'PF19022', NULL, 'Family of unknown function (DUF5748)', 101, NULL, 'DUF5748', 6191),
(6192, 'PF18070', NULL, 'CRISPR-Cas9 PI domain', 59, NULL, 'Cas9_PI2', 6192),
(6193, 'PF09771', NULL, 'Transmembrane protein 188', 118, NULL, 'Tmemb_18A', 6193),
(6194, 'PF08750', NULL, 'CNP1-like family', 136, NULL, 'CNP1', 6194),
(6195, 'PF07488', NULL, 'Glycosyl hydrolase family 67 middle domain', 325, NULL, 'Glyco_hydro_67M', 6195),
(6196, 'PF14619', NULL, 'Snf2-ATP coupling, chromatin remodelling complex', 73, NULL, 'SnAC', 6196),
(6197, 'PF15266', NULL, 'Domain of unknown function (DUF4594)', 180, NULL, 'DUF4594', 6197),
(6198, 'PF14819', NULL, 'Nitrile reductase, 7-cyano-7-deazaguanine-reductase N-term', 111, NULL, 'QueF_N', 6198),
(6199, 'PF12697', NULL, 'Alpha/beta hydrolase family', 220, NULL, 'Abhydrolase_6', 6199),
(6200, 'PF05688', NULL, 'Bacterial Immunoglobulin-like 21', 108, NULL, 'BIg21', 6200),
(6201, 'PF12640', NULL, 'UPF0489 domain', 174, NULL, 'UPF0489', 6201),
(6202, 'PF18902', NULL, 'Domain of unknown function (DUF5658)', 82, NULL, 'DUF5658', 6202),
(6203, 'PF10481', NULL, 'Cenp-F N-terminal domain', 304, NULL, 'CENP-F_N', 6203),
(6204, 'PF16704', NULL, 'Rab binding domain', 66, NULL, 'Rab_bind', 6204),
(6205, 'PF14675', NULL, 'FANCI solenoid 1', 222, NULL, 'FANCI_S1', 6205),
(6206, 'PF01547', NULL, 'Bacterial extracellular solute-binding protein', 315, NULL, 'SBP_bac_1', 6206),
(6207, 'PF10003', NULL, 'Integral membrane protein (DUF2244)', 138, NULL, 'DUF2244', 6207),
(6208, 'PF17767', NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) N-terminal domain', 125, NULL, 'NAPRTase_N', 6208),
(6209, 'PF03527', NULL, 'RHS protein', 38, NULL, 'RHS', 6209),
(6210, 'PF17724', NULL, 'Family of unknown function (DUF5568)', 185, NULL, 'DUF5568', 6210),
(6211, 'PF02377', NULL, 'Dishevelled specific domain', 162, NULL, 'Dishevelled', 6211),
(6212, 'PF13089', NULL, 'Polyphosphate kinase N-terminal domain', 107, NULL, 'PP_kinase_N', 6212),
(6213, 'PF10138', NULL, 'vWA found in TerF C terminus', 200, NULL, 'vWA-TerF-like', 6213);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6214, 'PF02195', NULL, 'ParB-like nuclease domain', 90, NULL, 'ParBc', 6214),
(6215, 'PF13843', NULL, 'Transposase IS4', 350, NULL, 'DDE_Tnp_1_7', 6215),
(6216, 'PF16085', NULL, 'Bacteriophage holin Hol, superfamily III', 113, NULL, 'Phage_holin_3_5', 6216),
(6217, 'PF10279', NULL, 'Latarcin precursor', 81, NULL, 'Latarcin', 6217),
(6218, 'PF12939', NULL, 'Domain of unknown function (DUF3837)', 101, NULL, 'DUF3837', 6218),
(6219, 'PF06640', NULL, 'P protein C-terminus', 206, NULL, 'P_C', 6219),
(6220, 'PF10355', NULL, 'Protein of unknown function (Ytp1)', 276, NULL, 'Ytp1', 6220),
(6221, 'PF14528', NULL, 'LAGLIDADG-like domain', 83, NULL, 'LAGLIDADG_3', 6221),
(6222, 'PF13906', NULL, 'C-terminus of AA_permease', 51, NULL, 'AA_permease_C', 6222),
(6223, 'PF11469', NULL, 'Ribonuclease III', 119, NULL, 'Ribonucleas_3_2', 6223),
(6224, 'PF13484', NULL, '4Fe-4S double cluster binding domain', 67, NULL, 'Fer4_16', 6224),
(6225, 'PF15053', NULL, 'Mjmu-R1-like protein family', 353, NULL, 'Njmu-R1', 6225),
(6226, 'PF01421', NULL, 'Reprolysin (M12B) family zinc metalloprotease', 200, NULL, 'Reprolysin', 6226),
(6227, 'PF00614', NULL, 'Phospholipase D Active site motif', 28, NULL, 'PLDc', 6227),
(6228, 'PF11364', NULL, 'Protein of unknown function (DUF3165)', 81, NULL, 'DUF3165', 6228),
(6229, 'PF11978', NULL, 'Shoulder domain', 117, NULL, 'MVP_shoulder', 6229),
(6230, 'PF12900', NULL, 'Pyridoxamine 5''-phosphate oxidase', 142, NULL, 'Pyridox_ox_2', 6230),
(6231, 'PF14742', NULL, 'N-terminal domain of (some) glycogen debranching enzymes', 194, NULL, 'GDE_N_bis', 6231),
(6232, 'PF17072', NULL, 'Torovirinae spike glycoprotein', 1291, NULL, 'Spike_torovirin', 6232),
(6233, 'PF07100', NULL, 'Anabaena sensory rhodopsin transducer', 119, NULL, 'ASRT', 6233),
(6234, 'PF01415', NULL, 'Interleukin 7', 134, NULL, 'IL7', 6234),
(6235, 'PF16745', NULL, 'RsgA N-terminal domain', 54, NULL, 'RsgA_N', 6235),
(6236, 'PF17290', NULL, 'Arenavirus nucleocapsid C-terminal domain', 181, NULL, 'Arena_ncap_C', 6236),
(6237, 'PF16242', NULL, 'Pyridoxamine 5''-phosphate oxidase like', 149, NULL, 'Pyrid_ox_like', 6237),
(6238, 'PF16140', NULL, 'Domain of unknown function (DUF4848)', 216, NULL, 'DUF4848', 6238),
(6239, 'PF12587', NULL, 'Protein of unknown function (DUF3761)', 88, NULL, 'DUF3761', 6239),
(6240, 'PF04229', NULL, 'GrpB protein', 160, NULL, 'GrpB', 6240),
(6241, 'PF10583', NULL, 'Involucrin of squamous epithelia N-terminus', 69, NULL, 'Involucrin_N', 6241),
(6242, 'PF00736', NULL, 'EF-1 guanine nucleotide exchange domain', 90, NULL, 'EF1_GNE', 6242),
(6243, 'PF17960', NULL, 'TIG domain', 89, NULL, 'TIG_plexin', 6243),
(6244, 'PF07371', NULL, 'Protein of unknown function (DUF1490)', 88, NULL, 'DUF1490', 6244),
(6245, 'PF04168', NULL, 'A predicted alpha-helical domain with a conserved ER motif.', 291, NULL, 'Alpha-E', 6245),
(6246, 'PF09922', NULL, 'Cell wall-active antibiotics response 4TMS YvqF', 114, NULL, 'DUF2154', 6246),
(6247, 'PF13565', NULL, 'Homeodomain-like domain', 73, NULL, 'HTH_32', 6247),
(6248, 'PF15615', NULL, 'TerB-C domain', 147, NULL, 'TerB_C', 6248),
(6249, 'PF11536', NULL, 'Protein of unknown function (DUF3226)', 237, NULL, 'DUF3226', 6249),
(6250, 'PF07626', NULL, 'Protein of unknown function (DUF1587)', 65, NULL, 'PSD3', 6250),
(6251, 'PF02104', NULL, 'SURF1 family', 199, NULL, 'SURF1', 6251),
(6252, 'PF12466', NULL, 'Glutamate dehydrogenase N terminal', 95, NULL, 'GDH_N', 6252),
(6253, 'PF03000', NULL, 'NPH3 family', 256, NULL, 'NPH3', 6253),
(6254, 'PF18867', NULL, 'HEPN-like integron domain', 151, NULL, 'HEPN-like_int', 6254),
(6255, 'PF11715', NULL, 'Nucleoporin Nup120/160', 537, NULL, 'Nup160', 6255),
(6256, 'PF02751', NULL, 'Transcription initiation factor IIA, gamma subunit', 43, NULL, 'TFIIA_gamma_C', 6256),
(6257, 'PF03437', NULL, 'BtpA family', 254, NULL, 'BtpA', 6257),
(6258, 'PF12724', NULL, 'Flavodoxin domain', 144, NULL, 'Flavodoxin_5', 6258),
(6259, 'PF18047', NULL, 'PatG Domain', 118, NULL, 'PatG_D', 6259);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6260, 'PF17731', NULL, 'Family of unknown function (DUF5570)', 123, NULL, 'DUF5570', 6260),
(6261, 'PF12341', NULL, 'Minichromosome loss protein, Mcl1, middle region', 295, NULL, 'Mcl1_mid', 6261),
(6262, 'PF13554', NULL, 'Bacteriophage related domain of unknown function', 128, NULL, 'DUF4128', 6262),
(6263, 'PF03105', NULL, 'SPX domain', 381, NULL, 'SPX', 6263),
(6264, 'PF12317', NULL, 'Intraflagellar transport complex B protein 46 C terminal', 212, NULL, 'IFT46_B_C', 6264),
(6265, 'PF01869', NULL, 'BadF/BadG/BcrA/BcrD ATPase family', 267, NULL, 'BcrAD_BadFG', 6265),
(6266, 'PF05633', NULL, 'Protein BYPASS1-related', 388, NULL, 'BPS1', 6266),
(6267, 'PF03133', NULL, 'Tubulin-tyrosine ligase family', 295, NULL, 'TTL', 6267),
(6268, 'PF05348', NULL, 'Proteasome maturation factor UMP1', 117, NULL, 'UMP1', 6268),
(6269, 'PF06126', NULL, 'Herpesvirus Latent membrane protein 2', 497, NULL, 'Herpes_LAMP2', 6269),
(6270, 'PF08274', NULL, 'PhnA Zinc-Ribbon', 30, NULL, 'YjdM_Zn_Ribbon', 6270),
(6271, 'PF19218', NULL, 'Coronavirus replicase NSP3, C-terminal', 465, NULL, 'CoV_NSP3_C', 6271),
(6272, 'PF01544', NULL, 'CorA-like Mg2+ transporter protein', 292, NULL, 'CorA', 6272),
(6273, 'PF17301', NULL, 'Putative lipoprotein LpqV', 117, NULL, 'LpqV', 6273),
(6274, 'PF01488', NULL, 'Shikimate / quinate 5-dehydrogenase', 138, NULL, 'Shikimate_DH', 6274),
(6275, 'PF18204', NULL, 'PGF-CTERM motif', 23, NULL, 'PGF-CTERM', 6275),
(6276, 'PF01205', NULL, 'Uncharacterized protein family UPF0029', 108, NULL, 'UPF0029', 6276),
(6277, 'PF08237', NULL, 'PE-PPE domain', 227, NULL, 'PE-PPE', 6277),
(6278, 'PF04260', NULL, 'Protein of unknown function (DUF436)', 171, NULL, 'DUF436', 6278),
(6279, 'PF08300', NULL, 'Hepatitis C virus non-structural 5a zinc finger domain', 62, NULL, 'HCV_NS5a_1a', 6279),
(6280, 'PF01724', NULL, 'Domain of unknown function DUF29', 138, NULL, 'DUF29', 6280),
(6281, 'PF03384', NULL, 'Drosophila protein of unknown function, DUF287', 55, NULL, 'DUF287', 6281),
(6282, 'PF17906', NULL, 'HTH domain in Mos1 transposase', 50, NULL, 'HTH_48', 6282),
(6283, 'PF18363', NULL, 'Phosphoinositide phosphatase insertion domain', 97, NULL, 'PI_PP_I', 6283),
(6284, 'PF06098', NULL, 'Radial spoke protein 3', 286, NULL, 'Radial_spoke_3', 6284),
(6285, 'PF10021', NULL, 'Uncharacterized protein conserved in bacteria (DUF2263)', 147, NULL, 'DUF2263', 6285),
(6286, 'PF17518', NULL, 'Family of unknown function (DUF5443)', 344, NULL, 'DUF5443', 6286),
(6287, 'PF05660', NULL, 'Coxiella burnetii protein of unknown function (DUF807)', 142, NULL, 'DUF807', 6287),
(6288, 'PF03924', NULL, 'CHASE domain', 188, NULL, 'CHASE', 6288),
(6289, 'PF01513', NULL, 'ATP-NAD kinase', 292, NULL, 'NAD_kinase', 6289),
(6290, 'PF16040', NULL, 'Domain of unknown function (DUF4792)', 71, NULL, 'DUF4792', 6290),
(6291, 'PF17418', NULL, 'Sporulation delaying protein SdpA', 142, NULL, 'SdpA', 6291),
(6292, 'PF10087', NULL, 'Uncharacterized protein conserved in bacteria (DUF2325)', 94, NULL, 'DUF2325', 6292),
(6293, 'PF08469', NULL, 'Nucleoside triphosphatase I C-terminal', 148, NULL, 'NPHI_C', 6293),
(6294, 'PF00995', NULL, 'Sec1 family', 576, NULL, 'Sec1', 6294),
(6295, 'PF01030', NULL, 'Receptor L domain', 112, NULL, 'Recep_L_domain', 6295),
(6296, 'PF04039', NULL, 'Domain related to MnhB subunit of Na+/H+ antiporter', 124, NULL, 'MnhB', 6296),
(6297, 'PF18632', NULL, 'Family of unknown function (DUF5630)', 218, NULL, 'DUF5630', 6297),
(6298, 'PF13310', NULL, 'Virulence protein RhuM family', 252, NULL, 'Virulence_RhuM', 6298),
(6299, 'PF11199', NULL, 'Protein of unknown function (DUF2891)', 325, NULL, 'DUF2891', 6299),
(6300, 'PF05176', NULL, 'ATP10 protein', 257, NULL, 'ATP-synt_10', 6300),
(6301, 'PF19013', NULL, 'Family of unknown function (DUF5742)', 111, NULL, 'DUF5742', 6301),
(6302, 'PF17207', NULL, 'MCM OB domain', 126, NULL, 'MCM_OB', 6302),
(6303, 'PF09450', NULL, 'Domain of unknown function (DUF2019)', 105, NULL, 'DUF2019', 6303);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6304, 'PF09886', NULL, 'Uncharacterized protein conserved in archaea (DUF2113)', 185, NULL, 'DUF2113', 6304),
(6305, 'PF18805', NULL, 'Leucine-rich repeat', 67, NULL, 'LRR_10', 6305),
(6306, 'PF15925', NULL, 'SOSS complex subunit C', 101, NULL, 'SOSSC', 6306),
(6307, 'PF15428', NULL, 'Immunity protein 26', 102, NULL, 'Imm26', 6307),
(6308, 'PF10722', NULL, 'Putative bacterial sensory transduction regulator', 127, NULL, 'YbjN', 6308),
(6309, 'PF07198', NULL, 'Protein of unknown function (DUF1410)', 63, NULL, 'DUF1410', 6309),
(6310, 'PF00941', NULL, 'FAD binding domain in molybdopterin dehydrogenase', 171, NULL, 'FAD_binding_5', 6310),
(6311, 'PF15458', NULL, 'Nineteen complex-related protein 2', 310, NULL, 'NTR2', 6311),
(6312, 'PF14517', NULL, 'Tachylectin', 229, NULL, 'Tachylectin', 6312),
(6313, 'PF06938', NULL, 'Protein of unknown function (DUF1285)', 146, NULL, 'DUF1285', 6313),
(6314, 'PF18740', NULL, 'EC042_2821-lke REase', 187, NULL, 'EC042_2821', 6314),
(6315, 'PF17508', NULL, 'Microcin V bacteriocin', 104, NULL, 'MccV', 6315),
(6316, 'PF06260', NULL, 'Protein of unknown function (DUF1024)', 82, NULL, 'DUF1024', 6316),
(6317, 'PF01954', NULL, 'Protein of unknown function DUF104', 59, NULL, 'DUF104', 6317),
(6318, 'PF06370', NULL, 'Protein of unknown function (DUF1069)', 206, NULL, 'DUF1069', 6318),
(6319, 'PF06675', NULL, 'Protein of unknown function (DUF1177)', 272, NULL, 'DUF1177', 6319),
(6320, 'PF15717', NULL, 'Pericentriolar material 1 C terminus', 621, NULL, 'PCM1_C', 6320),
(6321, 'PF06543', NULL, 'Lactococcus bacteriophage repressor', 49, NULL, 'Lac_bphage_repr', 6321),
(6322, 'PF18889', NULL, 'Beta helix repeat', 20, NULL, 'Beta_helix_3', 6322),
(6323, 'PF01320', NULL, 'Colicin immunity protein / pyocin immunity protein', 82, NULL, 'Colicin_Pyocin', 6323),
(6324, 'PF01788', NULL, 'PsbJ', 39, NULL, 'PsbJ', 6324),
(6325, 'PF09995', NULL, 'Uncharacterized protein conserved in bacteria (DUF2236)', 226, NULL, 'DUF2236', 6325),
(6326, 'PF03776', NULL, 'Septum formation topological specificity factor MinE', 68, NULL, 'MinE', 6326),
(6327, 'PF07012', NULL, 'Curlin associated repeat', 34, NULL, 'Curlin_rpt', 6327),
(6328, 'PF14399', NULL, 'Butirosin biosynthesis protein H, N-terminal', 134, NULL, 'BtrH_N', 6328),
(6329, 'PF14273', NULL, 'Domain of unknown function (DUF4360)', 178, NULL, 'DUF4360', 6329),
(6330, 'PF05813', NULL, 'Orthopoxvirus F7 protein', 80, NULL, 'Orthopox_F7', 6330),
(6331, 'PF14128', NULL, 'Domain of unknown function (DUF4295)', 47, NULL, 'DUF4295', 6331),
(6332, 'PF09773', NULL, 'Meckelin (Transmembrane protein 67)', 825, NULL, 'Meckelin', 6332),
(6333, 'PF00221', NULL, 'Aromatic amino acid lyase', 463, NULL, 'Lyase_aromatic', 6333),
(6334, 'PF01483', NULL, 'Proprotein convertase P-domain', 86, NULL, 'P_proprotein', 6334),
(6335, 'PF18108', NULL, 'QSOX Trx-like domain', 108, NULL, 'QSOX_Trx1', 6335),
(6336, 'PF06393', NULL, 'BH3 interacting domain (BID)', 191, NULL, 'BID', 6336),
(6337, 'PF15551', NULL, 'Domain of unknown function (DUF4656)', 361, NULL, 'DUF4656', 6337),
(6338, 'PF02146', NULL, 'Sir2 family', 179, NULL, 'SIR2', 6338),
(6339, 'PF10745', NULL, 'Protein of unknown function (DUF2530)', 77, NULL, 'DUF2530', 6339),
(6340, 'PF12320', NULL, 'Type 5 capsule protein repressor C-terminal domain', 95, NULL, 'SbcD_C', 6340),
(6341, 'PF15932', NULL, 'Domain of unknown function (DUF4748)', 52, NULL, 'DUF4748', 6341),
(6342, 'PF19165', NULL, 'Family of unknown function (DUF5847)', 407, NULL, 'DUF5847', 6342),
(6343, 'PF17362', NULL, 'Family of unknown function', 79, NULL, 'pXO2-34', 6343),
(6344, 'PF11406', NULL, 'Antimicrobial peptide tachystatin A', 44, NULL, 'Tachystatin_A', 6344),
(6345, 'PF16549', NULL, 'Type II secretion system (T2SS) pilotin, S protein', 104, NULL, 'T2SSS_2', 6345),
(6346, 'PF16832', NULL, 'Erythroid krueppel-like transcription factor, transactivation 1', 27, NULL, 'EKLF_TAD1', 6346),
(6347, 'PF18384', NULL, 'Unkempt Zinc finger domain 1 (Znf1)', 40, NULL, 'zf_CCCH_5', 6347);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6348, 'PF00712', NULL, 'DNA polymerase III beta subunit, N-terminal domain', 121, NULL, 'DNA_pol3_beta', 6348),
(6349, 'PF01491', NULL, 'Frataxin-like domain', 109, NULL, 'Frataxin_Cyay', 6349),
(6350, 'PF03409', NULL, 'Transmembrane glycoprotein', 370, NULL, 'Glycoprotein', 6350),
(6351, 'PF18458', NULL, 'Xeroderma pigmentosum group B helicase damage recognition domain', 57, NULL, 'XPB_DRD', 6351),
(6352, 'PF08842', NULL, 'Fimbrillin-A associated anchor proteins Mfa1 and Mfa2', 281, NULL, 'Mfa2', 6352),
(6353, 'PF02518', NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', 112, NULL, 'HATPase_c', 6353),
(6354, 'PF04457', NULL, 'MJ1316 RNA cyclic group end recognition domain', 75, NULL, 'MJ1316', 6354),
(6355, 'PF07370', NULL, 'Protein of unknown function (DUF1489)', 138, NULL, 'DUF1489', 6355),
(6356, 'PF17179', NULL, '4Fe-4S dicluster domain', 96, NULL, 'Fer4_22', 6356),
(6357, 'PF10570', NULL, 'Myelin-PO cytoplasmic C-term p65 binding region', 65, NULL, 'Myelin-PO_C', 6357),
(6358, 'PF07274', NULL, 'Protein of unknown function (DUF1440)', 135, NULL, 'DUF1440', 6358),
(6359, 'PF04765', NULL, 'Protein of unknown function (DUF616)', 314, NULL, 'DUF616', 6359),
(6360, 'PF05659', NULL, 'Arabidopsis broad-spectrum mildew resistance protein RPW8', 139, NULL, 'RPW8', 6360),
(6361, 'PF00791', NULL, 'ZU5 domain', 98, NULL, 'ZU5', 6361),
(6362, 'PF06814', NULL, 'Lung seven transmembrane receptor', 295, NULL, 'Lung_7-TM_R', 6362),
(6363, 'PF18706', NULL, 'D-ribitol-5-phosphate cytidylyltransferase C-terminal domain', 169, NULL, 'ISPD_C', 6363),
(6364, 'PF04662', NULL, 'Luteovirus P0 protein', 208, NULL, 'Luteo_PO', 6364),
(6365, 'PF13506', NULL, 'Glycosyl transferase family 21', 174, NULL, 'Glyco_transf_21', 6365),
(6366, 'PF00607', NULL, 'gag gene protein p24 (core nucleocapsid protein)', 195, NULL, 'Gag_p24', 6366),
(6367, 'PF02894', NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', 219, NULL, 'GFO_IDH_MocA_C', 6367),
(6368, 'PF04478', NULL, 'Mid2 like cell wall stress sensor', 150, NULL, 'Mid2', 6368),
(6369, 'PF05667', NULL, 'Protein of unknown function (DUF812)', 601, NULL, 'DUF812', 6369),
(6370, 'PF13460', NULL, 'NAD(P)H-binding', 184, NULL, 'NAD_binding_10', 6370),
(6371, 'PF04142', NULL, 'Nucleotide-sugar transporter', 315, NULL, 'Nuc_sug_transp', 6371),
(6372, 'PF14937', NULL, 'Domain of unknown function (DUF4500)', 81, NULL, 'DUF4500', 6372),
(6373, 'PF03374', NULL, 'Phage antirepressor protein KilAC domain', 108, NULL, 'ANT', 6373),
(6374, 'PF09861', NULL, 'Lactate racemase N-terminal domain', 204, NULL, 'Lar_N', 6374),
(6375, 'PF08157', NULL, 'NUC129 domain', 63, NULL, 'NUC129', 6375),
(6376, 'PF02984', NULL, 'Cyclin, C-terminal domain', 119, NULL, 'Cyclin_C', 6376),
(6377, 'PF16762', NULL, 'Ribbon-helix-helix domain', 77, NULL, 'RHH_6', 6377),
(6378, 'PF15922', NULL, 'YjeJ-like', 283, NULL, 'YjeJ', 6378),
(6379, 'PF08351', NULL, 'Domain of unknown function (DUF1726)', 93, NULL, 'DUF1726', 6379),
(6380, 'PF13287', NULL, 'Fn3 associated', 59, NULL, 'Fn3_assoc', 6380),
(6381, 'PF02761', NULL, 'CBL proto-oncogene N-terminus, EF hand-like domain', 84, NULL, 'Cbl_N2', 6381),
(6382, 'PF04877', NULL, 'HrpZ', 308, NULL, 'Harpin', 6382),
(6383, 'PF00519', NULL, 'Papillomavirus helicase', 432, NULL, 'PPV_E1_C', 6383),
(6384, 'PF07062', NULL, 'Clc-like', 212, NULL, 'Clc-like', 6384),
(6385, 'PF13351', NULL, 'Protein of unknown function (DUF4099)', 82, NULL, 'DUF4099', 6385),
(6386, 'PF12211', NULL, 'Low molecular weight S layer protein N terminal', 262, NULL, 'LMWSLP_N', 6386),
(6387, 'PF04695', NULL, 'Pex14 N-terminal domain', 46, NULL, 'Pex14_N', 6387),
(6388, 'PF07463', NULL, 'NUMOD4 motif', 50, NULL, 'NUMOD4', 6388),
(6389, 'PF13827', NULL, 'Domain of unknown function (DUF4189)', 97, NULL, 'DUF4189', 6389),
(6390, 'PF13265', NULL, 'Protein of unknown function (DUF4056)', 266, NULL, 'DUF4056', 6390),
(6391, 'PF14179', NULL, 'YppG-like protein', 105, NULL, 'YppG', 6391);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6392, 'PF08051', NULL, 'Erythromycin resistance leader peptide', 15, NULL, 'Ery_res_leader1', 6392),
(6393, 'PF07785', NULL, 'Protein of unknown function (DUF1623)', 90, NULL, 'DUF1623', 6393),
(6394, 'PF16748', NULL, 'Inscuteable LGN-binding domain', 46, NULL, 'INSC_LBD', 6394),
(6395, 'PF07678', NULL, 'A-macroglobulin TED domain', 313, NULL, 'TED_complement', 6395),
(6396, 'PF19050', NULL, 'PhoD related phosphatase', 543, NULL, 'PhoD_2', 6396),
(6397, 'PF06413', NULL, 'Neugrin', 225, NULL, 'Neugrin', 6397),
(6398, 'PF05505', NULL, 'Ebola nucleoprotein', 716, NULL, 'Ebola_NP', 6398),
(6399, 'PF06100', NULL, 'MCRA family', 495, NULL, 'MCRA', 6399),
(6400, 'PF13801', NULL, 'Heavy-metal resistance', 125, NULL, 'Metal_resist', 6400),
(6401, 'PF11261', NULL, 'Interferon regulatory factor 2-binding protein zinc finger', 52, NULL, 'IRF-2BP1_2', 6401),
(6402, 'PF01764', NULL, 'Lipase (class 3)', 142, NULL, 'Lipase_3', 6402),
(6403, 'PF07226', NULL, 'Protein of unknown function (DUF1422)', 114, NULL, 'DUF1422', 6403),
(6404, 'PF12948', NULL, 'MSP7-like protein C-terminal domain', 125, NULL, 'MSP7_C', 6404),
(6405, 'PF18707', NULL, 'Interleukin-2 receptor subunit beta N-terminal domain 1', 92, NULL, 'IL2RB_N1', 6405),
(6406, 'PF08586', NULL, 'RSC complex, Rsc14/Ldb7 subunit', 99, NULL, 'Rsc14', 6406),
(6407, 'PF11685', NULL, 'Protein of unknown function (DUF3281)', 267, NULL, 'DUF3281', 6407),
(6408, 'PF13124', NULL, 'Protein of unknown function (DUF3963)', 40, NULL, 'DUF3963', 6408),
(6409, 'PF13330', NULL, 'Mucin-2 protein WxxW repeating region', 92, NULL, 'Mucin2_WxxW', 6409),
(6410, 'PF06235', NULL, 'NADH dehydrogenase subunit 4L (NAD4L)', 86, NULL, 'NAD4L', 6410),
(6411, 'PF11332', NULL, 'Protein of unknown function (DUF3134)', 70, NULL, 'DUF3134', 6411),
(6412, 'PF12731', NULL, 'Mating-type protein beta 1', 95, NULL, 'Mating_N', 6412),
(6413, 'PF17538', NULL, 'DNA Binding Domain (C-terminal) Leafy/Floricaula', 169, NULL, 'C_LFY_FLO', 6413),
(6414, 'PF08921', NULL, 'Domain of unknown function (DUF1904)', 108, NULL, 'DUF1904', 6414),
(6415, 'PF00605', NULL, 'Interferon regulatory factor transcription factor', 105, NULL, 'IRF', 6415),
(6416, 'PF17997', NULL, 'Insecticidal delta-endotoxin CryIA(c) domain 5', 173, NULL, 'Cry1Ac_D5', 6416),
(6417, 'PF02785', NULL, 'Biotin carboxylase C-terminal domain', 108, NULL, 'Biotin_carb_C', 6417),
(6418, 'PF03135', NULL, 'CagE, TrbE, VirB family, component of type IV transporter system', 206, NULL, 'CagE_TrbE_VirB', 6418),
(6419, 'PF16976', NULL, 'Flp pilus assembly protein RcpC/CpaB', 116, NULL, 'RcpC', 6419),
(6420, 'PF11158', NULL, 'Protein of unknown function (DUF2938)', 150, NULL, 'DUF2938', 6420),
(6421, 'PF02565', NULL, 'Recombination protein O C terminal', 157, NULL, 'RecO_C', 6421),
(6422, 'PF00689', NULL, 'Cation transporting ATPase, C-terminus', 182, NULL, 'Cation_ATPase_C', 6422),
(6423, 'PF16189', NULL, 'Creatinase/Prolidase N-terminal domain', 160, NULL, 'Creatinase_N_2', 6423),
(6424, 'PF10524', NULL, 'Nuclear factor I protein pre-N-terminus', 41, NULL, 'NfI_DNAbd_pre-N', 6424),
(6425, 'PF12599', NULL, 'Protein of unknown function (DUF3768)', 83, NULL, 'DUF3768', 6425),
(6426, 'PF15654', NULL, 'Toxin with a conserved tryptophan and TIP tripeptide motif', 74, NULL, 'Tox-WTIP', 6426),
(6427, 'PF04432', NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit C terminus', 156, NULL, 'FrhB_FdhB_C', 6427),
(6428, 'PF04704', NULL, 'Zfx / Zfy transcription activation region', 327, NULL, 'Zfx_Zfy_act', 6428),
(6429, 'PF00266', NULL, 'Aminotransferase class-V', 371, NULL, 'Aminotran_5', 6429),
(6430, 'PF15587', NULL, 'Immunity protein 9', 165, NULL, 'Imm9', 6430),
(6431, 'PF18774', NULL, 'APOBEC4-like -AID/APOBEC-deaminase', 132, NULL, 'APOBEC4_like', 6431),
(6432, 'PF09837', NULL, 'Uncharacterized protein conserved in bacteria (DUF2064)', 123, NULL, 'DUF2064', 6432),
(6433, 'PF06923', NULL, 'Glucitol operon activator protein (GutM)', 107, NULL, 'GutM', 6433);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6434, 'PF12672', NULL, 'Protein of unknown function (DUF3793)', 167, NULL, 'DUF3793', 6434),
(6435, 'PF17958', NULL, 'EF-hand domain', 90, NULL, 'EF-hand_13', 6435),
(6436, 'PF07787', NULL, 'Transmembrane protein 43', 250, NULL, 'TMEM43', 6436),
(6437, 'PF18066', NULL, 'Phage ABA sandwich domain', 92, NULL, 'Phage_ABA_S', 6437),
(6438, 'PF09167', NULL, 'Domain of unknown function (DUF1942)', 125, NULL, 'DUF1942', 6438),
(6439, 'PF03185', NULL, 'Calcium-activated potassium channel, beta subunit', 195, NULL, 'CaKB', 6439),
(6440, 'PF07204', NULL, 'Orthoreovirus membrane fusion protein p10', 98, NULL, 'Orthoreo_P10', 6440),
(6441, 'PF05305', NULL, 'Protein of unknown function (DUF732)', 72, NULL, 'DUF732', 6441),
(6442, 'PF13051', NULL, 'Protein of unknown function (DUF3912)', 84, NULL, 'DUF3912', 6442),
(6443, 'PF09912', NULL, 'Uncharacterized protein conserved in bacteria (DUF2141)', 112, NULL, 'DUF2141', 6443),
(6444, 'PF03172', NULL, 'HSR domain', 99, NULL, 'HSR', 6444),
(6445, 'PF13543', NULL, 'SAM like domain present in kinase suppressor RAS 1', 129, NULL, 'SAM_KSR1', 6445),
(6446, 'PF17235', NULL, 'STD1/MTH1', 204, NULL, 'STD1', 6446),
(6447, 'PF09188', NULL, 'Domain of unknown function (DUF1951)', 128, NULL, 'DUF1951', 6447),
(6448, 'PF09819', NULL, 'ABC-type cobalt transport system, permease component', 121, NULL, 'ABC_cobalt', 6448),
(6449, 'PF16075', NULL, 'Domain of unknown function (DUF4815)', 570, NULL, 'DUF4815', 6449),
(6450, 'PF03883', NULL, 'Peroxide stress protein YaaA', 233, NULL, 'H2O2_YaaD', 6450),
(6451, 'PF04780', NULL, 'Protein of unknown function (DUF629)', 466, NULL, 'DUF629', 6451),
(6452, 'PF02779', NULL, 'Transketolase, pyrimidine binding domain', 178, NULL, 'Transket_pyr', 6452),
(6453, 'PF02019', NULL, 'WIF domain', 131, NULL, 'WIF', 6453),
(6454, 'PF17142', NULL, 'Domain of unknown function (DUF5115)', 259, NULL, 'DUF5115', 6454),
(6455, 'PF01296', NULL, 'Galanin', 29, NULL, 'Galanin', 6455),
(6456, 'PF11784', NULL, 'Protein of unknown function (DUF3320)', 50, NULL, 'DUF3320', 6456),
(6457, 'PF15184', NULL, 'Mitochondrial import receptor subunit TOM6 homolog', 74, NULL, 'TOM6p', 6457),
(6458, 'PF14011', NULL, 'EspG family', 244, NULL, 'ESX-1_EspG', 6458),
(6459, 'PF18480', NULL, 'Domain of unknown function (DUF5615)', 77, NULL, 'DUF5615', 6459),
(6460, 'PF06290', NULL, 'Plasmid SOS inhibition protein (PsiB)', 138, NULL, 'PsiB', 6460),
(6461, 'PF17352', NULL, 'Male Flower Specific protein 18', 105, NULL, 'MFS18', 6461),
(6462, 'PF05923', NULL, 'APC repeat', 24, NULL, 'APC_r', 6462),
(6463, 'PF06990', NULL, 'Galactose-3-O-sulfotransferase', 402, NULL, 'Gal-3-0_sulfotr', 6463),
(6464, 'PF13695', NULL, 'Zinc-binding domain', 100, NULL, 'zf-3CxxC', 6464),
(6465, 'PF02028', NULL, 'BCCT, betaine/carnitine/choline family transporter', 485, NULL, 'BCCT', 6465),
(6466, 'PF03284', NULL, 'Phenazine biosynthesis protein A/B', 162, NULL, 'PHZA_PHZB', 6466),
(6467, 'PF07568', NULL, 'Histidine kinase', 76, NULL, 'HisKA_2', 6467),
(6468, 'PF11759', NULL, 'Keratin-associated matrix', 65, NULL, 'KRTAP', 6468),
(6469, 'PF05851', NULL, 'Lentivirus virion infectivity factor (VIF)', 251, NULL, 'Lentivirus_VIF', 6469),
(6470, 'PF15111', NULL, 'TMEM101 protein family', 249, NULL, 'TMEM101', 6470),
(6471, 'PF17354', NULL, 'Family of unknown function (DUF5382)', 418, NULL, 'DUF5382', 6471),
(6472, 'PF12275', NULL, 'Protein of unknown function (DUF3616)', 327, NULL, 'DUF3616', 6472),
(6473, 'PF15833', NULL, 'Domain of unknown function (DUF4714)', 149, NULL, 'DUF4714', 6473),
(6474, 'PF14794', NULL, 'Domain of unknown function (DUF4479)', 71, NULL, 'DUF4479', 6474),
(6475, 'PF17877', NULL, 'DIS3-like exonuclease 2 C terminal', 87, NULL, 'Dis3l2_C_term', 6475),
(6476, 'PF00020', NULL, 'TNFR/NGFR cysteine-rich region', 39, NULL, 'TNFR_c6', 6476),
(6477, 'PF18216', NULL, 'N-formyltransferase dimerization C-terminal domain', 52, NULL, 'N_formyltrans_C', 6477),
(6478, 'PF08948', NULL, 'Domain of unknown function (DUF1859)', 126, NULL, 'DUF1859', 6478);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6479, 'PF05444', NULL, 'Protein of unknown function (DUF753)', 149, NULL, 'DUF753', 6479),
(6480, 'PF17410', NULL, 'Subtelomeric Variable Open Reading frame', 275, NULL, 'Stevor', 6480),
(6481, 'PF00610', NULL, 'Domain found in Dishevelled, Egl-10, and Pleckstrin (DEP)', 72, NULL, 'DEP', 6481),
(6482, 'PF02137', NULL, 'Adenosine-deaminase (editase) domain', 333, NULL, 'A_deamin', 6482),
(6483, 'PF16520', NULL, 'ssRNA-binding matrix protein of Bornaviridae', 103, NULL, 'BDV_M', 6483),
(6484, 'PF13212', NULL, 'Domain of unknown function (DUF4020)', 174, NULL, 'DUF4020', 6484),
(6485, 'PF01957', NULL, 'NfeD-like C-terminal, partner-binding', 88, NULL, 'NfeD', 6485),
(6486, 'PF02306', NULL, 'Major spike protein (G protein)', 175, NULL, 'Phage_G', 6486),
(6487, 'PF07983', NULL, 'X8 domain', 76, NULL, 'X8', 6487),
(6488, 'PF06362', NULL, 'Protein of unknown function (DUF1067)', 97, NULL, 'DUF1067', 6488),
(6489, 'PF18007', NULL, 'Domain of unknown function (DUF5593)', 93, NULL, 'DUF5593', 6489),
(6490, 'PF03006', NULL, 'Haemolysin-III related', 224, NULL, 'HlyIII', 6490),
(6491, 'PF11077', NULL, 'Protein of unknown function (DUF2616)', 173, NULL, 'DUF2616', 6491),
(6492, 'PF01608', NULL, 'I/LWEQ domain', 152, NULL, 'I_LWEQ', 6492),
(6493, 'PF14043', NULL, 'WVELL protein', 74, NULL, 'WVELL', 6493),
(6494, 'PF05478', NULL, 'Prominin', 799, NULL, 'Prominin', 6494),
(6495, 'PF02079', NULL, 'Nuclear transition protein 1', 51, NULL, 'TP1', 6495),
(6496, 'PF08005', NULL, 'PHR domain', 152, NULL, 'PHR', 6496),
(6497, 'PF02592', NULL, 'Putative vitamin uptake transporter', 151, NULL, 'Vut_1', 6497),
(6498, 'PF06330', NULL, 'Trichodiene synthase (TRI5)', 362, NULL, 'TRI5', 6498),
(6499, 'PF10739', NULL, 'Protein of unknown function (DUF2550)', 127, NULL, 'DUF2550', 6499),
(6500, 'PF16074', NULL, 'Type IV Pilus-assembly protein W', 126, NULL, 'PilW', 6500),
(6501, 'PF05186', NULL, 'Dpy-30 motif', 42, NULL, 'Dpy-30', 6501),
(6502, 'PF07365', NULL, 'Alpha conotoxin precursor', 50, NULL, 'Toxin_8', 6502),
(6503, 'PF01378', NULL, 'B domain', 68, NULL, 'IgG_binding_B', 6503),
(6504, 'PF02358', NULL, 'Trehalose-phosphatase', 233, NULL, 'Trehalose_PPase', 6504),
(6505, 'PF13652', NULL, 'Putative quorum-sensing-regulated virulence factor', 112, NULL, 'QSregVF', 6505),
(6506, 'PF00340', NULL, 'Interleukin-1 / 18', 119, NULL, 'IL1', 6506),
(6507, 'PF00072', NULL, 'Response regulator receiver domain', 112, NULL, 'Response_reg', 6507),
(6508, 'PF10217', NULL, 'Uncharacterized conserved protein (DUF2039)', 89, NULL, 'DUF2039', 6508),
(6509, 'PF04809', NULL, 'HupH hydrogenase expression protein, C-terminal conserved region', 118, NULL, 'HupH_C', 6509),
(6510, 'PF04536', NULL, 'TPM domain', 125, NULL, 'TPM_phosphatase', 6510),
(6511, 'PF14760', NULL, 'Rnk N-terminus', 41, NULL, 'Rnk_N', 6511),
(6512, 'PF05594', NULL, 'Haemagluttinin repeat', 77, NULL, 'Fil_haemagg', 6512),
(6513, 'PF09492', NULL, 'Pectic acid lyase', 292, NULL, 'Pec_lyase', 6513),
(6514, 'PF05880', NULL, 'Fijivirus 64 kDa capsid protein', 554, NULL, 'Fiji_64_capsid', 6514),
(6515, 'PF14440', NULL, 'Xanthomonas XOO_2897-like deaminase', 101, NULL, 'XOO_2897-deam', 6515),
(6516, 'PF18907', NULL, 'Family of unknown function (DUF5662)', 152, NULL, 'DUF5662', 6516),
(6517, 'PF09002', NULL, 'Domain of unknown function (DUF1887)', 382, NULL, 'DUF1887', 6517),
(6518, 'PF02412', NULL, 'Thrombospondin type 3 repeat', 36, NULL, 'TSP_3', 6518),
(6519, 'PF05467', NULL, 'Herpesvirus glycoprotein U47', 677, NULL, 'Herpes_U47', 6519),
(6520, 'PF00423', NULL, 'Haemagglutinin-neuraminidase', 542, NULL, 'HN', 6520),
(6521, 'PF04873', NULL, 'Ethylene insensitive 3', 253, NULL, 'EIN3', 6521),
(6522, 'PF09079', NULL, 'CDC6, C terminal winged helix domain', 84, NULL, 'Cdc6_C', 6522),
(6523, 'PF00429', NULL, 'ENV polyprotein (coat polyprotein)', 561, NULL, 'TLV_coat', 6523),
(6524, 'PF05704', NULL, 'Capsular polysaccharide synthesis protein', 278, NULL, 'Caps_synth', 6524);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6525, 'PF05651', NULL, 'Putative sugar diacid recognition', 134, NULL, 'Diacid_rec', 6525),
(6526, 'PF11280', NULL, 'Protein of unknown function (DUF3081)', 77, NULL, 'DUF3081', 6526),
(6527, 'PF10148', NULL, 'Schwannomin-interacting protein 1', 248, NULL, 'SCHIP-1', 6527),
(6528, 'PF15821', NULL, 'Domain of unknown function (DUF4709)', 110, NULL, 'DUF4709', 6528),
(6529, 'PF00246', NULL, 'Zinc carboxypeptidase', 287, NULL, 'Peptidase_M14', 6529),
(6530, 'PF03354', NULL, 'Phage Terminase', 468, NULL, 'Terminase_1', 6530),
(6531, 'PF11529', NULL, 'Melampsora lini avirulence protein AvrL567-A', 127, NULL, 'AvrL567-A', 6531),
(6532, 'PF05357', NULL, 'Phage Coat Protein A', 63, NULL, 'Phage_Coat_A', 6532),
(6533, 'PF10376', NULL, 'Double-strand recombination repair protein', 206, NULL, 'Mei5', 6533),
(6534, 'PF14796', NULL, 'Clathrin-adaptor complex-3 beta-1 subunit C-terminal', 148, NULL, 'AP3B1_C', 6534),
(6535, 'PF11889', NULL, 'Domain of unknown function (DUF3409)', 56, NULL, 'DUF3409', 6535),
(6536, 'PF12131', NULL, 'Protein of unknown function (DUF3586)', 75, NULL, 'DUF3586', 6536),
(6537, 'PF04942', NULL, 'CC domain', 34, NULL, 'CC', 6537),
(6538, 'PF04516', NULL, 'CP2 transcription factor', 230, NULL, 'CP2', 6538),
(6539, 'PF17715', NULL, 'Family of unknown function (DUF5560)', 165, NULL, 'DUF5560', 6539),
(6540, 'PF18240', NULL, 'Photosystem II Psb31 protein', 93, NULL, 'PSII_Pbs31', 6540),
(6541, 'PF06193', NULL, 'Orthopoxvirus A5L protein-like', 271, NULL, 'Orthopox_A5L', 6541),
(6542, 'PF16474', NULL, 'Kinase non-catalytic C-lobe domain', 191, NULL, 'KIND', 6542),
(6543, 'PF17977', NULL, 'RING/Ubox like zinc-binding domain', 68, NULL, 'zf-RING_13', 6543),
(6544, 'PF05188', NULL, 'MutS domain II', 137, NULL, 'MutS_II', 6544),
(6545, 'PF12325', NULL, 'TATA element modulatory factor 1 TATA binding', 115, NULL, 'TMF_TATA_bd', 6545),
(6546, 'PF08903', NULL, 'Domain of unknown function (DUF1846)', 489, NULL, 'DUF1846', 6546),
(6547, 'PF13075', NULL, 'Protein of unknown function (DUF3939)', 134, NULL, 'DUF3939', 6547),
(6548, 'PF16699', NULL, 'Cleavage stimulation factor subunit 1, dimerisation domain', 57, NULL, 'CSTF1_dimer', 6548),
(6549, 'PF08007', NULL, 'Cupin superfamily protein', 319, NULL, 'Cupin_4', 6549),
(6550, 'PF16014', NULL, 'Histone deacetylase complex subunit SAP130 C-terminus', 406, NULL, 'SAP130_C', 6550),
(6551, 'PF17806', NULL, 'Sarcosine oxidase A3 domain', 87, NULL, 'SO_alpha_A3', 6551),
(6552, 'PF00334', NULL, 'Nucleoside diphosphate kinase', 135, NULL, 'NDK', 6552),
(6553, 'PF15110', NULL, 'TMEM141 protein family', 91, NULL, 'TMEM141', 6553),
(6554, 'PF13137', NULL, 'Protein of unknown function (DUF3983)', 34, NULL, 'DUF3983', 6554),
(6555, 'PF06392', NULL, 'Acid shock protein repeat', 21, NULL, 'Asr', 6555),
(6556, 'PF09391', NULL, 'Protein of unknown function (DUF2000)', 133, NULL, 'DUF2000', 6556),
(6557, 'PF01349', NULL, 'Flavivirus non-structural protein NS4B', 244, NULL, 'Flavi_NS4B', 6557),
(6558, 'PF04152', NULL, 'Mre11 DNA-binding presumed domain', 178, NULL, 'Mre11_DNA_bind', 6558),
(6559, 'PF10747', NULL, 'Sporulation inhibitor of replication protein SirA', 140, NULL, 'SirA', 6559),
(6560, 'PF12205', NULL, 'G protein-coupled receptor kinase-interacting protein 1 C term', 116, NULL, 'GIT1_C', 6560),
(6561, 'PF14344', NULL, 'Domain of unknown function (DUF4397)', 121, NULL, 'DUF4397', 6561),
(6562, 'PF15446', NULL, 'PHD/FYVE-zinc-finger like domain', 169, NULL, 'zf-PHD-like', 6562),
(6563, 'PF09132', NULL, 'BmKX', 30, NULL, 'BmKX', 6563),
(6564, 'PF01083', NULL, 'Cutinase', 178, NULL, 'Cutinase', 6564),
(6565, 'PF10175', NULL, 'M-phase phosphoprotein 6', 135, NULL, 'MPP6', 6565),
(6566, 'PF01395', NULL, 'PBP/GOBP family', 113, NULL, 'PBP_GOBP', 6566),
(6567, 'PF03993', NULL, 'Domain of Unknown Function (DUF349)', 75, NULL, 'DUF349', 6567),
(6568, 'PF16517', NULL, 'Novel Ras effector 1 C-terminal SARAH (Sav/Rassf/Hpo) domain', 40, NULL, 'Nore1-SARAH', 6568);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6569, 'PF15148', NULL, 'Apolipoprotein F', 199, NULL, 'Apolipo_F', 6569),
(6570, 'PF00612', NULL, 'IQ calmodulin-binding motif', 21, NULL, 'IQ', 6570),
(6571, 'PF08909', NULL, 'Domain of unknown function (DUF1854)', 130, NULL, 'DUF1854', 6571),
(6572, 'PF00111', NULL, '2Fe-2S iron-sulfur cluster binding domain', 78, NULL, 'Fer2', 6572),
(6573, 'PF06030', NULL, 'Bacterial protein of unknown function (DUF916)', 121, NULL, 'DUF916', 6573),
(6574, 'PF12153', NULL, 'LPS binding domain of CAP18 (C terminal)', 28, NULL, 'CAP18_C', 6574),
(6575, 'PF03292', NULL, 'Poxvirus P4B major core protein', 657, NULL, 'Pox_P4B', 6575),
(6576, 'PF08677', NULL, 'GP11 baseplate wedge protein', 227, NULL, 'GP11', 6576),
(6577, 'PF01516', NULL, 'Orbivirus helicase VP6', 324, NULL, 'Orbi_VP6', 6577),
(6578, 'PF05584', NULL, 'Sulfolobus plasmid regulatory protein', 72, NULL, 'Sulfolobus_pRN', 6578),
(6579, 'PF19069', NULL, 'Family of unknown function (DUF5765)', 91, NULL, 'DUF5765', 6579),
(6580, 'PF07906', NULL, 'ShET2 enterotoxin, N-terminal region', 278, NULL, 'Toxin_15', 6580),
(6581, 'PF11898', NULL, 'Domain of unknown function (DUF3418)', 584, NULL, 'DUF3418', 6581),
(6582, 'PF07617', NULL, 'Protein of unknown function (DUF1579)', 155, NULL, 'DUF1579', 6582),
(6583, 'PF02210', NULL, 'Laminin G domain', 126, NULL, 'Laminin_G_2', 6583),
(6584, 'PF14954', NULL, 'Limb expression 1', 249, NULL, 'LIX1', 6584),
(6585, 'PF02420', NULL, 'Insect antifreeze protein repeat', 12, NULL, 'AFP', 6585),
(6586, 'PF05085', NULL, 'Protein of unknown function (DUF685)', 265, NULL, 'DUF685', 6586),
(6587, 'PF10665', NULL, 'Minor capsid protein', 105, NULL, 'Minor_capsid_1', 6587),
(6588, 'PF14973', NULL, 'TERF1-interacting nuclear factor 2 N-terminus', 147, NULL, 'TINF2_N', 6588),
(6589, 'PF11453', NULL, 'Protein of unknown function (DUF2950)', 273, NULL, 'DUF2950', 6589),
(6590, 'PF01514', NULL, 'Secretory protein of YscJ/FliF family', 179, NULL, 'YscJ_FliF', 6590),
(6591, 'PF16593', NULL, 'Bridge helix of CRISPR-associated endonuclease Cas9', 33, NULL, 'Cas9-BH', 6591),
(6592, 'PF18030', NULL, 'RimK PreATP-grasp domain', 94, NULL, 'Rimk_N', 6592),
(6593, 'PF14861', NULL, 'Plant antimicrobial peptide', 30, NULL, 'Antimicrobial21', 6593),
(6594, 'PF14892', NULL, 'Domain of unknown function (DUF4490)', 103, NULL, 'DUF4490', 6594),
(6595, 'PF17883', NULL, 'MBG domain', 102, NULL, 'MBG', 6595),
(6596, 'PF06083', NULL, 'Interleukin-17', 81, NULL, 'IL17', 6596),
(6597, 'PF03789', NULL, 'ELK domain', 22, NULL, 'ELK', 6597),
(6598, 'PF16089', NULL, 'Domain of unknown function (DUF4818)', 116, NULL, 'DUF4818', 6598),
(6599, 'PF10729', NULL, 'Cell division activator CedA', 77, NULL, 'CedA', 6599),
(6600, 'PF13122', NULL, 'Protein of unknown function (DUF3977)', 77, NULL, 'DUF3977', 6600),
(6601, 'PF08132', NULL, 'S-adenosyl-l-methionine decarboxylase leader peptide', 51, NULL, 'AdoMetDC_leader', 6601),
(6602, 'PF13143', NULL, 'Protein of unknown function (DUF3986)', 87, NULL, 'DUF3986', 6602),
(6603, 'PF02269', NULL, 'Transcription initiation factor IID, 18kD subunit', 93, NULL, 'TFIID-18kDa', 6603),
(6604, 'PF08081', NULL, 'RBM1CTR (NUC064) family', 45, NULL, 'RBM1CTR', 6604),
(6605, 'PF15541', NULL, 'Bacterial toxin 4', 106, NULL, 'Ntox4', 6605),
(6606, 'PF08276', NULL, 'PAN-like domain', 67, NULL, 'PAN_2', 6606),
(6607, 'PF18853', NULL, 'Large polyvalent protein associated domain 37', 245, NULL, 'LPD37', 6607),
(6608, 'PF07219', NULL, 'HemY protein N-terminus', 107, NULL, 'HemY_N', 6608),
(6609, 'PF14704', NULL, 'Dermatopontin', 151, NULL, 'DERM', 6609),
(6610, 'PF19156', NULL, 'Family of unknown function (DUF5838)', 288, NULL, 'DUF5838', 6610),
(6611, 'PF12327', NULL, 'FtsZ family, C-terminal domain', 95, NULL, 'FtsZ_C', 6611),
(6612, 'PF06416', NULL, 'Effector protein NleG', 113, NULL, 'T3SS_NleG', 6612),
(6613, 'PF08496', NULL, 'Peptidase family S49 N-terminal', 147, NULL, 'Peptidase_S49_N', 6613),
(6614, 'PF10550', NULL, 'Conantokin toxin', 17, NULL, 'Toxin_36', 6614);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6615, 'PF14037', NULL, 'YoqO-like protein', 116, NULL, 'YoqO', 6615),
(6616, 'PF09332', NULL, 'Mcm10 replication factor', 350, NULL, 'Mcm10', 6616),
(6617, 'PF05658', NULL, 'Head domain of trimeric autotransporter adhesin', 27, NULL, 'YadA_head', 6617),
(6618, 'PF17950', NULL, 'S-adenosylmethionine decarboxylase N -terminal', 96, NULL, 'SpmSyn_N', 6618),
(6619, 'PF12174', NULL, 'RCD1-SRO-TAF4 (RST) plant domain', 67, NULL, 'RST', 6619),
(6620, 'PF17907', NULL, 'AWS domain', 39, NULL, 'AWS', 6620),
(6621, 'PF17461', NULL, 'Family of unknown function (DUF5423)', 348, NULL, 'DUF5423', 6621),
(6622, 'PF13103', NULL, 'TonB C terminal', 85, NULL, 'TonB_2', 6622),
(6623, 'PF17276', NULL, 'Family of unknown function (DUF5341)', 161, NULL, 'DUF5341', 6623),
(6624, 'PF06776', NULL, 'Invasion associated locus B (IalB) protein', 134, NULL, 'IalB', 6624),
(6625, 'PF14424', NULL, 'The  BURPS668_1122 family of deaminases', 146, NULL, 'Toxin-deaminase', 6625),
(6626, 'PF03572', NULL, 'Peptidase family S41', 166, NULL, 'Peptidase_S41', 6626),
(6627, 'PF16588', NULL, 'C2H2 zinc-finger', 23, NULL, 'zf-C2H2_10', 6627),
(6628, 'PF12853', NULL, 'C-terminal of NADH-ubiquinone oxidoreductase 21 kDa subunit', 89, NULL, 'NADH_u_ox_C', 6628),
(6629, 'PF05664', NULL, 'Unc-13 homolog', 684, NULL, 'UNC_13_homolog', 6629),
(6630, 'PF16235', NULL, 'Domain of unknown function (DUF4894)', 122, NULL, 'DUF4894', 6630),
(6631, 'PF07217', NULL, 'Heterokaryon incompatibility protein Het-C', 561, NULL, 'Het-C', 6631),
(6632, 'PF08377', NULL, 'MAP2/Tau projection domain', 1134, NULL, 'MAP2_projctn', 6632),
(6633, 'PF17015', NULL, 'Domain of unknown function (DUF5094)', 178, NULL, 'DUF5094', 6633),
(6634, 'PF12070', NULL, 'Protein SCAI', 537, NULL, 'SCAI', 6634),
(6635, 'PF13274', NULL, 'Protein of unknown function (DUF4065)', 114, NULL, 'DUF4065', 6635),
(6636, 'PF01247', NULL, 'Ribosomal protein L35Ae', 95, NULL, 'Ribosomal_L35Ae', 6636),
(6637, 'PF09282', NULL, 'Mago binding', 27, NULL, 'Mago-bind', 6637),
(6638, 'PF13699', NULL, 'Domain of unknown function (DUF4157)', 79, NULL, 'DUF4157', 6638),
(6639, 'PF07044', NULL, 'Protein of unknown function (DUF1329)', 368, NULL, 'DUF1329', 6639),
(6640, 'PF01901', NULL, 'Putative O-antigen polymerase', 336, NULL, 'O_anti_polymase', 6640),
(6641, 'PF18169', NULL, 'SMODS and SLOG-associating 2TM effector domain 6', 176, NULL, 'SLATT_6', 6641),
(6642, 'PF17621', NULL, 'Family of unknown function (DUF5508)', 263, NULL, 'DUF5508', 6642),
(6643, 'PF02977', NULL, 'Carboxypeptidase A inhibitor', 46, NULL, 'CarbpepA_inh', 6643),
(6644, 'PF09290', NULL, 'Prokaryotic acetaldehyde dehydrogenase, dimerisation', 138, NULL, 'AcetDehyd-dimer', 6644),
(6645, 'PF10504', NULL, 'Protein of unknown function (DUF2452)', 156, NULL, 'DUF2452', 6645),
(6646, 'PF10160', NULL, 'Predicted membrane protein', 255, NULL, 'Tmemb_40', 6646),
(6647, 'PF13435', NULL, 'Cytochrome c554 and c-prime', 84, NULL, 'Cytochrome_C554', 6647),
(6648, 'PF13047', NULL, 'Protein of unknown function (DUF3907)', 147, NULL, 'DUF3907', 6648),
(6649, 'PF16834', NULL, 'Shu complex component Csm2, DNA-binding', 202, NULL, 'CSM2', 6649),
(6650, 'PF18357', NULL, 'Diphteria toxin repressor SH3 domain', 79, NULL, 'DtxR', 6650),
(6651, 'PF00161', NULL, 'Ribosome inactivating protein', 196, NULL, 'RIP', 6651),
(6652, 'PF09852', NULL, 'Predicted membrane protein (DUF2079)', 455, NULL, 'DUF2079', 6652),
(6653, 'PF07369', NULL, 'Protein of unknown function (DUF1488)', 82, NULL, 'DUF1488', 6653),
(6654, 'PF11676', NULL, 'Protein of unknown function (DUF3272)', 62, NULL, 'DUF3272', 6654),
(6655, 'PF18713', NULL, 'Domain of unknown function (DUF5645)', 126, NULL, 'DUF5645', 6655),
(6656, 'PF15072', NULL, 'Domain of unknown function (DUF4539)', 86, NULL, 'DUF4539', 6656),
(6657, 'PF18830', NULL, 'Large polyvalent protein-associated domain 16', 82, NULL, 'LPD16', 6657),
(6658, 'PF08226', NULL, 'Domain of unknown function (DUF1720)', 75, NULL, 'DUF1720', 6658); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6659, 'PF03245', NULL, 'Bacteriophage Rz lysis protein', 126, NULL, 'Phage_lysis', 6659),
(6660, 'PF18641', NULL, 'LidA long coiled-coil domain', 177, NULL, 'LidA_Long_CC', 6660),
(6661, 'PF10183', NULL, 'ESSS subunit of NADH:ubiquinone oxidoreductase (complex I)', 115, NULL, 'ESSS', 6661),
(6662, 'PF15920', NULL, 'N-terminal of Junction-mediating and WASP homolog-associated', 50, NULL, 'WHAMM-JMY_N', 6662),
(6663, 'PF14188', NULL, 'Domain of unknown function (DUF4311)', 212, NULL, 'DUF4311', 6663),
(6664, 'PF18647', NULL, 'Alpha-galactosyl-binding fungal lectin', 102, NULL, 'Fungal_lectin_2', 6664),
(6665, 'PF10996', NULL, 'Beta-Casp domain', 114, NULL, 'Beta-Casp', 6665),
(6666, 'PF03967', NULL, 'Photosynthetic reaction centre, H-chain N-terminal region', 132, NULL, 'PRCH', 6666),
(6667, 'PF16602', NULL, 'Linker region of USP19 deubiquitinase', 121, NULL, 'USP19_linker', 6667),
(6668, 'PF14584', NULL, 'Protein of unknown function (DUF4446)', 150, NULL, 'DUF4446', 6668),
(6669, 'PF16827', NULL, 'zinc-finger', 67, NULL, 'zf-HC3', 6669),
(6670, 'PF17824', NULL, 'Family of unknown function (DUF5586)', 406, NULL, 'DUF5586', 6670),
(6671, 'PF08387', NULL, 'FBD', 46, NULL, 'FBD', 6671),
(6672, 'PF02484', NULL, 'Rhabdovirus Non-virion protein', 111, NULL, 'Rhabdo_NV', 6672),
(6673, 'PF06681', NULL, 'Protein of unknown function (DUF1182)', 208, NULL, 'DUF1182', 6673),
(6674, 'PF18797', NULL, 'Adenomatous polyposis coli (APC) repeat', 76, NULL, 'APC_rep', 6674),
(6675, 'PF12850', NULL, 'Calcineurin-like phosphoesterase superfamily domain', 162, NULL, 'Metallophos_2', 6675),
(6676, 'PF05322', NULL, 'NINE Protein', 58, NULL, 'NinE', 6676),
(6677, 'PF01813', NULL, 'ATP synthase subunit D', 196, NULL, 'ATP-synt_D', 6677),
(6678, 'PF02691', NULL, 'Vacuolating cyotoxin', 981, NULL, 'VacA', 6678),
(6679, 'PF17699', NULL, 'Family of unknown function (DUF5545)', 212, NULL, 'DUF5545', 6679),
(6680, 'PF17407', NULL, 'Nrap protein domain 6', 133, NULL, 'Nrap_D6', 6680),
(6681, 'PF04234', NULL, 'CopC domain', 92, NULL, 'CopC', 6681),
(6682, 'PF07653', NULL, 'Variant SH3 domain', 57, NULL, 'SH3_2', 6682),
(6683, 'PF17607', NULL, 'Family of unknown function (DUF5503)', 116, NULL, 'DUF5503', 6683),
(6684, 'PF01500', NULL, 'Keratin, high sulfur B2 protein', 164, NULL, 'Keratin_B2', 6684),
(6685, 'PF13855', NULL, 'Leucine rich repeat', 61, NULL, 'LRR_8', 6685),
(6686, 'PF16292', NULL, 'Domain of unknown function (DUF4938)', 302, NULL, 'DUF4938', 6686),
(6687, 'PF14691', NULL, 'Dihydroprymidine dehydrogenase domain II, 4Fe-4S cluster', 112, NULL, 'Fer4_20', 6687),
(6688, 'PF03910', NULL, 'Adenovirus minor core protein PV', 355, NULL, 'Adeno_PV', 6688),
(6689, 'PF00136', NULL, 'DNA polymerase family B', 459, NULL, 'DNA_pol_B', 6689),
(6690, 'PF12718', NULL, 'Tropomyosin like', 143, NULL, 'Tropomyosin_1', 6690),
(6691, 'PF15673', NULL, 'Circadian-associated transcriptional repressor', 278, NULL, 'Ciart', 6691),
(6692, 'PF05874', NULL, 'Pheromone biosynthesis activating neuropeptide (PBAN)', 184, NULL, 'PBAN', 6692),
(6693, 'PF15798', NULL, 'Proline-rich AKT1 substrate 1', 123, NULL, 'PRAS', 6693),
(6694, 'PF05010', NULL, 'Transforming acidic coiled-coil-containing protein (TACC), C-terminal', 201, NULL, 'TACC_C', 6694),
(6695, 'PF18891', NULL, 'FANCL UBC-like domain 3', 97, NULL, 'FANCL_d3', 6695),
(6696, 'PF01440', NULL, 'Geminivirus AL2 protein', 128, NULL, 'Gemini_AL2', 6696),
(6697, 'PF14797', NULL, 'Serine-rich region of AP3B1, clathrin-adaptor complex', 126, NULL, 'SEEEED', 6697),
(6698, 'PF16914', NULL, 'Bacterial transcriptional repressor C-terminal', 105, NULL, 'TetR_C_12', 6698),
(6699, 'PF12577', NULL, 'PPAR gamma N-terminal region', 79, NULL, 'PPARgamma_N', 6699),
(6700, 'PF05413', NULL, 'Putative closterovirus papain-like endopeptidase', 92, NULL, 'Peptidase_C34', 6700),
(6701, 'PF14029', NULL, 'Protein of unknown function (DUF4244)', 54, NULL, 'DUF4244', 6701),
(6702, 'PF00716', NULL, 'Assemblin (Peptidase family S21)', 337, NULL, 'Peptidase_S21', 6702);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6703, 'PF15566', NULL, 'Immunity protein 32', 54, NULL, 'Imm32', 6703),
(6704, 'PF02265', NULL, 'S1/P1 Nuclease', 255, NULL, 'S1-P1_nuclease', 6704),
(6705, 'PF17984', NULL, 'Telomerase reverse transcriptase thumb DNA binding domain', 191, NULL, 'TERT_thumb', 6705),
(6706, 'PF10078', NULL, 'Uncharacterized protein conserved in bacteria (DUF2316)', 89, NULL, 'DUF2316', 6706),
(6707, 'PF02422', NULL, 'Keratin', 96, NULL, 'Keratin', 6707),
(6708, 'PF06233', NULL, 'Usg-like family', 80, NULL, 'Usg', 6708),
(6709, 'PF02211', NULL, 'Nitrile hydratase beta subunit', 218, NULL, 'NHase_beta', 6709),
(6710, 'PF00474', NULL, 'Sodium:solute symporter family', 406, NULL, 'SSF', 6710),
(6711, 'PF12397', NULL, 'U3 small nucleolar RNA-associated protein 10', 116, NULL, 'U3snoRNP10', 6711),
(6712, 'PF05732', NULL, 'Firmicute plasmid replication protein (RepL)', 165, NULL, 'RepL', 6712),
(6713, 'PF15703', NULL, 'Linker for activation of T-cells family member 2', 177, NULL, 'LAT2', 6713),
(6714, 'PF01435', NULL, 'Peptidase family M48', 184, NULL, 'Peptidase_M48', 6714),
(6715, 'PF05756', NULL, 'S-antigen protein', 92, NULL, 'S-antigen', 6715),
(6716, 'PF02329', NULL, 'Histidine carboxylase PI chain', 295, NULL, 'HDC', 6716),
(6717, 'PF15493', NULL, 'Domain of unknown function, YrpD', 216, NULL, 'YrpD', 6717),
(6718, 'PF14537', NULL, 'Cytochrome c3', 81, NULL, 'Cytochrom_c3_2', 6718),
(6719, 'PF01576', NULL, 'Myosin tail', 1081, NULL, 'Myosin_tail_1', 6719),
(6720, 'PF10598', NULL, 'RNA recognition motif of the spliceosomal PrP8', 92, NULL, 'RRM_4', 6720),
(6721, 'PF16002', NULL, 'Headcase protein', 198, NULL, 'Headcase', 6721),
(6722, 'PF04798', NULL, 'Baculovirus 19 kDa protein conserved region', 143, NULL, 'Baculo_19', 6722),
(6723, 'PF16440', NULL, 'Domain of unknown function (DUF5037)', 242, NULL, 'DUF5037', 6723),
(6724, 'PF18416', NULL, 'N-acetylglucosamine binding protein domain 2', 101, NULL, 'GbpA_2', 6724),
(6725, 'PF18746', NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 3', 281, NULL, 'aGPT-Pplase3', 6725),
(6726, 'PF00324', NULL, 'Amino acid permease', 479, NULL, 'AA_permease', 6726),
(6727, 'PF13353', NULL, '4Fe-4S single cluster domain', 137, NULL, 'Fer4_12', 6727),
(6728, 'PF09239', NULL, 'Topoisomerase VI B subunit, transducer', 159, NULL, 'Topo-VIb_trans', 6728),
(6729, 'PF16268', NULL, 'Domain of unknown function (DUF4921)', 425, NULL, 'DUF4921', 6729),
(6730, 'PF01861', NULL, 'Branched-chain polyamine synthase A C-terminal domain', 243, NULL, 'DUF43', 6730),
(6731, 'PF02607', NULL, 'B12 binding domain', 75, NULL, 'B12-binding_2', 6731),
(6732, 'PF18642', NULL, 'Immunomodulating metalloprotease helical domain', 108, NULL, 'IMPa_helical', 6732),
(6733, 'PF02421', NULL, 'Ferrous iron transport protein B', 156, NULL, 'FeoB_N', 6733),
(6734, 'PF06764', NULL, 'Protein of unknown function (DUF1223)', 202, NULL, 'DUF1223', 6734),
(6735, 'PF12233', NULL, 'Human adult T cell leukemia/lymphoma virus protein', 99, NULL, 'p12I', 6735),
(6736, 'PF08664', NULL, 'YcbB domain', 136, NULL, 'YcbB', 6736),
(6737, 'PF08723', NULL, 'Gag protein p15', 123, NULL, 'Gag_p15', 6737),
(6738, 'PF14661', NULL, 'HAUS augmin-like complex subunit 6 N-terminus', 229, NULL, 'HAUS6_N', 6738),
(6739, 'PF11520', NULL, 'Chromatin protein Cren7', 58, NULL, 'Cren7', 6739),
(6740, 'PF16530', NULL, 'Infectious hypodermal and haematopoietic necrosis virus, capsid', 323, NULL, 'IHHNV_capsid', 6740),
(6741, 'PF07244', NULL, 'Surface antigen variable number repeat', 79, NULL, 'POTRA', 6741),
(6742, 'PF13510', NULL, '2Fe-2S iron-sulfur cluster binding domain', 82, NULL, 'Fer2_4', 6742),
(6743, 'PF10147', NULL, 'Growth arrest and DNA-damage-inducible proteins-interacting protein 1', 204, NULL, 'CR6_interact', 6743),
(6744, 'PF11125', NULL, 'Protein of unknown function (DUF2830)', 54, NULL, 'DUF2830', 6744),
(6745, 'PF12619', NULL, 'Mini-chromosome maintenance protein 2', 153, NULL, 'MCM2_N', 6745),
(6746, 'PF16881', NULL, 'N-terminal domain of lipoyl synthase of Radical_SAM family', 108, NULL, 'LIAS_N', 6746);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6747, 'PF12778', NULL, 'PXPV repeat (3 copies)', 22, NULL, 'PXPV', 6747),
(6748, 'PF03315', NULL, 'Serine dehydratase beta chain', 155, NULL, 'SDH_beta', 6748),
(6749, 'PF03206', NULL, 'Nitrogen fixation protein NifW', 99, NULL, 'NifW', 6749),
(6750, 'PF09511', NULL, 'RNA ligase', 220, NULL, 'RNA_lig_T4_1', 6750),
(6751, 'PF14500', NULL, 'Dos2-interacting transcription regulator of RNA-Pol-II', 261, NULL, 'MMS19_N', 6751),
(6752, 'PF00763', NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, catalytic domain', 116, NULL, 'THF_DHG_CYH', 6752),
(6753, 'PF17492', NULL, 'Delta Ctenitoxins', 48, NULL, 'D_CNTX', 6753),
(6754, 'PF14739', NULL, 'Domain of unknown function (DUF4472)', 107, NULL, 'DUF4472', 6754),
(6755, 'PF17421', NULL, 'Family of unknown function (DUF5409)', 88, NULL, 'DUF5409', 6755),
(6756, 'PF10455', NULL, 'Bin/amphiphysin/Rvs domain for vesicular trafficking', 289, NULL, 'BAR_2', 6756),
(6757, 'PF15251', NULL, 'Domain of unknown function (DUF4588)', 251, NULL, 'DUF4588', 6757),
(6758, 'PF14360', NULL, 'PAP2 superfamily C-terminal', 74, NULL, 'PAP2_C', 6758),
(6759, 'PF17873', NULL, 'Replicase polyprotein 1ab', 53, NULL, 'Rep_1B', 6759),
(6760, 'PF11710', NULL, 'G protein-coupled glucose receptor regulating Gpa2', 202, NULL, 'Git3', 6760),
(6761, 'PF08494', NULL, 'DEAD/H associated', 191, NULL, 'DEAD_assoc', 6761),
(6762, 'PF17917', NULL, 'RNase H-like domain found in reverse transcriptase', 105, NULL, 'RT_RNaseH', 6762),
(6763, 'PF08154', NULL, 'NLE (NUC135) domain', 68, NULL, 'NLE', 6763),
(6764, 'PF16439', NULL, 'Domain of unknown function (DUF5036)', 225, NULL, 'DUF5036', 6764),
(6765, 'PF01759', NULL, 'UNC-6/NTR/C345C module', 107, NULL, 'NTR', 6765),
(6766, 'PF15938', NULL, 'Domain of unknown function (DUF4750)', 54, NULL, 'DUF4750', 6766),
(6767, 'PF06646', NULL, 'High affinity transport system protein p37', 331, NULL, 'Mycoplasma_p37', 6767),
(6768, 'PF15985', NULL, 'KH domain', 49, NULL, 'KH_6', 6768),
(6769, 'PF11797', NULL, 'Protein of unknown function C-terminal (DUF3324)', 138, NULL, 'DUF3324', 6769),
(6770, 'PF10525', NULL, 'Engrailed homeobox C-terminal signature domain', 31, NULL, 'Engrail_1_C_sig', 6770),
(6771, 'PF04994', NULL, 'TfoX C-terminal domain', 81, NULL, 'TfoX_C', 6771),
(6772, 'PF19221', NULL, 'MELT motif', 26, NULL, 'MELT', 6772),
(6773, 'PF15132', NULL, 'Domain of unknown function (DUF4568)', 206, NULL, 'DUF4568', 6773),
(6774, 'PF09471', NULL, 'IgA Peptidase M64', 260, NULL, 'Peptidase_M64', 6774),
(6775, 'PF09308', NULL, 'LuxQ, periplasmic', 238, NULL, 'LuxQ-periplasm', 6775),
(6776, 'PF01636', NULL, 'Phosphotransferase enzyme family', 240, NULL, 'APH', 6776),
(6777, 'PF15961', NULL, 'Domain of unknown function (DUF4764)', 798, NULL, 'DUF4764', 6777),
(6778, 'PF00440', NULL, 'Bacterial regulatory proteins, tetR family', 47, NULL, 'TetR_N', 6778),
(6779, 'PF15621', NULL, 'Proline-rich submaxillary gland androgen-regulated family', 115, NULL, 'PROL5-SMR', 6779),
(6780, 'PF05848', NULL, 'CtsR N-terminal HTH domain', 72, NULL, 'CtsR', 6780),
(6781, 'PF04708', NULL, 'Poxvirus F16 protein', 215, NULL, 'Pox_F16', 6781),
(6782, 'PF10794', NULL, 'Protein of unknown function (DUF2606)', 130, NULL, 'DUF2606', 6782),
(6783, 'PF03976', NULL, 'Polyphosphate kinase 2 (PPK2)', 229, NULL, 'PPK2', 6783),
(6784, 'PF00909', NULL, 'Ammonium Transporter Family', 399, NULL, 'Ammonium_transp', 6784),
(6785, 'PF04505', NULL, 'Interferon-induced transmembrane protein', 68, NULL, 'CD225', 6785),
(6786, 'PF11542', NULL, 'Mitochondrial division protein 1', 49, NULL, 'Mdv1', 6786),
(6787, 'PF00209', NULL, 'Sodium:neurotransmitter symporter family', 523, NULL, 'SNF', 6787),
(6788, 'PF05125', NULL, 'Phage major capsid protein, P2 family', 327, NULL, 'Phage_cap_P2', 6788),
(6789, 'PF01876', NULL, 'RNase P subunit p30', 215, NULL, 'RNase_P_p30', 6789),
(6790, 'PF18009', NULL, '4Fe-4S iron-sulfur cluster binding domain', 82, NULL, 'Fer4_23', 6790),
(6791, 'PF16920', NULL, 'Tyrosine-protein kinase receptor C2 Ig-like domain', 45, NULL, 'TPKR_C2', 6791);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6792, 'PF18863', NULL, 'AbiJ N-terminal domain 4', 163, NULL, 'AbiJ_NTD4', 6792),
(6793, 'PF06145', NULL, 'Coronavirus nonstructural protein NS1', 29, NULL, 'Corona_NS1', 6793),
(6794, 'PF05955', NULL, 'Equine herpesvirus glycoprotein gp2', 226, NULL, 'Herpes_gp2', 6794),
(6795, 'PF18657', NULL, 'YDG domain', 85, NULL, 'YDG', 6795),
(6796, 'PF05543', NULL, 'Staphopain peptidase C47', 174, NULL, 'Peptidase_C47', 6796),
(6797, 'PF15877', NULL, 'Transmembrane protein family 232', 452, NULL, 'TMEM232', 6797),
(6798, 'PF18650', NULL, 'Immunomodulating metalloprotease N-terminal domain', 200, NULL, 'IMPa_N_2', 6798),
(6799, 'PF12922', NULL, 'non-SMC mitotic condensation complex subunit 1, N-term', 166, NULL, 'Cnd1_N', 6799),
(6800, 'PF00480', NULL, 'ROK family', 294, NULL, 'ROK', 6800),
(6801, 'PF10093', NULL, 'Elongation-Factor P (EF-P) rhamnosyltransferase EarP', 373, NULL, 'EarP', 6801),
(6802, 'PF08633', NULL, 'Rox3 mediator complex subunit', 205, NULL, 'Rox3', 6802),
(6803, 'PF18694', NULL, 'Transactive response DNA-binding protein N-terminal domain', 74, NULL, 'TDP43_N', 6803),
(6804, 'PF11530', NULL, 'Minor type IV pilin, PilX', 127, NULL, 'Pilin_PilX', 6804),
(6805, 'PF08902', NULL, 'Domain of unknown function (DUF1848)', 266, NULL, 'DUF1848', 6805),
(6806, 'PF16168', NULL, 'Adhesin of bacterial autotransporter system, probable stalk', 63, NULL, 'AIDA', 6806),
(6807, 'PF03170', NULL, 'Bacterial cellulose synthase subunit', 601, NULL, 'BcsB', 6807),
(6808, 'PF14978', NULL, 'Mitochondrial ribosome protein 63', 92, NULL, 'MRP-63', 6808),
(6809, 'PF18305', NULL, '3'' to 5'' exonuclease C-terminal domain', 87, NULL, 'DNA_pol_A_exoN', 6809),
(6810, 'PF11028', NULL, 'Protein of unknown function (DUF2723)', 169, NULL, 'DUF2723', 6810),
(6811, 'PF19038', NULL, 'Third Longin domain of FUZ, MON1 and HPS1', 106, NULL, 'Fuz_longin_3', 6811),
(6812, 'PF05644', NULL, 'Mitochondrial and peroxisomal fission factor Mff', 293, NULL, 'Miff', 6812),
(6813, 'PF00427', NULL, 'Phycobilisome Linker polypeptide', 126, NULL, 'PBS_linker_poly', 6813),
(6814, 'PF02395', NULL, 'Immunoglobulin A1 protease', 833, NULL, 'Peptidase_S6', 6814),
(6815, 'PF06957', NULL, 'Coatomer (COPI) alpha subunit C-terminus', 406, NULL, 'COPI_C', 6815),
(6816, 'PF08546', NULL, 'Ketopantoate reductase PanE/ApbA C terminal', 125, NULL, 'ApbA_C', 6816),
(6817, 'PF10009', NULL, 'Uncharacterized protein conserved in bacteria (DUF2252)', 387, NULL, 'DUF2252', 6817),
(6818, 'PF12785', NULL, 'Variant erythrocyte surface antigen-1', 456, NULL, 'VESA1_N', 6818),
(6819, 'PF07696', NULL, '7TMR-DISM extracellular 2', 134, NULL, '7TMR-DISMED2', 6819),
(6820, 'PF15225', NULL, 'Interleukin 32', 101, NULL, 'IL32', 6820),
(6821, 'PF01989', NULL, 'Aconitase X swivel domain', 80, NULL, 'DUF126', 6821),
(6822, 'PF15783', NULL, 'Fibrous sheath-interacting protein 2', 875, NULL, 'FSIP2', 6822),
(6823, 'PF09015', NULL, 'NgoMIV restriction enzyme', 275, NULL, 'NgoMIV_restric', 6823),
(6824, 'PF02517', NULL, 'CPBP intramembrane metalloprotease', 92, NULL, 'CPBP', 6824),
(6825, 'PF16132', NULL, 'Domain of unknown function (DUF4843)', 166, NULL, 'DUF4843', 6825),
(6826, 'PF07849', NULL, 'Protein of unknown function (DUF1641)', 39, NULL, 'DUF1641', 6826),
(6827, 'PF11235', NULL, 'Mediator complex subunit 25 synapsin 1', 157, NULL, 'Med25_SD1', 6827),
(6828, 'PF14527', NULL, 'WhiA LAGLIDADG-like domain', 93, NULL, 'LAGLIDADG_WhiA', 6828),
(6829, 'PF06977', NULL, 'SdiA-regulated', 249, NULL, 'SdiA-regulated', 6829),
(6830, 'PF12767', NULL, 'Transcriptional regulator of RNA polII, SAGA, subunit', 235, NULL, 'SAGA-Tad1', 6830),
(6831, 'PF02799', NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, C-terminal domain', 210, NULL, 'NMT_C', 6831),
(6832, 'PF17670', NULL, 'Family of unknown function (DUF5530)', 141, NULL, 'DUF5530', 6832),
(6833, 'PF10616', NULL, 'Protein of unknown function (DUF2471)', 117, NULL, 'DUF2471', 6833),
(6834, 'PF08289', NULL, 'Influenza Matrix protein (M1) C-terminal domain', 95, NULL, 'Flu_M1_C', 6834);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6835, 'PF00150', NULL, 'Cellulase (glycosyl hydrolase family 5)', 281, NULL, 'Cellulase', 6835),
(6836, 'PF12996', NULL, 'DUF based on E. rectale Gene description (DUF3880)', 78, NULL, 'DUF3880', 6836),
(6837, 'PF15438', NULL, 'Antigenic membrane protein of phytoplasma', 195, NULL, 'Phyto-Amp', 6837),
(6838, 'PF17506', NULL, 'Family of unknown function (DUF5438)', 71, NULL, 'DUF5438', 6838),
(6839, 'PF16683', NULL, 'Transglutaminase elicitor', 361, NULL, 'TGase_elicitor', 6839),
(6840, 'PF10837', NULL, 'Protein of unknown function (DUF2575)', 71, NULL, 'DUF2575', 6840),
(6841, 'PF14689', NULL, 'Sensor_kinase_SpoOB-type, alpha-helical domain', 62, NULL, 'SPOB_a', 6841),
(6842, 'PF02973', NULL, 'Sialidase, N-terminal domain', 189, NULL, 'Sialidase', 6842),
(6843, 'PF02303', NULL, 'Helix-destabilising protein', 83, NULL, 'Phage_DNA_bind', 6843),
(6844, 'PF05649', NULL, 'Peptidase family M13', 382, NULL, 'Peptidase_M13_N', 6844),
(6845, 'PF00329', NULL, 'Respiratory-chain NADH dehydrogenase, 30 Kd subunit', 121, NULL, 'Complex1_30kDa', 6845),
(6846, 'PF13127', NULL, 'Protein of unknown function (DUF3955)', 59, NULL, 'DUF3955', 6846),
(6847, 'PF12791', NULL, 'Anti-sigma factor N-terminus', 53, NULL, 'RsgI_N', 6847),
(6848, 'PF11176', NULL, 'Translation machinery-associated protein 16', 146, NULL, 'Tma16', 6848),
(6849, 'PF17722', NULL, 'Family of unknown function (DUF5567)', 234, NULL, 'DUF5567', 6849),
(6850, 'PF03321', NULL, 'GH3 auxin-responsive promoter', 527, NULL, 'GH3', 6850),
(6851, 'PF07030', NULL, 'Protein of unknown function (DUF1320)', 124, NULL, 'DUF1320', 6851),
(6852, 'PF09931', NULL, 'Uncharacterized conserved protein (DUF2163)', 163, NULL, 'DUF2163', 6852),
(6853, 'PF09278', NULL, 'MerR, DNA binding', 65, NULL, 'MerR-DNA-bind', 6853),
(6854, 'PF08589', NULL, 'Fungal protein of unknown function (DUF1770)', 99, NULL, 'DUF1770', 6854),
(6855, 'PF07984', NULL, 'Nucleotidyltransferase', 321, NULL, 'NTP_transf_7', 6855),
(6856, 'PF13360', NULL, 'PQQ-like domain', 237, NULL, 'PQQ_2', 6856),
(6857, 'PF15568', NULL, 'Immunity protein 39', 129, NULL, 'Imm39', 6857),
(6858, 'PF11409', NULL, 'Smad anchor for receptor activation (SARA)', 37, NULL, 'SARA', 6858),
(6859, 'PF03711', NULL, 'Orn/Lys/Arg decarboxylase, C-terminal domain', 132, NULL, 'OKR_DC_1_C', 6859),
(6860, 'PF01423', NULL, 'LSM domain', 67, NULL, 'LSM', 6860),
(6861, 'PF13627', NULL, 'Prokaryotic lipoprotein-attachment site', 23, NULL, 'LPAM_2', 6861),
(6862, 'PF09270', NULL, 'Beta-trefoil DNA-binding domain', 123, NULL, 'BTD', 6862),
(6863, 'PF05359', NULL, 'Domain of Unknown Function (DUF748)', 152, NULL, 'DUF748', 6863),
(6864, 'PF18874', NULL, 'QPE domain', 45, NULL, 'QPE', 6864),
(6865, 'PF12394', NULL, 'Protein FAM135', 68, NULL, 'DUF3657', 6865),
(6866, 'PF11503', NULL, 'Protein of unknown function (DUF3215)', 72, NULL, 'DUF3215', 6866),
(6867, 'PF15235', NULL, 'G protein-regulated inducer of neurite outgrowth C-terminus', 131, NULL, 'GRIN_C', 6867),
(6868, 'PF18690', NULL, 'Family of unknown function (DUF5639)', 82, NULL, 'DUF5639', 6868),
(6869, 'PF19105', NULL, 'Family of unknown function (DUF5792)', 154, NULL, 'DUF5792', 6869),
(6870, 'PF11331', NULL, 'Probable zinc-ribbon domain', 45, NULL, 'zinc_ribbon_12', 6870),
(6871, 'PF16465', NULL, 'Domain of unknown function (DUF5046)', 265, NULL, 'DUF5046', 6871),
(6872, 'PF13858', NULL, 'Protein of unknown function (DUF4199)', 168, NULL, 'DUF4199', 6872),
(6873, 'PF12356', NULL, 'Baculoviral IAP repeat-containing protein 6', 176, NULL, 'BIRC6', 6873),
(6874, 'PF15894', NULL, 'Inhibitor of glucose uptake transporter SgrT', 53, NULL, 'SgrT', 6874),
(6875, 'PF16203', NULL, 'ERCC3/RAD25/XPB C-terminal helicase', 247, NULL, 'ERCC3_RAD25_C', 6875),
(6876, 'PF06625', NULL, 'Protein of unknown function (DUF1151)', 114, NULL, 'DUF1151', 6876),
(6877, 'PF13158', NULL, 'Protein of unknown function (DUF3993)', 118, NULL, 'DUF3993', 6877),
(6878, 'PF13066', NULL, 'Protein of unknown function (DUF3929)', 64, NULL, 'DUF3929', 6878);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6879, 'PF17274', NULL, 'Family of unknown function (DUF5339)', 70, NULL, 'DUF5339', 6879),
(6880, 'PF18962', NULL, 'Secretion system C-terminal sorting domain', 75, NULL, 'Por_Secre_tail', 6880),
(6881, 'PF16039', NULL, 'Domain of unknown function (DUF4791)', 164, NULL, 'DUF4791', 6881),
(6882, 'PF07687', NULL, 'Peptidase dimerisation domain', 109, NULL, 'M20_dimer', 6882),
(6883, 'PF12561', NULL, 'ToxR activated gene A lipoprotein domain', 99, NULL, 'TagA', 6883),
(6884, 'PF19004', NULL, 'Family of unknown function (DUF5733)', 115, NULL, 'DUF5733', 6884),
(6885, 'PF11121', NULL, 'Protein of unknown function (DUF2639)', 38, NULL, 'DUF2639', 6885),
(6886, 'PF18900', NULL, 'Protein of unknown function (DUF5656)', 242, NULL, 'DUF5656', 6886),
(6887, 'PF17091', NULL, 'Inovirus G7P protein', 38, NULL, 'Tail_VII', 6887),
(6888, 'PF07536', NULL, 'HWE histidine kinase', 83, NULL, 'HWE_HK', 6888),
(6889, 'PF06472', NULL, 'ABC transporter transmembrane region 2', 269, NULL, 'ABC_membrane_2', 6889),
(6890, 'PF07794', NULL, 'Protein of unknown function (DUF1633)', 790, NULL, 'DUF1633', 6890),
(6891, 'PF11045', NULL, 'Putative inner membrane protein of Enterobacteriaceae', 117, NULL, 'YbjM', 6891),
(6892, 'PF13002', NULL, 'Arrestin_N terminal like', 193, NULL, 'LDB19', 6892),
(6893, 'PF17385', NULL, 'Lacto-N-biose phosphorylase central domain', 221, NULL, 'LBP_M', 6893),
(6894, 'PF05524', NULL, 'PEP-utilising enzyme, N-terminal', 116, NULL, 'PEP-utilisers_N', 6894),
(6895, 'PF04092', NULL, 'SRS domain', 127, NULL, 'SAG', 6895),
(6896, 'PF02405', NULL, 'Permease MlaE', 212, NULL, 'MlaE', 6896),
(6897, 'PF05054', NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV) protein', 390, NULL, 'AcMNPV_Ac109', 6897),
(6898, 'PF15676', NULL, 'Six6 opposite strand transcript 1 family', 557, NULL, 'S6OS1', 6898),
(6899, 'PF11454', NULL, 'Protein of unknown function (DUF3016)', 139, NULL, 'DUF3016', 6899),
(6900, 'PF17296', NULL, 'Arenavirus cap snatching domain', 172, NULL, 'ArenaCapSnatch', 6900),
(6901, 'PF10208', NULL, 'Degradation arginine-rich protein for mis-folding', 145, NULL, 'Armet', 6901),
(6902, 'PF10548', NULL, 'P22AR C-terminal domain', 73, NULL, 'P22_AR_C', 6902),
(6903, 'PF11566', NULL, 'PI31 proteasome regulator N-terminal', 163, NULL, 'PI31_Prot_N', 6903),
(6904, 'PF05210', NULL, 'Sprouty protein (Spry)', 111, NULL, 'Sprouty', 6904),
(6905, 'PF13920', NULL, 'Zinc finger, C3HC4 type (RING finger)', 50, NULL, 'zf-C3HC4_3', 6905),
(6906, 'PF07745', NULL, 'Glycosyl hydrolase family 53', 340, NULL, 'Glyco_hydro_53', 6906),
(6907, 'PF08384', NULL, 'Pro-opiomelanocortin, N-terminal region', 44, NULL, 'NPP', 6907),
(6908, 'PF06899', NULL, 'WzyE protein, O-antigen assembly polymerase', 446, NULL, 'WzyE', 6908),
(6909, 'PF12371', NULL, 'Transmembrane protein 131-like', 84, NULL, 'TMEM131_like', 6909),
(6910, 'PF10828', NULL, 'Protein of unknown function (DUF2570)', 108, NULL, 'DUF2570', 6910),
(6911, 'PF00325', NULL, 'Bacterial regulatory proteins, crp family', 32, NULL, 'Crp', 6911),
(6912, 'PF13333', NULL, 'Integrase core domain', 52, NULL, 'rve_2', 6912),
(6913, 'PF07846', NULL, 'Metallothionein family', 20, NULL, 'Metallothio_Cad', 6913),
(6914, 'PF01289', NULL, 'Thiol-activated cytolysin', 354, NULL, 'Thiol_cytolysin', 6914),
(6915, 'PF16455', NULL, 'Ubiquitin-binding domain', 104, NULL, 'UBD', 6915),
(6916, 'PF02873', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase, C-terminal domain', 120, NULL, 'MurB_C', 6916),
(6917, 'PF13551', NULL, 'Winged helix-turn helix', 63, NULL, 'HTH_29', 6917),
(6918, 'PF15683', NULL, 'Testis development-related protein', 147, NULL, 'TDRP', 6918),
(6919, 'PF14470', NULL, 'Bacterial PH domain', 95, NULL, 'bPH_3', 6919),
(6920, 'PF08627', NULL, 'CRT-like, chloroquine-resistance transporter-like', 336, NULL, 'CRT-like', 6920),
(6921, 'PF12620', NULL, 'Protein of unknown function (DUF3778)', 64, NULL, 'DUF3778', 6921),
(6922, 'PF11190', NULL, 'Protein of unknown function (DUF2976)', 88, NULL, 'DUF2976', 6922);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6923, 'PF09654', NULL, 'Protein of unknown function (DUF2396)', 159, NULL, 'DUF2396', 6923),
(6924, 'PF17938', NULL, 'Tetracyclin repressor-like, C-terminal domain', 119, NULL, 'TetR_C_29', 6924),
(6925, 'PF04820', NULL, 'Tryptophan halogenase', 454, NULL, 'Trp_halogenase', 6925),
(6926, 'PF15888', NULL, 'Folded gastrulation N-terminus', 112, NULL, 'FOG_N', 6926),
(6927, 'PF16727', NULL, 'DNA repair protein REV1 C-terminal domain', 92, NULL, 'REV1_C', 6927),
(6928, 'PF13331', NULL, 'Domain of unknown function (DUF4093)', 83, NULL, 'DUF4093', 6928),
(6929, 'PF02847', NULL, 'MA3 domain', 113, NULL, 'MA3', 6929),
(6930, 'PF05830', NULL, 'Nodulation protein Z (NodZ)', 320, NULL, 'NodZ', 6930),
(6931, 'PF05531', NULL, 'Nucleopolyhedrovirus P10 protein', 75, NULL, 'NPV_P10', 6931),
(6932, 'PF14335', NULL, 'Domain of unknown function (DUF4391)', 242, NULL, 'DUF4391', 6932),
(6933, 'PF18467', NULL, 'Domain of unknown function (DUF5613)', 97, NULL, 'DUF5613', 6933),
(6934, 'PF10562', NULL, 'Calmodulin-binding domain C0 of NMDA receptor NR1 subunit', 29, NULL, 'CaM_bdg_C0', 6934),
(6935, 'PF10477', NULL, 'Nucleocytoplasmic shuttling protein for mRNA cap-binding EIF4E', 659, NULL, 'EIF4E-T', 6935),
(6936, 'PF17465', NULL, 'Chemokine-like protein, HHV-6 U83 gene product', 97, NULL, 'U83', 6936),
(6937, 'PF19041', NULL, 'Nuclear cap binding complex subunit CBP30', 299, NULL, 'CBP30', 6937),
(6938, 'PF17491', NULL, 'Spider Toxins mu-diguetoxin-1 a, b and c', 55, NULL, 'm_DGTX_Dc1a_b_c', 6938),
(6939, 'PF00725', NULL, '3-hydroxyacyl-CoA dehydrogenase, C-terminal domain', 97, NULL, '3HCDH', 6939),
(6940, 'PF16204', NULL, 'BDHCT-box associated domain on Bloom syndrome protein', 223, NULL, 'BDHCT_assoc', 6940),
(6941, 'PF12170', NULL, 'DNA polymerase III tau subunit V interacting with alpha', 142, NULL, 'DNA_pol3_tau_5', 6941),
(6942, 'PF16448', NULL, 'LapD/MoxY periplasmic domain', 124, NULL, 'LapD_MoxY_N', 6942),
(6943, 'PF02656', NULL, 'Domain of unknown function (DUF202)', 68, NULL, 'DUF202', 6943),
(6944, 'PF02768', NULL, 'DNA polymerase III beta subunit, C-terminal domain', 121, NULL, 'DNA_pol3_beta_3', 6944),
(6945, 'PF14022', NULL, 'Protein of unknown function (DUF4238)', 273, NULL, 'DUF4238', 6945),
(6946, 'PF13359', NULL, 'DDE superfamily endonuclease', 158, NULL, 'DDE_Tnp_4', 6946),
(6947, 'PF00294', NULL, 'pfkB family carbohydrate kinase', 302, NULL, 'PfkB', 6947),
(6948, 'PF04438', NULL, 'HIT zinc finger', 30, NULL, 'zf-HIT', 6948),
(6949, 'PF01388', NULL, 'ARID/BRIGHT DNA binding domain', 90, NULL, 'ARID', 6949),
(6950, 'PF15159', NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit Y', 70, NULL, 'PIG-Y', 6950),
(6951, 'PF05092', NULL, 'Per os infectivity', 522, NULL, 'PIF', 6951),
(6952, 'PF11589', NULL, 'Domain of unknown function (DUF3244)', 101, NULL, 'DUF3244', 6952),
(6953, 'PF18681', NULL, 'Family of unknown function (DUF5634)', 98, NULL, 'DUF5634', 6953),
(6954, 'PF05730', NULL, 'CFEM domain', 66, NULL, 'CFEM', 6954),
(6955, 'PF03866', NULL, 'Hydrophobic abundant protein (HAP)', 164, NULL, 'HAP', 6955),
(6956, 'PF02150', NULL, 'RNA polymerases M/15 Kd subunit', 36, NULL, 'RNA_POL_M_15KD', 6956),
(6957, 'PF08512', NULL, 'Histone chaperone Rttp106-like', 88, NULL, 'Rtt106', 6957),
(6958, 'PF03392', NULL, 'Insect pheromone-binding family, A10/OS-D', 93, NULL, 'OS-D', 6958),
(6959, 'PF04338', NULL, 'Protein of unknown function, DUF481', 212, NULL, 'DUF481', 6959),
(6960, 'PF10551', NULL, 'MULE transposase domain', 98, NULL, 'MULE', 6960),
(6961, 'PF15626', NULL, 'single CXXC unit', 58, NULL, 'mono-CXXC', 6961),
(6962, 'PF09939', NULL, 'Uncharacterized protein conserved in bacteria (DUF2171)', 65, NULL, 'DUF2171', 6962),
(6963, 'PF14748', NULL, 'Pyrroline-5-carboxylate reductase dimerisation', 104, NULL, 'P5CR_dimer', 6963),
(6964, 'PF06056', NULL, 'Putative ATPase subunit of terminase (gpP-like)', 58, NULL, 'Terminase_5', 6964),
(6965, 'PF06709', NULL, 'Protein of unknown function (DUF1196)', 51, NULL, 'DUF1196', 6965);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(6966, 'PF18760', NULL, 'ADP-Ribosyltransferase in polyvalent proteins', 140, NULL, 'ART-PolyVal', 6966),
(6967, 'PF12686', NULL, 'Protein of unknown function (DUF3800)', 108, NULL, 'DUF3800', 6967),
(6968, 'PF16016', NULL, 'VAD1 Analog of StAR-related lipid transfer domain', 152, NULL, 'VASt', 6968),
(6969, 'PF09539', NULL, 'Protein of unknown function (DUF2385)', 96, NULL, 'DUF2385', 6969),
(6970, 'PF15754', NULL, 'Sperm equatorial segment protein 1', 322, NULL, 'SPESP1', 6970),
(6971, 'PF18078', NULL, 'Thioredoxin-like SNTX domain', 126, NULL, 'Thioredoxin_11', 6971),
(6972, 'PF11349', NULL, 'Protein of unknown function (DUF3151)', 127, NULL, 'DUF3151', 6972),
(6973, 'PF03213', NULL, 'Poxvirus P35 protein', 323, NULL, 'Pox_P35', 6973),
(6974, 'PF09581', NULL, 'Stage III sporulation protein AF (Spore_III_AF)', 189, NULL, 'Spore_III_AF', 6974),
(6975, 'PF09258', NULL, 'Glycosyl transferase family 64 domain', 246, NULL, 'Glyco_transf_64', 6975),
(6976, 'PF16061', NULL, 'Domain of unknown function (DUF4803)', 255, NULL, 'DUF4803', 6976),
(6977, 'PF06477', NULL, 'Protein of unknown function (DUF1091)', 83, NULL, 'DUF1091', 6977),
(6978, 'PF11914', NULL, 'Domain of unknown function (DUF3432)', 98, NULL, 'DUF3432', 6978),
(6979, 'PF04612', NULL, 'Type II secretion system (T2SS), protein M', 160, NULL, 'T2SSM', 6979),
(6980, 'PF13977', NULL, 'BetI-type transcriptional repressor, C-terminal', 115, NULL, 'TetR_C_6', 6980),
(6981, 'PF03123', NULL, 'CAT RNA binding domain', 57, NULL, 'CAT_RBD', 6981),
(6982, 'PF02720', NULL, 'Domain of unknown function (DUF222)', 301, NULL, 'DUF222', 6982),
(6983, 'PF06356', NULL, 'Protein of unknown function (DUF1064)', 117, NULL, 'DUF1064', 6983),
(6984, 'PF02287', NULL, 'Dehydratase small subunit', 133, NULL, 'Dehydratase_SU', 6984),
(6985, 'PF07102', NULL, 'Protein of unknown function (DUF1364)', 92, NULL, 'DUF1364', 6985),
(6986, 'PF06243', NULL, 'Phenylacetic acid degradation B', 89, NULL, 'PaaB', 6986),
(6987, 'PF16278', NULL, 'C2HE / C2H2 / C2HC zinc-binding finger', 63, NULL, 'zf-C2HE', 6987),
(6988, 'PF15734', NULL, 'Migration and invasion-inhibitory', 342, NULL, 'MIIP', 6988),
(6989, 'PF05678', NULL, 'VQ motif', 28, NULL, 'VQ', 6989),
(6990, 'PF02431', NULL, 'Chalcone-flavanone isomerase', 203, NULL, 'Chalcone', 6990),
(6991, 'PF00778', NULL, 'DIX domain', 81, NULL, 'DIX', 6991),
(6992, 'PF18941', NULL, 'Family of unknown function (DUF5688)', 290, NULL, 'DUF5688', 6992),
(6993, 'PF18507', NULL, 'WW domain', 27, NULL, 'WW_1', 6993),
(6994, 'PF16576', NULL, 'Barrel-sandwich domain of CusB or HlyD membrane-fusion', 214, NULL, 'HlyD_D23', 6994),
(6995, 'PF14550', NULL, 'Putative phage serine protease XkdF', 120, NULL, 'Peptidase_S78_2', 6995),
(6996, 'PF08615', NULL, 'Ribonuclease H2 non-catalytic subunit (Ylr154p-like)', 141, NULL, 'RNase_H2_suC', 6996),
(6997, 'PF16755', NULL, 'Nucleoporin or Nuclear pore complex subunit NUP214=Nup159', 359, NULL, 'NUP214', 6997),
(6998, 'PF14075', NULL, 'Ubinuclein conserved middle domain', 213, NULL, 'UBN_AB', 6998),
(6999, 'PF03348', NULL, 'Serine incorporator (Serinc)', 432, NULL, 'Serinc', 6999),
(7000, 'PF14097', NULL, 'Stage V sporulation protein AE1', 180, NULL, 'SpoVAE', 7000),
(7001, 'PF02670', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase', 129, NULL, 'DXP_reductoisom', 7001),
(7002, 'PF01725', NULL, 'Ham1 family', 187, NULL, 'Ham1p_like', 7002),
(7003, 'PF15401', NULL, 'Tryptophan-ring motif of head of Trimeric autotransporter adhesin', 65, NULL, 'TAA-Trp-ring', 7003),
(7004, 'PF11015', NULL, 'Protein of unknown function (DUF2853)', 101, NULL, 'DUF2853', 7004),
(7005, 'PF03373', NULL, 'Octapeptide repeat', 8, NULL, 'Octapeptide', 7005),
(7006, 'PF17866', NULL, 'AAA lid domain', 61, NULL, 'AAA_lid_6', 7006),
(7007, 'PF11694', NULL, 'Protein of unknown function (DUF3290)', 144, NULL, 'DUF3290', 7007),
(7008, 'PF12401', NULL, 'Protein of unknown function (DUF3662)', 115, NULL, 'DUF3662', 7008),
(7009, 'PF16857', NULL, 'RNA polymerase inhibitor', 47, NULL, 'RNA_pol_inhib', 7009);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7010, 'PF17856', NULL, 'TIP49 AAA-lid domain', 66, NULL, 'TIP49_C', 7010),
(7011, 'PF05463', NULL, 'Sclerostin (SOST)', 198, NULL, 'Sclerostin', 7011),
(7012, 'PF15414', NULL, 'Protein of unknown function (DUF4621)', 329, NULL, 'DUF4621', 7012),
(7013, 'PF04858', NULL, 'TH1 protein', 580, NULL, 'TH1', 7013),
(7014, 'PF08837', NULL, 'Protein of unknown function (DUF1810)', 136, NULL, 'DUF1810', 7014),
(7015, 'PF15480', NULL, 'Domain of unknown function (DUF4640)', 292, NULL, 'DUF4640', 7015),
(7016, 'PF01279', NULL, 'Parathyroid hormone family', 107, NULL, 'Parathyroid', 7016),
(7017, 'PF18841', NULL, 'Beta solenoid repeat from Dextranase', 33, NULL, 'B_solenoid_dext', 7017),
(7018, 'PF16261', NULL, 'Domain of unknown function (DUF4915)', 315, NULL, 'DUF4915', 7018),
(7019, 'PF13841', NULL, 'Beta defensin', 30, NULL, 'Defensin_beta_2', 7019),
(7020, 'PF15336', NULL, 'Autism susceptibility gene 2 protein', 218, NULL, 'Auts2', 7020),
(7021, 'PF18767', NULL, 'Activation induced deaminase', 90, NULL, 'AID', 7021),
(7022, 'PF04151', NULL, 'Bacterial pre-peptidase C-terminal domain', 71, NULL, 'PPC', 7022),
(7023, 'PF09997', NULL, 'Predicted membrane protein (DUF2238)', 140, NULL, 'DUF2238', 7023),
(7024, 'PF04136', NULL, 'Sec34-like family', 149, NULL, 'Sec34', 7024),
(7025, 'PF05936', NULL, 'Bacterial Type VI secretion, VC_A0110, EvfL, ImpJ, VasE', 429, NULL, 'T6SS_VasE', 7025),
(7026, 'PF16712', NULL, 'Coiled-coil regions of plant-specific actin-binding protein', 168, NULL, 'SCAB_CC', 7026),
(7027, 'PF12626', NULL, 'Polymerase A arginine-rich C-terminus', 120, NULL, 'PolyA_pol_arg_C', 7027),
(7028, 'PF14098', NULL, 'Small, acid-soluble spore protein I', 65, NULL, 'SSPI', 7028),
(7029, 'PF18888', NULL, 'Repeat of unknown function (DUF5650)', 55, NULL, 'DUF5650', 7029),
(7030, 'PF00789', NULL, 'UBX domain', 81, NULL, 'UBX', 7030),
(7031, 'PF14950', NULL, 'Domain of unknown function (DUF4502)', 387, NULL, 'DUF4502', 7031),
(7032, 'PF05400', NULL, 'Flagellar protein FliT', 85, NULL, 'FliT', 7032),
(7033, 'PF00471', NULL, 'Ribosomal protein L33', 47, NULL, 'Ribosomal_L33', 7033),
(7034, 'PF12652', NULL, 'CotJB protein', 76, NULL, 'CotJB', 7034),
(7035, 'PF18757', NULL, 'Nucleotide modification associated domain 5', 207, NULL, 'Nmad5', 7035),
(7036, 'PF15522', NULL, 'Novel toxin 14', 205, NULL, 'Ntox14', 7036),
(7037, 'PF10419', NULL, 'TFIIIC subunit triple barrel domain', 95, NULL, 'TFIIIC_sub6', 7037),
(7038, 'PF01109', NULL, 'Granulocyte-macrophage colony-stimulating factor', 122, NULL, 'GM_CSF', 7038),
(7039, 'PF04031', NULL, 'Las1-like', 149, NULL, 'Las1', 7039),
(7040, 'PF17857', NULL, 'AAA+ lid domain', 100, NULL, 'AAA_lid_1', 7040),
(7041, 'PF16885', NULL, 'Voltage-gated calcium channel subunit alpha, C-term', 354, NULL, 'CAC1F_C', 7041),
(7042, 'PF11507', NULL, 'Ebola virus-specific transcription factor VP30', 131, NULL, 'Transcript_VP30', 7042),
(7043, 'PF12786', NULL, 'GB virus C genotype envelope', 413, NULL, 'GBV-C_env', 7043),
(7044, 'PF01786', NULL, 'Alternative oxidase', 216, NULL, 'AOX', 7044),
(7045, 'PF10060', NULL, 'Uncharacterized membrane protein (DUF2298)', 500, NULL, 'DUF2298', 7045),
(7046, 'PF01635', NULL, 'Coronavirus M matrix/glycoprotein', 208, NULL, 'CoV_M', 7046),
(7047, 'PF00456', NULL, 'Transketolase, thiamine diphosphate binding domain', 334, NULL, 'Transketolase_N', 7047),
(7048, 'PF17498', NULL, 'Family of unknown function (DUF5433)', 67, NULL, 'DUF5433', 7048),
(7049, 'PF17952', NULL, 'Cas6 N-terminal domain', 114, NULL, 'Cas6_N', 7049),
(7050, 'PF09867', NULL, 'TagF N-terminal domain, Type VI secretion system-associated', 135, NULL, 'TagF_N', 7050),
(7051, 'PF14983', NULL, 'Domain of unknown function (DUF4513)', 132, NULL, 'DUF4513', 7051),
(7052, 'PF12510', NULL, 'Smoothelin cytoskeleton protein', 50, NULL, 'Smoothelin', 7052),
(7053, 'PF07027', NULL, 'Protein of unknown function (DUF1318)', 93, NULL, 'DUF1318', 7053),
(7054, 'PF15444', NULL, 'Transmembrane protein 247', 211, NULL, 'TMEM247', 7054);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7055, 'PF13016', NULL, 'Cys-rich Gliadin N-terminal', 77, NULL, 'Gliadin', 7055),
(7056, 'PF00238', NULL, 'Ribosomal protein L14p/L23e', 122, NULL, 'Ribosomal_L14', 7056),
(7057, 'PF05568', NULL, 'African swine fever virus J13L protein', 189, NULL, 'ASFV_J13L', 7057),
(7058, 'PF01000', NULL, 'RNA polymerase Rpb3/RpoA insert domain', 112, NULL, 'RNA_pol_A_bac', 7058),
(7059, 'PF04099', NULL, 'Sybindin-like family', 143, NULL, 'Sybindin', 7059),
(7060, 'PF14383', NULL, 'DUF761-associated sequence motif', 32, NULL, 'VARLMGL', 7060),
(7061, 'PF01686', NULL, 'Adenovirus penton base protein', 461, NULL, 'Adeno_Penton_B', 7061),
(7062, 'PF01364', NULL, 'Peptidase family C25', 378, NULL, 'Peptidase_C25', 7062),
(7063, 'PF09122', NULL, 'Domain of unknown function (DUF1930)', 68, NULL, 'DUF1930', 7063),
(7064, 'PF05604', NULL, 'Protein of unknown function (DUF776)', 181, NULL, 'DUF776', 7064),
(7065, 'PF10209', NULL, 'Uncharacterized conserved protein (DUF2340)', 120, NULL, 'DUF2340', 7065),
(7066, 'PF03597', NULL, 'Cytochrome oxidase maturation protein cbb3-type', 44, NULL, 'FixS', 7066),
(7067, 'PF03383', NULL, 'Caenorhabditis serpentine receptor-like protein, class xa', 153, NULL, 'Serpentine_r_xa', 7067),
(7068, 'PF01115', NULL, 'F-actin capping protein, beta subunit', 238, NULL, 'F_actin_cap_B', 7068),
(7069, 'PF13514', NULL, 'AAA domain', 207, NULL, 'AAA_27', 7069),
(7070, 'PF16090', NULL, 'Domain of unknown function (DUF4819)', 85, NULL, 'DUF4819', 7070),
(7071, 'PF17558', NULL, 'Androgenic gland hormone', 121, NULL, 'AGH', 7071),
(7072, 'PF05449', NULL, 'Putative 3TM holin, Phage_holin_3', 80, NULL, 'Phage_holin_3_7', 7072),
(7073, 'PF17202', NULL, 'Single cache domain 3', 107, NULL, 'sCache_3_3', 7073),
(7074, 'PF09772', NULL, 'Transmembrane protein 26', 288, NULL, 'Tmem26', 7074),
(7075, 'PF02666', NULL, 'Phosphatidylserine decarboxylase', 200, NULL, 'PS_Dcarbxylase', 7075),
(7076, 'PF01616', NULL, 'Orbivirus NS3', 193, NULL, 'Orbi_NS3', 7076),
(7077, 'PF01639', NULL, 'Viral family 110', 104, NULL, 'v110', 7077),
(7078, 'PF05728', NULL, 'Uncharacterised protein family (UPF0227)', 187, NULL, 'UPF0227', 7078),
(7079, 'PF14872', NULL, 'Hypothetical glycoside hydrolase 5', 802, NULL, 'GHL5', 7079),
(7080, 'PF08990', NULL, 'Erythronolide synthase docking domain', 29, NULL, 'Docking', 7080),
(7081, 'PF11827', NULL, 'Protein of unknown function (DUF3347)', 93, NULL, 'DUF3347', 7081),
(7082, 'PF05110', NULL, 'AF-4 proto-oncoprotein N-terminal region', 514, NULL, 'AF-4', 7082),
(7083, 'PF11718', NULL, 'Pre-mRNA 3''-end-processing endonuclease polyadenylation factor C-term', 217, NULL, 'CPSF73-100_C', 7083),
(7084, 'PF08966', NULL, 'Domain of unknown function (DUF1882)', 73, NULL, 'DUF1882', 7084),
(7085, 'PF10510', NULL, 'Phosphatidylinositol-glycan biosynthesis class S protein', 516, NULL, 'PIG-S', 7085),
(7086, 'PF09966', NULL, 'Uncharacterized protein conserved in bacteria (DUF2200)', 111, NULL, 'DUF2200', 7086),
(7087, 'PF08037', NULL, 'Attractin family', 55, NULL, 'Attractin', 7087),
(7088, 'PF08224', NULL, 'Domain of unknown function (DUF1719)', 232, NULL, 'DUF1719', 7088),
(7089, 'PF02893', NULL, 'GRAM domain', 114, NULL, 'GRAM', 7089),
(7090, 'PF16122', NULL, '40S ribosomal protein SA C-terminus', 95, NULL, '40S_SA_C', 7090),
(7091, 'PF10704', NULL, 'Protein of unknown function (DUF2508)', 71, NULL, 'DUF2508', 7091),
(7092, 'PF18621', NULL, 'Family of unknown function (DUF5628)', 110, NULL, 'DUF5628', 7092),
(7093, 'PF02163', NULL, 'Peptidase family M50', 250, NULL, 'Peptidase_M50', 7093),
(7094, 'PF04043', NULL, 'Plant invertase/pectin methylesterase inhibitor', 155, NULL, 'PMEI', 7094),
(7095, 'PF17662', NULL, 'Family of unknown function (DUF5524)', 290, NULL, 'DUF5524', 7095),
(7096, 'PF13382', NULL, 'Adenine deaminase C-terminal domain', 169, NULL, 'Adenine_deam_C', 7096),
(7097, 'PF18852', NULL, 'Large polyvalent protein associated domain 34', 213, NULL, 'LPD34', 7097),
(7098, 'PF00961', NULL, 'LAGLIDADG endonuclease', 102, NULL, 'LAGLIDADG_1', 7098);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7099, 'PF14140', NULL, 'YpzI-like protein', 42, NULL, 'YpzI', 7099),
(7100, 'PF03320', NULL, 'Bacterial fructose-1,6-bisphosphatase, glpX-encoded', 308, NULL, 'FBPase_glpX', 7100),
(7101, 'PF10865', NULL, 'Domain of unknown function (DUF2703)', 120, NULL, 'DUF2703', 7101),
(7102, 'PF11350', NULL, 'Protein of unknown function (DUF3152)', 207, NULL, 'DUF3152', 7102),
(7103, 'PF15993', NULL, 'Fuseless', 299, NULL, 'Fuseless', 7103),
(7104, 'PF01777', NULL, 'Ribosomal L27e protein family', 85, NULL, 'Ribosomal_L27e', 7104),
(7105, 'PF10102', NULL, 'Domain of unknown function (DUF2341)', 84, NULL, 'DUF2341', 7105),
(7106, 'PF15567', NULL, 'Immunity protein 35', 85, NULL, 'Imm35', 7106),
(7107, 'PF03120', NULL, 'NAD-dependent DNA ligase OB-fold domain', 79, NULL, 'DNA_ligase_OB', 7107),
(7108, 'PF14800', NULL, 'Domain of unknown function (DUF4481)', 295, NULL, 'DUF4481', 7108),
(7109, 'PF00066', NULL, 'LNR domain', 36, NULL, 'Notch', 7109),
(7110, 'PF00290', NULL, 'Tryptophan synthase alpha chain', 259, NULL, 'Trp_syntA', 7110),
(7111, 'PF16678', NULL, 'HOIP UBA domain pair', 152, NULL, 'HOIP-UBA', 7111),
(7112, 'PF03195', NULL, 'Lateral organ boundaries (LOB) domain', 99, NULL, 'LOB', 7112),
(7113, 'PF00499', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 6', 144, NULL, 'Oxidored_q3', 7113),
(7114, 'PF05638', NULL, 'Type VI secretion system effector, Hcp', 129, NULL, 'T6SS_HCP', 7114),
(7115, 'PF13498', NULL, 'Domain of unknown function (DUF4122)', 219, NULL, 'DUF4122', 7115),
(7116, 'PF11540', NULL, 'Cytoplasmic dynein 1 intermediate chain 2', 31, NULL, 'Dynein_IC2', 7116),
(7117, 'PF13691', NULL, 'tRNase Z endonuclease', 63, NULL, 'Lactamase_B_4', 7117),
(7118, 'PF13000', NULL, 'Acetyl-coenzyme A transporter 1', 548, NULL, 'Acatn', 7118),
(7119, 'PF06869', NULL, 'Protein of unknown function (DUF1258)', 253, NULL, 'DUF1258', 7119),
(7120, 'PF17061', NULL, 'PARM', 297, NULL, 'PARM', 7120),
(7121, 'PF12072', NULL, 'RNase Y N-terminal region', 201, NULL, 'RNase_Y_N', 7121),
(7122, 'PF08889', NULL, 'WbqC-like protein family', 218, NULL, 'WbqC', 7122),
(7123, 'PF08298', NULL, 'PrkA AAA domain', 358, NULL, 'AAA_PrkA', 7123),
(7124, 'PF10844', NULL, 'Protein of unknown function (DUF2577)', 98, NULL, 'DUF2577', 7124),
(7125, 'PF04789', NULL, 'Protein of unknown function (DUF621)', 305, NULL, 'DUF621', 7125),
(7126, 'PF03347', NULL, 'Vibrio thermostable direct hemolysin', 165, NULL, 'TDH', 7126),
(7127, 'PF03493', NULL, 'Calcium-activated BK potassium channel alpha subunit', 98, NULL, 'BK_channel_a', 7127),
(7128, 'PF13540', NULL, 'Regulator of chromosome condensation (RCC1) repeat', 30, NULL, 'RCC1_2', 7128),
(7129, 'PF15088', NULL, 'NADH dehydrogenase [ubiquinone] 1 subunit C1, mitochondrial', 49, NULL, 'NADH_dh_m_C1', 7129),
(7130, 'PF13868', NULL, 'Trichohyalin-plectin-homology domain', 352, NULL, 'TPH', 7130),
(7131, 'PF19039', NULL, 'ASK kinase PH domain', 101, NULL, 'ASK_PH', 7131),
(7132, 'PF02763', NULL, 'Diphtheria toxin, C domain', 187, NULL, 'Diphtheria_C', 7132),
(7133, 'PF01097', NULL, 'Arthropod defensin', 34, NULL, 'Defensin_2', 7133),
(7134, 'PF01010', NULL, 'NADH-dehyrogenase subunit F, TMs, (complex I) C-terminus', 243, NULL, 'Proton_antipo_C', 7134),
(7135, 'PF07390', NULL, 'Mycoplasma P30 protein', 150, NULL, 'P30', 7135),
(7136, 'PF17069', NULL, 'Arginine/Serine-Rich protein 1', 299, NULL, 'RSRP', 7136),
(7137, 'PF11298', NULL, 'Protein of unknown function (DUF3099)', 72, NULL, 'DUF3099', 7137),
(7138, 'PF00703', NULL, 'Glycosyl hydrolases family 2', 110, NULL, 'Glyco_hydro_2', 7138),
(7139, 'PF11813', NULL, 'Protein of unknown function (DUF3334)', 226, NULL, 'DUF3334', 7139),
(7140, 'PF05839', NULL, 'Apc13p protein', 89, NULL, 'Apc13p', 7140),
(7141, 'PF05405', NULL, 'Mitochondrial ATP synthase B chain precursor (ATP-synt_B)', 163, NULL, 'Mt_ATP-synt_B', 7141),
(7142, 'PF07166', NULL, 'Protein of unknown function (DUF1398)', 119, NULL, 'DUF1398', 7142),
(7143, 'PF00876', NULL, 'Innexin', 338, NULL, 'Innexin', 7143);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7144, 'PF00537', NULL, 'Scorpion toxin-like domain', 55, NULL, 'Toxin_3', 7144),
(7145, 'PF10096', NULL, 'Uncharacterized protein conserved in bacteria (DUF2334)', 210, NULL, 'DUF2334', 7145),
(7146, 'PF06241', NULL, 'Castor and Pollux, part of voltage-gated ion channel', 104, NULL, 'Castor_Poll_mid', 7146),
(7147, 'PF09097', NULL, 'Baseplate structural protein, domain 1', 196, NULL, 'Phage-tail_1', 7147),
(7148, 'PF09721', NULL, 'Transmembrane exosortase (Exosortase_EpsH)', 254, NULL, 'Exosortase_EpsH', 7148),
(7149, 'PF14756', NULL, 'Peptidase_C33-associated domain', 147, NULL, 'Pdase_C33_assoc', 7149),
(7150, 'PF19090', NULL, 'Family of unknown function (DUF5778)', 126, NULL, 'DUF5778', 7150),
(7151, 'PF01068', NULL, 'ATP dependent DNA ligase domain', 204, NULL, 'DNA_ligase_A_M', 7151),
(7152, 'PF07295', NULL, 'Zinc-ribbon containing domain', 147, NULL, 'DUF1451', 7152),
(7153, 'PF04898', NULL, 'Glutamate synthase central domain', 279, NULL, 'Glu_syn_central', 7153),
(7154, 'PF09311', NULL, 'Rabaptin-like protein', 307, NULL, 'Rab5-bind', 7154),
(7155, 'PF11431', NULL, 'Membrane transport protein MerF', 45, NULL, 'Transport_MerF', 7155),
(7156, 'PF03157', NULL, 'High molecular weight glutenin subunit', 786, NULL, 'Glutenin_hmw', 7156),
(7157, 'PF05091', NULL, 'Eukaryotic translation initiation factor 3 subunit 7 (eIF-3)', 526, NULL, 'eIF-3_zeta', 7157),
(7158, 'PF15373', NULL, 'Domain of unknown function (DUF4601)', 437, NULL, 'DUF4601', 7158),
(7159, 'PF09940', NULL, 'Domain of unknown function (DUF2172)', 92, NULL, 'DUF2172', 7159),
(7160, 'PF04008', NULL, 'Adenosine specific kinase', 154, NULL, 'Adenosine_kin', 7160),
(7161, 'PF11612', NULL, 'Type II secretion system (T2SS), protein J', 140, NULL, 'T2SSJ', 7161),
(7162, 'PF04371', NULL, 'Porphyromonas-type peptidyl-arginine deiminase', 319, NULL, 'PAD_porph', 7162),
(7163, 'PF04781', NULL, 'Protein of unknown function (DUF627)', 108, NULL, 'DUF627', 7163),
(7164, 'PF02520', NULL, 'Domain of unknown function DUF148', 109, NULL, 'DUF148', 7164),
(7165, 'PF06252', NULL, 'Protein of unknown function (DUF1018)', 118, NULL, 'DUF1018', 7165),
(7166, 'PF05164', NULL, 'Cell division protein ZapA', 88, NULL, 'ZapA', 7166),
(7167, 'PF11383', NULL, 'Protein of unknown function (DUF3187)', 320, NULL, 'DUF3187', 7167),
(7168, 'PF17523', NULL, 'MinK-related peptide, potassium channel accessory sub-unit protein 4', 78, NULL, 'MPS-4', 7168),
(7169, 'PF01515', NULL, 'Phosphate acetyl/butaryl transferase', 319, NULL, 'PTA_PTB', 7169),
(7170, 'PF00448', NULL, 'SRP54-type protein, GTPase domain', 196, NULL, 'SRP54', 7170),
(7171, 'PF12898', NULL, 'Stc1 domain', 85, NULL, 'Stc1', 7171),
(7172, 'PF17260', NULL, 'Family of unknown function (DUF5326)', 70, NULL, 'DUF5326', 7172),
(7173, 'PF08987', NULL, 'Protein of unknown function (DUF1892)', 109, NULL, 'DUF1892', 7173),
(7174, 'PF05426', NULL, 'Alginate lyase', 272, NULL, 'Alginate_lyase', 7174),
(7175, 'PF11711', NULL, 'Inner membrane protein import complex subunit Tim54', 375, NULL, 'Tim54', 7175),
(7176, 'PF14901', NULL, 'Cleavage inducing molecular chaperone', 90, NULL, 'Jiv90', 7176),
(7177, 'PF10825', NULL, 'Protein of unknown function (DUF2752)', 49, NULL, 'DUF2752', 7177),
(7178, 'PF12583', NULL, 'Tripeptidyl peptidase II N terminal', 139, NULL, 'TPPII_N', 7178),
(7179, 'PF12970', NULL, 'Domain of Unknown Function with PDB structure (DUF3858)', 116, NULL, 'DUF3858', 7179),
(7180, 'PF16719', NULL, 'SAWADEE domain', 141, NULL, 'SAWADEE', 7180),
(7181, 'PF16761', NULL, 'Transcription-silencing protein, cryptic loci regulator Clr2', 68, NULL, 'Clr2_transil', 7181),
(7182, 'PF00195', NULL, 'Chalcone and stilbene synthases, N-terminal domain', 225, NULL, 'Chal_sti_synt_N', 7182),
(7183, 'PF01416', NULL, 'tRNA pseudouridine synthase', 108, NULL, 'PseudoU_synth_1', 7183),
(7184, 'PF07396', NULL, 'Phosphate-selective porin O and P', 370, NULL, 'Porin_O_P', 7184),
(7185, 'PF19174', NULL, 'Family of unknown function (DUF5856)', 94, NULL, 'DUF5856', 7185);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7186, 'PF13297', NULL, 'Telomere stability C-terminal', 60, NULL, 'Telomere_Sde2_2', 7186),
(7187, 'PF06551', NULL, 'Protein of unknown function (DUF1120)', 116, NULL, 'DUF1120', 7187),
(7188, 'PF18747', NULL, 'P-loop Nucleotide Kinase2', 298, NULL, 'Ploopntkinase2', 7188),
(7189, 'PF13601', NULL, 'Winged helix DNA-binding domain', 80, NULL, 'HTH_34', 7189),
(7190, 'PF04342', NULL, 'Putative member of DMT superfamily (DUF486)', 105, NULL, 'DMT_6', 7190),
(7191, 'PF02487', NULL, 'CLN3 protein', 394, NULL, 'CLN3', 7191),
(7192, 'PF19058', NULL, 'Family of unknown function (DUF5754)', 49, NULL, 'DUF5754', 7192),
(7193, 'PF02540', NULL, 'NAD synthase', 242, NULL, 'NAD_synthase', 7193),
(7194, 'PF14072', NULL, 'DNA-sulfur modification-associated', 347, NULL, 'DndB', 7194),
(7195, 'PF11632', NULL, 'Lactococcin G-beta', 61, NULL, 'LcnG-beta', 7195),
(7196, 'PF08861', NULL, 'Domain of unknown function DUF1828', 91, NULL, 'DUF1828', 7196),
(7197, 'PF17909', NULL, 'Htr2 transmembrane domain', 61, NULL, 'Htr2', 7197),
(7198, 'PF08808', NULL, 'RES domain', 162, NULL, 'RES', 7198),
(7199, 'PF08984', NULL, 'Domain of unknown function (DUF1858)', 59, NULL, 'DUF1858', 7199),
(7200, 'PF11457', NULL, 'Protein of unknown function (DUF3021)', 130, NULL, 'DUF3021', 7200),
(7201, 'PF04595', NULL, 'Poxvirus I6-like family', 321, NULL, 'Pox_I6', 7201),
(7202, 'PF06283', NULL, 'Trehalose utilisation', 210, NULL, 'ThuA', 7202),
(7203, 'PF03004', NULL, 'Plant transposase (Ptta/En/Spm family)', 142, NULL, 'Transposase_24', 7203),
(7204, 'PF09870', NULL, 'Uncharacterized protein conserved in archaea (DUF2097)', 84, NULL, 'DUF2097', 7204),
(7205, 'PF15192', NULL, 'TMEM213 family', 79, NULL, 'TMEM213', 7205),
(7206, 'PF00596', NULL, 'Class II Aldolase and Adducin N-terminal domain', 186, NULL, 'Aldolase_II', 7206),
(7207, 'PF18418', NULL, 'Ankyrin ubiquitin-binding domain', 97, NULL, 'AnkUBD', 7207),
(7208, 'PF08349', NULL, 'Protein of unknown function (DUF1722)', 117, NULL, 'DUF1722', 7208),
(7209, 'PF13256', NULL, 'Domain of unknown function (DUF4047)', 125, NULL, 'DUF4047', 7209),
(7210, 'PF10440', NULL, 'Ubiquitin-binding WIYLD domain', 61, NULL, 'WIYLD', 7210),
(7211, 'PF00431', NULL, 'CUB domain', 110, NULL, 'CUB', 7211),
(7212, 'PF11880', NULL, 'Domain of unknown function (DUF3400)', 45, NULL, 'DUF3400', 7212),
(7213, 'PF11181', NULL, 'Heat induced stress protein YflT', 100, NULL, 'YflT', 7213),
(7214, 'PF10630', NULL, 'Protein of unknown function (DUF2476)', 259, NULL, 'DUF2476', 7214),
(7215, 'PF15914', NULL, 'FAM193 family C-terminal', 57, NULL, 'FAM193_C', 7215),
(7216, 'PF00264', NULL, 'Common central domain of tyrosinase', 222, NULL, 'Tyrosinase', 7216),
(7217, 'PF07958', NULL, 'Protein of unknown function (DUF1688)', 422, NULL, 'DUF1688', 7217),
(7218, 'PF12530', NULL, 'Protein of unknown function (DUF3730)', 229, NULL, 'DUF3730', 7218),
(7219, 'PF15763', NULL, 'Regulator of human erythroid cell expansion (RHEX)', 167, NULL, 'DUF4692', 7219),
(7220, 'PF16384', NULL, 'Domain of unknown function', 359, NULL, 'DUF4993', 7220),
(7221, 'PF01645', NULL, 'Conserved region in glutamate synthase', 368, NULL, 'Glu_synthase', 7221),
(7222, 'PF02375', NULL, 'jmjN domain', 34, NULL, 'JmjN', 7222),
(7223, 'PF08590', NULL, 'Domain of unknown function (DUF1771)', 64, NULL, 'DUF1771', 7223),
(7224, 'PF06579', NULL, 'Caenorhabditis elegans ly-6-related protein', 125, NULL, 'Ly-6_related', 7224),
(7225, 'PF06564', NULL, 'Cellulose biosynthesis protein BcsQ', 234, NULL, 'CBP_BcsQ', 7225),
(7226, 'PF19061', NULL, 'Family of unknown function (DUF5757)', 94, NULL, 'DUF5757', 7226),
(7227, 'PF09509', NULL, 'Protein of unknown function (Hypoth_ymh)', 119, NULL, 'Hypoth_Ymh', 7227),
(7228, 'PF01967', NULL, 'MoaC family', 136, NULL, 'MoaC', 7228),
(7229, 'PF17929', NULL, 'Tetracyclin repressor-like, C-terminal domain', 120, NULL, 'TetR_C_34', 7229),
(7230, 'PF15257', NULL, 'Domain of unknown function (DUF4590)', 114, NULL, 'DUF4590', 7230);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7231, 'PF04684', NULL, 'BAF1 / ABF1 chromatin reorganising factor', 576, NULL, 'BAF1_ABF1', 7231),
(7232, 'PF16660', NULL, 'PHD finger protein 20-like protein 1', 97, NULL, 'PHD20L1_u1', 7232),
(7233, 'PF04940', NULL, 'Sensors of blue-light using FAD', 92, NULL, 'BLUF', 7233),
(7234, 'PF15994', NULL, 'Domain of unknown function (DUF4770)', 182, NULL, 'DUF4770', 7234),
(7235, 'PF15964', NULL, 'Centrosomal colon cancer autoantigen protein family', 703, NULL, 'CCCAP', 7235),
(7236, 'PF12055', NULL, 'Domain of unknown function (DUF3536)', 284, NULL, 'DUF3536', 7236),
(7237, 'PF13954', NULL, 'PapC N-terminal domain', 146, NULL, 'PapC_N', 7237),
(7238, 'PF05296', NULL, 'Taste receptor protein (TAS2R)', 303, NULL, 'TAS2R', 7238),
(7239, 'PF04564', NULL, 'U-box domain', 73, NULL, 'U-box', 7239),
(7240, 'PF06569', NULL, 'Protein of unknown function (DUF1128)', 71, NULL, 'DUF1128', 7240),
(7241, 'PF09768', NULL, 'Peptidase M76 family', 171, NULL, 'Peptidase_M76', 7241),
(7242, 'PF16024', NULL, 'Domain of unknown function (DUF4785)', 373, NULL, 'DUF4785', 7242),
(7243, 'PF12348', NULL, 'CLASP N terminal', 227, NULL, 'CLASP_N', 7243),
(7244, 'PF00680', NULL, 'Viral RNA-dependent RNA polymerase', 461, NULL, 'RdRP_1', 7244),
(7245, 'PF00437', NULL, 'Type II/IV secretion system protein', 271, NULL, 'T2SSE', 7245),
(7246, 'PF10992', NULL, 'Epiplasmin protein', 83, NULL, 'Epiplasmin', 7246),
(7247, 'PF18243', NULL, 'Metal-independent restriction enzyme BfiI DNA binding domain', 164, NULL, 'BfiI_DBD', 7247),
(7248, 'PF14854', NULL, 'Leucine rich adaptor protein', 117, NULL, 'LURAP', 7248),
(7249, 'PF11779', NULL, 'Small subunit of serine palmitoyltransferase-like', 54, NULL, 'SPT_ssu-like', 7249),
(7250, 'PF15819', NULL, 'Fin bud initiation factor homologue', 190, NULL, 'Fibin', 7250),
(7251, 'PF06652', NULL, 'Methuselah N-terminus', 180, NULL, 'Methuselah_N', 7251),
(7252, 'PF03728', NULL, 'Viral DNA-binding protein, zinc binding domain', 98, NULL, 'Viral_DNA_Zn_bi', 7252),
(7253, 'PF12309', NULL, 'KIF-1 binding protein C terminal', 356, NULL, 'KBP_C', 7253),
(7254, 'PF07094', NULL, 'Protein of unknown function (DUF1357)', 223, NULL, 'DUF1357', 7254),
(7255, 'PF03778', NULL, 'Protein of unknown function (DUF321)', 20, NULL, 'DUF321', 7255),
(7256, 'PF17957', NULL, 'Bacterial Ig domain', 71, NULL, 'Big_7', 7256),
(7257, 'PF02641', NULL, 'Uncharacterized ACR, COG1993', 97, NULL, 'DUF190', 7257),
(7258, 'PF07864', NULL, 'Protein of unknown function (DUF1651)', 74, NULL, 'DUF1651', 7258),
(7259, 'PF01309', NULL, 'Equine arteritis virus small envelope glycoprotein', 196, NULL, 'EAV_GS', 7259),
(7260, 'PF17176', NULL, 'tRNA-binding domain', 119, NULL, 'tRNA_bind_3', 7260),
(7261, 'PF11067', NULL, 'Protein of unknown function (DUF2868)', 319, NULL, 'DUF2868', 7261),
(7262, 'PF03040', NULL, 'CemA family', 229, NULL, 'CemA', 7262),
(7263, 'PF08732', NULL, 'HIM1', 169, NULL, 'HIM1', 7263),
(7264, 'PF18181', NULL, 'SMODS and SLOG-associating 2TM effector domain 1', 122, NULL, 'SLATT_1', 7264),
(7265, 'PF18963', NULL, 'Family of unknown function (DUF5703)', 51, NULL, 'DUF5703', 7265),
(7266, 'PF14295', NULL, 'PAN domain', 51, NULL, 'PAN_4', 7266),
(7267, 'PF18060', NULL, 'F actin bundling C terminal', 87, NULL, 'F_actin_bund_C', 7267),
(7268, 'PF13222', NULL, 'Protein of unknown function (DUF4030)', 142, NULL, 'DUF4030', 7268),
(7269, 'PF12436', NULL, 'ICP0-binding domain of Ubiquitin-specific protease 7', 243, NULL, 'USP7_ICP0_bdg', 7269),
(7270, 'PF11828', NULL, 'Protein of unknown function (DUF3348)', 247, NULL, 'DUF3348', 7270),
(7271, 'PF06255', NULL, 'Neisseria toxin MafB', 312, NULL, 'MafB', 7271),
(7272, 'PF01315', NULL, 'Aldehyde oxidase and xanthine dehydrogenase, a/b hammerhead domain', 110, NULL, 'Ald_Xan_dh_C', 7272),
(7273, 'PF08840', NULL, 'BAAT / Acyl-CoA thioester hydrolase C terminal', 211, NULL, 'BAAT_C', 7273),
(7274, 'PF04326', NULL, 'Putative DNA-binding domain', 122, NULL, 'AlbA_2', 7274);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7275, 'PF04673', NULL, 'Polyketide synthesis cyclase', 104, NULL, 'Cyclase_polyket', 7275),
(7276, 'PF13711', NULL, 'Domain of unknown function (DUF4160)', 65, NULL, 'DUF4160', 7276),
(7277, 'PF16681', NULL, 'Ig-like domain on T-cell surface glycoprotein CD3 epsilon chain', 83, NULL, 'Ig_5', 7277),
(7278, 'PF08138', NULL, 'Sex peptide (SP) family', 55, NULL, 'Sex_peptide', 7278),
(7279, 'PF03806', NULL, 'AbgT putative transporter family', 502, NULL, 'ABG_transport', 7279),
(7280, 'PF15667', NULL, 'Protein of unknown function with motif GDWWSH', 251, NULL, 'GDWWSH', 7280),
(7281, 'PF10390', NULL, 'RNA polymerase II elongation factor ELL', 279, NULL, 'ELL', 7281),
(7282, 'PF14993', NULL, 'Neuropeptide S precursor protein', 65, NULL, 'Neuropeptide_S', 7282),
(7283, 'PF06213', NULL, 'Cobalamin biosynthesis protein CobT', 277, NULL, 'CobT', 7283),
(7284, 'PF11984', NULL, 'Protein of unknown function (DUF3485)', 204, NULL, 'DUF3485', 7284),
(7285, 'PF10963', NULL, 'Phage tail assembly chaperone', 82, NULL, 'Phage_TAC_10', 7285),
(7286, 'PF01987', NULL, 'Mitochondrial biogenesis AIM24', 202, NULL, 'AIM24', 7286),
(7287, 'PF13203', NULL, 'Putative metallopeptidase domain', 273, NULL, 'DUF2201_N', 7287),
(7288, 'PF18054', NULL, 'CEL-III C-terminal', 154, NULL, 'CEL_III_C', 7288),
(7289, 'PF03388', NULL, 'Legume-like lectin family', 230, NULL, 'Lectin_leg-like', 7289),
(7290, 'PF00169', NULL, 'PH domain', 105, NULL, 'PH', 7290),
(7291, 'PF07265', NULL, 'Tapetum specific protein TAP35/TAP44', 119, NULL, 'TAP35_44', 7291),
(7292, 'PF02216', NULL, 'B domain', 53, NULL, 'B', 7292),
(7293, 'PF02244', NULL, 'Carboxypeptidase activation peptide', 73, NULL, 'Propep_M14', 7293),
(7294, 'PF01872', NULL, 'RibD C-terminal domain', 200, NULL, 'RibD_C', 7294),
(7295, 'PF11751', NULL, 'Type IX secretion system membrane protein PorP/SprF', 273, NULL, 'PorP_SprF', 7295),
(7296, 'PF15105', NULL, 'TMEM61 protein family', 189, NULL, 'TMEM61', 7296),
(7297, 'PF09137', NULL, 'Glucodextranase, domain N', 263, NULL, 'Glucodextran_N', 7297),
(7298, 'PF03108', NULL, 'MuDR family transposase', 67, NULL, 'DBD_Tnp_Mut', 7298),
(7299, 'PF01329', NULL, 'Pterin 4 alpha carbinolamine dehydratase', 92, NULL, 'Pterin_4a', 7299),
(7300, 'PF15780', NULL, 'Abnormal spindle-like microcephaly-assoc''d, ASPM-SPD-2-Hydin', 98, NULL, 'ASH', 7300),
(7301, 'PF00112', NULL, 'Papain family cysteine protease', 218, NULL, 'Peptidase_C1', 7301),
(7302, 'PF18923', NULL, 'Domain of unknown function (DUF5673)', 66, NULL, 'DUF5673', 7302),
(7303, 'PF00252', NULL, 'Ribosomal protein L16p/L10e', 132, NULL, 'Ribosomal_L16', 7303),
(7304, 'PF11888', NULL, 'Protein of unknown function (DUF3408)', 139, NULL, 'DUF3408', 7304),
(7305, 'PF12521', NULL, 'Protein of unknown function (DUF3724)', 23, NULL, 'DUF3724', 7305),
(7306, 'PF05404', NULL, 'Translocon-associated protein, delta subunit precursor (TRAP-delta)', 162, NULL, 'TRAP-delta', 7306),
(7307, 'PF14831', NULL, 'Domain of unknown function (DUF4484)', 207, NULL, 'DUF4484', 7307),
(7308, 'PF06177', NULL, 'QueT transporter', 140, NULL, 'QueT', 7308),
(7309, 'PF18721', NULL, 'CxC6 like cysteine cluster associated with KDZ transposases', 66, NULL, 'CxC6', 7309),
(7310, 'PF07893', NULL, 'Protein of unknown function (DUF1668)', 342, NULL, 'DUF1668', 7310),
(7311, 'PF01601', NULL, 'Coronavirus spike glycoprotein S2', 519, NULL, 'CoV_S2', 7311),
(7312, 'PF17192', NULL, 'MukF middle domain', 161, NULL, 'MukF_M', 7312),
(7313, 'PF09349', NULL, 'OHCU decarboxylase', 156, NULL, 'OHCU_decarbox', 7313),
(7314, 'PF00392', NULL, 'Bacterial regulatory proteins, gntR family', 64, NULL, 'GntR', 7314),
(7315, 'PF08152', NULL, 'GUCT (NUC152) domain', 96, NULL, 'GUCT', 7315),
(7316, 'PF04577', NULL, 'Protein of unknown function (DUF563)', 209, NULL, 'DUF563', 7316),
(7317, 'PF00092', NULL, 'von Willebrand factor type A domain', 175, NULL, 'VWA', 7317),
(7318, 'PF12535', NULL, 'Hydrolase of X-linked nucleoside diphosphate N terminal', 56, NULL, 'Nudix_N', 7318);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7319, 'PF02073', NULL, 'Thermophilic metalloprotease (M29)', 406, NULL, 'Peptidase_M29', 7319),
(7320, 'PF07377', NULL, 'Protein of unknown function (DUF1493)', 111, NULL, 'DUF1493', 7320),
(7321, 'PF13463', NULL, 'Winged helix DNA-binding domain', 68, NULL, 'HTH_27', 7321),
(7322, 'PF07502', NULL, 'MANEC domain', 89, NULL, 'MANEC', 7322),
(7323, 'PF09037', NULL, 'Stf0 sulphotransferase', 244, NULL, 'Sulphotransf', 7323),
(7324, 'PF16219', NULL, 'Domain of unknown function (DUF4879)', 124, NULL, 'DUF4879', 7324),
(7325, 'PF08177', NULL, 'Small acid-soluble spore protein N family', 46, NULL, 'SspN', 7325),
(7326, 'PF17344', NULL, 'Family of unknown function (DUF5374)', 40, NULL, 'DUF5374', 7326),
(7327, 'PF00806', NULL, 'Pumilio-family RNA binding repeat', 35, NULL, 'PUF', 7327),
(7328, 'PF00620', NULL, 'RhoGAP domain', 152, NULL, 'RhoGAP', 7328),
(7329, 'PF16369', NULL, 'C-terminal lipocalin-like domain', 105, NULL, 'GH43_C', 7329),
(7330, 'PF00861', NULL, 'Ribosomal L18 of archaea, bacteria, mitoch. and chloroplast', 116, NULL, 'Ribosomal_L18p', 7330),
(7331, 'PF16498', NULL, 'SWIRM-associated domain at the C-terminal', 67, NULL, 'SWIRM-assoc_3', 7331),
(7332, 'PF04202', NULL, 'Foot protein 3', 71, NULL, 'Mfp-3', 7332),
(7333, 'PF04091', NULL, 'Exocyst complex subunit Sec15-like', 316, NULL, 'Sec15', 7333),
(7334, 'PF00859', NULL, 'CTF/NF-I family transcription modulation region', 293, NULL, 'CTF_NFI', 7334),
(7335, 'PF08491', NULL, 'Squalene epoxidase', 276, NULL, 'SE', 7335),
(7336, 'PF06061', NULL, 'Baculoviridae ME53', 330, NULL, 'Baculo_ME53', 7336),
(7337, 'PF17561', NULL, 'Type VI secretion system, TssO', 148, NULL, 'TssO', 7337),
(7338, 'PF13123', NULL, 'Protein of unknown function (DUF3978)', 144, NULL, 'DUF3978', 7338),
(7339, 'PF16399', NULL, 'Intron-binding protein aquarius N-terminus', 797, NULL, 'Aquarius_N', 7339),
(7340, 'PF11129', NULL, 'Rev protein of equine infectious anaemia virus', 134, NULL, 'EIAV_Rev', 7340),
(7341, 'PF13179', NULL, 'Family of unknown function (DUF4006)', 64, NULL, 'DUF4006', 7341),
(7342, 'PF17337', NULL, 'Galactose-inhibitable lectin 35 kDa subunit', 225, NULL, 'Gal_GalNac_35kD', 7342),
(7343, 'PF18065', NULL, 'PatG C-terminal', 115, NULL, 'PatG_C', 7343),
(7344, 'PF19067', NULL, 'Family of unknown function (DUF5763)', 39, NULL, 'DUF5763', 7344),
(7345, 'PF08359', NULL, 'YsiA-like protein, C-terminal region', 133, NULL, 'TetR_C_4', 7345),
(7346, 'PF17944', NULL, 'Arginine decarboxylase C-terminal helical extension', 50, NULL, 'Arg_decarbox_C', 7346),
(7347, 'PF13588', NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', 110, NULL, 'HSDR_N_2', 7347),
(7348, 'PF01980', NULL, 'tRNA-methyltransferase O', 119, NULL, 'TrmO', 7348),
(7349, 'PF10075', NULL, 'CSN8/PSMD8/EIF3K family', 144, NULL, 'CSN8_PSD8_EIF3K', 7349),
(7350, 'PF16734', NULL, 'Type IV pilin-like G and H, putative', 113, NULL, 'Pilin_GH', 7350),
(7351, 'PF07979', NULL, 'Intimin C-type lectin domain', 101, NULL, 'Intimin_C', 7351),
(7352, 'PF08886', NULL, 'Glutamate-cysteine ligase', 402, NULL, 'GshA', 7352),
(7353, 'PF14603', NULL, 'Helically-extended SH3 domain', 89, NULL, 'hSH3', 7353),
(7354, 'PF02217', NULL, 'Origin of replication binding protein', 94, NULL, 'T_Ag_DNA_bind', 7354),
(7355, 'PF01998', NULL, 'Protein of unknown function DUF131', 64, NULL, 'DUF131', 7355),
(7356, 'PF01644', NULL, 'Chitin synthase', 163, NULL, 'Chitin_synth_1', 7356),
(7357, 'PF05481', NULL, 'Mycobacterium 19 kDa lipoprotein antigen', 116, NULL, 'Myco_19_kDa', 7357),
(7358, 'PF06958', NULL, 'S-type Pyocin', 139, NULL, 'Pyocin_S', 7358),
(7359, 'PF10757', NULL, 'Biofilm formation regulator YbaJ', 118, NULL, 'YbaJ', 7359),
(7360, 'PF07344', NULL, 'Amastin surface glycoprotein', 155, NULL, 'Amastin', 7360),
(7361, 'PF05696', NULL, 'Protein of unknown function (DUF826)', 65, NULL, 'DUF826', 7361),
(7362, 'PF12276', NULL, 'Protein of unknown function (DUF3617)', 133, NULL, 'DUF3617', 7362),
(7363, 'PF07327', NULL, 'Neuroparsin', 103, NULL, 'Neuroparsin', 7363);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7364, 'PF09641', NULL, 'Protein of unknown function (DUF2026)', 205, NULL, 'DUF2026', 7364),
(7365, 'PF01174', NULL, 'SNO glutamine amidotransferase family', 188, NULL, 'SNO', 7365),
(7366, 'PF15073', NULL, 'Spermatogenesis-associated protein 48', 128, NULL, 'SPATA48', 7366),
(7367, 'PF03905', NULL, 'Coronavirus non-structural protein NS4', 45, NULL, 'Corona_NS4', 7367),
(7368, 'PF10232', NULL, 'Mediator of RNA polymerase II transcription complex subunit 8', 233, NULL, 'Med8', 7368),
(7369, 'PF18487', NULL, 'Thrombospondin type 1 repeat', 50, NULL, 'TSR', 7369),
(7370, 'PF07280', NULL, 'Per os infectivity factor AC110', 43, NULL, 'Ac110_PIF', 7370),
(7371, 'PF16936', NULL, 'Putative holin', 78, NULL, 'Holin_9', 7371),
(7372, 'PF16880', NULL, 'N-terminal EH-domain containing protein', 33, NULL, 'EHD_N', 7372),
(7373, 'PF05460', NULL, 'Origin recognition complex subunit 6 (ORC6)', 357, NULL, 'ORC6', 7373),
(7374, 'PF08268', NULL, 'F-box associated domain', 128, NULL, 'FBA_3', 7374),
(7375, 'PF01471', NULL, 'Putative peptidoglycan binding domain', 57, NULL, 'PG_binding_1', 7375),
(7376, 'PF03158', NULL, 'Multigene family 530 protein', 192, NULL, 'DUF249', 7376),
(7377, 'PF12870', NULL, 'Domain of unknown function (DUF4878)', 112, NULL, 'DUF4878', 7377),
(7378, 'PF15762', NULL, 'Domain of unknown function (DUF4691)', 179, NULL, 'DUF4691', 7378),
(7379, 'PF06360', NULL, 'Euplotes raikovi mating pheromone', 36, NULL, 'E_raikovi_mat', 7379),
(7380, 'PF13669', NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', 109, NULL, 'Glyoxalase_4', 7380),
(7381, 'PF17044', NULL, 'Borrelial persistence in ticks protein A', 191, NULL, 'BPTA', 7381),
(7382, 'PF12223', NULL, 'Protein of unknown function (DUF3602)', 81, NULL, 'DUF3602', 7382),
(7383, 'PF18437', NULL, 'Nup54 C-terminal interacting domain', 39, NULL, 'Nup54_C', 7383),
(7384, 'PF13529', NULL, 'Peptidase_C39 like family', 144, NULL, 'Peptidase_C39_2', 7384),
(7385, 'PF13521', NULL, 'AAA domain', 163, NULL, 'AAA_28', 7385),
(7386, 'PF07351', NULL, 'Protein of unknown function (DUF1480)', 79, NULL, 'DUF1480', 7386),
(7387, 'PF00828', NULL, 'Ribosomal proteins 50S-L15, 50S-L18e, 60S-L27A', 128, NULL, 'Ribosomal_L27A', 7387),
(7388, 'PF18394', NULL, 'TANK-binding kinase 1 coiled-coil domain 1', 256, NULL, 'TBK1_CCD1', 7388),
(7389, 'PF18749', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 3', 379, NULL, 'SNAD3', 7389),
(7390, 'PF03421', NULL, 'YopJ Serine/Threonine acetyltransferase', 177, NULL, 'Acetyltransf_14', 7390),
(7391, 'PF18792', NULL, 'Ubiquitous surface protein adhesin repeat', 13, NULL, 'UspA1_rep', 7391),
(7392, 'PF11237', NULL, 'Protein of unknown function (DUF3038)', 168, NULL, 'DUF3038', 7392),
(7393, 'PF03369', NULL, 'Herpesvirus UL3 protein', 135, NULL, 'Herpes_UL3', 7393),
(7394, 'PF16966', NULL, 'Porin-like glycoporin RafY', 363, NULL, 'Porin_8', 7394),
(7395, 'PF14372', NULL, 'Domain of unknown function (DUF4413)', 98, NULL, 'DUF4413', 7395),
(7396, 'PF08983', NULL, 'Domain of unknown function (DUF1856)', 48, NULL, 'DUF1856', 7396),
(7397, 'PF02272', NULL, 'DHHA1 domain', 138, NULL, 'DHHA1', 7397),
(7398, 'PF11872', NULL, 'Protein of unknown function (DUF3392)', 105, NULL, 'DUF3392', 7398),
(7399, 'PF05208', NULL, 'ALG3 protein', 358, NULL, 'ALG3', 7399),
(7400, 'PF17641', NULL, 'Ancylostoma-associated secreted protein related', 119, NULL, 'ASPRs', 7400),
(7401, 'PF18675', NULL, 'Heparinase II C-terminal domain', 88, NULL, 'HepII_C', 7401),
(7402, 'PF10135', NULL, 'Rod binding protein', 51, NULL, 'Rod-binding', 7402),
(7403, 'PF06476', NULL, 'Protein of unknown function (DUF1090)', 110, NULL, 'DUF1090', 7403),
(7404, 'PF17425', NULL, 'Arylsulfotransferase Ig-like domain', 89, NULL, 'Arylsulfotran_N', 7404),
(7405, 'PF19147', NULL, 'Family of unknown function (DUF5829)', 265, NULL, 'DUF5829', 7405),
(7406, 'PF12795', NULL, 'Mechanosensitive ion channel porin domain', 238, NULL, 'MscS_porin', 7406),
(7407, 'PF09305', NULL, 'TACI, cysteine-rich domain', 39, NULL, 'TACI-CRD2', 7407);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7408, 'PF13613', NULL, 'Helix-turn-helix of DDE superfamily endonuclease', 53, NULL, 'HTH_Tnp_4', 7408),
(7409, 'PF15669', NULL, 'Coiled-coil domain-containing protein 24 family', 198, NULL, 'CCDC24', 7409),
(7410, 'PF18862', NULL, 'ApeA N-terminal domain 1', 393, NULL, 'ApeA_NTD1', 7410),
(7411, 'PF05244', NULL, 'Brucella outer membrane protein 2', 240, NULL, 'Brucella_OMP2', 7411),
(7412, 'PF09631', NULL, 'Sen15 protein', 102, NULL, 'Sen15', 7412),
(7413, 'PF11596', NULL, 'Protein of unknown function (DUF3246)', 243, NULL, 'DUF3246', 7413),
(7414, 'PF14589', NULL, 'Polysulfide reductase', 265, NULL, 'NrfD_2', 7414),
(7415, 'PF12653', NULL, 'Protein of unknown function (DUF3785)', 136, NULL, 'DUF3785', 7415),
(7416, 'PF11655', NULL, 'Protein of unknown function (DUF2589)', 152, NULL, 'DUF2589', 7416),
(7417, 'PF06087', NULL, 'Tyrosyl-DNA phosphodiesterase', 421, NULL, 'Tyr-DNA_phospho', 7417),
(7418, 'PF14187', NULL, 'Domain of unknown function (DUF4310)', 209, NULL, 'DUF4310', 7418),
(7419, 'PF16334', NULL, 'Domain of unknown function (DUF4964)', 88, NULL, 'DUF4964', 7419),
(7420, 'PF00039', NULL, 'Fibronectin type I domain', 40, NULL, 'fn1', 7420),
(7421, 'PF07232', NULL, 'Putative rep protein (DUF1424)', 328, NULL, 'DUF1424', 7421),
(7422, 'PF09273', NULL, 'Rubisco LSMT substrate-binding', 129, NULL, 'Rubis-subs-bind', 7422),
(7423, 'PF00792', NULL, 'Phosphoinositide 3-kinase C2', 140, NULL, 'PI3K_C2', 7423),
(7424, 'PF14832', NULL, 'Putative oxalocrotonate tautomerase enzyme', 137, NULL, 'Tautomerase_3', 7424),
(7425, 'PF01973', NULL, 'Protein of unknown function DUF115', 171, NULL, 'MAF_flag10', 7425),
(7426, 'PF06113', NULL, 'Brain and reproductive organ-expressed protein (BRE)', 320, NULL, 'BRE', 7426),
(7427, 'PF04627', NULL, 'Mitochondrial ATP synthase epsilon chain', 49, NULL, 'ATP-synt_Eps', 7427),
(7428, 'PF19084', NULL, 'Family of unknown function (DUF5775)', 81, NULL, 'DUF5775', 7428),
(7429, 'PF00881', NULL, 'Nitroreductase family', 168, NULL, 'Nitroreductase', 7429),
(7430, 'PF18909', NULL, 'Siphovirus protein of unknown function (DUF5664)', 99, NULL, 'DUF5664', 7430),
(7431, 'PF02253', NULL, 'Phospholipase A1', 257, NULL, 'PLA1', 7431),
(7432, 'PF05401', NULL, 'Nodulation protein S (NodS)', 199, NULL, 'NodS', 7432),
(7433, 'PF13973', NULL, 'Domain of unknown function (DUF4222)', 53, NULL, 'DUF4222', 7433),
(7434, 'PF03633', NULL, 'Glycosyl hydrolase family 65, C-terminal domain', 51, NULL, 'Glyco_hydro_65C', 7434),
(7435, 'PF05231', NULL, 'MASE1', 300, NULL, 'MASE1', 7435),
(7436, 'PF06434', NULL, 'Aconitate hydratase 2 N-terminus', 204, NULL, 'Aconitase_2_N', 7436),
(7437, 'PF05548', NULL, 'Gametolysin peptidase M11', 314, NULL, 'Peptidase_M11', 7437),
(7438, 'PF09429', NULL, 'WW domain binding protein 11', 78, NULL, 'Wbp11', 7438),
(7439, 'PF03344', NULL, 'Daxx N-terminal Rassf1C-interacting domain', 99, NULL, 'Daxx', 7439),
(7440, 'PF10696', NULL, 'Protein of unknown function (DUF2501)', 78, NULL, 'DUF2501', 7440),
(7441, 'PF15694', NULL, 'Mediator complex subunit 26 middle domain', 255, NULL, 'Med26_M', 7441),
(7442, 'PF09790', NULL, 'Hyccin', 324, NULL, 'Hyccin', 7442),
(7443, 'PF16833', NULL, 'Erythroid krueppel-like transcription factor, transactivation 2', 27, NULL, 'EKLF_TAD2', 7443),
(7444, 'PF08457', NULL, 'Sfi1 spindle body protein', 570, NULL, 'Sfi1', 7444),
(7445, 'PF08019', NULL, 'Phosphoethanolamine transferase EptA/EptB', 152, NULL, 'EptA_B_N', 7445),
(7446, 'PF16137', NULL, 'Domain of unknown function (DUF4845)', 85, NULL, 'DUF4845', 7446),
(7447, 'PF16453', NULL, 'PH domain', 135, NULL, 'IQ_SEC7_PH', 7447),
(7448, 'PF11820', NULL, 'Protein of unknown function (DUF3339)', 67, NULL, 'DUF3339', 7448),
(7449, 'PF08904', NULL, 'EipB-like', 248, NULL, 'EipB_like', 7449),
(7450, 'PF18913', NULL, 'Fructose-1-6-bisphosphatase, C-terminal domain', 131, NULL, 'FBPase_C', 7450),
(7451, 'PF16291', NULL, 'Domain of unknown function (DUF4937', 89, NULL, 'DUF4937', 7451);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7452, 'PF16984', NULL, 'Group 7 allergen', 180, NULL, 'Grp7_allergen', 7452),
(7453, 'PF01040', NULL, 'UbiA prenyltransferase family', 251, NULL, 'UbiA', 7453),
(7454, 'PF16297', NULL, 'Domain of unknown function (DUF4939)', 114, NULL, 'DUF4939', 7454),
(7455, 'PF03188', NULL, 'Eukaryotic cytochrome b561', 137, NULL, 'Cytochrom_B561', 7455),
(7456, 'PF00564', NULL, 'PB1 domain', 84, NULL, 'PB1', 7456),
(7457, 'PF06404', NULL, 'Phytosulfokine precursor protein (PSK)', 90, NULL, 'PSK', 7457),
(7458, 'PF02820', NULL, 'mbt repeat', 69, NULL, 'MBT', 7458),
(7459, 'PF10018', NULL, 'Vitamin-D-receptor interacting Mediator subunit 4', 194, NULL, 'Med4', 7459),
(7460, 'PF07691', NULL, 'PA14 domain', 147, NULL, 'PA14', 7460),
(7461, 'PF05844', NULL, 'YopD protein', 297, NULL, 'YopD', 7461),
(7462, 'PF12135', NULL, 'Plasmodium repeat family', 25, NULL, 'Plasmo_rep', 7462),
(7463, 'PF13430', NULL, 'Domain of unknown function (DUF4112)', 105, NULL, 'DUF4112', 7463),
(7464, 'PF14380', NULL, 'Wall-associated receptor kinase C-terminal', 105, NULL, 'WAK_assoc', 7464),
(7465, 'PF01783', NULL, 'Ribosomal L32p protein family', 56, NULL, 'Ribosomal_L32p', 7465),
(7466, 'PF06469', NULL, 'Domain of Unknown Function (DUF1088)', 168, NULL, 'DUF1088', 7466),
(7467, 'PF16394', NULL, 'Domain of unknown function (DUF5003)', 316, NULL, 'DUF5003', 7467),
(7468, 'PF11726', NULL, 'Inovirus Gp2', 179, NULL, 'Inovirus_Gp2', 7468),
(7469, 'PF17295', NULL, 'Domain of unknown function (DUF5348)', 70, NULL, 'DUF5348', 7469),
(7470, 'PF08065', NULL, 'KI67R (NUC007) repeat', 112, NULL, 'KI67R', 7470),
(7471, 'PF03927', NULL, 'NapD protein', 76, NULL, 'NapD', 7471),
(7472, 'PF08099', NULL, 'Scorpion calcine family', 33, NULL, 'Toxin_27', 7472),
(7473, 'PF16466', NULL, 'Domain of unknown function (DUF5047)', 134, NULL, 'DUF5047', 7473),
(7474, 'PF02010', NULL, 'REJ domain', 451, NULL, 'REJ', 7474),
(7475, 'PF13044', NULL, 'Fusion glycoprotein F0, Isavirus', 436, NULL, 'Fusion_F0', 7475),
(7476, 'PF15071', NULL, 'Transmembrane family 220, helix', 101, NULL, 'TMEM220', 7476),
(7477, 'PF08277', NULL, 'PAN-like domain', 71, NULL, 'PAN_3', 7477),
(7478, 'PF11458', NULL, 'Membrane-integrating protein Mistic', 74, NULL, 'Mistic', 7478),
(7479, 'PF17071', NULL, 'Outer capsid protein VP7', 276, NULL, 'Capsid_VP7', 7479),
(7480, 'PF10052', NULL, 'Protein of unknown function (DUF2288)', 91, NULL, 'DUF2288', 7480),
(7481, 'PF16911', NULL, 'Phthiocerol/phthiodiolone dimycocerosyl transferase C-terminus', 122, NULL, 'PapA_C', 7481),
(7482, 'PF02638', NULL, 'Glycosyl hydrolase-like 10', 311, NULL, 'GHL10', 7482),
(7483, 'PF02049', NULL, 'Flagellar hook-basal body complex protein FliE', 89, NULL, 'FliE', 7483),
(7484, 'PF14434', NULL, 'Immunity protein Imm6', 121, NULL, 'Imm6', 7484),
(7485, 'PF06683', NULL, 'Protein of unknown function (DUF1184)', 203, NULL, 'DUF1184', 7485),
(7486, 'PF09398', NULL, 'FOP N terminal dimerisation domain', 81, NULL, 'FOP_dimer', 7486),
(7487, 'PF17822', NULL, 'Family of unknown function (DUF5584)', 230, NULL, 'DUF5584', 7487),
(7488, 'PF16169', NULL, 'Domain of unknown function (DUF4872)', 174, NULL, 'DUF4872', 7488),
(7489, 'PF09722', NULL, 'Protein of unknown function (DUF2384)', 51, NULL, 'DUF2384', 7489),
(7490, 'PF02183', NULL, 'Homeobox associated leucine zipper', 43, NULL, 'HALZ', 7490),
(7491, 'PF10572', NULL, 'UPF0556 domain', 132, NULL, 'UPF0556', 7491),
(7492, 'PF14093', NULL, 'Domain of unknown function (DUF4271)', 207, NULL, 'DUF4271', 7492),
(7493, 'PF13547', NULL, 'GTA TIM-barrel-like domain', 299, NULL, 'GTA_TIM', 7493),
(7494, 'PF03263', NULL, 'Cucumovirus protein 2B', 105, NULL, 'Cucumo_2B', 7494),
(7495, 'PF04680', NULL, 'Opioid growth factor receptor repeat', 20, NULL, 'OGFr_III', 7495),
(7496, 'PF04108', NULL, 'Autophagy protein Apg17', 396, NULL, 'APG17', 7496),
(7497, 'PF09460', NULL, 'Saf-pilin pilus formation protein', 144, NULL, 'Saf-Nte_pilin', 7497),
(7498, 'PF00840', NULL, 'Glycosyl hydrolase family 7', 434, NULL, 'Glyco_hydro_7', 7498);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7499, 'PF01570', NULL, 'Flavivirus polyprotein propeptide', 85, NULL, 'Flavi_propep', 7499),
(7500, 'PF06348', NULL, 'Protein of unknown function (DUF1059)', 56, NULL, 'DUF1059', 7500),
(7501, 'PF02440', NULL, 'Adenovirus E3 region protein CR1', 95, NULL, 'Adeno_E3_CR1', 7501),
(7502, 'PF00302', NULL, 'Chloramphenicol acetyltransferase', 203, NULL, 'CAT', 7502),
(7503, 'PF09265', NULL, 'Cytokinin dehydrogenase 1, FAD and cytokinin binding', 281, NULL, 'Cytokin-bind', 7503),
(7504, 'PF06342', NULL, 'Alpha/beta hydrolase of unknown function (DUF1057)', 297, NULL, 'DUF1057', 7504),
(7505, 'PF14723', NULL, 'Sperm-specific antigen 2 C-terminus', 169, NULL, 'SSFA2_C', 7505),
(7506, 'PF04862', NULL, 'Protein of unknown function (DUF642)', 157, NULL, 'DUF642', 7506),
(7507, 'PF18750', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 4', 116, NULL, 'SNAD4', 7507),
(7508, 'PF12319', NULL, 'Tryptophan-Threonine-rich plasmodium antigen C terminal', 216, NULL, 'TryThrA_C', 7508),
(7509, 'PF13358', NULL, 'DDE superfamily endonuclease', 146, NULL, 'DDE_3', 7509),
(7510, 'PF07731', NULL, 'Multicopper oxidase', 137, NULL, 'Cu-oxidase_2', 7510),
(7511, 'PF07386', NULL, 'Protein of unknown function (DUF1499)', 123, NULL, 'DUF1499', 7511),
(7512, 'PF17180', NULL, 'Zinc-binding domain', 74, NULL, 'zf-3CxxC_2', 7512),
(7513, 'PF00829', NULL, 'Ribosomal prokaryotic L21 protein', 100, NULL, 'Ribosomal_L21p', 7513),
(7514, 'PF01717', NULL, 'Cobalamin-independent synthase, Catalytic domain', 324, NULL, 'Meth_synt_2', 7514),
(7515, 'PF04194', NULL, 'Programmed cell death protein 2, C-terminal putative domain', 176, NULL, 'PDCD2_C', 7515),
(7516, 'PF11162', NULL, 'Protein of unknown function (DUF2946)', 115, NULL, 'DUF2946', 7516),
(7517, 'PF15634', NULL, 'HYE1 signature containing ADP-ribosyltransferase', 282, NULL, 'Tox-ART-HYE1', 7517),
(7518, 'PF03576', NULL, 'Peptidase family S58', 304, NULL, 'Peptidase_S58', 7518),
(7519, 'PF11504', NULL, 'Colicin Ia', 72, NULL, 'Colicin_Ia', 7519),
(7520, 'PF08989', NULL, 'Domain of unknown function (DUF1896)', 142, NULL, 'DUF1896', 7520),
(7521, 'PF05415', NULL, 'Beet necrotic yellow vein furovirus-type papain-like endopeptidase', 104, NULL, 'Peptidase_C36', 7521),
(7522, 'PF07364', NULL, 'Metallopeptidase family M81', 288, NULL, 'DUF1485', 7522),
(7523, 'PF13698', NULL, 'Domain of unknown function (DUF4156)', 92, NULL, 'DUF4156', 7523),
(7524, 'PF02838', NULL, 'Glycosyl hydrolase family 20, domain 2', 124, NULL, 'Glyco_hydro_20b', 7524),
(7525, 'PF17654', NULL, 'Selenocysteine tRNA 1 associated proteins', 110, NULL, 'Trnau1ap', 7525),
(7526, 'PF15146', NULL, 'Fanconi anemia-associated', 439, NULL, 'FANCAA', 7526),
(7527, 'PF12543', NULL, 'Protein of unknown function (DUF3738)', 189, NULL, 'DUF3738', 7527),
(7528, 'PF09483', NULL, 'Type III secretion protein (HpaP)', 90, NULL, 'HpaP', 7528),
(7529, 'PF02290', NULL, 'Signal recognition particle 14kD protein', 108, NULL, 'SRP14', 7529),
(7530, 'PF08333', NULL, 'Protein of unknown function (DUF1725)', 19, NULL, 'DUF1725', 7530),
(7531, 'PF16226', NULL, 'Domain of unknown function (DUF4885)', 325, NULL, 'DUF4885', 7531),
(7532, 'PF17972', NULL, 'Bacterial Alpha-2-macroglobulin MG5 domain', 127, NULL, 'bMG5', 7532),
(7533, 'PF04521', NULL, 'ssRNA positive strand viral 18kD cysteine rich protein', 122, NULL, 'Viral_P18', 7533),
(7534, 'PF17879', NULL, 'DNA ligase C-terminal domain', 109, NULL, 'DNA_ligase_C', 7534),
(7535, 'PF09674', NULL, 'Protein of unknown function (DUF2400)', 227, NULL, 'DUF2400', 7535),
(7536, 'PF13105', NULL, 'Protein of unknown function (DUF3959)', 241, NULL, 'DUF3959', 7536),
(7537, 'PF02074', NULL, 'Carboxypeptidase Taq (M32) metallopeptidase', 488, NULL, 'Peptidase_M32', 7537),
(7538, 'PF08201', NULL, 'BssC/TutF protein', 56, NULL, 'BssC_TutF', 7538),
(7539, 'PF13959', NULL, 'Domain of unknown function (DUF4217)', 63, NULL, 'DUF4217', 7539),
(7540, 'PF03052', NULL, 'Adenoviral protein L1 52/55-kDa', 201, NULL, 'Adeno_52K', 7540);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7541, 'PF08104', NULL, 'Ponericin L family', 24, NULL, 'Antimicrobial_9', 7541),
(7542, 'PF17002', NULL, 'Domain of unknown function (DUF5089)', 193, NULL, 'DUF5089', 7542),
(7543, 'PF10185', NULL, 'Chaperone for wingless signalling and trafficking of LDL receptor', 155, NULL, 'Mesd', 7543),
(7544, 'PF15233', NULL, 'Synaptonemal complex central element protein 1', 152, NULL, 'SYCE1', 7544),
(7545, 'PF12489', NULL, 'Nuclear coactivator', 131, NULL, 'ARA70', 7545),
(7546, 'PF08641', NULL, 'Kinetochore protein Mis14 like', 133, NULL, 'Mis14', 7546),
(7547, 'PF02811', NULL, 'PHP domain', 167, NULL, 'PHP', 7547),
(7548, 'PF08250', NULL, 'Sperm-activating peptides', 10, NULL, 'Sperm_act_pep', 7548),
(7549, 'PF07826', NULL, 'IMP cyclohydrolase-like protein', 194, NULL, 'IMP_cyclohyd', 7549),
(7550, 'PF14624', NULL, 'VWA / Hh  protein intein-like', 70, NULL, 'Vwaint', 7550),
(7551, 'PF04479', NULL, 'RTA1 like protein', 206, NULL, 'RTA1', 7551),
(7552, 'PF09114', NULL, 'Transcription factor MotA, activation domain', 95, NULL, 'MotA_activ', 7552),
(7553, 'PF15140', NULL, 'Domain of unknown function (DUF4573)', 176, NULL, 'DUF4573', 7553),
(7554, 'PF12073', NULL, 'Protein of unknown function (DUF3553)', 50, NULL, 'DUF3553', 7554),
(7555, 'PF13516', NULL, 'Leucine Rich repeat', 24, NULL, 'LRR_6', 7555),
(7556, 'PF08870', NULL, 'DNA sulphur modification protein DndE', 112, NULL, 'DndE', 7556),
(7557, 'PF02689', NULL, 'Helicase', 809, NULL, 'Herpes_Helicase', 7557),
(7558, 'PF03879', NULL, 'Cgr1 family', 108, NULL, 'Cgr1', 7558),
(7559, 'PF15382', NULL, 'Domain of unknown function (DUF4609)', 68, NULL, 'DUF4609', 7559),
(7560, 'PF13650', NULL, 'Aspartyl protease', 90, NULL, 'Asp_protease_2', 7560),
(7561, 'PF03254', NULL, 'Xyloglucan fucosyltransferase', 487, NULL, 'XG_FTase', 7561),
(7562, 'PF11603', NULL, 'Regulatory protein Sir1', 120, NULL, 'Sir1', 7562),
(7563, 'PF18387', NULL, 'Zinc-fingers and homeoboxes C2H2 finger domain', 53, NULL, 'zf_C2H2_ZHX', 7563),
(7564, 'PF06176', NULL, 'Lipopolysaccharide core biosynthesis protein (WaaY)', 229, NULL, 'WaaY', 7564),
(7565, 'PF03580', NULL, 'Herpesvirus UL14-like protein', 146, NULL, 'Herpes_UL14', 7565),
(7566, 'PF18800', NULL, 'Attenuator of Hedgehog', 141, NULL, 'Atthog', 7566),
(7567, 'PF09923', NULL, 'Uncharacterized protein conserved in bacteria (DUF2155)', 92, NULL, 'DUF2155', 7567),
(7568, 'PF14580', NULL, 'Leucine-rich repeat', 175, NULL, 'LRR_9', 7568),
(7569, 'PF18110', NULL, 'BRCC36 C-terminal helical domain', 81, NULL, 'BRCC36_C', 7569),
(7570, 'PF03826', NULL, 'OAR motif', 19, NULL, 'OAR', 7570),
(7571, 'PF01261', NULL, 'Xylose isomerase-like TIM barrel', 250, NULL, 'AP_endonuc_2', 7571),
(7572, 'PF01754', NULL, 'A20-like zinc finger', 24, NULL, 'zf-A20', 7572),
(7573, 'PF01480', NULL, 'PWI domain', 72, NULL, 'PWI', 7573),
(7574, 'PF12528', NULL, 'Type II secretion prepilin peptidase dependent protein C', 81, NULL, 'T2SSppdC', 7574),
(7575, 'PF17882', NULL, 'OAA-family lectin sugar binding domain', 77, NULL, 'SBD', 7575),
(7576, 'PF05624', NULL, 'Lipolysis stimulated receptor (LSR)', 48, NULL, 'LSR', 7576),
(7577, 'PF05323', NULL, 'Poxvirus A21 Protein', 111, NULL, 'Pox_A21', 7577),
(7578, 'PF18789', NULL, 'Defence against restriction A C-terminal', 70, NULL, 'DarA_C', 7578),
(7579, 'PF15505', NULL, 'Domain of unknown function (DUF4648)', 80, NULL, 'DUF4648', 7579),
(7580, 'PF13616', NULL, 'PPIC-type PPIASE domain', 116, NULL, 'Rotamase_3', 7580),
(7581, 'PF07811', NULL, 'TadE-like protein', 43, NULL, 'TadE', 7581),
(7582, 'PF11929', NULL, 'Domain of unknown function (DUF3447)', 76, NULL, 'DUF3447', 7582),
(7583, 'PF03342', NULL, 'Rhabdovirus M1 matrix protein (M1 polymerase-associated protein)', 227, NULL, 'Rhabdo_M1', 7583),
(7584, 'PF03549', NULL, 'Translocated intimin receptor (Tir) intimin-binding domain', 66, NULL, 'Tir_receptor_M', 7584),
(7585, 'PF18220', NULL, 'Adhesin BspA variable domain', 150, NULL, 'BspA_v', 7585),
(7586, 'PF10801', NULL, 'Protein of unknown function (DUF2537)', 80, NULL, 'DUF2537', 7586);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7587, 'PF16928', NULL, 'DNA/protein translocase of phage P22 injectosome', 218, NULL, 'Inj_translocase', 7587),
(7588, 'PF18799', NULL, 'Large polyvalent protein-associated domain 5', 146, NULL, 'LPD5', 7588),
(7589, 'PF17182', NULL, 'OSK domain', 202, NULL, 'OSK', 7589),
(7590, 'PF04074', NULL, 'YhcH/YjgK/YiaL', 148, NULL, 'DUF386', 7590),
(7591, 'PF03330', NULL, 'Lytic transglycolase', 83, NULL, 'DPBB_1', 7591),
(7592, 'PF17617', NULL, 'Viral unique short region 10', 161, NULL, 'US10', 7592),
(7593, 'PF01323', NULL, 'DSBA-like thioredoxin domain', 193, NULL, 'DSBA', 7593),
(7594, 'PF05382', NULL, 'Bacteriophage peptidoglycan hydrolase', 142, NULL, 'Amidase_5', 7594),
(7595, 'PF10104', NULL, 'Di-sulfide bridge nucleocytoplasmic transport domain', 133, NULL, 'Brr6_like_C_C', 7595),
(7596, 'PF11641', NULL, 'Glycosylphosphatidylinositol-anchored merozoite surface protein', 224, NULL, 'Antigen_Bd37', 7596),
(7597, 'PF11140', NULL, 'Protein of unknown function (DUF2913)', 207, NULL, 'DUF2913', 7597),
(7598, 'PF12226', NULL, 'Turkey astrovirus capsid protein', 363, NULL, 'Astro_capsid_p', 7598),
(7599, 'PF16046', NULL, 'FAM76 protein', 300, NULL, 'FAM76', 7599),
(7600, 'PF00846', NULL, 'Hantavirus nucleocapsid protein', 429, NULL, 'Hanta_nucleocap', 7600),
(7601, 'PF19089', NULL, 'Membrane bound beta barrel domain (DUF5777)', 245, NULL, 'DUF5777', 7601),
(7602, 'PF08580', NULL, 'Yeast cortical protein KAR9', 683, NULL, 'KAR9', 7602),
(7603, 'PF08594', NULL, 'Uncharacterised protein family (UPF0300)', 212, NULL, 'UPF0300', 7603),
(7604, 'PF09958', NULL, 'Uncharacterized protein conserved in archaea (DUF2192)', 229, NULL, 'DUF2192', 7604),
(7605, 'PF12390', NULL, 'Selenocysteine synthase N terminal', 40, NULL, 'Se-cys_synth_N', 7605),
(7606, 'PF08793', NULL, '2-cysteine adaptor domain', 35, NULL, '2C_adapt', 7606),
(7607, 'PF12994', NULL, 'Domain of unknown function, E. rectale Gene description (DUF3878)', 300, NULL, 'DUF3878', 7607),
(7608, 'PF00732', NULL, 'GMC oxidoreductase', 296, NULL, 'GMC_oxred_N', 7608),
(7609, 'PF17194', NULL, 'Transcriptional regulator, AbiEi antitoxin N-terminal domain', 93, NULL, 'AbiEi_3_N', 7609),
(7610, 'PF14321', NULL, 'Domain of unknown function (DUF4382)', 138, NULL, 'DUF4382', 7610),
(7611, 'PF00964', NULL, 'Elicitin', 88, NULL, 'Elicitin', 7611),
(7612, 'PF06335', NULL, 'Protein of unknown function (DUF1054)', 198, NULL, 'DUF1054', 7612),
(7613, 'PF01666', NULL, 'DX module', 76, NULL, 'DX', 7613),
(7614, 'PF14423', NULL, 'Immunity protein Imm5', 185, NULL, 'Imm5', 7614),
(7615, 'PF14448', NULL, 'Nuclease N terminal', 58, NULL, 'Nuc_N', 7615),
(7616, 'PF14015', NULL, 'Protein of unknown function (DUF4231)', 105, NULL, 'DUF4231', 7616),
(7617, 'PF09621', NULL, 'Type III secretion system regulator (LcrR)', 138, NULL, 'LcrR', 7617),
(7618, 'PF01127', NULL, 'Succinate dehydrogenase/Fumarate reductase transmembrane subunit', 121, NULL, 'Sdh_cyt', 7618),
(7619, 'PF08566', NULL, 'Mitochondrial import protein Pam17', 165, NULL, 'Pam17', 7619),
(7620, 'PF15834', NULL, 'Testis highly expressed protein 4', 201, NULL, 'THEG4', 7620),
(7621, 'PF01851', NULL, 'Proteasome/cyclosome repeat', 35, NULL, 'PC_rep', 7621),
(7622, 'PF06320', NULL, 'GCN5-like protein 1 (GCN5L1)', 114, NULL, 'GCN5L1', 7622),
(7623, 'PF10445', NULL, 'Protein of unknown function (DUF2456)', 95, NULL, 'DUF2456', 7623),
(7624, 'PF14657', NULL, 'Arm DNA-binding domain', 46, NULL, 'Arm-DNA-bind_4', 7624),
(7625, 'PF10541', NULL, 'Nuclear envelope localisation domain', 58, NULL, 'KASH', 7625),
(7626, 'PF19226', NULL, 'DisA glycoprotein', 368, NULL, 'DisA', 7626),
(7627, 'PF05060', NULL, 'N-acetylglucosaminyltransferase II (MGAT2)', 350, NULL, 'MGAT2', 7627),
(7628, 'PF00602', NULL, 'Influenza RNA-dependent RNA polymerase subunit PB1', 732, NULL, 'Flu_PB1', 7628),
(7629, 'PF13740', NULL, 'ACT domain', 76, NULL, 'ACT_6', 7629),
(7630, 'PF00060', NULL, 'Ligand-gated ion channel', 149, NULL, 'Lig_chan', 7630);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7631, 'PF17587', NULL, 'Discriminator of mRNA degradation', 60, NULL, 'Dmd', 7631),
(7632, 'PF09467', NULL, 'Hypothetical protein Yopt', 71, NULL, 'Yopt', 7632),
(7633, 'PF03122', NULL, 'Herpes virus major capsid protein', 1370, NULL, 'Herpes_MCP', 7633),
(7634, 'PF14963', NULL, 'Calcium signal-modulating cyclophilin ligand', 270, NULL, 'CAML', 7634),
(7635, 'PF01235', NULL, 'Sodium:alanine symporter family', 393, NULL, 'Na_Ala_symp', 7635),
(7636, 'PF03766', NULL, 'Remorin, N-terminal region', 54, NULL, 'Remorin_N', 7636),
(7637, 'PF01371', NULL, 'Trp repressor protein', 88, NULL, 'Trp_repressor', 7637),
(7638, 'PF03256', NULL, 'Anaphase-promoting complex, subunit 10 (APC10)', 185, NULL, 'ANAPC10', 7638),
(7639, 'PF10841', NULL, 'Protein of unknown function (DUF2644)', 59, NULL, 'DUF2644', 7639),
(7640, 'PF05507', NULL, 'Microfibril-associated glycoprotein (MAGP)', 134, NULL, 'MAGP', 7640),
(7641, 'PF14815', NULL, 'NUDIX domain', 110, NULL, 'NUDIX_4', 7641),
(7642, 'PF16083', NULL, 'LydA holin phage, holin superfamily III', 78, NULL, 'Phage_holin_3_3', 7642),
(7643, 'PF12902', NULL, 'Ferritin-like', 222, NULL, 'Ferritin-like', 7643),
(7644, 'PF08542', NULL, 'Replication factor C C-terminal domain', 88, NULL, 'Rep_fac_C', 7644),
(7645, 'PF08681', NULL, 'Protein of unknown function (DUF1778)', 80, NULL, 'DUF1778', 7645),
(7646, 'PF00319', NULL, 'SRF-type transcription factor (DNA-binding and dimerisation domain)', 48, NULL, 'SRF-TF', 7646),
(7647, 'PF04817', NULL, 'Umbravirus long distance movement (LDM) family', 231, NULL, 'Umbravirus_LDM', 7647),
(7648, 'PF10257', NULL, 'Retinoic acid induced 16-like protein', 360, NULL, 'RAI16-like', 7648),
(7649, 'PF16534', NULL, 'Ubiquitin-like oligomerisation domain of SATB', 109, NULL, 'ULD', 7649),
(7650, 'PF00781', NULL, 'Diacylglycerol kinase catalytic domain', 126, NULL, 'DAGK_cat', 7650),
(7651, 'PF05512', NULL, 'AWPM-19-like family', 142, NULL, 'AWPM-19', 7651),
(7652, 'PF02624', NULL, 'YcaO cyclodehydratase, ATP-ad Mg2+-binding', 322, NULL, 'YcaO', 7652),
(7653, 'PF06623', NULL, 'MHC_I C-terminus', 28, NULL, 'MHC_I_C', 7653),
(7654, 'PF19140', NULL, 'Family of unknown function (DUF5823)', 178, NULL, 'DUF5823', 7654),
(7655, 'PF15134', NULL, 'Domain of unknown function (DUF4570)', 110, NULL, 'DUF4570', 7655),
(7656, 'PF06181', NULL, 'Urate oxidase N-terminal', 297, NULL, 'Urate_ox_N', 7656),
(7657, 'PF13010', NULL, 'Primase helical domain', 136, NULL, 'pRN1_helical', 7657),
(7658, 'PF13960', NULL, 'Domain of unknown function (DUF4218)', 114, NULL, 'DUF4218', 7658),
(7659, 'PF07161', NULL, 'LppX_LprAFG lipoprotein', 192, NULL, 'LppX_LprAFG', 7659),
(7660, 'PF01722', NULL, 'BolA-like protein', 77, NULL, 'BolA', 7660),
(7661, 'PF12505', NULL, 'Protein of unknown function (DUF3712)', 125, NULL, 'DUF3712', 7661),
(7662, 'PF15288', NULL, 'Zinc knuckle', 40, NULL, 'zf-CCHC_6', 7662),
(7663, 'PF02376', NULL, 'CUT domain', 79, NULL, 'CUT', 7663),
(7664, 'PF12810', NULL, 'Glycine rich protein', 241, NULL, 'Gly_rich', 7664),
(7665, 'PF10961', NULL, 'Selenoprotein SelK_SelG', 86, NULL, 'SelK_SelG', 7665),
(7666, 'PF01384', NULL, 'Phosphate transporter family', 364, NULL, 'PHO4', 7666),
(7667, 'PF02706', NULL, 'Chain length determinant protein', 92, NULL, 'Wzz', 7667),
(7668, 'PF14868', NULL, 'Domain of unknown function (DUF4487)', 560, NULL, 'DUF4487', 7668),
(7669, 'PF10843', NULL, 'Respiratory growth induced protein 1', 194, NULL, 'RGI1', 7669),
(7670, 'PF15180', NULL, 'Neuropeptides B and W', 116, NULL, 'NPBW', 7670),
(7671, 'PF10880', NULL, 'Protein of unknown function (DUF2673)', 82, NULL, 'DUF2673', 7671),
(7672, 'PF10082', NULL, 'Putative beta-barrel porin 2', 378, NULL, 'BBP2_2', 7672),
(7673, 'PF03589', NULL, 'Antitermination protein', 87, NULL, 'Antiterm', 7673),
(7674, 'PF08436', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase C-terminal domain', 84, NULL, 'DXP_redisom_C', 7674),
(7675, 'PF15887', NULL, 'Putative zinc-binding metallo-peptidase', 235, NULL, 'Peptidase_Mx', 7675);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7676, 'PF14898', NULL, 'Domain of unknown function (DUF4491)', 92, NULL, 'DUF4491', 7676),
(7677, 'PF17401', NULL, 'Family of unknown function (DUF5407)', 74, NULL, 'DUF5407', 7677),
(7678, 'PF17940', NULL, 'Tetracyclin repressor-like, C-terminal domain', 107, NULL, 'TetR_C_31', 7678),
(7679, 'PF18806', NULL, 'Importin 13 repeat', 75, NULL, 'Importin_rep_3', 7679),
(7680, 'PF04956', NULL, 'TrbC/VIRB2 pilin', 99, NULL, 'TrbC', 7680),
(7681, 'PF15252', NULL, 'Domain of unknown function (DUF4589)', 242, NULL, 'DUF4589', 7681),
(7682, 'PF05391', NULL, 'Lsm interaction motif', 19, NULL, 'Lsm_interact', 7682),
(7683, 'PF00166', NULL, 'Chaperonin 10 Kd subunit', 93, NULL, 'Cpn10', 7683),
(7684, 'PF15577', NULL, 'Spc7_C2', 62, NULL, 'Spc7_C2', 7684),
(7685, 'PF09836', NULL, 'Putative DNA-binding domain', 85, NULL, 'DUF2063', 7685),
(7686, 'PF14471', NULL, 'Domain of unknown function (DUF4428)', 51, NULL, 'DUF4428', 7686),
(7687, 'PF07964', NULL, 'Rec10 / Red1', 754, NULL, 'Red1', 7687),
(7688, 'PF00253', NULL, 'Ribosomal protein S14p/S29e', 54, NULL, 'Ribosomal_S14', 7688),
(7689, 'PF08614', NULL, 'Autophagy protein 16 (ATG16)', 200, NULL, 'ATG16', 7689),
(7690, 'PF09612', NULL, 'Bacterial protein of unknown function (HtrL_YibB)', 267, NULL, 'HtrL_YibB', 7690),
(7691, 'PF11550', NULL, 'Intracellular growth locus C protein', 211, NULL, 'IglC', 7691),
(7692, 'PF06138', NULL, 'Chordopoxvirus E11 protein', 128, NULL, 'Chordopox_E11', 7692),
(7693, 'PF02755', NULL, 'RPEL repeat', 24, NULL, 'RPEL', 7693),
(7694, 'PF09719', NULL, 'Putative redox-active protein (C_GCAxxG_C_C)', 119, NULL, 'C_GCAxxG_C_C', 7694),
(7695, 'PF02582', NULL, 'Uncharacterised ACR, YagE family COG1723', 176, NULL, 'DUF155', 7695),
(7696, 'PF03037', NULL, 'Kinetoplastid membrane protein 11', 90, NULL, 'KMP11', 7696),
(7697, 'PF16557', NULL, 'CUT1-like DNA-binding domain of SATB', 72, NULL, 'CUTL', 7697),
(7698, 'PF14818', NULL, 'Domain of unknown function (DUF4482)', 138, NULL, 'DUF4482', 7698),
(7699, 'PF05540', NULL, 'Serpulina hyodysenteriae variable surface protein', 395, NULL, 'Serpulina_VSP', 7699),
(7700, 'PF09193', NULL, 'Cholecystokinin A receptor, N-terminal', 47, NULL, 'CholecysA-Rec_N', 7700),
(7701, 'PF09032', NULL, 'Siah interacting protein, N terminal', 78, NULL, 'Siah-Interact_N', 7701),
(7702, 'PF06201', NULL, 'PITH domain', 151, NULL, 'PITH', 7702),
(7703, 'PF01548', NULL, 'Transposase', 155, NULL, 'DEDD_Tnp_IS110', 7703),
(7704, 'PF04589', NULL, 'RFX1 transcription activation region', 161, NULL, 'RFX1_trans_act', 7704),
(7705, 'PF03763', NULL, 'Remorin, C-terminal region', 107, NULL, 'Remorin_C', 7705),
(7706, 'PF11998', NULL, 'Low psii accumulation1 / Rep27', 79, NULL, 'DUF3493', 7706),
(7707, 'PF10802', NULL, 'Protein of unknown function (DUF2540)', 75, NULL, 'DUF2540', 7707),
(7708, 'PF04561', NULL, 'RNA polymerase Rpb2, domain 2', 190, NULL, 'RNA_pol_Rpb2_2', 7708),
(7709, 'PF16010', NULL, 'Cytochrome domain of cellobiose dehydrogenase', 182, NULL, 'CDH-cyt', 7709),
(7710, 'PF15947', NULL, 'Domain of unknown function (DUF4755)', 128, NULL, 'DUF4755', 7710),
(7711, 'PF16185', NULL, 'Mitochondrial ABC-transporter N-terminal five TM region', 244, NULL, 'MTABC_N', 7711),
(7712, 'PF12696', NULL, 'TraM recognition site of TraD and TraG', 126, NULL, 'TraG-D_C', 7712),
(7713, 'PF18466', NULL, 'Glutamate--tRNA ligase N-terminal domain', 55, NULL, 'GluRS_N', 7713),
(7714, 'PF07557', NULL, 'Shugoshin C terminus', 25, NULL, 'Shugoshin_C', 7714),
(7715, 'PF15227', NULL, 'zinc finger of C3HC4-type, RING', 42, NULL, 'zf-C3HC4_4', 7715),
(7716, 'PF15892', NULL, 'BNR repeat-containing family member', 272, NULL, 'BNR_4', 7716),
(7717, 'PF15141', NULL, 'Ubiquinol-cytochrome-c reductase complex assembly factor 3', 87, NULL, 'UQCC3', 7717),
(7718, 'PF16330', NULL, 'MukB hinge domain', 167, NULL, 'MukB_hinge', 7718),
(7719, 'PF16462', NULL, 'Phage tail assembly chaperone protein, TAC', 113, NULL, 'Phage_TAC_14', 7719),
(7720, 'PF17009', NULL, 'Domain of unknown function (DUF5090)', 188, NULL, 'DUF5090', 7720);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7721, 'PF16156', NULL, 'Domain of unknown function (DUF4864)', 101, NULL, 'DUF4864', 7721),
(7722, 'PF09199', NULL, 'Staphylococcal superantigen-like OB-fold domain', 84, NULL, 'SSL_OB', 7722),
(7723, 'PF07749', NULL, 'Endoplasmic reticulum protein ERp29, C-terminal domain', 95, NULL, 'ERp29', 7723),
(7724, 'PF05719', NULL, 'Golgi phosphoprotein 3 (GPP34)', 203, NULL, 'GPP34', 7724),
(7725, 'PF06624', NULL, 'Ribosome associated membrane protein RAMP4', 60, NULL, 'RAMP4', 7725),
(7726, 'PF01464', NULL, 'Transglycosylase SLT domain', 117, NULL, 'SLT', 7726),
(7727, 'PF02448', NULL, 'L71 family', 71, NULL, 'L71', 7727),
(7728, 'PF06418', NULL, 'CTP synthase N-terminus', 265, NULL, 'CTP_synth_N', 7728),
(7729, 'PF12571', NULL, 'Phage tail-collar fibre protein', 150, NULL, 'DUF3751', 7729),
(7730, 'PF10380', NULL, 'Transcription factor CRF1', 113, NULL, 'CRF1', 7730),
(7731, 'PF04870', NULL, 'Moulting cycle', 347, NULL, 'Moulting_cycle', 7731),
(7732, 'PF03314', NULL, 'Protein of unknown function, DUF273', 219, NULL, 'DUF273', 7732),
(7733, 'PF11148', NULL, 'Protein of unknown function (DUF2922)', 67, NULL, 'DUF2922', 7733),
(7734, 'PF10012', NULL, 'Uncharacterized protein conserved in bacteria (DUF2255)', 115, NULL, 'DUF2255', 7734),
(7735, 'PF16725', NULL, 'Nucleolin binding domain', 70, NULL, 'Nucleolin_bd', 7735),
(7736, 'PF00695', NULL, 'Major surface antigen from hepadnavirus', 400, NULL, 'vMSA', 7736),
(7737, 'PF17490', NULL, 'L1 transposable element dsRBD-like domain', 65, NULL, 'Tnp_22_dsRBD', 7737),
(7738, 'PF12133', NULL, 'Betacoronavirus NS6 protein', 62, NULL, 'bCoV_NS6', 7738),
(7739, 'PF11159', NULL, 'Protein of unknown function (DUF2939)', 93, NULL, 'DUF2939', 7739),
(7740, 'PF16519', NULL, 'Tetramerisation domain of TRPM', 56, NULL, 'TRPM_tetra', 7740),
(7741, 'PF16420', NULL, 'Ubiquitin-like modifier-activating enzyme ATG7 N-terminus', 311, NULL, 'ATG7_N', 7741),
(7742, 'PF08702', NULL, 'Fibrinogen alpha/beta chain family', 143, NULL, 'Fib_alpha', 7742),
(7743, 'PF09697', NULL, 'Protein of unknown function (Porph_ging)', 83, NULL, 'Porph_ging', 7743),
(7744, 'PF13998', NULL, 'MgrB protein', 29, NULL, 'MgrB', 7744),
(7745, 'PF18638', NULL, 'Cysteine-Rich Protective Antigen 6 bladed domain', 315, NULL, 'CyRPA', 7745),
(7746, 'PF07913', NULL, 'Protein of unknown function (DUF1678)', 196, NULL, 'DUF1678', 7746),
(7747, 'PF08928', NULL, 'Domain of unknown function (DUF1910)', 117, NULL, 'DUF1910', 7747),
(7748, 'PF09231', NULL, 'Rice dwarf virus p3', 965, NULL, 'RDV-p3', 7748),
(7749, 'PF13934', NULL, 'Nuclear pore complex assembly', 222, NULL, 'ELYS', 7749),
(7750, 'PF18915', NULL, 'Domain of unknown function (DUF5667)', 102, NULL, 'DUF5667', 7750),
(7751, 'PF16218', NULL, 'Peptidase family C101', 265, NULL, 'Peptidase_C101', 7751),
(7752, 'PF15087', NULL, 'Protein of unknown function (DUF4551)', 613, NULL, 'DUF4551', 7752),
(7753, 'PF09498', NULL, 'Protein of unknown function (DUF2388)', 70, NULL, 'DUF2388', 7753),
(7754, 'PF10206', NULL, 'Mitochondrial F1F0-ATP synthase, subunit f', 102, NULL, 'WRW', 7754),
(7755, 'PF00772', NULL, 'DnaB-like helicase N terminal domain', 103, NULL, 'DnaB', 7755),
(7756, 'PF02887', NULL, 'Pyruvate kinase, alpha/beta domain', 116, NULL, 'PK_C', 7756),
(7757, 'PF04540', NULL, 'Herpesvirus UL51 protein', 158, NULL, 'Herpes_UL51', 7757),
(7758, 'PF16357', NULL, 'Putative PepSY_TM-like', 197, NULL, 'PepSY_TM_like_2', 7758),
(7759, 'PF04770', NULL, 'ZF-HD protein dimerisation region', 55, NULL, 'ZF-HD_dimer', 7759),
(7760, 'PF05841', NULL, 'Apc15p protein', 124, NULL, 'Apc15p', 7760),
(7761, 'PF00040', NULL, 'Fibronectin type II domain', 42, NULL, 'fn2', 7761),
(7762, 'PF11439', NULL, 'Type III secretion system filament chaperone CesA', 95, NULL, 'T3SchapCesA', 7762),
(7763, 'PF08768', NULL, 'Domain of unknown function (DUF1794)', 154, NULL, 'DUF1794', 7763),
(7764, 'PF12927', NULL, 'Domain of unknown function (DUF3835)', 78, NULL, 'DUF3835', 7764);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7765, 'PF04731', NULL, 'Caudal like protein activation region', 136, NULL, 'Caudal_act', 7765),
(7766, 'PF03496', NULL, 'ADP-ribosyltransferase exoenzyme', 197, NULL, 'ADPrib_exo_Tox', 7766),
(7767, 'PF00414', NULL, 'Neuraxin and MAP1B repeat', 17, NULL, 'MAP1B_neuraxin', 7767),
(7768, 'PF17331', NULL, 'GFD1 mRNA transport factor', 22, NULL, 'GFD1', 7768),
(7769, 'PF11563', NULL, 'Protoglobin', 158, NULL, 'Protoglobin', 7769),
(7770, 'PF06514', NULL, 'Photosystem II 12 kDa extrinsic protein (PsbU)', 93, NULL, 'PsbU', 7770),
(7771, 'PF12547', NULL, 'Capicua transcriptional repressor modulator', 56, NULL, 'ATXN-1_C', 7771),
(7772, 'PF11387', NULL, 'Protein of unknown function (DUF2795)', 44, NULL, 'DUF2795', 7772),
(7773, 'PF08052', NULL, 'PyrBI operon leader peptide', 44, NULL, 'PyrBI_leader', 7773),
(7774, 'PF16547', NULL, 'Proteasome-substrate-size regulator, N-terminal', 81, NULL, 'BLM10_N', 7774),
(7775, 'PF13067', NULL, 'Protein of unknown function (DUF3930)', 51, NULL, 'DUF3930', 7775),
(7776, 'PF18478', NULL, 'PIN like domain', 84, NULL, 'PIN_10', 7776),
(7777, 'PF18613', NULL, 'Tyrosine kinase receptor A trans-membrane domain', 22, NULL, 'TrkA_TMD', 7777),
(7778, 'PF03539', NULL, 'Spumavirus aspartic protease (A9)', 163, NULL, 'Spuma_A9PTase', 7778),
(7779, 'PF02336', NULL, 'Capsid protein VP4', 431, NULL, 'Denso_VP4', 7779),
(7780, 'PF10901', NULL, 'Protein of unknown function (DUF2690)', 93, NULL, 'DUF2690', 7780),
(7781, 'PF13247', NULL, '4Fe-4S dicluster domain', 100, NULL, 'Fer4_11', 7781),
(7782, 'PF17521', NULL, 'Honey bee peptides', 45, NULL, 'Secapin', 7782),
(7783, 'PF00397', NULL, 'WW domain', 31, NULL, 'WW', 7783),
(7784, 'PF12315', NULL, 'Protein DA1', 215, NULL, 'DA1-like', 7784),
(7785, 'PF13720', NULL, 'Udp N-acetylglucosamine O-acyltransferase; Domain 2', 82, NULL, 'Acetyltransf_11', 7785),
(7786, 'PF02325', NULL, 'YGGT family', 69, NULL, 'YGGT', 7786),
(7787, 'PF11245', NULL, 'Protein of unknown function (DUF2544)', 246, NULL, 'DUF2544', 7787),
(7788, 'PF13101', NULL, 'Protein of unknown function (DUF3945)', 59, NULL, 'DUF3945', 7788),
(7789, 'PF17360', NULL, 'Family of unknown function (DUF5386)', 170, NULL, 'DUF5386', 7789),
(7790, 'PF18752', NULL, 'Dictyosteliid AID/APOBEC-like Deaminase', 291, NULL, 'DAAD', 7790),
(7791, 'PF04672', NULL, 'S-adenosyl methyltransferase', 268, NULL, 'Methyltransf_19', 7791),
(7792, 'PF07580', NULL, 'M26 IgA1-specific Metallo-endopeptidase C-terminal region', 734, NULL, 'Peptidase_M26_C', 7792),
(7793, 'PF06527', NULL, 'TniQ', 137, NULL, 'TniQ', 7793),
(7794, 'PF01343', NULL, 'Peptidase family S49', 154, NULL, 'Peptidase_S49', 7794),
(7795, 'PF15488', NULL, 'Domain of unknown function (DUF4645)', 294, NULL, 'DUF4645', 7795),
(7796, 'PF04842', NULL, 'Plant protein of unknown function (DUF639)', 231, NULL, 'DUF639', 7796),
(7797, 'PF19099', NULL, 'Family of unknown function (DUF5786)', 55, NULL, 'DUF5786', 7797),
(7798, 'PF04812', NULL, 'Hepatocyte nuclear factor 1 (HNF-1), beta isoform C terminus', 257, NULL, 'HNF-1B_C', 7798),
(7799, 'PF18091', NULL, 'E3 Ubiquitin Ligase RBR C-terminal domain', 93, NULL, 'E3_UbLigase_RBR', 7799),
(7800, 'PF01868', NULL, 'Domain of unknown function UPF0086', 87, NULL, 'UPF0086', 7800),
(7801, 'PF09887', NULL, 'Uncharacterized protein conserved in archaea (DUF2114)', 449, NULL, 'DUF2114', 7801),
(7802, 'PF03668', NULL, 'P-loop ATPase protein family', 284, NULL, 'ATP_bind_2', 7802),
(7803, 'PF18619', NULL, 'GPCR-Autoproteolysis-INducing (GAIN) subdomain A', 48, NULL, 'GAIN_A', 7803),
(7804, 'PF11440', NULL, 'DNA alpha-glucosyltransferase', 355, NULL, 'AGT', 7804),
(7805, 'PF01740', NULL, 'STAS domain', 117, NULL, 'STAS', 7805),
(7806, 'PF01507', NULL, 'Phosphoadenosine phosphosulfate reductase family', 174, NULL, 'PAPS_reduct', 7806),
(7807, 'PF16672', NULL, 'Ragulator complex protein LAMTOR5', 88, NULL, 'LAMTOR5', 7807),
(7808, 'PF10324', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srw', 319, NULL, '7TM_GPCR_Srw', 7808);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7809, 'PF10001', NULL, 'Uncharacterized protein conserved in bacteria (DUF2242)', 121, NULL, 'DUF2242', 7809),
(7810, 'PF09762', NULL, 'CCDC93, coiled-coil domain', 177, NULL, 'CCDC93_CC', 7810),
(7811, 'PF17966', NULL, 'Mub B2-like domain', 62, NULL, 'Mub_B2', 7811),
(7812, 'PF03684', NULL, 'Uncharacterised protein family (UPF0179)', 140, NULL, 'UPF0179', 7812),
(7813, 'PF10927', NULL, 'Protein of unknown function (DUF2738)', 236, NULL, 'DUF2738', 7813),
(7814, 'PF08321', NULL, 'PPP5 TPR repeat region', 94, NULL, 'PPP5', 7814),
(7815, 'PF03474', NULL, 'DMRTA motif', 37, NULL, 'DMA', 7815),
(7816, 'PF16930', NULL, 'Putative porin', 533, NULL, 'Porin_5', 7816),
(7817, 'PF06559', NULL, '2''-deoxycytidine 5''-triphosphate deaminase (DCD)', 360, NULL, 'DCD', 7817),
(7818, 'PF01581', NULL, 'FMRFamide related peptide family', 11, NULL, 'FARP', 7818),
(7819, 'PF04851', NULL, 'Type III restriction enzyme, res subunit', 171, NULL, 'ResIII', 7819),
(7820, 'PF17915', NULL, 'Reverse gyrase zinc finger', 49, NULL, 'zf_Rg', 7820),
(7821, 'PF05996', NULL, 'Ferredoxin-dependent bilin reductase', 228, NULL, 'Fe_bilin_red', 7821),
(7822, 'PF08323', NULL, 'Starch synthase catalytic domain', 244, NULL, 'Glyco_transf_5', 7822),
(7823, 'PF12376', NULL, 'Protein of unknown function (DUF3654)', 138, NULL, 'DUF3654', 7823),
(7824, 'PF04055', NULL, 'Radical SAM superfamily', 167, NULL, 'Radical_SAM', 7824),
(7825, 'PF06622', NULL, 'SepQ protein', 305, NULL, 'SepQ', 7825),
(7826, 'PF17390', NULL, 'Bacterial alpha-L-rhamnosidase C-terminal domain', 78, NULL, 'Bac_rhamnosid_C', 7826),
(7827, 'PF11761', NULL, 'Cobalamin biosynthesis central region', 83, NULL, 'CbiG_mid', 7827),
(7828, 'PF18910', NULL, 'Domain of unknown function (DUF5665)', 56, NULL, 'DUF5665', 7828),
(7829, 'PF18911', NULL, 'PKD domain', 82, NULL, 'PKD_4', 7829),
(7830, 'PF16305', NULL, 'Domain of unknown function (DUF4947)', 167, NULL, 'DUF4947', 7830),
(7831, 'PF03884', NULL, 'DNA gyrase inhibitor YacG', 52, NULL, 'YacG', 7831),
(7832, 'PF11666', NULL, 'Protein of unknown function (DUF2933)', 52, NULL, 'DUF2933', 7832),
(7833, 'PF11752', NULL, 'Protein of unknown function (DUF3309)', 49, NULL, 'DUF3309', 7833),
(7834, 'PF14623', NULL, 'Hint-domain', 167, NULL, 'Vint', 7834),
(7835, 'PF01401', NULL, 'Angiotensin-converting enzyme', 567, NULL, 'Peptidase_M2', 7835),
(7836, 'PF03551', NULL, 'Transcriptional regulator PadR-like family', 75, NULL, 'PadR', 7836),
(7837, 'PF02117', NULL, 'Serpentine type 7TM GPCR chemoreceptor Sra', 328, NULL, '7TM_GPCR_Sra', 7837),
(7838, 'PF14844', NULL, 'PH domain associated with Beige/BEACH', 100, NULL, 'PH_BEACH', 7838),
(7839, 'PF18115', NULL, 'DNA repair protein Crb2 Tudor domain', 52, NULL, 'Tudor_3', 7839),
(7840, 'PF14130', NULL, 'Domain of unknown function (DUF4297)', 214, NULL, 'DUF4297', 7840),
(7841, 'PF13023', NULL, 'HD domain', 165, NULL, 'HD_3', 7841),
(7842, 'PF08421', NULL, 'Putative zinc binding domain', 62, NULL, 'Methyltransf_13', 7842),
(7843, 'PF17129', NULL, 'C-terminal domain of metallo-carboxypeptidase', 100, NULL, 'Peptidase_M99_C', 7843),
(7844, 'PF10600', NULL, 'PDZ-associated domain of NMDA receptors', 70, NULL, 'PDZ_assoc', 7844),
(7845, 'PF08169', NULL, 'RBB1NT (NUC162) domain', 94, NULL, 'RBB1NT', 7845),
(7846, 'PF01330', NULL, 'RuvA N terminal domain', 60, NULL, 'RuvA_N', 7846),
(7847, 'PF11570', NULL, 'Coiled-coil receptor-binding R-domain of colicin E2', 136, NULL, 'E2R135', 7847),
(7848, 'PF00809', NULL, 'Pterin binding enzyme', 244, NULL, 'Pterin_bind', 7848),
(7849, 'PF18762', NULL, 'Serine/Threonine/Tyrosine Kinase found in polyvalent proteins', 160, NULL, 'Kinase-PolyVal', 7849),
(7850, 'PF15287', NULL, 'KRBA1 family repeat', 43, NULL, 'KRBA1', 7850),
(7851, 'PF10312', NULL, 'Conserved mid region of cactin', 192, NULL, 'Cactin_mid', 7851),
(7852, 'PF13315', NULL, 'Protein of unknown function (DUF4085)', 205, NULL, 'DUF4085', 7852),
(7853, 'PF07306', NULL, 'Protein of unknown function (DUF1455)', 130, NULL, 'DUF1455', 7853);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7854, 'PF07515', NULL, 'Putative conjugal transfer nickase/helicase TraI C-term', 123, NULL, 'TraI_2_C', 7854),
(7855, 'PF16646', NULL, 'Axin-1 tankyrase binding domain', 75, NULL, 'AXIN1_TNKS_BD', 7855),
(7856, 'PF19026', NULL, 'HYPK UBA domain', 41, NULL, 'HYPK_UBA', 7856),
(7857, 'PF06931', NULL, 'Mastadenovirus E4 ORF3 protein', 113, NULL, 'Adeno_E4_ORF3', 7857),
(7858, 'PF06019', NULL, 'Phage GP30.8 protein', 123, NULL, 'Phage_30_8', 7858),
(7859, 'PF03762', NULL, 'Vitelline membrane outer layer protein I (VOMI)', 170, NULL, 'VOMI', 7859),
(7860, 'PF01061', NULL, 'ABC-2 type transporter', 210, NULL, 'ABC2_membrane', 7860),
(7861, 'PF10050', NULL, 'Predicted metal-binding protein (DUF2284)', 163, NULL, 'DUF2284', 7861),
(7862, 'PF14028', NULL, 'Lantibiotic biosynthesis dehydratase C-term', 305, NULL, 'Lant_dehydr_C', 7862),
(7863, 'PF12330', NULL, 'Haspin like kinase domain', 382, NULL, 'Haspin_kinase', 7863),
(7864, 'PF15562', NULL, 'Immunity protein 17', 61, NULL, 'Imm17', 7864),
(7865, 'PF02061', NULL, 'Lambda Phage CIII', 42, NULL, 'Lambda_CIII', 7865),
(7866, 'PF07399', NULL, 'Putative Na+/H+ antiporter', 419, NULL, 'Na_H_antiport_3', 7866),
(7867, 'PF18347', NULL, 'Domain of unknown function (DUF5606)', 46, NULL, 'DUF5606', 7867),
(7868, 'PF18119', NULL, 'RIG-I receptor C-terminal domain', 140, NULL, 'RIG-I_C', 7868),
(7869, 'PF00433', NULL, 'Protein kinase C terminal domain', 46, NULL, 'Pkinase_C', 7869),
(7870, 'PF06757', NULL, 'Insect allergen related repeat, nitrile-specifier detoxification', 180, NULL, 'Ins_allergen_rp', 7870),
(7871, 'PF06179', NULL, 'Surfeit locus protein 5 subunit 22 of Mediator complex', 105, NULL, 'Med22', 7871),
(7872, 'PF18802', NULL, 'CxC1 like cysteine cluster associated with KDZ transposases', 104, NULL, 'CxC1', 7872),
(7873, 'PF17970', NULL, 'Bacterial Alpha-2-macroglobulin MG1 domain', 105, NULL, 'bMG1', 7873),
(7874, 'PF10597', NULL, 'U5-snRNA binding site 2 of PrP8', 134, NULL, 'U5_2-snRNA_bdg', 7874),
(7875, 'PF15652', NULL, 'HNH/Endo VII superfamily toxin with a SHH signature', 99, NULL, 'Tox-SHH', 7875),
(7876, 'PF03830', NULL, 'PTS system sorbose subfamily IIB component', 148, NULL, 'PTSIIB_sorb', 7876),
(7877, 'PF16348', NULL, 'Coronavirus replicase NSP4, C-terminal', 96, NULL, 'CoV_NSP4_C', 7877),
(7878, 'PF13213', NULL, 'Protein of unknown function (DUF4021)', 46, NULL, 'DUF4021', 7878),
(7879, 'PF15421', NULL, 'Putative polysaccharide deacetylase', 423, NULL, 'Polysacc_deac_3', 7879),
(7880, 'PF03834', NULL, 'Binding domain of DNA repair protein Ercc1 (rad10/Swi10)', 114, NULL, 'Rad10', 7880),
(7881, 'PF09545', NULL, 'AccI restriction endonuclease', 366, NULL, 'RE_AccI', 7881),
(7882, 'PF12632', NULL, 'Mysoin-binding motif of peroxisomes', 282, NULL, 'Vezatin', 7882),
(7883, 'PF05634', NULL, 'APO RNA-binding', 200, NULL, 'APO_RNA-bind', 7883),
(7884, 'PF08961', NULL, 'Nuclear receptor-binding factor 2, autophagy regulator', 197, NULL, 'NRBF2', 7884),
(7885, 'PF04023', NULL, 'FeoA domain', 74, NULL, 'FeoA', 7885),
(7886, 'PF14945', NULL, 'Normal lung function maintenance, Low in Lung Cancer 1 protein', 119, NULL, 'LLC1', 7886),
(7887, 'PF08887', NULL, 'GAD-like domain', 107, NULL, 'GAD-like', 7887),
(7888, 'PF07340', NULL, 'Cytomegalovirus IE1 protein', 391, NULL, 'Herpes_IE1', 7888),
(7889, 'PF10037', NULL, 'Mitochondrial 28S ribosomal protein S27', 390, NULL, 'MRP-S27', 7889),
(7890, 'PF05254', NULL, 'Uncharacterised protein family (UPF0203)', 69, NULL, 'UPF0203', 7890),
(7891, 'PF05980', NULL, 'Toxin 7', 34, NULL, 'Toxin_7', 7891),
(7892, 'PF06668', NULL, 'Inter-alpha-trypsin inhibitor heavy chain C-terminus', 188, NULL, 'ITI_HC_C', 7892),
(7893, 'PF09371', NULL, 'Tex-like protein N-terminal domain', 183, NULL, 'Tex_N', 7893),
(7894, 'PF02384', NULL, 'N-6 DNA Methylase', 310, NULL, 'N6_Mtase', 7894),
(7895, 'PF08092', NULL, 'Magi peptide toxin family', 38, NULL, 'Toxin_22', 7895),
(7896, 'PF11005', NULL, 'Protein of unknown function (DUF2844)', 133, NULL, 'DUF2844', 7896);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7897, 'PF12180', NULL, 'TSG101 and ALIX binding domain of CEP55', 34, NULL, 'EABR', 7897),
(7898, 'PF17141', NULL, 'Domain of unknown function (DUF5114)', 88, NULL, 'DUF5114', 7898),
(7899, 'PF07431', NULL, 'Protein of unknown function (DUF1512)', 356, NULL, 'DUF1512', 7899),
(7900, 'PF11398', NULL, 'Protein of unknown function (DUF2813)', 372, NULL, 'DUF2813', 7900),
(7901, 'PF12493', NULL, 'Protein of unknown function (DUF3709)', 33, NULL, 'DUF3709', 7901),
(7902, 'PF05089', NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) tim-barrel domain', 333, NULL, 'NAGLU', 7902),
(7903, 'PF15128', NULL, 'T-cell leukemia translocation-altered', 92, NULL, 'T_cell_tran_alt', 7903),
(7904, 'PF12391', NULL, 'Protocatechuate 3,4-dioxygenase beta subunit N terminal', 34, NULL, 'PCDO_beta_N', 7904),
(7905, 'PF11863', NULL, 'Protein of unknown function (DUF3383)', 477, NULL, 'DUF3383', 7905),
(7906, 'PF10479', NULL, 'Fragile site-associated protein C-terminus', 701, NULL, 'FSA_C', 7906),
(7907, 'PF14574', NULL, 'C-terminal domain of RACo the ASKHA domain', 259, NULL, 'RACo_C_ter', 7907),
(7908, 'PF18008', NULL, 'Replication initiator protein A C-terminal domain', 95, NULL, 'Bac_RepA_C', 7908),
(7909, 'PF10396', NULL, 'GTP-binding protein TrmE N-terminus', 116, NULL, 'TrmE_N', 7909),
(7910, 'PF08941', NULL, 'USP8 interacting', 179, NULL, 'USP8_interact', 7910),
(7911, 'PF00988', NULL, 'Carbamoyl-phosphate synthase small chain, CPSase domain', 128, NULL, 'CPSase_sm_chain', 7911),
(7912, 'PF14106', NULL, 'Domain of unknown function (DUF4279)', 116, NULL, 'DUF4279', 7912),
(7913, 'PF18645', NULL, 'Family of unknown function (DUF5631)', 96, NULL, 'DUF5631', 7913),
(7914, 'PF15139', NULL, 'Domain of unknown function (DUF4572)', 195, NULL, 'DUF4572', 7914),
(7915, 'PF13321', NULL, 'Domain of unknown function (DUF4084)', 304, NULL, 'DUF4084', 7915),
(7916, 'PF00198', NULL, '2-oxoacid dehydrogenases acyltransferase (catalytic domain)', 233, NULL, '2-oxoacid_dh', 7916),
(7917, 'PF09187', NULL, 'RNA-directed DNA methylation 1', 119, NULL, 'RdDM_RDM1', 7917),
(7918, 'PF07354', NULL, 'Zona-pellucida-binding protein (Sp38)', 177, NULL, 'Sp38', 7918),
(7919, 'PF04938', NULL, 'Survival motor neuron (SMN) interacting protein 1 (SIP1)', 219, NULL, 'SIP1', 7919),
(7920, 'PF05818', NULL, 'Enterobacterial TraT complement resistance protein', 215, NULL, 'TraT', 7920),
(7921, 'PF02343', NULL, 'TRA-1 regulated protein R03H10.4', 130, NULL, 'TRA-1_regulated', 7921),
(7922, 'PF12775', NULL, 'P-loop containing dynein motor region', 181, NULL, 'AAA_7', 7922),
(7923, 'PF02323', NULL, 'Egg-laying hormone precursor', 255, NULL, 'ELH', 7923),
(7924, 'PF01160', NULL, 'Vertebrate endogenous opioids neuropeptide', 47, NULL, 'Opiods_neuropep', 7924),
(7925, 'PF06309', NULL, 'Torsin', 127, NULL, 'Torsin', 7925),
(7926, 'PF08174', NULL, 'Cell division protein anillin', 141, NULL, 'Anillin', 7926),
(7927, 'PF00660', NULL, 'Seripauperin and TIP1 family', 99, NULL, 'SRP1_TIP1', 7927),
(7928, 'PF11466', NULL, 'Prion-like protein Doppel', 30, NULL, 'Doppel', 7928),
(7929, 'PF12381', NULL, 'Tungro spherical virus-type peptidase', 231, NULL, 'Peptidase_C3G', 7929),
(7930, 'PF04610', NULL, 'TrbL/VirB6 plasmid conjugal transfer protein', 215, NULL, 'TrbL', 7930),
(7931, 'PF14551', NULL, 'MCM N-terminal domain', 103, NULL, 'MCM_N', 7931),
(7932, 'PF17433', NULL, 'Glycosyl hydrolase family 49 N-terminal Ig-like domain', 188, NULL, 'Glyco_hydro_49N', 7932),
(7933, 'PF00835', NULL, 'SNAP-25 family', 55, NULL, 'SNAP-25', 7933),
(7934, 'PF03336', NULL, 'Poxvirus C4/C10 protein', 322, NULL, 'Pox_C4_C10', 7934),
(7935, 'PF11946', NULL, 'Domain of unknown function (DUF3463)', 134, NULL, 'DUF3463', 7935),
(7936, 'PF09913', NULL, 'Predicted membrane protein (DUF2142)', 393, NULL, 'DUF2142', 7936),
(7937, 'PF03022', NULL, 'Major royal jelly protein', 287, NULL, 'MRJP', 7937),
(7938, 'PF05423', NULL, 'Mycobacterium membrane protein', 139, NULL, 'Mycobact_memb', 7938);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7939, 'PF17227', NULL, 'Family of unknown function (DUF5302)', 52, NULL, 'DUF5302', 7939),
(7940, 'PF04777', NULL, 'Erv1 / Alr family', 99, NULL, 'Evr1_Alr', 7940),
(7941, 'PF06822', NULL, 'Protein of unknown function (DUF1235)', 261, NULL, 'DUF1235', 7941),
(7942, 'PF18894', NULL, 'Putative phage metallopeptidase', 141, NULL, 'PhageMetallopep', 7942),
(7943, 'PF01571', NULL, 'Aminomethyltransferase folate-binding domain', 256, NULL, 'GCV_T', 7943),
(7944, 'PF10856', NULL, 'Protein of unknown function (DUF2678)', 118, NULL, 'DUF2678', 7944),
(7945, 'PF05681', NULL, 'Fumarate hydratase (Fumerase)', 269, NULL, 'Fumerase', 7945),
(7946, 'PF09782', NULL, 'NADH:ubiquinone oxidoreductase, NDUFB6/B17 subunit', 156, NULL, 'NDUF_B6', 7946),
(7947, 'PF15427', NULL, 'S100P-binding protein', 389, NULL, 'S100PBPR', 7947),
(7948, 'PF15686', NULL, 'Lysine-rich CEACAM1 co-isolated protein family', 424, NULL, 'LYRIC', 7948),
(7949, 'PF03641', NULL, 'Possible lysine decarboxylase', 132, NULL, 'Lysine_decarbox', 7949),
(7950, 'PF09668', NULL, 'Aspartyl protease', 124, NULL, 'Asp_protease', 7950),
(7951, 'PF02956', NULL, 'TT viral orf 1', 525, NULL, 'TT_ORF1', 7951),
(7952, 'PF04997', NULL, 'RNA polymerase Rpb1, domain 1', 312, NULL, 'RNA_pol_Rpb1_1', 7952),
(7953, 'PF03125', NULL, 'C. elegans Sre G protein-coupled chemoreceptor', 365, NULL, 'Sre', 7953),
(7954, 'PF04146', NULL, 'YT521-B-like domain', 185, NULL, 'YTH', 7954),
(7955, 'PF15832', NULL, 'FAM27 D and E protein family', 92, NULL, 'FAM27', 7955),
(7956, 'PF17981', NULL, 'Cysteine Rich ADD domain', 56, NULL, 'ADD_ATRX', 7956),
(7957, 'PF11468', NULL, 'Aromatic prenyltransferase Orf2', 287, NULL, 'PTase_Orf2', 7957),
(7958, 'PF00953', NULL, 'Glycosyl transferase family 4', 160, NULL, 'Glycos_transf_4', 7958),
(7959, 'PF09043', NULL, 'D-Lysine 5,6-aminomutase TIM-barrel domain of alpha subunit', 508, NULL, 'Lys-AminoMut_A', 7959),
(7960, 'PF09476', NULL, 'Pilus biogenesis CpaD protein (pilus_cpaD)', 201, NULL, 'Pilus_CpaD', 7960),
(7961, 'PF05306', NULL, 'Protein of unknown function (DUF733)', 87, NULL, 'DUF733', 7961),
(7962, 'PF10579', NULL, 'Rapsyn N-terminal myristoylation and linker region', 80, NULL, 'Rapsyn_N', 7962),
(7963, 'PF18352', NULL, 'Phage protein Gp138 N-terminal domain', 98, NULL, 'Gp138_N', 7963),
(7964, 'PF16067', NULL, 'Domain of unknown function (DUF4809)', 130, NULL, 'DUF4809', 7964),
(7965, 'PF02796', NULL, 'Helix-turn-helix domain of resolvase', 45, NULL, 'HTH_7', 7965),
(7966, 'PF16343', NULL, 'Domain of unknown function (DUF4973)', 130, NULL, 'DUF4973', 7966),
(7967, 'PF08980', NULL, 'Domain of unknown function (DUF1883)', 89, NULL, 'DUF1883', 7967),
(7968, 'PF18652', NULL, 'Adhesin P1 N-terminal domain', 106, NULL, 'Adhesin_P1_N', 7968),
(7969, 'PF18759', NULL, 'Plavaka transposase', 325, NULL, 'Plavaka', 7969),
(7970, 'PF03501', NULL, 'Plectin/S10 domain', 93, NULL, 'S10_plectin', 7970),
(7971, 'PF08396', NULL, 'Spider toxin omega agatoxin/Tx1 family', 75, NULL, 'Toxin_34', 7971),
(7972, 'PF16409', NULL, 'Domain of unknown function (DUF5017)', 182, NULL, 'DUF5017', 7972),
(7973, 'PF17359', NULL, 'Family of unknown function (DUF5385)', 222, NULL, 'DUF5385', 7973),
(7974, 'PF13017', NULL, 'piRNA pathway germ-plasm component', 216, NULL, 'Maelstrom', 7974),
(7975, 'PF14272', NULL, 'Glycine-rich SFCGS', 114, NULL, 'Gly_rich_SFCGS', 7975),
(7976, 'PF01752', NULL, 'Collagenase', 289, NULL, 'Peptidase_M9', 7976),
(7977, 'PF17368', NULL, 'Spore morphogenesis and germination YwcE', 85, NULL, 'YwcE', 7977),
(7978, 'PF11763', NULL, 'Cell-wall adhesin ligand-binding C-terminal', 122, NULL, 'DIPSY', 7978),
(7979, 'PF13979', NULL, 'SopA-like catalytic domain', 168, NULL, 'SopA_C', 7979),
(7980, 'PF00126', NULL, 'Bacterial regulatory helix-turn-helix protein, lysR family', 60, NULL, 'HTH_1', 7980),
(7981, 'PF17191', NULL, 'RecG wedge domain', 162, NULL, 'RecG_wedge', 7981),
(7982, 'PF00836', NULL, 'Stathmin family', 136, NULL, 'Stathmin', 7982);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(7983, 'PF03238', NULL, 'ESAG protein', 227, NULL, 'ESAG1', 7983),
(7984, 'PF00822', NULL, 'PMP-22/EMP/MP20/Claudin family', 166, NULL, 'PMP22_Claudin', 7984),
(7985, 'PF17482', NULL, 'Phage tail sheath C-terminal domain', 104, NULL, 'Phage_sheath_1C', 7985),
(7986, 'PF12854', NULL, 'PPR repeat', 34, NULL, 'PPR_1', 7986),
(7987, 'PF17021', NULL, 'Putative double-strand recombination repair-like', 118, NULL, 'Mei5_like', 7987),
(7988, 'PF11584', NULL, 'Proteinaceous host-selective toxin ToxA', 117, NULL, 'Toxin_ToxA', 7988),
(7989, 'PF08468', NULL, 'Methyltransferase small domain N-terminal', 157, NULL, 'MTS_N', 7989),
(7990, 'PF11622', NULL, 'Protein of unknown function (DUF3251)', 165, NULL, 'DUF3251', 7990),
(7991, 'PF16401', NULL, 'Domain of unknown function (DUF5009)', 260, NULL, 'DUF5009', 7991),
(7992, 'PF03223', NULL, 'V-ATPase subunit C', 370, NULL, 'V-ATPase_C', 7992),
(7993, 'PF13604', NULL, 'AAA domain', 192, NULL, 'AAA_30', 7993),
(7994, 'PF18015', NULL, 'Acetyltransferase (GNAT) domain', 114, NULL, 'Acetyltransf_19', 7994),
(7995, 'PF16115', NULL, 'Domain of unknown function (DUF4831)', 318, NULL, 'DUF4831', 7995),
(7996, 'PF01564', NULL, 'Spermine/spermidine synthase domain', 188, NULL, 'Spermine_synth', 7996),
(7997, 'PF08368', NULL, 'FAST kinase-like protein, subdomain 2', 89, NULL, 'FAST_2', 7997),
(7998, 'PF13712', NULL, 'Glycosyltransferase like family', 211, NULL, 'Glyco_tranf_2_5', 7998),
(7999, 'PF09976', NULL, 'Tetratricopeptide repeat-like domain', 193, NULL, 'TPR_21', 7999),
(8000, 'PF08776', NULL, 'VASP tetramerisation domain', 37, NULL, 'VASP_tetra', 8000),
(8001, 'PF01968', NULL, 'Hydantoinase/oxoprolinase', 291, NULL, 'Hydantoinase_A', 8001),
(8002, 'PF11781', NULL, 'Zinc-finger of RNA-polymerase I-specific TFIIB, Rrn7', 32, NULL, 'zf-RRN7', 8002),
(8003, 'PF01494', NULL, 'FAD binding domain', 349, NULL, 'FAD_binding_3', 8003),
(8004, 'PF01326', NULL, 'Pyruvate phosphate dikinase, AMP/ATP-binding domain', 328, NULL, 'PPDK_N', 8004),
(8005, 'PF10566', NULL, 'Glycoside hydrolase 97', 280, NULL, 'Glyco_hydro_97', 8005),
(8006, 'PF10816', NULL, 'Domain of unknown function (DUF2760)', 124, NULL, 'DUF2760', 8006),
(8007, 'PF12103', NULL, 'Surface lipoprotein of Spirochaetales order', 179, NULL, 'Lipl32', 8007),
(8008, 'PF01889', NULL, 'Membrane protein of unknown function DUF63', 273, NULL, 'DUF63', 8008),
(8009, 'PF14493', NULL, 'Helix-turn-helix domain', 89, NULL, 'HTH_40', 8009),
(8010, 'PF19196', NULL, 'Family of unknown function (DUF5871)', 137, NULL, 'DUF5871', 8010),
(8011, 'PF13757', NULL, 'Vault protein inter-alpha-trypsin domain', 78, NULL, 'VIT_2', 8011),
(8012, 'PF13788', NULL, 'Domain of unknown function (DUF4180)', 112, NULL, 'DUF4180', 8012),
(8013, 'PF00618', NULL, 'RasGEF N-terminal motif', 105, NULL, 'RasGEF_N', 8013),
(8014, 'PF13696', NULL, 'Zinc knuckle', 21, NULL, 'zf-CCHC_2', 8014),
(8015, 'PF12792', NULL, 'CSS motif domain associated with EAL', 209, NULL, 'CSS-motif', 8015),
(8016, 'PF13641', NULL, 'Glycosyltransferase like family 2', 230, NULL, 'Glyco_tranf_2_3', 8016),
(8017, 'PF06824', NULL, 'Metal-independent alpha-mannosidase (GH125)', 418, NULL, 'Glyco_hydro_125', 8017),
(8018, 'PF04012', NULL, 'PspA/IM30 family', 221, NULL, 'PspA_IM30', 8018),
(8019, 'PF02222', NULL, 'ATP-grasp domain', 171, NULL, 'ATP-grasp', 8019),
(8020, 'PF09683', NULL, 'Bacteriocin (Lactococcin_972)', 63, NULL, 'Lactococcin_972', 8020),
(8021, 'PF15349', NULL, 'DDB1- and CUL4-associated factor 16', 216, NULL, 'DCA16', 8021),
(8022, 'PF11474', NULL, 'Telomerase reverse transcriptase TEN domain', 188, NULL, 'N-Term_TEN', 8022),
(8023, 'PF12464', NULL, 'Maltose acetyltransferase', 53, NULL, 'Mac', 8023),
(8024, 'PF16845', NULL, 'Aspartic acid proteinase inhibitor', 83, NULL, 'SQAPI', 8024),
(8025, 'PF18535', NULL, 'Gal11 activator-binding domain (ABD1)', 82, NULL, 'Gal11_ABD1', 8025),
(8026, 'PF16431', NULL, 'Domain of unknown function (DUF5028)', 166, NULL, 'DUF5028', 8026);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8027, 'PF17669', NULL, 'Family of unknown function (DUF5529)', 186, NULL, 'DUF5529', 8027),
(8028, 'PF14368', NULL, 'Probable lipid transfer', 97, NULL, 'LTP_2', 8028),
(8029, 'PF09950', NULL, 'Uncharacterized protein conserved in bacteria (DUF2184)', 251, NULL, 'DUF2184', 8029),
(8030, 'PF11172', NULL, 'Protein of unknown function (DUF2959)', 190, NULL, 'DUF2959', 8030),
(8031, 'PF05717', NULL, 'IS66 Orf2 like protein', 101, NULL, 'TnpB_IS66', 8031),
(8032, 'PF15345', NULL, 'Transmembrane protein 51', 238, NULL, 'TMEM51', 8032),
(8033, 'PF06376', NULL, 'Arabinogalactan peptide', 36, NULL, 'AGP', 8033),
(8034, 'PF10950', NULL, 'Organ specific protein', 117, NULL, 'Organ_specific', 8034),
(8035, 'PF10854', NULL, 'Protein of unknown function (DUF2649)', 67, NULL, 'DUF2649', 8035),
(8036, 'PF10344', NULL, 'Mitochondrial protein from FMP27', 877, NULL, 'Fmp27', 8036),
(8037, 'PF09402', NULL, 'Man1-Src1p-C-terminal domain', 338, NULL, 'MSC', 8037),
(8038, 'PF14478', NULL, 'Domain of unknown function (DUF4430)', 73, NULL, 'DUF4430', 8038),
(8039, 'PF07671', NULL, 'Protein of unknown function (DUF1601)', 37, NULL, 'DUF1601', 8039),
(8040, 'PF13756', NULL, 'Stimulus-sensing domain', 111, NULL, 'Stimulus_sens_1', 8040),
(8041, 'PF10069', NULL, 'Sensory domain in DIguanylate Cyclases and Two-component system', 129, NULL, 'DICT', 8041),
(8042, 'PF16363', NULL, 'GDP-mannose 4,6 dehydratase', 332, NULL, 'GDP_Man_Dehyd', 8042),
(8043, 'PF08072', NULL, 'BDHCT (NUC031) domain', 40, NULL, 'BDHCT', 8043),
(8044, 'PF00724', NULL, 'NADH:flavin oxidoreductase / NADH oxidase family', 342, NULL, 'Oxidored_FMN', 8044),
(8045, 'PF04117', NULL, 'Mpv17 / PMP22 family', 62, NULL, 'Mpv17_PMP22', 8045),
(8046, 'PF10959', NULL, 'Protein of unknown function (DUF2761)', 94, NULL, 'DUF2761', 8046),
(8047, 'PF15728', NULL, 'Domain of unknown function (DUF4679)', 399, NULL, 'DUF4679', 8047),
(8048, 'PF18358', NULL, 'Histone methyltransferase Tudor domain', 50, NULL, 'Tudor_4', 8048),
(8049, 'PF05984', NULL, 'Cytomegalovirus UL20A protein', 103, NULL, 'Cytomega_UL20A', 8049),
(8050, 'PF11258', NULL, 'Protein of unknown function (DUF3048) N-terminal domain', 147, NULL, 'DUF3048', 8050),
(8051, 'PF03183', NULL, 'Borrelia repeat protein', 18, NULL, 'Borrelia_rep', 8051),
(8052, 'PF08427', NULL, 'Domain of unknown function (DUF1741)', 232, NULL, 'DUF1741', 8052),
(8053, 'PF18020', NULL, 'TIG domain found in plexin', 94, NULL, 'TIG_2', 8053),
(8054, 'PF07824', NULL, 'Type III secretion chaperone domain', 110, NULL, 'Chaperone_III', 8054),
(8055, 'PF05225', NULL, 'helix-turn-helix, Psq domain', 45, NULL, 'HTH_psq', 8055),
(8056, 'PF16717', NULL, 'Ribosome-associated complex head domain', 98, NULL, 'RAC_head', 8056),
(8057, 'PF06917', NULL, 'Periplasmic pectate lyase', 556, NULL, 'Pectate_lyase_2', 8057),
(8058, 'PF09548', NULL, 'Stage III sporulation protein AB (spore_III_AB)', 170, NULL, 'Spore_III_AB', 8058),
(8059, 'PF08570', NULL, 'Protein of unknown function (DUF1761)', 125, NULL, 'DUF1761', 8059),
(8060, 'PF14201', NULL, 'Domain of unknown function (DUF4318)', 75, NULL, 'DUF4318', 8060),
(8061, 'PF18052', NULL, 'Rx N-terminal domain', 93, NULL, 'Rx_N', 8061),
(8062, 'PF05527', NULL, 'Domain of unknown function (DUF758)', 181, NULL, 'DUF758', 8062),
(8063, 'PF18001', NULL, 'Interleukin-13 receptor subunit alpha Ig-like domain', 95, NULL, 'Il13Ra_Ig', 8063),
(8064, 'PF15455', NULL, 'Proline-rich 19', 363, NULL, 'Pro-rich_19', 8064),
(8065, 'PF16038', NULL, 'TMIE protein', 85, NULL, 'TMIE', 8065),
(8066, 'PF10531', NULL, 'SLBB domain', 58, NULL, 'SLBB', 8066),
(8067, 'PF13939', NULL, 'Toxin TisB, type I toxin-antitoxin system', 28, NULL, 'TisB_toxin', 8067),
(8068, 'PF18881', NULL, 'Family of unknown function (DUF5646)', 69, NULL, 'DUF5646', 8068),
(8069, 'PF06042', NULL, 'Nucleotidyltransferase', 159, NULL, 'NTP_transf_6', 8069),
(8070, 'PF10253', NULL, 'Mitotic checkpoint regulator, MAD2B-interacting', 213, NULL, 'PRCC', 8070);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8071, 'PF06323', NULL, 'Phage antitermination protein Q', 221, NULL, 'Phage_antiter_Q', 8071),
(8072, 'PF18978', NULL, 'Family of unknown function (DUF5714)', 174, NULL, 'DUF5714', 8072),
(8073, 'PF00027', NULL, 'Cyclic nucleotide-binding domain', 89, NULL, 'cNMP_binding', 8073),
(8074, 'PF06159', NULL, 'Protein of unknown function (DUF974)', 246, NULL, 'DUF974', 8074),
(8075, 'PF01873', NULL, 'Domain found in IF2B/IF5', 117, NULL, 'eIF-5_eIF-2B', 8075),
(8076, 'PF04340', NULL, 'Protein of unknown function, DUF484', 225, NULL, 'DUF484', 8076),
(8077, 'PF12312', NULL, 'Nepovirus subgroup A polyprotein', 258, NULL, 'NeA_P2', 8077),
(8078, 'PF01366', NULL, 'Herpesvirus processing and transport protein', 659, NULL, 'PRTP', 8078),
(8079, 'PF11825', NULL, 'Nuclear/hormone receptor activator site AF-1', 114, NULL, 'Nuc_recep-AF1', 8079),
(8080, 'PF07814', NULL, 'Wings apart-like protein regulation of heterochromatin', 355, NULL, 'WAPL', 8080),
(8081, 'PF07522', NULL, 'DNA repair metallo-beta-lactamase', 116, NULL, 'DRMBL', 8081),
(8082, 'PF04188', NULL, 'Mannosyltransferase (PIG-V)', 443, NULL, 'Mannosyl_trans2', 8082),
(8083, 'PF15590', NULL, 'Immunity protein 27', 67, NULL, 'Imm27', 8083),
(8084, 'PF12138', NULL, 'Spherulation-specific family 4', 240, NULL, 'Spherulin4', 8084),
(8085, 'PF13891', NULL, 'Potential DNA-binding domain', 63, NULL, 'zf-C3Hc3H', 8085),
(8086, 'PF08855', NULL, 'Domain of unknown function (DUF1825)', 103, NULL, 'DUF1825', 8086),
(8087, 'PF01882', NULL, 'Protein of unknown function DUF58', 86, NULL, 'DUF58', 8087),
(8088, 'PF09816', NULL, 'RNA polymerase II transcription elongation factor', 100, NULL, 'EAF', 8088),
(8089, 'PF12362', NULL, 'DNA polymerase III gamma and tau subunits C terminal', 114, NULL, 'DUF3646', 8089),
(8090, 'PF00939', NULL, 'Sodium:sulfate symporter transmembrane region', 472, NULL, 'Na_sulph_symp', 8090),
(8091, 'PF04596', NULL, 'Poxvirus protein F15', 137, NULL, 'Pox_F15', 8091),
(8092, 'PF07378', NULL, 'Flagellar protein FlbT', 125, NULL, 'FlbT', 8092),
(8093, 'PF08254', NULL, 'Threonine leader peptide', 22, NULL, 'Leader_Thr', 8093),
(8094, 'PF11921', NULL, 'Domain of unknown function (DUF3439)', 122, NULL, 'DUF3439', 8094),
(8095, 'PF05895', NULL, 'Siphovirus protein of unknown function (DUF859)', 626, NULL, 'DUF859', 8095),
(8096, 'PF05361', NULL, 'PKC-activated protein phosphatase-1 inhibitor', 141, NULL, 'PP1_inhibitor', 8096),
(8097, 'PF06954', NULL, 'Resistin', 88, NULL, 'Resistin', 8097),
(8098, 'PF14786', NULL, 'Tube Death domain', 137, NULL, 'Death_2', 8098),
(8099, 'PF10857', NULL, 'Protein of unknown function (DUF2701)', 63, NULL, 'DUF2701', 8099),
(8100, 'PF17872', NULL, 'AAA lid domain', 99, NULL, 'AAA_lid_10', 8100),
(8101, 'PF07729', NULL, 'FCD domain', 125, NULL, 'FCD', 8101),
(8102, 'PF12776', NULL, 'Myb/SANT-like DNA-binding domain', 96, NULL, 'Myb_DNA-bind_3', 8102),
(8103, 'PF01699', NULL, 'Sodium/calcium exchanger protein', 151, NULL, 'Na_Ca_ex', 8103),
(8104, 'PF12410', NULL, 'Poxvirus DNA dependent RNA polymerase 30kDa subunit', 135, NULL, 'rpo30_N', 8104),
(8105, 'PF12067', NULL, 'Sox 17/18 central domain', 50, NULL, 'Sox17_18_mid', 8105),
(8106, 'PF16415', NULL, 'CCR4-NOT transcription complex subunit 1 CAF1-binding domain', 225, NULL, 'CNOT1_CAF1_bind', 8106),
(8107, 'PF03749', NULL, 'Sugar fermentation stimulation protein RE domain', 138, NULL, 'SfsA', 8107),
(8108, 'PF01041', NULL, 'DegT/DnrJ/EryC1/StrS aminotransferase family', 360, NULL, 'DegT_DnrJ_EryC1', 8108),
(8109, 'PF08360', NULL, 'QacR-like protein, C-terminal region', 131, NULL, 'TetR_C_5', 8109),
(8110, 'PF06451', NULL, 'Moricin', 41, NULL, 'Moricin', 8110),
(8111, 'PF03811', NULL, 'InsA N-terminal domain', 35, NULL, 'Zn_Tnp_IS1', 8111),
(8112, 'PF11254', NULL, 'Protein of unknown function (DUF3053)', 220, NULL, 'DUF3053', 8112),
(8113, 'PF13872', NULL, 'P-loop containing NTP hydrolase pore-1', 303, NULL, 'AAA_34', 8113),
(8114, 'PF17336', NULL, 'Family of unknown function (DUF5368)', 111, NULL, 'DUF5368', 8114);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8115, 'PF17188', NULL, 'MucB/RseB C-terminal domain', 97, NULL, 'MucB_RseB_C', 8115),
(8116, 'PF18784', NULL, 'CRM1 / Exportin repeat 2', 68, NULL, 'CRM1_repeat_2', 8116),
(8117, 'PF11576', NULL, 'Protein of unknown function (DUF3236)', 153, NULL, 'DUF3236', 8117),
(8118, 'PF06438', NULL, 'Heme-binding protein A (HasA)', 206, NULL, 'HasA', 8118),
(8119, 'PF03505', NULL, 'Clostridium enterotoxin', 197, NULL, 'Clenterotox', 8119),
(8120, 'PF08814', NULL, 'XisH protein', 134, NULL, 'XisH', 8120),
(8121, 'PF08896', NULL, 'Domain of unknown function (DUF1842)', 114, NULL, 'DUF1842', 8121),
(8122, 'PF13885', NULL, 'Keratin, high sulfur B2 protein', 45, NULL, 'Keratin_B2_2', 8122),
(8123, 'PF07496', NULL, 'CW-type Zinc Finger', 48, NULL, 'zf-CW', 8123),
(8124, 'PF06228', NULL, 'Haem utilisation ChuX/HutX', 134, NULL, 'ChuX_HutX', 8124),
(8125, 'PF13175', NULL, 'AAA ATPase domain', 373, NULL, 'AAA_15', 8125),
(8126, 'PF05579', NULL, 'Equine arteritis virus serine endopeptidase S32', 297, NULL, 'Peptidase_S32', 8126),
(8127, 'PF17079', NULL, 'Male-specific protein scotti', 101, NULL, 'SOTI', 8127),
(8128, 'PF05284', NULL, 'Protein of unknown function (DUF736)', 100, NULL, 'DUF736', 8128),
(8129, 'PF03771', NULL, 'Domain of unknown function (DUF317)', 62, NULL, 'SPDY', 8129),
(8130, 'PF10325', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srz', 267, NULL, '7TM_GPCR_Srz', 8130),
(8131, 'PF05158', NULL, 'RNA polymerase Rpc34 subunit', 336, NULL, 'RNA_pol_Rpc34', 8131),
(8132, 'PF15135', NULL, 'Uncharacterised protein UPF0515', 271, NULL, 'UPF0515', 8132),
(8133, 'PF01562', NULL, 'Reprolysin family propeptide', 140, NULL, 'Pep_M12B_propep', 8133),
(8134, 'PF17431', NULL, 'Uncharacterized YmpT-like', 62, NULL, 'YpmT', 8134),
(8135, 'PF06918', NULL, 'Protein of unknown function (DUF1280)', 221, NULL, 'DUF1280', 8135),
(8136, 'PF03985', NULL, 'Paf1', 426, NULL, 'Paf1', 8136),
(8137, 'PF11485', NULL, 'Protein of unknown function (DUF3211)', 136, NULL, 'DUF3211', 8137),
(8138, 'PF07343', NULL, 'Protein of unknown function (DUF1475)', 236, NULL, 'DUF1475', 8138),
(8139, 'PF06256', NULL, 'Nucleopolyhedrovirus LEF-12 protein', 173, NULL, 'Nucleo_LEF-12', 8139),
(8140, 'PF07815', NULL, 'Abl-interactor HHR', 77, NULL, 'Abi_HHR', 8140),
(8141, 'PF14923', NULL, 'Coiled-coil protein 142', 451, NULL, 'CCDC142', 8141),
(8142, 'PF18536', NULL, 'Domain of unknown function (DUF5623)', 120, NULL, 'DUF5623', 8142),
(8143, 'PF14039', NULL, 'YusW-like protein', 91, NULL, 'YusW', 8143),
(8144, 'PF13232', NULL, 'Complex1_LYR-like', 97, NULL, 'Complex1_LYR_1', 8144),
(8145, 'PF00175', NULL, 'Oxidoreductase NAD-binding domain', 109, NULL, 'NAD_binding_1', 8145),
(8146, 'PF11394', NULL, 'Protein of unknown function (DUF2875)', 456, NULL, 'DUF2875', 8146),
(8147, 'PF06051', NULL, 'Domain of Unknown Function (DUF928)', 186, NULL, 'DUF928', 8147),
(8148, 'PF08441', NULL, 'Integrin alpha', 467, NULL, 'Integrin_alpha2', 8148),
(8149, 'PF15650', NULL, 'Restriction endonuclease fold toxin 9', 88, NULL, 'Tox-REase-9', 8149),
(8150, 'PF03232', NULL, 'Ubiquinone biosynthesis protein COQ7', 172, NULL, 'COQ7', 8150),
(8151, 'PF15366', NULL, 'Domain of unknown function (DUF4597)', 62, NULL, 'DUF4597', 8151),
(8152, 'PF08854', NULL, 'Domain of unknown function (DUF1824)', 125, NULL, 'DUF1824', 8152),
(8153, 'PF18100', NULL, 'Phosphodiesterase 4 upstream conserved regions (UCR)', 119, NULL, 'PDE4_UCR', 8153),
(8154, 'PF09878', NULL, 'Predicted membrane protein (DUF2105)', 200, NULL, 'DUF2105', 8154),
(8155, 'PF06803', NULL, 'Protein of unknown function (DUF1232)', 37, NULL, 'DUF1232', 8155),
(8156, 'PF14924', NULL, 'Protein of unknown function (DUF4497)', 108, NULL, 'DUF4497', 8156),
(8157, 'PF08654', NULL, 'DASH complex subunit Dad2', 99, NULL, 'DASH_Dad2', 8157),
(8158, 'PF08461', NULL, 'Ribonuclease R winged-helix domain', 66, NULL, 'HTH_12', 8158),
(8159, 'PF12937', NULL, 'F-box-like', 48, NULL, 'F-box-like', 8159),
(8160, 'PF01799', NULL, '[2Fe-2S] binding domain', 76, NULL, 'Fer2_2', 8160); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8161, 'PF16207', NULL, 'RAWUL domain RING finger- and  WD40-associated ubiquitin-like', 74, NULL, 'RAWUL', 8161),
(8162, 'PF13772', NULL, 'AIG2-like family', 83, NULL, 'AIG2_2', 8162),
(8163, 'PF05587', NULL, 'Anthrax receptor extracellular domain', 102, NULL, 'Anth_Ig', 8163),
(8164, 'PF01352', NULL, 'KRAB box', 42, NULL, 'KRAB', 8164),
(8165, 'PF18803', NULL, 'CxC2 like cysteine cluster associated with KDZ transposases', 107, NULL, 'CxC2', 8165),
(8166, 'PF14688', NULL, 'Domain of unknown function (DUF4461)', 312, NULL, 'DUF4461', 8166),
(8167, 'PF18019', NULL, 'HD domain', 196, NULL, 'HD_6', 8167),
(8168, 'PF15340', NULL, 'Cooperator of PRMT5 family', 151, NULL, 'COPR5', 8168),
(8169, 'PF13104', NULL, 'Protein of unknown function (DUF3956)', 45, NULL, 'DUF3956', 8169),
(8170, 'PF12585', NULL, 'Protein of unknown function (DUF3759)', 92, NULL, 'DUF3759', 8170),
(8171, 'PF11971', NULL, 'CAMSAP CH domain', 85, NULL, 'CAMSAP_CH', 8171),
(8172, 'PF00312', NULL, 'Ribosomal protein S15', 81, NULL, 'Ribosomal_S15', 8172),
(8173, 'PF13919', NULL, 'Asx homology domain', 139, NULL, 'ASXH', 8173),
(8174, 'PF18688', NULL, 'Family of unknown function (DUF5638)', 104, NULL, 'DUF5638', 8174),
(8175, 'PF10212', NULL, 'Predicted coiled-coil domain-containing protein', 523, NULL, 'TTKRSYEDQ', 8175),
(8176, 'PF09986', NULL, 'Uncharacterized protein conserved in bacteria (DUF2225)', 214, NULL, 'DUF2225', 8176),
(8177, 'PF16577', NULL, 'UBA domain', 62, NULL, 'UBA_5', 8177),
(8178, 'PF14788', NULL, 'EF hand', 50, NULL, 'EF-hand_10', 8178),
(8179, 'PF16026', NULL, 'Mitochondria-eating protein', 199, NULL, 'MIEAP', 8179),
(8180, 'PF13710', NULL, 'ACT domain', 62, NULL, 'ACT_5', 8180),
(8181, 'PF18505', NULL, 'Domain of unknown function (DUF5619)', 85, NULL, 'DUF5619', 8181),
(8182, 'PF09064', NULL, 'Thrombomodulin like fifth domain, EGF-like', 34, NULL, 'Tme5_EGF_like', 8182),
(8183, 'PF14782', NULL, 'Ciliary BBSome complex subunit 2, C-terminal', 432, NULL, 'BBS2_C', 8183),
(8184, 'PF13396', NULL, 'Phospholipase_D-nuclease N-terminal', 42, NULL, 'PLDc_N', 8184),
(8185, 'PF16351', NULL, 'Domain of unknown function (DUF4979)', 160, NULL, 'DUF4979', 8185),
(8186, 'PF04998', NULL, 'RNA polymerase Rpb1, domain 5', 267, NULL, 'RNA_pol_Rpb1_5', 8186),
(8187, 'PF04685', NULL, 'Glycosyl-hydrolase family 116, catalytic region', 361, NULL, 'DUF608', 8187),
(8188, 'PF07842', NULL, 'GC-rich sequence DNA-binding factor-like protein', 277, NULL, 'GCFC', 8188),
(8189, 'PF16694', NULL, 'Cytochrome P460', 125, NULL, 'Cytochrome_P460', 8189),
(8190, 'PF19212', NULL, 'Coronavirus replicase NSP2, C-terminal', 157, NULL, 'CoV_NSP2_C', 8190),
(8191, 'PF05346', NULL, 'Eukaryotic membrane protein family', 319, NULL, 'DUF747', 8191),
(8192, 'PF09003', NULL, 'Bacteriophage lambda integrase, Arm DNA-binding domain', 74, NULL, 'Arm-DNA-bind_1', 8192),
(8193, 'PF04863', NULL, 'Alliinase EGF-like domain', 55, NULL, 'EGF_alliinase', 8193),
(8194, 'PF12308', NULL, 'Neurogenesis glycoprotein', 100, NULL, 'Noelin-1', 8194),
(8195, 'PF10452', NULL, 'TORC1 subunit TCO89', 596, NULL, 'TCO89', 8195),
(8196, 'PF12646', NULL, 'Domain of unknown function (DUF3783)', 56, NULL, 'DUF3783', 8196),
(8197, 'PF14129', NULL, 'Domain of unknown function (DUF4296)', 87, NULL, 'DUF4296', 8197),
(8198, 'PF12204', NULL, 'Domain of unknown function (DUF3598)', 265, NULL, 'DUF3598', 8198),
(8199, 'PF14464', NULL, 'Prokaryotic homologs of the JAB domain', 120, NULL, 'Prok-JAB', 8199),
(8200, 'PF08806', NULL, 'Sep15/SelM redox domain', 75, NULL, 'Sep15_SelM', 8200),
(8201, 'PF13372', NULL, 'Alginate export', 400, NULL, 'Alginate_exp', 8201),
(8202, 'PF13834', NULL, 'Domain of unknown function (DUF4193)', 98, NULL, 'DUF4193', 8202),
(8203, 'PF19021', NULL, 'Family of unknown function (DUF5747)', 197, NULL, 'DUF5747', 8203),
(8204, 'PF12088', NULL, 'Protein of unknown function (DUF3565)', 58, NULL, 'DUF3565', 8204),
(8205, 'PF02187', NULL, 'Growth-Arrest-Specific Protein 2 Domain', 69, NULL, 'GAS2', 8205); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8206, 'PF09000', NULL, 'Cytotoxic', 82, NULL, 'Cytotoxic', 8206),
(8207, 'PF03843', NULL, 'Outer membrane lipoprotein Slp family', 153, NULL, 'Slp', 8207),
(8208, 'PF09338', NULL, 'Glycine/sarcosine/betaine reductase component B subunits', 426, NULL, 'Gly_reductase', 8208),
(8209, 'PF13838', NULL, 'Clathrin-H-link', 66, NULL, 'Clathrin_H_link', 8209),
(8210, 'PF18010', NULL, 'Cry35Ab1 HTH C-terminal domain', 29, NULL, 'HTH_49', 8210),
(8211, 'PF09949', NULL, 'Uncharacterized conserved protein (DUF2183)', 99, NULL, 'DUF2183', 8211),
(8212, 'PF09746', NULL, 'Tumour-associated protein', 381, NULL, 'Membralin', 8212),
(8213, 'PF02872', NULL, '5''-nucleotidase, C-terminal domain', 158, NULL, '5_nucleotid_C', 8213),
(8214, 'PF14547', NULL, 'Hydrophobic seed protein', 85, NULL, 'Hydrophob_seed', 8214),
(8215, 'PF12624', NULL, 'N-terminal region of Chorein or VPS13', 116, NULL, 'Chorein_N', 8215),
(8216, 'PF12725', NULL, 'Protein of unknown function (DUF3810)', 310, NULL, 'DUF3810', 8216),
(8217, 'PF17818', NULL, 'Keratinocyte-associated gene product', 187, NULL, 'KCT2', 8217),
(8218, 'PF16244', NULL, 'Domain of unknown function (DUF4901)', 228, NULL, 'DUF4901', 8218),
(8219, 'PF01492', NULL, 'Geminivirus C4 protein', 84, NULL, 'Gemini_C4', 8219),
(8220, 'PF19056', NULL, 'WD40 repeated domain', 489, NULL, 'WD40_2', 8220),
(8221, 'PF16585', NULL, 'Lipocalin-like domain', 135, NULL, 'Lipocalin_8', 8221),
(8222, 'PF10042', NULL, 'Uncharacterized conserved protein (DUF2278)', 204, NULL, 'DUF2278', 8222),
(8223, 'PF05314', NULL, 'Baculovirus occlusion-derived virus envelope protein EC27', 283, NULL, 'Baculo_ODV-E27', 8223),
(8224, 'PF12064', NULL, 'Protein kinase C-binding protein 1', 207, NULL, 'DUF3544', 8224),
(8225, 'PF08527', NULL, 'Protein-arginine deiminase (PAD) middle domain', 159, NULL, 'PAD_M', 8225),
(8226, 'PF02450', NULL, 'Lecithin:cholesterol acyltransferase', 392, NULL, 'LCAT', 8226),
(8227, 'PF03187', NULL, 'Corona nucleocapsid I protein', 207, NULL, 'Corona_I', 8227),
(8228, 'PF12772', NULL, 'Growth hormone receptor binding', 303, NULL, 'GHBP', 8228),
(8229, 'PF05396', NULL, 'Phage T7 capsid assembly protein', 123, NULL, 'Phage_T7_Capsid', 8229),
(8230, 'PF06490', NULL, 'Flagellar regulatory protein FleQ', 109, NULL, 'FleQ', 8230),
(8231, 'PF17468', NULL, 'Phage gene product 52', 61, NULL, 'GP52', 8231),
(8232, 'PF06574', NULL, 'FAD synthetase', 158, NULL, 'FAD_syn', 8232),
(8233, 'PF17159', NULL, 'Membrane-associated sensor domain', 226, NULL, 'MASE3', 8233),
(8234, 'PF13391', NULL, 'HNH endonuclease', 73, NULL, 'HNH_2', 8234),
(8235, 'PF10264', NULL, 'Winged helix Storkhead-box1 domain', 79, NULL, 'Stork_head', 8235),
(8236, 'PF00388', NULL, 'Phosphatidylinositol-specific phospholipase C, X domain', 145, NULL, 'PI-PLC-X', 8236),
(8237, 'PF12288', NULL, 'Carboxysome shell peptide mid-region', 421, NULL, 'CsoS2_M', 8237),
(8238, 'PF07405', NULL, 'Protein of unknown function (DUF1506)', 127, NULL, 'DUF1506', 8238),
(8239, 'PF01839', NULL, 'FG-GAP repeat', 37, NULL, 'FG-GAP', 8239),
(8240, 'PF05418', NULL, 'Apovitellenin I (Apo-VLDL-II)', 79, NULL, 'Apo-VLDL-II', 8240),
(8241, 'PF17121', NULL, 'Zinc finger, C3HC4 type (RING finger)', 51, NULL, 'zf-C3HC4_5', 8241),
(8242, 'PF08176', NULL, 'Small acid-soluble spore protein K family', 47, NULL, 'SspK', 8242),
(8243, 'PF11042', NULL, 'Protein of unknown function (DUF2750)', 102, NULL, 'DUF2750', 8243),
(8244, 'PF14652', NULL, 'Domain of unknown function (DUF4457)', 327, NULL, 'DUF4457', 8244),
(8245, 'PF09049', NULL, 'Stannin transmembrane', 32, NULL, 'SNN_transmemb', 8245),
(8246, 'PF08117', NULL, 'Ptu family', 35, NULL, 'Toxin_30', 8246),
(8247, 'PF07314', NULL, 'Protein of unknown function (DUF1461)', 181, NULL, 'DUF1461', 8247),
(8248, 'PF05685', NULL, 'Putative restriction endonuclease', 172, NULL, 'Uma2', 8248),
(8249, 'PF00153', NULL, 'Mitochondrial carrier protein', 97, NULL, 'Mito_carr', 8249),
(8250, 'PF10090', NULL, 'Histidine phosphotransferase C-terminal domain', 123, NULL, 'HPTransfase', 8250);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8251, 'PF13114', NULL, 'RecO N terminal', 71, NULL, 'RecO_N_2', 8251),
(8252, 'PF15479', NULL, 'Domain of unknown function (DUF4639)', 580, NULL, 'DUF4639', 8252),
(8253, 'PF01063', NULL, 'Amino-transferase class IV', 223, NULL, 'Aminotran_4', 8253),
(8254, 'PF10035', NULL, 'Uncharacterized protein conserved in bacteria (DUF2179)', 55, NULL, 'DUF2179', 8254),
(8255, 'PF12760', NULL, 'Transposase zinc-ribbon domain', 46, NULL, 'Zn_Tnp_IS1595', 8255),
(8256, 'PF10028', NULL, 'Predicted integral membrane protein (DUF2270)', 184, NULL, 'DUF2270', 8256),
(8257, 'PF17447', NULL, 'Uncharacterized YkpC-like', 42, NULL, 'YkpC', 8257),
(8258, 'PF09493', NULL, 'Tryptophan-rich protein (DUF2389)', 62, NULL, 'DUF2389', 8258),
(8259, 'PF11041', NULL, 'Protein of unknown function (DUF2612)', 183, NULL, 'DUF2612', 8259),
(8260, 'PF14465', NULL, 'NFRKB Winged Helix-like', 102, NULL, 'NFRKB_winged', 8260),
(8261, 'PF17133', NULL, 'Domain of unknown function (DUF5108)', 216, NULL, 'DUF5108', 8261),
(8262, 'PF16147', NULL, 'Domain of unknown function (DUF4855)', 315, NULL, 'DUF4855', 8262),
(8263, 'PF07790', NULL, 'Archaeal Type IV pilin, N-terminal', 81, NULL, 'Pilin_N', 8263),
(8264, 'PF14827', NULL, 'Double sensory domain of two-component sensor kinase', 238, NULL, 'dCache_3', 8264),
(8265, 'PF11987', NULL, 'Translation-initiation factor 2', 106, NULL, 'IF-2', 8265),
(8266, 'PF03892', NULL, 'Nitrate reductase cytochrome c-type subunit (NapB)', 127, NULL, 'NapB', 8266),
(8267, 'PF04288', NULL, 'MukE-like family', 229, NULL, 'MukE', 8267),
(8268, 'PF09845', NULL, 'Zn-ribbon containing protein', 134, NULL, 'DUF2072', 8268),
(8269, 'PF15078', NULL, 'Domain of unknown function (DUF4545)', 465, NULL, 'DUF4545', 8269),
(8270, 'PF06275', NULL, 'Protein of unknown function (DUF1031)', 80, NULL, 'DUF1031', 8270),
(8271, 'PF00265', NULL, 'Thymidine kinase', 177, NULL, 'TK', 8271),
(8272, 'PF00185', NULL, 'Aspartate/ornithine carbamoyltransferase, Asp/Orn binding domain', 157, NULL, 'OTCace', 8272),
(8273, 'PF00933', NULL, 'Glycosyl hydrolase family 3 N terminal domain', 319, NULL, 'Glyco_hydro_3', 8273),
(8274, 'PF03998', NULL, 'Utp11 protein', 247, NULL, 'Utp11', 8274),
(8275, 'PF13282', NULL, 'Domain of unknown function (DUF4070)', 140, NULL, 'DUF4070', 8275),
(8276, 'PF03500', NULL, 'Cellulose synthase subunit D', 144, NULL, 'Cellsynth_D', 8276),
(8277, 'PF10465', NULL, 'PinA peptidase inhibitor', 140, NULL, 'Inhibitor_I24', 8277),
(8278, 'PF16700', NULL, 'Synphilin-1 alpha-Synuclein-binding domain', 46, NULL, 'SNCAIP_SNCA_bd', 8278),
(8279, 'PF02321', NULL, 'Outer membrane efflux protein', 188, NULL, 'OEP', 8279),
(8280, 'PF11737', NULL, 'Protein of unknown function (DUF3300)', 228, NULL, 'DUF3300', 8280),
(8281, 'PF12698', NULL, 'ABC-2 family transporter protein', 345, NULL, 'ABC2_membrane_3', 8281),
(8282, 'PF12316', NULL, 'Segment polarity protein dishevelled (Dsh) C terminal', 208, NULL, 'Dsh_C', 8282),
(8283, 'PF16410', NULL, 'Domain of unknown function (DUF5018)', 355, NULL, 'DUF5018', 8283),
(8284, 'PF15648', NULL, 'Restriction endonuclease fold toxin 5', 95, NULL, 'Tox-REase-5', 8284),
(8285, 'PF16624', NULL, 'Unstructured region upstream of a zinc-finger', 97, NULL, 'zf-C2H2_assoc2', 8285),
(8286, 'PF08474', NULL, 'Myelin transcription factor 1', 241, NULL, 'MYT1', 8286),
(8287, 'PF02781', NULL, 'Glucose-6-phosphate dehydrogenase, C-terminal domain', 295, NULL, 'G6PD_C', 8287),
(8288, 'PF12973', NULL, 'ChrR Cupin-like domain', 91, NULL, 'Cupin_7', 8288),
(8289, 'PF06267', NULL, 'Family of unknown function (DUF1028)', 192, NULL, 'DUF1028', 8289),
(8290, 'PF04122', NULL, 'ell wall binding domain 2 (CWB2)', 69, NULL, 'CW_binding_2', 8290),
(8291, 'PF06631', NULL, 'Protein of unknown function (DUF1154)', 45, NULL, 'DUF1154', 8291),
(8292, 'PF18124', NULL, 'Kindlin-2 N-terminal domain', 89, NULL, 'Kindlin_2_N', 8292),
(8293, 'PF05653', NULL, 'Magnesium transporter NIPA', 295, NULL, 'Mg_trans_NIPA', 8293);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8294, 'PF18732', NULL, 'HEPN like, Abia C-terminal domain', 132, NULL, 'HEPN_AbiA_CTD', 8294),
(8295, 'PF00887', NULL, 'Acyl CoA binding protein', 86, NULL, 'ACBP', 8295),
(8296, 'PF10415', NULL, 'Fumarase C C-terminus', 54, NULL, 'FumaraseC_C', 8296),
(8297, 'PF19198', NULL, 'RsaA N-terminal domain', 180, NULL, 'RsaA_NTD', 8297),
(8298, 'PF14287', NULL, 'Domain of unknown function (DUF4368)', 67, NULL, 'DUF4368', 8298),
(8299, 'PF05499', NULL, 'DNA methyltransferase 1-associated protein 1 (DMAP1)', 165, NULL, 'DMAP1', 8299),
(8300, 'PF07577', NULL, 'Domain of Unknown Function (DUF1547)', 60, NULL, 'DUF1547', 8300),
(8301, 'PF11227', NULL, 'Protein of unknown function (DUF3025)', 210, NULL, 'DUF3025', 8301),
(8302, 'PF06902', NULL, 'Divergent 4Fe-4S mono-cluster', 64, NULL, 'Fer4_19', 8302),
(8303, 'PF14249', NULL, 'Tocopherol cyclase', 336, NULL, 'Tocopherol_cycl', 8303),
(8304, 'PF06103', NULL, 'Bacterial protein of unknown function (DUF948)', 89, NULL, 'DUF948', 8304),
(8305, 'PF02899', NULL, 'Phage integrase, N-terminal SAM-like domain', 84, NULL, 'Phage_int_SAM_1', 8305),
(8306, 'PF01141', NULL, 'Gag polyprotein, inner coat protein p12', 85, NULL, 'Gag_p12', 8306),
(8307, 'PF10193', NULL, 'Telomere length regulation protein', 109, NULL, 'Telomere_reg-2', 8307),
(8308, 'PF02262', NULL, 'CBL proto-oncogene N-terminal domain 1', 125, NULL, 'Cbl_N', 8308),
(8309, 'PF10741', NULL, 'Type II secretion system (T2SS), protein M subtype b', 111, NULL, 'T2SSM_b', 8309),
(8310, 'PF15645', NULL, 'Dermonecrotoxin of the Papain-like fold', 141, NULL, 'Tox-PLDMTX', 8310),
(8311, 'PF09127', NULL, 'Leukotriene A4 hydrolase, C-terminal', 112, NULL, 'Leuk-A4-hydro_C', 8311),
(8312, 'PF06848', NULL, 'Disaggregatase related repeat', 180, NULL, 'Disaggr_repeat', 8312),
(8313, 'PF03648', NULL, 'Glycosyl hydrolase family 67 N-terminus', 121, NULL, 'Glyco_hydro_67N', 8313),
(8314, 'PF09589', NULL, 'HrpA pilus formation protein', 96, NULL, 'HrpA_pilin', 8314),
(8315, 'PF17668', NULL, 'Acetyltransferase (GNAT) domain', 116, NULL, 'Acetyltransf_17', 8315),
(8316, 'PF10049', NULL, 'Protein of unknown function (DUF2283)', 49, NULL, 'DUF2283', 8316),
(8317, 'PF11244', NULL, 'Mediator complex subunit 25 C-terminal NR box-containing', 91, NULL, 'Med25_NR-box', 8317),
(8318, 'PF01669', NULL, 'Myelin basic protein', 156, NULL, 'Myelin_MBP', 8318),
(8319, 'PF12093', NULL, 'Betacoronavirus NS8 protein', 118, NULL, 'bCoV_NS8', 8319),
(8320, 'PF00001', NULL, '7 transmembrane receptor (rhodopsin family)', 263, NULL, '7tm_1', 8320),
(8321, 'PF00949', NULL, 'Peptidase S7, Flavivirus NS3 serine protease', 131, NULL, 'Peptidase_S7', 8321),
(8322, 'PF18811', NULL, 'Dipeptidyl peptidase IV (DPP IV) low complexity region', 21, NULL, 'DPPIV_rep', 8322),
(8323, 'PF14085', NULL, 'Domain of unknown function (DUF4265)', 115, NULL, 'DUF4265', 8323),
(8324, 'PF13449', NULL, 'Esterase-like activity of phytase', 287, NULL, 'Phytase-like', 8324),
(8325, 'PF16910', NULL, 'Repeating coiled region of VPS13', 235, NULL, 'VPS13_mid_rpt', 8325),
(8326, 'PF16527', NULL, 'Two-component sensor protein CpxA, periplasmic domain', 134, NULL, 'CpxA_peri', 8326),
(8327, 'PF12284', NULL, 'Hox protein A13 N terminal', 119, NULL, 'HoxA13_N', 8327),
(8328, 'PF01356', NULL, 'Alpha amylase inhibitor', 68, NULL, 'A_amylase_inhib', 8328),
(8329, 'PF11455', NULL, 'Protein  of unknown function (DUF3018)', 64, NULL, 'DUF3018', 8329),
(8330, 'PF03636', NULL, 'Glycosyl hydrolase family 65, N-terminal domain', 227, NULL, 'Glyco_hydro_65N', 8330),
(8331, 'PF14956', NULL, 'Domain of unknown function (DUF4505)', 179, NULL, 'DUF4505', 8331),
(8332, 'PF16146', NULL, 'Domain of unknown function (DUF4854)', 105, NULL, 'DUF4854', 8332),
(8333, 'PF02934', NULL, 'GatB/GatE catalytic domain', 273, NULL, 'GatB_N', 8333),
(8334, 'PF18067', NULL, 'Lipase C-terminal domain', 96, NULL, 'Lipase_C', 8334),
(8335, 'PF07949', NULL, 'YbbR-like protein', 82, NULL, 'YbbR', 8335),
(8336, 'PF01910', NULL, 'Thiamine-binding protein', 92, NULL, 'Thiamine_BP', 8336);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8337, 'PF19217', NULL, 'Coronavirus replicase NSP4, N-terminal', 353, NULL, 'CoV_NSP4_N', 8337),
(8338, 'PF07342', NULL, 'Protein of unknown function (DUF1474)', 100, NULL, 'DUF1474', 8338),
(8339, 'PF15316', NULL, 'MyoD family inhibitor', 171, NULL, 'MDFI', 8339),
(8340, 'PF16313', NULL, 'Met-zincin', 320, NULL, 'DUF4953', 8340),
(8341, 'PF17513', NULL, 'Family of unknown function (DUF5441)', 189, NULL, 'DUF5441', 8341),
(8342, 'PF11272', NULL, 'Protein of unknown function (DUF3072)', 56, NULL, 'DUF3072', 8342),
(8343, 'PF00477', NULL, 'Small hydrophilic plant seed protein', 109, NULL, 'LEA_5', 8343),
(8344, 'PF18385', NULL, 'T-lymphoma invasion and metastasis CC-Ex domain', 98, NULL, 'Tiam_CC_Ex', 8344),
(8345, 'PF16457', NULL, 'Pleckstrin homology domain', 134, NULL, 'PH_12', 8345),
(8346, 'PF09077', NULL, 'Mu B transposition protein, C terminal', 78, NULL, 'Phage-MuB_C', 8346),
(8347, 'PF14614', NULL, 'Domain of unknown function (DUF4450)', 216, NULL, 'DUF4450', 8347),
(8348, 'PF19131', NULL, 'Family of unknown function (DUF5814)', 148, NULL, 'DUF5814', 8348),
(8349, 'PF17376', NULL, 'Family of unknown function (DUF5398)', 80, NULL, 'DUF5398', 8349),
(8350, 'PF18614', NULL, 'RNase II-type exonuclease C-terminal S1 domain', 59, NULL, 'RNase_II_C_S1', 8350),
(8351, 'PF18791', NULL, 'Transport inhibitor response 1 protein domain', 47, NULL, 'Transp_inhibit', 8351),
(8352, 'PF06057', NULL, 'Bacterial virulence protein (VirJ)', 192, NULL, 'VirJ', 8352),
(8353, 'PF10401', NULL, 'Interferon-regulatory factor 3', 180, NULL, 'IRF-3', 8353),
(8354, 'PF04856', NULL, 'Securin sister-chromatid separation inhibitor', 232, NULL, 'Securin', 8354),
(8355, 'PF06400', NULL, 'Alpha-2-macroglobulin RAP, N-terminal domain', 117, NULL, 'Alpha-2-MRAP_N', 8355),
(8356, 'PF08811', NULL, 'Protein of unknown function (DUF1800)', 433, NULL, 'DUF1800', 8356),
(8357, 'PF18410', NULL, 'Basic tilted helix bundle domain', 72, NULL, 'BTHB', 8357),
(8358, 'PF05676', NULL, 'NADH-ubiquinone oxidoreductase B18 subunit (NDUFB7)', 63, NULL, 'NDUF_B7', 8358),
(8359, 'PF14000', NULL, 'DNA packaging protein FI', 131, NULL, 'Packaging_FI', 8359),
(8360, 'PF07576', NULL, 'BRCA1-associated protein 2', 99, NULL, 'BRAP2', 8360),
(8361, 'PF09655', NULL, 'Conserved nitrate reductase-associated protein (Nitr_red_assoc)', 144, NULL, 'Nitr_red_assoc', 8361),
(8362, 'PF13684', NULL, 'Dihydroxyacetone kinase family', 313, NULL, 'Dak1_2', 8362),
(8363, 'PF13789', NULL, 'Domain of unknown function (DUF4181)', 108, NULL, 'DUF4181', 8363),
(8364, 'PF03432', NULL, 'Relaxase/Mobilisation nuclease domain', 242, NULL, 'Relaxase', 8364),
(8365, 'PF09154', NULL, 'Domain of unknown function (DUF1939)', 57, NULL, 'DUF1939', 8365),
(8366, 'PF09774', NULL, 'Caffeine-induced death protein 2', 160, NULL, 'Cid2', 8366),
(8367, 'PF10043', NULL, 'Predicted periplasmic lipoprotein (DUF2279)', 91, NULL, 'DUF2279', 8367),
(8368, 'PF09536', NULL, 'Protein of unknown function (DUF2378)', 177, NULL, 'DUF2378', 8368),
(8369, 'PF19030', NULL, 'Thrombospondin type 1 domain', 55, NULL, 'TSP1_ADAMTS', 8369),
(8370, 'PF07047', NULL, 'Optic atrophy 3 protein (OPA3)', 125, NULL, 'OPA3', 8370),
(8371, 'PF07372', NULL, 'Protein of unknown function (DUF1491)', 104, NULL, 'DUF1491', 8371),
(8372, 'PF06842', NULL, 'Protein of unknown function (DUF1242)', 35, NULL, 'DUF1242', 8372),
(8373, 'PF13660', NULL, 'Domain of unknown function (DUF4147)', 235, NULL, 'DUF4147', 8373),
(8374, 'PF16107', NULL, 'Domain of unknown function (DUF4825)', 99, NULL, 'DUF4825', 8374),
(8375, 'PF18828', NULL, 'Large polyvalent-protein-associated domain 15', 99, NULL, 'LPD15', 8375),
(8376, 'PF00149', NULL, 'Calcineurin-like phosphoesterase', 205, NULL, 'Metallophos', 8376),
(8377, 'PF10467', NULL, 'Peptidase inhibitor clitocypin', 142, NULL, 'Inhibitor_I48', 8377),
(8378, 'PF07856', NULL, 'Mediator of CRAC channel activity', 176, NULL, 'Orai-1', 8378),
(8379, 'PF18575', NULL, 'HAMP N-terminal domain 3', 43, NULL, 'HAMP_N3', 8379);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8380, 'PF05679', NULL, 'Chondroitin N-acetylgalactosaminyltransferase', 514, NULL, 'CHGN', 8380),
(8381, 'PF00761', NULL, 'Polyomavirus coat protein', 322, NULL, 'Polyoma_coat2', 8381),
(8382, 'PF00754', NULL, 'F5/8 type C domain', 127, NULL, 'F5_F8_type_C', 8382),
(8383, 'PF06234', NULL, 'Toluene-4-monooxygenase system protein B (TmoB)', 79, NULL, 'TmoB', 8383),
(8384, 'PF14139', NULL, 'YpzG-like protein', 49, NULL, 'YpzG', 8384),
(8385, 'PF04677', NULL, 'Protein similar to CwfJ C-terminus 1', 122, NULL, 'CwfJ_C_1', 8385),
(8386, 'PF00012', NULL, 'Hsp70 protein', 599, NULL, 'HSP70', 8386),
(8387, 'PF11075', NULL, 'Protein of unknown function VcgC/VcgE (DUF2780)', 178, NULL, 'DUF2780', 8387),
(8388, 'PF06881', NULL, 'RNA polymerase II transcription factor SIII (Elongin) subunit A', 105, NULL, 'Elongin_A', 8388),
(8389, 'PF01285', NULL, 'TEA/ATTS domain', 68, NULL, 'TEA', 8389),
(8390, 'PF14412', NULL, 'A nuclease family of the HNH/ENDO VII superfamily with conserved AHH', 114, NULL, 'AHH', 8390),
(8391, 'PF14061', NULL, 'Polycomb-like MTF2 factor 2', 48, NULL, 'Mtf2_C', 8391),
(8392, 'PF09243', NULL, 'Mitochondrial small ribosomal subunit Rsm22', 287, NULL, 'Rsm22', 8392),
(8393, 'PF07459', NULL, 'CTX phage RstB protein', 90, NULL, 'CTX_RstB', 8393),
(8394, 'PF06908', NULL, 'YspA SLOG family', 168, NULL, 'YpsA', 8394),
(8395, 'PF00074', NULL, 'Pancreatic ribonuclease', 121, NULL, 'RnaseA', 8395),
(8396, 'PF15855', NULL, 'Domain of unknown function (DUF4726)', 101, NULL, 'DUF4726', 8396),
(8397, 'PF07925', NULL, 'Reovirus RNA-dependent RNA polymerase lambda 3', 1271, NULL, 'RdRP_5', 8397),
(8398, 'PF08696', NULL, 'DNA replication factor Dna2', 203, NULL, 'Dna2', 8398),
(8399, 'PF12408', NULL, 'Ribose-5-phosphate isomerase', 47, NULL, 'DUF3666', 8399),
(8400, 'PF03401', NULL, 'Tripartite tricarboxylate transporter family receptor', 274, NULL, 'TctC', 8400),
(8401, 'PF00973', NULL, 'Paramyxovirus nucleocapsid protein', 524, NULL, 'Paramyxo_ncap', 8401),
(8402, 'PF15080', NULL, 'Domain of unknown function (DUF4547)', 196, NULL, 'DUF4547', 8402),
(8403, 'PF04871', NULL, 'Uso1 / p115 like vesicle tethering protein, C terminal region', 124, NULL, 'Uso1_p115_C', 8403),
(8404, 'PF02185', NULL, 'Hr1 repeat', 69, NULL, 'HR1', 8404),
(8405, 'PF16540', NULL, 'Arf6-interacting domain of mitotic kinesin-like protein 1', 107, NULL, 'MKLP1_Arf_bdg', 8405),
(8406, 'PF03113', NULL, 'Respiratory synctial virus non-structural protein NS2', 124, NULL, 'RSV_NS2', 8406),
(8407, 'PF17893', NULL, 'CRISPR-associated endonuclease Cas9 beta-hairpin domain', 90, NULL, 'Cas9_b_hairpin', 8407),
(8408, 'PF07352', NULL, 'Bacteriophage Mu Gam like protein', 154, NULL, 'Phage_Mu_Gam', 8408),
(8409, 'PF00616', NULL, 'GTPase-activator protein for Ras-like GTPase', 208, NULL, 'RasGAP', 8409),
(8410, 'PF10633', NULL, 'NPCBM-associated, NEW3 domain of alpha-galactosidase', 79, NULL, 'NPCBM_assoc', 8410),
(8411, 'PF07934', NULL, '8-oxoguanine DNA glycosylase, N-terminal domain', 121, NULL, 'OGG_N', 8411),
(8412, 'PF18079', NULL, 'Archaeal glycosylation protein B long peripheral domain', 92, NULL, 'AglB_L1', 8412),
(8413, 'PF04542', NULL, 'Sigma-70 region 2', 71, NULL, 'Sigma70_r2', 8413),
(8414, 'PF07899', NULL, 'Frigida-like protein', 289, NULL, 'Frigida', 8414),
(8415, 'PF07359', NULL, 'Liver-expressed antimicrobial peptide 2 precursor (LEAP-2)', 77, NULL, 'LEAP-2', 8415),
(8416, 'PF14156', NULL, 'Antirepressor AbbA', 63, NULL, 'AbbA_antirepres', 8416),
(8417, 'PF10763', NULL, 'Protein of unknown function (DUF2584)', 81, NULL, 'DUF2584', 8417),
(8418, 'PF17361', NULL, 'Family of unknown function (DUF5387)', 222, NULL, 'DUF5387', 8418),
(8419, 'PF13860', NULL, 'FlgD Ig-like domain', 79, NULL, 'FlgD_ig', 8419),
(8420, 'PF06929', NULL, 'Rotavirus VP3 protein', 692, NULL, 'Rotavirus_VP3', 8420),
(8421, 'PF08454', NULL, 'RyR and IP3R Homology associated', 99, NULL, 'RIH_assoc', 8421),
(8422, 'PF07884', NULL, 'Vitamin K epoxide reductase family', 133, NULL, 'VKOR', 8422); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8423, 'PF14472', NULL, 'Domain of unknown function (DUF4429)', 98, NULL, 'DUF4429', 8423),
(8424, 'PF04345', NULL, 'Chorismate lyase', 168, NULL, 'Chor_lyase', 8424),
(8425, 'PF15032', NULL, 'Protein of unknown function (DUF4529)', 402, NULL, 'DUF4529', 8425),
(8426, 'PF13149', NULL, 'Fimbrillin-like', 250, NULL, 'Mfa_like_1', 8426),
(8427, 'PF16220', NULL, 'Domain of unknown function (DUF4880)', 43, NULL, 'DUF4880', 8427),
(8428, 'PF06808', NULL, 'Tripartite ATP-independent periplasmic transporter, DctM component', 416, NULL, 'DctM', 8428),
(8429, 'PF04294', NULL, 'VanW like protein', 130, NULL, 'VanW', 8429),
(8430, 'PF06775', NULL, 'Putative adipose-regulatory protein (Seipin)', 198, NULL, 'Seipin', 8430),
(8431, 'PF16059', NULL, 'Domain of unknown function (DUF4801)', 52, NULL, 'DUF4801', 8431),
(8432, 'PF11535', NULL, 'Calcium binding', 105, NULL, 'Calci_bind_CcbP', 8432),
(8433, 'PF06955', NULL, 'Xyloglucan endo-transglycosylase (XET) C-terminus', 47, NULL, 'XET_C', 8433),
(8434, 'PF12301', NULL, 'CD99 antigen like protein 2', 172, NULL, 'CD99L2', 8434),
(8435, 'PF00314', NULL, 'Thaumatin family', 214, NULL, 'Thaumatin', 8435),
(8436, 'PF04551', NULL, 'GcpE protein', 351, NULL, 'GcpE', 8436),
(8437, 'PF18340', NULL, 'DNA relaxase TraI 2B/2B-like domain', 79, NULL, 'TraI_2B', 8437),
(8438, 'PF15532', NULL, 'Bacterial toxin 30', 103, NULL, 'Ntox30', 8438),
(8439, 'PF15273', NULL, 'NHS-like', 620, NULL, 'NHS', 8439),
(8440, 'PF09297', NULL, 'NADH pyrophosphatase zinc ribbon domain', 32, NULL, 'zf-NADH-PPase', 8440),
(8441, 'PF10095', NULL, 'Uncharacterized protein conserved in bacteria (DUF2333)', 330, NULL, 'DUF2333', 8441),
(8442, 'PF17578', NULL, 'Family of unknown function (DUF5481)', 103, NULL, 'DUF5481', 8442),
(8443, 'PF11534', NULL, 'Hexameric tyrosine-coordinated heme protein (HTHP)', 72, NULL, 'HTHP', 8443),
(8444, 'PF14811', NULL, 'Protein of unknown function TPD sequence-motif', 138, NULL, 'TPD', 8444),
(8445, 'PF06368', NULL, 'Methylaspartate mutase E chain (MutE)', 441, NULL, 'Met_asp_mut_E', 8445),
(8446, 'PF07608', NULL, 'Protein of unknown function (DUF1571)', 208, NULL, 'DUF1571', 8446),
(8447, 'PF06489', NULL, 'Orthopoxvirus A49R protein', 162, NULL, 'Orthopox_A49R', 8447),
(8448, 'PF10878', NULL, 'Protein of unknown function (DUF2672)', 67, NULL, 'DUF2672', 8448),
(8449, 'PF03180', NULL, 'NLPA lipoprotein', 237, NULL, 'Lipoprotein_9', 8449),
(8450, 'PF07284', NULL, '2-vinyl bacteriochlorophyllide hydratase (BCHF)', 139, NULL, 'BCHF', 8450),
(8451, 'PF18234', NULL, 'Violacein biosynthetic enzyme VioE', 182, NULL, 'VioE', 8451),
(8452, 'PF07744', NULL, 'SPOC domain', 151, NULL, 'SPOC', 8452),
(8453, 'PF13277', NULL, 'YmdB-like protein', 253, NULL, 'YmdB', 8453),
(8454, 'PF05489', NULL, 'Phage Tail Protein X', 60, NULL, 'Phage_tail_X', 8454),
(8455, 'PF08997', NULL, 'Ubiquinol-cytochrome C reductase complex, 6.4kD protein', 55, NULL, 'UCR_6-4kD', 8455),
(8456, 'PF12694', NULL, 'Circularly permutated YpsA SLOG family', 145, NULL, 'cpYpsA', 8456),
(8457, 'PF10364', NULL, 'Putative capsular polysaccharide synthesis protein', 139, NULL, 'NKWYS', 8457),
(8458, 'PF13628', NULL, 'Domain of unknown function (DUF4142)', 139, NULL, 'DUF4142', 8458),
(8459, 'PF03441', NULL, 'FAD binding domain of DNA photolyase', 203, NULL, 'FAD_binding_7', 8459),
(8460, 'PF07807', NULL, 'RED-like protein C-terminal region', 112, NULL, 'RED_C', 8460),
(8461, 'PF08655', NULL, 'DASH complex subunit Ask1', 64, NULL, 'DASH_Ask1', 8461),
(8462, 'PF02897', NULL, 'Prolyl oligopeptidase, N-terminal beta-propeller domain', 414, NULL, 'Peptidase_S9_N', 8462),
(8463, 'PF09099', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain III', 82, NULL, 'Qn_am_d_aIII', 8463),
(8464, 'PF10297', NULL, 'Minimal binding motif of Hap4 for binding to Hap2/3/5', 17, NULL, 'Hap4_Hap_bind', 8464),
(8465, 'PF17563', NULL, 'Cupiennin', 27, NULL, 'Cu', 8465),
(8466, 'PF08510', NULL, 'PIG-P', 125, NULL, 'PIG-P', 8466);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8467, 'PF10446', NULL, 'Protein of unknown function (DUF2457)', 467, NULL, 'DUF2457', 8467),
(8468, 'PF11426', NULL, 'Tn7 transposition regulator TnsC', 47, NULL, 'Tn7_TnsC_Int', 8468),
(8469, 'PF16771', NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', 114, NULL, 'RTT107_BRCT_6', 8469),
(8470, 'PF12714', NULL, 'TILa domain', 55, NULL, 'TILa', 8470),
(8471, 'PF11188', NULL, 'Protein of unknown function (DUF2975)', 131, NULL, 'DUF2975', 8471),
(8472, 'PF03977', NULL, 'Na+-transporting oxaloacetate decarboxylase beta subunit', 349, NULL, 'OAD_beta', 8472),
(8473, 'PF16665', NULL, 'Unstructured region on nuclear receptor coactivator protein', 119, NULL, 'NCOA_u2', 8473),
(8474, 'PF07806', NULL, 'Nodule-specific GRP repeat', 38, NULL, 'Nod_GRP', 8474),
(8475, 'PF07286', NULL, 'Protein of unknown function (DUF1445)', 143, NULL, 'DUF1445', 8475),
(8476, 'PF17291', NULL, 'N-terminal domain of M60-like peptidases', 107, NULL, 'M60-like_N', 8476),
(8477, 'PF10558', NULL, 'Mitochondrial 18 KDa protein (MTP18)', 173, NULL, 'MTP18', 8477),
(8478, 'PF11913', NULL, 'Protein of unknown function (DUF3431)', 215, NULL, 'DUF3431', 8478),
(8479, 'PF08876', NULL, 'Domain of unknown function (DUF1836)', 105, NULL, 'DUF1836', 8479),
(8480, 'PF04642', NULL, 'Protein of unknown function, DUF601', 302, NULL, 'DUF601', 8480),
(8481, 'PF09059', NULL, 'TyeA', 81, NULL, 'TyeA', 8481),
(8482, 'PF11314', NULL, 'Protein of unknown function (DUF3117)', 50, NULL, 'DUF3117', 8482),
(8483, 'PF16784', NULL, 'Putative HNHc nuclease', 200, NULL, 'HNHc_6', 8483),
(8484, 'PF15602', NULL, 'Immunity protein 71', 158, NULL, 'Imm71', 8484),
(8485, 'PF16842', NULL, 'Occluded RNA-recognition motif', 79, NULL, 'RRM_occluded', 8485),
(8486, 'PF16539', NULL, 'Flagellar assembly protein T, middle domain', 158, NULL, 'FlgT_M', 8486),
(8487, 'PF02088', NULL, 'Ornatin', 41, NULL, 'Ornatin', 8487),
(8488, 'PF03765', NULL, 'CRAL/TRIO, N-terminal domain', 54, NULL, 'CRAL_TRIO_N', 8488),
(8489, 'PF03727', NULL, 'Hexokinase', 241, NULL, 'Hexokinase_2', 8489),
(8490, 'PF00042', NULL, 'Globin', 110, NULL, 'Globin', 8490),
(8491, 'PF06897', NULL, 'Protein of unknown function (DUF1269)', 100, NULL, 'DUF1269', 8491),
(8492, 'PF15355', NULL, 'Stretch-responsive small skeletal muscle X protein, Chisel', 86, NULL, 'Chisel', 8492),
(8493, 'PF14911', NULL, 'S-phase genomic integrity recombination mediator, C-terminal', 374, NULL, 'MMS22L_C', 8493),
(8494, 'PF02172', NULL, 'KIX domain', 81, NULL, 'KIX', 8494),
(8495, 'PF17947', NULL, 'Four helical bundle domain', 78, NULL, '4HB', 8495),
(8496, 'PF13522', NULL, 'Glutamine amidotransferase domain', 132, NULL, 'GATase_6', 8496),
(8497, 'PF08555', NULL, 'Eukaryotic family of unknown function (DUF1754)', 98, NULL, 'DUF1754', 8497),
(8498, 'PF08985', NULL, 'DP-EP family', 123, NULL, 'DP-EP', 8498),
(8499, 'PF00910', NULL, 'RNA helicase', 107, NULL, 'RNA_helicase', 8499),
(8500, 'PF04013', NULL, 'Putative SAM-dependent RNA methyltransferase', 198, NULL, 'Methyltrn_RNA_2', 8500),
(8501, 'PF04576', NULL, 'Zein-binding', 92, NULL, 'Zein-binding', 8501),
(8502, 'PF08229', NULL, 'ER membrane protein SH3', 188, NULL, 'SHR3_chaperone', 8502),
(8503, 'PF10011', NULL, 'Predicted membrane protein (DUF2254)', 366, NULL, 'DUF2254', 8503),
(8504, 'PF00559', NULL, 'Retroviral Vif (Viral infectivity) protein', 200, NULL, 'Vif', 8504),
(8505, 'PF04567', NULL, 'RNA polymerase Rpb2, domain 5', 67, NULL, 'RNA_pol_Rpb2_5', 8505),
(8506, 'PF05203', NULL, 'Hom_end-associated Hint', 228, NULL, 'Hom_end_hint', 8506),
(8507, 'PF03356', NULL, 'Viral late protein H2', 188, NULL, 'Pox_LP_H2', 8507),
(8508, 'PF10409', NULL, 'C2 domain of PTEN tumour-suppressor protein', 135, NULL, 'PTEN_C2', 8508),
(8509, 'PF11478', NULL, 'Antimicrobial chitin binding protein tachystatin B', 42, NULL, 'Tachystatin_B', 8509),
(8510, 'PF17130', NULL, 'beta-barrel domain of carboxypeptidase M99', 73, NULL, 'Peptidase_M99_m', 8510),
(8511, 'PF00529', NULL, 'HlyD membrane-fusion protein of T1SS', 80, NULL, 'HlyD', 8511);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8512, 'PF04959', NULL, 'Arsenite-resistance protein 2', 198, NULL, 'ARS2', 8512),
(8513, 'PF07443', NULL, 'HepA-related protein (HARP)', 55, NULL, 'HARP', 8513),
(8514, 'PF15579', NULL, 'Immunity protein 52', 99, NULL, 'Imm52', 8514),
(8515, 'PF15845', NULL, 'Cysteine-rich C-terminal 1 family', 89, NULL, 'NICE-1', 8515),
(8516, 'PF05910', NULL, 'Plant protein of unknown function (DUF868)', 278, NULL, 'DUF868', 8516),
(8517, 'PF17008', NULL, 'Domain of unknown function (DUF5088)', 186, NULL, 'DUF5088', 8517),
(8518, 'PF04643', NULL, 'Motilin/ghrelin-associated peptide', 59, NULL, 'Motilin_assoc', 8518),
(8519, 'PF08428', NULL, 'Rib domain', 76, NULL, 'Rib', 8519),
(8520, 'PF10077', NULL, 'Uncharacterized protein conserved in bacteria (DUF2314)', 136, NULL, 'DUF2314', 8520),
(8521, 'PF16592', NULL, 'REC lobe of CRISPR-associated endonuclease Cas9', 529, NULL, 'Cas9_REC', 8521),
(8522, 'PF02159', NULL, 'Oestrogen receptor', 138, NULL, 'Oest_recep', 8522),
(8523, 'PF01530', NULL, 'Zinc finger, C2HC type', 29, NULL, 'zf-C2HC', 8523),
(8524, 'PF13257', NULL, 'Domain of unknown function (DUF4048)', 256, NULL, 'DUF4048', 8524),
(8525, 'PF07307', NULL, 'Heptaprenyl diphosphate synthase (HEPPP synthase) subunit 1', 211, NULL, 'HEPPP_synt_1', 8525),
(8526, 'PF05195', NULL, 'Aminopeptidase P, N-terminal domain', 123, NULL, 'AMP_N', 8526),
(8527, 'PF06266', NULL, 'HrpF protein', 74, NULL, 'HrpF', 8527),
(8528, 'PF13731', NULL, 'WxL domain surface cell wall-binding', 215, NULL, 'WxL', 8528),
(8529, 'PF02224', NULL, 'Cytidylate kinase', 211, NULL, 'Cytidylate_kin', 8529),
(8530, 'PF07363', NULL, 'Protein of unknown function (DUF1484)', 109, NULL, 'DUF1484', 8530),
(8531, 'PF04028', NULL, 'Domain of unknown function (DUF374)', 69, NULL, 'DUF374', 8531),
(8532, 'PF19173', NULL, 'Family of unknown function (DUF5855)', 183, NULL, 'DUF5855', 8532),
(8533, 'PF14417', NULL, 'MEDS: MEthanogen/methylotroph, DcmR Sensory domain', 161, NULL, 'MEDS', 8533),
(8534, 'PF07149', NULL, 'Pes-10', 395, NULL, 'Pes-10', 8534),
(8535, 'PF13106', NULL, 'Domain of unknown function (DUF3961)', 39, NULL, 'DUF3961', 8535),
(8536, 'PF03609', NULL, 'PTS system sorbose-specific iic component', 233, NULL, 'EII-Sor', 8536),
(8537, 'PF00483', NULL, 'Nucleotidyl transferase', 248, NULL, 'NTP_transferase', 8537),
(8538, 'PF13639', NULL, 'Ring finger domain', 44, NULL, 'zf-RING_2', 8538),
(8539, 'PF15672', NULL, 'Cell-membrane associated Mucin15', 315, NULL, 'Mucin15', 8539),
(8540, 'PF15520', NULL, 'Novel toxin 10', 193, NULL, 'Ntox10', 8540),
(8541, 'PF06282', NULL, 'Protein of unknown function (DUF1036)', 113, NULL, 'DUF1036', 8541),
(8542, 'PF14763', NULL, 'Hermansky-Pudlak syndrome 3, C-terminal', 352, NULL, 'HPS3_C', 8542),
(8543, 'PF15628', NULL, 'RRM in Demeter', 102, NULL, 'RRM_DME', 8543),
(8544, 'PF12179', NULL, 'I-kappa-kinase-beta NEMO binding domain', 37, NULL, 'IKKbetaNEMObind', 8544),
(8545, 'PF18695', NULL, 'Cytosolic phospholipases A2 C2-domain', 112, NULL, 'cPLA2_C2', 8545),
(8546, 'PF07711', NULL, 'Rab geranylgeranyl transferase alpha-subunit, insert domain', 101, NULL, 'RabGGT_insert', 8546),
(8547, 'PF18093', NULL, 'tRNA methyltransferase 5 N-terminal domain', 47, NULL, 'Trm5_N', 8547),
(8548, 'PF17534', NULL, 'Family of unknown function (DUF5453)', 186, NULL, 'DUF5453', 8548),
(8549, 'PF01331', NULL, 'mRNA capping enzyme, catalytic domain', 195, NULL, 'mRNA_cap_enzyme', 8549),
(8550, 'PF16903', NULL, 'Major capsid protein N-terminus', 207, NULL, 'Capsid_N', 8550),
(8551, 'PF06925', NULL, 'Monogalactosyldiacylglycerol (MGDG) synthase', 169, NULL, 'MGDG_synth', 8551),
(8552, 'PF00125', NULL, 'Core histone H2A/H2B/H3/H4', 131, NULL, 'Histone', 8552),
(8553, 'PF03604', NULL, 'DNA directed RNA polymerase, 7 kDa subunit', 32, NULL, 'DNA_RNApol_7kD', 8553),
(8554, 'PF07615', NULL, 'YKOF-related Family', 81, NULL, 'Ykof', 8554),
(8555, 'PF18568', NULL, 'TRIM C-terminal subgroup One Signature domain', 52, NULL, 'COS', 8555);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8556, 'PF11575', NULL, 'FhuF 2Fe-2S C-terminal domain', 21, NULL, 'FhuF_C', 8556),
(8557, 'PF15452', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', 267, NULL, 'NYAP_C', 8557),
(8558, 'PF08937', NULL, 'MTH538 TIR-like domain (DUF1863)', 130, NULL, 'DUF1863', 8558),
(8559, 'PF12568', NULL, 'Acetyltransferase (GNAT) domain, PanZ', 128, NULL, 'PanZ', 8559),
(8560, 'PF16863', NULL, 'N-terminal barrel of NtMGAM and CtMGAM, maltase-glucoamylase', 113, NULL, 'NtCtMGAM_N', 8560),
(8561, 'PF14069', NULL, 'Stage VI sporulation protein F', 72, NULL, 'SpoVIF', 8561),
(8562, 'PF14306', NULL, 'PUA-like domain', 159, NULL, 'PUA_2', 8562),
(8563, 'PF03363', NULL, 'Herpesvirus leader protein', 174, NULL, 'Herpes_LP', 8563),
(8564, 'PF12056', NULL, 'Protein of unknown function (DUF3537)', 390, NULL, 'DUF3537', 8564),
(8565, 'PF02084', NULL, 'Bindin', 238, NULL, 'Bindin', 8565),
(8566, 'PF17038', NULL, 'Cellulose biosynthesis protein BcsN', 186, NULL, 'CBP_BcsN', 8566),
(8567, 'PF18634', NULL, 'RXLR phytopathogen effector protein WY-domain', 51, NULL, 'RXLR_WY', 8567),
(8568, 'PF03958', NULL, 'Bacterial type II/III secretion system short domain', 82, NULL, 'Secretin_N', 8568),
(8569, 'PF01465', NULL, 'GRIP domain', 44, NULL, 'GRIP', 8569),
(8570, 'PF12777', NULL, 'Microtubule-binding stalk of dynein motor', 344, NULL, 'MT', 8570),
(8571, 'PF05229', NULL, 'Spore Coat Protein U domain', 139, NULL, 'SCPU', 8571),
(8572, 'PF19202', NULL, 'Family of unknown function (DUF5874)', 74, NULL, 'DUF5874', 8572),
(8573, 'PF16461', NULL, 'Lambda phage tail tube protein, TTP', 134, NULL, 'Phage_TTP_12', 8573),
(8574, 'PF09689', NULL, 'Plasmodium yoelii repeat (PY_rept_46)', 51, NULL, 'PY_rept_46', 8574),
(8575, 'PF04398', NULL, 'Protein of unknown function, DUF538', 112, NULL, 'DUF538', 8575),
(8576, 'PF04857', NULL, 'CAF1 family ribonuclease', 316, NULL, 'CAF1', 8576),
(8577, 'PF11133', NULL, 'Head fiber protein', 277, NULL, 'Phage_head_fibr', 8577),
(8578, 'PF08271', NULL, 'TFIIB zinc-binding', 43, NULL, 'TF_Zn_Ribbon', 8578),
(8579, 'PF02939', NULL, 'UcrQ family', 78, NULL, 'UcrQ', 8579),
(8580, 'PF15172', NULL, 'Prolactin-releasing peptide', 45, NULL, 'Prolactin_RP', 8580),
(8581, 'PF16438', NULL, 'Domain of unknown function (DUF5035)', 145, NULL, 'DUF5035', 8581),
(8582, 'PF10724', NULL, 'Protein of unknown function (DUF2516)', 93, NULL, 'DUF2516', 8582),
(8583, 'PF15649', NULL, 'Restriction endonuclease fold toxin 7', 86, NULL, 'Tox-REase-7', 8583),
(8584, 'PF01017', NULL, 'STAT protein, all-alpha domain', 174, NULL, 'STAT_alpha', 8584),
(8585, 'PF14711', NULL, 'Respiratory nitrate reductase beta C-terminal', 81, NULL, 'Nitr_red_bet_C', 8585),
(8586, 'PF11418', NULL, 'Phi29 scaffolding protein', 99, NULL, 'Scaffolding_pro', 8586),
(8587, 'PF04617', NULL, 'Hox9 activation region', 186, NULL, 'Hox9_act', 8587),
(8588, 'PF01781', NULL, 'Ribosomal L38e protein family', 69, NULL, 'Ribosomal_L38e', 8588),
(8589, 'PF01134', NULL, 'Glucose inhibited division protein A', 392, NULL, 'GIDA', 8589),
(8590, 'PF16452', NULL, 'Bacteriophage CI repressor C-terminal domain', 102, NULL, 'Phage_CI_C', 8590),
(8591, 'PF15629', NULL, 'Permuted single zf-CXXC unit', 32, NULL, 'Perm-CXXC', 8591),
(8592, 'PF17865', NULL, 'Midasin AAA lid domain', 106, NULL, 'AAA_lid_5', 8592),
(8593, 'PF14564', NULL, 'Membrane binding', 110, NULL, 'Membrane_bind', 8593),
(8594, 'PF13680', NULL, 'Protein of unknown function (DUF4152)', 225, NULL, 'DUF4152', 8594),
(8595, 'PF02138', NULL, 'Beige/BEACH domain', 274, NULL, 'Beach', 8595),
(8596, 'PF10639', NULL, 'Putative transmembrane family 234', 116, NULL, 'TMEM234', 8596),
(8597, 'PF11281', NULL, 'Protein of unknown function (DUF3083)', 315, NULL, 'DUF3083', 8597),
(8598, 'PF18039', NULL, 'UBA-like domain', 42, NULL, 'UBA_6', 8598),
(8599, 'PF10433', NULL, 'Mono-functional DNA-alkylating methyl methanesulfonate N-term', 490, NULL, 'MMS1_N', 8599),
(8600, 'PF05381', NULL, 'Tymovirus endopeptidase', 111, NULL, 'Peptidase_C21', 8600);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8601, 'PF06724', NULL, 'Domain of Unknown Function (DUF1206)', 70, NULL, 'DUF1206', 8601),
(8602, 'PF08572', NULL, 'pre-mRNA processing factor 3 (PRP3)', 222, NULL, 'PRP3', 8602),
(8603, 'PF13468', NULL, 'Glyoxalase-like domain', 176, NULL, 'Glyoxalase_3', 8603),
(8604, 'PF06877', NULL, 'Regulator of ribonuclease activity B', 102, NULL, 'RraB', 8604),
(8605, 'PF06750', NULL, 'Bacterial Peptidase A24 N-terminal domain', 84, NULL, 'DiS_P_DiS', 8605),
(8606, 'PF00500', NULL, 'L1 (late) protein', 498, NULL, 'Late_protein_L1', 8606),
(8607, 'PF05822', NULL, 'Pyrimidine 5''-nucleotidase (UMPH-1)', 246, NULL, 'UMPH-1', 8607),
(8608, 'PF11297', NULL, 'Protein of unknown function (DUF3098)', 67, NULL, 'DUF3098', 8608),
(8609, 'PF01840', NULL, 'TCL1/MTCP1 family', 115, NULL, 'TCL1_MTCP1', 8609),
(8610, 'PF18677', NULL, 'Archaellum regulatory network B, C-terminal domain', 73, NULL, 'ArnB_C', 8610),
(8611, 'PF11997', NULL, 'Domain of unknown function (DUF3492)', 268, NULL, 'DUF3492', 8611),
(8612, 'PF03822', NULL, 'NAF domain', 54, NULL, 'NAF', 8612),
(8613, 'PF10529', NULL, 'Histidine-rich Calcium-binding repeat region', 15, NULL, 'Hist_rich_Ca-bd', 8613),
(8614, 'PF01843', NULL, 'DIL domain', 104, NULL, 'DIL', 8614),
(8615, 'PF04411', NULL, 'PD-(D/E)XK nuclease superfamily', 162, NULL, 'PDDEXK_7', 8615),
(8616, 'PF14534', NULL, 'Domain of unknown function (DUF4440)', 107, NULL, 'DUF4440', 8616),
(8617, 'PF11521', NULL, 'C-terminal general transcription factor TFIIE alpha', 86, NULL, 'TFIIE-A_C', 8617),
(8618, 'PF02413', NULL, 'Caudovirales tail fibre assembly protein, lambda gpK', 130, NULL, 'Caudo_TAP', 8618),
(8619, 'PF10806', NULL, 'SAM35, subunit of SAM coomplex', 127, NULL, 'SAM35', 8619),
(8620, 'PF11990', NULL, 'Protein of unknown function (DUF3487)', 114, NULL, 'DUF3487', 8620),
(8621, 'PF12584', NULL, 'Trafficking protein particle complex subunit 10, TRAPPC10', 152, NULL, 'TRAPPC10', 8621),
(8622, 'PF06468', NULL, 'Spondin_N', 192, NULL, 'Spond_N', 8622),
(8623, 'PF13996', NULL, 'YobH-like protein', 70, NULL, 'YobH', 8623),
(8624, 'PF00641', NULL, 'Zn-finger in Ran binding protein and others', 30, NULL, 'zf-RanBP', 8624),
(8625, 'PF02991', NULL, 'Autophagy protein Atg8 ubiquitin like', 104, NULL, 'Atg8', 8625),
(8626, 'PF02441', NULL, 'Flavoprotein', 158, NULL, 'Flavoprotein', 8626),
(8627, 'PF18241', NULL, 'Flax-rust effector AvrM-A', 147, NULL, 'AvrM-A', 8627),
(8628, 'PF02730', NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', 199, NULL, 'AFOR_N', 8628),
(8629, 'PF02993', NULL, 'Minor capsid protein VI', 225, NULL, 'MCPVI', 8629),
(8630, 'PF16933', NULL, 'Putative exopolysaccharide Exporter (EPS-E)', 452, NULL, 'PelG', 8630),
(8631, 'PF15415', NULL, 'Fimbrillin-like', 312, NULL, 'Mfa_like_2', 8631),
(8632, 'PF02675', NULL, 'S-adenosylmethionine decarboxylase', 106, NULL, 'AdoMet_dc', 8632),
(8633, 'PF01437', NULL, 'Plexin repeat', 51, NULL, 'PSI', 8633),
(8634, 'PF11014', NULL, 'Protein of unknown function (DUF2852)', 118, NULL, 'DUF2852', 8634),
(8635, 'PF16155', NULL, 'Domain of unknown function (DUF4863)', 153, NULL, 'DUF4863', 8635),
(8636, 'PF10798', NULL, 'Biofilm development protein YmgB/AriR', 59, NULL, 'YmgB', 8636),
(8637, 'PF17817', NULL, 'PDZ domain', 73, NULL, 'PDZ_5', 8637),
(8638, 'PF04046', NULL, 'PSP', 46, NULL, 'PSP', 8638),
(8639, 'PF16025', NULL, 'Calcium-dependent calmodulin binding', 79, NULL, 'CALM_bind', 8639),
(8640, 'PF17505', NULL, 'Family of unknown function (DUF5437)', 60, NULL, 'DUF5437', 8640),
(8641, 'PF14401', NULL, 'RimK-like ATPgrasp N-terminal domain', 150, NULL, 'RLAN', 8641),
(8642, 'PF07465', NULL, 'Photosystem I protein M (PsaM)', 29, NULL, 'PsaM', 8642),
(8643, 'PF10615', NULL, 'Protein of unknown function (DUF2470)', 77, NULL, 'DUF2470', 8643),
(8644, 'PF07279', NULL, 'Protein of unknown function (DUF1442)', 218, NULL, 'DUF1442', 8644),
(8645, 'PF08682', NULL, 'Putative endonuclease, protein of unknown function (DUF1780)', 208, NULL, 'DUF1780', 8645);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8646, 'PF10251', NULL, 'Presenilin enhancer-2 subunit of gamma secretase', 93, NULL, 'PEN-2', 8646),
(8647, 'PF00755', NULL, 'Choline/Carnitine o-acyltransferase', 588, NULL, 'Carn_acyltransf', 8647),
(8648, 'PF13589', NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', 137, NULL, 'HATPase_c_3', 8648),
(8649, 'PF15600', NULL, 'Immunity protein 64', 207, NULL, 'Imm64', 8649),
(8650, 'PF16813', NULL, 'CRISPR-associated protein Csn2 subfamily St', 325, NULL, 'Cas_St_Csn2', 8650),
(8651, 'PF14251', NULL, 'Domain of unknown function (DUF4346)', 118, NULL, 'DUF4346', 8651),
(8652, 'PF07538', NULL, 'Clostridial hydrophobic W', 35, NULL, 'ChW', 8652),
(8653, 'PF06847', NULL, 'Archaeal Peptidase A24 C-terminus Type II', 92, NULL, 'Arc_PepC_II', 8653),
(8654, 'PF18233', NULL, 'Cdc13 OB4 dimerization domain', 114, NULL, 'Cdc13_OB4_dimer', 8654),
(8655, 'PF16858', NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, C-term', 295, NULL, 'CNDH2_C', 8655),
(8656, 'PF04217', NULL, 'Protein of unknown function, DUF412', 141, NULL, 'DUF412', 8656),
(8657, 'PF05858', NULL, 'Bovine immunodeficiency virus surface protein (SU)', 548, NULL, 'BIV_Env', 8657),
(8658, 'PF11611', NULL, 'Domain of unknown function (DUF4352)', 125, NULL, 'DUF4352', 8658),
(8659, 'PF15701', NULL, 'Domain of unknown function (DUF4668)', 162, NULL, 'DUF4668', 8659),
(8660, 'PF10994', NULL, 'Protein of unknown function (DUF2817)', 340, NULL, 'DUF2817', 8660),
(8661, 'PF09706', NULL, 'CRISPR-associated protein (Cas_CXXC_CXXC)', 69, NULL, 'Cas_CXXC_CXXC', 8661),
(8662, 'PF14403', NULL, 'Circularly permuted ATP-grasp type 2', 375, NULL, 'CP_ATPgrasp_2', 8662),
(8663, 'PF08858', NULL, 'IDEAL domain', 37, NULL, 'IDEAL', 8663),
(8664, 'PF04052', NULL, 'TolB amino-terminal domain', 106, NULL, 'TolB_N', 8664),
(8665, 'PF14813', NULL, 'NADH dehydrogenase 1 beta subcomplex subunit 2', 69, NULL, 'NADH_B2', 8665),
(8666, 'PF00769', NULL, 'Ezrin/radixin/moesin family', 248, NULL, 'ERM', 8666),
(8667, 'PF06758', NULL, 'Olduvai domain', 66, NULL, 'Olduvai', 8667),
(8668, 'PF06549', NULL, 'Protein of unknown function (DUF1118)', 115, NULL, 'DUF1118', 8668),
(8669, 'PF03994', NULL, 'Domain of Unknown Function (DUF350)', 54, NULL, 'DUF350', 8669),
(8670, 'PF17809', NULL, 'UPA domain', 131, NULL, 'UPA_2', 8670),
(8671, 'PF04004', NULL, 'Leo1-like protein', 165, NULL, 'Leo1', 8671),
(8672, 'PF16504', NULL, 'Putative virion membrane protein of plant and insect virus', 147, NULL, 'SP24', 8672),
(8673, 'PF15214', NULL, 'Peroxisomal testis-specific protein 1', 51, NULL, 'PXT1', 8673),
(8674, 'PF02438', NULL, 'Late 100kD protein', 593, NULL, 'Adeno_100', 8674),
(8675, 'PF06399', NULL, 'GTP cyclohydrolase I feedback regulatory protein (GFRP)', 83, NULL, 'GFRP', 8675),
(8676, 'PF17345', NULL, 'Family of unknown function (DUF5375)', 106, NULL, 'DUF5375', 8676),
(8677, 'PF19028', NULL, 'Spondin-like TSP1 domain', 52, NULL, 'TSP1_spondin', 8677),
(8678, 'PF00366', NULL, 'Ribosomal protein S17', 68, NULL, 'Ribosomal_S17', 8678),
(8679, 'PF04339', NULL, 'Peptidogalycan biosysnthesis/recognition', 370, NULL, 'FemAB_like', 8679),
(8680, 'PF16611', NULL, 'Unstructured region between RBD and GoLoco', 72, NULL, 'RGS12_us2', 8680),
(8681, 'PF04361', NULL, 'Protein of unknown function (DUF494)', 152, NULL, 'DUF494', 8681),
(8682, 'PF00025', NULL, 'ADP-ribosylation factor family', 175, NULL, 'Arf', 8682),
(8683, 'PF01112', NULL, 'Asparaginase', 306, NULL, 'Asparaginase_2', 8683),
(8684, 'PF05046', NULL, 'Mitochondrial large subunit ribosomal protein (Img2)', 82, NULL, 'Img2', 8684),
(8685, 'PF14336', NULL, 'Domain of unknown function (DUF4392)', 292, NULL, 'DUF4392', 8685),
(8686, 'PF03175', NULL, 'DNA polymerase type B, organellar and viral', 469, NULL, 'DNA_pol_B_2', 8686),
(8687, 'PF15607', NULL, 'Bacterial toxin 44', 100, NULL, 'Ntox44', 8687),
(8688, 'PF03683', NULL, 'Uncharacterised protein family (UPF0175)', 75, NULL, 'UPF0175', 8688),
(8689, 'PF10503', NULL, 'Esterase PHB depolymerase', 219, NULL, 'Esterase_PHB', 8689);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8690, 'PF09577', NULL, 'Sporulation protein YpjB (SpoYpjB)', 230, NULL, 'Spore_YpjB', 8690),
(8691, 'PF17714', NULL, 'Family of unknown function (DUF5559)', 194, NULL, 'DUF5559', 8691),
(8692, 'PF06924', NULL, 'Protein of unknown function (DUF1281)', 179, NULL, 'DUF1281', 8692),
(8693, 'PF08136', NULL, '30S ribosomal protein subunit S22 family', 46, NULL, 'Ribosomal_S22', 8693),
(8694, 'PF02985', NULL, 'HEAT repeat', 31, NULL, 'HEAT', 8694),
(8695, 'PF03419', NULL, 'Sporulation factor SpoIIGA', 284, NULL, 'Peptidase_U4', 8695),
(8696, 'PF13234', NULL, 'rRNA-processing arch domain', 270, NULL, 'rRNA_proc-arch', 8696),
(8697, 'PF10958', NULL, 'Protein of unknown function (DUF2759)', 51, NULL, 'DUF2759', 8697),
(8698, 'PF02843', NULL, 'Phosphoribosylglycinamide synthetase, C domain', 92, NULL, 'GARS_C', 8698),
(8699, 'PF00788', NULL, 'Ras association (RalGDS/AF-6) domain', 93, NULL, 'RA', 8699),
(8700, 'PF11127', NULL, 'Protein of unknown function (DUF2892)', 66, NULL, 'DUF2892', 8700),
(8701, 'PF12687', NULL, 'Protein of unknown function (DUF3801)', 182, NULL, 'DUF3801', 8701),
(8702, 'PF02569', NULL, 'Pantoate-beta-alanine ligase', 266, NULL, 'Pantoate_ligase', 8702),
(8703, 'PF12899', NULL, 'Alkaline and neutral invertase', 435, NULL, 'Glyco_hydro_100', 8703),
(8704, 'PF14191', NULL, 'YodL-like', 101, NULL, 'YodL', 8704),
(8705, 'PF18309', NULL, 'Argonaute PAZ domain', 90, NULL, 'Ago_PAZ', 8705),
(8706, 'PF04054', NULL, 'CCR4-Not complex component, Not1', 369, NULL, 'Not1', 8706),
(8707, 'PF09636', NULL, 'XkdW protein', 108, NULL, 'XkdW', 8707),
(8708, 'PF14822', NULL, 'Vasohibin', 245, NULL, 'Vasohibin', 8708),
(8709, 'PF07311', NULL, 'Dodecin', 64, NULL, 'Dodecin', 8709),
(8710, 'PF10898', NULL, 'Protein of unknown function (DUF2716)', 142, NULL, 'DUF2716', 8710),
(8711, 'PF10250', NULL, 'GDP-fucose protein O-fucosyltransferase', 327, NULL, 'O-FucT', 8711),
(8712, 'PF08029', NULL, 'HisG, C-terminal domain', 73, NULL, 'HisG_C', 8712),
(8713, 'PF06337', NULL, 'DUSP domain', 93, NULL, 'DUSP', 8713),
(8714, 'PF01185', NULL, 'Fungal hydrophobin', 80, NULL, 'Hydrophobin', 8714),
(8715, 'PF11938', NULL, 'TLR4 regulator and MIR-interacting MSAP', 156, NULL, 'DUF3456', 8715),
(8716, 'PF12264', NULL, 'Waikavirus capsid protein 1', 197, NULL, 'Waikav_capsid_1', 8716),
(8717, 'PF07967', NULL, 'C3HC zinc finger-like', 133, NULL, 'zf-C3HC', 8717),
(8718, 'PF16680', NULL, 'T-cell surface glycoprotein CD3 delta chain', 75, NULL, 'Ig_4', 8718),
(8719, 'PF18689', NULL, 'Primase X', 99, NULL, 'PriX', 8719),
(8720, 'PF01902', NULL, 'Diphthamide synthase', 219, NULL, 'Diphthami_syn_2', 8720),
(8721, 'PF10128', NULL, 'Glucose-6-phosphate dehydrogenase subunit', 253, NULL, 'OpcA_G6PD_assem', 8721),
(8722, 'PF00345', NULL, 'Pili and flagellar-assembly chaperone, PapD N-terminal domain', 124, NULL, 'PapD_N', 8722),
(8723, 'PF16032', NULL, 'Domain of unknown function (DUF4788)', 229, NULL, 'DUF4788', 8723),
(8724, 'PF18957', NULL, 'Long Rib domain', 97, NULL, 'RibLong', 8724),
(8725, 'PF04559', NULL, 'Herpesvirus UL17 protein', 540, NULL, 'Herpes_UL17', 8725),
(8726, 'PF10339', NULL, 'Yeast-specific zinc responsive', 202, NULL, 'Vel1p', 8726),
(8727, 'PF05150', NULL, 'Legionella pneumophila major outer membrane protein precursor', 285, NULL, 'Legionella_OMP', 8727),
(8728, 'PF08313', NULL, 'SCA7, zinc-binding domain', 68, NULL, 'SCA7', 8728),
(8729, 'PF06125', NULL, 'Bacterial protein of unknown function (DUF961)', 101, NULL, 'DUF961', 8729),
(8730, 'PF05105', NULL, 'Bacteriophage holin family', 114, NULL, 'Phage_holin_4_1', 8730),
(8731, 'PF08220', NULL, 'DeoR-like helix-turn-helix domain', 57, NULL, 'HTH_DeoR', 8731),
(8732, 'PF11517', NULL, 'Nuclear abundant poly(A) RNA-bind protein 2 (Nab2)', 101, NULL, 'Nab2', 8732),
(8733, 'PF11836', NULL, 'Phage tail tube protein, GTA-gp10', 98, NULL, 'Phage_TAC_11', 8733),
(8734, 'PF15250', NULL, 'Raftlin', 458, NULL, 'Raftlin', 8734),
(8735, 'PF13511', NULL, 'Domain of unknown function (DUF4124)', 56, NULL, 'DUF4124', 8735);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8736, 'PF13180', NULL, 'PDZ domain', 82, NULL, 'PDZ_2', 8736),
(8737, 'PF00490', NULL, 'Delta-aminolevulinic acid dehydratase', 317, NULL, 'ALAD', 8737),
(8738, 'PF12151', NULL, 'Mannan-binding protein', 38, NULL, 'MVL', 8738),
(8739, 'PF16070', NULL, 'Transmembrane protein family 132', 344, NULL, 'TMEM132', 8739),
(8740, 'PF18723', NULL, 'alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 1', 281, NULL, 'aGPT-Pplase1', 8740),
(8741, 'PF05438', NULL, 'Thyrotropin-releasing hormone (TRH)', 221, NULL, 'TRH', 8741),
(8742, 'PF16617', NULL, 'Intersectin and clathrin adaptor AP2 binding region', 115, NULL, 'INTAP', 8742),
(8743, 'PF13157', NULL, 'Protein of unknown function (DUF3992)', 88, NULL, 'DUF3992', 8743),
(8744, 'PF16191', NULL, 'Ubiquitin-activating enzyme E1 four-helix bundle', 70, NULL, 'E1_4HB', 8744),
(8745, 'PF06754', NULL, 'Phosphonate metabolism protein PhnG', 142, NULL, 'PhnG', 8745),
(8746, 'PF16623', NULL, 'Unstructured linker region between on GAS7 protein', 92, NULL, 'WW_FCH_linker', 8746),
(8747, 'PF02077', NULL, 'SURF4 family', 267, NULL, 'SURF4', 8747),
(8748, 'PF16642', NULL, 'Unstructured region on Potassium channel subunit alpha KvLQT2', 98, NULL, 'KCNQ2_u3', 8748),
(8749, 'PF12667', NULL, 'NigD-like N-terminal OB domain', 67, NULL, 'NigD_N', 8749),
(8750, 'PF07600', NULL, 'Protein of unknown function (DUF1564)', 167, NULL, 'DUF1564', 8750),
(8751, 'PF00412', NULL, 'LIM domain', 58, NULL, 'LIM', 8751),
(8752, 'PF00853', NULL, 'Runt domain', 130, NULL, 'Runt', 8752),
(8753, 'PF07206', NULL, 'Baculovirus late expression factor 10 (LEF-10)', 71, NULL, 'Baculo_LEF-10', 8753),
(8754, 'PF16798', NULL, 'Domain of unknown function (DUF5069)', 133, NULL, 'DUF5069', 8754),
(8755, 'PF16862', NULL, 'Glycosyl hydrolase family 79 C-terminal beta domain', 103, NULL, 'Glyco_hydro_79C', 8755),
(8756, 'PF16682', NULL, 'CXC domain of E3 ubiquitin-protein ligase MSL2', 55, NULL, 'MSL2-CXC', 8756),
(8757, 'PF13673', NULL, 'Acetyltransferase (GNAT) domain', 128, NULL, 'Acetyltransf_10', 8757),
(8758, 'PF03782', NULL, 'AMOP domain', 145, NULL, 'AMOP', 8758),
(8759, 'PF17556', NULL, 'MIT-like atracotoxin family', 68, NULL, 'MIT_LIKE_ACTX', 8759),
(8760, 'PF15165', NULL, 'Meiotic recombination protein REC114-like', 241, NULL, 'REC114-like', 8760),
(8761, 'PF03713', NULL, 'Domain of unknown function (DUF305)', 152, NULL, 'DUF305', 8761),
(8762, 'PF16836', NULL, 'Shu complex component Psy3, DNA-binding description', 216, NULL, 'PSY3', 8762),
(8763, 'PF09778', NULL, 'Guanylylate cyclase', 212, NULL, 'Guanylate_cyc_2', 8763),
(8764, 'PF02466', NULL, 'Tim17/Tim22/Tim23/Pmp24 family', 111, NULL, 'Tim17', 8764),
(8765, 'PF01113', NULL, 'Dihydrodipicolinate reductase, N-terminus', 124, NULL, 'DapB_N', 8765),
(8766, 'PF01299', NULL, 'Lysosome-associated membrane glycoprotein (Lamp)', 148, NULL, 'Lamp', 8766),
(8767, 'PF16236', NULL, 'Domain of unknown function (DUF4895)', 221, NULL, 'DUF4895', 8767),
(8768, 'PF03186', NULL, 'CobD/Cbib protein', 277, NULL, 'CobD_Cbib', 8768),
(8769, 'PF11374', NULL, 'Protein of unknown function (DUF3176)', 107, NULL, 'DUF3176', 8769),
(8770, 'PF02443', NULL, 'Circovirus capsid protein', 235, NULL, 'Circo_capsid', 8770),
(8771, 'PF03631', NULL, 'Virulence factor BrkB', 258, NULL, 'Virul_fac_BrkB', 8771),
(8772, 'PF16757', NULL, 'Alpha-L-fucosidase C-terminal domain', 90, NULL, 'Fucosidase_C', 8772),
(8773, 'PF15786', NULL, 'PET assembly of cytochrome c oxidase, mitochondrial', 70, NULL, 'PET117', 8773),
(8774, 'PF13542', NULL, 'Helix-turn-helix domain of transposase family ISL3', 52, NULL, 'HTH_Tnp_ISL3', 8774),
(8775, 'PF17010', NULL, 'Domain of unknown function (DUF5092)', 163, NULL, 'DUF5092', 8775),
(8776, 'PF06863', NULL, 'Protein of unknown function (DUF1254)', 133, NULL, 'DUF1254', 8776),
(8777, 'PF14725', NULL, 'Domain of unknown function (DUF4466)', 307, NULL, 'DUF4466', 8777),
(8778, 'PF01895', NULL, 'PhoU domain', 89, NULL, 'PhoU', 8778),
(8779, 'PF02481', NULL, 'DNA recombination-mediator protein A', 210, NULL, 'DNA_processg_A', 8779);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8780, 'PF04223', NULL, 'Citrate lyase, alpha subunit (CitF)', 466, NULL, 'CitF', 8780),
(8781, 'PF16252', NULL, 'Domain of unknown function (DUF4908)', 221, NULL, 'DUF4908', 8781),
(8782, 'PF01602', NULL, 'Adaptin N terminal region', 524, NULL, 'Adaptin_N', 8782),
(8783, 'PF18465', NULL, 'Rieske 3Fe-4S', 96, NULL, 'Rieske_3', 8783),
(8784, 'PF17679', NULL, 'gp37/Dip protein', 273, NULL, 'Dip', 8784),
(8785, 'PF03431', NULL, 'RNA replicase, beta-chain', 540, NULL, 'RNA_replicase_B', 8785),
(8786, 'PF06690', NULL, 'Protein of unknown function (DUF1188)', 248, NULL, 'DUF1188', 8786),
(8787, 'PF14716', NULL, 'Helix-hairpin-helix domain', 67, NULL, 'HHH_8', 8787),
(8788, 'PF16060', NULL, 'Domain of unknown function (DUF4802)', 65, NULL, 'DUF4802', 8788),
(8789, 'PF02317', NULL, 'NAD/NADP octopine/nopaline dehydrogenase, alpha-helical domain', 150, NULL, 'Octopine_DH', 8789),
(8790, 'PF03534', NULL, 'Salmonella virulence plasmid 65kDa B protein', 290, NULL, 'SpvB', 8790),
(8791, 'PF07264', NULL, 'Etoposide-induced protein 2.4 (EI24)', 178, NULL, 'EI24', 8791),
(8792, 'PF12950', NULL, 'TaqI-like C-terminal specificity domain', 120, NULL, 'TaqI_C', 8792),
(8793, 'PF00825', NULL, 'Ribonuclease P', 110, NULL, 'Ribonuclease_P', 8793),
(8794, 'PF18088', NULL, 'Glycoside Hydrolase 20C C-terminal domain', 194, NULL, 'Glyco_H_20C_C', 8794),
(8795, 'PF12682', NULL, 'Flavodoxin', 155, NULL, 'Flavodoxin_4', 8795),
(8796, 'PF18133', NULL, 'Hydrogen maturase F tetramerization domain', 118, NULL, 'HydF_tetramer', 8796),
(8797, 'PF02741', NULL, 'FTR, proximal lobe', 149, NULL, 'FTR_C', 8797),
(8798, 'PF10129', NULL, 'OpgC protein', 358, NULL, 'OpgC_C', 8798),
(8799, 'PF04830', NULL, 'Possible hemagglutinin (DUF637)', 172, NULL, 'DUF637', 8799),
(8800, 'PF17217', NULL, 'UPA domain', 140, NULL, 'UPA', 8800),
(8801, 'PF14650', NULL, 'FAM75 family', 382, NULL, 'FAM75', 8801),
(8802, 'PF17275', NULL, 'Family of unknown function (DUF5340)', 70, NULL, 'DUF5340', 8802),
(8803, 'PF17945', NULL, 'Beta/Gamma crystallin', 90, NULL, 'Crystall_4', 8803),
(8804, 'PF01232', NULL, 'Mannitol dehydrogenase Rossmann domain', 151, NULL, 'Mannitol_dh', 8804),
(8805, 'PF16878', NULL, 'Transcriptional regulator, SIX1, N-terminal SD domain', 115, NULL, 'SIX1_SD', 8805),
(8806, 'PF04167', NULL, 'Protein of unknown function (DUF402)', 68, NULL, 'DUF402', 8806),
(8807, 'PF00457', NULL, 'Glycosyl hydrolases family 11', 178, NULL, 'Glyco_hydro_11', 8807),
(8808, 'PF02055', NULL, 'Glycosyl hydrolase family 30 TIM-barrel domain', 348, NULL, 'Glyco_hydro_30', 8808),
(8809, 'PF00255', NULL, 'Glutathione peroxidase', 108, NULL, 'GSHPx', 8809),
(8810, 'PF03746', NULL, 'LamB/YcsF family', 239, NULL, 'LamB_YcsF', 8810),
(8811, 'PF17601', NULL, 'Family of unknown function (DUF5497)', 89, NULL, 'DUF5497', 8811),
(8812, 'PF01771', NULL, 'Viral alkaline exonuclease', 480, NULL, 'Viral_alk_exo', 8812),
(8813, 'PF15101', NULL, 'Telomere-associated protein TERB2', 207, NULL, 'TERB2', 8813),
(8814, 'PF05883', NULL, 'Baculovirus U-box/Ring-like domain', 134, NULL, 'Baculo_RING', 8814),
(8815, 'PF11472', NULL, 'Protein of unknown function (DUF3206)', 128, NULL, 'DUF3206', 8815),
(8816, 'PF01228', NULL, 'Glycine radical', 106, NULL, 'Gly_radical', 8816),
(8817, 'PF12388', NULL, 'Dual-action HEIGH metallo-peptidase', 212, NULL, 'Peptidase_M57', 8817),
(8818, 'PF12977', NULL, 'Domain of Unknown Function with PDB structure (DUF3861)', 90, NULL, 'DUF3861', 8818),
(8819, 'PF16227', NULL, 'Domain of unknown function (DUF4886)', 250, NULL, 'DUF4886', 8819),
(8820, 'PF07935', NULL, 'ORF D-335-like protein', 67, NULL, 'SSV1_ORF_D-335', 8820),
(8821, 'PF17698', NULL, 'Family of unknown function (DUF5544)', 125, NULL, 'DUF5544', 8821),
(8822, 'PF13618', NULL, 'Gluconate 2-dehydrogenase subunit 3', 136, NULL, 'Gluconate_2-dh3', 8822),
(8823, 'PF17823', NULL, 'Family of unknown function (DUF5585)', 477, NULL, 'DUF5585', 8823),
(8824, 'PF00068', NULL, 'Phospholipase A2', 110, NULL, 'Phospholip_A2_1', 8824);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8825, 'PF18916', NULL, 'Lycopene cyclase', 92, NULL, 'Lycopene_cyc', 8825),
(8826, 'PF05280', NULL, 'Flagellar transcriptional activator (FlhC)', 173, NULL, 'FlhC', 8826),
(8827, 'PF11585', NULL, 'Insect antimicrobial peptide, stomoxyn', 42, NULL, 'Stomoxyn', 8827),
(8828, 'PF07101', NULL, 'Protein of unknown function (DUF1363)', 124, NULL, 'DUF1363', 8828),
(8829, 'PF13635', NULL, 'Domain of unknown function (DUF4143)', 122, NULL, 'DUF4143', 8829),
(8830, 'PF16931', NULL, 'Putative phage holin', 122, NULL, 'Phage_holin_8', 8830),
(8831, 'PF17440', NULL, 'Thiol-activated cytolysin beta sandwich domain', 102, NULL, 'Thiol_cytolys_C', 8831),
(8832, 'PF11905', NULL, 'Domain of unknown function (DUF3425)', 124, NULL, 'DUF3425', 8832),
(8833, 'PF10032', NULL, 'Phosphate transport (Pho88)', 183, NULL, 'Pho88', 8833),
(8834, 'PF07158', NULL, 'Dicarboxylate carrier protein MatC N-terminus', 149, NULL, 'MatC_N', 8834),
(8835, 'PF06708', NULL, 'Protein of unknown function (DUF1195)', 147, NULL, 'DUF1195', 8835),
(8836, 'PF01804', NULL, 'Penicillin amidase', 674, NULL, 'Penicil_amidase', 8836),
(8837, 'PF04176', NULL, 'TIP41-like family', 171, NULL, 'TIP41', 8837),
(8838, 'PF10505', NULL, 'NMDA receptor-regulated gene protein 2 C-terminus', 212, NULL, 'NARG2_C', 8838),
(8839, 'PF05558', NULL, 'DREPP plasma membrane polypeptide', 206, NULL, 'DREPP', 8839),
(8840, 'PF06525', NULL, 'Sulfocyanin (SoxE) domain', 149, NULL, 'SoxE', 8840),
(8841, 'PF08043', NULL, 'Xin repeat', 16, NULL, 'Xin', 8841),
(8842, 'PF12915', NULL, 'Protein of unknown function (DUF3833)', 163, NULL, 'DUF3833', 8842),
(8843, 'PF03031', NULL, 'NLI interacting factor-like phosphatase', 156, NULL, 'NIF', 8843),
(8844, 'PF09106', NULL, 'Elongation factor SelB, winged helix', 57, NULL, 'SelB-wing_2', 8844),
(8845, 'PF06713', NULL, 'Bacterial PH domain', 74, NULL, 'bPH_4', 8845),
(8846, 'PF15768', NULL, 'Coiled-coil domain-containing protein 190', 270, NULL, 'CC190', 8846),
(8847, 'PF04020', NULL, 'Mycobacterial 4 TMS phage holin, superfamily IV', 105, NULL, 'Phage_holin_4_2', 8847),
(8848, 'PF10357', NULL, 'Domain of Kin17 curved DNA-binding protein', 126, NULL, 'Kin17_mid', 8848),
(8849, 'PF06878', NULL, 'Pkip-1 protein', 163, NULL, 'Pkip-1', 8849),
(8850, 'PF17271', NULL, 'TcfC Usher-like barrel domain', 422, NULL, 'Usher_TcfC', 8850),
(8851, 'PF05949', NULL, 'Bacterial protein of unknown function (DUF881)', 145, NULL, 'DUF881', 8851),
(8852, 'PF07356', NULL, 'Protein of unknown function (DUF1481)', 186, NULL, 'DUF1481', 8852),
(8853, 'PF17402', NULL, 'Family of unknown function (DUF5408)', 63, NULL, 'DUF5408', 8853),
(8854, 'PF03208', NULL, 'PRA1 family protein', 143, NULL, 'PRA1', 8854),
(8855, 'PF00595', NULL, 'PDZ domain', 82, NULL, 'PDZ', 8855),
(8856, 'PF10578', NULL, 'Seminal vesicle protein repeat', 12, NULL, 'SVS_QK', 8856),
(8857, 'PF02301', NULL, 'HORMA domain', 217, NULL, 'HORMA', 8857),
(8858, 'PF08400', NULL, 'Prophage tail fibre N-terminal', 134, NULL, 'phage_tail_N', 8858),
(8859, 'PF13049', NULL, 'Protein of unknown function (DUF3910)', 93, NULL, 'DUF3910', 8859),
(8860, 'PF07564', NULL, 'Domain of Unknown Function (DUF1542)', 77, NULL, 'DUF1542', 8860),
(8861, 'PF01286', NULL, 'XPA protein N-terminal', 32, NULL, 'XPA_N', 8861),
(8862, 'PF10879', NULL, 'Protein of unknown function (DUF2674)', 63, NULL, 'DUF2674', 8862),
(8863, 'PF07793', NULL, 'Protein of unknown function (DUF1631)', 746, NULL, 'DUF1631', 8863),
(8864, 'PF13193', NULL, 'AMP-binding enzyme C-terminal domain', 76, NULL, 'AMP-binding_C', 8864),
(8865, 'PF14535', NULL, 'AMP-binding enzyme C-terminal domain', 96, NULL, 'AMP-binding_C_2', 8865),
(8866, 'PF10830', NULL, 'Protein of unknown function (DUF2553)', 75, NULL, 'DUF2553', 8866),
(8867, 'PF09209', NULL, 'HTH-type transcriptional dual regulator CecR, C-terminal domain', 125, NULL, 'CecR_C', 8867),
(8868, 'PF05353', NULL, 'Delta Atracotoxin', 42, NULL, 'Atracotoxin', 8868),
(8869, 'PF07002', NULL, 'Copine', 218, NULL, 'Copine', 8869);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8870, 'PF16860', NULL, 'CHCH-CHCH-like Cx9C, IMS import disulfide relay-system,', 44, NULL, 'CX9C', 8870),
(8871, 'PF02005', NULL, 'N2,N2-dimethylguanosine tRNA methyltransferase', 376, NULL, 'TRM', 8871),
(8872, 'PF06609', NULL, 'Fungal trichothecene efflux pump (TRI12)', 599, NULL, 'TRI12', 8872),
(8873, 'PF11983', NULL, 'Membrane-attachment and polymerisation-promoting switch', 68, NULL, 'DUF3484', 8873),
(8874, 'PF14587', NULL, 'O-Glycosyl hydrolase family 30', 366, NULL, 'Glyco_hydr_30_2', 8874),
(8875, 'PF16259', NULL, 'Domain of unknown function (DUF4913)', 105, NULL, 'DUF4913', 8875),
(8876, 'PF15919', NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', 123, NULL, 'HicB_lk_antitox', 8876),
(8877, 'PF13536', NULL, 'Putative multidrug resistance efflux transporter', 257, NULL, 'EmrE', 8877),
(8878, 'PF07475', NULL, 'HPr Serine kinase C-terminal domain', 171, NULL, 'Hpr_kinase_C', 8878),
(8879, 'PF13725', NULL, 'Possible tRNA binding domain', 235, NULL, 'tRNA_bind_2', 8879),
(8880, 'PF14014', NULL, 'Protein of unknown function (DUF4230)', 144, NULL, 'DUF4230', 8880),
(8881, 'PF08243', NULL, 'SPT2 chromatin protein', 111, NULL, 'SPT2', 8881),
(8882, 'PF04427', NULL, 'Brix domain', 191, NULL, 'Brix', 8882),
(8883, 'PF08056', NULL, 'Tryptophan operon leader peptide', 41, NULL, 'Trp_leader2', 8883),
(8884, 'PF13846', NULL, 'Domain of unknown function (DUF4196)', 116, NULL, 'DUF4196', 8884),
(8885, 'PF18924', NULL, 'Protein of unknown function (DUF5674)', 109, NULL, 'DUF5674', 8885),
(8886, 'PF11340', NULL, 'Protein of unknown function (DUF3142)', 223, NULL, 'DUF3142', 8886),
(8887, 'PF09218', NULL, 'Domain of unknown function (DUF1959)', 116, NULL, 'DUF1959', 8887),
(8888, 'PF15186', NULL, 'Testis-expressed sequence 13 protein family', 150, NULL, 'TEX13', 8888),
(8889, 'PF01996', NULL, 'F420-0:Gamma-glutamyl ligase', 243, NULL, 'F420_ligase', 8889),
(8890, 'PF05977', NULL, 'Transmembrane secretion effector', 524, NULL, 'MFS_3', 8890),
(8891, 'PF14374', NULL, '60S ribosomal protein L4 C-terminal domain', 77, NULL, 'Ribos_L4_asso_C', 8891),
(8892, 'PF14392', NULL, 'Zinc knuckle', 49, NULL, 'zf-CCHC_4', 8892),
(8893, 'PF03103', NULL, 'Domain of unknown function (DUF243)', 98, NULL, 'DUF243', 8893),
(8894, 'PF13754', NULL, 'Domain of unknown function', 105, NULL, 'Big_3_4', 8894),
(8895, 'PF18463', NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', 74, NULL, 'PCSK9_C3', 8895),
(8896, 'PF03085', NULL, 'Rhoptry-associated protein 1 (RAP-1)', 241, NULL, 'RAP-1', 8896),
(8897, 'PF00515', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_1', 8897),
(8898, 'PF14032', NULL, 'PknH-like extracellular domain', 188, NULL, 'PknH_C', 8898),
(8899, 'PF16900', NULL, 'Replication protein A OB domain', 98, NULL, 'REPA_OB_2', 8899),
(8900, 'PF03106', NULL, 'WRKY DNA -binding domain', 60, NULL, 'WRKY', 8900),
(8901, 'PF01262', NULL, 'Alanine dehydrogenase/PNT, C-terminal domain', 214, NULL, 'AlaDh_PNT_C', 8901),
(8902, 'PF04395', NULL, 'Poxvirus B22R protein', 210, NULL, 'Poxvirus_B22R', 8902),
(8903, 'PF06595', NULL, 'Borna disease virus P24 protein', 201, NULL, 'BDV_P24', 8903),
(8904, 'PF17580', NULL, 'Group B Rotavirus Non-structural protein 5', 176, NULL, 'GBR_NSP5', 8904),
(8905, 'PF07521', NULL, 'Zn-dependent metallo-hydrolase RNA specificity domain', 62, NULL, 'RMMBL', 8905),
(8906, 'PF14195', NULL, 'Domain of unknown function (DUF4316)', 44, NULL, 'DUF4316', 8906),
(8907, 'PF04703', NULL, 'FaeA-like protein', 62, NULL, 'FaeA', 8907),
(8908, 'PF02043', NULL, 'Bacteriochlorophyll C binding protein', 80, NULL, 'Bac_chlorC', 8908),
(8909, 'PF07627', NULL, 'Protein of unknown function (DUF1588)', 98, NULL, 'PSCyt3', 8909),
(8910, 'PF09603', NULL, 'Fibrobacter succinogenes major domain (Fib_succ_major)', 186, NULL, 'Fib_succ_major', 8910),
(8911, 'PF00701', NULL, 'Dihydrodipicolinate synthetase family', 289, NULL, 'DHDPS', 8911),
(8912, 'PF15946', NULL, 'Domain of unknown function (DUF4754)', 80, NULL, 'DUF4754', 8912);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8913, 'PF02388', NULL, 'FemAB family', 405, NULL, 'FemAB', 8913),
(8914, 'PF10027', NULL, 'Predicted integral membrane protein (DUF2269)', 150, NULL, 'DUF2269', 8914),
(8915, 'PF16925', NULL, 'Tetracyclin repressor-like, C-terminal domain', 115, NULL, 'TetR_C_13', 8915),
(8916, 'PF01484', NULL, 'Nematode cuticle collagen N-terminal domain', 50, NULL, 'Col_cuticle_N', 8916),
(8917, 'PF03893', NULL, 'Lipase 3 N-terminal region', 76, NULL, 'Lipase3_N', 8917),
(8918, 'PF04353', NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd/AlgQ', 150, NULL, 'Rsd_AlgQ', 8918),
(8919, 'PF18139', NULL, 'SLOG in TRPM', 266, NULL, 'LSDAT_euk', 8919),
(8920, 'PF06096', NULL, 'Baculoviridae 8.2 KDa protein', 65, NULL, 'Baculo_8kDa', 8920),
(8921, 'PF08577', NULL, 'PI31 proteasome regulator', 80, NULL, 'PI31_Prot_C', 8921),
(8922, 'PF01099', NULL, 'Uteroglobin family', 90, NULL, 'Uteroglobin', 8922),
(8923, 'PF18317', NULL, 'Shikimate 5''-dehydrogenase C-terminal domain', 31, NULL, 'SDH_C', 8923),
(8924, 'PF10711', NULL, 'Hypothetical protein (DUF2513)', 104, NULL, 'DUF2513', 8924),
(8925, 'PF05017', NULL, 'TMP repeat', 11, NULL, 'TMP', 8925),
(8926, 'PF15761', NULL, 'Immortalisation up-regulated protein', 108, NULL, 'IMUP', 8926),
(8927, 'PF00441', NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', 150, NULL, 'Acyl-CoA_dh_1', 8927),
(8928, 'PF11226', NULL, 'Protein of unknown function (DUF3022)', 105, NULL, 'DUF3022', 8928),
(8929, 'PF11288', NULL, 'Protein of unknown function (DUF3089)', 199, NULL, 'DUF3089', 8929),
(8930, 'PF10846', NULL, 'Protein of unknown function (DUF2722)', 471, NULL, 'DUF2722', 8930),
(8931, 'PF15319', NULL, 'RAD9, RAD1, HUS1-interacting nuclear orphan protein', 248, NULL, 'RHINO', 8931),
(8932, 'PF03013', NULL, 'Pyrimidine dimer DNA glycosylase', 82, NULL, 'Pyr_excise', 8932),
(8933, 'PF02921', NULL, 'Ubiquinol cytochrome reductase transmembrane region', 66, NULL, 'UCR_TM', 8933),
(8934, 'PF07447', NULL, 'Matrix protein VP40', 282, NULL, 'VP40', 8934),
(8935, 'PF11583', NULL, 'P-aminobenzoate N-oxygenase AurF', 283, NULL, 'AurF', 8935),
(8936, 'PF06830', NULL, 'Root cap', 57, NULL, 'Root_cap', 8936),
(8937, 'PF09285', NULL, 'Elongation factor P, C-terminal', 56, NULL, 'Elong-fact-P_C', 8937),
(8938, 'PF16163', NULL, 'Domain of unknown function (DUF4869)', 128, NULL, 'DUF4869', 8938),
(8939, 'PF18033', NULL, 'SpuA C-terminal', 94, NULL, 'SpuA_C', 8939),
(8940, 'PF01789', NULL, 'PsbP', 156, NULL, 'PsbP', 8940),
(8941, 'PF11897', NULL, 'Protein of unknown function (DUF3417)', 109, NULL, 'DUF3417', 8941),
(8942, 'PF04606', NULL, 'Ogr/Delta-like zinc finger', 47, NULL, 'Ogr_Delta', 8942),
(8943, 'PF11476', NULL, 'Toxoplasma gondii micronemal protein 1 TgMIC1', 137, NULL, 'TgMIC1', 8943),
(8944, 'PF06821', NULL, 'Serine hydrolase', 171, NULL, 'Ser_hydrolase', 8944),
(8945, 'PF09092', NULL, 'Lyase, N terminal', 171, NULL, 'Lyase_N', 8945),
(8946, 'PF12596', NULL, '87kDa Transposase', 106, NULL, 'Tnp_P_element_C', 8946),
(8947, 'PF14453', NULL, 'ThiS-like ubiquitin', 57, NULL, 'ThiS-like', 8947),
(8948, 'PF07661', NULL, 'MORN repeat variant', 22, NULL, 'MORN_2', 8948),
(8949, 'PF14899', NULL, 'Domain of unknown function (DUF4492)', 63, NULL, 'DUF4492', 8949),
(8950, 'PF14848', NULL, 'DNA-binding domain', 124, NULL, 'HU-DNA_bdg', 8950),
(8951, 'PF19068', NULL, 'Family of unknown function (DUF5764)', 134, NULL, 'DUF5764', 8951),
(8952, 'PF09864', NULL, 'Membrane-bound lysozyme-inhibitor of c-type lysozyme', 67, NULL, 'MliC', 8952),
(8953, 'PF12130', NULL, 'Bivalent Mical/EHBP Rab binding domain', 133, NULL, 'DUF3585', 8953),
(8954, 'PF10549', NULL, 'ORF11CD3 domain', 53, NULL, 'ORF11CD3', 8954),
(8955, 'PF14357', NULL, 'Domain of unknown function (DUF4404)', 83, NULL, 'DUF4404', 8955),
(8956, 'PF01373', NULL, 'Glycosyl hydrolase family 14', 402, NULL, 'Glyco_hydro_14', 8956),
(8957, 'PF04631', NULL, 'Per os infectivity factor 2', 372, NULL, 'PIF2', 8957),
(8958, 'PF01735', NULL, 'Lysophospholipase catalytic domain', 491, NULL, 'PLA2_B', 8958);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(8959, 'PF04619', NULL, 'Dr-family adhesin', 139, NULL, 'Adhesin_Dr', 8959),
(8960, 'PF10836', NULL, 'Protein of unknown function (DUF2574)', 93, NULL, 'DUF2574', 8960),
(8961, 'PF10306', NULL, 'Hypothetical protein FLILHELTA', 88, NULL, 'FLILHELTA', 8961),
(8962, 'PF13574', NULL, 'Metallo-peptidase family M12B Reprolysin-like', 194, NULL, 'Reprolysin_2', 8962),
(8963, 'PF10195', NULL, 'DNA-binding nuclear phosphoprotein p8', 58, NULL, 'Phospho_p8', 8963),
(8964, 'PF00832', NULL, 'Ribosomal L39 protein', 42, NULL, 'Ribosomal_L39', 8964),
(8965, 'PF14175', NULL, 'YaaC-like Protein', 319, NULL, 'YaaC', 8965),
(8966, 'PF11305', NULL, 'Protein of unknown function (DUF3107)', 73, NULL, 'DUF3107', 8966),
(8967, 'PF10377', NULL, 'Autophagy-related protein 11', 129, NULL, 'ATG11', 8967),
(8968, 'PF12154', NULL, 'Glycoprotein B N-terminal antigenic domain of HCMV', 36, NULL, 'HCMVantigenic_N', 8968),
(8969, 'PF13176', NULL, 'Tetratricopeptide repeat', 36, NULL, 'TPR_7', 8969),
(8970, 'PF15882', NULL, 'Domain of unknown function (DUF4735)', 291, NULL, 'DUF4735', 8970),
(8971, 'PF04793', NULL, 'BRRF1-like protein', 286, NULL, 'Herpes_BBRF1', 8971),
(8972, 'PF00049', NULL, 'Insulin/IGF/Relaxin family', 85, NULL, 'Insulin', 8972),
(8973, 'PF13266', NULL, 'Protein of unknown function (DUF4057)', 299, NULL, 'DUF4057', 8973),
(8974, 'PF08411', NULL, 'Exonuclease C-terminal', 269, NULL, 'Exonuc_X-T_C', 8974),
(8975, 'PF02754', NULL, 'Cysteine-rich domain', 85, NULL, 'CCG', 8975),
(8976, 'PF17177', NULL, 'Pentacotripeptide-repeat region of PRORP', 212, NULL, 'PPR_long', 8976),
(8977, 'PF12536', NULL, 'Patatin phospholipase', 106, NULL, 'DUF3734', 8977),
(8978, 'PF15869', NULL, 'TolB-like 6-blade propeller-like', 295, NULL, 'TolB_like', 8978),
(8979, 'PF01383', NULL, 'CpcD/allophycocyanin linker domain', 55, NULL, 'CpcD', 8979),
(8980, 'PF06259', NULL, 'Alpha/beta hydrolase', 178, NULL, 'Abhydrolase_8', 8980),
(8981, 'PF10379', NULL, 'Virulence protein nec1', 184, NULL, 'nec1', 8981),
(8982, 'PF08070', NULL, 'DTHCT (NUC029) region', 104, NULL, 'DTHCT', 8982),
(8983, 'PF01747', NULL, 'ATP-sulfurylase', 211, NULL, 'ATP-sulfurylase', 8983),
(8984, 'PF13483', NULL, 'Beta-lactamase superfamily domain', 163, NULL, 'Lactamase_B_3', 8984),
(8985, 'PF07172', NULL, 'Glycine rich protein family', 95, NULL, 'GRP', 8985),
(8986, 'PF14163', NULL, 'Super-infection exclusion protein B', 147, NULL, 'SieB', 8986),
(8987, 'PF07550', NULL, 'Protein of unknown function (DUF1533)', 60, NULL, 'DUF1533', 8987),
(8988, 'PF05802', NULL, 'Enterobacterial EspB protein', 203, NULL, 'EspB', 8988),
(8989, 'PF00960', NULL, 'Neocarzinostatin family', 110, NULL, 'Neocarzinostat', 8989),
(8990, 'PF07163', NULL, 'Pex26 protein', 301, NULL, 'Pex26', 8990),
(8991, 'PF16068', NULL, 'Domain of unknown function (DUF4810)', 85, NULL, 'DUF4810', 8991),
(8992, 'PF04293', NULL, 'SpoVR like protein', 418, NULL, 'SpoVR', 8992),
(8993, 'PF13048', NULL, 'Protein of unknown function (DUF3908)', 131, NULL, 'DUF3908', 8993),
(8994, 'PF14351', NULL, 'Domain of unknown function (DUF4401)', 310, NULL, 'DUF4401', 8994),
(8995, 'PF04407', NULL, 'Protein of unknown function (DUF531)', 170, NULL, 'DUF531', 8995),
(8996, 'PF05172', NULL, 'Nup53/35/40-type RNA recognition motif', 101, NULL, 'Nup35_RRM', 8996),
(8997, 'PF12010', NULL, 'Domain of unknown function (DUF3502)', 130, NULL, 'DUF3502', 8997),
(8998, 'PF18639', NULL, 'Yeast longin domain', 161, NULL, 'Longin_2', 8998),
(8999, 'PF07982', NULL, 'Herpes UL74 glycoproteins', 418, NULL, 'Herpes_UL74', 8999),
(9000, 'PF16743', NULL, 'Periplasmic lysozyme inhibitor of I-type lysozyme', 123, NULL, 'PliI', 9000),
(9001, 'PF10789', NULL, 'Phage RNA polymerase binding, RpbA', 108, NULL, 'Phage_RpbA', 9001),
(9002, 'PF03494', NULL, 'Beta-amyloid peptide (beta-APP)', 39, NULL, 'Beta-APP', 9002),
(9003, 'PF12268', NULL, 'Protein of unknown function (DUF3612)', 176, NULL, 'DUF3612', 9003),
(9004, 'PF01474', NULL, 'Class-II DAHP synthetase family', 437, NULL, 'DAHP_synth_2', 9004);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9005, 'PF09638', NULL, 'Ph1570 protein', 155, NULL, 'Ph1570', 9005),
(9006, 'PF10061', NULL, 'Uncharacterized conserved protein (DUF2299)', 138, NULL, 'DUF2299', 9006),
(9007, 'PF04297', NULL, 'Putative helix-turn-helix protein, YlxM / p13 like', 101, NULL, 'UPF0122', 9007),
(9008, 'PF18546', NULL, 'Methanogen output domain 1', 143, NULL, 'MetOD1', 9008),
(9009, 'PF18955', NULL, 'Domain of unknown function (DUF5698)', 58, NULL, 'DUF5698', 9009),
(9010, 'PF19164', NULL, 'Family of unknown function (DUF5846)', 117, NULL, 'DUF5846', 9010),
(9011, 'PF12224', NULL, 'Putative amidoligase enzyme', 253, NULL, 'Amidoligase_2', 9011),
(9012, 'PF08044', NULL, 'Domain of unknown function (DUF1707)', 53, NULL, 'DUF1707', 9012),
(9013, 'PF16385', NULL, 'Domain of unknown function', 98, NULL, 'DUF4994', 9013),
(9014, 'PF05693', NULL, 'Glycogen synthase', 638, NULL, 'Glycogen_syn', 9014),
(9015, 'PF13108', NULL, 'Protein of unknown function (DUF3969)', 106, NULL, 'DUF3969', 9015),
(9016, 'PF08954', NULL, 'Trimerisation motif', 52, NULL, 'Trimer_CC', 9016),
(9017, 'PF10474', NULL, 'Protein of unknown function C-terminus (DUF2451)', 234, NULL, 'DUF2451', 9017),
(9018, 'PF08838', NULL, 'Protein of unknown function (DUF1811)', 100, NULL, 'DUF1811', 9018),
(9019, 'PF19182', NULL, 'Family of unknown function (DUF5864)', 136, NULL, 'DUF5864', 9019),
(9020, 'PF11684', NULL, 'Protein of unknown function (DUF2380)', 137, NULL, 'DUF3280', 9020),
(9021, 'PF13599', NULL, 'Pentapeptide repeats (9 copies)', 77, NULL, 'Pentapeptide_4', 9021),
(9022, 'PF03856', NULL, 'Beta-glucosidase (SUN family)', 245, NULL, 'SUN', 9022),
(9023, 'PF02786', NULL, 'Carbamoyl-phosphate synthase L chain, ATP binding domain', 211, NULL, 'CPSase_L_D2', 9023),
(9024, 'PF11963', NULL, 'Protein of unknown function (DUF3477)', 355, NULL, 'DUF3477', 9024),
(9025, 'PF08462', NULL, 'Carmovirus coat protein', 99, NULL, 'Carmo_coat_C', 9025),
(9026, 'PF11360', NULL, 'Protein of unknown function (DUF3110)', 84, NULL, 'DUF3110', 9026),
(9027, 'PF02406', NULL, 'MmoB/DmpM family', 85, NULL, 'MmoB_DmpM', 9027),
(9028, 'PF19047', NULL, 'HOOK domain', 151, NULL, 'HOOK_N', 9028),
(9029, 'PF16804', NULL, 'Domain of unknown function (DUF5071)', 119, NULL, 'DUF5071', 9029),
(9030, 'PF03594', NULL, 'Benzoate membrane transport protein', 378, NULL, 'BenE', 9030),
(9031, 'PF02182', NULL, 'SAD/SRA domain', 153, NULL, 'SAD_SRA', 9031),
(9032, 'PF04228', NULL, 'Putative neutral zinc metallopeptidase', 291, NULL, 'Zn_peptidase', 9032),
(9033, 'PF11663', NULL, 'Toxin with endonuclease activity, of toxin-antitoxin system', 138, NULL, 'Toxin_YhaV', 9033),
(9034, 'PF11384', NULL, 'Protein of unknown function (DUF3188)', 50, NULL, 'DUF3188', 9034),
(9035, 'PF04782', NULL, 'Protein of unknown function (DUF632)', 321, NULL, 'DUF632', 9035),
(9036, 'PF07532', NULL, 'Bacterial Ig-like domain (group 4)', 59, NULL, 'Big_4', 9036),
(9037, 'PF18758', NULL, 'Kyakuja-Dileera-Zisupton transposase', 220, NULL, 'KDZ', 9037),
(9038, 'PF10799', NULL, 'Biofilm formation protein (YliH/bssR)', 126, NULL, 'YliH', 9038),
(9039, 'PF15512', NULL, 'Chromatin assembly factor complex 1 subunit p60, C-terminal', 180, NULL, 'CAF-1_p60_C', 9039),
(9040, 'PF13813', NULL, 'Membrane bound O-acyl transferase family', 83, NULL, 'MBOAT_2', 9040),
(9041, 'PF09996', NULL, 'Uncharacterized protein conserved in bacteria (DUF2237)', 115, NULL, 'DUF2237', 9041),
(9042, 'PF13385', NULL, 'Concanavalin A-like lectin/glucanases superfamily', 152, NULL, 'Laminin_G_3', 9042),
(9043, 'PF17353', NULL, 'Family of unknown function (DUF5381)', 169, NULL, 'DUF5381', 9043),
(9044, 'PF04350', NULL, 'Pilus assembly protein, PilO', 146, NULL, 'PilO', 9044),
(9045, 'PF12988', NULL, 'TraQ conjugal transfer protein', 133, NULL, 'TraQ_transposon', 9045),
(9046, 'PF13458', NULL, 'Periplasmic binding protein', 343, NULL, 'Peripla_BP_6', 9046),
(9047, 'PF16853', NULL, 'Cell division control protein 13 N-terminus', 209, NULL, 'CDC13_N', 9047);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9048, 'PF07878', NULL, 'CopG-like RHH_1 or ribbon-helix-helix domain, RHH_5', 43, NULL, 'RHH_5', 9048),
(9049, 'PF11577', NULL, 'NF-kappa-B essential modulator NEMO', 68, NULL, 'NEMO', 9049),
(9050, 'PF03968', NULL, 'LptA/(LptD N-terminal domain) LPS transport protein', 113, NULL, 'LptD_N', 9050),
(9051, 'PF02942', NULL, 'Influenza B non-structural protein (NS1)', 247, NULL, 'Flu_B_NS1', 9051),
(9052, 'PF11091', NULL, 'Tail-tube assembly protein', 348, NULL, 'T4_tail_cap', 9052),
(9053, 'PF08026', NULL, 'Bee antimicrobial peptide', 31, NULL, 'Antimicrobial_5', 9053),
(9054, 'PF16706', NULL, 'Izumo-like Immunoglobulin domain', 88, NULL, 'Izumo-Ig', 9054),
(9055, 'PF09299', NULL, 'Mu transposase, C-terminal', 61, NULL, 'Mu-transpos_C', 9055),
(9056, 'PF02495', NULL, 'Triple gene block 3', 59, NULL, 'TGBp3', 9056),
(9057, 'PF02922', NULL, 'Carbohydrate-binding module 48 (Isoamylase N-terminal domain)', 84, NULL, 'CBM_48', 9057),
(9058, 'PF09275', NULL, 'Pertussis toxin S4 subunit', 110, NULL, 'Pertus-S4-tox', 9058),
(9059, 'PF12661', NULL, 'Human growth factor-like EGF', 22, NULL, 'hEGF', 9059),
(9060, 'PF00651', NULL, 'BTB/POZ domain', 111, NULL, 'BTB', 9060),
(9061, 'PF14474', NULL, 'RTC4-like domain', 121, NULL, 'RTC4', 9061),
(9062, 'PF14393', NULL, 'Domain of unknown function (DUF4422)', 225, NULL, 'DUF4422', 9062),
(9063, 'PF06483', NULL, 'Chitinase C', 174, NULL, 'ChiC', 9063),
(9064, 'PF01106', NULL, 'NifU-like domain', 67, NULL, 'NifU', 9064),
(9065, 'PF08651', NULL, 'DASH complex subunit Duo1', 74, NULL, 'DASH_Duo1', 9065),
(9066, 'PF11837', NULL, 'Domain of unknown function (DUF3357)', 109, NULL, 'DUF3357', 9066),
(9067, 'PF18044', NULL, 'CCCH-type zinc finger', 22, NULL, 'zf-CCCH_4', 9067),
(9068, 'PF13832', NULL, 'PHD-zinc-finger like domain', 110, NULL, 'zf-HC5HC2H_2', 9068),
(9069, 'PF14013', NULL, 'MT0933-like antitoxin protein', 49, NULL, 'MT0933_antitox', 9069),
(9070, 'PF11032', NULL, 'ApoM domain', 188, NULL, 'ApoM', 9070),
(9071, 'PF18371', NULL, 'Flavin adenine dinucleotide (FAD)-dependent sulfhydryl oxidase', 104, NULL, 'FAD_SOX', 9071),
(9072, 'PF00667', NULL, 'FAD binding domain', 222, NULL, 'FAD_binding_1', 9072),
(9073, 'PF02896', NULL, 'PEP-utilising enzyme, PEP-binding domain', 294, NULL, 'PEP-utilizers_C', 9073),
(9074, 'PF08629', NULL, 'PDE8 phosphodiesterase', 52, NULL, 'PDE8', 9074),
(9075, 'PF03287', NULL, 'Poxvirus C7/F8A protein', 148, NULL, 'Pox_C7_F8A', 9075),
(9076, 'PF07769', NULL, 'psiF repeat', 34, NULL, 'PsiF_repeat', 9076),
(9077, 'PF06834', NULL, 'TraU protein', 308, NULL, 'TraU', 9077),
(9078, 'PF08199', NULL, 'Bacteriophage E2-like protein', 37, NULL, 'E2', 9078),
(9079, 'PF00532', NULL, 'Periplasmic binding proteins and sugar binding domain of LacI family', 279, NULL, 'Peripla_BP_1', 9079),
(9080, 'PF19091', NULL, 'Family of unknown function (DUF5779)', 96, NULL, 'DUF5779', 9080),
(9081, 'PF12600', NULL, 'Protein of unknown function (DUF3769)', 444, NULL, 'DUF3769', 9081),
(9082, 'PF13288', NULL, 'DXP reductoisomerase C-terminal domain', 115, NULL, 'DXPR_C', 9082),
(9083, 'PF06872', NULL, 'EspG protein', 383, NULL, 'EspG', 9083),
(9084, 'PF11922', NULL, 'Domain of unknown function (DUF3440)', 181, NULL, 'DUF3440', 9084),
(9085, 'PF07872', NULL, 'Protein of unknown function (DUF1659)', 45, NULL, 'DUF1659', 9085),
(9086, 'PF01890', NULL, 'Cobalamin synthesis G C-terminus', 116, NULL, 'CbiG_C', 9086),
(9087, 'PF07275', NULL, 'Antirestriction protein (ArdA)', 163, NULL, 'ArdA', 9087),
(9088, 'PF09532', NULL, 'FDF domain', 104, NULL, 'FDF', 9088),
(9089, 'PF18230', NULL, 'Glycosyl hydrolases family 38 C-terminal sub-domain', 89, NULL, 'Glyc_hyd_38C_2', 9089),
(9090, 'PF02464', NULL, 'Competence-damaged protein', 155, NULL, 'CinA', 9090),
(9091, 'PF07034', NULL, 'Origin recognition complex (ORC) subunit 3 N-terminus', 332, NULL, 'ORC3_N', 9091),
(9092, 'PF00710', NULL, 'Asparaginase, N-terminal', 191, NULL, 'Asparaginase', 9092),
(9093, 'PF05496', NULL, 'Holliday junction DNA helicase RuvB P-loop domain', 159, NULL, 'RuvB_N', 9093);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9094, 'PF12954', NULL, 'Protein of unknown function (DUF3843)', 420, NULL, 'DUF3843', 9094),
(9095, 'PF15604', NULL, 'Novel toxin 15', 154, NULL, 'Ntox15', 9095),
(9096, 'PF18158', NULL, 'Adaptive response protein AidB N-terminal domain', 156, NULL, 'AidB_N', 9096),
(9097, 'PF10740', NULL, 'Domain of unknown function (DUF2529)', 168, NULL, 'DUF2529', 9097),
(9098, 'PF11801', NULL, 'Tom37 C-terminal domain', 147, NULL, 'Tom37_C', 9098),
(9099, 'PF10808', NULL, 'Protein of unknown function (DUF2542)', 79, NULL, 'DUF2542', 9099),
(9100, 'PF04287', NULL, 'tRNA pseudouridine synthase C', 98, NULL, 'DUF446', 9100),
(9101, 'PF02790', NULL, 'Cytochrome C oxidase subunit II, transmembrane domain', 89, NULL, 'COX2_TM', 9101),
(9102, 'PF11652', NULL, 'FAM167', 84, NULL, 'FAM167', 9102),
(9103, 'PF01385', NULL, 'Probable transposase', 120, NULL, 'OrfB_IS605', 9103),
(9104, 'PF01667', NULL, 'Ribosomal protein S27', 55, NULL, 'Ribosomal_S27e', 9104),
(9105, 'PF02721', NULL, 'Domain of unknown function DUF223', 95, NULL, 'DUF223', 9105),
(9106, 'PF09614', NULL, 'CRISPR-associated protein (Cas_Csy2)', 295, NULL, 'Cas_Csy2', 9106),
(9107, 'PF15258', NULL, 'Protein family of FAM222A', 530, NULL, 'FAM222A', 9107),
(9108, 'PF07784', NULL, 'Protein of unknown function (DUF1622)', 78, NULL, 'DUF1622', 9108),
(9109, 'PF08805', NULL, 'PilS N terminal', 138, NULL, 'PilS', 9109),
(9110, 'PF03114', NULL, 'BAR domain', 239, NULL, 'BAR', 9110),
(9111, 'PF04193', NULL, 'PQ loop repeat', 61, NULL, 'PQ-loop', 9111),
(9112, 'PF16810', NULL, 'RXLR phytopathogen effector protein, Avirulence activity', 141, NULL, 'RXLR', 9112),
(9113, 'PF07054', NULL, 'Pericardin like repeat', 35, NULL, 'Pericardin_rpt', 9113),
(9114, 'PF09233', NULL, 'Restriction endonuclease EcoRV', 240, NULL, 'Endonuc-EcoRV', 9114),
(9115, 'PF15514', NULL, 'Restriction endonuclease ThaI', 202, NULL, 'ThaI', 9115),
(9116, 'PF18316', NULL, 'S-layer protein SbsC C-terminal domain', 86, NULL, 'S-l_SbsC_C', 9116),
(9117, 'PF06184', NULL, 'Potexvirus coat protein', 153, NULL, 'Potex_coat', 9117),
(9118, 'PF17608', NULL, 'Family of unknown function (DUF5504)', 124, NULL, 'DUF5504', 9118),
(9119, 'PF17899', NULL, 'Peptidase M61 N-terminal domain', 167, NULL, 'Peptidase_M61_N', 9119),
(9120, 'PF07260', NULL, 'Progressive ankylosis protein (ANKH)', 345, NULL, 'ANKH', 9120),
(9121, 'PF12645', NULL, 'Helix-turn-helix domain', 65, NULL, 'HTH_16', 9121),
(9122, 'PF11733', NULL, 'Non-capsid protein NP1', 213, NULL, 'NP1-WLL', 9122),
(9123, 'PF02531', NULL, 'PsaD', 136, NULL, 'PsaD', 9123),
(9124, 'PF00105', NULL, 'Zinc finger, C4 type (two domains)', 70, NULL, 'zf-C4', 9124),
(9125, 'PF13566', NULL, 'Domain of unknown function (DUF4130', 146, NULL, 'DUF4130', 9125),
(9126, 'PF04855', NULL, 'SNF5 / SMARCB1 / INI1', 236, NULL, 'SNF5', 9126),
(9127, 'PF08831', NULL, 'Class II MHC-associated invariant chain trimerisation domain', 69, NULL, 'MHCassoc_trimer', 9127),
(9128, 'PF16079', NULL, 'Phage holin family Hol44, in holin superfamily V', 66, NULL, 'Phage_holin_5_2', 9128),
(9129, 'PF17441', NULL, 'Family of unknown function (DUF5419)', 54, NULL, 'DUF5419', 9129),
(9130, 'PF14253', NULL, 'Bacteriophage abortive infection AbiH', 263, NULL, 'AbiH', 9130),
(9131, 'PF18379', NULL, 'FERM F1 ubiquitin-like domain', 96, NULL, 'FERM_F1', 9131),
(9132, 'PF08521', NULL, 'Two-component sensor kinase N-terminal', 139, NULL, '2CSK_N', 9132),
(9133, 'PF05493', NULL, 'ATP synthase subunit H', 62, NULL, 'ATP_synt_H', 9133),
(9134, 'PF09871', NULL, 'Uncharacterized protein conserved in archaea (DUF2098)', 94, NULL, 'DUF2098', 9134),
(9135, 'PF16792', NULL, 'Phage tail base-plate attachment protein of Caudovirales ORF16', 372, NULL, 'Caudo_bapla16', 9135),
(9136, 'PF04148', NULL, 'Transmembrane adaptor Erv26', 206, NULL, 'Erv26', 9136),
(9137, 'PF11573', NULL, 'Mediator complex subunit 23', 1304, NULL, 'Med23', 9137),
(9138, 'PF00137', NULL, 'ATP synthase subunit C', 60, NULL, 'ATP-synt_C', 9138);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9139, 'PF00390', NULL, 'Malic enzyme, N-terminal domain', 182, NULL, 'malic', 9139),
(9140, 'PF03871', NULL, 'RNA polymerase Rpb5, N-terminal domain', 89, NULL, 'RNA_pol_Rpb5_N', 9140),
(9141, 'PF05551', NULL, 'Zinc-binding loop region of homing endonuclease', 131, NULL, 'zf-His_Me_endon', 9141),
(9142, 'PF17395', NULL, 'Family of unknown function (DUF5403)', 96, NULL, 'DUF5403', 9142),
(9143, 'PF04937', NULL, 'Protein of unknown function (DUF 659)', 152, NULL, 'DUF659', 9143),
(9144, 'PF06541', NULL, 'Putative ABC-transporter type IV', 149, NULL, 'ABC_trans_CmpB', 9144),
(9145, 'PF01182', NULL, 'Glucosamine-6-phosphate isomerases/6-phosphogluconolactonase', 225, NULL, 'Glucosamine_iso', 9145),
(9146, 'PF00082', NULL, 'Subtilase family', 277, NULL, 'Peptidase_S8', 9146),
(9147, 'PF10742', NULL, 'Protein of unknown function (DUF2555)', 55, NULL, 'DUF2555', 9147),
(9148, 'PF17572', NULL, 'Family of unknown function (DUF5478)', 86, NULL, 'DUF5478', 9148),
(9149, 'PF03586', NULL, 'Herpesvirus UL36 tegument protein', 251, NULL, 'Herpes_UL36', 9149),
(9150, 'PF11101', NULL, 'Protein of unknown function (DUF2884)', 228, NULL, 'DUF2884', 9150),
(9151, 'PF09156', NULL, 'Anthrax toxin lethal factor, middle domain', 287, NULL, 'Anthrax-tox_M', 9151),
(9152, 'PF08348', NULL, 'YheO-like PAS domain', 115, NULL, 'PAS_6', 9152),
(9153, 'PF06496', NULL, 'Protein of unknown function (DUF1097)', 145, NULL, 'DUF1097', 9153),
(9154, 'PF15112', NULL, 'Domain of unknown function (DUF4559)', 311, NULL, 'DUF4559', 9154),
(9155, 'PF01751', NULL, 'Toprim domain', 104, NULL, 'Toprim', 9155),
(9156, 'PF01126', NULL, 'Heme oxygenase', 205, NULL, 'Heme_oxygenase', 9156),
(9157, 'PF02007', NULL, 'Tetrahydromethanopterin S-methyltransferase MtrH subunit', 299, NULL, 'MtrH', 9157),
(9158, 'PF07061', NULL, 'Swi5', 80, NULL, 'Swi5', 9158),
(9159, 'PF14686', NULL, 'Polysaccharide lyase family 4, domain II', 75, NULL, 'fn3_3', 9159),
(9160, 'PF18328', NULL, 'Fatty acid synthase subunit PfaD N-terminal domain', 62, NULL, 'PfaD_N', 9160),
(9161, 'PF15042', NULL, 'Late cornified envelope-like proline-rich protein 1', 116, NULL, 'LELP1', 9161),
(9162, 'PF15503', NULL, 'Protein phosphatase 1 regulatory subunit 35 C-terminus', 143, NULL, 'PPP1R35_C', 9162),
(9163, 'PF15212', NULL, 'Spermatogenesis-associated protein 19, mitochondrial', 130, NULL, 'SPATA19', 9163),
(9164, 'PF04592', NULL, 'Selenoprotein P, N terminal region', 233, NULL, 'SelP_N', 9164),
(9165, 'PF08698', NULL, 'Fcf2 pre-rRNA processing', 96, NULL, 'Fcf2', 9165),
(9166, 'PF08514', NULL, 'STAG domain', 114, NULL, 'STAG', 9166),
(9167, 'PF05111', NULL, 'Ameloblastin precursor (Amelin)', 421, NULL, 'Amelin', 9167),
(9168, 'PF06716', NULL, 'Protein of unknown function (DUF1201)', 54, NULL, 'DUF1201', 9168),
(9169, 'PF17171', NULL, 'Glutathione S-transferase, C-terminal domain', 64, NULL, 'GST_C_6', 9169),
(9170, 'PF13151', NULL, 'Protein of unknown function (DUF3990)', 152, NULL, 'DUF3990', 9170),
(9171, 'PF04027', NULL, 'Domain of unknown function (DUF371)', 133, NULL, 'DUF371', 9171),
(9172, 'PF11217', NULL, 'Protein of unknown function (DUF3013)', 160, NULL, 'DUF3013', 9172),
(9173, 'PF00386', NULL, 'C1q domain', 127, NULL, 'C1q', 9173),
(9174, 'PF09011', NULL, 'HMG-box domain', 73, NULL, 'HMG_box_2', 9174),
(9175, 'PF17898', NULL, 'Spore germination GerD central core domain', 114, NULL, 'GerD', 9175),
(9176, 'PF05270', NULL, 'Alpha-L-arabinofuranosidase B (ABFB) domain', 141, NULL, 'AbfB', 9176),
(9177, 'PF00235', NULL, 'Profilin', 127, NULL, 'Profilin', 9177),
(9178, 'PF13753', NULL, 'Putative flagellar system-associated repeat', 86, NULL, 'SWM_repeat', 9178),
(9179, 'PF15971', NULL, 'DolP-mannose mannosyltransferase', 163, NULL, 'Mannosyl_trans4', 9179),
(9180, 'PF07022', NULL, 'Bacteriophage CI repressor helix-turn-helix domain', 65, NULL, 'Phage_CI_repr', 9180),
(9181, 'PF01891', NULL, 'Cobalt uptake substrate-specific transmembrane region', 207, NULL, 'CbiM', 9181);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9182, 'PF03079', NULL, 'ARD/ARD'' family', 157, NULL, 'ARD', 9182),
(9183, 'PF07559', NULL, 'Flagellar basal body protein FlaE', 123, NULL, 'FlaE', 9183),
(9184, 'PF13708', NULL, 'Domain of unknown function (DUF4942)', 193, NULL, 'DUF4942', 9184),
(9185, 'PF07225', NULL, 'NADH-ubiquinone oxidoreductase B15 subunit (NDUFB4)', 124, NULL, 'NDUF_B4', 9185),
(9186, 'PF07402', NULL, 'Human herpesvirus U26 protein', 293, NULL, 'Herpes_U26', 9186),
(9187, 'PF09244', NULL, 'Domain of unknown function (DUF1964)', 67, NULL, 'DUF1964', 9187),
(9188, 'PF14893', NULL, 'PNMA', 328, NULL, 'PNMA', 9188),
(9189, 'PF01593', NULL, 'Flavin containing amine oxidoreductase', 452, NULL, 'Amino_oxidase', 9189),
(9190, 'PF01959', NULL, '3-dehydroquinate synthase II', 347, NULL, 'DHQS', 9190),
(9191, 'PF03965', NULL, 'Penicillinase repressor', 115, NULL, 'Penicillinase_R', 9191),
(9192, 'PF12847', NULL, 'Methyltransferase domain', 151, NULL, 'Methyltransf_18', 9192),
(9193, 'PF14204', NULL, 'Ribosomal L18 C-terminal region', 94, NULL, 'Ribosomal_L18_c', 9193),
(9194, 'PF11369', NULL, 'Protein of unknown function (DUF3160)', 629, NULL, 'DUF3160', 9194),
(9195, 'PF18156', NULL, 'pPIWI_RE three-gene island domain Y', 144, NULL, 'pPIWI_RE_Y', 9195),
(9196, 'PF15864', NULL, 'Protein glycosylation ligase', 26, NULL, 'PglL_A', 9196),
(9197, 'PF17706', NULL, 'Family of unknown function (DUF5552)', 217, NULL, 'DUF5552', 9197),
(9198, 'PF01244', NULL, 'Membrane dipeptidase (Peptidase family M19)', 318, NULL, 'Peptidase_M19', 9198),
(9199, 'PF02736', NULL, 'Myosin N-terminal SH3-like domain', 40, NULL, 'Myosin_N', 9199),
(9200, 'PF05611', NULL, 'Caenorhabditis elegans protein of unknown function (DUF780)', 71, NULL, 'DUF780', 9200),
(9201, 'PF17108', NULL, 'N-terminal small S protein of HET, non-prionic', 23, NULL, 'HET-S', 9201),
(9202, 'PF15183', NULL, 'Melanocortin-2 receptor accessory protein family', 89, NULL, 'MRAP', 9202),
(9203, 'PF19213', NULL, 'Coronavirus replicase NSP6', 268, NULL, 'CoV_NSP6', 9203),
(9204, 'PF16648', NULL, 'Unstructured region on Calpain-3', 72, NULL, 'Calpain_u2', 9204),
(9205, 'PF05661', NULL, 'Protein of unknown function (DUF808)', 304, NULL, 'DUF808', 9205),
(9206, 'PF09215', NULL, 'Bacteriophage T4, Gp8', 334, NULL, 'Phage-Gp8', 9206),
(9207, 'PF02935', NULL, 'Cytochrome c oxidase subunit VIIc', 64, NULL, 'COX7C', 9207),
(9208, 'PF03272', NULL, 'Putative mucin or carbohydrate-binding module', 114, NULL, 'Mucin_bdg', 9208),
(9209, 'PF15533', NULL, 'Bacterial toxin 33', 65, NULL, 'Ntox33', 9209),
(9210, 'PF02865', NULL, 'STAT protein, protein interaction domain', 119, NULL, 'STAT_int', 9210),
(9211, 'PF08219', NULL, 'Outer membrane protein TOM13', 84, NULL, 'TOM13', 9211),
(9212, 'PF06464', NULL, 'DMAP1-binding Domain', 111, NULL, 'DMAP_binding', 9212),
(9213, 'PF18908', NULL, 'Protein of unknown function (DUF5663)', 86, NULL, 'DUF5663', 9213),
(9214, 'PF12192', NULL, 'Fungal calcium binding protein', 79, NULL, 'CBP', 9214),
(9215, 'PF01159', NULL, 'Ribosomal protein L6e', 112, NULL, 'Ribosomal_L6e', 9215),
(9216, 'PF18555', NULL, 'MobL relaxases', 389, NULL, 'MobL', 9216),
(9217, 'PF05758', NULL, 'Ycf1', 945, NULL, 'Ycf1', 9217),
(9218, 'PF03770', NULL, 'Inositol polyphosphate kinase', 198, NULL, 'IPK', 9218),
(9219, 'PF14185', NULL, 'Antitoxin SpoIISB, type II toxin-antitoxin system', 56, NULL, 'SpoIISB_antitox', 9219),
(9220, 'PF06996', NULL, 'Type VI secretion, TssG', 304, NULL, 'T6SS_TssG', 9220),
(9221, 'PF19014', NULL, 'Family of unknown function (DUF5743)', 186, NULL, 'DUF5743', 9221),
(9222, 'PF06703', NULL, 'Microsomal signal peptidase 25 kDa subunit (SPC25)', 162, NULL, 'SPC25', 9222),
(9223, 'PF09588', NULL, 'YqaJ-like viral recombinase domain', 148, NULL, 'YqaJ', 9223),
(9224, 'PF07723', NULL, 'Leucine Rich Repeat', 26, NULL, 'LRR_2', 9224),
(9225, 'PF18581', NULL, 'Synaptonemal complex 2 armadillo-repeat-like domain', 171, NULL, 'SYCP2_ARLD', 9225),
(9226, 'PF13100', NULL, 'OstA-like protein', 158, NULL, 'OstA_2', 9226);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9227, 'PF17432', NULL, 'Domain of unknown function (DUF3458_C) ARM repeats', 319, NULL, 'DUF3458_C', 9227),
(9228, 'PF14959', NULL, 'gamma-Secretase-activating protein C-term', 108, NULL, 'GSAP-16', 9228),
(9229, 'PF19106', NULL, 'Family of unknown function (DUF5793)', 157, NULL, 'DUF5793', 9229),
(9230, 'PF00816', NULL, 'H-NS histone family', 92, NULL, 'Histone_HNS', 9230),
(9231, 'PF16200', NULL, 'C-terminal region of band_7', 63, NULL, 'Band_7_C', 9231),
(9232, 'PF08994', NULL, 'T4 gene Gp59 loader of gp41 DNA helicase C-term', 104, NULL, 'T4_Gp59_C', 9232),
(9233, 'PF13401', NULL, 'AAA domain', 137, NULL, 'AAA_22', 9233),
(9234, 'PF18562', NULL, 'Cysteine-Rich Interdomain Region 1 gamma', 52, NULL, 'CIDR1_gamma', 9234),
(9235, 'PF01050', NULL, 'Mannose-6-phosphate isomerase', 151, NULL, 'MannoseP_isomer', 9235),
(9236, 'PF09644', NULL, 'Mg296 protein', 126, NULL, 'Mg296', 9236),
(9237, 'PF08346', NULL, 'AntA/AntB antirepressor', 68, NULL, 'AntA', 9237),
(9238, 'PF12107', NULL, 'Plasminogen (Pg) ligand in fibrinolytic pathway', 17, NULL, 'VEK-30', 9238),
(9239, 'PF05603', NULL, 'Protein of unknown function (DUF775)', 199, NULL, 'DUF775', 9239),
(9240, 'PF00718', NULL, 'Polyomavirus coat protein', 293, NULL, 'Polyoma_coat', 9240),
(9241, 'PF04805', NULL, 'E10-like protein conserved region', 70, NULL, 'Pox_E10', 9241),
(9242, 'PF13825', NULL, 'Paramyxovirus structural protein V/P N-terminus', 309, NULL, 'Paramyxo_P_V_N', 9242),
(9243, 'PF14114', NULL, 'Domain of unknown function (DUF4286)', 98, NULL, 'DUF4286', 9243),
(9244, 'PF05155', NULL, 'Phage X family', 88, NULL, 'Phage_X', 9244),
(9245, 'PF17519', NULL, 'Family of unknown function (DUF5444)', 62, NULL, 'DUF5444', 9245),
(9246, 'PF18187', NULL, 'TbRIF5 SNase domain 1', 161, NULL, 'RIF5_SNase_1', 9246),
(9247, 'PF09624', NULL, 'Protein of unknown function (DUF2393)', 146, NULL, 'DUF2393', 9247),
(9248, 'PF01102', NULL, 'Glycophorin A', 114, NULL, 'Glycophorin_A', 9248),
(9249, 'PF15383', NULL, 'Transmembrane protein 237', 249, NULL, 'TMEM237', 9249),
(9250, 'PF14292', NULL, 'SusE outer membrane protein', 106, NULL, 'SusE', 9250),
(9251, 'PF01310', NULL, 'Adenovirus hexon associated protein, protein VIII', 216, NULL, 'Adeno_PVIII', 9251),
(9252, 'PF14967', NULL, 'FAM70 protein', 327, NULL, 'FAM70', 9252),
(9253, 'PF13591', NULL, 'MerR HTH family regulatory protein', 84, NULL, 'MerR_2', 9253),
(9254, 'PF18353', NULL, 'Phosphoglucose isomerase N-terminal domain', 110, NULL, 'PG_isomerase_N', 9254),
(9255, 'PF08232', NULL, 'Striatin family', 152, NULL, 'Striatin', 9255),
(9256, 'PF12429', NULL, 'Protein of unknown function (DUF3676)', 230, NULL, 'DUF3676', 9256),
(9257, 'PF01217', NULL, 'Clathrin adaptor complex small chain', 142, NULL, 'Clat_adaptor_s', 9257),
(9258, 'PF17663', NULL, 'Family of unknown function (DUF5525)', 1023, NULL, 'DUF5525', 9258),
(9259, 'PF06884', NULL, 'Protein of unknown function (DUF1264)', 171, NULL, 'DUF1264', 9259),
(9260, 'PF09560', NULL, 'Sporulation protein YunB (Spo_YunB)', 91, NULL, 'Spore_YunB', 9260),
(9261, 'PF03015', NULL, 'Male sterility protein', 93, NULL, 'Sterile', 9261),
(9262, 'PF05932', NULL, 'Tir chaperone protein (CesT) family', 119, NULL, 'CesT', 9262),
(9263, 'PF00983', NULL, 'Tymovirus coat protein', 179, NULL, 'Tymo_coat', 9263),
(9264, 'PF05316', NULL, 'Mitochondrial ribosomal protein (VAR1)', 340, NULL, 'VAR1', 9264),
(9265, 'PF09967', NULL, 'VWA-like domain (DUF2201)', 123, NULL, 'DUF2201', 9265),
(9266, 'PF01732', NULL, 'Putative peptidase (DUF31)', 373, NULL, 'DUF31', 9266),
(9267, 'PF08399', NULL, 'VWA N-terminal', 123, NULL, 'VWA_N', 9267),
(9268, 'PF08944', NULL, 'NADPH oxidase subunit p47Phox, C terminal domain', 33, NULL, 'p47_phox_C', 9268),
(9269, 'PF04746', NULL, 'Protein of unknown function (DUF575)', 101, NULL, 'DUF575', 9269),
(9270, 'PF01526', NULL, 'Tn3 transposase DDE domain', 389, NULL, 'DDE_Tnp_Tn3', 9270),
(9271, 'PF03275', NULL, 'UDP-galactopyranose mutase', 204, NULL, 'GLF', 9271);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9272, 'PF01656', NULL, 'CobQ/CobB/MinD/ParA nucleotide binding domain', 128, NULL, 'CbiA', 9272),
(9273, 'PF18403', NULL, 'Thioredoxin-like domain', 214, NULL, 'Thioredoxin_15', 9273),
(9274, 'PF00028', NULL, 'Cadherin domain', 93, NULL, 'Cadherin', 9274),
(9275, 'PF18440', NULL, 'Putative GlcNAc-1 phosphotransferase regulatory domain', 88, NULL, 'GlcNAc-1_reg', 9275),
(9276, 'PF08171', NULL, 'Mad3/BUB1 homology region 2', 68, NULL, 'Mad3_BUB1_II', 9276),
(9277, 'PF14942', NULL, 'Organelle biogenesis, Muted-like protein', 146, NULL, 'Muted', 9277),
(9278, 'PF14007', NULL, 'YtpI-like protein', 87, NULL, 'YtpI', 9278),
(9279, 'PF04174', NULL, 'A circularly permuted ATPgrasp', 332, NULL, 'CP_ATPgrasp_1', 9279),
(9280, 'PF08423', NULL, 'Rad51', 255, NULL, 'Rad51', 9280),
(9281, 'PF01693', NULL, 'Caulimovirus viroplasmin', 44, NULL, 'Cauli_VI', 9281),
(9282, 'PF17914', NULL, 'HopA1 effector protein family', 170, NULL, 'HopA1', 9282),
(9283, 'PF18823', NULL, 'Inorganic Pyrophosphatase', 135, NULL, 'InPase', 9283),
(9284, 'PF05311', NULL, 'Baculovirus 33KDa late protein (PP31)', 272, NULL, 'Baculo_PP31', 9284),
(9285, 'PF18939', NULL, 'Family of unknown function (DUF5686)', 671, NULL, 'DUF5686', 9285),
(9286, 'PF18346', NULL, 'Mind bomb SH3 repeat domain', 68, NULL, 'SH3_15', 9286),
(9287, 'PF11770', NULL, 'GRB2-binding adapter (GAPT)', 156, NULL, 'GAPT', 9287),
(9288, 'PF18013', NULL, 'Phage tail lysozyme', 142, NULL, 'Phage_lysozyme2', 9288),
(9289, 'PF09052', NULL, 'SipA N-terminal domain', 214, NULL, 'SipA', 9289),
(9290, 'PF10070', NULL, 'Uncharacterized protein conserved in bacteria (DUF2309)', 758, NULL, 'DUF2309', 9290),
(9291, 'PF03484', NULL, 'tRNA synthetase B5 domain', 67, NULL, 'B5', 9291),
(9292, 'PF09932', NULL, 'Uncharacterized conserved protein (DUF2164)', 74, NULL, 'DUF2164', 9292),
(9293, 'PF15591', NULL, 'Immunity protein 31', 73, NULL, 'Imm31', 9293),
(9294, 'PF18134', NULL, 'Adenylyl/Guanylyl and SMODS C-terminal sensor domain', 128, NULL, 'AGS_C', 9294),
(9295, 'PF10907', NULL, 'Protein of unknown function (DUF2749)', 64, NULL, 'DUF2749', 9295),
(9296, 'PF04909', NULL, 'Amidohydrolase', 288, NULL, 'Amidohydro_2', 9296),
(9297, 'PF03153', NULL, 'Transcription factor IIA, alpha/beta subunit', 417, NULL, 'TFIIA', 9297),
(9298, 'PF01737', NULL, 'YCF9', 58, NULL, 'Ycf9', 9298),
(9299, 'PF01007', NULL, 'Inward rectifier potassium channel transmembrane domain', 142, NULL, 'IRK', 9299),
(9300, 'PF08875', NULL, 'Domain of unknown function (DUF1833)', 150, NULL, 'DUF1833', 9300),
(9301, 'PF13050', NULL, 'Protein of unknown function (DUF3911)', 77, NULL, 'DUF3911', 9301),
(9302, 'PF02731', NULL, 'SKIP/SNW domain', 159, NULL, 'SKIP_SNW', 9302),
(9303, 'PF12966', NULL, 'N-ATPase, AtpR subunit', 86, NULL, 'AtpR', 9303),
(9304, 'PF14385', NULL, 'Domain of unknown function (DUF4416)', 162, NULL, 'DUF4416', 9304),
(9305, 'PF05005', NULL, 'Janus/Ocnus family (Ocnus)', 107, NULL, 'Ocnus', 9305),
(9306, 'PF16596', NULL, 'Disordered region downstream of MFMR', 136, NULL, 'MFMR_assoc', 9306),
(9307, 'PF03278', NULL, 'IpaB/EvcA family', 154, NULL, 'IpaB_EvcA', 9307),
(9308, 'PF02833', NULL, 'DHHA2 domain', 145, NULL, 'DHHA2', 9308),
(9309, 'PF00563', NULL, 'EAL domain', 236, NULL, 'EAL', 9309),
(9310, 'PF17924', NULL, 'Tetracyclin repressor-like, C-terminal domain', 117, NULL, 'TetR_C_19', 9310),
(9311, 'PF11115', NULL, 'Protein of unknown function (DUF2623)', 93, NULL, 'DUF2623', 9311),
(9312, 'PF10967', NULL, 'Protein of unknown function (DUF2769)', 57, NULL, 'DUF2769', 9312),
(9313, 'PF06835', NULL, 'Lipopolysaccharide-assembly, LptC-related', 175, NULL, 'LptC', 9313),
(9314, 'PF09543', NULL, 'Protein of unknown function (DUF2379)', 120, NULL, 'DUF2379', 9314),
(9315, 'PF18260', NULL, 'Nuclear polyadenylated RNA-binding 2 protein CCCH zinc finger 1', 26, NULL, 'Nab2p_Zf1', 9315),
(9316, 'PF11339', NULL, 'Protein of unknown function (DUF3141)', 582, NULL, 'DUF3141', 9316),
(9317, 'PF05670', NULL, 'NFACT protein RNA binding domain', 111, NULL, 'NFACT-R_1', 9317);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9318, 'PF05625', NULL, 'PAXNEB protein', 371, NULL, 'PAXNEB', 9318),
(9319, 'PF15927', NULL, 'Cancer susceptibility candidate 1 N-terminus', 201, NULL, 'Casc1_N', 9319),
(9320, 'PF07833', NULL, 'Copper amine oxidase N-terminal domain', 94, NULL, 'Cu_amine_oxidN1', 9320),
(9321, 'PF11348', NULL, 'Protein of unknown function (DUF3150)', 257, NULL, 'DUF3150', 9321),
(9322, 'PF01363', NULL, 'FYVE zinc finger', 69, NULL, 'FYVE', 9322),
(9323, 'PF13981', NULL, 'SopA-like central domain', 127, NULL, 'SopA', 9323),
(9324, 'PF18985', NULL, 'Family of unknown function (DUF5718)', 250, NULL, 'DUF5718', 9324),
(9325, 'PF18311', NULL, 'Exosome complex exonuclease Rrp40 N-terminal domain', 48, NULL, 'Rrp40_N', 9325),
(9326, 'PF11812', NULL, 'Domain of unknown function (DUF3333)', 152, NULL, 'DUF3333', 9326),
(9327, 'PF04225', NULL, 'Opacity-associated protein A LysM-like domain', 85, NULL, 'OapA', 9327),
(9328, 'PF17520', NULL, 'Family of unknown function (DUF5445)', 52, NULL, 'DUF5445', 9328),
(9329, 'PF03517', NULL, 'Regulator of volume decrease after cellular swelling', 141, NULL, 'Voldacs', 9329),
(9330, 'PF09732', NULL, 'Cactus-binding C-terminus of cactin protein', 125, NULL, 'CactinC_cactus', 9330),
(9331, 'PF03587', NULL, 'EMG1/NEP1 methyltransferase', 205, NULL, 'EMG1', 9331),
(9332, 'PF17315', NULL, 'Found in mitochondrial proteome', 118, NULL, 'FMP23', 9332),
(9333, 'PF18776', NULL, 'Hexapeptide repeat including loop', 24, NULL, 'Hexapep_loop', 9333),
(9334, 'PF10553', NULL, 'MSV199 domain', 132, NULL, 'MSV199', 9334),
(9335, 'PF11860', NULL, 'N-acetylmuramidase', 175, NULL, 'Muramidase', 9335),
(9336, 'PF09941', NULL, 'Uncharacterized conserved protein (DUF2173)', 106, NULL, 'DUF2173', 9336),
(9337, 'PF14932', NULL, 'HAUS augmin-like complex subunit 3', 258, NULL, 'HAUS-augmin3', 9337),
(9338, 'PF00923', NULL, 'Transaldolase/Fructose-6-phosphate aldolase', 287, NULL, 'TAL_FSA', 9338),
(9339, 'PF19122', NULL, 'Family of unknown function (DUF5806)', 148, NULL, 'DUF5806', 9339),
(9340, 'PF08970', NULL, 'Sporulation inhibitor A', 45, NULL, 'Sda', 9340),
(9341, 'PF18876', NULL, 'AF-4 proto-oncoprotein C-terminal region', 264, NULL, 'AF-4_C', 9341),
(9342, 'PF06963', NULL, 'Ferroportin1 (FPN1)', 435, NULL, 'FPN1', 9342),
(9343, 'PF17650', NULL, 'RACo linker region', 85, NULL, 'RACo_linker', 9343),
(9344, 'PF03471', NULL, 'Transporter associated domain', 81, NULL, 'CorC_HlyC', 9344),
(9345, 'PF13387', NULL, 'Domain of unknown function (DUF4105)', 170, NULL, 'DUF4105', 9345),
(9346, 'PF00839', NULL, 'Cysteine rich repeat', 58, NULL, 'Cys_rich_FGFR', 9346),
(9347, 'PF01434', NULL, 'Peptidase family M41', 191, NULL, 'Peptidase_M41', 9347),
(9348, 'PF06890', NULL, 'Bacteriophage Mu Gp45 spike protein', 68, NULL, 'Phage_Mu_Gp45', 9348),
(9349, 'PF00573', NULL, 'Ribosomal protein L4/L1 family', 192, NULL, 'Ribosomal_L4', 9349),
(9350, 'PF06206', NULL, 'CpeT/CpcT family (DUF1001)', 182, NULL, 'CpeT', 9350),
(9351, 'PF06542', NULL, 'Regulator protein PHA-1', 408, NULL, 'PHA-1', 9351),
(9352, 'PF11024', NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 4', 78, NULL, 'DGF-1_4', 9352),
(9353, 'PF07820', NULL, 'TraC-like protein', 88, NULL, 'TraC', 9353),
(9354, 'PF10051', NULL, 'Uncharacterized protein conserved in archaea (DUF2286)', 138, NULL, 'DUF2286', 9354),
(9355, 'PF14799', NULL, 'FAM195 family', 103, NULL, 'FAM195', 9355),
(9356, 'PF08769', NULL, 'Sporulation initiation factor Spo0A C terminal', 104, NULL, 'Spo0A_C', 9356),
(9357, 'PF14177', NULL, 'YkyB-like protein', 140, NULL, 'YkyB', 9357),
(9358, 'PF06017', NULL, 'Unconventional myosin tail, actin- and lipid-binding', 189, NULL, 'Myosin_TH1', 9358),
(9359, 'PF16101', NULL, 'Proline-rich membrane anchor 1', 122, NULL, 'PRIMA1', 9359),
(9360, 'PF05605', NULL, 'Drought induced 19 protein (Di19), zinc-binding', 54, NULL, 'zf-Di19', 9360),
(9361, 'PF02660', NULL, 'Glycerol-3-phosphate acyltransferase', 163, NULL, 'G3P_acyltransf', 9361);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9362, 'PF12986', NULL, 'Domain of unknown function (DUF3870)', 94, NULL, 'DUF3870', 9362),
(9363, 'PF02369', NULL, 'Bacterial Ig-like domain (group 1)', 64, NULL, 'Big_1', 9363),
(9364, 'PF07821', NULL, 'Alpha-amylase C-terminal beta-sheet domain', 58, NULL, 'Alpha-amyl_C2', 9364),
(9365, 'PF16889', NULL, 'Heparinase II/III N-terminus', 341, NULL, 'Hepar_II_III_N', 9365),
(9366, 'PF03400', NULL, 'IS1 transposase', 131, NULL, 'DDE_Tnp_IS1', 9366),
(9367, 'PF09789', NULL, 'Uncharacterized coiled-coil protein (DUF2353)', 314, NULL, 'DUF2353', 9367),
(9368, 'PF14590', NULL, 'Domain of unknown function (DUF4447)', 166, NULL, 'DUF4447', 9368),
(9369, 'PF14006', NULL, 'YqzL-like protein', 45, NULL, 'YqzL', 9369),
(9370, 'PF16749', NULL, 'Arterivirus nonstructural protein 7 alpha', 130, NULL, 'Arteri_nsp7a', 9370),
(9371, 'PF17951', NULL, 'Fatty acid synthase meander beta sheet domain', 146, NULL, 'FAS_meander', 9371),
(9372, 'PF10765', NULL, 'Protein of unknown function (DUF2591)', 115, NULL, 'DUF2591', 9372),
(9373, 'PF03210', NULL, 'Paramyxovirus P/V phosphoprotein C-terminal', 178, NULL, 'Paramyx_P_V_C', 9373),
(9374, 'PF10943', NULL, 'Protein of unknown function (DUF2632)', 233, NULL, 'DUF2632', 9374),
(9375, 'PF10270', NULL, 'Membrane magnesium transporter', 100, NULL, 'MMgT', 9375),
(9376, 'PF02366', NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', 245, NULL, 'PMT', 9376),
(9377, 'PF17135', NULL, 'Ribosomal protein 60S L18 and 50S L18e', 187, NULL, 'Ribosomal_L18', 9377),
(9378, 'PF18337', NULL, 'RapA N-terminal Tudor like domain', 62, NULL, 'Tudor_RapA', 9378),
(9379, 'PF14510', NULL, 'ABC-transporter N-terminal', 81, NULL, 'ABC_trans_N', 9379),
(9380, 'PF06588', NULL, 'Muskelin N-terminus', 199, NULL, 'Muskelin_N', 9380),
(9381, 'PF00460', NULL, 'Flagella basal body rod protein', 31, NULL, 'Flg_bb_rod', 9381),
(9382, 'PF02278', NULL, 'Polysaccharide lyase family 8, super-sandwich domain', 251, NULL, 'Lyase_8', 9382),
(9383, 'PF05093', NULL, 'Cytokine-induced anti-apoptosis inhibitor 1, Fe-S biogenesis', 99, NULL, 'CIAPIN1', 9383),
(9384, 'PF17258', NULL, 'Family of unknown function (DUF5324)', 220, NULL, 'DUF5324', 9384),
(9385, 'PF13316', NULL, 'Protein of unknown function (DUF4087)', 97, NULL, 'DUF4087', 9385),
(9386, 'PF08486', NULL, 'Stage II sporulation protein', 94, NULL, 'SpoIID', 9386),
(9387, 'PF17078', NULL, 'SWI5-dependent HO expression protein 3', 228, NULL, 'SHE3', 9387),
(9388, 'PF06324', NULL, 'Pigment-dispersing hormone (PDH)', 18, NULL, 'Pigment_DH', 9388),
(9389, 'PF18087', NULL, 'Rubisco Assembly chaperone C-terminal domain', 138, NULL, 'RuBisCo_chap_C', 9389),
(9390, 'PF01192', NULL, 'RNA polymerase Rpb6', 48, NULL, 'RNA_pol_Rpb6', 9390),
(9391, 'PF03360', NULL, 'Glycosyltransferase family 43', 214, NULL, 'Glyco_transf_43', 9391),
(9392, 'PF17473', NULL, 'Family of unknown function (DUF5426)', 137, NULL, 'DUF5426', 9392),
(9393, 'PF01774', NULL, 'UreD urease accessory protein', 213, NULL, 'UreD', 9393),
(9394, 'PF12798', NULL, '4Fe-4S binding domain', 15, NULL, 'Fer4_3', 9394),
(9395, 'PF03922', NULL, 'OmpW family', 193, NULL, 'OmpW', 9395),
(9396, 'PF02995', NULL, 'Protein of unknown function (DUF229)', 497, NULL, 'DUF229', 9396),
(9397, 'PF05030', NULL, 'SSXT protein (N-terminal region)', 62, NULL, 'SSXT', 9397),
(9398, 'PF08692', NULL, 'Mitochondrial protein Pet20', 132, NULL, 'Pet20', 9398),
(9399, 'PF06986', NULL, 'Type-1V conjugative transfer system mating pair stabilisation', 241, NULL, 'TraN', 9399),
(9400, 'PF19060', NULL, 'Family of unknown function (DUF5756)', 66, NULL, 'DUF5756', 9400),
(9401, 'PF03010', NULL, 'GP4', 152, NULL, 'GP4', 9401),
(9402, 'PF13429', NULL, 'Tetratricopeptide repeat', 280, NULL, 'TPR_15', 9402),
(9403, 'PF06971', NULL, 'Putative DNA-binding protein N-terminus', 49, NULL, 'Put_DNA-bind_N', 9403),
(9404, 'PF04280', NULL, 'Tim44-like domain', 147, NULL, 'Tim44', 9404),
(9405, 'PF01487', NULL, 'Type I 3-dehydroquinase', 229, NULL, 'DHquinase_I', 9405);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9406, 'PF03578', NULL, 'HGWP repeat', 28, NULL, 'HGWP', 9406),
(9407, 'PF06119', NULL, 'Nidogen-like', 88, NULL, 'NIDO', 9407),
(9408, 'PF02665', NULL, 'Nitrate reductase gamma subunit', 217, NULL, 'Nitrate_red_gam', 9408),
(9409, 'PF09796', NULL, 'Ubiquinol-cytochrome-c reductase complex subunit (QCR10)', 63, NULL, 'QCR10', 9409),
(9410, 'PF01808', NULL, 'AICARFT/IMPCHase bienzyme', 310, NULL, 'AICARFT_IMPCHas', 9410),
(9411, 'PF09330', NULL, 'D-lactate dehydrogenase, membrane binding', 290, NULL, 'Lact-deh-memb', 9411),
(9412, 'PF00208', NULL, 'Glutamate/Leucine/Phenylalanine/Valine dehydrogenase', 243, NULL, 'ELFV_dehydrog', 9412),
(9413, 'PF18462', NULL, 'Domain of unknown function (DUF5612)', 143, NULL, 'DUF5612', 9413),
(9414, 'PF17854', NULL, 'FtsK alpha domain', 101, NULL, 'FtsK_alpha', 9414),
(9415, 'PF01540', NULL, 'Adhesin lipoprotein', 353, NULL, 'Lipoprotein_7', 9415),
(9416, 'PF08523', NULL, 'Multiprotein bridging factor 1', 75, NULL, 'MBF1', 9416),
(9417, 'PF15776', NULL, 'Proline-rich protein family 22', 366, NULL, 'PRR22', 9417),
(9418, 'PF12515', NULL, 'Ca2+-ATPase N terminal autoinhibitory domain', 45, NULL, 'CaATP_NAI', 9418),
(9419, 'PF13440', NULL, 'Polysaccharide biosynthesis protein', 293, NULL, 'Polysacc_synt_3', 9419),
(9420, 'PF12451', NULL, 'Vacuolar protein sorting protein 11 C terminal', 45, NULL, 'VPS11_C', 9420),
(9421, 'PF00362', NULL, 'Integrin beta chain VWA domain', 248, NULL, 'Integrin_beta', 9421),
(9422, 'PF13807', NULL, 'G-rich domain on putative tyrosine kinase', 82, NULL, 'GNVR', 9422),
(9423, 'PF06128', NULL, 'Shigella flexneri OspC protein', 292, NULL, 'Shigella_OspC', 9423),
(9424, 'PF17125', NULL, 'N-terminal domain of 16S rRNA methyltransferase RsmF', 91, NULL, 'Methyltr_RsmF_N', 9424),
(9425, 'PF18591', NULL, 'Immune Mapped Protein 2 (IMP2) C-terminal domain', 63, NULL, 'IMP2_C', 9425),
(9426, 'PF07578', NULL, 'Lipid A Biosynthesis N-terminal domain', 71, NULL, 'LAB_N', 9426),
(9427, 'PF10888', NULL, 'Protein of unknown function (DUF2742)', 97, NULL, 'DUF2742', 9427),
(9428, 'PF04573', NULL, 'Signal peptidase subunit', 171, NULL, 'SPC22', 9428),
(9429, 'PF07165', NULL, 'Protein of unknown function (DUF1397)', 203, NULL, 'DUF1397', 9429),
(9430, 'PF04474', NULL, 'Protein of unknown function (DUF554)', 220, NULL, 'DUF554', 9430),
(9431, 'PF00765', NULL, 'Autoinducer synthase', 183, NULL, 'Autoind_synth', 9431),
(9432, 'PF09862', NULL, 'Protein of unknown function (DUF2089)', 115, NULL, 'DUF2089', 9432),
(9433, 'PF14056', NULL, 'Domain of unknown function (DUF4250)', 55, NULL, 'DUF4250', 9433),
(9434, 'PF05427', NULL, 'Acidic fibroblast growth factor binding (FIBP)', 360, NULL, 'FIBP', 9434),
(9435, 'PF00766', NULL, 'Electron transfer flavoprotein FAD-binding domain', 84, NULL, 'ETF_alpha', 9435),
(9436, 'PF09822', NULL, 'ABC-type uncharacterized transport system', 266, NULL, 'ABC_transp_aux', 9436),
(9437, 'PF10744', NULL, 'Mediator of RNA polymerase II transcription subunit 1', 412, NULL, 'Med1', 9437),
(9438, 'PF12393', NULL, 'Dr family adhesin', 21, NULL, 'Dr_adhesin', 9438),
(9439, 'PF17409', NULL, 'MoaF C-terminal domain', 113, NULL, 'MoaF_C', 9439),
(9440, 'PF03450', NULL, 'CO dehydrogenase flavoprotein C-terminal domain', 103, NULL, 'CO_deh_flav_C', 9440),
(9441, 'PF14258', NULL, 'Domain of unknown function (DUF4350)', 69, NULL, 'DUF4350', 9441),
(9442, 'PF14456', NULL, 'Alpha-helical domain 2', 303, NULL, 'alpha-hel2', 9442),
(9443, 'PF05420', NULL, 'Cellulose synthase operon protein C C-terminus (BCSC_C)', 339, NULL, 'BCSC_C', 9443),
(9444, 'PF02767', NULL, 'DNA polymerase III beta subunit, central domain', 116, NULL, 'DNA_pol3_beta_2', 9444),
(9445, 'PF08862', NULL, 'Domain of unknown function DUF1829', 87, NULL, 'DUF1829', 9445),
(9446, 'PF12342', NULL, 'Protein of unknown function (DUF3640)', 26, NULL, 'DUF3640', 9446),
(9447, 'PF10243', NULL, 'Microtubule-binding protein MIP-T3 CH-like domain', 113, NULL, 'MIP-T3', 9447),
(9448, 'PF12727', NULL, 'PBP superfamily domain', 193, NULL, 'PBP_like', 9448); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9449, 'PF16995', NULL, 'Transmembrane region of lysyl-tRNA synthetase', 217, NULL, 'tRNA-synt_2_TM', 9449),
(9450, 'PF03506', NULL, 'Influenza C non-structural protein (NS1)', 162, NULL, 'Flu_C_NS1', 9450),
(9451, 'PF01327', NULL, 'Polypeptide deformylase', 159, NULL, 'Pep_deformylase', 9451),
(9452, 'PF03176', NULL, 'MMPL family', 333, NULL, 'MMPL', 9452),
(9453, 'PF07747', NULL, 'MTH865-like family', 70, NULL, 'MTH865', 9453),
(9454, 'PF09645', NULL, 'F-112 protein', 110, NULL, 'F-112', 9454),
(9455, 'PF02106', NULL, 'Fanconi anaemia group C protein', 560, NULL, 'Fanconi_C', 9455),
(9456, 'PF15161', NULL, 'Neuropeptide-like', 61, NULL, 'Neuropep_like', 9456),
(9457, 'PF18421', NULL, 'Peptidase family M23 N-terminal domain', 73, NULL, 'Peptidase_M23_N', 9457),
(9458, 'PF01021', NULL, 'TYA transposon protein', 98, NULL, 'TYA', 9458),
(9459, 'PF03773', NULL, 'Predicted permease', 294, NULL, 'ArsP_1', 9459),
(9460, 'PF05832', NULL, 'Eukaryotic protein of unknown function (DUF846)', 139, NULL, 'DUF846', 9460),
(9461, 'PF03689', NULL, 'Nepovirus coat protein, N-terminal domain', 91, NULL, 'Nepo_coat_N', 9461),
(9462, 'PF07028', NULL, 'Protein of unknown function (DUF1319)', 109, NULL, 'DUF1319', 9462),
(9463, 'PF08006', NULL, 'Protein of unknown function (DUF1700)', 181, NULL, 'DUF1700', 9463),
(9464, 'PF13076', NULL, 'Fur-regulated basic protein A', 36, NULL, 'Fur_reg_FbpA', 9464),
(9465, 'PF13058', NULL, 'Protein of unknown function (DUF3920)', 126, NULL, 'DUF3920', 9465),
(9466, 'PF17812', NULL, 'RET Cadherin like domain 3', 116, NULL, 'RET_CLD3', 9466),
(9467, 'PF03488', NULL, 'Nematode insulin-related peptide beta type', 48, NULL, 'Ins_beta', 9467),
(9468, 'PF10005', NULL, 'zinc-ribbon domain', 94, NULL, 'zinc-ribbon_6', 9468),
(9469, 'PF17489', NULL, 'L1 transposable element trimerization domain', 43, NULL, 'Tnp_22_trimer', 9469),
(9470, 'PF03439', NULL, 'Early transcription elongation factor of RNA pol II, NGN section', 84, NULL, 'Spt5-NGN', 9470),
(9471, 'PF14915', NULL, 'CCDC144C protein coiled-coil region', 305, NULL, 'CCDC144C', 9471),
(9472, 'PF00379', NULL, 'Insect cuticle protein', 53, NULL, 'Chitin_bind_4', 9472),
(9473, 'PF00782', NULL, 'Dual specificity phosphatase, catalytic domain', 133, NULL, 'DSPc', 9473),
(9474, 'PF04806', NULL, 'EspF protein repeat', 47, NULL, 'EspF', 9474),
(9475, 'PF15580', NULL, 'Immunity protein 53', 91, NULL, 'Imm53', 9475),
(9476, 'PF14925', NULL, 'Domain of unknown function', 641, NULL, 'HPHLAWLY', 9476),
(9477, 'PF12931', NULL, 'Sec23-binding domain of Sec16', 302, NULL, 'Sec16_C', 9477),
(9478, 'PF06280', NULL, 'Fn3-like domain', 115, NULL, 'fn3_5', 9478),
(9479, 'PF03955', NULL, 'Adenovirus hexon-associated protein (IX)', 110, NULL, 'Adeno_PIX', 9479),
(9480, 'PF03331', NULL, 'UDP-3-O-acyl N-acetylglycosamine deacetylase', 268, NULL, 'LpxC', 9480),
(9481, 'PF06165', NULL, 'Glycosyltransferase family 36', 251, NULL, 'Glyco_transf_36', 9481),
(9482, 'PF16260', NULL, 'Domain of unknown function (DUF4914)', 612, NULL, 'DUF4914', 9482),
(9483, 'PF11262', NULL, 'Transcription factor/nuclear export subunit protein 2', 301, NULL, 'Tho2', 9483),
(9484, 'PF13795', NULL, 'HupE / UreJ protein', 154, NULL, 'HupE_UreJ_2', 9484),
(9485, 'PF05147', NULL, 'Lanthionine synthetase C-like protein', 352, NULL, 'LANC_like', 9485),
(9486, 'PF00022', NULL, 'Actin', 385, NULL, 'Actin', 9486),
(9487, 'PF16942', NULL, 'Putative cyclic bacteriocin', 103, NULL, 'CclA_1', 9487),
(9488, 'PF18701', NULL, 'Family of unknown function (DUF5641)', 94, NULL, 'DUF5641', 9488),
(9489, 'PF15755', NULL, 'Domain of unknown function (DUF4689)', 223, NULL, 'DUF4689', 9489),
(9490, 'PF10500', NULL, 'Nuclear RNA-splicing-associated protein', 229, NULL, 'SR-25', 9490),
(9491, 'PF02626', NULL, 'Carboxyltransferase domain, subdomain A and B', 264, NULL, 'CT_A_B', 9491),
(9492, 'PF11429', NULL, 'Colicin D', 85, NULL, 'Colicin_D', 9492),
(9493, 'PF10838', NULL, 'Protein of unknown function (DUF2677)', 166, NULL, 'DUF2677', 9493);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9494, 'PF00931', NULL, 'NB-ARC domain', 252, NULL, 'NB-ARC', 9494),
(9495, 'PF01293', NULL, 'Phosphoenolpyruvate carboxykinase', 465, NULL, 'PEPCK_ATP', 9495),
(9496, 'PF06064', NULL, 'Host-nuclease inhibitor protein Gam', 98, NULL, 'Gam', 9496),
(9497, 'PF15133', NULL, 'Domain of unknown function (DUF4569)', 303, NULL, 'DUF4569', 9497),
(9498, 'PF10384', NULL, 'Centromere protein Scm3', 54, NULL, 'Scm3', 9498),
(9499, 'PF17858', NULL, 'Platypus intermediate defensin-like peptide', 44, NULL, 'Defensin_int', 9499),
(9500, 'PF06856', NULL, 'Protein of unknown function (DUF1251)', 121, NULL, 'DUF1251', 9500),
(9501, 'PF07131', NULL, 'Protein of unknown function (DUF1382)', 60, NULL, 'DUF1382', 9501),
(9502, 'PF09326', NULL, 'NADH-ubiquinone oxidoreductase subunit G, C-terminal', 51, NULL, 'NADH_dhqG_C', 9502),
(9503, 'PF10462', NULL, 'Peptidase M66', 306, NULL, 'Peptidase_M66', 9503),
(9504, 'PF15386', NULL, 'Drosophila Tantalus-like', 57, NULL, 'Tantalus', 9504),
(9505, 'PF17488', NULL, 'Herpesvirus glycoprotein H C-terminal domain', 135, NULL, 'Herpes_glycoH_C', 9505),
(9506, 'PF08746', NULL, 'RING-like domain', 43, NULL, 'zf-RING-like', 9506),
(9507, 'PF18244', NULL, 'Cellulose-binding protein CttA N-terminal domain', 71, NULL, 'CttA_N', 9507),
(9508, 'PF15563', NULL, 'Immunity protein 19', 227, NULL, 'Imm19', 9508),
(9509, 'PF07857', NULL, 'Transmembrane family, TMEM144 of transporters', 336, NULL, 'TMEM144', 9509),
(9510, 'PF16758', NULL, 'Herpes-like virus membrane glycoprotein UL141', 191, NULL, 'UL141', 9510),
(9511, 'PF10897', NULL, 'Protein of unknown function (DUF2713)', 235, NULL, 'DUF2713', 9511),
(9512, 'PF01715', NULL, 'IPP transferase', 244, NULL, 'IPPT', 9512),
(9513, 'PF17939', NULL, 'Tetracyclin repressor-like, C-terminal domain', 115, NULL, 'TetR_C_30', 9513),
(9514, 'PF03393', NULL, 'Pneumovirus matrix protein', 252, NULL, 'Pneumo_matrix', 9514),
(9515, 'PF02109', NULL, 'DAD family', 109, NULL, 'DAD', 9515),
(9516, 'PF09098', NULL, 'Quinohemoprotein amine dehydrogenase A, alpha subunit, haem binding', 167, NULL, 'Dehyd-heme_bind', 9516),
(9517, 'PF09063', NULL, 'Phage PP7 coat protein', 127, NULL, 'Phage_coat', 9517),
(9518, 'PF16740', NULL, 'Spindle and kinetochore-associated protein 2', 110, NULL, 'SKA2', 9518),
(9519, 'PF13186', NULL, 'Iron-sulfur cluster-binding domain', 68, NULL, 'SPASM', 9519),
(9520, 'PF08584', NULL, 'Ribonuclease P 40kDa (Rpp40) subunit', 289, NULL, 'Ribonuc_P_40', 9520),
(9521, 'PF01539', NULL, 'Hepatitis C virus envelope glycoprotein E1', 190, NULL, 'HCV_env', 9521),
(9522, 'PF02194', NULL, 'PXA domain', 183, NULL, 'PXA', 9522),
(9523, 'PF01815', NULL, 'Rop protein', 57, NULL, 'Rop', 9523),
(9524, 'PF06196', NULL, 'Protein of unknown function (DUF997)', 77, NULL, 'DUF997', 9524),
(9525, 'PF11413', NULL, 'Hypoxia-inducible factor-1', 32, NULL, 'HIF-1', 9525),
(9526, 'PF01196', NULL, 'Ribosomal protein L17', 97, NULL, 'Ribosomal_L17', 9526),
(9527, 'PF18569', NULL, 'Thioredoxin-like domain', 93, NULL, 'Thioredoxin_16', 9527),
(9528, 'PF14481', NULL, 'Type 4 fimbrial biogenesis protein PilY2', 105, NULL, 'Fimbrial_PilY2', 9528),
(9529, 'PF00245', NULL, 'Alkaline phosphatase', 418, NULL, 'Alk_phosphatase', 9529),
(9530, 'PF14067', NULL, 'LssY C-terminus', 188, NULL, 'LssY_C', 9530),
(9531, 'PF02151', NULL, 'UvrB/uvrC motif', 36, NULL, 'UVR', 9531),
(9532, 'PF04049', NULL, 'Anaphase promoting complex subunit 8 / Cdc23', 140, NULL, 'ANAPC8', 9532),
(9533, 'PF08609', NULL, 'Nucleotide exchange factor Fes1', 92, NULL, 'Fes1', 9533),
(9534, 'PF04713', NULL, 'Poxvirus protein I5', 75, NULL, 'Pox_I5', 9534),
(9535, 'PF06028', NULL, 'Alpha/beta hydrolase of unknown function (DUF915)', 255, NULL, 'DUF915', 9535),
(9536, 'PF00702', NULL, 'haloacid dehalogenase-like hydrolase', 210, NULL, 'Hydrolase', 9536),
(9537, 'PF10287', NULL, 'Putative TOS1-like glycosyl hydrolase (DUF2401)', 228, NULL, 'DUF2401', 9537),
(9538, 'PF00163', NULL, 'Ribosomal protein S4/S9 N-terminal domain', 83, NULL, 'Ribosomal_S4', 9538);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9539, 'PF03386', NULL, 'Early nodulin 93 ENOD93 protein', 78, NULL, 'ENOD93', 9539),
(9540, 'PF12395', NULL, 'Protein of unknown function', 107, NULL, 'DUF3658', 9540),
(9541, 'PF04943', NULL, 'Poxvirus F11 protein', 409, NULL, 'Pox_F11', 9541),
(9542, 'PF08576', NULL, 'Eukaryotic protein of unknown function (DUF1764)', 100, NULL, 'DUF1764', 9542),
(9543, 'PF12097', NULL, 'Protein of unknown function (DUF3573)', 383, NULL, 'DUF3573', 9543),
(9544, 'PF17671', NULL, 'Family of unknown function (DUF5531)', 152, NULL, 'DUF5531', 9544),
(9545, 'PF17089', NULL, 'Uncharacterised protein family', 92, NULL, 'YjbT', 9545),
(9546, 'PF01281', NULL, 'Ribosomal protein L9, N-terminal domain', 47, NULL, 'Ribosomal_L9_N', 9546),
(9547, 'PF04892', NULL, 'VanZ like family', 125, NULL, 'VanZ', 9547),
(9548, 'PF06661', NULL, 'VirE3', 316, NULL, 'VirE3', 9548),
(9549, 'PF19005', NULL, 'Family of unknown function (DUF5734)', 83, NULL, 'DUF5734', 9549),
(9550, 'PF10231', NULL, 'Apoptogenic protein 1', 126, NULL, 'DUF2315', 9550),
(9551, 'PF03049', NULL, 'UL79 family', 254, NULL, 'Herpes_UL79', 9551),
(9552, 'PF18028', NULL, 'Zmiz1 N-terminal tetratricopeptide repeat domain', 99, NULL, 'Zmiz1_N', 9552),
(9553, 'PF13515', NULL, 'Fusaric acid resistance protein-like', 126, NULL, 'FUSC_2', 9553),
(9554, 'PF02136', NULL, 'Nuclear transport factor 2 (NTF2) domain', 120, NULL, 'NTF2', 9554),
(9555, 'PF17168', NULL, 'Domain of unknown function (DUF5127)', 227, NULL, 'DUF5127', 9555),
(9556, 'PF12843', NULL, 'Putative quorum-sensing-regulated virulence factor', 66, NULL, 'QSregVF_b', 9556),
(9557, 'PF18620', NULL, 'Family of unknown function (DUF5627)', 136, NULL, 'DUF5627', 9557),
(9558, 'PF18333', NULL, 'Non-canonical single-stranded DNA-binding domain', 106, NULL, 'ssDNA_DBD', 9558),
(9559, 'PF02029', NULL, 'Caldesmon', 496, NULL, 'Caldesmon', 9559),
(9560, 'PF00999', NULL, 'Sodium/hydrogen exchanger family', 381, NULL, 'Na_H_Exchanger', 9560),
(9561, 'PF01822', NULL, 'WSC domain', 82, NULL, 'WSC', 9561),
(9562, 'PF05544', NULL, 'Proline racemase', 325, NULL, 'Pro_racemase', 9562),
(9563, 'PF07185', NULL, 'Protein of unknown function (DUF1404)', 169, NULL, 'DUF1404', 9563),
(9564, 'PF16447', NULL, 'Domain of unknown function (DUF5044)', 178, NULL, 'DUF5044', 9564),
(9565, 'PF11150', NULL, 'Protein of unknown function (DUF2927)', 208, NULL, 'DUF2927', 9565),
(9566, 'PF02096', NULL, '60Kd inner membrane protein', 166, NULL, '60KD_IMP', 9566),
(9567, 'PF12019', NULL, 'Type II transport protein GspH', 110, NULL, 'GspH', 9567),
(9568, 'PF10831', NULL, 'Protein of unknown function (DUF2556)', 53, NULL, 'DUF2556', 9568),
(9569, 'PF08583', NULL, 'Cytochrome c oxidase biogenesis protein Cmc1 like', 70, NULL, 'Cmc1', 9569),
(9570, 'PF18005', NULL, 'eIF3 subunit M, C-terminal helix', 29, NULL, 'eIF3m_C_helix', 9570),
(9571, 'PF17624', NULL, 'Family of unknown function', 282, NULL, 'US30', 9571),
(9572, 'PF16638', NULL, 'Unstructured region on methyltransferase between zinc-fingers', 127, NULL, 'Tristanin_u2', 9572),
(9573, 'PF10978', NULL, 'Protein of unknown function (DUF2785)', 174, NULL, 'DUF2785', 9573),
(9574, 'PF17285', NULL, 'PRMT5 TIM barrel domain', 256, NULL, 'PRMT5_TIM', 9574),
(9575, 'PF17335', NULL, 'Ino80 complex subunit 5', 113, NULL, 'IES5', 9575),
(9576, 'PF02258', NULL, 'Shiga-like toxin beta subunit', 70, NULL, 'SLT_beta', 9576),
(9577, 'PF03790', NULL, 'KNOX1 domain', 43, NULL, 'KNOX1', 9577),
(9578, 'PF02998', NULL, 'Lentiviral Tat protein', 86, NULL, 'Lentiviral_Tat', 9578),
(9579, 'PF02433', NULL, 'Cytochrome C oxidase, mono-heme subunit/FixO', 217, NULL, 'FixO', 9579),
(9580, 'PF02544', NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase', 150, NULL, 'Steroid_dh', 9580),
(9581, 'PF16553', NULL, 'BCORL-PCGF1-binding domain', 115, NULL, 'PUFD', 9581),
(9582, 'PF18344', NULL, 'Carbohydrate binding module family 32', 64, NULL, 'CBM32', 9582),
(9583, 'PF09113', NULL, 'Peptide-N-glycosidase F, C terminal', 136, NULL, 'N-glycanase_C', 9583);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9584, 'PF03502', NULL, 'Nucleoside-specific channel-forming protein, Tsx', 245, NULL, 'Channel_Tsx', 9584),
(9585, 'PF11493', NULL, 'Thylakoid soluble phosphoprotein TSP9', 81, NULL, 'TSP9', 9585),
(9586, 'PF03485', NULL, 'Arginyl tRNA synthetase N terminal domain', 85, NULL, 'Arg_tRNA_synt_N', 9586),
(9587, 'PF10417', NULL, 'C-terminal domain of 1-Cys peroxiredoxin', 40, NULL, '1-cysPrx_C', 9587),
(9588, 'PF08309', NULL, 'LVIVD repeat', 42, NULL, 'LVIVD', 9588),
(9589, 'PF13344', NULL, 'Haloacid dehalogenase-like hydrolase', 101, NULL, 'Hydrolase_6', 9589),
(9590, 'PF07350', NULL, 'Protein of unknown function (DUF1479)', 414, NULL, 'DUF1479', 9590),
(9591, 'PF19224', NULL, 'pATOM36 family', 270, NULL, 'pATOM36', 9591),
(9592, 'PF03640', NULL, 'Secreted repeat of unknown function', 47, NULL, 'Lipoprotein_15', 9592),
(9593, 'PF12132', NULL, 'Protein of unknown function (DUF3587)', 201, NULL, 'DUF3587', 9593),
(9594, 'PF09397', NULL, 'Ftsk gamma domain', 63, NULL, 'FtsK_gamma', 9594),
(9595, 'PF01117', NULL, 'Aerolysin toxin', 365, NULL, 'Aerolysin', 9595),
(9596, 'PF14102', NULL, 'Capsule biosynthesis CapC', 119, NULL, 'Caps_synth_CapC', 9596),
(9597, 'PF03368', NULL, 'Dicer dimerisation domain', 90, NULL, 'Dicer_dimer', 9597),
(9598, 'PF03953', NULL, 'Tubulin C-terminal domain', 126, NULL, 'Tubulin_C', 9598),
(9599, 'PF04883', NULL, 'Bacteriophage HK97-gp10, putative tail-component', 81, NULL, 'HK97-gp10_like', 9599),
(9600, 'PF16629', NULL, 'Armadillo-associated region on APC', 293, NULL, 'Arm_APC_u3', 9600),
(9601, 'PF03117', NULL, 'UL49 family', 245, NULL, 'Herpes_UL49_1', 9601),
(9602, 'PF01199', NULL, 'Ribosomal protein L34e', 94, NULL, 'Ribosomal_L34e', 9602),
(9603, 'PF10923', NULL, 'P-loop Domain of unknown function (DUF2791)', 414, NULL, 'DUF2791', 9603),
(9604, 'PF11496', NULL, 'Class II histone deacetylase complex subunits 2 and 3', 292, NULL, 'HDA2-3', 9604),
(9605, 'PF04539', NULL, 'Sigma-70 region 3', 78, NULL, 'Sigma70_r3', 9605),
(9606, 'PF08086', NULL, 'Ergtoxin family', 41, NULL, 'Toxin_17', 9606),
(9607, 'PF11675', NULL, 'Protein of unknown function (DUF3271)', 248, NULL, 'DUF3271', 9607),
(9608, 'PF13629', NULL, 'Pilus formation protein N terminal region', 72, NULL, 'T2SS-T3SS_pil_N', 9608),
(9609, 'PF10434', NULL, 'Monopolin complex protein MAM1', 268, NULL, 'MAM1', 9609),
(9610, 'PF10719', NULL, 'Late competence development protein ComFB', 83, NULL, 'ComFB', 9610),
(9611, 'PF15969', NULL, 'Intracellular sensor of Lambda phage, Abi component', 236, NULL, 'RexA', 9611),
(9612, 'PF06816', NULL, 'NOTCH protein', 56, NULL, 'NOD', 9612),
(9613, 'PF07209', NULL, 'Protein of unknown function (DUF1415)', 171, NULL, 'DUF1415', 9613),
(9614, 'PF11811', NULL, 'Domain of unknown function (DUF3331)', 91, NULL, 'DUF3331', 9614),
(9615, 'PF00435', NULL, 'Spectrin repeat', 105, NULL, 'Spectrin', 9615),
(9616, 'PF16062', NULL, 'Domain of unknown function (DUF4804)', 448, NULL, 'DUF4804', 9616),
(9617, 'PF14744', NULL, 'WASH complex subunit 7', 346, NULL, 'WASH-7_mid', 9617),
(9618, 'PF04952', NULL, 'Succinylglutamate desuccinylase / Aspartoacylase family', 290, NULL, 'AstE_AspA', 9618),
(9619, 'PF16271', NULL, 'Domain of unknown function (DUF4924)', 179, NULL, 'DUF4924', 9619),
(9620, 'PF01940', NULL, 'Integral membrane protein DUF92', 236, NULL, 'DUF92', 9620),
(9621, 'PF07421', NULL, 'Neurotensin/neuromedin N precursor', 161, NULL, 'Pro-NT_NN', 9621),
(9622, 'PF14938', NULL, 'Soluble NSF attachment protein, SNAP', 282, NULL, 'SNAP', 9622),
(9623, 'PF04087', NULL, 'Domain of unknown function (DUF389)', 141, NULL, 'DUF389', 9623),
(9624, 'PF05608', NULL, 'Protein of unknown function (DUF778)', 189, NULL, 'DUF778', 9624),
(9625, 'PF09879', NULL, 'Predicted membrane protein (DUF2106)', 151, NULL, 'DUF2106', 9625),
(9626, 'PF11241', NULL, 'Protein of unknown function (DUF3043)', 171, NULL, 'DUF3043', 9626),
(9627, 'PF05547', NULL, 'Immune inhibitor A peptidase M6', 656, NULL, 'Peptidase_M6', 9627);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9628, 'PF18286', NULL, 'Type III secretion system ExsE', 46, NULL, 'T3SS_ExsE', 9628),
(9629, 'PF14463', NULL, 'E1 N-terminal domain', 151, NULL, 'E1-N', 9629),
(9630, 'PF00817', NULL, 'impB/mucB/samB family', 150, NULL, 'IMS', 9630),
(9631, 'PF05577', NULL, 'Serine carboxypeptidase S28', 434, NULL, 'Peptidase_S28', 9631),
(9632, 'PF07986', NULL, 'Tubulin binding cofactor C', 120, NULL, 'TBCC', 9632),
(9633, 'PF02347', NULL, 'Glycine cleavage system P-protein', 430, NULL, 'GDC-P', 9633),
(9634, 'PF07725', NULL, 'Leucine Rich Repeat', 20, NULL, 'LRR_3', 9634),
(9635, 'PF15957', NULL, 'Commissureless', 118, NULL, 'Comm', 9635),
(9636, 'PF15343', NULL, 'Decidual protein induced by progesterone family', 188, NULL, 'DEPP', 9636),
(9637, 'PF06785', NULL, 'Uncharacterised protein family (UPF0242) N-terminus', 191, NULL, 'UPF0242', 9637),
(9638, 'PF00322', NULL, 'Endothelin family', 29, NULL, 'Endothelin', 9638),
(9639, 'PF18460', NULL, 'Heterocyst differentiation regulator C-terminal Hood domain', 79, NULL, 'HetR_C', 9639),
(9640, 'PF16120', NULL, 'Domain of unknown function (DUF4836)', 481, NULL, 'DUF4836', 9640),
(9641, 'PF06043', NULL, 'Reovirus P9-like family', 334, NULL, 'Reo_P9', 9641),
(9642, 'PF07114', NULL, 'Transmembrane protein 126', 180, NULL, 'TMEM126', 9642),
(9643, 'PF06059', NULL, 'Domain of Unknown Function (DUF930)', 99, NULL, 'DUF930', 9643),
(9644, 'PF15118', NULL, 'Domain of unknown function (DUF4560)', 64, NULL, 'DUF4560', 9644),
(9645, 'PF14151', NULL, 'YfhD-like protein', 59, NULL, 'YfhD', 9645),
(9646, 'PF05981', NULL, 'CreA protein', 131, NULL, 'CreA', 9646),
(9647, 'PF15921', NULL, 'Coiled-coil domain-containing protein 158', 1112, NULL, 'CCDC158', 9647),
(9648, 'PF06919', NULL, 'Phage Gp30.7 protein', 121, NULL, 'Phage_T4_Gp30_7', 9648),
(9649, 'PF17548', NULL, 'Histone-like Protein p6', 76, NULL, 'p6', 9649),
(9650, 'PF03525', NULL, 'Meiotic recombination protein rec114', 328, NULL, 'Meiotic_rec114', 9650),
(9651, 'PF00996', NULL, 'GDP dissociation inhibitor', 436, NULL, 'GDI', 9651),
(9652, 'PF08388', NULL, 'Group II intron, maturase-specific domain', 80, NULL, 'GIIM', 9652),
(9653, 'PF09135', NULL, 'Alb1', 106, NULL, 'Alb1', 9653),
(9654, 'PF04303', NULL, 'PrpF protein', 384, NULL, 'PrpF', 9654),
(9655, 'PF08879', NULL, 'WRC', 43, NULL, 'WRC', 9655),
(9656, 'PF12537', NULL, 'The Golgi pH Regulator (GPHR) Family N-terminal', 68, NULL, 'GPHR_N', 9656),
(9657, 'PF13567', NULL, 'Domain of unknown function (DUF4131)', 167, NULL, 'DUF4131', 9657),
(9658, 'PF03063', NULL, 'Prismane/CO dehydrogenase family', 511, NULL, 'Prismane', 9658),
(9659, 'PF03929', NULL, 'PepSY-associated TM region', 286, NULL, 'PepSY_TM', 9659),
(9660, 'PF08612', NULL, 'TATA-binding related factor (TRF) of subunit 20 of Mediator complex', 225, NULL, 'Med20', 9660),
(9661, 'PF01206', NULL, 'Sulfurtransferase TusA', 70, NULL, 'TusA', 9661),
(9662, 'PF05699', NULL, 'hAT family C-terminal dimerisation region', 86, NULL, 'Dimer_Tnp_hAT', 9662),
(9663, 'PF10835', NULL, 'Protein of unknown function (DUF2573)', 78, NULL, 'DUF2573', 9663),
(9664, 'PF00578', NULL, 'AhpC/TSA family', 124, NULL, 'AhpC-TSA', 9664),
(9665, 'PF08688', NULL, 'Apx/Shroom domain ASD1', 173, NULL, 'ASD1', 9665),
(9666, 'PF14918', NULL, 'MDM2-binding', 254, NULL, 'MTBP_N', 9666),
(9667, 'PF18014', NULL, 'Acetyltransferase (GNAT) domain', 123, NULL, 'Acetyltransf_18', 9667),
(9668, 'PF18940', NULL, 'Family of unknown function (DUF5687)', 484, NULL, 'DUF5687', 9668),
(9669, 'PF08163', NULL, 'NUC194 domain', 389, NULL, 'NUC194', 9669),
(9670, 'PF05315', NULL, 'ICEA Protein', 218, NULL, 'ICEA', 9670),
(9671, 'PF17277', NULL, 'Family of unknown function (DUF5342)', 69, NULL, 'DUF5342', 9671),
(9672, 'PF16065', NULL, 'Domain of unknown function (DUF4807)', 126, NULL, 'DUF4807', 9672),
(9673, 'PF13735', NULL, 'tRNA nucleotidyltransferase domain 2 putative', 149, NULL, 'tRNA_NucTran2_2', 9673),
(9674, 'PF03387', NULL, 'Herpesvirus UL46 protein', 435, NULL, 'Herpes_UL46', 9674);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9675, 'PF05562', NULL, 'Cold acclimation protein WCOR413', 183, NULL, 'WCOR413', 9675),
(9676, 'PF18102', NULL, 'Deltex C-terminal domain', 133, NULL, 'DTC', 9676),
(9677, 'PF00455', NULL, 'DeoR C terminal sensor domain', 160, NULL, 'DeoRC', 9677),
(9678, 'PF18481', NULL, 'Domain of unknown function (DUF5616)', 140, NULL, 'DUF5616', 9678),
(9679, 'PF06503', NULL, 'Protein of unknown function (DUF1101)', 360, NULL, 'DUF1101', 9679),
(9680, 'PF14877', NULL, 'Mitochondrial translation initiation factor', 177, NULL, 'mIF3', 9680),
(9681, 'PF05797', NULL, 'Yeast trans-acting factor (REP1/REP2)', 344, NULL, 'Rep_4', 9681),
(9682, 'PF04318', NULL, 'Protein of unknown function (DUF468)', 84, NULL, 'DUF468', 9682),
(9683, 'PF14182', NULL, 'YgaB-like protein', 77, NULL, 'YgaB', 9683),
(9684, 'PF00562', NULL, 'RNA polymerase Rpb2, domain 6', 390, NULL, 'RNA_pol_Rpb2_6', 9684),
(9685, 'PF08294', NULL, 'TIM21', 145, NULL, 'TIM21', 9685),
(9686, 'PF12690', NULL, 'Intracellular proteinase inhibitor', 101, NULL, 'BsuPI', 9686),
(9687, 'PF09776', NULL, 'Mitochondrial ribosomal protein L55', 116, NULL, 'Mitoc_L55', 9687),
(9688, 'PF14209', NULL, 'Domain of unknown function (DUF4321)', 48, NULL, 'DUF4321', 9688),
(9689, 'PF10864', NULL, 'Protein of unknown function (DUF2663)', 127, NULL, 'DUF2663', 9689),
(9690, 'PF13083', NULL, 'KH domain', 73, NULL, 'KH_4', 9690),
(9691, 'PF14615', NULL, 'Ribosome-assembly protein 3', 46, NULL, 'Rsa3', 9691),
(9692, 'PF00296', NULL, 'Luciferase-like monooxygenase', 314, NULL, 'Bac_luciferase', 9692),
(9693, 'PF14916', NULL, 'Coiled-coil domain of unknown function', 57, NULL, 'CCDC92', 9693),
(9694, 'PF12926', NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', 90, NULL, 'MOZART2', 9694),
(9695, 'PF07881', NULL, 'L-fucose isomerase, first N-terminal domain', 169, NULL, 'Fucose_iso_N1', 9695),
(9696, 'PF01520', NULL, 'N-acetylmuramoyl-L-alanine amidase', 177, NULL, 'Amidase_3', 9696),
(9697, 'PF14946', NULL, 'Domain of unknown function (DUF4501)', 177, NULL, 'DUF4501', 9697),
(9698, 'PF03712', NULL, 'Copper type II ascorbate-dependent monooxygenase, C-terminal domain', 157, NULL, 'Cu2_monoox_C', 9698),
(9699, 'PF09229', NULL, 'Activator of Hsp90 ATPase, N-terminal', 137, NULL, 'Aha1_N', 9699),
(9700, 'PF09876', NULL, 'Predicted metal-binding protein (DUF2103)', 98, NULL, 'DUF2103', 9700),
(9701, 'PF18441', NULL, 'Hen1 La-motif C-terminal domain', 136, NULL, 'Hen1_Lam_C', 9701),
(9702, 'PF09531', NULL, 'Nucleoporin protein Ndc1-Nup', 609, NULL, 'Ndc1_Nup', 9702),
(9703, 'PF17784', NULL, 'Sulfotransferase domain', 216, NULL, 'Sulfotransfer_4', 9703),
(9704, 'PF12716', NULL, 'Nuclear pore assembly and biogenesis', 54, NULL, 'Apq12', 9704),
(9705, 'PF03416', NULL, 'Peptidase family C54', 279, NULL, 'Peptidase_C54', 9705),
(9706, 'PF04901', NULL, 'Receptor activity modifying family', 110, NULL, 'RAMP', 9706),
(9707, 'PF17555', NULL, 'Type VI secretion system, TssN', 274, NULL, 'TssN', 9707),
(9708, 'PF12531', NULL, 'DNA-K related protein', 248, NULL, 'DUF3731', 9708),
(9709, 'PF03489', NULL, 'Saposin-like type B, region 2', 34, NULL, 'SapB_2', 9709),
(9710, 'PF16732', NULL, 'Type IV minor pilin ComP, DNA uptake sequence receptor', 87, NULL, 'ComP_DUS', 9710),
(9711, 'PF13884', NULL, 'Chaperone of endosialidase', 58, NULL, 'Peptidase_S74', 9711),
(9712, 'PF02852', NULL, 'Pyridine nucleotide-disulphide oxidoreductase, dimerisation domain', 110, NULL, 'Pyr_redox_dim', 9712),
(9713, 'PF03229', NULL, 'Alphavirus glycoprotein J', 126, NULL, 'Alpha_GJ', 9713),
(9714, 'PF00895', NULL, 'ATP synthase protein 8', 55, NULL, 'ATP-synt_8', 9714),
(9715, 'PF05834', NULL, 'Lycopene cyclase protein', 380, NULL, 'Lycopene_cycl', 9715),
(9716, 'PF09148', NULL, 'Domain of unknown function (DUF1934)', 128, NULL, 'DUF1934', 9716),
(9717, 'PF13043', NULL, 'Domain of unknown function (DUF3903)', 40, NULL, 'DUF3903', 9717),
(9718, 'PF00948', NULL, 'Flavivirus non-structural Protein NS1', 360, NULL, 'Flavi_NS1', 9718);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9719, 'PF09445', NULL, 'RNA cap guanine-N2 methyltransferase', 165, NULL, 'Methyltransf_15', 9719),
(9720, 'PF18660', NULL, 'Tsi6', 83, NULL, 'Tsi6', 9720),
(9721, 'PF19087', NULL, 'Domain of unknown function (DUF5776)', 67, NULL, 'DUF5776', 9721),
(9722, 'PF18890', NULL, 'FANCL UBC-like domain 2', 91, NULL, 'FANCL_d2', 9722),
(9723, 'PF05135', NULL, 'Phage gp6-like head-tail connector protein', 98, NULL, 'Phage_connect_1', 9723),
(9724, 'PF03895', NULL, 'YadA-like membrane anchor domain', 60, NULL, 'YadA_anchor', 9724),
(9725, 'PF11322', NULL, 'Protein of unknown function (DUF3124)', 123, NULL, 'DUF3124', 9725),
(9726, 'PF11117', NULL, 'Protein of unknown function (DUF2626)', 74, NULL, 'DUF2626', 9726),
(9727, 'PF14673', NULL, 'Domain of unknown function (DUF4459)', 159, NULL, 'DUF4459', 9727),
(9728, 'PF08832', NULL, 'Steroid receptor coactivator', 92, NULL, 'SRC-1', 9728),
(9729, 'PF18189', NULL, 'TbRIF5 SNase domain 2', 178, NULL, 'RIF5_SNase_2', 9729),
(9730, 'PF18635', NULL, 'Epithelial cell adhesion molecule N-terminal domain', 33, NULL, 'EpCAM_N', 9730),
(9731, 'PF04995', NULL, 'Heme exporter protein D (CcmD)', 44, NULL, 'CcmD', 9731),
(9732, 'PF05975', NULL, 'Bacterial ABC transporter protein EcsB', 383, NULL, 'EcsB', 9732),
(9733, 'PF12797', NULL, '4Fe-4S binding domain', 22, NULL, 'Fer4_2', 9733),
(9734, 'PF16324', NULL, 'Domain of unknown function (DUF4960)', 253, NULL, 'DUF4960', 9734),
(9735, 'PF18538', NULL, 'Domain of unknown function (DUF5624)', 129, NULL, 'DUF5624', 9735),
(9736, 'PF09801', NULL, 'Integral membrane protein S linking to the trans Golgi network', 144, NULL, 'SYS1', 9736),
(9737, 'PF01657', NULL, 'Salt stress response/antifungal', 95, NULL, 'Stress-antifung', 9737),
(9738, 'PF12433', NULL, 'Parvovirus non-structural protein 1', 82, NULL, 'PV_NSP1', 9738),
(9739, 'PF18518', NULL, 'TcA receptor binding domain', 131, NULL, 'TcA_RBD', 9739),
(9740, 'PF11614', NULL, 'IG-like fold at C-terminal of FixG, putative oxidoreductase', 119, NULL, 'FixG_C', 9740),
(9741, 'PF18056', NULL, 'Penicillin Binding Protein 3 Domain', 110, NULL, 'PBP3', 9741),
(9742, 'PF16872', NULL, 'Putative phage abortive infection protein', 80, NULL, 'putAbiC', 9742),
(9743, 'PF10640', NULL, 'mRNA capping enzyme N-terminal, ATPase and guanylyltransferase', 312, NULL, 'Pox_ATPase-GT', 9743),
(9744, 'PF01249', NULL, 'Ribosomal protein S21e', 79, NULL, 'Ribosomal_S21e', 9744),
(9745, 'PF19152', NULL, 'Family of unknown function (DUF5834)', 159, NULL, 'DUF5834', 9745),
(9746, 'PF08649', NULL, 'DASH complex subunit Dad1', 55, NULL, 'DASH_Dad1', 9746),
(9747, 'PF12723', NULL, 'Protein of unknown function (DUF3809)', 137, NULL, 'DUF3809', 9747),
(9748, 'PF17151', NULL, 'Periplasmic sensor domain', 187, NULL, 'CHASE7', 9748),
(9749, 'PF01583', NULL, 'Adenylylsulphate kinase', 158, NULL, 'APS_kinase', 9749),
(9750, 'PF06614', NULL, 'Neuromodulin', 175, NULL, 'Neuromodulin', 9750),
(9751, 'PF18250', NULL, 'Effector immunity protein Tgi2PP', 46, NULL, 'Tgi2PP', 9751),
(9752, 'PF14324', NULL, 'PINIT domain', 138, NULL, 'PINIT', 9752),
(9753, 'PF18699', NULL, 'Mitoribosomal protein mL52', 92, NULL, 'MRPL52', 9753),
(9754, 'PF10447', NULL, 'Exosome component EXOSC1/CSL4', 109, NULL, 'EXOSC1', 9754),
(9755, 'PF00443', NULL, 'Ubiquitin carboxyl-terminal hydrolase', 269, NULL, 'UCH', 9755),
(9756, 'PF18893', NULL, 'Family of unknown function (DUF5652)', 71, NULL, 'DUF5652', 9756),
(9757, 'PF01242', NULL, '6-pyruvoyl tetrahydropterin synthase', 123, NULL, 'PTPS', 9757),
(9758, 'PF04433', NULL, 'SWIRM domain', 90, NULL, 'SWIRM', 9758),
(9759, 'PF08367', NULL, 'Peptidase M16C associated', 250, NULL, 'M16C_assoc', 9759),
(9760, 'PF00819', NULL, 'Myotoxin, crotamine', 43, NULL, 'Myotoxins', 9760),
(9761, 'PF15795', NULL, 'Ectodermal ciliogenesis protein', 85, NULL, 'Spec3', 9761),
(9762, 'PF02383', NULL, 'SacI homology domain', 322, NULL, 'Syja_N', 9762),
(9763, 'PF12746', NULL, 'GNAT acetyltransferase', 243, NULL, 'GNAT_acetyltran', 9763);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9764, 'PF04218', NULL, 'CENP-B N-terminal DNA-binding domain', 53, NULL, 'CENP-B_N', 9764),
(9765, 'PF17531', NULL, 'outer-membrane spanin sub-unit', 33, NULL, 'O_Spanin_T7', 9765),
(9766, 'PF00677', NULL, 'Lumazine binding domain', 87, NULL, 'Lum_binding', 9766),
(9767, 'PF12439', NULL, 'Glycogen debranching enzyme N terminal', 219, NULL, 'GDE_N', 9767),
(9768, 'PF17092', NULL, 'Penicillin-binding protein OB-like domain', 112, NULL, 'PCB_OB', 9768),
(9769, 'PF04206', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit E', 271, NULL, 'MtrE', 9769),
(9770, 'PF08506', NULL, 'Cse1', 370, NULL, 'Cse1', 9770),
(9771, 'PF07189', NULL, 'Splicing factor 3B subunit 10 (SF3b10)', 78, NULL, 'SF3b10', 9771),
(9772, 'PF01052', NULL, 'Type III flagellar switch regulator (C-ring) FliN C-term', 73, NULL, 'FliMN_C', 9772),
(9773, 'PF15962', NULL, 'Domain of unknown function (DUF4765)', 1128, NULL, 'DUF4765', 9773),
(9774, 'PF15405', NULL, 'Pleckstrin homology domain', 135, NULL, 'PH_5', 9774),
(9775, 'PF05417', NULL, 'Hepatitis E cysteine protease', 161, NULL, 'Peptidase_C41', 9775),
(9776, 'PF01648', NULL, '4''-phosphopantetheinyl transferase superfamily', 114, NULL, 'ACPS', 9776),
(9777, 'PF13046', NULL, 'Protein of unknown function (DUF3906)', 64, NULL, 'DUF3906', 9777),
(9778, 'PF01451', NULL, 'Low molecular weight phosphotyrosine protein phosphatase', 142, NULL, 'LMWPc', 9778),
(9779, 'PF02829', NULL, '3H domain', 97, NULL, '3H', 9779),
(9780, 'PF09728', NULL, 'Myosin-like coiled-coil protein', 302, NULL, 'Taxilin', 9780),
(9781, 'PF00692', NULL, 'dUTPase', 129, NULL, 'dUTPase', 9781),
(9782, 'PF19155', NULL, 'Family of unknown function (DUF5837)', 63, NULL, 'DUF5837', 9782),
(9783, 'PF02033', NULL, 'Ribosome-binding factor A', 105, NULL, 'RBFA', 9783),
(9784, 'PF11026', NULL, 'Protein of unknown function (DUF2721)', 129, NULL, 'DUF2721', 9784),
(9785, 'PF13307', NULL, 'Helicase C-terminal domain', 170, NULL, 'Helicase_C_2', 9785),
(9786, 'PF08620', NULL, 'RPAP1-like, C-terminal', 69, NULL, 'RPAP1_C', 9786),
(9787, 'PF11154', NULL, 'Protein of unknown function (DUF2934)', 37, NULL, 'DUF2934', 9787),
(9788, 'PF01585', NULL, 'G-patch domain', 45, NULL, 'G-patch', 9788),
(9789, 'PF02655', NULL, 'ATP-grasp domain', 161, NULL, 'ATP-grasp_3', 9789),
(9790, 'PF11699', NULL, 'Mif2/CENP-C like', 85, NULL, 'CENP-C_C', 9790),
(9791, 'PF11325', NULL, 'Domain of unknown function (DUF3127)', 85, NULL, 'DUF3127', 9791),
(9792, 'PF05062', NULL, 'RICH domain', 83, NULL, 'RICH', 9792),
(9793, 'PF17975', NULL, 'Ribonucleotide reductase alpha domain', 101, NULL, 'RNR_Alpha', 9793),
(9794, 'PF02093', NULL, 'Gag P30 core shell protein', 208, NULL, 'Gag_p30', 9794),
(9795, 'PF18542', NULL, 'Transcription factor IIB C-terminal module 1', 99, NULL, 'TFIIB_C_1', 9795),
(9796, 'PF09983', NULL, 'Uncharacterized protein conserved in bacteria C-term(DUF2220)', 181, NULL, 'DUF2220', 9796),
(9797, 'PF07591', NULL, 'Pretoxin HINT domain', 137, NULL, 'PT-HINT', 9797),
(9798, 'PF18807', NULL, 'Tripartite Tc toxins repeat', 45, NULL, 'TTc_toxin_rep', 9798),
(9799, 'PF12747', NULL, 'DdrB-like protein', 132, NULL, 'DdrB', 9799),
(9800, 'PF11678', NULL, 'Protein of unknown function (DUF3274)', 286, NULL, 'DUF3274', 9800),
(9801, 'PF01991', NULL, 'ATP synthase (E/31 kDa) subunit', 199, NULL, 'vATP-synt_E', 9801),
(9802, 'PF01082', NULL, 'Copper type II ascorbate-dependent monooxygenase, N-terminal domain', 131, NULL, 'Cu2_monooxygen', 9802),
(9803, 'PF05321', NULL, 'Haemolysin expression modulating protein', 57, NULL, 'HHA', 9803),
(9804, 'PF02909', NULL, 'Tetracyclin repressor-like, C-terminal domain', 145, NULL, 'TetR_C_1', 9804),
(9805, 'PF14158', NULL, 'YndJ-like protein', 261, NULL, 'YndJ', 9805),
(9806, 'PF13335', NULL, 'Magnesium chelatase, subunit ChlI C-terminal', 93, NULL, 'Mg_chelatase_C', 9806),
(9807, 'PF12467', NULL, 'Cucumber mosaic virus 1a protein family', 169, NULL, 'CMV_1a', 9807),
(9808, 'PF10658', NULL, 'Protein of unknown function (DUF2484)', 76, NULL, 'DUF2484', 9808);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9809, 'PF18493', NULL, 'Domain of unknown function (DUF5617)', 96, NULL, 'DUF5617', 9809),
(9810, 'PF09844', NULL, 'Uncharacterized conserved protein (COG2071)', 212, NULL, 'DUF2071', 9810),
(9811, 'PF05445', NULL, 'Poxvirus serine/threonine protein kinase', 434, NULL, 'Pox_ser-thr_kin', 9811),
(9812, 'PF10372', NULL, 'Bacterial membrane-spanning protein N-terminus', 69, NULL, 'YojJ', 9812),
(9813, 'PF05352', NULL, 'Phage Connector (GP10)', 281, NULL, 'Phage_connector', 9813),
(9814, 'PF05422', NULL, 'Stress-activated map kinase interacting protein 1 (SIN1)', 142, NULL, 'SIN1', 9814),
(9815, 'PF16575', NULL, 'mRNA cleavage and polyadenylation factor CLP1 P-loop', 188, NULL, 'CLP1_P', 9815),
(9816, 'PF01502', NULL, 'Phosphoribosyl-AMP cyclohydrolase', 74, NULL, 'PRA-CH', 9816),
(9817, 'PF01687', NULL, 'Riboflavin kinase', 121, NULL, 'Flavokinase', 9817),
(9818, 'PF17090', NULL, 'Uncharacterised protein family', 62, NULL, 'Ytca', 9818),
(9819, 'PF05856', NULL, 'ARP2/3 complex 20 kDa subunit (ARPC4)', 168, NULL, 'ARPC4', 9819),
(9820, 'PF16012', NULL, 'Domain of unknown function (DUF4780)', 177, NULL, 'DUF4780', 9820),
(9821, 'PF03068', NULL, 'Protein-arginine deiminase (PAD)', 389, NULL, 'PAD', 9821),
(9822, 'PF13839', NULL, 'GDSL/SGNH-like Acyl-Esterase family found in Pmr5 and Cas1p', 283, NULL, 'PC-Esterase', 9822),
(9823, 'PF15517', NULL, 'TBP-interacting protein N-terminus', 100, NULL, 'TBPIP_N', 9823),
(9824, 'PF12751', NULL, 'Vacuolar segregation subunit 7', 381, NULL, 'Vac7', 9824),
(9825, 'PF19063', NULL, 'Family of unknown function (DUF5759)', 71, NULL, 'DUF5759', 9825),
(9826, 'PF14994', NULL, 'Testis-specific gene 13 protein', 273, NULL, 'TSGA13', 9826),
(9827, 'PF17991', NULL, 'Thioredoxin like C-terminal domain', 142, NULL, 'Thioredoxin_10', 9827),
(9828, 'PF00916', NULL, 'Sulfate permease family', 380, NULL, 'Sulfate_transp', 9828),
(9829, 'PF14349', NULL, 'Motility related/secretion protein', 506, NULL, 'SprA_N', 9829),
(9830, 'PF11668', NULL, 'HCMV glycoprotein pUL130', 159, NULL, 'Gp_UL130', 9830),
(9831, 'PF16408', NULL, 'Domain of unknown function (DUF5016)', 123, NULL, 'DUF5016', 9831),
(9832, 'PF05345', NULL, 'Putative Ig domain', 96, NULL, 'He_PIG', 9832),
(9833, 'PF19187', NULL, 'PafC helix-turn-helix domain', 115, NULL, 'HTH_PafC', 9833),
(9834, 'PF12508', NULL, 'Conjugative transposon, TraM', 194, NULL, 'Transposon_TraM', 9834),
(9835, 'PF08416', NULL, 'Phosphotyrosine-binding domain', 130, NULL, 'PTB', 9835),
(9836, 'PF18986', NULL, 'Family of unknown function (DUF5719)', 319, NULL, 'DUF5719', 9836),
(9837, 'PF10604', NULL, 'Polyketide cyclase / dehydrase and lipid transport', 144, NULL, 'Polyketide_cyc2', 9837),
(9838, 'PF08465', NULL, 'Thymidine kinase from Herpesvirus C-terminal', 33, NULL, 'Herpes_TK_C', 9838),
(9839, 'PF07335', NULL, 'Fungal chitosanase of glycosyl hydrolase group 75', 163, NULL, 'Glyco_hydro_75', 9839),
(9840, 'PF04086', NULL, 'Signal recognition particle, alpha subunit, N-terminal', 300, NULL, 'SRP-alpha_N', 9840),
(9841, 'PF08866', NULL, 'Putative amino acid metabolism', 111, NULL, 'DUF1831', 9841),
(9842, 'PF14447', NULL, 'Prokaryotic RING finger family 4', 46, NULL, 'Prok-RING_4', 9842),
(9843, 'PF17293', NULL, 'Arm DNA-binding domain', 88, NULL, 'Arm-DNA-bind_5', 9843),
(9844, 'PF08963', NULL, 'Protein of unknown function (DUF1878)', 110, NULL, 'DUF1878', 9844),
(9845, 'PF07730', NULL, 'Histidine kinase', 68, NULL, 'HisKA_3', 9845),
(9846, 'PF18211', NULL, 'Csm1 subunit domain B', 94, NULL, 'Csm1_B', 9846),
(9847, 'PF04368', NULL, 'Protein of unknown function (DUF507)', 182, NULL, 'DUF507', 9847),
(9848, 'PF01284', NULL, 'Membrane-associating domain', 144, NULL, 'MARVEL', 9848),
(9849, 'PF14186', NULL, 'Cytoskeletal adhesion', 146, NULL, 'Aida_C2', 9849),
(9850, 'PF07835', NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', 46, NULL, 'COX4_pro_2', 9850),
(9851, 'PF09170', NULL, 'CST, Suppressor of cdc thirteen homolog, complex subunit STN1', 177, NULL, 'STN1_2', 9851);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9852, 'PF16644', NULL, 'Regulatory region of Na+/H+ exchanger NHE binds to calmodulin', 109, NULL, 'NEXCaM_BD', 9852),
(9853, 'PF13418', NULL, 'Galactose oxidase, central domain', 49, NULL, 'Kelch_4', 9853),
(9854, 'PF07200', NULL, 'Modifier of rudimentary (Mod(r)) protein', 146, NULL, 'Mod_r', 9854),
(9855, 'PF00577', NULL, 'Outer membrane usher protein', 551, NULL, 'Usher', 9855),
(9856, 'PF16917', NULL, 'Biotin/lipoate A/B protein ligase family', 183, NULL, 'BPL_LplA_LipB_2', 9856),
(9857, 'PF12756', NULL, 'C2H2 type zinc-finger (2 copies)', 101, NULL, 'zf-C2H2_2', 9857),
(9858, 'PF00561', NULL, 'alpha/beta hydrolase fold', 257, NULL, 'Abhydrolase_1', 9858),
(9859, 'PF18780', NULL, 'Homing endonuclease repeat', 23, NULL, 'HNH_repeat', 9859),
(9860, 'PF09691', NULL, 'Type II secretion system pilotin lipoprotein (PulS_OutS)', 106, NULL, 'T2SS_PulS_OutS', 9860),
(9861, 'PF01802', NULL, 'Herpesvirus VP23 like capsid protein', 290, NULL, 'Herpes_V23', 9861),
(9862, 'PF01586', NULL, 'Myogenic Basic domain', 86, NULL, 'Basic', 9862),
(9863, 'PF14023', NULL, 'Protein of unknown function (DUF4239)', 214, NULL, 'DUF4239', 9863),
(9864, 'PF16654', NULL, 'Diaminopimelic acid dehydrogenase C-terminal domain', 154, NULL, 'DAPDH_C', 9864),
(9865, 'PF17744', NULL, 'Family of unknown function (DUF5581)', 315, NULL, 'DUF5581', 9865),
(9866, 'PF19033', NULL, 'Intu longin-like domain 3', 100, NULL, 'Intu_longin_3', 9866),
(9867, 'PF13405', NULL, 'EF-hand domain', 31, NULL, 'EF-hand_6', 9867),
(9868, 'PF01584', NULL, 'CheW-like domain', 138, NULL, 'CheW', 9868),
(9869, 'PF03257', NULL, 'Mycoplasma adhesin P1', 91, NULL, 'Adhesin_P1', 9869),
(9870, 'PF04963', NULL, 'Sigma-54 factor, core binding domain', 179, NULL, 'Sigma54_CBD', 9870),
(9871, 'PF00905', NULL, 'Penicillin binding protein transpeptidase domain', 306, NULL, 'Transpeptidase', 9871),
(9872, 'PF14862', NULL, 'Big defensin', 58, NULL, 'Defensin_big', 9872),
(9873, 'PF05709', NULL, 'Phage tail protein', 255, NULL, 'Sipho_tail', 9873),
(9874, 'PF19143', NULL, 'OMP85 superfamily', 351, NULL, 'Omp85_2', 9874),
(9875, 'PF14755', NULL, 'Intracellular membrane remodeller', 148, NULL, 'ER-remodelling', 9875),
(9876, 'PF00837', NULL, 'Iodothyronine deiodinase', 237, NULL, 'T4_deiodinase', 9876),
(9877, 'PF12158', NULL, 'Protein of unknown function (DUF3592)', 149, NULL, 'DUF3592', 9877),
(9878, 'PF15137', NULL, 'Domain of unknown function (DUF4571)', 218, NULL, 'DUF4571', 9878),
(9879, 'PF05472', NULL, 'DNA replication terminus site-binding protein (Ter protein)', 296, NULL, 'Ter', 9879),
(9880, 'PF00226', NULL, 'DnaJ domain', 63, NULL, 'DnaJ', 9880),
(9881, 'PF14111', NULL, 'Domain of unknown function (DUF4283)', 145, NULL, 'DUF4283', 9881),
(9882, 'PF09463', NULL, 'Opy2 protein', 35, NULL, 'Opy2', 9882),
(9883, 'PF09124', NULL, 'T4 recombination endonuclease VII, dimerisation', 54, NULL, 'Endonuc-dimeris', 9883),
(9884, 'PF05523', NULL, 'WxcM-like, C-terminal', 131, NULL, 'FdtA', 9884),
(9885, 'PF04358', NULL, 'DsrC like protein', 107, NULL, 'DsrC', 9885),
(9886, 'PF02653', NULL, 'Branched-chain amino acid transport system / permease component', 270, NULL, 'BPD_transp_2', 9886),
(9887, 'PF10611', NULL, 'Protein of unknown function (DUF2469)', 100, NULL, 'DUF2469', 9887),
(9888, 'PF17738', NULL, 'Family of unknown function (DUF5575)', 309, NULL, 'DUF5575', 9888),
(9889, 'PF11714', NULL, 'Thrombin inhibitor Madanin', 78, NULL, 'Inhibitor_I53', 9889),
(9890, 'PF03119', NULL, 'NAD-dependent DNA ligase C4 zinc finger domain', 27, NULL, 'DNA_ligase_ZBD', 9890),
(9891, 'PF08196', NULL, 'UL2 protein', 59, NULL, 'UL2', 9891),
(9892, 'PF06783', NULL, 'Uncharacterised protein family (UPF0239)', 88, NULL, 'UPF0239', 9892),
(9893, 'PF19219', NULL, 'Coronavirus replicase NSP15, N-terminal oligomerisation', 61, NULL, 'CoV_NSP15_N', 9893),
(9894, 'PF16840', NULL, 'Actin-like protein 7A N-terminus', 65, NULL, 'ACTL7A_N', 9894),
(9895, 'PF15246', NULL, 'Nck-associated protein 5, Peripheral clock protein', 307, NULL, 'NCKAP5', 9895);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9896, 'PF16626', NULL, 'Linking region between Kunitz_BPTI and I-set on papilin', 92, NULL, 'Papilin_u7', 9896),
(9897, 'PF04420', NULL, 'CHD5-like protein', 159, NULL, 'CHD5', 9897),
(9898, 'PF10259', NULL, 'Rogdi leucine zipper containing protein', 301, NULL, 'Rogdi_lz', 9898),
(9899, 'PF07433', NULL, 'Protein of unknown function (DUF1513)', 305, NULL, 'DUF1513', 9899),
(9900, 'PF00669', NULL, 'Bacterial flagellin N-terminal helical region', 139, NULL, 'Flagellin_N', 9900),
(9901, 'PF15311', NULL, 'Hydrolethalus syndrome protein 1 C-terminus', 90, NULL, 'HYLS1_C', 9901),
(9902, 'PF06953', NULL, 'Arsenical resistance operon protein ArsD', 123, NULL, 'ArsD', 9902),
(9903, 'PF10411', NULL, 'Disulfide bond isomerase protein N-terminus', 54, NULL, 'DsbC_N', 9903),
(9904, 'PF12838', NULL, '4Fe-4S dicluster domain', 52, NULL, 'Fer4_7', 9904),
(9905, 'PF06707', NULL, 'Protein of unknown function (DUF1194)', 206, NULL, 'DUF1194', 9905),
(9906, 'PF11068', NULL, 'YlqD protein', 131, NULL, 'YlqD', 9906),
(9907, 'PF07039', NULL, 'SGF29 tudor-like domain', 132, NULL, 'DUF1325', 9907),
(9908, 'PF03250', NULL, 'Tropomodulin', 141, NULL, 'Tropomodulin', 9908),
(9909, 'PF15262', NULL, 'Domain of unknown function (DUF4592)', 128, NULL, 'DUF4592', 9909),
(9910, 'PF06365', NULL, 'CD34/Podocalyxin family', 209, NULL, 'CD34_antigen', 9910),
(9911, 'PF13140', NULL, 'Domain of unknown function (DUF3980)', 87, NULL, 'DUF3980', 9911),
(9912, 'PF01253', NULL, 'Translation initiation factor SUI1', 77, NULL, 'SUI1', 9912),
(9913, 'PF09053', NULL, 'CagZ', 199, NULL, 'CagZ', 9913),
(9914, 'PF14713', NULL, 'Domain of unknown function (DUF4464)', 223, NULL, 'DUF4464', 9914),
(9915, 'PF17547', NULL, 'Family of unknown function (DUF5462)', 157, NULL, 'DUF5462', 9915),
(9916, 'PF11582', NULL, 'Protein of unknown function (DUF3240)', 102, NULL, 'DUF3240', 9916),
(9917, 'PF06357', NULL, 'Omega-atracotoxin', 37, NULL, 'Omega-toxin', 9917),
(9918, 'PF08402', NULL, 'TOBE domain', 77, NULL, 'TOBE_2', 9918),
(9919, 'PF02319', NULL, 'E2F/DP family winged-helix DNA-binding domain', 69, NULL, 'E2F_TDP', 9919),
(9920, 'PF16429', NULL, 'Domain of unknown function (DUF5026)', 82, NULL, 'DUF5026', 9920),
(9921, 'PF12335', NULL, 'Myotubularin protein', 227, NULL, 'SBF2', 9921),
(9922, 'PF01841', NULL, 'Transglutaminase-like superfamily', 112, NULL, 'Transglut_core', 9922),
(9923, 'PF07434', NULL, 'CblD like pilus biogenesis initiator', 380, NULL, 'CblD', 9923),
(9924, 'PF10949', NULL, 'Protein of unknown function (DUF2777)', 182, NULL, 'DUF2777', 9924),
(9925, 'PF14048', NULL, 'C-terminal domain of methyl-CpG binding protein 2 and 3', 94, NULL, 'MBD_C', 9925),
(9926, 'PF14413', NULL, 'Thg1 C terminal domain', 127, NULL, 'Thg1C', 9926),
(9927, 'PF17540', NULL, 'Family of unknown function (DUF5457)', 89, NULL, 'DUF5457', 9927),
(9928, 'PF10937', NULL, 'Ribosomal protein S36, mitochondrial', 115, NULL, 'S36_mt', 9928),
(9929, 'PF01272', NULL, 'Transcription elongation factor, GreA/GreB, C-term', 77, NULL, 'GreA_GreB', 9929),
(9930, 'PF14676', NULL, 'FANCI solenoid 2', 161, NULL, 'FANCI_S2', 9930),
(9931, 'PF15022', NULL, 'Protein of unknown function (DUF4522)', 117, NULL, 'DUF4522', 9931),
(9932, 'PF04750', NULL, 'FAR-17a/AIG1-like protein', 202, NULL, 'Far-17a_AIG1', 9932),
(9933, 'PF15609', NULL, 'Phosphoribosyl transferase', 190, NULL, 'PRTase_2', 9933),
(9934, 'PF14592', NULL, 'Chondroitinase B', 426, NULL, 'Chondroitinas_B', 9934),
(9935, 'PF10689', NULL, 'Protein of unknown function (DUF2496)', 43, NULL, 'DUF2496', 9935),
(9936, 'PF13800', NULL, 'Sigma factor regulator N-terminal', 90, NULL, 'Sigma_reg_N', 9936),
(9937, 'PF13399', NULL, 'LytR cell envelope-related transcriptional attenuator', 85, NULL, 'LytR_C', 9937),
(9938, 'PF06537', NULL, 'Di-haem oxidoreductase, putative peroxidase', 486, NULL, 'DHOR', 9938),
(9939, 'PF00121', NULL, 'Triosephosphate isomerase', 243, NULL, 'TIM', 9939),
(9940, 'PF13301', NULL, 'Protein of unknown function (DUF4079)', 141, NULL, 'DUF4079', 9940);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9941, 'PF18901', NULL, 'Family of unknown function (DUF5657)', 61, NULL, 'DUF5657', 9941),
(9942, 'PF02475', NULL, 'Met-10+ like-protein', 199, NULL, 'Met_10', 9942),
(9943, 'PF00800', NULL, 'Prephenate dehydratase', 183, NULL, 'PDT', 9943),
(9944, 'PF03585', NULL, 'Herpesvirus ICP4-like protein C-terminal region', 444, NULL, 'Herpes_ICP4_C', 9944),
(9945, 'PF08305', NULL, 'NPCBM/NEW2 domain', 137, NULL, 'NPCBM', 9945),
(9946, 'PF03868', NULL, 'Ribosomal protein L6, N-terminal domain', 60, NULL, 'Ribosomal_L6e_N', 9946),
(9947, 'PF10292', NULL, 'Serpentine type 7TM GPCR receptor class ab chemoreceptor', 324, NULL, '7TM_GPCR_Srab', 9947),
(9948, 'PF09855', NULL, 'Nucleic-acid-binding protein containing Zn-ribbon domain (DUF2082)', 63, NULL, 'zinc_ribbon_13', 9948),
(9949, 'PF15217', NULL, 'TSC21 family', 180, NULL, 'TSC21', 9949),
(9950, 'PF12522', NULL, 'Cytomegalovirus glycoprotein N terminal', 27, NULL, 'UL73_N', 9950),
(9951, 'PF03761', NULL, 'Nematode trypsin-6-like family', 282, NULL, 'DUF316', 9951),
(9952, 'PF14131', NULL, 'Domain of unknown function (DUF4298)', 87, NULL, 'DUF4298', 9952),
(9953, 'PF02596', NULL, 'Uncharacterised ArCR, COG2043', 206, NULL, 'DUF169', 9953),
(9954, 'PF17756', NULL, 'RET Cadherin like domain 1', 125, NULL, 'RET_CLD1', 9954),
(9955, 'PF05325', NULL, 'Protein of unknown function (DUF730)', 122, NULL, 'DUF730', 9955),
(9956, 'PF02775', NULL, 'Thiamine pyrophosphate enzyme, C-terminal TPP binding domain', 153, NULL, 'TPP_enzyme_C', 9956),
(9957, 'PF13902', NULL, 'R3H-associated N-terminal domain', 132, NULL, 'R3H-assoc', 9957),
(9958, 'PF18165', NULL, 'Predicted pPIWI-associating nuclease', 135, NULL, 'pP_pnuc_1', 9958),
(9959, 'PF11122', NULL, 'Inner spore coat protein D', 99, NULL, 'Spore-coat_CotD', 9959),
(9960, 'PF07531', NULL, 'NHR1 homology to TAF', 90, NULL, 'TAFH', 9960),
(9961, 'PF00343', NULL, 'Carbohydrate phosphorylase', 712, NULL, 'Phosphorylase', 9961),
(9962, 'PF05961', NULL, 'Chordopoxvirus A13L protein', 69, NULL, 'Chordopox_A13L', 9962),
(9963, 'PF18595', NULL, 'Designed helical repeat protein 10 domain', 117, NULL, 'DHR10', 9963),
(9964, 'PF14339', NULL, 'Domain of unknown function (DUF4394)', 230, NULL, 'DUF4394', 9964),
(9965, 'PF12813', NULL, 'XPG domain containing', 249, NULL, 'XPG_I_2', 9965),
(9966, 'PF12156', NULL, 'Putative metal-binding domain of cation transport ATPase', 87, NULL, 'ATPase-cat_bd', 9966),
(9967, 'PF15402', NULL, 'N-terminus of kinetochore NMS complex subunit Spc7', 925, NULL, 'Spc7_N', 9967),
(9968, 'PF03991', NULL, 'Copper binding octapeptide repeat', 8, NULL, 'Prion_octapep', 9968),
(9969, 'PF15641', NULL, 'Metallopeptidase toxin 5', 110, NULL, 'Tox-MPTase5', 9969),
(9970, 'PF14052', NULL, 'Capsule assembly protein Wzi', 395, NULL, 'Caps_assemb_Wzi', 9970),
(9971, 'PF04624', NULL, 'Dec-1 repeat', 27, NULL, 'Dec-1', 9971),
(9972, 'PF06721', NULL, 'Protein of unknown function (DUF1204)', 228, NULL, 'DUF1204', 9972),
(9973, 'PF00540', NULL, 'gag gene protein p17 (matrix protein)', 140, NULL, 'Gag_p17', 9973),
(9974, 'PF07930', NULL, 'D-aminopeptidase, domain B', 182, NULL, 'DAP_B', 9974),
(9975, 'PF16873', NULL, 'Putative abortive phage resistance protein AbiGii toxin', 397, NULL, 'AbiGii_2', 9975),
(9976, 'PF14664', NULL, 'Rapamycin-insensitive companion of mTOR, N-term', 377, NULL, 'RICTOR_N', 9976),
(9977, 'PF15518', NULL, 'L protein N-terminus', 93, NULL, 'L_protein_N', 9977),
(9978, 'PF12892', NULL, 'Spy0128-like isopeptide containing domain', 121, NULL, 'FctA', 9978),
(9979, 'PF08244', NULL, 'Glycosyl hydrolases family 32 C terminal', 159, NULL, 'Glyco_hydro_32C', 9979),
(9980, 'PF17894', NULL, 'Topo homolgy domain in CRISPR-associated endonuclease Cas9', 71, NULL, 'Cas9_Topo', 9980),
(9981, 'PF16402', NULL, 'Domain of unknown function (DUF5010)', 341, NULL, 'DUF5010', 9981),
(9982, 'PF13160', NULL, 'Protein of unknown function (DUF3995)', 125, NULL, 'DUF3995', 9982),
(9983, 'PF01625', NULL, 'Peptide methionine sulfoxide reductase', 153, NULL, 'PMSR', 9983);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(9984, 'PF17394', NULL, 'Uncharacterized KleE stable inheritance protein', 108, NULL, 'KleE', 9984),
(9985, 'PF12091', NULL, 'Protein of unknown function (DUF3567)', 89, NULL, 'DUF3567', 9985),
(9986, 'PF01663', NULL, 'Type I phosphodiesterase / nucleotide pyrophosphatase', 357, NULL, 'Phosphodiest', 9986),
(9987, 'PF04693', NULL, 'Archaeal putative transposase ISC1217', 327, NULL, 'DDE_Tnp_2', 9987),
(9988, 'PF06762', NULL, 'Lipase maturation factor', 445, NULL, 'LMF1', 9988),
(9989, 'PF17034', NULL, 'Zinc-ribbon like family', 125, NULL, 'zinc_ribbon_16', 9989),
(9990, 'PF02639', NULL, 'Uncharacterized BCR, YaiI/YqxD family COG1671', 130, NULL, 'DUF188', 9990),
(9991, 'PF12673', NULL, 'Domain of unknown function (DUF3794)', 77, NULL, 'DUF3794', 9991),
(9992, 'PF00706', NULL, 'Anenome neurotoxin', 43, NULL, 'Toxin_4', 9992),
(9993, 'PF09920', NULL, 'Uncharacterized protein conserved in archaea (DUF2150)', 188, NULL, 'DUF2150', 9993),
(9994, 'PF12160', NULL, 'Fibrinogen alpha C domain', 68, NULL, 'Fibrinogen_aC', 9994),
(9995, 'PF17736', NULL, 'C17orf99 Ig domain', 95, NULL, 'Ig_C17orf99', 9995),
(9996, 'PF15647', NULL, 'Restriction endonuclease fold toxin 3', 102, NULL, 'Tox-REase-3', 9996),
(9997, 'PF00214', NULL, 'Calcitonin / CGRP / IAPP family', 122, NULL, 'Calc_CGRP_IAPP', 9997),
(9998, 'PF14663', NULL, 'Rapamycin-insensitive companion of mTOR RasGEF_N domain', 108, NULL, 'RasGEF_N_2', 9998),
(9999, 'PF08147', NULL, 'DBP10CT (NUC160) domain', 67, NULL, 'DBP10CT', 9999),
(10000, 'PF00628', NULL, 'PHD-finger', 52, NULL, 'PHD', 10000),
(10001, 'PF06373', NULL, 'Cocaine and amphetamine regulated transcript protein (CART)', 70, NULL, 'CART', 10001),
(10002, 'PF17509', NULL, 'Family of unknown function (DUF5440)', 93, NULL, 'DUF5440', 10002),
(10003, 'PF18795', NULL, 'DNA mismatch repair protein HSM3, N terminal domain', 237, NULL, 'HSM3_N', 10003),
(10004, 'PF13196', NULL, 'Protein of unknown function (DUF4012)', 144, NULL, 'DUF4012', 10004),
(10005, 'PF02275', NULL, 'Linear amide C-N hydrolases, choloylglycine hydrolase family', 316, NULL, 'CBAH', 10005),
(10006, 'PF02734', NULL, 'DAK2 domain', 175, NULL, 'Dak2', 10006),
(10007, 'PF03205', NULL, 'Molybdopterin guanine dinucleotide synthesis protein B', 134, NULL, 'MobB', 10007),
(10008, 'PF12586', NULL, 'Protein of unknown function (DUF3760)', 44, NULL, 'DUF3760', 10008),
(10009, 'PF19072', NULL, 'Family of unknown function (DUF5768)', 123, NULL, 'DUF5768', 10009),
(10010, 'PF05600', NULL, 'CDK5 regulatory subunit-associated protein 3', 507, NULL, 'DUF773', 10010),
(10011, 'PF17764', NULL, '3''DNA-binding domain (3''BD)', 96, NULL, 'PriA_3primeBD', 10011),
(10012, 'PF13580', NULL, 'SIS domain', 138, NULL, 'SIS_2', 10012),
(10013, 'PF17098', NULL, 'WTAP/Mum2p family', 155, NULL, 'Wtap', 10013),
(10014, 'PF10637', NULL, 'Oxoglutarate and iron-dependent oxygenase degradation C-term', 255, NULL, 'Ofd1_CTDD', 10014),
(10015, 'PF00898', NULL, 'Orbivirus outer capsid protein VP2', 946, NULL, 'Orbi_VP2', 10015),
(10016, 'PF10398', NULL, 'Protein of unknown function (DUF2443)', 79, NULL, 'DUF2443', 10016),
(10017, 'PF07272', NULL, 'Orthoreovirus P17 protein', 146, NULL, 'Orthoreo_P17', 10017),
(10018, 'PF14955', NULL, 'Mitochondrial ribosome subunit S24', 135, NULL, 'MRP-S24', 10018),
(10019, 'PF00908', NULL, 'dTDP-4-dehydrorhamnose 3,5-epimerase', 168, NULL, 'dTDP_sugar_isom', 10019),
(10020, 'PF06502', NULL, 'Equine infectious anaemia virus S2 protein', 67, NULL, 'Equine_IAV_S2', 10020),
(10021, 'PF02738', NULL, 'Molybdopterin-binding domain of aldehyde dehydrogenase', 552, NULL, 'Ald_Xan_dh_C2', 10021),
(10022, 'PF01845', NULL, 'CcdB protein', 100, NULL, 'CcdB', 10022),
(10023, 'PF13367', NULL, 'PrsW family intramembrane metalloprotease', 196, NULL, 'PrsW-protease', 10023),
(10024, 'PF08240', NULL, 'Alcohol dehydrogenase GroES-like domain', 109, NULL, 'ADH_N', 10024),
(10025, 'PF09873', NULL, 'Uncharacterized protein conserved in archaea (DUF2100)', 217, NULL, 'DUF2100', 10025);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10026, 'PF15696', NULL, 'RAD51 interacting motif', 39, NULL, 'RAD51_interact', 10026),
(10027, 'PF01429', NULL, 'Methyl-CpG binding domain', 77, NULL, 'MBD', 10027),
(10028, 'PF14840', NULL, 'Processivity clamp loader gamma complex DNA pol III C-term', 125, NULL, 'DNA_pol3_delt_C', 10028),
(10029, 'PF09035', NULL, 'Excisionase from transposon Tn916', 69, NULL, 'Tn916-Xis', 10029),
(10030, 'PF04961', NULL, 'Formiminotransferase-cyclodeaminase', 182, NULL, 'FTCD_C', 10030),
(10031, 'PF05803', NULL, 'Chordopoxvirus L2 protein', 81, NULL, 'Chordopox_L2', 10031),
(10032, 'PF11087', NULL, 'PRD1 phage membrane DNA delivery', 54, NULL, 'PRD1_DD', 10032),
(10033, 'PF02087', NULL, 'Nitrophorin', 178, NULL, 'Nitrophorin', 10033),
(10034, 'PF18583', NULL, 'Aminoarabinose transferase C-terminal domain', 103, NULL, 'Arnt_C', 10034),
(10035, 'PF12615', NULL, 'F sex factor protein N terminal', 94, NULL, 'TraD_N', 10035),
(10036, 'PF03440', NULL, 'Aerolysin/Pertussis toxin (APT) domain', 87, NULL, 'APT', 10036),
(10037, 'PF11363', NULL, 'Protein of unknown function (DUF3164)', 194, NULL, 'DUF3164', 10037),
(10038, 'PF01853', NULL, 'MOZ/SAS family', 179, NULL, 'MOZ_SAS', 10038),
(10039, 'PF07043', NULL, 'Protein of unknown function (DUF1328)', 39, NULL, 'DUF1328', 10039),
(10040, 'PF08027', NULL, 'Albumin I chain b', 35, NULL, 'Albumin_I', 10040),
(10041, 'PF12787', NULL, 'EcsC protein family', 245, NULL, 'EcsC', 10041),
(10042, 'PF18278', NULL, 'Receptor activator of the NF-KB cysteine-rich repeat domain 2', 41, NULL, 'RANK_CRD_2', 10042),
(10043, 'PF10876', NULL, 'Phage tail assembly chaperone protein, TAC', 133, NULL, 'Phage_TAC_9', 10043),
(10044, 'PF08082', NULL, 'PRO8NT (NUC069), PrP8 N-terminal domain', 152, NULL, 'PRO8NT', 10044),
(10045, 'PF15084', NULL, 'Domain of unknown function (DUF4550)', 95, NULL, 'DUF4550', 10045),
(10046, 'PF00818', NULL, 'Ice nucleation protein repeat', 15, NULL, 'Ice_nucleation', 10046),
(10047, 'PF17030', NULL, 'Putative beta-lactamase-like family', 214, NULL, 'Beta_lactamase3', 10047),
(10048, 'PF05408', NULL, 'Foot-and-mouth virus L-proteinase', 201, NULL, 'Peptidase_C28', 10048),
(10049, 'PF07898', NULL, 'Protein of unknown function (DUF1676)', 172, NULL, 'DUF1676', 10049),
(10050, 'PF09751', NULL, 'Nuclear protein Es2', 429, NULL, 'Es2', 10050),
(10051, 'PF18404', NULL, 'Glucosyltransferase 24', 268, NULL, 'Glyco_transf_24', 10051),
(10052, 'PF07138', NULL, 'Protein of unknown function (DUF1386)', 334, NULL, 'DUF1386', 10052),
(10053, 'PF14298', NULL, 'Domain of unknown function (DUF4374)', 435, NULL, 'DUF4374', 10053),
(10054, 'PF10367', NULL, 'Vacuolar sorting protein 39 domain 2', 109, NULL, 'Vps39_2', 10054),
(10055, 'PF09716', NULL, 'Malarial early transcribed membrane protein (ETRAMP)', 83, NULL, 'ETRAMP', 10055),
(10056, 'PF08334', NULL, 'Type II secretion system (T2SS), protein G', 108, NULL, 'T2SSG', 10056),
(10057, 'PF14246', NULL, 'AefR-like transcriptional repressor, C-terminal domain', 119, NULL, 'TetR_C_7', 10057),
(10058, 'PF07989', NULL, 'Centrosomin N-terminal motif 1', 73, NULL, 'Cnn_1N', 10058),
(10059, 'PF06857', NULL, 'Malonate decarboxylase delta subunit (MdcD)', 83, NULL, 'ACP', 10059),
(10060, 'PF11173', NULL, 'Protein of unknown function (DUF2960)', 79, NULL, 'DUF2960', 10060),
(10061, 'PF12187', NULL, 'Viral/Archaeal nuclease', 190, NULL, 'VirArc_Nuclease', 10061),
(10062, 'PF03526', NULL, 'Colicin E1 (microcin) immunity protein', 55, NULL, 'Microcin', 10062),
(10063, 'PF02169', NULL, 'LPP20 lipoprotein', 97, NULL, 'LPP20', 10063),
(10064, 'PF12421', NULL, 'Fibronectin type III protein', 133, NULL, 'DUF3672', 10064),
(10065, 'PF02823', NULL, 'ATP synthase, Delta/Epsilon chain, beta-sandwich domain', 80, NULL, 'ATP-synt_DE_N', 10065),
(10066, 'PF19023', NULL, 'Family of unknown function (DUF5749)', 78, NULL, 'DUF5749', 10066),
(10067, 'PF08936', NULL, 'Carboxysome Shell Carbonic Anhydrase', 455, NULL, 'CsoSCA', 10067),
(10068, 'PF01313', NULL, 'Bacterial export proteins, family 3', 74, NULL, 'Bac_export_3', 10068);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10069, 'PF10614', NULL, 'Type VIII secretion system (T8SS), CsgF protein', 132, NULL, 'CsgF', 10069),
(10070, 'PF14376', NULL, 'Haem-binding domain', 133, NULL, 'Haem_bd', 10070),
(10071, 'PF14068', NULL, 'Putative membrane protein', 101, NULL, 'YuiB', 10071),
(10072, 'PF17386', NULL, 'Lacto-N-biose phosphorylase C-terminal domain', 53, NULL, 'LBP_C', 10072),
(10073, 'PF18573', NULL, 'BclA C-terminal domain', 128, NULL, 'BclA_C', 10073),
(10074, 'PF07199', NULL, 'Protein of unknown function (DUF1411)', 194, NULL, 'DUF1411', 10074),
(10075, 'PF16053', NULL, 'Mitochondrial 28S ribosomal protein S34', 130, NULL, 'MRP-S34', 10075),
(10076, 'PF01051', NULL, 'Initiator Replication protein', 222, NULL, 'Rep_3', 10076),
(10077, 'PF14430', NULL, 'Immunity protein Imm1', 126, NULL, 'Imm1', 10077),
(10078, 'PF14712', NULL, 'Snapin/Pallidin', 91, NULL, 'Snapin_Pallidin', 10078),
(10079, 'PF04220', NULL, 'Der GTPase activator (YihI)', 156, NULL, 'YihI', 10079),
(10080, 'PF05179', NULL, 'RNA pol II accessory factor, Cdc73 family, C-terminal', 158, NULL, 'CDC73_C', 10080),
(10081, 'PF09036', NULL, 'Bcr-Abl oncoprotein oligomerisation domain', 73, NULL, 'Bcr-Abl_Oligo', 10081),
(10082, 'PF00600', NULL, 'Influenza non-structural protein (NS1)', 217, NULL, 'Flu_NS1', 10082),
(10083, 'PF12349', NULL, 'Sterol-sensing domain of SREBP cleavage-activation', 153, NULL, 'Sterol-sensing', 10083),
(10084, 'PF06047', NULL, 'NF-kappa-B-activating protein C-terminal domain', 102, NULL, 'Nkap_C', 10084),
(10085, 'PF14554', NULL, 'VEGF heparin-binding domain', 58, NULL, 'VEGF_C', 10085),
(10086, 'PF16044', NULL, 'Domain of unknown function (DUF4796)', 189, NULL, 'DUF4796', 10086),
(10087, 'PF18813', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease4', 187, NULL, 'PBECR4', 10087),
(10088, 'PF18607', NULL, 'ParA helix turn helix domain', 92, NULL, 'HTH_54', 10088),
(10089, 'PF07903', NULL, 'PaRep2a protein', 122, NULL, 'PaRep2a', 10089),
(10090, 'PF06501', NULL, 'Human herpesvirus U55 protein', 432, NULL, 'Herpes_U55', 10090),
(10091, 'PF00867', NULL, 'XPG I-region', 94, NULL, 'XPG_I', 10091),
(10092, 'PF14035', NULL, 'YlzJ-like protein', 65, NULL, 'YlzJ', 10092),
(10093, 'PF10948', NULL, 'Protein of unknown function (DUF2635)', 46, NULL, 'DUF2635', 10093),
(10094, 'PF06544', NULL, 'Protein of unknown function (DUF1115)', 144, NULL, 'DUF1115', 10094),
(10095, 'PF10661', NULL, 'WXG100 protein secretion system (Wss), protein EssA', 148, NULL, 'EssA', 10095),
(10096, 'PF11242', NULL, 'Protein of unknown function (DUF2774)', 63, NULL, 'DUF2774', 10096),
(10097, 'PF11783', NULL, 'Cytochrome c bacterial', 175, NULL, 'Cytochrome_cB', 10097),
(10098, 'PF18711', NULL, 'Toxoflavin-degrading enzyme', 55, NULL, 'TxDE', 10098),
(10099, 'PF11742', NULL, 'Protein of unknown function (DUF3302)', 77, NULL, 'DUF3302', 10099),
(10100, 'PF15895', NULL, 'CAAX box cerebral protein 1', 209, NULL, 'CAAX_1', 10100),
(10101, 'PF17249', NULL, 'Family of unknown function (DUF5318)', 131, NULL, 'DUF5318', 10101),
(10102, 'PF07055', NULL, 'Enoyl reductase FAD binding domain', 64, NULL, 'Eno-Rase_FAD_bd', 10102),
(10103, 'PF13946', NULL, 'Domain of unknown function (DUF4214)', 72, NULL, 'DUF4214', 10103),
(10104, 'PF09835', NULL, 'Uncharacterized protein conserved in bacteria (DUF2062)', 141, NULL, 'DUF2062', 10104),
(10105, 'PF13907', NULL, 'Domain of unknown function (DUF4208)', 95, NULL, 'DUF4208', 10105),
(10106, 'PF05811', NULL, 'Eukaryotic protein of unknown function (DUF842)', 131, NULL, 'DUF842', 10106),
(10107, 'PF11972', NULL, 'HTH DNA binding domain', 54, NULL, 'HTH_13', 10107),
(10108, 'PF01503', NULL, 'Phosphoribosyl-ATP pyrophosphohydrolase', 83, NULL, 'PRA-PH', 10108),
(10109, 'PF01970', NULL, 'Tripartite tricarboxylate transporter TctA family', 409, NULL, 'TctA', 10109),
(10110, 'PF09537', NULL, 'Domain of unknown function (DUF2383)', 111, NULL, 'DUF2383', 10110),
(10111, 'PF06508', NULL, 'Queuosine biosynthesis protein QueC', 210, NULL, 'QueC', 10111);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10112, 'PF15360', NULL, 'APJ endogenous ligand', 55, NULL, 'Apelin', 10112),
(10113, 'PF16767', NULL, 'Sensor domain of alginate biosynthesis sensor protein KinB', 121, NULL, 'KinB_sensor', 10113),
(10114, 'PF00874', NULL, 'PRD domain', 90, NULL, 'PRD', 10114),
(10115, 'PF05860', NULL, 'haemagglutination activity domain', 121, NULL, 'Haemagg_act', 10115),
(10116, 'PF14765', NULL, 'Polyketide synthase dehydratase', 298, NULL, 'PS-DH', 10116),
(10117, 'PF04327', NULL, 'Cysteine protease Prp', 90, NULL, 'Peptidase_Prp', 10117),
(10118, 'PF00648', NULL, 'Calpain family cysteine protease', 297, NULL, 'Peptidase_C2', 10118),
(10119, 'PF14531', NULL, 'Kinase-like', 288, NULL, 'Kinase-like', 10119),
(10120, 'PF12796', NULL, 'Ankyrin repeats (3 copies)', 83, NULL, 'Ank_2', 10120),
(10121, 'PF15130', NULL, 'Domain of unknown function (DUF4566)', 226, NULL, 'DUF4566', 10121),
(10122, 'PF11556', NULL, 'Erythrocyte binding antigen 175', 80, NULL, 'EBA-175_VI', 10122),
(10123, 'PF16208', NULL, 'Keratin type II head', 162, NULL, 'Keratin_2_head', 10123),
(10124, 'PF17862', NULL, 'AAA+ lid domain', 45, NULL, 'AAA_lid_3', 10124),
(10125, 'PF10374', NULL, 'Telomerase activating protein Est1', 134, NULL, 'EST1', 10125),
(10126, 'PF05580', NULL, 'SpoIVB peptidase S55', 210, NULL, 'Peptidase_S55', 10126),
(10127, 'PF14948', NULL, 'RESP18 domain', 103, NULL, 'RESP18', 10127),
(10128, 'PF15044', NULL, 'Mitochondrial function, CLU-N-term', 79, NULL, 'CLU_N', 10128),
(10129, 'PF01975', NULL, 'Survival protein SurE', 195, NULL, 'SurE', 10129),
(10130, 'PF12852', NULL, 'Cupin', 183, NULL, 'Cupin_6', 10130),
(10131, 'PF08059', NULL, 'SEP domain', 74, NULL, 'SEP', 10131),
(10132, 'PF15269', NULL, 'Zinc-finger', 54, NULL, 'zf-C2H2_7', 10132),
(10133, 'PF02981', NULL, 'Restriction endonuclease FokI, recognition domain', 137, NULL, 'FokI_N', 10133),
(10134, 'PF18331', NULL, 'PKHD-type hydroxylase C-terminal domain', 43, NULL, 'PKHD_C', 10134),
(10135, 'PF04010', NULL, 'Protein of unknown function (DUF357)', 73, NULL, 'DUF357', 10135),
(10136, 'PF05640', NULL, 'Na,K-Atpase Interacting protein', 206, NULL, 'NKAIN', 10136),
(10137, 'PF04508', NULL, 'Viral A-type inclusion protein repeat', 23, NULL, 'Pox_A_type_inc', 10137),
(10138, 'PF07566', NULL, 'Domain of Unknown Function (DUF1543)', 52, NULL, 'DUF1543', 10138),
(10139, 'PF17716', NULL, 'Family of unknown function (DUF5561)', 255, NULL, 'DUF5561', 10139),
(10140, 'PF18063', NULL, 'Beta barrel Pore-forming domain', 204, NULL, 'BB_PF', 10140),
(10141, 'PF12426', NULL, 'RNA dependent RNA polymerase', 41, NULL, 'DUF3674', 10141),
(10142, 'PF05689', NULL, 'Adhesion domain', 136, NULL, 'InvE_AD', 10142),
(10143, 'PF09313', NULL, 'Domain of unknown function (DUF1971)', 80, NULL, 'DUF1971', 10143),
(10144, 'PF01900', NULL, 'Rpp14/Pop5 family', 103, NULL, 'RNase_P_Rpp14', 10144),
(10145, 'PF17755', NULL, 'UvrA DNA-binding domain', 111, NULL, 'UvrA_DNA-bind', 10145),
(10146, 'PF13490', NULL, 'Putative zinc-finger', 35, NULL, 'zf-HC2', 10146),
(10147, 'PF19220', NULL, 'Crescentin protein', 401, NULL, 'Crescentin', 10147),
(10148, 'PF09301', NULL, 'Domain of unknown function (DUF1970)', 112, NULL, 'DUF1970', 10148),
(10149, 'PF03310', NULL, 'Caulimovirus DNA-binding protein', 121, NULL, 'Cauli_DNA-bind', 10149),
(10150, 'PF09293', NULL, 'T4 RNase H, C terminal', 124, NULL, 'RNaseH_C', 10150),
(10151, 'PF09119', NULL, 'SicP binding', 84, NULL, 'SicP-binding', 10151),
(10152, 'PF06907', NULL, 'Latexin', 217, NULL, 'Latexin', 10152),
(10153, 'PF02878', NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain I', 138, NULL, 'PGM_PMM_I', 10153),
(10154, 'PF16058', NULL, 'Mucin-like', 100, NULL, 'Mucin-like', 10154),
(10155, 'PF17193', NULL, 'MukF C-terminal domain', 158, NULL, 'MukF_C', 10155),
(10156, 'PF12551', NULL, 'Poly-beta-hydroxybutyrate polymerase N terminal', 43, NULL, 'PHBC_N', 10156),
(10157, 'PF12278', NULL, 'Sex determination protein N terminal', 137, NULL, 'SDP_N', 10157);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10158, 'PF05655', NULL, 'Pseudomonas avirulence D protein (AvrD)', 332, NULL, 'AvrD', 10158),
(10159, 'PF10852', NULL, 'Protein of unknown function (DUF2651)', 73, NULL, 'DUF2651', 10159),
(10160, 'PF05721', NULL, 'Phytanoyl-CoA dioxygenase (PhyH)', 211, NULL, 'PhyH', 10160),
(10161, 'PF10766', NULL, 'Multidrug efflux pump-associated protein AcrZ', 48, NULL, 'AcrZ', 10161),
(10162, 'PF18428', NULL, 'BRCA1 C Terminus (BRCT) domain', 102, NULL, 'BRCT_3', 10162),
(10163, 'PF11907', NULL, 'Domain of unknown function (DUF3427)', 284, NULL, 'DUF3427', 10163),
(10164, 'PF14070', NULL, 'Putative motility protein', 57, NULL, 'YjfB_motility', 10164),
(10165, 'PF09038', NULL, 'Tumour suppressor p53-binding protein-1 Tudor', 122, NULL, '53-BP1_Tudor', 10165),
(10166, 'PF00189', NULL, 'Ribosomal protein S3, C-terminal domain', 83, NULL, 'Ribosomal_S3_C', 10166),
(10167, 'PF02009', NULL, 'Rifin', 327, NULL, 'RIFIN', 10167),
(10168, 'PF14640', NULL, 'Transmembrane protein 223', 169, NULL, 'TMEM223', 10168),
(10169, 'PF03552', NULL, 'Cellulose synthase', 722, NULL, 'Cellulose_synt', 10169),
(10170, 'PF14410', NULL, 'HNH/ENDO VII superfamily nuclease with conserved GHE residues', 70, NULL, 'GH-E', 10170),
(10171, 'PF14354', NULL, 'Restriction alleviation protein Lar', 62, NULL, 'Lar_restr_allev', 10171),
(10172, 'PF13527', NULL, 'Acetyltransferase (GNAT) domain', 127, NULL, 'Acetyltransf_9', 10172),
(10173, 'PF12709', NULL, 'Fungal Transforming acidic coiled-coil (TACC) proteins', 77, NULL, 'Fungal_TACC', 10173),
(10174, 'PF14895', NULL, 'Protein phosphatase 1 inhibitor', 346, NULL, 'PPPI_inhib', 10174),
(10175, 'PF05914', NULL, 'RIB43A', 376, NULL, 'RIB43A', 10175),
(10176, 'PF00323', NULL, 'Mammalian defensin', 29, NULL, 'Defensin_1', 10176),
(10177, 'PF01983', NULL, 'Guanylyl transferase CofC like', 217, NULL, 'CofC', 10177),
(10178, 'PF16134', NULL, 'THO complex subunit 2 N-terminus', 630, NULL, 'THOC2_N', 10178),
(10179, 'PF09083', NULL, 'Domain of unknown function (DUF1923)', 64, NULL, 'DUF1923', 10179),
(10180, 'PF02389', NULL, 'Cornifin (SPRR) family', 135, NULL, 'Cornifin', 10180),
(10181, 'PF12051', NULL, 'Protein of unknown function (DUF3533)', 378, NULL, 'DUF3533', 10181),
(10182, 'PF05595', NULL, 'Domain of unknown function (DUF771)', 90, NULL, 'DUF771', 10182),
(10183, 'PF10436', NULL, 'Mitochondrial branched-chain alpha-ketoacid dehydrogenase kinase', 162, NULL, 'BCDHK_Adom3', 10183),
(10184, 'PF12513', NULL, 'Mitochondrial degradasome RNA helicase subunit C terminal', 48, NULL, 'SUV3_C', 10184),
(10185, 'PF03072', NULL, 'Domain of unknown function (DUF237)', 138, NULL, 'DUF237', 10185),
(10186, 'PF11047', NULL, 'Salmonella outer protein D', 319, NULL, 'SopD', 10186),
(10187, 'PF11637', NULL, 'ATP-dependant DNA helicase UvsW', 56, NULL, 'UvsW', 10187),
(10188, 'PF18712', NULL, 'Family of unknown function (DUF5644)', 109, NULL, 'DUF5644', 10188),
(10189, 'PF08292', NULL, 'RNA polymerase III subunit Rpc25', 125, NULL, 'RNA_pol_Rbc25', 10189),
(10190, 'PF17615', NULL, 'Family of unknown function', 158, NULL, 'C166', 10190),
(10191, 'PF18618', NULL, 'HP0268', 80, NULL, 'HP0268', 10191),
(10192, 'PF18400', NULL, 'Thioredoxin-like domain', 191, NULL, 'Thioredoxin_12', 10192),
(10193, 'PF18390', NULL, 'Glycogen debranching enzyme C-terminal domain', 85, NULL, 'GlgX_C', 10193),
(10194, 'PF12399', NULL, 'Branched-chain amino acid ATP-binding cassette transporter', 23, NULL, 'BCA_ABC_TP_C', 10194),
(10195, 'PF18753', NULL, 'Nucleotide modification associated domain 2', 201, NULL, 'Nmad2', 10195),
(10196, 'PF02149', NULL, 'Kinase associated domain 1', 45, NULL, 'KA1', 10196),
(10197, 'PF08518', NULL, 'Spa2 homology domain (SHD) of GIT', 29, NULL, 'GIT_SHD', 10197),
(10198, 'PF02184', NULL, 'HAT (Half-A-TPR) repeat', 32, NULL, 'HAT', 10198),
(10199, 'PF04149', NULL, 'Domain of unknown function (DUF397)', 54, NULL, 'DUF397', 10199),
(10200, 'PF18798', NULL, 'Large polyvalent protein-associated domain 3', 113, NULL, 'LPD3', 10200);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10201, 'PF00155', NULL, 'Aminotransferase class I and II', 363, NULL, 'Aminotran_1_2', 10201),
(10202, 'PF16105', NULL, 'Domain of unknown function (DUF4823)', 141, NULL, 'DUF4823', 10202),
(10203, 'PF03768', NULL, 'Attacin, N-terminal region', 64, NULL, 'Attacin_N', 10203),
(10204, 'PF08940', NULL, 'Domain of unknown function (DUF1918)', 58, NULL, 'DUF1918', 10204),
(10205, 'PF01407', NULL, 'Geminivirus AL3 protein', 119, NULL, 'Gemini_AL3', 10205),
(10206, 'PF00606', NULL, 'Herpesvirus Glycoprotein B ectodomain', 222, NULL, 'Glycoprotein_B', 10206),
(10207, 'PF04761', NULL, 'Lactococcus bacteriophage putative transcription regulator', 57, NULL, 'Phage_Treg', 10207),
(10208, 'PF06865', NULL, 'Pyrimidine/purine nucleoside phosphorylase', 92, NULL, 'Ppnp', 10208),
(10209, 'PF02557', NULL, 'D-alanyl-D-alanine carboxypeptidase', 133, NULL, 'VanY', 10209),
(10210, 'PF12947', NULL, 'EGF domain', 36, NULL, 'EGF_3', 10210),
(10211, 'PF12893', NULL, 'Putative lumazine-binding', 116, NULL, 'Lumazine_bd_2', 10211),
(10212, 'PF19132', NULL, 'Family of unknown function (DUF5815)', 155, NULL, 'DUF5815', 10212),
(10213, 'PF00694', NULL, 'Aconitase C-terminal domain', 131, NULL, 'Aconitase_C', 10213),
(10214, 'PF10881', NULL, 'Protein of unknown function (DUF2726)', 127, NULL, 'DUF2726', 10214),
(10215, 'PF15525', NULL, 'Domain of unknown function (DUF4652)', 194, NULL, 'DUF4652', 10215),
(10216, 'PF08619', NULL, 'Alkali metal cation/H+ antiporter Nha1 C terminus', 466, NULL, 'Nha1_C', 10216),
(10217, 'PF08753', NULL, 'NikR C terminal nickel binding domain', 77, NULL, 'NikR_C', 10217),
(10218, 'PF04795', NULL, 'PAPA-1-like conserved region', 86, NULL, 'PAPA-1', 10218),
(10219, 'PF15513', NULL, 'Domain of unknown function (DUF4651)', 61, NULL, 'DUF4651', 10219),
(10220, 'PF08067', NULL, 'ROKNT (NUC014) domain', 44, NULL, 'ROKNT', 10220),
(10221, 'PF08617', NULL, 'Kinase binding protein CGI-121', 162, NULL, 'CGI-121', 10221),
(10222, 'PF18376', NULL, 'Mevalonate 5-diphosphate decarboxylase C-terminal domain', 187, NULL, 'MDD_C', 10222),
(10223, 'PF03829', NULL, 'PTS system glucitol/sorbitol-specific IIA component', 113, NULL, 'PTSIIA_gutA', 10223),
(10224, 'PF09046', NULL, 'AvrPtoB E3 ubiquitin ligase', 126, NULL, 'AvrPtoB-E3_ubiq', 10224),
(10225, 'PF17475', NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 2', 218, NULL, 'Binary_toxB_2', 10225),
(10226, 'PF04380', NULL, 'Membrane fusogenic activity', 77, NULL, 'BMFP', 10226),
(10227, 'PF18144', NULL, 'Second Messenger Oligonucleotide or Dinucleotide Synthetase domain', 164, NULL, 'SMODS', 10227),
(10228, 'PF03524', NULL, 'Conjugal transfer protein', 207, NULL, 'CagX', 10228),
(10229, 'PF15451', NULL, 'Domain of unknown function (DUF4632)', 71, NULL, 'DUF4632', 10229),
(10230, 'PF09189', NULL, 'Domain of unknown function (DUF1952)', 73, NULL, 'DUF1952', 10230),
(10231, 'PF12216', NULL, 'Immune evasion protein', 272, NULL, 'm04gp34like', 10231),
(10232, 'PF17106', NULL, 'Sigma domain on NACHT-NTPases', 42, NULL, 'NACHT_sigma', 10232),
(10233, 'PF14274', NULL, 'Domain of unknown function (DUF4361)', 143, NULL, 'DUF4361', 10233),
(10234, 'PF04410', NULL, 'Gar1/Naf1 RNA binding region', 154, NULL, 'Gar1', 10234),
(10235, 'PF14707', NULL, 'C-terminal region of aryl-sulfatase', 124, NULL, 'Sulfatase_C', 10235),
(10236, 'PF11572', NULL, 'Protein of unknown function (DUF3234)', 95, NULL, 'DUF3234', 10236),
(10237, 'PF04306', NULL, 'Protein of unknown function (DUF456)', 139, NULL, 'DUF456', 10237),
(10238, 'PF16974', NULL, 'High-affinity nitrate transporter accessory', 174, NULL, 'NAR2', 10238),
(10239, 'PF05271', NULL, 'Tobravirus 2B protein', 117, NULL, 'Tobravirus_2B', 10239),
(10240, 'PF10668', NULL, 'Phage terminase small subunit', 67, NULL, 'Phage_terminase', 10240),
(10241, 'PF06607', NULL, 'Prokineticin', 97, NULL, 'Prokineticin', 10241),
(10242, 'PF04916', NULL, 'Phospholipase B', 544, NULL, 'Phospholip_B', 10242),
(10243, 'PF16589', NULL, 'BRCT domain, a BRCA1 C-terminus domain', 84, NULL, 'BRCT_2', 10243);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10244, 'PF15631', NULL, 'NTF2 fold immunity protein', 72, NULL, 'Imm-NTF2-2', 10244),
(10245, 'PF13999', NULL, 'MarB protein', 65, NULL, 'MarB', 10245),
(10246, 'PF16848', NULL, 'Substrate of the Dot/Icm secretion system, putative', 178, NULL, 'SoDot-IcmSS', 10246),
(10247, 'PF05395', NULL, 'Protein phosphatase inhibitor 1/DARPP-32', 160, NULL, 'DARPP-32', 10247),
(10248, 'PF18683', NULL, 'Chitinase W immunoglobulin-like domain', 106, NULL, 'ChiW_Ig_like', 10248),
(10249, 'PF16686', NULL, 'ssDNA-binding domain of telomere protection protein', 155, NULL, 'POT1PC', 10249),
(10250, 'PF06298', NULL, 'Photosystem II protein Y (PsbY)', 35, NULL, 'PsbY', 10250),
(10251, 'PF10823', NULL, 'Protein of unknown function (DUF2568)', 92, NULL, 'DUF2568', 10251),
(10252, 'PF08312', NULL, 'cwf21 domain', 44, NULL, 'cwf21', 10252),
(10253, 'PF07681', NULL, 'DoxX', 85, NULL, 'DoxX', 10253),
(10254, 'PF16746', NULL, 'BAR domain of APPL family', 235, NULL, 'BAR_3', 10254),
(10255, 'PF10492', NULL, 'Nrf1 activator activation site binding domain', 85, NULL, 'Nrf1_activ_bdg', 10255),
(10256, 'PF19161', NULL, 'Family of unknown function (DUF5843)', 196, NULL, 'DUF5843', 10256),
(10257, 'PF04760', NULL, 'Translation initiation factor IF-2, N-terminal region', 54, NULL, 'IF2_N', 10257),
(10258, 'PF01076', NULL, 'Plasmid recombination enzyme', 196, NULL, 'Mob_Pre', 10258),
(10259, 'PF14718', NULL, 'Soluble lytic murein transglycosylase L domain', 68, NULL, 'SLT_L', 10259),
(10260, 'PF18491', NULL, 'SET and RING associated domain', 140, NULL, 'SRA', 10260),
(10261, 'PF15089', NULL, 'Domain of unknown function (DUF4552)', 425, NULL, 'DUF4552', 10261),
(10262, 'PF07256', NULL, 'Protein of unknown function (DUF1435)', 75, NULL, 'DUF1435', 10262),
(10263, 'PF07660', NULL, 'Secretin and TonB N terminus short domain', 52, NULL, 'STN', 10263),
(10264, 'PF13840', NULL, 'ACT domain', 65, NULL, 'ACT_7', 10264),
(10265, 'PF11161', NULL, 'Protein of unknown function (DUF2946)', 178, NULL, 'DUF2944', 10265),
(10266, 'PF11452', NULL, 'Protein of unknown function (DUF3000)', 176, NULL, 'DUF3000', 10266),
(10267, 'PF01590', NULL, 'GAF domain', 133, NULL, 'GAF', 10267),
(10268, 'PF16108', NULL, 'Domain of unknown function (DUF4826)', 128, NULL, 'DUF4826', 10268),
(10269, 'PF07287', NULL, 'Acyclic terpene utilisation family protein AtuA', 351, NULL, 'AtuA', 10269),
(10270, 'PF02024', NULL, 'Leptin', 145, NULL, 'Leptin', 10270),
(10271, 'PF16124', NULL, 'RecQ zinc-binding', 66, NULL, 'RecQ_Zn_bind', 10271),
(10272, 'PF04527', NULL, 'Drosophila Retinin like protein', 63, NULL, 'Retinin_C', 10272),
(10273, 'PF16136', NULL, 'Putative nuclear localisation signal', 114, NULL, 'NINJA_B', 10273),
(10274, 'PF02683', NULL, 'Cytochrome C biogenesis protein transmembrane region', 213, NULL, 'DsbD', 10274),
(10275, 'PF13826', NULL, 'Domain of unknown function (DUF4188)', 118, NULL, 'DUF4188', 10275),
(10276, 'PF02200', NULL, 'STE like transcription factor', 110, NULL, 'STE', 10276),
(10277, 'PF01066', NULL, 'CDP-alcohol phosphatidyltransferase', 66, NULL, 'CDP-OH_P_transf', 10277),
(10278, 'PF12230', NULL, 'Pre-mRNA splicing factor PRP21 like protein', 217, NULL, 'PRP21_like_P', 10278),
(10279, 'PF10805', NULL, 'Protein of unknown function (DUF2730)', 102, NULL, 'DUF2730', 10279),
(10280, 'PF09456', NULL, 'RcsC Alpha-Beta-Loop (ABL)', 91, NULL, 'RcsC', 10280),
(10281, 'PF06638', NULL, 'Strabismus protein', 504, NULL, 'Strabismus', 10281),
(10282, 'PF01976', NULL, 'Protein of unknown function DUF116', 155, NULL, 'DUF116', 10282),
(10283, 'PF14277', NULL, 'Domain of unknown function (DUF4364)', 162, NULL, 'DUF4364', 10283),
(10284, 'PF10618', NULL, 'Phage tail tube protein', 117, NULL, 'Tail_tube', 10284),
(10285, 'PF14076', NULL, 'Domain of unknown function (DUF4258)', 63, NULL, 'DUF4258', 10285),
(10286, 'PF14311', NULL, 'Probable Zinc-ribbon domain', 56, NULL, 'DUF4379', 10286),
(10287, 'PF04120', NULL, 'Low affinity iron permease', 128, NULL, 'Iron_permease', 10287); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10288, 'PF16256', NULL, 'Domain of unknown function (DUF4911)', 57, NULL, 'DUF4911', 10288),
(10289, 'PF08716', NULL, 'Coronavirus replicase NSP7', 83, NULL, 'CoV_NSP7', 10289),
(10290, 'PF13761', NULL, 'Domain of unknown function (DUF4166)', 183, NULL, 'DUF4166', 10290),
(10291, 'PF11073', NULL, 'Rift valley fever virus non structural protein (NSs) like', 242, NULL, 'NSs', 10291),
(10292, 'PF03459', NULL, 'TOBE domain', 64, NULL, 'TOBE', 10292),
(10293, 'PF05385', NULL, 'Mastadenovirus early E4 13 kDa protein', 108, NULL, 'Adeno_E4', 10293),
(10294, 'PF06084', NULL, 'Cytomegalovirus TRL10 protein', 150, NULL, 'Cytomega_TRL10', 10294),
(10295, 'PF06431', NULL, 'Polyomavirus large T antigen C-terminus', 417, NULL, 'Polyoma_lg_T_C', 10295),
(10296, 'PF00919', NULL, 'Uncharacterized protein family UPF0004', 98, NULL, 'UPF0004', 10296),
(10297, 'PF13945', NULL, 'Salt tolerance down-regulator', 192, NULL, 'NST1', 10297),
(10298, 'PF14119', NULL, 'Domain of unknown function (DUF4288)', 85, NULL, 'DUF4288', 10298),
(10299, 'PF01496', NULL, 'V-type ATPase 116kDa subunit family', 812, NULL, 'V_ATPase_I', 10299),
(10300, 'PF16217', NULL, 'Peptidase M64 N-terminus', 122, NULL, 'M64_N', 10300),
(10301, 'PF06388', NULL, 'Protein of unknown function (DUF1075)', 124, NULL, 'DUF1075', 10301),
(10302, 'PF05831', NULL, 'GAGE protein', 107, NULL, 'GAGE', 10302),
(10303, 'PF07367', NULL, 'Fungal fruit body lectin', 140, NULL, 'FB_lectin', 10303),
(10304, 'PF19109', NULL, 'Family of unknown function (DUF5796)', 139, NULL, 'DUF5796', 10304),
(10305, 'PF08794', NULL, 'Lipoprotein GNA1870 C terminal like', 155, NULL, 'Lipoprot_C', 10305),
(10306, 'PF15011', NULL, 'Casein Kinase 2 substrate', 161, NULL, 'CK2S', 10306),
(10307, 'PF07238', NULL, 'PilZ domain', 103, NULL, 'PilZ', 10307),
(10308, 'PF14604', NULL, 'Variant SH3 domain', 49, NULL, 'SH3_9', 10308),
(10309, 'PF11598', NULL, 'Cartilage oligomeric matrix protein', 45, NULL, 'COMP', 10309),
(10310, 'PF02832', NULL, 'Flavivirus glycoprotein, immunoglobulin-like domain', 97, NULL, 'Flavi_glycop_C', 10310),
(10311, 'PF15477', NULL, 'Small acidic protein family', 76, NULL, 'SMAP', 10311),
(10312, 'PF14776', NULL, 'Cation-channel complex subunit UNC-79', 525, NULL, 'UNC-79', 10312),
(10313, 'PF05801', NULL, 'Lagovirus protein of unknown function (DUF840)', 113, NULL, 'DUF840', 10313),
(10314, 'PF17999', NULL, 'Pullulanase N1-terminal domain', 85, NULL, 'PulA_N1', 10314),
(10315, 'PF00168', NULL, 'C2 domain', 103, NULL, 'C2', 10315),
(10316, 'PF16663', NULL, 'Unstructured region on MAGI', 60, NULL, 'MAGI_u1', 10316),
(10317, 'PF11141', NULL, 'Protein of unknown function (DUF2914)', 63, NULL, 'DUF2914', 10317),
(10318, 'PF04130', NULL, 'Gamma tubulin complex component C-terminal', 308, NULL, 'GCP_C_terminal', 10318),
(10319, 'PF11823', NULL, 'Protein of unknown function (DUF3343)', 69, NULL, 'DUF3343', 10319),
(10320, 'PF17666', NULL, 'Family of unknown function (DUF5528)', 152, NULL, 'DUF5528', 10320),
(10321, 'PF15839', NULL, 'Testis-expressed sequence 29 protein', 76, NULL, 'TEX29', 10321),
(10322, 'PF10014', NULL, '2OG-Fe dioxygenase', 191, NULL, '2OG-Fe_Oxy_2', 10322),
(10323, 'PF17485', NULL, 'Satellite RNA 48 kDa protein', 299, NULL, 'SatRNA_48', 10323),
(10324, 'PF12925', NULL, 'E2 domain of amyloid precursor protein', 190, NULL, 'APP_E2', 10324),
(10325, 'PF05356', NULL, 'Inovirus Coat protein B', 56, NULL, 'Phage_Coat_B', 10325),
(10326, 'PF13718', NULL, 'GNAT acetyltransferase 2', 226, NULL, 'GNAT_acetyltr_2', 10326),
(10327, 'PF12671', NULL, 'Putative amidase domain', 164, NULL, 'Amidase_6', 10327),
(10328, 'PF11444', NULL, 'Protein of unknown function (DUF2895)', 198, NULL, 'DUF2895', 10328),
(10329, 'PF02932', NULL, 'Neurotransmitter-gated ion-channel transmembrane region', 238, NULL, 'Neur_chan_memb', 10329),
(10330, 'PF12501', NULL, 'Phosphate ATP-binding cassette transporter', 166, NULL, 'DUF3708', 10330),
(10331, 'PF17875', NULL, 'RPA43 OB domain in RNA Pol I', 123, NULL, 'RPA43_OB', 10331);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10332, 'PF05913', NULL, 'DUF871 C-terminal domain', 118, NULL, 'DUF871', 10332),
(10333, 'PF14283', NULL, 'Domain of unknown function (DUF4366)', 144, NULL, 'DUF4366', 10333),
(10334, 'PF10002', NULL, 'Predicted membrane protein (DUF2243)', 140, NULL, 'DUF2243', 10334),
(10335, 'PF11931', NULL, 'Domain of unknown function (DUF3449)', 191, NULL, 'DUF3449', 10335),
(10336, 'PF12446', NULL, 'Protein of unknown function (DUF3682)', 130, NULL, 'DUF3682', 10336),
(10337, 'PF01907', NULL, 'Ribosomal protein L37e', 54, NULL, 'Ribosomal_L37e', 10337),
(10338, 'PF06590', NULL, 'PerB protein', 129, NULL, 'PerB', 10338),
(10339, 'PF09563', NULL, 'LlaJI restriction endonuclease', 365, NULL, 'RE_LlaJI', 10339),
(10340, 'PF00886', NULL, 'Ribosomal protein S16', 62, NULL, 'Ribosomal_S16', 10340),
(10341, 'PF05235', NULL, 'CHAD domain', 227, NULL, 'CHAD', 10341),
(10342, 'PF08073', NULL, 'CHDNT (NUC034) domain', 54, NULL, 'CHDNT', 10342),
(10343, 'PF04032', NULL, 'RNAse P Rpr2/Rpp21/SNM1 subunit domain', 90, NULL, 'Rpr2', 10343),
(10344, 'PF10311', NULL, 'Increased loss of mitochondrial DNA protein 1', 163, NULL, 'Ilm1', 10344),
(10345, 'PF10226', NULL, 'CCDC85 family', 193, NULL, 'CCDC85', 10345),
(10346, 'PF08938', NULL, 'HBS1 N-terminus', 83, NULL, 'HBS1_N', 10346),
(10347, 'PF15902', NULL, 'Sortilin, neurotensin receptor 3,', 446, NULL, 'Sortilin-Vps10', 10347),
(10348, 'PF03273', NULL, 'Baculovirus gp64 envelope glycoprotein family', 494, NULL, 'Baculo_gp64', 10348),
(10349, 'PF11691', NULL, 'Protein of unknown function (DUF3288)', 89, NULL, 'DUF3288', 10349),
(10350, 'PF12046', NULL, 'Cofactor assembly of complex C subunit B', 168, NULL, 'CCB1', 10350),
(10351, 'PF00140', NULL, 'Sigma-70 factor, region 1.2', 34, NULL, 'Sigma70_r1_2', 10351),
(10352, 'PF07720', NULL, 'Tetratricopeptide repeat', 36, NULL, 'TPR_3', 10352),
(10353, 'PF14234', NULL, 'Domain of unknown function (DUF4336)', 319, NULL, 'DUF4336', 10353),
(10354, 'PF10638', NULL, 'Spindle body associated protein C-terminus', 103, NULL, 'Sfi1_C', 10354),
(10355, 'PF09885', NULL, 'Uncharacterized protein conserved in archaea (DUF2112)', 143, NULL, 'DUF2112', 10355),
(10356, 'PF02296', NULL, 'Alpha adaptin AP2, C-terminal domain', 113, NULL, 'Alpha_adaptin_C', 10356),
(10357, 'PF02990', NULL, 'Endomembrane protein 70', 517, NULL, 'EMP70', 10357),
(10358, 'PF18663', NULL, 'Pallilysin beta barrel domain', 118, NULL, 'Pallilysin', 10358),
(10359, 'PF00770', NULL, 'Adenovirus endoprotease', 179, NULL, 'Peptidase_C5', 10359),
(10360, 'PF05178', NULL, 'KRI1-like family', 103, NULL, 'Kri1', 10360),
(10361, 'PF01925', NULL, 'Sulfite exporter TauE/SafE', 237, NULL, 'TauE', 10361),
(10362, 'PF13121', NULL, 'Domain of unknown function (DUF3976)', 40, NULL, 'DUF3976', 10362),
(10363, 'PF04827', NULL, 'Plant transposon protein', 205, NULL, 'Plant_tran', 10363),
(10364, 'PF01198', NULL, 'Ribosomal protein L31e', 82, NULL, 'Ribosomal_L31e', 10364),
(10365, 'PF03996', NULL, 'Hemagglutinin esterase', 238, NULL, 'Hema_esterase', 10365),
(10366, 'PF07176', NULL, 'Alpha/beta hydrolase of unknown function (DUF1400)', 127, NULL, 'DUF1400', 10366),
(10367, 'PF00626', NULL, 'Gelsolin repeat', 76, NULL, 'Gelsolin', 10367),
(10368, 'PF15596', NULL, 'Immunity protein 57', 109, NULL, 'Imm57', 10368),
(10369, 'PF03846', NULL, 'Cell division inhibitor SulA', 115, NULL, 'SulA', 10369),
(10370, 'PF03090', NULL, 'Replicase family', 130, NULL, 'Replicase', 10370),
(10371, 'PF09430', NULL, 'Protein of unknown function (DUF2012)', 123, NULL, 'DUF2012', 10371),
(10372, 'PF06573', NULL, 'Churchill protein', 111, NULL, 'Churchill', 10372),
(10373, 'PF04450', NULL, 'Peptidase of plants and bacteria', 207, NULL, 'BSP', 10373),
(10374, 'PF04771', NULL, 'Chicken anaemia virus VP-3 protein', 121, NULL, 'CAV_VP3', 10374),
(10375, 'PF08775', NULL, 'ParB family', 126, NULL, 'ParB', 10375),
(10376, 'PF03906', NULL, 'Phage T7 tail fibre protein', 157, NULL, 'Phage_T7_tail', 10376),
(10377, 'PF07981', NULL, 'Plasmodium repeat_MYXSPDY', 17, NULL, 'Plasmod_MYXSPDY', 10377);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10378, 'PF04200', NULL, 'Lipoprotein associated domain', 84, NULL, 'Lipoprotein_17', 10378),
(10379, 'PF08550', NULL, 'Fungal protein of unknown function (DUF1752)', 28, NULL, 'DUF1752', 10379),
(10380, 'PF01229', NULL, 'Glycosyl hydrolases family 39', 490, NULL, 'Glyco_hydro_39', 10380),
(10381, 'PF11066', NULL, 'Protein of unknown function (DUF2867)', 146, NULL, 'DUF2867', 10381),
(10382, 'PF06474', NULL, 'MltD lipid attachment motif', 34, NULL, 'MLTD_N', 10382),
(10383, 'PF05204', NULL, 'Homing endonuclease', 110, NULL, 'Hom_end', 10383),
(10384, 'PF17562', NULL, 'Styelin', 59, NULL, 'Styelin', 10384),
(10385, 'PF15637', NULL, 'HNH/Endo VII superfamily nuclease toxin with a HHH motif', 103, NULL, 'Tox-HNH-HHH', 10385),
(10386, 'PF11516', NULL, 'Protein of unknown function (DUF3120)', 106, NULL, 'DUF3220', 10386),
(10387, 'PF10420', NULL, 'Cytokine interleukin-12p40 C-terminus', 84, NULL, 'IL12p40_C', 10387),
(10388, 'PF01753', NULL, 'MYND finger', 38, NULL, 'zf-MYND', 10388),
(10389, 'PF06232', NULL, 'Embryo-specific protein 3, (ATS3)', 125, NULL, 'ATS3', 10389),
(10390, 'PF06691', NULL, 'Protein of unknown function (DUF1189)', 245, NULL, 'DUF1189', 10390),
(10391, 'PF10972', NULL, 'Peptidoglycan-binding protein, CsiV', 252, NULL, 'CsiV', 10391),
(10392, 'PF00901', NULL, 'Orbivirus outer capsid protein VP5', 507, NULL, 'Orbi_VP5', 10392),
(10393, 'PF04811', NULL, 'Sec23/Sec24 trunk domain', 243, NULL, 'Sec23_trunk', 10393),
(10394, 'PF06429', NULL, 'Flagellar basal body rod FlgEFG protein C-terminal', 74, NULL, 'Flg_bbr_C', 10394),
(10395, 'PF06029', NULL, 'AlkA N-terminal domain', 116, NULL, 'AlkA_N', 10395),
(10396, 'PF08287', NULL, 'Spc19', 156, NULL, 'DASH_Spc19', 10396),
(10397, 'PF08002', NULL, 'Protein of unknown function (DUF1697)', 136, NULL, 'DUF1697', 10397),
(10398, 'PF02373', NULL, 'JmjC domain, hydroxylase', 114, NULL, 'JmjC', 10398),
(10399, 'PF17895', NULL, 'Giardia Dicer N-terminal domain', 144, NULL, 'Dicer_N', 10399),
(10400, 'PF09799', NULL, 'Predicted membrane protein', 107, NULL, 'Transmemb_17', 10400),
(10401, 'PF04753', NULL, 'Coronavirus non-structural protein NS12.7 family', 109, NULL, 'Corona_NS12-7', 10401),
(10402, 'PF16622', NULL, 'zinc-finger C2H2-type', 29, NULL, 'zf-C2H2_11', 10402),
(10403, 'PF01784', NULL, 'NIF3 (NGG1p interacting factor 3)', 245, NULL, 'NIF3', 10403),
(10404, 'PF02936', NULL, 'Cytochrome c oxidase subunit IV', 141, NULL, 'COX4', 10404),
(10405, 'PF18468', NULL, 'Phosphofructokinase N-terminal domain yeast', 98, NULL, 'Pfk_N', 10405),
(10406, 'PF01221', NULL, 'Dynein light chain type 1', 86, NULL, 'Dynein_light', 10406),
(10407, 'PF01944', NULL, 'Stage II sporulation protein M', 156, NULL, 'SpoIIM', 10407),
(10408, 'PF17692', NULL, 'Family of unknown function (DUF5538)', 130, NULL, 'DUF5538', 10408),
(10409, 'PF12634', NULL, 'Inheritance of peroxisomes protein 1', 137, NULL, 'Inp1', 10409),
(10410, 'PF03173', NULL, 'Putative carbohydrate binding domain', 158, NULL, 'CHB_HEX', 10410),
(10411, 'PF10782', NULL, 'Zinc-finger', 58, NULL, 'zf-C2HCIx2C', 10411),
(10412, 'PF16372', NULL, 'Domain of unknown function (DUF4984)', 163, NULL, 'DUF4984', 10412),
(10413, 'PF04449', NULL, 'CS1 type fimbrial major subunit', 134, NULL, 'Fimbrial_CS1', 10413),
(10414, 'PF05067', NULL, 'Manganese containing catalase', 284, NULL, 'Mn_catalase', 10414),
(10415, 'PF08116', NULL, 'PhTx neurotoxin family', 31, NULL, 'Toxin_29', 10415),
(10416, 'PF02635', NULL, 'DsrE/DsrF-like family', 117, NULL, 'DrsE', 10416),
(10417, 'PF15991', NULL, 'G-protein pathway suppressor', 276, NULL, 'G_path_suppress', 10417),
(10418, 'PF06436', NULL, 'Pneumovirus matrix protein 2 (M2)', 157, NULL, 'Pneumovirus_M2', 10418),
(10419, 'PF06873', NULL, 'Cell surface immobilisation antigen SerH', 417, NULL, 'SerH', 10419),
(10420, 'PF10280', NULL, 'Mediator complex protein', 137, NULL, 'Med11', 10420),
(10421, 'PF08341', NULL, 'Thioester domain', 100, NULL, 'TED', 10421),
(10422, 'PF13668', NULL, 'Ferritin-like domain', 138, NULL, 'Ferritin_2', 10422);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10423, 'PF14900', NULL, 'Domain of unknown function (DUF4493)', 226, NULL, 'DUF4493', 10423),
(10424, 'PF18787', NULL, 'CRM1 / Exportin repeat 3', 51, NULL, 'CRM1_repeat_3', 10424),
(10425, 'PF01863', NULL, 'Protein of unknown function DUF45', 207, NULL, 'DUF45', 10425),
(10426, 'PF02862', NULL, 'DDHD domain', 239, NULL, 'DDHD', 10426),
(10427, 'PF12710', NULL, 'haloacid dehalogenase-like hydrolase', 188, NULL, 'HAD', 10427),
(10428, 'PF09069', NULL, 'EF-hand', 92, NULL, 'EF-hand_3', 10428),
(10429, 'PF13479', NULL, 'AAA domain', 196, NULL, 'AAA_24', 10429),
(10430, 'PF13240', NULL, 'zinc-ribbon domain', 23, NULL, 'zinc_ribbon_2', 10430),
(10431, 'PF10870', NULL, 'Protein of unknown function (DUF2729)', 57, NULL, 'DUF2729', 10431),
(10432, 'PF02891', NULL, 'MIZ/SP-RING zinc finger', 50, NULL, 'zf-MIZ', 10432),
(10433, 'PF01916', NULL, 'Deoxyhypusine synthase', 288, NULL, 'DS', 10433),
(10434, 'PF00132', NULL, 'Bacterial transferase hexapeptide (six repeats)', 36, NULL, 'Hexapep', 10434),
(10435, 'PF18533', NULL, 'Domain of unknown function (DUF5622)', 66, NULL, 'DUF5622', 10435),
(10436, 'PF02593', NULL, 'Domain of unknown function', 220, NULL, 'DUF166', 10436),
(10437, 'PF16426', NULL, 'Domain of unknown function (DUF5023)', 197, NULL, 'DUF5023', 10437),
(10438, 'PF15275', NULL, 'PEHE domain', 128, NULL, 'PEHE', 10438),
(10439, 'PF10813', NULL, 'Protein of unknown function (DUF2733)', 32, NULL, 'DUF2733', 10439),
(10440, 'PF01405', NULL, 'Photosystem II reaction centre T protein', 29, NULL, 'PsbT', 10440),
(10441, 'PF17579', NULL, 'Family of unknown function (DUF5482)', 159, NULL, 'DUF5482', 10441),
(10442, 'PF03858', NULL, 'Crustacean neurohormone H', 41, NULL, 'Crust_neuro_H', 10442),
(10443, 'PF09579', NULL, 'Sporulation protein YtfJ (Spore_YtfJ)', 81, NULL, 'Spore_YtfJ', 10443),
(10444, 'PF09853', NULL, 'Putative transposon-encoded protein (DUF2080)', 50, NULL, 'DUF2080', 10444),
(10445, 'PF16405', NULL, 'Domain of unknown function (DUF5013)', 144, NULL, 'DUF5013', 10445),
(10446, 'PF12128', NULL, 'Protein of unknown function (DUF3584)', 1190, NULL, 'DUF3584', 10446),
(10447, 'PF16739', NULL, 'Caspase recruitment domain', 93, NULL, 'CARD_2', 10447),
(10448, 'PF09830', NULL, 'ATP adenylyltransferase', 65, NULL, 'ATP_transf', 10448),
(10449, 'PF14266', NULL, 'Putative component of ''biosynthetic module''', 483, NULL, 'YceG_bac', 10449),
(10450, 'PF12520', NULL, 'Protein of unknown function (DUF3723)', 508, NULL, 'DUF3723', 10450),
(10451, 'PF06166', NULL, 'Protein of unknown function (DUF979)', 312, NULL, 'DUF979', 10451),
(10452, 'PF17946', NULL, 'RecC C-terminal domain', 200, NULL, 'RecC_C', 10452),
(10453, 'PF08529', NULL, 'NusA N-terminal domain', 120, NULL, 'NusA_N', 10453),
(10454, 'PF13400', NULL, 'Putative Flp pilus-assembly TadE/G-like', 48, NULL, 'Tad', 10454),
(10455, 'PF17139', NULL, 'Domain of unknown function (DUF5112)', 266, NULL, 'DUF5112', 10455),
(10456, 'PF05621', NULL, 'Bacterial TniB protein', 189, NULL, 'TniB', 10456),
(10457, 'PF03249', NULL, 'Type specific antigen', 510, NULL, 'TSA', 10457),
(10458, 'PF12266', NULL, 'Protein of unknown function (DUF3613)', 67, NULL, 'DUF3613', 10458),
(10459, 'PF11146', NULL, 'Protein of unknown function (DUF2905)', 62, NULL, 'DUF2905', 10459),
(10460, 'PF11222', NULL, 'Protein of unknown function (DUF3017)', 74, NULL, 'DUF3017', 10460),
(10461, 'PF09917', NULL, 'Uncharacterized protein conserved in bacteria (DUF2147)', 111, NULL, 'DUF2147', 10461),
(10462, 'PF08712', NULL, 'Scaffold protein Nfu/NifU N terminal', 88, NULL, 'Nfu_N', 10462),
(10463, 'PF16652', NULL, 'Pleckstrin homology domain', 156, NULL, 'PH_13', 10463),
(10464, 'PF13502', NULL, 'AsmA-like C-terminal region', 225, NULL, 'AsmA_2', 10464),
(10465, 'PF03714', NULL, 'Bacterial pullanase-associated domain', 97, NULL, 'PUD', 10465),
(10466, 'PF07087', NULL, 'Protein of unknown function (DUF1353)', 91, NULL, 'DUF1353', 10466),
(10467, 'PF09478', NULL, 'Carbohydrate binding domain CBM49', 81, NULL, 'CBM49', 10467);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10468, 'PF18640', NULL, 'LepB N-terminal domain', 183, NULL, 'LepB_N', 10468),
(10469, 'PF16300', NULL, 'Type of WD40 repeat', 44, NULL, 'WD40_4', 10469),
(10470, 'PF16581', NULL, 'Cytidyltransferase-related C-terminal region', 203, NULL, 'HIGH_NTase1_ass', 10470),
(10471, 'PF18966', NULL, 'Uncharacterised lipoprotein', 181, NULL, 'Lipoprotein_23', 10471),
(10472, 'PF06939', NULL, 'Protein of unknown function (DUF1286)', 112, NULL, 'DUF1286', 10472),
(10473, 'PF07865', NULL, 'Protein of unknown function (DUF1652)', 67, NULL, 'DUF1652', 10473),
(10474, 'PF05168', NULL, 'HEPN domain', 117, NULL, 'HEPN', 10474),
(10475, 'PF01396', NULL, 'Topoisomerase DNA binding C4 zinc finger', 39, NULL, 'zf-C4_Topoisom', 10475),
(10476, 'PF01552', NULL, 'Picornavirus 2B protein', 99, NULL, 'Pico_P2B', 10476),
(10477, 'PF11627', NULL, 'Nuclear factor hnRNPA1', 38, NULL, 'HnRNPA1', 10477),
(10478, 'PF06611', NULL, 'Protein of unknown function (DUF1145)', 58, NULL, 'DUF1145', 10478),
(10479, 'PF10955', NULL, 'Protein of unknown function (DUF2757)', 76, NULL, 'DUF2757', 10479),
(10480, 'PF13206', NULL, 'Trypanosomal VSG domain', 353, NULL, 'VSG_B', 10480),
(10481, 'PF03903', NULL, 'Phage T4 tail fibre', 131, NULL, 'Phage_T4_gp36', 10481),
(10482, 'PF12959', NULL, 'Protein of unknown function (DUF3848)', 95, NULL, 'DUF3848', 10482),
(10483, 'PF07353', NULL, 'Uroplakin II', 179, NULL, 'Uroplakin_II', 10483),
(10484, 'PF13863', NULL, 'Domain of unknown function (DUF4200)', 119, NULL, 'DUF4200', 10484),
(10485, 'PF18121', NULL, 'TFA2 Winged helix domain 2', 62, NULL, 'TFA2_Winged_2', 10485),
(10486, 'PF04767', NULL, 'DNA-binding 11 kDa phosphoprotein', 94, NULL, 'Pox_F17', 10486),
(10487, 'PF18997', NULL, 'Family of unknown function (DUF5727)', 192, NULL, 'DUF5727', 10487),
(10488, 'PF17686', NULL, 'Family of unknown function (DUF5534)', 183, NULL, 'DUF5534', 10488),
(10489, 'PF07962', NULL, 'Replication Fork Protection Component Swi3', 84, NULL, 'Swi3', 10489),
(10490, 'PF07408', NULL, 'Protein of unknown function (DUF1507)', 85, NULL, 'DUF1507', 10490),
(10491, 'PF15016', NULL, 'Domain of unknown function (DUF4520)', 91, NULL, 'DUF4520', 10491),
(10492, 'PF17166', NULL, 'Domain of unknown function (DUF5126)', 104, NULL, 'DUF5126', 10492),
(10493, 'PF01763', NULL, 'Herpesvirus UL6 like', 563, NULL, 'Herpes_UL6', 10493),
(10494, 'PF16864', NULL, 'Dimerisation domain', 90, NULL, 'Dimerisation2', 10494),
(10495, 'PF02875', NULL, 'Mur ligase family, glutamate ligase domain', 91, NULL, 'Mur_ligase_C', 10495),
(10496, 'PF05433', NULL, 'Glycine zipper 2TM domain', 42, NULL, 'Rick_17kDa_Anti', 10496),
(10497, 'PF08578', NULL, 'Protein of unknown function (DUF1765)', 125, NULL, 'DUF1765', 10497),
(10498, 'PF03510', NULL, '2C endopeptidase (C24) cysteine protease family', 105, NULL, 'Peptidase_C24', 10498),
(10499, 'PF17645', NULL, 'Arylmalonate decarboxylase', 217, NULL, 'Amdase', 10499),
(10500, 'PF03605', NULL, 'Anaerobic c4-dicarboxylate membrane transporter', 368, NULL, 'DcuA_DcuB', 10500),
(10501, 'PF18785', NULL, 'Invertebrate-AID/APOBEC-deaminase', 129, NULL, 'Inv-AAD', 10501),
(10502, 'PF09838', NULL, 'Uncharacterized protein conserved in bacteria (DUF2065)', 56, NULL, 'DUF2065', 10502),
(10503, 'PF04483', NULL, 'Protein of unknown function (DUF565)', 60, NULL, 'DUF565', 10503),
(10504, 'PF14549', NULL, 'DNA-binding transcriptional regulator Cro', 60, NULL, 'P22_Cro', 10504),
(10505, 'PF03573', NULL, 'outer membrane porin, OprD family', 394, NULL, 'OprD', 10505),
(10506, 'PF13598', NULL, 'Domain of unknown function (DUF4139)', 208, NULL, 'DUF4139', 10506),
(10507, 'PF17886', NULL, 'HSP20-like domain found in ArsA', 63, NULL, 'ArsA_HSP20', 10507),
(10508, 'PF02773', NULL, 'S-adenosylmethionine synthetase, C-terminal domain', 138, NULL, 'S-AdoMet_synt_C', 10508),
(10509, 'PF01874', NULL, 'ATP:dephospho-CoA triphosphoribosyl transferase', 286, NULL, 'CitG', 10509),
(10510, 'PF14598', NULL, 'PAS domain', 113, NULL, 'PAS_11', 10510);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10511, 'PF13541', NULL, 'Subunit ChlI of Mg-chelatase', 121, NULL, 'ChlI', 10511),
(10512, 'PF12338', NULL, 'Ribulose-1,5-bisphosphate carboxylase small subunit', 45, NULL, 'RbcS', 10512),
(10513, 'PF11635', NULL, 'Mediator complex subunit 16', 758, NULL, 'Med16', 10513),
(10514, 'PF01956', NULL, 'Integral membrane protein EMC3/TMCO1-like', 170, NULL, 'EMC3_TMCO1', 10514),
(10515, 'PF01446', NULL, 'Replication protein', 250, NULL, 'Rep_1', 10515),
(10516, 'PF12689', NULL, 'Acid Phosphatase', 169, NULL, 'Acid_PPase', 10516),
(10517, 'PF07096', NULL, 'Protein of unknown function (DUF1358)', 115, NULL, 'DUF1358', 10517),
(10518, 'PF10383', NULL, 'Transcription-silencing protein Clr2', 143, NULL, 'Clr2', 10518),
(10519, 'PF02890', NULL, 'Borrelia family of unknown function DUF226', 139, NULL, 'DUF226', 10519),
(10520, 'PF16048', NULL, 'Frog antimicrobial peptide', 17, NULL, 'Antimicrobial23', 10520),
(10521, 'PF01274', NULL, 'Malate synthase', 526, NULL, 'Malate_synthase', 10521),
(10522, 'PF15978', NULL, 'Tn7-like transposition protein D', 360, NULL, 'TnsD', 10522),
(10523, 'PF17526', NULL, 'Family of unknown function (DUF5448)', 118, NULL, 'DUF5448', 10523),
(10524, 'PF14468', NULL, 'Protein of unknown function (DUF4427)', 132, NULL, 'DUF4427', 10524),
(10525, 'PF12524', NULL, 'dsDNA virus glycoprotein L C terminal', 65, NULL, 'GlyL_C', 10525),
(10526, 'PF03391', NULL, 'Nepovirus coat protein, central domain', 167, NULL, 'Nepo_coat', 10526),
(10527, 'PF07080', NULL, 'Protein of unknown function (DUF1348)', 130, NULL, 'DUF1348', 10527),
(10528, 'PF06664', NULL, 'Wnt-binding factor required for Wnt secretion', 295, NULL, 'MIG-14_Wnt-bd', 10528),
(10529, 'PF01257', NULL, 'Thioredoxin-like [2Fe-2S] ferredoxin', 145, NULL, '2Fe-2S_thioredx', 10529),
(10530, 'PF02735', NULL, 'Ku70/Ku80 beta-barrel domain', 204, NULL, 'Ku', 10530),
(10531, 'PF18703', NULL, 'MALT1 Ig-like domain', 138, NULL, 'MALT1_Ig', 10531),
(10532, 'PF17628', NULL, 'Inclusion membrane protein D', 141, NULL, 'IncD', 10532),
(10533, 'PF17632', NULL, 'Family of unknown function (DUF5513)', 91, NULL, 'DUF5513', 10533),
(10534, 'PF08630', NULL, 'Dfp1/Him1, central region', 128, NULL, 'Dfp1_Him1_M', 10534),
(10535, 'PF15531', NULL, 'Bacterial toxin 27', 130, NULL, 'Ntox27', 10535),
(10536, 'PF07685', NULL, 'CobB/CobQ-like glutamine amidotransferase domain', 197, NULL, 'GATase_3', 10536),
(10537, 'PF03142', NULL, 'Chitin synthase', 527, NULL, 'Chitin_synth_2', 10537),
(10538, 'PF02805', NULL, 'Metal binding domain of Ada', 65, NULL, 'Ada_Zn_binding', 10538),
(10539, 'PF18553', NULL, 'PheRS DNA binding domain 3', 60, NULL, 'PheRS_DBD3', 10539),
(10540, 'PF15038', NULL, 'Jiraiya', 169, NULL, 'Jiraiya', 10540),
(10541, 'PF01830', NULL, 'Peptidase C7 family', 243, NULL, 'Peptidase_C7', 10541),
(10542, 'PF18896', NULL, 'Lysozyme like domain', 89, NULL, 'SLT_3', 10542),
(10543, 'PF16991', NULL, 'Sir4 SID domain', 163, NULL, 'SIR4_SID', 10543),
(10544, 'PF18048', NULL, 'TNF receptor-associated factor 6 zinc finger 2', 27, NULL, 'TRAF6_Z2', 10544),
(10545, 'PF08724', NULL, 'Rep protein catalytic domain like', 186, NULL, 'Rep_N', 10545),
(10546, 'PF03039', NULL, 'Interleukin-12 alpha subunit', 214, NULL, 'IL12', 10546),
(10547, 'PF18588', NULL, 'Polysaccharide biosynthesis enzyme WcbI', 205, NULL, 'WcbI', 10547),
(10548, 'PF10375', NULL, 'GRAB domain', 49, NULL, 'GRAB', 10548),
(10549, 'PF00685', NULL, 'Sulfotransferase domain', 267, NULL, 'Sulfotransfer_1', 10549),
(10550, 'PF07021', NULL, 'Methionine biosynthesis protein MetW', 193, NULL, 'MetW', 10550),
(10551, 'PF06926', NULL, 'Putative replisome organiser protein C-terminus', 95, NULL, 'Rep_Org_C', 10551),
(10552, 'PF17059', NULL, 'MgtA leader peptide', 17, NULL, 'MGTL', 10552),
(10553, 'PF11359', NULL, 'Glycoprotein UL132', 238, NULL, 'gpUL132', 10553),
(10554, 'PF11285', NULL, 'Protein of unknown function (DUF3086)', 277, NULL, 'DUF3086', 10554),
(10555, 'PF14350', NULL, 'Beta protein', 341, NULL, 'Beta_protein', 10555);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10556, 'PF09613', NULL, 'Bacterial type III secretion protein (HrpB1_HrpK)', 126, NULL, 'HrpB1_HrpK', 10556),
(10557, 'PF07941', NULL, 'Potassium channel Kv1.4 tandem inactivation domain', 74, NULL, 'K_channel_TID', 10557),
(10558, 'PF07276', NULL, 'Apopolysialoglycoprotein (PSGP)', 13, NULL, 'PSGP', 10558),
(10559, 'PF08671', NULL, 'Anti-repressor SinI', 28, NULL, 'SinI', 10559),
(10560, 'PF05278', NULL, 'Arabidopsis phospholipase-like protein (PEARLI 4)', 269, NULL, 'PEARLI-4', 10560),
(10561, 'PF03613', NULL, 'PTS system mannose/fructose/sorbose family IID component', 265, NULL, 'EIID-AGA', 10561),
(10562, 'PF16656', NULL, 'Purple acid Phosphatase, N-terminal domain', 93, NULL, 'Pur_ac_phosph_N', 10562),
(10563, 'PF04454', NULL, 'Encapsulating protein for peroxidase', 253, NULL, 'Linocin_M18', 10563),
(10564, 'PF05162', NULL, 'Ribosomal protein L41', 25, NULL, 'Ribosomal_L41', 10564),
(10565, 'PF14164', NULL, 'YqzH-like protein', 64, NULL, 'YqzH', 10565),
(10566, 'PF18666', NULL, 'Carbohydrate-binding module 64', 74, NULL, 'CBM64', 10566),
(10567, 'PF00963', NULL, 'Cohesin domain', 139, NULL, 'Cohesin', 10567),
(10568, 'PF01755', NULL, 'Glycosyltransferase family 25 (LPS biosynthesis protein)', 200, NULL, 'Glyco_transf_25', 10568),
(10569, 'PF10714', NULL, 'Late embryogenesis abundant protein 18', 75, NULL, 'LEA_6', 10569),
(10570, 'PF15268', NULL, 'Dapper', 811, NULL, 'Dapper', 10570),
(10571, 'PF01707', NULL, 'Peptidase family C9', 202, NULL, 'Peptidase_C9', 10571),
(10572, 'PF13787', NULL, 'Protein of unknown function with HXXEE motif', 110, NULL, 'HXXEE', 10572),
(10573, 'PF04867', NULL, 'Protein of unknown function (DUF643)', 114, NULL, 'DUF643', 10573),
(10574, 'PF10429', NULL, 'Nuclear pore RNA shuttling protein Mtr2', 164, NULL, 'Mtr2', 10574),
(10575, 'PF15050', NULL, 'SCIMP protein', 132, NULL, 'SCIMP', 10575),
(10576, 'PF15490', NULL, 'Telomere-capping, CST complex subunit', 118, NULL, 'Ten1_2', 10576),
(10577, 'PF11728', NULL, 'Putative aromatic acid exporter C-terminal domain', 166, NULL, 'ArAE_1_C', 10577),
(10578, 'PF07937', NULL, 'Protein of unknown function (DUF1686)', 181, NULL, 'DUF1686', 10578),
(10579, 'PF01280', NULL, 'Ribosomal protein L19e', 144, NULL, 'Ribosomal_L19e', 10579),
(10580, 'PF16669', NULL, 'Tetratricopeptide repeat protein 5 OB fold domain', 115, NULL, 'TTC5_OB', 10580),
(10581, 'PF15722', NULL, 'FAM153 family', 114, NULL, 'FAM153', 10581),
(10582, 'PF15173', NULL, 'FAM180 family', 137, NULL, 'FAM180', 10582),
(10583, 'PF12949', NULL, 'HeH/LEM domain', 35, NULL, 'HeH', 10583),
(10584, 'PF12836', NULL, 'Helix-hairpin-helix motif', 65, NULL, 'HHH_3', 10584),
(10585, 'PF00899', NULL, 'ThiF family', 244, NULL, 'ThiF', 10585),
(10586, 'PF18323', NULL, 'Cop9 signalosome subunit 5 C-terminal domain', 89, NULL, 'CSN5_C', 10586),
(10587, 'PF08248', NULL, 'Tryptophyllin-3 skin active peptide', 12, NULL, 'Tryp_FSAP', 10587),
(10588, 'PF06513', NULL, 'Repeat of unknown function (DUF1103)', 215, NULL, 'DUF1103', 10588),
(10589, 'PF03230', NULL, 'Antirestriction protein', 92, NULL, 'Antirestrict', 10589),
(10590, 'PF10502', NULL, 'Signal peptidase, peptidase S26', 170, NULL, 'Peptidase_S26', 10590),
(10591, 'PF01390', NULL, 'SEA domain', 106, NULL, 'SEA', 10591),
(10592, 'PF00473', NULL, 'Corticotropin-releasing factor family', 38, NULL, 'CRF', 10592),
(10593, 'PF14699', NULL, 'N-terminal domain from the human glycogen debranching enzyme', 91, NULL, 'hGDE_N', 10593),
(10594, 'PF10946', NULL, 'Protein of unknown function DUF2625', 207, NULL, 'DUF2625', 10594),
(10595, 'PF03345', NULL, 'Oligosaccharyltransferase 48 kDa subunit beta', 415, NULL, 'DDOST_48kD', 10595),
(10596, 'PF08401', NULL, 'Domain of unknown function (DUF1738)', 128, NULL, 'DUF1738', 10596),
(10597, 'PF04310', NULL, 'MukB N-terminal', 226, NULL, 'MukB', 10597),
(10598, 'PF10295', NULL, 'Uncharacterised protein (DUF2406)', 63, NULL, 'DUF2406', 10598),
(10599, 'PF06670', NULL, 'Microneme protein Etmic-2', 379, NULL, 'Etmic-2', 10599);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10600, 'PF04442', NULL, 'Cytochrome c oxidase assembly protein CtaG/Cox11', 149, NULL, 'CtaG_Cox11', 10600),
(10601, 'PF12459', NULL, 'D-Ala-teichoic acid biosynthesis protein', 43, NULL, 'DUF3687', 10601),
(10602, 'PF18249', NULL, 'Calcium binding protein SSO6904', 90, NULL, 'Ca_bind_SSO6904', 10602),
(10603, 'PF01355', NULL, 'High potential iron-sulfur protein', 66, NULL, 'HIPIP', 10603),
(10604, 'PF05119', NULL, 'Phage terminase, small subunit', 98, NULL, 'Terminase_4', 10604),
(10605, 'PF18143', NULL, 'HAD domain in Swiss Army Knife RNA repair proteins', 141, NULL, 'HAD_SAK_2', 10605),
(10606, 'PF18083', NULL, 'Proline utilization A N-terminal domain', 113, NULL, 'PutA_N', 10606),
(10607, 'PF06780', NULL, 'Erp protein C-terminus', 140, NULL, 'Erp_C', 10607),
(10608, 'PF03982', NULL, 'Diacylglycerol acyltransferase', 297, NULL, 'DAGAT', 10608),
(10609, 'PF03466', NULL, 'LysR substrate binding domain', 209, NULL, 'LysR_substrate', 10609),
(10610, 'PF05970', NULL, 'PIF1-like helicase', 364, NULL, 'PIF1', 10610),
(10611, 'PF17459', NULL, 'Family of unknown function (DUF5422)', 153, NULL, 'DUF5422', 10611),
(10612, 'PF10348', NULL, 'Domain of unknown function (DUF2427)', 105, NULL, 'DUF2427', 10612),
(10613, 'PF11034', NULL, 'Glucose-repressible protein Grg1', 67, NULL, 'Grg1', 10613),
(10614, 'PF18206', NULL, 'Porphyranase catalytic subdomain 1', 105, NULL, 'Porphyrn_cat_1', 10614),
(10615, 'PF03827', NULL, 'Orexin receptor type 2', 57, NULL, 'Orexin_rec2', 10615),
(10616, 'PF14250', NULL, 'AbrB-like transcriptional regulator', 70, NULL, 'AbrB-like', 10616),
(10617, 'PF14645', NULL, 'Chibby family', 116, NULL, 'Chibby', 10617),
(10618, 'PF07310', NULL, 'PAS domain', 137, NULL, 'PAS_5', 10618),
(10619, 'PF01064', NULL, 'Activin types I and II receptor domain', 83, NULL, 'Activin_recp', 10619),
(10620, 'PF16715', NULL, 'Cyclodipeptide synthase', 220, NULL, 'CDPS', 10620),
(10621, 'PF07733', NULL, 'Bacterial DNA polymerase III alpha NTPase domain', 260, NULL, 'DNA_pol3_alpha', 10621),
(10622, 'PF16529', NULL, 'WD40 region of Ge1, enhancer of mRNA-decapping protein', 329, NULL, 'Ge1_WD40', 10622),
(10623, 'PF02230', NULL, 'Phospholipase/Carboxylesterase', 217, NULL, 'Abhydrolase_2', 10623),
(10624, 'PF03319', NULL, 'Ethanolamine utilisation protein EutN/carboxysome', 83, NULL, 'EutN_CcmL', 10624),
(10625, 'PF12290', NULL, 'Protein of unknown function (DUF3802)', 112, NULL, 'DUF3802', 10625),
(10626, 'PF10118', NULL, 'Predicted metal-dependent hydrolase', 247, NULL, 'Metal_hydrol', 10626),
(10627, 'PF02556', NULL, 'Preprotein translocase subunit SecB', 142, NULL, 'SecB', 10627),
(10628, 'PF09169', NULL, 'BRCA2, helical', 187, NULL, 'BRCA-2_helical', 10628),
(10629, 'PF17807', NULL, 'Variant UBP zinc finger', 64, NULL, 'zf-UBP_var', 10629),
(10630, 'PF10302', NULL, 'DUF2407 ubiquitin-like domain', 104, NULL, 'DUF2407', 10630),
(10631, 'PF04707', NULL, 'PRELI-like family', 157, NULL, 'PRELI', 10631),
(10632, 'PF07670', NULL, 'Nucleoside recognition', 112, NULL, 'Gate', 10632),
(10633, 'PF16221', NULL, 'winged helix-turn-helix', 78, NULL, 'HTH_47', 10633),
(10634, 'PF11970', NULL, 'G protein-coupled glucose receptor regulating Gpa2 C-term', 76, NULL, 'GPR_Gpa2_C', 10634),
(10635, 'PF09979', NULL, 'Uncharacterized protein conserved in bacteria (DUF2213)', 168, NULL, 'DUF2213', 10635),
(10636, 'PF13663', NULL, 'Domain of unknown function (DUF4148)', 55, NULL, 'DUF4148', 10636),
(10637, 'PF19146', NULL, 'Family of unknown function (DUF5828)', 175, NULL, 'DUF5828', 10637),
(10638, 'PF09628', NULL, 'YvfG protein', 68, NULL, 'YvfG', 10638),
(10639, 'PF15384', NULL, 'PAXX, PAralog of XRCC4 and XLF, also called C9orf142', 194, NULL, 'PAXX', 10639),
(10640, 'PF04661', NULL, 'Poxvirus I3 ssDNA-binding protein', 262, NULL, 'Pox_I3', 10640),
(10641, 'PF01033', NULL, 'Somatomedin B domain', 41, NULL, 'Somatomedin_B', 10641),
(10642, 'PF09075', NULL, 'Heat-stable enterotoxin B, secretory', 48, NULL, 'STb_secrete', 10642);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10643, 'PF18095', NULL, 'UPF0242 C-terminal PAS-like domain', 153, NULL, 'PAS_12', 10643),
(10644, 'PF16775', NULL, 'Target recognition domain of lytic exoenzyme', 106, NULL, 'ZoocinA_TRD', 10644),
(10645, 'PF08635', NULL, 'Putative oxidoreductase C terminal domain', 142, NULL, 'ox_reductase_C', 10645),
(10646, 'PF13130', NULL, 'Domain of unknown function (DUF3952)', 101, NULL, 'DUF3952', 10646),
(10647, 'PF10561', NULL, 'Uncharacterised protein family UPF0565', 299, NULL, 'UPF0565', 10647),
(10648, 'PF10820', NULL, 'Protein of unknown function (DUF2543)', 81, NULL, 'DUF2543', 10648),
(10649, 'PF07511', NULL, 'Protein of unknown function (DUF1525)', 113, NULL, 'DUF1525', 10649),
(10650, 'PF02944', NULL, 'BESS motif', 35, NULL, 'BESS', 10650),
(10651, 'PF01124', NULL, 'MAPEG family', 130, NULL, 'MAPEG', 10651),
(10652, 'PF17850', NULL, 'CysA C-terminal regulatory domain', 43, NULL, 'CysA_C_terminal', 10652),
(10653, 'PF18174', NULL, 'CCDC81-like prokaryotic HU domain 1', 59, NULL, 'HU-CCDC81_bac_1', 10653),
(10654, 'PF16969', NULL, 'RNA-binding signal recognition particle 68', 563, NULL, 'SRP68', 10654),
(10655, 'PF00858', NULL, 'Amiloride-sensitive sodium channel', 444, NULL, 'ASC', 10655),
(10656, 'PF16609', NULL, 'SH3-RhoGEF linking unstructured region', 261, NULL, 'SH3-RhoG_link', 10656),
(10657, 'PF05214', NULL, 'Baculovirus P33', 247, NULL, 'Baculo_p33', 10657),
(10658, 'PF00434', NULL, 'Glycoprotein VP7', 323, NULL, 'VP7', 10658),
(10659, 'PF12473', NULL, 'Kinesin protein', 154, NULL, 'DUF3694', 10659),
(10660, 'PF15000', NULL, 'Tumour suppressor candidate 2', 112, NULL, 'TUSC2', 10660),
(10661, 'PF02415', NULL, 'Chlamydia polymorphic membrane protein (Chlamydia_PMP) repeat', 28, NULL, 'Chlam_PMP', 10661),
(10662, 'PF17056', NULL, 'Killer toxin-resistance protein 1', 66, NULL, 'KRE1', 10662),
(10663, 'PF04984', NULL, 'Phage tail sheath protein subtilisin-like domain', 168, NULL, 'Phage_sheath_1', 10663),
(10664, 'PF05265', NULL, 'Protein of unknown function (DUF723)', 60, NULL, 'DUF723', 10664),
(10665, 'PF00751', NULL, 'DM DNA binding domain', 47, NULL, 'DM', 10665),
(10666, 'PF15576', NULL, 'Domain of unknown function (DUF4661)', 253, NULL, 'DUF4661', 10666),
(10667, 'PF07549', NULL, 'SecD/SecF GG Motif', 28, NULL, 'Sec_GG', 10667),
(10668, 'PF08118', NULL, 'Yeast mitochondrial distribution and morphology (MDM) proteins', 525, NULL, 'MDM31_MDM32', 10668),
(10669, 'PF16606', NULL, 'Unstructured conserved, between two C2H2-type zinc-fingers', 81, NULL, 'zf-C2H2_assoc', 10669),
(10670, 'PF06973', NULL, 'Domain of unknown function (DUF1297)', 188, NULL, 'DUF1297', 10670),
(10671, 'PF09366', NULL, 'Protein of unknown function (DUF1997)', 155, NULL, 'DUF1997', 10671),
(10672, 'PF02839', NULL, 'Carbohydrate binding domain', 25, NULL, 'CBM_5_12', 10672),
(10673, 'PF13611', NULL, 'Serine peptidase of plant viral polyprotein, P1', 121, NULL, 'Peptidase_S76', 10673),
(10674, 'PF03140', NULL, 'Plant protein of unknown function', 404, NULL, 'DUF247', 10674),
(10675, 'PF15339', NULL, 'Acrosome formation-associated factor', 198, NULL, 'Afaf', 10675),
(10676, 'PF14990', NULL, 'Domain of unknown function (DUF4516)', 46, NULL, 'DUF4516', 10676),
(10677, 'PF04452', NULL, 'RNA methyltransferase', 226, NULL, 'Methyltrans_RNA', 10677),
(10678, 'PF16036', NULL, 'Chalcone isomerase-like', 165, NULL, 'Chalcone_3', 10678),
(10679, 'PF12336', NULL, 'SOX transcription factor', 90, NULL, 'SOXp', 10679),
(10680, 'PF01008', NULL, 'Initiation factor 2 subunit family', 282, NULL, 'IF-2B', 10680),
(10681, 'PF07315', NULL, 'Protein of unknown function (DUF1462)', 93, NULL, 'DUF1462', 10681),
(10682, 'PF09897', NULL, 'Uncharacterized protein conserved in archaea (DUF2124)', 141, NULL, 'DUF2124', 10682),
(10683, 'PF06686', NULL, 'Stage III sporulation protein AC/AD protein family', 56, NULL, 'SpoIIIAC', 10683),
(10684, 'PF15418', NULL, 'Domain of unknown function (DUF4625)', 132, NULL, 'DUF4625', 10684),
(10685, 'PF07946', NULL, 'Protein of unknown function (DUF1682)', 325, NULL, 'DUF1682', 10685);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10686, 'PF11097', NULL, 'Protein of unknown function (DUF2883)', 75, NULL, 'DUF2883', 10686),
(10687, 'PF12039', NULL, 'Protein of unknown function (DUF3525)', 453, NULL, 'DUF3525', 10687),
(10688, 'PF08270', NULL, 'M protein trans-acting positive regulator (MGA) PRD domain', 221, NULL, 'PRD_Mga', 10688),
(10689, 'PF12862', NULL, 'Anaphase-promoting complex subunit 5', 94, NULL, 'ANAPC5', 10689),
(10690, 'PF07569', NULL, 'TUP1-like enhancer of split', 221, NULL, 'Hira', 10690),
(10691, 'PF07418', NULL, 'Acidic phosphoprotein precursor PCEMA1', 294, NULL, 'PCEMA1', 10691),
(10692, 'PF18218', NULL, 'Lantibiotic immunity protein Spa1 C-terminal domain', 99, NULL, 'Spa1_C', 10692),
(10693, 'PF11311', NULL, 'Protein of unknown function (DUF3114)', 253, NULL, 'DUF3114', 10693),
(10694, 'PF00003', NULL, '7 transmembrane sweet-taste receptor of 3 GCPR', 236, NULL, '7tm_3', 10694),
(10695, 'PF19197', NULL, 'Family of unknown function (DUF5872)', 115, NULL, 'DUF5872', 10695),
(10696, 'PF04175', NULL, 'Protein of unknown function (DUF406)', 92, NULL, 'DUF406', 10696),
(10697, 'PF07843', NULL, 'Protein of unknown function (DUF1634)', 102, NULL, 'DUF1634', 10697),
(10698, 'PF10515', NULL, 'Beta-amyloid precursor protein C-terminus', 52, NULL, 'APP_amyloid', 10698),
(10699, 'PF07840', NULL, 'FadR C-terminal domain', 164, NULL, 'FadR_C', 10699),
(10700, 'PF08532', NULL, 'Beta-galactosidase trimerisation domain', 207, NULL, 'Glyco_hydro_42M', 10700),
(10701, 'PF04950', NULL, '40S ribosome biogenesis protein Tsr1 and BMS1 C-terminal', 292, NULL, 'RIBIOP_C', 10701),
(10702, 'PF07005', NULL, 'Sugar-binding N-terminal domain', 228, NULL, 'SBD_N', 10702),
(10703, 'PF01412', NULL, 'Putative GTPase activating protein for Arf', 117, NULL, 'ArfGap', 10703),
(10704, 'PF07032', NULL, 'Protein of unknown function (DUF1322)', 73, NULL, 'DUF1322', 10704),
(10705, 'PF10829', NULL, 'Protein of unknown function (DUF2554)', 76, NULL, 'DUF2554', 10705),
(10706, 'PF01103', NULL, 'Omp85 superfamily domain', 324, NULL, 'Omp85', 10706),
(10707, 'PF08923', NULL, 'Mitogen-activated protein kinase kinase 1 interacting', 119, NULL, 'MAPKK1_Int', 10707),
(10708, 'PF17920', NULL, 'Tetracyclin repressor-like, C-terminal domain', 107, NULL, 'TetR_C_16', 10708),
(10709, 'PF01059', NULL, 'NADH-ubiquinone oxidoreductase chain 4, amino terminus', 110, NULL, 'Oxidored_q5_N', 10709),
(10710, 'PF08018', NULL, 'Frog antimicrobial peptide', 24, NULL, 'Antimicrobial_1', 10710),
(10711, 'PF17805', NULL, 'AsnC-like ligand binding domain', 82, NULL, 'AsnC_trans_reg2', 10711),
(10712, 'PF02713', NULL, 'Domain of unknown function DUF220', 73, NULL, 'DUF220', 10712),
(10713, 'PF06557', NULL, 'Protein of unknown function (DUF1122)', 176, NULL, 'DUF1122', 10713),
(10714, 'PF17031', NULL, 'Domain of unknown function (DUF5101)', 99, NULL, 'DUF5101', 10714),
(10715, 'PF08621', NULL, 'RPAP1-like, N-terminal', 46, NULL, 'RPAP1_N', 10715),
(10716, 'PF10421', NULL, '2''-5''-oligoadenylate synthetase 1, domain 2, C-terminus', 185, NULL, 'OAS1_C', 10716),
(10717, 'PF19176', NULL, 'Family of unknown function (DUF5858)', 61, NULL, 'DUF5858', 10717),
(10718, 'PF03130', NULL, 'PBS lyase HEAT-like repeat', 27, NULL, 'HEAT_PBS', 10718),
(10719, 'PF13189', NULL, 'Cytidylate kinase-like family', 179, NULL, 'Cytidylate_kin2', 10719),
(10720, 'PF03909', NULL, 'BSD domain', 58, NULL, 'BSD', 10720),
(10721, 'PF13120', NULL, 'Domain of unknown function (DUF3974)', 126, NULL, 'DUF3974', 10721),
(10722, 'PF06949', NULL, 'Protein of unknown function (DUF1292)', 75, NULL, 'DUF1292', 10722),
(10723, 'PF18946', NULL, 'GpV Apex motif', 23, NULL, 'Apex', 10723),
(10724, 'PF01149', NULL, 'Formamidopyrimidine-DNA glycosylase N-terminal domain', 119, NULL, 'Fapy_DNA_glyco', 10724),
(10725, 'PF04129', NULL, 'Vps52 / Sac2 family', 508, NULL, 'Vps52', 10725),
(10726, 'PF10774', NULL, 'Domain of unknown function (DUF4226)', 115, NULL, 'DUF4226', 10726),
(10727, 'PF18529', NULL, 'Mitochondrial membrane-anchored proteins', 152, NULL, 'MIX', 10727);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10728, 'PF05918', NULL, 'Apoptosis inhibitory protein 5 (API5)', 523, NULL, 'API5', 10728),
(10729, 'PF15496', NULL, 'Domain of unknown function (DUF4646)', 125, NULL, 'DUF4646', 10729),
(10730, 'PF08771', NULL, 'FKBP12-rapamycin binding domain', 99, NULL, 'FRB_dom', 10730),
(10731, 'PF08709', NULL, 'Inositol 1,4,5-trisphosphate/ryanodine receptor', 213, NULL, 'Ins145_P3_rec', 10731),
(10732, 'PF16687', NULL, 'beta-propeller of ELYS nucleoporin', 489, NULL, 'ELYS-bb', 10732),
(10733, 'PF02002', NULL, 'TFIIE alpha subunit', 105, NULL, 'TFIIE_alpha', 10733),
(10734, 'PF01466', NULL, 'Skp1 family, dimerisation domain', 48, NULL, 'Skp1', 10734),
(10735, 'PF12036', NULL, 'Protein of unknown function (DUF3522)', 187, NULL, 'DUF3522', 10735),
(10736, 'PF14237', NULL, 'GYF domain 2', 50, NULL, 'GYF_2', 10736),
(10737, 'PF07124', NULL, 'Phytoreovirus outer capsid protein P8', 426, NULL, 'Phytoreo_P8', 10737),
(10738, 'PF10371', NULL, 'Domain of unknown function', 57, NULL, 'EKR', 10738),
(10739, 'PF16888', NULL, 'Domain of unknown function (DUF5082)', 123, NULL, 'DUF5082', 10739),
(10740, 'PF09225', NULL, 'Restriction endonuclease PvuII', 154, NULL, 'Endonuc-PvuII', 10740),
(10741, 'PF00196', NULL, 'Bacterial regulatory proteins, luxR family', 57, NULL, 'GerE', 10741),
(10742, 'PF19113', NULL, 'Family of unknown function (DUF5799)', 148, NULL, 'DUF5799', 10742),
(10743, 'PF18611', NULL, 'IL-3 receptor alpha chain N-terminal domain', 78, NULL, 'IL3Ra_N', 10743),
(10744, 'PF15272', NULL, 'Spindle pole body component BBP1, C-terminal', 190, NULL, 'BBP1_C', 10744),
(10745, 'PF05727', NULL, 'Uncharacterised protein family (UPF0228)', 124, NULL, 'UPF0228', 10745),
(10746, 'PF00389', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, catalytic domain', 134, NULL, '2-Hacid_dh', 10746),
(10747, 'PF04957', NULL, 'Ribosome modulation factor', 54, NULL, 'RMF', 10747),
(10748, 'PF07376', NULL, 'Prosystemin', 202, NULL, 'Prosystemin', 10748),
(10749, 'PF00957', NULL, 'Synaptobrevin', 89, NULL, 'Synaptobrevin', 10749),
(10750, 'PF04301', NULL, 'Protein of unknown function (DUF452)', 213, NULL, 'DUF452', 10750),
(10751, 'PF10309', NULL, 'Nuclear cap-binding protein subunit 3', 59, NULL, 'NCBP3', 10751),
(10752, 'PF16037', NULL, 'Domain of unknown function (DUF4790)', 93, NULL, 'DUF4790', 10752),
(10753, 'PF13441', NULL, 'YMGG-like Gly-zipper', 46, NULL, 'Gly-zipper_YMGG', 10753),
(10754, 'PF09080', NULL, 'K cyclin, C terminal', 106, NULL, 'K-cyclin_vir_C', 10754),
(10755, 'PF13448', NULL, 'Domain of unknown function (DUF4114)', 86, NULL, 'DUF4114', 10755),
(10756, 'PF15879', NULL, 'NADH-ubiquinone oxidoreductase MWFE subunit', 55, NULL, 'MWFE', 10756),
(10757, 'PF05884', NULL, 'Interactor of ZYG-11', 295, NULL, 'ZYG-11_interact', 10757),
(10758, 'PF07215', NULL, 'Protein of unknown function (DUF1419)', 112, NULL, 'DUF1419', 10758),
(10759, 'PF03207', NULL, 'Borrelia outer surface protein D (OspD)', 254, NULL, 'OspD', 10759),
(10760, 'PF04639', NULL, 'Baculoviral E56 protein, specific to ODV envelope', 293, NULL, 'Baculo_E56', 10760),
(10761, 'PF04689', NULL, 'DNA binding protein S1FA', 66, NULL, 'S1FA', 10761),
(10762, 'PF06795', NULL, 'Erythrovirus X protein', 81, NULL, 'Erythrovirus_X', 10762),
(10763, 'PF11037', NULL, 'Insulin-resistance promoting peptide in skeletal muscle', 133, NULL, 'Musclin', 10763),
(10764, 'PF17064', NULL, 'Sleepless protein', 85, NULL, 'QVR', 10764),
(10765, 'PF00491', NULL, 'Arginase family', 280, NULL, 'Arginase', 10765),
(10766, 'PF06818', NULL, 'Fez1', 197, NULL, 'Fez1', 10766),
(10767, 'PF13997', NULL, 'YqjK-like protein', 73, NULL, 'YqjK', 10767),
(10768, 'PF06787', NULL, 'Uncharacterised protein family (UPF0254)', 163, NULL, 'UPF0254', 10768),
(10769, 'PF00514', NULL, 'Armadillo/beta-catenin-like repeat', 41, NULL, 'Arm', 10769),
(10770, 'PF05532', NULL, 'CsbD-like', 53, NULL, 'CsbD', 10770),
(10771, 'PF12802', NULL, 'MarR family', 61, NULL, 'MarR_2', 10771),
(10772, 'PF18528', NULL, 'RNA editing 3'' terminal uridylyl transferase 2 middle domain', 93, NULL, 'Ret2_MD', 10772);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10773, 'PF12220', NULL, 'U1 small nuclear ribonucleoprotein of 70kDa MW N terminal', 93, NULL, 'U1snRNP70_N', 10773),
(10774, 'PF02926', NULL, 'THUMP domain', 144, NULL, 'THUMP', 10774),
(10775, 'PF01810', NULL, 'LysE type translocator', 193, NULL, 'LysE', 10775),
(10776, 'PF04889', NULL, 'Cwf15/Cwc15 cell cycle control protein', 247, NULL, 'Cwf_Cwc_15', 10776),
(10777, 'PF09139', NULL, 'Phosphatidate cytidylyltransferase, mitochondrial', 323, NULL, 'Tam41_Mmp37', 10777),
(10778, 'PF04066', NULL, 'Multiple resistance and pH regulation protein F (MrpF / PhaF)', 53, NULL, 'MrpF_PhaF', 10778),
(10779, 'PF08839', NULL, 'DNA replication factor CDT1 like', 177, NULL, 'CDT1', 10779),
(10780, 'PF11343', NULL, 'Protein of unknown function (DUF3145)', 157, NULL, 'DUF3145', 10780),
(10781, 'PF00848', NULL, 'Ring hydroxylating alpha subunit (catalytic domain)', 215, NULL, 'Ring_hydroxyl_A', 10781),
(10782, 'PF14772', NULL, 'Sperm tail', 101, NULL, 'NYD-SP28', 10782),
(10783, 'PF10938', NULL, 'YfdX protein', 149, NULL, 'YfdX', 10783),
(10784, 'PF11833', NULL, 'Protein CHAPERONE-LIKE PROTEIN OF POR1-like', 197, NULL, 'CPP1-like', 10784),
(10785, 'PF13412', NULL, 'Winged helix-turn-helix DNA-binding', 48, NULL, 'HTH_24', 10785),
(10786, 'PF01561', NULL, 'Hantavirus/Nairovirus glycoprotein G2', 486, NULL, 'Hanta_G2', 10786),
(10787, 'PF16381', NULL, 'Coatomer subunit gamma-1 C-terminal appendage platform', 115, NULL, 'Coatomer_g_Cpla', 10787),
(10788, 'PF04621', NULL, 'PEA3 subfamily ETS-domain transcription factor N terminal domain', 347, NULL, 'ETS_PEA3_N', 10788),
(10789, 'PF02132', NULL, 'RecR protein', 40, NULL, 'RecR', 10789),
(10790, 'PF14285', NULL, 'Domain of unknown function (DUF4367)', 110, NULL, 'DUF4367', 10790),
(10791, 'PF04628', NULL, 'Sedlin, N-terminal conserved region', 131, NULL, 'Sedlin_N', 10791),
(10792, 'PF03415', NULL, 'Clostripain family', 360, NULL, 'Peptidase_C11', 10792),
(10793, 'PF09664', NULL, 'Protein of unknown function C-terminus (DUF2399)', 152, NULL, 'DUF2399', 10793),
(10794, 'PF08606', NULL, 'Prp19/Pso4-like', 68, NULL, 'Prp19', 10794),
(10795, 'PF17782', NULL, 'DprA winged helix domain', 61, NULL, 'DprA_WH', 10795),
(10796, 'PF16765', NULL, 'Pesticin immunity protein', 98, NULL, 'Pim', 10796),
(10797, 'PF09438', NULL, 'Domain of unknown function (DUF2017)', 176, NULL, 'DUF2017', 10797),
(10798, 'PF17083', NULL, 'Nucleolar protein Swm2', 130, NULL, 'Swm2', 10798),
(10799, 'PF00358', NULL, 'phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 1', 127, NULL, 'PTS_EIIA_1', 10799),
(10800, 'PF07632', NULL, 'Protein of unknown function (DUF1593)', 256, NULL, 'DUF1593', 10800),
(10801, 'PF16871', NULL, 'Domain of unknown function (DUF5077)', 191, NULL, 'DUF5077', 10801),
(10802, 'PF00814', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase', 271, NULL, 'TsaD', 10802),
(10803, 'PF18847', NULL, 'Large polyvalent protein associated domain 29', 94, NULL, 'LPD29', 10803),
(10804, 'PF15151', NULL, 'Response gene to complement 32 protein family', 127, NULL, 'RGCC', 10804),
(10805, 'PF05045', NULL, 'Rhamnan synthesis protein F', 503, NULL, 'RgpF', 10805),
(10806, 'PF01742', NULL, 'Clostridial neurotoxin zinc protease', 417, NULL, 'Peptidase_M27', 10806),
(10807, 'PF07575', NULL, 'Nup85 Nucleoporin', 568, NULL, 'Nucleopor_Nup85', 10807),
(10808, 'PF03418', NULL, 'Germination protease', 354, NULL, 'Peptidase_A25', 10808),
(10809, 'PF16526', NULL, 'C-terminal leucine zipper domain of cyclic nucleotide-gated channels', 71, NULL, 'CLZ', 10809),
(10810, 'PF07193', NULL, 'Protein of unknown function (DUF1408)', 71, NULL, 'DUF1408', 10810),
(10811, 'PF11294', NULL, 'Protein of unknown function (DUF3095)', 377, NULL, 'DUF3095', 10811),
(10812, 'PF01351', NULL, 'Ribonuclease HII', 198, NULL, 'RNase_HII', 10812),
(10813, 'PF17762', NULL, 'HTH domain found in ParB protein', 52, NULL, 'HTH_ParB', 10813),
(10814, 'PF16176', NULL, 'T-box transcription factor-associated', 226, NULL, 'T-box_assoc', 10814);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10815, 'PF07940', NULL, 'Heparinase II/III-like protein', 237, NULL, 'Hepar_II_III', 10815),
(10816, 'PF04272', NULL, 'Phospholamban', 52, NULL, 'Phospholamban', 10816),
(10817, 'PF11477', NULL, 'Sialyltransferase PMO188', 385, NULL, 'PM0188', 10817),
(10818, 'PF06932', NULL, 'Protein of unknown function (DUF1283)', 83, NULL, 'DUF1283', 10818),
(10819, 'PF12084', NULL, 'Protein of unknown function (DUF3561)', 107, NULL, 'DUF3561', 10819),
(10820, 'PF07068', NULL, 'Major capsid protein Gp23', 509, NULL, 'Gp23', 10820),
(10821, 'PF17429', NULL, 'Gene product 70', 54, NULL, 'GP70', 10821),
(10822, 'PF18895', NULL, 'Type IV secretion system pilin', 71, NULL, 'T4SS_pilin', 10822),
(10823, 'PF02127', NULL, 'Aminopeptidase I zinc metalloprotease (M18)', 432, NULL, 'Peptidase_M18', 10823),
(10824, 'PF15430', NULL, 'Single domain von Willebrand factor type C', 66, NULL, 'SVWC', 10824),
(10825, 'PF16386', NULL, 'Domain of unknown function', 73, NULL, 'DUF4995', 10825),
(10826, 'PF05132', NULL, 'RNA polymerase III RPC4', 149, NULL, 'RNA_pol_Rpc4', 10826),
(10827, 'PF03144', NULL, 'Elongation factor Tu domain 2', 74, NULL, 'GTP_EFTU_D2', 10827),
(10828, 'PF14307', NULL, 'Glycosyltransferase WbsX', 348, NULL, 'Glyco_tran_WbsX', 10828),
(10829, 'PF17266', NULL, 'Family of unknown function (DUF5332)', 148, NULL, 'DUF5332', 10829),
(10830, 'PF09692', NULL, 'Argonaute siRNA chaperone (ARC) complex subunit Arb1', 403, NULL, 'Arb1', 10830),
(10831, 'PF10709', NULL, 'Protein of unknown function (DUF2511)', 87, NULL, 'DUF2511', 10831),
(10832, 'PF00571', NULL, 'CBS domain', 57, NULL, 'CBS', 10832),
(10833, 'PF11665', NULL, 'Protein of unknown function (DUF3265)', 28, NULL, 'DUF3265', 10833),
(10834, 'PF07473', NULL, 'Spasmodic peptide gm9a; conotoxin from Conus species', 28, NULL, 'Toxin_11', 10834),
(10835, 'PF16234', NULL, 'Domain of unknown function (DUF4892)', 183, NULL, 'DUF4892', 10835),
(10836, 'PF16817', NULL, 'Domain of unknown function (DUF5073)', 121, NULL, 'DUF5073', 10836),
(10837, 'PF17510', NULL, 'Gene product 44', 107, NULL, 'GP44', 10837),
(10838, 'PF10718', NULL, 'Hypothetical chloroplast protein Ycf34', 77, NULL, 'Ycf34', 10838),
(10839, 'PF17987', NULL, 'Phosphoethanolamine N-methyltransferase 2 N-terminal', 127, NULL, 'PMT2_N', 10839),
(10840, 'PF17375', NULL, 'Family of unknown function (DUF5397)', 64, NULL, 'DUF5397', 10840),
(10841, 'PF03839', NULL, 'Translocation protein Sec62', 214, NULL, 'Sec62', 10841),
(10842, 'PF07382', NULL, 'Histone H1-like nucleoprotein HC2', 194, NULL, 'HC2', 10842),
(10843, 'PF17774', NULL, 'Putative RNA-binding domain in YlmH', 84, NULL, 'YlmH_RBD', 10843),
(10844, 'PF15796', NULL, 'KELK-motif containing domain of MRCK Ser/Thr protein kinase', 80, NULL, 'KELK', 10844),
(10845, 'PF15236', NULL, 'Coiled-coil domain-containing protein 66', 154, NULL, 'CCDC66', 10845),
(10846, 'PF01439', NULL, 'Metallothionein', 81, NULL, 'Metallothio_2', 10846),
(10847, 'PF03873', NULL, 'Anti sigma-E protein RseA, C-terminal domain', 55, NULL, 'RseA_C', 10847),
(10848, 'PF01708', NULL, 'Geminivirus putative movement protein', 92, NULL, 'Gemini_mov', 10848),
(10849, 'PF11696', NULL, 'Protein of unknown function (DUF3292)', 649, NULL, 'DUF3292', 10849),
(10850, 'PF04571', NULL, 'lipin, N-terminal conserved region', 103, NULL, 'Lipin_N', 10850),
(10851, 'PF12903', NULL, 'Protein of unknown function (DUF3830)', 144, NULL, 'DUF3830', 10851),
(10852, 'PF10071', NULL, 'Zn-ribbon-containing, possibly nucleic-acid-binding protein (DUF2310)', 255, NULL, 'DUF2310', 10852),
(10853, 'PF01350', NULL, 'Flavivirus non-structural protein NS4A', 144, NULL, 'Flavi_NS4A', 10853),
(10854, 'PF12771', NULL, 'Starch-binding associating with outer membrane', 416, NULL, 'SusD-like_2', 10854),
(10855, 'PF00147', NULL, 'Fibrinogen beta and gamma chains, C-terminal globular domain', 221, NULL, 'Fibrinogen_C', 10855),
(10856, 'PF06358', NULL, 'Protein of unknown function (DUF1065)', 111, NULL, 'DUF1065', 10856);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10857, 'PF12423', NULL, 'Kinesin protein 1B', 49, NULL, 'KIF1B', 10857),
(10858, 'PF13614', NULL, 'AAA domain', 177, NULL, 'AAA_31', 10858),
(10859, 'PF06180', NULL, 'Cobalt chelatase (CbiK)', 262, NULL, 'CbiK', 10859),
(10860, 'PF09618', NULL, 'CRISPR-associated protein (Cas_Csy4)', 182, NULL, 'Cas_Csy4', 10860),
(10861, 'PF05513', NULL, 'TraA', 120, NULL, 'TraA', 10861),
(10862, 'PF01629', NULL, 'Domain of unknown function DUF22', 106, NULL, 'DUF22', 10862),
(10863, 'PF11304', NULL, 'Protein of unknown function (DUF3106)', 104, NULL, 'DUF3106', 10863),
(10864, 'PF12878', NULL, 'SICA extracellular beta domain', 169, NULL, 'SICA_beta', 10864),
(10865, 'PF06147', NULL, 'Protein of unknown function (DUF968)', 206, NULL, 'DUF968', 10865),
(10866, 'PF01575', NULL, 'MaoC like domain', 123, NULL, 'MaoC_dehydratas', 10866),
(10867, 'PF11895', NULL, 'Fungal peroxidase extension region', 79, NULL, 'Peroxidase_ext', 10867),
(10868, 'PF18319', NULL, 'PriA DNA helicase Cys-rich region (CRR) domain', 27, NULL, 'PriA_CRR', 10868),
(10869, 'PF12009', NULL, 'Telomerase ribonucleoprotein complex - RNA binding domain', 134, NULL, 'Telomerase_RBD', 10869),
(10870, 'PF10779', NULL, 'Haemolysin XhlA', 67, NULL, 'XhlA', 10870),
(10871, 'PF12310', NULL, 'Transcription factor protein N terminal', 110, NULL, 'Elf-1_N', 10871),
(10872, 'PF01501', NULL, 'Glycosyl transferase family 8', 256, NULL, 'Glyco_transf_8', 10872),
(10873, 'PF16696', NULL, 'Zinc finger FYVE domain-containing protein 21 C-terminus', 124, NULL, 'ZFYVE21_C', 10873),
(10874, 'PF03657', NULL, 'UPF0113 PUA domain', 72, NULL, 'UPF0113', 10874),
(10875, 'PF02649', NULL, 'Type I GTP cyclohydrolase folE2', 259, NULL, 'GCHY-1', 10875),
(10876, 'PF04127', NULL, 'DNA / pantothenate metabolism flavoprotein', 186, NULL, 'DFP', 10876),
(10877, 'PF01977', NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase', 406, NULL, 'UbiD', 10877),
(10878, 'PF18931', NULL, 'Domain of unknown function (DUF5680)', 104, NULL, 'DUF5680', 10878),
(10879, 'PF18748', NULL, 'P-loop Nucleotide Kinase1', 196, NULL, 'Ploopntkinase1', 10879),
(10880, 'PF17005', NULL, 'WD40-like domain', 301, NULL, 'WD40_like', 10880),
(10881, 'PF04011', NULL, 'LemA family', 149, NULL, 'LemA', 10881),
(10882, 'PF06251', NULL, 'Capsule biosynthesis GfcC', 231, NULL, 'Caps_synth_GfcC', 10882),
(10883, 'PF09580', NULL, 'Sporulation lipoprotein YhcN/YlaJ (Spore_YhcN_YlaJ)', 159, NULL, 'Spore_YhcN_YlaJ', 10883),
(10884, 'PF05940', NULL, 'NnrS protein', 365, NULL, 'NnrS', 10884),
(10885, 'PF04019', NULL, 'Protein of unknown function (DUF359)', 122, NULL, 'DUF359', 10885),
(10886, 'PF04191', NULL, 'Phospholipid methyltransferase', 106, NULL, 'PEMT', 10886),
(10887, 'PF01948', NULL, 'Aspartate carbamoyltransferase regulatory chain, allosteric domain', 94, NULL, 'PyrI', 10887),
(10888, 'PF08181', NULL, 'DegQ (SacQ) family', 46, NULL, 'DegQ', 10888),
(10889, 'PF08894', NULL, 'Protein of unknown function (DUF1838)', 236, NULL, 'DUF1838', 10889),
(10890, 'PF11007', NULL, 'Spore coat associated protein JA (CotJA)', 35, NULL, 'CotJA', 10890),
(10891, 'PF10136', NULL, 'Site-specific recombinase', 640, NULL, 'SpecificRecomb', 10891),
(10892, 'PF07858', NULL, 'Limonene-1,2-epoxide hydrolase catalytic domain', 125, NULL, 'LEH', 10892),
(10893, 'PF15721', NULL, 'Annexin-2 receptor', 190, NULL, 'ANXA2R', 10893),
(10894, 'PF02877', NULL, 'Poly(ADP-ribose) polymerase, regulatory domain', 136, NULL, 'PARP_reg', 10894),
(10895, 'PF00897', NULL, 'Orbivirus inner capsid protein VP7', 348, NULL, 'Orbi_VP7', 10895),
(10896, 'PF02161', NULL, 'Progesterone receptor', 564, NULL, 'Prog_receptor', 10896),
(10897, 'PF09736', NULL, 'Pre-mRNA-splicing factor of RES complex', 143, NULL, 'Bud13', 10897),
(10898, 'PF17085', NULL, 'Unique cartilage matrix associated protein', 134, NULL, 'UCMA', 10898),
(10899, 'PF07961', NULL, 'MBA1-like protein', 235, NULL, 'MBA1', 10899),
(10900, 'PF07162', NULL, 'Ciliary basal body-associated, B9 protein', 169, NULL, 'B9-C2', 10900);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10901, 'PF00662', NULL, 'NADH-Ubiquinone oxidoreductase (complex I), chain 5 N-terminus', 58, NULL, 'Proton_antipo_N', 10901),
(10902, 'PF15547', NULL, 'Steroid receptor-associated and regulated protein', 137, NULL, 'C1ORF64', 10902),
(10903, 'PF15219', NULL, 'Testis-expressed 12', 96, NULL, 'TEX12', 10903),
(10904, 'PF15875', NULL, 'Domain of unknown function (DUF4731)', 75, NULL, 'DUF4731', 10904),
(10905, 'PF09206', NULL, 'Alpha-L-arabinofuranosidase B, catalytic', 316, NULL, 'ArabFuran-catal', 10905),
(10906, 'PF16435', NULL, 'Domain of unknown function (DUF5032)', 259, NULL, 'DUF5032', 10906),
(10907, 'PF16276', NULL, 'Nucleophosmin C-terminal domain', 49, NULL, 'NPM1-C', 10907),
(10908, 'PF09547', NULL, 'Stage IV sporulation protein A (spore_IV_A)', 492, NULL, 'Spore_IV_A', 10908),
(10909, 'PF03741', NULL, 'Integral membrane protein TerC family', 180, NULL, 'TerC', 10909),
(10910, 'PF15530', NULL, 'Bacterial toxin 25', 167, NULL, 'Ntox25', 10910),
(10911, 'PF10626', NULL, 'Conjugative transposon protein TraO', 168, NULL, 'TraO', 10911),
(10912, 'PF09615', NULL, 'CRISPR-associated protein (Cas_Csy3)', 328, NULL, 'Cas_Csy3', 10912),
(10913, 'PF14987', NULL, 'NADH dehydrogenase 1 alpha subcomplex subunit 3', 78, NULL, 'NADHdh_A3', 10913),
(10914, 'PF05652', NULL, 'Scavenger mRNA decapping enzyme (DcpS) N-terminal', 104, NULL, 'DcpS', 10914),
(10915, 'PF09661', NULL, 'Protein of unknown function (DUF2398)', 365, NULL, 'DUF2398', 10915),
(10916, 'PF10587', NULL, 'Eukaryotic elongation factor 1 beta central acidic region', 28, NULL, 'EF-1_beta_acid', 10916),
(10917, 'PF10811', NULL, 'Protein of unknown function (DUF2532)', 158, NULL, 'DUF2532', 10917),
(10918, 'PF04755', NULL, 'PAP_fibrillin', 198, NULL, 'PAP_fibrillin', 10918),
(10919, 'PF01649', NULL, 'Ribosomal protein S20', 82, NULL, 'Ribosomal_S20p', 10919),
(10920, 'PF16972', NULL, 'Na+ channel auxiliary subunit TipE', 486, NULL, 'TipE', 10920),
(10921, 'PF12352', NULL, 'Snare region anchored in the vesicle membrane C-terminus', 66, NULL, 'V-SNARE_C', 10921),
(10922, 'PF17568', NULL, 'Family of unknown function (DUF5474)', 77, NULL, 'DUF5474', 10922),
(10923, 'PF18999', NULL, 'Family of unknown function (DUF5728)', 188, NULL, 'DUF5728', 10923),
(10924, 'PF02171', NULL, 'Piwi domain', 302, NULL, 'Piwi', 10924),
(10925, 'PF00410', NULL, 'Ribosomal protein S8', 126, NULL, 'Ribosomal_S8', 10925),
(10926, 'PF01128', NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', 221, NULL, 'IspD', 10926),
(10927, 'PF05722', NULL, 'Ustilago B locus mating-type protein', 286, NULL, 'Ustilago_mating', 10927),
(10928, 'PF05419', NULL, 'GUN4-like', 141, NULL, 'GUN4', 10928),
(10929, 'PF10114', NULL, 'Sensory domain found in PocR', 162, NULL, 'PocR', 10929),
(10930, 'PF18202', NULL, 'T-Q ester bond containing domain', 131, NULL, 'TQ', 10930),
(10931, 'PF18727', NULL, 'Alstrom syndrome repeat', 47, NULL, 'ALMS_repeat', 10931),
(10932, 'PF12985', NULL, 'Domain of unknown function (DUF3869)', 106, NULL, 'DUF3869', 10932),
(10933, 'PF17339', NULL, 'PH domain', 107, NULL, 'PH_15', 10933),
(10934, 'PF04095', NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) family', 247, NULL, 'NAPRTase', 10934),
(10935, 'PF00263', NULL, 'Bacterial type II and III secretion system protein', 170, NULL, 'Secretin', 10935),
(10936, 'PF12655', NULL, 'Domain of unknown function (DUF3787)', 52, NULL, 'DUF3787', 10936),
(10937, 'PF08091', NULL, 'Spider insecticidal peptide', 39, NULL, 'Toxin_21', 10937),
(10938, 'PF16467', NULL, 'Domain of unknown function (DUF5048)', 104, NULL, 'DUF5048', 10938),
(10939, 'PF00313', NULL, '''Cold-shock'' DNA-binding domain', 66, NULL, 'CSD', 10939),
(10940, 'PF16691', NULL, 'Domain of unknown function (DUF5062)', 83, NULL, 'DUF5062', 10940),
(10941, 'PF13632', NULL, 'Glycosyl transferase family group 2', 197, NULL, 'Glyco_trans_2_3', 10941),
(10942, 'PF06135', NULL, 'IreB regulatory phosphoprotein', 78, NULL, 'IreB', 10942),
(10943, 'PF16082', NULL, 'Bacteriophage holin family, superfamily II-like', 76, NULL, 'Phage_holin_2_4', 10943);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10944, 'PF11093', NULL, 'Mitochondrial export protein Som1', 93, NULL, 'Mitochondr_Som1', 10944),
(10945, 'PF18951', NULL, 'Family of unknown function (DUF5695)', 857, NULL, 'DUF5695', 10945),
(10946, 'PF00052', NULL, 'Laminin B (Domain IV)', 135, NULL, 'Laminin_B', 10946),
(10947, 'PF13982', NULL, 'YbfN-like lipoprotein', 88, NULL, 'YbfN', 10947),
(10948, 'PF11385', NULL, 'Protein of unknown function (DUF3189)', 147, NULL, 'DUF3189', 10948),
(10949, 'PF05838', NULL, 'Glycosyl hydrolase 108', 85, NULL, 'Glyco_hydro_108', 10949),
(10950, 'PF16953', NULL, 'Protein-only RNase P', 241, NULL, 'PRORP', 10950),
(10951, 'PF16258', NULL, 'Domain of unknown function (DUF4912)', 117, NULL, 'DUF4912', 10951),
(10952, 'PF04241', NULL, 'Protein of unknown function (DUF423)', 88, NULL, 'DUF423', 10952),
(10953, 'PF15397', NULL, 'Domain of unknown function (DUF4618)', 258, NULL, 'DUF4618', 10953),
(10954, 'PF05615', NULL, 'Tho complex subunit 7', 132, NULL, 'THOC7', 10954),
(10955, 'PF13737', NULL, 'Transposase DDE domain', 112, NULL, 'DDE_Tnp_1_5', 10955),
(10956, 'PF09344', NULL, 'CT1975-like protein', 363, NULL, 'Cas_CT1975', 10956),
(10957, 'PF14092', NULL, 'Domain of unknown function (DUF4270)', 439, NULL, 'DUF4270', 10957),
(10958, 'PF00489', NULL, 'Interleukin-6/G-CSF/MGF family', 186, NULL, 'IL6', 10958),
(10959, 'PF16722', NULL, 'Pathogenicity island protein gp6 in Staphylococcus', 72, NULL, 'SAPIS-gp6', 10959),
(10960, 'PF12962', NULL, 'Protein of unknown function (DUF3851)', 126, NULL, 'DUF3851', 10960),
(10961, 'PF07994', NULL, 'Myo-inositol-1-phosphate synthase', 322, NULL, 'NAD_binding_5', 10961),
(10962, 'PF01864', NULL, 'CDP-archaeol synthase', 175, NULL, 'CarS-like', 10962),
(10963, 'PF05201', NULL, 'Glutamyl-tRNAGlu reductase, N-terminal domain', 146, NULL, 'GlutR_N', 10963),
(10964, 'PF12212', NULL, 'PAZ domain', 127, NULL, 'PAZ_siRNAbind', 10964),
(10965, 'PF14999', NULL, 'Shadow of prion protein, neuroprotective', 133, NULL, 'Shadoo', 10965),
(10966, 'PF05153', NULL, 'Myo-inositol oxygenase', 249, NULL, 'MIOX', 10966),
(10967, 'PF02133', NULL, 'Permease for cytosine/purines, uracil, thiamine, allantoin', 440, NULL, 'Transp_cyt_pur', 10967),
(10968, 'PF07868', NULL, 'Protein of unknown function (DUF1655)', 55, NULL, 'DUF1655', 10968),
(10969, 'PF00501', NULL, 'AMP-binding enzyme', 424, NULL, 'AMP-binding', 10969),
(10970, 'PF08173', NULL, 'Membrane bound YbgT-like protein', 27, NULL, 'YbgT_YccB', 10970),
(10971, 'PF14816', NULL, 'Family of unknown function, FAM178', 373, NULL, 'FAM178', 10971),
(10972, 'PF14536', NULL, 'Domain of unknown function (DUF4441)', 117, NULL, 'DUF4441', 10972),
(10973, 'PF12346', NULL, 'Holliday junction recognition protein-associated repeat', 115, NULL, 'HJURP_mid', 10973),
(10974, 'PF06013', NULL, 'Proteins of 100 residues with WXG', 86, NULL, 'WXG100', 10974),
(10975, 'PF17284', NULL, 'Spermidine synthase tetramerisation domain', 53, NULL, 'Spermine_synt_N', 10975),
(10976, 'PF10964', NULL, 'Protein of unknown function (DUF2766)', 79, NULL, 'DUF2766', 10976),
(10977, 'PF13472', NULL, 'GDSL-like Lipase/Acylhydrolase family', 179, NULL, 'Lipase_GDSL_2', 10977),
(10978, 'PF15330', NULL, 'SHP2-interacting transmembrane adaptor protein, SIT', 114, NULL, 'SIT', 10978),
(10979, 'PF05886', NULL, 'Orthopoxvirus F8 protein', 65, NULL, 'Orthopox_F8', 10979),
(10980, 'PF01241', NULL, 'Photosystem I psaG / psaK', 70, NULL, 'PSI_PSAK', 10980),
(10981, 'PF15007', NULL, 'Centrosomal spindle body, CEP44', 127, NULL, 'CEP44', 10981),
(10982, 'PF10351', NULL, 'Golgi-body localisation protein domain', 478, NULL, 'Apt1', 10982),
(10983, 'PF16545', NULL, 'Cerebral cavernous malformation protein, harmonin-homology', 100, NULL, 'CCM2_C', 10983),
(10984, 'PF11060', NULL, 'Protein of unknown function (DUF2861)', 267, NULL, 'DUF2861', 10984),
(10985, 'PF10327', NULL, 'Serpentine type 7TM GPCR chemoreceptor Sri', 303, NULL, '7TM_GPCR_Sri', 10985),
(10986, 'PF11213', NULL, 'Protein of unknown function (DUF3006)', 67, NULL, 'DUF3006', 10986);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(10987, 'PF02919', NULL, 'Eukaryotic DNA topoisomerase I, DNA binding fragment', 213, NULL, 'Topoisom_I_N', 10987),
(10988, 'PF14991', NULL, 'Protein melan-A', 117, NULL, 'MLANA', 10988),
(10989, 'PF01525', NULL, 'Rotavirus NS26', 212, NULL, 'Rota_NS26', 10989),
(10990, 'PF14384', NULL, 'BrnA antitoxin of type II toxin-antitoxin system', 69, NULL, 'BrnA_antitoxin', 10990),
(10991, 'PF05230', NULL, 'MASE2 domain', 89, NULL, 'MASE2', 10991),
(10992, 'PF13685', NULL, 'Iron-containing alcohol dehydrogenase', 251, NULL, 'Fe-ADH_2', 10992),
(10993, 'PF00260', NULL, 'Protamine P1', 49, NULL, 'Protamine_P1', 10993),
(10994, 'PF15613', NULL, 'Williams-Beuren syndrome DDT (WSD), D-TOX E motif', 93, NULL, 'WSD', 10994),
(10995, 'PF00845', NULL, 'Geminivirus BL1 movement protein', 276, NULL, 'Gemini_BL1', 10995),
(10996, 'PF11271', NULL, 'Porin PorA', 300, NULL, 'PorA', 10996),
(10997, 'PF00959', NULL, 'Phage lysozyme', 109, NULL, 'Phage_lysozyme', 10997),
(10998, 'PF13719', NULL, 'zinc-ribbon domain', 37, NULL, 'zinc_ribbon_5', 10998),
(10999, 'PF10134', NULL, 'Replication initiator protein A', 229, NULL, 'RPA', 10999),
(11000, 'PF06292', NULL, 'Domain of Unknown Function (DUF1041)', 108, NULL, 'DUF1041', 11000),
(11001, 'PF17136', NULL, 'Ribosomal proteins 50S L24/mitochondrial 39S L24', 65, NULL, 'ribosomal_L24', 11001),
(11002, 'PF16444', NULL, 'Domain of unknown function (DUF5041)', 192, NULL, 'DUF5041', 11002),
(11003, 'PF10162', NULL, 'G8 domain', 121, NULL, 'G8', 11003),
(11004, 'PF03016', NULL, 'Exostosin family', 300, NULL, 'Exostosin', 11004),
(11005, 'PF01071', NULL, 'Phosphoribosylglycinamide synthetase, ATP-grasp (A) domain', 194, NULL, 'GARS_A', 11005),
(11006, 'PF06130', NULL, 'Phosphate propanoyltransferase', 67, NULL, 'PTAC', 11006),
(11007, 'PF13963', NULL, 'Transposase-associated domain', 75, NULL, 'Transpos_assoc', 11007),
(11008, 'PF16199', NULL, 'Radical_SAM C-terminal domain', 82, NULL, 'Radical_SAM_C', 11008),
(11009, 'PF13432', NULL, 'Tetratricopeptide repeat', 68, NULL, 'TPR_16', 11009),
(11010, 'PF13471', NULL, 'Transglutaminase-like superfamily', 117, NULL, 'Transglut_core3', 11010),
(11011, 'PF07411', NULL, 'Domain of unknown function (DUF1508)', 48, NULL, 'DUF1508', 11011),
(11012, 'PF00058', NULL, 'Low-density lipoprotein receptor repeat class B', 42, NULL, 'Ldl_recept_b', 11012),
(11013, 'PF03481', NULL, 'Putative GTP-binding controlling metal-binding', 135, NULL, 'SUA5', 11013),
(11014, 'PF03332', NULL, 'Eukaryotic phosphomannomutase', 221, NULL, 'PMM', 11014),
(11015, 'PF15125', NULL, 'TMEM238 protein family', 64, NULL, 'TMEM238', 11015),
(11016, 'PF02989', NULL, 'Lyme disease proteins of unknown function', 183, NULL, 'DUF228', 11016),
(11017, 'PF03945', NULL, 'delta endotoxin, N-terminal domain', 223, NULL, 'Endotoxin_N', 11017),
(11018, 'PF06114', NULL, 'IrrE N-terminal-like domain', 123, NULL, 'Peptidase_M78', 11018),
(11019, 'PF19205', NULL, 'Family of unknown function (DUF5877)', 611, NULL, 'DUF5877', 11019),
(11020, 'PF17172', NULL, 'Glutathione S-transferase N-terminal domain', 99, NULL, 'GST_N_4', 11020),
(11021, 'PF05221', NULL, 'S-adenosyl-L-homocysteine hydrolase', 299, NULL, 'AdoHcyase', 11021),
(11022, 'PF03616', NULL, 'Sodium/glutamate symporter', 368, NULL, 'Glt_symporter', 11022),
(11023, 'PF14770', NULL, 'Transmembrane protein 18', 118, NULL, 'TMEM18', 11023),
(11024, 'PF18548', NULL, 'Metanogen output domain 2', 88, NULL, 'MetOD2', 11024),
(11025, 'PF14720', NULL, 'NiFe/NiFeSe hydrogenase small subunit C-terminal', 80, NULL, 'NiFe_hyd_SSU_C', 11025),
(11026, 'PF18552', NULL, 'PheRS DNA binding domain 1', 59, NULL, 'PheRS_DBD1', 11026),
(11027, 'PF01137', NULL, 'RNA 3''-terminal phosphate cyclase', 222, NULL, 'RTC', 11027),
(11028, 'PF03610', NULL, 'PTS system fructose IIA component', 116, NULL, 'EIIA-man', 11028),
(11029, 'PF02845', NULL, 'CUE domain', 42, NULL, 'CUE', 11029),
(11030, 'PF10167', NULL, 'BLOC-1-related complex sub-unit 8', 112, NULL, 'BORCS8', 11030);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11031, 'PF01536', NULL, 'Adenosylmethionine decarboxylase', 354, NULL, 'SAM_decarbox', 11031),
(11032, 'PF07168', NULL, 'Ureide permease', 359, NULL, 'Ureide_permease', 11032),
(11033, 'PF08166', NULL, 'NUC202 domain', 61, NULL, 'NUC202', 11033),
(11034, 'PF04759', NULL, 'Protein of unknown function, DUF617', 162, NULL, 'DUF617', 11034),
(11035, 'PF17842', NULL, 'Double-stranded RNA binding domain 2', 147, NULL, 'dsRBD2', 11035),
(11036, 'PF14539', NULL, 'Domain of unknown function (DUF4442)', 132, NULL, 'DUF4442', 11036),
(11037, 'PF04641', NULL, 'Rtf2 RING-finger', 262, NULL, 'Rtf2', 11037),
(11038, 'PF04347', NULL, 'Flagellar biosynthesis protein, FliO', 89, NULL, 'FliO', 11038),
(11039, 'PF06194', NULL, 'Phage Conserved Open Reading Frame 51', 80, NULL, 'Phage_Orf51', 11039),
(11040, 'PF05435', NULL, 'Phi-29 DNA terminal protein GP3', 265, NULL, 'Phi-29_GP3', 11040),
(11041, 'PF00644', NULL, 'Poly(ADP-ribose) polymerase catalytic domain', 194, NULL, 'PARP', 11041),
(11042, 'PF11669', NULL, 'WW domain-binding protein 1', 104, NULL, 'WBP-1', 11042),
(11043, 'PF15028', NULL, 'Pre-T-cell antigen receptor', 127, NULL, 'PTCRA', 11043),
(11044, 'PF03515', NULL, 'Colicin-like bacteriocin tRNase domain', 277, NULL, 'Cloacin', 11044),
(11045, 'PF04307', NULL, 'LexA-binding, inner membrane-associated putative hydrolase', 175, NULL, 'YdjM', 11045),
(11046, 'PF11151', NULL, 'Protein of unknown function (DUF2929)', 56, NULL, 'DUF2929', 11046),
(11047, 'PF11228', NULL, 'Protein of unknown function (DUF3027)', 193, NULL, 'DUF3027', 11047),
(11048, 'PF04616', NULL, 'Glycosyl hydrolases family 43', 288, NULL, 'Glyco_hydro_43', 11048),
(11049, 'PF01347', NULL, 'Lipoprotein amino terminal region', 622, NULL, 'Vitellogenin_N', 11049),
(11050, 'PF07112', NULL, 'Protein of unknown function (DUF1368)', 404, NULL, 'DUF1368', 11050),
(11051, 'PF01455', NULL, 'HupF/HypC family', 65, NULL, 'HupF_HypC', 11051),
(11052, 'PF14695', NULL, 'Lines C-terminus', 37, NULL, 'LINES_C', 11052),
(11053, 'PF13709', NULL, 'Domain of unknown function (DUF4159)', 205, NULL, 'DUF4159', 11053),
(11054, 'PF08565', NULL, 'Cdc37 Hsp90 binding domain', 118, NULL, 'CDC37_M', 11054),
(11055, 'PF14226', NULL, 'non-haem dioxygenase in morphine synthesis N-terminal', 118, NULL, 'DIOX_N', 11055),
(11056, 'PF05893', NULL, 'Acyl-CoA reductase (LuxC)', 401, NULL, 'LuxC', 11056),
(11057, 'PF16690', NULL, 'Methylmalonic aciduria and homocystinuria type C family', 216, NULL, 'MMACHC', 11057),
(11058, 'PF14461', NULL, 'Prokaryotic E2 family B', 134, NULL, 'Prok-E2_B', 11058),
(11059, 'PF11463', NULL, 'R.HinP1I restriction endonuclease', 205, NULL, 'R-HINP1I', 11059),
(11060, 'PF16614', NULL, 'Unstructured region two on RhoGEF 6 and 7', 109, NULL, 'RhoGEF67_u2', 11060),
(11061, 'PF07517', NULL, 'SecA DEAD-like domain', 290, NULL, 'SecA_DEAD', 11061),
(11062, 'PF15010', NULL, 'Putative cell signalling', 295, NULL, 'FAM131', 11062),
(11063, 'PF14364', NULL, 'Domain of unknown function (DUF4408)', 33, NULL, 'DUF4408', 11063),
(11064, 'PF15076', NULL, 'Domain of unknown function (DUF4543)', 74, NULL, 'DUF4543', 11064),
(11065, 'PF01056', NULL, 'Myc amino-terminal region', 338, NULL, 'Myc_N', 11065),
(11066, 'PF18602', NULL, 'Rap1a immunity proteins', 82, NULL, 'Rap1a', 11066),
(11067, 'PF05495', NULL, 'CHY zinc finger', 75, NULL, 'zf-CHY', 11067),
(11068, 'PF08012', NULL, 'Protein of unknown function (DUF1702)', 319, NULL, 'DUF1702', 11068),
(11069, 'PF09658', NULL, 'CRISPR-associated protein (Cas_Csx9)', 377, NULL, 'Cas_Csx9', 11069),
(11070, 'PF12326', NULL, 'N-glycosylation protein', 175, NULL, 'EOS1', 11070),
(11071, 'PF08383', NULL, 'Maf N-terminal region', 34, NULL, 'Maf_N', 11071),
(11072, 'PF07222', NULL, 'Proacrosin binding protein sp32', 243, NULL, 'PBP_sp32', 11072),
(11073, 'PF13134', NULL, 'Protein of unknown function (DUF3948)', 35, NULL, 'DUF3948', 11073),
(11074, 'PF05820', NULL, 'Baculoviridae AC81', 181, NULL, 'Ac81', 11074),
(11075, 'PF12242', NULL, 'NAD(P)H binding domain of trans-2-enoyl-CoA reductase', 79, NULL, 'Eno-Rase_NADH_b', 11075);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11076, 'PF03472', NULL, 'Autoinducer binding domain', 149, NULL, 'Autoind_bind', 11076),
(11077, 'PF08123', NULL, 'Histone methylation protein DOT1', 205, NULL, 'DOT1', 11077),
(11078, 'PF15167', NULL, 'Domain of unknown function (DUF4581)', 130, NULL, 'DUF4581', 11078),
(11079, 'PF08489', NULL, 'Domain of unknown function (DUF1743)', 116, NULL, 'DUF1743', 11079),
(11080, 'PF07610', NULL, 'Protein of unknown function (DUF1573)', 98, NULL, 'DUF1573', 11080),
(11081, 'PF12218', NULL, 'N terminal extension of bacteriophage endosialidase', 67, NULL, 'End_N_terminal', 11081),
(11082, 'PF05504', NULL, 'Spore germination B3/ GerAC like, C-terminal', 164, NULL, 'Spore_GerAC', 11082),
(11083, 'PF16352', NULL, 'Domain of unknown function (DUF4980)', 104, NULL, 'DUF4980', 11083),
(11084, 'PF10547', NULL, 'P22_AR N-terminal domain', 114, NULL, 'P22_AR_N', 11084),
(11085, 'PF18599', NULL, 'Limiting CO2-inducible proteins B/C beta carbonyic anhydrases', 221, NULL, 'LCIB_C_CA', 11085),
(11086, 'PF14780', NULL, 'Domain of unknown function (DUF4477)', 188, NULL, 'DUF4477', 11086),
(11087, 'PF10565', NULL, 'N-methyl D-aspartate receptor 2B3 C-terminus', 672, NULL, 'NMDAR2_C', 11087),
(11088, 'PF11832', NULL, 'Protein of unknown function (DUF3352)', 544, NULL, 'DUF3352', 11088),
(11089, 'PF18608', NULL, 'XIAP-associated factor 1 C-terminal domain', 54, NULL, 'XAF1_C', 11089),
(11090, 'PF06327', NULL, 'Domain of Unknown Function (DUF1053)', 103, NULL, 'DUF1053', 11090),
(11091, 'PF07317', NULL, 'Flagellar regulator YcgR', 107, NULL, 'YcgR', 11091),
(11092, 'PF15731', NULL, 'Antitoxin component of bacterial toxin-antitoxin system, MqsA', 131, NULL, 'MqsA_antitoxin', 11092),
(11093, 'PF12018', NULL, 'Domain of unknown function', 272, NULL, 'FAP206', 11093),
(11094, 'PF07910', NULL, 'Peptidase family C78', 212, NULL, 'Peptidase_C78', 11094),
(11095, 'PF11290', NULL, 'Protein of unknown function (DUF3090)', 172, NULL, 'DUF3090', 11095),
(11096, 'PF07064', NULL, 'RIC1', 251, NULL, 'RIC1', 11096),
(11097, 'PF02078', NULL, 'Synapsin, N-terminal domain', 101, NULL, 'Synapsin', 11097),
(11098, 'PF00554', NULL, 'Rel homology DNA-binding domain', 169, NULL, 'RHD_DNA_bind', 11098),
(11099, 'PF09324', NULL, 'Domain of unknown function (DUF1981)', 84, NULL, 'DUF1981', 11099),
(11100, 'PF11247', NULL, 'Protein of unknown function (DUF2675)', 99, NULL, 'DUF2675', 11100),
(11101, 'PF06379', NULL, 'L-rhamnose-proton symport protein (RhaT)', 344, NULL, 'RhaT', 11101),
(11102, 'PF06594', NULL, 'Haemolysin-type calcium binding protein related domain', 42, NULL, 'HCBP_related', 11102),
(11103, 'PF03478', NULL, 'Protein of unknown function (DUF295)', 55, NULL, 'DUF295', 11103),
(11104, 'PF14146', NULL, 'Domain of unknown function (DUF4305)', 37, NULL, 'DUF4305', 11104),
(11105, 'PF13187', NULL, '4Fe-4S dicluster domain', 51, NULL, 'Fer4_9', 11105),
(11106, 'PF01086', NULL, 'Clathrin light chain', 232, NULL, 'Clathrin_lg_ch', 11106),
(11107, 'PF08134', NULL, 'cIII protein family', 37, NULL, 'cIII', 11107),
(11108, 'PF14792', NULL, 'DNA polymerase beta palm', 116, NULL, 'DNA_pol_B_palm', 11108),
(11109, 'PF18809', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease1', 108, NULL, 'PBECR1', 11109),
(11110, 'PF04844', NULL, 'Transcriptional repressor, ovate', 58, NULL, 'Ovate', 11110),
(11111, 'PF12895', NULL, 'Anaphase-promoting complex, cyclosome, subunit 3', 82, NULL, 'ANAPC3', 11111),
(11112, 'PF12428', NULL, 'Protein of unknown function (DUF3675)', 119, NULL, 'DUF3675', 11112),
(11113, 'PF17953', NULL, 'CRISPR Csm4 C-terminal domain', 91, NULL, 'Csm4_C', 11113),
(11114, 'PF07116', NULL, 'Protein of unknown function (DUF1372)', 104, NULL, 'DUF1372', 11114),
(11115, 'PF17233', NULL, 'Family of unknown function (DUF5308)', 165, NULL, 'DUF5308', 11115),
(11116, 'PF18232', NULL, 'Chalcone isomerase N-terminal domain', 102, NULL, 'Chalcone_N', 11116),
(11117, 'PF16319', NULL, 'Domain of unknown function (DUF4958)', 731, NULL, 'DUF4958', 11117);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11118, 'PF16586', NULL, 'Domain of unknown function (DUF5060)', 70, NULL, 'DUF5060', 11118),
(11119, 'PF12337', NULL, 'Protein of unknown function (DUF3637)', 67, NULL, 'DUF3637', 11119),
(11120, 'PF17648', NULL, 'Family of unknown function (DUF5519)', 97, NULL, 'DUF5519', 11120),
(11121, 'PF04819', NULL, 'Family of unknown function (DUF716)', 138, NULL, 'DUF716', 11121),
(11122, 'PF07450', NULL, 'Formate hydrogenlyase maturation protein HycH', 129, NULL, 'HycH', 11122),
(11123, 'PF09959', NULL, 'Uncharacterized protein conserved in archaea (DUF2193)', 498, NULL, 'DUF2193', 11123),
(11124, 'PF15570', NULL, 'Immunity protein 43', 124, NULL, 'Imm43', 11124),
(11125, 'PF14103', NULL, 'Domain of unknown function (DUF4276)', 184, NULL, 'DUF4276', 11125),
(11126, 'PF17057', NULL, 'Poxviridae B3 protein', 123, NULL, 'B3R', 11126),
(11127, 'PF11388', NULL, 'Phagosome trafficking protein DotA', 105, NULL, 'DotA', 11127),
(11128, 'PF07734', NULL, 'F-box associated', 164, NULL, 'FBA_1', 11128),
(11129, 'PF16505', NULL, 'P4 movement protein of Emaravirus, and the 30K superfamily', 349, NULL, 'Emaravirus_P4', 11129),
(11130, 'PF07572', NULL, 'Bucentaur or craniofacial development', 75, NULL, 'BCNT', 11130),
(11131, 'PF01490', NULL, 'Transmembrane amino acid transporter protein', 409, NULL, 'Aa_trans', 11131),
(11132, 'PF15129', NULL, 'FAM150 family', 124, NULL, 'FAM150', 11132),
(11133, 'PF04714', NULL, 'BCL7, N-terminal conserver region', 49, NULL, 'BCL_N', 11133),
(11134, 'PF12581', NULL, 'Protein of unknown function (DUF3756)', 41, NULL, 'DUF3756', 11134),
(11135, 'PF18824', NULL, 'Large polyvalent protein-associated domain 11', 69, NULL, 'LPD11', 11135),
(11136, 'PF07985', NULL, 'SRR1', 55, NULL, 'SRR1', 11136),
(11137, 'PF02044', NULL, 'Bombesin-like peptide', 14, NULL, 'Bombesin', 11137),
(11138, 'PF13111', NULL, 'pPIWI_RE module N-terminal domain', 399, NULL, 'pPIWI_RE_X', 11138),
(11139, 'PF14643', NULL, 'Domain of unknown function (DUF4455)', 469, NULL, 'DUF4455', 11139),
(11140, 'PF14737', NULL, 'Domain of unknown function (DUF4470)', 101, NULL, 'DUF4470', 11140),
(11141, 'PF05576', NULL, 'PS-10 peptidase S37', 448, NULL, 'Peptidase_S37', 11141),
(11142, 'PF04196', NULL, 'Bunyavirus RNA dependent RNA polymerase', 742, NULL, 'Bunya_RdRp', 11142),
(11143, 'PF05958', NULL, 'tRNA (Uracil-5-)-methyltransferase', 357, NULL, 'tRNA_U5-meth_tr', 11143),
(11144, 'PF10414', NULL, 'Sirohaem synthase dimerisation region', 58, NULL, 'CysG_dimeriser', 11144),
(11145, 'PF11019', NULL, 'Protein of unknown function (DUF2608)', 246, NULL, 'DUF2608', 11145),
(11146, 'PF06671', NULL, 'Repeat of unknown function (DUF1174)', 25, NULL, 'DUF1174', 11146),
(11147, 'PF01227', NULL, 'GTP cyclohydrolase I', 179, NULL, 'GTP_cyclohydroI', 11147),
(11148, 'PF13084', NULL, 'Domain of unknown function (DUF3943)', 108, NULL, 'DUF3943', 11148),
(11149, 'PF15992', NULL, 'Domain of unknown function (DUF4769)', 256, NULL, 'DUF4769', 11149),
(11150, 'PF00193', NULL, 'Extracellular link domain', 93, NULL, 'Xlink', 11150),
(11151, 'PF10473', NULL, 'Leucine-rich repeats of kinetochore protein Cenp-F/LEK1', 140, NULL, 'CENP-F_leu_zip', 11151),
(11152, 'PF17878', NULL, 'Single-stranded DNA-binding protein', 72, NULL, 'ssDBP', 11152),
(11153, 'PF14304', NULL, 'Transcription termination and cleavage factor C-terminal', 41, NULL, 'CSTF_C', 11153),
(11154, 'PF07011', NULL, 'Early Flowering 4 domain', 83, NULL, 'Elf4', 11154),
(11155, 'PF02057', NULL, 'Glycosyl hydrolase family 59', 294, NULL, 'Glyco_hydro_59', 11155),
(11156, 'PF01292', NULL, 'Prokaryotic cytochrome b561', 182, NULL, 'Ni_hydr_CYTB', 11156),
(11157, 'PF03874', NULL, 'RNA polymerase Rpb4', 123, NULL, 'RNA_pol_Rpb4', 11157),
(11158, 'PF15524', NULL, 'Novel toxin 17', 94, NULL, 'Ntox17', 11158),
(11159, 'PF18099', NULL, 'DUF5010 C-terminal domain', 112, NULL, 'DUF5010_C', 11159),
(11160, 'PF02581', NULL, 'Thiamine monophosphate synthase', 181, NULL, 'TMP-TENI', 11160),
(11161, 'PF17203', NULL, 'Single cache domain 3', 140, NULL, 'sCache_3_2', 11161);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11162, 'PF04476', NULL, '4-HFC-P synthase', 228, NULL, '4HFCP_synth', 11162),
(11163, 'PF03780', NULL, 'Asp23 family, cell envelope-related function', 108, NULL, 'Asp23', 11163),
(11164, 'PF00118', NULL, 'TCP-1/cpn60 chaperonin family', 491, NULL, 'Cpn60_TCP1', 11164),
(11165, 'PF06805', NULL, 'Bacteriophage lambda tail assembly protein I', 86, NULL, 'Lambda_tail_I', 11165),
(11166, 'PF16571', NULL, 'FBP C-terminal treble-clef zinc-finger', 155, NULL, 'FBP_C', 11166),
(11167, 'PF02234', NULL, 'Cyclin-dependent kinase inhibitor', 49, NULL, 'CDI', 11167),
(11168, 'PF19170', NULL, 'Family of unknown function (DUF5852)', 158, NULL, 'DUF5852', 11168),
(11169, 'PF08748', NULL, 'Phage tail assembly chaperone', 128, NULL, 'Phage_TAC_4', 11169),
(11170, 'PF01084', NULL, 'Ribosomal protein S18', 52, NULL, 'Ribosomal_S18', 11170),
(11171, 'PF01670', NULL, 'Glycosyl hydrolase family 12', 214, NULL, 'Glyco_hydro_12', 11171),
(11172, 'PF05494', NULL, 'MlaC protein', 166, NULL, 'MlaC', 11172),
(11173, 'PF05788', NULL, 'Orbivirus RNA-dependent RNA polymerase (VP1)', 1297, NULL, 'Orbi_VP1', 11173),
(11174, 'PF00673', NULL, 'ribosomal L5P family C-terminus', 94, NULL, 'Ribosomal_L5_C', 11174),
(11175, 'PF04501', NULL, 'Baculovirus major capsid protein VP39', 244, NULL, 'Baculo_VP39', 11175),
(11176, 'PF15999', NULL, 'Domain of unknown function (DUF4774)', 58, NULL, 'DUF4774', 11176),
(11177, 'PF08501', NULL, 'Shikimate dehydrogenase substrate binding domain', 83, NULL, 'Shikimate_dh_N', 11177),
(11178, 'PF02810', NULL, 'SEC-C motif', 19, NULL, 'SEC-C', 11178),
(11179, 'PF13705', NULL, 'TRC8 N-terminal domain', 498, NULL, 'TRC8_N', 11179),
(11180, 'PF15651', NULL, 'Salivary glad secreted protein domain toxin', 96, NULL, 'Tox-SGS', 11180),
(11181, 'PF04992', NULL, 'RNA polymerase Rpb1, domain 6', 189, NULL, 'RNA_pol_Rpb1_6', 11181),
(11182, 'PF01394', NULL, 'Clathrin propeller repeat', 37, NULL, 'Clathrin_propel', 11182),
(11183, 'PF15143', NULL, 'Domain of unknown function (DUF4575)', 129, NULL, 'DUF4575', 11183),
(11184, 'PF11365', NULL, 'Protein SOGA', 95, NULL, 'SOGA', 11184),
(11185, 'PF04190', NULL, 'Protein of unknown function (DUF410)', 256, NULL, 'DUF410', 11185),
(11186, 'PF01519', NULL, 'Protein of unknown function DUF16', 104, NULL, 'DUF16', 11186),
(11187, 'PF05109', NULL, 'Herpes virus major outer envelope glycoprotein (BLLF1)', 886, NULL, 'Herpes_BLLF1', 11187),
(11188, 'PF09818', NULL, 'Predicted ATPase of the ABC class', 448, NULL, 'ABC_ATPase', 11188),
(11189, 'PF00945', NULL, 'Rhabdovirus nucleocapsid protein', 410, NULL, 'Rhabdo_ncap', 11189),
(11190, 'PF17236', NULL, 'Family of unknown function (DUF5309)', 283, NULL, 'DUF5309', 11190),
(11191, 'PF14459', NULL, 'Prokaryotic E2 family C', 131, NULL, 'Prok-E2_C', 11191),
(11192, 'PF04267', NULL, 'Sarcosine oxidase, delta subunit family', 82, NULL, 'SoxD', 11192),
(11193, 'PF11120', NULL, 'Cellulose biosynthesis protein BcsF', 60, NULL, 'CBP_BcsF', 11193),
(11194, 'PF03430', NULL, 'Trans-activating transcriptional regulator', 575, NULL, 'TATR', 11194),
(11195, 'PF06585', NULL, 'Haemolymph juvenile hormone binding protein (JHBP)', 239, NULL, 'JHBP', 11195),
(11196, 'PF00446', NULL, 'Gonadotropin-releasing hormone', 10, NULL, 'GnRH', 11196),
(11197, 'PF14432', NULL, 'DYW family of nucleic acid deaminases', 127, NULL, 'DYW_deaminase', 11197),
(11198, 'PF18457', NULL, 'Up-Regulated in long-lived daf-2', 176, NULL, 'PUD1_2', 11198),
(11199, 'PF08942', NULL, 'Domain of unknown function (DUF1919)', 196, NULL, 'DUF1919', 11199),
(11200, 'PF04314', NULL, 'Copper chaperone PCu(A)C', 109, NULL, 'PCuAC', 11200),
(11201, 'PF12717', NULL, 'non-SMC mitotic condensation complex subunit 1', 162, NULL, 'Cnd1', 11201),
(11202, 'PF17250', NULL, 'NADH-ubiquinone oxidoreductase 11 kDa subunit', 86, NULL, 'NDUFB11', 11202),
(11203, 'PF11904', NULL, 'GPCR-chaperone', 313, NULL, 'GPCR_chapero_1', 11203),
(11204, 'PF00037', NULL, '4Fe-4S binding domain', 24, NULL, 'Fer4', 11204);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11205, 'PF18322', NULL, 'Serine protease Clip domain PPAF-2', 53, NULL, 'CLIP_1', 11205),
(11206, 'PF07129', NULL, 'Protein of unknown function (DUF1381)', 44, NULL, 'DUF1381', 11206),
(11207, 'PF09320', NULL, 'Domain of unknown function (DUF1977)', 105, NULL, 'DUF1977', 11207),
(11208, 'PF01650', NULL, 'Peptidase C13 family', 256, NULL, 'Peptidase_C13', 11208),
(11209, 'PF09905', NULL, 'DNA-binding protein VF530', 63, NULL, 'VF530', 11209),
(11210, 'PF15093', NULL, 'Domain of unknown function (DUF4555)', 284, NULL, 'DUF4555', 11210),
(11211, 'PF15898', NULL, 'cGMP-dependent protein kinase interacting domain', 102, NULL, 'PRKG1_interact', 11211),
(11212, 'PF11945', NULL, 'WAHD domain of WASH complex', 292, NULL, 'WASH_WAHD', 11212),
(11213, 'PF15310', NULL, 'Vitamin A-deficiency (VAD) rat model signalling', 249, NULL, 'VAD1-2', 11213),
(11214, 'PF10968', NULL, 'Protein of unknown function (DUF2770)', 36, NULL, 'DUF2770', 11214),
(11215, 'PF05867', NULL, 'Protein of unknown function (DUF851)', 241, NULL, 'DUF851', 11215),
(11216, 'PF03960', NULL, 'ArsC family', 64, NULL, 'ArsC', 11216),
(11217, 'PF18886', NULL, 'Repeats of unknown function (DUF5649)', 68, NULL, 'DUF5649', 11217),
(11218, 'PF02427', NULL, 'Photosystem I reaction centre subunit IV / PsaE', 60, NULL, 'PSI_PsaE', 11218),
(11219, 'PF07216', NULL, 'LcrG protein', 91, NULL, 'LcrG', 11219),
(11220, 'PF00502', NULL, 'Phycobilisome protein', 155, NULL, 'Phycobilisome', 11220),
(11221, 'PF03612', NULL, 'Sorbitol phosphotransferase enzyme II N-terminus', 184, NULL, 'EIIBC-GUT_N', 11221),
(11222, 'PF11940', NULL, 'Domain of unknown function (DUF3458) Ig-like fold', 95, NULL, 'DUF3458', 11222),
(11223, 'PF02952', NULL, 'L-fucose isomerase, C-terminal domain', 143, NULL, 'Fucose_iso_C', 11223),
(11224, 'PF16263', NULL, 'Domain of unknown function (DUF4917)', 310, NULL, 'DUF4917', 11224),
(11225, 'PF18783', NULL, 'Isopullulanase beta-solenoid repeat', 33, NULL, 'IPU_b_solenoid', 11225),
(11226, 'PF03614', NULL, 'Repressor of phase-1 flagellin', 167, NULL, 'Flag1_repress', 11226),
(11227, 'PF02289', NULL, 'Cyclohydrolase (MCH)', 311, NULL, 'MCH', 11227),
(11228, 'PF18356', NULL, 'Domain of unknown function (DUF5608)', 56, NULL, 'DUF5608', 11228),
(11229, 'PF12611', NULL, 'Putative flagellar', 24, NULL, 'Flagellar_put', 11229),
(11230, 'PF18818', NULL, 'Zincin-like metallopeptidase', 126, NULL, 'MPTase-PolyVal', 11230),
(11231, 'PF08280', NULL, 'M protein trans-acting positive regulator (MGA) HTH domain', 60, NULL, 'HTH_Mga', 11231),
(11232, 'PF05876', NULL, 'Phage terminase large subunit (GpA)', 558, NULL, 'Terminase_GpA', 11232),
(11233, 'PF02075', NULL, 'Crossover junction endodeoxyribonuclease RuvC', 148, NULL, 'RuvC', 11233),
(11234, 'PF00041', NULL, 'Fibronectin type III domain', 85, NULL, 'fn3', 11234),
(11235, 'PF11099', NULL, 'Apoptosis regulator M11L like', 160, NULL, 'M11L', 11235),
(11236, 'PF00110', NULL, 'wnt family', 307, NULL, 'wnt', 11236),
(11237, 'PF02669', NULL, 'K+-transporting ATPase, c chain', 182, NULL, 'KdpC', 11237),
(11238, 'PF11986', NULL, 'Influenza A Proapoptotic protein', 87, NULL, 'PB1-F2', 11238),
(11239, 'PF07271', NULL, 'Cytadhesin P30/P32', 288, NULL, 'Cytadhesin_P30', 11239),
(11240, 'PF01934', NULL, 'Protein of unknown function DUF86', 119, NULL, 'DUF86', 11240),
(11241, 'PF01392', NULL, 'Fz domain', 111, NULL, 'Fz', 11241),
(11242, 'PF09793', NULL, 'Anticodon-binding domain', 90, NULL, 'AD', 11242),
(11243, 'PF10980', NULL, 'Protein of unknown function (DUF2787)', 130, NULL, 'DUF2787', 11243),
(11244, 'PF01203', NULL, 'Type II secretion system (T2SS), protein N', 211, NULL, 'T2SSN', 11244),
(11245, 'PF09784', NULL, 'Mitochondrial ribosomal protein L31', 102, NULL, 'L31', 11245),
(11246, 'PF03463', NULL, 'eRF1 domain 1', 129, NULL, 'eRF1_1', 11246),
(11247, 'PF01832', NULL, 'Mannosyl-glycoprotein endo-beta-N-acetylglucosaminidase', 88, NULL, 'Glucosaminidase', 11247),
(11248, 'PF03077', NULL, 'Putative vacuolating cytotoxin', 60, NULL, 'VacA2', 11248);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11249, 'PF10190', NULL, 'Putative transmembrane protein 170', 106, NULL, 'Tmemb_170', 11249),
(11250, 'PF00879', NULL, 'Defensin propeptide', 51, NULL, 'Defensin_propep', 11250),
(11251, 'PF10370', NULL, 'Domain of unknown function (DUF2437)', 50, NULL, 'DUF2437', 11251),
(11252, 'PF01078', NULL, 'Magnesium chelatase, subunit ChlI', 207, NULL, 'Mg_chelatase', 11252),
(11253, 'PF14107', NULL, 'Domain of unknown function (DUF4280)', 108, NULL, 'DUF4280', 11253),
(11254, 'PF02212', NULL, 'Dynamin GTPase effector domain', 92, NULL, 'GED', 11254),
(11255, 'PF02259', NULL, 'FAT domain', 346, NULL, 'FAT', 11255),
(11256, 'PF02986', NULL, 'Fibronectin binding repeat', 38, NULL, 'Fn_bind', 11256),
(11257, 'PF09375', NULL, 'Imelysin', 288, NULL, 'Peptidase_M75', 11257),
(11258, 'PF12499', NULL, 'Pherophorin', 143, NULL, 'DUF3707', 11258),
(11259, 'PF06219', NULL, 'Protein of unknown function (DUF1005)', 437, NULL, 'DUF1005', 11259),
(11260, 'PF12753', NULL, 'Nuclear pore complex subunit Nro1', 422, NULL, 'Nro1', 11260),
(11261, 'PF08600', NULL, 'Rsm1-like', 92, NULL, 'Rsm1', 11261),
(11262, 'PF08245', NULL, 'Mur ligase middle domain', 200, NULL, 'Mur_ligase_M', 11262),
(11263, 'PF13153', NULL, 'Protein of unknown function (DUF3985)', 44, NULL, 'DUF3985', 11263),
(11264, 'PF09251', NULL, 'Salmonella phage P22 tail-spike', 550, NULL, 'PhageP22-tail', 11264),
(11265, 'PF17218', NULL, 'CBX family C-terminal motif', 33, NULL, 'CBX7_C', 11265),
(11266, 'PF17773', NULL, 'UPF0176 acylphosphatase like domain', 92, NULL, 'UPF0176_N', 11266),
(11267, 'PF05943', NULL, 'EvpB/VC_A0108, tail sheath N-terminal domain', 302, NULL, 'VipB', 11267),
(11268, 'PF02980', NULL, 'Restriction endonuclease FokI, catalytic domain', 136, NULL, 'FokI_C', 11268),
(11269, 'PF02468', NULL, 'Photosystem II reaction centre N protein (psbN)', 43, NULL, 'PsbN', 11269),
(11270, 'PF16578', NULL, 'Interleukin 17 receptor D', 105, NULL, 'IL17R_fnIII_D2', 11270),
(11271, 'PF04620', NULL, 'Flagellar filament outer layer protein Flaa', 230, NULL, 'FlaA', 11271),
(11272, 'PF03861', NULL, 'ANTAR domain', 54, NULL, 'ANTAR', 11272),
(11273, 'PF10120', NULL, 'Thiamine-phosphate synthase', 165, NULL, 'ThiP_synth', 11273),
(11274, 'PF04533', NULL, 'Herpes virus U44 protein', 202, NULL, 'Herpes_U44', 11274),
(11275, 'PF13293', NULL, 'Domain of unknown function (DUF4074)', 63, NULL, 'DUF4074', 11275),
(11276, 'PF02014', NULL, 'Reeler domain', 129, NULL, 'Reeler', 11276),
(11277, 'PF14429', NULL, 'C2 domain in Dock180 and Zizimin proteins', 197, NULL, 'DOCK-C2', 11277),
(11278, 'PF18543', NULL, 'Intracellular delivery domain', 55, NULL, 'ID', 11278),
(11279, 'PF01733', NULL, 'Nucleoside transporter', 309, NULL, 'Nucleoside_tran', 11279),
(11280, 'PF18906', NULL, 'Phage tail tube protein', 270, NULL, 'Phage_tube_2', 11280),
(11281, 'PF11356', NULL, 'Type II secretion system protein C', 142, NULL, 'T2SSC', 11281),
(11282, 'PF12387', NULL, 'Pestivirus NS2 peptidase', 200, NULL, 'Peptidase_C74', 11282),
(11283, 'PF04422', NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit N-term', 78, NULL, 'FrhB_FdhB_N', 11283),
(11284, 'PF14982', NULL, 'UPF0731 family', 78, NULL, 'UPF0731', 11284),
(11285, 'PF02300', NULL, 'Fumarate reductase subunit C', 127, NULL, 'Fumarate_red_C', 11285),
(11286, 'PF17387', NULL, 'Glycosyl hydrolase family 59 central domain', 116, NULL, 'Glyco_hydro_59M', 11286),
(11287, 'PF11334', NULL, 'Protein of unknown function (DUF3136)', 64, NULL, 'DUF3136', 11287),
(11288, 'PF04257', NULL, 'Exodeoxyribonuclease V, gamma subunit', 767, NULL, 'Exonuc_V_gamma', 11288),
(11289, 'PF16100', NULL, 'RecQ-mediated genome instability protein 2', 135, NULL, 'RMI2', 11289),
(11290, 'PF10542', NULL, 'Vitelline membrane cysteine-rich region', 38, NULL, 'Vitelline_membr', 11290),
(11291, 'PF02577', NULL, 'Domain of unknown function (DUF151)', 114, NULL, 'DUF151', 11291),
(11292, 'PF09365', NULL, 'Conserved hypothetical protein (DUF2461)', 208, NULL, 'DUF2461', 11292);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11293, 'PF01899', NULL, 'Na+/H+ ion antiporter subunit', 146, NULL, 'MNHE', 11293),
(11294, 'PF07634', NULL, 'RtxA repeat', 18, NULL, 'RtxA', 11294),
(11295, 'PF18860', NULL, 'AbiJ N-terminal domain 3', 167, NULL, 'AbiJ_NTD3', 11295),
(11296, 'PF16879', NULL, 'C-terminal domain of Sin3a protein', 286, NULL, 'Sin3a_C', 11296),
(11297, 'PF15704', NULL, 'Mitochondrial ATP synthase subunit', 188, NULL, 'Mt_ATP_synt', 11297),
(11298, 'PF11749', NULL, 'Protein of unknown function (DUF3305)', 142, NULL, 'DUF3305', 11298),
(11299, 'PF17719', NULL, 'Family of unknown function (DUF5564)', 98, NULL, 'DUF5564', 11299),
(11300, 'PF03289', NULL, 'Poxvirus protein I1', 307, NULL, 'Pox_I1', 11300),
(11301, 'PF11753', NULL, 'Protein of unknwon function (DUF3310)', 60, NULL, 'DUF3310', 11301),
(11302, 'PF13681', NULL, 'Type IV pilus assembly protein PilX C-term', 88, NULL, 'PilX', 11302),
(11303, 'PF01712', NULL, 'Deoxynucleoside kinase', 204, NULL, 'dNK', 11303),
(11304, 'PF03070', NULL, 'TENA/THI-4/PQQC family', 210, NULL, 'TENA_THI-4', 11304),
(11305, 'PF05387', NULL, 'Chorion family 3', 277, NULL, 'Chorion_3', 11305),
(11306, 'PF00129', NULL, 'Class I Histocompatibility antigen, domains alpha 1 and 2', 179, NULL, 'MHC_I', 11306),
(11307, 'PF13724', NULL, 'DNA-binding domain', 47, NULL, 'DNA_binding_2', 11307),
(11308, 'PF03533', NULL, 'SPO11 homologue', 43, NULL, 'SPO11_like', 11308),
(11309, 'PF09342', NULL, 'Domain of unknown function (DUF1986)', 116, NULL, 'DUF1986', 11309),
(11310, 'PF10973', NULL, 'Protein of unknown function (DUF2799)', 86, NULL, 'DUF2799', 11310),
(11311, 'PF11338', NULL, 'Protein of unknown function (DUF3140)', 92, NULL, 'DUF3140', 11311),
(11312, 'PF02970', NULL, 'Tubulin binding cofactor A', 89, NULL, 'TBCA', 11312),
(11313, 'PF00784', NULL, 'MyTH4 domain', 109, NULL, 'MyTH4', 11313),
(11314, 'PF11116', NULL, 'Protein of unknown function (DUF2624)', 83, NULL, 'DUF2624', 11314),
(11315, 'PF13590', NULL, 'Domain of unknown function (DUF4136)', 133, NULL, 'DUF4136', 11315),
(11316, 'PF16081', NULL, 'Mycobacterial 2 TMS Phage Holin (M2 Hol) Family', 133, NULL, 'Phage_holin_7_1', 11316),
(11317, 'PF05968', NULL, 'Bacillus PapR protein', 45, NULL, 'Bacillus_PapR', 11317),
(11318, 'PF00525', NULL, 'Alpha crystallin A chain, N terminal', 56, NULL, 'Crystallin', 11318),
(11319, 'PF08103', NULL, 'Uperin family', 17, NULL, 'Antimicrobial_8', 11319),
(11320, 'PF17326', NULL, 'Family of unknown function (DUF5365)', 116, NULL, 'DUF5365', 11320),
(11321, 'PF03220', NULL, 'Tombusvirus P19 core protein', 171, NULL, 'Tombus_P19', 11321),
(11322, 'PF10715', NULL, 'T4-page Endoribonuclease RegB', 150, NULL, 'REGB_T4', 11322),
(11323, 'PF12302', NULL, 'Protein of unknown function (DUF3629)', 218, NULL, 'DUF3629', 11323),
(11324, 'PF04002', NULL, 'RadC-like JAB domain', 122, NULL, 'RadC', 11324),
(11325, 'PF00270', NULL, 'DEAD/DEAH box helicase', 176, NULL, 'DEAD', 11325),
(11326, 'PF10791', NULL, 'Mitochondrial F1-F0 ATP synthase subunit F of fungi', 92, NULL, 'F1F0-ATPsyn_F', 11326),
(11327, 'PF14838', NULL, 'Integrator complex subunit 5 C-terminus', 698, NULL, 'INTS5_C', 11327),
(11328, 'PF09831', NULL, 'Uncharacterized protein conserved in bacteria (DUF2058)', 175, NULL, 'DUF2058', 11328),
(11329, 'PF05623', NULL, 'Protein of unknown function (DUF789)', 294, NULL, 'DUF789', 11329),
(11330, 'PF00257', NULL, 'Dehydrin', 162, NULL, 'Dehydrin', 11330),
(11331, 'PF12699', NULL, 'phiKZ-like phage internal head proteins', 339, NULL, 'phiKZ_IP', 11331),
(11332, 'PF01365', NULL, 'RIH domain', 201, NULL, 'RYDR_ITPR', 11332),
(11333, 'PF17596', NULL, 'Family of unknown function (DUF5492)', 80, NULL, 'DUF5492', 11333),
(11334, 'PF01408', NULL, 'Oxidoreductase family, NAD-binding Rossmann fold', 120, NULL, 'GFO_IDH_MocA', 11334),
(11335, 'PF06427', NULL, 'UDP-glucose:Glycoprotein Glucosyltransferase', 109, NULL, 'UDP-g_GGTase', 11335),
(11336, 'PF06396', NULL, 'Angiotensin II, type I receptor-associated protein (AGTRAP)', 148, NULL, 'AGTRAP', 11336);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11337, 'PF18103', NULL, 'Retroviral integrase C-terminal SH3 domain', 63, NULL, 'SH3_11', 11337),
(11338, 'PF09345', NULL, 'Domain of unknown function (DUF1987)', 121, NULL, 'DUF1987', 11338),
(11339, 'PF18074', NULL, 'Primosomal protein N C-terminal domain', 94, NULL, 'PriA_C', 11339),
(11340, 'PF13986', NULL, 'Domain of unknown function (DUF4224)', 45, NULL, 'DUF4224', 11340),
(11341, 'PF19135', NULL, 'Protein of unknown function (DUF5818)', 57, NULL, 'DUF5818', 11341),
(11342, 'PF07938', NULL, 'Fungal fucose-specific lectin', 299, NULL, 'Fungal_lectin', 11342),
(11343, 'PF14753', NULL, 'Protein FAM221A/B', 197, NULL, 'FAM221', 11343),
(11344, 'PF08476', NULL, 'Viral D10 N-terminal', 43, NULL, 'VD10_N', 11344),
(11345, 'PF17300', NULL, 'Filaments in between nuclei protein-1', 239, NULL, 'FIN1', 11345),
(11346, 'PF06081', NULL, 'Aromatic acid exporter family member 1', 141, NULL, 'ArAE_1', 11346),
(11347, 'PF01212', NULL, 'Beta-eliminating lyase', 291, NULL, 'Beta_elim_lyase', 11347),
(11348, 'PF09888', NULL, 'Uncharacterized protein conserved in archaea (DUF2115)', 163, NULL, 'DUF2115', 11348),
(11349, 'PF04321', NULL, 'RmlD substrate binding domain', 287, NULL, 'RmlD_sub_bind', 11349),
(11350, 'PF12877', NULL, 'Domain of unknown function (DUF3827)', 678, NULL, 'DUF3827', 11350),
(11351, 'PF18849', NULL, 'Bacterial archaeo-eukaryotic release factor family 7', 144, NULL, 'baeRF_family7', 11351),
(11352, 'PF13420', NULL, 'Acetyltransferase (GNAT) domain', 155, NULL, 'Acetyltransf_4', 11352),
(11353, 'PF15630', NULL, 'CENP-S protein', 76, NULL, 'CENP-S', 11353),
(11354, 'PF01269', NULL, 'Fibrillarin', 226, NULL, 'Fibrillarin', 11354),
(11355, 'PF04991', NULL, 'LicD family', 229, NULL, 'LicD', 11355),
(11356, 'PF03469', NULL, 'XH domain', 131, NULL, 'XH', 11356),
(11357, 'PF04084', NULL, 'Origin recognition complex subunit 2', 334, NULL, 'ORC2', 11357),
(11358, 'PF13688', NULL, 'Metallo-peptidase family M12', 196, NULL, 'Reprolysin_5', 11358),
(11359, 'PF16350', NULL, 'FAD dependent oxidoreductase central domain', 56, NULL, 'FAO_M', 11359),
(11360, 'PF06245', NULL, 'Protein of unknown function (DUF1015)', 310, NULL, 'DUF1015', 11360),
(11361, 'PF18993', NULL, 'Rv0078B-related antitoxin', 63, NULL, 'Rv0078B', 11361),
(11362, 'PF00174', NULL, 'Oxidoreductase molybdopterin binding domain', 170, NULL, 'Oxidored_molyb', 11362),
(11363, 'PF16574', NULL, 'Coiled-coil region of centrosome protein CE290', 128, NULL, 'CEP209_CC5', 11363),
(11364, 'PF03127', NULL, 'GAT domain', 77, NULL, 'GAT', 11364),
(11365, 'PF18556', NULL, 'Bacterial Tetracyclin repressor,  C-terminal domain', 105, NULL, 'TetR_C_35', 11365),
(11366, 'PF17993', NULL, 'Haemagglutinin 70 C-terminal domain', 135, NULL, 'HA70_C', 11366),
(11367, 'PF17705', NULL, 'Family of unknown function (DUF5551)', 155, NULL, 'DUF5551', 11367),
(11368, 'PF07855', NULL, 'Autophagy-related protein 101', 153, NULL, 'ATG101', 11368),
(11369, 'PF04098', NULL, 'Rad52/22 family double-strand break repair protein', 153, NULL, 'Rad52_Rad22', 11369),
(11370, 'PF16909', NULL, 'Vacuolar-sorting-associated 13 protein C-terminal', 176, NULL, 'VPS13_C', 11370),
(11371, 'PF08426', NULL, 'ICE2', 406, NULL, 'ICE2', 11371),
(11372, 'PF17450', NULL, 'Alpha galactosidase A C-terminal beta sandwich domain', 86, NULL, 'Melibiase_2_C', 11372),
(11373, 'PF14325', NULL, 'Domain of unknown function (DUF4383)', 124, NULL, 'DUF4383', 11373),
(11374, 'PF18928', NULL, 'Family of unknown function (DUF5677)', 166, NULL, 'DUF5677', 11374),
(11375, 'PF13414', NULL, 'TPR repeat', 42, NULL, 'TPR_11', 11375),
(11376, 'PF16294', NULL, 'RNSP1-SAP18 binding (RSB) motif', 102, NULL, 'RSB_motif', 11376),
(11377, 'PF02101', NULL, 'Ocular albinism type 1 protein', 402, NULL, 'Ocular_alb', 11377),
(11378, 'PF04441', NULL, 'Poxvirus early transcription factor (VETF), large subunit', 697, NULL, 'Pox_VERT_large', 11378),
(11379, 'PF12534', NULL, 'Pannexin-like TM region of LRRC8', 350, NULL, 'Pannexin_like', 11379);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11380, 'PF09553', NULL, 'Eco47II restriction endonuclease', 202, NULL, 'RE_Eco47II', 11380),
(11381, 'PF03378', NULL, 'CAS/CSE protein, C-terminus', 443, NULL, 'CAS_CSE1', 11381),
(11382, 'PF12989', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3873)', 68, NULL, 'DUF3873', 11382),
(11383, 'PF04421', NULL, 'Mss4 protein', 94, NULL, 'Mss4', 11383),
(11384, 'PF08863', NULL, 'YolD-like protein', 94, NULL, 'YolD', 11384),
(11385, 'PF11036', NULL, 'Virulence promoting factor', 43, NULL, 'YqgB', 11385),
(11386, 'PF11011', NULL, 'Protein of unknown function (DUF2849)', 86, NULL, 'DUF2849', 11386),
(11387, 'PF15671', NULL, 'Proline-rich protein family 18', 264, NULL, 'PRR18', 11387),
(11388, 'PF18692', NULL, 'Family of unknown function (DUF5640)', 84, NULL, 'DUF5640', 11388),
(11389, 'PF03801', NULL, 'HEC/Ndc80p family', 157, NULL, 'Ndc80_HEC', 11389),
(11390, 'PF08645', NULL, 'Polynucleotide kinase 3 phosphatase', 162, NULL, 'PNK3P', 11390),
(11391, 'PF03053', NULL, 'ORF3b coronavirus protein', 226, NULL, 'Corona_NS3b', 11391),
(11392, 'PF18351', NULL, 'Fungal Argonaute N-terminal domain', 95, NULL, 'Ago_N_1', 11392),
(11393, 'PF03283', NULL, 'Pectinacetylesterase', 356, NULL, 'PAE', 11393),
(11394, 'PF05486', NULL, 'Signal recognition particle 9 kDa protein (SRP9)', 97, NULL, 'SRP9-21', 11394),
(11395, 'PF07939', NULL, 'Protein of unknown function (DUF1685)', 60, NULL, 'DUF1685', 11395),
(11396, 'PF07381', NULL, 'Winged helix DNA-binding domain (DUF1495)', 90, NULL, 'DUF1495', 11396),
(11397, 'PF00380', NULL, 'Ribosomal protein S9/S16', 121, NULL, 'Ribosomal_S9', 11397),
(11398, 'PF12053', NULL, 'N-terminal of Par3 and HAL proteins', 83, NULL, 'Par3_HAL_N_term', 11398),
(11399, 'PF12663', NULL, 'Protein of unknown function (DUF3788)', 127, NULL, 'DUF3788', 11399),
(11400, 'PF12329', NULL, 'TATA element modulatory factor 1 DNA binding', 74, NULL, 'TMF_DNA_bd', 11400),
(11401, 'PF12741', NULL, 'Susd and RagB outer membrane lipoprotein', 496, NULL, 'SusD-like', 11401),
(11402, 'PF02225', NULL, 'PA domain', 91, NULL, 'PA', 11402),
(11403, 'PF00081', NULL, 'Iron/manganese superoxide dismutases, alpha-hairpin domain', 82, NULL, 'Sod_Fe_N', 11403),
(11404, 'PF02636', NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', 262, NULL, 'Methyltransf_28', 11404),
(11405, 'PF00640', NULL, 'Phosphotyrosine interaction domain (PTB/PID)', 140, NULL, 'PID', 11405),
(11406, 'PF05263', NULL, 'Protein of unknown function (DUF722)', 129, NULL, 'DUF722', 11406),
(11407, 'PF06819', NULL, 'Archaeal Peptidase A24 C-terminal Domain', 112, NULL, 'Arc_PepC', 11407),
(11408, 'PF02709', NULL, 'N-terminal domain of galactosyltransferase', 78, NULL, 'Glyco_transf_7C', 11408),
(11409, 'PF01694', NULL, 'Rhomboid family', 150, NULL, 'Rhomboid', 11409),
(11410, 'PF10538', NULL, 'Hantavirus ITAM motif', 38, NULL, 'ITAM_Cys-rich', 11410),
(11411, 'PF02748', NULL, 'Aspartate carbamoyltransferase regulatory chain, metal binding domain', 48, NULL, 'PyrI_C', 11411),
(11412, 'PF13178', NULL, 'Protein of unknown function (DUF4005)', 93, NULL, 'DUF4005', 11412),
(11413, 'PF16846', NULL, 'Centromere DNA-binding protein complex CBF3 subunit B', 511, NULL, 'Cep3', 11413),
(11414, 'PF08386', NULL, 'TAP-like protein', 103, NULL, 'Abhydrolase_4', 11414),
(11415, 'PF08536', NULL, 'Whirly transcription factor', 137, NULL, 'Whirly', 11415),
(11416, 'PF13230', NULL, 'Glutamine amidotransferases class-II', 272, NULL, 'GATase_4', 11416),
(11417, 'PF15102', NULL, 'TMEM154 protein family', 153, NULL, 'TMEM154', 11417),
(11418, 'PF12607', NULL, 'Protein of unknown function (DUF3772)', 63, NULL, 'DUF3772', 11418),
(11419, 'PF18550', NULL, 'Nitrososphaera output domain 2', 104, NULL, 'NitrOD2', 11419),
(11420, 'PF18321', NULL, '3-hydroxybutyryl-CoA dehydrogenase reduced Rossmann-fold domain', 69, NULL, '3HCDH_RFF', 11420),
(11421, 'PF05764', NULL, 'YL1 nuclear protein', 240, NULL, 'YL1', 11421),
(11422, 'PF02946', NULL, 'GTF2I-like repeat', 75, NULL, 'GTF2I', 11422);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11423, 'PF01834', NULL, 'XRCC1 N terminal domain', 148, NULL, 'XRCC1_N', 11423),
(11424, 'PF02769', NULL, 'AIR synthase related protein, C-terminal domain', 156, NULL, 'AIRS_C', 11424),
(11425, 'PF10172', NULL, 'Det1 complexing ubiquitin ligase', 66, NULL, 'DDA1', 11425),
(11426, 'PF04888', NULL, 'Secretion system effector C (SseC) like family', 317, NULL, 'SseC', 11426),
(11427, 'PF19139', NULL, 'Family of unknown function (DUF5822)', 38, NULL, 'DUF5822', 11427),
(11428, 'PF07637', NULL, 'Protein of unknown function (DUF1595)', 62, NULL, 'PSD5', 11428),
(11429, 'PF10985', NULL, 'Protein of unknown function (DUF2805)', 71, NULL, 'DUF2805', 11429),
(11430, 'PF08186', NULL, 'Wound-inducible basic protein family', 44, NULL, 'Wound_ind', 11430),
(11431, 'PF03886', NULL, 'ABC-type transport auxiliary lipoprotein component', 161, NULL, 'ABC_trans_aux', 11431),
(11432, 'PF13334', NULL, 'Domain of unknown function (DUF4094)', 90, NULL, 'DUF4094', 11432),
(11433, 'PF01565', NULL, 'FAD binding domain', 139, NULL, 'FAD_binding_4', 11433),
(11434, 'PF06240', NULL, 'Carbon monoxide dehydrogenase subunit G (CoxG)', 140, NULL, 'COXG', 11434),
(11435, 'PF19121', NULL, 'Family of unknown function (DUF5805)', 67, NULL, 'DUF5805', 11435),
(11436, 'PF08528', NULL, 'Whi5 like', 25, NULL, 'Whi5', 11436),
(11437, 'PF11489', NULL, 'Altered inheritance of mitochondria protein 21', 725, NULL, 'Aim21', 11437),
(11438, 'PF03211', NULL, 'Pectate lyase', 203, NULL, 'Pectate_lyase', 11438),
(11439, 'PF02628', NULL, 'Cytochrome oxidase assembly protein', 323, NULL, 'COX15-CtaA', 11439),
(11440, 'PF15856', NULL, 'Domain of unknown function (DUF4727)', 217, NULL, 'DUF4727', 11440),
(11441, 'PF09575', NULL, 'Small spore protein J (Spore_SspJ)', 46, NULL, 'Spore_SspJ', 11441),
(11442, 'PF18714', NULL, 'DNA polymerase II intein Domain IV', 150, NULL, 'PI-TkoII_IV', 11442),
(11443, 'PF14581', NULL, 'SseB protein C-terminal domain', 106, NULL, 'SseB_C', 11443),
(11444, 'PF09935', NULL, 'Protein of unknown function (DUF2167)', 239, NULL, 'DUF2167', 11444),
(11445, 'PF07758', NULL, 'Protein of unknown function (DUF1614)', 171, NULL, 'DUF1614', 11445),
(11446, 'PF01133', NULL, 'Enhancer of rudimentary', 98, NULL, 'ER', 11446),
(11447, 'PF06742', NULL, 'Protein of unknown function (DUF1214)', 110, NULL, 'DUF1214', 11447),
(11448, 'PF00794', NULL, 'PI3-kinase family, ras-binding domain', 107, NULL, 'PI3K_rbd', 11448),
(11449, 'PF08910', NULL, 'Aida N-terminus', 103, NULL, 'Aida_N', 11449),
(11450, 'PF16362', NULL, 'YaiA protein', 63, NULL, 'YaiA', 11450),
(11451, 'PF09677', NULL, 'Type-F conjugative transfer system protein (TrbI_Ftype)', 106, NULL, 'TrbI_Ftype', 11451),
(11452, 'PF02742', NULL, 'Iron dependent repressor, metal binding and dimerisation domain', 70, NULL, 'Fe_dep_repr_C', 11452),
(11453, 'PF03854', NULL, 'P-11 zinc finger', 50, NULL, 'zf-P11', 11453),
(11454, 'PF03168', NULL, 'Late embryogenesis abundant protein', 101, NULL, 'LEA_2', 11454),
(11455, 'PF12830', NULL, 'Sister chromatid cohesion C-terminus', 190, NULL, 'Nipped-B_C', 11455),
(11456, 'PF16451', NULL, 'Betacoronavirus-like spike glycoprotein S1, N-terminal', 297, NULL, 'bCoV_S1_N', 11456),
(11457, 'PF16786', NULL, 'Recombination enhancement, RecA-dependent nuclease', 103, NULL, 'RecA_dep_nuc', 11457),
(11458, 'PF14184', NULL, 'Regulatory protein YrvL', 127, NULL, 'YrvL', 11458),
(11459, 'PF01145', NULL, 'SPFH domain / Band 7 family', 178, NULL, 'Band_7', 11459),
(11460, 'PF16855', NULL, 'Small outer capsid protein', 74, NULL, 'Soc', 11460),
(11461, 'PF00271', NULL, 'Helicase conserved C-terminal domain', 111, NULL, 'Helicase_C', 11461),
(11462, 'PF18301', NULL, 'pre ATP-grasp 3 domain', 76, NULL, 'preATP-grasp_3', 11462),
(11463, 'PF02461', NULL, 'Ammonia monooxygenase', 238, NULL, 'AMO', 11463),
(11464, 'PF06053', NULL, 'Domain of unknown function (DUF929)', 249, NULL, 'DUF929', 11464),
(11465, 'PF12933', NULL, 'FTO catalytic domain', 276, NULL, 'FTO_NTD', 11465);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11466, 'PF17007', NULL, 'HTH-like', 454, NULL, 'HTH_micro', 11466),
(11467, 'PF01627', NULL, 'Hpt domain', 85, NULL, 'Hpt', 11467),
(11468, 'PF08626', NULL, 'Transport protein Trs120 or TRAPPC9, TRAPP II complex subunit', 1226, NULL, 'TRAPPC9-Trs120', 11468),
(11469, 'PF14666', NULL, 'Rapamycin-insensitive companion of mTOR, middle domain', 104, NULL, 'RICTOR_M', 11469),
(11470, 'PF00642', NULL, 'Zinc finger C-x8-C-x5-C-x3-H type (and similar)', 27, NULL, 'zf-CCCH', 11470),
(11471, 'PF10322', NULL, 'Serpentine type 7TM GPCR chemoreceptor Sru', 304, NULL, '7TM_GPCR_Sru', 11471),
(11472, 'PF10588', NULL, 'NADH-ubiquinone oxidoreductase-G iron-sulfur binding region', 40, NULL, 'NADH-G_4Fe-4S_3', 11472),
(11473, 'PF18967', NULL, 'Family of unknown function (DUF5706)', 107, NULL, 'DUF5706', 11473),
(11474, 'PF11080', NULL, 'Endoribonuclease GhoS', 94, NULL, 'GhoS', 11474),
(11475, 'PF03202', NULL, 'Putative mycoplasma lipoprotein, C-terminal region', 129, NULL, 'Lipoprotein_10', 11475),
(11476, 'PF16515', NULL, 'Clathrin-binding domain of Huntingtin-interacting protein 1', 99, NULL, 'HIP1_clath_bdg', 11476),
(11477, 'PF12454', NULL, 'GPI-anchored cell wall organization protein', 40, NULL, 'Ecm33', 11477),
(11478, 'PF04774', NULL, 'Hyaluronan / mRNA binding family', 118, NULL, 'HABP4_PAI-RBP1', 11478),
(11479, 'PF16159', NULL, 'FOXP coiled-coil domain', 69, NULL, 'FOXP-CC', 11479),
(11480, 'PF13608', NULL, 'Protein P3 of Potyviral polyprotein', 452, NULL, 'Potyvirid-P3', 11480),
(11481, 'PF15056', NULL, 'Neuritin protein family', 89, NULL, 'NRN1', 11481),
(11482, 'PF18225', NULL, 'Sensor histidine kinase (AbfS) sensor domain', 65, NULL, 'AbfS_sensor', 11482),
(11483, 'PF09125', NULL, 'Cytochrome C oxidase subunit II, transmembrane', 38, NULL, 'COX2-transmemb', 11483),
(11484, 'PF08999', NULL, 'Surfactant protein C, N terminal propeptide', 96, NULL, 'SP_C-Propep', 11484),
(11485, 'PF12953', NULL, 'Domain of unknown function (DUF3842)', 130, NULL, 'DUF3842', 11485),
(11486, 'PF02060', NULL, 'Slow voltage-gated potassium channel', 125, NULL, 'ISK_Channel', 11486),
(11487, 'PF09005', NULL, 'Domain of unknown function (DUF1897)', 36, NULL, 'DUF1897', 11487),
(11488, 'PF18898', NULL, 'Family of unknown function (DUF5654)', 71, NULL, 'DUF5654', 11488),
(11489, 'PF19092', NULL, 'Family of unknown function (DUF5780)', 110, NULL, 'DUF5780', 11489),
(11490, 'PF14969', NULL, 'Domain of unknown function (DUF4508)', 97, NULL, 'DUF4508', 11490),
(11491, 'PF09318', NULL, 'Glycosyl transferase 1 domain A', 199, NULL, 'Glyco_trans_A_1', 11491),
(11492, 'PF13258', NULL, 'Domain of unknown function (DUF4049)', 324, NULL, 'DUF4049', 11492),
(11493, 'PF06167', NULL, 'Glucose-regulated metallo-peptidase M90', 245, NULL, 'Peptidase_M90', 11493),
(11494, 'PF08672', NULL, 'Anaphase promoting complex (APC) subunit 2', 60, NULL, 'ANAPC2', 11494),
(11495, 'PF00331', NULL, 'Glycosyl hydrolase family 10', 316, NULL, 'Glyco_hydro_10', 11495),
(11496, 'PF17221', NULL, 'COMMD1 N-terminal domain', 102, NULL, 'COMMD1_N', 11496),
(11497, 'PF02445', NULL, 'Quinolinate synthetase A protein', 298, NULL, 'NadA', 11497),
(11498, 'PF17088', NULL, 'Uncharacterised protein family', 388, NULL, 'YCF90', 11498),
(11499, 'PF08345', NULL, 'Flagellar M-ring protein C-terminal', 149, NULL, 'YscJ_FliF_C', 11499),
(11500, 'PF14386', NULL, 'Domain of unknown function (DUF4417)', 189, NULL, 'DUF4417', 11500),
(11501, 'PF16102', NULL, 'ACTH-associated domain', 28, NULL, 'ACTH_assoc', 11501),
(11502, 'PF17472', NULL, 'Family of unknown function (DUF5425)', 76, NULL, 'DUF5425', 11502),
(11503, 'PF04486', NULL, 'SchA/CurD like domain', 119, NULL, 'SchA_CurD', 11503),
(11504, 'PF18247', NULL, 'Flax-rust effector AvrM N-terminal domain', 65, NULL, 'AvrM_N', 11504),
(11505, 'PF09504', NULL, 'Bsp6I restriction endonuclease', 179, NULL, 'RE_Bsp6I', 11505),
(11506, 'PF12712', NULL, 'Domain of unknown function (DUF3805)', 152, NULL, 'DUF3805', 11506),
(11507, 'PF03066', NULL, 'Nucleoplasmin/nucleophosmin domain', 102, NULL, 'Nucleoplasmin', 11507);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11508, 'PF13584', NULL, 'BatD DUF11 like domain', 91, NULL, 'BatD', 11508),
(11509, 'PF14031', NULL, 'Putative serine dehydratase domain', 97, NULL, 'D-ser_dehydrat', 11509),
(11510, 'PF03989', NULL, 'DNA gyrase C-terminal domain, beta-propeller', 48, NULL, 'DNA_gyraseA_C', 11510),
(11511, 'PF09630', NULL, 'Domain of unknown function (DUF2024)', 81, NULL, 'DUF2024', 11511),
(11512, 'PF04134', NULL, 'Protein of unknown function, DUF393', 113, NULL, 'DUF393', 11512),
(11513, 'PF00813', NULL, 'FliP family', 191, NULL, 'FliP', 11513),
(11514, 'PF00975', NULL, 'Thioesterase domain', 230, NULL, 'Thioesterase', 11514),
(11515, 'PF12219', NULL, 'Catalytic domain of bacteriophage endosialidase', 160, NULL, 'End_tail_spike', 11515),
(11516, 'PF18179', NULL, 'SMODS- and Ubiquitin system-associated 2TM effector domain', 279, NULL, 'SUa-2TM', 11516),
(11517, 'PF17323', NULL, 'Trans-membrane regulatory protein ToxS', 148, NULL, 'ToxS', 11517),
(11518, 'PF02068', NULL, 'Plant PEC family metallothionein', 75, NULL, 'Metallothio_PEC', 11518),
(11519, 'PF05552', NULL, 'Conserved TM helix', 50, NULL, 'TM_helix', 11519),
(11520, 'PF15625', NULL, 'CC2D2A N-terminal C2 domain', 174, NULL, 'CC2D2AN-C2', 11520),
(11521, 'PF19000', NULL, 'Family of unknown function (DUF5729)', 141, NULL, 'DUF5729', 11521),
(11522, 'PF02250', NULL, '35kD major secreted virus protein', 227, NULL, 'Orthopox_35kD', 11522),
(11523, 'PF19103', NULL, 'Family of unknown function (DUF5790)', 126, NULL, 'DUF5790', 11523),
(11524, 'PF11806', NULL, 'Domain of unknown function (DUF3327)', 121, NULL, 'DUF3327', 11524),
(11525, 'PF08705', NULL, 'Gag protein p6', 37, NULL, 'Gag_p6', 11525),
(11526, 'PF00210', NULL, 'Ferritin-like domain', 142, NULL, 'Ferritin', 11526),
(11527, 'PF13978', NULL, 'Protein of unknown function (DUF4223)', 54, NULL, 'DUF4223', 11527),
(11528, 'PF14436', NULL, 'Bacterial EndoU nuclease', 125, NULL, 'EndoU_bacteria', 11528),
(11529, 'PF18113', NULL, 'Rubredoxin binding C-terminal domain', 71, NULL, 'Rbx_binding', 11529),
(11530, 'PF08195', NULL, 'TRI9 protein', 43, NULL, 'TRI9', 11530),
(11531, 'PF04736', NULL, 'Eclosion hormone', 61, NULL, 'Eclosion', 11531),
(11532, 'PF00370', NULL, 'FGGY family of carbohydrate kinases, N-terminal domain', 245, NULL, 'FGGY_N', 11532),
(11533, 'PF04446', NULL, 'tRNAHis guanylyltransferase', 126, NULL, 'Thg1', 11533),
(11534, 'PF06815', NULL, 'Reverse transcriptase connection domain', 102, NULL, 'RVT_connect', 11534),
(11535, 'PF13850', NULL, 'Endoplasmic Reticulum-Golgi Intermediate Compartment (ERGIC)', 91, NULL, 'ERGIC_N', 11535),
(11536, 'PF18970', NULL, 'Family of unknown function (DUF5709)', 49, NULL, 'DUF5709', 11536),
(11537, 'PF12402', NULL, 'NocA-like zinc-finger protein 1', 58, NULL, 'nlz1', 11537),
(11538, 'PF03662', NULL, 'Glycosyl hydrolase family 79, N-terminal domain', 318, NULL, 'Glyco_hydro_79n', 11538),
(11539, 'PF12793', NULL, 'Sugar transport-related sRNA regulator N-term', 115, NULL, 'SgrR_N', 11539),
(11540, 'PF15483', NULL, 'Domain of unknown function (DUF4641)', 443, NULL, 'DUF4641', 11540),
(11541, 'PF16828', NULL, 'GAG-binding domain on surface antigen', 152, NULL, 'GAGBD', 11541),
(11542, 'PF10486', NULL, 'Phosphoinositide 3-kinase gamma adapter protein p101 subunit', 860, NULL, 'PI3K_1B_p101', 11542),
(11543, 'PF04699', NULL, 'ARP2/3 complex 16 kDa subunit (p16-Arc)', 150, NULL, 'P16-Arc', 11543),
(11544, 'PF13576', NULL, 'Pentapeptide repeats (9 copies)', 48, NULL, 'Pentapeptide_3', 11544),
(11545, 'PF07829', NULL, 'Alpha-A conotoxin PIVA-like protein', 26, NULL, 'Toxin_14', 11545),
(11546, 'PF14903', NULL, 'WG containing repeat', 35, NULL, 'WG_beta_rep', 11546),
(11547, 'PF04364', NULL, 'DNA polymerase III chi subunit, HolC', 137, NULL, 'DNA_pol3_chi', 11547),
(11548, 'PF10094', NULL, 'Uncharacterized protein conserved in bacteria (DUF2332)', 335, NULL, 'DUF2332', 11548),
(11549, 'PF18742', NULL, 'REase_DpnII-MboI', 150, NULL, 'DpnII-MboI', 11549),
(11550, 'PF07151', NULL, 'Protein of unknown function (DUF1391)', 48, NULL, 'DUF1391', 11550); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11551, 'PF02041', NULL, 'Auxin binding protein', 167, NULL, 'Auxin_BP', 11551),
(11552, 'PF17962', NULL, 'Bacterial macroglobulin domain 6', 112, NULL, 'bMG6', 11552),
(11553, 'PF02011', NULL, 'Glycosyl hydrolase family 48', 620, NULL, 'Glyco_hydro_48', 11553),
(11554, 'PF02598', NULL, 'Putative RNA methyltransferase', 286, NULL, 'Methyltrn_RNA_3', 11554),
(11555, 'PF02267', NULL, 'ADP-ribosyl cyclase', 242, NULL, 'Rib_hydrolayse', 11555),
(11556, 'PF12105', NULL, 'SpoU, rRNA methylase, C-terminal', 54, NULL, 'SpoU_methylas_C', 11556),
(11557, 'PF17795', NULL, 'Major Vault Protein Repeat domain', 62, NULL, 'Vault_3', 11557),
(11558, 'PF09865', NULL, 'Predicted periplasmic protein (DUF2092)', 212, NULL, 'DUF2092', 11558),
(11559, 'PF11137', NULL, 'Protein of unknown function (DUF2909)', 60, NULL, 'DUF2909', 11559),
(11560, 'PF13799', NULL, 'Domain of unknown function (DUF4183)', 74, NULL, 'DUF4183', 11560),
(11561, 'PF14807', NULL, 'Adaptin AP4 complex epsilon appendage platform', 100, NULL, 'AP4E_app_platf', 11561),
(11562, 'PF11180', NULL, 'Protein of unknown function (DUF2968)', 180, NULL, 'DUF2968', 11562),
(11563, 'PF00815', NULL, 'Histidinol dehydrogenase', 409, NULL, 'Histidinol_dh', 11563),
(11564, 'PF02866', NULL, 'lactate/malate dehydrogenase, alpha/beta C-terminal domain', 167, NULL, 'Ldh_1_C', 11564),
(11565, 'PF07947', NULL, 'YhhN family', 184, NULL, 'YhhN', 11565),
(11566, 'PF11266', NULL, 'Long-chain fatty aldehyde decarbonylase', 218, NULL, 'Ald_deCOase', 11566),
(11567, 'PF00320', NULL, 'GATA zinc finger', 36, NULL, 'GATA', 11567),
(11568, 'PF07361', NULL, 'Cytochrome b562', 102, NULL, 'Cytochrom_B562', 11568),
(11569, 'PF04656', NULL, 'Pox virus E6 protein', 566, NULL, 'Pox_E6', 11569),
(11570, 'PF07046', NULL, 'Cytoplasmic repetitive antigen (CRA) like repeat', 42, NULL, 'CRA_rpt', 11570),
(11571, 'PF11829', NULL, 'Protein of unknown function (DUF3349)', 95, NULL, 'DUF3349', 11571),
(11572, 'PF08234', NULL, 'Chromosome segregation protein Spc25', 73, NULL, 'Spindle_Spc25', 11572),
(11573, 'PF17925', NULL, 'Tetracyclin repressor-like, C-terminal domain', 107, NULL, 'TetR_C_20', 11573),
(11574, 'PF08256', NULL, 'Aurein-like antibiotic peptide', 13, NULL, 'Antimicrobial20', 11574),
(11575, 'PF05384', NULL, 'Sensor protein DegS', 159, NULL, 'DegS', 11575),
(11576, 'PF15825', NULL, 'FAM25 family', 65, NULL, 'FAM25', 11576),
(11577, 'PF11434', NULL, 'Chemotaxis-inhibiting protein CHIPS', 91, NULL, 'CHIPS', 11577),
(11578, 'PF06150', NULL, 'ChaB', 60, NULL, 'ChaB', 11578),
(11579, 'PF18702', NULL, 'Domain of unknown function (DUF5642)', 185, NULL, 'DUF5642', 11579),
(11580, 'PF13763', NULL, 'Domain of unknown function (DUF4167)', 77, NULL, 'DUF4167', 11580),
(11581, 'PF18744', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 1', 212, NULL, 'SNAD1', 11581),
(11582, 'PF14331', NULL, 'IcmF-related N-terminal domain', 259, NULL, 'IcmF-related_N', 11582),
(11583, 'PF00365', NULL, 'Phosphofructokinase', 286, NULL, 'PFK', 11583),
(11584, 'PF14935', NULL, 'Transmembrane protein 138', 119, NULL, 'TMEM138', 11584),
(11585, 'PF02722', NULL, 'Major Outer Sheath Protein C-terminal domain', 205, NULL, 'MOSP_C', 11585),
(11586, 'PF17889', NULL, 'NLRC4 helical domain', 106, NULL, 'NLRC4_HD', 11586),
(11587, 'PF02387', NULL, 'IncFII RepA protein family', 275, NULL, 'IncFII_repA', 11587),
(11588, 'PF00764', NULL, 'Arginosuccinate synthase', 388, NULL, 'Arginosuc_synth', 11588),
(11589, 'PF05989', NULL, 'Chordopoxvirus A35R protein', 174, NULL, 'Chordopox_A35R', 11589),
(11590, 'PF00378', NULL, 'Enoyl-CoA hydratase/isomerase', 251, NULL, 'ECH_1', 11590),
(11591, 'PF07143', NULL, 'CrtC N-terminal lipocalin domain', 164, NULL, 'CrtC', 11591),
(11592, 'PF01190', NULL, 'Pollen protein Ole e 1 like', 99, NULL, 'Pollen_Ole_e_1', 11592),
(11593, 'PF13110', NULL, 'Protein of unknown function (DUF3966)', 42, NULL, 'DUF3966', 11593),
(11594, 'PF06634', NULL, 'Protein of unknown function (DUF1156)', 72, NULL, 'DUF1156', 11594);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11595, 'PF13561', NULL, 'Enoyl-(Acyl carrier protein) reductase', 234, NULL, 'adh_short_C2', 11595),
(11596, 'PF03941', NULL, 'Inner centromere protein, ARK binding region', 55, NULL, 'INCENP_ARK-bind', 11596),
(11597, 'PF03930', NULL, 'Recombinase Flp protein N-terminus', 82, NULL, 'Flp_N', 11597),
(11598, 'PF14020', NULL, 'Protein of unknown function (DUF4236)', 55, NULL, 'DUF4236', 11598),
(11599, 'PF18475', NULL, 'PIN domain', 103, NULL, 'PIN7', 11599),
(11600, 'PF07154', NULL, 'Protein of unknown function (DUF1392)', 150, NULL, 'DUF1392', 11600),
(11601, 'PF06475', NULL, 'Putative glycolipid-binding', 178, NULL, 'Glycolipid_bind', 11601),
(11602, 'PF12783', NULL, 'Guanine nucleotide exchange factor in Golgi transport N-terminal', 158, NULL, 'Sec7_N', 11602),
(11603, 'PF07813', NULL, 'LTXXQ motif family protein', 104, NULL, 'LTXXQ', 11603),
(11604, 'PF16094', NULL, 'Proteasome assembly chaperone 4', 284, NULL, 'PAC1', 11604),
(11605, 'PF09373', NULL, 'Pseudomurein-binding repeat', 33, NULL, 'PMBR', 11605),
(11606, 'PF17443', NULL, 'Uncharacterized protein pXO2-72', 62, NULL, 'pXO2-72', 11606),
(11607, 'PF03380', NULL, 'Caenorhabditis protein of unknown function, DUF282', 38, NULL, 'DUF282', 11607),
(11608, 'PF17515', NULL, 'Cypovirus polyhedrin', 241, NULL, 'CPV_Polyhedrin', 11608),
(11609, 'PF17634', NULL, 'Gene product 67', 80, NULL, 'GP67', 11609),
(11610, 'PF02177', NULL, 'Amyloid A4 N-terminal heparin-binding', 100, NULL, 'APP_N', 11610),
(11611, 'PF15114', NULL, 'Uncharacterised protein family UPF0640', 67, NULL, 'UPF0640', 11611),
(11612, 'PF11748', NULL, 'Protein of unknown function (DUF3306)', 121, NULL, 'DUF3306', 11612),
(11613, 'PF07956', NULL, 'Protein of Unknown function (DUF1690)', 139, NULL, 'DUF1690', 11613),
(11614, 'PF07491', NULL, 'Protein phosphatase inhibitor', 60, NULL, 'PPI_Ypi1', 11614),
(11615, 'PF12906', NULL, 'RING-variant domain', 48, NULL, 'RINGv', 11615),
(11616, 'PF07181', NULL, 'VirC2 protein', 200, NULL, 'VirC2', 11616),
(11617, 'PF10697', NULL, 'Protein of unknown function (DUF2502)', 90, NULL, 'DUF2502', 11617),
(11618, 'PF15300', NULL, 'INTS6/SAGE1/DDX26B/CT45 C-terminus', 63, NULL, 'INT_SG_DDX_CT_C', 11618),
(11619, 'PF07999', NULL, 'Retrotransposon hot spot protein', 439, NULL, 'RHSP', 11619),
(11620, 'PF01468', NULL, 'GA module', 55, NULL, 'GA', 11620),
(11621, 'PF12941', NULL, 'HCV NS5a protein C-terminal region', 242, NULL, 'HCV_NS5a_C', 11621),
(11622, 'PF01291', NULL, 'LIF / OSM family', 162, NULL, 'LIF_OSM', 11622),
(11623, 'PF11525', NULL, 'Copper resistance protein K', 70, NULL, 'CopK', 11623),
(11624, 'PF08815', NULL, 'Nuclear receptor coactivator', 49, NULL, 'Nuc_rec_co-act', 11624),
(11625, 'PF18670', NULL, 'V-type ATPase subunit I, N-terminal domain', 90, NULL, 'V_ATPase_I_N', 11625),
(11626, 'PF19006', NULL, 'Family of unknown function (DUF5735)', 138, NULL, 'DUF5735', 11626),
(11627, 'PF15077', NULL, 'Membrane-anchored junction protein', 241, NULL, 'MAJIN', 11627),
(11628, 'PF15886', NULL, 'Carbohydrate binding domain (family 32)', 108, NULL, 'CBM39', 11628),
(11629, 'PF07490', NULL, 'Translocated intimin receptor (Tir) N-terminus', 266, NULL, 'Tir_receptor_N', 11629),
(11630, 'PF08568', NULL, 'Uncharacterised protein family, YAP/Alf4/glomulin', 633, NULL, 'Kinetochor_Ybp2', 11630),
(11631, 'PF01458', NULL, 'SUF system FeS cluster assembly, SufBD', 218, NULL, 'SUFBD', 11631),
(11632, 'PF03921', NULL, 'Intercellular adhesion molecule (ICAM), N-terminal domain', 91, NULL, 'ICAM_N', 11632),
(11633, 'PF04939', NULL, 'Ribosome biogenesis regulatory protein (RRS1)', 164, NULL, 'RRS1', 11633),
(11634, 'PF06454', NULL, 'Protein of unknown function (DUF1084)', 273, NULL, 'DUF1084', 11634),
(11635, 'PF02620', NULL, 'Large ribosomal RNA subunit accumulation protein YceD', 121, NULL, 'YceD', 11635),
(11636, 'PF02700', NULL, 'Phosphoribosylformylglycinamidine (FGAM) synthase', 77, NULL, 'PurS', 11636),
(11637, 'PF04694', NULL, 'Coronavirus ORF3 protein', 59, NULL, 'Corona_3', 11637); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11638, 'PF13199', NULL, 'Glycosyl hydrolase family 66', 554, NULL, 'Glyco_hydro_66', 11638),
(11639, 'PF08130', NULL, 'Type A lantibiotic family', 60, NULL, 'Antimicrobial18', 11639),
(11640, 'PF08662', NULL, 'Eukaryotic translation initiation factor eIF2A', 194, NULL, 'eIF2A', 11640),
(11641, 'PF02931', NULL, 'Neurotransmitter-gated ion-channel ligand binding domain', 217, NULL, 'Neur_chan_LBD', 11641),
(11642, 'PF17642', NULL, 'Hemolysin coregulated protein Hcp (TssD)', 128, NULL, 'TssD', 11642),
(11643, 'PF10762', NULL, 'Protein of unknown function (DUF2583)', 88, NULL, 'DUF2583', 11643),
(11644, 'PF16491', NULL, 'CAAX prenyl protease N-terminal, five membrane helices', 181, NULL, 'Peptidase_M48_N', 11644),
(11645, 'PF07230', NULL, 'Bacteriophage T4-like capsid assembly protein (Gp20)', 503, NULL, 'Peptidase_S80', 11645),
(11646, 'PF00160', NULL, 'Cyclophilin type peptidyl-prolyl cis-trans isomerase/CLD', 158, NULL, 'Pro_isomerase', 11646),
(11647, 'PF08931', NULL, 'Receptor-binding protein of phage tail base-plate Siphoviridae, head', 262, NULL, 'Caudo_bapla_RBP', 11647),
(11648, 'PF05127', NULL, 'Helicase', 177, NULL, 'Helicase_RecD', 11648),
(11649, 'PF18239', NULL, 'Hemagglutinin I', 90, NULL, 'HA1', 11649),
(11650, 'PF02378', NULL, 'Phosphotransferase system, EIIC', 324, NULL, 'PTS_EIIC', 11650),
(11651, 'PF17244', NULL, 'Cell division control protein 24, OB domain 3', 220, NULL, 'CDC24_OB3', 11651),
(11652, 'PF16188', NULL, 'C-terminal region of peptidase_M24', 63, NULL, 'Peptidase_M24_C', 11652),
(11653, 'PF10756', NULL, 'Bacterial PH domain', 73, NULL, 'bPH_6', 11653),
(11654, 'PF00411', NULL, 'Ribosomal protein S11', 110, NULL, 'Ribosomal_S11', 11654),
(11655, 'PF14074', NULL, 'Protein of unknown function (DUF4257)', 81, NULL, 'DUF4257', 11655),
(11656, 'PF11353', NULL, 'Protein of unknown function (DUF3153)', 208, NULL, 'DUF3153', 11656),
(11657, 'PF12638', NULL, 'Staygreen protein', 148, NULL, 'Staygreen', 11657),
(11658, 'PF15787', NULL, 'Domain of unknown function (DUF4704)', 277, NULL, 'DUF4704', 11658),
(11659, 'PF05242', NULL, 'Glycosylation-dependent cell adhesion molecule 1 (GlyCAM-1)', 135, NULL, 'GLYCAM-1', 11659),
(11660, 'PF04787', NULL, 'Late protein H7', 143, NULL, 'Pox_H7', 11660),
(11661, 'PF13039', NULL, 'Protein of unknown function (DUF3900)', 253, NULL, 'DUF3900', 11661),
(11662, 'PF15775', NULL, 'Domain of unknown function (DUF4703)', 186, NULL, 'DUF4703', 11662),
(11663, 'PF06340', NULL, 'Vibrio cholerae toxin co-regulated pilus biosynthesis protein F', 317, NULL, 'TcpF', 11663),
(11664, 'PF05710', NULL, 'Coiled coil', 91, NULL, 'Coiled', 11664),
(11665, 'PF03412', NULL, 'Peptidase C39 family', 133, NULL, 'Peptidase_C39', 11665),
(11666, 'PF05744', NULL, 'Benyvirus P25/P26 protein', 225, NULL, 'Benyvirus_P25', 11666),
(11667, 'PF06195', NULL, 'Protein of unknown function (DUF996)', 136, NULL, 'DUF996', 11667),
(11668, 'PF15884', NULL, 'MICOS complex subunit MIC13, QIL1', 77, NULL, 'QIL1', 11668),
(11669, 'PF13865', NULL, 'C-terminal duplication domain of Friend of PRMT1', 81, NULL, 'FoP_duplication', 11669),
(11670, 'PF01814', NULL, 'Hemerythrin HHE cation binding domain', 131, NULL, 'Hemerythrin', 11670),
(11671, 'PF00664', NULL, 'ABC transporter transmembrane region', 274, NULL, 'ABC_membrane', 11671),
(11672, 'PF12967', NULL, 'Domain of Unknown Function with PDB structure (DUF3855)', 158, NULL, 'DUF3855', 11672),
(11673, 'PF07548', NULL, 'Chlamydia polymorphic membrane protein middle domain', 178, NULL, 'ChlamPMP_M', 11673),
(11674, 'PF12864', NULL, 'Protein of unknown function (DUF3822)', 241, NULL, 'DUF3822', 11674),
(11675, 'PF18981', NULL, 'Internalin K domain (D3/D4)', 75, NULL, 'InlK_D3', 11675),
(11676, 'PF05099', NULL, 'Tellurite resistance protein TerB', 145, NULL, 'TerB', 11676),
(11677, 'PF16963', NULL, 'PelD GGDEF domain', 125, NULL, 'PelD_GGDEF', 11677),
(11678, 'PF16799', NULL, 'C-terminal membrane-localisation domain of ion-channel, VCN1', 48, NULL, 'VGPC1_C', 11678);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11679, 'PF02189', NULL, 'Immunoreceptor tyrosine-based activation motif', 20, NULL, 'ITAM', 11679),
(11680, 'PF00555', NULL, 'delta endotoxin', 205, NULL, 'Endotoxin_M', 11680),
(11681, 'PF02430', NULL, 'Apical membrane antigen 1', 477, NULL, 'AMA-1', 11681),
(11682, 'PF07822', NULL, 'Neurotoxin B-IV-like protein', 55, NULL, 'Toxin_13', 11682),
(11683, 'PF16494', NULL, 'C-terminal extension of sodium/calcium exchanger domain', 134, NULL, 'Na_Ca_ex_C', 11683),
(11684, 'PF18775', NULL, 'APOBEC4', 74, NULL, 'APOBEC4', 11684),
(11685, 'PF08958', NULL, 'Domain of unknown function (DUF1871)', 77, NULL, 'DUF1871', 11685),
(11686, 'PF12526', NULL, 'Protein of unknown function (DUF3729)', 113, NULL, 'DUF3729', 11686),
(11687, 'PF04233', NULL, 'Phage Mu protein F like protein', 112, NULL, 'Phage_Mu_F', 11687),
(11688, 'PF17690', NULL, 'Family of unknown function (DUF5537)', 160, NULL, 'DUF5537', 11688),
(11689, 'PF18434', NULL, 'Kazal-type serine protease inhibitor domain', 50, NULL, 'Kazal_3', 11689),
(11690, 'PF06883', NULL, 'RNA polymerase I, Rpa2 specific domain', 58, NULL, 'RNA_pol_Rpa2_4', 11690),
(11691, 'PF13530', NULL, 'Sterol carrier protein domain', 104, NULL, 'SCP2_2', 11691),
(11692, 'PF10228', NULL, 'Uncharacterised conserved protein (DUF2228)', 251, NULL, 'DUF2228', 11692),
(11693, 'PF18520', NULL, 'Spindle pole body component 110 C-terminal domain', 52, NULL, 'Spc110_C', 11693),
(11694, 'PF08390', NULL, 'TRAM1-like protein', 64, NULL, 'TRAM1', 11694),
(11695, 'PF00516', NULL, 'Envelope glycoprotein GP120', 487, NULL, 'GP120', 11695),
(11696, 'PF00927', NULL, 'Transglutaminase family, C-terminal ig like domain', 106, NULL, 'Transglut_C', 11696),
(11697, 'PF04332', NULL, 'Protein of unknown function (DUF475)', 295, NULL, 'DUF475', 11697),
(11698, 'PF05421', NULL, 'Protein of unknown function (DUF751)', 60, NULL, 'DUF751', 11698),
(11699, 'PF11841', NULL, 'Domain of unknown function (DUF3361)', 154, NULL, 'DUF3361', 11699),
(11700, 'PF03041', NULL, 'lef-2', 165, NULL, 'Baculo_LEF-2', 11700),
(11701, 'PF17035', NULL, 'Bromodomain extra-terminal - transcription regulation', 64, NULL, 'BET', 11701),
(11702, 'PF13221', NULL, 'Protein of unknown function (DUF4029)', 96, NULL, 'DUF4029', 11702),
(11703, 'PF18956', NULL, 'Family of unknown function (DUF5699)', 61, NULL, 'DUF5699', 11703),
(11704, 'PF16544', NULL, 'Homodimerisation region of STAR domain protein', 53, NULL, 'STAR_dimer', 11704),
(11705, 'PF04184', NULL, 'ST7 protein', 532, NULL, 'ST7', 11705),
(11706, 'PF00882', NULL, 'Zinc dependent phospholipase C', 181, NULL, 'Zn_dep_PLPC', 11706),
(11707, 'PF08742', NULL, 'C8 domain', 69, NULL, 'C8', 11707),
(11708, 'PF12872', NULL, 'OST-HTH/LOTUS domain', 72, NULL, 'OST-HTH', 11708),
(11709, 'PF04204', NULL, 'Homoserine O-succinyltransferase', 298, NULL, 'HTS', 11709),
(11710, 'PF04848', NULL, 'Poxvirus A22 protein', 145, NULL, 'Pox_A22', 11710),
(11711, 'PF19222', NULL, 'Nodavirus Vmethyltransferase', 148, NULL, 'Noda_Vmethyltr', 11711),
(11712, 'PF06129', NULL, 'Chordopoxvirus G3 protein', 108, NULL, 'Chordopox_G3', 11712),
(11713, 'PF01554', NULL, 'MatE', 161, NULL, 'MatE', 11713),
(11714, 'PF02958', NULL, 'Ecdysteroid kinase', 294, NULL, 'EcKinase', 11714),
(11715, 'PF07489', NULL, 'Translocated intimin receptor (Tir) C-terminus', 221, NULL, 'Tir_receptor_C', 11715),
(11716, 'PF01210', NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase N-terminus', 157, NULL, 'NAD_Gly3P_dh_N', 11716),
(11717, 'PF14427', NULL, 'Pput_2613-like deaminase', 118, NULL, 'Pput2613-deam', 11717),
(11718, 'PF03700', NULL, 'Sorting nexin, N-terminal domain', 81, NULL, 'Sorting_nexin', 11718),
(11719, 'PF18513', NULL, 'Prodomain subtilisin 2', 88, NULL, 'Pro_sub2', 11719),
(11720, 'PF16166', NULL, 'Chloroplast import apparatus Tic20-like', 181, NULL, 'TIC20', 11720),
(11721, 'PF11789', NULL, 'Zinc-finger of the MIZ type in Nse subunit', 58, NULL, 'zf-Nse', 11721),
(11722, 'PF04538', NULL, 'Brain expressed X-linked like family', 127, NULL, 'BEX', 11722);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11723, 'PF08817', NULL, 'WXG100 protein secretion system (Wss), protein YukD', 76, NULL, 'YukD', 11723),
(11724, 'PF13136', NULL, 'Protein of unknown function (DUF3984)', 331, NULL, 'DUF3984', 11724),
(11725, 'PF09055', NULL, 'Nickel-containing superoxide dismutase', 127, NULL, 'Sod_Ni', 11725),
(11726, 'PF14024', NULL, 'Protein of unknown function (DUF4240)', 129, NULL, 'DUF4240', 11726),
(11727, 'PF15733', NULL, 'Domain of unknown function (DUF4682)', 125, NULL, 'DUF4682', 11727),
(11728, 'PF01936', NULL, 'NYN domain', 147, NULL, 'NYN', 11728),
(11729, 'PF11043', NULL, 'Protein of unknown function (DUF2856)', 97, NULL, 'DUF2856', 11729),
(11730, 'PF18085', NULL, 'Maltokinase N-terminal cap domain', 88, NULL, 'Mak_N_cap', 11730),
(11731, 'PF18668', NULL, 'Tail spike TSP1/Gp66 receptor binding N-terminal domain', 70, NULL, 'Tail_spike_N', 11731),
(11732, 'PF00093', NULL, 'von Willebrand factor type C domain', 57, NULL, 'VWC', 11732),
(11733, 'PF16797', NULL, 'Fungal kinase associated-1 domain', 118, NULL, 'Fungal_KA1', 11733),
(11734, 'PF14466', NULL, 'PLAT/LH2 and C2-like Ca2+-binding lipoprotein', 127, NULL, 'PLCC', 11734),
(11735, 'PF14166', NULL, 'YueH-like protein', 79, NULL, 'YueH', 11735),
(11736, 'PF18201', NULL, 'PIH1 CS-like domain', 99, NULL, 'PIH1_CS', 11736),
(11737, 'PF18135', NULL, 'Type ISP C-terminal specificity domain', 343, NULL, 'Type_ISP_C', 11737),
(11738, 'PF06991', NULL, 'Microfibril-associated/Pre-mRNA processing', 219, NULL, 'MFAP1', 11738),
(11739, 'PF00672', NULL, 'HAMP domain', 53, NULL, 'HAMP', 11739),
(11740, 'PF11040', NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi C-terminus', 87, NULL, 'DGF-1_C', 11740),
(11741, 'PF00947', NULL, 'Picornavirus core protein 2A', 127, NULL, 'Pico_P2A', 11741),
(11742, 'PF00142', NULL, '4Fe-4S iron sulfur cluster binding proteins, NifH/frxC family', 271, NULL, 'Fer4_NifH', 11742),
(11743, 'PF03381', NULL, 'LEM3 (ligand-effect modulator 3) family / CDC50 family', 286, NULL, 'CDC50', 11743),
(11744, 'PF10472', NULL, 'eIF2-alpha phosphatase phosphorylation constitutive repressor', 411, NULL, 'CReP_N', 11744),
(11745, 'PF05656', NULL, 'Protein of unknown function (DUF805)', 105, NULL, 'DUF805', 11745),
(11746, 'PF08464', NULL, 'Geminivirus AC4/5 conserved region', 43, NULL, 'Gemini_AC4_5_2', 11746),
(11747, 'PF04490', NULL, 'Poxvirus T4 protein, C terminus', 146, NULL, 'Pox_T4_C', 11747),
(11748, 'PF02238', NULL, 'Cytochrome c oxidase subunit VII', 53, NULL, 'COX7a', 11748),
(11749, 'PF14066', NULL, 'Protein of unknown function (DUF4256)', 173, NULL, 'DUF4256', 11749),
(11750, 'PF13055', NULL, 'Protein of unknown function (DUF3917)', 71, NULL, 'DUF3917', 11750),
(11751, 'PF08986', NULL, 'Domain of unknown function (DUF1889)', 119, NULL, 'DUF1889', 11751),
(11752, 'PF18585', NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 2', 53, NULL, 'zf-CCCH_6', 11752),
(11753, 'PF07895', NULL, 'Protein of unknown function (DUF1673)', 207, NULL, 'DUF1673', 11753),
(11754, 'PF15804', NULL, 'Coiled-coil domain-containing protein 168', 205, NULL, 'CCDC168_N', 11754),
(11755, 'PF09494', NULL, 'Slx4 endonuclease', 61, NULL, 'Slx4', 11755),
(11756, 'PF14655', NULL, 'Rab3 GTPase-activating protein regulatory subunit N-terminus', 417, NULL, 'RAB3GAP2_N', 11756),
(11757, 'PF08492', NULL, 'SRP72 RNA-binding domain', 58, NULL, 'SRP72', 11757),
(11758, 'PF04841', NULL, 'Vps16, N-terminal region', 410, NULL, 'Vps16_N', 11758),
(11759, 'PF12450', NULL, 'von Willebrand factor', 94, NULL, 'vWF_A', 11759),
(11760, 'PF02714', NULL, 'Calcium-dependent channel, 7TM region, putative phosphate', 274, NULL, 'RSN1_7TM', 11760),
(11761, 'PF13171', NULL, 'Protein of unknown function (DUF4004)', 197, NULL, 'DUF4004', 11761),
(11762, 'PF13739', NULL, 'Deacetylase PdaC', 95, NULL, 'PdaC', 11762),
(11763, 'PF02469', NULL, 'Fasciclin domain', 128, NULL, 'Fasciclin', 11763),
(11764, 'PF03556', NULL, 'Cullin binding', 120, NULL, 'Cullin_binding', 11764);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11765, 'PF14168', NULL, 'YjzC-like protein', 55, NULL, 'YjzC', 11765),
(11766, 'PF00883', NULL, 'Cytosol aminopeptidase family, catalytic domain', 310, NULL, 'Peptidase_M17', 11766),
(11767, 'PF10337', NULL, 'Putative ER transporter, 6TM, N-terminal', 471, NULL, 'ArAE_2_N', 11767),
(11768, 'PF18801', NULL, 'response regulator aspartate phosphatase H, N terminal', 62, NULL, 'RapH_N', 11768),
(11769, 'PF00217', NULL, 'ATP:guanido phosphotransferase, C-terminal catalytic domain', 212, NULL, 'ATP-gua_Ptrans', 11769),
(11770, 'PF13910', NULL, 'Domain of unknown function (DUF4209)', 89, NULL, 'DUF4209', 11770),
(11771, 'PF05707', NULL, 'Zonular occludens toxin (Zot)', 194, NULL, 'Zot', 11771),
(11772, 'PF08409', NULL, 'Domain of unknown function (DUF1736)', 75, NULL, 'DUF1736', 11772),
(11773, 'PF00551', NULL, 'Formyl transferase', 181, NULL, 'Formyl_trans_N', 11773),
(11774, 'PF15559', NULL, 'Domain of unknown function (DUF4660)', 107, NULL, 'DUF4660', 11774),
(11775, 'PF00978', NULL, 'RNA dependent RNA polymerase', 440, NULL, 'RdRP_2', 11775),
(11776, 'PF14203', NULL, 'Putative transposon-transfer assisting protein', 62, NULL, 'TTRAP', 11776),
(11777, 'PF13191', NULL, 'AAA ATPase domain', 171, NULL, 'AAA_16', 11777),
(11778, 'PF19167', NULL, 'Family of unknown function (DUF5849)', 200, NULL, 'DUF5849', 11778),
(11779, 'PF05222', NULL, 'Alanine dehydrogenase/PNT, N-terminal domain', 136, NULL, 'AlaDh_PNT_N', 11779),
(11780, 'PF15698', NULL, 'Phosphatase', 256, NULL, 'Phosphatase', 11780),
(11781, 'PF07703', NULL, 'Alpha-2-macroglobulin bait region domain', 138, NULL, 'A2M_BRD', 11781),
(11782, 'PF16088', NULL, 'BLOC-1-related complex sub-unit 7', 103, NULL, 'BORCS7', 11782),
(11783, 'PF02836', NULL, 'Glycosyl hydrolases family 2, TIM barrel domain', 302, NULL, 'Glyco_hydro_2_C', 11783),
(11784, 'PF09399', NULL, 'Betacoronavirus lipid binding protein', 97, NULL, 'bCoV_lipid_BD', 11784),
(11785, 'PF17257', NULL, 'Family of unknown function (DUF5323)', 62, NULL, 'DUF5323', 11785),
(11786, 'PF09585', NULL, 'Conserved hypothetical protein (Lin0512_fam)', 114, NULL, 'Lin0512_fam', 11786),
(11787, 'PF07236', NULL, 'Phytoreovirus S7 protein', 505, NULL, 'Phytoreo_S7', 11787),
(11788, 'PF01921', NULL, 'tRNA synthetases class I (K)', 361, NULL, 'tRNA-synt_1f', 11788),
(11789, 'PF00426', NULL, 'Outer Capsid protein VP4 (Hemagglutinin) Concanavalin-like domain', 170, NULL, 'VP4_haemagglut', 11789),
(11790, 'PF00055', NULL, 'Laminin N-terminal (Domain VI)', 233, NULL, 'Laminin_N', 11790),
(11791, 'PF14726', NULL, 'Rotatin, an armadillo repeat protein, centriole functioning', 97, NULL, 'RTTN_N', 11791),
(11792, 'PF18101', NULL, 'Pan3 Pseudokinase domain', 138, NULL, 'Pan3_PK', 11792),
(11793, 'PF16628', NULL, 'Unstructured region on maltose acetyltransferase', 185, NULL, 'Mac_assoc', 11793),
(11794, 'PF06015', NULL, 'Chordopoxvirus A30L protein', 71, NULL, 'Chordopox_A30L', 11794),
(11795, 'PF09777', NULL, 'Osteopetrosis-associated transmembrane protein 1 precursor', 236, NULL, 'OSTMP1', 11795),
(11796, 'PF00904', NULL, 'Involucrin repeat', 10, NULL, 'Involucrin', 11796),
(11797, 'PF11518', NULL, 'Protein of unknown function (DUF3221)', 82, NULL, 'DUF3221', 11797),
(11798, 'PF07383', NULL, 'Protein of unknown function (DUF1496)', 53, NULL, 'DUF1496', 11798),
(11799, 'PF17076', NULL, 'SBE2, cell-wall formation', 820, NULL, 'SBE2', 11799),
(11800, 'PF09484', NULL, 'CRISPR-associated protein TM1802 (cas_TM1802)', 605, NULL, 'Cas_TM1802', 11800),
(11801, 'PF16794', NULL, 'Fibronectin-III type domain', 103, NULL, 'fn3_4', 11801),
(11802, 'PF09390', NULL, 'Protein of unknown function (DUF1999)', 159, NULL, 'DUF1999', 11802),
(11803, 'PF08048', NULL, 'Tap RepA1 leader peptide', 25, NULL, 'RepA1_leader', 11803),
(11804, 'PF10346', NULL, 'Conidiation protein 6', 34, NULL, 'Con-6', 11804),
(11805, 'PF03581', NULL, 'Herpesvirus UL33-like protein', 72, NULL, 'Herpes_UL33', 11805),
(11806, 'PF06035', NULL, 'Bacterial transglutaminase-like cysteine proteinase BTLCP', 163, NULL, 'Peptidase_C93', 11806);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11807, 'PF06738', NULL, 'Putative threonine/serine exporter', 241, NULL, 'ThrE', 11807),
(11808, 'PF09676', NULL, 'Type IV conjugative transfer system lipoprotein (TraV)', 132, NULL, 'TraV', 11808),
(11809, 'PF01399', NULL, 'PCI domain', 105, NULL, 'PCI', 11809),
(11810, 'PF18580', NULL, 'SUN2 helix-turn-helix domain', 58, NULL, 'HTH_SUN2', 11810),
(11811, 'PF12643', NULL, 'MazG-like family', 85, NULL, 'MazG-like', 11811),
(11812, 'PF09965', NULL, 'Uncharacterized protein conserved in bacteria (DUF2199)', 146, NULL, 'DUF2199', 11812),
(11813, 'PF01749', NULL, 'Importin beta binding domain', 89, NULL, 'IBB', 11813),
(11814, 'PF17825', NULL, 'Family of unknown function (DUF5587)', 1445, NULL, 'DUF5587', 11814),
(11815, 'PF06422', NULL, 'CDR ABC transporter', 92, NULL, 'PDR_CDR', 11815),
(11816, 'PF15387', NULL, 'Domain of unknown function (DUF4611)', 96, NULL, 'DUF4611', 11816),
(11817, 'PF12866', NULL, 'Protein of unknown function (DUF3823) N-terminal domain', 93, NULL, 'DUF3823', 11817),
(11818, 'PF00556', NULL, 'Antenna complex alpha/beta subunit', 39, NULL, 'LHC', 11818),
(11819, 'PF12163', NULL, 'DNA replication regulator', 180, NULL, 'HobA', 11819),
(11820, 'PF01929', NULL, 'Ribosomal protein L14', 75, NULL, 'Ribosomal_L14e', 11820),
(11821, 'PF06740', NULL, 'Protein of unknown function (DUF1213)', 33, NULL, 'DUF1213', 11821),
(11822, 'PF12548', NULL, 'Sulfatase protein', 147, NULL, 'DUF3740', 11822),
(11823, 'PF16161', NULL, 'Domain of unknown function (DUF4867)', 201, NULL, 'DUF4867', 11823),
(11824, 'PF03823', NULL, 'Neurokinin B', 58, NULL, 'Neurokinin_B', 11824),
(11825, 'PF15661', NULL, 'C6orf222, uncharacterised family', 648, NULL, 'CF222', 11825),
(11826, 'PF06231', NULL, 'Protein of unknown function (DUF1010)', 81, NULL, 'DUF1010', 11826),
(11827, 'PF17855', NULL, 'MCM AAA-lid domain', 87, NULL, 'MCM_lid', 11827),
(11828, 'PF15284', NULL, 'Phage-encoded virulence factor', 64, NULL, 'PAGK', 11828),
(11829, 'PF05412', NULL, 'Equine arterivirus Nsp2-type cysteine proteinase', 108, NULL, 'Peptidase_C33', 11829),
(11830, 'PF01290', NULL, 'Thymosin beta-4 family', 39, NULL, 'Thymosin', 11830),
(11831, 'PF10063', NULL, 'Uncharacterized integral membrane protein (DUF2301)', 135, NULL, 'DUF2301', 11831),
(11832, 'PF06650', NULL, 'SHR-binding domain of vacuolar-sorting associated protein 13', 271, NULL, 'SHR-BD', 11832),
(11833, 'PF14975', NULL, 'Domain of unknown function (DUF4512)', 103, NULL, 'DUF4512', 11833),
(11834, 'PF15481', NULL, 'Chondroitin proteoglycan 4', 94, NULL, 'CPG4', 11834),
(11835, 'PF02765', NULL, 'Telomeric single stranded DNA binding POT1/CDC13', 143, NULL, 'POT1', 11835),
(11836, 'PF12143', NULL, 'Protein of unknown function (DUF_B2219)', 130, NULL, 'PPO1_KFDV', 11836),
(11837, 'PF02022', NULL, 'Integrase Zinc binding domain', 38, NULL, 'Integrase_Zn', 11837),
(11838, 'PF01075', NULL, 'Glycosyltransferase family 9 (heptosyltransferase)', 249, NULL, 'Glyco_transf_9', 11838),
(11839, 'PF15228', NULL, 'Death-associated protein', 98, NULL, 'DAP', 11839),
(11840, 'PF13470', NULL, 'PIN domain', 116, NULL, 'PIN_3', 11840),
(11841, 'PF05140', NULL, 'ResB-like family', 496, NULL, 'ResB', 11841),
(11842, 'PF08825', NULL, 'E2 binding domain', 82, NULL, 'E2_bind', 11842),
(11843, 'PF13276', NULL, 'HTH-like domain', 60, NULL, 'HTH_21', 11843),
(11844, 'PF08443', NULL, 'RimK-like ATP-grasp domain', 188, NULL, 'RimK', 11844),
(11845, 'PF08905', NULL, 'Domain of unknown function (DUF1850)', 86, NULL, 'DUF1850', 11845),
(11846, 'PF11616', NULL, 'WD repeat binding protein EZH2', 30, NULL, 'EZH2_WD-Binding', 11846),
(11847, 'PF14051', NULL, 'N-terminal domain of DPF2/REQ.', 72, NULL, 'Requiem_N', 11847),
(11848, 'PF03118', NULL, 'Bacterial RNA polymerase, alpha chain C terminal domain', 67, NULL, 'RNA_pol_A_CTD', 11848),
(11849, 'PF18257', NULL, 'Disulfide isomerase DsbG N-terminal', 90, NULL, 'DsbG_N', 11849),
(11850, 'PF06317', NULL, 'Arenavirus RNA polymerase', 2048, NULL, 'Arena_RNA_pol', 11850);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11851, 'PF10936', NULL, 'Protein of unknown function DUF2617', 161, NULL, 'DUF2617', 11851),
(11852, 'PF09418', NULL, 'Protein of unknown function (DUF2009)', 456, NULL, 'DUF2009', 11852),
(11853, 'PF12236', NULL, 'Bacteriophage head to tail connecting protein', 479, NULL, 'Head-tail_con', 11853),
(11854, 'PF18214', NULL, 'STATa Immunoglobulin-like domain', 122, NULL, 'STATa_Ig', 11854),
(11855, 'PF04226', NULL, 'Transglycosylase associated protein', 49, NULL, 'Transgly_assoc', 11855),
(11856, 'PF07533', NULL, 'BRK domain', 44, NULL, 'BRK', 11856),
(11857, 'PF11875', NULL, 'Domain of unknown function (DUF3395)', 154, NULL, 'DUF3395', 11857),
(11858, 'PF02100', NULL, 'Ornithine decarboxylase antizyme', 114, NULL, 'ODC_AZ', 11858),
(11859, 'PF11212', NULL, 'Protein of unknown function (DUF2999)', 82, NULL, 'DUF2999', 11859),
(11860, 'PF01856', NULL, 'Helicobacter outer membrane protein', 158, NULL, 'HP_OMP', 11860),
(11861, 'PF15476', NULL, 'Histone deacetylase complex subunit SAP25', 202, NULL, 'SAP25', 11861),
(11862, 'PF17937', NULL, 'Tetracyclin repressor-like, C-terminal domain', 96, NULL, 'TetR_C_28', 11862),
(11863, 'PF14228', NULL, 'Cell morphogenesis central region', 1114, NULL, 'MOR2-PAG1_mid', 11863),
(11864, 'PF16965', NULL, 'Ceramide synthase regulator', 397, NULL, 'CSG2', 11864),
(11865, 'PF03246', NULL, 'Pneumovirus nucleocapsid protein', 392, NULL, 'Pneumo_ncap', 11865),
(11866, 'PF01085', NULL, 'Hedgehog amino-terminal signalling domain', 161, NULL, 'HH_signal', 11866),
(11867, 'PF07041', NULL, 'Protein of unknown function (DUF1327)', 113, NULL, 'DUF1327', 11867),
(11868, 'PF10105', NULL, 'Uncharacterized protein conserved in bacteria (DUF2344)', 172, NULL, 'DUF2344', 11868),
(11869, 'PF18720', NULL, 'Tenascin EGF domain', 29, NULL, 'EGF_Tenascin', 11869),
(11870, 'PF13890', NULL, 'Rab3 GTPase-activating protein catalytic subunit', 163, NULL, 'Rab3-GTPase_cat', 11870),
(11871, 'PF08434', NULL, 'Calcium-activated chloride channel N terminal', 266, NULL, 'CLCA', 11871),
(11872, 'PF00216', NULL, 'Bacterial DNA-binding protein', 90, NULL, 'Bac_DNA_binding', 11872),
(11873, 'PF05871', NULL, 'ESCRT-II complex subunit', 141, NULL, 'ESCRT-II', 11873),
(11874, 'PF16565', NULL, 'Phospholipase D-like domain at C-terminus of MIT', 141, NULL, 'MIT_C', 11874),
(11875, 'PF03227', NULL, 'Gamma interferon inducible lysosomal thiol reductase (GILT)', 107, NULL, 'GILT', 11875),
(11876, 'PF17158', NULL, 'Membrane-associated sensor, integral membrane domain', 239, NULL, 'MASE4', 11876),
(11877, 'PF15700', NULL, 'Domain of unknown function (DUF4667)', 226, NULL, 'DUF4667', 11877),
(11878, 'PF08045', NULL, 'Cell division control protein 14, SIN component', 284, NULL, 'CDC14', 11878),
(11879, 'PF09743', NULL, 'E3 UFM1-protein ligase 1', 272, NULL, 'E3_UFM1_ligase', 11879),
(11880, 'PF10081', NULL, 'Alpha/beta-hydrolase family', 288, NULL, 'Abhydrolase_9', 11880),
(11881, 'PF06859', NULL, 'Bicoid-interacting protein 3 (Bin3)', 108, NULL, 'Bin3', 11881),
(11882, 'PF08122', NULL, 'NADH-ubiquinone oxidoreductase B12 subunit family', 55, NULL, 'NDUF_B12', 11882),
(11883, 'PF09029', NULL, '5-aminolevulinate synthase presequence', 114, NULL, 'Preseq_ALAS', 11883),
(11884, 'PF14974', NULL, 'Protein C10', 103, NULL, 'P_C10', 11884),
(11885, 'PF03607', NULL, 'Doublecortin', 59, NULL, 'DCX', 11885),
(11886, 'PF14310', NULL, 'Fibronectin type III-like domain', 71, NULL, 'Fn3-like', 11886),
(11887, 'PF15537', NULL, 'Bacterial toxin 43', 123, NULL, 'Ntox43', 11887),
(11888, 'PF07235', NULL, 'Protein of unknown function (DUF1427)', 84, NULL, 'DUF1427', 11888),
(11889, 'PF17273', NULL, 'Family of unknown function (DUF5338)', 70, NULL, 'DUF5338', 11889),
(11890, 'PF12260', NULL, 'Protein-kinase domain of FAM69', 189, NULL, 'PIP49_C', 11890),
(11891, 'PF11329', NULL, 'Protein of unknown function (DUF3131)', 367, NULL, 'DUF3131', 11891),
(11892, 'PF06441', NULL, 'Epoxide hydrolase N terminus', 108, NULL, 'EHN', 11892);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11893, 'PF13133', NULL, 'Protein of unknown function (DUF3949)', 60, NULL, 'DUF3949', 11893),
(11894, 'PF04514', NULL, 'Bluetongue virus non-structural protein NS2', 349, NULL, 'BTV_NS2', 11894),
(11895, 'PF16254', NULL, 'Domain of unknown function (DUF4910)', 246, NULL, 'DUF4910', 11895),
(11896, 'PF18987', NULL, 'Family of unknown function (DUF5720)', 100, NULL, 'DUF5720', 11896),
(11897, 'PF06959', NULL, 'RecQ helicase protein-like 5 (RecQ5)', 203, NULL, 'RecQ5', 11897),
(11898, 'PF06550', NULL, 'Signal-peptide peptidase, presenilin aspartyl protease', 283, NULL, 'SPP', 11898),
(11899, 'PF15259', NULL, 'G-2 and S-phase expressed 1', 145, NULL, 'GTSE1_N', 11899),
(11900, 'PF05712', NULL, 'MRG', 209, NULL, 'MRG', 11900),
(11901, 'PF02048', NULL, 'Heat-stable enterotoxin ST', 54, NULL, 'Enterotoxin_ST', 11901),
(11902, 'PF00760', NULL, 'Cucumovirus coat protein', 170, NULL, 'Cucumo_coat', 11902),
(11903, 'PF06277', NULL, 'Ethanolamine utilisation protein EutA', 475, NULL, 'EutA', 11903),
(11904, 'PF06817', NULL, 'Reverse transcriptase thumb domain', 66, NULL, 'RVT_thumb', 11904),
(11905, 'PF12098', NULL, 'Protein of unknown function (DUF3574)', 103, NULL, 'DUF3574', 11905),
(11906, 'PF02271', NULL, 'Ubiquinol-cytochrome C reductase complex 14kD subunit', 100, NULL, 'UCR_14kD', 11906),
(11907, 'PF12829', NULL, 'Transcriptional regulation of mitochondrial recombination', 84, NULL, 'Mhr1', 11907),
(11908, 'PF06312', NULL, 'Neurexophilin', 211, NULL, 'Neurexophilin', 11908),
(11909, 'PF15713', NULL, 'Protein tyrosine phosphatase receptor type C-associated', 156, NULL, 'PTPRCAP', 11909),
(11910, 'PF17504', NULL, 'Family of unknown function (DUF5436)', 79, NULL, 'DUF5436', 11910),
(11911, 'PF02040', NULL, 'Arsenical pump membrane protein', 423, NULL, 'ArsB', 11911),
(11912, 'PF12738', NULL, 'twin BRCT domain', 63, NULL, 'PTCB-BRCT', 11912),
(11913, 'PF08249', NULL, 'Mastoparan protein', 14, NULL, 'Mastoparan', 11913),
(11914, 'PF08036', NULL, 'Diapausin family of antimicrobial peptide', 39, NULL, 'Antimicrobial_6', 11914),
(11915, 'PF00451', NULL, 'Scorpion short toxin, BmKK2', 32, NULL, 'Toxin_2', 11915),
(11916, 'PF08281', NULL, 'Sigma-70, region 4', 54, NULL, 'Sigma70_r4_2', 11916),
(11917, 'PF09204', NULL, 'Bacterial self-protective colicin-like immunity', 88, NULL, 'Colicin_immun', 11917),
(11918, 'PF15592', NULL, 'Immunity protein 41', 108, NULL, 'Imm41', 11918),
(11919, 'PF15597', NULL, 'Immunity protein 59', 100, NULL, 'Imm59', 11919),
(11920, 'PF16123', NULL, 'Hydroxyacylglutathione hydrolase C-terminus', 82, NULL, 'HAGH_C', 11920),
(11921, 'PF07921', NULL, 'Fibritin C-terminal region', 93, NULL, 'Fibritin_C', 11921),
(11922, 'PF16103', NULL, 'Domain of unknown function (DUF4822)', 123, NULL, 'DUF4822', 11922),
(11923, 'PF13238', NULL, 'AAA domain', 130, NULL, 'AAA_18', 11923),
(11924, 'PF11204', NULL, 'Protein of unknown function (DUF2985)', 78, NULL, 'DUF2985', 11924),
(11925, 'PF04636', NULL, 'PA26 p53-induced protein (sestrin)', 444, NULL, 'PA26', 11925),
(11926, 'PF06224', NULL, 'Winged helix DNA-binding domain', 329, NULL, 'HTH_42', 11926),
(11927, 'PF14758', NULL, 'Non-essential region of nsp2 of arterivirus polyprotein', 203, NULL, 'NSP2_assoc', 11927),
(11928, 'PF03522', NULL, 'Solute carrier family 12', 419, NULL, 'SLC12', 11928),
(11929, 'PF03660', NULL, 'PHF5-like protein', 104, NULL, 'PHF5', 11929),
(11930, 'PF00080', NULL, 'Copper/zinc superoxide dismutase (SODC)', 141, NULL, 'Sod_Cu', 11930),
(11931, 'PF04289', NULL, 'Protein of unknown function (DUF447)', 176, NULL, 'DUF447', 11931),
(11932, 'PF09977', NULL, 'Putative Tad-like Flp pilus-assembly', 95, NULL, 'Tad_C', 11932),
(11933, 'PF16441', NULL, 'Domain of unknown function (DUF5038)', 144, NULL, 'DUF5038', 11933),
(11934, 'PF10749', NULL, 'Protein of unknown function (DUF2534)', 80, NULL, 'DUF2534', 11934),
(11935, 'PF12117', NULL, 'Protein of unknown function (DUF3580)', 121, NULL, 'DUF3580', 11935),
(11936, 'PF03791', NULL, 'KNOX2 domain', 48, NULL, 'KNOX2', 11936);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11937, 'PF13791', NULL, 'Sigma factor regulator C-terminal', 156, NULL, 'Sigma_reg_C', 11937),
(11938, 'PF06680', NULL, 'Protein of unknown function (DUF1181)', 120, NULL, 'DUF1181', 11938),
(11939, 'PF07152', NULL, 'YaeQ protein', 173, NULL, 'YaeQ', 11939),
(11940, 'PF17150', NULL, 'C-terminal domain of two-partite extracellular sensor domain', 82, NULL, 'CHASE6_C', 11940),
(11941, 'PF12049', NULL, 'Protein of unknown function (DUF3531)', 143, NULL, 'DUF3531', 11941),
(11942, 'PF18628', NULL, 'Viral coat protein P2 N-terminal domain', 127, NULL, 'P2_N', 11942),
(11943, 'PF07177', NULL, 'Neuralized', 150, NULL, 'Neuralized', 11943),
(11944, 'PF03946', NULL, 'Ribosomal protein L11, N-terminal domain', 65, NULL, 'Ribosomal_L11_N', 11944),
(11945, 'PF16104', NULL, 'Formyl peptide receptor-like 1 inhibitory protein', 105, NULL, 'FPRL1_inhibitor', 11945),
(11946, 'PF01432', NULL, 'Peptidase family M3', 458, NULL, 'Peptidase_M3', 11946),
(11947, 'PF06414', NULL, 'Zeta toxin', 199, NULL, 'Zeta_toxin', 11947),
(11948, 'PF13034', NULL, 'Protein of unknown function (DUF3895)', 76, NULL, 'DUF3895', 11948),
(11949, 'PF00213', NULL, 'ATP synthase delta (OSCP) subunit', 172, NULL, 'OSCP', 11949),
(11950, 'PF10470', NULL, 'PKA-RI-RII subunit binding domain of A-kinase anchor protein', 58, NULL, 'AKAP7_RIRII_bdg', 11950),
(11951, 'PF16229', NULL, 'Domain of unknown function (DUF4888)', 141, NULL, 'DUF4888', 11951),
(11952, 'PF09991', NULL, 'Predicted membrane protein (DUF2232)', 290, NULL, 'DUF2232', 11952),
(11953, 'PF04697', NULL, 'pinin/SDK conserved region', 135, NULL, 'Pinin_SDK_N', 11953),
(11954, 'PF17025', NULL, 'Domain of unknown function (DUF5099)', 109, NULL, 'DUF5099', 11954),
(11955, 'PF03214', NULL, 'Reversibly glycosylated polypeptide', 342, NULL, 'RGP', 11955),
(11956, 'PF04519', NULL, 'Polymer-forming cytoskeletal', 98, NULL, 'Bactofilin', 11956),
(11957, 'PF13644', NULL, 'DKNYY family', 142, NULL, 'DKNYY', 11957),
(11958, 'PF07077', NULL, 'Protein of unknown function (DUF1345)', 173, NULL, 'DUF1345', 11958),
(11959, 'PF07301', NULL, 'Protein of unknown function (DUF1453)', 145, NULL, 'DUF1453', 11959),
(11960, 'PF18995', NULL, 'Proteolysis_6 C-terminal', 453, NULL, 'PRT6_C', 11960),
(11961, 'PF12754', NULL, 'Blt1 N-terminal domain', 150, NULL, 'Blt1', 11961),
(11962, 'PF04285', NULL, 'Protein of unknown function (DUF444)', 420, NULL, 'DUF444', 11962),
(11963, 'PF13404', NULL, 'AsnC-type helix-turn-helix domain', 42, NULL, 'HTH_AsnC-type', 11963),
(11964, 'PF10725', NULL, 'Protein of unknown function (DUF2517)', 61, NULL, 'DUF2517', 11964),
(11965, 'PF07677', NULL, 'A-macroglobulin receptor binding domain', 92, NULL, 'A2M_recep', 11965),
(11966, 'PF14337', NULL, 'Abortive infection alpha', 193, NULL, 'Abi_alpha', 11966),
(11967, 'PF01993', NULL, 'methylene-5,6,7,8-tetrahydromethanopterin dehydrogenase', 274, NULL, 'MTD', 11967),
(11968, 'PF15448', NULL, 'N-terminal segments of P. falciparum erythrocyte membrane protein', 50, NULL, 'NTS_2', 11968),
(11969, 'PF10258', NULL, 'PHAX RNA-binding domain', 84, NULL, 'RNA_GG_bind', 11969),
(11970, 'PF07159', NULL, 'Protein of unknown function (DUF1394)', 303, NULL, 'DUF1394', 11970),
(11971, 'PF09792', NULL, 'Ubiquitin 3 binding protein But2 C-terminal domain', 142, NULL, 'But2', 11971),
(11972, 'PF08192', NULL, 'Peptidase family S64', 697, NULL, 'Peptidase_S64', 11972),
(11973, 'PF07469', NULL, 'Domain of unknown function (DUF1518)', 58, NULL, 'DUF1518', 11973),
(11974, 'PF09566', NULL, 'SacI restriction endonuclease', 274, NULL, 'RE_SacI', 11974),
(11975, 'PF09678', NULL, 'Cytochrome c oxidase caa3 assembly factor (Caa3_CtaG)', 234, NULL, 'Caa3_CtaG', 11975),
(11976, 'PF13593', NULL, 'SBF-like CPA transporter family (DUF4137)', 313, NULL, 'SBF_like', 11976),
(11977, 'PF13261', NULL, 'Protein of unknown function (DUF4052)', 217, NULL, 'DUF4052', 11977),
(11978, 'PF04018', NULL, 'Domain of unknown function (DUF368)', 246, NULL, 'DUF368', 11978);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(11979, 'PF12566', NULL, 'Protein of unknown function (DUF3748)', 123, NULL, 'DUF3748', 11979),
(11980, 'PF14303', NULL, 'No apical meristem-associated C-terminal domain', 168, NULL, 'NAM-associated', 11980),
(11981, 'PF11882', NULL, 'Domain of unknown function (DUF3402)', 462, NULL, 'DUF3402', 11981),
(11982, 'PF11712', NULL, 'Endoplasmic reticulum-based factor for assembly of V-ATPase', 139, NULL, 'Vma12', 11982),
(11983, 'PF01881', NULL, 'CRISPR associated protein Cas6', 146, NULL, 'Cas_Cas6', 11983),
(11984, 'PF11108', NULL, 'Viral glycoprotein L', 102, NULL, 'Phage_glycop_gL', 11984),
(11985, 'PF17013', NULL, 'Putative acetyl-transferase', 210, NULL, 'Acetyltransf_15', 11985),
(11986, 'PF13508', NULL, 'Acetyltransferase (GNAT) domain', 78, NULL, 'Acetyltransf_7', 11986),
(11987, 'PF05971', NULL, 'RNA methyltransferase', 299, NULL, 'Methyltransf_10', 11987),
(11988, 'PF08481', NULL, 'GBS Bsp-like repeat', 92, NULL, 'GBS_Bsp-like', 11988),
(11989, 'PF13286', NULL, 'Phosphohydrolase-associated domain', 92, NULL, 'HD_assoc', 11989),
(11990, 'PF02173', NULL, 'pKID domain', 41, NULL, 'pKID', 11990),
(11991, 'PF12353', NULL, 'Eukaryotic translation initiation factor 3 subunit G', 125, NULL, 'eIF3g', 11991),
(11992, 'PF04667', NULL, 'cAMP-regulated phosphoprotein/endosulfine conserved region', 80, NULL, 'Endosulfine', 11992),
(11993, 'PF03548', NULL, 'Outer membrane lipoprotein carrier protein LolA', 165, NULL, 'LolA', 11993),
(11994, 'PF10025', NULL, 'Uncharacterized conserved protein (DUF2267)', 122, NULL, 'DUF2267', 11994),
(11995, 'PF13244', NULL, 'Domain of unknown function (DUF4040)', 67, NULL, 'DUF4040', 11995),
(11996, 'PF14939', NULL, 'DDB1-and CUL4-substrate receptor 15, WD repeat', 215, NULL, 'DCAF15_WD40', 11996),
(11997, 'PF14866', NULL, 'Potassium channel toxin', 57, NULL, 'Toxin_38', 11997),
(11998, 'PF08071', NULL, 'RS4NT (NUC023) domain', 37, NULL, 'RS4NT', 11998),
(11999, 'PF03907', NULL, 'Spo7-like protein', 221, NULL, 'Spo7', 11999),
(12000, 'PF07541', NULL, 'Eukaryotic translation initiation factor 2 alpha subunit', 114, NULL, 'EIF_2_alpha', 12000),
(12001, 'PF04197', NULL, 'Birnavirus RNA dependent RNA polymerase (VP1)', 872, NULL, 'Birna_RdRp', 12001),
(12002, 'PF08729', NULL, 'HPC2 and ubinuclein domain', 52, NULL, 'HUN', 12002),
(12003, 'PF15883', NULL, 'Domain of unknown function (DUF4736)', 186, NULL, 'DUF4736', 12003),
(12004, 'PF16391', NULL, 'Domain of unknown function', 149, NULL, 'DUF5000', 12004),
(12005, 'PF15436', NULL, 'Plasminogen-binding protein pgbA N-terminal', 217, NULL, 'PGBA_N', 12005),
(12006, 'PF11419', NULL, 'Protein of unknown function (DUF3194)', 83, NULL, 'DUF3194', 12006),
(12007, 'PF11548', NULL, 'Protein-tyrosine phosphatase receptor IA-2', 89, NULL, 'Receptor_IA-2', 12007),
(12008, 'PF15674', NULL, 'Coiled-coil domain-containing protein 23', 63, NULL, 'CCDC23', 12008),
(12009, 'PF10356', NULL, 'Protein of unknown function (DUF2034)', 185, NULL, 'DUF2034', 12009),
(12010, 'PF15353', NULL, 'Headcase protein family homologue', 102, NULL, 'HECA', 12010),
(12011, 'PF17674', NULL, 'HHH domain', 70, NULL, 'HHH_9', 12011),
(12012, 'PF07289', NULL, 'Bardet-Biedl syndrome 5 protein', 334, NULL, 'BBL5', 12012),
(12013, 'PF05183', NULL, 'RNA dependent RNA polymerase', 584, NULL, 'RdRP', 12013),
(12014, 'PF06203', NULL, 'CCT motif', 44, NULL, 'CCT', 12014),
(12015, 'PF13077', NULL, 'Protein of unknown function (DUF3909)', 108, NULL, 'DUF3909', 12015),
(12016, 'PF06244', NULL, 'Coiled-coil domain-containing protein 124 /Oxs1', 128, NULL, 'Ccdc124', 12016),
(12017, 'PF01567', NULL, 'Hantavirus glycoprotein G1', 523, NULL, 'Hanta_G1', 12017),
(12018, 'PF03237', NULL, 'Terminase-like family', 215, NULL, 'Terminase_6', 12018),
(12019, 'PF17721', NULL, 'Family of unknown function (DUF5566)', 233, NULL, 'DUF5566', 12019),
(12020, 'PF08273', NULL, 'Zinc-binding domain of primase-helicase', 38, NULL, 'Prim_Zn_Ribbon', 12020),
(12021, 'PF08919', NULL, 'F-actin binding', 110, NULL, 'F_actin_bind', 12021);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12022, 'PF01122', NULL, 'Eukaryotic cobalamin-binding protein', 320, NULL, 'Cobalamin_bind', 12022),
(12023, 'PF03294', NULL, 'RNA polymerase-associated transcription specificity factor, Rap94', 800, NULL, 'Pox_Rap94', 12023),
(12024, 'PF11085', NULL, 'Conserved membrane protein YqhR', 165, NULL, 'YqhR', 12024),
(12025, 'PF14960', NULL, 'ATP synthase regulation', 50, NULL, 'ATP_synth_reg', 12025),
(12026, 'PF05121', NULL, 'Gas vesicle protein K', 85, NULL, 'GvpK', 12026),
(12027, 'PF05536', NULL, 'Neurochondrin', 605, NULL, 'Neurochondrin', 12027),
(12028, 'PF00085', NULL, 'Thioredoxin', 103, NULL, 'Thioredoxin', 12028),
(12029, 'PF18369', NULL, 'Polyketide synthase dimerisation element domain', 45, NULL, 'PKS_DE', 12029),
(12030, 'PF15824', NULL, 'Spermatogenesis-associated protein 9', 253, NULL, 'SPATA9', 12030),
(12031, 'PF04893', NULL, 'Yip1 domain', 173, NULL, 'Yip1', 12031),
(12032, 'PF05537', NULL, 'Borrelia burgdorferi protein of unknown function (DUF759)', 429, NULL, 'DUF759', 12032),
(12033, 'PF17206', NULL, 'SeqA protein N-terminal domain', 36, NULL, 'SeqA_N', 12033),
(12034, 'PF11111', NULL, 'Centromere protein M (CENP-M)', 174, NULL, 'CENP-M', 12034),
(12035, 'PF12951', NULL, 'Passenger-associated-transport-repeat', 30, NULL, 'PATR', 12035),
(12036, 'PF01216', NULL, 'Calsequestrin', 386, NULL, 'Calsequestrin', 12036),
(12037, 'PF09538', NULL, 'Protein of unknown function (FYDLN_acid)', 106, NULL, 'FYDLN_acid', 12037),
(12038, 'PF06692', NULL, 'Melon necrotic spot virus P7B protein', 61, NULL, 'MNSV_P7B', 12038),
(12039, 'PF18656', NULL, 'Family of unknown function (DUF5633)', 41, NULL, 'DUF5633', 12039),
(12040, 'PF18926', NULL, '2TM family of unknown function (DUF5676)', 82, NULL, 'DUF5676', 12040),
(12041, 'PF14369', NULL, 'zinc-ribbon', 35, NULL, 'zinc_ribbon_9', 12041),
(12042, 'PF11981', NULL, 'Domain of unknown function (DUF3482)', 294, NULL, 'DUF3482', 12042),
(12043, 'PF01245', NULL, 'Ribosomal protein L19', 111, NULL, 'Ribosomal_L19', 12043),
(12044, 'PF11659', NULL, 'Protein of unknown function (DUF3261)', 137, NULL, 'DUF3261', 12044),
(12045, 'PF14078', NULL, 'Domain of unknown function (DUF4259)', 136, NULL, 'DUF4259', 12045),
(12046, 'PF05103', NULL, 'DivIVA protein', 131, NULL, 'DivIVA', 12046),
(12047, 'PF10022', NULL, 'Uncharacterized protein conserved in bacteria (DUF2264)', 352, NULL, 'DUF2264', 12047),
(12048, 'PF14894', NULL, 'Lsm C-terminal', 63, NULL, 'Lsm_C', 12048),
(12049, 'PF17740', NULL, 'Family of unknown function (DUF5577)', 307, NULL, 'DUF5577', 12049),
(12050, 'PF17905', NULL, 'GLD-3 KH domain 5', 95, NULL, 'KH_10', 12050),
(12051, 'PF00395', NULL, 'S-layer homology domain', 44, NULL, 'SLH', 12051),
(12052, 'PF10066', NULL, 'Uncharacterized conserved protein (DUF2304)', 106, NULL, 'DUF2304', 12052),
(12053, 'PF11878', NULL, 'Domain of unknown function (DUF3398)', 112, NULL, 'DUF3398', 12053),
(12054, 'PF14145', NULL, 'YrhK-like protein', 61, NULL, 'YrhK', 12054),
(12055, 'PF13980', NULL, 'Uncharacterised protein family (UPF0370)', 61, NULL, 'UPF0370', 12055),
(12056, 'PF13148', NULL, 'Protein of unknown function (DUF3987)', 365, NULL, 'DUF3987', 12056),
(12057, 'PF09466', NULL, 'Hypothetical protein Yqai', 66, NULL, 'Yqai', 12057),
(12058, 'PF01621', NULL, 'Cell fusion glycoprotein K', 339, NULL, 'Fusion_gly_K', 12058),
(12059, 'PF17820', NULL, 'PDZ domain', 54, NULL, 'PDZ_6', 12059),
(12060, 'PF16736', NULL, 'Single Cache-like', 117, NULL, 'sCache_like', 12060),
(12061, 'PF15299', NULL, 'Amyotrophic lateral sclerosis 2 chromosomal region candidate gene 8', 218, NULL, 'ALS2CR8', 12061),
(12062, 'PF14484', NULL, 'Fish-specific NACHT associated domain', 72, NULL, 'FISNA', 12062),
(12063, 'PF09851', NULL, 'Short C-terminal domain', 28, NULL, 'SHOCT', 12063),
(12064, 'PF12815', NULL, 'Spt5 C-terminal nonapeptide repeat binding Spt4', 71, NULL, 'CTD', 12064),
(12065, 'PF01266', NULL, 'FAD dependent oxidoreductase', 353, NULL, 'DAO', 12065),
(12066, 'PF01219', NULL, 'Prokaryotic diacylglycerol kinase', 102, NULL, 'DAGK_prokar', 12066);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12067, 'PF04894', NULL, 'Archaeal Nre, N-terminal', 270, NULL, 'Nre_N', 12067),
(12068, 'PF00415', NULL, 'Regulator of chromosome condensation (RCC1) repeat', 50, NULL, 'RCC1', 12068),
(12069, 'PF10139', NULL, 'Putative bacterial virulence factor', 870, NULL, 'Virul_Fac', 12069),
(12070, 'PF08151', NULL, 'FerI (NUC094) domain', 52, NULL, 'FerI', 12070),
(12071, 'PF14998', NULL, 'Transcription Regulator', 85, NULL, 'Ripply', 12071),
(12072, 'PF16374', NULL, 'Cycle inhibiting factor (CIF)', 136, NULL, 'CIF', 12072),
(12073, 'PF13573', NULL, 'SprB repeat', 37, NULL, 'SprB', 12073),
(12074, 'PF12928', NULL, 'tRNA-splicing endonuclease subunit sen54 N-term', 72, NULL, 'tRNA_int_end_N2', 12074),
(12075, 'PF19015', NULL, 'Family of unknown function (DUF5744)', 81, NULL, 'DUF5744', 12075),
(12076, 'PF17903', NULL, 'Krr1 KH1 domain', 81, NULL, 'KH_8', 12076),
(12077, 'PF02241', NULL, 'Methyl-coenzyme M reductase beta subunit, C-terminal domain', 249, NULL, 'MCR_beta', 12077),
(12078, 'PF00844', NULL, 'Geminivirus coat protein/nuclear export factor BR1 family', 244, NULL, 'Gemini_coat', 12078),
(12079, 'PF18423', NULL, 'Zinc binding domain', 62, NULL, 'zf_CopZ', 12079),
(12080, 'PF15685', NULL, 'Gametogenetin', 642, NULL, 'GGN', 12080),
(12081, 'PF10057', NULL, 'Uncharacterized conserved protein (DUF2294)', 111, NULL, 'DUF2294', 12081),
(12082, 'PF11853', NULL, 'Protein of unknown function (DUF3373)', 402, NULL, 'DUF3373', 12082),
(12083, 'PF04385', NULL, 'Domain of unknown function, DUF529', 78, NULL, 'FAINT', 12083),
(12084, 'PF04334', NULL, 'Protein of unknown function (DUF478)', 68, NULL, 'DUF478', 12084),
(12085, 'PF08917', NULL, 'Transforming growth factor beta receptor 2 ectodomain', 110, NULL, 'ecTbetaR2', 12085),
(12086, 'PF15326', NULL, 'Testis expressed sequence 15', 237, NULL, 'TEX15', 12086),
(12087, 'PF05047', NULL, 'Mitochondrial ribosomal protein L51 / S25 / CI-B8 domain', 52, NULL, 'L51_S25_CI-B8', 12087),
(12088, 'PF09367', NULL, 'CpeS-like protein', 170, NULL, 'CpeS', 12088),
(12089, 'PF11526', NULL, 'Subunit of cleavage factor IA Pcf11', 90, NULL, 'CFIA_Pcf11', 12089),
(12090, 'PF15859', NULL, 'Deleted in esophageal cancer 1 family', 70, NULL, 'DEC1', 12090),
(12091, 'PF08446', NULL, 'PAS fold', 107, NULL, 'PAS_2', 12091),
(12092, 'PF18858', NULL, 'Large polyvalent protein associated domain 39', 198, NULL, 'LPD39', 12092),
(12093, 'PF14150', NULL, 'YesK-like protein', 81, NULL, 'YesK', 12093),
(12094, 'PF18764', NULL, 'Nitrous oxide reductase propeller repeat', 71, NULL, 'nos_propeller', 12094),
(12095, 'PF05465', NULL, 'Halobacterial gas vesicle protein C (GVPC) repeat', 32, NULL, 'Halo_GVPC', 12095),
(12096, 'PF08660', NULL, 'Oligosaccharide biosynthesis protein Alg14 like', 175, NULL, 'Alg14', 12096),
(12097, 'PF09173', NULL, 'Initiation factor eIF2 gamma, C terminal', 86, NULL, 'eIF2_C', 12097),
(12098, 'PF15889', NULL, 'Domain of unknown function (DUF4738)', 146, NULL, 'DUF4738', 12098),
(12099, 'PF04270', NULL, 'Streptococcal histidine triad protein', 51, NULL, 'Strep_his_triad', 12099),
(12100, 'PF05268', NULL, 'Phage tail fibre adhesin Gp38', 260, NULL, 'GP38', 12100),
(12101, 'PF05766', NULL, 'Bacteriophage Lambda NinG protein', 186, NULL, 'NinG', 12101),
(12102, 'PF17810', NULL, 'Arginine decarboxylase helical bundle domain', 84, NULL, 'Arg_decarb_HB', 12102),
(12103, 'PF18330', NULL, 'Ligase Pab1020 C-terminal region', 125, NULL, 'Lig_C', 12103),
(12104, 'PF03554', NULL, 'UL73 viral envelope glycoprotein', 75, NULL, 'Herpes_UL73', 12104),
(12105, 'PF09601', NULL, 'Protein of unknown function (DUF2459)', 171, NULL, 'DUF2459', 12105),
(12106, 'PF01218', NULL, 'Coproporphyrinogen III oxidase', 296, NULL, 'Coprogen_oxidas', 12106),
(12107, 'PF05703', NULL, 'Auxin canalisation', 257, NULL, 'Auxin_canalis', 12107),
(12108, 'PF00611', NULL, 'Fes/CIP4, and EFC/F-BAR homology domain', 78, NULL, 'FCH', 12108),
(12109, 'PF16653', NULL, 'Saccharopine dehydrogenase C-terminal domain', 266, NULL, 'Sacchrp_dh_C', 12109); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12110, 'PF09971', NULL, 'Predicted membrane protein (DUF2206)', 380, NULL, 'DUF2206', 12110),
(12111, 'PF05847', NULL, 'Nucleopolyhedrovirus late expression factor 3 (LEF-3)', 364, NULL, 'Baculo_LEF-3', 12111),
(12112, 'PF08616', NULL, 'Stabilization of polarity axis', 113, NULL, 'SPA', 12112),
(12113, 'PF14143', NULL, 'YrhC-like protein', 72, NULL, 'YrhC', 12113),
(12114, 'PF03034', NULL, 'Phosphatidyl serine synthase', 273, NULL, 'PSS', 12114),
(12115, 'PF04534', NULL, 'Herpesvirus UL56 protein', 197, NULL, 'Herpes_UL56', 12115),
(12116, 'PF14126', NULL, 'Domain of unknown function (DUF4293)', 152, NULL, 'DUF4293', 12116),
(12117, 'PF03961', NULL, 'Flagellar Assembly Protein A', 454, NULL, 'FapA', 12117),
(12118, 'PF01336', NULL, 'OB-fold nucleic acid binding domain', 76, NULL, 'tRNA_anti-codon', 12118),
(12119, 'PF00220', NULL, 'Neurohypophysial hormones, N-terminal Domain', 9, NULL, 'Hormone_4', 12119),
(12120, 'PF04717', NULL, 'Type VI secretion system/phage-baseplate injector OB domain', 75, NULL, 'Phage_base_V', 12120),
(12121, 'PF11012', NULL, 'Protein of unknown function (DUF2850)', 79, NULL, 'DUF2850', 12121),
(12122, 'PF17369', NULL, 'Family of unknown function (DUF5391)', 135, NULL, 'DUF5391', 12122),
(12123, 'PF09643', NULL, 'YopX protein', 127, NULL, 'YopX', 12123),
(12124, 'PF14896', NULL, 'EmbC C-terminal domain', 385, NULL, 'Arabino_trans_C', 12124),
(12125, 'PF01529', NULL, 'DHHC palmitoyltransferase', 134, NULL, 'DHHC', 12125),
(12126, 'PF06048', NULL, 'Domain of unknown function (DUF927)', 285, NULL, 'DUF927', 12126),
(12127, 'PF10116', NULL, 'Protein required for attachment to host cells', 138, NULL, 'Host_attach', 12127),
(12128, 'PF04079', NULL, 'Segregation and condensation complex subunit ScpB', 160, NULL, 'SMC_ScpB', 12128),
(12129, 'PF07586', NULL, 'Protein of unknown function (DUF1552)', 304, NULL, 'HXXSHH', 12129),
(12130, 'PF07497', NULL, 'Rho termination factor, RNA-binding domain', 73, NULL, 'Rho_RNA_bind', 12130),
(12131, 'PF04405', NULL, 'Domain of Unknown function (DUF542)', 56, NULL, 'ScdA_N', 12131),
(12132, 'PF10681', NULL, 'Chaperone for protein-folding within the ER, fungal', 209, NULL, 'Rot1', 12132),
(12133, 'PF07545', NULL, 'Vestigial/Tondu family', 31, NULL, 'Vg_Tdu', 12133),
(12134, 'PF09906', NULL, 'Uncharacterized protein conserved in bacteria (DUF2135)', 52, NULL, 'DUF2135', 12134),
(12135, 'PF03382', NULL, 'Mycoplasma protein of unknown function, DUF285', 121, NULL, 'DUF285', 12135),
(12136, 'PF06777', NULL, 'Helical and beta-bridge domain', 190, NULL, 'HBB', 12136),
(12137, 'PF10189', NULL, 'Integrator complex subunit 3', 225, NULL, 'Ints3', 12137),
(12138, 'PF17779', NULL, 'NOD2 winged helix domain', 57, NULL, 'NOD2_WH', 12138),
(12139, 'PF16069', NULL, 'Domain of unknown function (DUF4811)', 155, NULL, 'DUF4811', 12139),
(12140, 'PF16084', NULL, 'LydA-holin antagonist', 147, NULL, 'LydB', 12140),
(12141, 'PF18361', NULL, 'Single stranded DNA-binding protein ss DNA binding domain', 136, NULL, 'ssDBP_DBD', 12141),
(12142, 'PF03978', NULL, 'Borrelia burgdorferi REV protein', 174, NULL, 'Borrelia_REV', 12142),
(12143, 'PF05894', NULL, 'Podovirus DNA encapsidation protein (Gp16)', 331, NULL, 'Podovirus_Gp16', 12143),
(12144, 'PF12183', NULL, 'Restriction endonuclease NotI', 232, NULL, 'NotI', 12144),
(12145, 'PF04278', NULL, 'Tic22-like family', 244, NULL, 'Tic22', 12145),
(12146, 'PF13082', NULL, 'Protein of unknown function (DUF3931)', 66, NULL, 'DUF3931', 12146),
(12147, 'PF10944', NULL, 'Protein of unknown function (DUF2630)', 80, NULL, 'DUF2630', 12147),
(12148, 'PF15779', NULL, 'Leucine-rich repeat-containing protein 37 family', 73, NULL, 'LRRC37', 12148),
(12149, 'PF03078', NULL, 'ATHILA ORF-1 family', 458, NULL, 'ATHILA', 12149),
(12150, 'PF02906', NULL, 'Iron only hydrogenase large subunit, C-terminal domain', 243, NULL, 'Fe_hyd_lg_C', 12150),
(12151, 'PF16164', NULL, 'VWA N-terminal', 79, NULL, 'VWA_N2', 12151),
(12152, 'PF16702', NULL, 'Domain of unknown function (DUF5063)', 165, NULL, 'DUF5063', 12152);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12153, 'PF09994', NULL, 'Uncharacterized alpha/beta hydrolase domain (DUF2235)', 285, NULL, 'DUF2235', 12153),
(12154, 'PF08253', NULL, 'Erm Leader peptide', 19, NULL, 'Leader_Erm', 12154),
(12155, 'PF14563', NULL, 'Domain of unknown function (DUF4444)', 42, NULL, 'DUF4444', 12155),
(12156, 'PF05947', NULL, 'Type VI secretion system, TssF', 605, NULL, 'T6SS_TssF', 12156),
(12157, 'PF01521', NULL, 'Iron-sulphur cluster biosynthesis', 111, NULL, 'Fe-S_biosyn', 12157),
(12158, 'PF13869', NULL, 'Nucleotide hydrolase', 188, NULL, 'NUDIX_2', 12158),
(12159, 'PF12023', NULL, 'Domain of unknown function (DUF3511)', 45, NULL, 'DUF3511', 12159),
(12160, 'PF09437', NULL, 'Pombe specific 5TM protein', 256, NULL, 'Pombe_5TM', 12160),
(12161, 'PF14197', NULL, 'Centrosome localisation domain of PPC89', 67, NULL, 'Cep57_CLD_2', 12161),
(12162, 'PF18245', NULL, '5-3 exonuclease XRN1 DCP1-binding motif', 26, NULL, 'XRN1_DBM', 12162),
(12163, 'PF01659', NULL, 'Luteovirus putative VPg genome linked protein', 104, NULL, 'Luteo_Vpg', 12163),
(12164, 'PF00682', NULL, 'HMGL-like', 264, NULL, 'HMGL-like', 12164),
(12165, 'PF09452', NULL, 'ESCRT-I subunit Mvb12', 90, NULL, 'Mvb12', 12165),
(12166, 'PF11531', NULL, 'Coactivator-associated arginine methyltransferase 1 N terminal', 112, NULL, 'CARM1', 12166),
(12167, 'PF16458', NULL, 'Beta-prism lectin', 129, NULL, 'Beta-prism_lec', 12167),
(12168, 'PF11844', NULL, 'Domain of unknown function (DUF3364)', 56, NULL, 'DUF3364', 12168),
(12169, 'PF16967', NULL, 'E-set like domain', 68, NULL, 'TcfC', 12169),
(12170, 'PF05223', NULL, 'NTF2-like N-terminal transpeptidase domain', 117, NULL, 'MecA_N', 12170),
(12171, 'PF15737', NULL, 'Domain of unknown function (DUF4685)', 125, NULL, 'DUF4685', 12171),
(12172, 'PF16275', NULL, 'Splicing factor 1 helix-hairpin domain', 114, NULL, 'SF1-HH', 12172),
(12173, 'PF06127', NULL, 'Protein of unknown function (DUF962)', 95, NULL, 'DUF962', 12173),
(12174, 'PF03665', NULL, 'Uncharacterised protein family (UPF0172)', 195, NULL, 'UPF0172', 12174),
(12175, 'PF03673', NULL, 'Uncharacterised protein family (UPF0128)', 221, NULL, 'UPF0128', 12175),
(12176, 'PF01131', NULL, 'DNA topoisomerase', 413, NULL, 'Topoisom_bac', 12176),
(12177, 'PF03455', NULL, 'dDENN domain', 50, NULL, 'dDENN', 12177),
(12178, 'PF03914', NULL, 'CBF/Mak21 family', 169, NULL, 'CBF', 12178),
(12179, 'PF00877', NULL, 'NlpC/P60 family', 105, NULL, 'NLPC_P60', 12179),
(12180, 'PF10559', NULL, 'Plug domain of Sec61p', 35, NULL, 'Plug_translocon', 12180),
(12181, 'PF04654', NULL, 'Protein of unknown function, DUF599', 210, NULL, 'DUF599', 12181),
(12182, 'PF05798', NULL, 'Bacteriophage FRD3 protein', 75, NULL, 'Phage_FRD3', 12182),
(12183, 'PF18104', NULL, 'Jumonji domain-containing protein 2A Tudor domain', 35, NULL, 'Tudor_2', 12183),
(12184, 'PF08347', NULL, 'N-terminal CTNNB1 binding', 207, NULL, 'CTNNB1_binding', 12184),
(12185, 'PF17351', NULL, 'Family of unknown function (DUF5380)', 85, NULL, 'DUF5380', 12185),
(12186, 'PF18016', NULL, 'SAM domain (Sterile alpha motif)', 65, NULL, 'SAM_3', 12186),
(12187, 'PF16378', NULL, 'Domain of unknown function', 181, NULL, 'DUF4988', 12187),
(12188, 'PF08188', NULL, 'Spermatozal protamine family', 48, NULL, 'Protamine_3', 12188),
(12189, 'PF01912', NULL, 'eIF-6 family', 197, NULL, 'eIF-6', 12189),
(12190, 'PF05165', NULL, 'GTP cyclohydrolase III', 246, NULL, 'GCH_III', 12190),
(12191, 'PF05075', NULL, 'Protein of unknown function (DUF684)', 338, NULL, 'DUF684', 12191),
(12192, 'PF15018', NULL, 'TRP-interacting helix', 35, NULL, 'InaF-motif', 12192),
(12193, 'PF15104', NULL, 'Domain of unknown function (DUF4558)', 86, NULL, 'DUF4558', 12193),
(12194, 'PF13007', NULL, 'Transposase C of IS166 homeodomain', 69, NULL, 'LZ_Tnp_IS66', 12194),
(12195, 'PF12474', NULL, 'Polo kinase kinase', 139, NULL, 'PKK', 12195),
(12196, 'PF14136', NULL, 'Domain of unknown function (DUF4303)', 153, NULL, 'DUF4303', 12196),
(12197, 'PF17891', NULL, 'Mu-like prophage FluMu N-terminal domain', 49, NULL, 'FluMu_N', 12197);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12198, 'PF05216', NULL, 'UNC-50 family', 221, NULL, 'UNC-50', 12198),
(12199, 'PF13070', NULL, 'Protein of unknown function (DUF3934)', 40, NULL, 'DUF3934', 12199),
(12200, 'PF05390', NULL, 'Yeast cell wall synthesis protein KRE9/KNH1', 102, NULL, 'KRE9', 12200),
(12201, 'PF17689', NULL, 'Arabinosyltransferase concanavalin like domain', 157, NULL, 'Arabino_trans_N', 12201),
(12202, 'PF10951', NULL, 'Protein of unknown function (DUF2776)', 348, NULL, 'DUF2776', 12202),
(12203, 'PF03497', NULL, 'Anthrax toxin LF subunit', 176, NULL, 'Anthrax_toxA', 12203),
(12204, 'PF02792', NULL, 'Mago nashi protein', 142, NULL, 'Mago_nashi', 12204),
(12205, 'PF01741', NULL, 'Large-conductance mechanosensitive channel, MscL', 121, NULL, 'MscL', 12205),
(12206, 'PF19151', NULL, 'Sublancin', 57, NULL, 'Sublancin', 12206),
(12207, 'PF15041', NULL, 'Domain of unknown function (DUF4531)', 184, NULL, 'DUF4531', 12207),
(12208, 'PF12708', NULL, 'Pectate lyase superfamily protein', 215, NULL, 'Pectate_lyase_3', 12208),
(12209, 'PF14787', NULL, 'GAG-polyprotein viral zinc-finger', 36, NULL, 'zf-CCHC_5', 12209),
(12210, 'PF07240', NULL, 'Stress-inducible humoral factor Turandot', 81, NULL, 'Turandot', 12210),
(12211, 'PF08022', NULL, 'FAD-binding domain', 109, NULL, 'FAD_binding_8', 12211),
(12212, 'PF00044', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, NAD binding domain', 101, NULL, 'Gp_dh_N', 12212),
(12213, 'PF02762', NULL, 'CBL proto-oncogene N-terminus, SH2-like domain', 86, NULL, 'Cbl_N3', 12213),
(12214, 'PF10868', NULL, 'Cysteine-rich antifungal protein 2, defensin-like', 50, NULL, 'Defensin_like', 12214),
(12215, 'PF06613', NULL, 'KorB C-terminal beta-barrel domain', 59, NULL, 'KorB_C', 12215),
(12216, 'PF09812', NULL, 'Mitochondrial ribosomal protein L28', 157, NULL, 'MRP-L28', 12216),
(12217, 'PF18327', NULL, 'Proline utilization A proline dehydrogenase N-terminal domain', 48, NULL, 'PRODH', 12217),
(12218, 'PF10008', NULL, 'Uncharacterized protein conserved in bacteria (DUF2251)', 94, NULL, 'DUF2251', 12218),
(12219, 'PF17456', NULL, 'Toxin-coregulated pilus protein S', 152, NULL, 'TcpS', 12219),
(12220, 'PF16031', NULL, 'TonB polyproline region', 132, NULL, 'TonB_N', 12220),
(12221, 'PF00475', NULL, 'Imidazoleglycerol-phosphate dehydratase', 144, NULL, 'IGPD', 12221),
(12222, 'PF07519', NULL, 'Tannase and feruloyl esterase', 469, NULL, 'Tannase', 12222),
(12223, 'PF10146', NULL, 'Zinc finger-containing protein', 244, NULL, 'zf-C4H2', 12223),
(12224, 'PF14521', NULL, 'Lysine-specific metallo-endopeptidase', 146, NULL, 'Aspzincin_M35', 12224),
(12225, 'PF00657', NULL, 'GDSL-like Lipase/Acylhydrolase', 219, NULL, 'Lipase_GDSL', 12225),
(12226, 'PF08795', NULL, 'Putative papain-like cysteine peptidase (DUF1796)', 166, NULL, 'DUF1796', 12226),
(12227, 'PF13779', NULL, 'Domain of unknown function (DUF4175)', 826, NULL, 'DUF4175', 12227),
(12228, 'PF05602', NULL, 'Cleft lip and palate transmembrane protein 1 (CLPTM1)', 433, NULL, 'CLPTM1', 12228),
(12229, 'PF03169', NULL, 'OPT oligopeptide transporter protein', 616, NULL, 'OPT', 12229),
(12230, 'PF06577', NULL, 'Envelope integrity protein A', 160, NULL, 'EipA', 12230),
(12231, 'PF14009', NULL, 'Domain of unknown function (DUF4228)', 180, NULL, 'DUF4228', 12231),
(12232, 'PF12598', NULL, 'T-box transcription factor', 83, NULL, 'TBX', 12232),
(12233, 'PF00097', NULL, 'Zinc finger, C3HC4 type (RING finger)', 41, NULL, 'zf-C3HC4', 12233),
(12234, 'PF07854', NULL, 'Protein of unknown function (DUF1646)', 347, NULL, 'DUF1646', 12234),
(12235, 'PF04550', NULL, 'Phage holin family 2', 86, NULL, 'Phage_holin_3_2', 12235),
(12236, 'PF17328', NULL, 'Family of unknown function (DUF5366)', 158, NULL, 'DUF5366', 12236),
(12237, 'PF01949', NULL, 'Protein of unknown function DUF99', 183, NULL, 'DUF99', 12237),
(12238, 'PF10912', NULL, 'Protein of unknown function (DUF2700)', 146, NULL, 'DUF2700', 12238),
(12239, 'PF04022', NULL, 'Staphylocoagulase repeat', 27, NULL, 'Staphylcoagulse', 12239);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12240, 'PF10149', NULL, 'Transmembrane protein 231', 301, NULL, 'TM231', 12240),
(12241, 'PF18072', NULL, 'Formylglycinamide ribonucleotide amidotransferase linker domain', 50, NULL, 'FGAR-AT_linker', 12241),
(12242, 'PF08843', NULL, 'Nucleotidyl transferase AbiEii toxin, Type IV TA system', 239, NULL, 'AbiEii', 12242),
(12243, 'PF11951', NULL, 'Fungal specific transcription factor domain', 384, NULL, 'Fungal_trans_2', 12243),
(12244, 'PF05163', NULL, 'DinB family', 166, NULL, 'DinB', 12244),
(12245, 'PF12675', NULL, 'Protein of unknown function (DUF3795)', 85, NULL, 'DUF3795', 12245),
(12246, 'PF14352', NULL, 'Domain of unknown function (DUF4402)', 129, NULL, 'DUF4402', 12246),
(12247, 'PF05233', NULL, 'PHB accumulation regulatory domain', 40, NULL, 'PHB_acc', 12247),
(12248, 'PF12262', NULL, 'Bacterial virulence factor lipase N-terminal', 238, NULL, 'Lipase_bact_N', 12248),
(12249, 'PF00594', NULL, 'Vitamin K-dependent carboxylation/gamma-carboxyglutamic (GLA) domain', 41, NULL, 'Gla', 12249),
(12250, 'PF15585', NULL, 'Immunity protein 7', 130, NULL, 'Imm7', 12250),
(12251, 'PF09263', NULL, 'Peroxisome biogenesis factor 1, N-terminal', 83, NULL, 'PEX-2N', 12251),
(12252, 'PF17417', NULL, 'Herpesvirus Glycoprotein B PH-like domain', 97, NULL, 'Glycoprot_B_PH2', 12252),
(12253, 'PF01765', NULL, 'Ribosome recycling factor', 162, NULL, 'RRF', 12253),
(12254, 'PF11209', NULL, 'LmeA-like phospholipid-binding', 213, NULL, 'LmeA', 12254),
(12255, 'PF10391', NULL, 'Fingers domain of DNA polymerase lambda', 51, NULL, 'DNA_pol_lambd_f', 12255),
(12256, 'PF04254', NULL, 'Protein of unknown function (DUF432)', 123, NULL, 'DUF432', 12256),
(12257, 'PF12228', NULL, 'Protein of unknown function (DUF3604)', 591, NULL, 'DUF3604', 12257),
(12258, 'PF17864', NULL, 'RuvB AAA lid domain', 74, NULL, 'AAA_lid_4', 12258),
(12259, 'PF13112', NULL, 'Protein of unknown function (DUF3965)', 291, NULL, 'DUF3965', 12259),
(12260, 'PF05674', NULL, 'Baculovirus protein of unknown function (DUF816)', 172, NULL, 'DUF816', 12260),
(12261, 'PF09067', NULL, 'Erythropoietin receptor, ligand binding', 104, NULL, 'EpoR_lig-bind', 12261),
(12262, 'PF15030', NULL, 'Protein of unknown function (DUF4527)', 276, NULL, 'DUF4527', 12262),
(12263, 'PF09388', NULL, 'Spo0E like sporulation regulatory protein', 42, NULL, 'SpoOE-like', 12263),
(12264, 'PF14622', NULL, 'Ribonuclease-III-like', 128, NULL, 'Ribonucleas_3_3', 12264),
(12265, 'PF09962', NULL, 'Uncharacterized conserved protein (DUF2196)', 61, NULL, 'DUF2196', 12265),
(12266, 'PF11201', NULL, 'Protein of unknown function (DUF2982)', 151, NULL, 'DUF2982', 12266),
(12267, 'PF00860', NULL, 'Permease family', 389, NULL, 'Xan_ur_permease', 12267),
(12268, 'PF08757', NULL, 'CotH kinase protein', 322, NULL, 'CotH', 12268),
(12269, 'PF13267', NULL, 'Protein of unknown function (DUF4058)', 254, NULL, 'DUF4058', 12269),
(12270, 'PF13285', NULL, 'Domain of unknown function (DUF4073)', 157, NULL, 'DUF4073', 12270),
(12271, 'PF10443', NULL, 'RNA12 protein', 444, NULL, 'RNA12', 12271),
(12272, 'PF00053', NULL, 'Laminin EGF domain', 49, NULL, 'Laminin_EGF', 12272),
(12273, 'PF04238', NULL, 'Protein of unknown function (DUF420)', 130, NULL, 'DUF420', 12273),
(12274, 'PF10107', NULL, 'Endonuclease related to archaeal Holliday junction resolvase', 159, NULL, 'Endonuc_Holl', 12274),
(12275, 'PF05669', NULL, 'SOH1', 95, NULL, 'Med31', 12275),
(12276, 'PF18564', NULL, 'Glycoside hydrolase family 5 C-terminal domain', 87, NULL, 'Glyco_hydro_5_C', 12276),
(12277, 'PF00482', NULL, 'Type II secretion system (T2SS), protein F', 125, NULL, 'T2SSF', 12277),
(12278, 'PF09129', NULL, 'Cholesterol oxidase, substrate-binding', 321, NULL, 'Chol_subst-bind', 12278),
(12279, 'PF01728', NULL, 'FtsJ-like methyltransferase', 177, NULL, 'FtsJ', 12279),
(12280, 'PF04348', NULL, 'LppC putative lipoprotein', 535, NULL, 'LppC', 12280),
(12281, 'PF01254', NULL, 'Nuclear transition protein 2', 137, NULL, 'TP2', 12281);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12282, 'PF02572', NULL, 'ATP:corrinoid adenosyltransferase BtuR/CobO/CobP', 172, NULL, 'CobA_CobO_BtuR', 12282),
(12283, 'PF04701', NULL, 'Pox virus D2 protein', 139, NULL, 'Pox_D2', 12283),
(12284, 'PF09197', NULL, 'Rap1, DNA-binding', 108, NULL, 'Rap1-DNA-bind', 12284),
(12285, 'PF11277', NULL, 'Mediator complex subunit 24 N-terminal', 996, NULL, 'Med24_N', 12285),
(12286, 'PF14629', NULL, 'Origin recognition complex (ORC) subunit 4 C-terminus', 221, NULL, 'ORC4_C', 12286),
(12287, 'PF05354', NULL, 'Phage Head-Tail Attachment', 117, NULL, 'Phage_attach', 12287),
(12288, 'PF06319', NULL, 'DNA repair protein MmcB-like', 148, NULL, 'MmcB-like', 12288),
(12289, 'PF13904', NULL, 'Domain of unknown function (DUF4207)', 251, NULL, 'DUF4207', 12289),
(12290, 'PF06540', NULL, 'Galanin message associated peptide (GMAP)', 61, NULL, 'GMAP', 12290),
(12291, 'PF05734', NULL, 'Herpesvirus protein of unknown function (DUF832)', 228, NULL, 'DUF832', 12291),
(12292, 'PF05951', NULL, 'Bacterial protein of unknown function (DUF882)', 151, NULL, 'Peptidase_M15_2', 12292),
(12293, 'PF00719', NULL, 'Inorganic pyrophosphatase', 160, NULL, 'Pyrophosphatase', 12293),
(12294, 'PF04050', NULL, 'Up-frameshift suppressor 2', 135, NULL, 'Upf2', 12294),
(12295, 'PF08182', NULL, 'Pedibin/Hym-346 family', 35, NULL, 'Pedibin', 12295),
(12296, 'PF02166', NULL, 'Androgen receptor', 484, NULL, 'Androgen_recep', 12296),
(12297, 'PF07192', NULL, 'SNURF/RPN4 protein', 69, NULL, 'SNURF', 12297),
(12298, 'PF08549', NULL, 'Fungal domain of unknown function (DUF1750)', 718, NULL, 'SWI-SNF_Ssr4', 12298),
(12299, 'PF08571', NULL, 'Yos1-like', 80, NULL, 'Yos1', 12299),
(12300, 'PF05377', NULL, 'Flagella accessory protein C (FlaC)', 55, NULL, 'FlaC_arch', 12300),
(12301, 'PF18497', NULL, 'Ribonuclease III N-terminal domain', 95, NULL, 'RNase_3_N', 12301),
(12302, 'PF14497', NULL, 'Glutathione S-transferase, C-terminal domain', 99, NULL, 'GST_C_3', 12302),
(12303, 'PF18472', NULL, 'HP1451 C-terminal domain', 67, NULL, 'HP1451_C', 12303),
(12304, 'PF11670', NULL, 'Major surface protein 1a (MSP1a)', 252, NULL, 'MSP1a', 12304),
(12305, 'PF03030', NULL, 'Inorganic H+ pyrophosphatase', 649, NULL, 'H_PPase', 12305),
(12306, 'PF01057', NULL, 'Parvovirus non-structural protein NS1', 272, NULL, 'Parvo_NS1', 12306),
(12307, 'PF13824', NULL, 'Zinc-finger of mitochondrial splicing suppressor 51', 57, NULL, 'zf-Mss51', 12307),
(12308, 'PF13806', NULL, 'Rieske-like [2Fe-2S] domain', 104, NULL, 'Rieske_2', 12308),
(12309, 'PF13150', NULL, 'Conjugative transposon protein TraL', 86, NULL, 'TraL_transposon', 12309),
(12310, 'PF16279', NULL, 'Domain of unknown function (DUF4927)', 89, NULL, 'DUF4927', 12310),
(12311, 'PF11269', NULL, 'Protein of unknown function (DUF3069)', 119, NULL, 'DUF3069', 12311),
(12312, 'PF13370', NULL, '4Fe-4S single cluster domain of Ferredoxin I', 58, NULL, 'Fer4_13', 12312),
(12313, 'PF09824', NULL, 'ArsR transcriptional regulator', 159, NULL, 'ArsR', 12313),
(12314, 'PF17112', NULL, 'Mitochondrial import receptor subunit Tom6, fungal', 45, NULL, 'Tom6', 12314),
(12315, 'PF18514', NULL, 'Get5 C-terminal domain', 38, NULL, 'Get5_C', 12315),
(12316, 'PF06417', NULL, 'Protein of unknown function (DUF1077)', 118, NULL, 'DUF1077', 12316),
(12317, 'PF03060', NULL, 'Nitronate monooxygenase', 331, NULL, 'NMO', 12317),
(12318, 'PF10249', NULL, 'NADH-ubiquinone oxidoreductase subunit 10', 126, NULL, 'NDUFB10', 12318),
(12319, 'PF17435', NULL, 'Family of unknown function (DUF5414)', 183, NULL, 'DUF5414', 12319),
(12320, 'PF10310', NULL, 'Family of unknown function (DUF5427)', 465, NULL, 'DUF5427', 12320),
(12321, 'PF04986', NULL, 'Putative transposase', 183, NULL, 'Y2_Tnp', 12321),
(12322, 'PF00979', NULL, 'Reovirus outer capsid protein, Sigma 3', 367, NULL, 'Reovirus_cap', 12322),
(12323, 'PF06706', NULL, 'Citrus tristeza virus 6-kDa protein', 51, NULL, 'CTV_P6', 12323),
(12324, 'PF08916', NULL, 'Phenylalanine zipper', 57, NULL, 'Phe_ZIP', 12324);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12325, 'PF14979', NULL, 'Transmembrane 52', 149, NULL, 'TMEM52', 12325),
(12326, 'PF18420', NULL, 'CSN4/RPN5/eIF3a helix turn helix domain', 42, NULL, 'CSN4_RPN5_eIF3a', 12326),
(12327, 'PF08193', NULL, 'INO80 complex subunit Ies4', 242, NULL, 'INO80_Ies4', 12327),
(12328, 'PF13842', NULL, 'DDE_Tnp_1-like zinc-ribbon', 31, NULL, 'Tnp_zf-ribbon_2', 12328),
(12329, 'PF06099', NULL, 'Phenol hydroxylase subunit', 57, NULL, 'Phenol_hyd_sub', 12329),
(12330, 'PF04097', NULL, 'Nup93/Nic96', 619, NULL, 'Nic96', 12330),
(12331, 'PF13734', NULL, 'Spi protease inhibitor', 100, NULL, 'Inhibitor_I69', 12331),
(12332, 'PF01172', NULL, 'Shwachman-Bodian-Diamond syndrome (SBDS) protein', 88, NULL, 'SBDS', 12332),
(12333, 'PF05257', NULL, 'CHAP domain', 83, NULL, 'CHAP', 12333),
(12334, 'PF05341', NULL, 'Per os infectivity factor 6', 106, NULL, 'PIF6', 12334),
(12335, 'PF05789', NULL, 'Baculovirus VP1054 protein', 350, NULL, 'Baculo_VP1054', 12335),
(12336, 'PF07638', NULL, 'ECF sigma factor', 185, NULL, 'Sigma70_ECF', 12336),
(12337, 'PF18975', NULL, 'Family of unknown function (DUF5711)', 344, NULL, 'DUF5711', 12337),
(12338, 'PF17381', NULL, 'Seminal vesicle secretory proteins 4/5/6', 91, NULL, 'Svs_4_5_6', 12338),
(12339, 'PF08075', NULL, 'NOPS (NUC059) domain', 52, NULL, 'NOPS', 12339),
(12340, 'PF07072', NULL, 'Cell division protein', 210, NULL, 'ZapD', 12340),
(12341, 'PF09372', NULL, 'PRANC domain', 97, NULL, 'PRANC', 12341),
(12342, 'PF12185', NULL, 'Nup358/RanBP2 E3 ligase domain', 60, NULL, 'IR1-M', 12342),
(12343, 'PF00888', NULL, 'Cullin family', 619, NULL, 'Cullin', 12343),
(12344, 'PF16149', NULL, 'Domain of unknown function (DUF4857)', 270, NULL, 'DUF4857', 12344),
(12345, 'PF01579', NULL, 'Domain of unknown function (DUF19)', 158, NULL, 'DUF19', 12345),
(12346, 'PF01761', NULL, '3-dehydroquinate synthase', 262, NULL, 'DHQ_synthase', 12346),
(12347, 'PF02330', NULL, 'Mitochondrial glycoprotein', 212, NULL, 'MAM33', 12347),
(12348, 'PF06287', NULL, 'Protein of unknown function (DUF1039)', 65, NULL, 'DUF1039', 12348),
(12349, 'PF07901', NULL, 'Protein of unknown function (DUF1672)', 271, NULL, 'DUF1672', 12349),
(12350, 'PF07023', NULL, 'Protein of unknown function (DUF1315)', 82, NULL, 'DUF1315', 12350),
(12351, 'PF06566', NULL, 'Chondroitin sulphate attachment domain', 250, NULL, 'Chon_Sulph_att', 12351),
(12352, 'PF10581', NULL, 'Synapsin N-terminal', 32, NULL, 'Synapsin_N', 12352),
(12353, 'PF08307', NULL, 'Glycosyl hydrolase family 98 C-terminal domain', 260, NULL, 'Glyco_hydro_98C', 12353),
(12354, 'PF15472', NULL, 'Domain of unknown function (DUF4638)', 263, NULL, 'DUF4638', 12354),
(12355, 'PF00714', NULL, 'Interferon gamma', 138, NULL, 'IFN-gamma', 12355),
(12356, 'PF16472', NULL, 'Domain of unknown function (DUF5050)', 282, NULL, 'DUF5050', 12356),
(12357, 'PF09436', NULL, 'Domain of unknown function (DUF2016)', 72, NULL, 'DUF2016', 12357),
(12358, 'PF18560', NULL, 'Lectin like domain', 157, NULL, 'Lectin_like', 12358),
(12359, 'PF05708', NULL, 'Permuted papain-like amidase enzyme, YaeF/YiiX, C92 family', 166, NULL, 'Peptidase_C92', 12359),
(12360, 'PF13060', NULL, 'Protein of unknown function (DUF3921)', 58, NULL, 'DUF3921', 12360),
(12361, 'PF02001', NULL, 'Protein of unknown function  DUF134', 98, NULL, 'DUF134', 12361),
(12362, 'PF10047', NULL, 'Protein of unknown function (DUF2281)', 64, NULL, 'DUF2281', 12362),
(12363, 'PF04725', NULL, 'Photosystem II 10 kDa polypeptide PsbR', 98, NULL, 'PsbR', 12363),
(12364, 'PF10298', NULL, 'WhiA N-terminal LAGLIDADG-like domain', 86, NULL, 'WhiA_N', 12364),
(12365, 'PF09298', NULL, 'Fumarylacetoacetase N-terminal', 105, NULL, 'FAA_hydrolase_N', 12365),
(12366, 'PF11109', NULL, 'Orexigenic neuropeptide Qrfp/P518', 131, NULL, 'RFamide_26RFa', 12366),
(12367, 'PF04118', NULL, 'Dopey, N-terminal', 308, NULL, 'Dopey_N', 12367),
(12368, 'PF08783', NULL, 'DWNN domain', 74, NULL, 'DWNN', 12368),
(12369, 'PF00017', NULL, 'SH2 domain', 77, NULL, 'SH2', 12369);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12370, 'PF09086', NULL, 'Domain of unknown function (DUF1924)', 96, NULL, 'DUF1924', 12370),
(12371, 'PF04733', NULL, 'Coatomer epsilon subunit', 290, NULL, 'Coatomer_E', 12371),
(12372, 'PF07394', NULL, 'Protein of unknown function (DUF1501)', 391, NULL, 'DUF1501', 12372),
(12373, 'PF13679', NULL, 'Methyltransferase domain', 158, NULL, 'Methyltransf_32', 12373),
(12374, 'PF13115', NULL, 'YtkA-like', 86, NULL, 'YtkA', 12374),
(12375, 'PF18584', NULL, 'Synaptonemal complex 2 Spt16M-like domain', 112, NULL, 'SYCP2_SLD', 12375),
(12376, 'PF05250', NULL, 'Uncharacterised protein family (UPF0193)', 217, NULL, 'UPF0193', 12376),
(12377, 'PF16707', NULL, 'Cag pathogenicity island protein S of Helicobacter pylori', 196, NULL, 'CagS', 12377),
(12378, 'PF14679', NULL, 'FANCI helical domain 1', 86, NULL, 'FANCI_HD1', 12378),
(12379, 'PF12617', NULL, 'Iron-Sulfur binding protein C terminal', 187, NULL, 'LdpA_C', 12379),
(12380, 'PF03691', NULL, 'Uncharacterised protein family (UPF0167)', 176, NULL, 'UPF0167', 12380),
(12381, 'PF05335', NULL, 'Protein of unknown function (DUF745)', 183, NULL, 'DUF745', 12381),
(12382, 'PF04211', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit C', 268, NULL, 'MtrC', 12382),
(12383, 'PF09292', NULL, 'Endonuclease VIII-like 1, DNA bind', 39, NULL, 'Neil1-DNA_bind', 12383),
(12384, 'PF02789', NULL, 'Cytosol aminopeptidase family, N-terminal domain', 126, NULL, 'Peptidase_M17_N', 12384),
(12385, 'PF18554', NULL, 'PheRS DNA binding domain 2', 33, NULL, 'PheRS_DBD2', 12385),
(12386, 'PF09008', NULL, 'Head binding', 113, NULL, 'Head_binding', 12386),
(12387, 'PF06993', NULL, 'Protein of unknown function (DUF1304)', 110, NULL, 'DUF1304', 12387),
(12388, 'PF15747', NULL, 'Domain of unknown function (DUF4687)', 120, NULL, 'DUF4687', 12388),
(12389, 'PF14477', NULL, 'Membrane-polarising domain of Mso1', 63, NULL, 'Mso1_C', 12389),
(12390, 'PF06962', NULL, 'Putative rRNA methylase', 137, NULL, 'rRNA_methylase', 12390),
(12391, 'PF08511', NULL, 'COQ9', 77, NULL, 'COQ9', 12391),
(12392, 'PF06618', NULL, 'Protein of unknown function (DUF1148)', 114, NULL, 'DUF1148', 12392),
(12393, 'PF01504', NULL, 'Phosphatidylinositol-4-phosphate 5-Kinase', 276, NULL, 'PIP5K', 12393),
(12394, 'PF16413', NULL, 'DNA mismatch repair protein Mlh1 C-terminus', 269, NULL, 'Mlh1_C', 12394),
(12395, 'PF07998', NULL, 'Peptidase family M54', 194, NULL, 'Peptidase_M54', 12395),
(12396, 'PF04529', NULL, 'Herpesvirus U59 protein', 367, NULL, 'Herpes_U59', 12396),
(12397, 'PF06002', NULL, 'Alpha-2,3-sialyltransferase (CST-I)', 293, NULL, 'CST-I', 12397),
(12398, 'PF13032', NULL, 'RNaseH domain of pPIWI_RE', 293, NULL, 'RNaseH_pPIWI_RE', 12398),
(12399, 'PF17086', NULL, 'Small capsid protein of Herpesviridae', 77, NULL, 'HV_small_capsid', 12399),
(12400, 'PF08011', NULL, 'PD-(D/E)XK nuclease superfamily', 105, NULL, 'PDDEXK_9', 12400),
(12401, 'PF03051', NULL, 'Peptidase C1-like family', 438, NULL, 'Peptidase_C1_2', 12401),
(12402, 'PF09377', NULL, 'SBDS protein C-terminal domain', 114, NULL, 'SBDS_C', 12402),
(12403, 'PF10236', NULL, 'Mitochondrial ribosomal death-associated protein 3', 312, NULL, 'DAP3', 12403),
(12404, 'PF05120', NULL, 'Gas vesicle protein G', 80, NULL, 'GvpG', 12404),
(12405, 'PF14929', NULL, 'TAF RNA Polymerase I subunit A', 371, NULL, 'TAF1_subA', 12405),
(12406, 'PF14005', NULL, 'YpjP-like protein', 134, NULL, 'YpjP', 12406),
(12407, 'PF10932', NULL, 'Protein of unknown function (DUF2783)', 59, NULL, 'DUF2783', 12407),
(12408, 'PF14058', NULL, 'PcfK-like protein', 128, NULL, 'PcfK', 12408),
(12409, 'PF14054', NULL, 'Domain of unknown function (DUF4249)', 279, NULL, 'DUF4249', 12409),
(12410, 'PF12300', NULL, 'ATP-dependent RNA helicase RhlB', 175, NULL, 'RhlB', 12410),
(12411, 'PF14814', NULL, 'Bifunctional transglycosylase second domain', 85, NULL, 'UB2H', 12411),
(12412, 'PF16521', NULL, 'Myosin VI cargo binding domain', 90, NULL, 'Myosin-VI_CBD', 12412),
(12413, 'PF00721', NULL, 'Virus coat protein (TMV like)', 163, NULL, 'TMV_coat', 12413);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12414, 'PF04913', NULL, 'Baculovirus Y142 protein', 440, NULL, 'Baculo_Y142', 12414),
(12415, 'PF11355', NULL, 'Protein of unknown function (DUF3157)', 199, NULL, 'DUF3157', 12415),
(12416, 'PF15020', NULL, 'Cation channel sperm-associated protein subunit delta', 729, NULL, 'CATSPERD', 12416),
(12417, 'PF04269', NULL, 'Protein of unknown function, DUF440', 101, NULL, 'DUF440', 12417),
(12418, 'PF16111', NULL, 'Domain of unknown function (DUF4829)', 119, NULL, 'DUF4829', 12418),
(12419, 'PF08674', NULL, 'Acetylcholinesterase tetramerisation domain', 37, NULL, 'AChE_tetra', 12419),
(12420, 'PF15333', NULL, 'TATA box-binding protein-associated factor 1D', 222, NULL, 'TAF1D', 12420),
(12421, 'PF15797', NULL, 'Domain of unknown function (DUF4706)', 106, NULL, 'DUF4706', 12421),
(12422, 'PF17000', NULL, 'Accessory secretory protein Sec, Asp5', 71, NULL, 'Asp5', 12422),
(12423, 'PF07247', NULL, 'Alcohol acetyltransferase', 500, NULL, 'AATase', 12423),
(12424, 'PF09126', NULL, 'Restriction endonuclease NaeI', 288, NULL, 'NaeI', 12424),
(12425, 'PF04709', NULL, 'Anti-Mullerian hormone, N terminal region', 394, NULL, 'AMH_N', 12425),
(12426, 'PF01721', NULL, 'Class II bacteriocin', 35, NULL, 'Bacteriocin_II', 12426),
(12427, 'PF06156', NULL, 'Initiation control protein YabA', 102, NULL, 'YabA', 12427),
(12428, 'PF18839', NULL, 'Large polyvalent protein associated domain 24', 70, NULL, 'LPD24', 12428),
(12429, 'PF09095', NULL, 'Domain of unknown function (DUF1926)', 281, NULL, 'DUF1926', 12429),
(12430, 'PF13040', NULL, 'Fur-regulated basic protein B', 39, NULL, 'Fur_reg_FbpB', 12430),
(12431, 'PF16460', NULL, 'Phage tail tube, TTP, lambda-like', 137, NULL, 'Phage_TTP_11', 12431),
(12432, 'PF03134', NULL, 'TB2/DP1, HVA22 family', 78, NULL, 'TB2_DP1_HVA22', 12432),
(12433, 'PF18484', NULL, 'Cadmium carbonic anhydrase repeat', 184, NULL, 'CDCA', 12433),
(12434, 'PF05569', NULL, 'BlaR1 peptidase M56', 299, NULL, 'Peptidase_M56', 12434),
(12435, 'PF12688', NULL, 'Tetratrico peptide repeat', 119, NULL, 'TPR_5', 12435),
(12436, 'PF01422', NULL, 'NF-X1 type zinc finger', 19, NULL, 'zf-NF-X1', 12436),
(12437, 'PF17195', NULL, 'Protein of unknown function (DUF5132)', 47, NULL, 'DUF5132', 12437),
(12438, 'PF17383', NULL, 'Uncharacterized KorC regulated protein A', 76, NULL, 'kleA_kleC', 12438),
(12439, 'PF05034', NULL, 'Methylaspartate ammonia-lyase N-terminus', 159, NULL, 'MAAL_N', 12439),
(12440, 'PF17990', NULL, 'L-Lysine epsilon oxidase N-terminal', 223, NULL, 'LodA_N', 12440),
(12441, 'PF03216', NULL, 'Rhabdovirus nucleoprotein', 295, NULL, 'Rhabdo_ncap_2', 12441),
(12442, 'PF07302', NULL, 'AroM protein', 218, NULL, 'AroM', 12442),
(12443, 'PF01239', NULL, 'Protein prenyltransferase alpha subunit repeat', 32, NULL, 'PPTA', 12443),
(12444, 'PF06026', NULL, 'Ribose 5-phosphate isomerase A (phosphoriboisomerase A)', 173, NULL, 'Rib_5-P_isom_A', 12444),
(12445, 'PF14155', NULL, 'Domain of unknown function (DUF4307)', 110, NULL, 'DUF4307', 12445),
(12446, 'PF14473', NULL, 'RD3 protein', 131, NULL, 'RD3', 12446),
(12447, 'PF13252', NULL, 'Protein of unknown function (DUF4043)', 342, NULL, 'DUF4043', 12447),
(12448, 'PF07312', NULL, 'Protein of unknown function (DUF1459)', 81, NULL, 'DUF1459', 12448),
(12449, 'PF08239', NULL, 'Bacterial SH3 domain', 55, NULL, 'SH3_3', 12449),
(12450, 'PF07765', NULL, 'KIP1-like protein', 74, NULL, 'KIP1', 12450),
(12451, 'PF07831', NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', 75, NULL, 'PYNP_C', 12451),
(12452, 'PF11250', NULL, 'Fantastic Four meristem regulator', 54, NULL, 'FAF', 12452),
(12453, 'PF15108', NULL, 'Voltage-dependent calcium channel gamma-like subunit protein family', 183, NULL, 'TMEM37', 12453),
(12454, 'PF10716', NULL, 'NADH dehydrogenase transmembrane subunit', 76, NULL, 'NdhL', 12454),
(12455, 'PF10536', NULL, 'Plant mobile domain', 359, NULL, 'PMD', 12455),
(12456, 'PF01972', NULL, 'Serine dehydrogenase proteinase', 286, NULL, 'SDH_sah', 12456);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12457, 'PF14122', NULL, 'YokU-like protein, putative antitoxin', 87, NULL, 'YokU', 12457),
(12458, 'PF13730', NULL, 'Helix-turn-helix domain', 55, NULL, 'HTH_36', 12458),
(12459, 'PF17831', NULL, 'Pyruvate dehydrogenase E1 component middle domain', 229, NULL, 'PDH_E1_M', 12459),
(12460, 'PF19194', NULL, 'Family of unknown function (DUF5869)', 159, NULL, 'DUF5869', 12460),
(12461, 'PF02591', NULL, 'C4-type zinc ribbon domain', 33, NULL, 'zf-RING_7', 12461),
(12462, 'PF16809', NULL, 'NleF caspase inhibitor', 150, NULL, 'NleF_casp_inhib', 12462),
(12463, 'PF05228', NULL, 'CHASE4 domain', 137, NULL, 'CHASE4', 12463),
(12464, 'PF08230', NULL, 'CW_7 repeat', 40, NULL, 'CW_7', 12464),
(12465, 'PF02488', NULL, 'Merozoite Antigen', 250, NULL, 'EMA', 12465),
(12466, 'PF18945', NULL, 'EvpB/VC_A0108, tail sheath gpW/gp25-like domain', 112, NULL, 'VipB_2', 12466),
(12467, 'PF09172', NULL, 'Domain of unknown function (DUF1943)', 306, NULL, 'DUF1943', 12467),
(12468, 'PF14238', NULL, 'Domain of unknown function (DUF4340)', 184, NULL, 'DUF4340', 12468),
(12469, 'PF10555', NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase signature 1', 13, NULL, 'MraY_sig1', 12469),
(12470, 'PF08478', NULL, 'POTRA domain, FtsQ-type', 69, NULL, 'POTRA_1', 12470),
(12471, 'PF13281', NULL, 'Domain of unknown function (DUF4071)', 367, NULL, 'DUF4071', 12471),
(12472, 'PF09561', NULL, 'HpaII restriction endonuclease', 359, NULL, 'RE_HpaII', 12472),
(12473, 'PF10746', NULL, 'Phage holin T7 family, holin superfamily II', 56, NULL, 'Phage_holin_2_2', 12473),
(12474, 'PF05194', NULL, 'UreE urease accessory protein, C-terminal domain', 87, NULL, 'UreE_C', 12474),
(12475, 'PF06791', NULL, 'Prophage tail length tape measure protein', 206, NULL, 'TMP_2', 12475),
(12476, 'PF10150', NULL, 'Ribonuclease E/G family', 270, NULL, 'RNase_E_G', 12476),
(12477, 'PF15663', NULL, 'Zinc-finger containing family', 110, NULL, 'zf-CCCH_3', 12477),
(12478, 'PF18259', NULL, 'Carbohydrate binding module 65 domain 1', 111, NULL, 'CBM65_1', 12478),
(12479, 'PF07261', NULL, 'Replication initiation and membrane attachment', 74, NULL, 'DnaB_2', 12479),
(12480, 'PF11083', NULL, 'Lantibiotic streptin immunity protein', 93, NULL, 'Streptin-Immun', 12480),
(12481, 'PF02844', NULL, 'Phosphoribosylglycinamide synthetase, N domain', 90, NULL, 'GARS_N', 12481),
(12482, 'PF08178', NULL, 'GnsA/GnsB toxin of bacterial toxin-antitoxin system', 54, NULL, 'GnsAB_toxin', 12482),
(12483, 'PF03559', NULL, 'NDP-hexose 2,3-dehydratase', 204, NULL, 'Hexose_dehydrat', 12483),
(12484, 'PF01680', NULL, 'SOR/SNZ family', 207, NULL, 'SOR_SNZ', 12484),
(12485, 'PF09817', NULL, 'RZZ complex, subunit zwilch', 574, NULL, 'Zwilch', 12485),
(12486, 'PF18186', NULL, 'SMODS and SLOG-associating 2TM effector domain family 4', 165, NULL, 'SLATT_4', 12486),
(12487, 'PF00523', NULL, 'Fusion glycoprotein F0', 487, NULL, 'Fusion_gly', 12487),
(12488, 'PF17028', NULL, '8TM Microsporidial transmembrane domain', 255, NULL, '8TM_micro', 12488),
(12489, 'PF17303', NULL, 'Family of unknown function (DUF5352)', 165, NULL, 'DUF5352', 12489),
(12490, 'PF09490', NULL, 'Probable cobalt transporter subunit (CbtA)', 243, NULL, 'CbtA', 12490),
(12491, 'PF01770', NULL, 'Reduced folate carrier', 412, NULL, 'Folate_carrier', 12491),
(12492, 'PF14710', NULL, 'Respiratory nitrate reductase alpha N-terminal', 38, NULL, 'Nitr_red_alph_N', 12492),
(12493, 'PF08507', NULL, 'COPI associated protein', 130, NULL, 'COPI_assoc', 12493),
(12494, 'PF02447', NULL, 'GntP family permease', 440, NULL, 'GntP_permease', 12494),
(12495, 'PF09718', NULL, 'Lambda phage tail tape-measure protein (Tape_meas_lam_C)', 76, NULL, 'Tape_meas_lam_C', 12495),
(12496, 'PF08301', NULL, 'Hepatitis C virus non-structural 5a domain 1b', 102, NULL, 'HCV_NS5a_1b', 12496),
(12497, 'PF04400', NULL, '(Na+)-NQR maturation NqrM', 43, NULL, 'NqrM', 12497),
(12498, 'PF09168', NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal', 157, NULL, 'PepX_N', 12498);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12499, 'PF14280', NULL, 'Domain of unknown function (DUF4365)', 139, NULL, 'DUF4365', 12499),
(12500, 'PF10450', NULL, 'POC1 chaperone', 273, NULL, 'POC1', 12500),
(12501, 'PF03228', NULL, 'Adenoviral core protein VII', 122, NULL, 'Adeno_VII', 12501),
(12502, 'PF06567', NULL, 'Neural chondroitin sulphate proteoglycan cytoplasmic domain', 119, NULL, 'Neural_ProG_Cyt', 12502),
(12503, 'PF09261', NULL, 'Alpha mannosidase middle domain', 96, NULL, 'Alpha-mann_mid', 12503),
(12504, 'PF01723', NULL, 'Chorion protein', 169, NULL, 'Chorion_1', 12504),
(12505, 'PF08897', NULL, 'Domain of unknown function (DUF1841)', 135, NULL, 'DUF1841', 12505),
(12506, 'PF09820', NULL, 'Predicted AAA-ATPase', 279, NULL, 'AAA-ATPase_like', 12506),
(12507, 'PF06522', NULL, 'NADH-ubiquinone reductase complex 1 MLRQ subunit', 69, NULL, 'B12D', 12507),
(12508, 'PF09765', NULL, 'FANCL UBC-like domain 1', 89, NULL, 'FANCL_d1', 12508),
(12509, 'PF18731', NULL, 'Swt1-like HEPN', 116, NULL, 'HEPN_Swt1', 12509),
(12510, 'PF00699', NULL, 'Urease beta subunit', 98, NULL, 'Urease_beta', 12510),
(12511, 'PF07322', NULL, 'Seadornavirus Vp10', 241, NULL, 'Seadorna_Vp10', 12511),
(12512, 'PF13243', NULL, 'Squalene-hopene cyclase C-terminal domain', 319, NULL, 'SQHop_cyclase_C', 12512),
(12513, 'PF03920', NULL, 'Groucho/TLE N-terminal Q-rich domain', 131, NULL, 'TLE_N', 12513),
(12514, 'PF15123', NULL, 'Domain of unknown function (DUF4562)', 115, NULL, 'DUF4562', 12514),
(12515, 'PF16432', NULL, 'Domain of unknown function (DUF5029)', 210, NULL, 'DUF5029', 12515),
(12516, 'PF06008', NULL, 'Laminin Domain I', 259, NULL, 'Laminin_I', 12516),
(12517, 'PF04982', NULL, 'HPP family', 122, NULL, 'HPP', 12517),
(12518, 'PF09527', NULL, 'Putative F0F1-ATPase subunit Ca2+/Mg2+ transporter', 54, NULL, 'ATPase_gene1', 12518),
(12519, 'PF01039', NULL, 'Carboxyl transferase domain', 494, NULL, 'Carboxyl_trans', 12519),
(12520, 'PF18415', NULL, 'Histidine kinase receptor ArcB trans-membrane domain', 75, NULL, 'HKR_ArcB_TM', 12520),
(12521, 'PF14641', NULL, 'Helix-turn-helix DNA-binding domain of SPT6', 117, NULL, 'HTH_44', 12521),
(12522, 'PF02972', NULL, 'Phycoerythrin, alpha/beta chain', 57, NULL, 'Phycoerythr_ab', 12522),
(12523, 'PF02142', NULL, 'MGS-like domain', 95, NULL, 'MGS', 12523),
(12524, 'PF12150', NULL, 'Cytosolic motility protein', 343, NULL, 'MFP2b', 12524),
(12525, 'PF06123', NULL, 'Inner membrane protein CreD', 428, NULL, 'CreD', 12525),
(12526, 'PF15069', NULL, 'FAM163 family', 164, NULL, 'FAM163', 12526),
(12527, 'PF11405', NULL, 'Bromelain inhibitor VI', 41, NULL, 'Inhibitor_I67', 12527),
(12528, 'PF06553', NULL, 'BNIP3', 194, NULL, 'BNIP3', 12528),
(12529, 'PF00681', NULL, 'Plectin repeat', 41, NULL, 'Plectin', 12529),
(12530, 'PF08818', NULL, 'Domain of unknown function (DU1801)', 85, NULL, 'DUF1801', 12530),
(12531, 'PF16533', NULL, 'STIM1 Orai1-activating region', 101, NULL, 'SOAR', 12531),
(12532, 'PF01671', NULL, 'African swine fever virus multigene family 360 protein', 215, NULL, 'ASFV_360', 12532),
(12533, 'PF07736', NULL, 'Chorismate mutase type I', 117, NULL, 'CM_1', 12533),
(12534, 'PF08763', NULL, 'Voltage gated calcium channel IQ domain', 78, NULL, 'Ca_chan_IQ', 12534),
(12535, 'PF10858', NULL, 'Protein of unknown function (DUF2659)', 224, NULL, 'DUF2659', 12535),
(12536, 'PF05189', NULL, 'RNA 3''-terminal phosphate cyclase (RTC), insert domain', 103, NULL, 'RTC_insert', 12536),
(12537, 'PF16897', NULL, 'C-terminal region of MMR_HSR1 domain', 106, NULL, 'MMR_HSR1_Xtn', 12537),
(12538, 'PF04687', NULL, 'Microvirus H protein (pilot protein)', 310, NULL, 'Microvir_H', 12538),
(12539, 'PF08852', NULL, 'Protein of unknown function (DUF1822)', 368, NULL, 'DUF1822', 12539),
(12540, 'PF12657', NULL, 'Transcription factor IIIC subunit delta N-term', 184, NULL, 'TFIIIC_delta', 12540),
(12541, 'PF00070', NULL, 'Pyridine nucleotide-disulphide oxidoreductase', 81, NULL, 'Pyr_redox', 12541),
(12542, 'PF14860', NULL, 'DrrA phosphatidylinositol 4-phosphate binding domain', 103, NULL, 'DrrA_P4M', 12542);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12543, 'PF18665', NULL, 'Tetracyclin repressor-like, C-terminal domain', 117, NULL, 'TetR_C_37', 12543),
(12544, 'PF18131', NULL, 'KN17 SH3-like C-terminal domain', 53, NULL, 'KN17_SH3', 12544),
(12545, 'PF09496', NULL, 'Cenp-O kinetochore centromere component', 204, NULL, 'CENP-O', 12545),
(12546, 'PF03803', NULL, 'Scramblase', 221, NULL, 'Scramblase', 12546),
(12547, 'PF08106', NULL, 'Formaecin family', 16, NULL, 'Antimicrobial11', 12547),
(12548, 'PF12921', NULL, 'Mitochondrial ATPase expression', 115, NULL, 'ATP13', 12548),
(12549, 'PF12730', NULL, 'ABC-2 family transporter protein', 179, NULL, 'ABC2_membrane_4', 12549),
(12550, 'PF11373', NULL, 'Protein of unknown function (DUF3175)', 86, NULL, 'DUF3175', 12550),
(12551, 'PF03457', NULL, 'Helicase associated domain', 63, NULL, 'HA', 12551),
(12552, 'PF07195', NULL, 'Flagellar hook-associated protein 2 C-terminus', 240, NULL, 'FliD_C', 12552),
(12553, 'PF17232', NULL, 'Elicitor peptide 1-7', 82, NULL, 'Pep1_7', 12553),
(12554, 'PF14291', NULL, 'Domain of unknown function (DUF4371)', 236, NULL, 'DUF4371', 12554),
(12555, 'PF04453', NULL, 'LPS transport system D', 387, NULL, 'LptD', 12555),
(12556, 'PF04692', NULL, 'Platelet-derived growth factor, N terminal region', 78, NULL, 'PDGF_N', 12556),
(12557, 'PF15549', NULL, 'PGC7/Stella/Dppa3 domain', 167, NULL, 'PGC7_Stella', 12557),
(12558, 'PF04960', NULL, 'Glutaminase', 286, NULL, 'Glutaminase', 12558),
(12559, 'PF08040', NULL, 'MNLL subunit', 58, NULL, 'NADH_oxidored', 12559),
(12560, 'PF08920', NULL, 'Splicing factor 3B subunit 1', 131, NULL, 'SF3b1', 12560),
(12561, 'PF15930', NULL, 'Domain of unknown function', 62, NULL, 'YdiH', 12561),
(12562, 'PF00416', NULL, 'Ribosomal protein S13/S18', 128, NULL, 'Ribosomal_S13', 12562),
(12563, 'PF18648', NULL, 'Tse2 ADP-ribosyltransferase toxins', 155, NULL, 'ADPRTs_Tse2', 12563),
(12564, 'PF09741', NULL, 'Uncharacterized conserved protein (DUF2045)', 233, NULL, 'DUF2045', 12564),
(12565, 'PF00428', NULL, '60s Acidic ribosomal protein', 88, NULL, 'Ribosomal_60s', 12565),
(12566, 'PF06331', NULL, 'Transcription factor TFIIH complex subunit Tfb5', 68, NULL, 'Tfb5', 12566),
(12567, 'PF13094', NULL, 'CENP-Q, a CENPA-CAD centromere complex subunit', 168, NULL, 'CENP-Q', 12567),
(12568, 'PF16302', NULL, 'Domain of unknown function (DUF4944)', 128, NULL, 'DUF4944', 12568),
(12569, 'PF19192', NULL, 'Response receiver domain', 181, NULL, 'Response_reg_2', 12569),
(12570, 'PF03590', NULL, 'Aspartate-ammonia ligase', 228, NULL, 'AsnA', 12570),
(12571, 'PF03747', NULL, 'ADP-ribosylglycohydrolase', 292, NULL, 'ADP_ribosyl_GH', 12571),
(12572, 'PF00646', NULL, 'F-box domain', 48, NULL, 'F-box', 12572),
(12573, 'PF08109', NULL, 'Lactocin 705 family', 31, NULL, 'Antimicrobial14', 12573),
(12574, 'PF06530', NULL, 'Phage antitermination protein Q', 118, NULL, 'Phage_antitermQ', 12574),
(12575, 'PF19199', NULL, 'Phage major coat protein, Gp8', 68, NULL, 'Phage_coatGP8', 12575),
(12576, 'PF06257', NULL, 'Biofilm formation stimulator VEG', 73, NULL, 'VEG', 12576),
(12577, 'PF12001', NULL, 'Domain of unknown function (DUF3496)', 109, NULL, 'DUF3496', 12577),
(12578, 'PF08311', NULL, 'Mad3/BUB1 homology region 1', 124, NULL, 'Mad3_BUB1_I', 12578),
(12579, 'PF06355', NULL, 'Aegerolysin', 131, NULL, 'Aegerolysin', 12579),
(12580, 'PF01867', NULL, 'CRISPR associated protein Cas1', 283, NULL, 'Cas_Cas1', 12580),
(12581, 'PF09268', NULL, 'Clathrin, heavy-chain linker', 24, NULL, 'Clathrin-link', 12581),
(12582, 'PF14865', NULL, 'Macin', 60, NULL, 'Macin', 12582),
(12583, 'PF16568', NULL, 'Tyrosine-rich domain of Sam68', 55, NULL, 'Sam68-YY', 12583),
(12584, 'PF04119', NULL, 'Heat shock protein 9/12', 59, NULL, 'HSP9_HSP12', 12584),
(12585, 'PF04424', NULL, 'MINDY deubiquitinase', 117, NULL, 'MINDY_DUB', 12585),
(12586, 'PF00194', NULL, 'Eukaryotic-type carbonic anhydrase', 254, NULL, 'Carb_anhydrase', 12586),
(12587, 'PF04727', NULL, 'ELMO/CED-12 family', 173, NULL, 'ELMO_CED12', 12587);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12588, 'PF16006', NULL, 'Nucleolar and spindle-associated protein', 293, NULL, 'NUSAP', 12588),
(12589, 'PF03859', NULL, 'CG-1 domain', 116, NULL, 'CG-1', 12589),
(12590, 'PF05086', NULL, 'Dictyostelium (Slime Mold) REP protein', 911, NULL, 'Dicty_REP', 12590),
(12591, 'PF04212', NULL, 'MIT (microtubule interacting and transport) domain', 65, NULL, 'MIT', 12591),
(12592, 'PF07933', NULL, 'Protein of unknown function (DUF1681)', 155, NULL, 'DUF1681', 12592),
(12593, 'PF06076', NULL, 'Orthopoxvirus F14 protein', 73, NULL, 'Orthopox_F14', 12593),
(12594, 'PF03821', NULL, 'Golgi 4-transmembrane spanning transporter', 231, NULL, 'Mtp', 12594),
(12595, 'PF00227', NULL, 'Proteasome subunit', 190, NULL, 'Proteasome', 12595),
(12596, 'PF01643', NULL, 'Acyl-ACP thioesterase', 248, NULL, 'Acyl-ACP_TE', 12596),
(12597, 'PF17829', NULL, 'Gylcosyl hydrolase family 115 C-terminal domain', 172, NULL, 'GH115_C', 12597),
(12598, 'PF09185', NULL, 'Domain of unknown function (DUF1948)', 140, NULL, 'DUF1948', 12598),
(12599, 'PF11835', NULL, 'RRM-like domain', 89, NULL, 'RRM_8', 12599),
(12600, 'PF13450', NULL, 'NAD(P)-binding Rossmann-like domain', 68, NULL, 'NAD_binding_8', 12600),
(12601, 'PF07509', NULL, 'Protein of unknown function (DUF1523)', 176, NULL, 'DUF1523', 12601),
(12602, 'PF03900', NULL, 'Porphobilinogen deaminase, C-terminal domain', 75, NULL, 'Porphobil_deamC', 12602),
(12603, 'PF05598', NULL, 'Transposase domain (DUF772)', 73, NULL, 'DUF772', 12603),
(12604, 'PF12769', NULL, '4TM region of pyridine nucleotide transhydrogenase, mitoch', 86, NULL, 'PNTB_4TM', 12604),
(12605, 'PF18118', NULL, 'Polycomb repressive complex 2 tri-helical domain', 101, NULL, 'PRC2_HTH_1', 12605),
(12606, 'PF08221', NULL, 'RNA polymerase III subunit RPC82 helix-turn-helix domain', 62, NULL, 'HTH_9', 12606),
(12607, 'PF00830', NULL, 'Ribosomal L28 family', 60, NULL, 'Ribosomal_L28', 12607),
(12608, 'PF04826', NULL, 'Armadillo-like', 254, NULL, 'Arm_2', 12608),
(12609, 'PF17148', NULL, 'Domain of unknown function (DUF5117)', 189, NULL, 'DUF5117', 12609),
(12610, 'PF17541', NULL, 'Type VI secretion system, TssC, VipB', 430, NULL, 'TssC', 12610),
(12611, 'PF18288', NULL, 'Fumarylacetoacetase N-terminal domain 2', 78, NULL, 'FAA_hydro_N_2', 12611),
(12612, 'PF04786', NULL, 'ssDNA binding protein', 248, NULL, 'Baculo_DNA_bind', 12612),
(12613, 'PF06169', NULL, 'Protein of unknown function (DUF982)', 73, NULL, 'DUF982', 12613),
(12614, 'PF04082', NULL, 'Fungal specific transcription factor domain', 267, NULL, 'Fungal_trans', 12614),
(12615, 'PF03096', NULL, 'Ndr family', 283, NULL, 'Ndr', 12615),
(12616, 'PF17058', NULL, 'Mitochondrial biogenesis regulation protein 1', 212, NULL, 'MBR1', 12616),
(12617, 'PF13416', NULL, 'Bacterial extracellular solute-binding protein', 284, NULL, 'SBP_bac_8', 12617),
(12618, 'PF09393', NULL, 'Phage tail tube protein', 139, NULL, 'DUF2001', 12618),
(12619, 'PF09953', NULL, 'Uncharacterized protein conserved in bacteria (DUF2187)', 60, NULL, 'DUF2187', 12619),
(12620, 'PF12116', NULL, 'Stage III sporulation protein D', 82, NULL, 'SpoIIID', 12620),
(12621, 'PF12481', NULL, 'Aluminium induced protein', 228, NULL, 'DUF3700', 12621),
(12622, 'PF02542', NULL, 'YgbB family', 155, NULL, 'YgbB', 12622),
(12623, 'PF17530', NULL, 'Non-structural protein NS3', 220, NULL, 'NS3', 12623),
(12624, 'PF15588', NULL, 'Immunity protein 10', 106, NULL, 'Imm10', 12624),
(12625, 'PF03574', NULL, 'Peptidase family S48', 149, NULL, 'Peptidase_S48', 12625),
(12626, 'PF08588', NULL, 'Protein of unknown function (DUF1769)', 55, NULL, 'DUF1769', 12626),
(12627, 'PF15270', NULL, 'Metallo-carboxypeptidase inhibitor', 65, NULL, 'ACI44', 12627),
(12628, 'PF17602', NULL, 'Family of unknown function (DUF5498)', 96, NULL, 'DUF5498', 12628),
(12629, 'PF05177', NULL, 'RCSD region', 91, NULL, 'RCSD', 12629),
(12630, 'PF17792', NULL, 'ThiD2 family', 124, NULL, 'ThiD2', 12630),
(12631, 'PF14154', NULL, 'Domain of unknown function (DUF4306)', 88, NULL, 'DUF4306', 12631);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12632, 'PF07773', NULL, 'Protein of unknown function (DUF1619)', 317, NULL, 'DUF1619', 12632),
(12633, 'PF15620', NULL, 'Centromere assembly component CENP-C middle DNMT3B-binding region', 260, NULL, 'CENP-C_mid', 12633),
(12634, 'PF05973', NULL, 'Phage derived protein Gp49-like (DUF891)', 90, NULL, 'Gp49', 12634),
(12635, 'PF11089', NULL, 'Exopolysaccharide production repressor', 38, NULL, 'SyrA', 12635),
(12636, 'PF11645', NULL, 'PD-(D/E)XK endonuclease', 137, NULL, 'PDDEXK_5', 12636),
(12637, 'PF02632', NULL, 'BioY family', 137, NULL, 'BioY', 12637),
(12638, 'PF00798', NULL, 'Arenavirus glycoprotein', 483, NULL, 'Arena_glycoprot', 12638),
(12639, 'PF09662', NULL, 'Phenylphosphate carboxylase gamma subunit (Phenyl_P_gamma)', 83, NULL, 'Phenyl_P_gamma', 12639),
(12640, 'PF18949', NULL, 'Family of unknown function (DUF5693)', 610, NULL, 'DUF5693', 12640),
(12641, 'PF18625', NULL, 'ESX-1 secreted protein B PE domain', 78, NULL, 'EspB_PE', 12641),
(12642, 'PF13837', NULL, 'Myb/SANT-like DNA-binding domain', 90, NULL, 'Myb_DNA-bind_4', 12642),
(12643, 'PF11219', NULL, 'Protein of unknown function (DUF3014)', 156, NULL, 'DUF3014', 12643),
(12644, 'PF04103', NULL, 'CD20-like family', 156, NULL, 'CD20', 12644),
(12645, 'PF00713', NULL, 'Hirudin', 64, NULL, 'Hirudin', 12645),
(12646, 'PF02902', NULL, 'Ulp1 protease family, C-terminal catalytic domain', 216, NULL, 'Peptidase_C48', 12646),
(12647, 'PF08872', NULL, 'KGK domain', 116, NULL, 'KGK', 12647),
(12648, 'PF04748', NULL, 'Divergent polysaccharide deacetylase', 213, NULL, 'Polysacc_deac_2', 12648),
(12649, 'PF18850', NULL, 'Large polyvalent protein associated domain 30', 121, NULL, 'LPD30', 12649),
(12650, 'PF06507', NULL, 'Auxin response factor', 83, NULL, 'Auxin_resp', 12650),
(12651, 'PF12261', NULL, 'Thermostable hemolysin', 174, NULL, 'T_hemolysin', 12651),
(12652, 'PF01020', NULL, 'Ribosomal L40e family', 50, NULL, 'Ribosomal_L40e', 12652),
(12653, 'PF18972', NULL, 'Cns1/TTC4 Wheel domain', 115, NULL, 'Wheel', 12653),
(12654, 'PF11831', NULL, 'pre-mRNA splicing factor component', 235, NULL, 'Myb_Cef', 12654),
(12655, 'PF15939', NULL, 'Putative antitoxin of bacterial toxin-antitoxin system', 76, NULL, 'YmcE_antitoxin', 12655),
(12656, 'PF06766', NULL, 'Fungal hydrophobin', 65, NULL, 'Hydrophobin_2', 12656),
(12657, 'PF04608', NULL, 'Phosphatidylglycerophosphatase A', 143, NULL, 'PgpA', 12657),
(12658, 'PF18228', NULL, 'CdiI N-terminal domain', 108, NULL, 'CdiI_N', 12658),
(12659, 'PF05872', NULL, 'Bacterial protein of unknown function (DUF853)', 504, NULL, 'DUF853', 12659),
(12660, 'PF16818', NULL, 'Protein SLM4', 161, NULL, 'SLM4', 12660),
(12661, 'PF08175', NULL, 'Small acid-soluble spore protein O family', 50, NULL, 'SspO', 12661),
(12662, 'PF06377', NULL, 'Adipokinetic hormone', 51, NULL, 'Adipokin_hormo', 12662),
(12663, 'PF06185', NULL, 'YecM protein', 180, NULL, 'YecM', 12663),
(12664, 'PF03376', NULL, 'Adenovirus E3B protein', 67, NULL, 'Adeno_E3B', 12664),
(12665, 'PF17105', NULL, 'C-terminal domain of bromodomain protein 4', 44, NULL, 'BRD4_CDT', 12665),
(12666, 'PF05560', NULL, 'Bacillus thuringiensis P21 molecular chaperone protein', 182, NULL, 'Bt_P21', 12666),
(12667, 'PF10656', NULL, 'Hypothetical protein of unknown function (DUF2483)', 72, NULL, 'DUF2483', 12667),
(12668, 'PF02822', NULL, 'Antistasin family', 25, NULL, 'Antistasin', 12668),
(12669, 'PF08733', NULL, 'PalH/RIM21', 330, NULL, 'PalH', 12669),
(12670, 'PF15677', NULL, 'Cell cycle exit and neuronal differentiation protein 1', 147, NULL, 'CEND1', 12670),
(12671, 'PF11847', NULL, 'Alpha-(1->3)-arabinofuranosyltransferase', 667, NULL, 'DUF3367', 12671),
(12672, 'PF17672', NULL, 'Family of unknown function (DUF5589)', 130, NULL, 'DUF5589', 12672),
(12673, 'PF09447', NULL, 'Cnl2/NKP2 family protein', 65, NULL, 'Cnl2_NKP2', 12673),
(12674, 'PF04143', NULL, 'Sulphur transport', 310, NULL, 'Sulf_transp', 12674),
(12675, 'PF14300', NULL, 'Domain of unknown function (DUF4375)', 120, NULL, 'DUF4375', 12675);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12676, 'PF00005', NULL, 'ABC transporter', 137, NULL, 'ABC_tran', 12676),
(12677, 'PF18794', NULL, 'DNA mismatch repair protein HSM3, C terminal domain', 177, NULL, 'HSM3_C', 12677),
(12678, 'PF07599', NULL, 'Protein of unknown function (DUF1563)', 43, NULL, 'DUF1563', 12678),
(12679, 'PF08848', NULL, 'Domain of unknown function (DUF1818)', 113, NULL, 'DUF1818', 12679),
(12680, 'PF07147', NULL, 'Mitochondrial 28S ribosomal protein S30 (PDCD9)', 447, NULL, 'PDCD9', 12680),
(12681, 'PF08819', NULL, 'Domain of unknown function (DUF1802)', 175, NULL, 'DUF1802', 12681),
(12682, 'PF17163', NULL, 'Domain of unknown function (DUF5125)', 188, NULL, 'DUF5125', 12682),
(12683, 'PF18761', NULL, 'Heliorhodopsin', 242, NULL, 'Heliorhodopsin', 12683),
(12684, 'PF18779', NULL, 'Capping Ribonuclease inhibitor Leucine Rich Repeat', 30, NULL, 'LRR_RI_capping', 12684),
(12685, 'PF11104', NULL, 'Type IV pilus assembly protein PilM;', 340, NULL, 'PilM_2', 12685),
(12686, 'PF17933', NULL, 'Tetracyclin repressor-like, C-terminal domain', 106, NULL, 'TetR_C_25', 12686),
(12687, 'PF12833', NULL, 'Helix-turn-helix domain', 81, NULL, 'HTH_18', 12687),
(12688, 'PF02826', NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD binding domain', 178, NULL, '2-Hacid_dh_C', 12688),
(12689, 'PF14867', NULL, 'Lantibiotic alpha', 29, NULL, 'Lantibiotic_a', 12689),
(12690, 'PF11044', NULL, 'Plectrovirus spv1-c74 ORF 12 transmembrane protein', 49, NULL, 'TMEMspv1-c74-12', 12690),
(12691, 'PF16635', NULL, 'Unstructured region on APC between SAMP and APC_crr', 94, NULL, 'APC_u14', 12691),
(12692, 'PF11856', NULL, 'Protein of unknown function (DUF3376)', 499, NULL, 'DUF3376', 12692),
(12693, 'PF10176', NULL, 'Protein of unknown function (DUF2370)', 226, NULL, 'DUF2370', 12693),
(12694, 'PF11991', NULL, 'Tryptophan dimethylallyltransferase', 363, NULL, 'Trp_DMAT', 12694),
(12695, 'PF19024', NULL, 'Family of unknown function (DUF5750)', 91, NULL, 'DUF5750', 12695),
(12696, 'PF12591', NULL, 'Protein of unknown function (DUF3762)', 80, NULL, 'DUF3762', 12696),
(12697, 'PF10894', NULL, 'Protein of unknown function (DUF2689)', 57, NULL, 'DUF2689', 12697),
(12698, 'PF01915', NULL, 'Glycosyl hydrolase family 3 C-terminal domain', 204, NULL, 'Glyco_hydro_3_C', 12698),
(12699, 'PF14669', NULL, 'Putative aspartate racemase', 176, NULL, 'Asp_Glu_race_2', 12699),
(12700, 'PF01342', NULL, 'SAND domain', 77, NULL, 'SAND', 12700),
(12701, 'PF01047', NULL, 'MarR family', 59, NULL, 'MarR', 12701),
(12702, 'PF05928', NULL, 'Zea mays MURB-like protein (MuDR)', 207, NULL, 'Zea_mays_MuDR', 12702),
(12703, 'PF09651', NULL, 'CRISPR-associated protein (Cas_APE2256)', 136, NULL, 'Cas_APE2256', 12703),
(12704, 'PF17514', NULL, 'Family of unknown function (DUF5442)', 107, NULL, 'DUF5442', 12704),
(12705, 'PF13808', NULL, 'DDE_Tnp_1-associated', 88, NULL, 'DDE_Tnp_1_assoc', 12705),
(12706, 'PF09150', NULL, 'Orange carotenoid protein, N-terminal', 151, NULL, 'Carot_N', 12706),
(12707, 'PF09158', NULL, 'Bacteriophage T4 MotA, C-terminal', 103, NULL, 'MotCF', 12707),
(12708, 'PF13847', NULL, 'Methyltransferase domain', 152, NULL, 'Methyltransf_31', 12708),
(12709, 'PF02333', NULL, 'Phytase', 375, NULL, 'Phytase', 12709),
(12710, 'PF06676', NULL, 'Protein of unknown function (DUF1178)', 151, NULL, 'DUF1178', 12710),
(12711, 'PF07336', NULL, 'Putative stress-induced transcription regulator', 127, NULL, 'ABATE', 12711),
(12712, 'PF16831', NULL, 'CS6 fimbrial subunits A and B, Coli surface antigen 6', 129, NULL, 'CssAB', 12712),
(12713, 'PF07250', NULL, 'Glyoxal oxidase N-terminus', 243, NULL, 'Glyoxal_oxid_N', 12713),
(12714, 'PF10031', NULL, 'Small integral membrane protein (DUF2273)', 48, NULL, 'DUF2273', 12714),
(12715, 'PF11862', NULL, 'Domain of unknown function (DUF3382)', 97, NULL, 'DUF3382', 12715),
(12716, 'PF01003', NULL, 'Flavivirus capsid protein C', 117, NULL, 'Flavi_capsid', 12716),
(12717, 'PF14542', NULL, 'GCN5-related N-acetyl-transferase', 79, NULL, 'Acetyltransf_CG', 12717);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12718, 'PF15209', NULL, 'Interleukin 31', 132, NULL, 'IL31', 12718),
(12719, 'PF13116', NULL, 'Protein of unknown function', 289, NULL, 'DUF3971', 12719),
(12720, 'PF03813', NULL, 'Nrap protein domain 1', 151, NULL, 'Nrap', 12720),
(12721, 'PF05938', NULL, 'Plant self-incompatibility protein S1', 104, NULL, 'Self-incomp_S1', 12721),
(12722, 'PF18976', NULL, 'Family of unknown function (DUF5712)', 296, NULL, 'DUF5712', 12722),
(12723, 'PF16650', NULL, 'Unstructured region on SPEG complex protein', 57, NULL, 'SPEG_u2', 12723),
(12724, 'PF17304', NULL, 'Family of unknown function (DUF5353)', 68, NULL, 'DUF5353', 12724),
(12725, 'PF13949', NULL, 'ALIX V-shaped domain binding to HIV', 295, NULL, 'ALIX_LYPXL_bnd', 12725),
(12726, 'PF05902', NULL, '4.1 protein C-terminal domain (CTD)', 107, NULL, '4_1_CTD', 12726),
(12727, 'PF06178', NULL, 'Oligogalacturonate-specific porin protein (KdgM)', 222, NULL, 'KdgM', 12727),
(12728, 'PF02504', NULL, 'Fatty acid synthesis protein', 324, NULL, 'FA_synthesis', 12728),
(12729, 'PF04839', NULL, 'Plastid and cyanobacterial ribosomal protein (PSRP-3 / Ycf65)', 48, NULL, 'PSRP-3_Ycf65', 12729),
(12730, 'PF03538', NULL, 'Salmonella virulence plasmid 28.1kDa A protein', 322, NULL, 'VRP1', 12730),
(12731, 'PF06889', NULL, 'Protein of unknown function (DUF1266)', 185, NULL, 'DUF1266', 12731),
(12732, 'PF08728', NULL, 'CRT10', 712, NULL, 'CRT10', 12732),
(12733, 'PF10369', NULL, 'Small subunit of acetolactate synthase', 74, NULL, 'ALS_ss_C', 12733),
(12734, 'PF09881', NULL, 'Predicted membrane protein (DUF2108)', 70, NULL, 'DUF2108', 12734),
(12735, 'PF16118', NULL, 'Domain of unknown function (DUF4834)', 99, NULL, 'DUF4834', 12735),
(12736, 'PF02690', NULL, 'Na+/Pi-cotransporter', 137, NULL, 'Na_Pi_cotrans', 12736),
(12737, 'PF13661', NULL, '2OG-Fe(II) oxygenase superfamily', 93, NULL, '2OG-FeII_Oxy_4', 12737),
(12738, 'PF13031', NULL, 'Protein of unknown function (DUF3892)', 76, NULL, 'DUF3892', 12738),
(12739, 'PF09045', NULL, 'L27_2', 58, NULL, 'L27_2', 12739),
(12740, 'PF02202', NULL, 'Tachykinin family', 11, NULL, 'Tachykinin', 12740),
(12741, 'PF05738', NULL, 'Cna protein B-type domain', 90, NULL, 'Cna_B', 12741),
(12742, 'PF03775', NULL, 'Septum formation inhibitor MinC, C-terminal domain', 102, NULL, 'MinC_C', 12742),
(12743, 'PF14823', NULL, 'Sirohaem biosynthesis protein C-terminal', 68, NULL, 'Sirohm_synth_C', 12743),
(12744, 'PF08755', NULL, 'Hemimethylated DNA-binding protein YccV like', 101, NULL, 'YccV-like', 12744),
(12745, 'PF12307', NULL, 'Protein of unknown function (DUF3631)', 185, NULL, 'DUF3631', 12745),
(12746, 'PF12074', NULL, 'Generalcontrol nonderepressible 1 (Gcn1) N-terminal', 358, NULL, 'Gcn1_N', 12746),
(12747, 'PF03718', NULL, 'Glycosyl hydrolase family 49', 118, NULL, 'Glyco_hydro_49', 12747),
(12748, 'PF02252', NULL, 'Proteasome activator pa28 beta subunit', 145, NULL, 'PA28_beta', 12748),
(12749, 'PF14585', NULL, 'CagY type 1 repeat', 65, NULL, 'CagY_I', 12749),
(12750, 'PF12914', NULL, 'SH3 domain of SH3b2 type', 47, NULL, 'SH3_7', 12750),
(12751, 'PF15653', NULL, 'URI fold toxin 2', 86, NULL, 'Tox-URI2', 12751),
(12752, 'PF03814', NULL, 'Potassium-transporting ATPase A subunit', 546, NULL, 'KdpA', 12752),
(12753, 'PF12750', NULL, 'Maff2 family', 70, NULL, 'Maff2', 12753),
(12754, 'PF08370', NULL, 'Plant PDR ABC transporter associated', 65, NULL, 'PDR_assoc', 12754),
(12755, 'PF11932', NULL, 'Protein of unknown function (DUF3450)', 241, NULL, 'DUF3450', 12755),
(12756, 'PF03136', NULL, 'Pup-ligase protein', 440, NULL, 'Pup_ligase', 12756),
(12757, 'PF13512', NULL, 'Tetratricopeptide repeat', 145, NULL, 'TPR_18', 12757),
(12758, 'PF04068', NULL, 'Possible Fer4-like domain in RNase L inhibitor, RLI', 35, NULL, 'RLI', 12758),
(12759, 'PF15924', NULL, 'ALG11 mannosyltransferase N-terminus', 209, NULL, 'ALG11_N', 12759),
(12760, 'PF17512', NULL, 'Metapneumovirus Small hydrophobic protein', 174, NULL, 'Sh_2', 12760),
(12761, 'PF13352', NULL, 'Protein of unknown function (DUF4100)', 216, NULL, 'DUF4100', 12761);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12762, 'PF06188', NULL, 'HrpE/YscL/FliH and V-type ATPase subunit E', 191, NULL, 'HrpE', 12762),
(12763, 'PF01201', NULL, 'Ribosomal protein S8e', 137, NULL, 'Ribosomal_S8e', 12763),
(12764, 'PF17237', NULL, 'Family of unknown function (DUF5310)', 44, NULL, 'DUF5310', 12764),
(12765, 'PF04776', NULL, 'Protein MS5', 120, NULL, 'protein_MS5', 12765),
(12766, 'PF12630', NULL, 'Poxvirus poly(A) polymerase N-terminal domain', 108, NULL, 'Pox_polyA_pol_N', 12766),
(12767, 'PF04570', NULL, 'zinc-finger of the FCS-type, C2-C2', 54, NULL, 'zf-FLZ', 12767),
(12768, 'PF10211', NULL, 'Axonemal dynein light chain', 187, NULL, 'Ax_dynein_light', 12768),
(12769, 'PF03115', NULL, 'Astrovirus capsid protein precursor', 400, NULL, 'Astro_capsid_N', 12769),
(12770, 'PF11401', NULL, 'Tetrabrachion', 49, NULL, 'Tetrabrachion', 12770),
(12771, 'PF14859', NULL, 'Colicin M', 270, NULL, 'Colicin_M', 12771),
(12772, 'PF09207', NULL, 'Yeast killer toxin', 87, NULL, 'Yeast-kill-tox', 12772),
(12773, 'PF18277', NULL, 'AbrB C-terminal domain', 37, NULL, 'AbrB_C', 12773),
(12774, 'PF10834', NULL, 'Protein of unknown function (DUF2560)', 72, NULL, 'DUF2560', 12774),
(12775, 'PF06455', NULL, 'NADH dehydrogenase subunit 5 C-terminus', 181, NULL, 'NADH5_C', 12775),
(12776, 'PF09813', NULL, 'Coiled-coil domain-containing protein 56', 101, NULL, 'Coiled-coil_56', 12776),
(12777, 'PF02783', NULL, 'Methyl-coenzyme M reductase beta subunit, N-terminal domain', 182, NULL, 'MCR_beta_N', 12777),
(12778, 'PF16783', NULL, 'FANCM to MHF binding domain', 116, NULL, 'FANCM-MHF_bd', 12778),
(12779, 'PF06841', NULL, 'T4-like virus tail tube protein gp19', 134, NULL, 'Phage_T4_gp19', 12779),
(12780, 'PF10543', NULL, 'ORF6N domain', 83, NULL, 'ORF6N', 12780),
(12781, 'PF02223', NULL, 'Thymidylate kinase', 185, NULL, 'Thymidylate_kin', 12781),
(12782, 'PF00691', NULL, 'OmpA family', 96, NULL, 'OmpA', 12782),
(12783, 'PF14886', NULL, 'FAM183A and FAM183B related', 108, NULL, 'FAM183', 12783),
(12784, 'PF03339', NULL, 'Poxvirus L3/FP4 protein', 316, NULL, 'Pox_L3_FP4', 12784),
(12785, 'PF11887', NULL, 'Cholesterol uptake porter CUP1 of Mce4, putative', 250, NULL, 'Mce4_CUP1', 12785),
(12786, 'PF08911', NULL, 'NUP50 (Nucleoporin 50 kDa)', 73, NULL, 'NUP50', 12786),
(12787, 'PF12576', NULL, 'Protein of unknown function (DUF3754)', 140, NULL, 'DUF3754', 12787),
(12788, 'PF06488', NULL, 'Phage tail tube protein', 301, NULL, 'L_lac_phage_MSP', 12788),
(12789, 'PF14505', NULL, 'Domain of unknown function (DUF4438)', 260, NULL, 'DUF4438', 12789),
(12790, 'PF10752', NULL, 'Protein of unknown function (DUF2533)', 83, NULL, 'DUF2533', 12790),
(12791, 'PF08720', NULL, 'Influenza C hemagglutinin stalk', 175, NULL, 'Hema_stalk', 12791),
(12792, 'PF14281', NULL, 'PD-(D/E)XK nuclease superfamily', 180, NULL, 'PDDEXK_4', 12792),
(12793, 'PF15980', NULL, 'Putative Competence protein ComGF', 99, NULL, 'ComGF', 12793),
(12794, 'PF12427', NULL, 'Branched-chain amino acid aminotransferase', 22, NULL, 'DUF3665', 12794),
(12795, 'PF10422', NULL, 'Monopolin complex subunit LRS4', 249, NULL, 'LRS4', 12795),
(12796, 'PF17696', NULL, 'Family of unknown function (DUF5542)', 68, NULL, 'DUF5542', 12796),
(12797, 'PF09121', NULL, 'Tower', 42, NULL, 'Tower', 12797),
(12798, 'PF14012', NULL, 'Protein of unknown function (DUF4229)', 68, NULL, 'DUF4229', 12798),
(12799, 'PF06086', NULL, 'Orthopoxvirus A26L/A30L protein', 220, NULL, 'Pox_A30L_A26L', 12799),
(12800, 'PF05393', NULL, 'Human adenovirus early E3A glycoprotein', 100, NULL, 'Hum_adeno_E3A', 12800),
(12801, 'PF04518', NULL, 'Effector from type III secretion system', 371, NULL, 'Effector_1', 12801),
(12802, 'PF09648', NULL, 'YycH protein', 231, NULL, 'YycI', 12802),
(12803, 'PF18341', NULL, 'PSA endolysin C-terminal cell wall binding domain', 61, NULL, 'PSA_CBD', 12803),
(12804, 'PF09134', NULL, 'Invasin, domain 3', 97, NULL, 'Invasin_D3', 12804),
(12805, 'PF08673', NULL, 'Phosphoserine phosphatase RsbU, N-terminal domain', 75, NULL, 'RsbU_N', 12805);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12806, 'PF16110', NULL, 'Domain of unknown function (DUF4828)', 79, NULL, 'DUF4828', 12806),
(12807, 'PF08735', NULL, 'Putative pyruvate format-lyase activating enzyme (DUF1786)', 252, NULL, 'DUF1786', 12807),
(12808, 'PF10343', NULL, 'Potential Queuosine, Q, salvage protein family', 287, NULL, 'Q_salvage', 12808),
(12809, 'PF17027', NULL, 'Histone-fold protein', 119, NULL, 'Bromo_TP_like', 12809),
(12810, 'PF09449', NULL, 'Domain of unknown function (DUF2020)', 144, NULL, 'DUF2020', 12810),
(12811, 'PF05953', NULL, 'Allatostatin', 11, NULL, 'Allatostatin', 12811),
(12812, 'PF00779', NULL, 'BTK motif', 30, NULL, 'BTK', 12812),
(12813, 'PF12400', NULL, 'STIMATE family', 124, NULL, 'STIMATE', 12813),
(12814, 'PF14989', NULL, 'Coiled-coil domain containing 32', 152, NULL, 'CCDC32', 12814),
(12815, 'PF01303', NULL, 'Egg lysin (Sperm-lysin)', 121, NULL, 'Egg_lysin', 12815),
(12816, 'PF08592', NULL, 'Domain of unknown function (DUF1772)', 137, NULL, 'DUF1772', 12816),
(12817, 'PF08792', NULL, 'A2L zinc ribbon domain', 33, NULL, 'A2L_zn_ribbon', 12817),
(12818, 'PF10761', NULL, 'Protein of unknown function (DUF2590)', 100, NULL, 'DUF2590', 12818),
(12819, 'PF00989', NULL, 'PAS fold', 113, NULL, 'PAS', 12819),
(12820, 'PF15297', NULL, 'Cytoskeleton-associated protein 2 C-terminus', 348, NULL, 'CKAP2_C', 12820),
(12821, 'PF05197', NULL, 'TRIC channel', 193, NULL, 'TRIC', 12821),
(12822, 'PF12470', NULL, 'Suppressor of Fused Gli/Ci N terminal binding domain', 215, NULL, 'SUFU_C', 12822),
(12823, 'PF02920', NULL, 'DNA binding domain of tn916 integrase', 58, NULL, 'Integrase_DNA', 12823),
(12824, 'PF04170', NULL, 'NlpE N-terminal domain', 86, NULL, 'NlpE', 12824),
(12825, 'PF15589', NULL, 'Immunity protein 21', 156, NULL, 'Imm21', 12825),
(12826, 'PF07801', NULL, 'Protein of unknown function (DUF1647)', 141, NULL, 'DUF1647', 12826),
(12827, 'PF04601', NULL, 'Domain of unknown function (DUF569)', 142, NULL, 'DUF569', 12827),
(12828, 'PF18172', NULL, 'LepB GAP domain N-terminal subdomain', 189, NULL, 'LepB_GAP_N', 12828),
(12829, 'PF02031', NULL, 'Streptomyces extracellular neutral proteinase (M7) family', 133, NULL, 'Peptidase_M7', 12829),
(12830, 'PF04231', NULL, 'Endonuclease I', 230, NULL, 'Endonuclease_1', 12830),
(12831, 'PF00589', NULL, 'Phage integrase family', 172, NULL, 'Phage_integrase', 12831),
(12832, 'PF15846', NULL, 'Domain of unknown function (DUF4720)', 96, NULL, 'DUF4720', 12832),
(12833, 'PF19149', NULL, 'Family of unknown function (DUF5831)', 72, NULL, 'DUF5831', 12833),
(12834, 'PF13361', NULL, 'UvrD-like helicase C-terminal domain', 352, NULL, 'UvrD_C', 12834),
(12835, 'PF16003', NULL, 'Domain of unknown function (DUF4776)', 503, NULL, 'DUF4776', 12835),
(12836, 'PF13493', NULL, 'Domain of unknown function (DUF4118)', 107, NULL, 'DUF4118', 12836),
(12837, 'PF12347', NULL, 'Holliday junction regulator protein family C-terminal repeat', 63, NULL, 'HJURP_C', 12837),
(12838, 'PF07782', NULL, 'DC-STAMP-like protein', 191, NULL, 'DC_STAMP', 12838),
(12839, 'PF18743', NULL, 'REase_AHJR-like', 124, NULL, 'AHJR-like', 12839),
(12840, 'PF04783', NULL, 'Protein of unknown function (DUF630)', 59, NULL, 'DUF630', 12840),
(12841, 'PF11949', NULL, 'Protein of unknown function (DUF3466)', 603, NULL, 'DUF3466', 12841),
(12842, 'PF16523', NULL, 'betaPIX coiled coil', 89, NULL, 'betaPIX_CC', 12842),
(12843, 'PF14842', NULL, 'FliG N-terminal domain', 104, NULL, 'FliG_N', 12843),
(12844, 'PF17438', NULL, 'Family of unknown function (DUF5417)', 91, NULL, 'DUF5417', 12844),
(12845, 'PF11465', NULL, 'Natural killer cell receptor 2B4', 108, NULL, 'Receptor_2B4', 12845),
(12846, 'PF16509', NULL, 'TrfB plasmid transcriptional repressor', 85, NULL, 'KORA', 12846),
(12847, 'PF08952', NULL, 'Domain of unknown function (DUF1866)', 146, NULL, 'DUF1866', 12847),
(12848, 'PF17066', NULL, 'RBPJ-interacting and tubulin associated protein', 268, NULL, 'RITA', 12848),
(12849, 'PF03261', NULL, 'Cyclin-dependent kinase 5 activator protein', 363, NULL, 'CDK5_activator', 12849);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12850, 'PF12416', NULL, 'Cep120 protein', 226, NULL, 'DUF3668', 12850),
(12851, 'PF16192', NULL, 'C-terminal four TMM region of protein-O-mannosyltransferase', 200, NULL, 'PMT_4TMC', 12851),
(12852, 'PF08782', NULL, 'c-SKI Smad4 binding domain', 94, NULL, 'c-SKI_SMAD_bind', 12852),
(12853, 'PF16566', NULL, 'Cell-cycle alteration and expression-elevated protein in tumour', 147, NULL, 'CREPT', 12853),
(12854, 'PF06510', NULL, 'Protein of unknown function (DUF1102)', 141, NULL, 'DUF1102', 12854),
(12855, 'PF14642', NULL, 'FAM47 family', 257, NULL, 'FAM47', 12855),
(12856, 'PF02165', NULL, 'Wilm''s tumour protein', 290, NULL, 'WT1', 12856),
(12857, 'PF04602', NULL, 'Mycobacterial cell wall arabinan synthesis protein', 459, NULL, 'Arabinose_trans', 12857),
(12858, 'PF10970', NULL, 'Spore germination protein GerPE', 123, NULL, 'GerPE', 12858),
(12859, 'PF14740', NULL, 'Domain of unknown function (DUF4471)', 306, NULL, 'DUF4471', 12859),
(12860, 'PF17629', NULL, 'Family of unknown function (DUF5510)', 62, NULL, 'DUF5510', 12860),
(12861, 'PF15351', NULL, 'Junctional protein associated with coronary artery disease', 1358, NULL, 'JCAD', 12861),
(12862, 'PF11442', NULL, 'Protein of unknown function (DUF2826)', 158, NULL, 'DUF2826', 12862),
(12863, 'PF15362', NULL, 'Enamelin', 907, NULL, 'Enamelin', 12863),
(12864, 'PF13974', NULL, 'YebO-like protein', 80, NULL, 'YebO', 12864),
(12865, 'PF08893', NULL, 'Domain of unknown function (DUF1839)', 313, NULL, 'DUF1839', 12865),
(12866, 'PF13952', NULL, 'Domain of unknown function (DUF4216)', 72, NULL, 'DUF4216', 12866),
(12867, 'PF03242', NULL, 'Late embryogenesis abundant protein', 93, NULL, 'LEA_3', 12867),
(12868, 'PF07056', NULL, 'Protein of unknown function (DUF1335)', 131, NULL, 'DUF1335', 12868),
(12869, 'PF06970', NULL, 'Replication initiator protein A (RepA) N-terminus', 76, NULL, 'RepA_N', 12869),
(12870, 'PF05533', NULL, 'Beet yellows virus-type papain-like endopeptidase C42', 88, NULL, 'Peptidase_C42', 12870),
(12871, 'PF08623', NULL, 'TATA-binding protein interacting (TIP20)', 168, NULL, 'TIP120', 12871),
(12872, 'PF04114', NULL, 'Gaa1-like, GPI transamidase component', 497, NULL, 'Gaa1', 12872),
(12873, 'PF01442', NULL, 'Apolipoprotein A1/A4/E domain', 190, NULL, 'Apolipoprotein', 12873),
(12874, 'PF16938', NULL, 'Putative phage holin Dp-1', 63, NULL, 'Phage_holin_Dp1', 12874),
(12875, 'PF02318', NULL, 'FYVE-type zinc finger', 118, NULL, 'FYVE_2', 12875),
(12876, 'PF00454', NULL, 'Phosphatidylinositol 3- and 4-kinase', 250, NULL, 'PI3_PI4_kinase', 12876),
(12877, 'PF08741', NULL, 'YwhD family', 162, NULL, 'YwhD', 12877),
(12878, 'PF04456', NULL, 'Protein of unknown function (DUF503)', 88, NULL, 'DUF503', 12878),
(12879, 'PF06903', NULL, 'VirK protein', 98, NULL, 'VirK', 12879),
(12880, 'PF14834', NULL, 'Glutathione S-transferase, C-terminal domain', 117, NULL, 'GST_C_4', 12880),
(12881, 'PF15595', NULL, 'Immunity protein 51', 105, NULL, 'Imm51', 12881),
(12882, 'PF00143', NULL, 'Interferon alpha/beta domain', 160, NULL, 'Interferon', 12882),
(12883, 'PF15391', NULL, 'Domain of unknown function (DUF4614)', 184, NULL, 'DUF4614', 12883),
(12884, 'PF16238', NULL, 'Domain of unknown function (DUF4897)', 157, NULL, 'DUF4897', 12884),
(12885, 'PF01370', NULL, 'NAD dependent epimerase/dehydratase family', 241, NULL, 'Epimerase', 12885),
(12886, 'PF17327', NULL, 'Acyl homoserine lactone synthase', 376, NULL, 'AHL_synthase', 12886),
(12887, 'PF00608', NULL, 'Adenoviral fibre protein (repeat/shaft region)', 34, NULL, 'Adeno_shaft', 12887),
(12888, 'PF13797', NULL, 'Post-transcriptional regulator', 83, NULL, 'Post_transc_reg', 12888),
(12889, 'PF13815', NULL, 'Iguana/Dzip1-like DAZ-interacting protein N-terminal', 118, NULL, 'Dzip-like_N', 12889),
(12890, 'PF00805', NULL, 'Pentapeptide repeats (8 copies)', 40, NULL, 'Pentapeptide', 12890),
(12891, 'PF17732', NULL, 'Family of unknown function (DUF5571)', 353, NULL, 'DUF5571', 12891),
(12892, 'PF01430', NULL, 'Hsp33 protein', 267, NULL, 'HSP33', 12892);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12893, 'PF03577', NULL, 'Peptidase family C69', 402, NULL, 'Peptidase_C69', 12893),
(12894, 'PF03523', NULL, 'Macrophage scavenger receptor', 49, NULL, 'Macscav_rec', 12894),
(12895, 'PF09088', NULL, 'MIF4G like', 191, NULL, 'MIF4G_like', 12895),
(12896, 'PF00468', NULL, 'Ribosomal protein L34', 44, NULL, 'Ribosomal_L34', 12896),
(12897, 'PF02978', NULL, 'Signal peptide binding domain', 100, NULL, 'SRP_SPB', 12897),
(12898, 'PF08094', NULL, 'Conotoxin TVIIA/GS family', 33, NULL, 'Toxin_24', 12898),
(12899, 'PF12965', NULL, 'Domain of unknown function (DUF3854)', 130, NULL, 'DUF3854', 12899),
(12900, 'PF03808', NULL, 'Glycosyl transferase WecB/TagA/CpsF family', 168, NULL, 'Glyco_tran_WecB', 12900),
(12901, 'PF13776', NULL, 'Domain of unknown function (DUF4172)', 82, NULL, 'DUF4172', 12901),
(12902, 'PF00777', NULL, 'Glycosyltransferase family 29 (sialyltransferase)', 271, NULL, 'Glyco_transf_29', 12902),
(12903, 'PF15176', NULL, 'Leucine-rich repeat family 19 TM domain', 115, NULL, 'LRR19-TM', 12903),
(12904, 'PF02263', NULL, 'Guanylate-binding protein, N-terminal domain', 260, NULL, 'GBP', 12904),
(12905, 'PF13289', NULL, 'SIR2-like domain', 145, NULL, 'SIR2_2', 12905),
(12906, 'PF06442', NULL, 'R67 dihydrofolate reductase', 78, NULL, 'DHFR_2', 12906),
(12907, 'PF19189', NULL, 'Mtf2 family', 200, NULL, 'Mtf2', 12907),
(12908, 'PF17099', NULL, 'Tryptophan transporter TrpP', 169, NULL, 'TrpP', 12908),
(12909, 'PF12112', NULL, 'Protein of unknown function (DUF3579)', 90, NULL, 'DUF3579', 12909),
(12910, 'PF08223', NULL, 'PaaX-like protein C-terminal domain', 99, NULL, 'PaaX_C', 12910),
(12911, 'PF11490', NULL, 'DNA polymerase III polC-type N-terminus II', 117, NULL, 'DNA_pol3_a_NII', 12911),
(12912, 'PF08714', NULL, 'Formaldehyde-activating enzyme (Fae)', 159, NULL, 'Fae', 12912),
(12913, 'PF02516', NULL, 'Oligosaccharyl transferase STT3 subunit', 488, NULL, 'STT3', 12913),
(12914, 'PF06372', NULL, 'Gemin6 protein', 166, NULL, 'Gemin6', 12914),
(12915, 'PF11633', NULL, 'Betacoronavirus single-stranded poly(A) binding domain', 143, NULL, 'bCoV_SUD_M', 12915),
(12916, 'PF18865', NULL, 'AbiJ N-terminal domain 5', 93, NULL, 'AbiJ_NTD5', 12916),
(12917, 'PF06209', NULL, 'Cofactor of BRCA1 (COBRA1)', 472, NULL, 'COBRA1', 12917),
(12918, 'PF04696', NULL, 'pinin/SDK/memA/ protein conserved region', 130, NULL, 'Pinin_SDK_memA', 12918),
(12919, 'PF15375', NULL, 'Domain of unknown function (DUF4602)', 133, NULL, 'DUF4602', 12919),
(12920, 'PF18227', NULL, 'LepB GAP domain C-terminal subdomain', 80, NULL, 'LepB_GAP_C', 12920),
(12921, 'PF13025', NULL, 'Protein of unknown function (DUF3886)', 68, NULL, 'DUF3886', 12921),
(12922, 'PF05374', NULL, 'Mu-Conotoxin', 22, NULL, 'Mu-conotoxin', 12922),
(12923, 'PF13386', NULL, 'Cytochrome C biogenesis protein transmembrane region', 199, NULL, 'DsbD_2', 12923),
(12924, 'PF11174', NULL, 'Protein of unknown function (DUF2970)', 56, NULL, 'DUF2970', 12924),
(12925, 'PF07750', NULL, 'GcrA cell cycle regulator', 162, NULL, 'GcrA', 12925),
(12926, 'PF11098', NULL, 'Chlorosome envelope protein C', 139, NULL, 'Chlorosome_CsmC', 12926),
(12927, 'PF12249', NULL, 'Arabinofuranosyltransferase A C terminal', 176, NULL, 'AftA_C', 12927),
(12928, 'PF06737', NULL, 'Transglycosylase-like domain', 77, NULL, 'Transglycosylas', 12928),
(12929, 'PF15082', NULL, 'Domain of unknown function (DUF4549)', 142, NULL, 'DUF4549', 12929),
(12930, 'PF14091', NULL, 'Domain of unknown function (DUF4269)', 151, NULL, 'DUF4269', 12930),
(12931, 'PF06862', NULL, 'Utp25, U3 small nucleolar RNA-associated SSU processome protein 25', 473, NULL, 'UTP25', 12931),
(12932, 'PF17347', NULL, 'Family of unknown function (DUF5377)', 96, NULL, 'DUF5377', 12932),
(12933, 'PF02020', NULL, 'eIF4-gamma/eIF5/eIF2-epsilon', 79, NULL, 'W2', 12933),
(12934, 'PF13419', NULL, 'Haloacid dehalogenase-like hydrolase', 178, NULL, 'HAD_2', 12934),
(12935, 'PF16121', NULL, '40S ribosomal protein S4 C-terminus', 48, NULL, '40S_S4_C', 12935);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12936, 'PF00885', NULL, '6,7-dimethyl-8-ribityllumazine synthase', 141, NULL, 'DMRL_synthase', 12936),
(12937, 'PF00849', NULL, 'RNA pseudouridylate synthase', 160, NULL, 'PseudoU_synth_2', 12937),
(12938, 'PF17252', NULL, 'Family of unknown function (DUF5319)', 121, NULL, 'DUF5319', 12938),
(12939, 'PF08210', NULL, 'APOBEC-like N-terminal domain', 190, NULL, 'APOBEC_N', 12939),
(12940, 'PF02724', NULL, 'CDC45-like protein', 638, NULL, 'CDC45', 12940),
(12941, 'PF17017', NULL, 'Aberrant zinc-finger', 176, NULL, 'zf-C2H2_aberr', 12941),
(12942, 'PF00307', NULL, 'Calponin homology (CH) domain', 109, NULL, 'CH', 12942),
(12943, 'PF16114', NULL, 'ATP citrate lyase citrate-binding', 178, NULL, 'Citrate_bind', 12943),
(12944, 'PF09675', NULL, 'Chlamydia-phage Chp2 scaffold (Chlamy_scaf)', 107, NULL, 'Chlamy_scaf', 12944),
(12945, 'PF06916', NULL, 'Protein of unknown function (DUF1279)', 92, NULL, 'DUF1279', 12945),
(12946, 'PF16774', NULL, 'Baseplate protein', 165, NULL, 'Baseplate', 12946),
(12947, 'PF04681', NULL, 'Blastomyces yeast-phase-specific protein', 155, NULL, 'Bys1', 12947),
(12948, 'PF02840', NULL, 'Prp18 domain', 143, NULL, 'Prp18', 12948),
(12949, 'PF13393', NULL, 'Histidyl-tRNA synthetase', 309, NULL, 'tRNA-synt_His', 12949),
(12950, 'PF07242', NULL, 'Protein of unknown function (DUF1430)', 100, NULL, 'DUF1430', 12950),
(12951, 'PF01984', NULL, 'Double-stranded DNA-binding domain', 111, NULL, 'dsDNA_bind', 12951),
(12952, 'PF00009', NULL, 'Elongation factor Tu GTP binding domain', 195, NULL, 'GTP_EFTU', 12952),
(12953, 'PF19141', NULL, 'Family of unknown function (DUF5824)', 127, NULL, 'DUF5824', 12953),
(12954, 'PF11170', NULL, 'Protein of unknown function (DUF2957)', 359, NULL, 'DUF2957', 12954),
(12955, 'PF18149', NULL, 'N-terminal helicase PWI domain', 111, NULL, 'Helicase_PWI', 12955),
(12956, 'PF03862', NULL, 'SpoVAC/SpoVAEB sporulation membrane protein', 114, NULL, 'SpoVAC_SpoVAEB', 12956),
(12957, 'PF04920', NULL, 'Family of unknown function (DUF656)', 126, NULL, 'DUF656', 12957),
(12958, 'PF19112', NULL, 'Vanillate O-demethylase oxygenase C-terminal domain', 195, NULL, 'VanA_C', 12958),
(12959, 'PF05745', NULL, 'Chlamydia 15 kDa cysteine-rich outer membrane protein (CRPA)', 150, NULL, 'CRPA', 12959),
(12960, 'PF13602', NULL, 'Zinc-binding dehydrogenase', 133, NULL, 'ADH_zinc_N_2', 12960),
(12961, 'PF17551', NULL, 'Family of unknown function (DUF5463)', 32, NULL, 'DUF5463', 12961),
(12962, 'PF06746', NULL, 'Protein of unknown function (DUF1216)', 134, NULL, 'DUF1216', 12962),
(12963, 'PF13781', NULL, 'DoxX-like family', 102, NULL, 'DoxX_3', 12963),
(12964, 'PF02521', NULL, 'Putative outer membrane protein', 449, NULL, 'HP_OMP_2', 12964),
(12965, 'PF04657', NULL, 'Putative inner membrane exporter, YdcZ', 139, NULL, 'DMT_YdcZ', 12965),
(12966, 'PF09507', NULL, 'DNA polymerase subunit Cdc27', 427, NULL, 'CDC27', 12966),
(12967, 'PF10871', NULL, 'Protein of unknown function (DUF2748)', 438, NULL, 'DUF2748', 12967),
(12968, 'PF16314', NULL, 'Domain of unknown function (DUF4954)', 655, NULL, 'DUF4954', 12968),
(12969, 'PF12886', NULL, 'Transducer of regulated CREB activity, C terminus', 75, NULL, 'TORC_C', 12969),
(12970, 'PF09230', NULL, 'DNA fragmentation factor 40 kDa', 226, NULL, 'DFF40', 12970),
(12971, 'PF03682', NULL, 'Uncharacterised protein family (UPF0158)', 157, NULL, 'UPF0158', 12971),
(12972, 'PF05791', NULL, 'Bacillus haemolytic enterotoxin (HBL)', 177, NULL, 'Bacillus_HBL', 12972),
(12973, 'PF05687', NULL, 'BES1/BZR1 plant transcription factor, N-terminal', 151, NULL, 'BES1_N', 12973),
(12974, 'PF13398', NULL, 'Peptidase M50B-like', 200, NULL, 'Peptidase_M50B', 12974),
(12975, 'PF07468', NULL, 'Agglutinin domain', 153, NULL, 'Agglutinin', 12975),
(12976, 'PF11919', NULL, 'Domain of unknown function (DUF3437)', 88, NULL, 'DUF3437', 12976),
(12977, 'PF19191', NULL, 'HEF_HK domain', 67, NULL, 'HEF_HK', 12977),
(12978, 'PF09340', NULL, 'Histone acetyltransferase subunit NuA4', 79, NULL, 'NuA4', 12978);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(12979, 'PF04187', NULL, 'Haem-binding uptake, Tiki superfamily, ChaN', 213, NULL, 'Cofac_haem_bdg', 12979),
(12980, 'PF05627', NULL, 'Cleavage site for pathogenic type III effector avirulence factor Avr', 37, NULL, 'AvrRpt-cleavage', 12980),
(12981, 'PF06397', NULL, 'Desulfoferrodoxin, N-terminal domain', 36, NULL, 'Desulfoferrod_N', 12981),
(12982, 'PF03888', NULL, 'MucB/RseB N-terminal domain', 178, NULL, 'MucB_RseB', 12982),
(12983, 'PF10754', NULL, 'Protein of unknown function (DUF2569)', 143, NULL, 'DUF2569', 12983),
(12984, 'PF12827', NULL, 'Peroxisomal biogenesis protein family', 113, NULL, 'Peroxin-22', 12984),
(12985, 'PF06052', NULL, '3-hydroxyanthranilic acid dioxygenase', 151, NULL, '3-HAO', 12985),
(12986, 'PF12063', NULL, 'Domain of unknown function (DUF3543)', 264, NULL, 'DUF3543', 12986),
(12987, 'PF17292', NULL, 'POB3-like N-terminal PH domain', 93, NULL, 'POB3_N', 12987),
(12988, 'PF18287', NULL, 'Integron Cassette Protein Hfx_Cass5', 79, NULL, 'Hfx_Cass5', 12988),
(12989, 'PF18155', NULL, 'pPIWI RE three-gene island domain Z', 166, NULL, 'pPIWI_RE_Z', 12989),
(12990, 'PF15619', NULL, 'Ciliary protein causing Leber congenital amaurosis disease', 193, NULL, 'Lebercilin', 12990),
(12991, 'PF17474', NULL, 'Tegument protein UL11 homolog', 52, NULL, 'U71', 12991),
(12992, 'PF18551', NULL, 'Thaumarchaeal output domain 1', 188, NULL, 'TackOD1', 12992),
(12993, 'PF05950', NULL, 'Orthopoxvirus A36R protein', 158, NULL, 'Orthopox_A36R', 12993),
(12994, 'PF05000', NULL, 'RNA polymerase Rpb1, domain 4', 108, NULL, 'RNA_pol_Rpb1_4', 12994),
(12995, 'PF07441', NULL, 'SigmaK-factor processing regulatory protein BofA', 75, NULL, 'BofA', 12995),
(12996, 'PF11739', NULL, 'Dicarboxylate transport', 206, NULL, 'DctA-YdbH', 12996),
(12997, 'PF07796', NULL, 'Protein of unknown function (DUF1638)', 165, NULL, 'DUF1638', 12997),
(12998, 'PF17956', NULL, 'Nicotinate phosphoribosyltransferase C-terminal domain', 111, NULL, 'NAPRTase_C', 12998),
(12999, 'PF05935', NULL, 'Arylsulfotransferase (ASST)', 381, NULL, 'Arylsulfotrans', 12999),
(13000, 'PF09072', NULL, 'Translation machinery associated TMA7', 62, NULL, 'TMA7', 13000),
(13001, 'PF13932', NULL, 'GidA associated domain', 210, NULL, 'GIDA_assoc', 13001),
(13002, 'PF07254', NULL, 'Membrane-bound toxin component of toxin-antitoxin system', 130, NULL, 'Cpta_toxin', 13002),
(13003, 'PF01074', NULL, 'Glycosyl hydrolases family 38 N-terminal domain', 289, NULL, 'Glyco_hydro_38N', 13003),
(13004, 'PF10300', NULL, 'Protein of unknown function (DUF3808)', 480, NULL, 'DUF3808', 13004),
(13005, 'PF18492', NULL, 'Open reading frame 2 N-terminal domain', 121, NULL, 'ORF_2_N', 13005),
(13006, 'PF11649', NULL, 'Virus neck protein', 278, NULL, 'T4_neck-protein', 13006),
(13007, 'PF10423', NULL, 'Bacterial AMP nucleoside phosphorylase N-terminus', 156, NULL, 'AMNp_N', 13007),
(13008, 'PF18372', NULL, 'Integrin beta epidermal growth factor like domain 1', 29, NULL, 'I-EGF_1', 13008),
(13009, 'PF12479', NULL, 'Protein of unknown function (DUF3698)', 107, NULL, 'DUF3698', 13009),
(13010, 'PF13065', NULL, 'Protein of unknown function (DUF3928)', 95, NULL, 'DUF3928', 13010),
(13011, 'PF07373', NULL, 'CAMP factor (Cfa)', 220, NULL, 'CAMP_factor', 13011),
(13012, 'PF03291', NULL, 'mRNA capping enzyme', 333, NULL, 'Pox_MCEL', 13012),
(13013, 'PF19016', NULL, 'Domain of unknown function (DUF5745)', 58, NULL, 'DUF5745', 13013),
(13014, 'PF09250', NULL, 'Bifunctional DNA primase/polymerase, N-terminal', 158, NULL, 'Prim-Pol', 13014),
(13015, 'PF15726', NULL, 'Domain of unknown function (DUF4677)', 194, NULL, 'DUF4677', 13015),
(13016, 'PF07727', NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', 243, NULL, 'RVT_2', 13016),
(13017, 'PF04491', NULL, 'Poxvirus T4 protein, N terminus', 46, NULL, 'Pox_T4_N', 13017),
(13018, 'PF12618', NULL, 'Protein of unknown function (DUF3776)', 93, NULL, 'DUF3776', 13018),
(13019, 'PF10786', NULL, 'Glucose-6-phosphate 1-dehydrogenase (EC 1.1.1.49)', 213, NULL, 'G6PD_bact', 13019);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13020, 'PF10977', NULL, 'Protein of unknown function (DUF2797)', 233, NULL, 'DUF2797', 13020),
(13021, 'PF10545', NULL, 'Alcohol dehydrogenase transcription factor Myb/SANT-like', 85, NULL, 'MADF_DNA_bdg', 13021),
(13022, 'PF07922', NULL, 'Glycosyltransferase family 52', 272, NULL, 'Glyco_transf_52', 13022),
(13023, 'PF01321', NULL, 'Creatinase/Prolidase N-terminal domain', 131, NULL, 'Creatinase_N', 13023),
(13024, 'PF18649', NULL, 'EcpB C-terminal domain', 72, NULL, 'EcpB_C', 13024),
(13025, 'PF04030', NULL, 'D-arabinono-1,4-lactone oxidase', 264, NULL, 'ALO', 13025),
(13026, 'PF13373', NULL, 'DUF2407 C-terminal domain', 141, NULL, 'DUF2407_C', 13026),
(13027, 'PF08925', NULL, 'Domain of Unknown Function (DUF1907)', 282, NULL, 'DUF1907', 13027),
(13028, 'PF07505', NULL, 'Protein of unknown function (DUF5131)', 247, NULL, 'DUF5131', 13028),
(13029, 'PF11330', NULL, 'C-Terminal of 30K viral movement proteins', 242, NULL, '30K_MP_C_Ter', 13029),
(13030, 'PF07598', NULL, 'Protein of unknown function (DUF1561)', 625, NULL, 'DUF1561', 13030),
(13031, 'PF05816', NULL, 'Toxic anion resistance protein (TelA)', 331, NULL, 'TelA', 13031),
(13032, 'PF09592', NULL, 'Protein of unknown function (DUF2031)', 227, NULL, 'DUF2031', 13032),
(13033, 'PF08680', NULL, 'TATA-box binding', 204, NULL, 'DUF1779', 13033),
(13034, 'PF09671', NULL, 'Spore coat protein (Spore_GerQ)', 76, NULL, 'Spore_GerQ', 13034),
(13035, 'PF00865', NULL, 'Osteopontin', 290, NULL, 'Osteopontin', 13035),
(13036, 'PF01798', NULL, 'snoRNA binding domain, fibrillarin', 232, NULL, 'Nop', 13036),
(13037, 'PF16913', NULL, 'Purine nucleobase transmembrane transport', 322, NULL, 'PUNUT', 13037),
(13038, 'PF06728', NULL, 'GPI transamidase subunit PIG-U', 381, NULL, 'PIG-U', 13038),
(13039, 'PF15504', NULL, 'Domain of unknown function (DUF4647)', 464, NULL, 'DUF4647', 13039),
(13040, 'PF03405', NULL, 'Fatty acid desaturase', 326, NULL, 'FA_desaturase_2', 13040),
(13041, 'PF04213', NULL, 'Htaa', 160, NULL, 'HtaA', 13041),
(13042, 'PF15342', NULL, 'FAM212 family', 60, NULL, 'FAM212', 13042),
(13043, 'PF09089', NULL, 'Phage short tail fibre protein gp12, middle domain', 81, NULL, 'gp12-short_mid', 13043),
(13044, 'PF13246', NULL, 'Cation transport ATPase (P-type)', 91, NULL, 'Cation_ATPase', 13044),
(13045, 'PF10084', NULL, 'Uncharacterized protein conserved in bacteria (DUF2322)', 99, NULL, 'DUF2322', 13045),
(13046, 'PF15495', NULL, 'Major fimbrial subunit protein type IV, Fimbrillin, C-terminal', 83, NULL, 'Fimbrillin_C', 13046),
(13047, 'PF04618', NULL, 'HD-ZIP protein N terminus', 110, NULL, 'HD-ZIP_N', 13047),
(13048, 'PF00103', NULL, 'Somatotropin hormone family', 215, NULL, 'Hormone_1', 13048),
(13049, 'PF17251', NULL, 'Protochlamydia outer membrane protein', 279, NULL, 'Pom', 13049),
(13050, 'PF02006', NULL, 'Phosphopantothenate/pantothenate synthetase', 176, NULL, 'PPS_PS', 13050),
(13051, 'PF15680', NULL, 'Orofacial cleft 1 candidate gene 1 protein', 109, NULL, 'OFCC1', 13051),
(13052, 'PF14450', NULL, 'Cell division protein FtsA', 99, NULL, 'FtsA', 13052),
(13053, 'PF07966', NULL, 'A1 Propeptide', 29, NULL, 'A1_Propeptide', 13053),
(13054, 'PF16518', NULL, 'T3SS negative regulator,GrlR', 112, NULL, 'GrlR', 13054),
(13055, 'PF12518', NULL, 'Protein of unknown function', 33, NULL, 'DUF3721', 13055),
(13056, 'PF03904', NULL, 'Domain of unknown function (DUF334)', 230, NULL, 'DUF334', 13056),
(13057, 'PF02392', NULL, 'Ycf4', 178, NULL, 'Ycf4', 13057),
(13058, 'PF03279', NULL, 'Bacterial lipid A biosynthesis acyltransferase', 295, NULL, 'Lip_A_acyltrans', 13058),
(13059, 'PF06069', NULL, 'PerC transcriptional activator', 90, NULL, 'PerC', 13059),
(13060, 'PF05792', NULL, 'Candida agglutinin-like (ALS)', 32, NULL, 'Candida_ALS', 13060),
(13061, 'PF17107', NULL, 'N-terminal domain on NACHT_NTPase and P-loop NTPases', 122, NULL, 'SesA', 13061),
(13062, 'PF05990', NULL, 'Alpha/beta hydrolase of unknown function (DUF900)', 237, NULL, 'DUF900', 13062);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13063, 'PF02568', NULL, 'Thiamine biosynthesis protein (ThiI)', 197, NULL, 'ThiI', 13063),
(13064, 'PF02368', NULL, 'Bacterial Ig-like domain (group 2)', 79, NULL, 'Big_2', 13064),
(13065, 'PF17253', NULL, 'Family of unknown function (DUF5320)', 101, NULL, 'DUF5320', 13065),
(13066, 'PF01541', NULL, 'GIY-YIG catalytic domain', 78, NULL, 'GIY-YIG', 13066),
(13067, 'PF16383', NULL, 'Domain of unknown function', 182, NULL, 'DUF4992', 13067),
(13068, 'PF08965', NULL, 'Domain of unknown function (DUF1870)', 118, NULL, 'DUF1870', 13068),
(13069, 'PF15240', NULL, 'Proline-rich', 180, NULL, 'Pro-rich', 13069),
(13070, 'PF04730', NULL, 'Agrobacterium VirD5 protein', 671, NULL, 'Agro_virD5', 13070),
(13071, 'PF15519', NULL, 'linker between RRM2 and RRM3 domains in RBM39 protein', 93, NULL, 'RBM39linker', 13071),
(13072, 'PF04758', NULL, 'Ribosomal protein S30', 58, NULL, 'Ribosomal_S30', 13072),
(13073, 'PF00399', NULL, 'Yeast PIR protein repeat', 18, NULL, 'PIR', 13073),
(13074, 'PF13887', NULL, 'Myelin gene regulatory factor -C-terminal domain 1', 36, NULL, 'MRF_C1', 13074),
(13075, 'PF16367', NULL, 'RNA recognition motif', 97, NULL, 'RRM_7', 13075),
(13076, 'PF13364', NULL, 'Beta-galactosidase jelly roll domain', 114, NULL, 'BetaGal_dom4_5', 13076),
(13077, 'PF05752', NULL, 'Calicivirus minor structural protein', 165, NULL, 'Calici_MSP', 13077),
(13078, 'PF13938', NULL, 'Putative heavy-metal chelation', 73, NULL, 'DUF4213', 13078),
(13079, 'PF14522', NULL, 'Cytochrome c7 and related cytochrome c', 64, NULL, 'Cytochrome_C7', 13079),
(13080, 'PF11475', NULL, 'Virion protein N terminal domain', 32, NULL, 'VP_N-CPKC', 13080),
(13081, 'PF00915', NULL, 'Calicivirus coat protein', 291, NULL, 'Calici_coat', 13081),
(13082, 'PF04593', NULL, 'Selenoprotein P, C terminal region', 133, NULL, 'SelP_C', 13082),
(13083, 'PF17242', NULL, 'Disordered region of unknown function (DUF5315)', 77, NULL, 'DUF5315', 13083),
(13084, 'PF13750', NULL, 'Bacterial Ig-like domain (group 3)', 157, NULL, 'Big_3_3', 13084),
(13085, 'PF07078', NULL, 'Forty-two-three protein', 310, NULL, 'FYTT', 13085),
(13086, 'PF14396', NULL, 'Cystic fibrosis TM conductance regulator (CFTR), regulator domain', 213, NULL, 'CFTR_R', 13086),
(13087, 'PF12494', NULL, 'Protein of unknown function (DUF3695)', 99, NULL, 'DUF3695', 13087),
(13088, 'PF10904', NULL, 'Protein of unknown function (DUF2694)', 97, NULL, 'DUF2694', 13088),
(13089, 'PF16932', NULL, 'Type IV secretory system, conjugal DNA-protein transfer', 213, NULL, 'T4SS_TraI', 13089),
(13090, 'PF05452', NULL, 'Clavanin', 80, NULL, 'Clavanin', 13090),
(13091, 'PF05037', NULL, 'Protein of unknown function (DUF669)', 140, NULL, 'DUF669', 13091),
(13092, 'PF03259', NULL, 'Roadblock/LC7 domain', 91, NULL, 'Robl_LC7', 13092),
(13093, 'PF11892', NULL, 'Domain of unknown function (DUF3412)', 121, NULL, 'DUF3412', 13093),
(13094, 'PF11307', NULL, 'Protein of unknown function (DUF3109)', 181, NULL, 'DUF3109', 13094),
(13095, 'PF06161', NULL, 'Protein of unknown function (DUF975)', 244, NULL, 'DUF975', 13095),
(13096, 'PF11252', NULL, 'Protein of unknown function (DUF3051)', 189, NULL, 'DUF3051', 13096),
(13097, 'PF13268', NULL, 'Protein of unknown function (DUF4059)', 72, NULL, 'DUF4059', 13097),
(13098, 'PF01477', NULL, 'PLAT/LH2 domain', 117, NULL, 'PLAT', 13098),
(13099, 'PF10373', NULL, 'Est1 DNA/RNA binding domain', 282, NULL, 'EST1_DNA_bind', 13099),
(13100, 'PF12176', NULL, 'Methanol-cobalamin methyltransferase B subunit', 459, NULL, 'MtaB', 13100),
(13101, 'PF12701', NULL, 'Scd6-like Sm domain', 75, NULL, 'LSM14', 13101),
(13102, 'PF18408', NULL, 'C2H2 Hakai zinc finger domain', 32, NULL, 'zf_Hakai', 13102),
(13103, 'PF10809', NULL, 'Protein of unknown function (DUF2732)', 74, NULL, 'DUF2732', 13103),
(13104, 'PF08184', NULL, 'Cuticle protein 7 isoform family', 59, NULL, 'Cuticle_2', 13104),
(13105, 'PF12884', NULL, 'Transducer of regulated CREB activity, N terminus', 71, NULL, 'TORC_N', 13105);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13106, 'PF11289', NULL, 'Betacoronavirus viroporin', 273, NULL, 'bCoV_viroporin', 13106),
(13107, 'PF11522', NULL, 'Yeast phosphatidylinositol-4-OH kinase Pik1', 51, NULL, 'Pik1', 13107),
(13108, 'PF09925', NULL, 'Predicted membrane protein (DUF2157)', 147, NULL, 'DUF2157', 13108),
(13109, 'PF13455', NULL, 'Meiotically up-regulated gene 113', 77, NULL, 'MUG113', 13109),
(13110, 'PF09383', NULL, 'NIL domain', 73, NULL, 'NIL', 13110),
(13111, 'PF00225', NULL, 'Kinesin motor domain', 333, NULL, 'Kinesin', 13111),
(13112, 'PF12823', NULL, 'Domain of unknown function (DUF3817)', 83, NULL, 'DUF3817', 13112),
(13113, 'PF11973', NULL, 'NQRA C-terminal domain', 51, NULL, 'NQRA_SLBB', 13113),
(13114, 'PF06770', NULL, 'Actin-rearrangement-inducing factor (Arif-1)', 205, NULL, 'Arif-1', 13114),
(13115, 'PF17333', NULL, 'Beta defensin 136', 51, NULL, 'DEFB136', 13115),
(13116, 'PF15835', NULL, 'Domain of unknown function (DUF4715)', 139, NULL, 'DUF4715', 13116),
(13117, 'PF09745', NULL, 'Coiled-coil domain-containing protein 55 (DUF2040)', 121, NULL, 'DUF2040', 13117),
(13118, 'PF18871', NULL, 'HEPN/Toprim N-terminal domain 1', 223, NULL, 'HEPN_Toprim_N', 13118),
(13119, 'PF00654', NULL, 'Voltage gated chloride channel', 354, NULL, 'Voltage_CLC', 13119),
(13120, 'PF18827', NULL, 'Large polyvalent protein-associated domain 14', 136, NULL, 'LPD14', 13120),
(13121, 'PF13862', NULL, 'p21-C-terminal region-binding protein', 209, NULL, 'BCIP', 13121),
(13122, 'PF10184', NULL, 'Uncharacterized conserved protein (DUF2358)', 113, NULL, 'DUF2358', 13122),
(13123, 'PF09998', NULL, 'Uncharacterized protein conserved in bacteria (DUF2239)', 183, NULL, 'DUF2239', 13123),
(13124, 'PF02807', NULL, 'ATP:guanido phosphotransferase, N-terminal domain', 67, NULL, 'ATP-gua_PtransN', 13124),
(13125, 'PF10956', NULL, 'Protein of unknown function (DUF2756)', 104, NULL, 'DUF2756', 13125),
(13126, 'PF09956', NULL, 'Uncharacterized conserved protein (DUF2190)', 103, NULL, 'DUF2190', 13126),
(13127, 'PF15037', NULL, 'Interleukin-17 receptor extracellular region', 386, NULL, 'IL17_R_N', 13127),
(13128, 'PF00891', NULL, 'O-methyltransferase domain', 210, NULL, 'Methyltransf_2', 13128),
(13129, 'PF10240', NULL, 'Multivesicular body subunit 12', 257, NULL, 'DUF2464', 13129),
(13130, 'PF07006', NULL, 'Protein of unknown function (DUF1310)', 119, NULL, 'DUF1310', 13130),
(13131, 'PF07870', NULL, 'Protein of unknown function (DUF1657)', 49, NULL, 'DUF1657', 13131),
(13132, 'PF08327', NULL, 'Activator of Hsp90 ATPase homolog 1-like protein', 126, NULL, 'AHSA1', 13132),
(13133, 'PF11102', NULL, 'Group 4 capsule polysaccharide lipoprotein gfcB, YjbF', 188, NULL, 'YjbF', 13133),
(13134, 'PF14715', NULL, 'N-terminal domain of cytochrome oxidase-cbb3, FixP', 48, NULL, 'FixP_N', 13134),
(13135, 'PF11372', NULL, 'Domain of unknown function (DUF3173)', 58, NULL, 'DUF3173', 13135),
(13136, 'PF02975', NULL, 'Methylamine dehydrogenase, L chain', 113, NULL, 'Me-amine-dh_L', 13136),
(13137, 'PF07348', NULL, 'Syd protein (SUKH-2)', 175, NULL, 'Syd', 13137),
(13138, 'PF02502', NULL, 'Ribose/Galactose Isomerase', 140, NULL, 'LacAB_rpiB', 13138),
(13139, 'PF09859', NULL, 'Oxygenase, catalysing oxidative methylation of damaged DNA', 172, NULL, 'Oxygenase-NA', 13139),
(13140, 'PF07652', NULL, 'Flavivirus DEAD domain', 148, NULL, 'Flavi_DEAD', 13140),
(13141, 'PF16849', NULL, 'Glycosyltransferase family 88', 423, NULL, 'Glyco_transf_88', 13141),
(13142, 'PF16600', NULL, 'Caskin1 CASK-interaction domain', 59, NULL, 'Caskin1-CID', 13142),
(13143, 'PF17565', NULL, 'Family of unknown function (DUF5471)', 70, NULL, 'DUF5471', 13143),
(13144, 'PF12910', NULL, 'Antitoxin of toxin-antitoxin, RelE / RelB, TA system', 145, NULL, 'PHD_like', 13144),
(13145, 'PF15842', NULL, 'Domain of unknown function (DUF4718)', 184, NULL, 'DUF4718', 13145),
(13146, 'PF06291', NULL, 'Bor protein', 77, NULL, 'Lambda_Bor', 13146),
(13147, 'PF00164', NULL, 'Ribosomal protein S12/S23', 114, NULL, 'Ribosom_S12_S23', 13147);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13148, 'PF17846', NULL, 'Xrn1 helical domain', 443, NULL, 'XRN_M', 13148),
(13149, 'PF18861', NULL, 'Transmembrane domain of protein tyrosine phosphatase, receptor type J', 161, NULL, 'PTP_tm', 13149),
(13150, 'PF18661', NULL, 'Avirulence Effector AvrLm4-7', 86, NULL, 'AvrLm4-7', 13150),
(13151, 'PF02349', NULL, 'Major surface glycoprotein', 75, NULL, 'MSG', 13151),
(13152, 'PF18276', NULL, 'Tc toxin complex TcA C-terminal TcB-binding domain', 287, NULL, 'TcA_TcB_BD', 13152),
(13153, 'PF11808', NULL, 'Phosphate regulon sensor protein PhoR', 86, NULL, 'PhoR', 13153),
(13154, 'PF17147', NULL, 'Pyruvate:ferredoxin oxidoreductase core domain II', 102, NULL, 'PFOR_II', 13154),
(13155, 'PF18310', NULL, 'Domain of unknown function (DUF5605)', 73, NULL, 'DUF5605', 13155),
(13156, 'PF18444', NULL, 'RNA recognition motif', 70, NULL, 'RRM_9', 13156),
(13157, 'PF06221', NULL, 'Putative zinc finger motif, C2HC5-type', 54, NULL, 'zf-C2HC5', 13157),
(13158, 'PF10119', NULL, 'Predicted methyltransferase regulatory domain', 84, NULL, 'MethyTransf_Reg', 13158),
(13159, 'PF02570', NULL, 'Precorrin-8X methylmutase', 196, NULL, 'CbiC', 13159),
(13160, 'PF05303', NULL, 'Protein of unknown function (DUF727)', 105, NULL, 'DUF727', 13160),
(13161, 'PF12244', NULL, 'Protein of unknown function (DUF3606)', 54, NULL, 'DUF3606', 13161),
(13162, 'PF03635', NULL, 'Vacuolar protein sorting-associated protein 35', 727, NULL, 'Vps35', 13162),
(13163, 'PF11255', NULL, 'Protein of unknown function (DUF3054)', 111, NULL, 'DUF3054', 13163),
(13164, 'PF18375', NULL, 'CDH1/2 SANT-Helical linker 1', 91, NULL, 'CDH1_2_SANT_HL1', 13164),
(13165, 'PF12360', NULL, 'Paired box protein 7', 45, NULL, 'Pax7', 13165),
(13166, 'PF01176', NULL, 'Translation initiation factor 1A / IF-1', 64, NULL, 'eIF-1a', 13166),
(13167, 'PF15800', NULL, 'Clock interacting protein circadian', 339, NULL, 'CiPC', 13167),
(13168, 'PF12324', NULL, 'Helix-turn-helix domain of alkylmercury lyase', 74, NULL, 'HTH_15', 13168),
(13169, 'PF14190', NULL, 'Domain of unknown function (DUF4313)', 104, NULL, 'DUF4313', 13169),
(13170, 'PF00538', NULL, 'linker histone H1 and H5 family', 74, NULL, 'Linker_histone', 13170),
(13171, 'PF11124', NULL, 'Inorganic phosphate transporter Pho86', 291, NULL, 'Pho86', 13171),
(13172, 'PF08929', NULL, 'Domain of unknown function (DUF1911)', 108, NULL, 'DUF1911', 13172),
(13173, 'PF01782', NULL, 'RimM N-terminal domain', 84, NULL, 'RimM', 13173),
(13174, 'PF16531', NULL, 'Centriolar protein SAS N-terminal', 97, NULL, 'SAS-6_N', 13174),
(13175, 'PF14573', NULL, 'Acyl-carrier', 96, NULL, 'PP-binding_2', 13175),
(13176, 'PF05794', NULL, 'T-complex protein 11', 445, NULL, 'Tcp11', 13176),
(13177, 'PF14086', NULL, 'Domain of unknown function (DUF4266)', 50, NULL, 'DUF4266', 13177),
(13178, 'PF01870', NULL, 'Archaeal holliday junction resolvase (hjc)', 93, NULL, 'Hjc', 13178),
(13179, 'PF15321', NULL, 'ATPase family AAA domain containing 4', 98, NULL, 'ATAD4', 13179),
(13180, 'PF11086', NULL, 'Protein of unknown function (DUF2878)', 154, NULL, 'DUF2878', 13180),
(13181, 'PF14681', NULL, 'Uracil phosphoribosyltransferase', 207, NULL, 'UPRTase', 13181),
(13182, 'PF14791', NULL, 'DNA polymerase beta thumb', 69, NULL, 'DNA_pol_B_thumb', 13182),
(13183, 'PF15854', NULL, 'G-protein coupled receptor ligand 15', 80, NULL, 'GPR15L', 13183),
(13184, 'PF13215', NULL, 'Protein of unknown function (DUF4023)', 38, NULL, 'DUF4023', 13184),
(13185, 'PF08302', NULL, 'Fungal tRNA ligase phosphodiesterase domain', 253, NULL, 'tRNA_lig_CPD', 13185),
(13186, 'PF03981', NULL, 'Ubiquinol-cytochrome C chaperone', 141, NULL, 'Ubiq_cyt_C_chap', 13186),
(13187, 'PF12140', NULL, 'SLED domain', 112, NULL, 'SLED', 13187),
(13188, 'PF02025', NULL, 'Interleukin 5', 112, NULL, 'IL5', 13188),
(13189, 'PF04711', NULL, 'Apolipoprotein A-II (ApoA-II)', 75, NULL, 'ApoA-II', 13189),
(13190, 'PF10686', NULL, 'YspA, cpYpsA-related SLOG family', 67, NULL, 'YAcAr', 13190),
(13191, 'PF07688', NULL, 'KaiA C-terminal domain', 122, NULL, 'KaiA', 13191);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13192, 'PF13313', NULL, 'Domain of unknown function (DUF4082)', 143, NULL, 'DUF4082', 13192),
(13193, 'PF12013', NULL, 'Orsellinic acid/F9775 biosynthesis cluster protein D', 114, NULL, 'OrsD', 13193),
(13194, 'PF09694', NULL, 'Bacterial protein of unknown function (Gcw_chp)', 230, NULL, 'Gcw_chp', 13194),
(13195, 'PF02419', NULL, 'PsbL protein', 37, NULL, 'PsbL', 13195),
(13196, 'PF15959', NULL, 'Domain of unknown function (DUF4762)', 61, NULL, 'DUF4762', 13196),
(13197, 'PF10385', NULL, 'RNA polymerase beta subunit external 1 domain', 65, NULL, 'RNA_pol_Rpb2_45', 13197),
(13198, 'PF09152', NULL, 'Domain of unknown function (DUF1937)', 116, NULL, 'DUF1937', 13198),
(13199, 'PF17269', NULL, 'Family of unknown function (DUF5335)', 110, NULL, 'DUF5335', 13199),
(13200, 'PF03952', NULL, 'Enolase, N-terminal domain', 131, NULL, 'Enolase_N', 13200),
(13201, 'PF04155', NULL, 'Ground-like domain', 73, NULL, 'Ground-like', 13201),
(13202, 'PF11965', NULL, 'Domain of unknown function (DUF3479)', 161, NULL, 'DUF3479', 13202),
(13203, 'PF12574', NULL, '120 KDa Rickettsia surface antigen', 238, NULL, '120_Rick_ant', 13203),
(13204, 'PF01701', NULL, 'Photosystem I reaction centre subunit IX / PsaJ', 37, NULL, 'PSI_PsaJ', 13204),
(13205, 'PF13181', NULL, 'Tetratricopeptide repeat', 34, NULL, 'TPR_8', 13205),
(13206, 'PF02954', NULL, 'Bacterial regulatory protein, Fis family', 42, NULL, 'HTH_8', 13206),
(13207, 'PF02315', NULL, 'Methanol dehydrogenase beta subunit', 88, NULL, 'MDH', 13207),
(13208, 'PF16358', NULL, 'RcsF lipoprotein', 110, NULL, 'RcsF', 13208),
(13209, 'PF12087', NULL, 'Protein of unknown function (DUF3564)', 120, NULL, 'DUF3564', 13209),
(13210, 'PF14100', NULL, 'Methane oxygenase PmoA', 270, NULL, 'PmoA', 13210),
(13211, 'PF13603', NULL, 'Leucyl-tRNA synthetase, Domain 2', 185, NULL, 'tRNA-synt_1_2', 13211),
(13212, 'PF18299', NULL, 'ATP-grasp domain, R2K clade family 2', 146, NULL, 'R2K_2', 13212),
(13213, 'PF13655', NULL, 'N-terminal domain of reverse transcriptase', 83, NULL, 'RVT_N', 13213),
(13214, 'PF10159', NULL, 'Multiple myeloma tumor-associated', 79, NULL, 'MMtag', 13214),
(13215, 'PF06636', NULL, 'Protein of unknown function (DUF1157)', 370, NULL, 'DUF1157', 13215),
(13216, 'PF07960', NULL, 'CBP4', 130, NULL, 'CBP4', 13216),
(13217, 'PF09176', NULL, 'Methylene-tetrahydromethanopterin dehydrogenase, N-terminal', 81, NULL, 'Mpt_N', 13217),
(13218, 'PF12385', NULL, 'Papain-like cysteine protease AvrRpt2', 143, NULL, 'Peptidase_C70', 13218),
(13219, 'PF16949', NULL, 'Putative ATP-binding cassette', 542, NULL, 'ABC_tran_2', 13219),
(13220, 'PF00134', NULL, 'Cyclin, N-terminal domain', 127, NULL, 'Cyclin_N', 13220),
(13221, 'PF15710', NULL, 'Domain of unknown function (DUF4671)', 677, NULL, 'DUF4671', 13221),
(13222, 'PF03583', NULL, 'Secretory lipase', 286, NULL, 'LIP', 13222),
(13223, 'PF09440', NULL, 'eIF3 subunit 6 N terminal domain', 133, NULL, 'eIF3_N', 13223),
(13224, 'PF08800', NULL, 'VirE N-terminal domain', 134, NULL, 'VirE_N', 13224),
(13225, 'PF12201', NULL, 'Bcl2-interacting killer, BH3-domain containing', 155, NULL, 'bcl-2I13', 13225),
(13226, 'PF08761', NULL, 'dUTPase', 161, NULL, 'dUTPase_2', 13226),
(13227, 'PF07900', NULL, 'Protein of unknown function (DUF1670)', 220, NULL, 'DUF1670', 13227),
(13228, 'PF01357', NULL, 'Expansin C-terminal domain', 80, NULL, 'Expansin_C', 13228),
(13229, 'PF18109', NULL, 'Ferredoxin I 4Fe-4S cluster domain', 35, NULL, 'Fer4_24', 13229),
(13230, 'PF01739', NULL, 'CheR methyltransferase, SAM binding domain', 195, NULL, 'CheR', 13230),
(13231, 'PF17204', NULL, 'Sid-5 family', 76, NULL, 'Sid-5', 13231),
(13232, 'PF09961', NULL, 'Uncharacterized protein conserved in bacteria (DUF2195)', 117, NULL, 'DUF2195', 13232),
(13233, 'PF13088', NULL, 'BNR repeat-like domain', 278, NULL, 'BNR_2', 13233),
(13234, 'PF15254', NULL, 'Coiled-coil domain-containing protein 14', 866, NULL, 'CCDC14', 13234),
(13235, 'PF10873', NULL, 'Cysteine and tyrosine-rich protein 1', 149, NULL, 'CYYR1', 13235);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13236, 'PF12273', NULL, 'Chitin synthesis regulation, resistance to Congo red', 117, NULL, 'RCR', 13236),
(13237, 'PF01569', NULL, 'PAP2 superfamily', 135, NULL, 'PAP2', 13237),
(13238, 'PF04796', NULL, 'Plasmid encoded RepA protein', 161, NULL, 'RepA_C', 13238),
(13239, 'PF12313', NULL, 'NPR1/NIM1 like defence protein C terminal', 205, NULL, 'NPR1_like_C', 13239),
(13240, 'PF05474', NULL, 'Semenogelin', 582, NULL, 'Semenogelin', 13240),
(13241, 'PF03817', NULL, 'Malonate transporter MadL subunit', 118, NULL, 'MadL', 13241),
(13242, 'PF07530', NULL, 'Associated with zinc fingers', 68, NULL, 'PRE_C2HC', 13242),
(13243, 'PF14525', NULL, 'AraC-binding-like domain', 173, NULL, 'AraC_binding_2', 13243),
(13244, 'PF16054', NULL, 'Transmembrane protein family 72', 181, NULL, 'TMEM72', 13244),
(13245, 'PF10354', NULL, 'Domain of unknown function (DUF2431)', 169, NULL, 'DUF2431', 13245),
(13246, 'PF12115', NULL, 'Salivary protein of 15kDa inhibits CD4+ T cell activation', 118, NULL, 'Salp15', 13246),
(13247, 'PF09335', NULL, 'SNARE associated Golgi protein', 120, NULL, 'SNARE_assoc', 13247),
(13248, 'PF05541', NULL, 'Entomopoxvirus spheroidin protein', 944, NULL, 'Spheroidin', 13248),
(13249, 'PF01148', NULL, 'Cytidylyltransferase family', 266, NULL, 'CTP_transf_1', 13249),
(13250, 'PF10906', NULL, 'MIOREX complex component 7', 66, NULL, 'Mrx7', 13250),
(13251, 'PF13374', NULL, 'Tetratricopeptide repeat', 42, NULL, 'TPR_10', 13251),
(13252, 'PF07911', NULL, 'Protein of unknown function (DUF1677)', 89, NULL, 'DUF1677', 13252),
(13253, 'PF01848', NULL, 'Hok/gef family', 42, NULL, 'HOK_GEF', 13253),
(13254, 'PF07063', NULL, 'Domain of unknown function (DUF1338)', 323, NULL, 'DUF1338', 13254),
(13255, 'PF07988', NULL, 'LMSTEN motif', 47, NULL, 'LMSTEN', 13255),
(13256, 'PF00360', NULL, 'Phytochrome region', 183, NULL, 'PHY', 13256),
(13257, 'PF10262', NULL, 'Rdx family', 74, NULL, 'Rdx', 13257),
(13258, 'PF18029', NULL, 'Glyoxalase-like domain', 106, NULL, 'Glyoxalase_6', 13258),
(13259, 'PF13948', NULL, 'Domain of unknown function (DUF4215)', 47, NULL, 'DUF4215', 13259),
(13260, 'PF02153', NULL, 'Prephenate dehydrogenase', 258, NULL, 'PDH', 13260),
(13261, 'PF05064', NULL, 'Nsp1-like C-terminal region', 116, NULL, 'Nsp1_C', 13261),
(13262, 'PF18930', NULL, 'Domain of unknown function (DUF5679)', 40, NULL, 'DUF5679', 13262),
(13263, 'PF04712', NULL, 'Radial spokehead-like protein', 493, NULL, 'Radial_spoke', 13263),
(13264, 'PF01805', NULL, 'Surp module', 53, NULL, 'Surp', 13264),
(13265, 'PF11136', NULL, 'Protein of unknown function (DUF2889)', 123, NULL, 'DUF2889', 13265),
(13266, 'PF08727', NULL, 'Poliovirus 3A protein like', 59, NULL, 'P3A', 13266),
(13267, 'PF11491', NULL, 'Protein of unknown function (DUF3213)', 84, NULL, 'DUF3213', 13267),
(13268, 'PF11103', NULL, 'Protein of unknown function (DUF2887)', 200, NULL, 'DUF2887', 13268),
(13269, 'PF14631', NULL, 'Fanconi anaemia protein FancD2 nuclease', 1417, NULL, 'FancD2', 13269),
(13270, 'PF03781', NULL, 'Sulfatase-modifying factor enzyme 1', 260, NULL, 'FGE-sulfatase', 13270),
(13271, 'PF12511', NULL, 'Protein of unknown function (DUF3716)', 59, NULL, 'DUF3716', 13271),
(13272, 'PF11264', NULL, 'Thylakoid formation protein', 216, NULL, 'ThylakoidFormat', 13272),
(13273, 'PF08977', NULL, 'Bypass of Forespore C, N terminal', 51, NULL, 'BOFC_N', 13273),
(13274, 'PF05775', NULL, 'Enterobacteria AfaD invasin protein', 105, NULL, 'AfaD', 13274),
(13275, 'PF12002', NULL, 'MgsA AAA+ ATPase C terminal', 167, NULL, 'MgsA_C', 13275),
(13276, 'PF15465', NULL, 'Domain of unknown function (DUF4634)', 131, NULL, 'DUF4634', 13276),
(13277, 'PF09048', NULL, 'Cro', 59, NULL, 'Cro', 13277),
(13278, 'PF05672', NULL, 'MAP7 (E-MAP-115) family', 163, NULL, 'MAP7', 13278),
(13279, 'PF04157', NULL, 'EAP30/Vps36 family', 236, NULL, 'EAP30', 13279),
(13280, 'PF16927', NULL, 'N-terminal 7TM region of histidine kinase', 220, NULL, 'HisKA_7TM', 13280),
(13281, 'PF13505', NULL, 'Outer membrane protein beta-barrel domain', 177, NULL, 'OMP_b-brl', 13281);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13282, 'PF06937', NULL, 'EURL protein', 283, NULL, 'EURL', 13282),
(13283, 'PF04825', NULL, 'N terminus of Rad21 / Rec8 like protein', 111, NULL, 'Rad21_Rec8_N', 13283),
(13284, 'PF13473', NULL, 'Cupredoxin-like domain', 104, NULL, 'Cupredoxin_1', 13284),
(13285, 'PF05041', NULL, 'Pecanex protein (C-terminus)', 228, NULL, 'Pecanex_C', 13285),
(13286, 'PF12956', NULL, 'Domain of Unknown Function with PDB structure', 240, NULL, 'DUF3845', 13286),
(13287, 'PF06187', NULL, 'Protein of unknown function (DUF993)', 382, NULL, 'DUF993', 13287),
(13288, 'PF18735', NULL, 'RiboL-PSP-HEPN', 194, NULL, 'HEPN_RiboL-PSP', 13288),
(13289, 'PF11769', NULL, 'Protein of unknown function (DUF3313)', 186, NULL, 'DUF3313', 13289),
(13290, 'PF05588', NULL, 'Clostridium botulinum HA-17 domain', 146, NULL, 'Botulinum_HA-17', 13290),
(13291, 'PF00188', NULL, 'Cysteine-rich secretory protein family', 126, NULL, 'CAP', 13291),
(13292, 'PF06058', NULL, 'Dcp1-like decapping family', 117, NULL, 'DCP1', 13292),
(13293, 'PF13623', NULL, 'SurA N-terminal domain', 145, NULL, 'SurA_N_2', 13293),
(13294, 'PF04384', NULL, 'Iron-sulphur cluster assembly', 64, NULL, 'Fe-S_assembly', 13294),
(13295, 'PF06576', NULL, 'Protein of unknown function (DUF1133)', 176, NULL, 'DUF1133', 13295),
(13296, 'PF14498', NULL, 'Glycosyl hydrolase family 65, N-terminal domain', 239, NULL, 'Glyco_hyd_65N_2', 13296),
(13297, 'PF11796', NULL, 'Protein of unknown function N-terminus (DUF3323)', 209, NULL, 'DUF3323', 13297),
(13298, 'PF17677', NULL, 'Glycosyl hydrolases family 38 C-terminal beta sandwich domain', 69, NULL, 'Glyco_hydro38C2', 13298),
(13299, 'PF12972', NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) C-terminal domain', 268, NULL, 'NAGLU_C', 13299),
(13300, 'PF14205', NULL, 'Cysteine-rich KTR', 54, NULL, 'Cys_rich_KTR', 13300),
(13301, 'PF13873', NULL, 'Myb/SANT-like DNA-binding domain', 78, NULL, 'Myb_DNA-bind_5', 13301),
(13302, 'PF11839', NULL, 'Alanine-zipper, major outer membrane lipoprotein', 69, NULL, 'Alanine_zipper', 13302),
(13303, 'PF18590', NULL, 'Immune Mapped Protein 2 (IMP2) N-terminal domain', 87, NULL, 'IMP2_N', 13303),
(13304, 'PF18199', NULL, 'Dynein heavy chain C-terminal domain', 309, NULL, 'Dynein_C', 13304),
(13305, 'PF12544', NULL, 'Lysine-2,3-aminomutase', 127, NULL, 'LAM_C', 13305),
(13306, 'PF07136', NULL, 'Protein of unknown function (DUF1385)', 227, NULL, 'DUF1385', 13306),
(13307, 'PF11865', NULL, 'Domain of unknown function (DUF3385)', 161, NULL, 'DUF3385', 13307),
(13308, 'PF15715', NULL, 'PCNA-associated factor histone like domain', 135, NULL, 'PAF', 13308),
(13309, 'PF13369', NULL, 'Transglutaminase-like superfamily', 155, NULL, 'Transglut_core2', 13309),
(13310, 'PF02130', NULL, 'Uncharacterized protein family UPF0054', 132, NULL, 'UPF0054', 13310),
(13311, 'PF13654', NULL, 'AAA domain', 514, NULL, 'AAA_32', 13311),
(13312, 'PF05370', NULL, 'Domain of unknown function (DUF749)', 87, NULL, 'DUF749', 13312),
(13313, 'PF06198', NULL, 'Protein of unknown function (DUF999)', 143, NULL, 'DUF999', 13313),
(13314, 'PF18597', NULL, 'Myosin X N-terminal SH3 domain', 52, NULL, 'SH3_19', 13314),
(13315, 'PF10933', NULL, 'Protein of unknown function (DUF2827)', 362, NULL, 'DUF2827', 13315),
(13316, 'PF15891', NULL, 'Nucleoside 2-deoxyribosyltransferase like', 108, NULL, 'Nuc_deoxyri_tr2', 13316),
(13317, 'PF07694', NULL, '5TMR of 5TMR-LYT', 169, NULL, '5TM-5TMR_LYT', 13317),
(13318, 'PF11788', NULL, '39S mitochondrial ribosomal protein L46', 119, NULL, 'MRP-L46', 13318),
(13319, 'PF11564', NULL, 'Restriction endonuclease BpuJI - N terminal', 278, NULL, 'BpuJI_N', 13319),
(13320, 'PF01418', NULL, 'Helix-turn-helix domain, rpiR family', 77, NULL, 'HTH_6', 13320),
(13321, 'PF05434', NULL, 'TMEM9', 145, NULL, 'Tmemb_9', 13321),
(13322, 'PF02764', NULL, 'Diphtheria toxin, T domain', 180, NULL, 'Diphtheria_T', 13322),
(13323, 'PF15226', NULL, 'HCF-1 beta-propeller-interacting protein family', 133, NULL, 'HPIP', 13323);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13324, 'PF18191', NULL, 'Hydroquinone 1,2-dioxygenase large subunit N-terminal', 151, NULL, 'PnpCD_PnpD_N', 13324),
(13325, 'PF18339', NULL, 'RapA N-terminal Tudor like domain 1', 51, NULL, 'Tudor_1_RapA', 13325),
(13326, 'PF12564', NULL, 'Type III restriction/modification enzyme methylation subunit', 56, NULL, 'TypeIII_RM_meth', 13326),
(13327, 'PF03687', NULL, 'Uncharacterised protein family (UPF0164)', 325, NULL, 'UPF0164', 13327),
(13328, 'PF17678', NULL, 'Glycosyl hydrolase family 92 N-terminal domain', 237, NULL, 'Glyco_hydro_92N', 13328),
(13329, 'PF14378', NULL, 'PAP2 superfamily', 190, NULL, 'PAP2_3', 13329),
(13330, 'PF05815', NULL, 'Baculovirus protein of unknown function (DUF844)', 352, NULL, 'DUF844', 13330),
(13331, 'PF15379', NULL, 'Domain of unknown function (DUF4606)', 103, NULL, 'DUF4606', 13331),
(13332, 'PF02156', NULL, 'Glycosyl hydrolase family 26', 311, NULL, 'Glyco_hydro_26', 13332),
(13333, 'PF05629', NULL, 'Nanovirus component 8 (C8) protein', 153, NULL, 'Nanovirus_C8', 13333),
(13334, 'PF06405', NULL, 'Red chlorophyll catabolite reductase (RCC reductase)', 253, NULL, 'RCC_reductase', 13334),
(13335, 'PF13994', NULL, 'PgaD-like protein', 148, NULL, 'PgaD', 13335),
(13336, 'PF13249', NULL, 'Squalene-hopene cyclase N-terminal domain', 291, NULL, 'SQHop_cyclase_N', 13336),
(13337, 'PF09145', NULL, 'Ubiquitin-associated', 44, NULL, 'Ubiq-assoc', 13337),
(13338, 'PF01376', NULL, 'Heat-labile enterotoxin beta chain', 102, NULL, 'Enterotoxin_b', 13338),
(13339, 'PF03519', NULL, 'Invasion protein B family', 78, NULL, 'Invas_SpaK', 13339),
(13340, 'PF13009', NULL, 'Putative phage integrase', 329, NULL, 'Phage_Integr_2', 13340),
(13341, 'PF15302', NULL, 'P33 mono-oxygenase', 291, NULL, 'P33MONOX', 13341),
(13342, 'PF12031', NULL, 'SWI/SNF-like complex subunit BAF250/Osa', 257, NULL, 'BAF250_C', 13342),
(13343, 'PF06956', NULL, 'Regulator of RNA terminal phosphate cyclase', 183, NULL, 'RtcR', 13343),
(13344, 'PF05999', NULL, 'Herpesvirus U5-like family', 441, NULL, 'Herpes_U5', 13344),
(13345, 'PF12380', NULL, 'Gill-associated viral 3C-like peptidase', 284, NULL, 'Peptidase_C62', 13345),
(13346, 'PF02213', NULL, 'GYF domain', 45, NULL, 'GYF', 13346),
(13347, 'PF01532', NULL, 'Glycosyl hydrolase family 47', 458, NULL, 'Glyco_hydro_47', 13347),
(13348, 'PF18872', NULL, 'Daz repeat', 21, NULL, 'Daz', 13348),
(13349, 'PF08354', NULL, 'Domain of unknown function (DUF1729)', 353, NULL, 'DUF1729', 13349),
(13350, 'PF12788', NULL, 'YmaF family', 97, NULL, 'YmaF', 13350),
(13351, 'PF13144', NULL, 'Chaperone for flagella basal body P-ring formation', 122, NULL, 'ChapFlgA', 13351),
(13352, 'PF03327', NULL, 'Herpesvirus capsid shell protein VP19C', 265, NULL, 'Herpes_VP19C', 13352),
(13353, 'PF07362', NULL, 'Post-segregation antitoxin CcdA', 71, NULL, 'CcdA', 13353),
(13354, 'PF05454', NULL, 'Dystroglycan (Dystrophin-associated glycoprotein 1)', 290, NULL, 'DAG1', 13354),
(13355, 'PF14651', NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', 128, NULL, 'Lipocalin_7', 13355),
(13356, 'PF02129', NULL, 'X-Pro dipeptidyl-peptidase (S15 family)', 269, NULL, 'Peptidase_S15', 13356),
(13357, 'PF10777', NULL, 'Inner membrane protein YlaC', 154, NULL, 'YlaC', 13357),
(13358, 'PF08774', NULL, 'VRR-NUC domain', 108, NULL, 'VRR_NUC', 13358),
(13359, 'PF08949', NULL, 'Domain of unknown function (DUF1860)', 219, NULL, 'DUF1860', 13359),
(13360, 'PF04979', NULL, 'Protein phosphatase inhibitor 2 (IPP-2)', 134, NULL, 'IPP-2', 13360),
(13361, 'PF18979', NULL, 'Family of unknown function (DUF5715)', 170, NULL, 'DUF5715', 13361),
(13362, 'PF02535', NULL, 'ZIP Zinc transporter', 333, NULL, 'Zip', 13362),
(13363, 'PF00875', NULL, 'DNA photolyase', 164, NULL, 'DNA_photolyase', 13363),
(13364, 'PF08713', NULL, 'DNA alkylation repair enzyme', 213, NULL, 'DNA_alkylation', 13364),
(13365, 'PF14345', NULL, 'GDYXXLXY protein', 146, NULL, 'GDYXXLXY', 13365),
(13366, 'PF16249', NULL, 'Domain of unknown function (DUF4906)', 203, NULL, 'DUF4906', 13366);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13367, 'PF11386', NULL, 'Vitelline envelope receptor for lysin', 78, NULL, 'VERL', 13367),
(13368, 'PF06837', NULL, 'Fijivirus P9-2 protein', 207, NULL, 'Fijivirus_P9-2', 13368),
(13369, 'PF09759', NULL, 'Spinocerebellar ataxia type 10 protein domain', 99, NULL, 'Atx10homo_assoc', 13369),
(13370, 'PF14176', NULL, 'YxiJ-like protein', 110, NULL, 'YxiJ', 13370),
(13371, 'PF07308', NULL, 'Protein of unknown function (DUF1456)', 68, NULL, 'DUF1456', 13371),
(13372, 'PF17943', NULL, 'Homeobox-cysteine loop-homeobox', 120, NULL, 'HOCHOB', 13372),
(13373, 'PF15177', NULL, 'Interleukin-28A', 157, NULL, 'IL28A', 13373),
(13374, 'PF12822', NULL, 'ECF transporter, substrate-specific component', 172, NULL, 'ECF_trnsprt', 13374),
(13375, 'PF15866', NULL, 'Domain of unknown function (DUF4729)', 209, NULL, 'DUF4729', 13375),
(13376, 'PF14833', NULL, 'NAD-binding of NADP-dependent 3-hydroxyisobutyrate dehydrogenase', 122, NULL, 'NAD_binding_11', 13376),
(13377, 'PF00317', NULL, 'Ribonucleotide reductase, all-alpha domain', 83, NULL, 'Ribonuc_red_lgN', 13377),
(13378, 'PF05475', NULL, 'Pgp3 C-terminal domain', 146, NULL, 'Chlam_vir', 13378),
(13379, 'PF06220', NULL, 'U1 zinc finger', 38, NULL, 'zf-U1', 13379),
(13380, 'PF18185', NULL, 'Sir2- and TIR-associating SLOG family', 208, NULL, 'STALD', 13380),
(13381, 'PF01154', NULL, 'Hydroxymethylglutaryl-coenzyme A synthase N terminal', 174, NULL, 'HMG_CoA_synt_N', 13381),
(13382, 'PF04802', NULL, 'Component of IIS longevity pathway SMK-1', 191, NULL, 'SMK-1', 13382),
(13383, 'PF13962', NULL, 'Domain of unknown function', 117, NULL, 'PGG', 13383),
(13384, 'PF09356', NULL, 'Phage conserved hypothetical protein BR0599', 80, NULL, 'Phage_BR0599', 13384),
(13385, 'PF02463', NULL, 'RecF/RecN/SMC N terminal domain', 220, NULL, 'SMC_N', 13385),
(13386, 'PF00749', NULL, 'tRNA synthetases class I (E and Q), catalytic domain', 314, NULL, 'tRNA-synt_1c', 13386),
(13387, 'PF11750', NULL, 'Protein of unknown function (DUF3307)', 125, NULL, 'DUF3307', 13387),
(13388, 'PF09508', NULL, 'Lacto-N-biose phosphorylase N-terminal TIM barrel domain', 434, NULL, 'Lact_bio_phlase', 13388),
(13389, 'PF17919', NULL, 'RNase H-like domain found in reverse transcriptase', 100, NULL, 'RT_RNaseH_2', 13389),
(13390, 'PF11443', NULL, 'Domain of unknown function (DUF2828)', 633, NULL, 'DUF2828', 13390),
(13391, 'PF01960', NULL, 'ArgJ family', 375, NULL, 'ArgJ', 13391),
(13392, 'PF15188', NULL, 'Coiled-coil domain-containing protein 167', 84, NULL, 'CCDC-167', 13392),
(13393, 'PF17343', NULL, 'Family of unknown function (DUF5373)', 182, NULL, 'DUF5373', 13393),
(13394, 'PF01704', NULL, 'UTP--glucose-1-phosphate uridylyltransferase', 413, NULL, 'UDPGP', 13394),
(13395, 'PF14778', NULL, 'Odorant response abnormal 4-like', 373, NULL, 'ODR4-like', 13395),
(13396, 'PF01871', NULL, 'AMMECR1', 167, NULL, 'AMMECR1', 13396),
(13397, 'PF03744', NULL, '6-carboxyhexanoate--CoA ligase', 241, NULL, 'BioW', 13397),
(13398, 'PF17018', NULL, 'Spore wall protein', 193, NULL, 'MICSWaP', 13398),
(13399, 'PF05609', NULL, 'Lamina-associated polypeptide 1C (LAP1C)', 456, NULL, 'LAP1C', 13399),
(13400, 'PF08200', NULL, 'Bacteriophage 1.1 Protein', 45, NULL, 'Phage_1_1', 13400),
(13401, 'PF14607', NULL, 'N-terminus of Esterase_SGNH_hydro-type', 146, NULL, 'GxDLY', 13401),
(13402, 'PF11903', NULL, 'ParD-like antitoxin of type II bacterial toxin-antitoxin system', 73, NULL, 'ParD_like', 13402),
(13403, 'PF14329', NULL, 'Domain of unknown function (DUF4386)', 210, NULL, 'DUF4386', 13403),
(13404, 'PF16670', NULL, 'Phosphoinositide phospholipase C, Ca2+-dependent', 328, NULL, 'PI-PLC-C1', 13404),
(13405, 'PF14381', NULL, 'Ethylene-responsive protein kinase Le-CTR1', 203, NULL, 'EDR1', 13405),
(13406, 'PF18140', NULL, 'Propionyl-coenzyme A carboxylase BT domain', 127, NULL, 'PCC_BT', 13406),
(13407, 'PF12799', NULL, 'Leucine Rich repeats (2 copies)', 43, NULL, 'LRR_4', 13407),
(13408, 'PF13459', NULL, '4Fe-4S single cluster domain', 66, NULL, 'Fer4_15', 13408);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13409, 'PF03067', NULL, 'Lytic polysaccharide mono-oxygenase, cellulose-degrading', 192, NULL, 'LPMO_10', 13409),
(13410, 'PF17316', NULL, 'Perilipin protein', 254, NULL, 'Perilipin_2', 13410),
(13411, 'PF15720', NULL, 'Domain of unknown function (DUF4675)', 198, NULL, 'DUF4675', 13411),
(13412, 'PF03326', NULL, 'Herpesvirus transcription activation factor (transactivator)', 568, NULL, 'Herpes_TAF50', 13412),
(13413, 'PF07437', NULL, 'YfaZ precursor', 180, NULL, 'YfaZ', 13413),
(13414, 'PF14667', NULL, 'Polysaccharide biosynthesis C-terminal domain', 143, NULL, 'Polysacc_synt_C', 13414),
(13415, 'PF12614', NULL, 'Ribosome recycling factor', 126, NULL, 'RRF_GI', 13415),
(13416, 'PF09890', NULL, 'Uncharacterized protein conserved in archaea (DUF2117)', 212, NULL, 'DUF2117', 13416),
(13417, 'PF18517', NULL, 'Leucine zipper with capping helix domain', 55, NULL, 'LZ3wCH', 13417),
(13418, 'PF12570', NULL, 'Protein of unknown function (DUF3750)', 128, NULL, 'DUF3750', 13418),
(13419, 'PF04886', NULL, 'PT repeat', 36, NULL, 'PT', 13419),
(13420, 'PF05694', NULL, '56kDa selenium binding protein (SBP56)', 454, NULL, 'SBP56', 13420),
(13421, 'PF16996', NULL, 'Accessory secretory protein Sec Asp4', 55, NULL, 'Asp4', 13421),
(13422, 'PF03462', NULL, 'PCRF domain', 192, NULL, 'PCRF', 13422),
(13423, 'PF13273', NULL, 'Protein of unknown function (DUF4064)', 103, NULL, 'DUF4064', 13423),
(13424, 'PF16891', NULL, 'Serine-threonine protein phosphatase N-terminal domain', 48, NULL, 'STPPase_N', 13424),
(13425, 'PF03479', NULL, 'Plants and Prokaryotes Conserved (PCC) domain', 110, NULL, 'PCC', 13425),
(13426, 'PF08433', NULL, 'Chromatin associated protein KTI12', 272, NULL, 'KTI12', 13426),
(13427, 'PF12146', NULL, 'Serine aminopeptidase, S33', 239, NULL, 'Hydrolase_4', 13427),
(13428, 'PF06039', NULL, 'Malate:quinone oxidoreductase (Mqo)', 489, NULL, 'Mqo', 13428),
(13429, 'PF14884', NULL, 'Type I membrane glycoproteins cell-cell fusogen', 467, NULL, 'EFF-AFF', 13429),
(13430, 'PF09770', NULL, 'Topoisomerase II-associated protein PAT1', 864, NULL, 'PAT1', 13430),
(13431, 'PF06861', NULL, 'BALF1 protein', 182, NULL, 'BALF1', 13431),
(13432, 'PF06338', NULL, 'ComK protein', 152, NULL, 'ComK', 13432),
(13433, 'PF18090', NULL, 'Centromere-binding protein HTH domain', 75, NULL, 'SoPB_HTH', 13433),
(13434, 'PF17712', NULL, 'Family of unknown function (DUF5557)', 90, NULL, 'DUF5557', 13434),
(13435, 'PF00244', NULL, '14-3-3 protein', 222, NULL, '14-3-3', 13435),
(13436, 'PF06610', NULL, 'L-alanine exporter', 141, NULL, 'AlaE', 13436),
(13437, 'PF13093', NULL, 'Kinetochore complex Fta4 of Sim4 subunit, or CENP-50', 202, NULL, 'FTA4', 13437),
(13438, 'PF02276', NULL, 'Photosynthetic reaction centre cytochrome C subunit', 311, NULL, 'CytoC_RC', 13438),
(13439, 'PF18557', NULL, 'Anti-sigma factor NepR', 35, NULL, 'NepR', 13439),
(13440, 'PF00031', NULL, 'Cystatin domain', 92, NULL, 'Cystatin', 13440),
(13441, 'PF02229', NULL, 'Transcriptional Coactivator p15 (PC4)', 52, NULL, 'PC4', 13441),
(13442, 'PF07179', NULL, 'SseB protein N-terminal domain', 126, NULL, 'SseB', 13442),
(13443, 'PF07458', NULL, 'Sperm protein associated with nucleus, mapped to X chromosome', 94, NULL, 'SPAN-X', 13443),
(13444, 'PF04831', NULL, 'Popeye protein conserved region', 140, NULL, 'Popeye', 13444),
(13445, 'PF03150', NULL, 'Di-haem cytochrome c peroxidase', 150, NULL, 'CCP_MauG', 13445),
(13446, 'PF15639', NULL, 'Metallopeptidase toxin 3', 137, NULL, 'Tox-MPTase3', 13446),
(13447, 'PF04065', NULL, 'Not1 N-terminal domain, CCR4-Not complex component', 232, NULL, 'Not3', 13447),
(13448, 'PF10643', NULL, 'Photosystem P840 reaction-centre cytochrome c-551', 248, NULL, 'Cytochrome-c551', 13448),
(13449, 'PF00374', NULL, 'Nickel-dependent hydrogenase', 506, NULL, 'NiFeSe_Hases', 13449),
(13450, 'PF05470', NULL, 'Eukaryotic translation initiation factor 3 subunit 8 N-terminus', 593, NULL, 'eIF-3c_N', 13450),
(13451, 'PF14169', NULL, 'Cold-inducible protein YdjO', 59, NULL, 'YdjO', 13451);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13452, 'PF12873', NULL, 'Domain of unknown function (DUF3825)', 239, NULL, 'DUF3825', 13452),
(13453, 'PF04258', NULL, 'Signal peptide peptidase', 284, NULL, 'Peptidase_A22B', 13453),
(13454, 'PF07485', NULL, 'Domain of Unknown Function (DUF1259)', 121, NULL, 'DUF1529', 13454),
(13455, 'PF06301', NULL, 'Bacteriophage lambda Kil protein', 42, NULL, 'Lambda_Kil', 13455),
(13456, 'PF16073', NULL, 'Starter unit:ACP transacylase in aflatoxin biosynthesis', 240, NULL, 'SAT', 13456),
(13457, 'PF00229', NULL, 'TNF(Tumour Necrosis Factor) family', 127, NULL, 'TNF', 13457),
(13458, 'PF14582', NULL, 'Metallophosphoesterase, calcineurin superfamily', 257, NULL, 'Metallophos_3', 13458),
(13459, 'PF00115', NULL, 'Cytochrome C and Quinol oxidase polypeptide I', 432, NULL, 'COX1', 13459),
(13460, 'PF00498', NULL, 'FHA domain', 69, NULL, 'FHA', 13460),
(13461, 'PF07991', NULL, 'Acetohydroxy acid isomeroreductase, NADPH-binding domain', 165, NULL, 'IlvN', 13461),
(13462, 'PF00937', NULL, 'Coronavirus nucleocapsid', 343, NULL, 'CoV_nucleocap', 13462),
(13463, 'PF18855', NULL, 'Bacterial archaeo-eukaryotic release factor family 11', 139, NULL, 'baeRF_family11', 13463),
(13464, 'PF16130', NULL, 'Domain of unknown function (DUF4842)', 212, NULL, 'DUF4842', 13464),
(13465, 'PF08624', NULL, 'Chromatin remodelling complex Rsc7/Swp82 subunit', 134, NULL, 'CRC_subunit', 13465),
(13466, 'PF06635', NULL, 'Nodulation protein NolV', 206, NULL, 'NolV', 13466),
(13467, 'PF10387', NULL, 'Protein of unknown function (DUF2442)', 79, NULL, 'DUF2442', 13467),
(13468, 'PF09213', NULL, 'M3', 376, NULL, 'M3', 13468),
(13469, 'PF16730', NULL, 'DnaG-primase C-terminal, helicase-binding domain', 118, NULL, 'DnaGprimase_HBD', 13469),
(13470, 'PF16017', NULL, 'BTB/POZ domain', 106, NULL, 'BTB_3', 13470),
(13471, 'PF15218', NULL, 'Spermatogenesis-associated protein 25', 228, NULL, 'SPATA25', 13471),
(13472, 'PF06968', NULL, 'Biotin and Thiamin Synthesis associated domain', 86, NULL, 'BATS', 13472),
(13473, 'PF17726', NULL, 'Dam-replacing HTH domain', 70, NULL, 'DpnI_C', 13473),
(13474, 'PF12575', NULL, 'Poxvirus entry protein complex L1 and I2', 72, NULL, 'Pox_EPC_I2-L1', 13474),
(13475, 'PF16726', NULL, 'Inositol polyphosphate 5-phosphatase clathrin binding domain', 101, NULL, 'OCRL_clath_bd', 13475),
(13476, 'PF06836', NULL, 'Protein of unknown function (DUF1240)', 95, NULL, 'DUF1240', 13476),
(13477, 'PF14365', NULL, 'Neprosin activation peptide', 119, NULL, 'Neprosin_AP', 13477),
(13478, 'PF14809', NULL, 'C1 domain of tRNA-guanine transglycosylase dimerisation', 70, NULL, 'TGT_C1', 13478),
(13479, 'PF14260', NULL, 'C4-type zinc-finger of DNA polymerase delta', 70, NULL, 'zf-C4pol', 13479),
(13480, 'PF05549', NULL, 'Allexivirus 40kDa protein', 271, NULL, 'Allexi_40kDa', 13480),
(13481, 'PF10216', NULL, 'CO2 hydration protein (ChpXY)', 352, NULL, 'ChpXY', 13481),
(13482, 'PF15486', NULL, 'Domain of unknown function (DUF4644)', 161, NULL, 'DUF4644', 13482),
(13483, 'PF17321', NULL, 'Vacuole-related protein 17', 453, NULL, 'Vac17', 13483),
(13484, 'PF06395', NULL, 'CDC24 Calponin', 89, NULL, 'CDC24', 13484),
(13485, 'PF15456', NULL, 'Up-regulated During Septation', 130, NULL, 'Uds1', 13485),
(13486, 'PF14469', NULL, '28 kDa A-kinase anchor', 121, NULL, 'AKAP28', 13486),
(13487, 'PF09451', NULL, 'Autophagy-related protein 27', 263, NULL, 'ATG27', 13487),
(13488, 'PF09605', NULL, 'Hypothetical bacterial integral membrane protein (Trep_Strep)', 185, NULL, 'Trep_Strep', 13488),
(13489, 'PF17503', NULL, 'Family of unknown function (DUF5435)', 208, NULL, 'DUF5435', 13489),
(13490, 'PF11732', NULL, 'Transcription- and export-related complex subunit', 76, NULL, 'Thoc2', 13490),
(13491, 'PF02037', NULL, 'SAP domain', 35, NULL, 'SAP', 13491),
(13492, 'PF06988', NULL, 'NifT/FixU protein', 64, NULL, 'NifT', 13492),
(13493, 'PF04045', NULL, 'Arp2/3 complex, 34 kD subunit p34-Arc', 242, NULL, 'P34-Arc', 13493),
(13494, 'PF18477', NULL, 'PIN like domain', 113, NULL, 'PIN_9', 13494);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13495, 'PF09034', NULL, 'TRADD, N-terminal domain', 112, NULL, 'TRADD_N', 13495),
(13496, 'PF11883', NULL, 'Domain of unknown function (DUF3403)', 45, NULL, 'DUF3403', 13496),
(13497, 'PF01463', NULL, 'Leucine rich repeat C-terminal domain', 26, NULL, 'LRRCT', 13497),
(13498, 'PF03919', NULL, 'mRNA capping enzyme, C-terminal domain', 113, NULL, 'mRNA_cap_C', 13498),
(13499, 'PF03672', NULL, 'Uncharacterised protein family (UPF0154)', 60, NULL, 'UPF0154', 13499),
(13500, 'PF16198', NULL, 'tRNA pseudouridylate synthase B C-terminal domain', 64, NULL, 'TruB_C_2', 13500),
(13501, 'PF14529', NULL, 'Endonuclease-reverse transcriptase', 119, NULL, 'Exo_endo_phos_2', 13501),
(13502, 'PF07666', NULL, 'M penetrans paralogue family 26', 130, NULL, 'MpPF26', 13502),
(13503, 'PF12210', NULL, 'Hepatocyte growth factor-regulated tyrosine kinase substrate', 95, NULL, 'Hrs_helical', 13503),
(13504, 'PF07788', NULL, 'PD-(D/E)XK nuclease superfamily', 74, NULL, 'PDDEXK_10', 13504),
(13505, 'PF18461', NULL, 'Atypical caspase recruitment domain', 95, NULL, 'Atypical_Card', 13505),
(13506, 'PF11351', NULL, 'Holin of 3TMs, for gene-transfer release', 123, NULL, 'GTA_holin_3TM', 13506),
(13507, 'PF02472', NULL, 'Biopolymer transport protein ExbD/TolR', 130, NULL, 'ExbD', 13507),
(13508, 'PF00513', NULL, 'Late Protein L2', 525, NULL, 'Late_protein_L2', 13508),
(13509, 'PF09894', NULL, 'Uncharacterized protein conserved in archaea (DUF2121)', 195, NULL, 'DUF2121', 13509),
(13510, 'PF06760', NULL, 'Protein of unknown function (DUF1221)', 215, NULL, 'DUF1221', 13510),
(13511, 'PF04721', NULL, 'PNGase C-terminal domain, mannose-binding module PAW', 197, NULL, 'PAW', 13511),
(13512, 'PF03364', NULL, 'Polyketide cyclase / dehydrase and lipid transport', 130, NULL, 'Polyketide_cyc', 13512),
(13513, 'PF00352', NULL, 'Transcription factor TFIID (or TATA-binding protein, TBP)', 85, NULL, 'TBP', 13513),
(13514, 'PF13853', NULL, 'Olfactory receptor', 280, NULL, '7tm_4', 13514),
(13515, 'PF03434', NULL, 'DUF276', 290, NULL, 'DUF276', 13515),
(13516, 'PF05337', NULL, 'Macrophage colony stimulating factor-1 (CSF-1)', 140, NULL, 'CSF-1', 13516),
(13517, 'PF04404', NULL, 'ERF superfamily', 148, NULL, 'ERF', 13517),
(13518, 'PF05768', NULL, 'Glutaredoxin-like domain (DUF836)', 82, NULL, 'DUF836', 13518),
(13519, 'PF14314', NULL, 'Virus-capping methyltransferase', 685, NULL, 'Methyltrans_Mon', 13519),
(13520, 'PF04633', NULL, 'Herpesvirus BMRF2 protein', 349, NULL, 'Herpes_BMRF2', 13520),
(13521, 'PF11432', NULL, 'Protein of unknown function (DUF3197)', 113, NULL, 'DUF3197', 13521),
(13522, 'PF10792', NULL, 'Protein of unknown function (DUF2605)', 96, NULL, 'DUF2605', 13522),
(13523, 'PF17307', NULL, 'Small integral membrane protein 3', 60, NULL, 'Smim3', 13523),
(13524, 'PF03312', NULL, 'Protein of unknown function (DUF272)', 124, NULL, 'DUF272', 13524),
(13525, 'PF18817', NULL, 'Repeat of uncharacterized protein PH0542', 45, NULL, 'HEAT_UF', 13525),
(13526, 'PF18479', NULL, 'PIN like domain', 118, NULL, 'PIN_11', 13526),
(13527, 'PF02121', NULL, 'Phosphatidylinositol transfer protein', 247, NULL, 'IP_trans', 13527),
(13528, 'PF08991', NULL, 'Mature-T-Cell Proliferation I type', 62, NULL, 'MTCP1', 13528),
(13529, 'PF16265', NULL, 'Domain of unknown function (DUF4918)', 225, NULL, 'DUF4918', 13529),
(13530, 'PF09001', NULL, 'Domain of unknown function (DUF1890)', 141, NULL, 'DUF1890', 13530),
(13531, 'PF11197', NULL, 'Protein of unknown function (DUF2835)', 71, NULL, 'DUF2835', 13531),
(13532, 'PF09533', NULL, 'Predicted lipoprotein of unknown function (DUF2380)', 187, NULL, 'DUF2380', 13532),
(13533, 'PF00855', NULL, 'PWWP domain', 96, NULL, 'PWWP', 13533),
(13534, 'PF14944', NULL, 'Tongue Cancer Chemotherapy Resistant Protein 1', 243, NULL, 'TCRP1', 13534),
(13535, 'PF14597', NULL, 'Metallo-beta-lactamase superfamily', 199, NULL, 'Lactamase_B_5', 13535),
(13536, 'PF13892', NULL, 'DNA-binding domain', 134, NULL, 'DBINO', 13536);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13537, 'PF11417', NULL, 'Loader and inhibitor of phage G40P', 66, NULL, 'Inhibitor_G39P', 13537),
(13538, 'PF18235', NULL, 'Oligosaccharyltransferase Peripheral 2 domain', 133, NULL, 'OST_P2', 13538),
(13539, 'PF16172', NULL, 'DOCK N-terminus', 388, NULL, 'DOCK_N', 13539),
(13540, 'PF10568', NULL, 'Outer mitochondrial membrane transport complex protein', 125, NULL, 'Tom37', 13540),
(13541, 'PF07755', NULL, 'Domain of unknown function (DUF1611_C) P-loop domain', 200, NULL, 'DUF1611', 13541),
(13542, 'PF14499', NULL, 'Domain of unknown function (DUF4437)', 250, NULL, 'DUF4437', 13542),
(13543, 'PF17836', NULL, 'PglD N-terminal domain', 78, NULL, 'PglD_N', 13543),
(13544, 'PF12193', NULL, 'Sulfolobus virus coat protein C terminal', 69, NULL, 'Sulf_coat_C', 13544),
(13545, 'PF04493', NULL, 'Endonuclease V', 197, NULL, 'Endonuclease_5', 13545),
(13546, 'PF16782', NULL, 'Nucleotide exchange factor SIL1', 292, NULL, 'SIL1', 13546),
(13547, 'PF09284', NULL, 'Rhamnogalacturonan lyase B, N-terminal', 251, NULL, 'RhgB_N', 13547),
(13548, 'PF09004', NULL, 'Domain of unknown function (DUF1891)', 42, NULL, 'DUF1891', 13548),
(13549, 'PF14985', NULL, 'TM140 protein family', 180, NULL, 'TM140', 13549),
(13550, 'PF18737', NULL, 'MAE_28990/MAE_18760-like HEPN', 218, NULL, 'HEPN_MAE_28990', 13550),
(13551, 'PF10890', NULL, 'Cytochrome b-c1 complex subunit 8', 72, NULL, 'Cyt_b-c1_8', 13551),
(13552, 'PF12200', NULL, 'Domain of unknown function (DUF3597)', 127, NULL, 'DUF3597', 13552),
(13553, 'PF01816', NULL, 'Leucine rich repeat variant', 26, NULL, 'LRV', 13553),
(13554, 'PF02554', NULL, 'Carbon starvation protein CstA', 377, NULL, 'CstA', 13554),
(13555, 'PF01427', NULL, 'D-ala-D-ala dipeptidase', 201, NULL, 'Peptidase_M15', 13555),
(13556, 'PF00759', NULL, 'Glycosyl hydrolase family 9', 440, NULL, 'Glyco_hydro_9', 13556),
(13557, 'PF13953', NULL, 'PapC C-terminal domain', 66, NULL, 'PapC_C', 13557),
(13558, 'PF17978', NULL, 'RING/Ubox like zinc-binding domain', 91, NULL, 'zf-RING_14', 13558),
(13559, 'PF02915', NULL, 'Rubrerythrin', 137, NULL, 'Rubrerythrin', 13559),
(13560, 'PF04335', NULL, 'VirB8 protein', 214, NULL, 'VirB8', 13560),
(13561, 'PF09597', NULL, 'IGR protein motif', 55, NULL, 'IGR', 13561),
(13562, 'PF12487', NULL, 'Protein of unknown function (DUF3703)', 109, NULL, 'DUF3703', 13562),
(13563, 'PF02943', NULL, 'Ferredoxin thioredoxin reductase catalytic beta chain', 106, NULL, 'FeThRed_B', 13563),
(13564, 'PF13845', NULL, 'Septum formation', 226, NULL, 'Septum_form', 13564),
(13565, 'PF08032', NULL, 'RNA 2''-O ribose methyltransferase substrate binding', 76, NULL, 'SpoU_sub_bind', 13565),
(13566, 'PF13169', NULL, 'Poxvirus B22R protein N-terminal', 89, NULL, 'Poxvirus_B22R_N', 13566),
(13567, 'PF03639', NULL, 'Glycosyl hydrolase family 81 N-terminal domain', 323, NULL, 'Glyco_hydro_81', 13567),
(13568, 'PF03159', NULL, 'XRN 5''-3'' exonuclease N-terminus', 243, NULL, 'XRN_N', 13568),
(13569, 'PF04048', NULL, 'Sec8 exocyst complex component specific domain', 142, NULL, 'Sec8_exocyst', 13569),
(13570, 'PF12824', NULL, 'Mitochondrial ribosomal protein subunit L20', 164, NULL, 'MRP-L20', 13570),
(13571, 'PF00157', NULL, 'Pou domain - N-terminal to homeobox domain', 72, NULL, 'Pou', 13571),
(13572, 'PF15221', NULL, 'Lens epithelial cell protein LEP503', 63, NULL, 'LEP503', 13572),
(13573, 'PF10743', NULL, 'Regulatory phage protein cox', 87, NULL, 'Phage_Cox', 13573),
(13574, 'PF03325', NULL, 'Herpesvirus polymerase accessory protein', 166, NULL, 'Herpes_PAP', 13574),
(13575, 'PF06207', NULL, 'Protein of unknown function (DUF1002)', 221, NULL, 'DUF1002', 13575),
(13576, 'PF16051', NULL, 'Domain of unknown function (DUF4797)', 44, NULL, 'DUF4797', 13576),
(13577, 'PF10017', NULL, 'Histidine-specific methyltransferase, SAM-dependent', 309, NULL, 'Methyltransf_33', 13577),
(13578, 'PF01139', NULL, 'tRNA-splicing ligase RtcB', 414, NULL, 'RtcB', 13578),
(13579, 'PF18914', NULL, 'Domain of unknown function (DUF5666)', 61, NULL, 'DUF5666', 13579);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13580, 'PF12373', NULL, 'Major surface glycoprotein 2 C terminal', 30, NULL, 'Msg2_C', 13580),
(13581, 'PF03181', NULL, 'BURP domain', 215, NULL, 'BURP', 13581),
(13582, 'PF15664', NULL, 'Transmembrane protein 252 family', 139, NULL, 'TMEM252', 13582),
(13583, 'PF08661', NULL, 'Replication factor A protein 3', 105, NULL, 'Rep_fac-A_3', 13583),
(13584, 'PF17622', NULL, 'Viral unique long protein 16', 204, NULL, 'UL16', 13584),
(13585, 'PF01623', NULL, 'Carlavirus putative nucleic acid binding protein', 91, NULL, 'Carla_C4', 13585),
(13586, 'PF09411', NULL, 'Lipid A 3-O-deacylase (PagL)', 134, NULL, 'PagL', 13586),
(13587, 'PF11869', NULL, 'Protein of unknown function (DUF3389)', 75, NULL, 'DUF3389', 13587),
(13588, 'PF09970', NULL, 'Nucleotidyl transferase of unknown function (DUF2204)', 181, NULL, 'DUF2204', 13588),
(13589, 'PF08064', NULL, 'UME (NUC010) domain', 102, NULL, 'UME', 13589),
(13590, 'PF02353', NULL, 'Mycolic acid cyclopropane synthetase', 273, NULL, 'CMAS', 13590),
(13591, 'PF16883', NULL, 'Domain of unknown function (DUF5080)', 197, NULL, 'DUF5080', 13591),
(13592, 'PF12999', NULL, 'Glucosidase II beta subunit-like', 176, NULL, 'PRKCSH-like', 13592),
(13593, 'PF01486', NULL, 'K-box region', 93, NULL, 'K-box', 13593),
(13594, 'PF16811', NULL, 'TRAP transporter T-component', 263, NULL, 'TAtT', 13594),
(13595, 'PF05753', NULL, 'Translocon-associated protein beta (TRAPB)', 178, NULL, 'TRAP_beta', 13595),
(13596, 'PF10313', NULL, 'Uncharacterised protein domain (DUF2415)', 43, NULL, 'DUF2415', 13596),
(13597, 'PF05510', NULL, 'Sarcoglycan alpha/epsilon', 382, NULL, 'Sarcoglycan_2', 13597),
(13598, 'PF06832', NULL, 'Penicillin-Binding Protein C-terminus Family', 89, NULL, 'BiPBP_C', 13598),
(13599, 'PF09633', NULL, 'Protein of unknown function (DUF2023)', 101, NULL, 'DUF2023', 13599),
(13600, 'PF06487', NULL, 'Sin3 associated polypeptide p18 (SAP18)', 141, NULL, 'SAP18', 13600),
(13601, 'PF18992', NULL, 'Family of unknown function (DUF5725)', 158, NULL, 'DUF5725', 13601),
(13602, 'PF09702', NULL, 'CRISPR-associated protein (Cas_Csa5)', 104, NULL, 'Cas_Csa5', 13602),
(13603, 'PF08357', NULL, 'SEFIR domain', 150, NULL, 'SEFIR', 13603),
(13604, 'PF06698', NULL, 'Protein of unknown function (DUF1192)', 58, NULL, 'DUF1192', 13604),
(13605, 'PF00311', NULL, 'Phosphoenolpyruvate carboxylase', 795, NULL, 'PEPcase', 13605),
(13606, 'PF03652', NULL, 'Holliday junction resolvase', 135, NULL, 'RuvX', 13606),
(13607, 'PF12781', NULL, 'ATP-binding dynein motor region', 220, NULL, 'AAA_9', 13607),
(13608, 'PF15565', NULL, 'Immunity protein 30', 98, NULL, 'Imm30', 13608),
(13609, 'PF12912', NULL, 'NLPC_P60 stabilising domain, N term', 122, NULL, 'N_NLPC_P60', 13609),
(13610, 'PF16806', NULL, 'Antiactivator protein ExsD', 238, NULL, 'ExsD', 13610),
(13611, 'PF13090', NULL, 'Polyphosphate kinase C-terminal domain 2', 172, NULL, 'PP_kinase_C', 13611),
(13612, 'PF00634', NULL, 'BRCA2 repeat', 33, NULL, 'BRCA2', 13612),
(13613, 'PF09733', NULL, 'VEFS-Box of polycomb protein', 137, NULL, 'VEFS-Box', 13613),
(13614, 'PF15995', NULL, 'Domain of unknown function (DUF4771)', 159, NULL, 'DUF4771', 13614),
(13615, 'PF09073', NULL, 'BUD22', 435, NULL, 'BUD22', 13615),
(13616, 'PF11595', NULL, 'Protein of unknown function (DUF3245)', 149, NULL, 'DUF3245', 13616),
(13617, 'PF01682', NULL, 'DB module', 98, NULL, 'DB', 13617),
(13618, 'PF18469', NULL, 'Pleckstrin homology domain', 141, NULL, 'PH_18', 13618),
(13619, 'PF17120', NULL, 'Zinc-ribbon, C4HC2 type', 58, NULL, 'Zn_ribbon_17', 13619),
(13620, 'PF14173', NULL, 'ComG operon protein 7', 95, NULL, 'ComGG', 13620),
(13621, 'PF07757', NULL, 'Predicted AdoMet-dependent methyltransferase', 112, NULL, 'AdoMet_MTase', 13621),
(13622, 'PF07579', NULL, 'Domain of Unknown Function (DUF1548)', 135, NULL, 'DUF1548', 13622),
(13623, 'PF14980', NULL, 'TIP39 peptide', 51, NULL, 'TIP39', 13623),
(13624, 'PF03997', NULL, 'VPS28 protein', 189, NULL, 'VPS28', 13624),
(13625, 'PF03750', NULL, 'Csm2 Type III-A', 115, NULL, 'Csm2_III-A', 13625);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13626, 'PF15555', NULL, 'Domain of unknown function (DUF4658)', 123, NULL, 'DUF4658', 13626),
(13627, 'PF08077', NULL, 'Chloramphenicol resistance gene leader peptide', 17, NULL, 'Cm_res_leader', 13627),
(13628, 'PF18089', NULL, 'DAPG hydrolase PhiG domain', 224, NULL, 'DAPG_hydrolase', 13628),
(13629, 'PF18312', NULL, 'Copper resistance protein ScsC N-terminal domain', 34, NULL, 'ScsC_N', 13629),
(13630, 'PF12685', NULL, 'SpoIIIAH-like protein', 211, NULL, 'SpoIIIAH', 13630),
(13631, 'PF14875', NULL, 'N-term cysteine-rich ER, FAM69', 154, NULL, 'PIP49_N', 13631),
(13632, 'PF16633', NULL, 'Unstructured region on APC between 1st two creatine-rich regions', 89, NULL, 'APC_u9', 13632),
(13633, 'PF02563', NULL, 'Polysaccharide biosynthesis/export protein', 82, NULL, 'Poly_export', 13633),
(13634, 'PF15171', NULL, 'Neuropeptide secretory protein family, NPQ, spexin', 90, NULL, 'Spexin', 13634),
(13635, 'PF17775', NULL, 'UPF0225 domain', 99, NULL, 'UPF0225', 13635),
(13636, 'PF06714', NULL, 'Gp5 N-terminal OB domain', 144, NULL, 'Gp5_OB', 13636),
(13637, 'PF04366', NULL, 'Las17-binding protein actin regulator', 128, NULL, 'Ysc84', 13637),
(13638, 'PF14313', NULL, 'N-terminal region of Paramyxovirinae phosphoprotein (P)', 58, NULL, 'Soyouz_module', 13638),
(13639, 'PF03026', NULL, 'Influenza C virus M1 protein', 235, NULL, 'CM1', 13639),
(13640, 'PF15051', NULL, 'FAM198 protein', 321, NULL, 'FAM198', 13640),
(13641, 'PF06229', NULL, 'FRG1-like domain', 191, NULL, 'FRG1', 13641),
(13642, 'PF10361', NULL, 'Protein of unknown function (DUF2434)', 294, NULL, 'DUF2434', 13642),
(13643, 'PF02618', NULL, 'YceG-like family', 277, NULL, 'YceG', 13643),
(13644, 'PF02270', NULL, 'TFIIF, beta subunit HTH domain', 65, NULL, 'TFIIF_beta', 13644),
(13645, 'PF08844', NULL, 'Domain of unknown function (DUF1815)', 101, NULL, 'DUF1815', 13645),
(13646, 'PF11744', NULL, 'Aluminium activated malate transporter', 469, NULL, 'ALMT', 13646),
(13647, 'PF15552', NULL, 'Domain of unknown function (DUF4657)', 301, NULL, 'DUF4657', 13647),
(13648, 'PF16884', NULL, 'N-terminal domain of oxidoreductase', 108, NULL, 'ADH_N_2', 13648),
(13649, 'PF07323', NULL, 'Protein of unknown function (DUF1465)', 154, NULL, 'DUF1465', 13649),
(13650, 'PF05069', NULL, 'Phage virion morphogenesis family', 148, NULL, 'Phage_tail_S', 13650),
(13651, 'PF17282', NULL, 'Family of unknown function (DUF5347)', 102, NULL, 'DUF5347', 13651),
(13652, 'PF04801', NULL, 'Sin-like protein conserved region', 429, NULL, 'Sin_N', 13652),
(13653, 'PF01179', NULL, 'Copper amine oxidase, enzyme domain', 412, NULL, 'Cu_amine_oxid', 13653),
(13654, 'PF09557', NULL, 'Domain of unknown function (DUF2382)', 111, NULL, 'DUF2382', 13654),
(13655, 'PF10631', NULL, 'Protein of unknown function (DUF2477)', 141, NULL, 'DUF2477', 13655),
(13656, 'PF15558', NULL, 'Domain of unknown function (DUF4659)', 374, NULL, 'DUF4659', 13656),
(13657, 'PF14408', NULL, 'Ribosomally synthesised peptide in actinomycetes', 58, NULL, 'Actino_peptide', 13657),
(13658, 'PF12642', NULL, 'Conjugative transposon protein TcpC', 230, NULL, 'TpcC', 13658),
(13659, 'PF01156', NULL, 'Inosine-uridine preferring nucleoside hydrolase', 300, NULL, 'IU_nuc_hydro', 13659),
(13660, 'PF10552', NULL, 'ORF6C domain', 114, NULL, 'ORF6C', 13660),
(13661, 'PF04481', NULL, 'Protein of unknown function (DUF561)', 243, NULL, 'DUF561', 13661),
(13662, 'PF14240', NULL, 'YHYH protein', 196, NULL, 'YHYH', 13662),
(13663, 'PF14038', NULL, 'YqzE-like protein', 54, NULL, 'YqzE', 13663),
(13664, 'PF06839', NULL, 'GRF zinc finger', 45, NULL, 'zf-GRF', 13664),
(13665, 'PF05076', NULL, 'Suppressor of fused protein (SUFU)', 172, NULL, 'SUFU', 13665),
(13666, 'PF16710', NULL, 'N-terminal N1 domain of Vibrio phage CTXphi pIII', 111, NULL, 'CTXphi_pIII-N1', 13666),
(13667, 'PF16187', NULL, 'Middle or third domain of peptidase_M16', 284, NULL, 'Peptidase_M16_M', 13667),
(13668, 'PF03867', NULL, 'Fushi tarazu (FTZ), N-terminal region', 269, NULL, 'FTZ', 13668);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13669, 'PF08643', NULL, 'Fungal family of unknown function (DUF1776)', 296, NULL, 'DUF1776', 13669),
(13670, 'PF07880', NULL, 'Bacteriophage T4 gp9/10-like protein', 285, NULL, 'T4_gp9_10', 13670),
(13671, 'PF08773', NULL, 'Cathepsin C exclusion domain', 121, NULL, 'CathepsinC_exc', 13671),
(13672, 'PF06875', NULL, 'Plethodontid receptivity factor PRF', 214, NULL, 'PRF', 13672),
(13673, 'PF18152', NULL, 'DAHP synthase ferredoxin-like domain', 67, NULL, 'DAHP_snth_FXD', 13673),
(13674, 'PF04076', NULL, 'Bacterial OB fold (BOF) protein', 103, NULL, 'BOF', 13674),
(13675, 'PF11511', NULL, 'Intrinsic membrane protein PufX', 67, NULL, 'RhodobacterPufX', 13675),
(13676, 'PF05170', NULL, 'AsmA family', 608, NULL, 'AsmA', 13676),
(13677, 'PF12052', NULL, 'Voltage gated calcium channel subunit beta domain 4Aa N terminal', 42, NULL, 'VGCC_beta4Aa_N', 13677),
(13678, 'PF12550', NULL, 'Transcriptional activator of glycolytic enzymes', 80, NULL, 'GCR1_C', 13678),
(13679, 'PF15708', NULL, 'Proline-rich protein family 20', 221, NULL, 'PRR20', 13679),
(13680, 'PF00141', NULL, 'Peroxidase', 229, NULL, 'peroxidase', 13680),
(13681, 'PF04221', NULL, 'RelB antitoxin', 83, NULL, 'RelB', 13681),
(13682, 'PF01165', NULL, 'Ribosomal protein S21', 55, NULL, 'Ribosomal_S21', 13682),
(13683, 'PF04245', NULL, '37-kD nucleoid-associated bacterial protein', 309, NULL, 'NA37', 13683),
(13684, 'PF05339', NULL, 'Protein of unknown function (DUF739)', 69, NULL, 'DUF739', 13684),
(13685, 'PF09740', NULL, 'Uncharacterized conserved protein (DUF2043)', 106, NULL, 'DUF2043', 13685),
(13686, 'PF16269', NULL, 'Domain of unknown function (DUF4922)', 193, NULL, 'DUF4922', 13686),
(13687, 'PF01012', NULL, 'Electron transfer flavoprotein domain', 181, NULL, 'ETF', 13687),
(13688, 'PF08127', NULL, 'Peptidase family C1 propeptide', 40, NULL, 'Propeptide_C1', 13688),
(13689, 'PF05853', NULL, 'beta-keto acid cleavage enzyme', 274, NULL, 'BKACE', 13689),
(13690, 'PF13255', NULL, 'Protein of unknown function (DUF4046)', 90, NULL, 'DUF4046', 13690),
(13691, 'PF16567', NULL, 'Pathogenicity island component CagD', 205, NULL, 'CagD', 13691),
(13692, 'PF15471', NULL, 'Transmembrane protein family 171', 320, NULL, 'TMEM171', 13692),
(13693, 'PF12507', NULL, 'Human Cytomegalovirus UL139 protein', 121, NULL, 'HCMV_UL139', 13693),
(13694, 'PF18073', NULL, 'Rubredoxin metal binding domain', 28, NULL, 'Rubredoxin_2', 13694),
(13695, 'PF13881', NULL, 'Ubiquitin-2 like Rad60 SUMO-like', 111, NULL, 'Rad60-SLD_2', 13695),
(13696, 'PF04971', NULL, 'Bacteriophage P21 holin S', 64, NULL, 'Phage_holin_2_1', 13696),
(13697, 'PF01060', NULL, 'Transthyretin-like family', 81, NULL, 'TTR-52', 13697),
(13698, 'PF05083', NULL, 'LST-1 protein', 78, NULL, 'LST1', 13698),
(13699, 'PF03625', NULL, 'Domain of unknown function DUF302', 63, NULL, 'DUF302', 13699),
(13700, 'PF13164', NULL, 'Diedel', 75, NULL, 'Diedel', 13700),
(13701, 'PF17453', NULL, 'Sigma-M inhibitor', 96, NULL, 'Sigma_M_inh', 13701),
(13702, 'PF02174', NULL, 'PTB domain (IRS-1 type)', 100, NULL, 'IRS', 13702),
(13703, 'PF17611', NULL, 'Family of unknown function (DUF5506)', 161, NULL, 'DUF5506', 13703),
(13704, 'PF04003', NULL, 'Dip2/Utp12 Family', 107, NULL, 'Utp12', 13704),
(13705, 'PF15955', NULL, 'Cuticle protein', 79, NULL, 'Cuticle_4', 13705),
(13706, 'PF04159', NULL, 'NB glycoprotein', 100, NULL, 'NB', 13706),
(13707, 'PF02837', NULL, 'Glycosyl hydrolases family 2, sugar binding domain', 169, NULL, 'Glyco_hydro_2_N', 13707),
(13708, 'PF07891', NULL, 'Protein of unknown function (DUF1666)', 246, NULL, 'DUF1666', 13708),
(13709, 'PF12552', NULL, 'Protein of unknown function (DUF3741)', 45, NULL, 'DUF3741', 13709),
(13710, 'PF01835', NULL, 'MG2 domain', 96, NULL, 'MG2', 13710),
(13711, 'PF17758', NULL, 'Proteasomal ATPase OB N-terminal domain', 62, NULL, 'Prot_ATP_OB_N', 13711),
(13712, 'PF10296', NULL, 'Maintenance of mitochondrial morphology protein 1', 334, NULL, 'MMM1', 13712),
(13713, 'PF10229', NULL, 'Methylmalonic aciduria and homocystinuria type D protein', 272, NULL, 'MMADHC', 13713);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13714, 'PF11874', NULL, 'Domain of unknown function (DUF3394)', 181, NULL, 'DUF3394', 13714),
(13715, 'PF01762', NULL, 'Galactosyltransferase', 195, NULL, 'Galactosyl_T', 13715),
(13716, 'PF06141', NULL, 'Phage minor tail protein U', 130, NULL, 'Phage_tail_U', 13716),
(13717, 'PF05570', NULL, 'Circovirus protein of unknown function (DUF765)', 29, NULL, 'DUF765', 13717),
(13718, 'PF07717', NULL, 'Oligonucleotide/oligosaccharide-binding (OB)-fold', 83, NULL, 'OB_NTP_bind', 13718),
(13719, 'PF06784', NULL, 'Uncharacterised protein family (UPF0240)', 175, NULL, 'UPF0240', 13719),
(13720, 'PF17723', NULL, 'Ribbon-Helix-Helix transcriptional regulator family', 119, NULL, 'RHH_8', 13720),
(13721, 'PF10815', NULL, 'ComZ', 55, NULL, 'ComZ', 13721),
(13722, 'PF01485', NULL, 'IBR domain, a half RING-finger domain', 62, NULL, 'IBR', 13722),
(13723, 'PF04917', NULL, 'Bacterial shufflon protein, N-terminal constant region', 324, NULL, 'Shufflon_N', 13723),
(13724, 'PF08288', NULL, 'PIGA (GPI anchor biosynthesis)', 90, NULL, 'PIGA', 13724),
(13725, 'PF15158', NULL, 'Domain of unknown function (DUF4579)', 185, NULL, 'DUF4579', 13725),
(13726, 'PF01215', NULL, 'Cytochrome c oxidase subunit Vb', 129, NULL, 'COX5B', 13726),
(13727, 'PF11495', NULL, 'Archaeal transcriptional regulator TrmB', 233, NULL, 'Regulator_TrmB', 13727),
(13728, 'PF02686', NULL, 'Glu-tRNAGln amidotransferase C subunit', 62, NULL, 'Glu-tRNAGln', 13728),
(13729, 'PF12578', NULL, 'Myotubularin-associated protein', 132, NULL, '3-PAP', 13729),
(13730, 'PF11555', NULL, 'EGFR receptor inhibitor Mig-6', 74, NULL, 'Inhibitor_Mig-6', 13730),
(13731, 'PF15395', NULL, 'Domain of unknown function (DUF4617)', 1086, NULL, 'DUF4617', 13731),
(13732, 'PF15873', NULL, 'Domain of unknown function (DUF4730)', 55, NULL, 'DUF4730', 13732),
(13733, 'PF04706', NULL, 'Dickkopf N-terminal cysteine-rich region', 52, NULL, 'Dickkopf_N', 13733),
(13734, 'PF03104', NULL, 'DNA polymerase family B, exonuclease domain', 337, NULL, 'DNA_pol_B_exo1', 13734),
(13735, 'PF17243', NULL, 'POTRA domain TamA domain 1', 77, NULL, 'POTRA_TamA_1', 13735),
(13736, 'PF14928', NULL, 'Short tail fibre protein receptor-binding domain', 93, NULL, 'S_tail_recep_bd', 13736),
(13737, 'PF01391', NULL, 'Collagen triple helix repeat (20 copies)', 60, NULL, 'Collagen', 13737),
(13738, 'PF14071', NULL, 'Putative coat protein', 127, NULL, 'YlbD_coat', 13738),
(13739, 'PF17796', NULL, 'Major Vault Protein repeat domain', 61, NULL, 'Vault_4', 13739),
(13740, 'PF07212', NULL, 'Hyaluronidase protein (HylP)', 278, NULL, 'Hyaluronidase_1', 13740),
(13741, 'PF10157', NULL, 'BLOC-1-related complex sub-unit 6', 152, NULL, 'BORCS6', 13741),
(13742, 'PF15738', NULL, 'Bacterial toxin of type II toxin-antitoxin system, YafQ', 88, NULL, 'YafQ_toxin', 13742),
(13743, 'PF14196', NULL, 'L-2-amino-thiazoline-4-carboxylic acid hydrolase', 145, NULL, 'ATC_hydrolase', 13743),
(13744, 'PF01661', NULL, 'Macro domain', 118, NULL, 'Macro', 13744),
(13745, 'PF02274', NULL, 'Amidinotransferase', 341, NULL, 'Amidinotransf', 13745),
(13746, 'PF18178', NULL, 'TIR- and PNP-associating SLOG family', 232, NULL, 'TPALS', 13746),
(13747, 'PF13219', NULL, 'Protein of unknown function (DUF4027)', 36, NULL, 'DUF4027', 13747),
(13748, 'PF05805', NULL, 'L6 membrane protein', 195, NULL, 'L6_membrane', 13748),
(13749, 'PF08653', NULL, 'DASH complex subunit Dam1', 56, NULL, 'DASH_Dam1', 13749),
(13750, 'PF05351', NULL, 'GMP-PDE, delta subunit', 157, NULL, 'GMP_PDE_delta', 13750),
(13751, 'PF02180', NULL, 'Bcl-2 homology region 4', 26, NULL, 'BH4', 13751),
(13752, 'PF14567', NULL, 'SMI1-KNR4 cell-wall', 142, NULL, 'SUKH_5', 13752),
(13753, 'PF05539', NULL, 'Pneumovirinae attachment membrane glycoprotein G', 408, NULL, 'Pneumo_att_G', 13753),
(13754, 'PF16637', NULL, 'Putative zinc-finger between two C2H2 zinc-fingers on Patz', 74, NULL, 'zf-C2H2_assoc3', 13754),
(13755, 'PF09804', NULL, 'DENN domain-containing protein 11', 283, NULL, 'DENND11', 13755);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13756, 'PF09140', NULL, 'ATPase MipZ', 262, NULL, 'MipZ', 13756),
(13757, 'PF05862', NULL, 'Helicobacter pylori IceA2 protein', 59, NULL, 'IceA2', 13757),
(13758, 'PF17463', NULL, 'Gene product 79', 51, NULL, 'GP79', 13758),
(13759, 'PF10054', NULL, 'Predicted periplasmic lipoprotein (DUF2291)', 198, NULL, 'DUF2291', 13759),
(13760, 'PF18745', NULL, 'Secreted Novel AID/APOBEC-like Deaminase 2', 204, NULL, 'SNAD2', 13760),
(13761, 'PF17528', NULL, 'Family of unknown function (DUF5449)', 174, NULL, 'DUF5449', 13761),
(13762, 'PF17054', NULL, 'Microtubule-Associated protein Jupiter', 359, NULL, 'JUPITER', 13762),
(13763, 'PF02197', NULL, 'Regulatory subunit of type II PKA R-subunit', 38, NULL, 'RIIa', 13763),
(13764, 'PF06217', NULL, 'GAGA binding protein-like family', 295, NULL, 'GAGA_bind', 13764),
(13765, 'PF09907', NULL, 'HigB_toxin, RelE-like toxic component of a toxin-antitoxin system', 74, NULL, 'HigB_toxin', 13765),
(13766, 'PF02050', NULL, 'Flagellar FliJ protein', 123, NULL, 'FliJ', 13766),
(13767, 'PF08444', NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase, C-terminal region', 89, NULL, 'Gly_acyl_tr_C', 13767),
(13768, 'PF17338', NULL, 'Gene product 88', 231, NULL, 'GP88', 13768),
(13769, 'PF16034', NULL, 'JAKMIP CC3 domain', 200, NULL, 'JAKMIP_CC3', 13769),
(13770, 'PF17863', NULL, 'AAA lid domain', 73, NULL, 'AAA_lid_2', 13770),
(13771, 'PF19003', NULL, 'Family of unknown function (DUF5732)', 85, NULL, 'DUF5732', 13771),
(13772, 'PF03738', NULL, 'Glutathionylspermidine synthase preATP-grasp', 375, NULL, 'GSP_synth', 13772),
(13773, 'PF15617', NULL, 'C-C_Bond_Lyase of the TIM-Barrel fold', 335, NULL, 'C-C_Bond_Lyase', 13773),
(13774, 'PF03065', NULL, 'Glycosyl hydrolase family 57', 325, NULL, 'Glyco_hydro_57', 13774),
(13775, 'PF03461', NULL, 'TRCF domain', 95, NULL, 'TRCF', 13775),
(13776, 'PF03252', NULL, 'Herpesvirus UL21', 524, NULL, 'Herpes_UL21', 13776),
(13777, 'PF12248', NULL, 'Farnesoic acid 0-methyl transferase', 102, NULL, 'Methyltransf_FA', 13777),
(13778, 'PF14793', NULL, 'Pyrimidine/purine nucleotide 5''-monophosphate nucleosidases', 109, NULL, 'DUF4478', 13778),
(13779, 'PF19044', NULL, 'TraG P-loop domain', 413, NULL, 'P-loop_TraG', 13779),
(13780, 'PF04158', NULL, 'Sof1-like domain', 87, NULL, 'Sof1', 13780),
(13781, 'PF07525', NULL, 'SOCS box', 34, NULL, 'SOCS_box', 13781),
(13782, 'PF10097', NULL, 'Predicted membrane protein (DUF2335)', 50, NULL, 'DUF2335', 13782),
(13783, 'PF10703', NULL, 'MoaF N-terminal domain', 108, NULL, 'MoaF', 13783),
(13784, 'PF12118', NULL, 'SprA-related family', 338, NULL, 'SprA-related', 13784),
(13785, 'PF17918', NULL, 'Tetracyclin repressor-like, C-terminal domain', 108, NULL, 'TetR_C_15', 13785),
(13786, 'PF00745', NULL, 'Glutamyl-tRNAGlu reductase, dimerisation domain', 97, NULL, 'GlutR_dimer', 13786),
(13787, 'PF17003', NULL, 'Putative actin-like family', 369, NULL, 'Actin_micro', 13787),
(13788, 'PF10203', NULL, 'Cytochrome c oxidase assembly protein PET191', 67, NULL, 'Pet191_N', 13788),
(13789, 'PF05857', NULL, 'TraX protein', 218, NULL, 'TraX', 13789),
(13790, 'PF04495', NULL, 'GRASP55/65 PDZ-like domain', 138, NULL, 'GRASP55_65', 13790),
(13791, 'PF11593', NULL, 'Mediator complex subunit 3 fungal', 398, NULL, 'Med3', 13791),
(13792, 'PF13389', NULL, 'Protein of unknown function (DUF4107)', 163, NULL, 'DUF4107', 13792),
(13793, 'PF04834', NULL, 'Early E3 14.5 kDa protein', 100, NULL, 'Adeno_E3_14_5', 13793),
(13794, 'PF11992', NULL, 'Domain of unknown function (DUF3488)', 339, NULL, 'DUF3488', 13794),
(13795, 'PF15350', NULL, 'Ewing''s tumour-associated antigen 1 homologue', 830, NULL, 'ETAA1', 13795),
(13796, 'PF10400', NULL, 'Virulence activator alpha C-term', 77, NULL, 'Vir_act_alpha_C', 13796),
(13797, 'PF13012', NULL, 'Maintenance of mitochondrial structure and function', 112, NULL, 'MitMem_reg', 13797),
(13798, 'PF09868', NULL, 'Uncharacterized protein conserved in archaea (DUF2095)', 129, NULL, 'DUF2095', 13798);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13799, 'PF19007', NULL, 'Family of unknown function (DUF5736)', 111, NULL, 'DUF5736', 13799),
(13800, 'PF01642', NULL, 'Methylmalonyl-CoA mutase', 514, NULL, 'MM_CoA_mutase', 13800),
(13801, 'PF02256', NULL, 'Iron hydrogenase small subunit', 56, NULL, 'Fe_hyd_SSU', 13801),
(13802, 'PF03080', NULL, 'Neprosin', 224, NULL, 'Neprosin', 13802),
(13803, 'PF11414', NULL, 'Adenomatous polyposis coli tumour suppressor protein', 82, NULL, 'Suppressor_APC', 13803),
(13804, 'PF04906', NULL, 'Tweety', 406, NULL, 'Tweety', 13804),
(13805, 'PF05009', NULL, 'Epstein-Barr virus nuclear antigen 3 (EBNA-3)', 254, NULL, 'EBV-NA3', 13805),
(13806, 'PF19124', NULL, 'Family of unknown function (DUF5808)', 26, NULL, 'DUF5808', 13806),
(13807, 'PF15948', NULL, 'Domain of unknown function (DUF4756)', 158, NULL, 'DUF4756', 13807),
(13808, 'PF00249', NULL, 'Myb-like DNA-binding domain', 46, NULL, 'Myb_DNA-binding', 13808),
(13809, 'PF04634', NULL, 'Protein of unknown function, DUF600', 146, NULL, 'DUF600', 13809),
(13810, 'PF01314', NULL, 'Aldehyde ferredoxin oxidoreductase, domains 2 & 3', 383, NULL, 'AFOR_C', 13810),
(13811, 'PF10866', NULL, 'Protein of unknown function (DUF2704)', 167, NULL, 'DUF2704', 13811),
(13812, 'PF06075', NULL, 'Plant protein of unknown function (DUF936)', 698, NULL, 'DUF936', 13812),
(13813, 'PF05556', NULL, 'Calcineurin-binding protein (Calsarcin)', 255, NULL, 'Calsarcin', 13813),
(13814, 'PF06078', NULL, 'Bacterial protein of unknown function (DUF937)', 137, NULL, 'DUF937', 13814),
(13815, 'PF02099', NULL, 'Josephin', 164, NULL, 'Josephin', 13815),
(13816, 'PF13600', NULL, 'N-terminal domain of unknown function (DUF4140)', 99, NULL, 'DUF4140', 13816),
(13817, 'PF18738', NULL, 'DZIP3/ hRUL138-like HEPN', 143, NULL, 'HEPN_DZIP3', 13817),
(13818, 'PF04417', NULL, 'Protein of unknown function (DUF501)', 140, NULL, 'DUF501', 13818),
(13819, 'PF01542', NULL, 'Hepatitis C virus core protein', 75, NULL, 'HCV_core', 13819),
(13820, 'PF02444', NULL, 'Hepatitis E virus ORF-2 (Putative capsid protein)', 114, NULL, 'HEV_ORF1', 13820),
(13821, 'PF17859', NULL, 'Pelovaterin', 42, NULL, 'Pelovaterin', 13821),
(13822, 'PF17400', NULL, 'Family of unknown function (DUF5406)', 114, NULL, 'DUF5406', 13822),
(13823, 'PF15934', NULL, 'Yuri gagarin', 234, NULL, 'Yuri_gagarin', 13823),
(13824, 'PF10539', NULL, 'Development and cell death domain', 127, NULL, 'Dev_Cell_Death', 13824),
(13825, 'PF13864', NULL, 'Calmodulin-binding', 98, NULL, 'Enkurin', 13825),
(13826, 'PF01937', NULL, 'Protein of unknown function DUF89', 353, NULL, 'DUF89', 13826),
(13827, 'PF12705', NULL, 'PD-(D/E)XK nuclease superfamily', 255, NULL, 'PDDEXK_1', 13827),
(13828, 'PF11780', NULL, 'Protein of unknown function (DUF3318)', 143, NULL, 'DUF3318', 13828),
(13829, 'PF14830', NULL, 'Haemocyanin beta-sandwich', 103, NULL, 'Haemocyan_bet_s', 13829),
(13830, 'PF16009', NULL, 'Domain of unknown function (DUF4779)', 160, NULL, 'DUF4779', 13830),
(13831, 'PF03088', NULL, 'Strictosidine synthase', 89, NULL, 'Str_synth', 13831),
(13832, 'PF07809', NULL, 'RTP801 C-terminal region', 118, NULL, 'RTP801_C', 13832),
(13833, 'PF08222', NULL, 'CodY helix-turn-helix domain', 61, NULL, 'HTH_CodY', 13833),
(13834, 'PF17215', NULL, 'S1 domain', 89, NULL, 'Rrp44_S1', 13834),
(13835, 'PF08721', NULL, 'TnsA endonuclease C terminal', 83, NULL, 'Tn7_Tnp_TnsA_C', 13835),
(13836, 'PF08973', NULL, 'Domain of unknown function (DUF1893)', 130, NULL, 'TM1506', 13836),
(13837, 'PF07697', NULL, '7TM-HD extracellular', 220, NULL, '7TMR-HDED', 13837),
(13838, 'PF01896', NULL, 'DNA primase small subunit', 182, NULL, 'DNA_primase_S', 13838),
(13839, 'PF14869', NULL, 'Domain of unknown function (DUF4488)', 123, NULL, 'DUF4488', 13839),
(13840, 'PF18326', NULL, 'RFX5 N-terminal domain', 59, NULL, 'RFX5_N', 13840),
(13841, 'PF05817', NULL, 'Oligosaccharyltransferase subunit Ribophorin II', 633, NULL, 'Ribophorin_II', 13841),
(13842, 'PF08667', NULL, 'BetR domain', 148, NULL, 'BetR', 13842);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13843, 'PF11790', NULL, 'Glycosyl hydrolase catalytic core', 239, NULL, 'Glyco_hydro_cc', 13843),
(13844, 'PF15097', NULL, 'Immunoglobulin J chain', 134, NULL, 'Ig_J_chain', 13844),
(13845, 'PF00156', NULL, 'Phosphoribosyl transferase domain', 159, NULL, 'Pribosyltran', 13845),
(13846, 'PF11826', NULL, 'Protein of unknown function (DUF3346)', 225, NULL, 'DUF3346', 13846),
(13847, 'PF15433', NULL, 'Mitochondrial 28S ribosomal protein S31', 318, NULL, 'MRP-S31', 13847),
(13848, 'PF01619', NULL, 'Proline dehydrogenase', 281, NULL, 'Pro_dh', 13848),
(13849, 'PF16041', NULL, 'Domain of unknown function (DUF4793)', 108, NULL, 'DUF4793', 13849),
(13850, 'PF09938', NULL, 'Uncharacterized protein conserved in bacteria (DUF2170)', 137, NULL, 'DUF2170', 13850),
(13851, 'PF14518', NULL, 'Iron-containing redox enzyme', 178, NULL, 'Haem_oxygenas_2', 13851),
(13852, 'PF17412', NULL, 'Family of unknown function', 55, NULL, 'VraX', 13852),
(13853, 'PF14400', NULL, 'Inactive transglutaminase fused to 7 transmembrane helices', 161, NULL, 'Transglut_i_TM', 13853),
(13854, 'PF09856', NULL, 'Short-chain fatty acyl coenzyme A regulators', 157, NULL, 'ScfRs', 13854),
(13855, 'PF09974', NULL, 'Uncharacterized protein conserved in archaea (DUF2209)', 121, NULL, 'DUF2209', 13855),
(13856, 'PF19119', NULL, 'Family of unknown function (DUF5803)', 196, NULL, 'DUF5803', 13856),
(13857, 'PF05760', NULL, 'Immediate early response protein (IER)', 319, NULL, 'IER', 13857),
(13858, 'PF03912', NULL, 'Psb28 protein', 106, NULL, 'Psb28', 13858),
(13859, 'PF07103', NULL, 'Protein of unknown function (DUF1365)', 240, NULL, 'DUF1365', 13859),
(13860, 'PF14569', NULL, 'Zinc-binding RING-finger', 78, NULL, 'zf-UDP', 13860),
(13861, 'PF17570', NULL, 'Family of unknown function (DUF5476)', 62, NULL, 'DUF5476', 13861),
(13862, 'PF11211', NULL, 'Protein of unknown function (DUF2997)', 47, NULL, 'DUF2997', 13862),
(13863, 'PF04133', NULL, 'Vacuolar protein sorting 55', 119, NULL, 'Vps55', 13863),
(13864, 'PF06912', NULL, 'Protein of unknown function (DUF1275)', 191, NULL, 'DUF1275', 13864),
(13865, 'PF17041', NULL, 'E domain', 48, NULL, 'SasG_E', 13865),
(13866, 'PF15255', NULL, 'WASH complex subunit CAP-Z interacting, central region', 139, NULL, 'CAP-ZIP_m', 13866),
(13867, 'PF16023', NULL, 'Domain of unknown function (DUF4784)', 409, NULL, 'DUF4784', 13867),
(13868, 'PF02868', NULL, 'Thermolysin metallopeptidase, alpha-helical domain', 168, NULL, 'Peptidase_M4_C', 13868),
(13869, 'PF08752', NULL, 'Coatomer gamma subunit appendage platform subdomain', 152, NULL, 'COP-gamma_platf', 13869),
(13870, 'PF04623', NULL, 'Adenovirus E1B protein N-terminus', 71, NULL, 'Adeno_E1B_55K_N', 13870),
(13871, 'PF00128', NULL, 'Alpha amylase, catalytic domain', 336, NULL, 'Alpha-amylase', 13871),
(13872, 'PF05966', NULL, 'Chordopoxvirus A33R protein', 186, NULL, 'Chordopox_A33R', 13872),
(13873, 'PF06656', NULL, 'Tenuivirus PVC2 protein', 784, NULL, 'Tenui_PVC2', 13873),
(13874, 'PF16731', NULL, 'Glutamic acid/alanine-rich protein of Trypanosoma', 193, NULL, 'GARP', 13874),
(13875, 'PF02255', NULL, 'PTS system, Lactose/Cellobiose specific IIA subunit', 94, NULL, 'PTS_IIA', 13875),
(13876, 'PF15818', NULL, 'Coiled-coil domain-containing protein 73 family', 1050, NULL, 'CCDC73', 13876),
(13877, 'PF17821', NULL, 'Family of unknown function (DUF5583)', 131, NULL, 'DUF5583', 13877),
(13878, 'PF18389', NULL, 'TrmO C-terminal domain', 65, NULL, 'TrmO_C', 13878),
(13879, 'PF07001', NULL, 'BAT2 N-terminus', 190, NULL, 'BAT2_N', 13879),
(13880, 'PF13874', NULL, 'Nucleoporin complex subunit 54', 140, NULL, 'Nup54', 13880),
(13881, 'PF05957', NULL, 'DUF883 N-terminal domain', 53, NULL, 'DUF883', 13881),
(13882, 'PF14733', NULL, 'AP2-coincident C-terminal', 90, NULL, 'ACDC', 13882),
(13883, 'PF18022', NULL, 'Ricin-type beta-trefoil lectin C-terminal domain', 102, NULL, 'Lectin_C_term', 13883),
(13884, 'PF05416', NULL, 'Southampton virus-type processing peptidase', 535, NULL, 'Peptidase_C37', 13884);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13885, 'PF09929', NULL, 'Putative PD-(D/E)XK phosphodiesterase (DUF2161)', 118, NULL, 'DUF2161', 13885),
(13886, 'PF13259', NULL, 'Protein of unknown function (DUF4050)', 183, NULL, 'DUF4050', 13886),
(13887, 'PF06718', NULL, 'Protein of unknown function (DUF1203)', 116, NULL, 'DUF1203', 13887),
(13888, 'PF02176', NULL, 'TRAF-type zinc finger', 60, NULL, 'zf-TRAF', 13888),
(13889, 'PF14798', NULL, 'Calcium homeostasis modulator', 253, NULL, 'Ca_hom_mod', 13889),
(13890, 'PF15803', NULL, 'Zinc-finger of sodium channel modifier 1', 27, NULL, 'zf-SCNM1', 13890),
(13891, 'PF15160', NULL, 'Spermatogenesis-associated serine-rich protein 1', 238, NULL, 'SASRP1', 13891),
(13892, 'PF17851', NULL, 'Beta xylosidase C-terminal Concanavalin A-like domain', 202, NULL, 'GH43_C2', 13892),
(13893, 'PF01634', NULL, 'ATP phosphoribosyltransferase', 158, NULL, 'HisG', 13893),
(13894, 'PF12938', NULL, 'M domain of GW182', 246, NULL, 'M_domain', 13894),
(13895, 'PF02616', NULL, 'Segregation and condensation protein ScpA', 241, NULL, 'SMC_ScpA', 13895),
(13896, 'PF00177', NULL, 'Ribosomal protein S7p/S5e', 149, NULL, 'Ribosomal_S7', 13896),
(13897, 'PF10214', NULL, 'RNA polymerase I-specific transcription-initiation factor', 853, NULL, 'Rrn6', 13897),
(13898, 'PF16785', NULL, 'Small metal-binding protein', 111, NULL, 'SMBP', 13898),
(13899, 'PF12042', NULL, 'Tubuliform egg casing silk strands structural domain', 168, NULL, 'RP1-2', 13899),
(13900, 'PF19066', NULL, 'Family of unknown function (DUF5762)', 69, NULL, 'DUF5762', 13900),
(13901, 'PF18252', NULL, 'Copper(I)-binding protein CorA', 175, NULL, 'Cu_bind_CorA', 13901),
(13902, 'PF01609', NULL, 'Transposase DDE domain', 214, NULL, 'DDE_Tnp_1', 13902),
(13903, 'PF13701', NULL, 'Transposase DDE domain group 1', 435, NULL, 'DDE_Tnp_1_4', 13903),
(13904, 'PF00205', NULL, 'Thiamine pyrophosphate enzyme, central domain', 137, NULL, 'TPP_enzyme_M', 13904),
(13905, 'PF05349', NULL, 'GATA-type transcription activator, N-terminal', 179, NULL, 'GATA-N', 13905),
(13906, 'PF05613', NULL, 'Human herpesvirus U15 protein', 110, NULL, 'Herpes_U15', 13906),
(13907, 'PF18777', NULL, 'Chromosome region maintenance or exportin repeat', 37, NULL, 'CRM1_repeat', 13907),
(13908, 'PF03141', NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', 506, NULL, 'Methyltransf_29', 13908),
(13909, 'PF18589', NULL, 'Obesity receptor immunoglobulin like domain', 105, NULL, 'ObR_Ig', 13909),
(13910, 'PF14200', NULL, 'Ricin-type beta-trefoil lectin domain-like', 89, NULL, 'RicinB_lectin_2', 13910),
(13911, 'PF08405', NULL, 'Viral polyprotein N-terminal', 358, NULL, 'Calici_PP_N', 13911),
(13912, 'PF06933', NULL, 'Special lobe-specific silk protein SSP160', 756, NULL, 'SSP160', 13912),
(13913, 'PF14486', NULL, 'Domain of unknown function (DUF4432)', 304, NULL, 'DUF4432', 13913),
(13914, 'PF19037', NULL, 'Second Longin domain of FUZ, MON1 and HPS1', 100, NULL, 'Fuz_longin_2', 13914),
(13915, 'PF11230', NULL, 'Protein of unknown function (DUF3029)', 485, NULL, 'DUF3029', 13915),
(13916, 'PF10821', NULL, 'Protein of unknown function (DUF2567)', 166, NULL, 'DUF2567', 13916),
(13917, 'PF07877', NULL, 'Protein of unknown function (DUF1661)', 31, NULL, 'DUF1661', 13917),
(13918, 'PF19051', NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', 254, NULL, 'GFO_IDH_MocA_C2', 13918),
(13919, 'PF05992', NULL, 'SbmA/BacA-like family', 315, NULL, 'SbmA_BacA', 13919),
(13920, 'PF17495', NULL, 'Vpr-like OrfA', 106, NULL, 'OrfA', 13920),
(13921, 'PF01820', NULL, 'D-ala D-ala ligase N-terminus', 108, NULL, 'Dala_Dala_lig_N', 13921),
(13922, 'PF10767', NULL, 'Protein of unknown function (DUF2593)', 141, NULL, 'DUF2593', 13922),
(13923, 'PF07467', NULL, 'Beta-lactamase inhibitor (BLIP)', 123, NULL, 'BLIP', 13923),
(13924, 'PF07403', NULL, 'Protein of unknown function (DUF1505)', 114, NULL, 'DUF1505', 13924),
(13925, 'PF02583', NULL, 'Metal-sensitive transcriptional repressor', 77, NULL, 'Trns_repr_metal', 13925);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13926, 'PF06478', NULL, 'Coronavirus RNA-dependent RNA polymerase, N-terminal', 350, NULL, 'CoV_RPol_N', 13926),
(13927, 'PF09497', NULL, 'Transcription mediator complex subunit Med12', 63, NULL, 'Med12', 13927),
(13928, 'PF16741', NULL, 'mRNA-decapping enzyme C-terminus', 43, NULL, 'mRNA_decap_C', 13928),
(13929, 'PF12120', NULL, 'Rifampin ADP-ribosyl transferase', 99, NULL, 'Arr-ms', 13929),
(13930, 'PF06314', NULL, 'Acetoacetate decarboxylase (ADC)', 236, NULL, 'ADC', 13930),
(13931, 'PF13061', NULL, 'Protein of unknown function (DUF3923)', 65, NULL, 'DUF3923', 13931),
(13932, 'PF14981', NULL, 'FAM165 family', 50, NULL, 'FAM165', 13932),
(13933, 'PF03020', NULL, 'LEM domain', 40, NULL, 'LEM', 13933),
(13934, 'PF17228', NULL, 'Sulphur globule protein', 97, NULL, 'SGP', 13934),
(13935, 'PF10088', NULL, 'Uncharacterised protein conserved in bacteria (DUF2326)', 140, NULL, 'DUF2326', 13935),
(13936, 'PF06398', NULL, 'Integral peroxisomal membrane peroxin', 366, NULL, 'Pex24p', 13936),
(13937, 'PF12415', NULL, 'Poxvirus DNA dependent RNA polymerase', 32, NULL, 'rpo132', 13937),
(13938, 'PF15169', NULL, 'Cytochrome b-245 chaperone 1 / Eros', 184, NULL, 'Cybc1_Eros', 13938),
(13939, 'PF19100', NULL, 'Family of unknown function (DUF5787)', 266, NULL, 'DUF5787', 13939),
(13940, 'PF07331', NULL, 'Tripartite tricarboxylate transporter TctB family', 135, NULL, 'TctB', 13940),
(13941, 'PF10230', NULL, 'Lipid-droplet associated hydrolase', 266, NULL, 'LIDHydrolase', 13941),
(13942, 'PF15712', NULL, 'NPAT C terminus', 686, NULL, 'NPAT_C', 13942),
(13943, 'PF17466', NULL, 'Family of unknown function', 57, NULL, 'NinD', 13943),
(13944, 'PF11560', NULL, 'Lamina-associated polypeptide 2 alpha', 234, NULL, 'LAP2alpha', 13944),
(13945, 'PF07544', NULL, 'RNA polymerase II transcription mediator complex subunit 9', 80, NULL, 'Med9', 13945),
(13946, 'PF04554', NULL, 'Extensin-like region', 58, NULL, 'Extensin_2', 13946),
(13947, 'PF05207', NULL, 'CSL zinc finger', 59, NULL, 'zf-CSL', 13947),
(13948, 'PF02606', NULL, 'Tetraacyldisaccharide-1-P 4''-kinase', 327, NULL, 'LpxK', 13948),
(13949, 'PF14635', NULL, 'Helix-hairpin-helix motif', 104, NULL, 'HHH_7', 13949),
(13950, 'PF07740', NULL, 'Ion channel inhibitory toxin', 30, NULL, 'Toxin_12', 13950),
(13951, 'PF02416', NULL, 'mttA/Hcf106 family', 53, NULL, 'TatA_B_E', 13951),
(13952, 'PF09174', NULL, 'Maf1 regulator', 174, NULL, 'Maf1', 13952),
(13953, 'PF12379', NULL, 'Betacoronavirus replicase NSP3, N-terminal', 149, NULL, 'bCoV_NSP3_N', 13953),
(13954, 'PF09019', NULL, 'EcoRII C terminal', 165, NULL, 'EcoRII-C', 13954),
(13955, 'PF05088', NULL, 'Bacterial NAD-glutamate dehydrogenase', 1531, NULL, 'Bac_GDH', 13955),
(13956, 'PF03338', NULL, 'Poxvirus J1 protein', 146, NULL, 'Pox_J1', 13956),
(13957, 'PF05585', NULL, 'Putative peptidase (DUF1758)', 164, NULL, 'DUF1758', 13957),
(13958, 'PF07944', NULL, 'Beta-L-arabinofuranosidase, GH127', 508, NULL, 'Glyco_hydro_127', 13958),
(13959, 'PF10067', NULL, 'Predicted membrane protein (DUF2306)', 147, NULL, 'DUF2306', 13959),
(13960, 'PF00200', NULL, 'Disintegrin', 76, NULL, 'Disintegrin', 13960),
(13961, 'PF05618', NULL, 'Putative ATP-dependant zinc protease', 138, NULL, 'Zn_protease', 13961),
(13962, 'PF00518', NULL, 'Early Protein (E6)', 110, NULL, 'E6', 13962),
(13963, 'PF14288', NULL, '1,3-beta-glucan synthase subunit FKS1, domain-1', 119, NULL, 'FKS1_dom1', 13963),
(13964, 'PF17808', NULL, 'Fn3-like domain from Purple Acid Phosphatase', 118, NULL, 'fn3_PAP', 13964),
(13965, 'PF19180', NULL, 'Family of unknown function (DUF5862)', 68, NULL, 'DUF5862', 13965),
(13966, 'PF00353', NULL, 'RTX calcium-binding nonapeptide repeat (4 copies)', 36, NULL, 'HemolysinCabind', 13966),
(13967, 'PF17131', NULL, 'Outer membrane lipoprotein-sorting protein', 184, NULL, 'LolA_like', 13967),
(13968, 'PF05941', NULL, 'Chordopoxvirus A20R protein', 334, NULL, 'Chordopox_A20R', 13968),
(13969, 'PF06020', NULL, 'Drosophila roughex protein', 365, NULL, 'Roughex', 13969);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(13970, 'PF06696', NULL, 'Streptococcal surface antigen repeat', 25, NULL, 'Strep_SA_rep', 13970),
(13971, 'PF06581', NULL, 'Mad1 and Cdc20-bound-Mad2 binding', 265, NULL, 'p31comet', 13971),
(13972, 'PF08666', NULL, 'SAF domain', 63, NULL, 'SAF', 13972),
(13973, 'PF07574', NULL, 'Nse1 non-SMC component of SMC5-6 complex', 194, NULL, 'SMC_Nse1', 13973),
(13974, 'PF11157', NULL, 'Protein of unknown function (DUF2937)', 162, NULL, 'DUF2937', 13974),
(13975, 'PF02167', NULL, 'Cytochrome C1 family', 219, NULL, 'Cytochrom_C1', 13975),
(13976, 'PF11794', NULL, '4-hydroxyphenylacetate 3-hydroxylase N terminal', 272, NULL, 'HpaB_N', 13976),
(13977, 'PF14341', NULL, 'PilX N-terminal', 51, NULL, 'PilX_N', 13977),
(13978, 'PF16299', NULL, 'Domain of unknown function (DUF4941)', 265, NULL, 'DUF4941', 13978),
(13979, 'PF08759', NULL, 'Glycosyltransferase GT-D fold', 224, NULL, 'GT-D', 13979),
(13980, 'PF02818', NULL, 'PPAK motif', 27, NULL, 'PPAK', 13980),
(13981, 'PF05915', NULL, 'Eukaryotic protein of unknown function (DUF872)', 119, NULL, 'DUF872', 13981),
(13982, 'PF02951', NULL, 'Prokaryotic glutathione synthetase, N-terminal domain', 119, NULL, 'GSH-S_N', 13982),
(13983, 'PF07171', NULL, 'MlrC C-terminus', 178, NULL, 'MlrC_C', 13983),
(13984, 'PF04186', NULL, 'FxsA cytoplasmic membrane protein', 109, NULL, 'FxsA', 13984),
(13985, 'PF16946', NULL, 'OMPG-porin 1 family', 294, NULL, 'Porin_OmpG_1_2', 13985),
(13986, 'PF08892', NULL, 'YqcI/YcgG family', 211, NULL, 'YqcI_YcgG', 13986),
(13987, 'PF11966', NULL, 'SSURE domain', 149, NULL, 'SSURE', 13987),
(13988, 'PF03269', NULL, 'Caenorhabditis protein of unknown function, DUF268', 176, NULL, 'DUF268', 13988),
(13989, 'PF13264', NULL, 'Domain of unknown function (DUF4055)', 135, NULL, 'DUF4055', 13989),
(13990, 'PF04544', NULL, 'Herpesvirus egress protein UL20', 179, NULL, 'Herpes_UL20', 13990),
(13991, 'PF15784', NULL, 'G-protein pathway suppressor 2-interacting domain', 89, NULL, 'GPS2_interact', 13991),
(13992, 'PF08482', NULL, 'ATP-dependent helicase C-terminal', 133, NULL, 'HrpB_C', 13992),
(13993, 'PF06140', NULL, 'Interferon-induced 6-16 family', 79, NULL, 'Ifi-6-16', 13993),
(13994, 'PF16524', NULL, 'Periplasmic domain of Sensor histidine kinase RisS', 107, NULL, 'RisS_PPD', 13994),
(13995, 'PF17922', NULL, 'Tetracyclin repressor-like, C-terminal domain', 100, NULL, 'TetR_C_17', 13995),
(13996, 'PF02403', NULL, 'Seryl-tRNA synthetase N-terminal domain', 108, NULL, 'Seryl_tRNA_N', 13996),
(13997, 'PF01079', NULL, 'Hint module', 214, NULL, 'Hint', 13997),
(13998, 'PF16999', NULL, 'Vacuolar (H+)-ATPase G subunit', 104, NULL, 'V-ATPase_G_2', 13998),
(13999, 'PF13552', NULL, 'Protein of unknown function (DUF4127)', 491, NULL, 'DUF4127', 13999),
(14000, 'PF03318', NULL, 'Clostridium epsilon toxin ETX/Bacillus mosquitocidal toxin MTX2', 228, NULL, 'ETX_MTX2', 14000),
(14001, 'PF13411', NULL, 'MerR HTH family regulatory protein', 69, NULL, 'MerR_1', 14001),
(14002, 'PF06840', NULL, 'Protein of unknown function (DUF1241)', 150, NULL, 'DUF1241', 14002),
(14003, 'PF12340', NULL, 'Protein of unknown function (DUF3638)', 226, NULL, 'DUF3638', 14003),
(14004, 'PF09807', NULL, 'Elongation complex protein 6', 252, NULL, 'ELP6', 14004),
(14005, 'PF16360', NULL, 'GTP-binding GTPase Middle Region', 79, NULL, 'GTP-bdg_M', 14005),
(14006, 'PF07648', NULL, 'Kazal-type serine protease inhibitor domain', 49, NULL, 'Kazal_2', 14006),
(14007, 'PF14334', NULL, 'Domain of unknown function (DUF4390)', 161, NULL, 'DUF4390', 14007),
(14008, 'PF03733', NULL, 'Inner membrane component domain', 51, NULL, 'YccF', 14008),
(14009, 'PF18253', NULL, 'Hsp70-interacting protein N N-terminal domain', 42, NULL, 'HipN', 14009),
(14010, 'PF03295', NULL, 'Poxvirus trans-activator protein A1 C-terminal', 63, NULL, 'Pox_TAA1', 14010),
(14011, 'PF06505', NULL, 'Activator of aromatic catabolism', 101, NULL, 'XylR_N', 14011),
(14012, 'PF06223', NULL, 'Minor tail protein T', 100, NULL, 'Phage_tail_T', 14012);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14013, 'PF13905', NULL, 'Thioredoxin-like', 94, NULL, 'Thioredoxin_8', 14013),
(14014, 'PF18435', NULL, 'Esterase Ig-like N-terminal domain', 122, NULL, 'EstA_Ig_like', 14014),
(14015, 'PF13245', NULL, 'AAA domain', 145, NULL, 'AAA_19', 14015),
(14016, 'PF10237', NULL, 'Probable N6-adenine methyltransferase', 168, NULL, 'N6-adenineMlase', 14016),
(14017, 'PF01677', NULL, 'Herpesvirus UL7 like', 214, NULL, 'Herpes_UL7', 14017),
(14018, 'PF00921', NULL, 'Borrelia lipoprotein', 296, NULL, 'Lipoprotein_2', 14018),
(14019, 'PF01964', NULL, 'Radical SAM ThiC family', 418, NULL, 'ThiC_Rad_SAM', 14019),
(14020, 'PF06249', NULL, 'Ethanolamine utilisation protein EutQ', 152, NULL, 'EutQ', 14020),
(14021, 'PF17507', NULL, 'Family of unknown function (DUF5439)', 75, NULL, 'DUF5439', 14021),
(14022, 'PF07281', NULL, 'Insulin-induced protein (INSIG)', 219, NULL, 'INSIG', 14022),
(14023, 'PF17885', NULL, 'Styrene monooxygenase A putative substrate binding domain', 108, NULL, 'Smoa_sbd', 14023),
(14024, 'PF12016', NULL, 'Stonin 2', 338, NULL, 'Stonin2_N', 14024),
(14025, 'PF05901', NULL, 'Excalibur calcium-binding domain', 38, NULL, 'Excalibur', 14025),
(14026, 'PF08089', NULL, 'Huwentoxin-II family', 39, NULL, 'Toxin_20', 14026),
(14027, 'PF11299', NULL, 'Protein of unknown function (DUF3100)', 235, NULL, 'DUF3100', 14027),
(14028, 'PF10293', NULL, 'Domain of unknown function (DUF2405)', 153, NULL, 'DUF2405', 14028),
(14029, 'PF05866', NULL, 'Endodeoxyribonuclease RusA', 126, NULL, 'RusA', 14029),
(14030, 'PF13958', NULL, 'Toxin ToxN, type III toxin-antitoxin system', 159, NULL, 'ToxN_toxin', 14030),
(14031, 'PF09850', NULL, 'Type VI secretion system protein DotU', 205, NULL, 'DotU', 14031),
(14032, 'PF17652', NULL, 'Glycosyl hydrolase family 81 C-terminal domain', 349, NULL, 'Glyco_hydro81C', 14032),
(14033, 'PF06105', NULL, 'Aph-1 protein', 231, NULL, 'Aph-1', 14033),
(14034, 'PF15940', NULL, 'Family of unknown function', 92, NULL, 'YjcB', 14034),
(14035, 'PF01705', NULL, 'CX module', 59, NULL, 'CX', 14035),
(14036, 'PF14121', NULL, 'Putative porin', 595, NULL, 'Porin_10', 14036),
(14037, 'PF11574', NULL, 'Protein of unknown function (DUF3235)', 89, NULL, 'DUF3235', 14037),
(14038, 'PF15666', NULL, 'Germinal center-associated lymphoma', 88, NULL, 'HGAL', 14038),
(14039, 'PF15799', NULL, 'Coiled-coil domain-containing protein 48', 579, NULL, 'CCD48', 14039),
(14040, 'PF17517', NULL, 'IgGFc binding protein', 294, NULL, 'IgGFc_binding', 14040),
(14041, 'PF18429', NULL, 'Domain of unknown function (DUF5609)', 65, NULL, 'DUF5609', 14041),
(14042, 'PF07655', NULL, 'Secretin N-terminal domain', 95, NULL, 'Secretin_N_2', 14042),
(14043, 'PF02774', NULL, 'Semialdehyde dehydrogenase, dimerisation domain', 184, NULL, 'Semialdhyde_dhC', 14043),
(14044, 'PF17428', NULL, 'Family of unknown function (DUF5412)', 118, NULL, 'DUF5412', 14044),
(14045, 'PF17599', NULL, 'Family of unknown function (DUF5495)', 87, NULL, 'DUF5495', 14045),
(14046, 'PF05889', NULL, 'O-phosphoseryl-tRNA(Sec) selenium transferase, SepSecS', 389, NULL, 'SepSecS', 14046),
(14047, 'PF16525', NULL, 'Haemophore, haem-binding', 77, NULL, 'MHB', 14047),
(14048, 'PF18219', NULL, 'SidC N-terminal domain', 480, NULL, 'SidC_N', 14048),
(14049, 'PF08823', NULL, 'Putative peptidoglycan binding domain', 74, NULL, 'PG_binding_2', 14049),
(14050, 'PF02776', NULL, 'Thiamine pyrophosphate enzyme, N-terminal TPP binding domain', 172, NULL, 'TPP_enzyme_N', 14050),
(14051, 'PF16830', NULL, 'Nucleotide-Binding Domain 94 of RH', 91, NULL, 'NBD94', 14051),
(14052, 'PF09465', NULL, 'Lamin-B receptor of TUDOR domain', 55, NULL, 'LBR_tudor', 14052),
(14053, 'PF14316', NULL, 'Domain of unknown function (DUF4381)', 146, NULL, 'DUF4381', 14053),
(14054, 'PF09078', NULL, 'CheY binding', 63, NULL, 'CheY-binding', 14054),
(14055, 'PF01147', NULL, 'Crustacean CHH/MIH/GIH neurohormone family', 67, NULL, 'Crust_neurohorm', 14055),
(14056, 'PF02065', NULL, 'Melibiase', 347, NULL, 'Melibiase', 14056);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14057, 'PF15528', NULL, 'Bacterial toxin 23', 193, NULL, 'Ntox23', 14057),
(14058, 'PF15400', NULL, 'Testis-expressed sequence 33 protein family', 138, NULL, 'TEX33', 14058),
(14059, 'PF00341', NULL, 'PDGF/VEGF domain', 82, NULL, 'PDGF', 14059),
(14060, 'PF06437', NULL, 'IMP-specific 5''-nucleotidase', 410, NULL, 'ISN1', 14060),
(14061, 'PF14829', NULL, 'Glycerol-3-phosphate acyltransferase N-terminal', 76, NULL, 'GPAT_N', 14061),
(14062, 'PF04962', NULL, 'KduI/IolB family', 261, NULL, 'KduI', 14062),
(14063, 'PF06293', NULL, 'Lipopolysaccharide kinase (Kdo/WaaP) family', 207, NULL, 'Kdo', 14063),
(14064, 'PF05808', NULL, 'Podoplanin', 138, NULL, 'Podoplanin', 14064),
(14065, 'PF03097', NULL, 'BRO1-like domain', 386, NULL, 'BRO1', 14065),
(14066, 'PF15931', NULL, 'Domain of unknown function (DUF4747)', 257, NULL, 'DUF4747', 14066),
(14067, 'PF16957', NULL, 'Malonate decarboxylase, alpha subunit, transporter', 547, NULL, 'Mal_decarbox_Al', 14067),
(14068, 'PF15163', NULL, 'Meiosis-expressed', 75, NULL, 'Meiosis_expr', 14068),
(14069, 'PF01436', NULL, 'NHL repeat', 28, NULL, 'NHL', 14069),
(14070, 'PF06994', NULL, 'Involucrin', 41, NULL, 'Involucrin2', 14070),
(14071, 'PF16464', NULL, 'Domain of unknown function (DUF5045)', 85, NULL, 'DUF5045', 14071),
(14072, 'PF10607', NULL, 'CTLH/CRA C-terminal to LisH motif domain', 150, NULL, 'CLTH', 14072),
(14073, 'PF11225', NULL, 'Protein of unknown function (DUF3024)', 56, NULL, 'DUF3024', 14073),
(14074, 'PF10234', NULL, 'Clusterin-associated protein-1', 268, NULL, 'Cluap1', 14074),
(14075, 'PF05151', NULL, 'Photosystem II reaction centre M protein (PsbM)', 31, NULL, 'PsbM', 14075),
(14076, 'PF12164', NULL, 'Stage V sporulation protein AA', 89, NULL, 'SporV_AA', 14076),
(14077, 'PF09304', NULL, 'Cortexillin I, coiled coil', 107, NULL, 'Cortex-I_coil', 14077),
(14078, 'PF06200', NULL, 'tify domain', 34, NULL, 'tify', 14078),
(14079, 'PF09252', NULL, 'Allergen Fel d I-B chain', 67, NULL, 'Feld-I_B', 14079),
(14080, 'PF18045', NULL, 'ISP3 C-terminal', 110, NULL, 'ISP3_C', 14080),
(14081, 'PF17187', NULL, 'Svf1-like C-terminal lipocalin-like domain', 164, NULL, 'Svf1_C', 14081),
(14082, 'PF07760', NULL, 'Protein of unknown function (DUF1616)', 293, NULL, 'DUF1616', 14082),
(14083, 'PF07618', NULL, 'Protein of unknown function (DUF1580)', 57, NULL, 'DUF1580', 14083),
(14084, 'PF02355', NULL, 'Protein export membrane protein', 189, NULL, 'SecD_SecF', 14084),
(14085, 'PF16480', NULL, 'Domain of unknown function (DUF5057)', 359, NULL, 'DUF5057', 14085),
(14086, 'PF01506', NULL, 'Hepatitis C virus non-structural 5a protein membrane anchor', 23, NULL, 'HCV_NS5a', 14086),
(14087, 'PF17114', NULL, 'Gef2-related medial cortical node protein Nod1', 145, NULL, 'Nod1', 14087),
(14088, 'PF08361', NULL, 'MAATS-type transcriptional repressor, C-terminal region', 121, NULL, 'TetR_C_2', 14088),
(14089, 'PF06682', NULL, 'SOCE-associated regulatory factor of calcium homoeostasis', 342, NULL, 'SARAF', 14089),
(14090, 'PF14951', NULL, 'Domain of unknown function (DUF4503)', 392, NULL, 'DUF4503', 14090),
(14091, 'PF12832', NULL, 'MFS_1 like family', 385, NULL, 'MFS_1_like', 14091),
(14092, 'PF00854', NULL, 'POT family', 395, NULL, 'PTR2', 14092),
(14093, 'PF04928', NULL, 'Poly(A) polymerase central domain', 250, NULL, 'PAP_central', 14093),
(14094, 'PF05043', NULL, 'Mga helix-turn-helix domain', 87, NULL, 'Mga', 14094),
(14095, 'PF13831', NULL, 'PHD-finger', 36, NULL, 'PHD_2', 14095),
(14096, 'PF18335', NULL, 'ATP-dependent RecD-like DNA helicase SH3 domain', 65, NULL, 'SH3_13', 14096),
(14097, 'PF13224', NULL, 'Domain of unknown function (DUF4032)', 163, NULL, 'DUF4032', 14097),
(14098, 'PF11968', NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase, Bmt2', 220, NULL, 'Bmt2', 14098),
(14099, 'PF16205', NULL, 'Ribosomal_S17 N-terminal', 68, NULL, 'Ribosomal_S17_N', 14099),
(14100, 'PF12805', NULL, 'FUSC-like inner membrane protein yccS', 284, NULL, 'FUSC-like', 14100);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14101, 'PF00356', NULL, 'Bacterial regulatory proteins, lacI family', 46, NULL, 'LacI', 14101),
(14102, 'PF06424', NULL, 'PRP1 splicing factor, N-terminal', 147, NULL, 'PRP1_N', 14102),
(14103, 'PF04489', NULL, 'Protein of unknown function (DUF570)', 427, NULL, 'DUF570', 14103),
(14104, 'PF18697', NULL, 'Murine leukemia virus (MLV) integrase (IN) C-terminal domain', 84, NULL, 'MLVIN_C', 14104),
(14105, 'PF18593', NULL, 'CdiI immunity protein', 91, NULL, 'CdiI_2', 14105),
(14106, 'PF04613', NULL, 'UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase, LpxD', 70, NULL, 'LpxD', 14106),
(14107, 'PF11754', NULL, 'Velvet factor', 242, NULL, 'Velvet', 14107),
(14108, 'PF17867', NULL, 'Midasin AAA lid domain', 107, NULL, 'AAA_lid_7', 14108),
(14109, 'PF07146', NULL, 'Protein of unknown function (DUF1389)', 314, NULL, 'DUF1389', 14109),
(14110, 'PF04393', NULL, 'Protein of unknown function (DUF535)', 281, NULL, 'DUF535', 14110),
(14111, 'PF01119', NULL, 'DNA mismatch repair protein, C-terminal domain', 119, NULL, 'DNA_mis_repair', 14111),
(14112, 'PF11337', NULL, 'Protein of unknown function (DUF3139)', 83, NULL, 'DUF3139', 14112),
(14113, 'PF04006', NULL, 'Mpp10 protein', 617, NULL, 'Mpp10', 14113),
(14114, 'PF05771', NULL, 'Poxvirus A31 protein', 113, NULL, 'Pox_A31', 14114),
(14115, 'PF16607', NULL, 'Phosphorylation region of CYLD, unstructured', 165, NULL, 'CYLD_phos_site', 14115),
(14116, 'PF08378', NULL, 'Nuclease-related domain', 108, NULL, 'NERD', 14116),
(14117, 'PF14123', NULL, 'Domain of unknown function (DUF4290)', 174, NULL, 'DUF4290', 14117),
(14118, 'PF19012', NULL, 'Family of unknown function (DUF5741)', 82, NULL, 'DUF5741', 14118),
(14119, 'PF00338', NULL, 'Ribosomal protein S10p/S20e', 98, NULL, 'Ribosomal_S10', 14119),
(14120, 'PF17245', NULL, 'Cell division control protein 24, OB domain 2', 129, NULL, 'CDC24_OB2', 14120),
(14121, 'PF17901', NULL, 'EF-hand fold domain', 93, NULL, 'EF-hand_12', 14121),
(14122, 'PF05657', NULL, 'Protein of unknown function (DUF806)', 121, NULL, 'DUF806', 14122),
(14123, 'PF16445', NULL, 'Domain of unknown function (DUF5042)', 434, NULL, 'DUF5042', 14123),
(14124, 'PF10785', NULL, 'NADH-ubiquinone oxidoreductase complex I, 21 kDa subunit', 85, NULL, 'NADH-u_ox-rdase', 14124),
(14125, 'PF09623', NULL, 'CRISPR-associated protein NE0113 (Cas_NE0113)', 210, NULL, 'Cas_NE0113', 14125),
(14126, 'PF16277', NULL, 'Domain of unknown function (DUF4926)', 58, NULL, 'DUF4926', 14126),
(14127, 'PF05007', NULL, 'Mannosyltransferase (PIG-M)', 259, NULL, 'Mannosyl_trans', 14127),
(14128, 'PF16959', NULL, 'Renal amino acid transporter', 154, NULL, 'Collectrin', 14128),
(14129, 'PF16779', NULL, 'DNA-mimic protein', 115, NULL, 'DMP12', 14129),
(14130, 'PF01036', NULL, 'Bacteriorhodopsin-like protein', 223, NULL, 'Bac_rhodopsin', 14130),
(14131, 'PF01037', NULL, 'Lrp/AsnC ligand binding domain', 75, NULL, 'AsnC_trans_reg', 14131),
(14132, 'PF00403', NULL, 'Heavy-metal-associated domain', 62, NULL, 'HMA', 14132),
(14133, 'PF14120', NULL, 'YhzD-like protein', 61, NULL, 'YhzD', 14133),
(14134, 'PF12141', NULL, 'Beta-mannosyltransferases', 491, NULL, 'DUF3589', 14134),
(14135, 'PF03162', NULL, 'Tyrosine phosphatase family', 165, NULL, 'Y_phosphatase2', 14135),
(14136, 'PF17464', NULL, 'Non-structural protein 11 and 12', 203, NULL, 'Pns11_12', 14136),
(14137, 'PF16639', NULL, 'Apocytochrome F, N-terminal', 155, NULL, 'Apocytochr_F_N', 14137),
(14138, 'PF11494', NULL, 'Ta0938', 92, NULL, 'Ta0938', 14138),
(14139, 'PF19094', NULL, 'Family of unknown function (DUF5782)', 77, NULL, 'DUF5782', 14139),
(14140, 'PF05450', NULL, 'Nicastrin', 234, NULL, 'Nicastrin', 14140),
(14141, 'PF10874', NULL, 'Protein of unknown function (DUF2746)', 101, NULL, 'DUF2746', 14141),
(14142, 'PF10034', NULL, 'Q-cell neuroblast polarisation', 655, NULL, 'Dpy19', 14142),
(14143, 'PF07486', NULL, 'Cell Wall Hydrolase', 107, NULL, 'Hydrolase_2', 14143),
(14144, 'PF15874', NULL, 'Putative Interleukin 2 receptor, gamma chain', 91, NULL, 'Il2rg', 14144);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14145, 'PF06633', NULL, 'Protein of unknown function (DUF1155)', 42, NULL, 'DUF1155', 14145),
(14146, 'PF16868', NULL, 'NMT1-like family', 289, NULL, 'NMT1_3', 14146),
(14147, 'PF02082', NULL, 'Iron-dependent Transcriptional regulator', 132, NULL, 'Rrf2', 14147),
(14148, 'PF13170', NULL, 'Protein of unknown function (DUF4003)', 296, NULL, 'DUF4003', 14148),
(14149, 'PF10669', NULL, 'Protein gp23 (Bacteriophage A118)', 120, NULL, 'Phage_Gp23', 14149),
(14150, 'PF02436', NULL, 'Conserved carboxylase domain', 200, NULL, 'PYC_OADA', 14150),
(14151, 'PF17752', NULL, 'Burkholderia lethal factor 1', 210, NULL, 'BLF1', 14151),
(14152, 'PF00767', NULL, 'Potyvirus coat protein', 244, NULL, 'Poty_coat', 14152),
(14153, 'PF07636', NULL, 'PSRT', 32, NULL, 'PSRT', 14153),
(14154, 'PF14269', NULL, 'Arylsulfotransferase (ASST)', 299, NULL, 'Arylsulfotran_2', 14154),
(14155, 'PF13126', NULL, 'Protein of unknown function (DUF3975)', 80, NULL, 'DUF3975', 14155),
(14156, 'PF08435', NULL, 'Calicivirus coat protein C-terminal', 230, NULL, 'Calici_coat_C', 14156),
(14157, 'PF03796', NULL, 'DnaB-like helicase C terminal domain', 255, NULL, 'DnaB_C', 14157),
(14158, 'PF00929', NULL, 'Exonuclease', 165, NULL, 'RNase_T', 14158),
(14159, 'PF00623', NULL, 'RNA polymerase Rpb1, domain 2', 166, NULL, 'RNA_pol_Rpb1_2', 14159),
(14160, 'PF14079', NULL, 'Domain of unknown function (DUF4260)', 113, NULL, 'DUF4260', 14160),
(14161, 'PF07035', NULL, 'Colon cancer-associated protein Mic1-like', 157, NULL, 'Mic1', 14161),
(14162, 'PF06074', NULL, 'Protein of unknown function (DUF935)', 520, NULL, 'DUF935', 14162),
(14163, 'PF09866', NULL, 'Uncharacterized protein conserved in bacteria (DUF2093)', 42, NULL, 'DUF2093', 14163),
(14164, 'PF04768', NULL, 'NAT, N-acetyltransferase, of N-acetylglutamate synthase', 170, NULL, 'NAT', 14164),
(14165, 'PF06751', NULL, 'Ethanolamine ammonia lyase large subunit (EutB)', 435, NULL, 'EutB', 14165),
(14166, 'PF03009', NULL, 'Glycerophosphoryl diester phosphodiesterase family', 259, NULL, 'GDPD', 14166),
(14167, 'PF02987', NULL, 'Late embryogenesis abundant protein', 44, NULL, 'LEA_4', 14167),
(14168, 'PF09296', NULL, 'NADH pyrophosphatase-like rudimentary NUDIX domain', 102, NULL, 'NUDIX-like', 14168),
(14169, 'PF12417', NULL, 'Zinc finger protein', 72, NULL, 'DUF3669', 14169),
(14170, 'PF14457', NULL, 'Prokaryotic E2 family A', 163, NULL, 'Prok-E2_A', 14170),
(14171, 'PF18138', NULL, 'Bacterial HORMA domain family 1', 169, NULL, 'bacHORMA_1', 14171),
(14172, 'PF18960', NULL, 'Family of unknown function (DUF5702)', 275, NULL, 'DUF5702', 14172),
(14173, 'PF07133', NULL, 'Merozoite surface protein (SPAM)', 182, NULL, 'Merozoite_SPAM', 14173),
(14174, 'PF03277', NULL, 'Herpesvirus UL4 family', 187, NULL, 'Herpes_UL4', 14174),
(14175, 'PF18097', NULL, 'Vta1 C-terminal domain', 38, NULL, 'Vta1_C', 14175),
(14176, 'PF08591', NULL, 'Ribonucleotide reductase inhibitor', 108, NULL, 'RNR_inhib', 14176),
(14177, 'PF15880', NULL, 'NADH dehydrogenase [ubiquinone] flavoprotein 3, mitochondrial', 35, NULL, 'NDUFV3', 14177),
(14178, 'PF06596', NULL, 'Photosystem II reaction centre X protein (PsbX)', 38, NULL, 'PsbX', 14178),
(14179, 'PF08945', NULL, 'Bcl-x interacting, BH3 domain', 39, NULL, 'Bclx_interact', 14179),
(14180, 'PF10304', NULL, 'Required for nuclear transport of RNA pol II C-terminus 2', 34, NULL, 'RTP1_C2', 14180),
(14181, 'PF06684', NULL, 'Amino acid synthesis', 176, NULL, 'AA_synth', 14181),
(14182, 'PF07134', NULL, 'Protein of unknown function (DUF1383)', 328, NULL, 'DUF1383', 14182),
(14183, 'PF16113', NULL, 'Enoyl-CoA hydratase/isomerase', 334, NULL, 'ECH_2', 14183),
(14184, 'PF03396', NULL, 'Poxvirus DNA-directed RNA polymerase, 35 kD subunit', 293, NULL, 'Pox_RNA_pol_35', 14184),
(14185, 'PF11460', NULL, 'Protein of unknown function (DUF3007)', 96, NULL, 'DUF3007', 14185),
(14186, 'PF07374', NULL, 'Protein of unknown function (DUF1492)', 100, NULL, 'DUF1492', 14186),
(14187, 'PF18510', NULL, 'Nuclease domain', 160, NULL, 'NUC', 14187);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14188, 'PF06695', NULL, 'Putative small multi-drug export protein', 121, NULL, 'Sm_multidrug_ex', 14188),
(14189, 'PF04419', NULL, '4F5 protein related disordered region', 38, NULL, '4F5', 14189),
(14190, 'PF05713', NULL, 'Bacterial mobilisation protein (MobC)', 45, NULL, 'MobC', 14190),
(14191, 'PF13248', NULL, 'zinc-ribbon domain', 27, NULL, 'zf-ribbon_3', 14191),
(14192, 'PF13592', NULL, 'Winged helix-turn helix', 60, NULL, 'HTH_33', 14192),
(14193, 'PF05729', NULL, 'NACHT domain', 166, NULL, 'NACHT', 14193),
(14194, 'PF06162', NULL, 'Putative pyroglutamyl peptidase PgaPase_1', 166, NULL, 'PgaPase_1', 14194),
(14195, 'PF08047', NULL, 'Histidine operon leader peptide', 16, NULL, 'His_leader', 14195),
(14196, 'PF10800', NULL, 'Protein of unknown function (DUF2528)', 104, NULL, 'DUF2528', 14196),
(14197, 'PF07764', NULL, 'Omega Transcriptional Repressor', 71, NULL, 'Omega_Repress', 14197),
(14198, 'PF05021', NULL, 'NPL4 family', 308, NULL, 'NPL4', 14198),
(14199, 'PF00075', NULL, 'RNase H', 143, NULL, 'RNase_H', 14199),
(14200, 'PF02480', NULL, 'Alphaherpesvirus glycoprotein E', 432, NULL, 'Herpes_gE', 14200),
(14201, 'PF00191', NULL, 'Annexin', 66, NULL, 'Annexin', 14201),
(14202, 'PF06637', NULL, 'PV-1 protein (PLVAP)', 440, NULL, 'PV-1', 14202),
(14203, 'PF11508', NULL, 'Protein of unknown function (DUF3218)', 213, NULL, 'DUF3218', 14203),
(14204, 'PF17452', NULL, 'Uncharacterized YnfE-like', 78, NULL, 'YnfE', 14204),
(14205, 'PF18483', NULL, 'Bacterial lectin', 194, NULL, 'Bact_lectin', 14205),
(14206, 'PF05663', NULL, 'Protein of unknown function (DUF809)', 138, NULL, 'DUF809', 14206),
(14207, 'PF13001', NULL, 'Proteasome stabiliser', 499, NULL, 'Ecm29', 14207),
(14208, 'PF00994', NULL, 'Probable molybdopterin binding domain', 144, NULL, 'MoCF_biosynth', 14208),
(14209, 'PF00375', NULL, 'Sodium:dicarboxylate symporter family', 391, NULL, 'SDF', 14209),
(14210, 'PF06172', NULL, 'Cupin superfamily (DUF985)', 141, NULL, 'Cupin_5', 14210),
(14211, 'PF17627', NULL, 'Inclusion membrane protein E', 132, NULL, 'IncE', 14211),
(14212, 'PF09321', NULL, 'Domain of unknown function (DUF1978)', 244, NULL, 'DUF1978', 14212),
(14213, 'PF14363', NULL, 'Domain associated at C-terminal with AAA', 96, NULL, 'AAA_assoc', 14213),
(14214, 'PF00425', NULL, 'chorismate binding enzyme', 256, NULL, 'Chorismate_bind', 14214),
(14215, 'PF17239', NULL, 'Family of unknown function (DUF5312)', 553, NULL, 'DUF5312', 14215),
(14216, 'PF08213', NULL, 'Mitochondrial domain of unknown function (DUF1713)', 33, NULL, 'DUF1713', 14216),
(14217, 'PF12305', NULL, 'Protein of unknown function (DUF3630)', 94, NULL, 'DUF3630', 14217),
(14218, 'PF16787', NULL, 'Centromere DNA-binding protein complex CBF3 subunit, domain 2', 318, NULL, 'NDC10_II', 14218),
(14219, 'PF09211', NULL, 'Domain of unknown function (DUF1958)', 63, NULL, 'DUF1958', 14219),
(14220, 'PF03818', NULL, 'Malonate/sodium symporter MadM subunit', 59, NULL, 'MadM', 14220),
(14221, 'PF14222', NULL, 'Cell morphogenesis N-terminal', 546, NULL, 'MOR2-PAG1_N', 14221),
(14222, 'PF17837', NULL, '4''-phosphopantetheinyl transferase N-terminal domain', 68, NULL, '4PPT_N', 14222),
(14223, 'PF06018', NULL, 'CodY GAF-like domain', 177, NULL, 'CodY', 14223),
(14224, 'PF03087', NULL, 'Arabidopsis protein of unknown function', 234, NULL, 'DUF241', 14224),
(14225, 'PF17212', NULL, 'Tail tubular protein', 169, NULL, 'Tube', 14225),
(14226, 'PF09260', NULL, 'Domain of unknown function (DUF1966)', 90, NULL, 'DUF1966', 14226),
(14227, 'PF11934', NULL, 'Domain of unknown function (DUF3452)', 138, NULL, 'DUF3452', 14227),
(14228, 'PF04958', NULL, 'Arginine N-succinyltransferase beta subunit', 337, NULL, 'AstA', 14228),
(14229, 'PF05262', NULL, 'Borrelia P83/100 protein', 489, NULL, 'Borrelia_P83', 14229),
(14230, 'PF01716', NULL, 'Manganese-stabilising protein / photosystem II polypeptide', 242, NULL, 'MSP', 14230),
(14231, 'PF12194', NULL, 'Protein kinase Fus3-binding', 189, NULL, 'Ste5_C', 14231);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14232, 'PF08873', NULL, 'Domain of unknown function (DUF1834)', 204, NULL, 'DUF1834', 14232),
(14233, 'PF17710', NULL, 'Family of unknown function (DUF5555)', 295, NULL, 'DUF5555', 14233),
(14234, 'PF01337', NULL, 'Barstar (barnase inhibitor)', 79, NULL, 'Barstar', 14234),
(14235, 'PF07622', NULL, 'Protein of unknown function (DUF1583)', 411, NULL, 'DUF1583', 14235),
(14236, 'PF02145', NULL, 'Rap/ran-GAP', 185, NULL, 'Rap_GAP', 14236),
(14237, 'PF11957', NULL, 'THO complex subunit 1 transcription elongation factor', 489, NULL, 'efThoc1', 14237),
(14238, 'PF16904', NULL, 'Phosphoribosylformylglycinamidine synthase II C-terminus', 92, NULL, 'PurL_C', 14238),
(14239, 'PF00381', NULL, 'PTS HPr component phosphorylation site', 82, NULL, 'PTS-HPr', 14239),
(14240, 'PF17481', NULL, 'Phage tail sheath protein beta-sandwich domain', 104, NULL, 'Phage_sheath_1N', 14240),
(14241, 'PF15150', NULL, 'Phorbol-12-myristate-13-acetate-induced', 54, NULL, 'PMAIP1', 14241),
(14242, 'PF07090', NULL, 'Putative glutamine amidotransferase', 247, NULL, 'GATase1_like', 14242),
(14243, 'PF02155', NULL, 'Glucocorticoid receptor', 371, NULL, 'GCR', 14243),
(14244, 'PF16941', NULL, 'Putative cyclodextrin porin', 341, NULL, 'CymA', 14244),
(14245, 'PF15067', NULL, 'FAM124 family', 235, NULL, 'FAM124', 14245),
(14246, 'PF18086', NULL, 'Diphosphoinositol pentakisphosphate kinase 2 N-terminal domain', 90, NULL, 'PPIP5K2_N', 14246),
(14247, 'PF03931', NULL, 'Skp1 family, tetramerisation domain', 63, NULL, 'Skp1_POZ', 14247),
(14248, 'PF15290', NULL, 'Golgi-localised syntaxin-1-binding clamp', 310, NULL, 'Syntaphilin', 14248),
(14249, 'PF17334', NULL, 'Minor curli fiber component A', 83, NULL, 'CsgA', 14249),
(14250, 'PF12482', NULL, 'Phage integrase protein', 93, NULL, 'DUF3701', 14250),
(14251, 'PF05773', NULL, 'RWD domain', 116, NULL, 'RWD', 14251),
(14252, 'PF17635', NULL, 'Betacoronavirus uncharacterised protein 14 (SARS-CoV-2 like)', 70, NULL, 'bCoV_Orf14', 14252),
(14253, 'PF17371', NULL, 'Family of unknown function (DUF5393)', 666, NULL, 'DUF5393', 14253),
(14254, 'PF08807', NULL, 'Bacterial domain of unknown function (DUF1798)', 108, NULL, 'DUF1798', 14254),
(14255, 'PF12541', NULL, 'Protein of unknown function (DUF3737)', 275, NULL, 'DUF3737', 14255),
(14256, 'PF13131', NULL, 'Protein of unknown function (DUF3951)', 52, NULL, 'DUF3951', 14256),
(14257, 'PF17759', NULL, 'Phenylalanyl tRNA synthetase beta chain CLM domain', 215, NULL, 'tRNA_synthFbeta', 14257),
(14258, 'PF15242', NULL, 'Family of FAM53', 304, NULL, 'FAM53', 14258),
(14259, 'PF08601', NULL, 'Transcription factor PAP1', 371, NULL, 'PAP1', 14259),
(14260, 'PF07249', NULL, 'Cerato-platanin', 119, NULL, 'Cerato-platanin', 14260),
(14261, 'PF13080', NULL, 'Protein of unknown function (DUF3926)', 43, NULL, 'DUF3926', 14261),
(14262, 'PF12225', NULL, 'Methylene-tetrahydrofolate reductase C terminal', 95, NULL, 'MTHFR_C', 14262),
(14263, 'PF16876', NULL, 'Lipin/Ned1/Smp2 multi-domain protein middle domain', 99, NULL, 'Lipin_mid', 14263),
(14264, 'PF03971', NULL, 'Monomeric isocitrate dehydrogenase', 734, NULL, 'IDH', 14264),
(14265, 'PF02140', NULL, 'Galactose binding lectin domain', 79, NULL, 'Gal_Lectin', 14265),
(14266, 'PF09355', NULL, 'Phage protein Gp19/Gp15/Gp42', 116, NULL, 'Phage_Gp19', 14266),
(14267, 'PF00207', NULL, 'Alpha-2-macroglobulin family', 92, NULL, 'A2M', 14267),
(14268, 'PF02381', NULL, 'MraZ protein, putative antitoxin-like', 72, NULL, 'MraZ', 14268),
(14269, 'PF17350', NULL, 'Family of unknown function (DUF5379)', 90, NULL, 'DUF5379', 14269),
(14270, 'PF17590', NULL, 'Family of unknown function (DUF5488)', 70, NULL, 'DUF5488', 14270),
(14271, 'PF07614', NULL, 'Protein of unknown function (DUF1577)', 256, NULL, 'DUF1577', 14271),
(14272, 'PF15464', NULL, 'Domain of unknown function (DUF4633)', 115, NULL, 'DUF4633', 14272),
(14273, 'PF03627', NULL, 'PapG carbohydrate binding domain', 226, NULL, 'PapG_N', 14273),
(14274, 'PF19206', NULL, 'Family of unknown function (DUF5878)', 148, NULL, 'DUF5878', 14274); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14275, 'PF10886', NULL, 'Protein of unknown function (DUF2685)', 55, NULL, 'DUF2685', 14275),
(14276, 'PF04063', NULL, 'Domain of unknown function (DUF383)', 188, NULL, 'DUF383', 14276),
(14277, 'PF12613', NULL, 'Flagellin structural protein', 53, NULL, 'FliC_SP', 14277),
(14278, 'PF04930', NULL, 'FUN14 family', 92, NULL, 'FUN14', 14278),
(14279, 'PF13970', NULL, 'Domain of unknown function (DUF4221)', 312, NULL, 'DUF4221', 14279),
(14280, 'PF10451', NULL, 'Telomere regulation protein Stn1', 252, NULL, 'Stn1', 14280),
(14281, 'PF07128', NULL, 'Protein of unknown function (DUF1380)', 137, NULL, 'DUF1380', 14281),
(14282, 'PF15074', NULL, 'Domain of unknown function (DUF4541)', 92, NULL, 'DUF4541', 14282),
(14283, 'PF06584', NULL, 'DIRP', 106, NULL, 'DIRP', 14283),
(14284, 'PF11702', NULL, 'Protein of unknown function (DUF3295)', 498, NULL, 'DUF3295', 14284),
(14285, 'PF18452', NULL, 'Immunoglobulin domain', 50, NULL, 'Ig_6', 14285),
(14286, 'PF04587', NULL, 'ADP-specific Phosphofructokinase/Glucokinase conserved region', 427, NULL, 'ADP_PFK_GK', 14286),
(14287, 'PF12165', NULL, 'Alfin', 127, NULL, 'Alfin', 14287),
(14288, 'PF12456', NULL, 'Inositol phosphatase', 116, NULL, 'hSac2', 14288),
(14289, 'PF03602', NULL, 'Conserved hypothetical protein 95', 182, NULL, 'Cons_hypoth95', 14289),
(14290, 'PF05013', NULL, 'N-formylglutamate amidohydrolase', 216, NULL, 'FGase', 14290),
(14291, 'PF09568', NULL, 'MjaI restriction endonuclease', 170, NULL, 'RE_MjaI', 14291),
(14292, 'PF16488', NULL, 'Argonaute linker 2 domain', 47, NULL, 'ArgoL2', 14292),
(14293, 'PF09415', NULL, 'CENP-S associating Centromere protein X', 75, NULL, 'CENP-X', 14293),
(14294, 'PF11135', NULL, 'Protein of unknown function (DUF2888)', 144, NULL, 'DUF2888', 14294),
(14295, 'PF05372', NULL, 'Delta lysin family', 25, NULL, 'Delta_lysin', 14295),
(14296, 'PF07126', NULL, 'Cell-division protein ZapC', 169, NULL, 'ZapC', 14296),
(14297, 'PF15390', NULL, 'WD repeat and coiled-coil-containing protein family', 687, NULL, 'WDCP', 14297),
(14298, 'PF18565', NULL, 'Glycoside hydrolase family 2 C-terminal domain 5', 103, NULL, 'Glyco_hydro2_C5', 14298),
(14299, 'PF00275', NULL, 'EPSP synthase (3-phosphoshikimate 1-carboxyvinyltransferase)', 416, NULL, 'EPSP_synthase', 14299),
(14300, 'PF01006', NULL, 'Hepatitis C virus non-structural protein NS4a', 56, NULL, 'HCV_NS4a', 14300),
(14301, 'PF15844', NULL, 'Transmembrane and coiled-coil domain-containing protein 2', 171, NULL, 'TMCCDC2', 14301),
(14302, 'PF15906', NULL, 'Zinc-finger of nitric oxide synthase-interacting protein', 75, NULL, 'zf-NOSIP', 14302),
(14303, 'PF07642', NULL, 'Putative beta-barrel porin-2, OmpL-like. bbp2', 347, NULL, 'BBP2', 14303),
(14304, 'PF16197', NULL, 'Ketoacyl-synthetase C-terminal extension', 112, NULL, 'KAsynt_C_assoc', 14304),
(14305, 'PF02371', NULL, 'Transposase IS116/IS110/IS902 family', 87, NULL, 'Transposase_20', 14305),
(14306, 'PF13851', NULL, 'Growth-arrest specific micro-tubule binding', 200, NULL, 'GAS', 14306),
(14307, 'PF02435', NULL, 'Levansucrase/Invertase', 424, NULL, 'Glyco_hydro_68', 14307),
(14308, 'PF10413', NULL, 'Amino terminal of the G-protein receptor rhodopsin', 36, NULL, 'Rhodopsin_N', 14308),
(14309, 'PF11300', NULL, 'Protein of unknown function (DUF3102)', 130, NULL, 'DUF3102', 14309),
(14310, 'PF09348', NULL, 'Domain of unknown function (DUF1990)', 154, NULL, 'DUF1990', 14310),
(14311, 'PF02698', NULL, 'DUF218 domain', 129, NULL, 'DUF218', 14311),
(14312, 'PF07439', NULL, 'Protein of unknown function (DUF1515)', 113, NULL, 'DUF1515', 14312),
(14313, 'PF01828', NULL, 'Peptidase A4 family', 209, NULL, 'Peptidase_A4', 14313),
(14314, 'PF02175', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srb', 236, NULL, '7TM_GPCR_Srb', 14314),
(14315, 'PF07392', NULL, 'Cyclin-dependent kinase inhibitor 2a p19Arf N-terminus', 51, NULL, 'P19Arf_N', 14315),
(14316, 'PF02803', NULL, 'Thiolase, C-terminal domain', 123, NULL, 'Thiolase_C', 14316),
(14317, 'PF03302', NULL, 'Giardia variant-specific surface protein', 397, NULL, 'VSP', 14317);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14318, 'PF11229', NULL, 'Focadhesin', 589, NULL, 'Focadhesin', 14318),
(14319, 'PF02509', NULL, 'Rotavirus non-structural protein 35', 316, NULL, 'Rota_NS35', 14319),
(14320, 'PF01129', NULL, 'NAD:arginine ADP-ribosyltransferase', 222, NULL, 'ART', 14320),
(14321, 'PF13854', NULL, 'Kelch motif', 42, NULL, 'Kelch_5', 14321),
(14322, 'PF06080', NULL, 'Protein of unknown function (DUF938)', 204, NULL, 'DUF938', 14322),
(14323, 'PF13768', NULL, 'von Willebrand factor type A domain', 155, NULL, 'VWA_3', 14323),
(14324, 'PF13015', NULL, 'Glucosidase II beta subunit-like protein', 154, NULL, 'PRKCSH_1', 14324),
(14325, 'PF02038', NULL, 'ATP1G1/PLM/MAT8 family', 47, NULL, 'ATP1G1_PLM_MAT8', 14325),
(14326, 'PF03357', NULL, 'Snf7', 173, NULL, 'Snf7', 14326),
(14327, 'PF12333', NULL, 'Rix1 complex component involved in 60S ribosome maturation', 102, NULL, 'Ipi1_N', 14327),
(14328, 'PF00332', NULL, 'Glycosyl hydrolases family 17', 313, NULL, 'Glyco_hydro_17', 14328),
(14329, 'PF05282', NULL, 'AAR2 protein', 374, NULL, 'AAR2', 14329),
(14330, 'PF05698', NULL, 'Bacterial trigger factor protein (TF) C-terminus', 162, NULL, 'Trigger_C', 14330),
(14331, 'PF09747', NULL, 'Coiled-coil domain containing protein (DUF2052)', 198, NULL, 'DUF2052', 14331),
(14332, 'PF15997', NULL, 'Domain of unknown function (DUF4772)', 118, NULL, 'DUF4772', 14332),
(14333, 'PF10522', NULL, 'RII binding domain', 19, NULL, 'RII_binding_1', 14333),
(14334, 'PF04070', NULL, 'Domain of unknown function (DUF378)', 60, NULL, 'DUF378', 14334),
(14335, 'PF04189', NULL, 'Gcd10p family', 312, NULL, 'Gcd10p', 14335),
(14336, 'PF12940', NULL, 'Recombination-activation protein 1 (RAG1), recombinase', 651, NULL, 'RAG1', 14336),
(14337, 'PF15461', NULL, 'Beta-carotene 15,15''-dioxygenase', 268, NULL, 'BCD', 14337),
(14338, 'PF07847', NULL, 'PCO_ADO', 201, NULL, 'PCO_ADO', 14338),
(14339, 'PF18422', NULL, 'Tumor necrosis factor receptor member 16 trans-membrane domain', 38, NULL, 'TNFR_16_TM', 14339),
(14340, 'PF03083', NULL, 'Sugar efflux transporter for intercellular exchange', 87, NULL, 'MtN3_slv', 14340),
(14341, 'PF13984', NULL, 'MsyB protein', 122, NULL, 'MsyB', 14341),
(14342, 'PF07611', NULL, 'Protein of unknown function (DUF1574)', 342, NULL, 'DUF1574', 14342),
(14343, 'PF08975', NULL, 'Domain of unknown function (DUF1868)', 116, NULL, '2H-phosphodiest', 14343),
(14344, 'PF00838', NULL, 'Translationally controlled tumour protein', 166, NULL, 'TCTP', 14344),
(14345, 'PF17169', NULL, 'MIT domain of nuclear receptor-binding factor 2', 83, NULL, 'NRBF2_MIT', 14345),
(14346, 'PF11357', NULL, 'Cell cycle regulatory protein', 131, NULL, 'Spy1', 14346),
(14347, 'PF10916', NULL, 'Protein of unknown function (DUF2712)', 115, NULL, 'DUF2712', 14347),
(14348, 'PF07389', NULL, 'Protein of unknown function (DUF1500)', 97, NULL, 'DUF1500', 14348),
(14349, 'PF15500', NULL, 'Putative RNase-like toxin, toxin_1', 96, NULL, 'Ntox1', 14349),
(14350, 'PF07466', NULL, 'Protein of unknown function (DUF1517)', 184, NULL, 'DUF1517', 14350),
(14351, 'PF10284', NULL, 'Luciferase helical bundle domain', 66, NULL, 'Luciferase_3H', 14351),
(14352, 'PF08786', NULL, 'DcrB', 128, NULL, 'DcrB', 14352),
(14353, 'PF15829', NULL, 'Domain of unknown function (DUF4711)', 224, NULL, 'DUF4711', 14353),
(14354, 'PF16486', NULL, 'N-terminal domain of argonaute', 135, NULL, 'ArgoN', 14354),
(14355, 'PF02432', NULL, 'Fimbrial, major and minor subunit', 155, NULL, 'Fimbrial_K88', 14355),
(14356, 'PF04069', NULL, 'Substrate binding domain of ABC-type glycine betaine transport system', 257, NULL, 'OpuAC', 14356),
(14357, 'PF15750', NULL, 'Ubiquitin-binding zinc-finger', 35, NULL, 'UBZ_FAAP20', 14357),
(14358, 'PF18516', NULL, 'RuvC nuclease domain', 244, NULL, 'RuvC_1', 14358),
(14359, 'PF18686', NULL, 'Family of unknown function (DUF5636)', 193, NULL, 'DUF5636', 14359),
(14360, 'PF15222', NULL, 'Kidney androgen-regulated', 103, NULL, 'KAR', 14360),
(14361, 'PF19127', NULL, 'Choline-binding repeat', 48, NULL, 'Choline_bind_3', 14361);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14362, 'PF01553', NULL, 'Acyltransferase', 135, NULL, 'Acyltransferase', 14362),
(14363, 'PF01481', NULL, 'Arterivirus nucleocapsid protein', 116, NULL, 'Arteri_nucleo', 14363),
(14364, 'PF09016', NULL, 'Pas factor saposin fold', 76, NULL, 'Pas_Saposin', 14364),
(14365, 'PF05051', NULL, 'Cytochrome C oxidase copper chaperone (COX17)', 48, NULL, 'COX17', 14365),
(14366, 'PF01825', NULL, 'GPCR proteolysis site, GPS, motif', 45, NULL, 'GPS', 14366),
(14367, 'PF15276', NULL, 'Protein phosphatase 1 binding', 64, NULL, 'PP1_bind', 14367),
(14368, 'PF05700', NULL, 'Breast carcinoma amplified sequence 2 (BCAS2)', 206, NULL, 'BCAS2', 14368),
(14369, 'PF13423', NULL, 'Ubiquitin carboxyl-terminal hydrolase', 320, NULL, 'UCH_1', 14369),
(14370, 'PF04884', NULL, 'Vitamin B6 photo-protection and homoeostasis', 241, NULL, 'DUF647', 14370),
(14371, 'PF01339', NULL, 'CheB methylesterase', 170, NULL, 'CheB_methylest', 14371),
(14372, 'PF00107', NULL, 'Zinc-binding dehydrogenase', 130, NULL, 'ADH_zinc_N', 14372),
(14373, 'PF08317', NULL, 'Spc7 kinetochore protein', 311, NULL, 'Spc7', 14373),
(14374, 'PF17001', NULL, 'Type III secretion basal body protein I, YscI, HrpB, PscI', 100, NULL, 'T3SS_basalb_I', 14374),
(14375, 'PF11223', NULL, 'Protein of unknown function (DUF3020)', 49, NULL, 'DUF3020', 14375),
(14376, 'PF08810', NULL, 'Kinase associated protein B', 112, NULL, 'KapB', 14376),
(14377, 'PF06465', NULL, 'Domain of Unknown Function (DUF1087)', 65, NULL, 'DUF1087', 14377),
(14378, 'PF02965', NULL, 'Vitamin B12 dependent methionine synthase, activation domain', 273, NULL, 'Met_synt_B12', 14378),
(14379, 'PF16580', NULL, 'C-terminal tail of astrovirus capsid projection or spike', 245, NULL, 'Astro_capsid_p2', 14379),
(14380, 'PF04461', NULL, 'Protein of unknown function (DUF520)', 161, NULL, 'DUF520', 14380),
(14381, 'PF17319', NULL, 'Family of unknown function (DUF5362)', 94, NULL, 'DUF5362', 14381),
(14382, 'PF11546', NULL, 'Staphylococcal complement inhibitor SCIN', 114, NULL, 'CompInhib_SCIN', 14382),
(14383, 'PF14312', NULL, 'FG-GAP repeat', 49, NULL, 'FG-GAP_2', 14383),
(14384, 'PF07628', NULL, 'Protein of unknown function (DUF1589)', 164, NULL, 'DUF1589', 14384),
(14385, 'PF16756', NULL, 'Partner and localizer of BRCA2 WD40 domain', 351, NULL, 'PALB2_WD40', 14385),
(14386, 'PF17532', NULL, 'Family of unknown function (DUF5451)', 148, NULL, 'DUF5451', 14386),
(14387, 'PF09642', NULL, 'YonK protein', 60, NULL, 'YonK', 14387),
(14388, 'PF14199', NULL, 'Domain of unknown function (DUF4317)', 371, NULL, 'DUF4317', 14388),
(14389, 'PF16601', NULL, 'Rabosyn-5 repeating NPF sequence-motif', 187, NULL, 'NPF', 14389),
(14390, 'PF09499', NULL, 'ApaLI-like restriction endonuclease', 189, NULL, 'RE_ApaLI', 14390),
(14391, 'PF02501', NULL, 'Type II secretion system (T2SS), protein I', 80, NULL, 'T2SSI', 14391),
(14392, 'PF17644', NULL, 'Core domain of 30K viral movement proteins', 138, NULL, '30K_MP_core', 14392),
(14393, 'PF08924', NULL, 'Domain of unknown function (DUF1906)', 198, NULL, 'DUF1906', 14393),
(14394, 'PF04678', NULL, 'Mitochondrial calcium uniporter', 177, NULL, 'MCU', 14394),
(14395, 'PF14759', NULL, 'Reductase C-terminal', 85, NULL, 'Reductase_C', 14395),
(14396, 'PF09501', NULL, 'Probable sporulation protein (Bac_small_yrzI)', 45, NULL, 'Bac_small_YrzI', 14396),
(14397, 'PF03143', NULL, 'Elongation factor Tu C-terminal domain', 108, NULL, 'GTP_EFTU_D3', 14397),
(14398, 'PF15244', NULL, 'Spermatogenesis-associated protein 7, or HSD3', 416, NULL, 'HSD3', 14398),
(14399, 'PF13253', NULL, 'Protein of unknown function (DUF4044)', 33, NULL, 'DUF4044', 14399),
(14400, 'PF14255', NULL, 'Cysteine-rich CPXCG', 52, NULL, 'Cys_rich_CPXG', 14400),
(14401, 'PF02446', NULL, '4-alpha-glucanotransferase', 468, NULL, 'Glyco_hydro_77', 14401),
(14402, 'PF14907', NULL, 'Uncharacterised nucleotidyltransferase', 251, NULL, 'NTP_transf_5', 14402),
(14403, 'PF04277', NULL, 'Oxaloacetate decarboxylase, gamma chain', 77, NULL, 'OAD_gamma', 14403);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14404, 'PF02816', NULL, 'Alpha-kinase family', 184, NULL, 'Alpha_kinase', 14404),
(14405, 'PF01551', NULL, 'Peptidase family M23', 96, NULL, 'Peptidase_M23', 14405),
(14406, 'PF06870', NULL, 'A49-like RNA polymerase I associated factor', 383, NULL, 'RNA_pol_I_A49', 14406),
(14407, 'PF03661', NULL, 'Transmembrane protein 33/Nucleoporin POM33', 240, NULL, 'TMEM33_Pom33', 14407),
(14408, 'PF12759', NULL, 'InsA C-terminal domain', 46, NULL, 'HTH_Tnp_IS1', 14408),
(14409, 'PF16301', NULL, 'Domain of unknown function (DUF4943)', 150, NULL, 'DUF4943', 14409),
(14410, 'PF15890', NULL, 'Putative zinc-binding metallo-peptidase', 241, NULL, 'Peptidase_Mx1', 14410),
(14411, 'PF07237', NULL, 'Protein of unknown function (DUF1428)', 101, NULL, 'DUF1428', 14411),
(14412, 'PF04705', NULL, 'Thiostrepton-resistance methylase, N terminus', 111, NULL, 'TSNR_N', 14412),
(14413, 'PF00739', NULL, 'Trans-activation protein X', 142, NULL, 'X', 14413),
(14414, 'PF10976', NULL, 'Protein of unknown function (DUF2790)', 78, NULL, 'DUF2790', 14414),
(14415, 'PF10628', NULL, 'Outer spore coat protein E (CotE)', 177, NULL, 'CotE', 14415),
(14416, 'PF11705', NULL, 'DNA-directed RNA polymerase III subunit Rpc31', 224, NULL, 'RNA_pol_3_Rpc31', 14416),
(14417, 'PF11994', NULL, 'Protein of unknown function (DUF3489)', 68, NULL, 'DUF3489', 14417),
(14418, 'PF08704', NULL, 'tRNA methyltransferase complex GCD14 subunit', 247, NULL, 'GCD14', 14418),
(14419, 'PF04080', NULL, 'Per1-like family', 260, NULL, 'Per1', 14419),
(14420, 'PF18904', NULL, 'Domain of unknown function (DUF5660)', 109, NULL, 'DUF5660', 14420),
(14421, 'PF00715', NULL, 'Interleukin 2', 145, NULL, 'IL2', 14421),
(14422, 'PF12119', NULL, 'Protein of unknown function (DUF3581)', 217, NULL, 'DUF3581', 14422),
(14423, 'PF16890', NULL, 'Domain of unknown function (DUF5083)', 157, NULL, 'DUF5083', 14423),
(14424, 'PF04829', NULL, 'Pre-toxin domain with VENN motif', 52, NULL, 'PT-VENN', 14424),
(14425, 'PF15841', NULL, 'Transmembrane protein 239 family', 151, NULL, 'TMEM239', 14425),
(14426, 'PF16098', NULL, 'Fragile X-related mental retardation protein C-terminal region 2', 86, NULL, 'FXMR_C2', 14426),
(14427, 'PF03887', NULL, 'YfbU domain', 166, NULL, 'YfbU', 14427),
(14428, 'PF10804', NULL, 'Protein of unknown function (DUF2538)', 155, NULL, 'DUF2538', 14428),
(14429, 'PF07948', NULL, 'Nairovirus M polyprotein-like', 644, NULL, 'Nairovirus_M', 14429),
(14430, 'PF08236', NULL, 'SRI (Set2 Rpb1 interacting) domain', 85, NULL, 'SRI', 14430),
(14431, 'PF10859', NULL, 'Protein of unknown function (DUF2660)', 87, NULL, 'DUF2660', 14431),
(14432, 'PF15359', NULL, 'Carnitine deficiency-associated protein 3', 130, NULL, 'CDV3', 14432),
(14433, 'PF05226', NULL, 'CHASE2 domain', 251, NULL, 'CHASE2', 14433),
(14434, 'PF06602', NULL, 'Myotubularin-like phosphatase domain', 355, NULL, 'Myotub-related', 14434),
(14435, 'PF14757', NULL, 'Immunogenic region of nsp2 protein of arterivirus polyprotein', 272, NULL, 'NSP2-B_epitope', 14435),
(14436, 'PF16233', NULL, 'Domain of unknown function (DUF4893)', 169, NULL, 'DUF4893', 14436),
(14437, 'PF16962', NULL, 'Putative ABC exporter', 532, NULL, 'ABC_export', 14437),
(14438, 'PF01380', NULL, 'SIS domain', 132, NULL, 'SIS', 14438),
(14439, 'PF11132', NULL, 'Transcriptional regulator protein (SplA)', 74, NULL, 'SplA', 14439),
(14440, 'PF14509', NULL, 'Glycosyl-hydrolase 97 C-terminal, oligomerisation', 97, NULL, 'GH97_C', 14440),
(14441, 'PF12784', NULL, 'PD-(D/E)XK nuclease family transposase', 228, NULL, 'PDDEXK_2', 14441),
(14442, 'PF04778', NULL, 'LMP repeated region', 157, NULL, 'LMP', 14442),
(14443, 'PF04165', NULL, 'Protein of unknown function (DUF401)', 389, NULL, 'DUF401', 14443),
(14444, 'PF08602', NULL, 'Mgr1-like, i-AAA protease complex subunit', 388, NULL, 'Mgr1', 14444),
(14445, 'PF09832', NULL, 'Uncharacterized protein conserved in bacteria (DUF2059)', 60, NULL, 'DUF2059', 14445),
(14446, 'PF18342', NULL, 'Endo-beta-N-acetylglucosaminidase LytB WW domain', 66, NULL, 'LytB_WW', 14446);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14447, 'PF02530', NULL, 'Porin subfamily', 379, NULL, 'Porin_2', 14447),
(14448, 'PF11697', NULL, 'Protein of unknown function (DUF3293)', 73, NULL, 'DUF3293', 14448),
(14449, 'PF01817', NULL, 'Chorismate mutase type II', 75, NULL, 'CM_2', 14449),
(14450, 'PF12058', NULL, 'Protein of unknown function (DUF3539)', 86, NULL, 'DUF3539', 14450),
(14451, 'PF13782', NULL, 'Stage V sporulation protein AB', 109, NULL, 'SpoVAB', 14451),
(14452, 'PF08218', NULL, 'Citrate lyase ligase C-terminal domain', 182, NULL, 'Citrate_ly_lig', 14452),
(14453, 'PF12891', NULL, 'Glycoside hydrolase family 44', 234, NULL, 'Glyco_hydro_44', 14453),
(14454, 'PF08883', NULL, 'Dopa 4,5-dioxygenase family', 107, NULL, 'DOPA_dioxygen', 14454),
(14455, 'PF17747', NULL, 'VID27 PH-like domain', 109, NULL, 'VID27_PH', 14455),
(14456, 'PF07928', NULL, 'Vps54-like protein', 133, NULL, 'Vps54', 14456),
(14457, 'PF19177', NULL, 'Family of unknown function (DUF5859)', 162, NULL, 'DUF5859', 14457),
(14458, 'PF01238', NULL, 'Phosphomannose isomerase type I', 373, NULL, 'PMI_typeI', 14458),
(14459, 'PF14080', NULL, 'Domain of unknown function (DUF4261)', 77, NULL, 'DUF4261', 14459),
(14460, 'PF05295', NULL, 'Luciferase/LBP N-terminal domain', 82, NULL, 'Luciferase_N', 14460),
(14461, 'PF06694', NULL, 'Plant nuclear matrix protein 1 (NMP1)', 318, NULL, 'Plant_NMP1', 14461),
(14462, 'PF00841', NULL, 'Sperm histone P2', 89, NULL, 'Protamine_P2', 14462),
(14463, 'PF04017', NULL, 'Domain of unknown function (DUF366)', 184, NULL, 'DUF366', 14463),
(14464, 'PF09502', NULL, 'Bacterial type III secretion protein (HrpB4)', 217, NULL, 'HrpB4', 14464),
(14465, 'PF00071', NULL, 'Ras family', 162, NULL, 'Ras', 14465),
(14466, 'PF10328', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srx', 262, NULL, '7TM_GPCR_Srx', 14466),
(14467, 'PF02066', NULL, 'Metallothionein family 11', 54, NULL, 'Metallothio_11', 14467),
(14468, 'PF01923', NULL, 'Cobalamin adenosyltransferase', 169, NULL, 'Cob_adeno_trans', 14468),
(14469, 'PF15911', NULL, 'WD domain, G-beta repeat', 57, NULL, 'WD40_3', 14469),
(14470, 'PF04549', NULL, 'CD47 transmembrane region', 147, NULL, 'CD47', 14470),
(14471, 'PF14880', NULL, 'Cytochrome oxidase c assembly', 59, NULL, 'COX14', 14471),
(14472, 'PF17102', NULL, 'Stealth protein CR3, conserved region 3', 49, NULL, 'Stealth_CR3', 14472),
(14473, 'PF12831', NULL, 'FAD dependent oxidoreductase', 426, NULL, 'FAD_oxidored', 14473),
(14474, 'PF11195', NULL, 'Protein of unknown function (DUF2829)', 72, NULL, 'DUF2829', 14474),
(14475, 'PF18741', NULL, 'REase_MTES_1575', 95, NULL, 'MTES_1575', 14475),
(14476, 'PF11459', NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', 159, NULL, 'AbiEi_3', 14476),
(14477, 'PF11003', NULL, 'Protein of unknown function (DUF2842)', 61, NULL, 'DUF2842', 14477),
(14478, 'PF06435', NULL, 'Repeat of unknown function (DUF1079)', 31, NULL, 'DUF1079', 14478),
(14479, 'PF05542', NULL, 'Protein of unknown function (DUF760)', 84, NULL, 'DUF760', 14479),
(14480, 'PF10497', NULL, 'Zinc-finger domain of monoamine-oxidase A repressor R1', 99, NULL, 'zf-4CXXC_R1', 14480),
(14481, 'PF02545', NULL, 'Maf-like protein', 189, NULL, 'Maf', 14481),
(14482, 'PF19001', NULL, 'Family of unknown function (DUF5730)', 182, NULL, 'DUF5730', 14482),
(14483, 'PF17145', NULL, 'Domain of unknown function (DUF5119)', 194, NULL, 'DUF5119', 14483),
(14484, 'PF12936', NULL, 'KRI1-like family C-terminal', 89, NULL, 'Kri1_C', 14484),
(14485, 'PF16922', NULL, 'DNA replication complex GINS protein SLD5 C-terminus', 56, NULL, 'SLD5_C', 14485),
(14486, 'PF17948', NULL, 'DnaT DNA-binding domain', 71, NULL, 'DnaT', 14486),
(14487, 'PF14750', NULL, 'Integrator complex subunit 2', 1049, NULL, 'INTS2', 14487),
(14488, 'PF18094', NULL, 'DNA polymerase beta N-terminal domain', 104, NULL, 'DNA_pol_B_N', 14488),
(14489, 'PF18162', NULL, 'Arc C-lobe', 83, NULL, 'Arc_C', 14489),
(14490, 'PF16689', NULL, 'Coiled-coil N-terminus of APC, dimerisation domain', 52, NULL, 'APC_N_CC', 14490);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14491, 'PF04849', NULL, 'HAP1 N-terminal conserved region', 309, NULL, 'HAP1_N', 14491),
(14492, 'PF08603', NULL, 'Adenylate cyclase associated (CAP) C terminal', 158, NULL, 'CAP_C', 14492),
(14493, 'PF07754', NULL, 'Domain of unknown function (DUF1610)', 24, NULL, 'DUF1610', 14493),
(14494, 'PF05810', NULL, 'NinF protein', 57, NULL, 'NinF', 14494),
(14495, 'PF12361', NULL, 'Duffy-antigen binding protein', 304, NULL, 'DBP', 14495),
(14496, 'PF06208', NULL, 'Borna disease virus G protein', 503, NULL, 'BDV_G', 14496),
(14497, 'PF12700', NULL, 'HlyD family secretion protein', 413, NULL, 'HlyD_2', 14497),
(14498, 'PF05386', NULL, 'TEP1 N-terminal domain', 29, NULL, 'TEP1_N', 14498),
(14499, 'PF03198', NULL, 'Glucanosyltransferase', 315, NULL, 'Glyco_hydro_72', 14499),
(14500, 'PF14913', NULL, 'DPCD protein family', 190, NULL, 'DPCD', 14500),
(14501, 'PF16514', NULL, 'putative NADH-ubiquinone oxidoreductase chain E', 74, NULL, 'NADH-UOR_E', 14501),
(14502, 'PF00463', NULL, 'Isocitrate lyase family', 526, NULL, 'ICL', 14502),
(14503, 'PF08297', NULL, 'U3 snoRNA associated', 90, NULL, 'U3_snoRNA_assoc', 14503),
(14504, 'PF17869', NULL, 'Anosmin cysteine rich domain', 82, NULL, 'Cys_box', 14504),
(14505, 'PF12516', NULL, 'Protein of unknown function (DUF3719)', 66, NULL, 'DUF3719', 14505),
(14506, 'PF12621', NULL, 'Extracellular tail, of 10TM putative phosphate transporter', 93, NULL, 'PHM7_ext', 14506),
(14507, 'PF15817', NULL, 'Transmembrane protein 40 family', 120, NULL, 'TMEM40', 14507),
(14508, 'PF15697', NULL, 'Domain of unknown function (DUF4666)', 113, NULL, 'DUF4666', 14508),
(14509, 'PF02814', NULL, 'UreE urease accessory protein, N-terminal domain', 62, NULL, 'UreE_N', 14509),
(14510, 'PF01138', NULL, '3'' exoribonuclease family, domain 1', 132, NULL, 'RNase_PH', 14510),
(14511, 'PF19125', NULL, 'Family of unknown function (DUF5809)', 130, NULL, 'DUF5809', 14511),
(14512, 'PF17748', NULL, 'VID27 N-terminal region', 173, NULL, 'VID27_N', 14512),
(14513, 'PF06984', NULL, 'Mitochondrial 39-S ribosomal protein L47 (MRP-L47)', 87, NULL, 'MRP-L47', 14513),
(14514, 'PF06673', NULL, 'Lactococcus lactis bacteriophage major capsid protein', 347, NULL, 'L_lactis_ph-MCP', 14514),
(14515, 'PF09943', NULL, 'Uncharacterized protein conserved in archaea (DUF2175)', 98, NULL, 'DUF2175', 14515),
(14516, 'PF18678', NULL, 'Allene oxide cyclase barrel like domain', 122, NULL, 'AOC_like', 14516),
(14517, 'PF15830', NULL, 'Domain of unknown function (DUF4712)', 254, NULL, 'DUF4712', 14517),
(14518, 'PF13208', NULL, 'TerB N-terminal domain', 208, NULL, 'TerB_N', 14518),
(14519, 'PF04562', NULL, 'Dictyostelium spore coat protein, N terminus', 114, NULL, 'Dicty_spore_N', 14519),
(14520, 'PF15196', NULL, 'Activator of apoptosis harakiri', 92, NULL, 'Harakiri', 14520),
(14521, 'PF06521', NULL, 'PAR1 protein', 156, NULL, 'PAR1', 14521),
(14522, 'PF16142', NULL, 'Domain of unknown function (DUF4850)', 184, NULL, 'DUF4850', 14522),
(14523, 'PF11479', NULL, 'RNA silencing suppressor P21 C-terminal domain', 80, NULL, 'Suppressor_P21', 14523),
(14524, 'PF17060', NULL, 'Monopolar spindle protein 2', 348, NULL, 'MPS2', 14524),
(14525, 'PF06620', NULL, 'Protein of unknown function (DUF1150)', 76, NULL, 'DUF1150', 14525),
(14526, 'PF05261', NULL, 'TraM protein, DNA-binding', 126, NULL, 'Tra_M', 14526),
(14527, 'PF16869', NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, mid domain', 140, NULL, 'CNDH2_M', 14527),
(14528, 'PF01731', NULL, 'Arylesterase', 86, NULL, 'Arylesterase', 14528),
(14529, 'PF05255', NULL, 'Uncharacterised protein family (UPF0220)', 166, NULL, 'UPF0220', 14529),
(14530, 'PF09559', NULL, 'Cas6 Crispr', 191, NULL, 'Cas6', 14530),
(14531, 'PF13810', NULL, 'Domain of unknown function (DUF4185)', 313, NULL, 'DUF4185', 14531),
(14532, 'PF04209', NULL, 'homogentisate 1,2-dioxygenase', 426, NULL, 'HgmA', 14532),
(14533, 'PF04227', NULL, 'Indigoidine synthase A like protein', 291, NULL, 'Indigoidine_A', 14533);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14534, 'PF16418', NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', 150, NULL, 'CNOT1_HEAT', 14534),
(14535, 'PF10953', NULL, 'Protein of unknown function (DUF2754)', 70, NULL, 'DUF2754', 14535),
(14536, 'PF13145', NULL, 'PPIC-type PPIASE domain', 121, NULL, 'Rotamase_2', 14536),
(14537, 'PF12475', NULL, 'Amdovirus non-structural protein', 48, NULL, 'Amdo_NSP', 14537),
(14538, 'PF19142', NULL, 'Family of unknown function (DUF5825)', 179, NULL, 'DUF5825', 14538),
(14539, 'PF14801', NULL, 'tRNA methyltransferase complex GCD14 subunit N-term', 51, NULL, 'GCD14_N', 14539),
(14540, 'PF17287', NULL, 'POTRA domain', 56, NULL, 'POTRA_3', 14540),
(14541, 'PF03972', NULL, 'MmgE/PrpD family', 440, NULL, 'MmgE_PrpD', 14541),
(14542, 'PF10971', NULL, 'Protein of unknown function (DUF2773)', 81, NULL, 'DUF2773', 14542),
(14543, 'PF10055', NULL, 'Uncharacterized small protein (DUF2292)', 37, NULL, 'DUF2292', 14543),
(14544, 'PF06699', NULL, 'GPI biosynthesis protein family Pig-F', 182, NULL, 'PIG-F', 14544),
(14545, 'PF14684', NULL, 'Tricorn protease C1 domain', 70, NULL, 'Tricorn_C1', 14545),
(14546, 'PF19171', NULL, 'Family of unknown function (DUF5853)', 136, NULL, 'DUF5853', 14546),
(14547, 'PF16952', NULL, 'Glutamine synthetase N-terminal domain', 107, NULL, 'Gln-synt_N_2', 14547),
(14548, 'PF01577', NULL, 'Potyvirus P1 protease', 245, NULL, 'Peptidase_S30', 14548),
(14549, 'PF14965', NULL, 'Negative regulator of p53/TP53', 180, NULL, 'BRI3BP', 14549),
(14550, 'PF00604', NULL, 'Influenza RNA-dependent RNA polymerase subunit PB2', 754, NULL, 'Flu_PB2', 14550),
(14551, 'PF00688', NULL, 'TGF-beta propeptide', 248, NULL, 'TGFb_propeptide', 14551),
(14552, 'PF16307', NULL, 'Domain of unknown function (DUF4949)', 107, NULL, 'DUF4949', 14552),
(14553, 'PF01142', NULL, 'tRNA pseudouridine synthase D (TruD)', 416, NULL, 'TruD', 14553),
(14554, 'PF10759', NULL, 'Protein of unknown function (DUF2587)', 161, NULL, 'DUF2587', 14554),
(14555, 'PF03508', NULL, 'Gap junction alpha-1 protein (Cx43)', 20, NULL, 'Connexin43', 14555),
(14556, 'PF11586', NULL, 'Protein of unknown function (DUF3242)', 126, NULL, 'DUF3242', 14556),
(14557, 'PF01223', NULL, 'DNA/RNA non-specific endonuclease', 226, NULL, 'Endonuclease_NS', 14557),
(14558, 'PF11738', NULL, 'Protein of unknown function (DUF3298)', 83, NULL, 'DUF3298', 14558),
(14559, 'PF10605', NULL, '3HB-oligomer hydrolase (3HBOH)', 690, NULL, '3HBOH', 14559),
(14560, 'PF03730', NULL, 'Ku70/Ku80 C-terminal arm', 88, NULL, 'Ku_C', 14560),
(14561, 'PF09274', NULL, 'ParG', 76, NULL, 'ParG', 14561),
(14562, 'PF03504', NULL, 'Chlamydia cysteine-rich outer membrane protein 6', 91, NULL, 'Chlam_OMP6', 14562),
(14563, 'PF02297', NULL, 'Cytochrome oxidase c subunit VIb', 76, NULL, 'COX6B', 14563),
(14564, 'PF14586', NULL, 'Class I Histocompatibility antigen, NKG2D ligand, domains 1 and 2', 174, NULL, 'MHC_I_2', 14564),
(14565, 'PF07504', NULL, 'Fungalysin/Thermolysin Propeptide Motif', 51, NULL, 'FTP', 14565),
(14566, 'PF17378', NULL, 'Meiotic recombination protein REC104', 182, NULL, 'REC104', 14566),
(14567, 'PF00212', NULL, 'Atrial natriuretic peptide', 31, NULL, 'ANP', 14567),
(14568, 'PF03644', NULL, 'Glycosyl hydrolase family 85', 303, NULL, 'Glyco_hydro_85', 14568),
(14569, 'PF02983', NULL, 'Alpha-lytic protease prodomain', 59, NULL, 'Pro_Al_protease', 14569),
(14570, 'PF11203', NULL, 'Putative type VII ESX secretion system translocon, EccE', 97, NULL, 'EccE', 14570),
(14571, 'PF05922', NULL, 'Peptidase inhibitor I9', 82, NULL, 'Inhibitor_I9', 14571),
(14572, 'PF07462', NULL, 'Merozoite surface protein 1 (MSP1) C-terminus', 554, NULL, 'MSP1_C', 14572),
(14573, 'PF18123', NULL, 'Fibroblast growth factor receptor 3 transmembrane domain', 31, NULL, 'FGFR3_TM', 14573),
(14574, 'PF01827', NULL, 'FTH domain', 141, NULL, 'FTH', 14574),
(14575, 'PF09026', NULL, 'Centromere protein B dimerisation domain', 100, NULL, 'CENP-B_dimeris', 14575),
(14576, 'PF08279', NULL, 'HTH domain', 55, NULL, 'HTH_11', 14576);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14577, 'PF07494', NULL, 'Two component regulator propeller', 24, NULL, 'Reg_prop', 14577),
(14578, 'PF05793', NULL, 'Transcription initiation factor IIF, alpha subunit (TFIIF-alpha)', 528, NULL, 'TFIIF_alpha', 14578),
(14579, 'PF11979', NULL, 'Domain of unknown function (DUF3480)', 353, NULL, 'DUF3480', 14579),
(14580, 'PF15953', NULL, 'Putative propanediol utilisation', 153, NULL, 'PDU_like', 14580),
(14581, 'PF14565', NULL, 'Interleukin 22 IL-10-related T-cell-derived-inducible factor', 139, NULL, 'IL22', 14581),
(14582, 'PF08691', NULL, 'DNA repair proteins Nse5 and Nse6', 513, NULL, 'Nse5', 14582),
(14583, 'PF15556', NULL, 'ZW10 interactor', 252, NULL, 'Zwint', 14583),
(14584, 'PF03225', NULL, 'Viral heat shock protein Hsp90 homologue', 512, NULL, 'Viral_Hsp90', 14584),
(14585, 'PF10466', NULL, 'Saccharopepsin inhibitor I34', 69, NULL, 'Inhibitor_I34', 14585),
(14586, 'PF18183', NULL, 'SMODS and SLOG-associating 2TM effector domain 2', 192, NULL, 'SLATT_2', 14586),
(14587, 'PF17681', NULL, 'Gamma tubulin complex component N-terminal', 304, NULL, 'GCP_N_terminal', 14587),
(14588, 'PF03558', NULL, 'TBSV core protein P21/P22', 187, NULL, 'TBSV_P22', 14588),
(14589, 'PF11553', NULL, 'Protein of unknown function (DUF3231)', 165, NULL, 'DUF3231', 14589),
(14590, 'PF06369', NULL, 'Sea anemone cytotoxic protein', 176, NULL, 'Anemone_cytotox', 14590),
(14591, 'PF09725', NULL, 'Folate-sensitive fragile site protein Fra10Ac1', 125, NULL, 'Fra10Ac1', 14591),
(14592, 'PF02652', NULL, 'L-lactate permease', 522, NULL, 'Lactate_perm', 14592),
(14593, 'PF07714', NULL, 'Protein tyrosine and serine/threonine kinase', 259, NULL, 'PK_Tyr_Ser-Thr', 14593),
(14594, 'PF08207', NULL, 'Elongation factor P (EF-P) KOW-like domain', 58, NULL, 'EFP_N', 14594),
(14595, 'PF16370', NULL, 'C terminal of Calcineurin-like phosphoesterase', 163, NULL, 'MetallophosC', 14595),
(14596, 'PF02352', NULL, 'Decorin binding protein', 141, NULL, 'Decorin_bind', 14596),
(14597, 'PF03650', NULL, 'Mitochondrial pyruvate carriers', 110, NULL, 'MPC', 14597),
(14598, 'PF12025', NULL, 'Phage protein C', 68, NULL, 'Phage_C', 14598),
(14599, 'PF09302', NULL, 'XLF-Cernunnos, XRcc4-like factor, NHEJ component', 177, NULL, 'XLF', 14599),
(14600, 'PF03837', NULL, 'RecT family', 199, NULL, 'RecT', 14600),
(14601, 'PF15904', NULL, 'LKB1 serine/threonine kinase interacting protein 1', 90, NULL, 'LIP1', 14601),
(14602, 'PF12041', NULL, 'Transcriptional regulator DELLA protein N terminal', 69, NULL, 'DELLA', 14602),
(14603, 'PF11145', NULL, 'Protein of unknown function (DUF2921)', 883, NULL, 'DUF2921', 14603),
(14604, 'PF11256', NULL, 'Protein of unknown function (DUF3055)', 80, NULL, 'DUF3055', 14604),
(14605, 'PF09131', NULL, 'Bacillus thuringiensis delta-Endotoxin, middle domain', 206, NULL, 'Endotoxin_mid', 14605),
(14606, 'PF09752', NULL, 'Abhydrolase domain containing 18', 352, NULL, 'DUF2048', 14606),
(14607, 'PF09475', NULL, 'Dot/Icm secretion system protein (dot_icm_IcmQ)', 179, NULL, 'Dot_icm_IcmQ', 14607),
(14608, 'PF07970', NULL, 'Endoplasmic reticulum vesicle transporter', 226, NULL, 'COPIIcoated_ERV', 14608),
(14609, 'PF03954', NULL, 'Hepatic lectin, N-terminal domain', 131, NULL, 'Lectin_N', 14609),
(14610, 'PF09329', NULL, 'Primase zinc finger', 46, NULL, 'zf-primase', 14610),
(14611, 'PF07954', NULL, 'Protein of unknown function (DUF1689)', 146, NULL, 'DUF1689', 14611),
(14612, 'PF13829', NULL, 'Domain of unknown function (DUF4191)', 219, NULL, 'DUF4191', 14612),
(14613, 'PF11760', NULL, 'Cobalamin synthesis G N-terminal', 82, NULL, 'CbiG_N', 14613),
(14614, 'PF09937', NULL, 'Uncharacterized protein conserved in bacteria (DUF2169)', 294, NULL, 'DUF2169', 14614),
(14615, 'PF14333', NULL, 'Domain of unknown function (DUF4389)', 76, NULL, 'DUF4389', 14615),
(14616, 'PF00870', NULL, 'P53 DNA-binding domain', 193, NULL, 'P53', 14616),
(14617, 'PF08877', NULL, 'MepB protein', 122, NULL, 'MepB', 14617),
(14618, 'PF15716', NULL, 'Domain of unknown function (DUF4672)', 203, NULL, 'DUF4672', 14618);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14619, 'PF17197', NULL, 'Domain of unknown function (DUF5134)', 150, NULL, 'DUF5134', 14619),
(14620, 'PF03755', NULL, 'YicC-like family, N-terminal region', 152, NULL, 'YicC_N', 14620),
(14621, 'PF11295', NULL, 'Protein of unknown function (DUF3096)', 37, NULL, 'DUF3096', 14621),
(14622, 'PF00586', NULL, 'AIR synthase related protein, N-terminal domain', 95, NULL, 'AIRS', 14622),
(14623, 'PF02797', NULL, 'Chalcone and stilbene synthases, C-terminal domain', 151, NULL, 'Chal_sti_synt_C', 14623),
(14624, 'PF06743', NULL, 'FAST kinase-like protein, subdomain 1', 69, NULL, 'FAST_1', 14624),
(14625, 'PF03764', NULL, 'Elongation factor G, domain IV', 121, NULL, 'EFG_IV', 14625),
(14626, 'PF18826', NULL, 'Bacteroidetes VLRF1 release factor', 154, NULL, 'bVLRF1', 14626),
(14627, 'PF11816', NULL, 'Domain of unknown function (DUF3337)', 172, NULL, 'DUF3337', 14627),
(14628, 'PF15417', NULL, 'Domain of unknown function (DUF4624)', 132, NULL, 'DUF4624', 14628),
(14629, 'PF03028', NULL, 'Dynein heavy chain region D6 P-loop domain', 115, NULL, 'Dynein_heavy', 14629),
(14630, 'PF12434', NULL, 'Malate dehydrogenase enzyme', 32, NULL, 'Malate_DH', 14630),
(14631, 'PF10787', NULL, 'Uncharacterised protein from bacillus cereus group', 142, NULL, 'YfmQ', 14631),
(14632, 'PF16387', NULL, 'Domain of unknown function', 102, NULL, 'DUF4996', 14632),
(14633, 'PF18973', NULL, 'Putative Chitin binding like', 49, NULL, 'CBL', 14633),
(14634, 'PF00355', NULL, 'Rieske [2Fe-2S] domain', 89, NULL, 'Rieske', 14634),
(14635, 'PF15539', NULL, 'CAF1 complex subunit p150, region binding to CAF1-p60 at C-term', 288, NULL, 'CAF1-p150_C2', 14635),
(14636, 'PF15308', NULL, 'CEP170 C-terminus', 678, NULL, 'CEP170_C', 14636),
(14637, 'PF01098', NULL, 'Cell cycle protein', 359, NULL, 'FTSW_RODA_SPOVE', 14637),
(14638, 'PF18470', NULL, 'Cas9 alpha-helical lobe domain', 225, NULL, 'Cas9_a', 14638),
(14639, 'PF10991', NULL, 'Protein of unknown function (DUF2815)', 173, NULL, 'DUF2815', 14639),
(14640, 'PF10708', NULL, 'Protein of unknown function (DUF2510)', 35, NULL, 'DUF2510', 14640),
(14641, 'PF14388', NULL, 'Domain of unknown function (DUF4419)', 304, NULL, 'DUF4419', 14641),
(14642, 'PF18426', NULL, 'Tle cognate immunity protein 4 C-terminal domain', 161, NULL, 'Tli4_C', 14642),
(14643, 'PF00076', NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', 70, NULL, 'RRM_1', 14643),
(14644, 'PF00152', NULL, 'tRNA synthetases class II (D, K and N)', 314, NULL, 'tRNA-synt_2', 14644),
(14645, 'PF13990', NULL, 'YjcZ-like protein', 272, NULL, 'YjcZ', 14645),
(14646, 'PF11818', NULL, 'C-terminal domain of tail specific protease (DUF3340)', 153, NULL, 'DUF3340', 14646),
(14647, 'PF04181', NULL, 'Rtr1/RPAP2 family', 75, NULL, 'RPAP2_Rtr1', 14647),
(14648, 'PF11268', NULL, 'Protein of unknown function (DUF3071)', 166, NULL, 'DUF3071', 14648),
(14649, 'PF08971', NULL, 'Glycogen synthesis protein', 66, NULL, 'GlgS', 14649),
(14650, 'PF17709', NULL, 'Family of unknown function (DUF5554)', 73, NULL, 'DUF5554', 14650),
(14651, 'PF03545', NULL, 'Yersinia virulence determinant (YopE)', 70, NULL, 'YopE', 14651),
(14652, 'PF14933', NULL, 'CEP19-like protein', 165, NULL, 'CEP19', 14652),
(14653, 'PF06371', NULL, 'Diaphanous GTPase-binding Domain', 188, NULL, 'Drf_GBD', 14653),
(14654, 'PF15463', NULL, 'Extracellular mutant protein 11', 133, NULL, 'ECM11', 14654),
(14655, 'PF17365', NULL, 'Family of unknown function (DUF5390)', 141, NULL, 'DUF5390', 14655),
(14656, 'PF07571', NULL, 'TAF6 C-terminal HEAT repeat domain', 90, NULL, 'TAF6_C', 14656),
(14657, 'PF18075', NULL, 'FtsX extracellular domain', 96, NULL, 'FtsX_ECD', 14657),
(14658, 'PF18004', NULL, '26S proteasome regulatory subunit RPN2 C-terminal domain', 161, NULL, 'RPN2_C', 14658),
(14659, 'PF11610', NULL, 'Scaffold protein Ste5, Fus3-binding region', 30, NULL, 'Ste5', 14659),
(14660, 'PF14952', NULL, 'Putative treble-clef, zinc-finger, Zn-binding', 42, NULL, 'zf-tcix', 14660),
(14661, 'PF14479', NULL, 'Prion-inhibition and propagation', 205, NULL, 'HeLo', 14661);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14662, 'PF17128', NULL, 'Domain of unknown function (DUF5107)', 295, NULL, 'DUF5107', 14662),
(14663, 'PF18486', NULL, 'PNGase/UBA- or UBX-containing domain', 64, NULL, 'PUB_1', 14663),
(14664, 'PF13694', NULL, 'Sec63/Sec62 complex-interacting family', 184, NULL, 'Hph', 14664),
(14665, 'PF00377', NULL, 'Prion/Doppel alpha-helical domain', 117, NULL, 'Prion', 14665),
(14666, 'PF15435', NULL, 'UNC119-binding protein C5orf30 homologue', 198, NULL, 'UNC119_bdg', 14666),
(14667, 'PF17123', NULL, 'RING-like zinc finger', 29, NULL, 'zf-RING_11', 14667),
(14668, 'PF13816', NULL, 'Haem-containing dehydratase', 309, NULL, 'Dehydratase_hem', 14668),
(14669, 'PF12737', NULL, 'C-terminal domain of homeodomain 1', 414, NULL, 'Mating_C', 14669),
(14670, 'PF06322', NULL, 'Phage NinH protein', 60, NULL, 'Phage_NinH', 14670),
(14671, 'PF02597', NULL, 'ThiS family', 77, NULL, 'ThiS', 14671),
(14672, 'PF10283', NULL, 'PBZ domain', 26, NULL, 'zf-CCHH', 14672),
(14673, 'PF08670', NULL, 'MEKHLA domain', 143, NULL, 'MEKHLA', 14673),
(14674, 'PF17033', NULL, 'Carboxypeptidase controlling helical cell shape catalytic', 267, NULL, 'Peptidase_M99', 14674),
(14675, 'PF15746', NULL, 'TMEM215 family', 225, NULL, 'TMEM215', 14675),
(14676, 'PF03754', NULL, 'Domain of unknown function (DUF313)', 113, NULL, 'DUF313', 14676),
(14677, 'PF00310', NULL, 'Glutamine amidotransferases class-II', 420, NULL, 'GATase_2', 14677),
(14678, 'PF03540', NULL, 'Transcription initiation factor TFIID 23-30kDa subunit', 50, NULL, 'TFIID_30kDa', 14678),
(14679, 'PF16255', NULL, 'GDSL-like Lipase/Acylhydrolase', 202, NULL, 'Lipase_GDSL_lke', 14679),
(14680, 'PF14419', NULL, 'AF2226-like SPOUT RNA Methylase fused to THUMP', 173, NULL, 'SPOUT_MTase_2', 14680),
(14681, 'PF01420', NULL, 'Type I restriction modification DNA specificity domain', 168, NULL, 'Methylase_S', 14681),
(14682, 'PF17004', NULL, 'Putative TPR-like repeat', 117, NULL, 'SRP_TPR_like', 14682),
(14683, 'PF14194', NULL, 'Cysteine-rich VLP', 57, NULL, 'Cys_rich_VLP', 14683),
(14684, 'PF11925', NULL, 'Protein of unknown function (DUF3443)', 369, NULL, 'DUF3443', 14684),
(14685, 'PF08375', NULL, 'Proteasome regulatory subunit C-terminal', 66, NULL, 'Rpn3_C', 14685),
(14686, 'PF10690', NULL, 'Myticin pre-proprotein from the mussel', 98, NULL, 'Myticin-prepro', 14686),
(14687, 'PF01019', NULL, 'Gamma-glutamyltranspeptidase', 512, NULL, 'G_glu_transpept', 14687),
(14688, 'PF04876', NULL, 'Tenuivirus major non-capsid protein', 173, NULL, 'Tenui_NCP', 14688),
(14689, 'PF08988', NULL, 'Type III secretion system, cytoplasmic E component of needle', 66, NULL, 'T3SS_needle_E', 14689),
(14690, 'PF18822', NULL, 'CdvA-like coiled-coil domain', 123, NULL, 'CdvA', 14690),
(14691, 'PF01603', NULL, 'Protein phosphatase 2A regulatory B subunit (B56 family)', 415, NULL, 'B56', 14691),
(14692, 'PF19227', NULL, 'Salyut domain', 51, NULL, 'Salyut', 14692),
(14693, 'PF05122', NULL, 'Mobile element transfer protein', 50, NULL, 'SpdB', 14693),
(14694, 'PF06615', NULL, 'Protein of unknown function (DUF1147)', 59, NULL, 'DUF1147', 14694),
(14695, 'PF07973', NULL, 'Threonyl and Alanyl tRNA synthetase second additional domain', 44, NULL, 'tRNA_SAD', 14695),
(14696, 'PF01402', NULL, 'Ribbon-helix-helix protein, copG family', 39, NULL, 'RHH_1', 14696),
(14697, 'PF02548', NULL, 'Ketopantoate hydroxymethyltransferase', 259, NULL, 'Pantoate_transf', 14697),
(14698, 'PF16396', NULL, 'Domain of unknown function (DUF5005)', 436, NULL, 'DUF5005', 14698),
(14699, 'PF00387', NULL, 'Phosphatidylinositol-specific phospholipase C, Y domain', 115, NULL, 'PI-PLC-Y', 14699),
(14700, 'PF18658', NULL, 'Spin-doc zinc-finger', 64, NULL, 'zf-C2H2_12', 14700),
(14701, 'PF17640', NULL, 'Uncharacterized UL17', 102, NULL, 'UL17', 14701),
(14702, 'PF10480', NULL, 'Beta-1 integrin binding protein', 200, NULL, 'ICAP-1_inte_bdg', 14702),
(14703, 'PF03942', NULL, 'DTW domain', 202, NULL, 'DTW', 14703),
(14704, 'PF03516', NULL, 'Filaggrin', 56, NULL, 'Filaggrin', 14704);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14705, 'PF07919', NULL, 'Gryzun, putative trafficking through Golgi', 590, NULL, 'Gryzun', 14705),
(14706, 'PF18188', NULL, 'Prim-pol 4', 159, NULL, 'PPL4', 14706),
(14707, 'PF15248', NULL, 'Domain of unknown function (DUF4587)', 76, NULL, 'DUF4587', 14707),
(14708, 'PF18935', NULL, 'Family of unknown function (DUF5683)', 151, NULL, 'DUF5683', 14708),
(14709, 'PF09022', NULL, 'Staphostatin A', 105, NULL, 'Staphostatin_A', 14709),
(14710, 'PF16436', NULL, 'Domain of unknown function (DUF5033)', 178, NULL, 'DUF5033', 14710),
(14711, 'PF01400', NULL, 'Astacin (Peptidase family M12A)', 191, NULL, 'Astacin', 14711),
(14712, 'PF03637', NULL, 'Mob1/phocein family', 170, NULL, 'Mob1_phocein', 14712),
(14713, 'PF11567', NULL, 'Plasmodium falciparum UIS3 membrane protein', 101, NULL, 'PfUIS3', 14713),
(14714, 'PF02021', NULL, 'Uncharacterised protein family UPF0102', 79, NULL, 'UPF0102', 14714),
(14715, 'PF02511', NULL, 'Thymidylate synthase complementing protein', 190, NULL, 'Thy1', 14715),
(14716, 'PF01035', NULL, '6-O-methylguanine DNA methyltransferase, DNA binding domain', 81, NULL, 'DNA_binding_1', 14716),
(14717, 'PF07997', NULL, 'Protein of unknown function (DUF1694)', 117, NULL, 'DUF1694', 14717),
(14718, 'PF03529', NULL, 'Otx1 transcription factor', 94, NULL, 'TF_Otx', 14718),
(14719, 'PF15341', NULL, 'Ribosome biogenesis protein SLX9', 129, NULL, 'SLX9', 14719),
(14720, 'PF09462', NULL, 'Mus7/MMS22 family', 614, NULL, 'Mus7', 14720),
(14721, 'PF15820', NULL, 'Endothelial cell-specific chemotaxis regulator', 103, NULL, 'ECSCR', 14721),
(14722, 'PF01939', NULL, 'Endonuclease NucS', 229, NULL, 'NucS', 14722),
(14723, 'PF13347', NULL, 'MFS/sugar transport protein', 427, NULL, 'MFS_2', 14723),
(14724, 'PF18246', NULL, 'Oligosaccharyltransferase Insert domain', 83, NULL, 'OST_IS', 14724),
(14725, 'PF18081', NULL, 'Fanconi anemia-associated nuclease SAP domain', 51, NULL, 'FANC_SAP', 14725),
(14726, 'PF02793', NULL, 'Hormone receptor domain', 65, NULL, 'HRM', 14726),
(14727, 'PF13403', NULL, 'Hint domain', 143, NULL, 'Hint_2', 14727),
(14728, 'PF06308', NULL, '23S rRNA methylastransferase leader peptide (ErmCL)', 31, NULL, 'ErmC', 14728),
(14729, 'PF08142', NULL, 'AARP2CN (NUC121) domain', 86, NULL, 'AARP2CN', 14729),
(14730, 'PF09442', NULL, 'Domain of unknown function (DUF2018)', 83, NULL, 'DUF2018', 14730),
(14731, 'PF03630', NULL, 'Fumble', 333, NULL, 'Fumble', 14731),
(14732, 'PF06313', NULL, 'Drosophila ACP53EA protein', 90, NULL, 'ACP53EA', 14732),
(14733, 'PF03110', NULL, 'SBP domain', 75, NULL, 'SBP', 14733),
(14734, 'PF14318', NULL, 'Mononegavirales mRNA-capping region V', 247, NULL, 'Mononeg_mRNAcap', 14734),
(14735, 'PF17173', NULL, 'Domain of unknown function (DUF5129)', 337, NULL, 'DUF5129', 14735),
(14736, 'PF11629', NULL, 'C terminal SARAH domain of Mst1', 48, NULL, 'Mst1_SARAH', 14736),
(14737, 'PF11092', NULL, 'Neuronal protein 3.1 (p311)', 67, NULL, 'Alveol-reg_P311', 14737),
(14738, 'PF12957', NULL, 'Domain of unknown function (DUF3846)', 91, NULL, 'DUF3846', 14738),
(14739, 'PF16512', NULL, 'p190-A and -B Rho GAPs FF domain', 80, NULL, 'RhoGAP-FF1', 14739),
(14740, 'PF13029', NULL, 'Domain of unknown function (DUF3890)', 84, NULL, 'DUF3890', 14740),
(14741, 'PF06458', NULL, 'MucBP domain', 63, NULL, 'MucBP', 14741),
(14742, 'PF18952', NULL, 'Family of unknown function (DUF5696)', 611, NULL, 'DUF5696', 14742),
(14743, 'PF07334', NULL, 'Interferon-induced 35 kDa protein (IFP 35) N-terminus', 76, NULL, 'IFP_35_N', 14743),
(14744, 'PF01617', NULL, 'Surface antigen', 250, NULL, 'Surface_Ag_2', 14744),
(14745, 'PF11672', NULL, 'zinc-finger-containing domain', 118, NULL, 'DUF3268', 14745),
(14746, 'PF13535', NULL, 'ATP-grasp domain', 160, NULL, 'ATP-grasp_4', 14746),
(14747, 'PF00943', NULL, 'Alphavirus E2 glycoprotein', 403, NULL, 'Alpha_E2_glycop', 14747),
(14748, 'PF18561', NULL, 'Endoribonuclease Regnase 1/ ZC3H12 C-terminal domain', 46, NULL, 'Regnase_1_C', 14748),
(14749, 'PF16919', NULL, 'Protein kinase G rubredoxin domain', 139, NULL, 'PknG_rubred', 14749);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14750, 'PF06412', NULL, 'Conjugal transfer protein TraD', 61, NULL, 'TraD', 14750),
(14751, 'PF17904', NULL, 'FMRP KH0 domain', 85, NULL, 'KH_9', 14751),
(14752, 'PF03301', NULL, 'Tryptophan 2,3-dioxygenase', 346, NULL, 'Trp_dioxygenase', 14752),
(14753, 'PF05059', NULL, 'Orbivirus VP4 core protein', 640, NULL, 'Orbi_VP4', 14753),
(14754, 'PF09404', NULL, 'KICSTOR complex C12orf66 like', 440, NULL, 'C12orf66_like', 14754),
(14755, 'PF11590', NULL, 'DNA polymerase catalytic subunit Pol', 36, NULL, 'DNAPolymera_Pol', 14755),
(14756, 'PF18432', NULL, 'Extracellular Cadherin domain', 110, NULL, 'ECD', 14756),
(14757, 'PF15759', NULL, 'TMEM108 family', 514, NULL, 'TMEM108', 14757),
(14758, 'PF13657', NULL, 'HipA N-terminal domain', 99, NULL, 'Couple_hipA', 14758),
(14759, 'PF11848', NULL, 'Domain of unknown function (DUF3368)', 46, NULL, 'DUF3368', 14759),
(14760, 'PF06978', NULL, 'Ribonucleases P/MRP protein subunit POP1', 206, NULL, 'POP1', 14760),
(14761, 'PF10511', NULL, 'Trappin protein transglutaminase binding domain', 17, NULL, 'Cementoin', 14761),
(14762, 'PF07444', NULL, 'Ycf66 protein N-terminus', 76, NULL, 'Ycf66_N', 14762),
(14763, 'PF06898', NULL, 'Putative stage IV sporulation protein YqfD', 379, NULL, 'YqfD', 14763),
(14764, 'PF15247', NULL, 'Histone RNA hairpin-binding protein RNA-binding domain', 70, NULL, 'SLBP_RNA_bind', 14764),
(14765, 'PF00254', NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase', 94, NULL, 'FKBP_C', 14765),
(14766, 'PF06311', NULL, 'NUMB domain', 92, NULL, 'NumbF', 14766),
(14767, 'PF16605', NULL, 'LSM-interacting associated unstructured', 61, NULL, 'LSM_int_assoc', 14767),
(14768, 'PF17844', NULL, 'Bacterial SCP ortholog', 93, NULL, 'SCP_3', 14768),
(14769, 'PF16353', NULL, 'Domain of unknown function (DUF4981)', 87, NULL, 'DUF4981', 14769),
(14770, 'PF17982', NULL, 'NSD Cys-His rich domain', 50, NULL, 'C5HCH', 14770),
(14771, 'PF04166', NULL, 'Pyridoxal phosphate biosynthetic protein PdxA', 282, NULL, 'PdxA', 14771),
(14772, 'PF11358', NULL, 'Protein of unknown function (DUF3158)', 156, NULL, 'DUF3158', 14772),
(14773, 'PF00700', NULL, 'Bacterial flagellin C-terminal helical region', 86, NULL, 'Flagellin_C', 14773),
(14774, 'PF05129', NULL, 'Transcription elongation factor Elf1 like', 78, NULL, 'Elf1', 14774),
(14775, 'PF09271', NULL, 'LAG1, DNA binding', 150, NULL, 'LAG1-DNAbind', 14775),
(14776, 'PF05959', NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF884)', 188, NULL, 'DUF884', 14776),
(14777, 'PF14682', NULL, 'Sporulation initiation phospho-transferase B, C-terminal', 113, NULL, 'SPOB_ab', 14777),
(14778, 'PF17935', NULL, 'Tetracyclin repressor-like, C-terminal domain', 106, NULL, 'TetR_C_27', 14778),
(14779, 'PF18488', NULL, 'WYL domain', 63, NULL, 'WYL_3', 14779),
(14780, 'PF09010', NULL, 'Anti-Sigma Factor A', 85, NULL, 'AsiA', 14780),
(14781, 'PF07479', NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase C-terminus', 142, NULL, 'NAD_Gly3P_dh_C', 14781),
(14782, 'PF16468', NULL, 'Domain of unknown function (DUF5049)', 57, NULL, 'DUF5049', 14782),
(14783, 'PF02059', NULL, 'Interleukin-3', 117, NULL, 'IL3', 14783),
(14784, 'PF13925', NULL, 'con80 domain of Katanin', 160, NULL, 'Katanin_con80', 14784),
(14785, 'PF04565', NULL, 'RNA polymerase Rpb2, domain 3', 68, NULL, 'RNA_pol_Rpb2_3', 14785),
(14786, 'PF10750', NULL, 'Protein of unknown function (DUF2536)', 68, NULL, 'DUF2536', 14786),
(14787, 'PF09303', NULL, 'KCNMB2, ball and chain domain', 31, NULL, 'KcnmB2_inactiv', 14787),
(14788, 'PF08028', NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', 134, NULL, 'Acyl-CoA_dh_2', 14788),
(14789, 'PF17454', NULL, 'Honey bee toxin', 49, NULL, 'Bee_toxin', 14789),
(14790, 'PF00850', NULL, 'Histone deacetylase domain', 307, NULL, 'Hist_deacetyl', 14790),
(14791, 'PF04042', NULL, 'DNA polymerase alpha/epsilon subunit B', 211, NULL, 'DNA_pol_E_B', 14791),
(14792, 'PF03729', NULL, 'Short repeat of unknown function (DUF308)', 73, NULL, 'DUF308', 14792);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14793, 'PF13777', NULL, 'Domain of unknown function (DUF4173)', 190, NULL, 'DUF4173', 14793),
(14794, 'PF03621', NULL, 'MbtH-like protein', 53, NULL, 'MbtH', 14794),
(14795, 'PF12835', NULL, 'Integrase', 149, NULL, 'Integrase_1', 14795),
(14796, 'PF08194', NULL, 'DIM protein', 36, NULL, 'DIM', 14796),
(14797, 'PF01679', NULL, 'Proteolipid membrane potential modulator', 49, NULL, 'Pmp3', 14797),
(14798, 'PF13447', NULL, 'Seven times multi-haem cytochrome CxxCH', 269, NULL, 'Multi-haem_cyto', 14798),
(14799, 'PF11976', NULL, 'Ubiquitin-2 like Rad60 SUMO-like', 72, NULL, 'Rad60-SLD', 14799),
(14800, 'PF14449', NULL, 'Pre-toxin TG', 69, NULL, 'PT-TG', 14800),
(14801, 'PF02629', NULL, 'CoA binding domain', 96, NULL, 'CoA_binding', 14801),
(14802, 'PF12007', NULL, 'Protein of unknown function (DUF3501)', 187, NULL, 'DUF3501', 14802),
(14803, 'PF00486', NULL, 'Transcriptional regulatory protein, C terminal', 77, NULL, 'Trans_reg_C', 14803),
(14804, 'PF18664', NULL, 'CdiA C-terminal tRNase domain', 116, NULL, 'CdiA_C_tRNase', 14804),
(14805, 'PF12842', NULL, 'Domain of unknown function (DUF3819)', 144, NULL, 'DUF3819', 14805),
(14806, 'PF12612', NULL, 'Tubulin folding cofactor D C terminal', 188, NULL, 'TFCD_C', 14806),
(14807, 'PF12086', NULL, 'Protein of unknown function (DUF3563)', 61, NULL, 'DUF3563', 14807),
(14808, 'PF16167', NULL, 'Domain of unknown function (DUF4871)', 128, NULL, 'DUF4871', 14808),
(14809, 'PF04675', NULL, 'DNA ligase N terminus', 173, NULL, 'DNA_ligase_A_N', 14809),
(14810, 'PF11606', NULL, 'Family 31 carbohydrate binding protein', 93, NULL, 'AlcCBM31', 14810),
(14811, 'PF04239', NULL, 'Protein of unknown function (DUF421)', 108, NULL, 'DUF421', 14811),
(14812, 'PF04298', NULL, 'Putative neutral zinc metallopeptidase', 218, NULL, 'Zn_peptidase_2', 14812),
(14813, 'PF09175', NULL, 'Domain of unknown function (DUF1944)', 167, NULL, 'DUF1944', 14813),
(14814, 'PF12801', NULL, '4Fe-4S binding domain', 48, NULL, 'Fer4_5', 14814),
(14815, 'PF03535', NULL, 'Paxillin family', 202, NULL, 'Paxillin', 14815),
(14816, 'PF08559', NULL, 'Cut8, nuclear proteasome tether protein', 244, NULL, 'Cut8', 14816),
(14817, 'PF16112', NULL, 'Domain of unknown function (DUF4830)', 84, NULL, 'DUF4830', 14817),
(14818, 'PF06901', NULL, 'RTX iron-regulated protein FrpC', 271, NULL, 'FrpC', 14818),
(14819, 'PF07866', NULL, 'Protein of unknown function (DUF1653)', 62, NULL, 'DUF1653', 14819),
(14820, 'PF03833', NULL, 'DNA polymerase II large subunit DP2', 866, NULL, 'PolC_DP2', 14820),
(14821, 'PF04850', NULL, 'Baculovirus E66 occlusion-derived virus envelope protein', 387, NULL, 'Baculo_E66', 14821),
(14822, 'PF19158', NULL, 'Family of unknown function (DUF5840)', 49, NULL, 'DUF5840', 14822),
(14823, 'PF08214', NULL, 'Histone acetylation protein', 352, NULL, 'HAT_KAT11', 14823),
(14824, 'PF05267', NULL, 'Protein of unknown function (DUF725)', 121, NULL, 'DUF725', 14824),
(14825, 'PF15155', NULL, 'MORF4 family-associated protein1', 119, NULL, 'MRFAP1', 14825),
(14826, 'PF16895', NULL, 'Domain of unknown function (DUF5085)', 141, NULL, 'DUF5085', 14826),
(14827, 'PF00484', NULL, 'Carbonic anhydrase', 156, NULL, 'Pro_CA', 14827),
(14828, 'PF02510', NULL, 'Surface presentation of antigens protein', 336, NULL, 'SPAN', 14828),
(14829, 'PF05063', NULL, 'MT-A70', 172, NULL, 'MT-A70', 14829),
(14830, 'PF04690', NULL, 'YABBY protein', 166, NULL, 'YABBY', 14830),
(14831, 'PF04512', NULL, 'Baculovirus polyhedron envelope protein, PEP, N terminus', 111, NULL, 'Baculo_PEP_N', 14831),
(14832, 'PF01568', NULL, 'Molydopterin dinucleotide binding domain', 111, NULL, 'Molydop_binding', 14832),
(14833, 'PF07296', NULL, 'TraP protein', 202, NULL, 'TraP', 14833),
(14834, 'PF17075', NULL, 'Regular of rDNA transcription protein 14', 197, NULL, 'RRT14', 14834),
(14835, 'PF16309', NULL, 'Domian of unknown function (DUF4951)', 83, NULL, 'DUF4951', 14835),
(14836, 'PF05479', NULL, 'Photosystem I reaction centre subunit N (PSAN or PSI-N)', 132, NULL, 'PsaN', 14836);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14837, 'PF03503', NULL, 'Chlamydia cysteine-rich outer membrane protein 3', 54, NULL, 'Chlam_OMP3', 14837),
(14838, 'PF19215', NULL, 'Coronavirus replicase NSP15, uridylate-specific endoribonuclease', 154, NULL, 'CoV_NSP15_C', 14838),
(14839, 'PF14630', NULL, 'Origin recognition complex (ORC) subunit 5 C-terminus', 288, NULL, 'ORC5_C', 14839),
(14840, 'PF17201', NULL, 'Cache 3/Cache 2 fusion domain', 292, NULL, 'Cache_3-Cache_2', 14840),
(14841, 'PF12458', NULL, 'ATPase involved in DNA repair', 449, NULL, 'DUF3686', 14841),
(14842, 'PF02672', NULL, 'CP12 domain', 70, NULL, 'CP12', 14842),
(14843, 'PF11690', NULL, 'Protein of unknown function (DUF3287)', 128, NULL, 'DUF3287', 14843),
(14844, 'PF18965', NULL, 'Family of unknown function (DUF5705)', 1062, NULL, 'DUF5705', 14844),
(14845, 'PF13937', NULL, 'Domain of unknown function (DUF4212)', 79, NULL, 'DUF4212', 14845),
(14846, 'PF14467', NULL, 'Domain of unknown function (DUF4426)', 121, NULL, 'DUF4426', 14846),
(14847, 'PF04299', NULL, 'Putative FMN-binding domain', 168, NULL, 'FMN_bind_2', 14847),
(14848, 'PF05154', NULL, 'TM2 domain', 51, NULL, 'TM2', 14848),
(14849, 'PF18329', NULL, 'Surface glycan-binding protein B xyloglucan binding domain', 187, NULL, 'SGBP_B_XBD', 14849),
(14850, 'PF12406', NULL, 'Surface protein', 99, NULL, 'DUF3664', 14850),
(14851, 'PF18388', NULL, 'Atg29 N-terminal domain', 54, NULL, 'Atg29_N', 14851),
(14852, 'PF03366', NULL, 'YEATS family', 81, NULL, 'YEATS', 14852),
(14853, 'PF10730', NULL, 'Protein of unknown function (DUF2521)', 146, NULL, 'DUF2521', 14853),
(14854, 'PF01361', NULL, 'Tautomerase enzyme', 60, NULL, 'Tautomerase', 14854),
(14855, 'PF06247', NULL, 'Pvs28 EGF domain', 41, NULL, 'Plasmod_Pvs28', 14855),
(14856, 'PF08455', NULL, 'Bacterial SNF2 helicase associated', 374, NULL, 'SNF2_assoc', 14856),
(14857, 'PF00868', NULL, 'Transglutaminase family', 118, NULL, 'Transglut_N', 14857),
(14858, 'PF11969', NULL, 'Scavenger mRNA decapping enzyme C-term binding', 114, NULL, 'DcpS_C', 14858),
(14859, 'PF14729', NULL, 'Domain of unknown function with cystatin-like fold (DUF4467)', 94, NULL, 'DUF4467', 14859),
(14860, 'PF15344', NULL, 'FAM217 family', 238, NULL, 'FAM217', 14860),
(14861, 'PF03492', NULL, 'SAM dependent carboxyl methyltransferase', 334, NULL, 'Methyltransf_7', 14861),
(14862, 'PF02883', NULL, 'Adaptin C-terminal domain', 111, NULL, 'Alpha_adaptinC2', 14862),
(14863, 'PF01884', NULL, 'PcrB family', 226, NULL, 'PcrB', 14863),
(14864, 'PF08891', NULL, 'YfcL protein', 85, NULL, 'YfcL', 14864),
(14865, 'PF18604', NULL, 'Pre ATP-grasp domain', 92, NULL, 'PreAtp-grasp', 14865),
(14866, 'PF09359', NULL, 'VTC domain', 275, NULL, 'VTC', 14866),
(14867, 'PF12297', NULL, 'Ellis van Creveld protein 2 like protein', 429, NULL, 'EVC2_like', 14867),
(14868, 'PF03807', NULL, 'NADP oxidoreductase coenzyme F420-dependent', 96, NULL, 'F420_oxidored', 14868),
(14869, 'PF16688', NULL, 'Replicase polyprotein N-term from Coronavirus nsp1', 108, NULL, 'CNV-Replicase_N', 14869),
(14870, 'PF10989', NULL, 'Protein of unknown function (DUF2808)', 145, NULL, 'DUF2808', 14870),
(14871, 'PF03936', NULL, 'Terpene synthase family, metal binding domain', 267, NULL, 'Terpene_synth_C', 14871),
(14872, 'PF13365', NULL, 'Trypsin-like peptidase domain', 150, NULL, 'Trypsin_2', 14872),
(14873, 'PF13356', NULL, 'Arm DNA-binding domain', 77, NULL, 'Arm-DNA-bind_3', 14873),
(14874, 'PF07214', NULL, 'Protein of unknown function (DUF1418)', 94, NULL, 'DUF1418', 14874),
(14875, 'PF15506', NULL, 'OCC1 family', 61, NULL, 'OCC1', 14875),
(14876, 'PF05300', NULL, 'Protein of unknown function (DUF737)', 225, NULL, 'DUF737', 14876),
(14877, 'PF00762', NULL, 'Ferrochelatase', 317, NULL, 'Ferrochelatase', 14877),
(14878, 'PF13555', NULL, 'P-loop containing region of AAA domain', 61, NULL, 'AAA_29', 14878),
(14879, 'PF04109', NULL, 'Autophagy protein Apg9', 480, NULL, 'APG9', 14879),
(14880, 'PF11062', NULL, 'Protein of unknown function (DUF2863)', 399, NULL, 'DUF2863', 14880);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14881, 'PF02123', NULL, 'Viral RNA-directed RNA-polymerase', 479, NULL, 'RdRP_4', 14881),
(14882, 'PF01589', NULL, 'Alphavirus E1 glycoprotein', 504, NULL, 'Alpha_E1_glycop', 14882),
(14883, 'PF10577', NULL, 'Uncharacterised protein family UPF0560', 820, NULL, 'UPF0560', 14883),
(14884, 'PF10476', NULL, 'Protein of unknown function C-terminus (DUF2448)', 205, NULL, 'DUF2448', 14884),
(14885, 'PF06068', NULL, 'TIP49 P-loop domain', 351, NULL, 'TIP49', 14885),
(14886, 'PF11328', NULL, 'Protein of unknown function (DUF3130', 89, NULL, 'DUF3130', 14886),
(14887, 'PF15860', NULL, 'Domain of unknown function (DUF4728)', 92, NULL, 'DUF4728', 14887),
(14888, 'PF11421', NULL, 'ATP synthase F1 beta subunit', 49, NULL, 'Synthase_beta', 14888),
(14889, 'PF06186', NULL, 'Protein of unknown function (DUF992)', 143, NULL, 'DUF992', 14889),
(14890, 'PF13625', NULL, 'Helicase conserved C-terminal domain', 127, NULL, 'Helicase_C_3', 14890),
(14891, 'PF05666', NULL, 'Fels-1 Prophage Protein-like', 43, NULL, 'Fels1', 14891),
(14892, 'PF18027', NULL, 'Cytosolic carboxypeptidase N-terminal domain', 107, NULL, 'Pepdidase_M14_N', 14892),
(14893, 'PF02204', NULL, 'Vacuolar sorting protein 9 (VPS9) domain', 104, NULL, 'VPS9', 14893),
(14894, 'PF18698', NULL, 'Histidine kinase sensor domain', 126, NULL, 'HisK_sensor', 14894),
(14895, 'PF08841', NULL, 'Diol dehydratase reactivase ATPase-like domain', 328, NULL, 'DDR', 14895),
(14896, 'PF09202', NULL, 'Rio2, N-terminal', 82, NULL, 'Rio2_N', 14896),
(14897, 'PF12757', NULL, 'Eisosome protein 1', 125, NULL, 'Eisosome1', 14897),
(14898, 'PF02725', NULL, 'Non-structural protein C', 164, NULL, 'Paramyxo_NS_C', 14898),
(14899, 'PF10137', NULL, 'Predicted nucleotide-binding protein containing TIR-like domain', 119, NULL, 'TIR-like', 14899),
(14900, 'PF11205', NULL, 'Protein of unknown function (DUF2987)', 146, NULL, 'DUF2987', 14900),
(14901, 'PF11274', NULL, 'Protein of unknown function (DUF3074)', 184, NULL, 'DUF3074', 14901),
(14902, 'PF03334', NULL, 'Na+/H+ antiporter subunit', 79, NULL, 'PhaG_MnhG_YufB', 14902),
(14903, 'PF16158', NULL, 'Ig-like domain from next to BRCA1 gene', 105, NULL, 'N_BRCA1_IG', 14903),
(14904, 'PF01237', NULL, 'Oxysterol-binding protein', 373, NULL, 'Oxysterol_BP', 14904),
(14905, 'PF10679', NULL, 'Protein of unknown function (DUF2491)', 210, NULL, 'DUF2491', 14905),
(14906, 'PF06199', NULL, 'Phage tail tube protein', 135, NULL, 'Phage_tail_2', 14906),
(14907, 'PF07404', NULL, 'Telomere-binding protein beta subunit (TEBP beta)', 379, NULL, 'TEBP_beta', 14907),
(14908, 'PF09394', NULL, 'Chagasin family peptidase inhibitor I42', 91, NULL, 'Inhibitor_I42', 14908),
(14909, 'PF12563', NULL, 'Hemolytic toxin N terminal', 188, NULL, 'Hemolysin_N', 14909),
(14910, 'PF14533', NULL, 'Ubiquitin-specific protease C-terminal', 209, NULL, 'USP7_C2', 14910),
(14911, 'PF11910', NULL, 'Cyanobacterial and plant NDH-1 subunit O', 67, NULL, 'NdhO', 14911),
(14912, 'PF18959', NULL, 'Family of unknown function (DUF5701)', 194, NULL, 'DUF5701', 14912),
(14913, 'PF17631', NULL, 'Family of unknown function (DUF5512)', 139, NULL, 'DUF5512', 14913),
(14914, 'PF09701', NULL, 'CRISPR-associated protein (Cas_Cmr5)', 122, NULL, 'Cas_Cmr5', 14914),
(14915, 'PF16315', NULL, 'Domain of unknown function (DUF4955)', 149, NULL, 'DUF4955', 14915),
(14916, 'PF03098', NULL, 'Animal haem peroxidase', 528, NULL, 'An_peroxidase', 14916),
(14917, 'PF18296', NULL, 'MID domain of medPIWI', 254, NULL, 'MID_MedPIWI', 14917),
(14918, 'PF07690', NULL, 'Major Facilitator Superfamily', 353, NULL, 'MFS_1', 14918),
(14919, 'PF18521', NULL, 'Transactivation domain 2', 25, NULL, 'TAD2', 14919),
(14920, 'PF01595', NULL, 'Cyclin M transmembrane N-terminal domain', 180, NULL, 'DUF21', 14920),
(14921, 'PF16728', NULL, 'Domain of unknown function (DUF5066)', 214, NULL, 'DUF5066', 14921),
(14922, 'PF10403', NULL, 'Rad4 beta-hairpin domain 1', 51, NULL, 'BHD_1', 14922),
(14923, 'PF01177', NULL, 'Asp/Glu/Hydantoin racemase', 211, NULL, 'Asp_Glu_race', 14923);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14924, 'PF02170', NULL, 'PAZ domain', 138, NULL, 'PAZ', 14924),
(14925, 'PF16035', NULL, 'Chalcone isomerase like', 204, NULL, 'Chalcone_2', 14925),
(14926, 'PF04810', NULL, 'Sec23/Sec24 zinc finger', 39, NULL, 'zf-Sec23_Sec24', 14926),
(14927, 'PF00802', NULL, 'Pneumovirus attachment glycoprotein G', 263, NULL, 'Glycoprotein_G', 14927),
(14928, 'PF18717', NULL, 'CxC4 like cysteine cluster associated with KDZ transposases', 130, NULL, 'CxC4', 14928),
(14929, 'PF12227', NULL, 'Protein of unknown function (DUF3603)', 214, NULL, 'DUF3603', 14929),
(14930, 'PF05142', NULL, 'Domain of unknown function (DUF702)', 151, NULL, 'DUF702', 14930),
(14931, 'PF00547', NULL, 'Urease, gamma subunit', 99, NULL, 'Urease_gamma', 14931),
(14932, 'PF12377', NULL, 'Duffy binding protein N terminal', 67, NULL, 'DuffyBP_N', 14932),
(14933, 'PF12259', NULL, 'Baculovirus F protein', 610, NULL, 'Baculo_F', 14933),
(14934, 'PF04256', NULL, 'Protein of unknown function (DUF434)', 56, NULL, 'DUF434', 14934),
(14935, 'PF04745', NULL, 'VITF-3 subunit protein', 289, NULL, 'Pox_A8', 14935),
(14936, 'PF13327', NULL, 'Type III secretion system subunit', 162, NULL, 'T3SS_LEE_assoc', 14936),
(14937, 'PF02324', NULL, 'Glycosyl hydrolase family 70', 805, NULL, 'Glyco_hydro_70', 14937),
(14938, 'PF15851', NULL, 'Domain of unknown function (DUF4723)', 82, NULL, 'DUF4723', 14938),
(14939, 'PF08111', NULL, 'Pea-VEAacid family', 15, NULL, 'Pea-VEAacid', 14939),
(14940, 'PF10516', NULL, 'SHNi-TPR', 38, NULL, 'SHNi-TPR', 14940),
(14941, 'PF03454', NULL, 'MoeA C-terminal region (domain IV)', 72, NULL, 'MoeA_C', 14941),
(14942, 'PF02162', NULL, 'XYPPX repeat (two copies)', 15, NULL, 'XYPPX', 14942),
(14943, 'PF02512', NULL, 'Virulence determinant', 96, NULL, 'UK', 14943),
(14944, 'PF13018', NULL, 'Extended Signal Peptide of Type V secretion system', 24, NULL, 'ESPR', 14944),
(14945, 'PF12719', NULL, 'Nuclear condensing complex subunits, C-term domain', 293, NULL, 'Cnd3', 14945),
(14946, 'PF00727', NULL, 'Interleukin 4', 109, NULL, 'IL4', 14946),
(14947, 'PF14348', NULL, 'Domain of unknown function (DUF4400)', 204, NULL, 'DUF4400', 14947),
(14948, 'PF08053', NULL, 'Tryptophanase operon leader peptide', 24, NULL, 'Tna_leader', 14948),
(14949, 'PF13911', NULL, 'AhpC/TSA antioxidant enzyme', 113, NULL, 'AhpC-TSA_2', 14949),
(14950, 'PF02311', NULL, 'AraC-like ligand binding domain', 136, NULL, 'AraC_binding', 14950),
(14951, 'PF15544', NULL, 'Bacterial toxin 6', 271, NULL, 'Ntox6', 14951),
(14952, 'PF07775', NULL, 'PaRep2b protein', 512, NULL, 'PaRep2b', 14952),
(14953, 'PF13883', NULL, 'Pyridoxamine 5''-phosphate oxidase', 170, NULL, 'Pyrid_oxidase_2', 14953),
(14954, 'PF15234', NULL, 'Linker for activation of T-cells', 240, NULL, 'LAT', 14954),
(14955, 'PF03247', NULL, 'Prothymosin/parathymosin family', 112, NULL, 'Prothymosin', 14955),
(14956, 'PF15968', NULL, 'Membrane-anchored ion channel, Abi component', 139, NULL, 'RexB', 14956),
(14957, 'PF05032', NULL, 'Spo12 family', 35, NULL, 'Spo12', 14957),
(14958, 'PF12438', NULL, 'Protein of unknown function (DUF3679)', 56, NULL, 'DUF3679', 14958),
(14959, 'PF15237', NULL, 'PTRF/SDPR family', 251, NULL, 'PTRF_SDPR', 14959),
(14960, 'PF12677', NULL, 'Domain of unknown function (DUF3797)', 48, NULL, 'DUF3797', 14960),
(14961, 'PF19186', NULL, 'Family of unknown function (DUF5868)', 193, NULL, 'DUF5868', 14961),
(14962, 'PF08745', NULL, 'PINc domain ribonuclease', 207, NULL, 'PIN_5', 14962),
(14963, 'PF08593', NULL, 'Domain of unknown function', 58, NULL, 'DUF1773', 14963),
(14964, 'PF08467', NULL, 'Luteovirus RNA polymerase P1-P2/replicase', 339, NULL, 'Luteo_P1-P2', 14964),
(14965, 'PF02017', NULL, 'CIDE-N domain', 77, NULL, 'CIDE-N', 14965),
(14966, 'PF02036', NULL, 'SCP-2 sterol transfer family', 101, NULL, 'SCP2', 14966),
(14967, 'PF09619', NULL, 'Type III secretion system lipoprotein chaperone (YscW)', 107, NULL, 'YscW', 14967),
(14968, 'PF07722', NULL, 'Peptidase C26', 216, NULL, 'Peptidase_C26', 14968);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(14969, 'PF18912', NULL, 'Double zinc ribbon domain', 56, NULL, 'DZR_2', 14969),
(14970, 'PF05881', NULL, '2'',3''-cyclic nucleotide 3''-phosphodiesterase (CNP or CNPase)', 236, NULL, 'CNPase', 14970),
(14971, 'PF06662', NULL, 'D-glucuronyl C5-epimerase C-terminus', 188, NULL, 'C5-epim_C', 14971),
(14972, 'PF01684', NULL, 'ET module', 79, NULL, 'ET', 14972),
(14973, 'PF08640', NULL, 'U3 small nucleolar RNA-associated protein 6', 83, NULL, 'U3_assoc_6', 14973),
(14974, 'PF09103', NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 1', 123, NULL, 'BRCA-2_OB1', 14974),
(14975, 'PF06262', NULL, 'Zincin-like metallopeptidase', 97, NULL, 'Zincin_1', 14975),
(14976, 'PF12250', NULL, 'Arabinofuranosyltransferase N terminal', 427, NULL, 'AftA_N', 14976),
(14977, 'PF12304', NULL, 'Beta-casein like protein', 184, NULL, 'BCLP', 14977),
(14978, 'PF17160', NULL, 'Domain of unknown function (DUF5124)', 100, NULL, 'DUF5124', 14978),
(14979, 'PF15905', NULL, 'Hyaluronan mediated motility receptor N-terminal', 333, NULL, 'HMMR_N', 14979),
(14980, 'PF11798', NULL, 'IMS family HHH motif', 32, NULL, 'IMS_HHH', 14980),
(14981, 'PF17801', NULL, 'Alpha galactosidase C-terminal beta sandwich domain', 71, NULL, 'Melibiase_C', 14981),
(14982, 'PF04305', NULL, 'Protein of unknown function (DUF455)', 247, NULL, 'DUF455', 14982),
(14983, 'PF04216', NULL, 'Protein involved in formate dehydrogenase formation', 287, NULL, 'FdhE', 14983),
(14984, 'PF14309', NULL, 'Domain of unknown function (DUF4378)', 164, NULL, 'DUF4378', 14984),
(14985, 'PF14144', NULL, 'Seed dormancy control', 77, NULL, 'DOG1', 14985),
(14986, 'PF09720', NULL, 'Putative addiction module component', 54, NULL, 'Unstab_antitox', 14986),
(14987, 'PF17181', NULL, 'Epidermal patterning factor proteins', 52, NULL, 'EPF', 14987),
(14988, 'PF13185', NULL, 'GAF domain', 138, NULL, 'GAF_2', 14988),
(14989, 'PF00533', NULL, 'BRCA1 C Terminus (BRCT) domain', 79, NULL, 'BRCT', 14989),
(14990, 'PF08190', NULL, 'PIH1 N-terminal domain', 166, NULL, 'PIH1', 14990),
(14991, 'PF15064', NULL, 'Cation channel sperm-associated protein subunit gamma', 971, NULL, 'CATSPERG', 14991),
(14992, 'PF08475', NULL, 'Viral capsid protein 91 N-terminal', 192, NULL, 'Baculo_VP91_N', 14992),
(14993, 'PF05891', NULL, 'AdoMet dependent proline di-methyltransferase', 218, NULL, 'Methyltransf_PK', 14993),
(14994, 'PF13494', NULL, 'Domain of unknown function, B. Theta Gene description (DUF4119)', 92, NULL, 'DUF4119', 14994),
(14995, 'PF10793', NULL, 'Gloverin-like protein', 161, NULL, 'Gloverin', 14995),
(14996, 'PF13944', NULL, 'Calycin-like beta-barrel domain', 124, NULL, 'Calycin_like', 14996),
(14997, 'PF03436', NULL, 'Domain of unknown function (DUF281)', 56, NULL, 'DUF281', 14997),
(14998, 'PF12929', NULL, 'Stretch-activated Ca2+-permeable channel component', 426, NULL, 'Mid1', 14998),
(14999, 'PF11528', NULL, 'Protein of unknown function (DUF3224)', 126, NULL, 'DUF3224', 14999),
(15000, 'PF10368', NULL, 'Putative cell-wall binding lipoprotein', 186, NULL, 'YkyA', 15000),
(15001, 'PF13311', NULL, 'Protein of unknown function (DUF4080)', 188, NULL, 'DUF4080', 15001),
(15002, 'PF16029', NULL, 'Domain of unknown function (DUF4787)', 63, NULL, 'DUF4787', 15002),
(15003, 'PF06905', NULL, 'Fas apoptotic inhibitory molecule (FAIM1)', 174, NULL, 'FAIM1', 15003),
(15004, 'PF12559', NULL, 'Serine endopeptidase inhibitors', 64, NULL, 'Inhibitor_I10', 15004),
(15005, 'PF13262', NULL, 'Protein of unknown function (DUF4054)', 107, NULL, 'DUF4054', 15005),
(15006, 'PF16947', NULL, 'N-terminal region of 4Fe-4S ferredoxin iron-sulfur binding', 65, NULL, 'Ferredoxin_N', 15006),
(15007, 'PF09599', NULL, 'Salmonella-Shigella invasin protein C (IpaC_SipC)', 334, NULL, 'IpaC_SipC', 15007),
(15008, 'PF04973', NULL, 'Nicotinamide mononucleotide transporter', 176, NULL, 'NMN_transporter', 15008),
(15009, 'PF16310', NULL, 'Domian of unknown function (DUF4952)', 77, NULL, 'DUF4952', 15009),
(15010, 'PF11756', NULL, 'Nitrous oxide-stimulated promoter', 106, NULL, 'YgbA_NO', 15010);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15011, 'PF09946', NULL, 'Predicted membrane protein (DUF2178)', 106, NULL, 'DUF2178', 15011),
(15012, 'PF02809', NULL, 'Ubiquitin interaction motif', 17, NULL, 'UIM', 15012),
(15013, 'PF11909', NULL, 'NADH-quinone oxidoreductase cyanobacterial subunit N', 153, NULL, 'NdhN', 15013),
(15014, 'PF00977', NULL, 'Histidine biosynthesis protein', 229, NULL, 'His_biosynth', 15014),
(15015, 'PF11078', NULL, 'Optomotor-blind protein N-terminal region', 79, NULL, 'Optomotor-blind', 15015),
(15016, 'PF07721', NULL, 'Tetratricopeptide repeat', 26, NULL, 'TPR_4', 15016),
(15017, 'PF16339', NULL, 'Domain of unknown function (DUF4969)', 79, NULL, 'DUF4969', 15017),
(15018, 'PF01425', NULL, 'Amidase', 446, NULL, 'Amidase', 15018),
(15019, 'PF00481', NULL, 'Protein phosphatase 2C', 258, NULL, 'PP2C', 15019),
(15020, 'PF06386', NULL, 'Gas vesicle synthesis protein GvpL/GvpF', 244, NULL, 'GvpL_GvpF', 15020),
(15021, 'PF16720', NULL, 'Albumin I chain a', 48, NULL, 'Albumin_I_a', 15021),
(15022, 'PF15363', NULL, 'Domain of unknown function (DUF4596)', 46, NULL, 'DUF4596', 15022),
(15023, 'PF16800', NULL, 'IseA DL-endopeptidase inhibitor', 150, NULL, 'Endopep_inhib', 15023),
(15024, 'PF11292', NULL, 'Protein of unknown function (DUF3093)', 140, NULL, 'DUF3093', 15024),
(15025, 'PF03865', NULL, 'Haemolysin secretion/activation protein ShlB/FhaC/HecB', 312, NULL, 'ShlB', 15025),
(15026, 'PF16246', NULL, 'Domain of unknown function (DUF4903)', 190, NULL, 'DUF4903', 15026),
(15027, 'PF01580', NULL, 'FtsK/SpoIIIE family', 243, NULL, 'FtsK_SpoIIIE', 15027),
(15028, 'PF14749', NULL, 'Acyl-coenzyme A oxidase N-terminal', 125, NULL, 'Acyl-CoA_ox_N', 15028),
(15029, 'PF17240', NULL, 'Family of unknown function (DUF5313)', 123, NULL, 'DUF5313', 15029),
(15030, 'PF07337', NULL, 'DC-EC Repeat', 32, NULL, 'CagY_M', 15030),
(15031, 'PF06851', NULL, 'Protein of unknown function (DUF1247)', 149, NULL, 'DUF1247', 15031),
(15032, 'PF16178', NULL, 'Dimerisation domain of Ca+-activated chloride-channel, anoctamin', 226, NULL, 'Anoct_dimer', 15032),
(15033, 'PF11286', NULL, 'Protein of unknown function (DUF3087)', 169, NULL, 'DUF3087', 15033),
(15034, 'PF00583', NULL, 'Acetyltransferase (GNAT) family', 117, NULL, 'Acetyltransf_1', 15034),
(15035, 'PF17760', NULL, 'UvrA interaction domain', 109, NULL, 'UvrA_inter', 15035),
(15036, 'PF07099', NULL, 'Protein of unknown function (DUF1361)', 168, NULL, 'DUF1361', 15036),
(15037, 'PF02455', NULL, 'Hexon-associated protein (IIIa)', 511, NULL, 'Hex_IIIa', 15037),
(15038, 'PF13113', NULL, 'Protein of unknown function (DUF3970)', 55, NULL, 'DUF3970', 15038),
(15039, 'PF05521', NULL, 'Phage head-tail joining protein', 96, NULL, 'Phage_H_T_join', 15039),
(15040, 'PF05737', NULL, 'Collagen binding domain', 131, NULL, 'Collagen_bind', 15040),
(15041, 'PF12038', NULL, 'Domain of unknown function (DUF3524)', 168, NULL, 'DUF3524', 15041),
(15042, 'PF10191', NULL, 'Golgi complex component 7 (COG7)', 768, NULL, 'COG7', 15042),
(15043, 'PF06966', NULL, 'Protein of unknown function (DUF1295)', 235, NULL, 'DUF1295', 15043),
(15044, 'PF18859', NULL, 'Actinobacteria/chloroflexi VLRF1 release factor', 130, NULL, 'acVLRF1', 15044),
(15045, 'PF13640', NULL, '2OG-Fe(II) oxygenase superfamily', 96, NULL, '2OG-FeII_Oxy_3', 15045),
(15046, 'PF15001', NULL, 'AP-5 complex subunit sigma-1', 193, NULL, 'AP-5_subunit_s1', 15046),
(15047, 'PF11263', NULL, 'Borrelia burgdorferi attachment protein P66', 253, NULL, 'Attachment_P66', 15047),
(15048, 'PF14397', NULL, 'Sugar-transfer associated ATP-grasp', 278, NULL, 'ATPgrasp_ST', 15048),
(15049, 'PF12804', NULL, 'MobA-like NTP transferase domain', 160, NULL, 'NTP_transf_3', 15049),
(15050, 'PF13886', NULL, 'Domain of unknown function (DUF4203)', 201, NULL, 'DUF4203', 15050),
(15051, 'PF08148', NULL, 'DSHCT (NUC185) domain', 162, NULL, 'DSHCT', 15051),
(15052, 'PF08885', NULL, 'GSCFA family', 237, NULL, 'GSCFA', 15052),
(15053, 'PF10220', NULL, 'Smg8_Smg9', 883, NULL, 'Smg8_Smg9', 15053);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15054, 'PF10133', NULL, 'CO dehydrogenase accessory protein CooT', 61, NULL, 'CooT', 15054),
(15055, 'PF01943', NULL, 'Polysaccharide biosynthesis protein', 274, NULL, 'Polysacc_synt', 15055),
(15056, 'PF14599', NULL, 'Zinc-ribbon', 59, NULL, 'zinc_ribbon_6', 15056),
(15057, 'PF15425', NULL, 'Domain of unknown function (DUF4627)', 203, NULL, 'DUF4627', 15057),
(15058, 'PF02063', NULL, 'MARCKS family', 281, NULL, 'MARCKS', 15058),
(15059, 'PF12363', NULL, 'Phage tail assembly chaperone protein, TAC', 111, NULL, 'Phage_TAC_12', 15059),
(15060, 'PF11767', NULL, 'Histone lysine methyltransferase SET associated', 66, NULL, 'SET_assoc', 15060),
(15061, 'PF13943', NULL, 'WPP domain', 99, NULL, 'WPP', 15061),
(15062, 'PF08740', NULL, 'BCS1 N terminal', 187, NULL, 'BCS1_N', 15062),
(15063, 'PF14040', NULL, 'Deoxyribonuclease NucA/NucB', 113, NULL, 'DNase_NucA_NucB', 15063),
(15064, 'PF18869', NULL, 'RnaseLS-like HEPN', 124, NULL, 'HEPN_RnaseLS', 15064),
(15065, 'PF14148', NULL, 'YhdB-like protein', 71, NULL, 'YhdB', 15065),
(15066, 'PF09360', NULL, 'Iron-binding zinc finger CDGSH type', 48, NULL, 'zf-CDGSH', 15066),
(15067, 'PF14524', NULL, 'Wzt C-terminal domain', 142, NULL, 'Wzt_C', 15067),
(15068, 'PF16241', NULL, 'Domain of unknown function (DUF4900)', 89, NULL, 'DUF4900', 15068),
(15069, 'PF11591', NULL, 'Ferredoxin chloroplastic transit peptide', 34, NULL, '2Fe-2S_Ferredox', 15069),
(15070, 'PF14134', NULL, 'Domain of unknown function (DUF4301)', 508, NULL, 'DUF4301', 15070),
(15071, 'PF15170', NULL, 'Calcium/calmodulin-dependent protein kinase II inhibitor', 79, NULL, 'CaM-KIIN', 15071),
(15072, 'PF06763', NULL, 'Prophage minor tail protein Z (GPZ)', 190, NULL, 'Minor_tail_Z', 15072),
(15073, 'PF17419', NULL, 'Methylamine utilization protein MauJ', 282, NULL, 'MauJ', 15073),
(15074, 'PF06904', NULL, 'Extensin-like protein C-terminus', 177, NULL, 'Extensin-like_C', 15074),
(15075, 'PF17660', NULL, 'Bacterial tandem repeat domain 1', 50, NULL, 'BTRD1', 15075),
(15076, 'PF10303', NULL, 'Protein of unknown function (DUF2408)', 134, NULL, 'DUF2408', 15076),
(15077, 'PF15368', NULL, 'Spermatogenesis family BioT2', 170, NULL, 'BioT2', 15077),
(15078, 'PF01850', NULL, 'PIN domain', 122, NULL, 'PIN', 15078),
(15079, 'PF15838', NULL, 'Domain of unknown function (DUF4717)', 72, NULL, 'DUF4717', 15079),
(15080, 'PF08534', NULL, 'Redoxin', 147, NULL, 'Redoxin', 15080),
(15081, 'PF12078', NULL, 'Domain of unknown function (DUF3557)', 154, NULL, 'DUF3557', 15081),
(15082, 'PF12358', NULL, 'Protein of unknown function (DUF3644)', 75, NULL, 'DUF3644', 15082),
(15083, 'PF16072', NULL, 'Domain of unknown function (DUF4813)', 292, NULL, 'DUF4813', 15083),
(15084, 'PF10205', NULL, 'Predicted coiled-coil domain-containing protein', 101, NULL, 'KLRAQ', 15084),
(15085, 'PF07075', NULL, 'Protein of unknown function (DUF1343)', 353, NULL, 'DUF1343', 15085),
(15086, 'PF04720', NULL, 'PDDEXK-like family of unknown function', 220, NULL, 'PDDEXK_6', 15086),
(15087, 'PF01668', NULL, 'SmpB protein', 143, NULL, 'SmpB', 15087),
(15088, 'PF11182', NULL, 'Alginate O-acetyl transferase AlgF', 178, NULL, 'AlgF', 15088),
(15089, 'PF02723', NULL, 'Coronavirus small envelope protein E', 75, NULL, 'CoV_E', 15089),
(15090, 'PF06495', NULL, 'Fruit fly transformer protein', 182, NULL, 'Transformer', 15090),
(15091, 'PF02207', NULL, 'Putative zinc finger in N-recognin (UBR box)', 70, NULL, 'zf-UBR', 15091),
(15092, 'PF11774', NULL, 'Lsr2', 110, NULL, 'Lsr2', 15092),
(15093, 'PF13662', NULL, 'Toprim domain', 89, NULL, 'Toprim_4', 15093),
(15094, 'PF11980', NULL, 'C-terminal domain of neuropilin glycoprotein', 82, NULL, 'DUF3481', 15094),
(15095, 'PF03772', NULL, 'Competence protein', 271, NULL, 'Competence', 15095),
(15096, 'PF10974', NULL, 'Protein of unknown function (DUF2804)', 328, NULL, 'DUF2804', 15096),
(15097, 'PF10245', NULL, 'Mitochondrial 28S ribosomal protein S22', 243, NULL, 'MRP-S22', 15097),
(15098, 'PF03451', NULL, 'HELP motif', 74, NULL, 'HELP', 15098);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15099, 'PF06136', NULL, 'Domain of unknown function (DUF966)', 383, NULL, 'DUF966', 15099),
(15100, 'PF06804', NULL, 'NlpB/DapX lipoprotein', 321, NULL, 'Lipoprotein_18', 15100),
(15101, 'PF15929', NULL, 'Myofilin', 148, NULL, 'Myofilin', 15101),
(15102, 'PF10962', NULL, 'Protein of unknown function (DUF2764)', 272, NULL, 'DUF2764', 15102),
(15103, 'PF13328', NULL, 'HD domain', 157, NULL, 'HD_4', 15103),
(15104, 'PF11810', NULL, 'Domain of unknown function (DUF3332)', 171, NULL, 'DUF3332', 15104),
(15105, 'PF01528', NULL, 'Herpesvirus glycoprotein M', 373, NULL, 'Herpes_glycop', 15105),
(15106, 'PF10044', NULL, 'Retinal tissue protein', 95, NULL, 'LIN52', 15106),
(15107, 'PF17082', NULL, 'Spindle Pole Component 29', 244, NULL, 'Spc29', 15107),
(15108, 'PF18982', NULL, 'Family of unknown function (DUF5716)', 434, NULL, 'DUF5716', 15108),
(15109, 'PF05795', NULL, 'Plasmodium vivax Vir protein', 381, NULL, 'Plasmodium_Vir', 15109),
(15110, 'PF08882', NULL, 'Acetone carboxylase gamma subunit', 114, NULL, 'Acetone_carb_G', 15110),
(15111, 'PF07667', NULL, 'Protein of unknown function (DUF1600)', 111, NULL, 'DUF1600', 15111),
(15112, 'PF05191', NULL, 'Adenylate kinase, active site lid', 36, NULL, 'ADK_lid', 15112),
(15113, 'PF12285', NULL, 'Protein of unknown function (DUF3621)', 49, NULL, 'DUF3621', 15113),
(15114, 'PF17522', NULL, 'Family of unknown function (DUF5446)', 72, NULL, 'DUF5446', 15114),
(15115, 'PF07704', NULL, 'Rv0623-like transcription factor', 82, NULL, 'PSK_trans_fac', 15115),
(15116, 'PF16057', NULL, 'Domain of unknown function (DUF4800)', 254, NULL, 'DUF4800', 15116),
(15117, 'PF04836', NULL, 'Interferon-related protein conserved region', 52, NULL, 'IFRD_C', 15117),
(15118, 'PF00091', NULL, 'Tubulin/FtsZ family, GTPase domain', 197, NULL, 'Tubulin', 15118),
(15119, 'PF06085', NULL, 'Lipoprotein Rz1 precursor', 41, NULL, 'Rz1', 15119),
(15120, 'PF06748', NULL, 'Protein of unknown function (DUF1217)', 149, NULL, 'DUF1217', 15120),
(15121, 'PF12498', NULL, 'Basic leucine-zipper C terminal', 122, NULL, 'bZIP_C', 15121),
(15122, 'PF07052', NULL, 'Hepatocellular carcinoma-associated antigen 59', 106, NULL, 'Hep_59', 15122),
(15123, 'PF11623', NULL, 'NAD(P)H dehydrogenase subunit S', 52, NULL, 'NdhS', 15123),
(15124, 'PF07183', NULL, 'Protein of unknown function (DUF1403)', 320, NULL, 'DUF1403', 15124),
(15125, 'PF16564', NULL, 'p55-binding region of Methyl-CpG-binding domain proteins MBD', 71, NULL, 'MBDa', 15125),
(15126, 'PF10495', NULL, 'Pericentrin-AKAP-450 domain of centrosomal targeting protein', 83, NULL, 'PACT_coil_coil', 15126),
(15127, 'PF00545', NULL, 'ribonuclease', 86, NULL, 'Ribonuclease', 15127),
(15128, 'PF05833', NULL, 'Fibronectin-binding protein A N-terminus (FbpA)', 455, NULL, 'FbpA', 15128),
(15129, 'PF00450', NULL, 'Serine carboxypeptidase', 416, NULL, 'Peptidase_S10', 15129),
(15130, 'PF17603', NULL, 'Family of unknown function (DUF5499)', 97, NULL, 'DUF5499', 15130),
(15131, 'PF14910', NULL, 'S-phase genomic integrity recombination mediator, N-terminal', 708, NULL, 'MMS22L_N', 15131),
(15132, 'PF15035', NULL, 'Ciliary rootlet component, centrosome cohesion', 193, NULL, 'Rootletin', 15132),
(15133, 'PF16160', NULL, 'Domain of unknown function (DUF4866)', 246, NULL, 'DUF4866', 15133),
(15134, 'PF16619', NULL, 'Unstructured region C-term to UIM in Ataxin3', 64, NULL, 'SUIM_assoc', 15134),
(15135, 'PF12639', NULL, 'DNase/tRNase domain of colicin-like bacteriocin', 96, NULL, 'Colicin-DNase', 15135),
(15136, 'PF03411', NULL, 'Penicillin-insensitive murein endopeptidase', 243, NULL, 'Peptidase_M74', 15136),
(15137, 'PF07268', NULL, 'Exported protein precursor (EppA/BapA)', 138, NULL, 'EppA_BapA', 15137),
(15138, 'PF13394', NULL, '4Fe-4S single cluster domain', 117, NULL, 'Fer4_14', 15138),
(15139, 'PF07926', NULL, 'TPR/MLP1/MLP2-like protein', 129, NULL, 'TPR_MLP1_2', 15139),
(15140, 'PF12364', NULL, 'Protein of unknown function (DUF3648)', 141, NULL, 'DUF3648', 15140);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15141, 'PF10142', NULL, 'PhoPQ-activated pathogenicity-related protein', 366, NULL, 'PhoPQ_related', 15141),
(15142, 'PF07507', NULL, 'WavE lipopolysaccharide synthesis', 305, NULL, 'WavE', 15142),
(15143, 'PF05406', NULL, 'WGR domain', 80, NULL, 'WGR', 15143),
(15144, 'PF00541', NULL, 'Adenoviral fibre protein (knob domain)', 178, NULL, 'Adeno_knob', 15144),
(15145, 'PF00321', NULL, 'Plant thionin', 46, NULL, 'Thionin', 15145),
(15146, 'PF13538', NULL, 'UvrD-like helicase C-terminal domain', 52, NULL, 'UvrD_C_2', 15146),
(15147, 'PF16661', NULL, 'Metallo-beta-lactamase superfamily domain', 193, NULL, 'Lactamase_B_6', 15147),
(15148, 'PF17874', NULL, 'MalT-like TPR region', 336, NULL, 'TPR_MalT', 15148),
(15149, 'PF11558', NULL, 'Het-s 218-289', 65, NULL, 'HET-s_218-289', 15149),
(15150, 'PF05410', NULL, 'Porcine arterivirus-type cysteine proteinase alpha', 105, NULL, 'Peptidase_C31', 15150),
(15151, 'PF07506', NULL, 'RepB plasmid partitioning protein', 185, NULL, 'RepB', 15151),
(15152, 'PF18145', NULL, 'SMODS-associated and fused to various effectors sensor domain', 189, NULL, 'SAVED', 15152),
(15153, 'PF05026', NULL, 'Dcp2, box A domain', 83, NULL, 'DCP2', 15153),
(15154, 'PF18430', NULL, 'Putative DNA-binding domain', 35, NULL, 'DBD_HTH', 15154),
(15155, 'PF03896', NULL, 'Translocon-associated protein (TRAP), alpha subunit', 285, NULL, 'TRAP_alpha', 15155),
(15156, 'PF12930', NULL, 'Family of unknown function (DUF3836)', 127, NULL, 'DUF3836', 15156),
(15157, 'PF02233', NULL, 'NAD(P) transhydrogenase beta subunit', 460, NULL, 'PNTB', 15157),
(15158, 'PF17749', NULL, 'Microtubule-binding protein MIP-T3 C-terminal region', 154, NULL, 'MIP-T3_C', 15158),
(15159, 'PF08992', NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit', 75, NULL, 'QH-AmDH_gamma', 15159),
(15160, 'PF01518', NULL, 'Sigma NS protein', 366, NULL, 'PolyG_pol', 15160),
(15161, 'PF04785', NULL, 'Rhabdovirus matrix protein M2', 202, NULL, 'Rhabdo_M2', 15161),
(15162, 'PF18289', NULL, 'CCDC81 eukaryotic HU domain 2', 75, NULL, 'HU-CCDC81_euk_2', 15162),
(15163, 'PF03032', NULL, 'Frog skin active peptide family signal and propeptide', 46, NULL, 'FSAP_sig_propep', 15163),
(15164, 'PF07175', NULL, 'Osteoregulin', 160, NULL, 'Osteoregulin', 15164),
(15165, 'PF18558', NULL, 'Helix-turn-helix domain', 90, NULL, 'HTH_51', 15165),
(15166, 'PF10571', NULL, 'Uncharacterised protein family UPF0547', 26, NULL, 'UPF0547', 15166),
(15167, 'PF16126', NULL, 'Domain of unknown function (DUF4838)', 266, NULL, 'DUF4838', 15167),
(15168, 'PF12152', NULL, 'Eukaryotic translation initiation factor 4G1', 70, NULL, 'eIF_4G1', 15168),
(15169, 'PF04674', NULL, 'Phosphate-induced protein 1 conserved region', 276, NULL, 'Phi_1', 15169),
(15170, 'PF14171', NULL, 'Toxin SpoIISA, type II toxin-antitoxin system', 243, NULL, 'SpoIISA_toxin', 15170),
(15171, 'PF03676', NULL, 'Uncharacterised protein family (UPF0183)', 394, NULL, 'UPF0183', 15171),
(15172, 'PF14612', NULL, 'IEC3 subunit of the Ino80 complex, chromatin re-modelling', 231, NULL, 'Ino80_Iec3', 15172),
(15173, 'PF16906', NULL, 'Ribosomal proteins L26 eukaryotic, L24P archaeal', 82, NULL, 'Ribosomal_L26', 15173),
(15174, 'PF04869', NULL, 'Uso1 / p115 like vesicle tethering protein, head region', 314, NULL, 'Uso1_p115_head', 15174),
(15175, 'PF15682', NULL, 'Musculoskeletal, temporally activated-embryonic nuclear protein 1', 75, NULL, 'Mustang', 15175),
(15176, 'PF15497', NULL, 'snRNA-activating protein complex subunit 19, SNAPc subunit 19', 91, NULL, 'SNAPc19', 15176),
(15177, 'PF14083', NULL, 'PGDYG protein', 102, NULL, 'PGDYG', 15177),
(15178, 'PF02680', NULL, 'Uncharacterized ArCR, COG1888', 89, NULL, 'DUF211', 15178),
(15179, 'PF05247', NULL, 'Flagellar transcriptional activator (FlhD)', 102, NULL, 'FlhD', 15179),
(15180, 'PF07631', NULL, 'Protein of unknown function (DUF1592)', 128, NULL, 'PSD4', 15180),
(15181, 'PF08579', NULL, 'Mitochondrial ribonuclease P subunit (RPM2)', 119, NULL, 'RPM2', 15181);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15182, 'PF14296', NULL, 'O-antigen polysaccharide polymerase Wzy', 468, NULL, 'O-ag_pol_Wzy', 15182),
(15183, 'PF18571', NULL, 'von Willebrand factor type A C-terminal domain', 47, NULL, 'VWA_3_C', 15183),
(15184, 'PF12294', NULL, 'Protein of unknown function (DUF3626)', 301, NULL, 'DUF3626', 15184),
(15185, 'PF06115', NULL, 'Domain of unknown function (DUF956)', 117, NULL, 'DUF956', 15185),
(15186, 'PF08533', NULL, 'Beta-galactosidase C-terminal domain', 58, NULL, 'Glyco_hydro_42C', 15186),
(15187, 'PF08699', NULL, 'Argonaute linker 1 domain', 51, NULL, 'ArgoL1', 15187),
(15188, 'PF14487', NULL, 'ssDNA thymidine ADP-ribosyltransferase, DarT', 200, NULL, 'DarT', 15188),
(15189, 'PF16538', NULL, 'Flagellar assembly protein T, C-terminal domain', 77, NULL, 'FlgT_C', 15189),
(15190, 'PF07483', NULL, 'Tryptophan-rich Synechocystis species C-terminal domain', 105, NULL, 'W_rich_C', 15190),
(15191, 'PF13292', NULL, '1-deoxy-D-xylulose-5-phosphate synthase', 273, NULL, 'DXP_synthase_N', 15191),
(15192, 'PF04434', NULL, 'SWIM zinc finger', 40, NULL, 'SWIM', 15192),
(15193, 'PF01698', NULL, 'Floricaula / Leafy protein SAM domain', 80, NULL, 'SAM_LFY', 15193),
(15194, 'PF04983', NULL, 'RNA polymerase Rpb1, domain 3', 157, NULL, 'RNA_pol_Rpb1_3', 15194),
(15195, 'PF00289', NULL, 'Biotin carboxylase, N-terminal domain', 110, NULL, 'Biotin_carb_N', 15195),
(15196, 'PF08906', NULL, 'Domain of unknown function (DUF1851)', 75, NULL, 'DUF1851', 15196),
(15197, 'PF14660', NULL, 'Domain of unknown function (DUF4458)', 106, NULL, 'DUF4458', 15197),
(15198, 'PF14953', NULL, 'Domain of unknown function (DUF4504)', 264, NULL, 'DUF4504', 15198),
(15199, 'PF04311', NULL, 'Protein of unknown function (DUF459)', 322, NULL, 'DUF459', 15199),
(15200, 'PF01150', NULL, 'GDA1/CD39 (nucleoside phosphatase) family', 423, NULL, 'GDA1_CD39', 15200),
(15201, 'PF04494', NULL, 'WD40 associated region in TFIID subunit, NTD2 domain', 133, NULL, 'TFIID_NTD2', 15201),
(15202, 'PF07823', NULL, 'Cyclic phosphodiesterase-like protein', 199, NULL, 'CPDase', 15202),
(15203, 'PF14873', NULL, 'N-terminal domain of BNR-repeat neuraminidase', 149, NULL, 'BNR_assoc_N', 15203),
(15204, 'PF08781', NULL, 'Transcription factor DP', 138, NULL, 'DP', 15204),
(15205, 'PF11768', NULL, 'WD repeat-containing and planar cell polarity effector protein Fritz', 545, NULL, 'Frtz', 15205),
(15206, 'PF16181', NULL, 'RelB transactivation domain', 178, NULL, 'RelB_transactiv', 15206),
(15207, 'PF12622', NULL, 'mRNA biogenesis factor', 51, NULL, 'NpwBP', 15207),
(15208, 'PF11177', NULL, 'Protein of unknown function (DUF2964)', 62, NULL, 'DUF2964', 15208),
(15209, 'PF14406', NULL, 'Ribosomally synthesized peptide in Bacteroidetes', 52, NULL, 'Bacteroid_pep', 15209),
(15210, 'PF11438', NULL, '36-mer N-terminal peptide of the N protein (N36)', 35, NULL, 'N36', 15210),
(15211, 'PF02023', NULL, 'SCAN domain', 90, NULL, 'SCAN', 15211),
(15212, 'PF07092', NULL, 'Protein of unknown function (DUF1356)', 232, NULL, 'DUF1356', 15212),
(15213, 'PF16433', NULL, 'Domain of unknown function (DUF5030)', 314, NULL, 'DUF5030', 15213),
(15214, 'PF05347', NULL, 'Complex 1 protein (LYR family)', 59, NULL, 'Complex1_LYR', 15214),
(15215, 'PF03720', NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, UDP binding domain', 105, NULL, 'UDPG_MGDP_dh_C', 15215),
(15216, 'PF17619', NULL, 'Secreted clade V proteins', 97, NULL, 'SCVP', 15216),
(15217, 'PF12172', NULL, 'Rubredoxin-like zinc ribbon domain (DUF35_N)', 37, NULL, 'DUF35_N', 15217),
(15218, 'PF06831', NULL, 'Formamidopyrimidine-DNA glycosylase H2TH domain', 93, NULL, 'H2TH', 15218),
(15219, 'PF07478', NULL, 'D-ala D-ala ligase C-terminus', 204, NULL, 'Dala_Dala_lig_C', 15219),
(15220, 'PF18796', NULL, 'Large polyvalent protein-associated domain 1', 78, NULL, 'LPD1', 15220),
(15221, 'PF05684', NULL, 'Protein of unknown function (DUF819)', 378, NULL, 'DUF819', 15221),
(15222, 'PF07059', NULL, 'Protein of unknown function (DUF1336)', 212, NULL, 'DUF1336', 15222);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15223, 'PF18696', NULL, 'Synaptotagmin-like, mitochondrial and lipid-binding domain', 153, NULL, 'SMP_C2CD2L', 15223),
(15224, 'PF17014', NULL, 'Putative Mad3/BUB1 like region 1 protein', 128, NULL, 'Mad3_BUB1_I_2', 15224),
(15225, 'PF07709', NULL, 'Seven Residue Repeat', 14, NULL, 'SRR', 15225),
(15226, 'PF03983', NULL, 'SLA1 homology domain 1, SHD1', 67, NULL, 'SHD1', 15226),
(15227, 'PF05821', NULL, 'NADH-ubiquinone oxidoreductase ASHI subunit (CI-ASHI or NDUFB8)', 172, NULL, 'NDUF_B8', 15227),
(15228, 'PF00569', NULL, 'Zinc finger, ZZ type', 45, NULL, 'ZZ', 15228),
(15229, 'PF14730', NULL, 'Domain of unknown function (DUF4468) with TBP-like fold', 92, NULL, 'DUF4468', 15229),
(15230, 'PF09094', NULL, 'Domain of unknown function (DUF1925)', 80, NULL, 'DUF1925', 15230),
(15231, 'PF04246', NULL, 'Positive regulator of sigma(E), RseC/MucC', 130, NULL, 'RseC_MucC', 15231),
(15232, 'PF16816', NULL, 'DotD protein', 120, NULL, 'DotD', 15232),
(15233, 'PF15657', NULL, 'HNH/Endo VII superfamily nuclease toxins', 72, NULL, 'Tox-HNH-EHHH', 15233),
(15234, 'PF17113', NULL, 'Regulatory signalling modulator protein AmpE', 284, NULL, 'AmpE', 15234),
(15235, 'PF09764', NULL, 'N-terminal glutamine amidase', 186, NULL, 'Nt_Gln_amidase', 15235),
(15236, 'PF08306', NULL, 'Glycosyl hydrolase family 98', 329, NULL, 'Glyco_hydro_98M', 15236),
(15237, 'PF10158', NULL, 'Tumour suppressor protein', 131, NULL, 'LOH1CR12', 15237),
(15238, 'PF13732', NULL, 'Domain of unknown function (DUF4162)', 81, NULL, 'DUF4162', 15238),
(15239, 'PF03734', NULL, 'L,D-transpeptidase catalytic domain', 146, NULL, 'YkuD', 15239),
(15240, 'PF12539', NULL, 'Chromosome segregation protein Csm1/Pcs1', 84, NULL, 'Csm1', 15240),
(15241, 'PF12820', NULL, 'Serine-rich domain associated with BRCT', 164, NULL, 'BRCT_assoc', 15241),
(15242, 'PF07779', NULL, '10 TM Acyl Transferase domain found in Cas1p', 478, NULL, 'Cas1_AcylT', 15242),
(15243, 'PF09882', NULL, 'Predicted membrane protein (DUF2109)', 76, NULL, 'DUF2109', 15243),
(15244, 'PF05491', NULL, 'RuvB C-terminal winged helix domain', 72, NULL, 'RuvB_C', 15244),
(15245, 'PF14602', NULL, 'Hexapeptide repeat of succinyl-transferase', 34, NULL, 'Hexapep_2', 15245),
(15246, 'PF05639', NULL, 'Pup-like protein', 68, NULL, 'Pup', 15246),
(15247, 'PF06452', NULL, 'Carbohydrate family 9 binding domain-like', 185, NULL, 'CBM9_1', 15247),
(15248, 'PF07038', NULL, 'Protein of unknown function (DUF1324)', 59, NULL, 'DUF1324', 15248),
(15249, 'PF05187', NULL, 'Electron transfer flavoprotein-ubiquinone oxidoreductase, 4Fe-4S', 104, NULL, 'ETF_QO', 15249),
(15250, 'PF01517', NULL, 'Hepatitis delta virus delta antigen', 195, NULL, 'HDV_ag', 15250),
(15251, 'PF00335', NULL, 'Tetraspanin family', 230, NULL, 'Tetraspanin', 15251),
(15252, 'PF08515', NULL, 'Transforming growth factor beta type I GS-motif', 28, NULL, 'TGF_beta_GS', 15252),
(15253, 'PF13410', NULL, 'Glutathione S-transferase, C-terminal domain', 69, NULL, 'GST_C_2', 15253),
(15254, 'PF11819', NULL, 'Cytohesin Ubiquitin Protein Inducing Domain', 136, NULL, 'CUPID', 15254),
(15255, 'PF12237', NULL, 'Phosphorylated CTD interacting factor 1 WW domain', 176, NULL, 'PCIF1_WW', 15255),
(15256, 'PF15138', NULL, 'Syncollin', 112, NULL, 'Syncollin', 15256),
(15257, 'PF01559', NULL, 'Zein seed storage protein', 245, NULL, 'Zein', 15257),
(15258, 'PF06627', NULL, 'Protein of unknown function (DUF1153)', 87, NULL, 'DUF1153', 15258),
(15259, 'PF00179', NULL, 'Ubiquitin-conjugating enzyme', 140, NULL, 'UQ_con', 15259),
(15260, 'PF07837', NULL, 'Formiminotransferase domain, N-terminal subdomain', 176, NULL, 'FTCD_N', 15260),
(15261, 'PF14889', NULL, 'Penicillin-binding protein Tp47 domain a', 162, NULL, 'PBP-Tp47_a', 15261),
(15262, 'PF03165', NULL, 'MH1 domain', 103, NULL, 'MH1', 15262),
(15263, 'PF14346', NULL, 'Domain of unknown function (DUF4398)', 78, NULL, 'DUF4398', 15263),
(15264, 'PF16379', NULL, 'Domain of unknown function (DUF4989)', 293, NULL, 'DUF4989', 15264);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15265, 'PF00309', NULL, 'Sigma-54 factor, Activator interacting domain (AID)', 46, NULL, 'Sigma54_AID', 15265),
(15266, 'PF01372', NULL, 'Melittin', 26, NULL, 'Melittin', 15266),
(15267, 'PF07539', NULL, 'Down-regulated in metastasis', 616, NULL, 'DRIM', 15267),
(15268, 'PF01955', NULL, 'Adenosylcobinamide amidohydrolase', 191, NULL, 'CbiZ', 15268),
(15269, 'PF01538', NULL, 'Hepatitis C virus non-structural protein NS2', 195, NULL, 'HCV_NS2', 15269),
(15270, 'PF11661', NULL, 'Protein of unknown function (DUF2986)', 43, NULL, 'DUF2986', 15270),
(15271, 'PF12874', NULL, 'Zinc-finger of C2H2 type', 25, NULL, 'zf-met', 15271),
(15272, 'PF03959', NULL, 'Serine hydrolase (FSH1)', 212, NULL, 'FSH1', 15272),
(15273, 'PF03359', NULL, 'Guanylate-kinase-associated protein (GKAP) protein', 347, NULL, 'GKAP', 15273),
(15274, 'PF11857', NULL, 'Domain of unknown function (DUF3377)', 72, NULL, 'DUF3377', 15274),
(15275, 'PF15907', NULL, 'Integrin-alpha FG-GAP repeat-containing protein 2', 334, NULL, 'Itfg2', 15275),
(15276, 'PF10124', NULL, 'Mu-like prophage major head subunit gpT', 289, NULL, 'Mu-like_gpT', 15276),
(15277, 'PF05240', NULL, 'APOBEC-like C-terminal domain', 78, NULL, 'APOBEC_C', 15277),
(15278, 'PF05749', NULL, 'Rubella membrane glycoprotein E2', 267, NULL, 'Rubella_E2', 15278),
(15279, 'PF00087', NULL, 'Snake toxin and toxin-like protein', 70, NULL, 'Toxin_TOLIP', 15279),
(15280, 'PF01090', NULL, 'Ribosomal protein S19e', 137, NULL, 'Ribosomal_S19e', 15280),
(15281, 'PF13395', NULL, 'HNH endonuclease', 55, NULL, 'HNH_4', 15281),
(15282, 'PF13610', NULL, 'DDE domain', 139, NULL, 'DDE_Tnp_IS240', 15282),
(15283, 'PF05714', NULL, 'Borrelia Bbcrasp-1 domain containing protein', 185, NULL, 'PFam54_60', 15283),
(15284, 'PF01073', NULL, '3-beta hydroxysteroid dehydrogenase/isomerase family', 280, NULL, '3Beta_HSD', 15284),
(15285, 'PF00795', NULL, 'Carbon-nitrogen hydrolase', 261, NULL, 'CN_hydrolase', 15285),
(15286, 'PF05277', NULL, 'Protein of unknown function (DUF726)', 343, NULL, 'DUF726', 15286),
(15287, 'PF01906', NULL, 'Putative heavy-metal-binding', 104, NULL, 'YbjQ_1', 15287),
(15288, 'PF14934', NULL, 'Domain of unknown function (DUF4499)', 91, NULL, 'DUF4499', 15288),
(15289, 'PF06339', NULL, 'Ectoine synthase', 127, NULL, 'Ectoine_synth', 15289),
(15290, 'PF00851', NULL, 'Helper component proteinase', 440, NULL, 'Peptidase_C6', 15290),
(15291, 'PF11445', NULL, 'Protein of unknown function (DUF2894)', 181, NULL, 'DUF2894', 15291),
(15292, 'PF05920', NULL, 'Homeobox KN domain', 40, NULL, 'Homeobox_KN', 15292),
(15293, 'PF03064', NULL, 'HSV U79 / HCMV P34', 228, NULL, 'U79_P34', 15293),
(15294, 'PF06299', NULL, 'Protein of unknown function (DUF1045)', 159, NULL, 'DUF1045', 15294),
(15295, 'PF03417', NULL, 'Acyl-coenzyme A:6-aminopenicillanic acid acyl-transferase', 227, NULL, 'AAT', 15295),
(15296, 'PF00690', NULL, 'Cation transporter/ATPase, N-terminus', 69, NULL, 'Cation_ATPase_N', 15296),
(15297, 'PF16092', NULL, 'Domain of unknown function (DUF4821)', 264, NULL, 'DUF4821', 15297),
(15298, 'PF07646', NULL, 'Kelch motif', 49, NULL, 'Kelch_2', 15298),
(15299, 'PF02788', NULL, 'Ribulose bisphosphate carboxylase large chain, N-terminal domain', 120, NULL, 'RuBisCO_large_N', 15299),
(15300, 'PF08362', NULL, 'YcdC-like protein, C-terminal region', 143, NULL, 'TetR_C_3', 15300),
(15301, 'PF10546', NULL, 'P63C domain', 93, NULL, 'P63C', 15301),
(15302, 'PF09369', NULL, 'Domain of unknown function (DUF1998)', 83, NULL, 'DUF1998', 15302),
(15303, 'PF12339', NULL, 'DNA-J related protein', 128, NULL, 'DNAJ_related', 15303),
(15304, 'PF09354', NULL, 'HNF3 C-terminal domain', 67, NULL, 'HNF_C', 15304),
(15305, 'PF03476', NULL, 'MOSC N-terminal beta barrel domain', 120, NULL, 'MOSC_N', 15305),
(15306, 'PF06882', NULL, 'Protein of unknown function (DUF1263)', 57, NULL, 'DUF1263', 15306),
(15307, 'PF15536', NULL, 'Bacterial toxin 3', 133, NULL, 'Ntox3', 15307),
(15308, 'PF06512', NULL, 'Sodium ion transport-associated', 201, NULL, 'Na_trans_assoc', 15308);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15309, 'PF00543', NULL, 'Nitrogen regulatory protein P-II', 102, NULL, 'P-II', 15309),
(15310, 'PF10990', NULL, 'Protein of unknown function (DUF2809)', 86, NULL, 'DUF2809', 15310),
(15311, 'PF00768', NULL, 'D-alanyl-D-alanine carboxypeptidase', 241, NULL, 'Peptidase_S11', 15311),
(15312, 'PF00069', NULL, 'Protein kinase domain', 264, NULL, 'Pkinase', 15312),
(15313, 'PF00980', NULL, 'Rotavirus major capsid protein VP6', 396, NULL, 'Rota_Capsid_VP6', 15313),
(15314, 'PF12241', NULL, 'Trans-2-enoyl-CoA reductase catalytic region', 236, NULL, 'Enoyl_reductase', 15314),
(15315, 'PF03370', NULL, 'Carbohydrate/starch-binding module (family 21)', 113, NULL, 'CBM_21', 15315),
(15316, 'PF04698', NULL, 'Rab effector MyRIP/melanophilin C-terminus', 715, NULL, 'Rab_eff_C', 15316),
(15317, 'PF04652', NULL, 'Vta1 like', 145, NULL, 'Vta1', 15317),
(15318, 'PF12764', NULL, 'Glycine-rich region of argonaut', 107, NULL, 'Gly-rich_Ago1', 15318),
(15319, 'PF18532', NULL, 'Domain of unknown function (DUF5621)', 140, NULL, 'DUF5621', 15319),
(15320, 'PF15941', NULL, 'FidL-like putative membrane protein', 90, NULL, 'FidL_like', 15320),
(15321, 'PF10783', NULL, 'Protein of unknown function (DUF2599)', 94, NULL, 'DUF2599', 15321),
(15322, 'PF14276', NULL, 'Domain of unknown function (DUF4363)', 107, NULL, 'DUF4363', 15322),
(15323, 'PF08497', NULL, 'Radical SAM N-terminal', 298, NULL, 'Radical_SAM_N', 15323),
(15324, 'PF05173', NULL, 'Dihydrodipicolinate reductase, C-terminus', 121, NULL, 'DapB_C', 15324),
(15325, 'PF09201', NULL, 'SRX, signal recognition particle receptor alpha subunit', 148, NULL, 'SRX', 15325),
(15326, 'PF10908', NULL, 'Protein of unknown function (DUF2778)', 119, NULL, 'DUF2778', 15326),
(15327, 'PF11544', NULL, 'Spindle pole body component Spc42p', 75, NULL, 'Spc42p', 15327),
(15328, 'PF06871', NULL, 'TraH_2', 207, NULL, 'TraH_2', 15328),
(15329, 'PF06258', NULL, 'Mitochondrial fission ELM1', 309, NULL, 'Mito_fiss_Elm1', 15329),
(15330, 'PF08083', NULL, 'PROCN (NUC071) domain', 407, NULL, 'PROCN', 15330),
(15331, 'PF03036', NULL, 'Perilipin family', 403, NULL, 'Perilipin', 15331),
(15332, 'PF14101', NULL, 'Domain of unknown function (DUF4275)', 139, NULL, 'DUF4275', 15332),
(15333, 'PF17399', NULL, 'Domain of unknown function (DUF5405)', 94, NULL, 'DUF5405', 15333),
(15334, 'PF02621', NULL, 'Menaquinone biosynthesis', 266, NULL, 'VitK2_biosynth', 15334),
(15335, 'PF15935', NULL, 'RNase LS, bacterial toxin', 87, NULL, 'RnlA_toxin', 15335),
(15336, 'PF16404', NULL, 'Domain of unknown function (DUF5012)', 125, NULL, 'DUF5012', 15336),
(15337, 'PF07780', NULL, 'Spb1 C-terminal domain', 218, NULL, 'Spb1_C', 15337),
(15338, 'PF01736', NULL, 'Polyomavirus agnoprotein', 62, NULL, 'Polyoma_agno', 15338),
(15339, 'PF11533', NULL, 'Protein of unknown function (DUF3225)', 126, NULL, 'DUF3225', 15339),
(15340, 'PF13534', NULL, '4Fe-4S dicluster domain', 61, NULL, 'Fer4_17', 15340),
(15341, 'PF09883', NULL, 'Uncharacterized protein conserved in archaea (DUF2110)', 223, NULL, 'DUF2110', 15341),
(15342, 'PF08336', NULL, 'Prolyl 4-Hydroxylase alpha-subunit, N-terminal region', 135, NULL, 'P4Ha_N', 15342),
(15343, 'PF02247', NULL, 'Large coat protein', 373, NULL, 'Como_LCP', 15343),
(15344, 'PF10931', NULL, 'Protein of unknown function (DUF2735)', 52, NULL, 'DUF2735', 15344),
(15345, 'PF01582', NULL, 'TIR domain', 176, NULL, 'TIR', 15345),
(15346, 'PF11681', NULL, 'Protein of unknown function (DUF3277)', 144, NULL, 'DUF3277', 15346),
(15347, 'PF13269', NULL, 'Protein of unknown function (DUF4060)', 73, NULL, 'DUF4060', 15347),
(15348, 'PF16983', NULL, 'Molybdate transporter of MFS superfamily', 111, NULL, 'MFS_MOT1', 15348),
(15349, 'PF05566', NULL, 'Orthopoxvirus interleukin 18 binding protein', 126, NULL, 'Pox_vIL-18BP', 15349),
(15350, 'PF02081', NULL, 'Tryptophan RNA-binding attenuator protein', 69, NULL, 'TrpBP', 15350),
(15351, 'PF09999', NULL, 'Uncharacterized protein conserved in archaea (DUF2240)', 144, NULL, 'DUF2240', 15351);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15352, 'PF13190', NULL, 'PDGLE domain', 89, NULL, 'PDGLE', 15352),
(15353, 'PF18880', NULL, 'Uracil-DNA glycosylase inhibitor', 82, NULL, 'UDI', 15353),
(15354, 'PF11184', NULL, 'Protein of unknown function (DUF2969)', 71, NULL, 'DUF2969', 15354),
(15355, 'PF01729', NULL, 'Quinolinate phosphoribosyl transferase, C-terminal domain', 169, NULL, 'QRPTase_C', 15355),
(15356, 'PF03544', NULL, 'Gram-negative bacterial TonB protein C-terminal', 79, NULL, 'TonB_C', 15356),
(15357, 'PF04967', NULL, 'HTH DNA binding domain', 53, NULL, 'HTH_10', 15357),
(15358, 'PF15949', NULL, 'Domain of unknown function (DUF4757)', 172, NULL, 'DUF4757', 15358),
(15359, 'PF01163', NULL, 'RIO1 family', 188, NULL, 'RIO1', 15359),
(15360, 'PF18409', NULL, 'Polo-like Kinase 4 Polo Box 2', 109, NULL, 'Plk4_PB2', 15360),
(15361, 'PF14659', NULL, 'Phage integrase, N-terminal SAM-like domain', 58, NULL, 'Phage_int_SAM_3', 15361),
(15362, 'PF08888', NULL, 'HopJ type III effector protein', 109, NULL, 'HopJ', 15362),
(15363, 'PF17411', NULL, 'Type II site-specific deoxyribonuclease', 241, NULL, 'SmaI', 15363),
(15364, 'PF16274', NULL, 'Qua1 domain', 52, NULL, 'Qua1', 15364),
(15365, 'PF04426', NULL, 'Bul1 C terminus', 272, NULL, 'Bul1_C', 15365),
(15366, 'PF15725', NULL, 'Renal cancer differentiation gene 1 protein', 83, NULL, 'RCDG1', 15366),
(15367, 'PF11393', NULL, 'Type-IV b secretion system, inner-membrane complex component', 180, NULL, 'T4BSS_DotI_IcmL', 15367),
(15368, 'PF17436', NULL, 'Family of unknown function (DUF5415)', 66, NULL, 'DUF5415', 15368),
(15369, 'PF15034', NULL, 'KRTAP type 7 family', 84, NULL, 'KRTAP7', 15369),
(15370, 'PF13856', NULL, 'ATP-binding sugar transporter from pro-phage', 99, NULL, 'Gifsy-2', 15370),
(15371, 'PF01498', NULL, 'Transposase', 72, NULL, 'HTH_Tnp_Tc3_2', 15371),
(15372, 'PF04821', NULL, 'Timeless protein', 275, NULL, 'TIMELESS', 15372),
(15373, 'PF18857', NULL, 'Large polyvalent protein associated domain 38', 190, NULL, 'LPD38', 15373),
(15374, 'PF18606', NULL, 'Zap  helix turn helix N-terminal domain', 62, NULL, 'HTH_53', 15374),
(15375, 'PF16282', NULL, 'SANT/Myb-like domain of DAMP1', 80, NULL, 'SANT_DAMP1_like', 15375),
(15376, 'PF03190', NULL, 'Protein of unknown function, DUF255', 163, NULL, 'Thioredox_DsbH', 15376),
(15377, 'PF10534', NULL, 'Connector enhancer of kinase suppressor of ras', 93, NULL, 'CRIC_ras_sig', 15377),
(15378, 'PF00720', NULL, 'Subtilisin inhibitor-like', 92, NULL, 'SSI', 15378),
(15379, 'PF06345', NULL, 'DRF Autoregulatory Domain', 15, NULL, 'Drf_DAD', 15379),
(15380, 'PF12253', NULL, 'Chromatin assembly factor 1 subunit A', 76, NULL, 'CAF1A', 15380),
(15381, 'PF04021', NULL, 'Class III signal peptide', 27, NULL, 'Class_IIIsignal', 15381),
(15382, 'PF16773', NULL, 'Lactococcus phage single-stranded DNA binding protein', 117, NULL, 'Phage_SSB', 15382),
(15383, 'PF05483', NULL, 'Synaptonemal complex protein 1 (SCP-1)', 786, NULL, 'SCP-1', 15383),
(15384, 'PF18038', NULL, 'FERM N-terminal domain', 99, NULL, 'FERM_N_2', 15384),
(15385, 'PF01454', NULL, 'MAGE family', 212, NULL, 'MAGE', 15385),
(15386, 'PF13218', NULL, 'Protein of unknown function (DUF4026)', 322, NULL, 'DUF4026', 15386),
(15387, 'PF13030', NULL, 'Protein of unknown function (DUF3891)', 219, NULL, 'DUF3891', 15387),
(15388, 'PF10593', NULL, 'Z1 domain', 230, NULL, 'Z1', 15388),
(15389, 'PF07851', NULL, 'TMPIT-like protein', 324, NULL, 'TMPIT', 15389),
(15390, 'PF09253', NULL, 'Pollen allergen Ole e 6', 39, NULL, 'Ole_e_6', 15390),
(15391, 'PF17073', NULL, 'Two-component-system connector protein', 66, NULL, 'SafA', 15391),
(15392, 'PF12678', NULL, 'RING-H2 zinc finger domain', 55, NULL, 'zf-rbx1', 15392),
(15393, 'PF05641', NULL, 'Agenet domain', 61, NULL, 'Agenet', 15393),
(15394, 'PF12378', NULL, 'Trypsin-sensitive surface-exposed protein', 72, NULL, 'CytadhesinP1', 15394),
(15395, 'PF11017', NULL, 'Protein of unknown function (DUF2855)', 337, NULL, 'DUF2855', 15395),
(15396, 'PF14219', NULL, 'Domain of unknown function (DUF4328)', 167, NULL, 'DUF4328', 15396);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15397, 'PF01479', NULL, 'S4 domain', 48, NULL, 'S4', 15397),
(15398, 'PF11868', NULL, 'Protein of unknown function (DUF3388)', 190, NULL, 'DUF3388', 15398),
(15399, 'PF12752', NULL, 'SUZ domain', 57, NULL, 'SUZ', 15399),
(15400, 'PF10347', NULL, 'RNA pol II promoter Fmp27 protein domain', 156, NULL, 'Fmp27_GFWDK', 15400),
(15401, 'PF12100', NULL, 'Domain of unknown function (DUF3576)', 101, NULL, 'DUF3576', 15401),
(15402, 'PF15002', NULL, 'ERK and JNK pathways, inhibitor', 197, NULL, 'ERK-JNK_inhib', 15402),
(15403, 'PF02746', NULL, 'Mandelate racemase / muconate lactonizing enzyme, N-terminal domain', 117, NULL, 'MR_MLE_N', 15403),
(15404, 'PF09681', NULL, 'N-terminal phage replisome organiser (Phage_rep_org_N)', 121, NULL, 'Phage_rep_org_N', 15404),
(15405, 'PF13717', NULL, 'zinc-ribbon domain', 36, NULL, 'zinc_ribbon_4', 15405),
(15406, 'PF08451', NULL, 'Adenosine/AMP deaminase N-terminal', 95, NULL, 'A_deaminase_N', 15406),
(15407, 'PF06935', NULL, 'Protein of unknown function (DUF1284)', 102, NULL, 'DUF1284', 15407),
(15408, 'PF06473', NULL, 'FGF binding protein 1 (FGF-BP1)', 228, NULL, 'FGF-BP1', 15408),
(15409, 'PF08707', NULL, 'Primase C terminal 2 (PriCT-2)', 77, NULL, 'PriCT_2', 15409),
(15410, 'PF02885', NULL, 'Glycosyl transferase family, helical bundle domain', 63, NULL, 'Glycos_trans_3N', 15410),
(15411, 'PF16978', NULL, 'SAPK-interacting protein 1 (Sin1), middle CRIM domain', 140, NULL, 'CRIM', 15411),
(15412, 'PF13859', NULL, 'BNR repeat-like domain', 310, NULL, 'BNR_3', 15412),
(15413, 'PF09138', NULL, 'Urm1 (Ubiquitin related modifier)', 96, NULL, 'Urm1', 15413),
(15414, 'PF18637', NULL, 'Aldos-2-ulose dehydratase/isomerase (AUDH) Cupin domain', 158, NULL, 'AUDH_Cupin', 15414),
(15415, 'PF18348', NULL, 'Bacterial dipeptidyl-peptidase Sh3 domain', 48, NULL, 'SH3_16', 15415),
(15416, 'PF16414', NULL, 'Niemann-Pick C1 N terminus', 246, NULL, 'NPC1_N', 15416),
(15417, 'PF08821', NULL, 'CGGC domain', 106, NULL, 'CGGC', 15417),
(15418, 'PF09620', NULL, 'CRISPR-associated protein (Cas_csx3)', 79, NULL, 'Cas_csx3', 15418),
(15419, 'PF06826', NULL, 'Predicted Permease Membrane Region', 167, NULL, 'Asp-Al_Ex', 15419),
(15420, 'PF10359', NULL, 'RNA pol II promoter Fmp27 protein domain', 482, NULL, 'Fmp27_WPPW', 15420),
(15421, 'PF07191', NULL, 'zinc-ribbons', 67, NULL, 'zinc-ribbons_6', 15421),
(15422, 'PF15893', NULL, 'Domain of unknown function (DUF4739)', 237, NULL, 'DUF4739', 15422),
(15423, 'PF06012', NULL, 'Domain of Unknown Function (DUF908)', 357, NULL, 'DUF908', 15423),
(15424, 'PF08263', NULL, 'Leucine rich repeat N-terminal domain', 41, NULL, 'LRRNT_2', 15424),
(15425, 'PF17687', NULL, 'Family of unknown function (DUF5535)', 105, NULL, 'DUF5535', 15425),
(15426, 'PF00708', NULL, 'Acylphosphatase', 85, NULL, 'Acylphosphatase', 15426),
(15427, 'PF15376', NULL, 'Domain of unknown function (DUF4603)', 1297, NULL, 'DUF4603', 15427),
(15428, 'PF12110', NULL, 'Nuclear protein 96', 290, NULL, 'Nup96', 15428),
(15429, 'PF16004', NULL, '116 kDa U5 small nuclear ribonucleoprotein component N-terminus', 121, NULL, 'EFTUD2', 15429),
(15430, 'PF00033', NULL, 'Cytochrome b/b6/petB', 189, NULL, 'Cytochrome_B', 15430),
(15431, 'PF10456', NULL, 'WASP-binding domain of Sorting nexin protein', 236, NULL, 'BAR_3_WASP_bdg', 15431),
(15432, 'PF04244', NULL, 'Deoxyribodipyrimidine photo-lyase-related protein', 224, NULL, 'DPRP', 15432),
(15433, 'PF04513', NULL, 'Baculovirus polyhedron envelope protein, PEP, C terminus', 140, NULL, 'Baculo_PEP_C', 15433),
(15434, 'PF07743', NULL, 'HSCB C-terminal oligomerisation domain', 75, NULL, 'HSCB_C', 15434),
(15435, 'PF10554', NULL, 'Ash protein family', 106, NULL, 'Phage_ASH', 15435),
(15436, 'PF10109', NULL, 'Phage tail assembly chaperone proteins, E, or 41 or 14', 83, NULL, 'Phage_TAC_7', 15436),
(15437, 'PF00812', NULL, 'Ephrin', 138, NULL, 'Ephrin', 15437),
(15438, 'PF14362', NULL, 'Domain of unknown function (DUF4407)', 298, NULL, 'DUF4407', 15438);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15439, 'PF12549', NULL, 'Tyrosine hydroxylase N terminal', 25, NULL, 'TOH_N', 15439),
(15440, 'PF11259', NULL, 'Protein of unknown function (DUF3060)', 58, NULL, 'DUF3060', 15440),
(15441, 'PF01180', NULL, 'Dihydroorotate dehydrogenase', 295, NULL, 'DHO_dh', 15441),
(15442, 'PF19133', NULL, 'Family of unknown function (DUF5816)', 72, NULL, 'DUF5816', 15442),
(15443, 'PF01681', NULL, 'C6 domain', 91, NULL, 'C6', 15443),
(15444, 'PF12441', NULL, 'CopG antitoxin of type II toxin-antitoxin system', 79, NULL, 'CopG_antitoxin', 15444),
(15445, 'PF02286', NULL, 'Dehydratase large subunit', 552, NULL, 'Dehydratase_LU', 15445),
(15446, 'PF13583', NULL, 'Metallo-peptidase family M12B Reprolysin-like', 203, NULL, 'Reprolysin_4', 15446),
(15447, 'PF10574', NULL, 'Arp2/3-interacting proteins Arpin', 224, NULL, 'UPF0552', 15447),
(15448, 'PF02322', NULL, 'Cytochrome bd terminal oxidase subunit II', 303, NULL, 'Cyt_bd_oxida_II', 15448),
(15449, 'PF02659', NULL, 'Putative manganese efflux pump', 152, NULL, 'Mntp', 15449),
(15450, 'PF03394', NULL, 'Poxvirus E8 protein', 239, NULL, 'Pox_E8', 15450),
(15451, 'PF18515', NULL, 'Rh5 coiled-coil domain', 255, NULL, 'Rh5', 15451),
(15452, 'PF14849', NULL, 'YidC periplasmic domain', 283, NULL, 'YidC_periplas', 15452),
(15453, 'PF10851', NULL, 'Protein of unknown function (DUF2652)', 118, NULL, 'DUF2652', 15453),
(15454, 'PF09403', NULL, 'Adhesion protein FadA', 99, NULL, 'FadA', 15454),
(15455, 'PF05962', NULL, 'HutD', 183, NULL, 'HutD', 15455),
(15456, 'PF18494', NULL, 'Pullulanase Ins domain', 74, NULL, 'Pullulanase_Ins', 15456),
(15457, 'PF11152', NULL, 'Cofactor assembly of complex C subunit B, CCB2/CCB4', 195, NULL, 'CCB2_CCB4', 15457),
(15458, 'PF00496', NULL, 'Bacterial extracellular solute-binding proteins, family 5 Middle', 379, NULL, 'SBP_bac_5', 15458),
(15459, 'PF08208', NULL, 'DNA-directed RNA polymerase I subunit RPA34.5', 206, NULL, 'RNA_polI_A34', 15459),
(15460, 'PF01630', NULL, 'Hyaluronidase', 335, NULL, 'Glyco_hydro_56', 15460),
(15461, 'PF17614', NULL, 'Viral CC-type chemokine', 188, NULL, 'FPV060', 15461),
(15462, 'PF13354', NULL, 'Beta-lactamase enzyme family', 201, NULL, 'Beta-lactamase2', 15462),
(15463, 'PF03842', NULL, 'Silicon transporter', 513, NULL, 'Silic_transp', 15463),
(15464, 'PF06406', NULL, 'StbA protein', 317, NULL, 'StbA', 15464),
(15465, 'PF08417', NULL, 'Pheophorbide a oxygenase', 88, NULL, 'PaO', 15465),
(15466, 'PF11260', NULL, 'Major ampullate spidroin 1 and 2', 85, NULL, 'Spidroin_MaSp', 15466),
(15467, 'PF04911', NULL, 'ATP synthase j chain', 51, NULL, 'ATP-synt_J', 15467),
(15468, 'PF12199', NULL, 'Extracellular fibrinogen binding protein C terminal', 65, NULL, 'efb-c', 15468),
(15469, 'PF00178', NULL, 'Ets-domain', 81, NULL, 'Ets', 15469),
(15470, 'PF12069', NULL, 'Protein of unknown function (DUF3549)', 338, NULL, 'DUF3549', 15470),
(15471, 'PF09797', NULL, 'N-acetyltransferase B complex (NatB) non catalytic subunit', 382, NULL, 'NatB_MDM20', 15471),
(15472, 'PF11441', NULL, 'Pilot protein MxiM', 115, NULL, 'MxiM', 15472),
(15473, 'PF09386', NULL, 'Antitoxin ParD', 80, NULL, 'ParD', 15473),
(15474, 'PF14992', NULL, 'TMCO5 family', 278, NULL, 'TMCO5', 15474),
(15475, 'PF18132', NULL, 'Tyosinase C-terminal domain', 122, NULL, 'Tyosinase_C', 15475),
(15476, 'PF07588', NULL, 'Protein of unknown function (DUF1554)', 135, NULL, 'DUF1554', 15476),
(15477, 'PF09556', NULL, 'HaeIII restriction endonuclease', 298, NULL, 'RE_HaeIII', 15477),
(15478, 'PF00993', NULL, 'Class II histocompatibility antigen, alpha domain', 81, NULL, 'MHC_II_alpha', 15478),
(15479, 'PF14398', NULL, 'YheC/D like ATP-grasp', 256, NULL, 'ATPgrasp_YheCD', 15479),
(15480, 'PF13195', NULL, 'Protein of unknown function (DUF4011)', 162, NULL, 'DUF4011', 15480),
(15481, 'PF07223', NULL, 'UBA-like domain (DUF1421)', 45, NULL, 'DUF1421', 15481),
(15482, 'PF17998', NULL, 'Cell surface antigen I/II C2 terminal domain', 166, NULL, 'AgI_II_C2', 15482),
(15483, 'PF05018', NULL, 'Protein of unknown function (DUF667)', 185, NULL, 'DUF667', 15483);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15484, 'PF18315', NULL, 'Integron cassette protein VCH_CASS1 chain', 97, NULL, 'VCH_CASS14', 15484),
(15485, 'PF04440', NULL, 'Dysbindin (Dystrobrevin binding protein 1)', 145, NULL, 'Dysbindin', 15485),
(15486, 'PF05485', NULL, 'THAP domain', 86, NULL, 'THAP', 15486),
(15487, 'PF01251', NULL, 'Ribosomal protein S7e', 184, NULL, 'Ribosomal_S7e', 15487),
(15488, 'PF13877', NULL, 'Potential Monad-binding region of RPAP3', 94, NULL, 'RPAP3_C', 15488),
(15489, 'PF06886', NULL, 'Targeting protein for Xklp2 (TPX2) domain', 82, NULL, 'TPX2', 15489),
(15490, 'PF05256', NULL, 'Uncharacterised protein family (UPF0223)', 86, NULL, 'UPF0223', 15490),
(15491, 'PF03767', NULL, 'HAD superfamily, subfamily IIIB (Acid phosphatase)', 230, NULL, 'Acid_phosphat_B', 15491),
(15492, 'PF14421', NULL, 'A distinct subfamily of CDD/CDA-like deaminases', 210, NULL, 'LmjF365940-deam', 15492),
(15493, 'PF11134', NULL, 'Phage stabilisation protein', 469, NULL, 'Phage_stabilise', 15493),
(15494, 'PF12857', NULL, 'TOBE-like domain', 59, NULL, 'TOBE_3', 15494),
(15495, 'PF00316', NULL, 'Fructose-1-6-bisphosphatase, N-terminal domain', 189, NULL, 'FBPase', 15495),
(15496, 'PF12124', NULL, 'Betacoronavirus SUD-C domain', 66, NULL, 'bCoV_SUD_C', 15496),
(15497, 'PF09810', NULL, 'Exonuclease V - a 5'' deoxyribonuclease', 368, NULL, 'Exo5', 15497),
(15498, 'PF18000', NULL, 'Type 2 DNA topoisomerase 6 subunit B C-terminal domain', 114, NULL, 'Top6b_C', 15498),
(15499, 'PF10707', NULL, 'PhoP regulatory network protein YrbL', 185, NULL, 'YrbL-PhoP_reg', 15499),
(15500, 'PF01857', NULL, 'Retinoblastoma-associated protein B domain', 130, NULL, 'RB_B', 15500),
(15501, 'PF16128', NULL, 'Domain of unknown function (DUF4840)', 141, NULL, 'DUF4840', 15501),
(15502, 'PF14724', NULL, 'Mitochondrial-associated sphingomyelin phosphodiesterase', 765, NULL, 'mit_SMPDase', 15502),
(15503, 'PF05403', NULL, 'Plasmodium histidine-rich protein (HRPII/III)', 218, NULL, 'Plasmodium_HRP', 15503),
(15504, 'PF09130', NULL, 'Domain of unknown function (DUF1932)', 70, NULL, 'DUF1932', 15504),
(15505, 'PF07589', NULL, 'PEP-CTERM motif', 23, NULL, 'PEP-CTERM', 15505),
(15506, 'PF01672', NULL, 'Putative plasmid partition protein', 85, NULL, 'Plasmid_parti', 15506),
(15507, 'PF05297', NULL, 'Herpesvirus latent membrane protein 1 (LMP1)', 386, NULL, 'Herpes_LMP1', 15507),
(15508, 'PF18142', NULL, 'SMODS and SLOG-associating 2TM effector domain', 120, NULL, 'SLATT_fungal', 15508),
(15509, 'PF02654', NULL, 'Cobalamin-5-phosphate synthase', 203, NULL, 'CobS', 15509),
(15510, 'PF02313', NULL, 'Fumarate reductase subunit D', 114, NULL, 'Fumarate_red_D', 15510),
(15511, 'PF07803', NULL, 'GSG1-like protein', 109, NULL, 'GSG-1', 15511),
(15512, 'PF07460', NULL, 'NUMOD3 motif', 37, NULL, 'NUMOD3', 15512),
(15513, 'PF18918', NULL, 'Family of unknown function (DUF5669)', 76, NULL, 'DUF5669', 15513),
(15514, 'PF15659', NULL, 'JAB-like toxin  1', 86, NULL, 'Toxin-JAB1', 15514),
(15515, 'PF10484', NULL, 'Mitochondrial ribosomal protein S23', 128, NULL, 'MRP-S23', 15515),
(15516, 'PF10365', NULL, 'Domain of unknown function (DUF2436)', 164, NULL, 'DUF2436', 15516),
(15517, 'PF15454', NULL, 'Late endosomal/lysosomal adaptor and MAPK and MTOR activator', 75, NULL, 'LAMTOR', 15517),
(15518, 'PF03995', NULL, 'Peptidase inhibitor family I36', 69, NULL, 'Inhibitor_I36', 15518),
(15519, 'PF14391', NULL, 'Domain of unknown function (DUF4421)', 301, NULL, 'DUF4421', 15519),
(15520, 'PF12196', NULL, 'FHA Ki67 binding domain of hNIFK', 40, NULL, 'hNIFK_binding', 15520),
(15521, 'PF00969', NULL, 'Class II histocompatibility antigen, beta domain', 75, NULL, 'MHC_II_beta', 15521),
(15522, 'PF06380', NULL, 'Protein of unknown function (DUF1072)', 39, NULL, 'DUF1072', 15522),
(15523, 'PF08228', NULL, 'RNase P subunit Pop3', 158, NULL, 'RNase_P_pop3', 15523),
(15524, 'PF11571', NULL, 'Mediator complex subunit 27', 86, NULL, 'Med27', 15524),
(15525, 'PF01135', NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase (PCMT)', 210, NULL, 'PCMT', 15525);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15526, 'PF01920', NULL, 'Prefoldin subunit', 106, NULL, 'Prefoldin_2', 15526),
(15527, 'PF00006', NULL, 'ATP synthase alpha/beta family, nucleotide-binding domain', 214, NULL, 'ATP-synt_ab', 15527),
(15528, 'PF08137', NULL, 'DVL family', 19, NULL, 'DVL', 15528),
(15529, 'PF10113', NULL, 'Fibrillarin-like archaeal protein', 501, NULL, 'Fibrillarin_2', 15529),
(15530, 'PF04507', NULL, 'Csa1 family', 225, NULL, 'DUF576', 15530),
(15531, 'PF10330', NULL, 'Putative Sin3 binding protein', 93, NULL, 'Stb3', 15531),
(15532, 'PF17408', NULL, 'Malonyl-CoA decarboxylase N-terminal domain', 85, NULL, 'MCD_N', 15532),
(15533, 'PF01913', NULL, 'Formylmethanofuran-tetrahydromethanopterin formyltransferase', 142, NULL, 'FTR', 15533),
(15534, 'PF12532', NULL, 'Protein of unknown function (DUF3732)', 190, NULL, 'DUF3732', 15534),
(15535, 'PF07118', NULL, 'Protein of unknown function (DUF1374)', 92, NULL, 'DUF1374', 15535),
(15536, 'PF10650', NULL, 'Putative zinc-finger domain', 22, NULL, 'zf-C3H1', 15536),
(15537, 'PF06144', NULL, 'DNA polymerase III, delta subunit', 174, NULL, 'DNA_pol3_delta', 15537),
(15538, 'PF05192', NULL, 'MutS domain III', 191, NULL, 'MutS_III', 15538),
(15539, 'PF11435', NULL, 'RNA binding protein She2p', 201, NULL, 'She2p', 15539),
(15540, 'PF05343', NULL, 'M42 glutamyl aminopeptidase', 292, NULL, 'Peptidase_M42', 15540),
(15541, 'PF16240', NULL, 'Domain of unknown function (DUF4899)', 283, NULL, 'DUF4899', 15541),
(15542, 'PF00010', NULL, 'Helix-loop-helix DNA-binding domain', 54, NULL, 'HLH', 15542),
(15543, 'PF17802', NULL, 'Prealbumin-like fold domain', 69, NULL, 'SpaA', 15543),
(15544, 'PF17675', NULL, 'Apg6 coiled-coil region', 132, NULL, 'APG6_N', 15544),
(15545, 'PF01157', NULL, 'Ribosomal protein L21e', 101, NULL, 'Ribosomal_L21e', 15545),
(15546, 'PF09144', NULL, 'Yersinia pseudo-tuberculosis mitogen', 117, NULL, 'YpM', 15546),
(15547, 'PF00186', NULL, 'Dihydrofolate reductase', 160, NULL, 'DHFR_1', 15547),
(15548, 'PF13456', NULL, 'Reverse transcriptase-like', 124, NULL, 'RVT_3', 15548),
(15549, 'PF02221', NULL, 'ML domain', 134, NULL, 'E1_DerP2_DerF2', 15549),
(15550, 'PF12782', NULL, 'Invertebrate innate immunity transcript family', 291, NULL, 'Innate_immun', 15550),
(15551, 'PF01130', NULL, 'CD36 family', 465, NULL, 'CD36', 15551),
(15552, 'PF14147', NULL, 'Sporulation protein YhaL', 52, NULL, 'Spore_YhaL', 15552),
(15553, 'PF14049', NULL, 'Dppa2/4 conserved region in higher vertebrates', 85, NULL, 'Dppa2_A', 15553),
(15554, 'PF15096', NULL, 'G6B family', 224, NULL, 'G6B', 15554),
(15555, 'PF08631', NULL, 'Meiosis protein SPO22/ZIP4 like', 276, NULL, 'SPO22', 15555),
(15556, 'PF12762', NULL, 'ISXO2-like transposase domain', 153, NULL, 'DDE_Tnp_IS1595', 15556),
(15557, 'PF09610', NULL, 'Mycoplasma virulence signal region (Myco_arth_vir_N)', 32, NULL, 'Myco_arth_vir_N', 15557),
(15558, 'PF02268', NULL, 'Transcription initiation factor IIA, gamma subunit, helical domain', 47, NULL, 'TFIIA_gamma_N', 15558),
(15559, 'PF15638', NULL, 'Metallopeptidase toxin 2', 194, NULL, 'Tox-MPTase2', 15559),
(15560, 'PF03990', NULL, 'G5-linked-Ubiquitin-like domain', 41, NULL, 'DUF348', 15560),
(15561, 'PF08167', NULL, 'rRNA processing/ribosome biogenesis', 188, NULL, 'RIX1', 15561),
(15562, 'PF10363', NULL, 'Required for nuclear transport of RNA pol II C-terminus 1', 112, NULL, 'RTP1_C1', 15562),
(15563, 'PF15296', NULL, 'Codanin-1 C-terminus', 120, NULL, 'Codanin-1_C', 15563),
(15564, 'PF18391', NULL, 'CHIP N-terminal tetratricopeptide repeat domain', 83, NULL, 'CHIP_TPR_N', 15564),
(15565, 'PF09604', NULL, 'F subunit of K+-transporting ATPase (Potass_KdpF)', 24, NULL, 'Potass_KdpF', 15565),
(15566, 'PF05082', NULL, 'Rop-like', 64, NULL, 'Rop-like', 15566),
(15567, 'PF16627', NULL, 'Unstructured region between BRX_N and BRX domain', 70, NULL, 'BRX_assoc', 15567),
(15568, 'PF09607', NULL, 'Brinker DNA-binding domain', 58, NULL, 'BrkDBD', 15568),
(15569, 'PF05750', NULL, 'Rubella capsid protein', 300, NULL, 'Rubella_Capsid', 15569);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15570, 'PF06344', NULL, 'Parechovirus Genome-linked protein', 20, NULL, 'Parecho_VpG', 15570),
(15571, 'PF13303', NULL, 'Phosphotransferase system, EIIC', 328, NULL, 'PTS_EIIC_2', 15571),
(15572, 'PF13477', NULL, 'Glycosyl transferase 4-like', 139, NULL, 'Glyco_trans_4_2', 15572),
(15573, 'PF12825', NULL, 'Domain of unknown function in PX-proteins (DUF3818)', 340, NULL, 'DUF3818', 15573),
(15574, 'PF15049', NULL, 'Protein of unknown function (DUF4534)', 163, NULL, 'DUF4534', 15574),
(15575, 'PF10294', NULL, 'Lysine methyltransferase', 174, NULL, 'Methyltransf_16', 15575),
(15576, 'PF11046', NULL, 'Transcriptional repressor of hyc and hyp operons', 146, NULL, 'HycA_repressor', 15576),
(15577, 'PF04560', NULL, 'RNA polymerase Rpb2, domain 7', 87, NULL, 'RNA_pol_Rpb2_7', 15577),
(15578, 'PF06121', NULL, 'Domain of Unknown Function (DUF959)', 188, NULL, 'DUF959', 15578),
(15579, 'PF10847', NULL, 'Protein of unknown function (DUF2656)', 141, NULL, 'DUF2656', 15579),
(15580, 'PF03732', NULL, 'Retrotransposon gag protein', 96, NULL, 'Retrotrans_gag', 15580),
(15581, 'PF18427', NULL, 'DD-reactivating factor swiveling domain', 162, NULL, 'DDR_swiveling', 15581),
(15582, 'PF08563', NULL, 'P53 transactivation motif', 25, NULL, 'P53_TAD', 15582),
(15583, 'PF18751', NULL, 'P-loop Nucleotide Kinase3', 184, NULL, 'Ploopntkinase3', 15583),
(15584, 'PF06153', NULL, 'Cyclic-di-AMP receptor', 109, NULL, 'CdAMP_rec', 15584),
(15585, 'PF06732', NULL, 'Pescadillo N-terminus', 273, NULL, 'Pescadillo_N', 15585),
(15586, 'PF07499', NULL, 'RuvA, C-terminal domain', 47, NULL, 'RuvA_C', 15586),
(15587, 'PF12318', NULL, 'Membrane bound FAD containing D-sorbitol dehydrogenase', 162, NULL, 'FAD-SLDH', 15587),
(15588, 'PF10677', NULL, 'Protein of unknown function (DUF2490)', 187, NULL, 'DUF2490', 15588),
(15589, 'PF14445', NULL, 'Prokaryotic RING finger family 2', 56, NULL, 'Prok-RING_2', 15589),
(15590, 'PF12121', NULL, 'Dermaseptin', 23, NULL, 'DD_K', 15590),
(15591, 'PF02827', NULL, 'cAMP-dependent protein kinase inhibitor', 69, NULL, 'PKI', 15591),
(15592, 'PF02889', NULL, 'Sec63 Brl domain', 256, NULL, 'Sec63', 15592),
(15593, 'PF12234', NULL, 'RAVE protein 1 C terminal', 639, NULL, 'Rav1p_C', 15593),
(15594, 'PF03486', NULL, 'HI0933-like protein', 407, NULL, 'HI0933_like', 15594),
(15595, 'PF05190', NULL, 'MutS family domain IV', 92, NULL, 'MutS_IV', 15595),
(15596, 'PF11557', NULL, 'Solitary outer membrane autotransporter beta-barrel domain', 327, NULL, 'Omp_AT', 15596),
(15597, 'PF09093', NULL, 'Lyase, catalytic', 361, NULL, 'Lyase_catalyt', 15597),
(15598, 'PF08878', NULL, 'Domain of unknown function (DUF1837)', 231, NULL, 'DUF1837', 15598),
(15599, 'PF14605', NULL, 'Nup53/35/40-type RNA recognition motif', 53, NULL, 'Nup35_RRM_2', 15599),
(15600, 'PF04630', NULL, 'Phage tail tube protein', 199, NULL, 'Phage_TTP_1', 15600),
(15601, 'PF02701', NULL, 'Dof domain, zinc finger', 59, NULL, 'zf-Dof', 15601),
(15602, 'PF14887', NULL, 'HMG (high mobility group) box 5', 85, NULL, 'HMG_box_5', 15602),
(15603, 'PF05331', NULL, 'Protein of unknown function (DUF742)', 114, NULL, 'DUF742', 15603),
(15604, 'PF06701', NULL, 'Mib_herc2', 65, NULL, 'MIB_HERC2', 15604),
(15605, 'PF09640', NULL, 'Domain of unknown function (DUF2027)', 156, NULL, 'DUF2027', 15605),
(15606, 'PF13976', NULL, 'GAG-pre-integrase domain', 67, NULL, 'gag_pre-integrs', 15606),
(15607, 'PF10882', NULL, 'Bacterial PH domain', 100, NULL, 'bPH_5', 15607),
(15608, 'PF12094', NULL, 'Protein of unknown function (DUF3570)', 418, NULL, 'DUF3570', 15608),
(15609, 'PF14256', NULL, 'YwiC-like protein', 126, NULL, 'YwiC', 15609),
(15610, 'PF14264', NULL, 'Glucosyl transferase GtrII', 296, NULL, 'Glucos_trans_II', 15610),
(15611, 'PF03224', NULL, 'V-ATPase subunit H', 315, NULL, 'V-ATPase_H_N', 15611),
(15612, 'PF11118', NULL, 'Protein of unknown function (DUF2627)', 76, NULL, 'DUF2627', 15612),
(15613, 'PF05212', NULL, 'Protein of unknown function (DUF707)', 299, NULL, 'DUF707', 15613);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15614, 'PF02532', NULL, 'Photosystem II reaction centre I protein (PSII 4.8 kDa protein)', 36, NULL, 'PsbI', 15614),
(15615, 'PF09506', NULL, 'Glucosylglycerol-phosphate phosphatase (Salt_tol_Pase)', 389, NULL, 'Salt_tol_Pase', 15615),
(15616, 'PF04147', NULL, 'Nop14-like family', 874, NULL, 'Nop14', 15616),
(15617, 'PF01369', NULL, 'Sec7 domain', 183, NULL, 'Sec7', 15617),
(15618, 'PF12066', NULL, 'SERRATE/Ars2, N-terminal domain', 110, NULL, 'SERRATE_Ars2_N', 15618),
(15619, 'PF09650', NULL, 'Putative polyhydroxyalkanoic acid system protein (PHA_gran_rgn)', 87, NULL, 'PHA_gran_rgn', 15619),
(15620, 'PF07534', NULL, 'TLD', 139, NULL, 'TLD', 15620),
(15621, 'PF01880', NULL, 'Desulfoferrodoxin', 97, NULL, 'Desulfoferrodox', 15621),
(15622, 'PF08560', NULL, 'Protein of unknown function (DUF1757)', 147, NULL, 'DUF1757', 15622),
(15623, 'PF12553', NULL, 'Protein of unknown function (DUF3742)', 121, NULL, 'DUF3742', 15623),
(15624, 'PF05673', NULL, 'Protein of unknown function (DUF815)', 250, NULL, 'DUF815', 15624),
(15625, 'PF15206', NULL, 'FAM209 family', 149, NULL, 'FAM209', 15625),
(15626, 'PF13741', NULL, 'Mitochondrial ribosomal protein S25', 230, NULL, 'MRP-S25', 15626),
(15627, 'PF06133', NULL, 'Control of competence regulator ComK, YlbF/YmcA', 105, NULL, 'Com_YlbF', 15627),
(15628, 'PF09639', NULL, 'YjcQ protein', 96, NULL, 'YjcQ', 15628),
(15629, 'PF18709', NULL, 'Dynamin-like helical domain', 344, NULL, 'DLP_helical', 15629),
(15630, 'PF06044', NULL, 'Dam-replacing family', 182, NULL, 'DpnI', 15630),
(15631, 'PF08205', NULL, 'CD80-like C2-set immunoglobulin domain', 89, NULL, 'C2-set_2', 15631),
(15632, 'PF01345', NULL, 'Domain of unknown function DUF11', 114, NULL, 'DUF11', 15632),
(15633, 'PF04546', NULL, 'Sigma-70, non-essential region', 205, NULL, 'Sigma70_ner', 15633),
(15634, 'PF14165', NULL, 'YtzH-like protein', 86, NULL, 'YtzH', 15634),
(15635, 'PF17100', NULL, 'N-terminal domain of NWD NACHT-NTPase', 220, NULL, 'NACHT_N', 15635),
(15636, 'PF13005', NULL, 'zinc-finger binding domain of transposase IS66', 46, NULL, 'zf-IS66', 15636),
(15637, 'PF16723', NULL, 'Domain of unknown function (DUF5065)', 152, NULL, 'DUF5065', 15637),
(15638, 'PF05336', NULL, 'L-rhamnose mutarotase', 108, NULL, 'rhaM', 15638),
(15639, 'PF06346', NULL, 'Formin Homology Region 1', 154, NULL, 'Drf_FH1', 15639),
(15640, 'PF18082', NULL, 'N-acyltransferase N-terminal domain', 129, NULL, 'NAT_N', 15640),
(15641, 'PF00990', NULL, 'Diguanylate cyclase, GGDEF domain', 161, NULL, 'GGDEF', 15641),
(15642, 'PF17396', NULL, 'Domain of unknown function (DUF1611_N) Rossmann-like domain', 94, NULL, 'DUF1611_N', 15642),
(15643, 'PF16055', NULL, 'Domain of unknown function (DUF4798)', 104, NULL, 'DUF4798', 15643),
(15644, 'PF07024', NULL, 'ImpE protein', 122, NULL, 'ImpE', 15644),
(15645, 'PF08120', NULL, 'Tamulustoxin family', 35, NULL, 'Toxin_32', 15645),
(15646, 'PF09696', NULL, 'Ctf8', 144, NULL, 'Ctf8', 15646),
(15647, 'PF13168', NULL, 'Poxvirus B22R protein C-terminal', 195, NULL, 'Poxvirus_B22R_C', 15647),
(15648, 'PF17022', NULL, 'Polar tube protein 2 from Microsporidia', 217, NULL, 'PTP2', 15648),
(15649, 'PF00282', NULL, 'Pyridoxal-dependent decarboxylase conserved domain', 375, NULL, 'Pyridoxal_deC', 15649),
(15650, 'PF17988', NULL, 'VEGFR-2 Transmembrane domain', 35, NULL, 'VEGFR-2_TMD', 15650),
(15651, 'PF04603', NULL, 'Ran-interacting Mog1 protein', 137, NULL, 'Mog1', 15651),
(15652, 'PF09684', NULL, 'Phage tail protein (Tail_P2_I)', 136, NULL, 'Tail_P2_I', 15652),
(15653, 'PF15574', NULL, 'Immunity protein 48', 123, NULL, 'Imm48', 15653),
(15654, 'PF06273', NULL, 'Plant specific eukaryotic initiation factor 4B', 502, NULL, 'eIF-4B', 15654),
(15655, 'PF14558', NULL, 'ML-like domain', 139, NULL, 'TRP_N', 15655),
(15656, 'PF17216', NULL, 'Rrp44-like cold shock domain', 148, NULL, 'Rrp44_CSD1', 15656),
(15657, 'PF05324', NULL, 'Sperm antigen HE2', 70, NULL, 'Sperm_Ag_HE2', 15657),
(15658, 'PF03062', NULL, 'MBOAT, membrane-bound O-acyltransferase family', 348, NULL, 'MBOAT', 15658);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15659, 'PF07676', NULL, 'WD40-like Beta Propeller Repeat', 38, NULL, 'PD40', 15659),
(15660, 'PF05101', NULL, 'Type IV secretory pathway, VirB3-like protein', 84, NULL, 'VirB3', 15660),
(15661, 'PF12692', NULL, 'S-adenosyl-L-methionine methyltransferase', 160, NULL, 'Methyltransf_17', 15661),
(15662, 'PF01664', NULL, 'Reovirus viral attachment protein sigma 1', 219, NULL, 'Reo_sigma1', 15662),
(15663, 'PF14808', NULL, 'TMEM164 family', 254, NULL, 'TMEM164', 15663),
(15664, 'PF05997', NULL, 'Nucleolar protein,Nop52', 216, NULL, 'Nop52', 15664),
(15665, 'PF17852', NULL, 'Dynein heavy chain AAA lid domain', 129, NULL, 'Dynein_AAA_lid', 15665),
(15666, 'PF06827', NULL, 'Zinc finger found in FPG and IleRS', 30, NULL, 'zf-FPG_IleRS', 15666),
(15667, 'PF08366', NULL, 'LLGL2', 104, NULL, 'LLGL', 15667),
(15668, 'PF04320', NULL, 'Protein with unknown function (DUF469)', 102, NULL, 'DUF469', 15668),
(15669, 'PF01344', NULL, 'Kelch motif', 46, NULL, 'Kelch_1', 15669),
(15670, 'PF10606', NULL, 'Homer-binding domain of metabotropic glutamate receptor', 51, NULL, 'GluR_Homer-bdg', 15670),
(15671, 'PF08596', NULL, 'Lethal giant larvae(Lgl) like, C-terminal', 393, NULL, 'Lgl_C', 15671),
(15672, 'PF09407', NULL, 'AbiEi antitoxin C-terminal domain', 142, NULL, 'AbiEi_1', 15672),
(15673, 'PF09738', NULL, 'LRRFIP family', 301, NULL, 'LRRFIP', 15673),
(15674, 'PF06891', NULL, 'P2 phage tail completion protein R (GpR)', 131, NULL, 'P2_Phage_GpR', 15674),
(15675, 'PF10408', NULL, 'Ubiquitin elongating factor core', 629, NULL, 'Ufd2P_core', 15675),
(15676, 'PF15289', NULL, 'Regulatory factor X-associated C-terminal binding domain', 131, NULL, 'RFXA_RFXANK_bdg', 15676),
(15677, 'PF19223', NULL, 'Chroparavirus methyltransferase', 319, NULL, 'Chropara_Vmeth', 15677),
(15678, 'PF14552', NULL, 'Tautomerase enzyme', 82, NULL, 'Tautomerase_2', 15678),
(15679, 'PF03390', NULL, '2-hydroxycarboxylate transporter family', 416, NULL, '2HCT', 15679),
(15680, 'PF00746', NULL, 'LPXTG cell wall anchor motif', 43, NULL, 'Gram_pos_anchor', 15680),
(15681, 'PF13028', NULL, 'Protein of unknown function (DUF3889)', 94, NULL, 'DUF3889', 15681),
(15682, 'PF13564', NULL, 'DoxX-like family', 103, NULL, 'DoxX_2', 15682),
(15683, 'PF05106', NULL, 'Phage holin family (Lysis protein S)', 99, NULL, 'Phage_holin_3_1', 15683),
(15684, 'PF08211', NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', 134, NULL, 'dCMP_cyt_deam_2', 15684),
(15685, 'PF11764', NULL, 'COMPASS (Complex proteins associated with Set1p) component N', 175, NULL, 'N-SET', 15685),
(15686, 'PF06880', NULL, 'Protein of unknown function (DUF1262)', 99, NULL, 'DUF1262', 15686),
(15687, 'PF10045', NULL, 'Uncharacterized conserved protein (DUF2280)', 103, NULL, 'DUF2280', 15687),
(15688, 'PF09195', NULL, 'Restriction endonuclease BglII', 166, NULL, 'Endonuc-BglII', 15688),
(15689, 'PF14936', NULL, 'Tumour protein p53-inducible protein 11', 184, NULL, 'p53-inducible11', 15689),
(15690, 'PF06946', NULL, 'Bacteriophage A118-like holin, Hol118', 93, NULL, 'Phage_holin_5_1', 15690),
(15691, 'PF14001', NULL, 'YdfZ protein', 64, NULL, 'YdfZ', 15691),
(15692, 'PF12668', NULL, 'Protein of unknown function (DUF3791)', 60, NULL, 'DUF3791', 15692),
(15693, 'PF15950', NULL, 'Putative sperm flagellar membrane protein', 142, NULL, 'DUF4758', 15693),
(15694, 'PF15861', NULL, 'Partial cleavage stimulation factor domain', 62, NULL, 'partial_CstF', 15694),
(15695, 'PF14141', NULL, 'YqzM-like protein', 42, NULL, 'YqzM', 15695),
(15696, 'PF08522', NULL, 'Domain of unknown function (DUF1735)', 123, NULL, 'DUF1735', 15696),
(15697, 'PF13242', NULL, 'HAD-hyrolase-like', 75, NULL, 'Hydrolase_like', 15697),
(15698, 'PF18280', NULL, 'Aminoglycoside adenyltransferase C-terminal domain', 104, NULL, 'AadA_C', 15698),
(15699, 'PF15445', NULL, 'acidic terminal segments, variant surface antigen of PfEMP1', 446, NULL, 'ATS', 15699),
(15700, 'PF16411', NULL, 'Outer membrane protein SusF_SusE', 134, NULL, 'SusF_SusE', 15700);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15701, 'PF14912', NULL, 'Testicular haploid expressed repeat', 58, NULL, 'THEG', 15701),
(15702, 'PF14888', NULL, 'Penicillin-binding protein Tp47 domain C', 158, NULL, 'PBP-Tp47_c', 15702),
(15703, 'PF02236', NULL, 'Viral DNA-binding protein, all alpha domain', 79, NULL, 'Viral_DNA_bi', 15703),
(15704, 'PF18943', NULL, 'Family of unknown function (DUF5690)', 382, NULL, 'DUF5690', 15704),
(15705, 'PF06060', NULL, 'Pre-pro-megakaryocyte potentiating factor precursor (Mesothelin)', 624, NULL, 'Mesothelin', 15705),
(15706, 'PF09594', NULL, 'Glycosyltransferase family 87', 240, NULL, 'GT87', 15706),
(15707, 'PF11746', NULL, 'Protein of unknown function (DUF3303)', 90, NULL, 'DUF3303', 15707),
(15708, 'PF15808', NULL, 'BCL-6 co-repressor, non-ankyrin-repeat region', 218, NULL, 'BCOR', 15708),
(15709, 'PF11208', NULL, 'Protein of unknown function (DUF2992)', 132, NULL, 'DUF2992', 15709),
(15710, 'PF14503', NULL, 'YhfZ C-terminal domain', 236, NULL, 'YhfZ_C', 15710),
(15711, 'PF06964', NULL, 'Alpha-L-arabinofuranosidase C-terminal domain', 168, NULL, 'Alpha-L-AF_C', 15711),
(15712, 'PF00972', NULL, 'Flavivirus RNA-directed RNA polymerase', 644, NULL, 'Flavi_NS5', 15712),
(15713, 'PF10494', NULL, 'Serine-threonine protein kinase 19', 245, NULL, 'Stk19', 15713),
(15714, 'PF09505', NULL, 'Dimethylamine methyltransferase (Dimeth_PyL)', 463, NULL, 'Dimeth_Pyl', 15714),
(15715, 'PF00233', NULL, '3''5''-cyclic nucleotide phosphodiesterase', 238, NULL, 'PDEase_I', 15715),
(15716, 'PF18598', NULL, 'Tetracyclin repressor-like, C-terminal domain', 111, NULL, 'TetR_C_36', 15716),
(15717, 'PF03870', NULL, 'RNA polymerase Rpb8', 140, NULL, 'RNA_pol_Rpb8', 15717),
(15718, 'PF05754', NULL, 'Domain of unknown function (DUF834)', 52, NULL, 'DUF834', 15718),
(15719, 'PF08392', NULL, 'FAE1/Type III polyketide synthase-like protein', 290, NULL, 'FAE1_CUT1_RppA', 15719),
(15720, 'PF12147', NULL, 'Putative methyltransferase', 309, NULL, 'Methyltransf_20', 15720),
(15721, 'PF03599', NULL, 'CO dehydrogenase/acetyl-CoA synthase delta subunit', 386, NULL, 'CdhD', 15721),
(15722, 'PF12455', NULL, 'Dynein associated protein', 286, NULL, 'Dynactin', 15722),
(15723, 'PF10151', NULL, 'TMEM214, C-terminal, caspase 4 activator', 662, NULL, 'TMEM214', 15723),
(15724, 'PF08466', NULL, 'Inward rectifier potassium channel N-terminal', 45, NULL, 'IRK_N', 15724),
(15725, 'PF09788', NULL, 'Transmembrane protein 55A', 246, NULL, 'Tmemb_55A', 15725),
(15726, 'PF00173', NULL, 'Cytochrome b5-like Heme/Steroid binding domain', 74, NULL, 'Cyt-b5', 15726),
(15727, 'PF03797', NULL, 'Autotransporter beta-domain', 255, NULL, 'Autotransporter', 15727),
(15728, 'PF01175', NULL, 'Urocanase Rossmann-like domain', 210, NULL, 'Urocanase', 15728),
(15729, 'PF14698', NULL, 'Argininosuccinate lyase C-terminal', 69, NULL, 'ASL_C2', 15729),
(15730, 'PF17208', NULL, 'RNA binding Region', 57, NULL, 'RBR', 15730),
(15731, 'PF15706', NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, C-term', 87, NULL, 'TMEM132D_C', 15731),
(15732, 'PF00880', NULL, 'Nebulin repeat', 28, NULL, 'Nebulin', 15732),
(15733, 'PF13624', NULL, 'SurA N-terminal domain', 162, NULL, 'SurA_N_3', 15733),
(15734, 'PF05715', NULL, 'Piccolo Zn-finger', 60, NULL, 'zf-piccolo', 15734),
(15735, 'PF10920', NULL, 'Protein of unknown function (DUF2705)', 226, NULL, 'DUF2705', 15735),
(15736, 'PF14516', NULL, 'AAA-like domain', 331, NULL, 'AAA_35', 15736),
(15737, 'PF13649', NULL, 'Methyltransferase domain', 97, NULL, 'Methyltransf_25', 15737),
(15738, 'PF10649', NULL, 'Protein of unknown function (DUF2478)', 159, NULL, 'DUF2478', 15738),
(15739, 'PF13227', NULL, 'Protein of unknown function (DUF4035)', 55, NULL, 'DUF4035', 15739),
(15740, 'PF18282', NULL, 'RAP80 N-terminal ubiquitin interaction motif', 57, NULL, 'RAP80_UIM', 15740),
(15741, 'PF00346', NULL, 'Respiratory-chain NADH dehydrogenase, 49 Kd subunit', 271, NULL, 'Complex1_49kDa', 15741),
(15742, 'PF08191', NULL, 'LRR adjacent', 57, NULL, 'LRR_adjacent', 15742);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15743, 'PF12255', NULL, 'Insecticide toxin TcdB middle/C-terminal region', 148, NULL, 'TcdB_toxin_midC', 15743),
(15744, 'PF05978', NULL, 'Ion channel regulatory protein UNC-93', 157, NULL, 'UNC-93', 15744),
(15745, 'PF14507', NULL, 'CppA C-terminal', 103, NULL, 'CppA_C', 15745),
(15746, 'PF02941', NULL, 'Ferredoxin thioredoxin reductase variable alpha chain', 67, NULL, 'FeThRed_A', 15746),
(15747, 'PF08822', NULL, 'Protein of unknown function (DUF1804)', 164, NULL, 'DUF1804', 15747),
(15748, 'PF07924', NULL, 'Nuclease A inhibitor-like protein', 130, NULL, 'NuiA', 15748),
(15749, 'PF12635', NULL, 'Protein of unknown function (DUF3780)', 184, NULL, 'DUF3780', 15749),
(15750, 'PF05859', NULL, 'Mis12 protein', 143, NULL, 'Mis12', 15750),
(15751, 'PF07207', NULL, 'Light regulated protein Lir1', 134, NULL, 'Lir1', 15751),
(15752, 'PF04629', NULL, 'Islet cell autoantigen ICA69, C-terminal domain', 261, NULL, 'ICA69', 15752),
(15753, 'PF12104', NULL, 'T cell CD4 receptor C terminal region', 28, NULL, 'Tcell_CD4_C', 15753),
(15754, 'PF04879', NULL, 'Molybdopterin oxidoreductase Fe4S4 domain', 55, NULL, 'Molybdop_Fe4S4', 15754),
(15755, 'PF12252', NULL, 'Ubiquitinating enzyme SidE/SdeA', 224, NULL, 'SidE', 15755),
(15756, 'PF04724', NULL, 'Glycosyltransferase family 17', 349, NULL, 'Glyco_transf_17', 15756),
(15757, 'PF03458', NULL, 'UPF0126 domain', 78, NULL, 'UPF0126', 15757),
(15758, 'PF08722', NULL, 'TnsA endonuclease N terminal', 88, NULL, 'Tn7_Tnp_TnsA_N', 15758),
(15759, 'PF08146', NULL, 'BP28CT (NUC211) domain', 154, NULL, 'BP28CT', 15759),
(15760, 'PF15791', NULL, 'Doublesex-and mab-3-related transcription factor C1 and C2', 119, NULL, 'DMRT-like', 15760),
(15761, 'PF17554', NULL, 'Family of unknown function (DUF5466)', 57, NULL, 'DUF5466', 15761),
(15762, 'PF11626', NULL, 'TRF2-interacting telomeric protein/Rap1 - C terminal domain', 84, NULL, 'Rap1_C', 15762),
(15763, 'PF05398', NULL, 'PufQ cytochrome subunit', 74, NULL, 'PufQ', 15763),
(15764, 'PF14847', NULL, 'Ras-binding domain of Byr2', 100, NULL, 'Ras_bdg_2', 15764),
(15765, 'PF14215', NULL, 'bHLH-MYC and R2R3-MYB transcription factors N-terminal', 176, NULL, 'bHLH-MYC_N', 15765),
(15766, 'PF02744', NULL, 'Galactose-1-phosphate uridyl transferase, C-terminal domain', 167, NULL, 'GalP_UDP_tr_C', 15766),
(15767, 'PF05253', NULL, 'U11-48K-like CHHC zinc finger', 25, NULL, 'zf-U11-48K', 15767),
(15768, 'PF13755', NULL, 'Sensor N-terminal transmembrane domain', 68, NULL, 'Sensor_TM1', 15768),
(15769, 'PF01161', NULL, 'Phosphatidylethanolamine-binding protein', 132, NULL, 'PBP', 15769),
(15770, 'PF09955', NULL, 'Predicted integral membrane protein (DUF2189)', 126, NULL, 'DUF2189', 15770),
(15771, 'PF02590', NULL, 'Predicted SPOUT methyltransferase', 154, NULL, 'SPOUT_MTase', 15771),
(15772, 'PF16821', NULL, 'C protein from hendra and measles viruses', 153, NULL, 'C_Hendra', 15772),
(15773, 'PF14768', NULL, 'Replication protein A interacting C-terminal', 81, NULL, 'RPA_interact_C', 15773),
(15774, 'PF02633', NULL, 'Creatinine amidohydrolase', 239, NULL, 'Creatininase', 15774),
(15775, 'PF11802', NULL, 'Centromere-associated protein K', 264, NULL, 'CENP-K', 15775),
(15776, 'PF16815', NULL, 'Protein HRI1', 236, NULL, 'HRI1', 15776),
(15777, 'PF13820', NULL, 'Putative nucleic acid-binding region', 144, NULL, 'Nucleic_acid_bd', 15777),
(15778, 'PF07155', NULL, 'ECF-type riboflavin transporter, S component', 172, NULL, 'ECF-ribofla_trS', 15778),
(15779, 'PF17684', NULL, 'PH domain of plant-specific actin-binding protein', 108, NULL, 'SCAB-PH', 15779),
(15780, 'PF17137', NULL, 'Domain of unknown function (DUF5110)', 71, NULL, 'DUF5110', 15780),
(15781, 'PF04640', NULL, 'PLATZ transcription factor', 82, NULL, 'PLATZ', 15781),
(15782, 'PF00698', NULL, 'Acyl transferase domain', 319, NULL, 'Acyl_transf_1', 15782),
(15783, 'PF18892', NULL, 'Family of unknown function (DUF5651)', 54, NULL, 'DUF5651', 15783),
(15784, 'PF08551', NULL, 'Eukaryotic integral membrane protein (DUF1751)', 99, NULL, 'DUF1751', 15784);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15785, 'PF14852', NULL, 'Fis1 N-terminal tetratricopeptide repeat', 33, NULL, 'Fis1_TPR_N', 15785),
(15786, 'PF06772', NULL, 'Bacterial low temperature requirement A protein (LtrA)', 353, NULL, 'LtrA', 15786),
(15787, 'PF01004', NULL, 'Flavivirus envelope glycoprotein M', 74, NULL, 'Flavi_M', 15787),
(15788, 'PF04137', NULL, 'Endoplasmic Reticulum Oxidoreductin 1 (ERO1)', 353, NULL, 'ERO1', 15788),
(15789, 'PF15928', NULL, 'Domain of unknown function (DUF4746)', 298, NULL, 'DUF4746', 15789),
(15790, 'PF02076', NULL, 'Pheromone A receptor', 289, NULL, 'STE3', 15790),
(15791, 'PF08290', NULL, 'Hepatitis core protein, putative zinc finger', 27, NULL, 'Hep_core_N', 15791),
(15792, 'PF14738', NULL, 'Cilia- and flagella-associated protein 91', 154, NULL, 'CFAP91', 15792),
(15793, 'PF04034', NULL, 'Ribosome biogenesis protein, C-terminal', 127, NULL, 'Ribo_biogen_C', 15793),
(15794, 'PF18106', NULL, 'Rolling Circle replication initiation protein N-terminal domain', 91, NULL, 'Rol_Rep_N', 15794),
(15795, 'PF09455', NULL, 'CRISPR-associated (Cas) DxTHG family', 356, NULL, 'Cas_DxTHG', 15795),
(15796, 'PF00686', NULL, 'Starch binding domain', 97, NULL, 'CBM_20', 15796),
(15797, 'PF15324', NULL, 'Hedgehog signalling target', 1253, NULL, 'TALPID3', 15797),
(15798, 'PF08561', NULL, 'Mitochondrial ribosomal protein L37', 120, NULL, 'Ribosomal_L37', 15798),
(15799, 'PF11955', NULL, 'Plant organelle RNA recognition domain', 326, NULL, 'PORR', 15799),
(15800, 'PF18122', NULL, 'Anaphase-promoting complex sub unit 1 C-terminal domain', 165, NULL, 'APC1_C', 15800),
(15801, 'PF01543', NULL, 'Hepatitis C virus capsid protein', 121, NULL, 'HCV_capsid', 15801),
(15802, 'PF11866', NULL, 'Protein of unknown function (DUF3386)', 211, NULL, 'DUF3386', 15802),
(15803, 'PF05298', NULL, 'Bombinin', 141, NULL, 'Bombinin', 15803),
(15804, 'PF03385', NULL, 'STELLO glycosyltransferases', 388, NULL, 'STELLO', 15804),
(15805, 'PF04800', NULL, 'ETC complex I subunit conserved region', 96, NULL, 'ETC_C1_NDUFA4', 15805),
(15806, 'PF17047', NULL, 'Synaptotagmin-like mitochondrial-lipid-binding domain', 180, NULL, 'SMP_LBD', 15806),
(15807, 'PF19086', NULL, 'Terpene synthase family 2, C-terminal metal binding', 199, NULL, 'Terpene_syn_C_2', 15807),
(15808, 'PF06041', NULL, 'Bacterial protein of unknown function (DUF924)', 181, NULL, 'DUF924', 15808),
(15809, 'PF09401', NULL, 'Coronavirus RNA synthesis protein NSP10', 122, NULL, 'CoV_NSP10', 15809),
(15810, 'PF16312', NULL, 'Coiled-coil region of Oberon', 129, NULL, 'Oberon_cc', 15810),
(15811, 'PF13216', NULL, 'Protein of unknown function (DUF4024)', 35, NULL, 'DUF4024', 15811),
(15812, 'PF11427', NULL, 'Tc3 transposase', 50, NULL, 'HTH_Tnp_Tc3_1', 15812),
(15813, 'PF18808', NULL, 'Importin repeat', 90, NULL, 'Importin_rep_4', 15813),
(15814, 'PF16882', NULL, 'Domain of unknown function (DUF5079)', 223, NULL, 'DUF5079', 15814),
(15815, 'PF10817', NULL, 'Protein of unknown function (DUF2563)', 104, NULL, 'DUF2563', 15815),
(15816, 'PF14658', NULL, 'EF-hand domain', 66, NULL, 'EF-hand_9', 15816),
(15817, 'PF05477', NULL, 'Surfeit locus protein 2 (SURF2)', 241, NULL, 'SURF2', 15817),
(15818, 'PF09246', NULL, 'PHAT', 108, NULL, 'PHAT', 15818),
(15819, 'PF06793', NULL, 'Uncharacterised protein family (UPF0262)', 153, NULL, 'UPF0262', 15819),
(15820, 'PF05954', NULL, 'Phage late control gene D protein (GPD)', 304, NULL, 'Phage_GPD', 15820),
(15821, 'PF17320', NULL, 'Family of unknown function (DUF5363)', 54, NULL, 'DUF5363', 15821),
(15822, 'PF02298', NULL, 'Plastocyanin-like domain', 84, NULL, 'Cu_bind_like', 15822),
(15823, 'PF11960', NULL, 'Domain of unknown function (DUF3474)', 136, NULL, 'DUF3474', 15823),
(15824, 'PF13870', NULL, 'Domain of unknown function (DUF4201)', 177, NULL, 'DUF4201', 15824),
(15825, 'PF11721', NULL, 'Malectin domain', 165, NULL, 'Malectin', 15825),
(15826, 'PF04425', NULL, 'Bul1 N terminus', 451, NULL, 'Bul1_N', 15826),
(15827, 'PF17942', NULL, 'Morc6 ribosomal protein S5 domain 2-like', 139, NULL, 'Morc6_S5', 15827);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15828, 'PF12062', NULL, 'heparan sulfate-N-deacetylase', 492, NULL, 'HSNSD', 15828),
(15829, 'PF11056', NULL, 'Recombination, repair and ssDNA binding protein UvsY', 129, NULL, 'UvsY', 15829),
(15830, 'PF05546', NULL, 'She9 / Mdm33 family', 198, NULL, 'She9_MDM33', 15830),
(15831, 'PF12809', NULL, 'Eukaryotic metallothionein', 69, NULL, 'Metallothi_Euk2', 15831),
(15832, 'PF12732', NULL, 'YtxH-like protein', 75, NULL, 'YtxH', 15832),
(15833, 'PF10540', NULL, 'Munc13 (mammalian uncoordinated) homology domain', 149, NULL, 'Membr_traf_MHD', 15833),
(15834, 'PF01375', NULL, 'Heat-labile enterotoxin alpha chain', 258, NULL, 'Enterotoxin_a', 15834),
(15835, 'PF04558', NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 1', 162, NULL, 'tRNA_synt_1c_R1', 15835),
(15836, 'PF02707', NULL, 'Major Outer Sheath Protein N-terminal region', 196, NULL, 'MOSP_N', 15836),
(15837, 'PF02780', NULL, 'Transketolase, C-terminal domain', 124, NULL, 'Transketolase_C', 15837),
(15838, 'PF09891', NULL, 'Uncharacterized protein conserved in archaea (DUF2118)', 151, NULL, 'DUF2118', 15838),
(15839, 'PF10627', NULL, 'Curli assembly protein CsgE', 105, NULL, 'CsgE', 15839),
(15840, 'PF06605', NULL, 'Prophage endopeptidase tail', 266, NULL, 'Prophage_tail', 15840),
(15841, 'PF14220', NULL, 'Domain of unknown function (DUF4329)', 118, NULL, 'DUF4329', 15841),
(15842, 'PF12030', NULL, 'Domain of unknown function (DUF3517)', 405, NULL, 'DUF3517', 15842),
(15843, 'PF09916', NULL, 'Uncharacterized protein conserved in bacteria (DUF2145)', 200, NULL, 'DUF2145', 15843),
(15844, 'PF17314', NULL, 'Family of unknown function (DUF5360)', 127, NULL, 'DUF5360', 15844),
(15845, 'PF06519', NULL, 'TolA C-terminal', 96, NULL, 'TolA', 15845),
(15846, 'PF04219', NULL, 'Protein of unknown function, DUF', 90, NULL, 'DUF413', 15846),
(15847, 'PF01531', NULL, 'Glycosyl transferase family 11', 298, NULL, 'Glyco_transf_11', 15847),
(15848, 'PF05683', NULL, 'Fumarase C-terminus', 206, NULL, 'Fumerase_C', 15848),
(15849, 'PF14217', NULL, 'Domain of unknown function (DUF4327)', 67, NULL, 'DUF4327', 15849),
(15850, 'PF02251', NULL, 'Proteasome activator pa28 alpha subunit', 61, NULL, 'PA28_alpha', 15850),
(15851, 'PF17701', NULL, 'Family of unknown function (DUF5547)', 123, NULL, 'DUF5547', 15851),
(15852, 'PF13342', NULL, 'C-terminal repeat of topoisomerase', 61, NULL, 'Toprim_Crpt', 15852),
(15853, 'PF14375', NULL, 'Cysteine-rich CWC', 51, NULL, 'Cys_rich_CWC', 15853),
(15854, 'PF11449', NULL, 'Putative, 10TM heavy-metal exporter', 361, NULL, 'ArsP_2', 15854),
(15855, 'PF15404', NULL, 'Pleckstrin homology domain', 183, NULL, 'PH_4', 15855),
(15856, 'PF11210', NULL, 'Protein of unknown function (DUF2996)', 121, NULL, 'DUF2996', 15856),
(15857, 'PF04896', NULL, 'Ammonia monooxygenase/methane monooxygenase, subunit C', 245, NULL, 'AmoC', 15857),
(15858, 'PF11090', NULL, 'Protein of unknown function (DUF2833)', 86, NULL, 'DUF2833', 15858),
(15859, 'PF06070', NULL, 'Herpesvirus large structural phosphoprotein UL32', 1048, NULL, 'Herpes_UL32', 15859),
(15860, 'PF18537', NULL, 'Carbon monoxide dehydrogenase subunit alpha N-terminal domain', 83, NULL, 'CODH_A_N', 15860),
(15861, 'PF17349', NULL, 'Family of unknown function (DUF5378)', 282, NULL, 'DUF5378', 15861),
(15862, 'PF07127', NULL, 'Late nodulin protein', 54, NULL, 'Nodulin_late', 15862),
(15863, 'PF12567', NULL, 'Leukocyte receptor CD45', 59, NULL, 'CD45', 15863),
(15864, 'PF14116', NULL, 'YyzF-like protein', 48, NULL, 'YyzF', 15864),
(15865, 'PF16042', NULL, 'Domain of unknown function (DUF4794)', 79, NULL, 'DUF4794', 15865),
(15866, 'PF02800', NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, C-terminal domain', 158, NULL, 'Gp_dh_C', 15866),
(15867, 'PF16613', NULL, 'Unstructured region of RGS12', 118, NULL, 'RGS12_us1', 15867),
(15868, 'PF11618', NULL, 'First C2 domain of RPGR-interacting protein 1', 141, NULL, 'C2-C2_1', 15868),
(15869, 'PF04208', NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit A', 172, NULL, 'MtrA', 15869);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15870, 'PF05239', NULL, 'PRC-barrel domain', 79, NULL, 'PRC', 15870),
(15871, 'PF03798', NULL, 'TLC domain', 197, NULL, 'TRAM_LAG1_CLN8', 15871),
(15872, 'PF13197', NULL, 'Protein of unknown function (DUF4013)', 169, NULL, 'DUF4013', 15872),
(15873, 'PF12812', NULL, 'PDZ-like domain', 78, NULL, 'PDZ_1', 15873),
(15874, 'PF04895', NULL, 'Archaeal Nre, C-terminal', 110, NULL, 'Nre_C', 15874),
(15875, 'PF18419', NULL, 'ATP-grasp-like domain', 54, NULL, 'ATP-grasp_6', 15875),
(15876, 'PF02910', NULL, 'Fumarate reductase flavoprotein C-term', 126, NULL, 'Succ_DH_flav_C', 15876),
(15877, 'PF16478', NULL, 'Domain of unknown function (DUF5055)', 105, NULL, 'DUF5055', 15877),
(15878, 'PF12560', NULL, 'RAG1 importin binding', 286, NULL, 'RAG1_imp_bd', 15878),
(15879, 'PF01534', NULL, 'Frizzled/Smoothened family membrane region', 323, NULL, 'Frizzled', 15879),
(15880, 'PF01298', NULL, 'C-lobe and N-lobe beta barrels of Tf-binding protein B', 135, NULL, 'TbpB_B_D', 15880),
(15881, 'PF14764', NULL, 'AP-5 complex subunit, vesicle trafficking', 118, NULL, 'SPG48', 15881),
(15882, 'PF11565', NULL, 'Alpha helical Porin B', 99, NULL, 'PorB', 15882),
(15883, 'PF16625', NULL, 'Unstructured linking region I-set and fnIII on Brother of CDO', 65, NULL, 'ISET-FN3_linker', 15883),
(15884, 'PF08656', NULL, 'DASH complex subunit Dad3', 73, NULL, 'DASH_Dad3', 15884),
(15885, 'PF09973', NULL, 'Predicted membrane protein (DUF2208)', 231, NULL, 'DUF2208', 15885),
(15886, 'PF07953', NULL, 'Clostridium neurotoxin, N-terminal receptor binding', 195, NULL, 'Toxin_R_bind_N', 15886),
(15887, 'PF04671', NULL, 'Erythrocyte membrane-associated giant protein antigen 332', 21, NULL, 'Ag332', 15887),
(15888, 'PF00419', NULL, 'Fimbrial protein', 154, NULL, 'Fimbrial', 15888),
(15889, 'PF06149', NULL, 'Protein of unknown function (DUF969)', 216, NULL, 'DUF969', 15889),
(15890, 'PF15439', NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', 396, NULL, 'NYAP_N', 15890),
(15891, 'PF06587', NULL, 'Protein of unknown function (DUF1137)', 117, NULL, 'DUF1137', 15891),
(15892, 'PF09266', NULL, 'Viral DNA topoisomerase I, N-terminal', 58, NULL, 'VirDNA-topo-I_N', 15892),
(15893, 'PF07156', NULL, 'Prenylcysteine lyase', 363, NULL, 'Prenylcys_lyase', 15893),
(15894, 'PF11008', NULL, 'Protein of unknown function (DUF2846)', 92, NULL, 'DUF2846', 15894),
(15895, 'PF17739', NULL, 'Family of unknown function (DUF5576)', 134, NULL, 'DUF5576', 15895),
(15896, 'PF02291', NULL, 'Transcription initiation factor IID, 31kD subunit', 123, NULL, 'TFIID-31kDa', 15896),
(15897, 'PF01333', NULL, 'Apocytochrome F, C-terminal', 118, NULL, 'Apocytochr_F_C', 15897),
(15898, 'PF11361', NULL, 'Protein of unknown function (DUF3159)', 188, NULL, 'DUF3159', 15898),
(15899, 'PF01318', NULL, 'Bromovirus coat protein', 187, NULL, 'Bromo_coat', 15899),
(15900, 'PF16173', NULL, 'Domain of unknown function (DUF4874)', 161, NULL, 'DUF4874', 15900),
(15901, 'PF14407', NULL, 'Ribosomally synthesized peptide prototyped by Frankia Franean1_4349.', 63, NULL, 'Frankia_peptide', 15901),
(15902, 'PF09237', NULL, 'GAGA factor', 54, NULL, 'GAGA', 15902),
(15903, 'PF17994', NULL, 'Galactofuranosyltransferase 2 N-terminal', 142, NULL, 'Glft2_N', 15903),
(15904, 'PF13822', NULL, 'Acyl-CoA carboxylase epsilon subunit', 61, NULL, 'ACC_epsilon', 15904),
(15905, 'PF17734', NULL, 'Spermatogenesis-associated protein 46', 228, NULL, 'Spt46', 15905),
(15906, 'PF03596', NULL, 'Cadmium resistance transporter', 192, NULL, 'Cad', 15906),
(15907, 'PF06591', NULL, 'T4-like phage nuclear disruption protein (Ndd)', 152, NULL, 'Phage_T4_Ndd', 15907),
(15908, 'PF08098', NULL, 'Anemonia sulcata toxin III family', 27, NULL, 'ATX_III', 15908),
(15909, 'PF02671', NULL, 'Paired amphipathic helix repeat', 45, NULL, 'PAH', 15909),
(15910, 'PF08524', NULL, 'rRNA processing', 146, NULL, 'rRNA_processing', 15910),
(15911, 'PF16243', NULL, 'Sm_like domain', 85, NULL, 'Sm_like', 15911),
(15912, 'PF09071', NULL, 'Alpha-amylase, C terminal', 67, NULL, 'Alpha-amyl_C', 15912);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15913, 'PF17995', NULL, 'Endo-alpha-N-acetylgalactosaminidase N-terminal', 180, NULL, 'GH101_N', 15913),
(15914, 'PF19118', NULL, 'Family of unknown function (DUF5802)', 113, NULL, 'DUF5802', 15914),
(15915, 'PF18011', NULL, 'C-terminal domain found in long catalases', 152, NULL, 'Catalase_C', 15915),
(15916, 'PF15432', NULL, 'Accessory Sec secretory system ASP3', 126, NULL, 'Sec-ASP3', 15916),
(15917, 'PF14556', NULL, 'AF2331-like', 91, NULL, 'AF2331-like', 15917),
(15918, 'PF00328', NULL, 'Histidine phosphatase superfamily (branch 2)', 383, NULL, 'His_Phos_2', 15918),
(15919, 'PF14949', NULL, 'ARF7 effector protein C-terminus', 102, NULL, 'ARF7EP_C', 15919),
(15920, 'PF01981', NULL, 'Peptidyl-tRNA hydrolase PTH2', 116, NULL, 'PTH2', 15920),
(15921, 'PF01028', NULL, 'Eukaryotic DNA topoisomerase I, catalytic core', 230, NULL, 'Topoisom_I', 15921),
(15922, 'PF10533', NULL, 'Plant zinc cluster domain', 50, NULL, 'Plant_zn_clust', 15922),
(15923, 'PF03361', NULL, 'Herpes virus intermediate/early protein 2/3', 162, NULL, 'Herpes_IE2_3', 15923),
(15924, 'PF04644', NULL, 'Motilin/ghrelin', 28, NULL, 'Motilin_ghrelin', 15924),
(15925, 'PF03928', NULL, 'Haem-degrading', 119, NULL, 'Haem_degrading', 15925),
(15926, 'PF02979', NULL, 'Nitrile hydratase, alpha chain', 184, NULL, 'NHase_alpha', 15926),
(15927, 'PF17921', NULL, 'Integrase zinc binding domain', 58, NULL, 'Integrase_H2C2', 15927),
(15928, 'PF18180', NULL, 'SLOG cluster3 family', 170, NULL, 'LD_cluster3', 15928),
(15929, 'PF09635', NULL, 'MetRS-N binding domain', 121, NULL, 'MetRS-N', 15929),
(15930, 'PF15508', NULL, 'beta subunit of N-acylethanolamine-hydrolyzing acid amidase', 63, NULL, 'NAAA-beta', 15930),
(15931, 'PF04949', NULL, 'Transcriptional activator', 154, NULL, 'Transcrip_act', 15931),
(15932, 'PF13888', NULL, 'Myelin gene regulatory factor C-terminal domain 2', 139, NULL, 'MRF_C2', 15932),
(15933, 'PF14926', NULL, 'Domain of unknown function (DUF4498)', 246, NULL, 'DUF4498', 15933),
(15934, 'PF03219', NULL, 'TLC ATP/ADP transporter', 491, NULL, 'TLC', 15934),
(15935, 'PF05772', NULL, 'NinB protein', 131, NULL, 'NinB', 15935),
(15936, 'PF13786', NULL, 'Domain of unknown function (DUF4179)', 90, NULL, 'DUF4179', 15936),
(15937, 'PF07761', NULL, 'Protein of unknown function (DUF1617)', 143, NULL, 'DUF1617', 15937),
(15938, 'PF04885', NULL, 'Stigma-specific protein, Stig1', 139, NULL, 'Stig1', 15938),
(15939, 'PF01234', NULL, 'NNMT/PNMT/TEMT family', 256, NULL, 'NNMT_PNMT_TEMT', 15939),
(15940, 'PF17516', NULL, 'ProQ C-terminal domain', 51, NULL, 'ProQ_C', 15940),
(15941, 'PF16615', NULL, 'Unstructured region one on RhoGEF 6 and 7', 47, NULL, 'RhoGEF67_u1', 15941),
(15942, 'PF15491', NULL, 'CST, telomere maintenance, complex subunit CTC1', 291, NULL, 'CTC1_2', 15942),
(15943, 'PF13099', NULL, 'Domain of unknown function (DUF3944)', 35, NULL, 'DUF3944', 15943),
(15944, 'PF05952', NULL, 'Bacillus competence pheromone ComX', 55, NULL, 'ComX', 15944),
(15945, 'PF13830', NULL, 'Domain of unknown function (DUF4192)', 321, NULL, 'DUF4192', 15945),
(15946, 'PF15371', NULL, 'Domain of unknown function (DUF4599)', 88, NULL, 'DUF4599', 15946),
(15947, 'PF11079', NULL, 'Bacterial protein YqhG of unknown function', 258, NULL, 'YqhG', 15947),
(15948, 'PF06506', NULL, 'Propionate catabolism activator', 167, NULL, 'PrpR_N', 15948),
(15949, 'PF12890', NULL, 'Dihydro-orotase-like', 142, NULL, 'DHOase', 15949),
(15950, 'PF09235', NULL, 'Ste50p, sterile alpha motif', 75, NULL, 'SAM_Ste50p', 15950),
(15951, 'PF15633', NULL, 'HYD1 signature containing ADP-ribosyltransferase', 98, NULL, 'Tox-ART-HYD1', 15951),
(15952, 'PF13752', NULL, 'Domain of unknown function (DUF4165)', 119, NULL, 'DUF4165', 15952),
(15953, 'PF13209', NULL, 'Protein of unknown function (DUF4017)', 60, NULL, 'DUF4017', 15953),
(15954, 'PF03152', NULL, 'Ubiquitin fusion degradation protein UFD1', 173, NULL, 'UFD1', 15954),
(15955, 'PF17040', NULL, 'Cellulose-complementing protein A', 119, NULL, 'CBP_CCPA', 15955);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(15956, 'PF06712', NULL, 'Protein of unknown function (DUF1199)', 52, NULL, 'DUF1199', 15956),
(15957, 'PF14451', NULL, 'Mut7-C ubiquitin', 81, NULL, 'Ub-Mut7C', 15957),
(15958, 'PF06253', NULL, 'Trimethylamine methyltransferase (MTTB)', 502, NULL, 'MTTB', 15958),
(15959, 'PF11243', NULL, 'Protein of unknown function (DUF3045)', 88, NULL, 'DUF3045', 15959),
(15960, 'PF07543', NULL, 'Protein trafficking PGA2', 138, NULL, 'PGA2', 15960),
(15961, 'PF15145', NULL, 'Domain of unknown function (DUF4577)', 128, NULL, 'DUF4577', 15961),
(15962, 'PF03726', NULL, 'Polyribonucleotide nucleotidyltransferase, RNA binding domain', 83, NULL, 'PNPase', 15962),
(15963, 'PF12681', NULL, 'Glyoxalase-like domain', 118, NULL, 'Glyoxalase_2', 15963),
(15964, 'PF05697', NULL, 'Bacterial trigger factor protein (TF)', 140, NULL, 'Trigger_N', 15964),
(15965, 'PF13676', NULL, 'TIR domain', 121, NULL, 'TIR_2', 15965),
(15966, 'PF15707', NULL, 'Mitochondrial coiled-coil domain protein 1', 90, NULL, 'MCCD1', 15966),
(15967, 'PF08585', NULL, 'RecQ mediated genome instability protein', 216, NULL, 'RMI1_N', 15967),
(15968, 'PF07812', NULL, 'TfuA-like protein', 120, NULL, 'TfuA', 15968),
(15969, 'PF09368', NULL, 'Sas10 C-terminal domain', 74, NULL, 'Sas10', 15969),
(15970, 'PF12992', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3876)', 91, NULL, 'DUF3876', 15970),
(15971, 'PF01829', NULL, 'Peptidase A6 family', 358, NULL, 'Peptidase_A6', 15971),
(15972, 'PF14319', NULL, 'Transposase zinc-binding domain', 91, NULL, 'Zn_Tnp_IS91', 15972),
(15973, 'PF10651', NULL, 'BppU N-terminal domain', 148, NULL, 'BppU_N', 15973),
(15974, 'PF06528', NULL, 'Phage P2 GpE', 37, NULL, 'Phage_P2_GpE', 15974),
(15975, 'PF07345', NULL, 'ATPase inhibitor subunit zeta', 102, NULL, 'DUF1476', 15975),
(15976, 'PF01267', NULL, 'F-actin capping protein alpha subunit', 267, NULL, 'F-actin_cap_A', 15976),
(15977, 'PF15238', NULL, 'FAM181', 285, NULL, 'FAM181', 15977),
(15978, 'PF03303', NULL, 'WTF protein', 239, NULL, 'WTF', 15978),
(15979, 'PF05525', NULL, 'Branched-chain amino acid transport protein', 429, NULL, 'Branch_AA_trans', 15979),
(15980, 'PF09443', NULL, 'Cripto_Frl-1_Cryptic (CFC)', 35, NULL, 'CFC', 15980),
(15981, 'PF00187', NULL, 'Chitin recognition protein', 38, NULL, 'Chitin_bind_1', 15981),
(15982, 'PF17234', NULL, 'Mitochondrial peculiar membrane protein 1', 170, NULL, 'MPM1', 15982),
(15983, 'PF03557', NULL, 'Bunyavirus glycoprotein G1', 871, NULL, 'Bunya_G1', 15983),
(15984, 'PF02058', NULL, 'Guanylin precursor', 86, NULL, 'Guanylin', 15984),
(15985, 'PF13445', NULL, 'RING-type zinc-finger', 40, NULL, 'zf-RING_UBOX', 15985),
(15986, 'PF11224', NULL, 'Protein of unknown function (DUF3023)', 130, NULL, 'DUF3023', 15986),
(15987, 'PF12331', NULL, 'Protein of unknown function (DUF3636)', 148, NULL, 'DUF3636', 15987),
(15988, 'PF15485', NULL, 'Domain of unknown function (DUF4643)', 270, NULL, 'DUF4643', 15988),
(15989, 'PF11615', NULL, 'CCR4-associated factor 4', 60, NULL, 'Caf4', 15989),
(15990, 'PF17308', NULL, 'Pro-corazonin', 134, NULL, 'Corazonin', 15990),
(15991, 'PF14672', NULL, 'Late cornified envelope', 76, NULL, 'LCE', 15991),
(15992, 'PF08493', NULL, 'Aflatoxin regulatory protein', 276, NULL, 'AflR', 15992),
(15993, 'PF08023', NULL, 'Frog antimicrobial peptide', 33, NULL, 'Antimicrobial_2', 15993),
(15994, 'PF09909', NULL, 'Uncharacterized protein conserved in bacteria (DUF2138)', 552, NULL, 'DUF2138', 15994),
(15995, 'PF07067', NULL, 'Protein of unknown function (DUF1340)', 236, NULL, 'DUF1340', 15995),
(15996, 'PF16030', NULL, 'Serine protease gd N-terminus', 108, NULL, 'GD_N', 15996),
(15997, 'PF09110', NULL, 'HAND', 112, NULL, 'HAND', 15997),
(15998, 'PF11275', NULL, 'Protein of unknown function (DUF3077)', 77, NULL, 'DUF3077', 15998),
(15999, 'PF00804', NULL, 'Syntaxin', 200, NULL, 'Syntaxin', 15999),
(16000, 'PF08088', NULL, 'Conotoxin I-superfamily', 40, NULL, 'Toxin_19', 16000),
(16001, 'PF14454', NULL, 'Prokaryotic Ubiquitin', 64, NULL, 'Prok_Ub', 16001);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16002, 'PF03372', NULL, 'Endonuclease/Exonuclease/phosphatase family', 236, NULL, 'Exo_endo_phos', 16002),
(16003, 'PF14026', NULL, 'Protein of unknown function (DUF4242)', 76, NULL, 'DUF4242', 16003),
(16004, 'PF15164', NULL, 'Williams-Beuren syndrome chromosomal region 28 protein homologue', 266, NULL, 'WBS28', 16004),
(16005, 'PF01767', NULL, 'Birnavirus VP3 protein', 227, NULL, 'Birna_VP3', 16005),
(16006, 'PF17446', NULL, 'Late transcription unit A', 46, NULL, 'LtuA', 16006),
(16007, 'PF02758', NULL, 'PAAD/DAPIN/Pyrin domain', 75, NULL, 'PYRIN', 16007),
(16008, 'PF12660', NULL, 'Putative zinc-finger of transcription factor IIIC complex', 101, NULL, 'zf-TFIIIC', 16008),
(16009, 'PF01706', NULL, 'FliG C-terminal domain', 108, NULL, 'FliG_C', 16009),
(16010, 'PF07420', NULL, 'Protein of unknown function (DUF1509)', 384, NULL, 'DUF1509', 16010),
(16011, 'PF12027', NULL, 'Protein of unknown function (DUF3514)', 256, NULL, 'DUF3514', 16011),
(16012, 'PF06390', NULL, 'Neuroendocrine-specific golgi protein P55 (NESP55)', 257, NULL, 'NESP55', 16012),
(16013, 'PF07339', NULL, 'Protein of unknown function (DUF1472)', 101, NULL, 'DUF1472', 16013),
(16014, 'PF10891', NULL, 'Protein of unknown function (DUF2719)', 81, NULL, 'DUF2719', 16014),
(16015, 'PF07448', NULL, 'Secreted phosphoprotein 24 (Spp-24) cystatin-like domain', 64, NULL, 'Spp-24', 16015),
(16016, 'PF16209', NULL, 'Phospholipid-translocating ATPase N-terminal', 67, NULL, 'PhoLip_ATPase_N', 16016),
(16017, 'PF14835', NULL, 'zf-RING of BARD1-type protein', 65, NULL, 'zf-RING_6', 16017),
(16018, 'PF15695', NULL, 'Rec (regulator of expression encoded by corf) of HERV-K-113', 87, NULL, 'HERV-K_REC', 16018),
(16019, 'PF12092', NULL, 'Protein of unknown function (DUF3568)', 124, NULL, 'DUF3568', 16019),
(16020, 'PF13622', NULL, 'Thioesterase-like superfamily', 249, NULL, '4HBT_3', 16020),
(16021, 'PF05275', NULL, 'Copper resistance protein B precursor (CopB)', 207, NULL, 'CopB', 16021),
(16022, 'PF16709', NULL, 'Ig domain of plant-specific actin-binding protein', 98, NULL, 'SCAB-Ig', 16022),
(16023, 'PF08764', NULL, 'Staphylococcus aureus coagulase', 279, NULL, 'Coagulase', 16023),
(16024, 'PF15437', NULL, 'Plasminogen-binding protein pgbA C-terminal', 84, NULL, 'PGBA_C', 16024),
(16025, 'PF00190', NULL, 'Cupin', 151, NULL, 'Cupin_1', 16025),
(16026, 'PF05506', NULL, 'Domain of unknown function (DUF756)', 82, NULL, 'DUF756', 16026),
(16027, 'PF07777', NULL, 'G-box binding protein MFMR', 97, NULL, 'MFMR', 16027),
(16028, 'PF09482', NULL, 'Bacterial type III secretion apparatus protein (OrgA_MxiK)', 182, NULL, 'OrgA_MxiK', 16028),
(16029, 'PF03285', NULL, 'Paralemmin', 312, NULL, 'Paralemmin', 16029),
(16030, 'PF08913', NULL, 'Vinculin Binding Site', 125, NULL, 'VBS', 16030),
(16031, 'PF06082', NULL, 'Exopolysaccharide biosynthesis protein YbjH', 662, NULL, 'YjbH', 16031),
(16032, 'PF10672', NULL, 'S-adenosylmethionine-dependent methyltransferase', 286, NULL, 'Methyltrans_SAM', 16032),
(16033, 'PF02254', NULL, 'TrkA-N domain', 116, NULL, 'TrkA_N', 16033),
(16034, 'PF17363', NULL, 'Family of unknown function (DUF5388)', 70, NULL, 'DUF5388', 16034),
(16035, 'PF10720', NULL, 'Protein of unknown function (DUF2515)', 310, NULL, 'DUF2515', 16035),
(16036, 'PF13161', NULL, 'Protein of unknown function (DUF3996)', 154, NULL, 'DUF3996', 16036),
(16037, 'PF00738', NULL, 'Polyhedrin', 232, NULL, 'Polyhedrin', 16037),
(16038, 'PF10945', NULL, 'Cellulose biosynthesis protein BcsR', 42, NULL, 'CBP_BcsR', 16038),
(16039, 'PF05870', NULL, 'Phenolic acid decarboxylase (PAD)', 158, NULL, 'PA_decarbox', 16039),
(16040, 'PF17552', NULL, 'Family of unknown function (DUF5464)', 51, NULL, 'DUF5464', 16040),
(16041, 'PF13466', NULL, 'STAS domain', 80, NULL, 'STAS_2', 16041),
(16042, 'PF04192', NULL, 'Utp21 specific WD40 associated putative domain', 232, NULL, 'Utp21', 16042),
(16043, 'PF19052', NULL, 'BMP/retinoic acid-inducible neural-specific protein', 448, NULL, 'BRINP', 16043);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16044, 'PF13496', NULL, 'Domain of unknown function (DUF4120)', 95, NULL, 'DUF4120', 16044),
(16045, 'PF01745', NULL, 'Isopentenyl transferase', 233, NULL, 'IPT', 16045),
(16046, 'PF09108', NULL, 'Switch protein XOL-1, N-terminal', 160, NULL, 'Xol-1_N', 16046),
(16047, 'PF10731', NULL, 'Thrombin inhibitor from mosquito', 65, NULL, 'Anophelin', 16047),
(16048, 'PF17887', NULL, 'Jak1 pleckstrin homology-like domain', 145, NULL, 'Jak1_Phl', 16048),
(16049, 'PF10670', NULL, 'Domain of unknown function (DUF4198)', 213, NULL, 'DUF4198', 16049),
(16050, 'PF05087', NULL, 'Rotavirus VP2 protein', 884, NULL, 'Rota_VP2', 16050),
(16051, 'PF16649', NULL, 'Interleukin 23 subunit alpha', 158, NULL, 'IL23', 16051),
(16052, 'PF10488', NULL, 'Phosphatase-1 catalytic subunit binding region', 287, NULL, 'PP1c_bdg', 16052),
(16053, 'PF07873', NULL, 'YabP family', 64, NULL, 'YabP', 16053),
(16054, 'PF13375', NULL, 'RnfC Barrel sandwich hybrid domain', 101, NULL, 'RnfC_N', 16054),
(16055, 'PF10624', NULL, 'Plasmid conjugative transfer entry exclusion protein TraS', 162, NULL, 'TraS', 16055),
(16056, 'PF13770', NULL, 'Domain of unknown function (DUF4169)', 55, NULL, 'DUF4169', 16056),
(16057, 'PF04646', NULL, 'Protein of unknown function, DUF604', 256, NULL, 'DUF604', 16057),
(16058, 'PF01637', NULL, 'ATPase domain predominantly from Archaea', 233, NULL, 'ATPase_2', 16058),
(16059, 'PF04222', NULL, 'Protein of unknown function (DUF416)', 188, NULL, 'DUF416', 16059),
(16060, 'PF15286', NULL, 'Apoptosis regulator M11, B cell 2 leukaemia/lymphoma like', 126, NULL, 'Bcl-2_3', 16060),
(16061, 'PF19214', NULL, 'Coronavirus spike glycoprotein S2, intravirion', 42, NULL, 'CoV_S2_C', 16061),
(16062, 'PF00920', NULL, 'Dehydratase family', 516, NULL, 'ILVD_EDD', 16062),
(16063, 'PF17231', NULL, 'Family of unknown function (DUF5305)', 216, NULL, 'DUF5305', 16063),
(16064, 'PF04073', NULL, 'Aminoacyl-tRNA editing domain', 123, NULL, 'tRNA_edit', 16064),
(16065, 'PF01618', NULL, 'MotA/TolQ/ExbB proton channel family', 127, NULL, 'MotA_ExbB', 16065),
(16066, 'PF03671', NULL, 'Ubiquitin fold modifier 1 protein', 75, NULL, 'Ufm1', 16066),
(16067, 'PF04139', NULL, 'Rad9', 253, NULL, 'Rad9', 16067),
(16068, 'PF13279', NULL, 'Thioesterase-like superfamily', 123, NULL, '4HBT_2', 16068),
(16069, 'PF17167', NULL, 'Glycosyl hydrolase 36 superfamily, catalytic domain', 423, NULL, 'Glyco_hydro_36', 16069),
(16070, 'PF16214', NULL, 'Adenylyl cyclase N-terminal extracellular and transmembrane region', 415, NULL, 'AC_N', 16070),
(16071, 'PF03848', NULL, 'Tellurite resistance protein TehB', 193, NULL, 'TehB', 16071),
(16072, 'PF18991', NULL, 'Family of unknown function (DUF5724)', 343, NULL, 'DUF5724', 16072),
(16073, 'PF07291', NULL, 'Methylamine utilisation protein MauE', 185, NULL, 'MauE', 16073),
(16074, 'PF06439', NULL, 'Domain of Unknown Function (DUF1080)', 185, NULL, 'DUF1080', 16074),
(16075, 'PF09491', NULL, 'AlwI restriction endonuclease', 451, NULL, 'RE_AlwI', 16075),
(16076, 'PF07452', NULL, 'CHRD domain', 116, NULL, 'CHRD', 16076),
(16077, 'PF06182', NULL, 'ABC-2 family transporter protein', 229, NULL, 'ABC2_membrane_6', 16077),
(16078, 'PF14722', NULL, 'Ki-ras-induced actin-interacting protein-IP3R-interacting domain', 153, NULL, 'KRAP_IP3R_bind', 16078),
(16079, 'PF18295', NULL, 'M17 aminopeptidase N-terminal domain 2', 122, NULL, 'Pdase_M17_N2', 16079),
(16080, 'PF04465', NULL, 'Protein of unknown function (DUF499)', 1024, NULL, 'DUF499', 16080),
(16081, 'PF13125', NULL, 'Protein of unknown function (DUF3958)', 107, NULL, 'DUF3958', 16081),
(16082, 'PF15909', NULL, 'C2H2-type zinc ribbon', 98, NULL, 'zf-C2H2_8', 16082),
(16083, 'PF02442', NULL, 'Lipid membrane protein of large eukaryotic DNA viruses', 196, NULL, 'L1R_F9L', 16083),
(16084, 'PF17529', NULL, 'Family of unknown function (DUF5450)', 161, NULL, 'DUF5450', 16084),
(16085, 'PF17728', NULL, 'BsuBI/PstI restriction endonuclease HTH domain', 141, NULL, 'BsuBI_PstI_RE_N', 16085);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16086, 'PF14506', NULL, 'CppA N-terminal', 124, NULL, 'CppA_N', 16086),
(16087, 'PF10223', NULL, 'Uncharacterized conserved protein (DUF2181)', 241, NULL, 'DUF2181', 16087),
(16088, 'PF01025', NULL, 'GrpE', 166, NULL, 'GrpE', 16088),
(16089, 'PF00617', NULL, 'RasGEF domain', 179, NULL, 'RasGEF', 16089),
(16090, 'PF09827', NULL, 'CRISPR associated protein Cas2', 74, NULL, 'CRISPR_Cas2', 16090),
(16091, 'PF05115', NULL, 'Cytochrome B6-F complex subunit VI (PetL)', 31, NULL, 'PetL', 16091),
(16092, 'PF05931', NULL, 'Staphylococcal AgrD protein', 45, NULL, 'AgrD', 16092),
(16093, 'PF12404', NULL, 'Peptidase', 77, NULL, 'DUF3663', 16093),
(16094, 'PF10435', NULL, 'Beta-galactosidase, domain 2', 179, NULL, 'BetaGal_dom2', 16094),
(16095, 'PF06265', NULL, 'Protein of unknown function (DUF1027)', 85, NULL, 'DUF1027', 16095),
(16096, 'PF04390', NULL, 'Lipopolysaccharide-assembly', 107, NULL, 'LptE', 16096),
(16097, 'PF13485', NULL, 'Peptidase MA superfamily', 243, NULL, 'Peptidase_MA_2', 16097),
(16098, 'PF09685', NULL, 'Domain of unknown function (DUF4870)', 110, NULL, 'DUF4870', 16098),
(16099, 'PF16224', NULL, 'DOmain of unknown function (DUF4883)', 119, NULL, 'DUF4883', 16099),
(16100, 'PF00650', NULL, 'CRAL/TRIO domain', 159, NULL, 'CRAL_TRIO', 16100),
(16101, 'PF16454', NULL, 'Phosphatidylinositol 3-kinase regulatory subunit P85 inter-SH2 domain', 161, NULL, 'PI3K_P85_iSH2', 16101),
(16102, 'PF16063', NULL, 'Domain of unknown function (DUF4805)', 265, NULL, 'DUF4805', 16102),
(16103, 'PF04195', NULL, 'Putative gypsy type transposon', 70, NULL, 'Transposase_28', 16103),
(16104, 'PF16285', NULL, 'Domain of unknown function (DUF4931)', 245, NULL, 'DUF4931', 16104),
(16105, 'PF14709', NULL, 'double strand RNA binding domain from DEAD END PROTEIN 1', 80, NULL, 'DND1_DSRM', 16105),
(16106, 'PF04389', NULL, 'Peptidase family M28', 198, NULL, 'Peptidase_M28', 16106),
(16107, 'PF17494', NULL, 'Family of unknown function (DUF5429)', 76, NULL, 'DUF5429', 16107),
(16108, 'PF10173', NULL, 'Mitochondrial K+-H+ exchange-related', 190, NULL, 'Mit_KHE1', 16108),
(16109, 'PF09693', NULL, 'Phage uncharacterised protein (Phage_XkdX)', 40, NULL, 'Phage_XkdX', 16109),
(16110, 'PF18274', NULL, 'Vacuolar ATPase Subunit I N-terminal proximal lobe', 52, NULL, 'V_ATPase_prox', 16110),
(16111, 'PF12029', NULL, 'Domain of unknown function (DUF3516)', 458, NULL, 'DUF3516', 16111),
(16112, 'PF01674', NULL, 'Lipase (class 2)', 219, NULL, 'Lipase_2', 16112),
(16113, 'PF18031', NULL, 'Ubiquitin carboxyl-terminal hydrolases', 46, NULL, 'UCH_C', 16113),
(16114, 'PF16987', NULL, 'KIX domain', 82, NULL, 'KIX_2', 16114),
(16115, 'PF04029', NULL, '2-phosphosulpholactate phosphatase', 226, NULL, '2-ph_phosp', 16115),
(16116, 'PF17278', NULL, 'Family of unknown function (DUF5343)', 138, NULL, 'DUF5343', 16116),
(16117, 'PF09964', NULL, 'Uncharacterized protein conserved in bacteria (DUF2198)', 72, NULL, 'DUF2198', 16117),
(16118, 'PF13363', NULL, 'Beta-galactosidase, domain 3', 77, NULL, 'BetaGal_dom3', 16118),
(16119, 'PF18705', NULL, 'Family of unknown function (DUF5643)', 115, NULL, 'DUF5643', 16119),
(16120, 'PF15693', NULL, 'Mediator complex subunit 26 C-terminal', 183, NULL, 'Med26_C', 16120),
(16121, 'PF01169', NULL, 'Uncharacterized protein family UPF0016', 75, NULL, 'UPF0016', 16121),
(16122, 'PF18021', NULL, 'Agglutinin C-terminal', 93, NULL, 'Agglutinin_C', 16122),
(16123, 'PF08947', NULL, 'BPS (Between PH and SH2)', 48, NULL, 'BPS', 16123),
(16124, 'PF06033', NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF918)', 152, NULL, 'DUF918', 16124),
(16125, 'PF10636', NULL, 'Hemin uptake protein hemP', 37, NULL, 'hemP', 16125),
(16126, 'PF10842', NULL, 'Protein of unknown function (DUF2642)', 64, NULL, 'DUF2642', 16126),
(16127, 'PF03935', NULL, 'Beta-glucan synthesis-associated protein (SKN1)', 501, NULL, 'SKN1', 16127),
(16128, 'PF04762', NULL, 'IKI3 family', 935, NULL, 'IKI3', 16128),
(16129, 'PF13798', NULL, 'Protein of unknown function with PCYCGC motif', 153, NULL, 'PCYCGC', 16129);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16130, 'PF10458', NULL, 'Valyl tRNA synthetase tRNA binding arm', 66, NULL, 'Val_tRNA-synt_C', 16130),
(16131, 'PF18396', NULL, 'TANK binding kinase 1 ubiquitin-like domain', 88, NULL, 'TBK1_ULD', 16131),
(16132, 'PF11515', NULL, 'Mouse development and cellular proliferation protein Cullin-7', 78, NULL, 'Cul7', 16132),
(16133, 'PF12807', NULL, 'Translation initiation factor eIF3 subunit 135', 173, NULL, 'eIF3_p135', 16133),
(16134, 'PF05334', NULL, 'Protein of unknown function (DUF719)', 188, NULL, 'DUF719', 16134),
(16135, 'PF10016', NULL, 'Predicted secreted protein (DUF2259)', 188, NULL, 'DUF2259', 16135),
(16136, 'PF04835', NULL, 'A9 protein conserved region', 53, NULL, 'Pox_A9', 16136),
(16137, 'PF04394', NULL, 'Protein of unknown function, DUF536', 43, NULL, 'DUF536', 16137),
(16138, 'PF13482', NULL, 'RNase_H superfamily', 166, NULL, 'RNase_H_2', 16138),
(16139, 'PF14986', NULL, 'Domain of unknown function (DUF4514)', 60, NULL, 'DUF4514', 16139),
(16140, 'PF00479', NULL, 'Glucose-6-phosphate dehydrogenase, NAD binding domain', 181, NULL, 'G6PD_N', 16140),
(16141, 'PF03290', NULL, 'Vaccinia virus I7 processing peptidase', 425, NULL, 'Peptidase_C57', 16141),
(16142, 'PF09753', NULL, 'Membrane fusion protein Use1', 243, NULL, 'Use1', 16142),
(16143, 'PF12059', NULL, 'Protein of unknown function (DUF3540)', 199, NULL, 'DUF3540', 16143),
(16144, 'PF11473', NULL, 'RNA binding protein B2', 73, NULL, 'B2', 16144),
(16145, 'PF18364', NULL, 'Molybdopterin oxidoreductase N-terminal domain', 41, NULL, 'Molybdopterin_N', 16145),
(16146, 'PF18832', NULL, 'Large polyvalent protein-associated domain 18', 86, NULL, 'LPD18', 16146),
(16147, 'PF13492', NULL, 'GAF domain', 129, NULL, 'GAF_3', 16147),
(16148, 'PF11336', NULL, 'Protein of unknown function (DUF3138)', 524, NULL, 'DUF3138', 16148),
(16149, 'PF12462', NULL, 'DNA helicase IV / RNA helicase N terminal', 162, NULL, 'Helicase_IV_N', 16149),
(16150, 'PF02135', NULL, 'TAZ zinc finger', 72, NULL, 'zf-TAZ', 16150),
(16151, 'PF09926', NULL, 'Uncharacterized small protein (DUF2158)', 52, NULL, 'DUF2158', 16151),
(16152, 'PF10634', NULL, 'Fe2+ transport protein', 150, NULL, 'Iron_transport', 16152),
(16153, 'PF15470', NULL, 'Domain of unknown function (DUF4637)', 166, NULL, 'DUF4637', 16153),
(16154, 'PF01545', NULL, 'Cation efflux family', 199, NULL, 'Cation_efflux', 16154),
(16155, 'PF02711', NULL, 'E4 protein', 96, NULL, 'Pap_E4', 16155),
(16156, 'PF16993', NULL, 'Accessory Sec system protein Asp1', 522, NULL, 'Asp1', 16156),
(16157, 'PF05995', NULL, 'Cysteine dioxygenase type I', 169, NULL, 'CDO_I', 16157),
(16158, 'PF01831', NULL, 'Peptidase C16 family', 249, NULL, 'Peptidase_C16', 16158),
(16159, 'PF14271', NULL, 'Domain of unknown function (DUF4359)', 103, NULL, 'DUF4359', 16159),
(16160, 'PF08291', NULL, 'Peptidase M15', 113, NULL, 'Peptidase_M15_3', 16160),
(16161, 'PF07585', NULL, 'Putative beta barrel porin-7 (BBP7)', 349, NULL, 'BBP7', 16161),
(16162, 'PF16076', NULL, 'Acyltransferase C-terminus', 75, NULL, 'Acyltransf_C', 16162),
(16163, 'PF16532', NULL, 'Sf6-type phage tail needle knob or tip of some Caudovirales', 175, NULL, 'Phage_tail_NK', 16163),
(16164, 'PF07409', NULL, 'Phage protein GP46', 114, NULL, 'GP46', 16164),
(16165, 'PF17442', NULL, 'Functional domain of U62 and UL91 proteins', 65, NULL, 'U62_UL91', 16165),
(16166, 'PF05502', NULL, 'Dynactin p62 family', 476, NULL, 'Dynactin_p62', 16166),
(16167, 'PF15863', NULL, 'Extended EGL-27 and MTA1 homology domain', 170, NULL, 'EELM2', 16167),
(16168, 'PF03139', NULL, 'Vanadium/alternative nitrogenase delta subunit', 111, NULL, 'AnfG_VnfG', 16168),
(16169, 'PF08687', NULL, 'Apx/Shroom domain ASD2', 285, NULL, 'ASD2', 16169),
(16170, 'PF03816', NULL, 'LytR_cpsA_psr family', 152, NULL, 'LytR_cpsA_psr', 16170),
(16171, 'PF02898', NULL, 'Nitric oxide synthase, oxygenase domain', 362, NULL, 'NO_synthase', 16171),
(16172, 'PF14958', NULL, 'Domain of unknown function (DUF4506)', 141, NULL, 'DUF4506', 16172);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16173, 'PF18816', NULL, 'Importin repeat', 52, NULL, 'Importin_rep_5', 16173),
(16174, 'PF00536', NULL, 'SAM domain (Sterile alpha motif)', 64, NULL, 'SAM_1', 16174),
(16175, 'PF06040', NULL, 'Adenovirus E3 protein', 127, NULL, 'Adeno_E3', 16175),
(16176, 'PF02646', NULL, 'RmuC family', 292, NULL, 'RmuC', 16176),
(16177, 'PF07391', NULL, 'NPR nonapeptide repeat (2 copies)', 17, NULL, 'NPR', 16177),
(16178, 'PF09814', NULL, 'HECT-like Ubiquitin-conjugating enzyme (E2)-binding', 377, NULL, 'HECT_2', 16178),
(16179, 'PF13682', NULL, 'Chemoreceptor zinc-binding domain', 59, NULL, 'CZB', 16179),
(16180, 'PF01709', NULL, 'Transcriptional regulator', 240, NULL, 'Transcrip_reg', 16180),
(16181, 'PF06715', NULL, 'Gp5 C-terminal repeat (3 copies)', 24, NULL, 'Gp5_C', 16181),
(16182, 'PF03297', NULL, 'S25 ribosomal protein', 101, NULL, 'Ribosomal_S25', 16182),
(16183, 'PF13630', NULL, 'SdpI/YfhL protein family', 68, NULL, 'SdpI', 16183),
(16184, 'PF16476', NULL, 'Domain of unknown function (DUF5053)', 59, NULL, 'DUF5053', 16184),
(16185, 'PF08299', NULL, 'Bacterial dnaA protein helix-turn-helix', 69, NULL, 'Bac_DnaA_C', 16185),
(16186, 'PF01837', NULL, 'Homocysteine biosynthesis enzyme, sulfur-incorporation', 347, NULL, 'HcyBio', 16186),
(16187, 'PF15223', NULL, 'Elongin BC and Polycomb repressive complex 2-associated protein', 416, NULL, 'EPOP', 16187),
(16188, 'PF09291', NULL, 'Domain of unknown function (DUF1968)', 81, NULL, 'DUF1968', 16188),
(16189, 'PF16008', NULL, 'Domain of unknown function (DUF4778)', 299, NULL, 'DUF4778', 16189),
(16190, 'PF14382', NULL, 'Exosome complex exonuclease RRP4 N-terminal region', 38, NULL, 'ECR1_N', 16190),
(16191, 'PF14747', NULL, 'Domain of unknown function (DUF4473)', 78, NULL, 'DUF4473', 16191),
(16192, 'PF03262', NULL, 'Coronavirus 6B/7B protein', 206, NULL, 'Corona_6B_7B', 16192),
(16193, 'PF08743', NULL, 'Nse4 C-terminal', 91, NULL, 'Nse4_C', 16193),
(16194, 'PF02551', NULL, 'Acyl-CoA thioesterase', 132, NULL, 'Acyl_CoA_thio', 16194),
(16195, 'PF02425', NULL, 'Paralytic/GBP/PSP peptide', 23, NULL, 'GBP_PSP', 16195),
(16196, 'PF15611', NULL, 'EH_Signature domain', 428, NULL, 'EH_Signature', 16196),
(16197, 'PF05739', NULL, 'SNARE domain', 53, NULL, 'SNARE', 16197),
(16198, 'PF03951', NULL, 'Glutamine synthetase, beta-Grasp domain', 82, NULL, 'Gln-synt_N', 16198),
(16199, 'PF11959', NULL, 'Domain of unknown function (DUF3473)', 130, NULL, 'DUF3473', 16199),
(16200, 'PF05837', NULL, 'Centromere protein H (CENP-H)', 112, NULL, 'CENP-H', 16200),
(16201, 'PF15358', NULL, 'Testis-specific serine kinase substrate', 556, NULL, 'TSKS', 16201),
(16202, 'PF12861', NULL, 'Anaphase-promoting complex subunit 11 RING-H2 finger', 85, NULL, 'zf-ANAPC11', 16202),
(16203, 'PF02643', NULL, 'Uncharacterized ACR, COG1430', 96, NULL, 'DUF192', 16203),
(16204, 'PF08557', NULL, 'Sphingolipid Delta4-desaturase (DES)', 37, NULL, 'Lipid_DES', 16204),
(16205, 'PF12625', NULL, 'Arabinose-binding domain of AraC transcription regulator, N-term', 185, NULL, 'Arabinose_bd', 16205),
(16206, 'PF12811', NULL, 'Bax inhibitor 1 like', 232, NULL, 'BaxI_1', 16206),
(16207, 'PF12983', NULL, 'Protein of unknown function (DUF3867)', 185, NULL, 'DUF3867', 16207),
(16208, 'PF13457', NULL, 'GW (Gly-Tryp) dipeptide domain', 76, NULL, 'GW', 16208),
(16209, 'PF04978', NULL, 'Protein of unknown function (DUF664)', 150, NULL, 'DUF664', 16209),
(16210, 'PF15261', NULL, 'Jhy protein', 128, NULL, 'JHY', 16210),
(16211, 'PF13931', NULL, 'Kinesin-associated microtubule-binding', 136, NULL, 'Microtub_bind', 16211),
(16212, 'PF05437', NULL, 'Branched-chain amino acid transport protein (AzlD)', 99, NULL, 'AzlD', 16212),
(16213, 'PF05439', NULL, 'Jumping translocation breakpoint protein (JTB)', 110, NULL, 'JTB', 16213),
(16214, 'PF02148', NULL, 'Zn-finger in ubiquitin-hydrolases and other protein', 64, NULL, 'zf-UBP', 16214),
(16215, 'PF17162', NULL, 'Domain of unknown function (DUF5118)', 50, NULL, 'DUF5118', 16215);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16216, 'PF01744', NULL, 'GLTT repeat (6 copies)', 28, NULL, 'GLTT', 16216),
(16217, 'PF01951', NULL, 'Archease protein family (MTH1598/TM1083)', 138, NULL, 'Archease', 16217),
(16218, 'PF10860', NULL, 'Protein of unknown function (DUF2661)', 113, NULL, 'DUF2661', 16218),
(16219, 'PF12780', NULL, 'P-loop containing dynein motor region D4', 259, NULL, 'AAA_8', 16219),
(16220, 'PF09118', NULL, 'Domain of unknown function (DUF1929)', 98, NULL, 'DUF1929', 16220),
(16221, 'PF03699', NULL, 'Uncharacterised protein family (UPF0182)', 757, NULL, 'UPF0182', 16221),
(16222, 'PF09470', NULL, 'Telethonin protein', 168, NULL, 'Telethonin', 16222),
(16223, 'PF00548', NULL, '3C cysteine protease (picornain 3C)', 174, NULL, 'Peptidase_C3', 16223),
(16224, 'PF10982', NULL, 'Protein of unknown function (DUF2789)', 75, NULL, 'DUF2789', 16224),
(16225, 'PF00273', NULL, 'Serum albumin family', 176, NULL, 'Serum_albumin', 16225),
(16226, 'PF15054', NULL, 'Domain of unknown function (DUF4535)', 45, NULL, 'DUF4535', 16226),
(16227, 'PF04568', NULL, 'Mitochondrial ATPase inhibitor, IATP', 98, NULL, 'IATP', 16227),
(16228, 'PF01573', NULL, 'Bromovirus movement protein', 276, NULL, 'Bromo_MP', 16228),
(16229, 'PF00775', NULL, 'Dioxygenase', 181, NULL, 'Dioxygenase_C', 16229),
(16230, 'PF04985', NULL, 'Phage tail tube protein FII', 166, NULL, 'Phage_tube', 16230),
(16231, 'PF12846', NULL, 'AAA-like domain', 362, NULL, 'AAA_10', 16231),
(16232, 'PF11877', NULL, 'Protein of unknown function (DUF3397)', 112, NULL, 'DUF3397', 16232),
(16233, 'PF10213', NULL, 'Mitochondrial ribosomal subunit protein', 127, NULL, 'MRP-S28', 16233),
(16234, 'PF09791', NULL, 'Oxidoreductase-like protein, N-terminal', 46, NULL, 'Oxidored-like', 16234),
(16235, 'PF05380', NULL, 'Pao retrotransposon peptidase', 162, NULL, 'Peptidase_A17', 16235),
(16236, 'PF17841', NULL, 'BID domain of Bartonella effector protein (Bep)', 97, NULL, 'Bep_C_terminal', 16236),
(16237, 'PF06106', NULL, 'S. aureus uracil DNA glycosylase inhibitor', 112, NULL, 'SAUGI', 16237),
(16238, 'PF10827', NULL, 'Protein of unknown function (DUF2552)', 79, NULL, 'DUF2552', 16238),
(16239, 'PF05094', NULL, 'Late expression factor 9 (LEF-9)', 490, NULL, 'LEF-9', 16239),
(16240, 'PF05019', NULL, 'Coenzyme Q (ubiquinone) biosynthesis protein Coq4', 221, NULL, 'Coq4', 16240),
(16241, 'PF02401', NULL, 'LytB protein', 265, NULL, 'LYTB', 16241),
(16242, 'PF08140', NULL, 'Crustacean cuticle protein repeat', 40, NULL, 'Cuticle_1', 16242),
(16243, 'PF16322', NULL, 'Tubby N-terminal', 220, NULL, 'Tub_N', 16243),
(16244, 'PF13135', NULL, 'Protein of unknown function (DUF3947)', 82, NULL, 'DUF3947', 16244),
(16245, 'PF04966', NULL, 'Carbohydrate-selective porin, OprB family', 378, NULL, 'OprB', 16245),
(16246, 'PF16293', NULL, 'C2H2 type zinc-finger (1 copy)', 59, NULL, 'zf-C2H2_9', 16246),
(16247, 'PF12207', NULL, 'Domain of unknown function (DUF3600)', 160, NULL, 'DUF3600', 16247),
(16248, 'PF12742', NULL, 'Gryzun, putative Golgi trafficking', 56, NULL, 'Gryzun-like', 16248),
(16249, 'PF07088', NULL, 'GvpD gas vesicle protein', 484, NULL, 'GvpD', 16249),
(16250, 'PF11631', NULL, 'Protein of unknown function (DUF3255)', 123, NULL, 'DUF3255', 16250),
(16251, 'PF12519', NULL, 'Mitochondrial distribution and morphology protein 10', 464, NULL, 'MDM10', 16251),
(16252, 'PF03626', NULL, 'Prokaryotic Cytochrome C oxidase subunit IV', 72, NULL, 'COX4_pro', 16252),
(16253, 'PF11022', NULL, 'ATP synthase subunit K', 68, NULL, 'ATP19', 16253),
(16254, 'PF15810', NULL, 'Coiled-coil domain-containing protein 117', 143, NULL, 'CCDC117', 16254),
(16255, 'PF14370', NULL, 'C-terminal topoisomerase domain', 70, NULL, 'Topo_C_assoc', 16255),
(16256, 'PF09196', NULL, 'Domain of unknown function (DUF1953)', 63, NULL, 'DUF1953', 16256),
(16257, 'PF14976', NULL, 'FAM72 protein', 145, NULL, 'FAM72', 16257),
(16258, 'PF03446', NULL, 'NAD binding domain of 6-phosphogluconate dehydrogenase', 158, NULL, 'NAD_binding_2', 16258);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16259, 'PF15256', NULL, 'SPATIAL', 199, NULL, 'SPATIAL', 16259),
(16260, 'PF05706', NULL, 'Cyclin-dependent kinase inhibitor 3 (CDKN3)', 168, NULL, 'CDKN3', 16260),
(16261, 'PF11578', NULL, 'Protein of unknown function (DUF3237)', 149, NULL, 'DUF3237', 16261),
(16262, 'PF08890', NULL, 'Phage XkdN-like tail assembly chaperone protein, TAC', 136, NULL, 'Phage_TAC_5', 16262),
(16263, 'PF18485', NULL, 'Glutathione S-transferase, N-terminal domain', 74, NULL, 'GST_N_5', 16263),
(16264, 'PF01445', NULL, 'Viral small hydrophobic protein', 57, NULL, 'SH', 16264),
(16265, 'PF08206', NULL, 'Ribonuclease B OB domain', 58, NULL, 'OB_RNB', 16265),
(16266, 'PF07357', NULL, 'Dinitrogenase reductase ADP-ribosyltransferase (DRAT)', 257, NULL, 'DRAT', 16266),
(16267, 'PF08898', NULL, 'Domain of unknown function (DUF1843)', 52, NULL, 'DUF1843', 16267),
(16268, 'PF12323', NULL, 'Helix-turn-helix domain', 47, NULL, 'HTH_OrfB_IS605', 16268),
(16269, 'PF01340', NULL, 'Met Apo-repressor, MetJ', 97, NULL, 'MetJ', 16269),
(16270, 'PF14027', NULL, 'Questin oxidase-like', 345, NULL, 'Questin_oxidase', 16270),
(16271, 'PF03717', NULL, 'Penicillin-binding Protein dimerisation domain', 180, NULL, 'PBP_dimer', 16271),
(16272, 'PF11881', NULL, 'C-terminal domain of SPAR protein', 243, NULL, 'SPAR_C', 16272),
(16273, 'PF17225', NULL, 'Domain of unknown function (DUF5300)', 97, NULL, 'DUF5301', 16273),
(16274, 'PF13325', NULL, 'N-terminal region of micro-spherule protein', 199, NULL, 'MCRS_N', 16274),
(16275, 'PF16027', NULL, 'Domain of unknown function (DUF4786)', 169, NULL, 'DUF4786', 16275),
(16276, 'PF01862', NULL, 'Pyruvoyl-dependent arginine decarboxylase (PvlArgDC)', 162, NULL, 'PvlArgDC', 16276),
(16277, 'PF11191', NULL, 'Protein of unknown function (DUF2782)', 89, NULL, 'DUF2782', 16277),
(16278, 'PF12287', NULL, 'Cytoplasmic activation/proliferation-associated protein-1 C term', 319, NULL, 'Caprin-1_C', 16278),
(16279, 'PF10073', NULL, 'Uncharacterized protein conserved in bacteria (DUF2312)', 72, NULL, 'DUF2312', 16279),
(16280, 'PF11719', NULL, 'DNA replication and checkpoint protein', 450, NULL, 'Drc1-Sld2', 16280),
(16281, 'PF02575', NULL, 'YbaB/EbfC DNA-binding family', 91, NULL, 'YbaB_DNA_bd', 16281),
(16282, 'PF07726', NULL, 'ATPase family associated with various cellular activities (AAA)', 131, NULL, 'AAA_3', 16282),
(16283, 'PF01591', NULL, '6-phosphofructo-2-kinase', 223, NULL, '6PF2K', 16283),
(16284, 'PF01846', NULL, 'FF domain', 51, NULL, 'FF', 16284),
(16285, 'PF10623', NULL, 'Plasmid conjugative transfer protein PilI', 83, NULL, 'PilI', 16285),
(16286, 'PF06794', NULL, 'Uncharacterised protein family (UPF0270)', 69, NULL, 'UPF0270', 16286),
(16287, 'PF02261', NULL, 'Aspartate decarboxylase', 115, NULL, 'Asp_decarbox', 16287),
(16288, 'PF05835', NULL, 'Synaphin protein', 142, NULL, 'Synaphin', 16288),
(16289, 'PF08119', NULL, 'Scorpion acidic alpha-KTx toxin family', 37, NULL, 'Toxin_31', 16289),
(16290, 'PF11902', NULL, 'Protein of unknown function (DUF3422)', 419, NULL, 'DUF3422', 16290),
(16291, 'PF15008', NULL, 'Domain of unknown function (DUF4518)', 273, NULL, 'DUF4518', 16291),
(16292, 'PF02728', NULL, 'Copper amine oxidase, N3 domain', 101, NULL, 'Cu_amine_oxidN3', 16292),
(16293, 'PF16179', NULL, 'Rel homology dimerisation domain', 103, NULL, 'RHD_dimer', 16293),
(16294, 'PF14735', NULL, 'HAUS augmin-like complex subunit 4', 235, NULL, 'HAUS4', 16294),
(16295, 'PF15406', NULL, 'Pleckstrin homology domain', 112, NULL, 'PH_6', 16295),
(16296, 'PF01049', NULL, 'Cadherin cytoplasmic region', 147, NULL, 'Cadherin_C', 16296),
(16297, 'PF17210', NULL, 'SdrD B-like domain', 112, NULL, 'SdrD_B', 16297),
(16298, 'PF06154', NULL, 'CbeA_antitoxin, type IV, cytoskeleton bundling-enhancing factor A', 101, NULL, 'CbeA_antitoxin', 16298),
(16299, 'PF12703', NULL, 'Toxin of toxin-antitoxin type 1 system', 73, NULL, 'ptaRNA1_toxin', 16299),
(16300, 'PF14245', NULL, 'Type IV pilin PilA', 137, NULL, 'Pilin_PilA', 16300);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16301, 'PF07955', NULL, 'Protein of unknown function (DUF1687)', 128, NULL, 'DUF1687', 16301),
(16302, 'PF02295', NULL, 'Adenosine deaminase z-alpha domain', 67, NULL, 'z-alpha', 16302),
(16303, 'PF13578', NULL, 'Methyltransferase domain', 107, NULL, 'Methyltransf_24', 16303),
(16304, 'PF17746', NULL, 'SfsA N-terminal OB domain', 63, NULL, 'SfsA_N', 16304),
(16305, 'PF08179', NULL, 'Small acid-soluble spore protein P family', 44, NULL, 'SspP', 16305),
(16306, 'PF02382', NULL, 'N-terminal domain in RTX protein', 324, NULL, 'RTX', 16306),
(16307, 'PF03171', NULL, '2OG-Fe(II) oxygenase superfamily', 101, NULL, '2OG-FeII_Oxy', 16307),
(16308, 'PF18500', NULL, 'CadC C-terminal domain 1', 134, NULL, 'CadC_C1', 16308),
(16309, 'PF15785', NULL, 'Serine/threonine-protein kinase smg-1', 626, NULL, 'SMG1', 16309),
(16310, 'PF12894', NULL, 'Anaphase-promoting complex subunit 4 WD40 domain', 92, NULL, 'ANAPC4_WD40', 16310),
(16311, 'PF06854', NULL, 'Bacteriophage Gp15 protein', 171, NULL, 'Phage_Gp15', 16311),
(16312, 'PF06066', NULL, 'SepZ', 99, NULL, 'SepZ', 16312),
(16313, 'PF05344', NULL, 'Domain of Unknown Function (DUF746)', 64, NULL, 'DUF746', 16313),
(16314, 'PF12189', NULL, 'Single-strand DNA-binding protein', 63, NULL, 'VirE1', 16314),
(16315, 'PF00902', NULL, 'Sec-independent protein translocase protein (TatC)', 207, NULL, 'TatC', 16315),
(16316, 'PF02281', NULL, 'Transposase Tn5 dimerisation domain', 103, NULL, 'Dimer_Tnp_Tn5', 16316),
(16317, 'PF08978', NULL, 'Reoviridae VP9', 280, NULL, 'Reoviridae_Vp9', 16317),
(16318, 'PF19055', NULL, 'ABC-2 type transporter', 409, NULL, 'ABC2_membrane_7', 16318),
(16319, 'PF12942', NULL, 'Archaeal ammonia monooxygenase subunit A (AmoA)', 183, NULL, 'Archaeal_AmoA', 16319),
(16320, 'PF10621', NULL, 'F420H2 dehydrogenase subunit FpoO', 110, NULL, 'FpoO', 16320),
(16321, 'PF09006', NULL, 'Lung surfactant protein D coiled-coil trimerisation', 46, NULL, 'Surfac_D-trimer', 16321),
(16322, 'PF04053', NULL, 'Coatomer WD associated region', 445, NULL, 'Coatomer_WDAD', 16322),
(16323, 'PF14745', NULL, 'WASH complex subunit 7, N-terminal', 572, NULL, 'WASH-7_N', 16323),
(16324, 'PF16559', NULL, 'GIT coiled-coil Rho guanine nucleotide exchange factor', 66, NULL, 'GIT_CC', 16324),
(16325, 'PF16705', NULL, 'NUDIX, or N-terminal NPxY motif-rich,  region of KRIT', 179, NULL, 'NUDIX_5', 16325),
(16326, 'PF08520', NULL, 'Fungal protein of unknown function (DUF1748)', 69, NULL, 'DUF1748', 16326),
(16327, 'PF05836', NULL, 'Chorion protein S16', 108, NULL, 'Chorion_S16', 16327),
(16328, 'PF16347', NULL, 'Domain of unknown function (DUF4976)', 103, NULL, 'DUF4976', 16328),
(16329, 'PF14017', NULL, 'Protein of unknown function (DUF4233)', 104, NULL, 'DUF4233', 16329),
(16330, 'PF01184', NULL, 'GPR1/FUN34/yaaH family', 207, NULL, 'Gpr1_Fun34_YaaH', 16330),
(16331, 'PF12389', NULL, 'Camelysin metallo-endopeptidase', 196, NULL, 'Peptidase_M73', 16331),
(16332, 'PF14876', NULL, 'Respiratory growth transcriptional regulator', 379, NULL, 'RSF', 16332),
(16333, 'PF10620', NULL, 'Phosphoribosyl-dephospho-CoA transferase MdcG', 199, NULL, 'MdcG', 16333),
(16334, 'PF12816', NULL, 'Golgi CORVET complex core vacuolar protein 8', 198, NULL, 'Vps8', 16334),
(16335, 'PF04247', NULL, 'Invasion gene expression up-regulator, SirB', 119, NULL, 'SirB', 16335),
(16336, 'PF13270', NULL, 'Domain of unknown function (DUF4061)', 88, NULL, 'DUF4061', 16336),
(16337, 'PF03456', NULL, 'uDENN domain', 66, NULL, 'uDENN', 16337),
(16338, 'PF10892', NULL, 'Protein of unknown function (DUF2688)', 56, NULL, 'DUF2688', 16338),
(16339, 'PF17340', NULL, 'Family of unknown function (DUF5370)', 63, NULL, 'DUF5370', 16339),
(16340, 'PF07635', NULL, 'Planctomycete cytochrome C', 59, NULL, 'PSCyt1', 16340),
(16341, 'PF06678', NULL, 'Protein of unknown function (DUF1179)', 107, NULL, 'DUF1179', 16341),
(16342, 'PF17264', NULL, 'Family of unknown function (DUF5330)', 65, NULL, 'DUF5330', 16342),
(16343, 'PF13377', NULL, 'Periplasmic binding protein-like domain', 166, NULL, 'Peripla_BP_3', 16343);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16344, 'PF10360', NULL, 'Protein of unknown function (DUF2433)', 124, NULL, 'DUF2433', 16344),
(16345, 'PF13319', NULL, 'Protein of unknown function (DUF4090)', 84, NULL, 'DUF4090', 16345),
(16346, 'PF06892', NULL, 'Phage regulatory protein CII (CP76)', 157, NULL, 'Phage_CP76', 16346),
(16347, 'PF08914', NULL, 'Rap1 Myb domain', 65, NULL, 'Myb_DNA-bind_2', 16347),
(16348, 'PF12881', NULL, 'NUT protein', 724, NULL, 'NUT', 16348),
(16349, 'PF05906', NULL, 'Herpesvirus-7 repeat of unknown function (DUF865)', 35, NULL, 'DUF865', 16349),
(16350, 'PF07672', NULL, 'Mycoplasma MFS transporter', 274, NULL, 'MFS_Mycoplasma', 16350),
(16351, 'PF10315', NULL, 'Altered inheritance of mitochondria protein 19', 118, NULL, 'Aim19', 16351),
(16352, 'PF05526', NULL, 'Rhodococcus equi virulence-associated protein', 177, NULL, 'R_equi_Vir', 16352),
(16353, 'PF14232', NULL, 'Domain of unknown function (DUF4334)', 58, NULL, 'DUF4334', 16353),
(16354, 'PF09808', NULL, 'Small nuclear RNA activating complex (SNAPc), subunit SNAP43', 192, NULL, 'SNAPc_SNAP43', 16354),
(16355, 'PF18294', NULL, 'Peptidase S41 N-terminal domain', 49, NULL, 'Pept_S41_N', 16355),
(16356, 'PF14395', NULL, 'Phage phiEco32-like COOH.NH2 ligase-type 2', 253, NULL, 'COOH-NH2_lig', 16356),
(16357, 'PF08459', NULL, 'UvrC RIbonuclease H-like domain', 161, NULL, 'UvrC_HhH_N', 16357),
(16358, 'PF16050', NULL, 'Paf1 complex subunit CDC73 N-terminal', 301, NULL, 'CDC73_N', 16358),
(16359, 'PF17341', NULL, 'Family of unknown function (DUF5371)', 65, NULL, 'DUF5371', 16359),
(16360, 'PF06852', NULL, 'Protein of unknown function (DUF1248)', 181, NULL, 'DUF1248', 16360),
(16361, 'PF04679', NULL, 'ATP dependent DNA ligase C terminal region', 99, NULL, 'DNA_ligase_A_C', 16361),
(16362, 'PF18057', NULL, 'Domain of unknown function (DUF5594)', 128, NULL, 'DUF5594', 16362),
(16363, 'PF00337', NULL, 'Galactoside-binding lectin', 134, NULL, 'Gal-bind_lectin', 16363),
(16364, 'PF18836', NULL, 'Beta solenoid repeat from YDCK', 18, NULL, 'B_solenoid_ydck', 16364),
(16365, 'PF01348', NULL, 'Type II intron maturase', 140, NULL, 'Intron_maturas2', 16365),
(16366, 'PF10652', NULL, 'Protein of unknown function (DUF2480)', 165, NULL, 'DUF2480', 16366),
(16367, 'PF16899', NULL, 'Cyclin C-terminal domain', 105, NULL, 'Cyclin_C_2', 16367),
(16368, 'PF12213', NULL, 'DNA polymerases epsilon N terminal', 73, NULL, 'Dpoe2NT', 16368),
(16369, 'PF10998', NULL, 'Protein of unknown function (DUF2838)', 111, NULL, 'DUF2838', 16369),
(16370, 'PF17860', NULL, 'RK-1-like defensin', 34, NULL, 'Defensin_RK-1', 16370),
(16371, 'PF00709', NULL, 'Adenylosuccinate synthetase', 419, NULL, 'Adenylsucc_synt', 16371),
(16372, 'PF11185', NULL, 'Protein of unknown function (DUF2971)', 83, NULL, 'DUF2971', 16372),
(16373, 'PF13098', NULL, 'Thioredoxin-like domain', 109, NULL, 'Thioredoxin_2', 16373),
(16374, 'PF03408', NULL, 'Foamy virus envelope protein', 984, NULL, 'Foamy_virus_ENV', 16374),
(16375, 'PF09587', NULL, 'Bacterial capsule synthesis protein PGA_cap', 257, NULL, 'PGA_cap', 16375),
(16376, 'PF06016', NULL, 'Reovirus core-spike protein lambda-2 (L2)', 1297, NULL, 'Reovirus_L2', 16376),
(16377, 'PF03601', NULL, 'Conserved hypothetical protein 698', 305, NULL, 'Cons_hypoth698', 16377),
(16378, 'PF08379', NULL, 'Bacterial transglutaminase-like N-terminal region', 80, NULL, 'Bact_transglu_N', 16378),
(16379, 'PF18700', NULL, 'Cytosolic arginine sensor for mTORC1 subunit 1 N-terminal domain', 61, NULL, 'Castor1_N', 16379),
(16380, 'PF05534', NULL, 'HicB family', 51, NULL, 'HicB', 16380),
(16381, 'PF06450', NULL, 'Bacterial Na+/H+ antiporter B (NhaB)', 515, NULL, 'NhaB', 16381),
(16382, 'PF12447', NULL, 'Protein of unknown function (DUF3683)', 114, NULL, 'DUF3683', 16382),
(16383, 'PF14096', NULL, 'Domain of unknown function (DUF4274)', 76, NULL, 'DUF4274', 16383),
(16384, 'PF04392', NULL, 'ABC transporter substrate binding protein', 293, NULL, 'ABC_sub_bind', 16384),
(16385, 'PF13096', NULL, 'CENP-A-nucleosome distal (CAD) centromere subunit, CENP-P', 177, NULL, 'CENP-P', 16385);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16386, 'PF08884', NULL, 'Flagellin D3 domain', 90, NULL, 'Flagellin_D3', 16386),
(16387, 'PF00019', NULL, 'Transforming growth factor beta like domain', 102, NULL, 'TGF_beta', 16387),
(16388, 'PF13664', NULL, 'Domain of unknown function (DUF4149)', 102, NULL, 'DUF4149', 16388),
(16389, 'PF18944', NULL, 'Family of unknown function (DUF5691)', 210, NULL, 'DUF5691', 16389),
(16390, 'PF00326', NULL, 'Prolyl oligopeptidase family', 212, NULL, 'Peptidase_S9', 16390),
(16391, 'PF02201', NULL, 'SWIB/MDM2 domain', 74, NULL, 'SWIB', 16391),
(16392, 'PF18596', NULL, 'Sld7 C-terminal domain', 78, NULL, 'Sld7_C', 16392),
(16393, 'PF10321', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srt', 313, NULL, '7TM_GPCR_Srt', 16393),
(16394, 'PF18297', NULL, 'NFACT protein RNA binding domain', 104, NULL, 'NFACT-R_2', 16394),
(16395, 'PF03355', NULL, 'Viral Trans-Activator Protein', 260, NULL, 'Pox_TAP', 16395),
(16396, 'PF05983', NULL, 'MED7 protein', 193, NULL, 'Med7', 16396),
(16397, 'PF14239', NULL, 'RRXRR protein', 174, NULL, 'RRXRR', 16397),
(16398, 'PF08760', NULL, 'Domain of unknown function (DUF1793)', 166, NULL, 'DUF1793', 16398),
(16399, 'PF08369', NULL, 'Proto-chlorophyllide reductase 57 kD subunit', 45, NULL, 'PCP_red', 16399),
(16400, 'PF18098', NULL, '26S proteasome regulatory subunit RPN5 C-terminal domain', 33, NULL, 'RPN5_C', 16400),
(16401, 'PF11703', NULL, 'UPF0506', 59, NULL, 'UPF0506', 16401),
(16402, 'PF09406', NULL, 'Protein of unknown function (DUF2004)', 106, NULL, 'DUF2004', 16402),
(16403, 'PF15144', NULL, 'Domain of unknown function (DUF4576)', 90, NULL, 'DUF4576', 16403),
(16404, 'PF08611', NULL, 'Fungal protein of unknown function (DUF1774)', 95, NULL, 'DUF1774', 16404),
(16405, 'PF15484', NULL, 'Domain of unknown function (DUF4642)', 155, NULL, 'DUF4642', 16405),
(16406, 'PF16763', NULL, 'Major ampullate spidroin 1, spider silk protein 1, N-term', 125, NULL, 'Spidroin_N', 16406),
(16407, 'PF18578', NULL, 'Rubisco accumulation factor 1 alpha helical domain', 106, NULL, 'Raf1_N', 16407),
(16408, 'PF02927', NULL, 'Cellulase N-terminal ig-like domain', 86, NULL, 'CelD_N', 16408),
(16409, 'PF18582', NULL, 'Hydrazine synthase alpha subunit middle domain', 102, NULL, 'HZS_alpha', 16409),
(16410, 'PF16223', NULL, 'Domain of unknown function (DUF4882)', 267, NULL, 'DUF4882', 16410),
(16411, 'PF15606', NULL, 'Bacterial toxin 34', 80, NULL, 'Ntox34', 16411),
(16412, 'PF11415', NULL, 'Antifungal peptide termicin', 35, NULL, 'Toxin_37', 16412),
(16413, 'PF16599', NULL, 'Unstructured linker region on PTN13 protein between PDZ', 191, NULL, 'PTN13_u3', 16413),
(16414, 'PF00900', NULL, 'Ribosomal family S4e', 75, NULL, 'Ribosomal_S4e', 16414),
(16415, 'PF00447', NULL, 'HSF-type DNA-binding', 99, NULL, 'HSF_DNA-bind', 16415),
(16416, 'PF12208', NULL, 'Domain of unknown function (DUF3601)', 77, NULL, 'DUF3601', 16416),
(16417, 'PF00232', NULL, 'Glycosyl hydrolase family 1', 453, NULL, 'Glyco_hydro_1', 16417),
(16418, 'PF00184', NULL, 'Neurohypophysial hormones, C-terminal Domain', 79, NULL, 'Hormone_5', 16418),
(16419, 'PF07202', NULL, 'T-complex protein 10 C-terminus', 35, NULL, 'Tcp10_C', 16419),
(16420, 'PF02929', NULL, 'Beta galactosidase small chain', 242, NULL, 'Bgal_small_N', 16420),
(16421, 'PF17557', NULL, 'I2-superfamily conotoxins', 38, NULL, 'Conotoxin_I2', 16421),
(16422, 'PF11747', NULL, 'Killing trait', 68, NULL, 'RebB', 16422),
(16423, 'PF16421', NULL, 'E2F transcription factor CC-MB domain', 95, NULL, 'E2F_CC-MB', 16423),
(16424, 'PF11100', NULL, 'Conjugal transfer protein TrbE', 66, NULL, 'TrbE', 16424),
(16425, 'PF15765', NULL, 'Domain of unknown function (DUF4694)', 155, NULL, 'DUF4694', 16425),
(16426, 'PF10735', NULL, 'Protein of unknown function (DUF2526)', 77, NULL, 'DUF2526', 16426),
(16427, 'PF02834', NULL, 'LigT like Phosphoesterase', 87, NULL, 'LigT_PEase', 16427),
(16428, 'PF14118', NULL, 'YfzA-like protein', 90, NULL, 'YfzA', 16428),
(16429, 'PF17451', NULL, 'Glycosyl hydrolase 101 beta sandwich domain', 118, NULL, 'Glyco_hyd_101C', 16429);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16430, 'PF01497', NULL, 'Periplasmic binding protein', 236, NULL, 'Peripla_BP_2', 16430),
(16431, 'PF13785', NULL, 'Domain of unknown function (DUF4178)', 141, NULL, 'DUF4178', 16431),
(16432, 'PF17828', NULL, 'N-terminal domain in fatty acid synthase subunit beta', 129, NULL, 'FAS_N', 16432),
(16433, 'PF16548', NULL, 'Flagellar assembly protein T, N-terminal domain', 87, NULL, 'FlgT_N', 16433),
(16434, 'PF14475', NULL, 'Sec1-binding region of Mso1', 40, NULL, 'Mso1_Sec1_bdg', 16434),
(16435, 'PF08318', NULL, 'COG4 transport protein', 343, NULL, 'COG4', 16435),
(16436, 'PF07388', NULL, 'Alpha-2,8-polysialyltransferase (POLYST)', 313, NULL, 'A-2_8-polyST', 16436),
(16437, 'PF07867', NULL, 'Protein of unknown function (DUF1654)', 70, NULL, 'DUF1654', 16437),
(16438, 'PF00008', NULL, 'EGF-like domain', 32, NULL, 'EGF', 16438),
(16439, 'PF06781', NULL, 'Cell division protein CrgA', 89, NULL, 'CrgA', 16439),
(16440, 'PF14545', NULL, 'Dof, BCAP, and BANK (DBB) motif,', 139, NULL, 'DBB', 16440),
(16441, 'PF15923', NULL, 'Domain of unknown function (DUF4745)', 133, NULL, 'DUF4745', 16441),
(16442, 'PF06601', NULL, 'Orthopoxvirus F6 protein', 72, NULL, 'Orthopox_F6', 16442),
(16443, 'PF12175', NULL, 'White spot syndrome virus structural envelope protein VP', 201, NULL, 'WSS_VP', 16443),
(16444, 'PF07862', NULL, 'Nif11 domain', 48, NULL, 'Nif11', 16444),
(16445, 'PF03521', NULL, 'Kv2 voltage-gated K+ channel', 288, NULL, 'Kv2channel', 16445),
(16446, 'PF08338', NULL, 'Domain of unknown function (DUF1731)', 47, NULL, 'DUF1731', 16446),
(16447, 'PF11284', NULL, 'Protein of unknown function (DUF3085)', 90, NULL, 'DUF3085', 16447),
(16448, 'PF10430', NULL, 'Tie-2 Ig-like domain 1', 95, NULL, 'Ig_Tie2_1', 16448),
(16449, 'PF09424', NULL, 'Yqey-like protein', 143, NULL, 'YqeY', 16449),
(16450, 'PF17496', NULL, 'Family of unknown function (DUF5431)', 70, NULL, 'DUF5431', 16450),
(16451, 'PF08964', NULL, 'Beta/Gamma crystallin', 86, NULL, 'Crystall_3', 16451),
(16452, 'PF16894', NULL, 'Domain of unknown function (DUF5084)', 130, NULL, 'DUF5084', 16452),
(16453, 'PF17545', NULL, 'Family of unknown function (DUF5461)', 93, NULL, 'DUF5461', 16453),
(16454, 'PF19159', NULL, 'Family of unknown function (DUF5841)', 48, NULL, 'DUF5841', 16454),
(16455, 'PF16308', NULL, 'Domain of unknown function (DUF4950)', 178, NULL, 'DUF4950', 16455),
(16456, 'PF04723', NULL, 'Glycine reductase complex selenoprotein A', 147, NULL, 'GRDA', 16456),
(16457, 'PF11624', NULL, 'MHC class I-like protein M157', 256, NULL, 'M157', 16457),
(16458, 'PF12005', NULL, 'Protein of unknown function (DUF3499)', 124, NULL, 'DUF3499', 16458),
(16459, 'PF10875', NULL, 'Protein of unknown function (DUF2670)', 141, NULL, 'DUF2670', 16459),
(16460, 'PF12222', NULL, 'Peptide N-acetyl-beta-D-glucosaminyl asparaginase amidase A', 434, NULL, 'PNGaseA', 16460),
(16461, 'PF14511', NULL, 'Type II restriction endonuclease EcoO109I', 199, NULL, 'RE_EcoO109I', 16461),
(16462, 'PF04545', NULL, 'Sigma-70, region 4', 50, NULL, 'Sigma70_r4', 16462),
(16463, 'PF18273', NULL, 'Type III R-M EcoP15I C-terminal domain', 97, NULL, 'T3RM_EcoP15I_C', 16463),
(16464, 'PF13225', NULL, 'Domain of unknown function (DUF4033)', 88, NULL, 'DUF4033', 16464),
(16465, 'PF13022', NULL, 'Helix-turn-helix of insertion element transposase', 123, NULL, 'HTH_Tnp_1_2', 16465),
(16466, 'PF00011', NULL, 'Hsp20/alpha crystallin family', 102, NULL, 'HSP20', 16466),
(16467, 'PF07766', NULL, 'LETM1-like protein', 267, NULL, 'LETM1', 16467),
(16468, 'PF18877', NULL, 'SSSPR-51 domain', 48, NULL, 'SSSPR-51', 16468),
(16469, 'PF12569', NULL, 'NMDA receptor-regulated protein 1', 515, NULL, 'NARP1', 16469),
(16470, 'PF09341', NULL, 'Transcription factor Pcc1', 74, NULL, 'Pcc1', 16470),
(16471, 'PF04947', NULL, 'Poxvirus Late Transcription Factor VLTF3 like', 168, NULL, 'Pox_VLTF3', 16471),
(16472, 'PF10591', NULL, 'Secreted protein acidic and rich in cysteine Ca binding region', 113, NULL, 'SPARC_Ca_bdg', 16472);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16473, 'PF05690', NULL, 'Thiazole biosynthesis protein ThiG', 247, NULL, 'ThiG', 16473),
(16474, 'PF07476', NULL, 'Methylaspartate ammonia-lyase C-terminus', 249, NULL, 'MAAL_C', 16474),
(16475, 'PF06420', NULL, 'Mitochondrial genome maintenance MGM101', 170, NULL, 'Mgm101p', 16475),
(16476, 'PF14262', NULL, 'Carbohydrate-binding domain-containing protein Cthe_2159', 262, NULL, 'Cthe_2159', 16476),
(16477, 'PF15202', NULL, 'Adipogenin', 79, NULL, 'Adipogenin', 16477),
(16478, 'PF15852', NULL, 'Domain of unknown function (DUF4724)', 93, NULL, 'DUF4724', 16478),
(16479, 'PF11580', NULL, 'Protein of unknown function (DUF3239)', 125, NULL, 'DUF3239', 16479),
(16480, 'PF02357', NULL, 'Transcription termination factor nusG', 98, NULL, 'NusG', 16480),
(16481, 'PF18579', NULL, 'Rubisco accumulation factor 1 helix turn helix domain', 61, NULL, 'Raf1_HTH', 16481),
(16482, 'PF10186', NULL, 'Vacuolar sorting 38 and autophagy-related subunit 14', 319, NULL, 'Atg14', 16482),
(16483, 'PF10987', NULL, 'Protein of unknown function (DUF2806)', 221, NULL, 'DUF2806', 16483),
(16484, 'PF12601', NULL, 'Rubivirus non-structural protein', 66, NULL, 'Rubi_NSP_C', 16484),
(16485, 'PF01776', NULL, 'Ribosomal L22e protein family', 109, NULL, 'Ribosomal_L22e', 16485),
(16486, 'PF11317', NULL, 'Protein of unknown function (DUF3119)', 126, NULL, 'DUF3119', 16486),
(16487, 'PF07963', NULL, 'Prokaryotic N-terminal methylation motif', 27, NULL, 'N_methyl', 16487),
(16488, 'PF10867', NULL, 'Protein of unknown function (DUF2664)', 89, NULL, 'DUF2664', 16488),
(16489, 'PF06809', NULL, 'Neural proliferation differentiation control-1 protein (NPDC1)', 341, NULL, 'NPDC1', 16489),
(16490, 'PF07583', NULL, 'Protein of unknown function (DUF1549)', 209, NULL, 'PSCyt2', 16490),
(16491, 'PF15179', NULL, 'Myc target protein 1', 193, NULL, 'Myc_target_1', 16491),
(16492, 'PF09679', NULL, 'Type-F conjugative transfer system pilin chaperone (TraQ)', 87, NULL, 'TraQ', 16492),
(16493, 'PF16434', NULL, 'Domain of unknown function (DUF5031)', 377, NULL, 'DUF5031', 16493),
(16494, 'PF04304', NULL, 'Protein of unknown function (DUF454)', 115, NULL, 'DUF454', 16494),
(16495, 'PF09382', NULL, 'RQC domain', 114, NULL, 'RQC', 16495),
(16496, 'PF17364', NULL, 'Family of unknown function (DUF5389)', 104, NULL, 'DUF5389', 16496),
(16497, 'PF13975', NULL, 'gag-polyprotein putative aspartyl protease', 92, NULL, 'gag-asp_proteas', 16497),
(16498, 'PF15865', NULL, 'Fanconi anaemia group A protein N terminus', 343, NULL, 'Fanconi_A_N', 16498),
(16499, 'PF04648', NULL, 'Yeast mating factor alpha hormone', 13, NULL, 'MF_alpha', 16499),
(16500, 'PF12546', NULL, 'Blue/Ultraviolet sensing protein C terminal', 121, NULL, 'Cryptochrome_C', 16500),
(16501, 'PF01287', NULL, 'Eukaryotic elongation factor 5A hypusine, DNA-binding OB fold', 69, NULL, 'eIF-5a', 16501),
(16502, 'PF03081', NULL, 'Exo70 exocyst complex subunit', 373, NULL, 'Exo70', 16502),
(16503, 'PF09550', NULL, 'Phage tail assembly chaperone protein, TAC', 58, NULL, 'Phage_TAC_6', 16503),
(16504, 'PF06807', NULL, 'Pre-mRNA cleavage complex II protein Clp1', 117, NULL, 'Clp1', 16504),
(16505, 'PF09858', NULL, 'Predicted membrane protein (DUF2085)', 93, NULL, 'DUF2085', 16505),
(16506, 'PF14501', NULL, 'GHKL domain', 100, NULL, 'HATPase_c_5', 16506),
(16507, 'PF10647', NULL, 'Lipoprotein LpqB beta-propeller domain', 252, NULL, 'Gmad1', 16507),
(16508, 'PF00801', NULL, 'PKD domain', 71, NULL, 'PKD', 16508),
(16509, 'PF03438', NULL, 'Pneumovirus NS1 protein', 136, NULL, 'Pneumo_NS1', 16509),
(16510, 'PF15527', NULL, 'Bacterial toxin 22', 129, NULL, 'Ntox22', 16510),
(16511, 'PF14728', NULL, 'PTHB1 C-terminus', 375, NULL, 'PHTB1_C', 16511),
(16512, 'PF07454', NULL, 'Stage II sporulation protein P (SpoIIP)', 264, NULL, 'SpoIIP', 16512),
(16513, 'PF16556', NULL, 'Interleukin-17 receptor, fibronectin-III-like domain 1', 154, NULL, 'IL17R_fnIII_D1', 16513),
(16514, 'PF01505', NULL, 'Major Vault Protein repeat domain', 42, NULL, 'Vault', 16514);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16515, 'PF16247', NULL, 'Domain of unknown function (DUF4904)', 129, NULL, 'DUF4904', 16515),
(16516, 'PF15369', NULL, 'Uncharacterised protein KIAA1328', 327, NULL, 'KIAA1328', 16516),
(16517, 'PF12860', NULL, 'PAS fold', 115, NULL, 'PAS_7', 16517),
(16518, 'PF04252', NULL, 'Predicted SAM-dependent RNA methyltransferase', 200, NULL, 'RNA_Me_trans', 16518),
(16519, 'PF07619', NULL, 'Protein of unknown function (DUF1581)', 84, NULL, 'DUF1581', 16519),
(16520, 'PF05360', NULL, 'yiaA/B two helix domain', 53, NULL, 'YiaAB', 16520),
(16521, 'PF08079', NULL, 'Ribosomal L30 N-terminal domain', 72, NULL, 'Ribosomal_L30_N', 16521),
(16522, 'PF13380', NULL, 'CoA binding domain', 116, NULL, 'CoA_binding_2', 16522),
(16523, 'PF09289', NULL, 'Follistatin/Osteonectin-like EGF domain', 22, NULL, 'FOLN', 16523),
(16524, 'PF00305', NULL, 'Lipoxygenase', 673, NULL, 'Lipoxygenase', 16524),
(16525, 'PF05068', NULL, 'Mannitol repressor', 164, NULL, 'MtlR', 16525),
(16526, 'PF17989', NULL, 'Actin like proteins N terminal domain', 147, NULL, 'ALP_N', 16526),
(16527, 'PF11165', NULL, 'Protein of unknown function (DUF2949)', 56, NULL, 'DUF2949', 16527),
(16528, 'PF05993', NULL, 'Reovirus major virion structural protein Mu-1/Mu-1C (M2)', 647, NULL, 'Reovirus_M2', 16528),
(16529, 'PF18236', NULL, 'Argonaute N domain', 122, NULL, 'AGO_N', 16529),
(16530, 'PF06965', NULL, 'Na+/H+ antiporter 1', 374, NULL, 'Na_H_antiport_1', 16530),
(16531, 'PF05065', NULL, 'Phage capsid family', 278, NULL, 'Phage_capsid', 16531),
(16532, 'PF06500', NULL, 'Alpha/beta hydrolase of unknown function (DUF1100)', 411, NULL, 'DUF1100', 16532),
(16533, 'PF13517', NULL, 'Repeat domain in Vibrio, Colwellia, Bradyrhizobium and Shewanella', 61, NULL, 'VCBS', 16533),
(16534, 'PF15678', NULL, 'Centriole duplication and mitotic chromosome congression', 412, NULL, 'SPICE', 16534),
(16535, 'PF02567', NULL, 'Phenazine biosynthesis-like protein', 283, NULL, 'PhzC-PhzF', 16535),
(16536, 'PF05317', NULL, 'Thermopsin', 260, NULL, 'Thermopsin', 16536),
(16537, 'PF04881', NULL, 'Adenovirus GP19K', 132, NULL, 'Adeno_GP19K', 16537),
(16538, 'PF16738', NULL, 'Starch-binding module 26', 69, NULL, 'CBM26', 16538),
(16539, 'PF04668', NULL, 'Twisted gastrulation (Tsg) protein conserved region', 134, NULL, 'Tsg', 16539),
(16540, 'PF16355', NULL, 'Domain of unknown function (DUF4982)', 61, NULL, 'DUF4982', 16540),
(16541, 'PF08310', NULL, 'LGFP repeat', 53, NULL, 'LGFP', 16541),
(16542, 'PF06598', NULL, 'Chlorovirus glycoprotein repeat', 34, NULL, 'Chlorovi_GP_rpt', 16542),
(16543, 'PF05293', NULL, 'African swine fever virus (ASFV) L11L protein', 78, NULL, 'ASFV_L11L', 16543),
(16544, 'PF13204', NULL, 'Protein of unknown function (DUF4038)', 307, NULL, 'DUF4038', 16544),
(16545, 'PF05149', NULL, 'Paraflagellar rod protein', 287, NULL, 'Flagellar_rod', 16545),
(16546, 'PF18307', NULL, 'Transcription factor Tfb2 (p52) C-terminal domain', 68, NULL, 'Tfb2_C', 16546),
(16547, 'PF18530', NULL, 'Swi6 N-terminal domain', 108, NULL, 'Swi6_N', 16547),
(16548, 'PF09918', NULL, 'Uncharacterized protein containing a ferredoxin domain (DUF2148)', 68, NULL, 'DUF2148', 16548),
(16549, 'PF09136', NULL, 'Glucodextranase, domain B', 89, NULL, 'Glucodextran_B', 16549),
(16550, 'PF14595', NULL, 'Thioredoxin', 129, NULL, 'Thioredoxin_9', 16550),
(16551, 'PF06866', NULL, 'Protein of unknown function (DUF1256)', 164, NULL, 'DUF1256', 16551),
(16552, 'PF10453', NULL, 'Nuclear fragile X mental retardation-interacting protein 1 (NUFIP1)', 53, NULL, 'NUFIP1', 16552),
(16553, 'PF17745', NULL, 'Ydr279p protein triple barrel domain', 79, NULL, 'Ydr279_N', 16553),
(16554, 'PF05451', NULL, 'Phytoreovirus nonstructural protein Pns10/11', 352, NULL, 'Phytoreo_Pns', 16554),
(16555, 'PF11196', NULL, 'Protein of unknown function (DUF2834)', 96, NULL, 'DUF2834', 16555),
(16556, 'PF06378', NULL, 'Protein of unknown function (DUF1071)', 151, NULL, 'DUF1071', 16556),
(16557, 'PF05029', NULL, 'Timeless PAB domain', 88, NULL, 'TIMELESS_C', 16557); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16558, 'PF18496', NULL, 'Collagenase G catalytic helper subdomain', 117, NULL, 'ColG_sub', 16558),
(16559, 'PF04322', NULL, 'Protein of unknown function (DUF473)', 118, NULL, 'DUF473', 16559),
(16560, 'PF03957', NULL, 'Jun-like transcription factor', 234, NULL, 'Jun', 16560),
(16561, 'PF09598', NULL, 'Stm1', 65, NULL, 'Stm1_N', 16561),
(16562, 'PF12350', NULL, 'CTD kinase subunit gamma CTK3 C-terminus', 69, NULL, 'CTK3_C', 16562),
(16563, 'PF02363', NULL, 'Cysteine rich repeat', 17, NULL, 'C_tripleX', 16563),
(16564, 'PF09485', NULL, 'CRISPR-associated protein Cse2 (CRISPR_cse2)', 138, NULL, 'CRISPR_Cse2', 16564),
(16565, 'PF01893', NULL, 'Uncharacterised protein family UPF0058', 87, NULL, 'UPF0058', 16565),
(16566, 'PF13177', NULL, 'DNA polymerase III, delta subunit', 161, NULL, 'DNA_pol3_delta2', 16566),
(16567, 'PF08453', NULL, 'Peptidase family M9 N-terminal', 183, NULL, 'Peptidase_M9_N', 16567),
(16568, 'PF16826', NULL, 'Domain of unknown function (DUF5076)', 84, NULL, 'DUF5076', 16568),
(16569, 'PF11850', NULL, 'Protein of unknown function (DUF3370)', 422, NULL, 'DUF3370', 16569),
(16570, 'PF00757', NULL, 'Furin-like cysteine rich region', 149, NULL, 'Furin-like', 16570),
(16571, 'PF06211', NULL, 'BMP and activin membrane-bound inhibitor (BAMBI) N-terminal domain', 107, NULL, 'BAMBI', 16571),
(16572, 'PF19102', NULL, 'Family of unknown function (DUF5789)', 74, NULL, 'DUF5789', 16572),
(16573, 'PF05291', NULL, 'Bystin', 292, NULL, 'Bystin', 16573),
(16574, 'PF04072', NULL, 'Leucine carboxyl methyltransferase', 188, NULL, 'LCM', 16574),
(16575, 'PF11233', NULL, 'Protein of unknown function (DUF3035)', 141, NULL, 'DUF3035', 16575),
(16576, 'PF08058', NULL, 'Nuclear pore complex component', 130, NULL, 'NPCC', 16576),
(16577, 'PF17048', NULL, 'Neutral/alkaline non-lysosomal ceramidase, C-terminal', 168, NULL, 'Ceramidse_alk_C', 16577),
(16578, 'PF09400', NULL, 'Protein of unknown function (DUF2002)', 110, NULL, 'DUF2002', 16578),
(16579, 'PF08133', NULL, 'Anticodon nuclease activator family', 26, NULL, 'Nuclease_act', 16579),
(16580, 'PF13020', NULL, 'Domain of unknown function (DUF3883)', 92, NULL, 'DUF3883', 16580),
(16581, 'PF15403', NULL, 'HiaBD2_N domain of Trimeric autotransporter adhesin (GIN)', 52, NULL, 'HiaBD2', 16581),
(16582, 'PF08816', NULL, 'Inhibitor of vertebrate lysozyme (Ivy)', 117, NULL, 'Ivy', 16582),
(16583, 'PF11514', NULL, 'Protein of unknown function (DUF3219)', 94, NULL, 'DUF3219', 16583),
(16584, 'PF04925', NULL, 'SHQ1 protein', 176, NULL, 'SHQ1', 16584),
(16585, 'PF18061', NULL, 'CRISPR-Cas9 WED domain', 127, NULL, 'CRISPR_Cas9_WED', 16585),
(16586, 'PF08787', NULL, 'Alginate lyase', 236, NULL, 'Alginate_lyase2', 16586),
(16587, 'PF19190', NULL, 'Viral BACON domain', 91, NULL, 'BACON_2', 16587),
(16588, 'PF05383', NULL, 'La domain', 59, NULL, 'La', 16588),
(16589, 'PF09840', NULL, 'Uncharacterized protein conserved in archaea (DUF2067)', 186, NULL, 'DUF2067', 16589),
(16590, 'PF14625', NULL, 'Lustrin, cysteine-rich repeated domain', 45, NULL, 'Lustrin_cystein', 16590),
(16591, 'PF04430', NULL, 'Protein of unknown function (DUF498/DUF598)', 109, NULL, 'DUF498', 16591),
(16592, 'PF08648', NULL, 'U4/U6.U5 small nuclear ribonucleoproteins', 56, NULL, 'SNRNP27', 16592),
(16593, 'PF06657', NULL, 'Centrosome microtubule-binding domain of Cep57', 77, NULL, 'Cep57_MT_bd', 16593),
(16594, 'PF19216', NULL, 'Coronavirus replicase NSP15, middle domain', 91, NULL, 'CoV_NSP15_M', 16594),
(16595, 'PF01187', NULL, 'Macrophage migration inhibitory factor (MIF)', 114, NULL, 'MIF', 16595),
(16596, 'PF12286', NULL, 'Protein of unknown function (DUF3622)', 71, NULL, 'DUF3622', 16596),
(16597, 'PF04846', NULL, 'Herpesvirus pp38 phosphoprotein', 63, NULL, 'Herpes_pp38', 16597),
(16598, 'PF18359', NULL, 'Histone methyltransferase Tudor domain 1', 53, NULL, 'TUDOR_5', 16598),
(16599, 'PF09223', NULL, 'ZinT (YodA) periplasmic lipocalin-like zinc-recruitment', 181, NULL, 'ZinT', 16599);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16600, 'PF05903', NULL, 'PPPDE putative peptidase domain', 151, NULL, 'Peptidase_C97', 16600),
(16601, 'PF08165', NULL, 'FerA (NUC095) domain', 65, NULL, 'FerA', 16601),
(16602, 'PF13037', NULL, 'Domain of unknown function (DUF3898)', 90, NULL, 'DUF3898', 16602),
(16603, 'PF00292', NULL, '''Paired box'' domain', 125, NULL, 'PAX', 16603),
(16604, 'PF14361', NULL, 'RsbT co-antagonist protein rsbRD N-terminal domain', 104, NULL, 'RsbRD_N', 16604),
(16605, 'PF02273', NULL, 'Acyl transferase', 294, NULL, 'Acyl_transf_2', 16605),
(16606, 'PF12077', NULL, 'Transmembrane protein of unknown function (DUF3556)', 573, NULL, 'DUF3556', 16606),
(16607, 'PF02514', NULL, 'CobN/Magnesium Chelatase', 1089, NULL, 'CobN-Mg_chel', 16607),
(16608, 'PF16056', NULL, 'Domain of unknown function (DUF4799)', 375, NULL, 'DUF4799', 16608),
(16609, 'PF18754', NULL, 'Nucleotide modification associated domain 3', 250, NULL, 'Nmad3', 16609),
(16610, 'PF07108', NULL, 'PipA protein', 200, NULL, 'PipA', 16610),
(16611, 'PF02016', NULL, 'LD-carboxypeptidase N-terminal domain', 119, NULL, 'Peptidase_S66', 16611),
(16612, 'PF08675', NULL, 'RNA binding domain', 79, NULL, 'RNA_bind', 16612),
(16613, 'PF07735', NULL, 'F-box associated', 66, NULL, 'FBA_2', 16613),
(16614, 'PF00239', NULL, 'Resolvase, N terminal domain', 146, NULL, 'Resolvase', 16614),
(16615, 'PF04840', NULL, 'Vps16, C-terminal region', 320, NULL, 'Vps16_C', 16615),
(16616, 'PF00408', NULL, 'Phosphoglucomutase/phosphomannomutase, C-terminal domain', 74, NULL, 'PGM_PMM_IV', 16616),
(16617, 'PF09468', NULL, 'Ydr279p protein family (RNase H2 complex component) wHTH domain', 159, NULL, 'RNase_H2-Ydr279', 16617),
(16618, 'PF16711', NULL, 'Actin-binding domain of plant-specific actin-binding protein', 43, NULL, 'SCAB-ABD', 16618),
(16619, 'PF10939', NULL, 'Protein of unknown function (DUF2631)', 66, NULL, 'DUF2631', 16619),
(16620, 'PF08385', NULL, 'Dynein heavy chain, N-terminal region 1', 562, NULL, 'DHC_N1', 16620),
(16621, 'PF02086', NULL, 'D12 class N6 adenine-specific DNA methyltransferase', 260, NULL, 'MethyltransfD12', 16621),
(16622, 'PF09133', NULL, 'SANTA (SANT Associated)', 91, NULL, 'SANTA', 16622),
(16623, 'PF12517', NULL, 'Protein of unknown function (DUF3720)', 99, NULL, 'DUF3720', 16623),
(16624, 'PF04583', NULL, 'Baculoviridae p74 conserved region', 216, NULL, 'Baculo_p74', 16624),
(16625, 'PF08315', NULL, 'cwf18 pre-mRNA splicing factor', 139, NULL, 'cwf18', 16625),
(16626, 'PF08339', NULL, 'RTX C-terminal domain', 131, NULL, 'RTX_C', 16626),
(16627, 'PF14908', NULL, 'CCDC81 eukaryotic HU domain 1', 94, NULL, 'HU-CCDC81_euk_1', 16627),
(16628, 'PF08974', NULL, 'Domain of unknown function (DUF1877)', 165, NULL, 'DUF1877', 16628),
(16629, 'PF13241', NULL, 'Putative NAD(P)-binding', 104, NULL, 'NAD_binding_7', 16629),
(16630, 'PF04116', NULL, 'Fatty acid hydroxylase superfamily', 133, NULL, 'FA_hydroxylase', 16630),
(16631, 'PF14248', NULL, 'Domain of unknown function (DUF4345)', 119, NULL, 'DUF4345', 16631),
(16632, 'PF11885', NULL, 'Protein of unknown function (DUF3405)', 515, NULL, 'DUF3405', 16632),
(16633, 'PF15245', NULL, 'Transcription cofactor vestigial-like protein 4', 222, NULL, 'VGLL4', 16633),
(16634, 'PF08121', NULL, 'Waglerin family', 22, NULL, 'Toxin_33', 16634),
(16635, 'PF15210', NULL, 'Surfactant-associated protein 2', 59, NULL, 'SFTA2', 16635),
(16636, 'PF11368', NULL, 'Protein of unknown function (DUF3169)', 251, NULL, 'DUF3169', 16636),
(16637, 'PF06216', NULL, 'Rice tungro bacilliform virus P46 protein', 389, NULL, 'RTBV_P46', 16637),
(16638, 'PF13415', NULL, 'Galactose oxidase, central domain', 49, NULL, 'Kelch_3', 16638),
(16639, 'PF15540', NULL, 'Bacterial toxin 47', 112, NULL, 'Ntox47', 16639),
(16640, 'PF07560', NULL, 'Domain of Unknown Function (DUF1539)', 126, NULL, 'DUF1539', 16640),
(16641, 'PF03094', NULL, 'Mlo family', 483, NULL, 'Mlo', 16641),
(16642, 'PF17132', NULL, 'alpha-L-rhamnosidase', 740, NULL, 'Glyco_hydro_106', 16642);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16643, 'PF06163', NULL, 'Bacterial protein of unknown function (DUF977)', 127, NULL, 'DUF977', 16643),
(16644, 'PF10170', NULL, 'Cysteine-rich domain', 95, NULL, 'C6_DPF', 16644),
(16645, 'PF13571', NULL, 'Domain of unknown function (DUF4133)', 91, NULL, 'DUF4133', 16645),
(16646, 'PF03542', NULL, 'Tuberin', 353, NULL, 'Tuberin', 16646),
(16647, 'PF15718', NULL, 'Protein moonraker', 960, NULL, 'MNR', 16647),
(16648, 'PF00231', NULL, 'ATP synthase', 277, NULL, 'ATP-synt', 16648),
(16649, 'PF08001', NULL, 'CMV US', 251, NULL, 'CMV_US', 16649),
(16650, 'PF05746', NULL, 'DALR anticodon binding domain', 119, NULL, 'DALR_1', 16650),
(16651, 'PF00117', NULL, 'Glutamine amidotransferase class-I', 191, NULL, 'GATase', 16651),
(16652, 'PF06004', NULL, 'Bacterial protein of unknown function (DUF903)', 49, NULL, 'DUF903', 16652),
(16653, 'PF00476', NULL, 'DNA polymerase family A', 377, NULL, 'DNA_pol_A', 16653),
(16654, 'PF13064', NULL, 'Protein of unknown function (DUF3927)', 53, NULL, 'DUF3927', 16654),
(16655, 'PF10171', NULL, 'Translocase of the Inner Mitochondrial membrane 29', 169, NULL, 'Tim29', 16655),
(16656, 'PF18734', NULL, 'AbiU2', 197, NULL, 'HEPN_AbiU2', 16656),
(16657, 'PF15003', NULL, 'HAUS augmin-like complex subunit 2', 191, NULL, 'HAUS2', 16657),
(16658, 'PF08686', NULL, 'PLAC (protease and lacunin) domain', 31, NULL, 'PLAC', 16658),
(16659, 'PF12188', NULL, 'Signal transducer and activator of transcription 2 C terminal', 56, NULL, 'STAT2_C', 16659),
(16660, 'PF02474', NULL, 'Nodulation protein A (NodA)', 195, NULL, 'NodA', 16660),
(16661, 'PF16979', NULL, 'SAPK-interacting protein 1 (Sin1), Pleckstrin-homology', 110, NULL, 'SIN1_PH', 16661),
(16662, 'PF18018', NULL, 'DNA polymerase delta subunit OB-fold domain', 129, NULL, 'DNA_pol_D_N', 16662),
(16663, 'PF11817', NULL, 'Foie gras liver health family 1', 259, NULL, 'Foie-gras_1', 16663),
(16664, 'PF14557', NULL, 'Putative AphA-like transcriptional regulator', 175, NULL, 'AphA_like', 16664),
(16665, 'PF03838', NULL, 'Recombination protein U', 162, NULL, 'RecU', 16665),
(16666, 'PF01683', NULL, 'EB module', 52, NULL, 'EB', 16666),
(16667, 'PF00061', NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', 144, NULL, 'Lipocalin', 16667),
(16668, 'PF13570', NULL, 'PQQ-like domain', 40, NULL, 'PQQ_3', 16668),
(16669, 'PF14254', NULL, 'Domain of unknown function (DUF4348)', 230, NULL, 'DUF4348', 16669),
(16670, 'PF12354', NULL, 'Bacterial adhesion/invasion protein N terminal', 57, NULL, 'Internalin_N', 16670),
(16671, 'PF12419', NULL, 'SNF2 Helicase protein', 137, NULL, 'DUF3670', 16671),
(16672, 'PF19057', NULL, 'PH domain', 147, NULL, 'PH_19', 16672),
(16673, 'PF15019', NULL, 'C9orf72-like protein family', 245, NULL, 'C9orf72-like', 16673),
(16674, 'PF06175', NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)', 240, NULL, 'MiaE', 16674),
(16675, 'PF08573', NULL, 'DNA repair protein endonuclease SAE2/CtIP C-terminus', 111, NULL, 'SAE2', 16675),
(16676, 'PF09893', NULL, 'Uncharacterized protein conserved in archaea (DUF2120)', 136, NULL, 'DUF2120', 16676),
(16677, 'PF05259', NULL, 'Herpesvirus glycoprotein L', 107, NULL, 'Herpes_UL1', 16677),
(16678, 'PF18814', NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease5', 244, NULL, 'PBECR5', 16678),
(16679, 'PF02668', NULL, 'Taurine catabolism dioxygenase TauD, TfdA family', 268, NULL, 'TauD', 16679),
(16680, 'PF05509', NULL, 'TraY domain', 49, NULL, 'TraY', 16680),
(16681, 'PF07603', NULL, 'Protein of unknown function (DUF1566)', 115, NULL, 'DUF1566', 16681),
(16682, 'PF17430', NULL, 'Uncharacterized YqgC-like', 51, NULL, 'YqgC', 16682),
(16683, 'PF17623', NULL, 'Domain of unknown function', 277, NULL, 'B277', 16683),
(16684, 'PF08502', NULL, 'LeuA allosteric (dimerisation) domain', 133, NULL, 'LeuA_dimer', 16684),
(16685, 'PF00834', NULL, 'Ribulose-phosphate 3 epimerase family', 198, NULL, 'Ribul_P_3_epim', 16685),
(16686, 'PF05289', NULL, 'Borrelia hemolysin accessory protein', 120, NULL, 'BLYB', 16686); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16687, 'PF13942', NULL, 'YfhG lipoprotein', 175, NULL, 'Lipoprotein_20', 16687),
(16688, 'PF12413', NULL, 'Homeobox protein distal-less-like N terminal', 86, NULL, 'DLL_N', 16688),
(16689, 'PF09378', NULL, 'HAS barrel domain', 93, NULL, 'HAS-barrel', 16689),
(16690, 'PF14731', NULL, 'Staphopain proregion', 169, NULL, 'Staphopain_pro', 16690),
(16691, 'PF15665', NULL, 'Family with sequence similarity 184, A and B', 211, NULL, 'FAM184', 16691),
(16692, 'PF10599', NULL, 'Retro-transposon transporting motif', 86, NULL, 'Nup_retrotrp_bd', 16692),
(16693, 'PF05139', NULL, 'Erythromycin esterase', 340, NULL, 'Erythro_esteras', 16693),
(16694, 'PF17032', NULL, 'zinc-ribbon family', 86, NULL, 'zinc_ribbon_15', 16694),
(16695, 'PF15338', NULL, 'p53-regulated apoptosis-inducing protein 1', 123, NULL, 'TPIP1', 16695),
(16696, 'PF16558', NULL, 'Amino-terminal Zinc-binding domain of ubiquitin ligase E3A', 59, NULL, 'AZUL', 16696),
(16697, 'PF14719', NULL, 'Phosphotyrosine interaction domain (PTB/PID)', 184, NULL, 'PID_2', 16697),
(16698, 'PF07762', NULL, 'Protein of unknown function (DUF1618)', 135, NULL, 'DUF1618', 16698),
(16699, 'PF15772', NULL, 'UPF0688 family', 232, NULL, 'UPF0688', 16699),
(16700, 'PF03569', NULL, 'Peptidase family C8', 208, NULL, 'Peptidase_C8', 16700),
(16701, 'PF17062', NULL, 'Outer spore wall 5', 70, NULL, 'Osw5', 16701),
(16702, 'PF18215', NULL, 'Histone chaperone Rtt106 N-terminal domain', 45, NULL, 'Rtt106_N', 16702),
(16703, 'PF03054', NULL, 'tRNA methyl transferase', 356, NULL, 'tRNA_Me_trans', 16703),
(16704, 'PF01448', NULL, 'ELM2 domain', 52, NULL, 'ELM2', 16704),
(16705, 'PF02784', NULL, 'Pyridoxal-dependent decarboxylase, pyridoxal binding domain', 247, NULL, 'Orn_Arg_deC_N', 16705),
(16706, 'PF07808', NULL, 'RED-like protein N-terminal region', 235, NULL, 'RED_N', 16706),
(16707, 'PF07346', NULL, 'Protein of unknown function (DUF1477)', 118, NULL, 'DUF1477', 16707),
(16708, 'PF04808', NULL, 'Citrus tristeza virus (CTV) P23 protein', 209, NULL, 'CTV_P23', 16708),
(16709, 'PF11371', NULL, 'Protein of unknown function (DUF3172)', 139, NULL, 'DUF3172', 16709),
(16710, 'PF13558', NULL, 'Putative exonuclease SbcCD, C subunit', 90, NULL, 'SbcCD_C', 16710),
(16711, 'PF15516', NULL, 'BpuSI N-terminal domain', 162, NULL, 'BpuSI_N', 16711),
(16712, 'PF19009', NULL, 'Family of unknown function (DUF5738)', 104, NULL, 'DUF5738', 16712),
(16713, 'PF02489', NULL, 'Herpesvirus glycoprotein H main domain', 512, NULL, 'Herpes_glycop_H', 16713),
(16714, 'PF12453', NULL, 'Protein tyrosine phosphatase N terminal', 26, NULL, 'PTP_N', 16714),
(16715, 'PF02547', NULL, 'Queuosine biosynthesis protein', 325, NULL, 'Queuosine_synth', 16715),
(16716, 'PF04790', NULL, 'Sarcoglycan complex subunit protein', 260, NULL, 'Sarcoglycan_1', 16716),
(16717, 'PF06284', NULL, 'Cytomegalovirus UL84 protein', 586, NULL, 'Cytomega_UL84', 16717),
(16718, 'PF06415', NULL, 'BPG-independent PGAM N-terminus (iPGM_N)', 215, NULL, 'iPGM_N', 16718),
(16719, 'PF02733', NULL, 'Dak1 domain', 311, NULL, 'Dak1', 16719),
(16720, 'PF14347', NULL, 'Domain of unknown function (DUF4399)', 91, NULL, 'DUF4399', 16720),
(16721, 'PF12372', NULL, 'Huntingtin protein region', 41, NULL, 'DUF3652', 16721),
(16722, 'PF01922', NULL, 'SRP19 protein', 93, NULL, 'SRP19', 16722),
(16723, 'PF12282', NULL, 'Signal transduction histidine kinase', 144, NULL, 'H_kinase_N', 16723),
(16724, 'PF07017', NULL, 'Antimicrobial peptide resistance and lipid A acylation protein PagP', 145, NULL, 'PagP', 16724),
(16725, 'PF04658', NULL, 'TAFII55 protein conserved region', 162, NULL, 'TAFII55_N', 16725),
(16726, 'PF13917', NULL, 'Zinc knuckle', 41, NULL, 'zf-CCHC_3', 16726),
(16727, 'PF05031', NULL, 'Iron Transport-associated domain', 119, NULL, 'NEAT', 16727),
(16728, 'PF05743', NULL, 'UEV domain', 121, NULL, 'UEV', 16728),
(16729, 'PF17789', NULL, 'Macroglobulin domain MG4', 96, NULL, 'MG4', 16729),
(16730, 'PF00796', NULL, 'Photosystem I reaction centre subunit VIII', 25, NULL, 'PSI_8', 16730);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16731, 'PF11310', NULL, 'Protein of unknown function (DUF3113)', 60, NULL, 'DUF3113', 16731),
(16732, 'PF04719', NULL, 'hTAFII28-like protein conserved region', 86, NULL, 'TAFII28', 16732),
(16733, 'PF09413', NULL, 'Putative prokaryotic signal transducing protein', 67, NULL, 'DUF2007', 16733),
(16734, 'PF14653', NULL, 'Insulin growth factor-like family', 83, NULL, 'IGFL', 16734),
(16735, 'PF17299', NULL, 'Family of unknown function (DUF5350)', 57, NULL, 'DUF5350', 16735),
(16736, 'PF10188', NULL, 'Organic solute transport protein 1', 173, NULL, 'Oscp1', 16736),
(16737, 'PF08156', NULL, 'NOP5NT (NUC127) domain', 64, NULL, 'NOP5NT', 16737),
(16738, 'PF09649', NULL, 'Histone chaperone domain CHZ', 34, NULL, 'CHZ', 16738),
(16739, 'PF02141', NULL, 'DENN (AEX-3) domain', 185, NULL, 'DENN', 16739),
(16740, 'PF06446', NULL, 'Hepcidin', 53, NULL, 'Hepcidin', 16740),
(16741, 'PF05781', NULL, 'MRVI1 protein', 533, NULL, 'MRVI1', 16741),
(16742, 'PF05735', NULL, 'Thrombospondin C-terminal region', 198, NULL, 'TSP_C', 16742),
(16743, 'PF18897', NULL, 'Family of unknown function (DUF5653)', 198, NULL, 'DUF5653', 16743),
(16744, 'PF00295', NULL, 'Glycosyl hydrolases family 28', 325, NULL, 'Glyco_hydro_28', 16744),
(16745, 'PF00288', NULL, 'GHMP kinases N terminal domain', 66, NULL, 'GHMP_kinases_N', 16745),
(16746, 'PF13207', NULL, 'AAA domain', 136, NULL, 'AAA_17', 16746),
(16747, 'PF18691', NULL, 'Cell division control protein 13, OB2 domain', 111, NULL, 'Cdc13_OB2', 16747),
(16748, 'PF05800', NULL, 'Gas vesicle synthesis protein GvpO', 94, NULL, 'GvpO', 16748),
(16749, 'PF08701', NULL, 'GNL3L/Grn1 putative GTPase', 76, NULL, 'GN3L_Grn1', 16749),
(16750, 'PF02962', NULL, '5-carboxymethyl-2-hydroxymuconate isomerase', 124, NULL, 'CHMI', 16750),
(16751, 'PF08503', NULL, 'Tetrahydrodipicolinate succinyltransferase N-terminal', 85, NULL, 'DapH_N', 16751),
(16752, 'PF14881', NULL, 'Tubulin domain', 181, NULL, 'Tubulin_3', 16752),
(16753, 'PF11648', NULL, 'C-terminal domain of RIG-I', 117, NULL, 'RIG-I_C-RD', 16753),
(16754, 'PF17927', NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase pre-ATP-grasp domain', 80, NULL, 'Ins134_P3_kin_N', 16754),
(16755, 'PF18096', NULL, 'THUMP domain-like', 78, NULL, 'Thump_like', 16755),
(16756, 'PF08708', NULL, 'Primase C terminal 1 (PriCT-1)', 67, NULL, 'PriCT_1', 16756),
(16757, 'PF02884', NULL, 'Polysaccharide lyase family 8, C-terminal beta-sandwich domain', 69, NULL, 'Lyase_8_C', 16757),
(16758, 'PF16752', NULL, 'Tubulin-specific chaperone C N-terminal domain', 115, NULL, 'TBCC_N', 16758),
(16759, 'PF11492', NULL, 'Cricket paralysis virus, VP4', 57, NULL, 'Dicistro_VP4', 16759),
(16760, 'PF09328', NULL, 'Domain of unknown function (DUF1984)', 252, NULL, 'Phytochelatin_C', 16760),
(16761, 'PF02553', NULL, 'Cobalt transport protein component CbiN', 67, NULL, 'CbiN', 16761),
(16762, 'PF00668', NULL, 'Condensation domain', 457, NULL, 'Condensation', 16762),
(16763, 'PF07885', NULL, 'Ion channel', 79, NULL, 'Ion_trans_2', 16763),
(16764, 'PF06062', NULL, 'Uncharacterised protein family (UPF0231)', 121, NULL, 'UPF0231', 16764),
(16765, 'PF10410', NULL, 'DnaB-helicase binding domain of primase', 56, NULL, 'DnaB_bind', 16765),
(16766, 'PF09027', NULL, 'GTPase binding', 66, NULL, 'GTPase_binding', 16766),
(16767, 'PF10178', NULL, 'Proteasome assembly chaperone 3', 87, NULL, 'PAC3', 16767),
(16768, 'PF18380', NULL, 'Holliday junction resolvase Gen1 C-terminal domain', 105, NULL, 'GEN1_C', 16768),
(16769, 'PF03306', NULL, 'Alpha-acetolactate decarboxylase', 219, NULL, 'AAL_decarboxy', 16769),
(16770, 'PF15543', NULL, 'Bacterial toxin 5', 135, NULL, 'Ntox5', 16770),
(16771, 'PF01191', NULL, 'RNA polymerase Rpb5, C-terminal domain', 73, NULL, 'RNA_pol_Rpb5_C', 16771),
(16772, 'PF16316', NULL, 'Domain of unknown function (DUF4956)', 172, NULL, 'DUF4956', 16772),
(16773, 'PF05036', NULL, 'SPOR domain', 76, NULL, 'SPOR', 16773),
(16774, 'PF11709', NULL, 'Mitochondrial ribosomal protein subunit', 366, NULL, 'Mit_ribos_Mrp51', 16774);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16775, 'PF16918', NULL, 'Protein kinase G tetratricopeptide repeat', 340, NULL, 'PknG_TPR', 16775),
(16776, 'PF17263', NULL, 'Family of unknown function (DUF5329)', 93, NULL, 'DUF5329', 16776),
(16777, 'PF01335', NULL, 'Death effector domain', 82, NULL, 'DED', 16777),
(16778, 'PF16943', NULL, 'Cag pathogenicity island, type IV secretory system', 107, NULL, 'T4SS_CagC', 16778),
(16779, 'PF11815', NULL, 'Domain of unknown function (DUF3336)', 139, NULL, 'DUF3336', 16779),
(16780, 'PF03100', NULL, 'CcmE', 128, NULL, 'CcmE', 16780),
(16781, 'PF11688', NULL, 'Protein of unknown function (DUF3285)', 44, NULL, 'DUF3285', 16781),
(16782, 'PF12425', NULL, 'Protein of unknown function (DUF3673)', 53, NULL, 'DUF3673', 16782),
(16783, 'PF18292', NULL, 'Zinc transporter ZIP4 domain', 165, NULL, 'ZIP4_domain', 16783),
(16784, 'PF04908', NULL, 'SH3-binding, glutamic acid-rich protein', 99, NULL, 'SH3BGR', 16784),
(16785, 'PF03043', NULL, 'Herpesvirus UL87 family', 524, NULL, 'Herpes_UL87', 16785),
(16786, 'PF01273', NULL, 'LBP / BPI / CETP family, N-terminal domain', 164, NULL, 'LBP_BPI_CETP', 16786),
(16787, 'PF15509', NULL, 'Domain of unknown function (DUF4650)', 519, NULL, 'DUF4650', 16787),
(16788, 'PF06975', NULL, 'Protein of unknown function (DUF1299)', 47, NULL, 'DUF1299', 16788),
(16789, 'PF09012', NULL, 'FeoC like transcriptional regulator', 69, NULL, 'FeoC', 16789),
(16790, 'PF05555', NULL, 'Coxiella burnetii protein of unknown function (DUF762)', 245, NULL, 'DUF762', 16790),
(16791, 'PF12149', NULL, 'Herpes simplex virus virion protein 16 C terminal', 30, NULL, 'HSV_VP16_C', 16791),
(16792, 'PF06467', NULL, 'MYM-type Zinc finger with FCS sequence motif', 41, NULL, 'zf-FCS', 16792),
(16793, 'PF10721', NULL, 'Protein of unknown function (DUF2514)', 161, NULL, 'DUF2514', 16793),
(16794, 'PF01886', NULL, 'Protein of unknown function DUF61', 127, NULL, 'DUF61', 16794),
(16795, 'PF09583', NULL, 'Phage shock protein G (Phageshock_PspG)', 64, NULL, 'Phageshock_PspG', 16795),
(16796, 'PF18269', NULL, 'T3SS EscN ATPase C-terminal domain', 72, NULL, 'T3SS_ATPase_C', 16796),
(16797, 'PF14089', NULL, 'KinB-signalling pathway activation in sporulation', 179, NULL, 'KbaA', 16797),
(16798, 'PF05206', NULL, 'Methyltransferase TRM13', 263, NULL, 'TRM13', 16798),
(16799, 'PF08962', NULL, 'Domain of unknown function (DUF1876)', 82, NULL, 'DUF1876', 16799),
(16800, 'PF06421', NULL, 'GTP-binding protein LepA C-terminus', 107, NULL, 'LepA_C', 16800),
(16801, 'PF01328', NULL, 'Peroxidase, family 2', 187, NULL, 'Peroxidase_2', 16801),
(16802, 'PF03281', NULL, 'Mab-21 protein', 283, NULL, 'Mab-21', 16802),
(16803, 'PF12145', NULL, 'Eukaryotic Mediator 12 subunit domain', 477, NULL, 'Med12-LCEWAV', 16803),
(16804, 'PF10929', NULL, 'Protein of unknown function (DUF2811)', 57, NULL, 'DUF2811', 16804),
(16805, 'PF10487', NULL, 'Nucleoporin subcomplex protein binding to Pom34', 925, NULL, 'Nup188', 16805),
(16806, 'PF03831', NULL, 'PhnA domain', 69, NULL, 'YjdM', 16806),
(16807, 'PF13520', NULL, 'Amino acid permease', 427, NULL, 'AA_permease_2', 16807),
(16808, 'PF12281', NULL, 'Nucleotidyltransferase', 218, NULL, 'NTP_transf_8', 16808),
(16809, 'PF14693', NULL, 'Ribosomal protein TL5, C-terminal domain', 85, NULL, 'Ribosomal_TL5_C', 16809),
(16810, 'PF04144', NULL, 'SCAMP family', 172, NULL, 'SCAMP', 16810),
(16811, 'PF04312', NULL, 'Protein of unknown function (DUF460)', 141, NULL, 'DUF460', 16811),
(16812, 'PF11265', NULL, 'Mediator complex subunit 25 von Willebrand factor type A', 213, NULL, 'Med25_VWA', 16812),
(16813, 'PF00912', NULL, 'Transglycosylase', 178, NULL, 'Transgly', 16813),
(16814, 'PF04369', NULL, 'Lactococcin-like family', 60, NULL, 'Lactococcin', 16814),
(16815, 'PF05196', NULL, 'PTN/MK heparin-binding protein family, N-terminal domain', 57, NULL, 'PTN_MK_N', 16815),
(16816, 'PF11795', NULL, 'Uncharacterized protein conserved in bacteria N-term (DUF3322)', 190, NULL, 'DUF3322', 16816),
(16817, 'PF16753', NULL, 'TNF-alpha-Inducing protein of Helicobacter', 150, NULL, 'Tipalpha', 16817);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16818, 'PF14060', NULL, 'Domain of unknown function (DUF4252)', 125, NULL, 'DUF4252', 16818),
(16819, 'PF16788', NULL, 'ATF-interacting protein binding domain', 221, NULL, 'ATF7IP_BD', 16819),
(16820, 'PF14677', NULL, 'FANCI solenoid 3', 215, NULL, 'FANCI_S3', 16820),
(16821, 'PF00676', NULL, 'Dehydrogenase E1 component', 300, NULL, 'E1_dh', 16821),
(16822, 'PF15060', NULL, 'Differentiation and proliferation regulator', 110, NULL, 'PPDFL', 16822),
(16823, 'PF09665', NULL, 'Type II restriction endonuclease (RE_Alw26IDE)', 507, NULL, 'RE_Alw26IDE', 16823),
(16824, 'PF16143', NULL, 'Domain of unknown function (DUF4851)', 195, NULL, 'DUF4851', 16824),
(16825, 'PF07412', NULL, 'Geminin', 195, NULL, 'Geminin', 16825),
(16826, 'PF19134', NULL, 'Family of unknown function (DUF5817)', 51, NULL, 'DUF5817', 16826),
(16827, 'PF01419', NULL, 'Jacalin-like lectin domain', 133, NULL, 'Jacalin', 16827),
(16828, 'PF01566', NULL, 'Natural resistance-associated macrophage protein', 358, NULL, 'Nramp', 16828),
(16829, 'PF16874', NULL, 'Glycosyl hydrolase family 36 C-terminal domain', 77, NULL, 'Glyco_hydro_36C', 16829),
(16830, 'PF05102', NULL, 'holin, BlyA family', 61, NULL, 'Holin_BlyA', 16830),
(16831, 'PF02513', NULL, 'Spin/Ssty Family', 50, NULL, 'Spin-Ssty', 16831),
(16832, 'PF02617', NULL, 'ATP-dependent Clp protease adaptor protein ClpS', 80, NULL, 'ClpS', 16832),
(16833, 'PF12855', NULL, 'ECL1/2/3 zinc binding proteins', 174, NULL, 'Ecl1', 16833),
(16834, 'PF07366', NULL, 'SnoaL-like polyketide cyclase', 126, NULL, 'SnoaL', 16834),
(16835, 'PF05148', NULL, 'Hypothetical methyltransferase', 219, NULL, 'Methyltransf_8', 16835),
(16836, 'PF10957', NULL, 'Sporulation protein Cse60', 60, NULL, 'Spore_Cse60', 16836),
(16837, 'PF02819', NULL, 'Spider toxin', 44, NULL, 'Toxin_9', 16837),
(16838, 'PF17811', NULL, 'Jumonji helical domain', 104, NULL, 'JHD', 16838),
(16839, 'PF17115', NULL, 'N-terminal domain of toast_rack, DUF2154', 92, NULL, 'Toast_rack_N', 16839),
(16840, 'PF00630', NULL, 'Filamin/ABP280 repeat', 103, NULL, 'Filamin', 16840),
(16841, 'PF00021', NULL, 'u-PAR/Ly-6 domain', 77, NULL, 'UPAR_LY6', 16841),
(16842, 'PF00250', NULL, 'Forkhead domain', 88, NULL, 'Forkhead', 16842),
(16843, 'PF14041', NULL, 'LppP/LprE lipoprotein', 88, NULL, 'Lipoprotein_21', 16843),
(16844, 'PF05116', NULL, 'Sucrose-6F-phosphate phosphohydrolase', 247, NULL, 'S6PP', 16844),
(16845, 'PF17019', NULL, 'Domain of unknown function (DUF5096)', 192, NULL, 'DUF5096', 16845),
(16846, 'PF10125', NULL, 'NADH dehydrogenase I, subunit N related protein', 218, NULL, 'NADHdeh_related', 16846),
(16847, 'PF05545', NULL, 'Cbb3-type cytochrome oxidase component FixQ', 49, NULL, 'FixQ', 16847),
(16848, 'PF04866', NULL, 'Rotavirus non-structural protein 6', 92, NULL, 'Rota_NS6', 16848),
(16849, 'PF15280', NULL, 'Protein aurora borealis N-terminus', 223, NULL, 'BORA_N', 16849),
(16850, 'PF18217', NULL, 'Zap1 zinc finger 2', 24, NULL, 'Zap1_zf2', 16850),
(16851, 'PF15213', NULL, 'CMT1A duplicated region transcript 4 protein', 137, NULL, 'CDRT4', 16851),
(16852, 'PF17800', NULL, 'Nucleoplasmin-like domain', 113, NULL, 'NPL', 16852),
(16853, 'PF10405', NULL, 'Rad4 beta-hairpin domain 3', 76, NULL, 'BHD_3', 16853),
(16854, 'PF09735', NULL, 'Membrane-associated apoptosis protein', 1119, NULL, 'Nckap1', 16854),
(16855, 'PF01931', NULL, 'Protein of unknown function DUF84', 163, NULL, 'NTPase_I-T', 16855),
(16856, 'PF02863', NULL, 'Arginine repressor, C-terminal domain', 68, NULL, 'Arg_repressor_C', 16856),
(16857, 'PF09331', NULL, 'Domain of unknown function (DUF1985)', 141, NULL, 'DUF1985', 16857),
(16858, 'PF02999', NULL, 'Borrelia orf-D family', 100, NULL, 'Borrelia_orfD', 16858),
(16859, 'PF12461', NULL, 'Protein of unknown function (DUF3688)', 715, NULL, 'DUF3688', 16859),
(16860, 'PF16190', NULL, 'Ubiquitin-activating enzyme E1 FCCH domain', 71, NULL, 'E1_FCCH', 16860),
(16861, 'PF18413', NULL, 'Neuraminidase-like domain', 169, NULL, 'Neuraminidase', 16861);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16862, 'PF05318', NULL, 'Tombusvirus movement protein', 68, NULL, 'Tombus_movement', 16862),
(16863, 'PF06120', NULL, 'Tail length tape measure protein', 288, NULL, 'Phage_HK97_TLTM', 16863),
(16864, 'PF03468', NULL, 'XS domain', 113, NULL, 'XS', 16864),
(16865, 'PF00036', NULL, 'EF hand', 29, NULL, 'EF-hand_1', 16865),
(16866, 'PF08197', NULL, 'pORF2a truncated protein', 49, NULL, 'TT_ORF2a', 16866),
(16867, 'PF18377', NULL, 'FERM F2 acyl-CoA binding protein-like domain', 131, NULL, 'FERM_F2', 16867),
(16868, 'PF03898', NULL, 'Satellite tobacco necrosis virus coat protein', 198, NULL, 'TNV_CP', 16868),
(16869, 'PF09982', NULL, 'Uncharacterized protein conserved in bacteria (DUF2219)', 287, NULL, 'DUF2219', 16869),
(16870, 'PF18046', NULL, 'FKBP26_C-terminal', 72, NULL, 'FKBP26_C', 16870),
(16871, 'PF01193', NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', 74, NULL, 'RNA_pol_L', 16871),
(16872, 'PF16643', NULL, 'Unstructured region on cNMP-binding protein', 155, NULL, 'cNMPbd_u2', 16872),
(16873, 'PF15908', NULL, 'Hyaluronan mediated motility receptor C-terminal', 157, NULL, 'HMMR_C', 16873),
(16874, 'PF11027', NULL, 'Protein of unknown function (DUF2615)', 106, NULL, 'DUF2615', 16874),
(16875, 'PF07262', NULL, 'CDI immunity protein', 155, NULL, 'CdiI', 16875),
(16876, 'PF02753', NULL, 'Pili assembly chaperone PapD, C-terminal domain', 63, NULL, 'PapD_C', 16876),
(16877, 'PF14820', NULL, 'Small proline-rich 2', 68, NULL, 'SPRR2', 16877),
(16878, 'PF12604', NULL, 'Tail fibre protein gp37 C terminal', 166, NULL, 'gp37_C', 16878),
(16879, 'PF01713', NULL, 'Smr domain', 80, NULL, 'Smr', 16879),
(16880, 'PF15434', NULL, 'Family 104', 109, NULL, 'FAM104', 16880),
(16881, 'PF18055', NULL, '26S proteasome regulatory subunit RPN6 N-terminal domain', 117, NULL, 'RPN6_N', 16881),
(16882, 'PF12026', NULL, 'Crk-Associated Substrate C-terminal domain', 206, NULL, 'CAS_C', 16882),
(16883, 'PF18624', NULL, 'CDI immunity protein', 104, NULL, 'CdiI_4', 16883),
(16884, 'PF15878', NULL, 'Domain of unknown function (DUF4733)', 94, NULL, 'DUF4733', 16884),
(16885, 'PF04813', NULL, 'Hepatocyte nuclear factor 1 (HNF-1), alpha isoform C terminus', 89, NULL, 'HNF-1A_C', 16885),
(16886, 'PF18793', NULL, 'Nitrous oxide reductase propeller repeat 2', 70, NULL, 'nos_propeller_2', 16886),
(16887, 'PF06985', NULL, 'Heterokaryon incompatibility protein (HET)', 146, NULL, 'HET', 16887),
(16888, 'PF18126', NULL, 'Mitochondrial ribosomal protein mL59', 129, NULL, 'Mitoc_mL59', 16888),
(16889, 'PF14502', NULL, 'Helix-turn-helix domain', 48, NULL, 'HTH_41', 16889),
(16890, 'PF08161', NULL, 'NUC173 domain', 204, NULL, 'NUC173', 16890),
(16891, 'PF06160', NULL, 'Septation ring formation regulator, EzrA', 557, NULL, 'EzrA', 16891),
(16892, 'PF05014', NULL, 'Nucleoside 2-deoxyribosyltransferase', 130, NULL, 'Nuc_deoxyrib_tr', 16892),
(16893, 'PF14789', NULL, 'Tetrahydrodipicolinate N-succinyltransferase middle', 41, NULL, 'THDPS_M', 16893),
(16894, 'PF15575', NULL, 'Immunity protein 49', 214, NULL, 'Imm49', 16894),
(16895, 'PF03112', NULL, 'Uncharacterized protein family (ORF7) DUF', 161, NULL, 'DUF244', 16895),
(16896, 'PF08538', NULL, 'Protein of unknown function (DUF1749)', 299, NULL, 'DUF1749', 16896),
(16897, 'PF09044', NULL, 'Kp4', 125, NULL, 'Kp4', 16897),
(16898, 'PF05436', NULL, 'Mating factor alpha precursor N-terminus', 88, NULL, 'MF_alpha_N', 16898),
(16899, 'PF13053', NULL, 'Protein of unknown function (DUF3914)', 89, NULL, 'DUF3914', 16899),
(16900, 'PF08129', NULL, 'Alpha/beta enterocin family', 57, NULL, 'Antimicrobial17', 16900),
(16901, 'PF15794', NULL, 'Coiled-coil domain-containing protein 106', 225, NULL, 'CCDC106', 16901),
(16902, 'PF14617', NULL, 'U3-containing 90S pre-ribosomal complex subunit', 252, NULL, 'CMS1', 16902),
(16903, 'PF09910', NULL, 'Uncharacterized protein conserved in archaea (DUF2139)', 340, NULL, 'DUF2139', 16903),
(16904, 'PF18128', NULL, 'Hydrogen maturase F dimerization domain', 99, NULL, 'HydF_dimer', 16904);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16905, 'PF01986', NULL, 'Domain of unknown function DUF123', 95, NULL, 'DUF123', 16905),
(16906, 'PF11680', NULL, 'Protein of unknown function (DUF3276)', 131, NULL, 'DUF3276', 16906),
(16907, 'PF07798', NULL, 'Protein of unknown function (DUF1640)', 175, NULL, 'DUF1640', 16907),
(16908, 'PF03659', NULL, 'Glycosyl hydrolase family 71', 376, NULL, 'Glyco_hydro_71', 16908),
(16909, 'PF13771', NULL, 'PHD-like zinc-binding domain', 90, NULL, 'zf-HC5HC2H', 16909),
(16910, 'PF11021', NULL, 'Protein of unknown function (DUF2613)', 55, NULL, 'DUF2613', 16910),
(16911, 'PF09184', NULL, 'PPP4R2', 289, NULL, 'PPP4R2', 16911),
(16912, 'PF14561', NULL, 'Tetratricopeptide repeat', 90, NULL, 'TPR_20', 16912),
(16913, 'PF01167', NULL, 'Tub family', 256, NULL, 'Tub', 16913),
(16914, 'PF07860', NULL, 'WisP family C-Terminal Region', 130, NULL, 'CCD', 16914),
(16915, 'PF05614', NULL, 'Circovirus protein of unknown function (DUF782)', 104, NULL, 'DUF782', 16915),
(16916, 'PF17262', NULL, 'Cas6b C-terminal domain', 114, NULL, 'Cas6b_C', 16916),
(16917, 'PF14327', NULL, 'Hinge domain of cleavage stimulation factor subunit 2', 81, NULL, 'CSTF2_hinge', 16917),
(16918, 'PF12085', NULL, 'Protein of unknown function (DUF3562)', 60, NULL, 'DUF3562', 16918),
(16919, 'PF18905', NULL, 'Protein of unknown function (DUF5661)', 71, NULL, 'DUF5661', 16919),
(16920, 'PF05636', NULL, 'HIGH Nucleotidyl Transferase', 405, NULL, 'HIGH_NTase1', 16920),
(16921, 'PF05796', NULL, 'Chordopoxvirus protein G2', 215, NULL, 'Chordopox_G2', 16921),
(16922, 'PF00728', NULL, 'Glycosyl hydrolase family 20, catalytic domain', 354, NULL, 'Glyco_hydro_20', 16922),
(16923, 'PF07318', NULL, 'Protein of unknown function (DUF1464)', 327, NULL, 'DUF1464', 16923),
(16924, 'PF14088', NULL, 'Domain of unknown function (DUF4268)', 140, NULL, 'DUF4268', 16924),
(16925, 'PF17612', NULL, 'Family of unknown function (DUF5507)', 160, NULL, 'DUF5507', 16925),
(16926, 'PF09748', NULL, 'Transcription factor subunit Med10 of Mediator complex', 121, NULL, 'Med10', 16926),
(16927, 'PF09849', NULL, 'Uncharacterized protein conserved in bacteria (DUF2076)', 259, NULL, 'DUF2076', 16927),
(16928, 'PF03943', NULL, 'TAP C-terminal domain', 49, NULL, 'TAP_C', 16928),
(16929, 'PF05498', NULL, 'Rapid ALkalinization Factor (RALF)', 65, NULL, 'RALF', 16929),
(16930, 'PF15831', NULL, 'Domain of unknown function (DUF4713)', 56, NULL, 'DUF4713', 16930),
(16931, 'PF13210', NULL, 'Domain of unknown function (DUF4018)', 195, NULL, 'DUF4018', 16931),
(16932, 'PF04349', NULL, 'Periplasmic glucan biosynthesis protein, MdoG', 477, NULL, 'MdoG', 16932),
(16933, 'PF02959', NULL, 'HTLV Tax', 222, NULL, 'Tax', 16933),
(16934, 'PF11859', NULL, 'Protein of unknown function (DUF3379)', 232, NULL, 'DUF3379', 16934),
(16935, 'PF18778', NULL, 'Novel AID APOBEC clade 1', 174, NULL, 'NAD1', 16935),
(16936, 'PF13933', NULL, 'Putative peptidase family', 245, NULL, 'HRXXH', 16936),
(16937, 'PF09028', NULL, 'Mac 1', 353, NULL, 'Mac-1', 16937),
(16938, 'PF07326', NULL, 'Regulator of chromosome segregation 1', 232, NULL, 'RCS1', 16938),
(16939, 'PF09427', NULL, 'Domain of unknown function (DUF2014)', 263, NULL, 'DUF2014', 16939),
(16940, 'PF18854', NULL, 'Bacterial archaeo-eukaryotic release factor family 10', 143, NULL, 'baeRF_family10', 16940),
(16941, 'PF10218', NULL, 'Uncharacterized conserved protein (DUF2054)', 131, NULL, 'DUF2054', 16941),
(16942, 'PF03891', NULL, 'Domain of unknown function (DUF333)', 48, NULL, 'DUF333', 16942),
(16943, 'PF01207', NULL, 'Dihydrouridine synthase (Dus)', 310, NULL, 'Dus', 16943),
(16944, 'PF12790', NULL, 'Type VI secretion lipoprotein, VasD, EvfM, TssJ, VC_A0113', 120, NULL, 'T6SS-SciN', 16944),
(16945, 'PF15195', NULL, 'TMEM210 family', 114, NULL, 'TMEM210', 16945),
(16946, 'PF00116', NULL, 'Cytochrome C oxidase subunit II, periplasmic domain', 120, NULL, 'COX2', 16946),
(16947, 'PF12471', NULL, 'GTP cyclohydrolase N terminal', 193, NULL, 'GTP_CH_N', 16947);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16948, 'PF09749', NULL, 'Uncharacterised conserved protein', 238, NULL, 'HVSL', 16948),
(16949, 'PF16819', NULL, 'Domain of unknown function (DUF5074)', 115, NULL, 'DUF5074', 16949),
(16950, 'PF12398', NULL, 'Receptor serine/threonine kinase', 42, NULL, 'DUF3660', 16950),
(16951, 'PF12602', NULL, 'Fertility inhibition protein N terminal', 62, NULL, 'FinO_N', 16951),
(16952, 'PF06545', NULL, 'Protein of unknown function (DUF1116)', 215, NULL, 'DUF1116', 16952),
(16953, 'PF05367', NULL, 'Phage endonuclease I', 149, NULL, 'Phage_endo_I', 16953),
(16954, 'PF08095', NULL, 'Hefutoxin family', 22, NULL, 'Toxin_25', 16954),
(16955, 'PF02113', NULL, 'D-Ala-D-Ala carboxypeptidase 3 (S13) family', 444, NULL, 'Peptidase_S13', 16955),
(16956, 'PF06005', NULL, 'Cell division protein ZapB', 71, NULL, 'ZapB', 16956),
(16957, 'PF07554', NULL, 'FIVAR domain', 71, NULL, 'FIVAR', 16957),
(16958, 'PF17971', NULL, 'Leukemia inhibitory factor receptor D2 domain', 114, NULL, 'LIFR_D2', 16958),
(16959, 'PF14685', NULL, 'Tricorn protease PDZ domain', 88, NULL, 'Tricorn_PDZ', 16959),
(16960, 'PF05362', NULL, 'Lon protease (S16) C-terminal proteolytic domain', 205, NULL, 'Lon_C', 16960),
(16961, 'PF13728', NULL, 'F plasmid transfer operon protein', 224, NULL, 'TraF', 16961),
(16962, 'PF02756', NULL, 'GYR motif', 18, NULL, 'GYR', 16962),
(16963, 'PF04999', NULL, 'Cell division protein FtsL', 97, NULL, 'FtsL', 16963),
(16964, 'PF11554', NULL, 'Protein of unknown function (DUF3232)', 152, NULL, 'DUF3232', 16964),
(16965, 'PF14192', NULL, 'Domain of unknown function (DUF4314)', 69, NULL, 'DUF4314', 16965),
(16966, 'PF02552', NULL, 'CO dehydrogenase beta subunit/acetyl-CoA synthase epsilon subunit', 168, NULL, 'CO_dh', 16966),
(16967, 'PF00368', NULL, 'Hydroxymethylglutaryl-coenzyme A reductase', 367, NULL, 'HMG-CoA_red', 16967),
(16968, 'PF18490', NULL, 'tRNA-binding domain', 160, NULL, 'tRNA_bind_4', 16968),
(16969, 'PF07259', NULL, 'ProSAAS precursor', 304, NULL, 'ProSAAS', 16969),
(16970, 'PF13306', NULL, 'BspA type Leucine rich repeat region (6 copies)', 128, NULL, 'LRR_5', 16970),
(16971, 'PF17247', NULL, 'Family of unknown function (DUF5316)', 74, NULL, 'DUF5316', 16971),
(16972, 'PF14110', NULL, 'Domain of unknown function (DUF4282)', 89, NULL, 'DUF4282', 16972),
(16973, 'PF10935', NULL, 'Protein of unknown function (DUF2637)', 161, NULL, 'DUF2637', 16973),
(16974, 'PF06648', NULL, 'Protein of unknown function (DUF1160)', 122, NULL, 'DUF1160', 16974),
(16975, 'PF17020', NULL, 'Domain of unknown function (DUF5097)', 119, NULL, 'DUF5097', 16975),
(16976, 'PF09595', NULL, 'Metaviral_G glycoprotein', 183, NULL, 'Metaviral_G', 16976),
(16977, 'PF18285', NULL, 'Tetracycline repressor LuxT C-terminal domain', 87, NULL, 'LuxT_C', 16977),
(16978, 'PF15378', NULL, 'Domain of unknown function (DUF4605)', 59, NULL, 'DUF4605', 16978),
(16979, 'PF07477', NULL, 'Glycosyl hydrolase family 67 C-terminus', 223, NULL, 'Glyco_hydro_67C', 16979),
(16980, 'PF11894', NULL, 'Nuclear pore complex scaffold, nucleoporins 186/192/205', 1696, NULL, 'Nup192', 16980),
(16981, 'PF01978', NULL, 'Sugar-specific transcriptional regulator TrmB', 68, NULL, 'TrmB', 16981),
(16982, 'PF10174', NULL, 'RIM-binding protein of the cytomatrix active zone', 763, NULL, 'Cast', 16982),
(16983, 'PF06575', NULL, 'Protein of unknown function (DUF1132)', 94, NULL, 'DUF1132', 16983),
(16984, 'PF14608', NULL, 'RNA-binding, Nab2-type zinc finger', 19, NULL, 'zf-CCCH_2', 16984),
(16985, 'PF11293', NULL, 'Protein of unknown function (DUF3094)', 55, NULL, 'DUF3094', 16985),
(16986, 'PF06210', NULL, 'Protein of unknown function (DUF1003)', 104, NULL, 'DUF1003', 16986),
(16987, 'PF02948', NULL, 'Amelogenin', 173, NULL, 'Amelogenin', 16987),
(16988, 'PF10168', NULL, 'Nuclear pore component', 713, NULL, 'Nup88', 16988),
(16989, 'PF12837', NULL, '4Fe-4S binding domain', 24, NULL, 'Fer4_6', 16989),
(16990, 'PF12106', NULL, 'Colicin E5 ribonuclease domain', 90, NULL, 'Colicin_E5', 16990);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(16991, 'PF18231', NULL, 'Domain of unknown function (DUF5603)', 105, NULL, 'DUF5603', 16991),
(16992, 'PF09783', NULL, 'Vacuolar import and degradation protein', 162, NULL, 'Vac_ImportDeg', 16992),
(16993, 'PF17763', NULL, 'Glutaminase/Asparaginase C-terminal domain', 114, NULL, 'Asparaginase_C', 16993),
(16994, 'PF00913', NULL, 'Trypanosome variant surface glycoprotein (A-type)', 367, NULL, 'Trypan_glycop', 16994),
(16995, 'PF00030', NULL, 'Beta/Gamma crystallin', 82, NULL, 'Crystall', 16995),
(16996, 'PF00283', NULL, 'Cytochrome b559, alpha (gene psbE) and beta (gene psbF)subunits', 29, NULL, 'Cytochrom_B559', 16996),
(16997, 'PF03024', NULL, 'Folate receptor family', 172, NULL, 'Folate_rec', 16997),
(16998, 'PF06286', NULL, 'Coleoptericin', 143, NULL, 'Coleoptericin', 16998),
(16999, 'PF18406', NULL, 'Ferredoxin-like domain in Api92-like protein', 87, NULL, 'DUF1281_C', 16999),
(17000, 'PF11378', NULL, 'Protein of unknown function (DUF3181)', 90, NULL, 'DUF3181', 17000),
(17001, 'PF06046', NULL, 'Exocyst complex component Sec6', 576, NULL, 'Sec6', 17001),
(17002, 'PF16829', NULL, 'Avirulence protein ATR13, RxLR effector', 101, NULL, 'ATR13', 17002),
(17003, 'PF11058', NULL, 'Antirestriction protein Ral', 66, NULL, 'Ral', 17003),
(17004, 'PF16956', NULL, 'Putative general bacterial porin', 274, NULL, 'Porin_7', 17004),
(17005, 'PF17964', NULL, 'Bacterial Ig domain', 182, NULL, 'Big_10', 17005),
(17006, 'PF12159', NULL, 'Protein of unknown function (DUF3593)', 88, NULL, 'DUF3593', 17006),
(17007, 'PF16425', NULL, 'Domain of unknown function (DUF5022)', 279, NULL, 'DUF5022', 17007),
(17008, 'PF07245', NULL, 'Phlebovirus glycoprotein G2 fusion domain', 325, NULL, 'Phlebovirus_G2', 17008),
(17009, 'PF11741', NULL, 'AMIN domain', 97, NULL, 'AMIN', 17009),
(17010, 'PF18770', NULL, 'Armadillo tether-repeat of vescicular transport factor', 61, NULL, 'Arm_vescicular', 17010),
(17011, 'PF17448', NULL, 'Uncharacterized YqaH-like', 88, NULL, 'YqaH', 17011),
(17012, 'PF09294', NULL, 'Interferon-alpha/beta receptor, fibronectin type III', 104, NULL, 'Interfer-bind', 17012),
(17013, 'PF15271', NULL, 'Spindle pole body component BBP1, Mps2-binding protein', 152, NULL, 'BBP1_N', 17013),
(17014, 'PF01325', NULL, 'Iron dependent repressor, N-terminal DNA binding domain', 60, NULL, 'Fe_dep_repress', 17014),
(17015, 'PF13690', NULL, 'Chemotaxis phosphatase CheX', 94, NULL, 'CheX', 17015),
(17016, 'PF16692', NULL, 'Folliculin C-terminal domain', 226, NULL, 'Folliculin_C', 17016),
(17017, 'PF06297', NULL, 'PET Domain', 85, NULL, 'PET', 17017),
(17018, 'PF19185', NULL, 'Family of unknown function (DUF5867)', 274, NULL, 'DUF5867', 17018),
(17019, 'PF05573', NULL, 'NosL', 131, NULL, 'NosL', 17019),
(17020, 'PF01997', NULL, 'Translin family', 205, NULL, 'Translin', 17020),
(17021, 'PF17583', NULL, 'Family of unknown function (DUF5484)', 43, NULL, 'DUF5484', 17021),
(17022, 'PF13045', NULL, 'Protein of unknown function (DUF3905)', 84, NULL, 'DUF3905', 17022),
(17023, 'PF06910', NULL, 'Male enhanced antigen 1 (MEA1)', 128, NULL, 'MEA1', 17023),
(17024, 'PF08074', NULL, 'CHDCT2 (NUC038) domain', 126, NULL, 'CHDCT2', 17024),
(17025, 'PF00458', NULL, 'WHEP-TRS domain', 53, NULL, 'WHEP-TRS', 17025),
(17026, 'PF10241', NULL, 'Uncharacterized conserved protein', 86, NULL, 'KxDL', 17026),
(17027, 'PF15175', NULL, 'Spermatogenesis-associated protein 24', 182, NULL, 'SPATA24', 17027),
(17028, 'PF02458', NULL, 'Transferase family', 434, NULL, 'Transferase', 17028),
(17029, 'PF14638', NULL, 'Folliculin-interacting protein C-terminus', 190, NULL, 'FNIP_C', 17029),
(17030, 'PF06723', NULL, 'MreB/Mbl protein', 327, NULL, 'MreB_Mbl', 17030),
(17031, 'PF17074', NULL, 'Darcynin, domain of unknown function', 124, NULL, 'Darcynin', 17031),
(17032, 'PF14489', NULL, 'QueF-like protein', 81, NULL, 'QueF', 17032),
(17033, 'PF05643', NULL, 'Putative bacterial lipoprotein (DUF799)', 185, NULL, 'DUF799', 17033),
(17034, 'PF09945', NULL, 'Predicted membrane protein (DUF2177)', 124, NULL, 'DUF2177', 17034);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17035, 'PF02622', NULL, 'Uncharacterized ACR, COG1678', 160, NULL, 'DUF179', 17035),
(17036, 'PF12296', NULL, 'Hydrophobic surface binding protein A', 120, NULL, 'HsbA', 17036),
(17037, 'PF02428', NULL, 'Potato type II proteinase inhibitor family', 51, NULL, 'Prot_inhib_II', 17037),
(17038, 'PF03107', NULL, 'C1 domain', 47, NULL, 'C1_2', 17038),
(17039, 'PF07523', NULL, 'Bacterial Ig-like domain (group 3)', 68, NULL, 'Big_3', 17039),
(17040, 'PF16500', NULL, 'N-terminal region of cyclin_N', 135, NULL, 'Cyclin_N2', 17040),
(17041, 'PF04578', NULL, 'Protein of unknown function, DUF594', 55, NULL, 'DUF594', 17041),
(17042, 'PF11776', NULL, 'Nickel/cobalt transporter regulator', 51, NULL, 'RcnB', 17042),
(17043, 'PF10338', NULL, 'Protein of unknown function (DUF2423)', 44, NULL, 'DUF2423', 17043),
(17044, 'PF09068', NULL, 'EF hand', 123, NULL, 'EF-hand_2', 17044),
(17045, 'PF09519', NULL, 'HindVP restriction endonuclease', 332, NULL, 'RE_HindVP', 17045),
(17046, 'PF09874', NULL, 'Predicted membrane protein (DUF2101)', 206, NULL, 'DUF2101', 17046),
(17047, 'PF18167', NULL, 'SMODS-associated NUDIX domain', 200, NULL, 'Sa_NUDIX', 17047),
(17048, 'PF14390', NULL, 'Putative  PD-(D/E)XK family member, (DUF4420)', 305, NULL, 'DUF4420', 17048),
(17049, 'PF05131', NULL, 'Pep3/Vps18/deep orange family', 149, NULL, 'Pep3_Vps18', 17049),
(17050, 'PF05511', NULL, 'Mitochondrial ATP synthase coupling factor 6', 98, NULL, 'ATP-synt_F6', 17050),
(17051, 'PF14790', NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', 168, NULL, 'THDPS_N', 17051),
(17052, 'PF18205', NULL, 'VPDSG-CTERM motif', 26, NULL, 'VPDSG-CTERM', 17052),
(17053, 'PF01796', NULL, 'DUF35 OB-fold domain, acyl-CoA-associated', 65, NULL, 'OB_aCoA_assoc', 17053),
(17054, 'PF16716', NULL, 'Bone marrow stromal antigen 2', 91, NULL, 'BST2', 17054),
(17055, 'PF11094', NULL, 'Membrane-associated tegument protein', 39, NULL, 'UL11', 17055),
(17056, 'PF11704', NULL, 'Vesicle coat protein involved in Golgi to plasma membrane transport', 185, NULL, 'Folliculin', 17056),
(17057, 'PF14626', NULL, 'Zc3h12a-like Ribonuclease NYN domain', 122, NULL, 'RNase_Zc3h12a_2', 17057),
(17058, 'PF04443', NULL, 'Acyl-protein synthetase, LuxE', 375, NULL, 'LuxE', 17058),
(17059, 'PF00418', NULL, 'Tau and MAP protein, tubulin-binding repeat', 31, NULL, 'Tubulin-binding', 17059),
(17060, 'PF08693', NULL, 'Transmembrane alpha-helix domain', 38, NULL, 'SKG6', 17060),
(17061, 'PF18958', NULL, 'Putative zinc dependent peptidase (DUF5700)', 283, NULL, 'DUF5700', 17061),
(17062, 'PF17613', NULL, 'Modifier of transcription', 162, NULL, 'motB', 17062),
(17063, 'PF06214', NULL, 'Signaling lymphocytic activation molecule (SLAM) protein', 125, NULL, 'SLAM', 17063),
(17064, 'PF16364', NULL, 'Cell surface antigen C-terminus', 171, NULL, 'Antigen_C', 17064),
(17065, 'PF02886', NULL, 'LBP / BPI / CETP family, C-terminal domain', 238, NULL, 'LBP_BPI_CETP_C', 17065),
(17066, 'PF00133', NULL, 'tRNA synthetases class I (I, L, M and V)', 602, NULL, 'tRNA-synt_1', 17066),
(17067, 'PF05394', NULL, 'Avirulence protein', 326, NULL, 'AvrB_AvrC', 17067),
(17068, 'PF05720', NULL, 'Cell-cell adhesion domain', 82, NULL, 'Dicty_CAD', 17068),
(17069, 'PF13579', NULL, 'Glycosyl transferase 4-like domain', 159, NULL, 'Glyco_trans_4_4', 17069),
(17070, 'PF10498', NULL, 'Intra-flagellar transport protein 57', 359, NULL, 'IFT57', 17070),
(17071, 'PF07942', NULL, 'N2227-like protein', 272, NULL, 'N2227', 17071),
(17072, 'PF02571', NULL, 'Precorrin-6x reductase CbiJ/CobK', 233, NULL, 'CbiJ', 17072),
(17073, 'PF09322', NULL, 'Domain of unknown function (DUF1979)', 58, NULL, 'DUF1979', 17073),
(17074, 'PF04726', NULL, 'Microvirus J protein', 37, NULL, 'Microvir_J', 17074),
(17075, 'PF05264', NULL, 'Choristoneura fumiferana antifreeze protein (CfAFP)', 137, NULL, 'CfAFP', 17075),
(17076, 'PF18821', NULL, 'Large polyvalent protein-associated domain 7', 92, NULL, 'LPD7', 17076),
(17077, 'PF04466', NULL, 'Phage terminase large subunit', 201, NULL, 'Terminase_3', 17077);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17078, 'PF00159', NULL, 'Pancreatic hormone peptide', 35, NULL, 'Hormone_3', 17078),
(17079, 'PF16536', NULL, 'PNKP adenylyltransferase domain, C-terminal region', 60, NULL, 'PNKP-ligase_C', 17079),
(17080, 'PF10394', NULL, 'Histone acetyl transferase HAT1 N-terminus', 160, NULL, 'Hat1_N', 17080),
(17081, 'PF07662', NULL, 'Na+ dependent nucleoside transporter C-terminus', 209, NULL, 'Nucleos_tra2_C', 17081),
(17082, 'PF10040', NULL, 'CRISPR-associated endoribonuclease Cas6', 86, NULL, 'CRISPR_Cas6', 17082),
(17083, 'PF10918', NULL, 'Protein of unknown function (DUF2718)', 129, NULL, 'DUF2718', 17083),
(17084, 'PF15092', NULL, 'Uncharacterised protein family UPF0728', 88, NULL, 'UPF0728', 17084),
(17085, 'PF04799', NULL, 'fzo-like conserved region', 161, NULL, 'Fzo_mitofusin', 17085),
(17086, 'PF13109', NULL, 'AsmA-like C-terminal region', 214, NULL, 'AsmA_1', 17086),
(17087, 'PF13343', NULL, 'Bacterial extracellular solute-binding protein', 244, NULL, 'SBP_bac_6', 17087),
(17088, 'PF06753', NULL, 'Bradykinin', 19, NULL, 'Bradykinin', 17088),
(17089, 'PF00862', NULL, 'Sucrose synthase', 548, NULL, 'Sucrose_synth', 17089),
(17090, 'PF15760', NULL, 'Leukemia-associated protein 7', 194, NULL, 'DLEU7', 17090),
(17091, 'PF09100', NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain IV', 133, NULL, 'Qn_am_d_aIV', 17091),
(17092, 'PF07453', NULL, 'NUMOD1 domain', 37, NULL, 'NUMOD1', 17092),
(17093, 'PF14941', NULL, 'Transcriptional regulator, Out at first', 243, NULL, 'OAF', 17093),
(17094, 'PF15365', NULL, 'Proline-rich nuclear receptor coactivator motif', 20, NULL, 'PNRC', 17094),
(17095, 'PF16080', NULL, 'Bacteriophage holin family HP1', 56, NULL, 'Phage_holin_2_3', 17095),
(17096, 'PF02602', NULL, 'Uroporphyrinogen-III synthase HemD', 232, NULL, 'HEM4', 17096),
(17097, 'PF05488', NULL, 'PAAR motif', 70, NULL, 'PAAR_motif', 17097),
(17098, 'PF12365', NULL, 'Protein of unknown function (DUF3649)', 27, NULL, 'DUF3649', 17098),
(17099, 'PF12075', NULL, 'KN motif', 39, NULL, 'KN_motif', 17099),
(17100, 'PF14152', NULL, 'YfhE-like protein', 36, NULL, 'YfhE', 17100),
(17101, 'PF09030', NULL, 'Creb binding', 109, NULL, 'Creb_binding', 17101),
(17102, 'PF08397', NULL, 'IRSp53/MIM homology domain', 219, NULL, 'IMD', 17102),
(17103, 'PF09288', NULL, 'Fungal ubiquitin-associated domain', 55, NULL, 'UBA_3', 17103),
(17104, 'PF08530', NULL, 'X-Pro dipeptidyl-peptidase C-terminal non-catalytic domain', 217, NULL, 'PepX_C', 17104),
(17105, 'PF15502', NULL, 'M-phase-specific PLK1-interacting protein', 64, NULL, 'MPLKIP', 17105),
(17106, 'PF13733', NULL, 'N-terminal region of glycosyl transferase group 7', 134, NULL, 'Glyco_transf_7N', 17106),
(17107, 'PF07430', NULL, 'Phloem filament protein PP1 cystatin-like domain', 78, NULL, 'PP1', 17107),
(17108, 'PF13935', NULL, 'Ead/Ea22-like protein', 139, NULL, 'Ead_Ea22', 17108),
(17109, 'PF04552', NULL, 'Sigma-54, DNA binding domain', 160, NULL, 'Sigma54_DBD', 17109),
(17110, 'PF09569', NULL, 'ScaI restriction endonuclease', 192, NULL, 'RE_ScaI', 17110),
(17111, 'PF01818', NULL, 'Bacteriophage translational regulator', 121, NULL, 'Translat_reg', 17111),
(17112, 'PF06385', NULL, 'Baculovirus LEF-11 protein', 93, NULL, 'Baculo_LEF-11', 17112),
(17113, 'PF12901', NULL, 'SUZ-C motif', 33, NULL, 'SUZ-C', 17113),
(17114, 'PF10610', NULL, 'Thin aggregative fimbriae synthesis protein', 98, NULL, 'Tafi-CsgC', 17114),
(17115, 'PF15187', NULL, 'Oesophageal cancer-related gene 4', 114, NULL, 'Augurin', 17115),
(17116, 'PF04104', NULL, 'Eukaryotic and archaeal DNA primase, large subunit', 266, NULL, 'DNA_primase_lrg', 17116),
(17117, 'PF15385', NULL, 'Specifically androgen-regulated gene protein', 568, NULL, 'SARG', 17117),
(17118, 'PF11792', NULL, 'Baculoviridae late expression factor 5 C-terminal domain', 42, NULL, 'Baculo_LEF5_C', 17118),
(17119, 'PF11917', NULL, 'Protein of unknown function (DUF3435)', 418, NULL, 'DUF3435', 17119),
(17120, 'PF13336', NULL, 'Acetyl-CoA hydrolase/transferase C-terminal domain', 154, NULL, 'AcetylCoA_hyd_C', 17120);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17121, 'PF08548', NULL, 'Peptidase M10 serralysin C terminal', 193, NULL, 'Peptidase_M10_C', 17121),
(17122, 'PF10058', NULL, 'Predicted integral membrane zinc-ribbon metal-binding protein', 54, NULL, 'zinc_ribbon_10', 17122),
(17123, 'PF17549', NULL, 'Gene Product 17', 140, NULL, 'Phage_Gp17', 17123),
(17124, 'PF02828', NULL, 'L27 domain', 53, NULL, 'L27', 17124),
(17125, 'PF12509', NULL, 'Protein of unknown function (DUF3715)', 151, NULL, 'DUF3715', 17125),
(17126, 'PF08737', NULL, 'Rgp1', 416, NULL, 'Rgp1', 17126),
(17127, 'PF06484', NULL, 'Teneurin Intracellular Region', 367, NULL, 'Ten_N', 17127),
(17128, 'PF03802', NULL, 'Apo-citrate lyase phosphoribosyl-dephospho-CoA transferase', 165, NULL, 'CitX', 17128),
(17129, 'PF09600', NULL, 'Cyd operon protein YbgE (Cyd_oper_YbgE)', 79, NULL, 'Cyd_oper_YbgE', 17129),
(17130, 'PF13927', NULL, 'Immunoglobulin domain', 79, NULL, 'Ig_3', 17130),
(17131, 'PF17605', NULL, 'Family of unknown function (DUF5501)', 107, NULL, 'DUF5501', 17131),
(17132, 'PF10200', NULL, 'NADH:ubiquinone oxidoreductase, NDUFS5-15kDa', 96, NULL, 'Ndufs5', 17132),
(17133, 'PF17241', NULL, 'Gag-like protein', 154, NULL, 'DUF5314', 17133),
(17134, 'PF16886', NULL, 'ATPsynthase alpha/beta subunit N-term extension', 121, NULL, 'ATP-synt_ab_Xtn', 17134),
(17135, 'PF12420', NULL, 'Protein of unknown function', 115, NULL, 'DUF3671', 17135),
(17136, 'PF04757', NULL, 'Pex2 / Pex12 amino terminal region', 225, NULL, 'Pex2_Pex12', 17136),
(17137, 'PF06462', NULL, 'Propeller', 30, NULL, 'Hyd_WA', 17137),
(17138, 'PF00420', NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 4L', 105, NULL, 'Oxidored_q2', 17138),
(17139, 'PF06995', NULL, 'Phage P2 GpU', 120, NULL, 'Phage_P2_GpU', 17139),
(17140, 'PF09047', NULL, 'MEF2 binding', 35, NULL, 'MEF2_binding', 17140),
(17141, 'PF16416', NULL, 'ARM-like repeat domain, GUN4-N terminal', 83, NULL, 'GUN4_N', 17141),
(17142, 'PF11450', NULL, 'Protein of unknwon function (DUF3008)', 57, NULL, 'DUF3008', 17142),
(17143, 'PF07182', NULL, 'Protein of unknown function (DUF1402)', 300, NULL, 'DUF1402', 17143),
(17144, 'PF13027', NULL, 'Protein of unknown function (DUF3888)', 88, NULL, 'DUF3888', 17144),
(17145, 'PF04632', NULL, 'Fusaric acid resistance protein family', 657, NULL, 'FUSC', 17145),
(17146, 'PF17711', NULL, 'Family of unknown function (DUF5556)', 178, NULL, 'DUF5556', 17146),
(17147, 'PF12343', NULL, 'Cold shock protein DEAD box A', 74, NULL, 'DEADboxA', 17147),
(17148, 'PF09056', NULL, 'Prokaryotic phospholipase A2', 111, NULL, 'Phospholip_A2_3', 17148),
(17149, 'PF04180', NULL, 'Low temperature viability protein', 385, NULL, 'LTV', 17149),
(17150, 'PF17330', NULL, 'SWR1 chromatin-remodelling complex, sub-unit Swc7', 98, NULL, 'SWC7', 17150),
(17151, 'PF03850', NULL, 'Transcription factor Tfb4', 276, NULL, 'Tfb4', 17151),
(17152, 'PF04651', NULL, 'Poxvirus A12 protein', 183, NULL, 'Pox_A12', 17152),
(17153, 'PF08717', NULL, 'Coronavirus replicase NSP8', 197, NULL, 'CoV_NSP8', 17153),
(17154, 'PF00704', NULL, 'Glycosyl hydrolases family 18', 312, NULL, 'Glyco_hydro_18', 17154),
(17155, 'PF07890', NULL, 'Rrp15p', 134, NULL, 'Rrp15p', 17155),
(17156, 'PF09657', NULL, 'CRISPR-associated protein Csx8 (Cas_Csx8)', 489, NULL, 'Cas_Csx8', 17156),
(17157, 'PF11935', NULL, 'Domain of unknown function (DUF3453)', 227, NULL, 'DUF3453', 17157),
(17158, 'PF15837', NULL, 'Domain of unknown function (DUF4716)', 60, NULL, 'DUF4716', 17158),
(17159, 'PF07208', NULL, 'Protein of unknown function (DUF1414)', 44, NULL, 'DUF1414', 17159),
(17160, 'PF03101', NULL, 'FAR1 DNA-binding domain', 90, NULL, 'FAR1', 17160),
(17161, 'PF18284', NULL, 'DNA methylase N-terminal domain', 57, NULL, 'DNA_meth_N', 17161),
(17162, 'PF16805', NULL, 'Phage late-transcription coactivator', 69, NULL, 'Trans_coact', 17162),
(17163, 'PF05741', NULL, 'Nanos RNA binding domain', 54, NULL, 'zf-nanos', 17163),
(17164, 'PF16847', NULL, 'Avirulence AvrPtoB, BAK1-binding domain', 91, NULL, 'AvrPtoB_bdg', 17164);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17165, 'PF08762', NULL, 'CRPV capsid protein like', 199, NULL, 'CRPV_capsid', 17165),
(17166, 'PF03628', NULL, 'PapG chaperone-binding domain', 108, NULL, 'PapG_C', 17166),
(17167, 'PF10728', NULL, 'Domain of unknown function (DUF2520)', 126, NULL, 'DUF2520', 17167),
(17168, 'PF18226', NULL, 'LasR-specific antiactivator QslA chain E', 71, NULL, 'QslA_E', 17168),
(17169, 'PF03399', NULL, 'SAC3/GANP family', 294, NULL, 'SAC3_GANP', 17169),
(17170, 'PF08414', NULL, 'Respiratory burst NADPH oxidase', 101, NULL, 'NADPH_Ox', 17170),
(17171, 'PF16981', NULL, 'chi-Conotoxin or t superfamily', 60, NULL, 'Chi-conotoxin', 17171),
(17172, 'PF15070', NULL, 'Putative golgin subfamily A member 2-like protein 5', 523, NULL, 'GOLGA2L5', 17172),
(17173, 'PF07977', NULL, 'FabA-like domain', 138, NULL, 'FabA', 17173),
(17174, 'PF05392', NULL, 'Cytochrome C oxidase chain VIIB', 79, NULL, 'COX7B', 17174),
(17175, 'PF05650', NULL, 'Domain of unknown function (DUF802)', 53, NULL, 'DUF802', 17175),
(17176, 'PF11390', NULL, 'NADH-dependant formate dehydrogenase delta subunit FdsD', 61, NULL, 'FdsD', 17176),
(17177, 'PF18053', NULL, 'DNA gyrase B subunit insert domain', 167, NULL, 'GyrB_insert', 17177),
(17178, 'PF17101', NULL, 'Stealth protein CR1, conserved region 1', 29, NULL, 'Stealth_CR1', 17178),
(17179, 'PF10198', NULL, 'Histone acetyltransferases subunit 3', 132, NULL, 'Ada3', 17179),
(17180, 'PF15083', NULL, 'Colipase-like', 90, NULL, 'Colipase-like', 17180),
(17181, 'PF13811', NULL, 'Domain of unknown function (DUF4186)', 109, NULL, 'DUF4186', 17181),
(17182, 'PF17405', NULL, 'Nrap protein nucleotidyltransferase domain 4', 212, NULL, 'Nrap_D4', 17182),
(17183, 'PF17765', NULL, 'MmyB-like transcription regulator ligand binding domain', 168, NULL, 'MLTR_LBD', 17183),
(17184, 'PF03863', NULL, 'Phage maturation protein', 395, NULL, 'Phage_mat-A', 17184),
(17185, 'PF10769', NULL, 'Protein of unknown function (DUF2594)', 74, NULL, 'DUF2594', 17185),
(17186, 'PF09731', NULL, 'Mitochondrial inner membrane protein', 623, NULL, 'Mitofilin', 17186),
(17187, 'PF05529', NULL, 'Bap31/Bap29 transmembrane region', 138, NULL, 'Bap31', 17187),
(17188, 'PF15542', NULL, 'Bacterial toxin 50', 93, NULL, 'Ntox50', 17188),
(17189, 'PF10899', NULL, 'Putative abortive phage resistance protein AbiGi, antitoxin', 178, NULL, 'AbiGi', 17189),
(17190, 'PF04686', NULL, 'Streptomyces sporulation and cell division protein, SsgA', 98, NULL, 'SsgA', 17190),
(17191, 'PF17149', NULL, 'Periplasmic sensor domain found in signal transduction proteins', 108, NULL, 'CHASE5', 17191),
(17192, 'PF08804', NULL, 'gp32 DNA binding protein like', 208, NULL, 'gp32', 17192),
(17193, 'PF10271', NULL, 'Putative transmembrane protein', 433, NULL, 'Tmp39', 17193),
(17194, 'PF02090', NULL, 'Salmonella surface presentation of antigen gene type M protein', 140, NULL, 'SPAM', 17194),
(17195, 'PF07400', NULL, 'Interleukin 11', 170, NULL, 'IL11', 17195),
(17196, 'PF13930', NULL, 'DNA/RNA non-specific endonuclease', 133, NULL, 'Endonuclea_NS_2', 17196),
(17197, 'PF14263', NULL, 'Domain of unknown function (DUF4354)', 125, NULL, 'DUF4354', 17197),
(17198, 'PF12486', NULL, 'Type VI secretion system, EvfB, or VasL', 147, NULL, 'VasL', 17198),
(17199, 'PF10727', NULL, 'Rossmann-like domain', 127, NULL, 'Rossmann-like', 17199),
(17200, 'PF09884', NULL, 'Uncharacterized protein conserved in archaea (DUF2111)', 83, NULL, 'DUF2111', 17200),
(17201, 'PF02056', NULL, 'Family 4 glycosyl hydrolase', 183, NULL, 'Glyco_hydro_4', 17201),
(17202, 'PF07014', NULL, 'Hs1pro-1 protein C-terminus', 261, NULL, 'Hs1pro-1_C', 17202),
(17203, 'PF06003', NULL, 'Survival motor neuron protein (SMN)', 264, NULL, 'SMN', 17203),
(17204, 'PF12924', NULL, 'Copper-binding of amyloid precursor, CuBD', 57, NULL, 'APP_Cu_bd', 17204),
(17205, 'PF07325', NULL, 'Curtovirus V2 protein', 126, NULL, 'Curto_V2', 17205),
(17206, 'PF06934', NULL, 'Fatty acid cis/trans isomerase (CTI)', 691, NULL, 'CTI', 17206);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17207, 'PF18071', NULL, 'HMW1C N-terminal', 143, NULL, 'HMW1C_N', 17207),
(17208, 'PF00466', NULL, 'Ribosomal protein L10', 100, NULL, 'Ribosomal_L10', 17208),
(17209, 'PF00570', NULL, 'HRDC domain', 68, NULL, 'HRDC', 17209),
(17210, 'PF09626', NULL, 'Dihaem cytochrome c', 111, NULL, 'DHC', 17210),
(17211, 'PF05138', NULL, 'Phenylacetic acid catabolic protein', 261, NULL, 'PaaA_PaaC', 17211),
(17212, 'PF09737', NULL, 'De-etiolated protein 1 Det1', 411, NULL, 'Det1', 17212),
(17213, 'PF01054', NULL, 'Mouse mammary tumour virus superantigen', 184, NULL, 'MMTV_SAg', 17213),
(17214, 'PF13476', NULL, 'AAA domain', 200, NULL, 'AAA_23', 17214),
(17215, 'PF17487', NULL, 'Ribosomal protein S12', 87, NULL, 'Ribosomal_S12', 17215),
(17216, 'PF07495', NULL, 'Y_Y_Y domain', 66, NULL, 'Y_Y_Y', 17216),
(17217, 'PF04890', NULL, 'Family of unknown function (DUF648)', 287, NULL, 'DUF648', 17217),
(17218, 'PF03984', NULL, 'Repeat of unknown function (DUF346)', 39, NULL, 'DUF346', 17218),
(17219, 'PF12014', NULL, 'Domain of unknown function (DUF3506)', 141, NULL, 'DUF3506', 17219),
(17220, 'PF07739', NULL, 'TipAS antibiotic-recognition domain', 117, NULL, 'TipAS', 17220),
(17221, 'PF03840', NULL, 'Preprotein translocase SecG subunit', 71, NULL, 'SecG', 17221),
(17222, 'PF00043', NULL, 'Glutathione S-transferase, C-terminal domain', 93, NULL, 'GST_C', 17222),
(17223, 'PF11545', NULL, 'Cell surface heme-binding protein Shp', 152, NULL, 'HemeBinding_Shp', 17223),
(17224, 'PF06906', NULL, 'Protein of unknown function (DUF1272)', 57, NULL, 'DUF1272', 17224),
(17225, 'PF13727', NULL, 'CoA-binding domain', 175, NULL, 'CoA_binding_3', 17225),
(17226, 'PF15059', NULL, 'Speriolin C-terminus', 148, NULL, 'Speriolin_C', 17226),
(17227, 'PF04972', NULL, 'BON domain', 69, NULL, 'BON', 17227),
(17228, 'PF16186', NULL, 'Atypical Arm repeat', 53, NULL, 'Arm_3', 17228),
(17229, 'PF01928', NULL, 'CYTH domain', 179, NULL, 'CYTH', 17229),
(17230, 'PF16127', NULL, 'Domain of unknown function (DUF4839)', 123, NULL, 'DUF4839', 17230),
(17231, 'PF04377', NULL, 'Arginine-tRNA-protein transferase, C terminus', 134, NULL, 'ATE_C', 17231),
(17232, 'PF10242', NULL, 'Lipoma HMGIC fusion partner-like protein', 181, NULL, 'L_HMGIC_fpl', 17232),
(17233, 'PF10596', NULL, 'U6-snRNA interacting domain of PrP8', 159, NULL, 'U6-snRNA_bdg', 17233),
(17234, 'PF17286', NULL, 'PRMT5 oligomerisation domain', 177, NULL, 'PRMT5_C', 17234),
(17235, 'PF10438', NULL, 'Cyclo-malto-dextrinase C-terminal domain', 76, NULL, 'Cyc-maltodext_C', 17235),
(17236, 'PF16202', NULL, 'N-terminal region of Bloom syndrome protein', 369, NULL, 'BLM_N', 17236),
(17237, 'PF13928', NULL, 'Flocculin type 3 repeat', 44, NULL, 'Flocculin_t3', 17237),
(17238, 'PF14402', NULL, '7 transmembrane helices usually fused to an inactive transglutaminase', 248, NULL, '7TM_transglut', 17238),
(17239, 'PF13073', NULL, 'Protein of unknown function (DUF3937)', 72, NULL, 'DUF3937', 17239),
(17240, 'PF07270', NULL, 'Protein of unknown function (DUF1438)', 151, NULL, 'DUF1438', 17240),
(17241, 'PF12101', NULL, 'Protein of unknown function (DUF3577)', 133, NULL, 'DUF3577', 17241),
(17242, 'PF12556', NULL, 'Cobaltochelatase CobS subunit N terminal', 34, NULL, 'CobS_N', 17242),
(17243, 'PF06025', NULL, 'Domain of Unknown Function (DUF913)', 384, NULL, 'DUF913', 17243),
(17244, 'PF11605', NULL, 'Vacuolar protein sorting protein 36 Vps36', 92, NULL, 'Vps36_ESCRT-II', 17244),
(17245, 'PF07707', NULL, 'BTB And C-terminal Kelch', 103, NULL, 'BACK', 17245),
(17246, 'PF15063', NULL, 'Thyroid cancer protein 1', 75, NULL, 'TC1', 17246),
(17247, 'PF04715', NULL, 'Anthranilate synthase component I, N terminal region', 142, NULL, 'Anth_synt_I_N', 17247),
(17248, 'PF03969', NULL, 'AFG1-like ATPase', 361, NULL, 'AFG1_ATPase', 17248),
(17249, 'PF16793', NULL, 'RepB DNA-primase from phage plasmid', 240, NULL, 'RepB_primase', 17249),
(17250, 'PF18998', NULL, 'Divergent InlB B-repeat domain', 74, NULL, 'Flg_new_2', 17250);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17251, 'PF15191', NULL, 'Synaptonemal complex central element protein 3', 90, NULL, 'Synaptonemal_3', 17251),
(17252, 'PF12382', NULL, 'Retrotransposon peptidase', 137, NULL, 'Peptidase_A2_2', 17252),
(17253, 'PF05015', NULL, 'RelE-like toxin of type II toxin-antitoxin system HigB', 93, NULL, 'HigB-like_toxin', 17253),
(17254, 'PF01116', NULL, 'Fructose-bisphosphate aldolase class-II', 281, NULL, 'F_bP_aldolase', 17254),
(17255, 'PF05108', NULL, 'Type VII secretion system ESX-1, transport TM domain B', 474, NULL, 'T7SS_ESX1_EccB', 17255),
(17256, 'PF05428', NULL, 'Corticotropin-releasing factor binding protein (CRF-BP)', 307, NULL, 'CRF-BP', 17256),
(17257, 'PF15974', NULL, 'Cadherin C-terminal cytoplasmic tail, catenin-binding region', 133, NULL, 'Cadherin_tail', 17257),
(17258, 'PF03882', NULL, 'MukF winged-helix domain', 115, NULL, 'KicB', 17258),
(17259, 'PF06900', NULL, 'Protein of unknown function (DUF1270)', 53, NULL, 'DUF1270', 17259),
(17260, 'PF09358', NULL, 'Ubiquitin fold domain', 93, NULL, 'E1_UFD', 17260),
(17261, 'PF11049', NULL, 'Glycoprotein K1 of Kaposi''s sarcoma-associated herpes virus', 71, NULL, 'KSHV_K1', 17261),
(17262, 'PF03845', NULL, 'Spore germination protein', 321, NULL, 'Spore_permease', 17262),
(17263, 'PF13501', NULL, 'Sulfur oxidation protein SoxY', 112, NULL, 'SoxY', 17263),
(17264, 'PF16632', NULL, 'C-terminal region of Caskin', 63, NULL, 'Caskin-tail', 17264),
(17265, 'PF13609', NULL, 'Gram-negative porin', 312, NULL, 'Porin_4', 17265),
(17266, 'PF03343', NULL, 'SART-1 family', 619, NULL, 'SART-1', 17266),
(17267, 'PF08125', NULL, 'Mannitol dehydrogenase C-terminal domain', 246, NULL, 'Mannitol_dh_C', 17267),
(17268, 'PF04847', NULL, 'Calcipressin', 186, NULL, 'Calcipressin', 17268),
(17269, 'PF17839', NULL, 'C-terminal domain of cyclic nucleotide phosphodiesterase', 108, NULL, 'CNP_C_terminal', 17269),
(17270, 'PF17785', NULL, 'PUA-like domain', 64, NULL, 'PUA_3', 17270),
(17271, 'PF09596', NULL, 'MamL-1 domain', 58, NULL, 'MamL-1', 17271),
(17272, 'PF05824', NULL, 'Pro-melanin-concentrating hormone (Pro-MCH)', 86, NULL, 'Pro-MCH', 17272),
(17273, 'PF13487', NULL, 'HD domain', 64, NULL, 'HD_5', 17273),
(17274, 'PF11482', NULL, 'Protein of unknown function (DUF3208)', 108, NULL, 'DUF3208', 17274),
(17275, 'PF07804', NULL, 'HipA-like C-terminal domain', 212, NULL, 'HipA_C', 17275),
(17276, 'PF00299', NULL, 'Squash family serine protease inhibitor', 29, NULL, 'Squash', 17276),
(17277, 'PF12190', NULL, 'Fungal protease inhibitor', 91, NULL, 'amfpi-1', 17277),
(17278, 'PF13972', NULL, 'Bacterial transcriptional repressor', 144, NULL, 'TetR', 17278),
(17279, 'PF15936', NULL, 'Domain of unknown function (DUF4749)', 97, NULL, 'DUF4749', 17279),
(17280, 'PF10501', NULL, 'Ribosomal subunit 39S', 110, NULL, 'Ribosomal_L50', 17280),
(17281, 'PF17306', NULL, 'Family of unknown function (DUF5355)', 332, NULL, 'DUF5355', 17281),
(17282, 'PF10671', NULL, 'Toxin co-regulated pilus biosynthesis protein Q', 80, NULL, 'TcpQ', 17282),
(17283, 'PF13595', NULL, 'Domain of unknown function (DUF4138)', 245, NULL, 'DUF4138', 17283),
(17284, 'PF15361', NULL, 'Resistance to inhibitors of cholinesterase homologue 3', 143, NULL, 'RIC3', 17284),
(17285, 'PF14805', NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', 67, NULL, 'THDPS_N_2', 17285),
(17286, 'PF04014', NULL, 'Antidote-toxin recognition MazE, bacterial antitoxin', 46, NULL, 'MazE_antitoxin', 17286),
(17287, 'PF11095', NULL, 'Gem-associated protein 7 (Gemin7)', 76, NULL, 'Gemin7', 17287),
(17288, 'PF03645', NULL, 'Tctex-1 family', 103, NULL, 'Tctex-1', 17288),
(17289, 'PF15983', NULL, 'Domain of unknown function (DUF4767)', 139, NULL, 'DUF4767', 17289),
(17290, 'PF01413', NULL, 'C-terminal tandem repeated domain in type 4 procollagen', 109, NULL, 'C4', 17290),
(17291, 'PF11050', NULL, 'Virus envelope protein E26', 225, NULL, 'Viral_env_E26', 17291),
(17292, 'PF17537', NULL, 'Family of unknown function (DUF5455)', 102, NULL, 'DUF5455', 17292);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17293, 'PF15364', NULL, 'PAXIP1-associated-protein-1 C term PTIP binding protein', 135, NULL, 'PAXIP1_C', 17293),
(17294, 'PF09524', NULL, 'Conserved phage C-terminus (Phg_2220_C)', 74, NULL, 'Phg_2220_C', 17294),
(17295, 'PF06534', NULL, 'Repulsive guidance molecule (RGM) C-terminus', 175, NULL, 'RGM_C', 17295),
(17296, 'PF00023', NULL, 'Ankyrin repeat', 33, NULL, 'Ank', 17296),
(17297, 'PF17404', NULL, 'Nrap protein domain 3', 160, NULL, 'Nrap_D3', 17297),
(17298, 'PF12299', NULL, 'Protein of unknown function (DUF3627)', 94, NULL, 'DUF3627', 17298),
(17299, 'PF01806', NULL, 'Paramyxovirinae P phosphoprotein C-terminal region', 248, NULL, 'Paramyxo_P', 17299),
(17300, 'PF05701', NULL, 'Weak chloroplast movement under blue light', 562, NULL, 'WEMBL', 17300),
(17301, 'PF16397', NULL, 'Domain of unknown function (DUF5006)', 263, NULL, 'DUF5006', 17301),
(17302, 'PF03979', NULL, 'Sigma-70 factor, region 1.1', 82, NULL, 'Sigma70_r1_1', 17302),
(17303, 'PF08332', NULL, 'Calcium/calmodulin dependent protein kinase II association domain', 128, NULL, 'CaMKII_AD', 17303),
(17304, 'PF16078', NULL, '2-oxoglutarate dehydrogenase N-terminus', 41, NULL, '2-oxogl_dehyd_N', 17304),
(17305, 'PF15660', NULL, 'Putative Immunity protein 75', 84, NULL, 'Imm75', 17305),
(17306, 'PF15313', NULL, 'Hexamethylene bis-acetamide-inducible protein', 141, NULL, 'HEXIM', 17306),
(17307, 'PF18271', NULL, 'Glycoside hydrolase 131 catalytic N-terminal domain', 255, NULL, 'GH131_N', 17307),
(17308, 'PF14438', NULL, 'Ataxin 2 SM domain', 81, NULL, 'SM-ATX', 17308),
(17309, 'PF18667', NULL, 'Baseplate upper protein immunoglobulin like domain', 96, NULL, 'BppU_IgG', 17309),
(17310, 'PF06531', NULL, 'Protein of unknown function (DUF1108)', 84, NULL, 'DUF1108', 17310),
(17311, 'PF13726', NULL, 'Na+-H+ antiporter family', 88, NULL, 'Na_H_antiport_2', 17311),
(17312, 'PF05236', NULL, 'Transcription initiation factor TFIID component TAF4 family', 277, NULL, 'TAF4', 17312),
(17313, 'PF17881', NULL, 'Domain of unknown function (DUF5590)', 45, NULL, 'DUF5590', 17313),
(17314, 'PF12037', NULL, 'Domain of unknown function (DUF3523)', 265, NULL, 'DUF3523', 17314),
(17315, 'PF08569', NULL, 'Mo25-like', 328, NULL, 'Mo25', 17315),
(17316, 'PF02190', NULL, 'ATP-dependent protease La (LON) substrate-binding domain', 205, NULL, 'LON_substr_bdg', 17316),
(17317, 'PF14099', NULL, 'Polysaccharide lyase', 210, NULL, 'Polysacc_lyase', 17317),
(17318, 'PF12444', NULL, 'Sox developmental protein N terminal', 77, NULL, 'Sox_N', 17318),
(17319, 'PF15278', NULL, 'Sec3 exocyst complex subunit', 86, NULL, 'Sec3_C_2', 17319),
(17320, 'PF15643', NULL, 'Papain fold toxin 2', 102, NULL, 'Tox-PL-2', 17320),
(17321, 'PF16698', NULL, 'Membrane-proximal domain, switch, for ADAM17', 62, NULL, 'ADAM17_MPD', 17321),
(17322, 'PF04682', NULL, 'Herpesvirus BTRF1 protein conserved region', 259, NULL, 'Herpes_BTRF1', 17322),
(17323, 'PF18012', NULL, 'PH domain', 59, NULL, 'PH_17', 17323),
(17324, 'PF07514', NULL, 'Putative helicase', 325, NULL, 'TraI_2', 17324),
(17325, 'PF17835', NULL, 'NOG1 N-terminal helical domain', 160, NULL, 'NOG1_N', 17325),
(17326, 'PF12958', NULL, 'Protein of unknown function (DUF3847)', 81, NULL, 'DUF3847', 17326),
(17327, 'PF01493', NULL, 'GXGXG motif', 190, NULL, 'GXGXG', 17327),
(17328, 'PF17445', NULL, 'Mating factor A1', 42, NULL, 'Mfa1', 17328),
(17329, 'PF04090', NULL, 'RNA polymerase I specific initiation factor', 199, NULL, 'RNA_pol_I_TF', 17329),
(17330, 'PF15655', NULL, 'NTF2 fold immunity protein', 129, NULL, 'Imm-NTF2', 17330),
(17331, 'PF10666', NULL, 'Phage tail assembly chaperone protein Gp14 ()A118', 140, NULL, 'Phage_TAC_8', 17331),
(17332, 'PF00638', NULL, 'RanBP1 domain', 122, NULL, 'Ran_BP1', 17332),
(17333, 'PF08335', NULL, 'GlnD PII-uridylyltransferase', 146, NULL, 'GlnD_UR_UTase', 17333),
(17334, 'PF03091', NULL, 'CutA1 divalent ion tolerance protein', 99, NULL, 'CutA1', 17334),
(17335, 'PF07951', NULL, 'Clostridium neurotoxin, C-terminal receptor binding', 210, NULL, 'Toxin_R_bind_C', 17335);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17336, 'PF10179', NULL, 'Uncharacterised conserved protein (DUF2369)', 95, NULL, 'DUF2369', 17336),
(17337, 'PF13985', NULL, 'YbgS-like protein', 120, NULL, 'YbgS', 17337),
(17338, 'PF16239', NULL, 'Domain of unknown function (DUF4898)', 82, NULL, 'DUF4898', 17338),
(17339, 'PF14142', NULL, 'YrzO-like protein', 46, NULL, 'YrzO', 17339),
(17340, 'PF13689', NULL, 'YfiR/HmsC-like', 143, NULL, 'DUF4154', 17340),
(17341, 'PF01095', NULL, 'Pectinesterase', 298, NULL, 'Pectinesterase', 17341),
(17342, 'PF16359', NULL, 'RcsD-ABL domain', 103, NULL, 'RcsD_ABL', 17342),
(17343, 'PF13139', NULL, 'Domain of unknown function (DUF3981)', 115, NULL, 'DUF3981', 17343),
(17344, 'PF17469', NULL, 'Phage protein Gp68', 78, NULL, 'GP68', 17344),
(17345, 'PF14836', NULL, 'Ubiquitin-like domain', 88, NULL, 'Ubiquitin_3', 17345),
(17346, 'PF03395', NULL, 'Poxvirus P4A protein', 882, NULL, 'Pox_P4A', 17346),
(17347, 'PF14540', NULL, 'Nucleotidyltransferase-like', 118, NULL, 'NTF-like', 17347),
(17348, 'PF15578', NULL, 'Domain of unknown function (DUF4662)', 269, NULL, 'DUF4662', 17348),
(17349, 'PF04625', NULL, 'DEC-1 protein, N-terminal region', 403, NULL, 'DEC-1_N', 17349),
(17350, 'PF06813', NULL, 'Nodulin-like', 250, NULL, 'Nodulin-like', 17350),
(17351, 'PF00558', NULL, 'Vpu protein', 81, NULL, 'Vpu', 17351),
(17352, 'PF10812', NULL, 'Protein of unknown function (DUF2561)', 209, NULL, 'DUF2561', 17352),
(17353, 'PF14575', NULL, 'Ephrin type-A receptor 2 transmembrane domain', 75, NULL, 'EphA2_TM', 17353),
(17354, 'PF08442', NULL, 'ATP-grasp domain', 202, NULL, 'ATP-grasp_2', 17354),
(17355, 'PF17414', NULL, 'MatP C-terminal ribbon-helix-helix domain', 60, NULL, 'MatP_C', 17355),
(17356, 'PF06992', NULL, 'Replication protein P', 162, NULL, 'Phage_lambda_P', 17356),
(17357, 'PF15431', NULL, 'Transmembrane protein 190', 132, NULL, 'TMEM190', 17357),
(17358, 'PF18996', NULL, 'Family of unknown function (DUF5726)', 90, NULL, 'DUF5726', 17358),
(17359, 'PF05517', NULL, 'p25-alpha', 155, NULL, 'p25-alpha', 17359),
(17360, 'PF00852', NULL, 'Glycosyltransferase family 10 (fucosyltransferase) C-term', 177, NULL, 'Glyco_transf_10', 17360),
(17361, 'PF00199', NULL, 'Catalase', 383, NULL, 'Catalase', 17361),
(17362, 'PF13312', NULL, 'Domain of unknown function (DUF4081)', 105, NULL, 'DUF4081', 17362),
(17363, 'PF01197', NULL, 'Ribosomal protein L31', 67, NULL, 'Ribosomal_L31', 17363),
(17364, 'PF07098', NULL, 'Protein of unknown function (DUF1360)', 102, NULL, 'DUF1360', 17364),
(17365, 'PF17036', NULL, 'Cellulose biosynthesis protein BcsS', 145, NULL, 'CBP_BcsS', 17365),
(17366, 'PF13569', NULL, 'Domain of unknown function (DUF4132)', 180, NULL, 'DUF4132', 17366),
(17367, 'PF08799', NULL, 'pre-mRNA processing factor 4 (PRP4) like', 29, NULL, 'PRP4', 17367),
(17368, 'PF14133', NULL, 'Domain of unknown function (DUF4300)', 252, NULL, 'DUF4300', 17368),
(17369, 'PF04162', NULL, 'Gyrovirus capsid protein (VP1)', 449, NULL, 'Gyro_capsid', 17369),
(17370, 'PF18786', NULL, 'Importin 13 repeat', 44, NULL, 'Importin_rep_2', 17370),
(17371, 'PF07969', NULL, 'Amidohydrolase family', 473, NULL, 'Amidohydro_3', 17371),
(17372, 'PF10091', NULL, 'Putative glucoamylase', 227, NULL, 'Glycoamylase', 17372),
(17373, 'PF12247', NULL, 'Temperature dependent protein affecting M2 dsRNA replication', 90, NULL, 'MKT1_N', 17373),
(17374, 'PF18222', NULL, 'PilN biogenesis protein dimerization domain', 102, NULL, 'PilN_bio_d', 17374),
(17375, 'PF00361', NULL, 'Proton-conducting membrane transporter', 293, NULL, 'Proton_antipo_M', 17375),
(17376, 'PF07142', NULL, 'Repeat of unknown function (DUF1388)', 28, NULL, 'DUF1388', 17376),
(17377, 'PF03298', NULL, 'Stanniocalcin family', 200, NULL, 'Stanniocalcin', 17377),
(17378, 'PF09839', NULL, 'Uncharacterized protein conserved in bacteria (DUF2066)', 232, NULL, 'DUF2066', 17378),
(17379, 'PF05414', NULL, 'Viral domain of unknown function (DUF1717)', 78, NULL, 'DUF1717', 17379),
(17380, 'PF06305', NULL, 'Lipopolysaccharide assembly protein A domain', 64, NULL, 'LapA_dom', 17380);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17381, 'PF05769', NULL, 'SIKE family', 180, NULL, 'SIKE', 17381),
(17382, 'PF05596', NULL, 'Taeniidae antigen', 64, NULL, 'Taeniidae_ag', 17382),
(17383, 'PF12076', NULL, 'WAX2 C-terminal domain', 164, NULL, 'Wax2_C', 17383),
(17384, 'PF17604', NULL, 'Family of unknown function (DUF5500)', 98, NULL, 'DUF5500', 17384),
(17385, 'PF14526', NULL, 'Integron-associated effector binding protein', 149, NULL, 'Cass2', 17385),
(17386, 'PF09823', NULL, 'Domain of unknown function (DUF2357)', 251, NULL, 'DUF2357', 17386),
(17387, 'PF08149', NULL, 'BING4CT (NUC141) domain', 79, NULL, 'BING4CT', 17387),
(17388, 'PF07828', NULL, 'PA-IL-like protein', 121, NULL, 'PA-IL', 17388),
(17389, 'PF18153', NULL, 'SMODS-associating 2TM, beta-strand rich effector domain', 180, NULL, 'S_2TMBeta', 17389),
(17390, 'PF14773', NULL, 'Helicase-associated putative binding domain, C-terminal', 62, NULL, 'VIGSSK', 17390),
(17391, 'PF16789', NULL, 'YscO-like protein', 161, NULL, 'YscO-like', 17391),
(17392, 'PF18148', NULL, 'Regulator of G-protein signalling DHEX domain', 100, NULL, 'RGS_DHEX', 17392),
(17393, 'PF01858', NULL, 'Retinoblastoma-associated protein A domain', 197, NULL, 'RB_A', 17393),
(17394, 'PF03692', NULL, 'Putative zinc- or iron-chelating domain', 85, NULL, 'CxxCxxCC', 17394),
(17395, 'PF17900', NULL, 'Peptidase M1 N-terminal domain', 186, NULL, 'Peptidase_M1_N', 17395),
(17396, 'PF04563', NULL, 'RNA polymerase beta subunit', 203, NULL, 'RNA_pol_Rpb2_1', 17396),
(17397, 'PF03008', NULL, 'Archaea bacterial proteins of unknown function', 100, NULL, 'DUF234', 17397),
(17398, 'PF17633', NULL, 'Family of unknown function (DUF5514)', 142, NULL, 'DUF5514', 17398),
(17399, 'PF12542', NULL, 'Pre-mRNA splicing factor', 101, NULL, 'CWC25', 17399),
(17400, 'PF05266', NULL, 'Protein of unknown function (DUF724)', 188, NULL, 'DUF724', 17400),
(17401, 'PF00413', NULL, 'Matrixin', 158, NULL, 'Peptidase_M10', 17401),
(17402, 'PF11926', NULL, 'Domain of unknown function (DUF3444)', 212, NULL, 'DUF3444', 17402),
(17403, 'PF00359', NULL, 'Phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 2', 144, NULL, 'PTS_EIIA_2', 17403),
(17404, 'PF00926', NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase', 192, NULL, 'DHBP_synthase', 17404),
(17405, 'PF05309', NULL, 'TraE protein', 182, NULL, 'TraE', 17405),
(17406, 'PF16485', NULL, 'Protealysin propeptide', 43, NULL, 'PLN_propep', 17406),
(17407, 'PF14632', NULL, 'Acidic N-terminal SPT6', 88, NULL, 'SPT6_acidic', 17407),
(17408, 'PF02354', NULL, 'Latrophilin Cytoplasmic C-terminal region', 375, NULL, 'Latrophilin', 17408),
(17409, 'PF17695', NULL, 'Family of unknown function (DUF5541)', 116, NULL, 'DUF5541', 17409),
(17410, 'PF05606', NULL, 'Borrelia burgdorferi protein of unknown function (DUF777)', 135, NULL, 'DUF777', 17410),
(17411, 'PF02963', NULL, 'Restriction endonuclease EcoRI', 257, NULL, 'EcoRI', 17411),
(17412, 'PF07613', NULL, 'Protein of unknown function (DUF1576)', 176, NULL, 'DUF1576', 17412),
(17413, 'PF17754', NULL, 'MftR C-terminal domain', 112, NULL, 'TetR_C_14', 17413),
(17414, 'PF15347', NULL, 'Phosphoprotein associated with glycosphingolipid-enriched', 429, NULL, 'PAG', 17414),
(17415, 'PF06426', NULL, 'Serine acetyltransferase, N-terminal', 105, NULL, 'SATase_N', 17415),
(17416, 'PF07701', NULL, 'Heme NO binding associated', 223, NULL, 'HNOBA', 17416),
(17417, 'PF07304', NULL, 'Steroid receptor RNA activator (SRA1)', 146, NULL, 'SRA1', 17417),
(17418, 'PF07083', NULL, 'Protein of unknown function (DUF1351)', 210, NULL, 'DUF1351', 17418),
(17419, 'PF05514', NULL, 'HR-like lesion-inducing', 138, NULL, 'HR_lesion', 17419),
(17420, 'PF13533', NULL, 'Biotin-lipoyl like', 50, NULL, 'Biotin_lipoyl_2', 17420),
(17421, 'PF07167', NULL, 'Poly-beta-hydroxybutyrate polymerase (PhaC) N-terminus', 173, NULL, 'PhaC_N', 17421),
(17422, 'PF06007', NULL, 'Phosphonate metabolism protein PhnJ', 275, NULL, 'PhnJ', 17422),
(17423, 'PF03704', NULL, 'Bacterial transcriptional activator domain', 146, NULL, 'BTAD', 17423);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17424, 'PF07501', NULL, 'G5 domain', 75, NULL, 'G5', 17424),
(17425, 'PF05053', NULL, 'Menin', 680, NULL, 'Menin', 17425),
(17426, 'PF12683', NULL, 'Protein of unknown function (DUF3798)', 271, NULL, 'DUF3798', 17426),
(17427, 'PF18771', NULL, 'APOBEC3', 135, NULL, 'APOBEC3', 17427),
(17428, 'PF12808', NULL, 'Micro-tubular organiser Mto1 C-term Mto2-binding region', 52, NULL, 'Mto2_bdg', 17428),
(17429, 'PF16323', NULL, 'Domain of unknown function (DUF4959)', 106, NULL, 'DUF4959', 17429),
(17430, 'PF02901', NULL, 'Pyruvate formate lyase-like', 647, NULL, 'PFL-like', 17430),
(17431, 'PF01146', NULL, 'Caveolin', 133, NULL, 'Caveolin', 17431),
(17432, 'PF00780', NULL, 'CNH domain', 279, NULL, 'CNH', 17432),
(17433, 'PF10678', NULL, 'Protein of unknown function (DUF2492)', 77, NULL, 'DUF2492', 17433),
(17434, 'PF06361', NULL, 'Rice tungro bacilliform virus P12 protein', 110, NULL, 'RTBV_P12', 17434),
(17435, 'PF10713', NULL, 'Protein of unknown function (DUF2509)', 131, NULL, 'DUF2509', 17435),
(17436, 'PF13896', NULL, 'Glycosyl-transferase for dystroglycan', 330, NULL, 'Glyco_transf_49', 17436),
(17437, 'PF05096', NULL, 'Glutamine cyclotransferase', 249, NULL, 'Glu_cyclase_2', 17437),
(17438, 'PF17928', NULL, 'Tetracyclin repressor-like, C-terminal domain', 113, NULL, 'TetR_C_22', 17438),
(17439, 'PF06961', NULL, 'Protein of unknown function (DUF1294)', 55, NULL, 'DUF1294', 17439),
(17440, 'PF10775', NULL, 'ATP synthase complex subunit h', 69, NULL, 'ATP_sub_h', 17440),
(17441, 'PF00170', NULL, 'bZIP transcription factor', 64, NULL, 'bZIP_1', 17441),
(17442, 'PF01316', NULL, 'Arginine repressor, DNA binding domain', 70, NULL, 'Arg_repressor', 17442),
(17443, 'PF10442', NULL, 'FIST C domain', 132, NULL, 'FIST_C', 17443),
(17444, 'PF07406', NULL, 'NICE-3 protein', 181, NULL, 'NICE-3', 17444),
(17445, 'PF04413', NULL, '3-Deoxy-D-manno-octulosonic-acid transferase (kdotransferase)', 178, NULL, 'Glycos_transf_N', 17445),
(17446, 'PF04887', NULL, 'Poxvirus M2 protein', 196, NULL, 'Pox_M2', 17446),
(17447, 'PF17012', NULL, 'Domain of unknown function (DUF5091)', 147, NULL, 'DUF5091', 17447),
(17448, 'PF05073', NULL, 'Baculovirus P24 capsid protein', 182, NULL, 'Baculo_p24', 17448),
(17449, 'PF03406', NULL, 'Phage tail fibre repeat', 42, NULL, 'Phage_fiber_2', 17449),
(17450, 'PF02370', NULL, 'M protein repeat', 21, NULL, 'M', 17450),
(17451, 'PF03937', NULL, 'Flavinator of succinate dehydrogenase', 73, NULL, 'Sdh5', 17451),
(17452, 'PF17908', NULL, 'APAF-1 helical domain', 135, NULL, 'APAF1_C', 17452),
(17453, 'PF10684', NULL, 'Putative biofilm-dependent modulation protein', 71, NULL, 'BDM', 17453),
(17454, 'PF10602', NULL, '26S proteasome subunit RPN7', 174, NULL, 'RPN7', 17454),
(17455, 'PF01026', NULL, 'TatD related DNase', 255, NULL, 'TatD_DNase', 17455),
(17456, 'PF18592', NULL, 'Tho1/MOS11 C-terminal domain', 37, NULL, 'Tho1_MOS11_C', 17456),
(17457, 'PF10272', NULL, 'Putative transmembrane protein precursor', 350, NULL, 'Tmpp129', 17457),
(17458, 'PF16049', NULL, 'Frog antimicrobial peptide', 25, NULL, 'Antimicrobial24', 17458),
(17459, 'PF05964', NULL, 'F/Y-rich N-terminus', 51, NULL, 'FYRN', 17459),
(17460, 'PF00903', NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', 128, NULL, 'Glyoxalase', 17460),
(17461, 'PF02705', NULL, 'K+ potassium transporter', 534, NULL, 'K_trans', 17461),
(17462, 'PF16887', NULL, 'Domain of unknown function (DUF5081)', 231, NULL, 'DUF5081', 17462),
(17463, 'PF16469', NULL, 'Nematode polyprotein allergen ABA-1', 122, NULL, 'NPA', 17463),
(17464, 'PF05778', NULL, 'Apolipoprotein CIII (Apo-CIII)', 69, NULL, 'Apo-CIII', 17464),
(17465, 'PF06983', NULL, '3-demethylubiquinone-9 3-methyltransferase', 116, NULL, '3-dmu-9_3-mt', 17465),
(17466, 'PF02673', NULL, 'Bacitracin resistance protein BacA', 256, NULL, 'BacA', 17466),
(17467, 'PF14508', NULL, 'Glycosyl-hydrolase 97 N-terminal', 233, NULL, 'GH97_N', 17467),
(17468, 'PF13184', NULL, 'NusA-like KH domain', 69, NULL, 'KH_5', 17468);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17469, 'PF12819', NULL, 'Malectin-like domain', 337, NULL, 'Malectin_like', 17469),
(17470, 'PF07385', NULL, 'D-lyxose isomerase', 223, NULL, 'Lyx_isomer', 17470),
(17471, 'PF06009', NULL, 'Laminin Domain II', 138, NULL, 'Laminin_II', 17471),
(17472, 'PF05942', NULL, 'Archaeal PaREP1/PaREP8 family', 115, NULL, 'PaREP1', 17472),
(17473, 'PF02178', NULL, 'AT hook motif', 13, NULL, 'AT_hook', 17473),
(17474, 'PF00580', NULL, 'UvrD/REP helicase N-terminal domain', 315, NULL, 'UvrD-helicase', 17474),
(17475, 'PF06032', NULL, 'Protein of unknown function (DUF917)', 350, NULL, 'DUF917', 17475),
(17476, 'PF10657', NULL, 'Photosystem P840 reaction centre protein PscD', 144, NULL, 'RC-P840_PscD', 17476),
(17477, 'PF02293', NULL, 'AmiS/UreI family transporter', 166, NULL, 'AmiS_UreI', 17477),
(17478, 'PF16901', NULL, 'C-terminal domain of alpha-glycerophosphate oxidase', 126, NULL, 'DAO_C', 17478),
(17479, 'PF10496', NULL, 'SNARE-complex protein Syntaxin-18 N-terminus', 87, NULL, 'Syntaxin-18_N', 17479),
(17480, 'PF13500', NULL, 'AAA domain', 198, NULL, 'AAA_26', 17480),
(17481, 'PF13054', NULL, 'Protein of unknown function (DUF3915)', 123, NULL, 'DUF3915', 17481),
(17482, 'PF10717', NULL, 'Occlusion-derived virus envelope protein ODV-E18', 87, NULL, 'ODV-E18', 17482),
(17483, 'PF06663', NULL, 'Protein of unknown function (DUF1170)', 213, NULL, 'DUF1170', 17483),
(17484, 'PF16325', NULL, 'Peptidase family U32 C-terminal domain', 82, NULL, 'Peptidase_U32_C', 17484),
(17485, 'PF09847', NULL, 'Membrane protein of 12 TMs', 449, NULL, '12TM_1', 17485),
(17486, 'PF03483', NULL, 'B3/4 domain', 174, NULL, 'B3_4', 17486),
(17487, 'PF07663', NULL, 'Sorbitol phosphotransferase enzyme II C-terminus', 93, NULL, 'EIIBC-GUT_C', 17487),
(17488, 'PF00035', NULL, 'Double-stranded RNA binding motif', 67, NULL, 'dsrm', 17488),
(17489, 'PF09785', NULL, 'Prp31 C terminal domain', 124, NULL, 'Prp31_C', 17489),
(17490, 'PF10693', NULL, 'Protein of unknown function (DUF2499)', 89, NULL, 'DUF2499', 17490),
(17491, 'PF03244', NULL, 'Photosystem I reaction centre subunit VI', 139, NULL, 'PSI_PsaH', 17491),
(17492, 'PF04499', NULL, 'SIT4 phosphatase-associated protein', 490, NULL, 'SAPS', 17492),
(17493, 'PF07592', NULL, 'Rhodopirellula transposase DDE domain', 308, NULL, 'DDE_Tnp_ISAZ013', 17493),
(17494, 'PF05409', NULL, 'Coronavirus endopeptidase C30', 288, NULL, 'Peptidase_C30', 17494),
(17495, 'PF03435', NULL, 'Saccharopine dehydrogenase NADP binding domain', 130, NULL, 'Sacchrp_dh_NADP', 17495),
(17496, 'PF17467', NULL, 'Viral Protein E7', 60, NULL, 'E7R', 17496),
(17497, 'PF16296', NULL, 'N-terminal of TM subunit in PBP-dependent ABC transporters', 83, NULL, 'TM_PBP2_N', 17497),
(17498, 'PF04061', NULL, 'ORMDL family', 135, NULL, 'ORMDL', 17498),
(17499, 'PF12008', NULL, 'Type I restriction and modification enzyme - subunit R C terminal', 259, NULL, 'EcoR124_C', 17499),
(17500, 'PF16495', NULL, 'SWIRM-associated region 1', 84, NULL, 'SWIRM-assoc_1', 17500),
(17501, 'PF05004', NULL, 'Interferon-related developmental regulator (IFRD)', 311, NULL, 'IFRD', 17501),
(17502, 'PF02534', NULL, 'Type IV secretory system Conjugative DNA transfer', 469, NULL, 'T4SS-DNA_transf', 17502),
(17503, 'PF13305', NULL, 'Tetracyclin repressor-like, C-terminal domain', 104, NULL, 'TetR_C_33', 17503),
(17504, 'PF02393', NULL, 'US22 like', 125, NULL, 'US22', 17504),
(17505, 'PF10038', NULL, 'Protein of unknown function (DUF2274)', 69, NULL, 'DUF2274', 17505),
(17506, 'PF02239', NULL, 'Cytochrome D1 heme domain', 368, NULL, 'Cytochrom_D1', 17506),
(17507, 'PF04650', NULL, 'YSIRK type signal peptide', 26, NULL, 'YSIRK_signal', 17507),
(17508, 'PF06582', NULL, 'Titin repeat', 27, NULL, 'Titin_Ig-rpts', 17508),
(17509, 'PF09183', NULL, 'Domain of unknown function (DUF1947)', 66, NULL, 'DUF1947', 17509),
(17510, 'PF00318', NULL, 'Ribosomal protein S2', 215, NULL, 'Ribosomal_S2', 17510),
(17511, 'PF04007', NULL, 'Protein of unknown function (DUF354)', 340, NULL, 'DUF354', 17511);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17512, 'PF06560', NULL, 'Glucose-6-phosphate isomerase (GPI)', 182, NULL, 'GPI', 17512),
(17513, 'PF08658', NULL, 'Rad54 N terminal', 181, NULL, 'Rad54_N', 17513),
(17514, 'PF12920', NULL, 'TcdA/TcdB pore forming domain', 653, NULL, 'TcdA_TcdB_pore', 17514),
(17515, 'PF13454', NULL, 'FAD-NAD(P)-binding', 156, NULL, 'NAD_binding_9', 17515),
(17516, 'PF00016', NULL, 'Ribulose bisphosphate carboxylase large chain, catalytic domain', 299, NULL, 'RuBisCO_large', 17516),
(17517, 'PF15014', NULL, 'Ceroid-lipofuscinosis neuronal protein 5', 302, NULL, 'CLN5', 17517),
(17518, 'PF12998', NULL, 'Inhibitor of growth proteins N-terminal histone-binding', 102, NULL, 'ING', 17518),
(17519, 'PF06479', NULL, 'Ribonuclease 2-5A', 127, NULL, 'Ribonuc_2-5A', 17519),
(17520, 'PF06529', NULL, 'Vertebrate interleukin-3 regulated transcription factor', 332, NULL, 'Vert_IL3-reg_TF', 17520),
(17521, 'PF02916', NULL, 'DNA polymerase processivity factor', 116, NULL, 'DNA_PPF', 17521),
(17522, 'PF10942', NULL, 'Protein of unknown function (DUF2619)', 69, NULL, 'DUF2619', 17522),
(17523, 'PF12875', NULL, 'Protein of unknown function (DUF3826)', 186, NULL, 'DUF3826', 17523),
(17524, 'PF09602', NULL, 'Polyhydroxyalkanoic acid inclusion protein (PhaP_Bmeg)', 168, NULL, 'PhaP_Bmeg', 17524),
(17525, 'PF13645', NULL, 'L,D-transpeptidase catalytic domain', 169, NULL, 'YkuD_2', 17525),
(17526, 'PF02408', NULL, 'CUB-like domain', 120, NULL, 'CUB_2', 17526),
(17527, 'PF14409', NULL, 'Ribosomally synthesized peptide in Herpetosiphon', 56, NULL, 'Herpeto_peptide', 17527),
(17528, 'PF15335', NULL, 'Caspase activity and apoptosis inhibitor 1', 63, NULL, 'CAAP1', 17528),
(17529, 'PF06518', NULL, 'Protein of unknown function (DUF1104)', 92, NULL, 'DUF1104', 17529),
(17530, 'PF16968', NULL, 'Pilus assembly protein TadZ N-terminal', 133, NULL, 'TadZ_N', 17530),
(17531, 'PF11974', NULL, 'Bacterial alpha-2-macroglobulin MG3 domain', 103, NULL, 'bMG3', 17531),
(17532, 'PF17546', NULL, 'Beta defensin 50', 50, NULL, 'Defb50', 17532),
(17533, 'PF11708', NULL, 'Pre-mRNA splicing Prp18-interacting factor', 266, NULL, 'Slu7', 17533),
(17534, 'PF03398', NULL, 'Regulator of Vps4 activity in the MVB pathway', 164, NULL, 'Ist1', 17534),
(17535, 'PF11782', NULL, 'Protein of unknown function (DUF3319)', 89, NULL, 'DUF3319', 17535),
(17536, 'PF07174', NULL, 'Fibronectin-attachment protein (FAP)', 298, NULL, 'FAP', 17536),
(17537, 'PF12888', NULL, 'Lipid-binding putative hydrolase', 141, NULL, 'Lipid_bd', 17537),
(17538, 'PF04683', NULL, 'Proteasome complex subunit Rpn13 ubiquitin receptor', 86, NULL, 'Proteasom_Rpn13', 17538),
(17539, 'PF08679', NULL, 'Dissimilatory sulfite reductase D (DsrD)', 64, NULL, 'DsrD', 17539),
(17540, 'PF01730', NULL, 'UreF', 132, NULL, 'UreF', 17540),
(17541, 'PF12279', NULL, 'Protein of unknown function (DUF3619)', 131, NULL, 'DUF3619', 17541),
(17542, 'PF08581', NULL, 'Tup N-terminal', 77, NULL, 'Tup_N', 17542),
(17543, 'PF03777', NULL, 'ChpA-C', 57, NULL, 'ChpA-C', 17543),
(17544, 'PF14322', NULL, 'Starch-binding associating with outer membrane', 190, NULL, 'SusD-like_3', 17544),
(17545, 'PF08113', NULL, 'Cytochrome c oxidase subunit IIa family', 33, NULL, 'CoxIIa', 17545),
(17546, 'PF17727', NULL, 'CtsR C-terminal dimerization domain', 72, NULL, 'CtsR_C', 17546),
(17547, 'PF10056', NULL, 'Uncharacterized conserved protein (DUF2293)', 85, NULL, 'DUF2293', 17547),
(17548, 'PF13427', NULL, 'Domain of unknown function (DUF4111)', 103, NULL, 'DUF4111', 17548),
(17549, 'PF05350', NULL, 'Glycogen synthase kinase-3 binding', 238, NULL, 'GSK-3_bind', 17549),
(17550, 'PF03962', NULL, 'Mnd1 HTH domain', 60, NULL, 'Mnd1', 17550),
(17551, 'PF17067', NULL, 'Ribosomal protein S31e', 99, NULL, 'RPS31', 17551),
(17552, 'PF14858', NULL, 'Domain of unknown function (DUF4486)', 542, NULL, 'DUF4486', 17552),
(17553, 'PF11600', NULL, 'Chromatin assembly factor 1 complex p150 subunit, N-terminal', 164, NULL, 'CAF-1_p150', 17553),
(17554, 'PF13988', NULL, 'Protein of unknown function (DUF4225)', 163, NULL, 'DUF4225', 17554);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17555, 'PF18920', NULL, 'Domain of unknown function (DUF5671)', 130, NULL, 'DUF5671', 17555),
(17556, 'PF18544', NULL, 'Polo box domain', 98, NULL, 'Polo_box_3', 17556),
(17557, 'PF14678', NULL, 'FANCI solenoid 4', 250, NULL, 'FANCI_S4', 17557),
(17558, 'PF15926', NULL, 'E3 ubiquitin-protein ligase RNF220', 248, NULL, 'RNF220', 17558),
(17559, 'PF12245', NULL, 'Bacterial Ig-like domain', 125, NULL, 'Big_3_2', 17559),
(17560, 'PF07987', NULL, 'Domain of unkown function (DUF1775)', 148, NULL, 'DUF1775', 17560),
(17561, 'PF17357', NULL, 'Facilitor Of iron transport 1 and 2', 86, NULL, 'FIT1_2', 17561),
(17562, 'PF02485', NULL, 'Core-2/I-Branching enzyme', 247, NULL, 'Branch', 17562),
(17563, 'PF08849', NULL, 'Putative inner membrane protein (DUF1819)', 184, NULL, 'DUF1819', 17563),
(17564, 'PF15033', NULL, 'Kinocilin protein', 123, NULL, 'Kinocilin', 17564),
(17565, 'PF09703', NULL, 'CRISPR-associated protein (Cas_Csa4)', 355, NULL, 'Cas_Csa4', 17565),
(17566, 'PF03349', NULL, 'Outer membrane protein transport protein (OMPP1/FadL/TodX)', 434, NULL, 'Toluene_X', 17566),
(17567, 'PF18164', NULL, 'GNAT-like C-terminal domain', 153, NULL, 'GNAT_C', 17567),
(17568, 'PF11010', NULL, 'Protein of unknown function (DUF2848)', 194, NULL, 'DUF2848', 17568),
(17569, 'PF01924', NULL, 'Hydrogenase formation hypA family', 351, NULL, 'HypD', 17569),
(17570, 'PF15419', NULL, 'Leukemia NUP98 fusion partner 1', 179, NULL, 'LNP1', 17570),
(17571, 'PF09848', NULL, 'Uncharacterized conserved protein (DUF2075)', 363, NULL, 'DUF2075', 17571),
(17572, 'PF04591', NULL, 'Protein of unknown function, DUF596', 69, NULL, 'DUF596', 17572),
(17573, 'PF02614', NULL, 'Glucuronate isomerase', 464, NULL, 'UxaC', 17573),
(17574, 'PF14972', NULL, 'Mitochondrial morphogenesis regulator', 162, NULL, 'Mito_morph_reg', 17574),
(17575, 'PF17219', NULL, 'Yaf2/RYBP C-terminal binding motif', 33, NULL, 'YAF2_RYBP', 17575),
(17576, 'PF01653', NULL, 'NAD-dependent DNA ligase adenylation domain', 319, NULL, 'DNA_ligase_aden', 17576),
(17577, 'PF01833', NULL, 'IPT/TIG domain', 85, NULL, 'TIG', 17577),
(17578, 'PF18887', NULL, 'MBG domain', 72, NULL, 'MBG_3', 17578),
(17579, 'PF05071', NULL, 'NADH ubiquinone oxidoreductase subunit NDUFA12', 101, NULL, 'NDUFA12', 17579),
(17580, 'PF12126', NULL, 'Protein of unknown function (DUF3583)', 329, NULL, 'DUF3583', 17580),
(17581, 'PF07995', NULL, 'Glucose / Sorbosone dehydrogenase', 332, NULL, 'GSDH', 17581),
(17582, 'PF16373', NULL, 'Domain of unknown function', 114, NULL, 'DUF4985', 17582),
(17583, 'PF12603', NULL, 'Protein of unknown function (DUF3770)', 235, NULL, 'DUF3770', 17583),
(17584, 'PF04932', NULL, 'O-Antigen ligase', 155, NULL, 'Wzy_C', 17584),
(17585, 'PF08439', NULL, 'Oligopeptidase F', 70, NULL, 'Peptidase_M3_N', 17585),
(17586, 'PF17794', NULL, 'Major Vault Protein repeat domain', 61, NULL, 'Vault_2', 17586),
(17587, 'PF11202', NULL, 'Phosphoribosyl transferase (PRTase)', 247, NULL, 'PRTase_1', 17587),
(17588, 'PF12021', NULL, 'Protein of unknown function (DUF3509)', 87, NULL, 'DUF3509', 17588),
(17589, 'PF16636', NULL, 'Unstructured region on APC between APC_crr regions 5 and 6', 81, NULL, 'APC_u15', 17589),
(17590, 'PF10584', NULL, 'Proteasome subunit A N-terminal signature', 23, NULL, 'Proteasome_A_N', 17590),
(17591, 'PF05443', NULL, 'ROS/MUCR transcriptional regulator protein', 125, NULL, 'ROS_MUCR', 17591),
(17592, 'PF10123', NULL, 'Mu-like prophage I protein', 326, NULL, 'Mu-like_Pro', 17592),
(17593, 'PF05930', NULL, 'Prophage CP4-57 regulatory protein (AlpA)', 51, NULL, 'Phage_AlpA', 17593),
(17594, 'PF17280', NULL, 'Family of unknown function (DUF5345)', 77, NULL, 'DUF5345', 17594),
(17595, 'PF09042', NULL, 'Titin Z', 42, NULL, 'Titin_Z', 17595),
(17596, 'PF04990', NULL, 'RNA polymerase Rpb1, domain 7', 135, NULL, 'RNA_pol_Rpb1_7', 17596),
(17597, 'PF14004', NULL, 'Protein of unknown function (DUF4227)', 71, NULL, 'DUF4227', 17597),
(17598, 'PF18716', NULL, 'Vms1-associating treble clef domain', 43, NULL, 'VATC', 17598);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17599, 'PF01381', NULL, 'Helix-turn-helix', 55, NULL, 'HTH_3', 17599),
(17600, 'PF14922', NULL, 'Protein of unknown function', 147, NULL, 'FWWh', 17600),
(17601, 'PF03121', NULL, 'Herpesviridae UL52/UL70 DNA primase', 75, NULL, 'Herpes_UL52', 17601),
(17602, 'PF08078', NULL, 'PsaX family', 35, NULL, 'PsaX', 17602),
(17603, 'PF03629', NULL, 'Carbohydrate esterase, sialic acid-specific acetylesterase', 225, NULL, 'SASA', 17603),
(17604, 'PF06586', NULL, 'TraK protein', 231, NULL, 'TraK', 17604),
(17605, 'PF08796', NULL, 'Protein of unknown function (DUF1797)', 67, NULL, 'DUF1797', 17605),
(17606, 'PF04905', NULL, 'NAB conserved region 2 (NCD2)', 125, NULL, 'NCD2', 17606),
(17607, 'PF09570', NULL, 'SinI restriction endonuclease', 217, NULL, 'RE_SinI', 17607),
(17608, 'PF16772', NULL, 'Telomeric repeat-binding factor 2 Rap1-binding motif', 41, NULL, 'TERF2_RBM', 17608),
(17609, 'PF18541', NULL, 'RuvC endonuclease subdomain 3', 180, NULL, 'RuvC_III', 17609),
(17610, 'PF06739', NULL, 'Beta-propeller repeat', 38, NULL, 'SBBP', 17610),
(17611, 'PF04160', NULL, 'Orf-X protein', 154, NULL, 'Borrelia_orfX', 17611),
(17612, 'PF04346', NULL, 'Ethanolamine utilisation protein, EutH', 351, NULL, 'EutH', 17612),
(17613, 'PF04923', NULL, 'Ninjurin', 103, NULL, 'Ninjurin', 17613),
(17614, 'PF08669', NULL, 'Glycine cleavage T-protein C-terminal barrel domain', 80, NULL, 'GCV_T_C', 17614),
(17615, 'PF03033', NULL, 'Glycosyltransferase family 28 N-terminal domain', 139, NULL, 'Glyco_transf_28', 17615),
(17616, 'PF12142', NULL, 'Polyphenol oxidase middle domain', 52, NULL, 'PPO1_DWL', 17616),
(17617, 'PF13231', NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', 160, NULL, 'PMT_2', 17617),
(17618, 'PF15136', NULL, 'Uncharacterised protein family UPF0449', 100, NULL, 'UPF0449', 17618),
(17619, 'PF11958', NULL, 'Domain of unknown function (DUF3472)', 173, NULL, 'DUF3472', 17619),
(17620, 'PF18627', NULL, 'Peptidoglycan GlcNAc deacetylase N-terminal domain', 218, NULL, 'PgdA_N', 17620),
(17621, 'PF18345', NULL, 'Zinc finger domain', 19, NULL, 'zf_CCCH_4', 17621),
(17622, 'PF17718', NULL, 'Family of unknown function (DUF5563)', 192, NULL, 'DUF5563', 17622),
(17623, 'PF01697', NULL, 'Glycosyltransferase family 92', 260, NULL, 'Glyco_transf_92', 17623),
(17624, 'PF02248', NULL, 'Small coat protein', 183, NULL, 'Como_SCP', 17624),
(17625, 'PF11379', NULL, 'Protein of unknown function (DUF3182)', 353, NULL, 'DUF3182', 17625),
(17626, 'PF14332', NULL, 'Domain of unknown function (DUF4388)', 94, NULL, 'DUF4388', 17626),
(17627, 'PF16043', NULL, 'Domain of unknown function (DUF4795)', 203, NULL, 'DUF4795', 17627),
(17628, 'PF04112', NULL, 'Mak10 subunit, NatC N(alpha)-terminal acetyltransferase', 169, NULL, 'Mak10', 17628),
(17629, 'PF15605', NULL, 'Bacterial toxin 28', 104, NULL, 'Ntox28', 17629),
(17630, 'PF05364', NULL, 'Salmonella type III secretion SopE effector N-terminus', 74, NULL, 'SecIII_SopE_N', 17630),
(17631, 'PF07943', NULL, 'Penicillin-binding protein 5, C-terminal domain', 92, NULL, 'PBP5_C', 17631),
(17632, 'PF08449', NULL, 'UAA transporter family', 302, NULL, 'UAA', 17632),
(17633, 'PF11851', NULL, 'Domain of unknown function (DUF3371)', 128, NULL, 'DUF3371', 17633),
(17634, 'PF17639', NULL, 'Family of unknown function (DUF5517)', 100, NULL, 'DUF5517', 17634),
(17635, 'PF13967', NULL, 'Late exocytosis, associated with Golgi transport', 156, NULL, 'RSN1_TM', 17635),
(17636, 'PF10340', NULL, 'Steryl acetyl hydrolase', 374, NULL, 'Say1_Mug180', 17636),
(17637, 'PF10006', NULL, 'Uncharacterized conserved protein (DUF2249)', 70, NULL, 'DUF2249', 17637),
(17638, 'PF08042', NULL, 'PqqA family', 19, NULL, 'PqqA', 17638),
(17639, 'PF03014', NULL, 'Structural protein 2', 628, NULL, 'SP2', 17639),
(17640, 'PF01114', NULL, 'Colipase, N-terminal domain', 40, NULL, 'Colipase', 17640),
(17641, 'PF14700', NULL, 'DNA-directed RNA polymerase N-terminal', 336, NULL, 'RPOL_N', 17641),
(17642, 'PF11155', NULL, 'Domain of unknown function (DUF2935)', 121, NULL, 'DUF2935', 17642);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17643, 'PF09336', NULL, 'Vps4 C terminal oligomerisation domain', 61, NULL, 'Vps4_C', 17643),
(17644, 'PF00576', NULL, 'HIUase/Transthyretin family', 110, NULL, 'Transthyretin', 17644),
(17645, 'PF11335', NULL, 'Protein of unknown function (DUF3137)', 136, NULL, 'DUF3137', 17645),
(17646, 'PF03274', NULL, 'Foamy virus BEL 1/2 protein', 257, NULL, 'Foamy_BEL', 17646),
(17647, 'PF00211', NULL, 'Adenylate and Guanylate cyclase catalytic domain', 183, NULL, 'Guanylate_cyc', 17647),
(17648, 'PF05227', NULL, 'CHASE3 domain', 138, NULL, 'CHASE3', 17648),
(17649, 'PF09242', NULL, 'Flavocytochrome c sulphide dehydrogenase, flavin-binding', 70, NULL, 'FCSD-flav_bind', 17649),
(17650, 'PF12623', NULL, 'RNA repair, ligase-Pnkp-associating, region of Hen1', 242, NULL, 'Hen1_L', 17650),
(17651, 'PF03595', NULL, 'Voltage-dependent anion channel', 324, NULL, 'SLAC1', 17651),
(17652, 'PF13585', NULL, 'CHU_C Type IX secretion signal domain', 86, NULL, 'CHU_C', 17652),
(17653, 'PF01992', NULL, 'ATP synthase (C/AC39) subunit', 336, NULL, 'vATP-synt_AC39', 17653),
(17654, 'PF15107', NULL, 'FAM216B protein family', 111, NULL, 'FAM216B', 17654),
(17655, 'PF11408', NULL, 'Sgs1 RecQ helicase', 80, NULL, 'Helicase_Sgs1', 17655),
(17656, 'PF06727', NULL, 'Protein of unknown function (DUF1207)', 342, NULL, 'DUF1207', 17656),
(17657, 'PF13875', NULL, 'Domain of unknown function (DUF4202)', 184, NULL, 'DUF4202', 17657),
(17658, 'PF00342', NULL, 'Phosphoglucose isomerase', 486, NULL, 'PGI', 17658),
(17659, 'PF12859', NULL, 'Anaphase-promoting complex subunit 1', 130, NULL, 'ANAPC1', 17659),
(17660, 'PF16814', NULL, 'Read-through domain', 182, NULL, 'Read-through', 17660),
(17661, 'PF09578', NULL, 'Spore cortex protein YabQ (Spore_YabQ)', 78, NULL, 'Spore_YabQ', 17661),
(17662, 'PF00100', NULL, 'Zona pellucida-like domain', 254, NULL, 'Zona_pellucida', 17662),
(17663, 'PF16152', NULL, 'Domain of unknown function (DUF4860)', 98, NULL, 'DUF4860', 17663),
(17664, 'PF09312', NULL, 'SurA N-terminal domain', 118, NULL, 'SurA_N', 17664),
(17665, 'PF06756', NULL, 'Chorion protein S19 C-terminal', 72, NULL, 'S19', 17665),
(17666, 'PF16955', NULL, 'Ferrous iron uptake permease, iron-lead transporter', 207, NULL, 'OFeT_1', 17666),
(17667, 'PF08625', NULL, 'Utp13 specific WD40 associated domain', 142, NULL, 'Utp13', 17667),
(17668, 'PF06744', NULL, 'Type VI secretion protein IcmF C2-like domain', 107, NULL, 'IcmF_C', 17668),
(17669, 'PF00272', NULL, 'Cecropin family', 30, NULL, 'Cecropin', 17669),
(17670, 'PF01136', NULL, 'Peptidase family U32', 233, NULL, 'Peptidase_U32', 17670),
(17671, 'PF14927', NULL, 'Neurensin', 133, NULL, 'Neurensin', 17671),
(17672, 'PF05160', NULL, 'DSS1/SEM1 family', 60, NULL, 'DSS1_SEM1', 17672),
(17673, 'PF09972', NULL, 'Predicted membrane protein (DUF2207)', 484, NULL, 'DUF2207', 17673),
(17674, 'PF13532', NULL, '2OG-Fe(II) oxygenase superfamily', 196, NULL, '2OG-FeII_Oxy_2', 17674),
(17675, 'PF14570', NULL, 'RING/Ubox like zinc-binding domain', 48, NULL, 'zf-RING_4', 17675),
(17676, 'PF06090', NULL, 'Inositol-pentakisphosphate 2-kinase', 373, NULL, 'Ins_P5_2-kin', 17676),
(17677, 'PF09757', NULL, 'Arb2 domain', 259, NULL, 'Arb2', 17677),
(17678, 'PF01821', NULL, 'Anaphylotoxin-like domain', 36, NULL, 'ANATO', 17678),
(17679, 'PF15790', NULL, 'E1A-binding protein p400, N-terminal', 490, NULL, 'EP400_N', 17679),
(17680, 'PF15116', NULL, 'CAMPATH-1 antigen', 44, NULL, 'CD52', 17680),
(17681, 'PF06693', NULL, 'Protein of unknown function (DUF1190)', 162, NULL, 'DUF1190', 17681),
(17682, 'PF18990', NULL, 'Family of unknown function (DUF5723)', 378, NULL, 'DUF5723', 17682),
(17683, 'PF14883', NULL, 'Hypothetical glycosyl hydrolase family 13', 326, NULL, 'GHL13', 17683),
(17684, 'PF12597', NULL, 'Protein of unknown function (DUF3767)', 101, NULL, 'DUF3767', 17684),
(17685, 'PF10342', NULL, 'Ser-Thr-rich glycosyl-phosphatidyl-inositol-anchored membrane family', 93, NULL, 'GPI-anchored', 17685),
(17686, 'PF16151', NULL, 'Domain of unknown function (DUF4859)', 120, NULL, 'DUF4859', 17686);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17687, 'PF07950', NULL, 'Protein of unknown function (DUF1691)', 107, NULL, 'DUF1691', 17687),
(17688, 'PF09351', NULL, 'Domain of unknown function (DUF1993)', 161, NULL, 'DUF1993', 17688),
(17689, 'PF08286', NULL, 'Spc24 subunit of Ndc80', 105, NULL, 'Spc24', 17689),
(17690, 'PF12648', NULL, 'TcpE family', 104, NULL, 'TcpE', 17690),
(17691, 'PF04283', NULL, 'Chemotaxis signal transduction system protein F from archaea', 217, NULL, 'CheF-arch', 17691),
(17692, 'PF00063', NULL, 'Myosin head (motor domain)', 677, NULL, 'Myosin_head', 17692),
(17693, 'PF17477', NULL, 'Rotavirus VP4 membrane interaction domain', 227, NULL, 'Rota_VP4_MID', 17693),
(17694, 'PF06855', NULL, 'YozE SAM-like fold', 66, NULL, 'YozE_SAM_like', 17694),
(17695, 'PF18600', NULL, 'MCSS domain', 53, NULL, 'Ezh2_MCSS', 17695),
(17696, 'PF15065', NULL, 'Lysosomal transcription factor, NCU-G1', 357, NULL, 'NCU-G1', 17696),
(17697, 'PF18587', NULL, 'PTX/LNS-Like (PLL) domain', 134, NULL, 'PLL', 17697),
(17698, 'PF02283', NULL, 'Cobinamide kinase / cobinamide phosphate guanyltransferase', 169, NULL, 'CobU', 17698),
(17699, 'PF12392', NULL, 'Collagenase', 107, NULL, 'DUF3656', 17699),
(17700, 'PF07415', NULL, 'Gammaherpesvirus latent membrane protein (LMP2) protein', 497, NULL, 'Herpes_LMP2', 17700),
(17701, 'PF04214', NULL, 'Protein of unknown function, DUF', 69, NULL, 'DUF411', 17701),
(17702, 'PF06792', NULL, 'Uncharacterised protein family (UPF0261)', 404, NULL, 'UPF0261', 17702),
(17703, 'PF18473', NULL, 'Urease subunit beta-alpha linker domain', 34, NULL, 'Urease_linker', 17703),
(17704, 'PF14846', NULL, 'Domain of unknown function (DUF4485)', 84, NULL, 'DUF4485', 17704),
(17705, 'PF06218', NULL, 'Nitrogen permease regulator 2', 440, NULL, 'NPR2', 17705),
(17706, 'PF17702', NULL, 'Family of unknown function (DUF5548)', 177, NULL, 'DUF5548', 17706),
(17707, 'PF03966', NULL, 'Trm112p-like protein', 68, NULL, 'Trm112p', 17707),
(17708, 'PF16905', NULL, 'Voltage-dependent L-type calcium channel, IQ-associated', 54, NULL, 'GPHH', 17708),
(17709, 'PF07432', NULL, 'Histone H1-like protein Hc1', 122, NULL, 'Hc1', 17709),
(17710, 'PF10463', NULL, 'Peptidase U49', 198, NULL, 'Peptidase_U49', 17710),
(17711, 'PF17077', NULL, 'Mitotic spindle associated protein SHE1', 331, NULL, 'Msap1', 17711),
(17712, 'PF08000', NULL, 'Bacterial PH domain', 123, NULL, 'bPH_1', 17712),
(17713, 'PF19073', NULL, 'Family of unknown function (DUF5769)', 190, NULL, 'DUF5769', 17713),
(17714, 'PF05431', NULL, 'Insecticidal Crystal Toxin, P42', 169, NULL, 'Toxin_10', 17714),
(17715, 'PF14125', NULL, 'Domain of unknown function (DUF4292)', 210, NULL, 'DUF4292', 17715),
(17716, 'PF01374', NULL, 'Glycosyl hydrolase family 46', 210, NULL, 'Glyco_hydro_46', 17716),
(17717, 'PF13568', NULL, 'Outer membrane protein beta-barrel domain', 180, NULL, 'OMP_b-brl_2', 17717),
(17718, 'PF12257', NULL, 'Vacuolar membrane-associated protein Iml1', 286, NULL, 'IML1', 17718),
(17719, 'PF03389', NULL, 'MobA/MobL family', 222, NULL, 'MobA_MobL', 17719),
(17720, 'PF08767', NULL, 'CRM1 C terminal', 321, NULL, 'CRM1_C', 17720),
(17721, 'PF18386', NULL, 'Roquin II domain', 56, NULL, 'ROQ_II', 17721),
(17722, 'PF08404', NULL, 'Baculoviridae P74 N-terminal', 300, NULL, 'Baculo_p74_N', 17722),
(17723, 'PF08164', NULL, 'Apoptosis-antagonizing transcription factor, C-terminal', 83, NULL, 'TRAUB', 17723),
(17724, 'PF10826', NULL, 'Protein of unknown function (DUF2551)', 83, NULL, 'DUF2551', 17724),
(17725, 'PF06333', NULL, 'Mediator complex subunit 13 C-terminal domain', 331, NULL, 'Med13_C', 17725),
(17726, 'PF07097', NULL, 'Protein of unknown function (DUF1359)', 102, NULL, 'DUF1359', 17726),
(17727, 'PF07710', NULL, 'P53 tetramerisation motif', 42, NULL, 'P53_tetramer', 17727),
(17728, 'PF18936', NULL, 'Family of unknown function (DUF5684)', 79, NULL, 'DUF5684', 17728),
(17729, 'PF00432', NULL, 'Prenyltransferase and squalene oxidase repeat', 44, NULL, 'Prenyltrans', 17729),
(17730, 'PF13693', NULL, 'Winged helix-turn-helix DNA-binding', 75, NULL, 'HTH_35', 17730);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17731, 'PF12971', NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) N-terminal domain', 82, NULL, 'NAGLU_N', 17731),
(17732, 'PF18184', NULL, 'SMODS and SLOG-associating 2TM effector domain 3', 156, NULL, 'SLATT_3', 17732),
(17733, 'PF08231', NULL, 'SYF2 splicing factor', 164, NULL, 'SYF2', 17733),
(17734, 'PF14353', NULL, 'CpXC protein', 118, NULL, 'CpXC', 17734),
(17735, 'PF15295', NULL, 'Coiled-coil domain-containing protein 50  N-terminus', 126, NULL, 'CCDC50_N', 17735),
(17736, 'PF18314', NULL, 'Fatty acid synthase type I helical domain', 203, NULL, 'FAS_I_H', 17736),
(17737, 'PF18308', NULL, 'GGA N-GAT domain', 39, NULL, 'GGA_N-GAT', 17737),
(17738, 'PF00493', NULL, 'MCM P-loop domain', 224, NULL, 'MCM', 17738),
(17739, 'PF12758', NULL, 'Protein of unknown function (DUF3813)', 63, NULL, 'DUF3813', 17739),
(17740, 'PF06719', NULL, 'AraC-type transcriptional regulator N-terminus', 148, NULL, 'AraC_N', 17740),
(17741, 'PF11392', NULL, 'Protein of unknown function (DUF2877)', 109, NULL, 'DUF2877', 17741),
(17742, 'PF18456', NULL, 'Diiron non-heme beta-hydroxylase N-terminal domain', 232, NULL, 'CmlA_N', 17742),
(17743, 'PF12773', NULL, 'Double zinc ribbon', 49, NULL, 'DZR', 17743),
(17744, 'PF07621', NULL, 'Protein of unknown function (DUF1582)', 29, NULL, 'DUF1582', 17744),
(17745, 'PF14443', NULL, 'DBC1', 123, NULL, 'DBC1', 17745),
(17746, 'PF04691', NULL, 'Apolipoprotein C-I (ApoC-1)', 61, NULL, 'ApoC-I', 17746),
(17747, 'PF12006', NULL, 'Protein of unknown function (DUF3500)', 296, NULL, 'DUF3500', 17747),
(17748, 'PF04240', NULL, 'Carotenoid biosynthesis protein', 209, NULL, 'Caroten_synth', 17748),
(17749, 'PF16837', NULL, 'Pre-mRNA-splicing factor SF3A3, of SF3a complex, Prp9', 77, NULL, 'SF3A3', 17749),
(17750, 'PF07263', NULL, 'Dentin matrix protein 1 (DMP1)', 521, NULL, 'DMP1', 17750),
(17751, 'PF09875', NULL, 'Uncharacterized protein conserved in archaea (DUF2102)', 103, NULL, 'DUF2102', 17751),
(17752, 'PF16389', NULL, 'Domain of unknown function', 199, NULL, 'DUF4998', 17752),
(17753, 'PF14425', NULL, 'Immunity protein Imm3', 119, NULL, 'Imm3', 17753),
(17754, 'PF03241', NULL, '4-hydroxyphenylacetate 3-hydroxylase C terminal', 202, NULL, 'HpaB', 17754),
(17755, 'PF18129', NULL, 'Xrn1 SH3-like domain', 67, NULL, 'SH3_12', 17755),
(17756, 'PF03126', NULL, 'Plus-3 domain', 109, NULL, 'Plus-3', 17756),
(17757, 'PF11192', NULL, 'Protein of unknown function (DUF2977)', 61, NULL, 'DUF2977', 17757),
(17758, 'PF05691', NULL, 'Raffinose synthase or seed imbibition protein Sip1', 750, NULL, 'Raffinose_syn', 17758),
(17759, 'PF12869', NULL, 'tRNA_anti-like', 161, NULL, 'tRNA_anti-like', 17759),
(17760, 'PF00930', NULL, 'Dipeptidyl peptidase IV (DPP IV) N-terminal region', 355, NULL, 'DPPIV_N', 17760),
(17761, 'PF18525', NULL, 'Cas9 C-terminal domain', 110, NULL, 'Cas9_C', 17761),
(17762, 'PF15687', NULL, 'Nuclear receptor-interacting protein 1 repression 1', 308, NULL, 'NRIP1_repr_1', 17762),
(17763, 'PF12610', NULL, 'Suppressor of cytokine signalling', 59, NULL, 'SOCS', 17763),
(17764, 'PF15052', NULL, 'TMEM169 protein family', 131, NULL, 'TMEM169', 17764),
(17765, 'PF00430', NULL, 'ATP synthase B/B'' CF(0)', 132, NULL, 'ATP-synt_B', 17765),
(17766, 'PF14996', NULL, 'Retinal Maintenance', 154, NULL, 'RMP', 17766),
(17767, 'PF16570', NULL, 'Gram-positive pilin backbone subunit 3, Cna-B-like domain', 141, NULL, 'GramPos_pilinD3', 17767),
(17768, 'PF11693', NULL, 'Protein of unknown function (DUF2990)', 63, NULL, 'DUF2990', 17768),
(17769, 'PF03869', NULL, 'Arc-like DNA binding domain', 50, NULL, 'Arc', 17769),
(17770, 'PF13146', NULL, 'TRL-like protein family', 77, NULL, 'TRL', 17770),
(17771, 'PF14882', NULL, 'Phage-integrase repeat unit', 54, NULL, 'PHINT_rpt', 17771),
(17772, 'PF04199', NULL, 'Putative cyclase', 136, NULL, 'Cyclase', 17772),
(17773, 'PF08013', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ/KbaZ-like', 420, NULL, 'GatZ_KbaZ-like', 17773),
(17774, 'PF12828', NULL, 'PX-associated', 130, NULL, 'PXB', 17774);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17775, 'PF15557', NULL, 'CAF1 complex subunit p150, region binding to PCNA', 230, NULL, 'CAF1-p150_N', 17775),
(17776, 'PF08517', NULL, 'Ataxin-1 and HBP1 module (AXH)', 115, NULL, 'AXH', 17776),
(17777, 'PF05001', NULL, 'RNA polymerase Rpb1 C-terminal repeat', 14, NULL, 'RNA_pol_Rpb1_R', 17777),
(17778, 'PF16844', NULL, 'Dinitrogenase iron-molybdenum cofactor, N-terminal', 91, NULL, 'DIMCO_N', 17778),
(17779, 'PF17332', NULL, 'Family of unknown function (DUF5592)', 89, NULL, 'DUF5592', 17779),
(17780, 'PF00503', NULL, 'G-protein alpha subunit', 354, NULL, 'G-alpha', 17780),
(17781, 'PF10895', NULL, 'Domain of unknown function (DUF2715)', 176, NULL, 'DUF2715', 17781),
(17782, 'PF13648', NULL, 'Lipocalin-like domain', 89, NULL, 'Lipocalin_4', 17782),
(17783, 'PF12582', NULL, 'Protein of unknown function (DUF3757)', 122, NULL, 'DUF3757', 17783),
(17784, 'PF08267', NULL, 'Cobalamin-independent synthase, N-terminal domain', 313, NULL, 'Meth_synt_1', 17784),
(17785, 'PF16970', NULL, 'Type-1 fimbrial protein, A', 143, NULL, 'FimA', 17785),
(17786, 'PF04517', NULL, 'Microvirus lysis protein (E), C terminus', 42, NULL, 'Microvir_lysis', 17786),
(17787, 'PF02600', NULL, 'Disulfide bond formation protein DsbB', 147, NULL, 'DsbB', 17787),
(17788, 'PF15807', NULL, 'Membrane-associated protein 117 kDa, PDZK1-interacting protein 1', 120, NULL, 'MAP17', 17788),
(17789, 'PF13097', NULL, 'CENP-A nucleosome associated complex (NAC) subunit', 181, NULL, 'CENP-U', 17789),
(17790, 'PF12763', NULL, 'Cytoskeletal-regulatory complex EF hand', 104, NULL, 'EF-hand_4', 17790),
(17791, 'PF13226', NULL, 'Domain of unknown function (DUF4034)', 274, NULL, 'DUF4034', 17791),
(17792, 'PF01152', NULL, 'Bacterial-like globin', 121, NULL, 'Bac_globin', 17792),
(17793, 'PF06459', NULL, 'Ryanodine Receptor TM 4-6', 280, NULL, 'RR_TM4-6', 17793),
(17794, 'PF11824', NULL, 'Protein of unknown function (DUF3344)', 279, NULL, 'DUF3344', 17794),
(17795, 'PF04431', NULL, 'Pectate lyase, N terminus', 56, NULL, 'Pec_lyase_N', 17795),
(17796, 'PF12887', NULL, 'SICA extracellular alpha domain', 185, NULL, 'SICA_alpha', 17796),
(17797, 'PF03973', NULL, 'Triabin', 148, NULL, 'Triabin', 17797),
(17798, 'PF02407', NULL, 'Putative viral replication protein', 82, NULL, 'Viral_Rep', 17798),
(17799, 'PF10790', NULL, 'Protein of Unknown function (DUF2604)', 76, NULL, 'DUF2604', 17799),
(17800, 'PF01726', NULL, 'LexA DNA binding domain', 65, NULL, 'LexA_DNA_bind', 17800),
(17801, 'PF08337', NULL, 'Plexin cytoplasmic RasGAP domain', 551, NULL, 'Plexin_cytopl', 17801),
(17802, 'PF16499', NULL, 'Alpha galactosidase A', 284, NULL, 'Melibiase_2', 17802),
(17803, 'PF16482', NULL, 'Staufen C-terminal domain', 111, NULL, 'Staufen_C', 17803),
(17804, 'PF03243', NULL, 'Alkylmercury lyase', 126, NULL, 'MerB', 17804),
(17805, 'PF17109', NULL, 'fungal STAND N-terminal Goodbye domain', 120, NULL, 'Goodbye', 17805),
(17806, 'PF05946', NULL, 'Toxin-coregulated pilus subunit TcpA', 130, NULL, 'TcpA', 17806),
(17807, 'PF11480', NULL, 'Colicin-E5 Imm protein', 82, NULL, 'ImmE5', 17807),
(17808, 'PF16838', NULL, 'Caudoviral major tail protein N-terminus', 116, NULL, 'Caud_tail_N', 17808),
(17809, 'PF10592', NULL, 'AIPR protein', 295, NULL, 'AIPR', 17809),
(17810, 'PF05024', NULL, 'N-acetylglucosaminyl transferase component (Gpi1)', 187, NULL, 'Gpi1', 17810),
(17811, 'PF18755', NULL, 'Restriction Enzyme Adenine Methylase Associated', 107, NULL, 'RAMA', 17811),
(17812, 'PF17480', NULL, 'AlphaC N-terminal domain 2', 71, NULL, 'AlphaC_N2', 17812),
(17813, 'PF12127', NULL, 'SigmaW regulon antibacterial', 314, NULL, 'YdfA_immunity', 17813),
(17814, 'PF18633', NULL, 'Zinc-finger antiviral protein (ZAP) zinc finger domain 3', 28, NULL, 'zf-CCCH_8', 17814),
(17815, 'PF01909', NULL, 'Nucleotidyltransferase domain', 94, NULL, 'NTP_transf_2', 17815),
(17816, 'PF00274', NULL, 'Fructose-bisphosphate aldolase class-I', 349, NULL, 'Glycolytic', 17816),
(17817, 'PF18919', NULL, 'Family of unknown function (DUF5670)', 43, NULL, 'DUF5670', 17817);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17818, 'PF03603', NULL, 'DNA polymerase III psi subunit', 126, NULL, 'DNA_III_psi', 17818),
(17819, 'PF09323', NULL, 'Domain of unknown function (DUF1980)', 181, NULL, 'DUF1980', 17819),
(17820, 'PF02895', NULL, 'Signal transducing histidine kinase, homodimeric domain', 69, NULL, 'H-kinase_dim', 17820),
(17821, 'PF15482', NULL, 'Coiled-coil domain-containing glutamate-rich protein family 1', 213, NULL, 'CCER1', 17821),
(17822, 'PF15981', NULL, 'Envelope glycoprotein GP 5 of equine arteritis virus', 80, NULL, 'EAV_GP5', 17822),
(17823, 'PF15156', NULL, 'Ceroid-lipofuscinosis neuronal protein 6', 280, NULL, 'CLN6', 17823),
(17824, 'PF16822', NULL, 'SGNH hydrolase-like domain, acetyltransferase AlgX', 268, NULL, 'ALGX', 17824),
(17825, 'PF00131', NULL, 'Metallothionein', 65, NULL, 'Metallothio', 17825),
(17826, 'PF17415', NULL, 'NigD-like C-terminal beta sandwich domain', 120, NULL, 'NigD_C', 17826),
(17827, 'PF12616', NULL, 'Protein of unknown function (DUF3775)', 73, NULL, 'DUF3775', 17827),
(17828, 'PF16759', NULL, 'DNA ligase 3 BRCT domain', 81, NULL, 'LIG3_BRCT', 17828),
(17829, 'PF00740', NULL, 'Parvovirus coat protein VP2', 542, NULL, 'Parvo_coat', 17829),
(17830, 'PF05193', NULL, 'Peptidase M16 inactive domain', 183, NULL, 'Peptidase_M16_C', 17830),
(17831, 'PF08996', NULL, 'DNA Polymerase alpha zinc finger', 186, NULL, 'zf-DNA_Pol', 17831),
(17832, 'PF17372', NULL, 'Family of unknown function (DUF5394)', 219, NULL, 'DUF5394', 17832),
(17833, 'PF10530', NULL, 'Toxin with inhibitor cystine knot ICK or Knottin scaffold', 61, NULL, 'Toxin_35', 17833),
(17834, 'PF09314', NULL, 'Domain of unknown function (DUF1972)', 186, NULL, 'DUF1972', 17834),
(17835, 'PF03154', NULL, 'Atrophin-1 family', 985, NULL, 'Atrophin-1', 17835),
(17836, 'PF13758', NULL, 'Prefoldin subunit', 99, NULL, 'Prefoldin_3', 17836),
(17837, 'PF13340', NULL, 'Putative transposase of IS4/5 family (DUF4096)', 75, NULL, 'DUF4096', 17837),
(17838, 'PF14233', NULL, 'Domain of unknown function (DUF4335)', 185, NULL, 'DUF4335', 17838),
(17839, 'PF17741', NULL, 'Family of unknown function (DUF5578)', 268, NULL, 'DUF5578', 17839),
(17840, 'PF08303', NULL, 'tRNA ligase kinase domain', 168, NULL, 'tRNA_lig_kinase', 17840),
(17841, 'PF16973', NULL, 'Flagellar motor switch protein FliN N-terminal', 50, NULL, 'FliN_N', 17841),
(17842, 'PF02437', NULL, 'SKI/SNO/DAC family', 108, NULL, 'Ski_Sno', 17842),
(17843, 'PF03546', NULL, 'Treacher Collins syndrome protein Treacle', 531, NULL, 'Treacle', 17843),
(17844, 'PF09900', NULL, 'Predicted membrane protein (DUF2127)', 140, NULL, 'DUF2127', 17844),
(17845, 'PF13478', NULL, 'XdhC Rossmann domain', 125, NULL, 'XdhC_C', 17845),
(17846, 'PF02144', NULL, 'Repair protein Rad1/Rec1/Rad17', 275, NULL, 'Rad1', 17846),
(17847, 'PF14795', NULL, 'Leucine-tRNA synthetase-specific domain', 56, NULL, 'Leucyl-specific', 17847),
(17848, 'PF05812', NULL, 'Herpesvirus BLRF2 protein', 119, NULL, 'Herpes_BLRF2', 17848),
(17849, 'PF12595', NULL, 'Rhomboid serine protease', 212, NULL, 'Rhomboid_SP', 17849),
(17850, 'PF06838', NULL, 'Methionine gamma-lyase', 405, NULL, 'Met_gamma_lyase', 17850),
(17851, 'PF06101', NULL, 'Vacuolar protein sorting-associated protein 62', 542, NULL, 'Vps62', 17851),
(17852, 'PF02327', NULL, 'Bacteriochlorophyll A protein', 354, NULL, 'BChl_A', 17852),
(17853, 'PF00241', NULL, 'Cofilin/tropomyosin-type actin-binding protein', 125, NULL, 'Cofilin_ADF', 17853),
(17854, 'PF00139', NULL, 'Legume lectin domain', 249, NULL, 'Lectin_legB', 17854),
(17855, 'PF02498', NULL, 'BRO family, N-terminal domain', 95, NULL, 'Bro-N', 17855),
(17856, 'PF01719', NULL, 'Plasmid replication protein', 188, NULL, 'Rep_2', 17856),
(17857, 'PF11380', NULL, 'Stealth protein CR2, conserved region 2', 108, NULL, 'Stealth_CR2', 17857),
(17858, 'PF14149', NULL, 'YhfH-like protein', 37, NULL, 'YhfH', 17858),
(17859, 'PF10781', NULL, 'Dextransucrase DSRB', 61, NULL, 'DSRB', 17859),
(17860, 'PF17317', NULL, 'Mating hormone A-factor 1&2', 34, NULL, 'MFA1_2', 17860);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17861, 'PF09408', NULL, 'Betacoronavirus spike glycoprotein S1, receptor binding', 185, NULL, 'bCoV_S1_RBD', 17861),
(17862, 'PF18443', NULL, 'Tle cognate immunity protein 4 N-terminal domain', 138, NULL, 'Tli4_N', 17862),
(17863, 'PF07590', NULL, 'Protein of unknown function (DUF1556)', 82, NULL, 'DUF1556', 17863),
(17864, 'PF18203', NULL, 'IPTL-CTERM motif', 28, NULL, 'IPTL-CTERM', 17864),
(17865, 'PF15309', NULL, 'ALMS motif', 136, NULL, 'ALMS_motif', 17865),
(17866, 'PF06024', NULL, 'Orf78 (ac78)', 103, NULL, 'Orf78', 17866),
(17867, 'PF10065', NULL, 'Uncharacterized conserved protein (DUF2303)', 266, NULL, 'DUF2303', 17867),
(17868, 'PF01042', NULL, 'Endoribonuclease L-PSP', 121, NULL, 'Ribonuc_L-PSP', 17868),
(17869, 'PF02903', NULL, 'Alpha amylase, N-terminal ig-like domain', 120, NULL, 'Alpha-amylase_N', 17869),
(17870, 'PF03147', NULL, 'Ferredoxin-fold anticodon binding domain', 94, NULL, 'FDX-ACB', 17870),
(17871, 'PF07581', NULL, 'The GLUG motif', 28, NULL, 'Glug', 17871),
(17872, 'PF18685', NULL, 'Family of unknown function (DUF5635)', 86, NULL, 'DUF5635', 17872),
(17873, 'PF11470', NULL, 'TUG ubiquitin-like domain', 65, NULL, 'TUG-UBL1', 17873),
(17874, 'PF02522', NULL, 'Aminoglycoside 3-N-acetyltransferase', 228, NULL, 'Antibiotic_NAT', 17874),
(17875, 'PF17511', NULL, 'Mobilization protein B', 136, NULL, 'Mobilization_B', 17875),
(17876, 'PF05313', NULL, 'Poxvirus P21 membrane protein', 189, NULL, 'Pox_P21', 17876),
(17877, 'PF10751', NULL, 'Protein of unknown function (DUF2535)', 83, NULL, 'DUF2535', 17877),
(17878, 'PF15749', NULL, 'MRN-interacting protein', 109, NULL, 'MRNIP', 17878),
(17879, 'PF10662', NULL, 'Ethanolamine utilisation - propanediol utilisation', 143, NULL, 'PduV-EutP', 17879),
(17880, 'PF12239', NULL, 'Protein of unknown function (DUF3605)', 154, NULL, 'DUF3605', 17880),
(17881, 'PF00240', NULL, 'Ubiquitin family', 72, NULL, 'ubiquitin', 17881),
(17882, 'PF13879', NULL, 'KIAA1430 homologue', 102, NULL, 'KIAA1430', 17882),
(17883, 'PF01766', NULL, 'Birnavirus VP2 protein', 442, NULL, 'Birna_VP2', 17883),
(17884, 'PF07120', NULL, 'Protein of unknown function (DUF1376)', 87, NULL, 'DUF1376', 17884),
(17885, 'PF06583', NULL, 'Neogenin C-terminus', 297, NULL, 'Neogenin_C', 17885),
(17886, 'PF06486', NULL, 'Protein of unknown function (DUF1093)', 80, NULL, 'DUF1093', 17886),
(17887, 'PF16390', NULL, 'Domain of unknown function', 76, NULL, 'DUF4999', 17887),
(17888, 'PF06453', NULL, 'Type II heat-labile enterotoxin , B subunit (LT-IIB)', 122, NULL, 'LT-IIB', 17888),
(17889, 'PF15766', NULL, 'Domain of unknown function (DUF4695)', 108, NULL, 'DUF4695', 17889),
(17890, 'PF07624', NULL, 'Protein of unknown function (DUF1585)', 74, NULL, 'PSD2', 17890),
(17891, 'PF04807', NULL, 'Geminivirus AC4/5 conserved region', 33, NULL, 'Gemini_AC4_5', 17891),
(17892, 'PF16443', NULL, 'Domain of unknown function (DUF5040)', 227, NULL, 'DUF5040', 17892),
(17893, 'PF10326', NULL, 'Serpentine type 7TM GPCR chemoreceptor Str', 307, NULL, '7TM_GPCR_Str', 17893),
(17894, 'PF16018', NULL, 'Anillin N-terminus', 86, NULL, 'Anillin_N', 17894),
(17895, 'PF11326', NULL, 'Protein of unknown function (DUF3128)', 79, NULL, 'DUF3128', 17895),
(17896, 'PF14488', NULL, 'Domain of unknown function (DUF4434)', 167, NULL, 'DUF4434', 17896),
(17897, 'PF00038', NULL, 'Intermediate filament protein', 312, NULL, 'Filament', 17897),
(17898, 'PF09670', NULL, 'CRISPR-associated protein (Cas_Cas02710)', 380, NULL, 'Cas_Cas02710', 17898),
(17899, 'PF02402', NULL, 'Lysis protein', 49, NULL, 'Lysis_col', 17899),
(17900, 'PF01819', NULL, 'Levivirus coat protein', 132, NULL, 'Levi_coat', 17900),
(17901, 'PF18879', NULL, 'EspA/EspE family', 84, NULL, 'EspA_EspE', 17901),
(17902, 'PF03742', NULL, 'PetN', 29, NULL, 'PetN', 17902),
(17903, 'PF06896', NULL, 'Phage tail assembly chaperone proteins, TAC', 115, NULL, 'Phage_TAC_3', 17903),
(17904, 'PF13237', NULL, '4Fe-4S dicluster domain', 56, NULL, 'Fer4_10', 17904);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17905, 'PF05114', NULL, 'Protein of unknown function (DUF692)', 263, NULL, 'DUF692', 17905),
(17906, 'PF15917', NULL, 'Piezo', 228, NULL, 'PIEZO', 17906),
(17907, 'PF15459', NULL, '60S ribosome biogenesis protein Rrp14', 62, NULL, 'RRP14', 17907),
(17908, 'PF18504', NULL, 'Csm1 N-terminal domain', 70, NULL, 'Csm1_N', 17908),
(17909, 'PF02095', NULL, 'Extensin-like protein repeat', 10, NULL, 'Extensin_1', 17909),
(17910, 'PF08827', NULL, 'Domain of unknown function (DUF1805)', 63, NULL, 'DUF1805', 17910),
(17911, 'PF16541', NULL, 'Alternaria alternata allergen 1', 110, NULL, 'AltA1', 17911),
(17912, 'PF10122', NULL, 'Mu-like prophage protein Com', 52, NULL, 'Mu-like_Com', 17912),
(17913, 'PF16272', NULL, 'Domain of unknown function (DUF4925)', 339, NULL, 'DUF4925', 17913),
(17914, 'PF06073', NULL, 'Bacterial protein of unknown function (DUF934)', 107, NULL, 'DUF934', 17914),
(17915, 'PF08700', NULL, 'Vps51/Vps67', 87, NULL, 'Vps51', 17915),
(17916, 'PF12503', NULL, 'Cucumber mosaic virus 1a protein C terminal', 84, NULL, 'CMV_1a_C', 17916),
(17917, 'PF16852', NULL, 'Herpes viral adaptor-to-host cellular mRNA binding domain', 42, NULL, 'HHV-1_VABD', 17917),
(17918, 'PF16760', NULL, 'Starch/carbohydrate-binding module (family 53)', 83, NULL, 'CBM53', 17918),
(17919, 'PF13751', NULL, 'Transposase DDE domain', 125, NULL, 'DDE_Tnp_1_6', 17919),
(17920, 'PF09062', NULL, 'PI-PfuI Endonuclease subdomain', 98, NULL, 'Endonuc_subdom', 17920),
(17921, 'PF13011', NULL, 'leucine-zipper of insertion element IS481', 85, NULL, 'LZ_Tnp_IS481', 17921),
(17922, 'PF08096', NULL, 'Bombolitin family', 17, NULL, 'Bombolitin', 17922),
(17923, 'PF05123', NULL, 'S-layer like family, N-terminal region', 284, NULL, 'S_layer_N', 17923),
(17924, 'PF13006', NULL, 'Insertion element 4 transposase N-terminal', 95, NULL, 'Nterm_IS4', 17924),
(17925, 'PF15301', NULL, 'SLAIN motif-containing family', 433, NULL, 'SLAIN', 17925),
(17926, 'PF07748', NULL, 'Glycosyl hydrolases family 38 C-terminal domain', 214, NULL, 'Glyco_hydro_38C', 17926),
(17927, 'PF11701', NULL, 'Myosin-binding striated muscle assembly central', 153, NULL, 'UNC45-central', 17927),
(17928, 'PF04242', NULL, 'Protein of unknown function (DUF424)', 92, NULL, 'DUF424', 17928),
(17929, 'PF12403', NULL, 'Paired-box protein 2 C terminal', 113, NULL, 'Pax2_C', 17929),
(17930, 'PF15840', NULL, 'ADP-ribosylation factor-like protein 17', 62, NULL, 'ARL17', 17930),
(17931, 'PF16487', NULL, 'Mid domain of argonaute', 84, NULL, 'ArgoMid', 17931),
(17932, 'PF10397', NULL, 'Adenylosuccinate lyase C-terminus', 77, NULL, 'ADSL_C', 17932),
(17933, 'PF10404', NULL, 'Rad4 beta-hairpin domain 2', 64, NULL, 'BHD_2', 17933),
(17934, 'PF08265', NULL, 'YL1 nuclear protein C-terminal domain', 29, NULL, 'YL1_C', 17934),
(17935, 'PF01258', NULL, 'Prokaryotic dksA/traR C4-type zinc finger', 36, NULL, 'zf-dskA_traR', 17935),
(17936, 'PF11625', NULL, 'Protein of unknown function (DUF3253)', 81, NULL, 'DUF3253', 17936),
(17937, 'PF07019', NULL, 'Rab5-interacting protein (Rab5ip)', 83, NULL, 'Rab5ip', 17937),
(17938, 'PF12946', NULL, 'MSP1 EGF domain 1', 37, NULL, 'EGF_MSP1_1', 17938),
(17939, 'PF09081', NULL, 'Domain of unknown function (DUF1921)', 51, NULL, 'DUF1921', 17939),
(17940, 'PF14732', NULL, 'Ubiquitin/SUMO-activating enzyme ubiquitin-like domain', 89, NULL, 'UAE_UbL', 17940),
(17941, 'PF17094', NULL, 'Uncharacterised protein family (UPF0715)', 115, NULL, 'UPF0715', 17941),
(17942, 'PF17916', NULL, 'LIM interaction domain (LID)', 29, NULL, 'LID', 17942),
(17943, 'PF17560', NULL, 'Aphid Megourins', 63, NULL, 'Megourin', 17943),
(17944, 'PF14034', NULL, 'Sporulation protein YtrH', 101, NULL, 'Spore_YtrH', 17944),
(17945, 'PF01222', NULL, 'Ergosterol biosynthesis ERG4/ERG24 family', 432, NULL, 'ERG4_ERG24', 17945),
(17946, 'PF14648', NULL, 'FAM91 C-terminus', 425, NULL, 'FAM91_C', 17946),
(17947, 'PF16960', NULL, 'Haemoglobin-haptoglobin utilisation, porphyrin transporter', 308, NULL, 'HpuA', 17947);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17948, 'PF04609', NULL, 'Methyl-coenzyme M reductase operon protein C', 271, NULL, 'MCR_C', 17948),
(17949, 'PF03634', NULL, 'TCP family transcription factor', 154, NULL, 'TCP', 17949),
(17950, 'PF02888', NULL, 'Calmodulin binding domain', 75, NULL, 'CaMBD', 17950),
(17951, 'PF15091', NULL, 'Domain of unknown function (DUF4554)', 458, NULL, 'DUF4554', 17951),
(17952, 'PF02452', NULL, 'PemK-like, MazF-like toxin of type II toxin-antitoxin system', 111, NULL, 'PemK_toxin', 17952),
(17953, 'PF03917', NULL, 'Eukaryotic glutathione synthase, ATP binding domain', 382, NULL, 'GSH_synth_ATP', 17953),
(17954, 'PF00810', NULL, 'ER lumen protein retaining receptor', 147, NULL, 'ER_lumen_recept', 17954),
(17955, 'PF08316', NULL, 'Pal1 cell morphology protein', 138, NULL, 'Pal1', 17955),
(17956, 'PF04064', NULL, 'Domain of unknown function (DUF384)', 55, NULL, 'DUF384', 17956),
(17957, 'PF11725', NULL, 'AvrE-family Type-III effector proteins (T3Es)', 1778, NULL, 'AvrE_T3Es', 17957),
(17958, 'PF04110', NULL, 'Ubiquitin-like autophagy protein Apg12', 87, NULL, 'APG12', 17958),
(17959, 'PF01275', NULL, 'Myelin proteolipid protein (PLP or lipophilin)', 236, NULL, 'Myelin_PLP', 17959),
(17960, 'PF16989', NULL, 'Type VI secretion, EvfE, EvfF, ImpA, BimE, VC_A0119, VasJ', 257, NULL, 'T6SS_VasJ', 17960),
(17961, 'PF12923', NULL, 'Ribosomal RNA-processing protein 7 (RRP7) C-terminal domain', 120, NULL, 'RRP7', 17961),
(17962, 'PF12706', NULL, 'Beta-lactamase superfamily domain', 201, NULL, 'Lactamase_B_2', 17962),
(17963, 'PF10277', NULL, 'Frag1/DRAM/Sfk1 family', 219, NULL, 'Frag1', 17963),
(17964, 'PF05205', NULL, 'COMPASS (Complex proteins associated with Set1p) component shg1', 102, NULL, 'COMPASS-Shg1', 17964),
(17965, 'PF19188', NULL, 'Adhesion GPCR B N-terminal region', 177, NULL, 'AGRB_N', 17965),
(17966, 'PF02198', NULL, 'Sterile alpha motif (SAM)/Pointed domain', 84, NULL, 'SAM_PNT', 17966),
(17967, 'PF01397', NULL, 'Terpene synthase, N-terminal domain', 192, NULL, 'Terpene_synth', 17967),
(17968, 'PF08803', NULL, 'Putative mono-oxygenase ydhR', 96, NULL, 'ydhR', 17968),
(17969, 'PF01105', NULL, 'emp24/gp25L/p24 family/GOLD', 182, NULL, 'EMP24_GP25L', 17969),
(17970, 'PF11110', NULL, 'Baseplate hub distal subunit', 154, NULL, 'Phage_hub_GP28', 17970),
(17971, 'PF13987', NULL, 'YedD-like protein', 106, NULL, 'YedD', 17971),
(17972, 'PF10131', NULL, '6-pyruvoyl-tetrahydropterin synthase related domain; membrane protein', 621, NULL, 'PTPS_related', 17972),
(17973, 'PF18563', NULL, 'TubC N-terminal docking domain', 52, NULL, 'TubC_N', 17973),
(17974, 'PF11854', NULL, 'Putative outer membrane beta-barrel porin, MtrB/PioB', 663, NULL, 'MtrB_PioB', 17974),
(17975, 'PF09574', NULL, 'Protein  of unknown function (Duf2374)', 42, NULL, 'DUF2374', 17975),
(17976, 'PF07231', NULL, 'Hs1pro-1 N-terminus', 200, NULL, 'Hs1pro-1_N', 17976),
(17977, 'PF00889', NULL, 'Elongation factor TS', 208, NULL, 'EF_TS', 17977),
(17978, 'PF17708', NULL, 'Gasdermin PUB domain', 175, NULL, 'Gasdermin_C', 17978),
(17979, 'PF01034', NULL, 'Syndecan domain', 62, NULL, 'Syndecan', 17979),
(17980, 'PF17961', NULL, 'Bacterial Ig domain', 102, NULL, 'Big_8', 17980),
(17981, 'PF04183', NULL, 'IucA / IucC family', 239, NULL, 'IucA_IucC', 17981),
(17982, 'PF12483', NULL, 'E3 Ubiquitin ligase', 159, NULL, 'GIDE', 17982),
(17983, 'PF05557', NULL, 'Mitotic checkpoint protein', 661, NULL, 'MAD', 17983),
(17984, 'PF04987', NULL, 'Phosphatidylinositolglycan class N (PIG-N)', 453, NULL, 'PigN', 17984),
(17985, 'PF08636', NULL, 'ER protein Pkr1', 73, NULL, 'Pkr1', 17985),
(17986, 'PF02609', NULL, 'Exonuclease VII small subunit', 52, NULL, 'Exonuc_VII_S', 17986),
(17987, 'PF05515', NULL, 'Viral nucleic acid binding', 222, NULL, 'Viral_NABP', 17987),
(17988, 'PF10514', NULL, 'Pro-apoptotic Bcl-2 protein, BAD', 166, NULL, 'Bcl-2_BAD', 17988),
(17989, 'PF17954', NULL, 'Quercetinase C-terminal cupin domain', 86, NULL, 'Pirin_C_2', 17989),
(17990, 'PF06055', NULL, 'Exopolysaccharide synthesis, ExoD', 180, NULL, 'ExoD', 17990);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(17991, 'PF11755', NULL, 'Protein of unknown function (DUF3311)', 61, NULL, 'DUF3311', 17991),
(17992, 'PF19111', NULL, 'Family of unknown function (DUF5798)', 89, NULL, 'DUF5798', 17992),
(17993, 'PF17584', NULL, 'Bacillus competence protein S', 44, NULL, 'ComS', 17993),
(17994, 'PF16020', NULL, 'Deltamethrin resistance', 52, NULL, 'Deltameth_res', 17994),
(17995, 'PF11175', NULL, 'Protein of unknown function (DUF2961)', 234, NULL, 'DUF2961', 17995),
(17996, 'PF02126', NULL, 'Phosphotriesterase family', 298, NULL, 'PTE', 17996),
(17997, 'PF15075', NULL, 'Domain of unknown function (DUF4542)', 135, NULL, 'DUF4542', 17997),
(17998, 'PF10984', NULL, 'Protein of unknown function (DUF2794)', 85, NULL, 'DUF2794', 17998),
(17999, 'PF05373', NULL, 'L-proline 3-hydroxylase, C-terminal', 101, NULL, 'Pro_3_hydrox_C', 17999),
(18000, 'PF07978', NULL, 'NIPSNAP', 102, NULL, 'NIPSNAP', 18000),
(18001, 'PF01678', NULL, 'Diaminopimelate epimerase', 121, NULL, 'DAP_epimerase', 18001),
(18002, 'PF04102', NULL, 'SlyX', 67, NULL, 'SlyX', 18002),
(18003, 'PF04439', NULL, 'Streptomycin adenylyltransferase', 279, NULL, 'Adenyl_transf', 18003),
(18004, 'PF16493', NULL, 'N-terminal of Homeobox Meis and PKNOX1', 86, NULL, 'Meis_PKNOX_N', 18004),
(18005, 'PF17985', NULL, 'SipA vinculin binding site', 22, NULL, 'SipA_VBS', 18005),
(18006, 'PF10737', NULL, 'Spore germination protein GerPC', 174, NULL, 'GerPC', 18006),
(18007, 'PF12761', NULL, 'Actin cytoskeleton-regulatory complex protein END3', 198, NULL, 'End3', 18007),
(18008, 'PF07818', NULL, 'HCNGP-like protein', 94, NULL, 'HCNGP', 18008),
(18009, 'PF01283', NULL, 'Ribosomal protein S26e', 108, NULL, 'Ribosomal_S26e', 18009),
(18010, 'PF00539', NULL, 'Transactivating regulatory protein (Tat)', 63, NULL, 'Tat', 18010),
(18011, 'PF17625', NULL, 'Family of unknown function (DUF5509)', 362, NULL, 'DUF5509', 18011),
(18012, 'PF04541', NULL, 'Herpesvirus virion protein U34', 202, NULL, 'Herpes_U34', 18012),
(18013, 'PF12593', NULL, 'Microcystin synthetase C terminal', 43, NULL, 'McyA_C', 18013),
(18014, 'PF01794', NULL, 'Ferric reductase like transmembrane component', 125, NULL, 'Ferric_reduct', 18014),
(18015, 'PF05960', NULL, 'Bacterial protein of unknown function (DUF885)', 529, NULL, 'DUF885', 18015),
(18016, 'PF07738', NULL, 'Sad1 / UNC-like C-terminal', 131, NULL, 'Sad1_UNC', 18016),
(18017, 'PF06639', NULL, 'Basal layer antifungal peptide (BAP)', 76, NULL, 'BAP', 18017),
(18018, 'PF08100', NULL, 'Dimerisation domain', 51, NULL, 'Dimerisation', 18018),
(18019, 'PF15348', NULL, 'Gemini of Cajal bodies-associated protein 8', 231, NULL, 'GEMIN8', 18019),
(18020, 'PF16744', NULL, 'KIAA1045 RING finger', 73, NULL, 'Zf_RING', 18020),
(18021, 'PF00057', NULL, 'Low-density lipoprotein receptor domain class A', 37, NULL, 'Ldl_recept_a', 18021),
(18022, 'PF12636', NULL, 'Protein of unknown function (DUF3781)', 72, NULL, 'DUF3781', 18022),
(18023, 'PF18320', NULL, 'Csc2 Crispr', 298, NULL, 'Csc2', 18023),
(18024, 'PF15976', NULL, 'CS1-pili formation C-terminal', 93, NULL, 'CooC_C', 18024),
(18025, 'PF18980', NULL, 'Family of unknown function (DUF5716) C-terminal', 296, NULL, 'DUF5716_C', 18025),
(18026, 'PF03646', NULL, 'FlaG protein', 101, NULL, 'FlaG', 18026),
(18027, 'PF09240', NULL, 'Interleukin-6 receptor alpha chain, binding', 96, NULL, 'IL6Ra-bind', 18027),
(18028, 'PF17224', NULL, 'Domain of unknown function (DUF5300)', 98, NULL, 'DUF5300', 18028),
(18029, 'PF04381', NULL, 'Putative exonuclease, RdgC', 298, NULL, 'RdgC', 18029),
(18030, 'PF08252', NULL, 'arg-2/CPA1 leader peptide', 23, NULL, 'Leader_CPA1', 18030),
(18031, 'PF10954', NULL, 'Protein of unknown function (DUF2755)', 100, NULL, 'DUF2755', 18031),
(18032, 'PF13557', NULL, 'Putative MetA-pathway of phenol degradation', 241, NULL, 'Phenol_MetA_deg', 18032),
(18033, 'PF17845', NULL, 'FbpC C-terminal regulatory nucleotide binding domain', 55, NULL, 'FbpC_C_terminal', 18033),
(18034, 'PF03537', NULL, 'Glycoside-hydrolase family GH114', 232, NULL, 'Glyco_hydro_114', 18034);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18035, 'PF02992', NULL, 'Transposase family tnp2', 213, NULL, 'Transposase_21', 18035),
(18036, 'PF04016', NULL, 'Putative heavy-metal chelation', 147, NULL, 'DUF364', 18036),
(18037, 'PF11107', NULL, 'Fanconi anemia group F protein (FANCF)', 345, NULL, 'FANCF', 18037),
(18038, 'PF04296', NULL, 'Protein of unknown function (DUF448)', 75, NULL, 'YlxR', 18038),
(18039, 'PF16131', NULL, 'Torus domain', 109, NULL, 'Torus', 18039),
(18040, 'PF18262', NULL, 'Phe-tRNA synthetase beta subunit B1 domain', 83, NULL, 'PhetRS_B1', 18040),
(18041, 'PF06230', NULL, 'LpxI C-terminal domain', 132, NULL, 'LpxI_C', 18041),
(18042, 'PF03550', NULL, 'Outer membrane lipoprotein LolB', 151, NULL, 'LolB', 18042),
(18043, 'PF08865', NULL, 'Domain of unknown function (DUF1830)', 66, NULL, 'DUF1830', 18043),
(18044, 'PF16286', NULL, 'Domain of unknown function (DUF4932)', 329, NULL, 'DUF4932', 18044),
(18045, 'PF00171', NULL, 'Aldehyde dehydrogenase family', 462, NULL, 'Aldedh', 18045),
(18046, 'PF06351', NULL, 'Allene oxide cyclase', 175, NULL, 'Allene_ox_cyc', 18046),
(18047, 'PF15021', NULL, 'Protein of unknown function (DUF4521)', 204, NULL, 'DUF4521', 18047),
(18048, 'PF10925', NULL, 'Protein of unknown function (DUF2680)', 57, NULL, 'DUF2680', 18048),
(18049, 'PF05184', NULL, 'Saposin-like type B, region 1', 38, NULL, 'SapB_1', 18049),
(18050, 'PF00180', NULL, 'Isocitrate/isopropylmalate dehydrogenase', 348, NULL, 'Iso_dh', 18050),
(18051, 'PF16807', NULL, 'Domain of unknown function (DUF5072)', 118, NULL, 'DUF5072', 18051),
(18052, 'PF05167', NULL, 'Uncharacterised ACR (DUF711)', 406, NULL, 'DUF711', 18052),
(18053, 'PF09220', NULL, 'L-A virus, major coat protein', 439, NULL, 'LA-virus_coat', 18053),
(18054, 'PF01990', NULL, 'ATP synthase (F/14-kDa) subunit', 91, NULL, 'ATP-synt_F', 18054),
(18055, 'PF08429', NULL, 'PLU-1-like protein', 339, NULL, 'PLU-1', 18055),
(18056, 'PF11952', NULL, 'XRN-Two Binding Domain, XTBD', 85, NULL, 'XTBD', 18056),
(18057, 'PF04451', NULL, 'Large eukaryotic DNA virus major capsid protein', 195, NULL, 'Capsid_NCLDV', 18057),
(18058, 'PF08021', NULL, 'Siderophore-interacting FAD-binding domain', 121, NULL, 'FAD_binding_9', 18058),
(18059, 'PF03443', NULL, 'Glycosyl hydrolase family 61', 205, NULL, 'Glyco_hydro_61', 18059),
(18060, 'PF03980', NULL, 'Nnf1', 110, NULL, 'Nnf1', 18060),
(18061, 'PF03057', NULL, 'DUF236 repeat', 31, NULL, 'DUF236', 18061),
(18062, 'PF18442', NULL, 'E3 gp78 Ube2g2-binding region (G2BR)', 27, NULL, 'G2BR', 18062),
(18063, 'PF15546', NULL, 'Domain of unknown function (DUF4653)', 257, NULL, 'DUF4653', 18063),
(18064, 'PF08979', NULL, 'Domain of unknown function (DUF1894)', 88, NULL, 'DUF1894', 18064),
(18065, 'PF02760', NULL, 'HIN-200/IF120x domain', 168, NULL, 'HIN', 18065),
(18066, 'PF11551', NULL, 'Outer membrane protein Omp28', 170, NULL, 'Omp28', 18066),
(18067, 'PF13909', NULL, 'C2H2-type zinc-finger domain', 25, NULL, 'zf-H2C2_5', 18067),
(18068, 'PF15675', NULL, 'CLLAC-motif containing domain', 30, NULL, 'CLLAC', 18068),
(18069, 'PF02499', NULL, 'Probable DNA packing protein, C-terminus', 349, NULL, 'DNA_pack_C', 18069),
(18070, 'PF15739', NULL, 'Translin-associated factor X-interacting N-terminus', 111, NULL, 'TSNAXIP1_N', 18070),
(18071, 'PF18395', NULL, 'Cas3 C-terminal domain', 107, NULL, 'Cas3_C', 18071),
(18072, 'PF05575', NULL, 'Vibrio cholerae RfbT protein', 286, NULL, 'V_cholerae_RfbT', 18072),
(18073, 'PF00535', NULL, 'Glycosyl transferase family 2', 170, NULL, 'Glycos_transf_2', 18073),
(18074, 'PF06747', NULL, 'CHCH domain', 35, NULL, 'CHCH', 18074),
(18075, 'PF00906', NULL, 'Hepatitis core antigen', 259, NULL, 'Hepatitis_core', 18075),
(18076, 'PF13063', NULL, 'Protein of unknown function (DUF3925)', 65, NULL, 'DUF3925', 18076),
(18077, 'PF04161', NULL, 'Arv1-like family', 210, NULL, 'Arv1', 18077),
(18078, 'PF06628', NULL, 'Catalase-related immune-responsive', 65, NULL, 'Catalase-rel', 18078),
(18079, 'PF07799', NULL, 'Protein of unknown function (DUF1643)', 134, NULL, 'DUF1643', 18079); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18080, 'PF17589', NULL, 'Family of unknown function (DUF5487)', 66, NULL, 'DUF5487', 18080),
(18081, 'PF04744', NULL, 'Monooxygenase subunit B protein', 379, NULL, 'Monooxygenase_B', 18081),
(18082, 'PF00228', NULL, 'Bowman-Birk serine protease inhibitor family', 25, NULL, 'Bowman-Birk_leg', 18082),
(18083, 'PF04738', NULL, 'Lantibiotic dehydratase, N terminus', 650, NULL, 'Lant_dehydr_N', 18083),
(18084, 'PF15122', NULL, 'TMEM206 protein family', 296, NULL, 'TMEM206', 18084),
(18085, 'PF02955', NULL, 'Prokaryotic glutathione synthetase, ATP-grasp domain', 175, NULL, 'GSH-S_ATP', 18085),
(18086, 'PF08562', NULL, 'Crisp', 55, NULL, 'Crisp', 18086),
(18087, 'PF06239', NULL, 'Evolutionarily conserved signalling intermediate in Toll pathway', 224, NULL, 'ECSIT', 18087),
(18088, 'PF01200', NULL, 'Ribosomal protein S28e', 64, NULL, 'Ribosomal_S28e', 18088),
(18089, 'PF17223', NULL, 'Cuticle protein CPCFC', 17, NULL, 'CPCFC', 18089),
(18090, 'PF00793', NULL, 'DAHP synthetase I family', 275, NULL, 'DAHP_synth_1', 18090),
(18091, 'PF18177', NULL, 'La HTH in kinetoplastid DICER domain', 90, NULL, 'La_HTH_kDCL', 18091),
(18092, 'PF15306', NULL, 'LIN37', 156, NULL, 'LIN37', 18092),
(18093, 'PF04089', NULL, 'BRICHOS domain', 91, NULL, 'BRICHOS', 18093),
(18094, 'PF00856', NULL, 'SET domain', 169, NULL, 'SET', 18094),
(18095, 'PF10416', NULL, 'Transcription-initiator DNA-binding domain IBD', 128, NULL, 'IBD', 18095),
(18096, 'PF00619', NULL, 'Caspase recruitment domain', 85, NULL, 'CARD', 18096),
(18097, 'PF02386', NULL, 'Cation transport protein', 502, NULL, 'TrkH', 18097),
(18098, 'PF12844', NULL, 'Helix-turn-helix domain', 65, NULL, 'HTH_19', 18098),
(18099, 'PF05292', NULL, 'Malonyl-CoA decarboxylase C-terminal domain', 256, NULL, 'MCD', 18099),
(18100, 'PF15029', NULL, 'Transmembrane protein 174', 235, NULL, 'TMEM174', 18100),
(18101, 'PF03618', NULL, 'Kinase/pyrophosphorylase', 255, NULL, 'Kinase-PPPase', 18101),
(18102, 'PF16776', NULL, 'Type II inositol 1,4,5-trisphosphate 5-phosphatase PH domain', 145, NULL, 'INPP5B_PH', 18102),
(18103, 'PF09159', NULL, 'Mitochondrial resolvase Ydc2 / RNA splicing MRS1', 280, NULL, 'Ydc2-catalyt', 18103),
(18104, 'PF09754', NULL, 'PAC2 family', 214, NULL, 'PAC2', 18104),
(18105, 'PF15066', NULL, 'Cancer-associated gene protein 1 family', 528, NULL, 'CAGE1', 18105),
(18106, 'PF12271', NULL, 'Chitin synthase export chaperone', 287, NULL, 'Chs7', 18106),
(18107, 'PF07650', NULL, 'KH domain', 78, NULL, 'KH_2', 18107),
(18108, 'PF19168', NULL, 'Family of unknown function (DUF5850)', 156, NULL, 'DUF5850', 18108),
(18109, 'PF18726', NULL, 'SAV_6107-like HEPN', 98, NULL, 'HEPN_SAV_6107', 18109),
(18110, 'PF03447', NULL, 'Homoserine dehydrogenase, NAD binding domain', 117, NULL, 'NAD_binding_3', 18110),
(18111, 'PF16232', NULL, 'Domain of unknown function (DUF4891)', 92, NULL, 'DUF4891', 18111),
(18112, 'PF18545', NULL, 'Halobacterial output domain 1', 75, NULL, 'HalOD1', 18112),
(18113, 'PF01011', NULL, 'PQQ enzyme repeat', 38, NULL, 'PQQ', 18113),
(18114, 'PF07119', NULL, 'Protein of unknown function (DUF1375)', 53, NULL, 'DUF1375', 18114),
(18115, 'PF07562', NULL, 'Nine Cysteines Domain of family 3 GPCR', 53, NULL, 'NCD3G', 18115),
(18116, 'PF01411', NULL, 'tRNA synthetases class II (A)', 552, NULL, 'tRNA-synt_2c', 18116),
(18117, 'PF16346', NULL, 'Domain of unknown function (DUF4975)', 176, NULL, 'DUF4975', 18117),
(18118, 'PF13407', NULL, 'Periplasmic binding protein domain', 257, NULL, 'Peripla_BP_4', 18118),
(18119, 'PF02367', NULL, 'Threonylcarbamoyl adenosine biosynthesis protein TsaE', 128, NULL, 'TsaE', 18119),
(18120, 'PF05455', NULL, 'GvpH', 175, NULL, 'GvpH', 18120),
(18121, 'PF15526', NULL, 'Novel toxin 21', 71, NULL, 'Ntox21', 18121),
(18122, 'PF02830', NULL, 'V4R domain', 62, NULL, 'V4R', 18122),
(18123, 'PF02964', NULL, 'Methane monooxygenase, hydrolase gamma chain', 161, NULL, 'MeMO_Hyd_G', 18123),
(18124, 'PF15623', NULL, 'Cancer/testis gene family 47', 277, NULL, 'CT47', 18124);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18125, 'PF13341', NULL, 'RAG2 PHD domain', 78, NULL, 'RAG2_PHD', 18125),
(18126, 'PF11424', NULL, 'Protein of unknown function (DUF3195)', 85, NULL, 'DUF3195', 18126),
(18127, 'PF18540', NULL, 'Domain of unknown function (DUF5626)', 121, NULL, 'DUF5626', 18127),
(18128, 'PF18728', NULL, 'AbiV', 168, NULL, 'HEPN_AbiV', 18128),
(18129, 'PF09611', NULL, 'CRISPR-associated protein (Cas_Csy1)', 376, NULL, 'Cas_Csy1', 18129),
(18130, 'PF05095', NULL, 'Protein of unknown function (DUF687)', 537, NULL, 'DUF687', 18130),
(18131, 'PF16791', NULL, 'Connexin 40 C-terminal domain', 106, NULL, 'Connexin40_C', 18131),
(18132, 'PF09453', NULL, 'HIRA B motif', 23, NULL, 'HIRA_B', 18132),
(18133, 'PF02246', NULL, 'Protein L b1 domain', 69, NULL, 'B1', 18133),
(18134, 'PF01204', NULL, 'Trehalase', 512, NULL, 'Trehalase', 18134),
(18135, 'PF03987', NULL, 'Autophagocytosis associated protein, active-site domain', 206, NULL, 'Autophagy_act_C', 18135),
(18136, 'PF14247', NULL, 'Putative metallopeptidase', 220, NULL, 'DUF4344', 18136),
(18137, 'PF05637', NULL, 'galactosyl transferase GMA12/MNN10 family', 239, NULL, 'Glyco_transf_34', 18137),
(18138, 'PF14293', NULL, 'YWFCY protein', 60, NULL, 'YWFCY', 18138),
(18139, 'PF03362', NULL, 'Herpesvirus UL47 protein', 454, NULL, 'Herpes_UL47', 18139),
(18140, 'PF16754', NULL, 'Bacterial toxin homologue of phage lysozyme, C-term', 152, NULL, 'Pesticin', 18140),
(18141, 'PF06093', NULL, 'Spt4/RpoE2 zinc finger', 77, NULL, 'Spt4', 18141),
(18142, 'PF04300', NULL, 'F-box associated region', 178, NULL, 'FBA', 18142),
(18143, 'PF03617', NULL, 'IBV 3A protein', 57, NULL, 'IBV_3A', 18143),
(18144, 'PF10753', NULL, 'Toxin GhoT_OrtT', 55, NULL, 'Toxin_GhoT_OrtT', 18144),
(18145, 'PF15241', NULL, 'Cylicin N-terminus', 107, NULL, 'Cylicin_N', 18145),
(18146, 'PF07852', NULL, 'Protein of unknown function (DUF1642)', 138, NULL, 'DUF1642', 18146),
(18147, 'PF13513', NULL, 'HEAT-like repeat', 55, NULL, 'HEAT_EZ', 18147),
(18148, 'PF12885', NULL, 'Transducer of regulated CREB activity middle domain', 158, NULL, 'TORC_M', 18148),
(18149, 'PF11642', NULL, 'Mite allergen Blo t 5', 119, NULL, 'Blo-t-5', 18149),
(18150, 'PF10418', NULL, 'Iron-sulfur cluster binding domain of dihydroorotate dehydrogenase B', 42, NULL, 'DHODB_Fe-S_bind', 18150),
(18151, 'PF11532', NULL, 'Heterogeneous nuclear ribonucleoprotein M', 30, NULL, 'HnRNP_M', 18151),
(18152, 'PF09724', NULL, 'Sister chromatid cohesion protein Dcc1', 337, NULL, 'Dcc1', 18152),
(18153, 'PF10660', NULL, 'Iron-containing outer mitochondrial membrane protein N-terminus', 64, NULL, 'MitoNEET_N', 18153),
(18154, 'PF00666', NULL, 'Cathelicidin', 101, NULL, 'Cathelicidins', 18154),
(18155, 'PF10378', NULL, 'Putative RRM domain', 52, NULL, 'RRM', 18155),
(18156, 'PF00384', NULL, 'Molybdopterin oxidoreductase', 432, NULL, 'Molybdopterin', 18156),
(18157, 'PF13118', NULL, 'Protein of unknown function (DUF3972)', 125, NULL, 'DUF3972', 18157),
(18158, 'PF17616', NULL, 'Viral unique short region 6', 161, NULL, 'US6', 18158),
(18159, 'PF04912', NULL, 'Dynamitin', 402, NULL, 'Dynamitin', 18159),
(18160, 'PF01641', NULL, 'SelR domain', 121, NULL, 'SelR', 18160),
(18161, 'PF07040', NULL, 'Protein of unknown function (DUF1326)', 177, NULL, 'DUF1326', 18161),
(18162, 'PF04880', NULL, 'NUDE protein, C-terminal conserved region', 177, NULL, 'NUDE_C', 18162),
(18163, 'PF15732', NULL, 'Domain of unknown function (DUF4681)', 127, NULL, 'DUF4681', 18163),
(18164, 'PF18459', NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', 83, NULL, 'PCSK9_C1', 18164),
(18165, 'PF08907', NULL, 'Domain of unknown function (DUF1853)', 281, NULL, 'DUF1853', 18165),
(18166, 'PF17575', NULL, 'Family of unknown function (DUF5479)', 101, NULL, 'DUF5479', 18166),
(18167, 'PF10723', NULL, 'Replication regulatory protein RepB', 81, NULL, 'RepB-RCR_reg', 18167),
(18168, 'PF18523', NULL, 'Sld3 N-terminal domain', 116, NULL, 'Sld3_N', 18168),
(18169, 'PF15916', NULL, 'Domain of unknown function (DUF4743)', 121, NULL, 'DUF4743', 18169);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18170, 'PF04325', NULL, 'Protein of unknown function (DUF465)', 47, NULL, 'DUF465', 18170),
(18171, 'PF11309', NULL, 'Protein of unknown function (DUF3112)', 218, NULL, 'DUF3112', 18171),
(18172, 'PF04237', NULL, 'YjbR', 85, NULL, 'YjbR', 18172),
(18173, 'PF09963', NULL, 'Uncharacterized protein conserved in bacteria (DUF2197)', 56, NULL, 'DUF2197', 18173),
(18174, 'PF14572', NULL, 'Phosphoribosyl synthetase-associated domain', 184, NULL, 'Pribosyl_synth', 18174),
(18175, 'PF02497', NULL, 'Arterivirus glycoprotein', 178, NULL, 'Arteri_GP4', 18175),
(18176, 'PF04379', NULL, 'ApaG domain', 87, NULL, 'DUF525', 18176),
(18177, 'PF13275', NULL, 'S4 domain', 65, NULL, 'S4_2', 18177),
(18178, 'PF16964', NULL, 'Putative tight adherence pilin protein F', 181, NULL, 'TadF', 18178),
(18179, 'PF08544', NULL, 'GHMP kinases C terminal', 85, NULL, 'GHMP_kinases_C', 18179),
(18180, 'PF07188', NULL, 'Kaposi''s sarcoma-associated herpesvirus (KSHV) K8 protein', 238, NULL, 'KSHV_K8', 18180),
(18181, 'PF02515', NULL, 'CoA-transferase family III', 368, NULL, 'CoA_transf_3', 18181),
(18182, 'PF03178', NULL, 'CPSF A subunit region', 322, NULL, 'CPSF_A', 18182),
(18183, 'PF14817', NULL, 'HAUS augmin-like complex subunit 5', 680, NULL, 'HAUS5', 18183),
(18184, 'PF00786', NULL, 'P21-Rho-binding domain', 59, NULL, 'PBD', 18184),
(18185, 'PF18989', NULL, 'Family of unknown function (DUF5722)', 394, NULL, 'DUF5722', 18185),
(18186, 'PF04749', NULL, 'PLAC8 family', 91, NULL, 'PLAC8', 18186),
(18187, 'PF14690', NULL, 'zinc-finger of transposase IS204/IS1001/IS1096/IS1165', 47, NULL, 'zf-ISL3', 18187),
(18188, 'PF15314', NULL, 'Proline-rich acidic protein 1, pregnancy-specific uterine', 45, NULL, 'PRAP', 18188),
(18189, 'PF09663', NULL, 'Amidohydrolase ring-opening protein (Amido_AtzD_TrzD)', 360, NULL, 'Amido_AtzD_TrzD', 18189),
(18190, 'PF11634', NULL, 'Nuclease inhibitor from bacteriophage T4', 76, NULL, 'IPI_T4', 18190),
(18191, 'PF00277', NULL, 'Serum amyloid A protein', 102, NULL, 'SAA', 18191),
(18192, 'PF13518', NULL, 'Helix-turn-helix domain', 52, NULL, 'HTH_28', 18192),
(18193, 'PF11604', NULL, 'Copper binding periplasmic protein CusF', 68, NULL, 'CusF_Ec', 18193),
(18194, 'PF00636', NULL, 'Ribonuclease III domain', 105, NULL, 'Ribonuclease_3', 18194),
(18195, 'PF05358', NULL, 'DicB protein', 62, NULL, 'DicB', 18195),
(18196, 'PF15117', NULL, 'Uncharacterised protein family UPF0697', 98, NULL, 'UPF0697', 18196),
(18197, 'PF17833', NULL, 'UPF0113 Pre-PUA domain', 83, NULL, 'UPF0113_N', 18197),
(18198, 'PF15662', NULL, 'Spermatogenesis-associated protein 3 family', 191, NULL, 'SPATA3', 18198),
(18199, 'PF17080', NULL, 'Multidrug Resistance efflux pump', 144, NULL, 'SepA', 18199),
(18200, 'PF17380', NULL, 'Family of unknown function (DUF5401)', 721, NULL, 'DUF5401', 18200),
(18201, 'PF08087', NULL, 'Conotoxin O-superfamily', 31, NULL, 'Toxin_18', 18201),
(18202, 'PF14081', NULL, 'Domain of unknown function (DUF4262)', 127, NULL, 'DUF4262', 18202),
(18203, 'PF01812', NULL, '5-formyltetrahydrofolate cyclo-ligase family', 187, NULL, '5-FTHF_cyc-lig', 18203),
(18204, 'PF16064', NULL, 'Domain of unknown function (DUF4806)', 90, NULL, 'DUF4806', 18204),
(18205, 'PF08622', NULL, 'Svf1-like N-terminal lipocalin domain', 163, NULL, 'Svf1', 18205),
(18206, 'PF00637', NULL, 'Region in Clathrin and VPS', 143, NULL, 'Clathrin', 18206),
(18207, 'PF13154', NULL, 'Protein of unknown function (DUF3991)', 75, NULL, 'DUF3991', 18207),
(18208, 'PF17653', NULL, 'Family of unknown function (DUF5522)', 48, NULL, 'DUF5522', 18208),
(18209, 'PF07883', NULL, 'Cupin domain', 71, NULL, 'Cupin_2', 18209),
(18210, 'PF07105', NULL, 'Protein of unknown function (DUF1367)', 196, NULL, 'DUF1367', 18210),
(18211, 'PF15778', NULL, 'Cation channel complex component UNC80', 187, NULL, 'UNC80', 18211),
(18212, 'PF05020', NULL, 'NPL4 family, putative zinc binding region', 145, NULL, 'zf-NPL4', 18212),
(18213, 'PF04955', NULL, 'HupE / UreJ protein', 179, NULL, 'HupE_UreJ', 18213);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18214, 'PF11651', NULL, 'P22 coat protein - gene protein 5', 415, NULL, 'P22_CoatProtein', 18214),
(18215, 'PF04261', NULL, 'Dyp-type peroxidase family', 327, NULL, 'Dyp_perox', 18215),
(18216, 'PF04178', NULL, 'Got1/Sft2-like family', 114, NULL, 'Got1', 18216),
(18217, 'PF17890', NULL, 'Peptidoglycan hydrolase LytB WW-like domain', 53, NULL, 'WW_like', 18217),
(18218, 'PF17164', NULL, 'Domain of unknown function (DUF5122) beta-propeller', 36, NULL, 'DUF5122', 18218),
(18219, 'PF06580', NULL, 'Histidine kinase', 78, NULL, 'His_kinase', 18219),
(18220, 'PF16668', NULL, 'Adhesin from Campylobacter', 352, NULL, 'JLPA', 18220),
(18221, 'PF02341', NULL, 'RbcX protein', 111, NULL, 'RcbX', 18221),
(18222, 'PF17379', NULL, 'Family of unknown function (DUF5400)', 100, NULL, 'DUF5400', 18222),
(18223, 'PF11636', NULL, 'Troponin I residues 1-32', 31, NULL, 'Troponin-I_N', 18223),
(18224, 'PF03300', NULL, 'Tenuivirus non-structural, movement protein NS4', 282, NULL, 'Tenui_NS4', 18224),
(18225, 'PF06445', NULL, 'GyrI-like small molecule binding domain', 155, NULL, 'GyrI-like', 18225),
(18226, 'PF15190', NULL, 'Transmembrane protein 251', 128, NULL, 'TMEM251', 18226),
(18227, 'PF08689', NULL, 'Mediator complex subunit Med5', 1082, NULL, 'Med5', 18227),
(18228, 'PF10000', NULL, 'ACT domain', 70, NULL, 'ACT_3', 18228),
(18229, 'PF11901', NULL, 'Protein of unknown function (DUF3421)', 115, NULL, 'DUF3421', 18229),
(18230, 'PF11601', NULL, 'Shal-type voltage-gated potassium channels, N-terminal', 28, NULL, 'Shal-type', 18230),
(18231, 'PF07957', NULL, 'Protein of unknown function (DUF3294)', 213, NULL, 'DUF3294', 18231),
(18232, 'PF02747', NULL, 'Proliferating cell nuclear antigen, C-terminal domain', 128, NULL, 'PCNA_C', 18232),
(18233, 'PF04236', NULL, 'Tc5 transposase C-terminal domain', 63, NULL, 'Transp_Tc5_C', 18233),
(18234, 'PF05963', NULL, 'Cytomegalovirus US3 protein', 185, NULL, 'Cytomega_US3', 18234),
(18235, 'PF02960', NULL, 'K1 glycoprotein', 120, NULL, 'K1', 18235),
(18236, 'PF05217', NULL, 'STOP protein', 36, NULL, 'STOP', 18236),
(18237, 'PF00032', NULL, 'Cytochrome b(C-terminal)/b6/petD', 103, NULL, 'Cytochrom_B_C', 18237),
(18238, 'PF07561', NULL, 'Domain of Unknown Function (DUF1540)', 46, NULL, 'DUF1540', 18238),
(18239, 'PF07009', NULL, 'NusG domain II', 107, NULL, 'NusG_II', 18239),
(18240, 'PF12357', NULL, 'Phospholipase D C terminal', 72, NULL, 'PLD_C', 18240),
(18241, 'PF01014', NULL, 'Uricase', 133, NULL, 'Uricase', 18241),
(18242, 'PF09593', NULL, 'Beta-satellite pathogenicity beta C1 protein', 117, NULL, 'Pathogen_betaC1', 18242),
(18243, 'PF02657', NULL, 'Fe-S metabolism associated domain', 122, NULL, 'SufE', 18243),
(18244, 'PF05731', NULL, 'TROVE domain', 447, NULL, 'TROVE', 18244),
(18245, 'PF10316', NULL, 'Serpentine type 7TM GPCR chemoreceptor Srbc', 275, NULL, '7TM_GPCR_Srbc', 18245),
(18246, 'PF18825', NULL, 'Large polyvalent protein-associated domain 13', 139, NULL, 'LPD13', 18246),
(18247, 'PF05456', NULL, 'Eukaryotic translation initiation factor 4E binding protein (EIF4EBP)', 119, NULL, 'eIF_4EBP', 18247),
(18248, 'PF15632', NULL, 'ATP-grasp in the biosynthetic pathway with Ter operon', 131, NULL, 'ATPgrasp_Ter', 18248),
(18249, 'PF08535', NULL, 'KorB domain', 89, NULL, 'KorB', 18249),
(18250, 'PF18350', NULL, 'Restriction endonuclease SH3 domain', 53, NULL, 'SH3_17', 18250),
(18251, 'PF07472', NULL, 'Fucose-binding lectin II (PA-IIL)', 107, NULL, 'PA-IIL', 18251),
(18252, 'PF04989', NULL, 'Cephalosporin hydroxylase', 206, NULL, 'CmcI', 18252),
(18253, 'PF18947', NULL, 'HAMP domain', 67, NULL, 'HAMP_2', 18253),
(18254, 'PF01823', NULL, 'MAC/Perforin domain', 213, NULL, 'MACPF', 18254),
(18255, 'PF17848', NULL, 'Acetyl-coA carboxylase zinc finger domain', 26, NULL, 'zf-ACC', 18255),
(18256, 'PF01750', NULL, 'Hydrogenase maturation protease', 130, NULL, 'HycI', 18256),
(18257, 'PF19010', NULL, 'Family of unknown function (DUF5739)', 114, NULL, 'DUF5739', 18257);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18258, 'PF14117', NULL, 'Domain of unknown function (DUF4287)', 60, NULL, 'DUF4287', 18258),
(18259, 'PF04356', NULL, 'Protein of unknown function (DUF489)', 192, NULL, 'DUF489', 18259),
(18260, 'PF15554', NULL, 'FSIP1 family', 400, NULL, 'FSIP1', 18260),
(18261, 'PF06493', NULL, 'Protein of unknown function (DUF1096)', 51, NULL, 'DUF1096', 18261),
(18262, 'PF10833', NULL, 'Protein of unknown function (DUF2572)', 220, NULL, 'DUF2572', 18262),
(18263, 'PF08363', NULL, 'Glucan-binding protein C', 300, NULL, 'GbpC', 18263),
(18264, 'PF16616', NULL, 'Unstructured region on Polyhomeotic-like protein 1 and 2', 123, NULL, 'PHC2_SAM_assoc', 18264),
(18265, 'PF09802', NULL, 'Preprotein translocase subunit Sec66', 180, NULL, 'Sec66', 18265),
(18266, 'PF02732', NULL, 'ERCC4 domain', 157, NULL, 'ERCC4', 18266),
(18267, 'PF10143', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase', 171, NULL, 'PhosphMutase', 18267),
(18268, 'PF00504', NULL, 'Chlorophyll A-B binding protein', 161, NULL, 'Chloroa_b-bind', 18268),
(18269, 'PF11943', NULL, 'Protein of unknown function (DUF3460)', 58, NULL, 'DUF3460', 18269),
(18270, 'PF15692', NULL, 'NF-kappa-B-activating protein', 82, NULL, 'NKAP', 18270),
(18271, 'PF02240', NULL, 'Methyl-coenzyme M reductase gamma subunit', 246, NULL, 'MCR_gamma', 18271),
(18272, 'PF03643', NULL, 'Vacuolar protein sorting-associated protein 26', 275, NULL, 'Vps26', 18272),
(18273, 'PF12181', NULL, 'DNA binding domain of the motility gene repressor (MogR)', 148, NULL, 'MogR_DNAbind', 18273),
(18274, 'PF06887', NULL, 'Protein of unknown function (DUF1265)', 47, NULL, 'DUF1265', 18274),
(18275, 'PF16311', NULL, 'Transmembrane protein 100', 132, NULL, 'TMEM100', 18275),
(18276, 'PF12270', NULL, 'Cytochrome c oxidase subunit IV', 132, NULL, 'Cyt_c_ox_IV', 18276),
(18277, 'PF13738', NULL, 'Pyridine nucleotide-disulphide oxidoreductase', 305, NULL, 'Pyr_redox_3', 18277),
(18278, 'PF11543', NULL, 'Nuclear pore localisation protein NPL4', 80, NULL, 'UN_NPL4', 18278),
(18279, 'PF07234', NULL, 'Movement and RNA silencing protein', 117, NULL, 'Babuvirus_MP', 18279),
(18280, 'PF07645', NULL, 'Calcium-binding EGF domain', 42, NULL, 'EGF_CA', 18280),
(18281, 'PF12424', NULL, 'Plasma membrane calcium transporter ATPase C terminal', 48, NULL, 'ATP_Ca_trans_C', 18281),
(18282, 'PF04024', NULL, 'PspC domain', 53, NULL, 'PspC', 18282),
(18283, 'PF07904', NULL, 'Chromatin modification-related protein EAF7', 106, NULL, 'Eaf7', 18283),
(18284, 'PF17024', NULL, 'Putative DMAP1-like', 113, NULL, 'DMAP1_like', 18284),
(18285, 'PF14279', NULL, 'HNH endonuclease', 56, NULL, 'HNH_5', 18285),
(18286, 'PF18878', NULL, 'PPE-PPW subfamily C-terminal region', 48, NULL, 'PPE-PPW', 18286),
(18287, 'PF08050', NULL, 'Tetracycline resistance leader peptide', 20, NULL, 'Tet_res_leader', 18287),
(18288, 'PF00349', NULL, 'Hexokinase', 199, NULL, 'Hexokinase_1', 18288),
(18289, 'PF03938', NULL, 'Outer membrane protein (OmpH-like)', 138, NULL, 'OmpH', 18289),
(18290, 'PF02533', NULL, 'Photosystem II 4 kDa reaction centre component', 41, NULL, 'PsbK', 18290),
(18291, 'PF18659', NULL, 'Cell-traversal protein for ookinetes and sporozoites', 122, NULL, 'CelTOS', 18291),
(18292, 'PF08003', NULL, 'Protein of unknown function (DUF1698)', 315, NULL, 'Methyltransf_9', 18292),
(18293, 'PF12896', NULL, 'Anaphase-promoting complex, cyclosome, subunit 4', 203, NULL, 'ANAPC4', 18293),
(18294, 'PF01155', NULL, 'Hydrogenase/urease nickel incorporation, metallochaperone, hypA', 112, NULL, 'HypA', 18294),
(18295, 'PF08155', NULL, 'NOGCT (NUC087) domain', 54, NULL, 'NOGCT', 18295),
(18296, 'PF10154', NULL, 'Uncharacterised conserved protein (DUF2362)', 501, NULL, 'DUF2362', 18296),
(18297, 'PF04282', NULL, 'Family of unknown function (DUF438)', 67, NULL, 'DUF438', 18297),
(18298, 'PF10182', NULL, 'Flo11 domain', 150, NULL, 'Flo11', 18298),
(18299, 'PF14021', NULL, 'Tuberculosis necrotizing toxin', 88, NULL, 'TNT', 18299),
(18300, 'PF13464', NULL, 'Domain of unknown function (DUF4115)', 74, NULL, 'DUF4115', 18300);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18301, 'PF02478', NULL, 'Pneumovirus phosphoprotein', 286, NULL, 'Pneumo_phosprot', 18301),
(18302, 'PF08547', NULL, 'Complex I intermediate-associated protein 30 (CIA30)', 160, NULL, 'CIA30', 18302),
(18303, 'PF04763', NULL, 'Protein of unknown function (DUF562)', 146, NULL, 'DUF562', 18303),
(18304, 'PF01382', NULL, 'Avidin family', 115, NULL, 'Avidin', 18304),
(18305, 'PF04201', NULL, 'Tumour protein D52 family', 164, NULL, 'TPD52', 18305),
(18306, 'PF15966', NULL, 'F-box', 116, NULL, 'F-box_4', 18306),
(18307, 'PF10784', NULL, 'Plasmid stability protein', 72, NULL, 'Plasmid_stab_B', 18307),
(18308, 'PF02116', NULL, 'Fungal pheromone mating factor STE2 GPCR', 280, NULL, 'STE2', 18308),
(18309, 'PF09149', NULL, 'Domain of unknown function (DUF1935)', 103, NULL, 'DUF1935', 18309),
(18310, 'PF02380', NULL, 'T-antigen specific domain', 93, NULL, 'Papo_T_antigen', 18310),
(18311, 'PF12344', NULL, 'Ultra-violet resistance protein B', 43, NULL, 'UvrB', 18311),
(18312, 'PF14172', NULL, 'Domain of unknown function (DUF4309)', 133, NULL, 'DUF4309', 18312),
(18313, 'PF00281', NULL, 'Ribosomal protein L5', 57, NULL, 'Ribosomal_L5', 18313),
(18314, 'PF03584', NULL, 'Herpesvirus ICP4-like protein N-terminal region', 174, NULL, 'Herpes_ICP4_N', 18314),
(18315, 'PF07277', NULL, 'SapC', 221, NULL, 'SapC', 18315),
(18316, 'PF08646', NULL, 'Replication factor-A C terminal domain', 146, NULL, 'Rep_fac-A_C', 18316),
(18317, 'PF04360', NULL, 'Serglycin', 149, NULL, 'Serglycin', 18317),
(18318, 'PF16215', NULL, 'Protein of unknown function (DUF4876)', 188, NULL, 'DUF4876', 18318),
(18319, 'PF00086', NULL, 'Thyroglobulin type-1 repeat', 67, NULL, 'Thyroglobulin_1', 18319),
(18320, 'PF18343', NULL, 'Dda helicase SH3 domain', 130, NULL, 'SH3_14', 18320),
(18321, 'PF06079', NULL, 'Apyrase', 292, NULL, 'Apyrase', 18321),
(18322, 'PF10281', NULL, 'Putative stress-responsive nuclear envelope protein', 37, NULL, 'Ish1', 18322),
(18323, 'PF07419', NULL, 'PilM', 135, NULL, 'PilM', 18323),
(18324, 'PF16790', NULL, 'Bacteriophage clamp loader A subunit', 137, NULL, 'Phage_clamp_A', 18324),
(18325, 'PF03253', NULL, 'Urea transporter', 292, NULL, 'UT', 18325),
(18326, 'PF00330', NULL, 'Aconitase family (aconitate hydratase)', 461, NULL, 'Aconitase', 18326),
(18327, 'PF19078', NULL, 'Bacterial Ig-like domain', 102, NULL, 'Big_12', 18327),
(18328, 'PF03433', NULL, 'EspA-like secreted protein', 182, NULL, 'EspA', 18328),
(18329, 'PF05972', NULL, 'APC 15 residue motif', 15, NULL, 'APC_15aa', 18329),
(18330, 'PF12437', NULL, 'Glutamine synthetase type III N terminal', 160, NULL, 'GSIII_N', 18330),
(18331, 'PF00687', NULL, 'Ribosomal protein L1p/L10e family', 204, NULL, 'Ribosomal_L1', 18331),
(18332, 'PF13867', NULL, 'Sin3 binding region of histone deacetylase complex subunit SAP30', 54, NULL, 'SAP30_Sin3_bdg', 18332),
(18333, 'PF01533', NULL, 'Tospovirus nucleocapsid protein', 246, NULL, 'Tospo_nucleocap', 18333),
(18334, 'PF07651', NULL, 'ANTH domain', 277, NULL, 'ANTH', 18334),
(18335, 'PF01433', NULL, 'Peptidase family M1 domain', 218, NULL, 'Peptidase_M1', 18335),
(18336, 'PF14225', NULL, 'Cell morphogenesis C-terminal', 253, NULL, 'MOR2-PAG1_C', 18336),
(18337, 'PF10117', NULL, 'McrBC 5-methylcytosine restriction system component', 320, NULL, 'McrBC', 18337),
(18338, 'PF08498', NULL, 'Sterol methyltransferase C-terminal', 66, NULL, 'Sterol_MT_C', 18338),
(18339, 'PF08487', NULL, 'Vault protein inter-alpha-trypsin domain', 111, NULL, 'VIT', 18339),
(18340, 'PF11579', NULL, 'Protein of unknown function (DUF3238)', 193, NULL, 'DUF3238', 18340),
(18341, 'PF03308', NULL, 'Methylmalonyl Co-A mutase-associated GTPase MeaB', 267, NULL, 'MeaB', 18341),
(18342, 'PF13302', NULL, 'Acetyltransferase (GNAT) domain', 138, NULL, 'Acetyltransf_3', 18342),
(18343, 'PF17597', NULL, 'Family of unknown function (DUF5493)', 82, NULL, 'DUF5493', 18343),
(18344, 'PF11876', NULL, 'Protein of unknown function (DUF3396)', 208, NULL, 'DUF3396', 18344);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18345, 'PF05326', NULL, 'Seminal vesicle autoantigen (SVA)', 124, NULL, 'SVA', 18345),
(18346, 'PF10736', NULL, 'Protein of unknown function (DUF2627)', 38, NULL, 'DUF2527', 18346),
(18347, 'PF18509', NULL, 'Magnetochrome domain', 30, NULL, 'MCR', 18347),
(18348, 'PF08899', NULL, 'Domain of unknown function (DUF1844)', 73, NULL, 'DUF1844', 18348),
(18349, 'PF06107', NULL, 'Bacterial protein of unknown function (DUF951)', 55, NULL, 'DUF951', 18349),
(18350, 'PF11301', NULL, 'Protein of unknown function (DUF3103)', 354, NULL, 'DUF3103', 18350),
(18351, 'PF10528', NULL, 'GLEYA domain', 91, NULL, 'GLEYA', 18351),
(18352, 'PF18080', NULL, 'Galactose mutarotase-like fold domain', 241, NULL, 'Gal_mutarotas_3', 18352),
(18353, 'PF10215', NULL, 'Oligosaccaryltransferase', 34, NULL, 'Ost4', 18353),
(18354, 'PF05365', NULL, 'Ubiquinol-cytochrome C reductase, UQCRX/QCR9 like', 53, NULL, 'UCR_UQCRX_QCR9', 18354),
(18355, 'PF03591', NULL, 'AzlC protein', 136, NULL, 'AzlC', 18355),
(18356, 'PF11248', NULL, 'Protein of unknown function (DUF3046)', 62, NULL, 'DUF3046', 18356),
(18357, 'PF06407', NULL, 'Borna disease virus P40 protein', 349, NULL, 'BDV_P40', 18357),
(18358, 'PF18669', NULL, 'Trimeric autotransporter adhesin Trp ring domain', 50, NULL, 'Trp_ring', 18358),
(18359, 'PF18208', NULL, 'Nicking enzyme C-terminal middle helical domain', 109, NULL, 'NES_C_h', 18359),
(18360, 'PF00946', NULL, 'Mononegavirales RNA dependent RNA polymerase', 1068, NULL, 'Mononeg_RNA_pol', 18360),
(18361, 'PF02772', NULL, 'S-adenosylmethionine synthetase, central domain', 120, NULL, 'S-AdoMet_synt_M', 18361),
(18362, 'PF00197', NULL, 'Trypsin and protease inhibitor', 175, NULL, 'Kunitz_legume', 18362),
(18363, 'PF10439', NULL, 'Bacteriocin class II with double-glycine leader peptide', 62, NULL, 'Bacteriocin_IIc', 18363),
(18364, 'PF02359', NULL, 'Cell division protein 48 (CDC48), N-terminal domain', 85, NULL, 'CDC48_N', 18364),
(18365, 'PF05198', NULL, 'Translation initiation factor IF-3, N-terminal domain', 70, NULL, 'IF3_N', 18365),
(18366, 'PF14059', NULL, 'Domain of unknown function (DUF4251)', 134, NULL, 'DUF4251', 18366),
(18367, 'PF18833', NULL, 'Tetratricopeptide repeat', 92, NULL, 'TPR_22', 18367),
(18368, 'PF00892', NULL, 'EamA-like transporter family', 137, NULL, 'EamA', 18368),
(18369, 'PF14961', NULL, 'Broad-minded protein', 1290, NULL, 'BROMI', 18369),
(18370, 'PF09656', NULL, 'Putative transmembrane protein (PGPGW)', 53, NULL, 'PGPGW', 18370),
(18371, 'PF07923', NULL, 'N1221-like protein', 289, NULL, 'N1221', 18371),
(18372, 'PF07916', NULL, 'TraG-like protein, N-terminal region', 469, NULL, 'TraG_N', 18372),
(18373, 'PF14606', NULL, 'GDSL-like Lipase/Acylhydrolase family', 178, NULL, 'Lipase_GDSL_3', 18373),
(18374, 'PF12502', NULL, 'Protein of unknown function (DUF3710)', 177, NULL, 'DUF3710', 18374),
(18375, 'PF03944', NULL, 'delta endotoxin', 143, NULL, 'Endotoxin_C', 18375),
(18376, 'PF15106', NULL, 'TMEM156 protein family', 226, NULL, 'TMEM156', 18376),
(18377, 'PF17567', NULL, 'Family of unknown function (DUF5473)', 106, NULL, 'DUF5473', 18377),
(18378, 'PF00797', NULL, 'N-acetyltransferase', 240, NULL, 'Acetyltransf_2', 18378),
(18379, 'PF15952', NULL, 'Enhancer of split M4 family', 176, NULL, 'ESM4', 18379),
(18380, 'PF12670', NULL, 'Protein of unknown function (DUF3792)', 115, NULL, 'DUF3792', 18380),
(18381, 'PF01070', NULL, 'FMN-dependent dehydrogenase', 348, NULL, 'FMN_dh', 18381),
(18382, 'PF15781', NULL, 'ParE-like toxin of type II bacterial toxin-antitoxin system', 87, NULL, 'ParE-like_toxin', 18382),
(18383, 'PF04026', NULL, 'SpoVG', 82, NULL, 'SpoVG', 18383),
(18384, 'PF00046', NULL, 'Homeodomain', 57, NULL, 'Homeodomain', 18384),
(18385, 'PF11020', NULL, 'Domain of unknown function (DUF2610)', 81, NULL, 'DUF2610', 18385),
(18386, 'PF03532', NULL, 'OMS28 porin', 253, NULL, 'OMS28_porin', 18386),
(18387, 'PF19020', NULL, 'Ta1207 family', 276, NULL, 'Ta1207', 18387),
(18388, 'PF01276', NULL, 'Orn/Lys/Arg decarboxylase, major domain', 417, NULL, 'OKR_DC_1', 18388);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18389, 'PF08225', NULL, 'Pseudin antimicrobial peptide', 23, NULL, 'Antimicrobial19', 18389),
(18390, 'PF13263', NULL, 'PHP-associated', 56, NULL, 'PHP_C', 18390),
(18391, 'PF19095', NULL, 'Family of unknown function (DUF5783)', 105, NULL, 'DUF5783', 18391),
(18392, 'PF16676', NULL, 'Transactivation domain of FOXO protein family', 42, NULL, 'FOXO-TAD', 18392),
(18393, 'PF14284', NULL, 'PcfJ-like protein', 146, NULL, 'PcfJ', 18393),
(18394, 'PF01248', NULL, 'Ribosomal protein L7Ae/L30e/S12e/Gadd45 family', 95, NULL, 'Ribosomal_L7Ae', 18394),
(18395, 'PF07526', NULL, 'Associated with HOX', 136, NULL, 'POX', 18395),
(18396, 'PF12982', NULL, 'Protein of unknown function (DUF3866)', 319, NULL, 'DUF3866', 18396),
(18397, 'PF04096', NULL, 'Nucleoporin autopeptidase', 149, NULL, 'Nucleoporin2', 18397),
(18398, 'PF18567', NULL, 'Toll/interleukin-1 receptor domain', 131, NULL, 'TIR_3', 18398),
(18399, 'PF09164', NULL, 'Vitamin D binding protein, domain III', 65, NULL, 'VitD-bind_III', 18399),
(18400, 'PF02232', NULL, 'Alpha trans-inducing protein (Alpha-TIF)', 343, NULL, 'Alpha_TIF', 18400),
(18401, 'PF10197', NULL, 'N-terminal domain of CBF1 interacting co-repressor CIR', 37, NULL, 'Cir_N', 18401),
(18402, 'PF18417', NULL, 'L-lysine epsilon oxidase C-terminal domain', 150, NULL, 'LodA_C', 18402),
(18403, 'PF08320', NULL, 'PIG-X / PBN1', 210, NULL, 'PIG-X', 18403),
(18404, 'PF15774', NULL, 'Domain of unknown function (DUF4702)', 395, NULL, 'DUF4702', 18404),
(18405, 'PF08766', NULL, 'DEK C terminal domain', 54, NULL, 'DEK_C', 18405),
(18406, 'PF05916', NULL, 'GINS complex protein', 109, NULL, 'Sld5', 18406),
(18407, 'PF08284', NULL, 'Retroviral aspartyl protease', 136, NULL, 'RVP_2', 18407),
(18408, 'PF04548', NULL, 'AIG1 family', 212, NULL, 'AIG1', 18408),
(18409, 'PF10595', NULL, 'Uncharacterised protein family UPF0564', 364, NULL, 'UPF0564', 18409),
(18410, 'PF03480', NULL, 'Bacterial extracellular solute-binding protein, family 7', 286, NULL, 'DctP', 18410),
(18411, 'PF10926', NULL, 'Protein of unknown function (DUF2800)', 363, NULL, 'DUF2800', 18411),
(18412, 'PF09495', NULL, 'Protein of unknown function (DUF2462)', 77, NULL, 'DUF2462', 18412),
(18413, 'PF08198', NULL, 'Thymopoietin protein', 48, NULL, 'Thymopoietin', 18413),
(18414, 'PF12991', NULL, 'Domain of unknown function, B. Theta Gene description (DUF3875)', 53, NULL, 'DUF3875', 18414),
(18415, 'PF05987', NULL, 'Bacterial protein of unknown function (DUF898)', 341, NULL, 'DUF898', 18415),
(18416, 'PF02015', NULL, 'Glycosyl hydrolase family 45', 210, NULL, 'Glyco_hydro_45', 18416),
(18417, 'PF15055', NULL, 'Domain of unknown function (DUF4536)', 47, NULL, 'DUF4536', 18417),
(18418, 'PF11891', NULL, 'Protein RETICULATA-related', 177, NULL, 'RETICULATA-like', 18418),
(18419, 'PF11502', NULL, 'B-cell lymphoma 9 protein', 39, NULL, 'BCL9', 18419),
(18420, 'PF12868', NULL, 'Domain of unknwon function (DUF3824)', 148, NULL, 'DUF3824', 18420),
(18421, 'PF18586', NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 1', 90, NULL, 'zf-CCCH_7', 18421),
(18422, 'PF11762', NULL, 'L-arabinose isomerase C-terminal domain', 114, NULL, 'Arabinose_Iso_C', 18422),
(18423, 'PF12345', NULL, 'Protein of unknown function (DUF3641)', 135, NULL, 'DUF3641', 18423),
(18424, 'PF13271', NULL, 'Domain of unknown function (DUF4062)', 83, NULL, 'DUF4062', 18424),
(18425, 'PF11679', NULL, 'Protein of unknown function (DUF3275)', 207, NULL, 'DUF3275', 18425),
(18426, 'PF08778', NULL, 'HIF-1 alpha C terminal transactivation domain', 37, NULL, 'HIF-1a_CTAD', 18426),
(18427, 'PF15684', NULL, 'Active regulator of SIRT1, or 40S ribosomal protein S19-binding 1', 132, NULL, 'AROS', 18427),
(18428, 'PF14856', NULL, 'Pathogen effector; putative necrosis-inducing factor', 102, NULL, 'Hce2', 18428),
(18429, 'PF19080', NULL, 'Family of unknown function (DUF5772)', 84, NULL, 'DUF5772', 18429),
(18430, 'PF09666', NULL, 'Sororin protein', 157, NULL, 'Sororin', 18430),
(18431, 'PF10460', NULL, 'Peptidase M30', 364, NULL, 'Peptidase_M30', 18431);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18432, 'PF14167', NULL, 'YfkD-like protein', 232, NULL, 'YfkD', 18432),
(18433, 'PF13406', NULL, 'Transglycosylase SLT domain', 292, NULL, 'SLT_2', 18433),
(18434, 'PF10688', NULL, 'Bacterial inner membrane protein', 159, NULL, 'Imp-YgjV', 18434),
(18435, 'PF08995', NULL, 'Necrosis inducing protein-1', 82, NULL, 'NIP_1', 18435),
(18436, 'PF02627', NULL, 'Carboxymuconolactone decarboxylase family', 85, NULL, 'CMD', 18436),
(18437, 'PF17646', NULL, 'Closterovirus 1a polyprotein central region', 106, NULL, 'Zemlya', 18437),
(18438, 'PF00871', NULL, 'Acetokinase family', 392, NULL, 'Acetate_kinase', 18438),
(18439, 'PF19029', NULL, 'DUF883 C-terminal glycine zipper region', 30, NULL, 'DUF883_C', 18439),
(18440, 'PF07267', NULL, 'Nucleopolyhedrovirus capsid protein P87', 650, NULL, 'Nucleo_P87', 18440),
(18441, 'PF17104', NULL, 'Domain of unknown function (DUF5102)', 293, NULL, 'DUF5102', 18441),
(18442, 'PF14018', NULL, 'Domain of unknown function (DUF4234)', 70, NULL, 'DUF4234', 18442),
(18443, 'PF10108', NULL, 'Predicted 3''-5'' exonuclease related to the exonuclease domain of PolB', 211, NULL, 'DNA_pol_B_exo2', 18443),
(18444, 'PF18708', NULL, 'MapZ extracellular C-terminal domain 2', 94, NULL, 'MapZ_C2', 18444),
(18445, 'PF02727', NULL, 'Copper amine oxidase, N2 domain', 87, NULL, 'Cu_amine_oxidN2', 18445),
(18446, 'PF04375', NULL, 'HemX, putative uroporphyrinogen-III C-methyltransferase', 236, NULL, 'HemX', 18446),
(18447, 'PF09310', NULL, 'POU domain, class 2, associating factor 1', 248, NULL, 'PD-C2-AF1', 18447),
(18448, 'PF17050', NULL, 'Altered inheritance of mitochondria 5', 60, NULL, 'AIM5', 18448),
(18449, 'PF13201', NULL, 'Putative carbohydrate metabolism domain', 232, NULL, 'PCMD', 18449),
(18450, 'PF18026', NULL, 'Endo/exonuclease (EXOG) C-terminal domain', 49, NULL, 'Exog_C', 18450),
(18451, 'PF13636', NULL, 'RNA-binding PUA-like domain of methyltransferase RsmF', 50, NULL, 'Methyltranf_PUA', 18451),
(18452, 'PF02493', NULL, 'MORN repeat', 23, NULL, 'MORN', 18452),
(18453, 'PF09809', NULL, 'Mitochondrial ribosomal protein L27', 113, NULL, 'MRP-L27', 18453),
(18454, 'PF18527', NULL, 'STT3/PglB C-terminal beta-barrel domain', 80, NULL, 'STT3_PglB_C', 18454),
(18455, 'PF12134', NULL, 'PRP8 domain IV core', 230, NULL, 'PRP8_domainIV', 18455),
(18456, 'PF07338', NULL, 'Protein of unknown function (DUF1471)', 55, NULL, 'DUF1471', 18456),
(18457, 'PF00123', NULL, 'Peptide hormone', 28, NULL, 'Hormone_2', 18457),
(18458, 'PF05612', NULL, 'Leg1', 331, NULL, 'Leg1', 18458),
(18459, 'PF14268', NULL, 'YoaP-like', 44, NULL, 'YoaP', 18459),
(18460, 'PF00444', NULL, 'Ribosomal protein L36', 38, NULL, 'Ribosomal_L36', 18460),
(18461, 'PF13162', NULL, 'Protein of unknown function (DUF3997)', 107, NULL, 'DUF3997', 18461),
(18462, 'PF04941', NULL, 'Late expression factor 8 (LEF-8)', 730, NULL, 'LEF-8', 18462),
(18463, 'PF02870', NULL, '6-O-methylguanine DNA methyltransferase, ribonuclease-like domain', 77, NULL, 'Methyltransf_1N', 18463),
(18464, 'PF17500', NULL, 'Colicin-K immunity', 96, NULL, 'CKI', 18464),
(18465, 'PF12028', NULL, 'Protein of unknown function (DUF3515)', 159, NULL, 'DUF3515', 18465),
(18466, 'PF16477', NULL, 'Domain of unknown function (DUF5054)', 287, NULL, 'DUF5054', 18466),
(18467, 'PF19126', NULL, 'Family of unknown function (DUF5810)', 66, NULL, 'DUF5810', 18467),
(18468, 'PF02678', NULL, 'Pirin', 108, NULL, 'Pirin', 18468),
(18469, 'PF05028', NULL, 'Poly (ADP-ribose) glycohydrolase (PARG)', 336, NULL, 'PARG_cat', 18469),
(18470, 'PF10015', NULL, 'Uncharacterized protein conserved in archaea (DUF2258)', 78, NULL, 'DUF2258', 18470),
(18471, 'PF05461', NULL, 'Apolipoprotein L', 313, NULL, 'ApoL', 18471),
(18472, 'PF08170', NULL, 'POPLD (NUC188) domain', 93, NULL, 'POPLD', 18472),
(18473, 'PF08608', NULL, 'Wyosine base formation', 63, NULL, 'Wyosine_form', 18473),
(18474, 'PF12736', NULL, 'Cell-cycle sustaining, positive selection,', 282, NULL, 'CABIT', 18474),
(18475, 'PF05705', NULL, 'Eukaryotic protein of unknown function (DUF829)', 241, NULL, 'DUF829', 18475);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18476, 'PF03324', NULL, 'Herpesvirus DNA helicase/primase complex associated protein', 95, NULL, 'Herpes_HEPA', 18476),
(18477, 'PF11276', NULL, 'Protein of unknown function (DUF3078)', 91, NULL, 'DUF3078', 18477),
(18478, 'PF02525', NULL, 'Flavodoxin-like fold', 198, NULL, 'Flavodoxin_2', 18478),
(18479, 'PF18984', NULL, 'Family of unknown function (DUF5717)N-terminal', 875, NULL, 'DUF5717_N', 18479),
(18480, 'PF03760', NULL, 'Late embryogenesis abundant (LEA) group 1', 71, NULL, 'LEA_1', 18480),
(18481, 'PF07227', NULL, 'PHD - plant homeodomain finger protein', 130, NULL, 'PHD_Oberon', 18481),
(18482, 'PF13857', NULL, 'Ankyrin repeats (many copies)', 56, NULL, 'Ank_5', 18482),
(18483, 'PF18873', NULL, 'Sgo0707 N-terminal domain', 266, NULL, 'Sgo0707_N1', 18483),
(18484, 'PF19064', NULL, 'Family of unknown function (DUF5760)', 86, NULL, 'DUF5760', 18484),
(18485, 'PF04179', NULL, 'Rit1 DUSP-like domain', 110, NULL, 'Init_tRNA_PT', 18485),
(18486, 'PF17279', NULL, 'Family of unknown function (DUF5344)', 87, NULL, 'DUF5344', 18486),
(18487, 'PF15352', NULL, 'Susceptibility to monomelic amyotrophy', 982, NULL, 'K1377', 18487),
(18488, 'PF04864', NULL, 'Allinase', 363, NULL, 'Alliinase_C', 18488),
(18489, 'PF18834', NULL, 'Large polyvalent protein associated domain 22', 98, NULL, 'LPD22', 18489),
(18490, 'PF01652', NULL, 'Eukaryotic initiation factor 4E', 159, NULL, 'IF4E', 18490),
(18491, 'PF00748', NULL, 'Calpain inhibitor', 137, NULL, 'Calpain_inhib', 18491),
(18492, 'PF03018', NULL, 'Dirigent-like protein', 148, NULL, 'Dirigent', 18492),
(18493, 'PF03498', NULL, 'Cytolethal distending toxin A/C domain', 150, NULL, 'CDtoxinA', 18493),
(18494, 'PF15989', NULL, 'Domain of unknown function (DUF4768)', 88, NULL, 'DUF4768', 18494),
(18495, 'PF03543', NULL, 'Yersinia/Haemophilus virulence surface antigen', 204, NULL, 'Peptidase_C58', 18495),
(18496, 'PF04506', NULL, 'Rft protein', 514, NULL, 'Rft-1', 18496),
(18497, 'PF04722', NULL, 'Ssu72-like protein', 191, NULL, 'Ssu72', 18497),
(18498, 'PF11842', NULL, 'Domain of unknown function (DUF3362)', 150, NULL, 'DUF3362', 18498),
(18499, 'PF13021', NULL, 'Domain of unknown function (DUF3885)', 38, NULL, 'DUF3885', 18499),
(18500, 'PF01690', NULL, 'Potato leaf roll virus readthrough protein', 485, NULL, 'PLRV_ORF5', 18500),
(18501, 'PF03011', NULL, 'PFEMP1 DBL domain', 160, NULL, 'PFEMP', 18501),
(18502, 'PF08395', NULL, '7tm Chemosensory receptor', 371, NULL, '7tm_7', 18502),
(18503, 'PF07817', NULL, 'GLE1-like protein', 250, NULL, 'GLE1', 18503),
(18504, 'PF03694', NULL, 'Erg28 like protein', 110, NULL, 'Erg28', 18504),
(18505, 'PF17658', NULL, 'Family of unknown function (DUF5520)', 343, NULL, 'DUF5520', 18505),
(18506, 'PF06621', NULL, 'Single-minded protein C-terminus', 299, NULL, 'SIM_C', 18506),
(18507, 'PF12540', NULL, 'Protein of unknown function (DUF3736)', 132, NULL, 'DUF3736', 18507),
(18508, 'PF15752', NULL, 'Domain of unknown function (DUF4688)', 400, NULL, 'DUF4688', 18508),
(18509, 'PF11549', NULL, 'Protein transport protein SEC31', 50, NULL, 'Sec31', 18509),
(18510, 'PF04914', NULL, 'DltD protein', 349, NULL, 'DltD', 18510),
(18511, 'PF09821', NULL, 'C-terminal AAA-associated domain', 119, NULL, 'AAA_assoc_C', 18511),
(18512, 'PF08041', NULL, 'PetM family of cytochrome b6f complex subunit 7', 30, NULL, 'PetM', 18512),
(18513, 'PF14439', NULL, 'Bd3614-like deaminase', 136, NULL, 'Bd3614-deam', 18513),
(18514, 'PF18237', NULL, 'Tk-SP N-propeptide domain', 67, NULL, 'Tk-SP_N-pro', 18514),
(18515, 'PF06546', NULL, 'Vertebrate heat shock transcription factor', 271, NULL, 'Vert_HS_TF', 18515),
(18516, 'PF00090', NULL, 'Thrombospondin type 1 domain', 49, NULL, 'TSP_1', 18516),
(18517, 'PF14902', NULL, 'Domain of unknown function (DUF4494)', 139, NULL, 'DUF4494', 18517),
(18518, 'PF05161', NULL, 'MOFRL family', 109, NULL, 'MOFRL', 18518),
(18519, 'PF15393', NULL, 'Domain of unknown function (DUF4615)', 139, NULL, 'DUF4615', 18519),
(18520, 'PF00424', NULL, 'REV protein (anti-repression trans-activator protein)', 94, NULL, 'REV', 18520);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18521, 'PF13290', NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', 67, NULL, 'CHB_HEX_C_1', 18521),
(18522, 'PF09051', NULL, 'Stannin cytoplasmic', 26, NULL, 'SNN_cytoplasm', 18522),
(18523, 'PF13729', NULL, 'F plasmid transfer operon, TraF, protein', 281, NULL, 'TraF_2', 18523),
(18524, 'PF07487', NULL, 'SopE GEF domain', 136, NULL, 'SopE_GEF', 18524),
(18525, 'PF13409', NULL, 'Glutathione S-transferase, N-terminal domain', 70, NULL, 'GST_N_2', 18525),
(18526, 'PF01935', NULL, 'Helicase HerA, central domain', 227, NULL, 'DUF87', 18526),
(18527, 'PF16001', NULL, 'Domain of unknown function (DUF4775)', 456, NULL, 'DUF4775', 18527),
(18528, 'PF16007', NULL, 'Domain of unknown function (DUF4777)', 66, NULL, 'DUF4777', 18528),
(18529, 'PF13378', NULL, 'Enolase C-terminal domain-like', 220, NULL, 'MR_MLE_C', 18529),
(18530, 'PF14270', NULL, 'Domain of unknown function (DUF4358)', 102, NULL, 'DUF4358', 18530),
(18531, 'PF14609', NULL, 'gamma-Tubulin ring complex non-core subunit mod21', 618, NULL, 'GCP5-Mod21', 18531),
(18532, 'PF18576', NULL, 'Helix-turn-helix domain', 64, NULL, 'HTH_52', 18532),
(18533, 'PF17313', NULL, 'Family of unknown function (DUF5359)', 56, NULL, 'DUF5359', 18533),
(18534, 'PF13651', NULL, 'Adenine-specific methyltransferase EcoRI', 346, NULL, 'EcoRI_methylase', 18534),
(18535, 'PF11009', NULL, 'Protein of unknown function (DUF2847)', 103, NULL, 'DUF2847', 18535),
(18536, 'PF04531', NULL, 'Bacteriophage holin', 82, NULL, 'Phage_holin_1', 18536),
(18537, 'PF04852', NULL, 'Protein of unknown function (DUF640)', 126, NULL, 'DUF640', 18537),
(18538, 'PF18125', NULL, 'RlmM ferredoxin-like domain', 71, NULL, 'RlmM_FDX', 18538),
(18539, 'PF17119', NULL, 'Mitochondrial protein up-regulated during meiosis', 255, NULL, 'MMU163', 18539),
(18540, 'PF14577', NULL, 'Sieve element occlusion C-terminus', 232, NULL, 'SEO_C', 18540),
(18541, 'PF10459', NULL, 'Peptidase S46', 698, NULL, 'Peptidase_S46', 18541),
(18542, 'PF10683', NULL, 'Hermes transposase DNA-binding domain', 68, NULL, 'DBD_Tnp_Hermes', 18542),
(18543, 'PF09232', NULL, 'Caenorhabditis elegans Her-1', 132, NULL, 'Caenor_Her-1', 18543),
(18544, 'PF15610', NULL, 'PRTase ComF-like', 265, NULL, 'PRTase_3', 18544),
(18545, 'PF06202', NULL, 'Amylo-alpha-1,6-glucosidase', 383, NULL, 'GDE_C', 18545),
(18546, 'PF07741', NULL, 'Brf1-like TBP-binding domain', 102, NULL, 'BRF1', 18546),
(18547, 'PF08329', NULL, 'Chitinase A, N-terminal domain', 133, NULL, 'ChitinaseA_N', 18547),
(18548, 'PF13537', NULL, 'Glutamine amidotransferase domain', 123, NULL, 'GATase_7', 18548),
(18549, 'PF18397', NULL, 'IQBAL scaffold dimerization domain', 276, NULL, 'IKBKB_SDD', 18549),
(18550, 'PF07753', NULL, 'Protein of unknown function (DUF1609)', 227, NULL, 'DUF1609', 18550),
(18551, 'PF18539', NULL, 'Domain of unknown function (DUF5625)', 130, NULL, 'DUF5625', 18551),
(18552, 'PF05528', NULL, 'Coronavirus gene 5 protein', 82, NULL, 'Coronavirus_5', 18552),
(18553, 'PF08131', NULL, 'Defensin-like peptide family', 39, NULL, 'Defensin_3', 18553),
(18554, 'PF05107', NULL, 'CRISPR-associated protein Cas7', 252, NULL, 'Cas_Cas7', 18554),
(18555, 'PF17116', NULL, 'Domain of unknown function (DUF5103)', 288, NULL, 'DUF5103', 18555),
(18556, 'PF03429', NULL, 'Major surface protein 1B', 756, NULL, 'MSP1b', 18556),
(18557, 'PF00670', NULL, 'S-adenosyl-L-homocysteine hydrolase, NAD binding domain', 162, NULL, 'AdoHcyase_NAD', 18557),
(18558, 'PF11344', NULL, 'Protein of unknown function (DUF3146)', 80, NULL, 'DUF3146', 18558),
(18559, 'PF14766', NULL, 'Replication protein A interacting N-terminal', 39, NULL, 'RPA_interact_N', 18559),
(18560, 'PF10659', NULL, 'Trypanosome variant surface glycoprotein C-terminal domain', 104, NULL, 'Trypan_glycop_C', 18560),
(18561, 'PF08539', NULL, 'HbrB-like', 169, NULL, 'HbrB', 18561),
(18562, 'PF12460', NULL, 'RNAPII transcription regulator C-terminal', 426, NULL, 'MMS19_C', 18562),
(18563, 'PF11166', NULL, 'Protein of unknown function (DUF2951)', 98, NULL, 'DUF2951', 18563);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18564, 'PF18407', NULL, 'GCN5-related N-acetyltransferase like domain', 62, NULL, 'GNAT_like', 18564),
(18565, 'PF11682', NULL, 'Probable zinc-ribbon', 128, NULL, 'zinc_ribbon_11', 18565),
(18566, 'PF12173', NULL, 'Bacteriocin class IIc cyclic gassericin A-like', 91, NULL, 'BacteriocIIc_cy', 18566),
(18567, 'PF12412', NULL, 'Protein of unknown function (DUF3667)', 45, NULL, 'DUF3667', 18567),
(18568, 'PF13217', NULL, 'Protein of unknown function (DUF4025)', 50, NULL, 'DUF4025', 18568),
(18569, 'PF16597', NULL, 'Thyroglobulin_1 repeat associated disordered domain', 61, NULL, 'Thyroglob_assoc', 18569),
(18570, 'PF05567', NULL, 'Neisseria PilC beta-propeller domain', 367, NULL, 'Neisseria_PilC', 18570),
(18571, 'PF14206', NULL, 'Cysteine-rich CPCC', 75, NULL, 'Cys_rich_CPCC', 18571),
(18572, 'MF_03110', NULL, 'Structure-specific endonuclease subunit @gn(SLX4) [SLX4].', NULL, NULL, 'Endonuc_su_Slx4', 18572),
(18573, 'MF_01888', NULL, 'Regulator of ribonuclease activity B [rraB].', NULL, NULL, 'RraB', 18573),
(18574, 'MF_00118_A', NULL, 'Elongation factor Tu [tuf].', NULL, NULL, 'EF_Tu_A', 18574),
(18575, 'MF_01402_A', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, NULL, 'ApgM_A', 18575),
(18576, 'MF_04093', NULL, 'Non-structural protein 6.', NULL, NULL, 'ROTA_NSP6', 18576),
(18577, 'MF_00741', NULL, 'Phosphoribosylformylglycinamidine cyclo-ligase [purM].', NULL, NULL, 'AIRS', 18577),
(18578, 'MF_00743', NULL, 'Fumarate hydratase class II [fumC].', NULL, NULL, 'FumaraseC', 18578),
(18579, 'MF_01337_A', NULL, '50S ribosomal protein L18 [rplR].', NULL, NULL, 'Ribosomal_L18_A', 18579),
(18580, 'MF_01629', NULL, 'Pyridoxine/pyridoxamine 5''-phosphate oxidase [pdxH].', NULL, NULL, 'PdxH', 18580),
(18581, 'MF_00443', NULL, 'Thiazole synthase [thiG].', NULL, NULL, 'ThiG', 18581),
(18582, 'MF_01089', NULL, 'UPF0288 protein <locus_tag>.', NULL, NULL, 'UPF0288', 18582),
(18583, 'MF_01912', NULL, 'Sulfofructosephosphate aldolase.', NULL, NULL, 'SFP_aldolase', 18583),
(18584, 'MF_00143', NULL, 'UPF0114 protein YqhA [yqhA].', NULL, NULL, 'UPF0114', 18584),
(18585, 'MF_03171', NULL, 'Adenylate kinase isoenzyme 1 [AK1].', NULL, NULL, 'Adenylate_kinase_AK1', 18585),
(18586, 'MF_00067', NULL, 'Phosphoheptose isomerase [gmhA].', NULL, NULL, 'GmhA', 18586),
(18587, 'MF_02111', NULL, 'Pup--protein ligase [pafA].', NULL, NULL, 'Pup_ligase', 18587),
(18588, 'MF_00701', NULL, 'DNA primase large subunit PriL [priL].', NULL, NULL, 'DNA_primase_lrg_arc', 18588),
(18589, 'MF_00351', NULL, 'Fibrillarin-like rRNA/tRNA 2''-O-methyltransferase [flpA].', NULL, NULL, 'RNA_methyltransf_FlpA', 18589),
(18590, 'MF_00490', NULL, '2-phosphosulfolactate phosphatase [comB].', NULL, NULL, 'ComB', 18590),
(18591, 'MF_03041', NULL, 'Protein Spindly [SPDL1].', NULL, NULL, 'SPDLY', 18591),
(18592, 'MF_01016', NULL, 'Putative transport protein YidE [yidE].', NULL, NULL, 'YidE', 18592),
(18593, 'MF_01884', NULL, 'Transcription termination factor Rho [rho].', NULL, NULL, 'Rho', 18593),
(18594, 'MF_00425', NULL, 'Na(+)-translocating NADH-quinone reductase subunit A [nqrA].', NULL, NULL, 'NqrA', 18594),
(18595, 'MF_01351', NULL, 'NAD(P)H-quinone oxidoreductase subunit I, chloroplastic [ndhI].', NULL, NULL, 'NDH1_NuoI', 18595),
(18596, 'MF_01924', NULL, 'D-alanyl-D-alanine dipeptidase [ddpX].', NULL, NULL, 'A_A_dipeptidase', 18596),
(18597, 'MF_00661', NULL, 'ATP-dependent RNA helicase RhlB [rhlB].', NULL, NULL, 'DEAD_helicase_RhlB', 18597),
(18598, 'MF_00817', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, NULL, 'QueF_type2', 18598),
(18599, 'MF_01331_A', NULL, '50S ribosomal protein L22 [rplV].', NULL, NULL, 'Ribosomal_L22_A', 18599),
(18600, 'MF_00368', NULL, '50S ribosomal protein L7/L12 [rplL].', NULL, NULL, 'Ribosomal_L7_L12', 18600),
(18601, 'MF_01190', NULL, 'HTH-type transcriptional repressor FabR [fabR].', NULL, NULL, 'HTH_type_FabR', 18601),
(18602, 'MF_01525', NULL, 'Carnitine operon protein CaiE [caiE].', NULL, NULL, 'CaiE', 18602);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18603, 'MF_00085', NULL, 'Translation initiation factor 5A [eif5a].', NULL, NULL, 'eIF_5A', 18603),
(18604, 'MF_00256', NULL, '50S ribosomal protein L15e [rpl15e].', NULL, NULL, 'Ribosomal_L15e', 18604),
(18605, 'MF_01687', NULL, 'Beta-galactosidase [lacZ].', NULL, NULL, 'Beta_gal', 18605),
(18606, 'MF_01482', NULL, 'Mycothiol S-conjugate amidase [mca].', NULL, NULL, 'Mca', 18606),
(18607, 'MF_02204', NULL, 'Peptidoglycan-associated lipoprotein [pal].', NULL, NULL, 'Pal', 18607),
(18608, 'MF_00366', NULL, 'DNA-directed RNA polymerase subunit omega [rpoZ].', NULL, NULL, 'RNApol_bact_RpoZ', 18608),
(18609, 'MF_01128', NULL, 'H(+)/Cl(-) exchange transporter ClcA [clcA].', NULL, NULL, 'CLC_ClcA', 18609),
(18610, 'MF_00199', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase, symmetrical [apaH].', NULL, NULL, 'ApaH', 18610),
(18611, 'MF_00945_B', NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, NULL, 'NusA_B', 18611),
(18612, 'MF_00416', NULL, 'Flagellar P-ring protein [flgI].', NULL, NULL, 'FlgI', 18612),
(18613, 'MF_01654', NULL, '2-hydroxy-6-oxononadienedioate/2-hydroxy-6-oxononatrienedioate hydrolase [mhpC].', NULL, NULL, 'MhpC', 18613),
(18614, 'MF_01657', NULL, 'Acetaldehyde dehydrogenase [mhpF].', NULL, NULL, 'Ac_ald_DH_ac', 18614),
(18615, 'MF_00936', NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, NULL, 'ParC_type1', 18615),
(18616, 'MF_00528', NULL, 'dTTP/UTP pyrophosphatase.', NULL, NULL, 'Maf', 18616),
(18617, 'MF_01325_B', NULL, '50S ribosomal protein L3 [rplC].', NULL, NULL, 'Ribosomal_L3_B', 18617),
(18618, 'MF_01000', NULL, 'Vitamin B12-binding protein [btuF].', NULL, NULL, 'BtuF', 18618),
(18619, 'MF_02004', NULL, 'Valine--tRNA ligase [valS].', NULL, NULL, 'Val_tRNA_synth_type1', 18619),
(18620, 'MF_01321', NULL, 'DNA-directed RNA polymerase subunit beta [rpoB].', NULL, NULL, 'RNApol_bact_RpoB', 18620),
(18621, 'MF_00583_A', NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, NULL, 'RibP_PPkinase_A', 18621),
(18622, 'MF_00339', NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, NULL, 'Phosphofructokinase_I_B1', 18622),
(18623, 'MF_00511', NULL, '30S ribosomal protein S17e [rps17e].', NULL, NULL, 'Ribosomal_S17e', 18623),
(18624, 'MF_01606', NULL, 'Iron-sulfur cluster repair protein YtfE [ytfE].', NULL, NULL, 'RIC_YtfE', 18624),
(18625, 'MF_00591', NULL, 'Exosome complex component Rrp41 [rrp41].', NULL, NULL, 'Exosome_Rrp41', 18625),
(18626, 'MF_00767', NULL, 'Succinylglutamate desuccinylase [astE].', NULL, NULL, 'Arg_catab_AstE', 18626),
(18627, 'MF_01193', NULL, 'Endoribonuclease SymE [symE].', NULL, NULL, 'Endoribonucl_SymE', 18627),
(18628, 'MF_01057', NULL, 'tRNA (guanine-N(7)-)-methyltransferase [trmB].', NULL, NULL, 'tRNA_methyltr_TrmB', 18628),
(18629, 'MF_00664', NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, NULL, 'PS_decarb_PSD_A', 18629),
(18630, 'MF_04003', NULL, 'Minor capsid protein L2 [L2].', NULL, NULL, 'PPV_L2', 18630),
(18631, 'MF_02243', NULL, 'Tagaturonate/fructuronate epimerase [uxaE].', NULL, NULL, 'UxaE', 18631),
(18632, 'MF_00120', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit A [gatA].', NULL, NULL, 'GatA', 18632),
(18633, 'MF_00484', NULL, 'Glycogen synthase [glgA].', NULL, NULL, 'Glycogen_synth', 18633),
(18634, 'MF_01267', NULL, '3-keto-L-gulonate-6-phosphate decarboxylase UlaD [ulaD].', NULL, NULL, 'UlaD', 18634),
(18635, 'MF_02040', NULL, 'Iron-sulfur cluster carrier protein.', NULL, NULL, 'Mrp_NBP35', 18635),
(18636, 'MF_01197', NULL, 'Cell division protein SepF [sepF].', NULL, NULL, 'SepF', 18636),
(18637, 'MF_02041', NULL, 'tRNA-dihydrouridine(20/20a) synthase [dusA].', NULL, NULL, 'DusA_subfam', 18637),
(18638, 'MF_00340', NULL, '50S ribosomal protein L32 [rpmF].', NULL, NULL, 'Ribosomal_L32', 18638),
(18639, 'MF_01449', NULL, 'HTH-type transcriptional regulator SgrR [sgrR].', NULL, NULL, 'HTH_type_SgrR', 18639),
(18640, 'MF_02090', NULL, 'Glutamine-dependent NAD(+) synthetase [nadE].', NULL, NULL, 'NadE_glutamine_dep', 18640); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18641, 'MF_00095', NULL, 'Sugar fermentation stimulation protein A [sfsA].', NULL, NULL, 'SfsA', 18641),
(18642, 'MF_01554_A', NULL, 'Phosphoglucosamine mutase [glmM].', NULL, NULL, 'GlmM_A', 18642),
(18643, 'MF_01624', NULL, 'Arsenate reductase [arsC].', NULL, NULL, 'Arsenate_reduct', 18643),
(18644, 'MF_03059', NULL, 'Ribosome-releasing factor 2, mitochondrial [GFM2].', NULL, NULL, 'mEF_G_2', 18644),
(18645, 'MF_01876', NULL, 'Pseudouridine-5''-phosphate glycosidase [psuG].', NULL, NULL, 'PsiMP_glycosidase', 18645),
(18646, 'MF_00407', NULL, 'DNA ligase [lig].', NULL, NULL, 'DNA_ligase', 18646),
(18647, 'MF_01181', NULL, 'Regulator of sigma D [rsd].', NULL, NULL, 'Rsd', 18647),
(18648, 'MF_01621', NULL, 'Fatty acid oxidation complex subunit alpha [fadB].', NULL, NULL, 'FadB', 18648),
(18649, 'MF_02214', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit MurT [murT].', NULL, NULL, 'Lipid_II_synth_MurT', 18649),
(18650, 'MF_02216', NULL, 'Ubiquinone biosynthesis accessory factor UbiK [ubiK].', NULL, NULL, 'UbiK', 18650),
(18651, 'MF_03029', NULL, 'Ribosome biogenesis protein @gn(WDR12) [WDR12].', NULL, NULL, 'WDR12', 18651),
(18652, 'MF_01533', NULL, 'HTH-type transcriptional activator RhaR [rhaR].', NULL, NULL, 'HTH_type_RhaR', 18652),
(18653, 'MF_00998', NULL, 'Sulfoquinovose isomerase.', NULL, NULL, 'SQ_isomerase', 18653),
(18654, 'MF_01910', NULL, 'Probable ribonuclease FAU-1 [fau-1].', NULL, NULL, 'RNA_binding_AU_1', 18654),
(18655, 'MF_00445', NULL, 'NAD(P)H-quinone oxidoreductase subunit 2, chloroplastic [ndhB].', NULL, NULL, 'NDH1_NuoN_1', 18655),
(18656, 'MF_01483', NULL, 'RNA polymerase-binding protein RbpA [rbpA].', NULL, NULL, 'RbpA', 18656),
(18657, 'MF_01032', NULL, 'Methanogen homoaconitase small subunit [hacB].', NULL, NULL, 'LeuD_type2', 18657),
(18658, 'MF_00717', NULL, 'Photosystem II protein Y [psbY].', NULL, NULL, 'PSII_PsbY', 18658),
(18659, 'MF_02076', NULL, 'Glutamate--tRNA ligase [gltX].', NULL, NULL, 'Glu_tRNA_synth_type2', 18659),
(18660, 'MF_02025', NULL, 'ECA polysaccharide chain length modulation protein [wzzE].', NULL, NULL, 'WzzE', 18660),
(18661, 'MF_03040', NULL, 'U6 snRNA phosphodiesterase [USB1].', NULL, NULL, 'USB1', 18661),
(18662, 'MF_01614', NULL, 'NADPH dehydrogenase [namA].', NULL, NULL, 'NamA', 18662),
(18663, 'MF_01502', NULL, 'UPF0295 protein <locus_tag>.', NULL, NULL, 'UPF0295', 18663),
(18664, 'MF_04207', NULL, 'Hemagglutinin-esterase [HE].', NULL, NULL, 'BETA_CORONA_HE', 18664),
(18665, 'MF_00476', NULL, 'Nickel-responsive regulator [nikR].', NULL, NULL, 'NikR', 18665),
(18666, 'MF_01090', NULL, '5,10-methenyltetrahydromethanopterin hydrogenase [hmd].', NULL, NULL, 'HMD', 18666),
(18667, 'MF_00608', NULL, 'GTP cyclohydrolase III [gch3].', NULL, NULL, 'GTP_cyclohydro_3', 18667),
(18668, 'MF_01082', NULL, 'tRNA pseudouridine synthase D [truD].', NULL, NULL, 'TruD', 18668),
(18669, 'MF_01568', NULL, 'UPF0374 protein <locus_tag>.', NULL, NULL, 'UPF0374', 18669),
(18670, 'MF_00980', NULL, 'Phosphotransferase RcsD [rcsD].', NULL, NULL, 'RcsD', 18670),
(18671, 'MF_00708', NULL, 'Fumarate reductase subunit C [frdC].', NULL, NULL, 'Fumarate_red_C', 18671),
(18672, 'MF_00629', NULL, '50S ribosomal protein L39e [rpl39e].', NULL, NULL, 'Ribosomal_L39e', 18672),
(18673, 'MF_01484', NULL, 'Multidrug efflux pump accessory protein AcrZ [acrZ].', NULL, NULL, 'AcrZ', 18673),
(18674, 'MF_01933', NULL, 'o-succinylbenzoate synthase [menC].', NULL, NULL, 'MenC_2', 18674),
(18675, 'MF_00217', NULL, 'Mevalonate kinase [mvk].', NULL, NULL, 'Mevalonate_kinase', 18675),
(18676, 'MF_01409', NULL, 'UPF0219 protein <locus_tag>.', NULL, NULL, 'UPF0219', 18676),
(18677, 'MF_00488', NULL, 'L-lactate dehydrogenase [ldh].', NULL, NULL, 'Lactate_dehydrog', 18677),
(18678, 'MF_00052_B', NULL, 'Ribonuclease HII [rnhB].', NULL, NULL, 'RNase_HII_B', 18678),
(18679, 'MF_01361', NULL, 'UPF0391 membrane protein YtjA [ytjA].', NULL, NULL, 'UPF0391', 18679),
(18680, 'MF_00850', NULL, 'Pyruvate dehydrogenase [ubiquinone] [poxB].', NULL, NULL, 'POX', 18680);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18681, 'MF_00396', NULL, 'Cytochrome b6-f complex subunit 7 [petM].', NULL, NULL, 'Cytb6_f_PetM', 18681),
(18682, 'MF_00604', NULL, 'Protein translation factor SUI1 homolog.', NULL, NULL, 'SUI1', 18682),
(18683, 'MF_01521', NULL, 'Probable manganese efflux pump MntP [mntP].', NULL, NULL, 'MntP_pump', 18683),
(18684, 'MF_00341', NULL, 'UPF0146 protein <locus_tag>.', NULL, NULL, 'UPF0146', 18684),
(18685, 'MF_00261', NULL, 'DNA-directed RNA polymerase subunit L [rpoL].', NULL, NULL, 'RNApol_arch_L', 18685),
(18686, 'MF_01808', NULL, 'Tyrosine recombinase XerC [xerC].', NULL, NULL, 'Recomb_XerC_XerD', 18686),
(18687, 'MF_00233', NULL, 'Outer-membrane lipoprotein LolB [lolB].', NULL, NULL, 'LolB', 18687),
(18688, 'MF_00369', NULL, '50S ribosomal protein L21e [rpl21e].', NULL, NULL, 'Ribosomal_L21e', 18688),
(18689, 'MF_04118', NULL, 'Internal virion protein gp14.', NULL, NULL, 'GP14_T7', 18689),
(18690, 'MF_00323', NULL, 'Coproporphyrin III ferrochelatase [cpfC].', NULL, NULL, 'Ferrochelatase', 18690),
(18691, 'MF_01139', NULL, 'Ditrans,polycis-undecaprenyl-diphosphate synthase ((2E,6E)-farnesyl-diphosphate specific) [uppS].', NULL, NULL, 'ISPT', 18691),
(18692, 'MF_00385', NULL, '30S ribosomal protein S16 [rpsP].', NULL, NULL, 'Ribosomal_S16', 18692),
(18693, 'MF_00601', NULL, 'Ethanolamine ammonia-lyase light chain [eutC].', NULL, NULL, 'EutC', 18693),
(18694, 'MF_00158', NULL, 'Pantothenate synthetase [panC].', NULL, NULL, 'PanC', 18694),
(18695, 'MF_01913', NULL, '3-sulfolactaldehyde reductase.', NULL, NULL, 'SLA_reductase', 18695),
(18696, 'MF_01981', NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, NULL, 'Phosphofructokinase_II_X', 18696),
(18697, 'MF_00683', NULL, 'UPF0265 protein YeeX [yeeX].', NULL, NULL, 'UPF0265', 18697),
(18698, 'MF_04068', NULL, 'Matrix protein 1 [M].', NULL, NULL, 'INFV_M1', 18698),
(18699, 'MF_01169', NULL, '2-oxoglutarate dehydrogenase E1 component [odhA].', NULL, NULL, 'SucA_OdhA', 18699),
(18700, 'MF_03035', NULL, 'Polyribonucleotide 5''-hydroxyl-kinase Clp1 [CLP1].', NULL, NULL, 'Clp1', 18700),
(18701, 'MF_01931', NULL, 'Amidophosphoribosyltransferase [purF].', NULL, NULL, 'PurF', 18701),
(18702, 'MF_02221', NULL, 'Carbamoyl-phosphate synthase.', NULL, NULL, 'CPSase', 18702),
(18703, 'MF_01393', NULL, 'ATP synthase subunit a [atpB].', NULL, NULL, 'ATP_synth_a_bact', 18703),
(18704, 'MF_00009', NULL, 'Endoribonuclease YbeY [ybeY].', NULL, NULL, 'Endoribonucl_YbeY', 18704),
(18705, 'MF_00403_B', NULL, '30S ribosomal protein S12 [rpsL].', NULL, NULL, 'Ribosomal_S12_B', 18705),
(18706, 'MF_03022', NULL, 'Katanin p80 WD40 repeat-containing subunit B1 [KATNB1].', NULL, NULL, 'Katanin_p80_B1', 18706),
(18707, 'MF_01357', NULL, 'NAD(P)H-quinone oxidoreductase subunit J, chloroplastic [ndhJ].', NULL, NULL, 'NDH1_NuoC', 18707),
(18708, 'MF_04090', NULL, 'Non-structural protein 3.', NULL, NULL, 'ROTA_NSP3', 18708),
(18709, 'MF_01885', NULL, 'tRNA (cytidine(34)-2''-O)-methyltransferase [trmL].', NULL, NULL, 'tRNA_methyltr_TrmL', 18709),
(18710, 'MF_02049', NULL, 'Nucleoside permease NupG [nupG].', NULL, NULL, 'NupG', 18710),
(18711, 'MF_01987', NULL, 'Ribokinase [rbsK].', NULL, NULL, 'Ribokinase', 18711),
(18712, 'MF_00125', NULL, 'ATP phosphoribosyltransferase regulatory subunit [hisZ].', NULL, NULL, 'HisZ', 18712),
(18713, 'MF_00045', NULL, 'Oligoribonuclease [orn].', NULL, NULL, 'Oligoribonuclease', 18713),
(18714, 'MF_01338', NULL, 'Ribulose bisphosphate carboxylase large chain [rbcL].', NULL, NULL, 'RuBisCO_L_type1', 18714),
(18715, 'MF_01651', NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin--NAD(+) reductase component [hcaD].', NULL, NULL, 'HcaD', 18715),
(18716, 'MF_00983', NULL, 'Probable primosomal protein N'' [priA].', NULL, NULL, 'PriA', 18716),
(18717, 'MF_01936', NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase [menI].', NULL, NULL, 'MenI', 18717),
(18718, 'MF_00823', NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit alpha [accA].', NULL, NULL, 'AcetylCoA_CT_alpha', 18718);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18719, 'MF_00134_B', NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, NULL, 'IGPS_B', 18719),
(18720, 'MF_01632', NULL, 'Chorismate pyruvate-lyase [ubiC].', NULL, NULL, 'UbiC', 18720),
(18721, 'MF_04106', NULL, 'Baseplate wedge protein gp10.', NULL, NULL, 'BP10_T4', 18721),
(18722, 'MF_04039', NULL, 'Cytoplasmic envelopment protein 2.', NULL, NULL, 'HSV_CEP2', 18722),
(18723, 'MF_01598', NULL, 'Spermidine export protein MdtJ [mdtJ].', NULL, NULL, 'MdtJ', 18723),
(18724, 'MF_00424', NULL, 'Peptide chain release factor subunit 1 [prf1].', NULL, NULL, 'Rel_fact_arch_1', 18724),
(18725, 'MF_01873', NULL, 'Ribosomal RNA large subunit methyltransferase Cfr [cfr].', NULL, NULL, '23SrRNA_methyltr_Cfr', 18725),
(18726, 'MF_01328_B', NULL, '50S ribosomal protein L4 [rplD].', NULL, NULL, 'Ribosomal_L4_B', 18726),
(18727, 'MF_01053', NULL, 'UPF0231 protein YacL [yacL].', NULL, NULL, 'UPF0231', 18727),
(18728, 'MF_01362', NULL, 'UPF0387 membrane protein YohO [yohO].', NULL, NULL, 'UPF0387', 18728),
(18729, 'MF_01516', NULL, 'Malate dehydrogenase [mdh].', NULL, NULL, 'Malate_dehydrog_1', 18729),
(18730, 'MF_01470', NULL, 'CRISPR-associated endonuclease Cas1 [cas1].', NULL, NULL, 'Cas1', 18730),
(18731, 'MF_01252', NULL, 'Flavohemoprotein [hmp].', NULL, NULL, 'Hmp', 18731),
(18732, 'MF_00909', NULL, 'Cell division protein FtsZ [ftsZ].', NULL, NULL, 'FtsZ', 18732),
(18733, 'MF_00093', NULL, 'Peptide chain release factor 1 [prfA].', NULL, NULL, 'Rel_fac_1', 18733),
(18734, 'MF_00485', NULL, '30S ribosomal protein S4e [rps4e].', NULL, NULL, 'Ribosomal_S4e', 18734),
(18735, 'MF_00059', NULL, 'DNA-directed RNA polymerase subunit alpha [rpoA].', NULL, NULL, 'RNApol_bact_RpoA', 18735),
(18736, 'MF_01585', NULL, 'Lysophospholipid transporter LplT [lplT].', NULL, NULL, 'MFS_LplT', 18736),
(18737, 'MF_02050', NULL, 'Fused isobutyryl-CoA mutase [icmF].', NULL, NULL, 'IcmF', 18737),
(18738, 'MF_04021', NULL, 'Small capsomere-interacting protein [SCP].', NULL, NULL, 'HSV_SCP_betahv', 18738),
(18739, 'MF_00207', NULL, 'Probable manganese-dependent inorganic pyrophosphatase [ppaC].', NULL, NULL, 'PPase_C', 18739),
(18740, 'MF_03069', NULL, 'Protein kintoun [DNAAF2].', NULL, NULL, 'Kintoun', 18740),
(18741, 'MF_00558', NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta [sucC].', NULL, NULL, 'Succ_CoA_beta', 18741),
(18742, 'MF_01167', NULL, 'UDP-4-amino-4-deoxy-L-arabinose--oxoglutarate aminotransferase [arnB].', NULL, NULL, 'ArnB_transfer', 18742),
(18743, 'MF_00619', NULL, 'Probable 30S ribosomal protein 3, chloroplastic [ycf65].', NULL, NULL, 'Ribosomal_plastid_S3', 18743),
(18744, 'MF_01919', NULL, 'Cell division protein ZapE [zapE].', NULL, NULL, 'ZapE', 18744),
(18745, 'MF_00596', NULL, 'GMP reductase [guaC].', NULL, NULL, 'GMP_reduct_type1', 18745),
(18746, 'MF_00404', NULL, 'Probable oxaloacetate decarboxylase gamma chain [oadG].', NULL, NULL, 'OadG', 18746),
(18747, 'MF_00673', NULL, 'UPF0254 protein <locus_tag>.', NULL, NULL, 'UPF0254', 18747),
(18748, 'MF_01088', NULL, 'Universal stress protein B [uspB].', NULL, NULL, 'UspB', 18748),
(18749, 'MF_01879', NULL, 'Dipeptide and tripeptide permease B [dtpB].', NULL, NULL, 'PTR2_DtpB_subfam', 18749),
(18750, 'MF_00308', NULL, 'Prefoldin subunit alpha [pfdA].', NULL, NULL, 'PfdA', 18750),
(18751, 'MF_01178', NULL, 'Sigma factor-binding protein Crl [crl].', NULL, NULL, 'Crl', 18751),
(18752, 'MF_00214', NULL, '3-dehydroquinate dehydratase [aroD].', NULL, NULL, 'AroD', 18752),
(18753, 'MF_02022', NULL, 'Cell division protein DedD [dedD].', NULL, NULL, 'DedD', 18753),
(18754, 'MF_00024', NULL, 'Cobalamin biosynthesis protein CbiB [cbiB].', NULL, NULL, 'CobD_CbiB', 18754),
(18755, 'MF_00289_B', NULL, 'Proteasome subunit alpha [prcA].', NULL, NULL, 'Proteasome_A_B', 18755),
(18756, 'MF_00212', NULL, 'Probable malate:quinone oxidoreductase [mqo].', NULL, NULL, 'MQO', 18756),
(18757, 'MF_01372', NULL, 'UPF0412 protein YaaI [yaaI].', NULL, NULL, 'UPF0412', 18757); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18758, 'MF_00658', NULL, 'Ribosomal RNA large subunit methyltransferase H [rlmH].', NULL, NULL, '23SrRNA_methyltr_H', 18758),
(18759, 'MF_01126', NULL, 'UPF0298 protein <locus_tag>.', NULL, NULL, 'UPF0298', 18759),
(18760, 'MF_01273', NULL, 'Type II pantothenate kinase [coaW].', NULL, NULL, 'Pantothen_kinase_2', 18760),
(18761, 'MF_02032', NULL, '2-hydroxy-3-oxopropionate reductase [garR].', NULL, NULL, 'Tartronate_sem_reduc', 18761),
(18762, 'MF_00534', NULL, 'Asparagine--tRNA ligase [asnS].', NULL, NULL, 'Asn_tRNA_synth', 18762),
(18763, 'MF_01627', NULL, 'Purine nucleoside phosphorylase DeoD-type [deoD].', NULL, NULL, 'Pur_nucleosid_phosp', 18763),
(18764, 'MF_04004', NULL, 'Protein E7 [E7].', NULL, NULL, 'PPV_E7', 18764),
(18765, 'MF_00756', NULL, 'Ribonuclease P protein component 3 [rnp3].', NULL, NULL, 'RNase_P_3', 18765),
(18766, 'MF_01305', NULL, 'Photosystem II reaction center protein J [psbJ].', NULL, NULL, 'PSII_PsbJ', 18766),
(18767, 'MF_02083', NULL, '[LysW]-L-2-aminoadipate/[LysW]-L-glutamate phosphate reductase [lysY].', NULL, NULL, 'LysY', 18767),
(18768, 'MF_00825', NULL, '3-hydroxyanthranilate 3,4-dioxygenase [nbaC].', NULL, NULL, '3_HAO', 18768),
(18769, 'MF_00679', NULL, 'Chaperone protein HscA [hscA].', NULL, NULL, 'HscA', 18769),
(18770, 'MF_03208', NULL, 'Phosphatidylserine decarboxylase proenzyme [PISD].', NULL, NULL, 'PS_decarb_PSD_B_type1_euk', 18770),
(18771, 'MF_00730', NULL, 'Nucleoid-associated protein YejK [yejK].', NULL, NULL, 'NdpA', 18771),
(18772, 'MF_00573', NULL, '50S ribosomal protein L35Ae [rpl35ae].', NULL, NULL, 'Ribosomal_L35Ae', 18772),
(18773, 'MF_00370', NULL, 'Shikimate kinase [aroK].', NULL, NULL, 'Shik_kinase_arch', 18773),
(18774, 'MF_00025', NULL, 'DNA-directed RNA polymerase subunit H [rpoH].', NULL, NULL, 'RNApol_RpoH_RPB5', 18774),
(18775, 'MF_01048', NULL, 'Protein PsiE [psiE].', NULL, NULL, 'PsiE', 18775),
(18776, 'MF_02229', NULL, '5-deoxyribose 1-phosphate isomerase [drdI].', NULL, NULL, 'Deoxyribose1P_isomerase', 18776),
(18777, 'MF_01610', NULL, 'Probable L-tyrosine/L-aspartate decarboxylase [mfnA].', NULL, NULL, 'MfnA_decarbox', 18777),
(18778, 'MF_00363', NULL, 'UPF0154 protein <locus_tag>.', NULL, NULL, 'UPF0154', 18778),
(18779, 'MF_01234', NULL, 'N-acetylmannosamine kinase [nanK].', NULL, NULL, 'ManNAc_kinase', 18779),
(18780, 'MF_00766', NULL, 'Biosynthetic peptidoglycan transglycosylase [mtgA].', NULL, NULL, 'PGT_MtgA', 18780),
(18781, 'MF_01616', NULL, 'Membrane-bound lytic murein transglycosylase C [mltC].', NULL, NULL, 'MltC', 18781),
(18782, 'MF_01869', NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnE [arnE].', NULL, NULL, 'Flippase_ArnE', 18782),
(18783, 'MF_01261', NULL, 'Multifunctional CCA protein [cca].', NULL, NULL, 'CCA_bact_type1', 18783),
(18784, 'MF_01246', NULL, 'Chitooligosaccharide deacetylase [chbG].', NULL, NULL, 'COD', 18784),
(18785, 'MF_00114', NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, NULL, 'DeoC_type1', 18785),
(18786, 'MF_00908', NULL, 'Negative modulator of initiation of replication [seqA].', NULL, NULL, 'SeqA', 18786),
(18787, 'MF_04066', NULL, 'Non-structural protein 1 [NS].', NULL, NULL, 'INFV_NS1', 18787),
(18788, 'MF_00284', NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, NULL, 'Phe_tRNA_synth_beta2', 18788),
(18789, 'MF_01636', NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase [ubiD].', NULL, NULL, 'UbiD', 18789),
(18790, 'MF_00402', NULL, '50S ribosomal protein L19 [rplS].', NULL, NULL, 'Ribosomal_L19', 18790),
(18791, 'MF_00733', NULL, '1-pyrroline-5-carboxylate dehydrogenase [rocA].', NULL, NULL, 'RocA', 18791),
(18792, 'MF_02051', NULL, '(4S)-4-hydroxy-5-phosphonooxypentane-2,3-dione isomerase [lsrG].', NULL, NULL, 'LsrG', 18792),
(18793, 'MF_04048', NULL, 'Pre-protein VI [L3].', NULL, NULL, 'ADV_CAP6', 18793),
(18794, 'MF_00164', NULL, 'Glutamine--fructose-6-phosphate aminotransferase [isomerizing] [glmS].', NULL, NULL, 'GlmS', 18794);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18795, 'MF_01527_A', NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, NULL, 'GTP_cyclohydrol_A', 18795),
(18796, 'MF_00211', NULL, 'Anthranilate phosphoribosyltransferase [trpD].', NULL, NULL, 'TrpD', 18796),
(18797, 'MF_04016', NULL, 'Major capsid protein [MCP].', NULL, NULL, 'HSV_MCP', 18797),
(18798, 'MF_00625', NULL, 'Selenide, water dikinase [selD].', NULL, NULL, 'SelD', 18798),
(18799, 'MF_00413', NULL, 'Sulfur carrier protein TusA [tusA].', NULL, NULL, 'Thiourid_synth_A', 18799),
(18800, 'MF_00580', NULL, '10 kDa chaperonin [groS].', NULL, NULL, 'CH10', 18800),
(18801, 'MF_00750', NULL, 'Oxygen-dependent choline dehydrogenase [betA].', NULL, NULL, 'Choline_dehydrogen', 18801),
(18802, 'MF_00557', NULL, 'Alginate lyase [algL].', NULL, NULL, 'Alginate_lyase', 18802),
(18803, 'MF_00686', NULL, 'Probable Fe(2+)-trafficking protein [yggX].', NULL, NULL, 'Fe_traffic_YggX', 18803),
(18804, 'MF_00299', NULL, 'Probable RNA 2''-phosphotransferase [kptA].', NULL, NULL, 'KptA', 18804),
(18805, 'MF_00010', NULL, 'UPF0060 membrane protein YnfA [ynfA].', NULL, NULL, 'UPF0060', 18805),
(18806, 'MF_00329', NULL, '50S ribosomal protein L18e [rpl18e].', NULL, NULL, 'Ribosomal_L18e', 18806),
(18807, 'MF_00315', NULL, '1-deoxy-D-xylulose-5-phosphate synthase [dxs].', NULL, NULL, 'DXP_synth', 18807),
(18808, 'MF_01506', NULL, 'Small, acid-soluble spore protein Tlp [tlp].', NULL, NULL, 'Tlp', 18808),
(18809, 'MF_01039', NULL, '2,3-bisphosphoglycerate-dependent phosphoglycerate mutase [gpmA].', NULL, NULL, 'PGAM_GpmA', 18809),
(18810, 'MF_01663', NULL, 'L-rhamnose mutarotase [rhaM].', NULL, NULL, 'L_rham_rotase', 18810),
(18811, 'MF_01171', NULL, 'Arginine N-succinyltransferase [astA].', NULL, NULL, 'AstA', 18811),
(18812, 'MF_00973', NULL, 'Gluconeogenesis factor.', NULL, NULL, 'Gluconeogen_factor', 18812),
(18813, 'MF_04058', NULL, 'Packaging protein 3 [L1].', NULL, NULL, 'ADV_PKG3', 18813),
(18814, 'MF_01368', NULL, '50S ribosomal protein L17 [rplQ].', NULL, NULL, 'Ribosomal_L17', 18814),
(18815, 'MF_00428', NULL, 'Na(+)-translocating NADH-quinone reductase subunit D [nqrD].', NULL, NULL, 'NqrD', 18815),
(18816, 'MF_00390', NULL, 'Sulfurtransferase TusD [tusD].', NULL, NULL, 'Thiourid_synth_D', 18816),
(18817, 'MF_01093', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit A [mtrA].', NULL, NULL, 'MtrA', 18817),
(18818, 'MF_01253', NULL, 'Endonuclease 8 [nei].', NULL, NULL, 'Endonuclease_8', 18818),
(18819, 'MF_01889', NULL, 'Penicillin-binding protein activator LpoB [lpoB].', NULL, NULL, 'LpoB', 18819),
(18820, 'MF_03010', NULL, 'Eukaryotic translation initiation factor 3 subunit K [EIF3K].', NULL, NULL, 'eIF3k', 18820),
(18821, 'MF_01240', NULL, 'UPF0309 protein <locus_tag>.', NULL, NULL, 'UPF0309', 18821),
(18822, 'MF_01437', NULL, 'CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase [pgsA].', NULL, NULL, 'PgsA', 18822),
(18823, 'MF_01068', NULL, 'Glucans biosynthesis protein D [mdoD].', NULL, NULL, 'MdoD_OpgD', 18823),
(18824, 'MF_00504', NULL, 'Peptidase B [pepB].', NULL, NULL, 'Aminopeptidase_M17', 18824),
(18825, 'MF_00221', NULL, 'Divalent metal cation transporter MntH [mntH].', NULL, NULL, 'NRAMP', 18825),
(18826, 'MF_00213', NULL, 'Hydrogenase maturation factor HypA [hypA].', NULL, NULL, 'HypA_HybF', 18826),
(18827, 'MF_00159', NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase (ferredoxin) [ispG].', NULL, NULL, 'IspG', 18827),
(18828, 'MF_02085', NULL, 'UTP--glucose-1-phosphate uridylyltransferase [cugP].', NULL, NULL, 'CugP_cyano', 18828),
(18829, 'MF_01224_A', NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, NULL, 'MoaC_A', 18829),
(18830, 'MF_01662', NULL, 'L-fucose mutarotase [fucU].', NULL, NULL, 'L_fucose_rotase', 18830),
(18831, 'MF_01866', NULL, 'Protein YcgL [ycgL].', NULL, NULL, 'UPF0745', 18831),
(18832, 'MF_00954', NULL, 'Regulator of nucleoside diphosphate kinase [rnk].', NULL, NULL, 'Rnk', 18832),
(18833, 'MF_00375', NULL, 'Glutamate-1-semialdehyde 2,1-aminomutase [hemL].', NULL, NULL, 'HemL_aminotrans_3', 18833);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18834, 'MF_01540', NULL, 'Sulfite reductase [NADPH] hemoprotein beta-component [cysI].', NULL, NULL, 'CysI', 18834),
(18835, 'MF_01880', NULL, 'Dipeptide permease D [dtpD].', NULL, NULL, 'PTR2_DtpD_subfam', 18835),
(18836, 'MF_00501', NULL, '50S ribosomal protein L31 [rpmE].', NULL, NULL, 'Ribosomal_L31_1', 18836),
(18837, 'MF_01329', NULL, 'Photosystem II reaction center protein Ycf12 [ycf12].', NULL, NULL, 'PSII_Ycf12', 18837),
(18838, 'MF_01615', NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxT [pdxT].', NULL, NULL, 'PdxT', 18838),
(18839, 'MF_00378', NULL, 'Exodeoxyribonuclease 7 large subunit [xseA].', NULL, NULL, 'Exonuc_7_L', 18839),
(18840, 'MF_04134', NULL, 'Tail assembly protein GT.', NULL, NULL, 'GT_LAMBD', 18840),
(18841, 'MF_01008', NULL, 'Transcriptional regulator MraZ [mraZ].', NULL, NULL, 'MraZ', 18841),
(18842, 'MF_00812', NULL, 'Thiopurine S-methyltransferase [tpm].', NULL, NULL, 'Thiopur_methtran', 18842),
(18843, 'MF_00281', NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, NULL, 'Phe_tRNA_synth_alpha1', 18843),
(18844, 'MF_01608', NULL, 'Coenzyme A disulfide reductase [cdr].', NULL, NULL, 'CoA_diS_reduct', 18844),
(18845, 'MF_01848', NULL, 'Ribosomal RNA large subunit methyltransferase F [rlmF].', NULL, NULL, '23SrRNA_methyltr_F', 18845),
(18846, 'MF_01660', NULL, '2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase [menH].', NULL, NULL, 'MenH', 18846),
(18847, 'MF_00789', NULL, 'UPF0319 protein YccT [yccT].', NULL, NULL, 'UPF0319', 18847),
(18848, 'MF_00938', NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, NULL, 'ParE_type1', 18848),
(18849, 'MF_01557', NULL, 'Tagatose-6-phosphate kinase [lacC].', NULL, NULL, 'LacC', 18849),
(18850, 'MF_00155', NULL, 'Cytochrome c oxidase assembly protein CtaG [ctaG].', NULL, NULL, 'CtaG', 18850),
(18851, 'MF_02056', NULL, 'O-succinylhomoserine sulfhydrylase [metZ].', NULL, NULL, 'MetZ', 18851),
(18852, 'MF_01176', NULL, 'HTH-type transcriptional regulator IscR [iscR].', NULL, NULL, 'HTH_type_IscR', 18852),
(18853, 'MF_01454', NULL, 'GTPase Obg [obg].', NULL, NULL, 'GTPase_Obg', 18853),
(18854, 'MF_02125', NULL, '50S ribosomal protein L3 glutamine methyltransferase [prmB].', NULL, NULL, 'L3_methyltr_PrmB', 18854),
(18855, 'MF_00054_A', NULL, 'Elongation factor G [fusA].', NULL, NULL, 'EF_G_EF_2_A', 18855),
(18856, 'MF_01111', NULL, 'UPF0200 protein <locus_tag>.', NULL, NULL, 'UPF0200', 18856),
(18857, 'MF_01577', NULL, 'Putative multidrug resistance protein MdtD [mdtD].', NULL, NULL, 'MFS_MdtD', 18857),
(18858, 'MF_02208', NULL, 'UDP-N-acetylmuramoyl-L-alanine--L-glutamate ligase [murD2].', NULL, NULL, 'MurD2_subfam', 18858),
(18859, 'MF_01821', NULL, 'RNA polymerase-associated protein RapA [rapA].', NULL, NULL, 'Helicase_RapA', 18859),
(18860, 'MF_00331', NULL, 'Cysteine desulfurase IscS [iscS].', NULL, NULL, 'Cys_desulf_IscS', 18860),
(18861, 'MF_01286', NULL, 'Digeranylgeranylglyceryl phosphate synthase.', NULL, NULL, 'DGGGP_synth', 18861),
(18862, 'MF_01255', NULL, 'L-ectoine synthase [ectC].', NULL, NULL, 'Ectoine_synth', 18862),
(18863, 'MF_01405', NULL, 'dITP/XTP pyrophosphatase.', NULL, NULL, 'Non_canon_purine_NTPase', 18863),
(18864, 'MF_00332', NULL, 'Chaperone protein DnaK [dnaK].', NULL, NULL, 'DnaK', 18864),
(18865, 'MF_01306_A', NULL, '30S ribosomal protein S4 [rpsD].', NULL, NULL, 'Ribosomal_S4_A', 18865),
(18866, 'MF_02235', NULL, 'N-succinylornithine carbamoyltransferase [argF''].', NULL, NULL, 'SOTCase', 18866),
(18867, 'MF_04201', NULL, 'Membrane protein [M].', NULL, NULL, 'ALPHA_CORONA_M', 18867),
(18868, 'MF_01692', NULL, 'N-acetyldiaminopimelate deacetylase.', NULL, NULL, 'DapEL', 18868),
(18869, 'MF_01129', NULL, 'Putative K(+)-stimulated pyrophosphate-energized sodium pump [hppA].', NULL, NULL, 'PPase_energized_pump', 18869),
(18870, 'MF_01494', NULL, 'DEAD-box ATP-dependent RNA helicase CshB [cshB].', NULL, NULL, 'DEAD_helicase_CshB', 18870),
(18871, 'MF_00550', NULL, 'Peptidase T [pepT].', NULL, NULL, 'Aminopeptidase_M20', 18871);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18872, 'MF_00716', NULL, 'Nitrous-oxide reductase [nosZ].', NULL, NULL, 'NosZ', 18872),
(18873, 'MF_01466', NULL, 'Accessory Sec system protein translocase subunit SecY2 [secY2].', NULL, NULL, 'SecY2', 18873),
(18874, 'MF_01012', NULL, '23S rRNA (uracil(747)-C(5))-methyltransferase RlmC [rlmC].', NULL, NULL, '23SrRNA_methyltr_RlmC', 18874),
(18875, 'MF_01189', NULL, 'Purine ribonucleoside efflux pump NepI [nepI].', NULL, NULL, 'MFS_NepI', 18875),
(18876, 'MF_00139', NULL, 'Bifunctional purine biosynthesis protein PurH [purH].', NULL, NULL, 'PurH', 18876),
(18877, 'MF_00302', NULL, 'ATP-dependent Clp protease adapter protein ClpS [clpS].', NULL, NULL, 'ClpS', 18877),
(18878, 'MF_03002', NULL, 'Eukaryotic translation initiation factor 3 subunit C [EIF3C].', NULL, NULL, 'eIF3c', 18878),
(18879, 'MF_01946', NULL, 'Tubulin-like protein CetZ [cetZ].', NULL, NULL, 'CetZ', 18879),
(18880, 'MF_01665', NULL, 'Heme A synthase [ctaA].', NULL, NULL, 'HemeA_synth_type2', 18880),
(18881, 'MF_01218_A', NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, NULL, 'Upp_A', 18881),
(18882, 'MF_00600', NULL, '60 kDa chaperonin [groL].', NULL, NULL, 'CH60', 18882),
(18883, 'MF_01434', NULL, 'Monofunctional glycosyltransferase [mgt].', NULL, NULL, 'MGT', 18883),
(18884, 'MF_00467', NULL, 'Probable M18 family aminopeptidase 2 [apeB].', NULL, NULL, 'Aminopeptidase_M18_2', 18884),
(18885, 'MF_01882', NULL, 'Probable propionate kinase [pduW].', NULL, NULL, 'Propion_kin_subfam2', 18885),
(18886, 'MF_01145', NULL, 'Foldase protein PrsA [prsA].', NULL, NULL, 'Foldase_PrsA', 18886),
(18887, 'MF_03187', NULL, 'EEF1A lysine methyltransferase 1 [EEF1AKMT1].', NULL, NULL, 'Methyltr_EFM5', 18887),
(18888, 'MF_01101', NULL, 'UPF0208 membrane protein YfbV [yfbV].', NULL, NULL, 'UPF0208', 18888),
(18889, 'MF_01281', NULL, '5''-deoxyadenosine deaminase [dadD].', NULL, NULL, 'MTA_SAH_deamin', 18889),
(18890, 'MF_00521', NULL, '3-deoxy-D-manno-octulosonic acid kinase [kdkA].', NULL, NULL, 'KDO_kinase', 18890),
(18891, 'MF_00594', NULL, 'Cytochrome c6 [petJ].', NULL, NULL, 'Cytc_PetJ', 18891),
(18892, 'MF_00124', NULL, 'Thymidine kinase [tdk].', NULL, NULL, 'Thymidine_kinase', 18892),
(18893, 'MF_01289', NULL, 'D-galactonate dehydratase [dgoD].', NULL, NULL, 'Galacton_dehydrat', 18893),
(18894, 'MF_04148', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_BPP22', 18894),
(18895, 'MF_00410', NULL, '50S ribosomal protein L31e [rpl31e].', NULL, NULL, 'Ribosomal_L31e', 18895),
(18896, 'MF_01315', NULL, '30S ribosomal protein S13 [rpsM].', NULL, NULL, 'Ribosomal_S13_S18', 18896),
(18897, 'MF_04115', NULL, 'Small outer capsid protein.', NULL, NULL, 'SOC_T4', 18897),
(18898, 'MF_00192', NULL, 'DNA-directed RNA polymerase subunit K [rpoK].', NULL, NULL, 'RNApol_arch_K', 18898),
(18899, 'MF_01195', NULL, 'N-acetylneuraminate epimerase [nanM].', NULL, NULL, 'NanM', 18899),
(18900, 'MF_01853', NULL, 'Protein pelota homolog [pelA].', NULL, NULL, 'PelO', 18900),
(18901, 'MF_00367', NULL, 'GTPase Era [era].', NULL, NULL, 'GTPase_Era', 18901),
(18902, 'MF_01353', NULL, 'NAD(P)H-quinone oxidoreductase subunit N [ndhN].', NULL, NULL, 'NDH1_NDH1N', 18902),
(18903, 'MF_01574', NULL, '6-phospho-beta-galactosidase [lacG].', NULL, NULL, 'LacG', 18903),
(18904, 'MF_00029', NULL, '30S ribosomal protein S8e [rps8e].', NULL, NULL, 'Ribosomal_S8e', 18904),
(18905, 'MF_00916', NULL, 'Epoxyqueuosine reductase [queG].', NULL, NULL, 'QueG', 18905),
(18906, 'MF_01696', NULL, '1D-myo-inositol 2-acetamido-2-deoxy-alpha-D-glucopyranoside deacetylase [mshB].', NULL, NULL, 'MshB', 18906),
(18907, 'MF_04040', NULL, 'Cytoplasmic envelopment protein 3.', NULL, NULL, 'HSV_CEP3_alphahv', 18907),
(18908, 'MF_00644', NULL, 'Photosystem II reaction center protein Z [psbZ].', NULL, NULL, 'PSII_PsbZ', 18908),
(18909, 'MF_01375', NULL, 'Phosphonoacetaldehyde hydrolase [phnX].', NULL, NULL, 'PhnX', 18909),
(18910, 'MF_01810', NULL, 'Membrane protein insertase YidC [yidC].', NULL, NULL, 'YidC_type1', 18910);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18911, 'MF_03224', NULL, 'Cyanide hydratase.', NULL, NULL, 'CN_hydrolase', 18911),
(18912, 'MF_00145', NULL, 'Phosphoglycerate kinase [pgk].', NULL, NULL, 'Phosphoglyc_kinase', 18912),
(18913, 'MF_02132', NULL, 'AMP phosphorylase.', NULL, NULL, 'AMP_phosphorylase', 18913),
(18914, 'MF_01157', NULL, 'DnaA initiator-associating protein DiaA [diaA].', NULL, NULL, 'SIS_DiaA', 18914),
(18915, 'MF_01699', NULL, 'Pyrimidine monooxygenase RutA [rutA].', NULL, NULL, 'RutA', 18915),
(18916, 'MF_00127', NULL, 'Histidine--tRNA ligase [hisS].', NULL, NULL, 'His_tRNA_synth', 18916),
(18917, 'MF_01426', NULL, 'Cation/acetate symporter ActP [actP].', NULL, NULL, 'Acet_symport_ActP', 18917),
(18918, 'MF_04114', NULL, 'Portal protein.', NULL, NULL, 'PORTAL_T4', 18918),
(18919, 'MF_00616', NULL, 'Ureidoglycolate lyase [allA].', NULL, NULL, 'Ureidogly_lyase', 18919),
(18920, 'MF_00046', NULL, 'UDP-N-acetylmuramate--L-alanine ligase [murC].', NULL, NULL, 'MurC', 18920),
(18921, 'MF_00779', NULL, 'Hut operon positive regulatory protein [hutP].', NULL, NULL, 'HutP', 18921),
(18922, 'MF_01816', NULL, 'Tyrosine recombinase XerS [xerS].', NULL, NULL, 'Recomb_XerS', 18922),
(18923, 'MF_04121', NULL, 'Peptidoglycan transglycosylase gp16.', NULL, NULL, 'TRANSGLYCOSYLASE_T7', 18923),
(18924, 'MF_00705', NULL, 'IMP cyclohydrolase [purO].', NULL, NULL, 'IMP_cyclohydrol', 18924),
(18925, 'MF_00060', NULL, '5''/3''-nucleotidase SurE [surE].', NULL, NULL, 'SurE', 18925),
(18926, 'MF_00816', NULL, 'UPF0352 protein YejL [yejL].', NULL, NULL, 'UPF0352', 18926),
(18927, 'MF_00921', NULL, 'Putative pyruvate, phosphate dikinase regulatory protein.', NULL, NULL, 'PDRP', 18927),
(18928, 'MF_01988', NULL, 'Succinate--CoA ligase [ADP-forming] subunit alpha [sucD].', NULL, NULL, 'Succ_CoA_alpha', 18928),
(18929, 'MF_00269', NULL, 'Thiol peroxidase [tpx].', NULL, NULL, 'Tpx', 18929),
(18930, 'MF_00506', NULL, 'UPF0180 protein <locus_tag>.', NULL, NULL, 'UPF0180', 18930),
(18931, 'MF_01943', NULL, 'Lipid A biosynthesis palmitoleoyltransferase [lpxP].', NULL, NULL, 'Lipid_A_LpxP', 18931),
(18932, 'MF_00845', NULL, 'Flavin-dependent monooxygenase.', NULL, NULL, 'TetX_monooxygenase', 18932),
(18933, 'MF_00975', NULL, 'Exosome complex component Csl4 [csl4].', NULL, NULL, 'Exosome_Csl4', 18933),
(18934, 'MF_01427', NULL, '3''-5'' exoribonuclease YhaM [yhaM].', NULL, NULL, '3_5_Exoribonuc_YhaM', 18934),
(18935, 'MF_01495', NULL, 'Photosystem II CP47 reaction center protein [psbB].', NULL, NULL, 'PSII_PsbB_CP47', 18935),
(18936, 'MF_03221', NULL, 'Succinate--CoA ligase [GDP-forming] subunit beta, mitochondrial [SUCLG2].', NULL, NULL, 'Succ_CoA_betaG_euk', 18936),
(18937, 'MF_00265', NULL, 'tRNA(fMet)-specific endonuclease VapC [vapC].', NULL, NULL, 'VapC_Nob1', 18937),
(18938, 'MF_00508', NULL, '30S ribosomal protein S10 [rpsJ].', NULL, NULL, 'Ribosomal_S10', 18938),
(18939, 'MF_01570', NULL, 'Proline--tRNA ligase [proS].', NULL, NULL, 'Pro_tRNA_synth_type2', 18939),
(18940, 'MF_01667', NULL, 'Glyoxylate/hydroxypyruvate reductase B [ghrB].', NULL, NULL, '2_Hacid_dh_C_GhrB', 18940),
(18941, 'MF_04205', NULL, 'Envelope small membrane protein [E].', NULL, NULL, 'ALPHA_CORONA_E', 18941),
(18942, 'MF_00783', NULL, 'Probable flagellum biosynthesis repressor protein FlbT [flbT].', NULL, NULL, 'FlbT', 18942),
(18943, 'MF_01951', NULL, 'L-ribulose-5-phosphate 3-epimerase UlaE [ulaE].', NULL, NULL, 'UlaE', 18943),
(18944, 'MF_01404', NULL, 'Pyruvoyl-dependent arginine decarboxylase [pdaD].', NULL, NULL, 'PvlArgDC', 18944),
(18945, 'MF_04070', NULL, 'Nucleoprotein [NP].', NULL, NULL, 'INFV_NCAP', 18945),
(18946, 'MF_00734', NULL, 'Tagatose 1,6-diphosphate aldolase [lacD].', NULL, NULL, 'LacD', 18946),
(18947, 'MF_01475', NULL, '50S ribosomal protein L19e [rpl19e].', NULL, NULL, 'Ribosomal_L19e', 18947),
(18948, 'MF_03210', NULL, 'Formate dehydrogenase, mitochondrial.', NULL, NULL, 'Formate_dehydrogenase', 18948),
(18949, 'MF_02120', NULL, 'Diaminopimelate decarboxylase [lysA].', NULL, NULL, 'LysA', 18949);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18950, 'MF_04117', NULL, 'Major capsid protein.', NULL, NULL, 'CAPSID_H_T4', 18950),
(18951, 'MF_00325', NULL, 'DNA polymerase II small subunit [polB].', NULL, NULL, 'DNApol_II_A_arch', 18951),
(18952, 'MF_02057', NULL, 'tRNA 5-carboxymethoxyuridine methyltransferase [cmoM].', NULL, NULL, 'tRNA_methyltr_CmoM', 18952),
(18953, 'MF_00058', NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase [mtd].', NULL, NULL, 'MTD', 18953),
(18954, 'MF_00715', NULL, 'Protein SlyX [slyX].', NULL, NULL, 'SlyX', 18954),
(18955, 'MF_00953', NULL, 'DNA topoisomerase 3 [topB].', NULL, NULL, 'Topoisom_3_prok', 18955),
(18956, 'MF_03184', NULL, 'ATP-dependent 6-phosphofructokinase.', NULL, NULL, 'Phosphofructokinase_I_E', 18956),
(18957, 'MF_04026', NULL, 'Ribonucleoside-diphosphate reductase large subunit [RIR1].', NULL, NULL, 'HSV_RIR1', 18957),
(18958, 'MF_00681', NULL, '(5-formylfuran-3-yl)methyl phosphate synthase [mfnB].', NULL, NULL, 'MfnB', 18958),
(18959, 'MF_00670', NULL, 'Altronate oxidoreductase [uxaB].', NULL, NULL, 'Altron_oxidoreduct', 18959),
(18960, 'MF_01593', NULL, 'Protein MtfA [mtfA].', NULL, NULL, 'MtfA', 18960),
(18961, 'MF_00762', NULL, 'UPF0304 protein YfbU [yfbU].', NULL, NULL, 'UPF0304', 18961),
(18962, 'MF_00646', NULL, 'Elongation factor P-like protein [yeiP].', NULL, NULL, 'EFP', 18962),
(18963, 'MF_01595', NULL, 'Polyribonucleotide nucleotidyltransferase [pnp].', NULL, NULL, 'PNPase', 18963),
(18964, 'MF_01647', NULL, '3-phenylpropionate-dihydrodiol/cinnamic acid-dihydrodiol dehydrogenase [hcaB].', NULL, NULL, 'HcaB', 18964),
(18965, 'MF_00456', NULL, 'Glutamate 5-kinase [proB].', NULL, NULL, 'ProB', 18965),
(18966, 'MF_00959', NULL, 'RNA polymerase sigma factor RpoS [rpoS].', NULL, NULL, 'Sigma70_RpoS', 18966),
(18967, 'MF_01474', NULL, '30S ribosomal protein S19e [rps19e].', NULL, NULL, 'Ribosomal_S19e', 18967),
(18968, 'MF_00259', NULL, 'Aminomethyltransferase [gcvT].', NULL, NULL, 'GcvT', 18968),
(18969, 'MF_00678', NULL, 'UPF0262 protein <locus_tag>.', NULL, NULL, 'UPF0262', 18969),
(18970, 'MF_00446', NULL, 'Aspartate 1-decarboxylase [panD].', NULL, NULL, 'PanD', 18970),
(18971, 'MF_02211', NULL, 'Murein peptide amidase A [mpaA].', NULL, NULL, 'MpaA_carboxypeptidase', 18971),
(18972, 'MF_00030', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase [dgt].', NULL, NULL, 'dGTPase_type1', 18972),
(18973, 'MF_00137', NULL, 'Phosphoribosylaminoimidazole-succinocarboxamide synthase [purC].', NULL, NULL, 'SAICAR_synth', 18973),
(18974, 'MF_00955', NULL, 'GDP-mannose 4,6-dehydratase [gmd].', NULL, NULL, 'GDP_Man_dehydratase', 18974),
(18975, 'MF_00537', NULL, '30S ribosomal protein S14 [rpsN].', NULL, NULL, 'Ribosomal_S14_1', 18975),
(18976, 'MF_01895', NULL, 'Ribonuclease R [rnr].', NULL, NULL, 'RNase_R', 18976),
(18977, 'MF_01307_A', NULL, '30S ribosomal protein S5 [rpsE].', NULL, NULL, 'Ribosomal_S5_A', 18977),
(18978, 'MF_03107', NULL, 'Very-long-chain 3-oxoacyl-CoA reductase.', NULL, NULL, '3_ketoreductase', 18978),
(18979, 'MF_01891', NULL, 'Flagellar transcriptional regulator FlhC [flhC].', NULL, NULL, 'FhlC', 18979),
(18980, 'MF_00568', NULL, 'Quinolinate synthase A [nadA].', NULL, NULL, 'NadA_type2', 18980),
(18981, 'MF_04095', NULL, 'Nucleoprotein [N].', NULL, NULL, 'ALPHA_CORONA_NCAP', 18981),
(18982, 'MF_00056', NULL, '2-dehydro-3-deoxyphosphooctonate aldolase [kdsA].', NULL, NULL, 'KDO8P_synth', 18982),
(18983, 'MF_01549', NULL, 'Protein DsrB [dsrB].', NULL, NULL, 'DsrB', 18983),
(18984, 'MF_02102', NULL, 'Putrescine carbamoyltransferase [ptcA].', NULL, NULL, 'PTCase', 18984),
(18985, 'MF_00474', NULL, 'Photosystem I reaction center subunit PsaK [psaK].', NULL, NULL, 'PSI_PsaK', 18985),
(18986, 'MF_00984', NULL, 'Single-stranded DNA-binding protein.', NULL, NULL, 'SSB', 18986),
(18987, 'MF_01248', NULL, 'Glycogen debranching enzyme [glgX].', NULL, NULL, 'GlgX', 18987),
(18988, 'MF_00275', NULL, 'Potassium-transporting ATPase potassium-binding subunit [kdpA].', NULL, NULL, 'KdpA', 18988);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(18989, 'MF_01113', NULL, 'DNA polymerase IV [dinB].', NULL, NULL, 'DNApol_IV', 18989),
(18990, 'MF_00229', NULL, 'Histidine ammonia-lyase [hutH].', NULL, NULL, 'His_ammonia_lyase', 18990),
(18991, 'MF_00110', NULL, '3-dehydroquinate synthase [aroB].', NULL, NULL, 'DHQ_synthase', 18991),
(18992, 'MF_01276', NULL, 'Putrescine aminotransferase [patA].', NULL, NULL, 'Putres_aminotrans_3', 18992),
(18993, 'MF_01897', NULL, 'DNA gyrase subunit A [gyrA].', NULL, NULL, 'GyrA', 18993),
(18994, 'MF_00231', NULL, 'Translation initiation factor 2 subunit alpha [eif2a].', NULL, NULL, 'eIF_2_alpha', 18994),
(18995, 'MF_00549', NULL, 'Methylglyoxal synthase [mgsA].', NULL, NULL, 'Methylglyoxal_synth', 18995),
(18996, 'MF_00981', NULL, 'Transcriptional regulatory protein RcsB [rcsB].', NULL, NULL, 'RcsB', 18996),
(18997, 'MF_01160', NULL, 'Divalent-cation tolerance protein CutA [cutA].', NULL, NULL, 'CutA', 18997),
(18998, 'MF_01417', NULL, 'Biosynthetic arginine decarboxylase [speA].', NULL, NULL, 'SpeA', 18998),
(18999, 'MF_01220_B', NULL, 'Uridylate kinase [pyrH].', NULL, NULL, 'PyrH_B', 18999),
(19000, 'MF_01140', NULL, 'Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU [tagU].', NULL, NULL, 'TagU_transferase', 19000),
(19001, 'MF_00043', NULL, 'Elongation factor 1-beta [ef1b].', NULL, NULL, 'EF1_beta', 19001),
(19002, 'MF_00663', NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, NULL, 'PS_decarb_PSD_B_type2', 19002),
(19003, 'MF_00831', NULL, 'Putative aminoacrylate peracid reductase RutC [rutC].', NULL, NULL, 'RutC', 19003),
(19004, 'MF_00624', NULL, 'Glucose-1-phosphate adenylyltransferase [glgC].', NULL, NULL, 'GlgC', 19004),
(19005, 'MF_01524', NULL, 'Crotonobetaine/carnitine--CoA ligase [caiC].', NULL, NULL, 'CaiC', 19005),
(19006, 'MF_01024', NULL, 'Histidinol dehydrogenase [hisD].', NULL, NULL, 'HisD', 19006),
(19007, 'MF_01285', NULL, 'Riboflavin kinase [ribK].', NULL, NULL, 'Riboflavin_kinase', 19007),
(19008, 'MF_03169', NULL, 'GTP:AMP phosphotransferase AK3, mitochondrial [AK3].', NULL, NULL, 'Adenylate_kinase_AK3', 19008),
(19009, 'MF_00808', NULL, 'Photosystem II reaction center protein T [psbT].', NULL, NULL, 'PSII_PsbT', 19009),
(19010, 'MF_04061', NULL, 'Preterminal protein [PTP].', NULL, NULL, 'ADV_TERM', 19010),
(19011, 'MF_00394', NULL, 'Glycerol-3-phosphate dehydrogenase [NAD(P)+] [gpsA].', NULL, NULL, 'NAD_Glyc3P_dehydrog', 19011),
(19012, 'MF_00626', NULL, 'Germination protease [gpr].', NULL, NULL, 'Germination_prot', 19012),
(19013, 'MF_01611', NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase [cofG].', NULL, NULL, 'FO_synth_sub1', 19013),
(19014, 'MF_00381', NULL, 'Integration host factor subunit beta [ihfB].', NULL, NULL, 'IHF_beta', 19014),
(19015, 'MF_03021', NULL, 'Spastin [SPAST].', NULL, NULL, 'Spastin', 19015),
(19016, 'MF_04124', NULL, 'Protein VP3.', NULL, NULL, 'Rota_VP3', 19016),
(19017, 'MF_00780', NULL, 'Protein YceI [yceI].', NULL, NULL, 'UPF0312', 19017),
(19018, 'MF_02206', NULL, '3''-5'' exonuclease DinG [dinG].', NULL, NULL, 'DinG_exonucl', 19018),
(19019, 'MF_00995', NULL, 'Chorismate dehydratase [mqnA].', NULL, NULL, 'MqnA', 19019),
(19020, 'MF_00719', NULL, 'Adenosylcobinamide-GDP ribazoletransferase [cobS].', NULL, NULL, 'CobS', 19020),
(19021, 'MF_01079', NULL, 'UPF0280 protein <locus_tag>.', NULL, NULL, 'UPF0280', 19021),
(19022, 'MF_02101', NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase.', NULL, NULL, 'DHNA_CoA_hydrolase', 19022),
(19023, 'MF_03152', NULL, 'tRNA (guanine(37)-N1)-methyltransferase [TRMT5].', NULL, NULL, 'TRM5', 19023),
(19024, 'MF_00349', NULL, '50S ribosomal protein L34e [rpl34e].', NULL, NULL, 'Ribosomal_L34e', 19024),
(19025, 'MF_01323', NULL, 'DNA-directed RNA polymerase subunit gamma [rpoC1].', NULL, NULL, 'RNApol_bact_RpoC1', 19025),
(19026, 'MF_01456', NULL, 'NAD(P)H-quinone oxidoreductase subunit 4L, chloroplastic [ndhE].', NULL, NULL, 'NDH1_NuoK', 19026),
(19027, 'MF_01572', NULL, 'UPF0397 protein <locus_tag>.', NULL, NULL, 'UPF0397', 19027);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19028, 'MF_02091', NULL, 'Uncharacterized MFS-type transporter YfcJ [yfcJ].', NULL, NULL, 'MFS_YfcJ', 19028),
(19029, 'MF_01548', NULL, 'UPF0354 protein <locus_tag>.', NULL, NULL, 'UPF0354', 19029),
(19030, 'MF_03176', NULL, 'ATP-dependent DNA helicase PIF1 [PIF1].', NULL, NULL, 'PIF1', 19030),
(19031, 'MF_02055', NULL, 'Tyrosine recombinase XerA [xerA].', NULL, NULL, 'Recomb_XerA', 19031),
(19032, 'MF_00904', NULL, 'Modulator protein MzrA [mzrA].', NULL, NULL, 'Modulator_MzrA', 19032),
(19033, 'MF_01578', NULL, 'Quinate/shikimate dehydrogenase [ydiB].', NULL, NULL, 'Shikimate_DH_YdiB', 19033),
(19034, 'MF_00166', NULL, 'DNA-binding protein Fis [fis].', NULL, NULL, 'DNA_binding_Fis', 19034),
(19035, 'MF_01588', NULL, 'DNA ligase [ligA].', NULL, NULL, 'DNA_ligase_A', 19035),
(19036, 'MF_02234', NULL, 'N-acetylornithine carbamoyltransferase [argF''].', NULL, NULL, 'AOTCase', 19036),
(19037, 'MF_00665', NULL, 'Small, acid-soluble spore protein O [sspO].', NULL, NULL, 'SspO', 19037),
(19038, 'MF_00412', NULL, 'Gamma-glutamyl phosphate reductase [proA].', NULL, NULL, 'ProA', 19038),
(19039, 'MF_00729', NULL, 'Fructose-bisphosphate aldolase class 1 [fda].', NULL, NULL, 'FBP_aldolase_1', 19039),
(19040, 'MF_01530', NULL, 'Multidrug resistance protein MdtL [mdtL].', NULL, NULL, 'MFS_MdtL', 19040),
(19041, 'MF_01227', NULL, 'CTP synthase [pyrG].', NULL, NULL, 'PyrG', 19041),
(19042, 'MF_00671', NULL, 'Tol-Pal system protein TolB [tolB].', NULL, NULL, 'TolB', 19042),
(19043, 'MF_04111', NULL, 'Endolysin.', NULL, NULL, 'ENDOLYSIN_T7', 19043),
(19044, 'MF_00486', NULL, 'Methenyltetrahydromethanopterin cyclohydrolase [mch].', NULL, NULL, 'McH', 19044),
(19045, 'MF_01631', NULL, 'Bifunctional protein GlmU [glmU].', NULL, NULL, 'GlmU', 19045),
(19046, 'MF_03127', NULL, 'Adenylosuccinate synthetase isozyme 2 [ADSS].', NULL, NULL, 'Adenylosucc_synth_vert_acid', 19046),
(19047, 'MF_03008', NULL, 'Eukaryotic translation initiation factor 3 subunit I [EIF3I].', NULL, NULL, 'eIF3i', 19047),
(19048, 'MF_00001', NULL, 'Aspartate carbamoyltransferase [pyrB].', NULL, NULL, 'Asp_carb_tr', 19048),
(19049, 'MF_00227', NULL, 'Ribonuclease P protein component [rnpA].', NULL, NULL, 'RNase_P', 19049),
(19050, 'MF_00929', NULL, 'Cellobiose 2-epimerase.', NULL, NULL, 'Cellobiose_2_epim', 19050),
(19051, 'MF_01422', NULL, 'Multidrug resistance protein MdtA [mdtA].', NULL, NULL, 'MdtA', 19051),
(19052, 'MF_00014', NULL, 'Ribosome maturation factor RimM [rimM].', NULL, NULL, 'Ribosome_mat_RimM', 19052),
(19053, 'MF_01054', NULL, 'UPF0237 protein <locus_tag>.', NULL, NULL, 'UPF0237', 19053),
(19054, 'MF_00641', NULL, 'Malate synthase G [glcB].', NULL, NULL, 'Malate_synth_G', 19054),
(19055, 'MF_01299', NULL, 'Oxaloacetate decarboxylase.', NULL, NULL, 'OadC', 19055),
(19056, 'MF_00209', NULL, 'Inorganic pyrophosphatase [ppa].', NULL, NULL, 'Inorganic_PPase', 19056),
(19057, 'MF_00359', NULL, '30S ribosomal protein S3Ae [rps3ae].', NULL, NULL, 'Ribosomal_S3Ae', 19057),
(19058, 'MF_04147', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_T7', 19058),
(19059, 'MF_00647', NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, NULL, 'PPAT_arch', 19059),
(19060, 'MF_00668', NULL, '6-carboxyhexanoate--CoA ligase [bioW].', NULL, NULL, 'BioW', 19060),
(19061, 'MF_01003', NULL, 'Probable ECA polymerase [wzyE].', NULL, NULL, 'WzyE', 19061),
(19062, 'MF_00226_B', NULL, 'Putative competence-damage inducible protein [cinA].', NULL, NULL, 'CinA_B', 19062),
(19063, 'MF_00638', NULL, 'Serine-protein kinase RsbW [rsbW].', NULL, NULL, 'Anti_sigma_B', 19063),
(19064, 'MF_00148', NULL, 'Uracil-DNA glycosylase [ung].', NULL, NULL, 'UDG', 19064),
(19065, 'MF_03062', NULL, 'Ubiquitin carboxyl-terminal hydrolase 16 [USP16].', NULL, NULL, 'UBP16', 19065),
(19066, 'MF_00372', NULL, 'Imidazolonepropionase [hutI].', NULL, NULL, 'HutI', 19066),
(19067, 'MF_00805', NULL, 'Citrate lyase acyl carrier protein [citD].', NULL, NULL, 'CitD', 19067);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19068, 'MF_00979', NULL, 'Sensor histidine kinase RcsC [rcsC].', NULL, NULL, 'RcsC', 19068),
(19069, 'MF_00408', NULL, 'TATA-box-binding protein [tbp].', NULL, NULL, 'TATA_bind_prot_arch', 19069),
(19070, 'MF_00015', NULL, 'LexA repressor [lexA].', NULL, NULL, 'LexA', 19070),
(19071, 'MF_01418', NULL, 'Agmatinase [speB].', NULL, NULL, 'SpeB', 19071),
(19072, 'MF_01070', NULL, 'Phosphoglycerol transferase I [mdoB].', NULL, NULL, 'MdoB_OpgB', 19072),
(19073, 'MF_01131', NULL, 'Redox-sensing transcriptional repressor Rex [rex].', NULL, NULL, 'Rex', 19073),
(19074, 'MF_01589', NULL, 'Carboxy-S-adenosyl-L-methionine synthase [cmoA].', NULL, NULL, 'Cx_SAM_synthase', 19074),
(19075, 'MF_01260', NULL, 'Pimeloyl-[acyl-carrier protein] methyl ester esterase [bioH].', NULL, NULL, 'Carboxylester', 19075),
(19076, 'MF_01558', NULL, 'Cytidine deaminase [cdd].', NULL, NULL, 'Cyt_deam', 19076),
(19077, 'MF_00548', NULL, 'Zinc transporter ZupT [zupT].', NULL, NULL, 'ZupT', 19077),
(19078, 'MF_00049_A', NULL, 'Leucine--tRNA ligase [leuS].', NULL, NULL, 'Leu_tRNA_synth_A', 19078),
(19079, 'MF_03182', NULL, 'PAN2-PAN3 deadenylation complex catalytic subunit PAN2 [PAN2].', NULL, NULL, 'PAN2', 19079),
(19080, 'MF_00271', NULL, 'V-type ATP synthase subunit D [atpD].', NULL, NULL, 'ATP_synth_D_arch', 19080),
(19081, 'MF_03012', NULL, 'COP9/Signalosome and eIF3 complex-shared subunit 1 [EIF3M].', NULL, NULL, 'eIF3m', 19081),
(19082, 'MF_00554', NULL, 'Ribosomal RNA small subunit methyltransferase Nep1 [nep1].', NULL, NULL, 'NEP1', 19082),
(19083, 'MF_00692', NULL, 'Protein adenylyltransferase SelO [selO].', NULL, NULL, 'SelO', 19083),
(19084, 'MF_04149', NULL, 'RNA ligase 1.', NULL, NULL, 'RNALIG_T4', 19084),
(19085, 'MF_01969', NULL, 'Kynurenine formamidase [kynB].', NULL, NULL, 'KynB', 19085),
(19086, 'MF_00586', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit D [gatD].', NULL, NULL, 'GatD', 19086),
(19087, 'MF_01575', NULL, 'UPF0398 protein <locus_tag>.', NULL, NULL, 'UPF0398', 19087),
(19088, 'MF_01685', NULL, 'Ferredoxin--NADP reductase.', NULL, NULL, 'FENR2', 19088),
(19089, 'MF_01302_A', NULL, '30S ribosomal protein S8 [rpsH].', NULL, NULL, 'Ribosomal_S8_A', 19089),
(19090, 'MF_01065', NULL, 'UPF0257 lipoprotein YnfC [ynfC].', NULL, NULL, 'UPF0257', 19090),
(19091, 'MF_00240', NULL, 'Outer-membrane lipoprotein carrier protein [lolA].', NULL, NULL, 'LolA', 19091),
(19092, 'MF_03134', NULL, 'Probable alanine--tRNA ligase, chloroplastic.', NULL, NULL, 'Ala_tRNA_synth_plantC', 19092),
(19093, 'MF_00739', NULL, 'Urease subunit gamma [ureA].', NULL, NULL, 'Urease_gamma', 19093),
(19094, 'MF_00835', NULL, 'Malonyl-[acyl-carrier protein] O-methyltransferase [bioC].', NULL, NULL, 'BioC', 19094),
(19095, 'MF_00787', NULL, 'Cobalt-precorrin-5B C(1)-methyltransferase [cbiD].', NULL, NULL, 'CbiD', 19095),
(19096, 'MF_01450', NULL, 'Acylphosphatase [yccX].', NULL, NULL, 'Acylphosphatase_entero', 19096),
(19097, 'MF_00309', NULL, 'V-type ATP synthase alpha chain [atpA].', NULL, NULL, 'ATP_synth_A_arch', 19097),
(19098, 'MF_00567', NULL, 'Quinolinate synthase A [nadA].', NULL, NULL, 'NadA_type1', 19098),
(19099, 'MF_02045', NULL, 'Phosphoribosylaminoimidazole carboxylase [purE].', NULL, NULL, 'PurE_classII', 19099),
(19100, 'MF_01522', NULL, 'Low affinity potassium transport system protein kup [kup].', NULL, NULL, 'Kup', 19100),
(19101, 'MF_01949', NULL, 'O-acetyltransferase WecH [wecH].', NULL, NULL, 'Acetyltr_WecH', 19101),
(19102, 'MF_00054_B', NULL, 'Elongation factor G [fusA].', NULL, NULL, 'EF_G_EF_2_B', 19102),
(19103, 'MF_00197', NULL, 'Diaminopimelate epimerase [dapF].', NULL, NULL, 'DAP_epimerase', 19103),
(19104, 'MF_00713', NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 2 [gcvPB].', NULL, NULL, 'GcvPB', 19104),
(19105, 'MF_00758', NULL, 'UPF0301 protein YqgE [yqgE].', NULL, NULL, 'UPF0301', 19105),
(19106, 'MF_00154', NULL, 'Protoheme IX farnesyltransferase [cyoE].', NULL, NULL, 'CyoE_CtaB', 19106);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19107, 'MF_00948', NULL, 'Transcription termination/antitermination protein NusG [nusG].', NULL, NULL, 'NusG', 19107),
(19108, 'MF_00560', NULL, 'Trans-aconitate 2-methyltransferase [tam].', NULL, NULL, 'Tran_acon_Me_trans', 19108),
(19109, 'MF_01208', NULL, 'Orotate phosphoribosyltransferase [pyrE].', NULL, NULL, 'PyrE', 19109),
(19110, 'MF_03143', NULL, 'Pentafunctional AROM polypeptide [aroM].', NULL, NULL, 'Pentafunct_AroM', 19110),
(19111, 'MF_01421', NULL, 'UPF0323 lipoprotein <locus_tag>.', NULL, NULL, 'UPF0323', 19111),
(19112, 'MF_04010', NULL, 'DNA helicase/primase complex-associated protein.', NULL, NULL, 'HSV_HEPA', 19112),
(19113, 'MF_01849', NULL, 'Dual-specificity RNA methyltransferase RlmN [rlmN].', NULL, NULL, 'RNA_methyltr_RlmN', 19113),
(19114, 'MF_02236', NULL, 'N-acetyl-L-citrulline deacetylase [argE''].', NULL, NULL, 'ACDase', 19114),
(19115, 'MF_00065', NULL, 'Adenylyl-sulfate kinase [cysC].', NULL, NULL, 'Adenylyl_sulf_kinase', 19115),
(19116, 'MF_01413', NULL, 'Glutathione-regulated potassium-efflux system protein KefC [kefC].', NULL, NULL, 'K_H_efflux_KefC', 19116),
(19117, 'MF_01658', NULL, '3-demethoxyubiquinol 3-hydroxylase [coq7].', NULL, NULL, 'COQ7', 19117),
(19118, 'MF_01123', NULL, 'Acetyl-coenzyme A synthetase [acs].', NULL, NULL, 'Ac_CoA_synth', 19118),
(19119, 'MF_02029', NULL, 'UDP-N-acetyl-D-mannosamine dehydrogenase [wecC].', NULL, NULL, 'WecC_RffD', 19119),
(19120, 'MF_00620', NULL, 'Putative transcriptional regulatory protein <locus_tag>.', NULL, NULL, 'HTH_type_Tfx', 19120),
(19121, 'MF_01352', NULL, 'NAD(P)H-quinone oxidoreductase subunit M [ndhM].', NULL, NULL, 'NDH1_NDH1M', 19121),
(19122, 'MF_00987', NULL, 'L-fuculose phosphate aldolase [fucA].', NULL, NULL, 'FucA', 19122),
(19123, 'MF_01292', NULL, '4-hydroxy-2-oxo-heptane-1,7-dioate aldolase [hpcH].', NULL, NULL, 'HKHD_aldolase', 19123),
(19124, 'MF_00824', NULL, 'Uncharacterized N-acetyltransferase <locus_tag>.', NULL, NULL, 'Acetyltransf_YlbP', 19124),
(19125, 'MF_04139', NULL, 'NAD(+)--arginine ADP-ribosyltransferase [alt].', NULL, NULL, 'ALT_T4', 19125),
(19126, 'MF_00494', NULL, 'Probable transaldolase [tal].', NULL, NULL, 'Transaldolase_3b', 19126),
(19127, 'MF_00457', NULL, 'UPF0173 metal-dependent hydrolase <locus_tag>.', NULL, NULL, 'UPF0173', 19127),
(19128, 'MF_00672', NULL, 'UPF0761 membrane protein YihY [yihY].', NULL, NULL, 'UPF0761', 19128),
(19129, 'MF_01360', NULL, 'UPF0367 protein <locus_tag>.', NULL, NULL, 'UPF0367', 19129),
(19130, 'MF_04123', NULL, 'Inner capsid protein VP2.', NULL, NULL, 'Rota_VP2', 19130),
(19131, 'MF_01854', NULL, 'Fructose-1,6-bisphosphatase class 3 [fbp].', NULL, NULL, 'FBPase_class3', 19131),
(19132, 'MF_00581', NULL, 'Argininosuccinate synthase [argG].', NULL, NULL, 'Arg_succ_synth_type2', 19132),
(19133, 'MF_01029', NULL, 'UPF0213 protein YhbQ [yhbQ].', NULL, NULL, 'UPF0213', 19133),
(19134, 'MF_01560', NULL, 'UPF0358 protein <locus_tag>.', NULL, NULL, 'UPF0358', 19134),
(19135, 'MF_03203', NULL, 'Elongation of very long chain fatty acids protein 3 [ELOVL3].', NULL, NULL, 'VLCF_elongase_3', 19135),
(19136, 'MF_00957', NULL, 'Poly(A) polymerase I [pcnB].', NULL, NULL, 'PolyA_pol', 19136),
(19137, 'MF_00512', NULL, '30S ribosomal protein S6e [rps6e].', NULL, NULL, 'Ribosomal_S6e', 19137),
(19138, 'MF_02017', NULL, 'Cytoskeleton protein RodZ [rodZ].', NULL, NULL, 'RodZ', 19138),
(19139, 'MF_00481', NULL, '50S ribosomal protein L30e [rpl30e].', NULL, NULL, 'Ribosomal_L30e', 19139),
(19140, 'MF_00376', NULL, 'Dephospho-CoA kinase [coaE].', NULL, NULL, 'Dephospho_CoA_kinase', 19140),
(19141, 'MF_00393', NULL, 'Glycerol-3-phosphate acyltransferase [plsB].', NULL, NULL, 'Glyc3P_acyltrans', 19141),
(19142, 'MF_01898', NULL, 'DNA gyrase subunit B [gyrB].', NULL, NULL, 'GyrB', 19142),
(19143, 'MF_01926', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS [purS].', NULL, NULL, 'PurS', 19143),
(19144, 'MF_01491', NULL, 'Ribonuclease J [rnj].', NULL, NULL, 'RNase_J_bact', 19144);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19145, 'MF_00923', NULL, 'Outer membrane protein assembly factor BamB [bamB].', NULL, NULL, 'OM_assembly_BamB', 19145),
(19146, 'MF_01391', NULL, 'Cytochrome c biogenesis protein CcsA [ccsA].', NULL, NULL, 'CytC_CcsA', 19146),
(19147, 'MF_00387', NULL, 'Acyl-[acyl-carrier-protein]--UDP-N-acetylglucosamine O-acyltransferase [lpxA].', NULL, NULL, 'LpxA', 19147),
(19148, 'MF_00934', NULL, 'Ribosomal RNA large subunit methyltransferase J [rlmJ].', NULL, NULL, '23SrRNA_methyltr_J', 19148),
(19149, 'MF_03066', NULL, 'E3 ubiquitin-protein ligase RNF168 [RNF168].', NULL, NULL, 'RNF168', 19149),
(19150, 'MF_01244', NULL, '3-dehydroquinate synthase [aroB''].', NULL, NULL, 'Arch_DHQ_synthase', 19150),
(19151, 'MF_04020', NULL, 'Small capsomere-interacting protein [SCP].', NULL, NULL, 'HSV_SCP_alphahv', 19151),
(19152, 'MF_00391', NULL, '50S ribosomal protein L34 [rpmH].', NULL, NULL, 'Ribosomal_L34', 19152),
(19153, 'MF_00249', NULL, 'ATP-dependent protease ATPase subunit HslU [hslU].', NULL, NULL, 'HslU', 19153),
(19154, 'MF_00406', NULL, '3-hydroxyacyl-[acyl-carrier-protein] dehydratase FabZ [fabZ].', NULL, NULL, 'FabZ', 19154),
(19155, 'MF_01243', NULL, 'Formamidase [amiF].', NULL, NULL, 'Formamidase', 19155),
(19156, 'MF_00751', NULL, 'Preprotein translocase subunit SecG [secG].', NULL, NULL, 'SecG', 19156),
(19157, 'MF_01963', NULL, 'S-methyl-5''-thioadenosine phosphorylase [mtnP].', NULL, NULL, 'MTAP', 19157),
(19158, 'MF_01063', NULL, 'Esterase FrsA [frsA].', NULL, NULL, 'FrsA', 19158),
(19159, 'MF_01644', NULL, 'D-phenylhydantoinase [hyuA].', NULL, NULL, 'D_hydantoinase', 19159),
(19160, 'MF_01672', NULL, 'Inosose dehydratase [iolE].', NULL, NULL, 'IolE', 19160),
(19161, 'MF_01493', NULL, 'DEAD-box ATP-dependent RNA helicase CshA [cshA].', NULL, NULL, 'DEAD_helicase_CshA', 19161),
(19162, 'MF_01538', NULL, 'UPF0346 protein <locus_tag>.', NULL, NULL, 'UPF0346', 19162),
(19163, 'MF_00520', NULL, 'Ribulokinase [araB].', NULL, NULL, 'Ribulokinase', 19163),
(19164, 'MF_00843', NULL, 'Major outer membrane lipoprotein Lpp [lpp].', NULL, NULL, 'Lpp', 19164),
(19165, 'MF_00965', NULL, 'ATP-dependent RNA helicase DbpA [dbpA].', NULL, NULL, 'DEAD_helicase_DbpA', 19165),
(19166, 'MF_01312', NULL, 'Anaerobic nitric oxide reductase flavorubredoxin [norV].', NULL, NULL, 'NorV', 19166),
(19167, 'MF_00643', NULL, 'Cytochrome b559 subunit beta [psbF].', NULL, NULL, 'PSII_PsbF', 19167),
(19168, 'MF_00147_B', NULL, 'Triosephosphate isomerase [tpiA].', NULL, NULL, 'TIM_B', 19168),
(19169, 'MF_01081', NULL, 'Probable tRNA pseudouridine synthase B [truB].', NULL, NULL, 'TruB_arch', 19169),
(19170, 'MF_00421', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurQ [purQ].', NULL, NULL, 'PurQ', 19170),
(19171, 'MF_02239', NULL, 'Protoporphyrinogen IX oxidase.', NULL, NULL, 'HemJ', 19171),
(19172, 'MF_00830', NULL, 'Ureidoacrylate amidohydrolase RutB [rutB].', NULL, NULL, 'RutB', 19172),
(19173, 'MF_00918', NULL, 'Probable transcriptional regulatory protein YeeN [yeeN].', NULL, NULL, 'Transcrip_reg_TACO1_YeeN', 19173),
(19174, 'MF_00201', NULL, 'DNA repair protein RecO [recO].', NULL, NULL, 'RecO', 19174),
(19175, 'MF_00246', NULL, 'Galactokinase [galK].', NULL, NULL, 'Galactokinase', 19175),
(19176, 'MF_00526', NULL, 'Glutamate mutase sigma subunit [glmS].', NULL, NULL, 'Me_Asp_mutase_S', 19176),
(19177, 'MF_02114', NULL, 'Phosphoenolpyruvate guanylyltransferase [fbiD].', NULL, NULL, 'CofC', 19177),
(19178, 'MF_01314', NULL, 'Anaerobic nitric oxide reductase transcription regulator NorR [norR].', NULL, NULL, 'NorR', 19178),
(19179, 'MF_00178', NULL, '6,7-dimethyl-8-ribityllumazine synthase [ribH].', NULL, NULL, 'Lumazine_synth', 19179),
(19180, 'MF_01225_A', NULL, 'GTP 3'',8-cyclase [moaA].', NULL, NULL, 'MoaA_A', 19180),
(19181, 'MF_00102', NULL, '4-hydroxy-tetrahydrodipicolinate reductase [dapB].', NULL, NULL, 'DapB', 19181),
(19182, 'MF_04057', NULL, 'Packaging protein 1 [IVa2].', NULL, NULL, 'ADV_PKG1', 19182); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19183, 'MF_01141', NULL, 'Antiholin-like protein LrgA [lrgA].', NULL, NULL, 'LrgA', 19183),
(19184, 'MF_01447', NULL, 'Probable bifunctional tRNA threonylcarbamoyladenosine biosynthesis protein.', NULL, NULL, 'Kae1_Bud32_arch', 19184),
(19185, 'MF_00452', NULL, 'Phosphoenolpyruvate carboxykinase [GTP] [pckG].', NULL, NULL, 'PEPCK_GTP', 19185),
(19186, 'MF_00436', NULL, 'RNA-binding protein Hfq [hfq].', NULL, NULL, 'Hfq', 19186),
(19187, 'MF_01293', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaY [kbaY].', NULL, NULL, 'TagBP_aldolase_KbaY', 19187),
(19188, 'MF_01555', NULL, 'Galactose-6-phosphate isomerase subunit LacA [lacA].', NULL, NULL, 'LacA', 19188),
(19189, 'MF_01906', NULL, 'D-(-)-3-hydroxybutyrate oligomer hydrolase.', NULL, NULL, '3HBOH', 19189),
(19190, 'MF_00023', NULL, 'SsrA-binding protein [smpB].', NULL, NULL, 'SmpB', 19190),
(19191, 'MF_00986', NULL, 'L-fuculokinase [fucK].', NULL, NULL, 'Fuculokinase', 19191),
(19192, 'MF_04150', NULL, 'RNA ligase 2.', NULL, NULL, 'RNALIG2_T4', 19192),
(19193, 'MF_00162', NULL, 'Glutathione synthetase [gshB].', NULL, NULL, 'GSH_S', 19193),
(19194, 'MF_01106', NULL, 'Arginine biosynthesis bifunctional protein ArgJ [argJ].', NULL, NULL, 'ArgJ', 19194),
(19195, 'MF_01841', NULL, 'Agmatine deiminase [aguA].', NULL, NULL, 'Agmatine_deimin', 19195),
(19196, 'MF_01460', NULL, 'Chromophore lyase CpcT/CpeT [cpcT].', NULL, NULL, 'Chrphore_lyase_CpxT', 19196),
(19197, 'MF_01464_A', NULL, 'Protein-export membrane protein SecF [secF].', NULL, NULL, 'SecF_A', 19197),
(19198, 'MF_01571', NULL, 'Proline--tRNA ligase [proS].', NULL, NULL, 'Pro_tRNA_synth_type3', 19198),
(19199, 'MF_00809', NULL, 'ADP-dependent glucose/glucosamine kinase [glkA].', NULL, NULL, 'ADP_glucokinase', 19199),
(19200, 'MF_00910', NULL, 'Cell division protein FtsL [ftsL].', NULL, NULL, 'FtsL', 19200),
(19201, 'MF_00307', NULL, 'Prefoldin subunit beta [pfdB].', NULL, NULL, 'PfdB', 19201),
(19202, 'MF_00502', NULL, '50S ribosomal protein L31 type B [rpmE2].', NULL, NULL, 'Ribosomal_L31_2', 19202),
(19203, 'MF_00254', NULL, 'Glycine--tRNA ligase alpha subunit [glyQ].', NULL, NULL, 'Gly_tRNA_synth_alpha', 19203),
(19204, 'MF_04073', NULL, 'Protein P [P].', NULL, NULL, 'HBV_DPOL', 19204),
(19205, 'MF_00944', NULL, 'Ribosome-binding ATPase YchF [ychF].', NULL, NULL, 'YchF_OLA1_ATPase', 19205),
(19206, 'MF_01523', NULL, 'Ribosomal RNA small subunit methyltransferase J [rsmJ].', NULL, NULL, '16SrRNA_methyltr_J', 19206),
(19207, 'MF_01839', NULL, 'Nucleoid occlusion factor SlmA [slmA].', NULL, NULL, 'NO_factor_SlmA', 19207),
(19208, 'MF_03063', NULL, 'Elongation factor G, chloroplastic.', NULL, NULL, 'EF_G_plantC', 19208),
(19209, 'MF_04025', NULL, 'Capsid vertex component 2 [CVC2].', NULL, NULL, 'HSV_CVC2', 19209),
(19210, 'MF_00968', NULL, 'ATP-dependent RNA helicase RhlE [rhlE].', NULL, NULL, 'DEAD_helicase_RhlE', 19210),
(19211, 'MF_01080', NULL, 'tRNA pseudouridine synthase B [truB].', NULL, NULL, 'TruB_bact', 19211),
(19212, 'MF_01959', NULL, 'Cytochrome c-type biogenesis protein CcmE [ccmE].', NULL, NULL, 'CcmE', 19212),
(19213, 'MF_02094', NULL, 'Phosphogluconate dehydratase [edd].', NULL, NULL, 'Edd', 19213),
(19214, 'MF_01978', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_B2', 19214),
(19215, 'MF_00013', NULL, 'Octanoyltransferase [lipB].', NULL, NULL, 'LipB', 19215),
(19216, 'MF_00344', NULL, 'GMP synthase [glutamine-hydrolyzing] [guaA].', NULL, NULL, 'GMP_synthase', 19216),
(19217, 'MF_01274', NULL, 'Type III pantothenate kinase [coaX].', NULL, NULL, 'Pantothen_kinase_3', 19217),
(19218, 'MF_01103', NULL, 'UPF0291 protein <locus_tag>.', NULL, NULL, 'UPF0291', 19218),
(19219, 'MF_03154', NULL, '1,2-dihydroxy-3-keto-5-methylthiopentene dioxygenase [ADI1].', NULL, NULL, 'Salvage_MtnD_euk', 19219),
(19220, 'MF_00759', NULL, 'DNA mismatch repair protein MutH [mutH].', NULL, NULL, 'MutH', 19220),
(19221, 'MF_00191', NULL, '4-hydroxy-3-methylbut-2-enyl diphosphate reductase [ispH].', NULL, NULL, 'IspH', 19221);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19222, 'MF_01014', NULL, '1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino] imidazole-4-carboxamide isomerase [hisA].', NULL, NULL, 'HisA', 19222),
(19223, 'MF_01237', NULL, 'N-acetylneuraminate lyase [nanA].', NULL, NULL, 'N_acetylneuram_lyase', 19223),
(19224, 'MF_04019', NULL, 'Triplex capsid protein 2 [TRX2].', NULL, NULL, 'HSV_TRX2', 19224),
(19225, 'MF_02213', NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit GatD [gatD].', NULL, NULL, 'Lipid_II_synth_GatD', 19225),
(19226, 'MF_00113', NULL, 'S-adenosylmethionine:tRNA ribosyltransferase-isomerase [queA].', NULL, NULL, 'QueA', 19226),
(19227, 'MF_00599', NULL, 'Cell division protein FtsB [ftsB].', NULL, NULL, 'FtsB', 19227),
(19228, 'MF_03056', NULL, 'tRNA (guanine-N(7)-)-methyltransferase non-catalytic subunit <gene_name> [WDR4].', NULL, NULL, 'TRM82', 19228),
(19229, 'MF_00185', NULL, 'tRNA dimethylallyltransferase [miaA].', NULL, NULL, 'IPP_trans', 19229),
(19230, 'MF_03006', NULL, 'Eukaryotic translation initiation factor 3 subunit G [EIF3G].', NULL, NULL, 'eIF3g', 19230),
(19231, 'MF_00255', NULL, 'Glycine--tRNA ligase beta subunit [glyS].', NULL, NULL, 'Gly_tRNA_synth_beta', 19231),
(19232, 'MF_00539', NULL, '50S ribosomal protein L27 [rpmA].', NULL, NULL, 'Ribosomal_L27', 19232),
(19233, 'MF_01527_B', NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, NULL, 'GTP_cyclohydrol_B', 19233),
(19234, 'MF_01173', NULL, 'Succinylornithine transaminase [astC].', NULL, NULL, 'AstC_aminotrans_3', 19234),
(19235, 'MF_00976', NULL, 'Outer membrane lipoprotein RcsF [rcsF].', NULL, NULL, 'RcsF', 19235),
(19236, 'MF_00755', NULL, 'Ribonuclease P protein component 2 [rnp2].', NULL, NULL, 'RNase_P_2', 19236),
(19237, 'MF_00737', NULL, 'Formimidoylglutamase [hutG].', NULL, NULL, 'Formimidoylglutam', 19237),
(19238, 'MF_00632', NULL, 'UPF0234 protein YajQ [yajQ].', NULL, NULL, 'UPF0234', 19238),
(19239, 'MF_00048', NULL, 'UPF0102 protein YraN [yraN].', NULL, NULL, 'UPF0102', 19239),
(19240, 'MF_01308', NULL, 'envelope membrane protein, chloroplastic [cemA].', NULL, NULL, 'CemA', 19240),
(19241, 'MF_01398', NULL, 'ATP synthase subunit b [atpF].', NULL, NULL, 'ATP_synth_b_bprime', 19241),
(19242, 'MF_01222', NULL, 'Protein archease.', NULL, NULL, 'Archease_arch', 19242),
(19243, 'MF_01100', NULL, '5''-deoxynucleotidase YfbR [yfbR].', NULL, NULL, '5DNU', 19243),
(19244, 'MF_01060', NULL, 'Periplasmic trehalase [treA].', NULL, NULL, 'Peripl_trehalase', 19244),
(19245, 'MF_00417', NULL, 'Pyrrolidone-carboxylate peptidase [pcp].', NULL, NULL, 'Pyrrolid_peptidase', 19245),
(19246, 'MF_00328', NULL, 'Guanylate kinase [gmk].', NULL, NULL, 'Guanylate_kinase', 19246),
(19247, 'MF_02058', NULL, 'Choline trimethylamine-lyase [cutC].', NULL, NULL, 'Choline_CutC', 19247),
(19248, 'MF_00090', NULL, 'Protein-L-isoaspartate O-methyltransferase [pcm].', NULL, NULL, 'PIMT', 19248),
(19249, 'MF_01339', NULL, 'Ribulose bisphosphate carboxylase [cbbM].', NULL, NULL, 'RuBisCO_L_type2', 19249),
(19250, 'MF_01686', NULL, 'Putative thymidylate synthase [thyA].', NULL, NULL, 'Thymidy_synth_arch', 19250),
(19251, 'MF_01881', NULL, 'Propionate kinase [tdcD].', NULL, NULL, 'Propion_kin_subfam1', 19251),
(19252, 'MF_00098', NULL, 'Methionine--tRNA ligase [metG].', NULL, NULL, 'Met_tRNA_synth_type1', 19252),
(19253, 'MF_01487', NULL, 'RecBCD enzyme subunit RecD [recD].', NULL, NULL, 'RecD', 19253),
(19254, 'MF_02011', NULL, 'Cell cycle protein GpsB [gpsB].', NULL, NULL, 'GpsB', 19254),
(19255, 'MF_00826', NULL, 'Glycine/sarcosine/betaine reductase complex component A [grdA].', NULL, NULL, 'GRDA', 19255),
(19256, 'MF_00814', NULL, 'Nascent polypeptide-associated complex protein [nac].', NULL, NULL, 'NAC_arch', 19256),
(19257, 'MF_01042', NULL, 'UPF0115 protein YfcN [yfcN].', NULL, NULL, 'UPF0115', 19257),
(19258, 'MF_00079', NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, NULL, 'HisG_Long', 19258),
(19259, 'MF_00811', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, NULL, 'DapD', 19259); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19260, 'MF_02048', NULL, 'D-aminoacyl-tRNA deacylase [dtd3].', NULL, NULL, 'Deacylase_DTD3', 19260),
(19261, 'MF_00210', NULL, '3-phosphoshikimate 1-carboxyvinyltransferase [aroA].', NULL, NULL, 'EPSP_synth', 19261),
(19262, 'MF_02122', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, NULL, 'DapD_type2', 19262),
(19263, 'MF_01091', NULL, '5,10-methylenetetrahydromethanopterin reductase [mer].', NULL, NULL, 'F420_mer', 19263),
(19264, 'MF_00714', NULL, 'Alkylmercury lyase [merB].', NULL, NULL, 'MerB', 19264),
(19265, 'MF_02100', NULL, 'Uncharacterized methyltransferase <locus_tag>.', NULL, NULL, 'Methyltr_YrrT', 19265),
(19266, 'MF_03101', NULL, 'Deoxyhypusine hydroxylase [DOHH].', NULL, NULL, 'Deoxyhypusine_hydroxylase', 19266),
(19267, 'MF_01865', NULL, 'Ribosomal protein S12 methylthiotransferase RimO [rimO].', NULL, NULL, 'MTTase_RimO', 19267),
(19268, 'MF_04063', NULL, 'Polymerase acidic protein [PA].', NULL, NULL, 'INFV_PA', 19268),
(19269, 'MF_01604', NULL, 'Thiamine kinase [thiK].', NULL, NULL, 'Thiamine_kinase', 19269),
(19270, 'MF_01633', NULL, '7-cyano-7-deazaguanine synthase [queC].', NULL, NULL, 'QueC', 19270),
(19271, 'MF_00836', NULL, 'Ribose 1,5-bisphosphate phosphokinase PhnN [phnN].', NULL, NULL, 'PhnN', 19271),
(19272, 'MF_01328_A', NULL, '50S ribosomal protein L4 [rplD].', NULL, NULL, 'Ribosomal_L4_A', 19272),
(19273, 'MF_01668', NULL, '5-dehydro-2-deoxygluconokinase [iolC].', NULL, NULL, 'IolC', 19273),
(19274, 'MF_00721', NULL, '50S ribosomal protein L14e [rpl14e].', NULL, NULL, 'Ribosomal_L14e', 19274),
(19275, 'MF_04013', NULL, 'Tripartite terminase subunit 3 [TRM3].', NULL, NULL, 'HSV_TRM3', 19275),
(19276, 'MF_00047', NULL, 'D-alanine--D-alanine ligase [ddl].', NULL, NULL, 'Dala_Dala_lig', 19276),
(19277, 'MF_01807', NULL, 'Tyrosine recombinase XerD [xerD].', NULL, NULL, 'Recomb_XerD', 19277),
(19278, 'MF_02060', NULL, 'tRNA (guanosine(18)-2''-O)-methyltransferase [trmH].', NULL, NULL, 'tRNA_methyltr_TrmH', 19278),
(19279, 'MF_01162', NULL, 'Bifunctional protein Aas [aas].', NULL, NULL, 'Aas', 19279),
(19280, 'MF_01541', NULL, 'Sulfite reductase [NADPH] flavoprotein alpha-component [cysJ].', NULL, NULL, 'CysJ', 19280),
(19281, 'MF_01649', NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit beta [hcaF].', NULL, NULL, 'HcaF', 19281),
(19282, 'MF_03030', NULL, 'Mitochondrial genome maintenance exonuclease 1 [MGME1].', NULL, NULL, 'MGME1', 19282),
(19283, 'MF_03060', NULL, 'Draxin [DRAXIN].', NULL, NULL, 'Draxin', 19283),
(19284, 'MF_00605', NULL, 'tRNA (guanine-N(1)-)-methyltransferase [trmD].', NULL, NULL, 'TrmD', 19284),
(19285, 'MF_01941', NULL, 'Mid-cell-anchored protein Z [mapZ].', NULL, NULL, 'MapZ', 19285),
(19286, 'MF_00653', NULL, 'Coenzyme PQQ synthesis protein B [pqqB].', NULL, NULL, 'PQQ_syn_PqqB', 19286),
(19287, 'MF_01335', NULL, 'Cytochrome b6-f complex iron-sulfur subunit [petC].', NULL, NULL, 'Cytb6_f_Rieske', 19287),
(19288, 'MF_00483', NULL, 'DNA replication terminus site-binding protein [tus].', NULL, NULL, 'Rep_term_Tus', 19288),
(19289, 'MF_01001', NULL, 'UDP-N-acetyl-D-mannosaminuronic acid transferase [wecG].', NULL, NULL, 'WecG_RffM', 19289),
(19290, 'MF_01310', NULL, '30S ribosomal protein S11 [rpsK].', NULL, NULL, 'Ribosomal_S11', 19290),
(19291, 'MF_04011', NULL, 'DNA primase.', NULL, NULL, 'HSV_PRIM', 19291),
(19292, 'MF_01369_A', NULL, '50S ribosomal protein L23 [rplW].', NULL, NULL, 'Ribosomal_L23_A', 19292),
(19293, 'MF_04081', NULL, 'Virion infectivity factor [vif].', NULL, NULL, 'HIV_VIF', 19293),
(19294, 'MF_03015', NULL, '40S ribosomal protein SA [rps-0].', NULL, NULL, 'Ribosomal_S2_euk', 19294),
(19295, 'MF_00057', NULL, '8-amino-3,8-dideoxy-manno-octulosonate cytidylyltransferase [kdsB].', NULL, NULL, 'KdsB', 19295),
(19296, 'MF_01020', NULL, 'Phosphoribosyl-ATP pyrophosphatase [hisE].', NULL, NULL, 'HisE', 19296),
(19297, 'MF_01443', NULL, 'Bis(5''-nucleosyl)-tetraphosphatase PrpE [asymmetrical] [prpE].', NULL, NULL, 'PrpE', 19297);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19298, 'MF_02020', NULL, 'UDP-N-acetylmuramate--L-alanyl-gamma-D-glutamyl-meso-2,6-diaminoheptandioate ligase [mpl].', NULL, NULL, 'Mpl', 19298),
(19299, 'MF_01087', NULL, 'UPF0285 protein <locus_tag>.', NULL, NULL, 'UPF0285', 19299),
(19300, 'MF_00615', NULL, 'DNA-directed RNA polymerase subunit P [rpoP].', NULL, NULL, 'RNApol_arch_P', 19300),
(19301, 'MF_00547', NULL, '50S ribosomal protein L37e [rpl37e].', NULL, NULL, 'Ribosomal_L37e', 19301),
(19302, 'MF_03211', NULL, 'RNA cytidine acetyltransferase [NAT10].', NULL, NULL, 'RNA_acetyltr_Nat10', 19302),
(19303, 'MF_04204', NULL, 'Envelope small membrane protein [E].', NULL, NULL, 'BETA_CORONA_E', 19303),
(19304, 'MF_04072', NULL, 'Hemagglutinin [HA].', NULL, NULL, 'INFV_HEMA', 19304),
(19305, 'MF_01471', NULL, 'CRISPR-associated endoribonuclease Cas2 [cas2].', NULL, NULL, 'Cas2', 19305),
(19306, 'MF_01052', NULL, 'Crotonobetainyl-CoA reductase [caiA].', NULL, NULL, 'CaiA', 19306),
(19307, 'MF_00939', NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, NULL, 'ParE_type2', 19307),
(19308, 'MF_00140_B', NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, NULL, 'Trp_tRNA_synth_B', 19308),
(19309, 'MF_01256', NULL, 'Putative metal-dependent hydrolase <locus_tag>.', NULL, NULL, 'YfiT_hydrol', 19309),
(19310, 'MF_00306', NULL, 'Signal recognition particle 54 kDa protein [srp54].', NULL, NULL, 'SRP54', 19310),
(19311, 'MF_03102', NULL, 'Mitochondrial distribution and morphology protein 10 [MDM10].', NULL, NULL, 'Mdm10', 19311),
(19312, 'MF_00496', NULL, 'Fructose-6-phosphate aldolase [fsa].', NULL, NULL, 'F6P_aldolase', 19312),
(19313, 'MF_00540', NULL, 'Adenosine deaminase [add].', NULL, NULL, 'A_deaminase', 19313),
(19314, 'MF_01271', NULL, 'N-acetyl-D-glucosamine kinase [nagK].', NULL, NULL, 'GlcNAc_kinase', 19314),
(19315, 'MF_02104', NULL, 'Lactate utilization protein C [lutC].', NULL, NULL, 'LutC', 19315),
(19316, 'MF_00777', NULL, '30S ribosomal protein S27ae [rps27ae].', NULL, NULL, 'Ribosomal_S27ae', 19316),
(19317, 'MF_01217', NULL, 'Acyl carrier protein [acpP].', NULL, NULL, 'Acyl_carrier', 19317),
(19318, 'MF_01677', NULL, 'Methylthioribulose-1-phosphate dehydratase [mtnB].', NULL, NULL, 'Salvage_MtnB', 19318),
(19319, 'MF_01297', NULL, 'UPF0678 fatty acid-binding protein-like protein <locus_tag>.', NULL, NULL, 'UPF0678', 19319),
(19320, 'MF_00187', NULL, 'Sulfur carrier protein FdhD [fdhD].', NULL, NULL, 'FdhD', 19320),
(19321, 'MF_01007', NULL, 'Ribosomal RNA small subunit methyltransferase H [rsmH].', NULL, NULL, '16SrRNA_methyltr_H', 19321),
(19322, 'MF_00362', NULL, '50S ribosomal protein L10 [rplJ].', NULL, NULL, 'Ribosomal_L10', 19322),
(19323, 'MF_01617', NULL, 'Fatty acid oxidation complex subunit alpha [fadJ].', NULL, NULL, 'FadJ', 19323),
(19324, 'MF_04131', NULL, 'Outer capsid glycoprotein VP7.', NULL, NULL, 'Rota_VP7_A', 19324),
(19325, 'MF_00991', NULL, 'Futalosine hydrolase [mqnB].', NULL, NULL, 'MqnB', 19325),
(19326, 'MF_01603', NULL, 'Bifunctional protein HldE [hldE].', NULL, NULL, 'HldE', 19326),
(19327, 'MF_02126', NULL, 'Release factor glutamine methyltransferase [prmC].', NULL, NULL, 'RF_methyltr_PrmC', 19327),
(19328, 'MF_00900', NULL, 'GTPase HflX [hflX].', NULL, NULL, 'GTPase_HflX', 19328),
(19329, 'MF_04094', NULL, 'Non-structural protein 3.', NULL, NULL, 'ROTA_A_NSP3', 19329),
(19330, 'MF_01878', NULL, 'Dipeptide and tripeptide permease A [dtpA].', NULL, NULL, 'PTR2_DtpA_subfam', 19330),
(19331, 'MF_00317', NULL, 'DNA polymerase sliding clamp [pcn].', NULL, NULL, 'DNApol_clamp_arch', 19331),
(19332, 'MF_00833', NULL, 'FMN reductase (NADH) RutF [rutF].', NULL, NULL, 'RutF', 19332),
(19333, 'MF_01295', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaZ [kbaZ].', NULL, NULL, 'Tagatose_aldol_KbaZ', 19333),
(19334, 'MF_01986', NULL, 'Probable UbiX-like flavin prenyltransferase.', NULL, NULL, 'ubiX_pad_yclB', 19334),
(19335, 'MF_00303', NULL, 'Trigger factor [tig].', NULL, NULL, 'Trigger_factor_Tig', 19335);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19336, 'MF_01025', NULL, '2-isopropylmalate synthase [leuA].', NULL, NULL, 'LeuA_type1', 19336),
(19337, 'MF_01146', NULL, 'Aquaporin Z [aqpZ].', NULL, NULL, 'Aquaporin_Z', 19337),
(19338, 'MF_00238', NULL, 'Cytidylate kinase [cmk].', NULL, NULL, 'Cytidyl_kinase_type1', 19338),
(19339, 'MF_04091', NULL, 'Non-structural glycoprotein 4.', NULL, NULL, 'ROTA_NSP4', 19339),
(19340, 'MF_01264', NULL, 'CCA-adding enzyme [cca].', NULL, NULL, 'CCA_arch', 19340),
(19341, 'MF_02059', NULL, 'Choline trimethylamine-lyase activating enzyme [cutD].', NULL, NULL, 'Activ_enz_CutD', 19341),
(19342, 'MF_02110', NULL, 'UPF0763 protein <locus_tag>.', NULL, NULL, 'UPF0763', 19342),
(19343, 'MF_01212', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, NULL, 'dGTPase_type2', 19343),
(19344, 'MF_00985', NULL, '2-amino-3-ketobutyrate coenzyme A ligase [kbl].', NULL, NULL, '2am3keto_CoA_ligase', 19344),
(19345, 'MF_00193', NULL, 'NH(3)-dependent NAD(+) synthetase [nadE].', NULL, NULL, 'NadE_ammonia_dep', 19345),
(19346, 'MF_01268', NULL, 'Bifunctional enzyme Fae/Hps [fae-hps].', NULL, NULL, 'Fae_Hps', 19346),
(19347, 'MF_04202', NULL, 'Membrane protein [M].', NULL, NULL, 'BETA_CORONA_M', 19347),
(19348, 'MF_00107', NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase [ispF].', NULL, NULL, 'IspF', 19348),
(19349, 'MF_00533', NULL, 'Nitrogenase iron protein [nifH].', NULL, NULL, 'NifH', 19349),
(19350, 'MF_00267', NULL, 'Probable septum site-determining protein MinC [minC].', NULL, NULL, 'MinC', 19350),
(19351, 'MF_00096', NULL, 'DNA mismatch repair protein MutS [mutS].', NULL, NULL, 'MutS', 19351),
(19352, 'MF_04069', NULL, 'Matrix protein 2 [M].', NULL, NULL, 'INFV_M2', 19352),
(19353, 'MF_04135', NULL, 'Portal protein B [B].', NULL, NULL, 'PORTAL_LAMBDA', 19353),
(19354, 'MF_01804', NULL, 'Segregation and condensation protein B [scpB].', NULL, NULL, 'ScpB', 19354),
(19355, 'MF_01886', NULL, 'tRNA(Met) cytidine acetyltransferase TmcA [tmcA].', NULL, NULL, 'tRNA_acetyltr_TmcA', 19355),
(19356, 'MF_01508', NULL, 'Replication factor C large subunit [rfcL].', NULL, NULL, 'RfcL', 19356),
(19357, 'MF_01905', NULL, 'GlcNAc-binding protein A [gbpA].', NULL, NULL, 'GbpA', 19357),
(19358, 'MF_04109', NULL, 'Endolysin.', NULL, NULL, 'ENDOLYSIN_LAMBDA', 19358),
(19359, 'MF_04088', NULL, 'Non-structural protein 1.', NULL, NULL, 'ROTA_NSP1', 19359),
(19360, 'MF_00612', NULL, 'UPF0225 protein YchJ [ychJ].', NULL, NULL, 'UPF0225', 19360),
(19361, 'MF_00326', NULL, '50S ribosomal protein L7Ae [rpl7ae].', NULL, NULL, 'Ribosomal_L7Ae_Arch', 19361),
(19362, 'MF_00648', NULL, 'Inosine/xanthosine triphosphatase.', NULL, NULL, 'Non_canon_purine_NTPase_YjjX', 19362),
(19363, 'MF_01655', NULL, '2-keto-4-pentenoate hydratase [mhpD].', NULL, NULL, 'MhpD', 19363),
(19364, 'MF_00851', NULL, 'Leader peptide SpeFL [speFL].', NULL, NULL, 'Leader_SpeFL', 19364),
(19365, 'MF_01242', NULL, 'Aliphatic amidase [amiE].', NULL, NULL, 'Aliphatic_amidase', 19365),
(19366, 'MF_01811', NULL, 'Membrane protein insertase YidC [yidC].', NULL, NULL, 'YidC_type2', 19366),
(19367, 'MF_03067', NULL, 'E3 ubiquitin-protein ligase RNF8 [RNF8].', NULL, NULL, 'RNF8', 19367),
(19368, 'MF_01055', NULL, 'Protein FixA [fixA].', NULL, NULL, 'FixA', 19368),
(19369, 'MF_01231', NULL, 'Haloalkane dehalogenase [dhaA].', NULL, NULL, 'Haloalk_dehal_type2', 19369),
(19370, 'MF_01552', NULL, 'Ribosomal protein S6--L-glutamate ligase [rimK].', NULL, NULL, 'RimK', 19370),
(19371, 'MF_01223', NULL, 'UPF0212 protein <locus_tag>.', NULL, NULL, 'UPF0212', 19371),
(19372, 'MF_00036_B', NULL, 'Alanine--tRNA ligase [alaS].', NULL, NULL, 'Ala_tRNA_synth_B', 19372),
(19373, 'MF_01982', NULL, '2-phytyl-1,4-naphtoquinone methyltransferase [menG].', NULL, NULL, 'MenG_phylloquinone_subfam', 19373),
(19374, 'MF_00710', NULL, 'Malonate decarboxylase acyl carrier protein [mdcC].', NULL, NULL, 'Malonate_deCO2ase_dsu', 19374),
(19375, 'MF_00454', NULL, 'Putative fluoride ion transporter CrcB [crcB].', NULL, NULL, 'CrcB', 19375);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19376, 'MF_01316', NULL, 'Photosystem II reaction center protein I [psbI].', NULL, NULL, 'PSII_PsbI', 19376),
(19377, 'MF_01114', NULL, 'Regulatory protein RecX [recX].', NULL, NULL, 'RecX', 19377),
(19378, 'MF_01186', NULL, 'LPS-assembly lipoprotein LptE [lptE].', NULL, NULL, 'LPS_assembly_LptE', 19378),
(19379, 'MF_03201', NULL, 'Elongation of very long chain fatty acids protein 1 [ELOVL1].', NULL, NULL, 'VLCF_elongase_1', 19379),
(19380, 'MF_01247', NULL, 'HTH-type transcriptional regulator MalT [malT].', NULL, NULL, 'HTH_type_MalT', 19380),
(19381, 'MF_00799', NULL, 'UPF0336 protein <locus_tag>.', NULL, NULL, 'UPF0336', 19381),
(19382, 'MF_01507', NULL, 'UPF0297 protein <locus_tag>.', NULL, NULL, 'UPF0297', 19382),
(19383, 'MF_01326_A', NULL, '50S ribosomal protein L24 [rplX].', NULL, NULL, 'Ribosomal_L24_A', 19383),
(19384, 'MF_00305', NULL, 'Signal recognition particle 19 kDa protein [srp19].', NULL, NULL, 'SRP19', 19384),
(19385, 'MF_00076', NULL, 'Imidazoleglycerol-phosphate dehydratase [hisB].', NULL, NULL, 'HisB', 19385),
(19386, 'MF_01833', NULL, 'tRNA-splicing endonuclease [endA].', NULL, NULL, 'EndA_short', 19386),
(19387, 'MF_02127', NULL, 'Glucose 1-dehydrogenase [gdh].', NULL, NULL, 'Glucose_DH', 19387),
(19388, 'MF_00083', NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, NULL, 'Pept_tRNA_hydro_bact', 19388),
(19389, 'MF_00156', NULL, '3-methyl-2-oxobutanoate hydroxymethyltransferase [panB].', NULL, NULL, 'PanB', 19389),
(19390, 'MF_02240', NULL, 'Phosphoserine phosphatase.', NULL, NULL, 'PSP', 19390),
(19391, 'MF_01396', NULL, 'ATP synthase subunit c [atpH].', NULL, NULL, 'ATP_synth_c_bact', 19391),
(19392, 'MF_01043', NULL, 'Glycerol-3-phosphate acyltransferase [plsY].', NULL, NULL, 'PlsY', 19392),
(19393, 'MF_01468', NULL, 'Mini-ribonuclease 3 [mrnC].', NULL, NULL, 'RNase_Mini_III', 19393),
(19394, 'MF_00803', NULL, 'Ribosome biogenesis protein Nop10 [nop10].', NULL, NULL, 'Nop10', 19394),
(19395, 'MF_03003', NULL, 'Eukaryotic translation initiation factor 3 subunit D [EIF3D].', NULL, NULL, 'eIF3d', 19395),
(19396, 'MF_01563', NULL, 'HTH-type transcriptional regulator UlaR [ulaR].', NULL, NULL, 'HTH_type_UlaR', 19396),
(19397, 'MF_02001', NULL, 'Small heat shock protein IbpB [ibpB].', NULL, NULL, 'HSP20_IbpB', 19397),
(19398, 'MF_04006', NULL, 'Protein E6 [E6].', NULL, NULL, 'HPV_E6', 19398),
(19399, 'MF_00949', NULL, 'Transcription elongation factor Spt4 [spt4].', NULL, NULL, 'Spt4_arch', 19399),
(19400, 'MF_01883', NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [mdcB].', NULL, NULL, 'MdcB', 19400),
(19401, 'MF_01691', NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase [dapH].', NULL, NULL, 'DapH', 19401),
(19402, 'MF_00623', NULL, 'Exosome complex component Rrp4 [rrp4].', NULL, NULL, 'Exosome_Rrp4', 19402),
(19403, 'MF_01858', NULL, 'Ribosomal RNA large subunit methyltransferase K/L [rlmL].', NULL, NULL, '23SrRNA_methyltr_KL', 19403),
(19404, 'MF_04079', NULL, 'Protein Tat [tat].', NULL, NULL, 'HIV_TAT', 19404),
(19405, 'MF_01153', NULL, 'Co-chaperone protein DjlA [djlA].', NULL, NULL, 'DjlA', 19405),
(19406, 'MF_00239', NULL, 'Cytidylate kinase [cmk].', NULL, NULL, 'Cytidyl_kinase_type2', 19406),
(19407, 'MF_01143', NULL, 'Holin-like protein CidA [cidA].', NULL, NULL, 'CidA', 19407),
(19408, 'MF_02019', NULL, 'UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase [murF].', NULL, NULL, 'MurF', 19408),
(19409, 'MF_04082', NULL, 'Protein Vpu [vpu].', NULL, NULL, 'HIV_VPU', 19409),
(19410, 'MF_00772', NULL, 'Methylated-DNA--protein-cysteine methyltransferase [ogt].', NULL, NULL, 'OGT', 19410),
(19411, 'MF_00353', NULL, 'Light-independent protochlorophyllide reductase subunit B [bchB].', NULL, NULL, 'ChlB_BchB', 19411),
(19412, 'MF_04054', NULL, 'DNA-binding protein [DBP].', NULL, NULL, 'ADV_DNB2', 19412),
(19413, 'MF_01037', NULL, 'Methylenetetrahydrofolate--tRNA-(uracil-5-)-methyltransferase TrmFO [trmFO].', NULL, NULL, 'TrmFO', 19413);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19414, 'MF_01576', NULL, 'Bifunctional protein FolD [folD].', NULL, NULL, 'THF_DHG_CYH', 19414),
(19415, 'MF_00524', NULL, 'Glucokinase [glk].', NULL, NULL, 'Glucokinase', 19415),
(19416, 'MF_01047', NULL, 'UPF0227 protein YcfP [ycfP].', NULL, NULL, 'UPF0227', 19416),
(19417, 'MF_00742', NULL, 'Formyl-CoA:oxalate CoA-transferase [frc].', NULL, NULL, 'Formyl_CoA_transfer', 19417),
(19418, 'MF_00801', NULL, 'Endonuclease V [nfi].', NULL, NULL, 'Endonuclease_5', 19418),
(19419, 'MF_01894', NULL, 'Chromosome partition protein Smc [smc].', NULL, NULL, 'Smc_prok', 19419),
(19420, 'MF_00089', NULL, 'Phosphomethylpyrimidine synthase [thiC].', NULL, NULL, 'ThiC', 19420),
(19421, 'MF_00273', NULL, '50S ribosomal protein L18Ae [rpl18a].', NULL, NULL, 'Ribosomal_L18Ae', 19421),
(19422, 'MF_00027', NULL, 'Hydrogenobyrinate a,c-diamide synthase [cobB].', NULL, NULL, 'CobB_CbiA', 19422),
(19423, 'MF_00144', NULL, 'tRNA-specific 2-thiouridylase MnmA [mnmA].', NULL, NULL, 'tRNA_thiouridyl_MnmA', 19423),
(19424, 'MF_00433', NULL, 'Cytochrome b6-f complex subunit 6 [petL].', NULL, NULL, 'Cytb6_f_PetL', 19424),
(19425, 'MF_03048', NULL, 'Ubiquitin-related modifier 1 [URM1].', NULL, NULL, 'Urm1', 19425),
(19426, 'MF_03198', NULL, 'Protein-lysine N-methyltransferase <gene_name> [EFM6].', NULL, NULL, 'Methyltr_EFM6', 19426),
(19427, 'MF_01674', NULL, 'O-phosphoserine--tRNA(Cys) ligase [sepS].', NULL, NULL, 'Sep_tRNA_synth', 19427),
(19428, 'MF_00806', NULL, 'Autonomous glycyl radical cofactor [grcA].', NULL, NULL, 'GrcA', 19428),
(19429, 'MF_01367', NULL, '50S ribosomal protein L14 [rplN].', NULL, NULL, 'Ribosomal_L14', 19429),
(19430, 'MF_01496', NULL, 'Photosystem II CP43 reaction center protein [psbC].', NULL, NULL, 'PSII_PsbC_CP43', 19430),
(19431, 'MF_01207', NULL, 'Protein-methionine-sulfoxide reductase heme-binding subunit MsrQ [msrQ].', NULL, NULL, 'MsrQ', 19431),
(19432, 'MF_00622', NULL, 'Exosome complex component Rrp42 [rrp42].', NULL, NULL, 'Exosome_Rrp42', 19432),
(19433, 'MF_00597', NULL, 'Probable acetoacetate decarboxylase [adc].', NULL, NULL, 'ADC', 19433),
(19434, 'MF_00398', NULL, 'Probable apo-citrate lyase phosphoribosyl-dephospho-CoA transferase [citX].', NULL, NULL, 'CitX', 19434),
(19435, 'MF_00764', NULL, 'UPF0306 protein YhbP [yhbP].', NULL, NULL, 'UPF0306', 19435),
(19436, 'MF_00278', NULL, 'Imidazole glycerol phosphate synthase subunit HisH [hisH].', NULL, NULL, 'HisH', 19436),
(19437, 'MF_01387', NULL, 'Chromatin protein Cren7 [creN7].', NULL, NULL, 'Chromatin_Cren7', 19437),
(19438, 'MF_01429', NULL, 'Iron-binding protein IscA [iscA].', NULL, NULL, 'Fe_S_insert_IscA', 19438),
(19439, 'MF_01059', NULL, 'Cytoplasmic trehalase [treF].', NULL, NULL, 'Cyt_trehalase', 19439),
(19440, 'MF_02209', NULL, 'UDP-N-acetyl-alpha-D-muramoyl-L-alanyl-L-glutamate epimerase [murL].', NULL, NULL, 'MurL', 19440),
(19441, 'MF_00960', NULL, '2-amino-3,7-dideoxy-D-threo-hept-6-ulosonate synthase [aroA''].', NULL, NULL, 'ADH_synthase', 19441),
(19442, 'MF_01646', NULL, 'Siroheme synthase [cysG].', NULL, NULL, 'Siroheme_synth', 19442),
(19443, 'MF_03158', NULL, 'Thiamine thiazole synthase, chloroplastic [THI4].', NULL, NULL, 'THI4', 19443),
(19444, 'MF_03175', NULL, 'Methionine aminopeptidase 2 [METAP2].', NULL, NULL, 'MetAP_2_euk', 19444),
(19445, 'MF_04015', NULL, 'Tripartite terminase subunit 2 [TRM2].', NULL, NULL, 'HSV_TRM2', 19445),
(19446, 'MF_01109', NULL, 'Ornithine carbamoyltransferase, catabolic [argI].', NULL, NULL, 'OTCase', 19446),
(19447, 'MF_04112', NULL, 'Lysis inhibition accessory protein.', NULL, NULL, 'Linr3_BPT4', 19447),
(19448, 'MF_03071', NULL, 'Chromodomain-helicase-DNA-binding protein 8 [CHD8].', NULL, NULL, 'CHD8', 19448),
(19449, 'MF_00972', NULL, 'tRNA-specific adenosine deaminase [tadA].', NULL, NULL, 'tRNA_aden_deaminase', 19449),
(19450, 'MF_00314', NULL, 'V-type ATP synthase subunit C [atpC].', NULL, NULL, 'ATP_synth_C_arch', 19450),
(19451, 'MF_00930', NULL, 'Transcription elongation factor GreB [greB].', NULL, NULL, 'GreB', 19451);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19452, 'MF_00951', NULL, 'Transcription antitermination protein RfaH [rfaH].', NULL, NULL, 'RfaH', 19452),
(19453, 'MF_01967', NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, NULL, 'Sirtuin_ClassII', 19453),
(19454, 'MF_02070', NULL, 'N-acetylglucosaminyldiphosphoundecaprenol N-acetyl-beta-D-mannosaminyltransferase.', NULL, NULL, 'TagA_TarA', 19454),
(19455, 'MF_01579', NULL, 'Ribosomal RNA small subunit methyltransferase F [rsmF].', NULL, NULL, '16SrRNA_methyltr_F', 19455),
(19456, 'MF_00994', NULL, 'Lipopolysaccharide assembly protein B [lapB].', NULL, NULL, 'LPS_assembly_LapB', 19456),
(19457, 'MF_03181', NULL, 'PAN2-PAN3 deadenylation complex subunit PAN3 [PAN3].', NULL, NULL, 'PAN3', 19457),
(19458, 'MF_00399', NULL, 'Thiol:disulfide interchange protein DsbD [dsbD].', NULL, NULL, 'DbsD', 19458),
(19459, 'MF_04084', NULL, 'Pre-glycoprotein polyprotein GP complex [GPC].', NULL, NULL, 'ARENA_GPC', 19459),
(19460, 'MF_01022', NULL, 'Histidine biosynthesis bifunctional protein HisB [hisB].', NULL, NULL, 'Bifunc_HisB', 19460),
(19461, 'MF_01233', NULL, 'HTH-type transcriptional regulator HdfR [hdfR].', NULL, NULL, 'HTH_type_HdfR', 19461),
(19462, 'MF_00444', NULL, 'ATP-dependent Clp protease proteolytic subunit [clpP].', NULL, NULL, 'ClpP', 19462),
(19463, 'MF_01860', NULL, 'UPF0736 protein <locus_tag>.', NULL, NULL, 'UPF0736', 19463),
(19464, 'MF_01433', NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihB [rihB].', NULL, NULL, 'Pyrim_hydro_RihB', 19464),
(19465, 'MF_01270', NULL, 'Anhydro-N-acetylmuramic acid kinase [anmK].', NULL, NULL, 'AnhMurNAc_kinase', 19465),
(19466, 'MF_00352', NULL, 'Light-independent protochlorophyllide reductase subunit N [bchN].', NULL, NULL, 'ChlN_BchN', 19466),
(19467, 'MF_00650', NULL, 'Phosphoribosyl-dephospho-CoA transferase [mdcG].', NULL, NULL, 'Malonate_MdcG', 19467),
(19468, 'MF_01815', NULL, '3-oxoacyl-[acyl-carrier-protein] synthase 3 [fabH].', NULL, NULL, 'FabH', 19468),
(19469, 'MF_01250', NULL, 'Pyrophosphatase PpaX [ppaX].', NULL, NULL, 'Pyrophosphat_PpaX', 19469),
(19470, 'MF_01199', NULL, 'Anti-adapter protein IraM [iraM].', NULL, NULL, 'Anti_adapt_IraM', 19470),
(19471, 'MF_00798', NULL, 'Transcription attenuation protein MtrB [mtrB].', NULL, NULL, 'Trp_attenuator', 19471),
(19472, 'MF_01480', NULL, 'CRISPR-associated endonuclease Cas9 [cas9].', NULL, NULL, 'Cas9', 19472),
(19473, 'MF_00589', NULL, 'Photosystem II 12 kDa extrinsic protein [psbU].', NULL, NULL, 'PSII_PsbU', 19473),
(19474, 'MF_03172', NULL, 'UMP-CMP kinase [CMPK1].', NULL, NULL, 'Adenylate_kinase_UMP_CMP_kin', 19474),
(19475, 'MF_01607', NULL, 'HTH-type transcriptional regulator YidZ [yidZ].', NULL, NULL, 'HTH_type_YidZ', 19475),
(19476, 'MF_00320', NULL, 'DNA-directed RNA polymerase subunit D [rpoD].', NULL, NULL, 'RNApol_arch_D', 19476),
(19477, 'MF_03111', NULL, 'Ubiquinone biosynthesis protein <gene_name>, mitochondrial [COQ4].', NULL, NULL, 'Coq4', 19477),
(19478, 'MF_00989', NULL, 'L-ribulose-5-phosphate 4-epimerase [araD].', NULL, NULL, 'AraD_entero', 19478),
(19479, 'MF_01275', NULL, 'Gamma-aminobutyraldehyde dehydrogenase [patD].', NULL, NULL, 'Aldedh_Prr', 19479),
(19480, 'MF_00621', NULL, 'GTP-sensing transcriptional pleiotropic repressor CodY [codY].', NULL, NULL, 'HTH_type_CodY', 19480),
(19481, 'MF_01877', NULL, 'Ribosomal RNA small subunit methyltransferase I [rsmI].', NULL, NULL, '16SrRNA_methyltr_I', 19481),
(19482, 'MF_01537', NULL, 'Pyrimidine/purine nucleoside phosphorylase [ppnP].', NULL, NULL, 'Nucleos_phosphorylase_PpnP', 19482),
(19483, 'MF_04062', NULL, 'Polymerase basic protein 2 [PB2].', NULL, NULL, 'INV_PB2', 19483),
(19484, 'MF_00117', NULL, '33 kDa chaperonin [hslO].', NULL, NULL, 'HslO', 19484),
(19485, 'MF_01326_B', NULL, '50S ribosomal protein L24 [rplX].', NULL, NULL, 'Ribosomal_L24_B', 19485),
(19486, 'MF_01902', NULL, 'Error-prone DNA polymerase [dnaE2].', NULL, NULL, 'DNApol_error_prone', 19486),
(19487, 'MF_01108', NULL, 'Acetylornithine deacetylase [argE].', NULL, NULL, 'ArgE', 19487);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19488, 'MF_01021', NULL, 'Phosphoribosyl-AMP cyclohydrolase [hisI].', NULL, NULL, 'HisI', 19488),
(19489, 'MF_04044', NULL, 'Large tegument protein deneddylase.', NULL, NULL, 'HSV_LTP', 19489),
(19490, 'MF_00463', NULL, 'Ion-translocating oxidoreductase complex subunit B [rsxB].', NULL, NULL, 'RsxB_RnfB', 19490),
(19491, 'MF_00660', NULL, 'PqqA peptide cyclase [pqqE].', NULL, NULL, 'PqqE', 19491),
(19492, 'MF_00220_B', NULL, 'Dihydroorotase [pyrC].', NULL, NULL, 'PyrC_classI_B', 19492),
(19493, 'MF_00685', NULL, '1,4-alpha-glucan branching enzyme GlgB [glgB].', NULL, NULL, 'GlgB', 19493),
(19494, 'MF_01345_B', NULL, '30S ribosomal protein S17 [rpsQ].', NULL, NULL, 'Ribosomal_S17_B', 19494),
(19495, 'MF_01486', NULL, 'RecBCD enzyme subunit RecC [recC].', NULL, NULL, 'RecC', 19495),
(19496, 'MF_00297', NULL, 'NADH pyrophosphatase [nudC].', NULL, NULL, 'Nudix_NudC', 19496),
(19497, 'MF_00371', NULL, '30S ribosomal protein S27e [rps27e].', NULL, NULL, 'Ribosomal_S27e', 19497),
(19498, 'MF_02230', NULL, 'Ribose 1,5-bisphosphate isomerase.', NULL, NULL, 'R15P_isomerase', 19498),
(19499, 'MF_01559', NULL, 'L-lactate dehydrogenase [lldD].', NULL, NULL, 'L_lact_dehydr', 19499),
(19500, 'MF_01163', NULL, '5-formaminoimidazole-4-carboxamide-1-(beta)-D-ribofuranosyl 5''-monophosphate synthetase [purP].', NULL, NULL, 'IMP_biosynth_PurP', 19500),
(19501, 'MF_00925', NULL, 'Outer membrane protein assembly factor BamE [bamE].', NULL, NULL, 'OM_assembly_BamE', 19501),
(19502, 'MF_01514', NULL, 'UPF0314 protein <locus_tag>.', NULL, NULL, 'UPF0314', 19502),
(19503, 'MF_01984', NULL, 'Flavin prenyltransferase UbiX [ubiX].', NULL, NULL, 'ubiX_pad', 19503),
(19504, 'MF_02068', NULL, 'Ribitol-5-phosphate cytidylyltransferase [tarI].', NULL, NULL, 'TarI', 19504),
(19505, 'MF_00988', NULL, 'D-allose kinase [alsK].', NULL, NULL, 'Allose_kinase', 19505),
(19506, 'MF_01907', NULL, 'thr operon leader peptide [thrL].', NULL, NULL, 'Leader_Thr', 19506),
(19507, 'MF_00635', NULL, 'Probable deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, NULL, 'dUTPase_arch', 19507),
(19508, 'MF_01300', NULL, 'C4-dicarboxylate transport protein [dctA].', NULL, NULL, 'C4_dicarb_transport', 19508),
(19509, 'MF_01085', NULL, 'UPF0283 membrane protein YcjF [ycjF].', NULL, NULL, 'UPF0283', 19509),
(19510, 'MF_01342', NULL, '50S ribosomal protein L16 [rplP].', NULL, NULL, 'Ribosomal_L16', 19510),
(19511, 'MF_01812', NULL, 'N-acetyltransferase Eis [eis].', NULL, NULL, 'Eis', 19511),
(19512, 'MF_03130', NULL, 'Alpha-tubulin N-acetyltransferase 1 [mec-17].', NULL, NULL, 'mec17', 19512),
(19513, 'MF_04089', NULL, 'Non-structural protein 2.', NULL, NULL, 'ROTA_NSP2', 19513),
(19514, 'MF_03047', NULL, 'Ataxin-7-like protein 3 [ATXN7L3].', NULL, NULL, 'Sgf11', 19514),
(19515, 'MF_04086', NULL, 'RNA-directed RNA polymerase L [L].', NULL, NULL, 'ARENA_L', 19515),
(19516, 'MF_00223', NULL, 'GTP cyclohydrolase 1 [folE].', NULL, NULL, 'FolE', 19516),
(19517, 'MF_00655', NULL, 'PqqA binding protein [pqqD].', NULL, NULL, 'PQQ_syn_PqqD', 19517),
(19518, 'MF_01215', NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, NULL, 'OMPdecase_type2', 19518),
(19519, 'MF_01333_A', NULL, '50S ribosomal protein L5 [rplE].', NULL, NULL, 'Ribosomal_L5_A', 19519),
(19520, 'MF_04051', NULL, 'Hexon protein [L3].', NULL, NULL, 'ADV_CAPSH', 19520),
(19521, 'MF_04030', NULL, 'DNA replication helicase [HELI].', NULL, NULL, 'HSV_HELI', 19521),
(19522, 'MF_00019', NULL, 'Phosphate acyltransferase [plsX].', NULL, NULL, 'PlsX', 19522),
(19523, 'MF_04036', NULL, 'Envelope glycoprotein L [gL].', NULL, NULL, 'HSV_GL_betahv', 19523),
(19524, 'MF_04203', NULL, 'Membrane protein [M].', NULL, NULL, 'GAMMA_CORONA_M', 19524),
(19525, 'MF_00771', NULL, 'UPF0310 protein <locus_tag>.', NULL, NULL, 'UPF0310', 19525),
(19526, 'MF_04056', NULL, 'Pre-histone-like nucleoprotein [L2].', NULL, NULL, 'ADV_PVII', 19526),
(19527, 'MF_01550', NULL, 'Guanosine-5''-triphosphate,3''-diphosphate pyrophosphatase [gppA].', NULL, NULL, 'GppA', 19527);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19528, 'MF_01820', NULL, 'Small ribosomal subunit biogenesis GTPase RsgA [rsgA].', NULL, NULL, 'GTPase_RsgA', 19528),
(19529, 'MF_00595', NULL, 'Phosphoenolpyruvate carboxylase [ppc].', NULL, NULL, 'PEPcase_type1', 19529),
(19530, 'MF_01800', NULL, 'Chromosome partition protein MukB [mukB].', NULL, NULL, 'MukB', 19530),
(19531, 'MF_03129', NULL, 'Lipoyl synthase, chloroplastic [LIP1P].', NULL, NULL, 'Lipoyl_synth_plantC', 19531),
(19532, 'MF_00950', NULL, 'Transcription elongation factor Spt5 [spt5].', NULL, NULL, 'Spt5_arch', 19532),
(19533, 'MF_01561', NULL, 'Probable phosphatase YcdX [ycdX].', NULL, NULL, 'YcdX_phosphat', 19533),
(19534, 'MF_04142', NULL, 'NAD--protein ADP-ribosyltransferase modB [modB].', NULL, NULL, 'MODB_T4', 19534),
(19535, 'MF_00361', NULL, 'NAD kinase [nadK].', NULL, NULL, 'NAD_kinase', 19535),
(19536, 'MF_01953', NULL, 'Urease subunit alpha [ureC].', NULL, NULL, 'Urease_alpha', 19536),
(19537, 'MF_00384', NULL, 'Homoserine kinase [thrB].', NULL, NULL, 'Homoser_kinase', 19537),
(19538, 'MF_01232', NULL, 'UPF0229 protein YeaH [yeaH].', NULL, NULL, 'UPF0229', 19538),
(19539, 'MF_01535', NULL, 'Rhamnulokinase [rhaB].', NULL, NULL, 'Rhamnulokinase', 19539),
(19540, 'MF_04035', NULL, 'Envelope glycoprotein M [gM].', NULL, NULL, 'HSV_GM', 19540),
(19541, 'MF_01159', NULL, 'Initiation-control protein YabA.', NULL, NULL, 'YabA', 19541),
(19542, 'MF_01916', NULL, 'Cardiolipin synthase.', NULL, NULL, 'Cardiolipin_synth_Cls', 19542),
(19543, 'MF_01947', NULL, 'N(4)-bis(aminopropyl)spermidine synthase [bpsA].', NULL, NULL, 'Aminopropyltransf_BpsA', 19543),
(19544, 'MF_01896', NULL, 'DNA gyrase inhibitor [sbmC].', NULL, NULL, 'DNA_gyrase_inhibitor', 19544),
(19545, 'MF_01587', NULL, 'DNA ligase B [ligB].', NULL, NULL, 'DNA_ligase_B', 19545),
(19546, 'MF_01280', NULL, 'Processive diacylglycerol beta-glucosyltransferase [ugtP].', NULL, NULL, 'Diacylglyc_glucosyltr', 19546),
(19547, 'MF_01379', NULL, 'Photosystem II protein D1 [psbA].', NULL, NULL, 'PSII_PsbA_D1', 19547),
(19548, 'MF_00844_B', NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, NULL, 'RqcH_B', 19548),
(19549, 'MF_01989', NULL, 'Cyanuric acid amidohydrolase.', NULL, NULL, 'Cyc_amidohydrol', 19549),
(19550, 'MF_00720', NULL, 'Primosomal replication protein N [priB].', NULL, NULL, 'PriB', 19550),
(19551, 'MF_01283', NULL, 'Riboflavin biosynthesis protein RibBA [ribBA].', NULL, NULL, 'RibBA', 19551),
(19552, 'MF_00172', NULL, '5-methyltetrahydropteroyltriglutamate--homocysteine methyltransferase [metE].', NULL, NULL, 'Meth_synth', 19552),
(19553, 'MF_00592', NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, NULL, 'DeoC_type2', 19553),
(19554, 'MF_02131', NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase [mptE].', NULL, NULL, 'HMPDK_arch', 19554),
(19555, 'MF_00194', NULL, 'Recombination-associated protein RdgC [rdgC].', NULL, NULL, 'RdgC', 19555),
(19556, 'MF_01073', NULL, 'Macrodomain Ter protein [matP].', NULL, NULL, 'MatP', 19556),
(19557, 'MF_01875', NULL, 'Non-homologous end joining protein Ku [ku].', NULL, NULL, 'Prokaryotic_Ku', 19557),
(19558, 'MF_01565', NULL, 'Zinc transport protein ZntB [zntB].', NULL, NULL, 'ZntB', 19558),
(19559, 'MF_03024', NULL, 'Katanin p60 ATPase-containing subunit A-like 1 [KATNAL1].', NULL, NULL, 'Katanin_p60_AL1', 19559),
(19560, 'MF_03043', NULL, 'Queuine tRNA-ribosyltransferase accessory subunit 2 [QTRT2].', NULL, NULL, 'QTRT2', 19560),
(19561, 'MF_01803', NULL, 'Chromosome partition protein MukF [mukF].', NULL, NULL, 'MukF', 19561),
(19562, 'MF_00551', NULL, 'Uridine kinase [udk].', NULL, NULL, 'Uridine_kinase', 19562),
(19563, 'MF_00188', NULL, 'Protease HtpX [htpX].', NULL, NULL, 'Pept_M48_protease_HtpX', 19563),
(19564, 'MF_00523', NULL, 'UDP-3-O-(3-hydroxymyristoyl)glucosamine N-acyltransferase [lpxD].', NULL, NULL, 'LpxD', 19564),
(19565, 'MF_01266', NULL, 'Probable L-ascorbate-6-phosphate lactonase UlaG [ulaG].', NULL, NULL, 'UlaG', 19565),
(19566, 'MF_02079', NULL, 'Peptidoglycan glycosyltransferase MrdB [mrdB].', NULL, NULL, 'PGT_RodA', 19566);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19567, 'MF_01287', NULL, 'Digeranylgeranylglycerophospholipid reductase.', NULL, NULL, 'DGGGPL_reductase', 19567),
(19568, 'MF_01868', NULL, 'Lipopolysaccharide core heptose(II)-phosphate phosphatase [ais].', NULL, NULL, 'Ais', 19568),
(19569, 'MF_00401', NULL, 'Peroxiredoxin.', NULL, NULL, 'Peroxiredoxin', 19569),
(19570, 'MF_00136', NULL, 'S-adenosylmethionine synthase [mat].', NULL, NULL, 'S_AdoMet_synth2', 19570),
(19571, 'MF_00268', NULL, 'Protein RecA [recA].', NULL, NULL, 'RecA', 19571),
(19572, 'MF_04092', NULL, 'Non-structural protein 5.', NULL, NULL, 'ROTA_NSP5', 19572),
(19573, 'MF_00489', NULL, 'UPF0178 protein YaiI [yaiI].', NULL, NULL, 'UPF0178', 19573),
(19574, 'MF_01348', NULL, 'Ycf48-like protein [hcf136].', NULL, NULL, 'Ycf48', 19574),
(19575, 'MF_04141', NULL, 'NAD--protein ADP-ribosyltransferase modA [modA].', NULL, NULL, 'MODA_T4', 19575),
(19576, 'MF_00519', NULL, 'L-arabinose isomerase [araA].', NULL, NULL, 'Arabinose_Isome', 19576),
(19577, 'MF_01370', NULL, 'Photosystem II reaction center Psb28 protein [psb28].', NULL, NULL, 'PSII_Psb28', 19577),
(19578, 'MF_01408', NULL, 'Flavin-dependent thymidylate synthase [thyX].', NULL, NULL, 'ThyX', 19578),
(19579, 'MF_00365', NULL, 'DNA replication and repair protein RecF [recF].', NULL, NULL, 'RecF', 19579),
(19580, 'MF_01127', NULL, 'Acetyltransferase YpeA [ypeA].', NULL, NULL, 'Acetyltransf_YpeA', 19580),
(19581, 'MF_01867', NULL, 'Putative cysteine ligase BshC [bshC].', NULL, NULL, 'BshC', 19581),
(19582, 'MF_04018', NULL, 'Triplex capsid protein 1 [TRX1].', NULL, NULL, 'HSV_TRX1', 19582),
(19583, 'MF_00459', NULL, 'Ion-translocating oxidoreductase complex subunit A [rsxA].', NULL, NULL, 'RsxA_RnfA', 19583),
(19584, 'MF_01459', NULL, 'Chromophore lyase CpcS/CpeS [cpcS].', NULL, NULL, 'Chrphore_lyase_CpxS', 19584),
(19585, 'MF_00409', NULL, 'Tetraacyldisaccharide 4''-kinase [lpxK].', NULL, NULL, 'LpxK', 19585),
(19586, 'MF_01490', NULL, 'Holliday junction resolvase Hjc [hjc].', NULL, NULL, 'HJ_Resolv_Hjc', 19586),
(19587, 'MF_01094', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B [mtrB].', NULL, NULL, 'MtrB', 19587),
(19588, 'MF_00667', NULL, 'Small, acid-soluble spore protein H [sspH].', NULL, NULL, 'SspH', 19588),
(19589, 'MF_00279', NULL, 'Pyridoxine 5''-phosphate synthase [pdxJ].', NULL, NULL, 'PdxJ', 19589),
(19590, 'MF_01472', NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase GtfA subunit [gtfA].', NULL, NULL, 'GtfA', 19590),
(19591, 'MF_00636', NULL, 'RNase adapter protein RapZ [rapZ].', NULL, NULL, 'RapZ_like', 19591),
(19592, 'MF_00131', NULL, 'Tryptophan synthase alpha chain [trpA].', NULL, NULL, 'Trp_synth_alpha', 19592),
(19593, 'MF_00051', NULL, 'Serine hydroxymethyltransferase [glyA].', NULL, NULL, 'SHMT', 19593),
(19594, 'MF_01851', NULL, 'UPF0637 protein <locus_tag>.', NULL, NULL, 'UPF0637', 19594),
(19595, 'MF_00044', NULL, 'Aspartate--tRNA(Asp/Asn) ligase [aspS].', NULL, NULL, 'Asp_tRNA_synth_type1', 19595),
(19596, 'MF_00205', NULL, 'UvrABC system protein A [uvrA].', NULL, NULL, 'UvrA', 19596),
(19597, 'MF_00055', NULL, 'MEMO1 family protein <locus_tag>.', NULL, NULL, 'MEMO1', 19597),
(19598, 'MF_01464_B', NULL, 'Protein-export membrane protein SecF [secF].', NULL, NULL, 'SecF_B', 19598),
(19599, 'MF_04027', NULL, 'Ribonucleoside-diphosphate reductase large subunit-like protein [RIR1].', NULL, NULL, 'HSV_RIR1_betahv', 19599),
(19600, 'MF_00687', NULL, '4-deoxy-L-threo-5-hexosulose-uronate ketol-isomerase [kduI].', NULL, NULL, 'KduI', 19600),
(19601, 'MF_03220', NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta, mitochondrial [SUCLA2].', NULL, NULL, 'Succ_CoA_betaA_euk', 19601),
(19602, 'MF_01221', NULL, 'UPF0210 protein <locus_tag>.', NULL, NULL, 'UPF0210', 19602),
(19603, 'MF_01929', NULL, 'N5-carboxyaminoimidazole ribonucleotide mutase [purE].', NULL, NULL, 'PurE_classI', 19603),
(19604, 'MF_02066', NULL, 'Cell division coordinator CpoB [cpoB].', NULL, NULL, 'CpoB', 19604);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19605, 'MF_00765', NULL, 'UPF0307 protein YjgA [yjgA].', NULL, NULL, 'UPF0307', 19605),
(19606, 'MF_01505', NULL, 'Small, acid-soluble spore protein N [sspN].', NULL, NULL, 'SspN', 19606),
(19607, 'MF_00618', NULL, 'Phycocyanobilin:ferredoxin oxidoreductase [pcyA].', NULL, NULL, 'Ferredoxin_bilin_red', 19607),
(19608, 'MF_00335', NULL, 'Ribonuclease Y [rny].', NULL, NULL, 'RNase_Y', 19608),
(19609, 'MF_01072', NULL, 'Glucans biosynthesis glucosyltransferase H [mdoH].', NULL, NULL, 'MdoH_OpgH', 19609),
(19610, 'MF_00449', NULL, 'DNA double-strand break repair Rad50 ATPase [rad50].', NULL, NULL, 'RAD50', 19610),
(19611, 'MF_00232', NULL, 'Translation initiation factor 2 subunit beta [eif2b].', NULL, NULL, 'eIF_2_beta', 19611),
(19612, 'MF_04108', NULL, 'Holin.', NULL, NULL, 'HOLIN_T7', 19612),
(19613, 'MF_00082', NULL, 'Acetylglutamate kinase [argB].', NULL, NULL, 'ArgB', 19613),
(19614, 'MF_01319', NULL, 'Thiol-disulfide oxidoreductase ResA [resA].', NULL, NULL, 'ResA', 19614),
(19615, 'MF_00017', NULL, 'Recombination protein RecR [recR].', NULL, NULL, 'RecR', 19615),
(19616, 'MF_00747', NULL, 'Isocitrate dehydrogenase kinase/phosphatase [aceK].', NULL, NULL, 'AceK', 19616),
(19617, 'MF_03109', NULL, 'Protein SEY1 [SEY1].', NULL, NULL, 'Sey1', 19617),
(19618, 'MF_00311', NULL, 'V-type proton ATPase subunit E [atpE].', NULL, NULL, 'ATP_synth_E_arch', 19618),
(19619, 'MF_01634', NULL, 'tRNA-guanine(15) transglycosylase [tgtA].', NULL, NULL, 'TgtA_arch', 19619),
(19620, 'MF_04007', NULL, 'Major DNA-binding protein [DBP].', NULL, NULL, 'HSV_DNBI', 19620),
(19621, 'MF_02087', NULL, 'Pyridoxal phosphate homeostasis protein.', NULL, NULL, 'PLP_homeostasis', 19621),
(19622, 'MF_03004', NULL, 'Eukaryotic translation initiation factor 3 subunit E [EIF3E].', NULL, NULL, 'eIF3e', 19622),
(19623, 'MF_01569', NULL, 'Proline--tRNA ligase [proS].', NULL, NULL, 'Pro_tRNA_synth_type1', 19623),
(19624, 'MF_02207', NULL, 'Cell shape-determining protein MreB [mreB].', NULL, NULL, 'MreB', 19624),
(19625, 'MF_00572', NULL, '2-isopropylmalate synthase [leuA].', NULL, NULL, 'LeuA_type2', 19625),
(19626, 'MF_02000', NULL, 'Small heat shock protein IbpA [ibpA].', NULL, NULL, 'HSP20_IbpA', 19626),
(19627, 'MF_00478', NULL, 'Ion-translocating oxidoreductase complex subunit E [rsxE].', NULL, NULL, 'RsxE_RnfE', 19627),
(19628, 'MF_00123', NULL, 'Arginine--tRNA ligase [argS].', NULL, NULL, 'Arg_tRNA_synth', 19628),
(19629, 'MF_00978', NULL, 'Bifunctional ligase/repressor BirA [birA].', NULL, NULL, 'Bifunct_BirA', 19629),
(19630, 'MF_03170', NULL, 'Adenylate kinase 4, mitochondrial [AK4].', NULL, NULL, 'Adenylate_kinase_AK4', 19630),
(19631, 'MF_00606', NULL, 'UV DNA damage endonuclease [uvsE].', NULL, NULL, 'UV_endonuclease', 19631),
(19632, 'MF_01979', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_Short', 19632),
(19633, 'MF_00264', NULL, 'UPF0128 protein <locus_tag>.', NULL, NULL, 'UPF0128', 19633),
(19634, 'MF_04002', NULL, 'Major capsid protein L1 [L1].', NULL, NULL, 'PPV_L1', 19634),
(19635, 'MF_00260', NULL, 'Porphobilinogen deaminase [hemC].', NULL, NULL, 'Porphobil_deam', 19635),
(19636, 'MF_04087', NULL, 'RING finger protein Z [Z].', NULL, NULL, 'ARENA_Z', 19636),
(19637, 'MF_00039', NULL, 'Putative adenylate kinase.', NULL, NULL, 'Adenylate_kinase_AK6', 19637),
(19638, 'MF_00451', NULL, 'Nucleoside diphosphate kinase [ndk].', NULL, NULL, 'NDP_kinase', 19638),
(19639, 'MF_01864', NULL, 'tRNA-2-methylthio-N(6)-dimethylallyladenosine synthase [miaB].', NULL, NULL, 'tRNA_metthiotr_MiaB', 19639),
(19640, 'MF_01467', NULL, 'Hypoxanthine/guanine phosphoribosyltransferase [hpt].', NULL, NULL, 'Hypx_phosphoribosyltr', 19640),
(19641, 'MF_01983', NULL, 'UbiD-like decarboxylase.', NULL, NULL, 'UbiD_FDC', 19641),
(19642, 'MF_01678', NULL, 'Putative methylthioribose-1-phosphate isomerase [mtnA].', NULL, NULL, 'Salvage_MtnA', 19642),
(19643, 'MF_00080', NULL, 'Translation initiation factor IF-3 [infC].', NULL, NULL, 'IF_3', 19643);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19644, 'MF_00770', NULL, 'Rhamnulose-1-phosphate aldolase [rhaD].', NULL, NULL, 'RhaD', 19644),
(19645, 'MF_00068', NULL, 'N-acetylmuramic acid 6-phosphate etherase [murQ].', NULL, NULL, 'MurQ', 19645),
(19646, 'MF_00237', NULL, 'Sec-independent protein translocase protein TatB [tatB].', NULL, NULL, 'TatB', 19646),
(19647, 'MF_00202', NULL, 'Isopentenyl-diphosphate Delta-isomerase [idi].', NULL, NULL, 'Idi', 19647),
(19648, 'MF_01278', NULL, 'Type-2 serine--tRNA ligase [serS].', NULL, NULL, 'Ser_tRNA_synth_type2', 19648),
(19649, 'MF_00176', NULL, 'Serine--tRNA ligase [serS].', NULL, NULL, 'Ser_tRNA_synth_type1', 19649),
(19650, 'MF_00819', NULL, 'Putative septation protein SpoVG [spoVG].', NULL, NULL, 'SpoVG', 19650),
(19651, 'MF_00838', NULL, 'Diadenylate cyclase [dacB].', NULL, NULL, 'DacB', 19651),
(19652, 'MF_01230', NULL, 'Haloalkane dehalogenase [dhmA].', NULL, NULL, 'Haloalk_dehal_type1', 19652),
(19653, 'MF_02061', NULL, 'Thioredoxin/glutathione peroxidase BtuE [btuE].', NULL, NULL, 'Thiored_glutath_peroxid', 19653),
(19654, 'MF_01152', NULL, 'Chaperone protein DnaJ [dnaJ].', NULL, NULL, 'DnaJ', 19654),
(19655, 'MF_00280', NULL, '50S ribosomal protein L10 [rpl10].', NULL, NULL, 'Ribosomal_L10_arch', 19655),
(19656, 'MF_01033', NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, NULL, 'LeuB_type1', 19656),
(19657, 'MF_02042', NULL, 'tRNA-dihydrouridine synthase B [dusB].', NULL, NULL, 'DusB_subfam', 19657),
(19658, 'MF_03068', NULL, 'ATP-dependent RNA helicase DHX29 [DHX29].', NULL, NULL, 'DHX29', 19658),
(19659, 'MF_00181', NULL, 'Probable cytosol aminopeptidase [pepA].', NULL, NULL, 'Cytosol_peptidase_M17', 19659),
(19660, 'MF_02202', NULL, 'Tol-Pal system protein TolQ [tolQ].', NULL, NULL, 'TolQ', 19660),
(19661, 'MF_00769', NULL, '2-phosphoglycerate kinase [pgk2].', NULL, NULL, '2PGK', 19661),
(19662, 'MF_01175', NULL, 'tRNA-modifying protein YgfZ [ygfZ].', NULL, NULL, 'tRNA_modifying_YgfZ', 19662),
(19663, 'MF_00795', NULL, 'Copper homeostasis protein CutC [cutC].', NULL, NULL, 'CutC', 19663),
(19664, 'MF_02203', NULL, 'Tol-Pal system protein TolR [tolR].', NULL, NULL, 'TolR', 19664),
(19665, 'MF_01513', NULL, 'Putative phenylalanine aminotransferase [pat].', NULL, NULL, 'Phe_aminotrans_2', 19665),
(19666, 'MF_00157', NULL, 'Ribonuclease T [rnt].', NULL, NULL, 'RNase_T', 19666),
(19667, 'MF_00077', NULL, 'tRNA (cytidine(56)-2''-O)-methyltransferase.', NULL, NULL, 'tRNA_methyltr_aTrm56', 19667),
(19668, 'MF_00834', NULL, 'Adenosylmethionine-8-amino-7-oxononanoate aminotransferase [bioA].', NULL, NULL, 'BioA', 19668),
(19669, 'MF_00005', NULL, 'Argininosuccinate synthase [argG].', NULL, NULL, 'Arg_succ_synth_type1', 19669),
(19670, 'MF_01414', NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefF [kefF].', NULL, NULL, 'K_H_efflux_KefF', 19670),
(19671, 'MF_00543', NULL, 'Tyrosine phenol-lyase [tpl].', NULL, NULL, 'Tyr_phenol_lyase', 19671),
(19672, 'MF_00841', NULL, 'Glucosyltransferase 3 [gtf3].', NULL, NULL, 'Gtf3', 19672),
(19673, 'MF_00358', NULL, '30S ribosomal protein S21 [rpsU].', NULL, NULL, 'Ribosomal_S21', 19673),
(19674, 'MF_01206', NULL, 'Protein-methionine-sulfoxide reductase catalytic subunit MsrP [msrP].', NULL, NULL, 'MsrP', 19674),
(19675, 'MF_00527', NULL, 'Putative 3-methyladenine DNA glycosylase.', NULL, NULL, '3MGH', 19675),
(19676, 'MF_01071', NULL, 'UPF0266 membrane protein YobD [yobD].', NULL, NULL, 'UPF0266', 19676),
(19677, 'MF_01582', NULL, 'Serine/threonine transporter SstT [sstT].', NULL, NULL, 'Ser_Thr_transp_SstT', 19677),
(19678, 'MF_03112', NULL, 'ATPase <gene_name> [GET3].', NULL, NULL, 'Asna1_Get3', 19678),
(19679, 'MF_00184', NULL, 'Threonine--tRNA ligase [thrS].', NULL, NULL, 'Thr_tRNA_synth', 19679),
(19680, 'MF_04129', NULL, 'Intermediate capsid protein VP6.', NULL, NULL, 'Rota_VP6_A', 19680),
(19681, 'MF_01179', NULL, 'Cell division inhibitor SulA [sulA].', NULL, NULL, 'SulA', 19681),
(19682, 'MF_01386', NULL, 'Photosystem II reaction center X protein [psbX].', NULL, NULL, 'PSII_PsbX_1', 19682);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19683, 'MF_04140', NULL, 'Flap endonuclease.', NULL, NULL, 'FEN_T5', 19683),
(19684, 'MF_00556', NULL, 'Bacteriohemerythrin.', NULL, NULL, 'Hemerythrin', 19684),
(19685, 'MF_00749', NULL, 'RNA chaperone ProQ [proQ].', NULL, NULL, 'ProQ', 19685),
(19686, 'MF_02226', NULL, 'D-allulose-6-phosphate 3-epimerase [alsE].', NULL, NULL, 'AlluloseP_3_epimer', 19686),
(19687, 'MF_00099', NULL, 'Protein-glutamate methylesterase/protein-glutamine glutaminase [cheB].', NULL, NULL, 'CheB_chemtxs', 19687),
(19688, 'MF_00942', NULL, 'Endonuclease III [nth].', NULL, NULL, 'Nth', 19688),
(19689, 'MF_00274', NULL, 'Nucleoid-associated protein YbaB [ybaB].', NULL, NULL, 'DNA_YbaB_EbfC', 19689),
(19690, 'MF_00561', NULL, 'ADP-specific phosphofructokinase [pfkC].', NULL, NULL, 'ADP_PFKinase', 19690),
(19691, 'MF_02015', NULL, 'Nucleoid occlusion protein [noc].', NULL, NULL, 'ParB_Noc', 19691),
(19692, 'MF_00731', NULL, '2-succinylbenzoate--CoA ligase [menE].', NULL, NULL, 'MenE', 19692),
(19693, 'MF_00086', NULL, 'S-adenosylmethionine synthase [metK].', NULL, NULL, 'S_AdoMet_synth1', 19693),
(19694, 'MF_04012', NULL, 'Portal protein.', NULL, NULL, 'HSV_PORTL', 19694),
(19695, 'MF_00028', NULL, 'Cobyric acid synthase [cobQ].', NULL, NULL, 'CobQ', 19695),
(19696, 'MF_01440', NULL, 'Chemoreceptor glutamine deamidase CheD [cheD].', NULL, NULL, 'CheD', 19696),
(19697, 'MF_03162', NULL, 'Putative tRNA (cytidine(32)/guanosine(34)-2''-O)-methyltransferase [TRM7].', NULL, NULL, 'RNA_methyltr_E_TRM7', 19697),
(19698, 'MF_02228', NULL, 'Sulfopropanediol 3-dehydrogenase [hpsN].', NULL, NULL, 'Sulfopropanediol_dehydrog', 19698),
(19699, 'MF_03005', NULL, 'Eukaryotic translation initiation factor 3 subunit F [EIF3F].', NULL, NULL, 'eIF3f', 19699),
(19700, 'MF_00754', NULL, 'Ribonuclease P protein component 1 [rnp1].', NULL, NULL, 'RNase_P_1', 19700),
(19701, 'MF_00559', NULL, 'Glyceraldehyde-3-phosphate dehydrogenase [gap].', NULL, NULL, 'G3P_dehdrog_arch', 19701),
(19702, 'MF_00545', NULL, '30S ribosomal protein S24e [rps24e].', NULL, NULL, 'Ribosomal_S24e', 19702),
(19703, 'MF_01403', NULL, 'Probable phosphoketolase.', NULL, NULL, 'Phosphoketolase', 19703),
(19704, 'MF_00723', NULL, 'Glutathione-dependent formaldehyde-activating enzyme [gfa].', NULL, NULL, 'Formald_GSH', 19704),
(19705, 'MF_00336', NULL, 'ATP-dependent dethiobiotin synthetase BioD [bioD].', NULL, NULL, 'BioD', 19705),
(19706, 'MF_00992', NULL, 'Cyclic dehypoxanthine futalosine synthase [mqnC].', NULL, NULL, 'MqnC', 19706),
(19707, 'MF_01084', NULL, 'Diphthine synthase [dphB].', NULL, NULL, 'Diphthine_synth', 19707),
(19708, 'MF_01345_A', NULL, '30S ribosomal protein S17 [rpsQ].', NULL, NULL, 'Ribosomal_S17_A', 19708),
(19709, 'MF_01355', NULL, 'NAD(P)H-quinone oxidoreductase subunit L [ndhL].', NULL, NULL, 'NDH1_NDH1L', 19709),
(19710, 'MF_01528', NULL, 'Multidrug resistance protein MdtG [mdtG].', NULL, NULL, 'MFS_MdtG', 19710),
(19711, 'MF_03227', NULL, 'Butyryl-CoA:acetate CoA-transferase.', NULL, NULL, 'But_acet_CoA_trans', 19711),
(19712, 'MF_01498', NULL, 'DNA repair protein RadA [radA].', NULL, NULL, 'RadA_bact', 19712),
(19713, 'MF_02031', NULL, 'Galactarate dehydratase (L-threo-forming) [garD].', NULL, NULL, 'Galactar_dehydrat', 19713),
(19714, 'MF_01045', NULL, 'D-cysteine desulfhydrase [dcyD].', NULL, NULL, 'D_Cys_desulfhydr', 19714),
(19715, 'MF_04055', NULL, 'DNA polymerase [POL].', NULL, NULL, 'ADV_DPOL', 19715),
(19716, 'MF_01392', NULL, 'Cytochrome c biogenesis protein Ccs1 [ccs1].', NULL, NULL, 'CytC_Ccs1', 19716),
(19717, 'MF_00630', NULL, 'UPF0232 protein <locus_tag>.', NULL, NULL, 'UPF0232', 19717),
(19718, 'MF_02082', NULL, '[LysW]-aminoadipate/[LysW]-glutamate kinase [lysZ].', NULL, NULL, 'LysZ', 19718),
(19719, 'MF_02103', NULL, 'Lactate utilization protein B [lutB].', NULL, NULL, 'LutB', 19719),
(19720, 'MF_01544', NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeA [aaeA].', NULL, NULL, 'AaeA', 19720),
(19721, 'MF_00016', NULL, 'Holliday junction ATP-dependent DNA helicase RuvB [ruvB].', NULL, NULL, 'DNA_helic_RuvB', 19721);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19722, 'MF_03013', NULL, 'Clustered mitochondria protein homolog [CLU1].', NULL, NULL, 'CLU', 19722),
(19723, 'MF_02047', NULL, '6-phosphogluconate dehydrogenase, NAD(+)-dependent, decarboxylating.', NULL, NULL, '6PGDH_archaea', 19723),
(19724, 'MF_01599', NULL, 'Na(+)/H(+) antiporter NhaB [nhaB].', NULL, NULL, 'NhaB', 19724),
(19725, 'MF_00584', NULL, 'Putative HTH-type transcriptional regulatory protein <locus_tag>.', NULL, NULL, 'HTH_type_cro_C1', 19725),
(19726, 'MF_00140_A', NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, NULL, 'Trp_tRNA_synth_A', 19726),
(19727, 'MF_00917', NULL, '7-carboxy-7-deazaguanine synthase [queE].', NULL, NULL, 'QueE', 19727),
(19728, 'MF_01180', NULL, 'Flagellar protein FliT [fliT].', NULL, NULL, 'FliT', 19728),
(19729, 'MF_01333_B', NULL, '50S ribosomal protein L5 [rplE].', NULL, NULL, 'Ribosomal_L5_B', 19729),
(19730, 'MF_03193', NULL, 'Ubiquinone biosynthesis monooxygenase COQ6, mitochondrial [COQ6].', NULL, NULL, 'COQ6_monooxygenase', 19730),
(19731, 'MF_00011', NULL, 'Adenylosuccinate synthetase [purA].', NULL, NULL, 'Adenylosucc_synth', 19731),
(19732, 'MF_02052', NULL, '3-hydroxy-5-phosphonooxypentane-2,4-dione thiolase [lsrF].', NULL, NULL, 'LsrF', 19732),
(19733, 'MF_01473', NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase stabilizing protein GtfB [gtfB].', NULL, NULL, 'GtfB', 19733),
(19734, 'MF_00999', NULL, 'Sulfofructose kinase.', NULL, NULL, 'SF_kinase', 19734),
(19735, 'MF_00509', NULL, 'Cell division protein ZipA [zipA].', NULL, NULL, 'ZipA', 19735),
(19736, 'MF_00703', NULL, 'Putative thymidine phosphorylase.', NULL, NULL, 'Thymid_phosp_2', 19736),
(19737, 'MF_00922', NULL, 'Outer membrane protein assembly factor BamD [bamD].', NULL, NULL, 'OM_assembly_BamD', 19737),
(19738, 'MF_02112', NULL, 'Proteasome-associated ATPase [mpa].', NULL, NULL, 'ARC_ATPase', 19738),
(19739, 'MF_00652', NULL, 'UPF0246 protein YaaA [yaaA].', NULL, NULL, 'UPF0246', 19739),
(19740, 'MF_01669', NULL, '3D-(3,5/4)-trihydroxycyclohexane-1,2-dione hydrolase [iolD].', NULL, NULL, 'IolD', 19740),
(19741, 'MF_00503', NULL, '50S ribosomal protein L9 [rplI].', NULL, NULL, 'Ribosomal_L9', 19741),
(19742, 'MF_00219', NULL, 'Dihydroorotase [pyrC].', NULL, NULL, 'PyrC_classII', 19742),
(19743, 'MF_04043', NULL, 'Inner tegument protein.', NULL, NULL, 'HSV_ITP', 19743),
(19744, 'MF_00018', NULL, 'UPF0758 protein YicR [yicR].', NULL, NULL, 'UPF0758_YicR', 19744),
(19745, 'MF_00967', NULL, 'ATP-dependent RNA helicase SrmB [srmB].', NULL, NULL, 'DEAD_helicase_SrmB', 19745),
(19746, 'MF_01845', NULL, 'UPF0597 protein YhaM [yhaM].', NULL, NULL, 'UPF0597', 19746),
(19747, 'MF_00611', NULL, 'Protein FdhE [fdhE].', NULL, NULL, 'FdeH', 19747),
(19748, 'MF_01416', NULL, 'ATP synthase subunit delta [atpD].', NULL, NULL, 'ATP_synth_delta_bact', 19748),
(19749, 'MF_00276', NULL, 'Potassium-transporting ATPase KdpC subunit [kdpC].', NULL, NULL, 'KdpC', 19749),
(19750, 'MF_00333', NULL, 'Oxygen-dependent coproporphyrinogen-III oxidase [hemF].', NULL, NULL, 'Coprogen_oxidas', 19750),
(19751, 'MF_01191', NULL, 'UPF0442 protein YjjB [yjjB].', NULL, NULL, 'UPF0442', 19751),
(19752, 'MF_01380', NULL, 'Iron-sulfur cluster insertion protein ErpA [erpA].', NULL, NULL, 'Fe_S_insert_ErpA', 19752),
(19753, 'MF_00174', NULL, 'Elongation factor P--(R)-beta-lysine ligase [epmA].', NULL, NULL, 'EF_P_modif_A', 19753),
(19754, 'MF_01363', NULL, '50S ribosomal protein L21 [rplU].', NULL, NULL, 'Ribosomal_L21', 19754),
(19755, 'MF_01382', NULL, 'Protein translocase subunit SecA [secA].', NULL, NULL, 'SecA', 19755),
(19756, 'MF_00694', NULL, 'Probable 5-dehydro-4-deoxyglucarate dehydratase.', NULL, NULL, 'KDGDH', 19756),
(19757, 'MF_00846', NULL, 'Ribosome protection protein VmlR [vmlR].', NULL, NULL, 'VmlR', 19757),
(19758, 'MF_01118', NULL, 'Uncharacterized MFS-type transporter YhhS [yhhS].', NULL, NULL, 'MFS_YhhS', 19758),
(19759, 'MF_01675', NULL, 'O-phospho-L-seryl-tRNA:Cys-tRNA synthase.', NULL, NULL, 'Sep_Cys_tRNA_synth', 19759);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19760, 'MF_00245', NULL, 'UPF0122 protein <locus_tag>.', NULL, NULL, 'UPF0122', 19760),
(19761, 'MF_01438', NULL, 'DNA integrity scanning protein DisA [disA].', NULL, NULL, 'DisA', 19761),
(19762, 'MF_01520', NULL, 'Bifunctional enzyme IspD/IspF [ispDF].', NULL, NULL, 'IspDF', 19762),
(19763, 'MF_01430', NULL, 'Outer membrane protein assembly factor BamA [bamA].', NULL, NULL, 'OM_assembly_BamA', 19763),
(19764, 'MF_02069', NULL, 'Ribulose-5-phosphate reductase [tarJ].', NULL, NULL, 'TarJ', 19764),
(19765, 'MF_01213', NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, NULL, 'dGTPase_type3', 19765),
(19766, 'MF_00251', NULL, '50S ribosomal protein L36 [rpmJ].', NULL, NULL, 'Ribosomal_L36', 19766),
(19767, 'MF_03117', NULL, 'Enolase-phosphatase E1 [ENOPH1].', NULL, NULL, 'Salvage_MtnC_euk', 19767),
(19768, 'MF_00234', NULL, 'Adenylate kinase [adkA].', NULL, NULL, 'Adenylate_kinase_AdkA', 19768),
(19769, 'MF_00804', NULL, 'NAD/NADP-dependent betaine aldehyde dehydrogenase [betB].', NULL, NULL, 'BADH', 19769),
(19770, 'MF_03113', NULL, 'Golgi to ER traffic protein 1 [GET1].', NULL, NULL, 'Get1', 19770),
(19771, 'MF_00852', NULL, '(S)-8-amino-7-oxononanoate synthase BioU [bioU].', NULL, NULL, 'BioU', 19771),
(19772, 'MF_00218', NULL, 'Uroporphyrinogen decarboxylase [hemE].', NULL, NULL, 'URO_D', 19772),
(19773, 'MF_00722', NULL, 'Endonuclease NucS [nucS].', NULL, NULL, 'NucS', 19773),
(19774, 'MF_01324', NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC2].', NULL, NULL, 'RNApol_bact_RpoC2', 19774),
(19775, 'MF_00905', NULL, '3'',5''-cyclic adenosine monophosphate phosphodiesterase CpdA [cpdA].', NULL, NULL, 'cAMP_phosphodiest_CpdA', 19775),
(19776, 'MF_01805', NULL, 'Segregation and condensation protein A [scpA].', NULL, NULL, 'ScpA', 19776),
(19777, 'MF_00345', NULL, 'GMP synthase [glutamine-hydrolyzing] subunit B [guaAB].', NULL, NULL, 'GMP_synthase_B', 19777),
(19778, 'MF_01830', NULL, 'Putative hydro-lyase <locus_tag>.', NULL, NULL, 'Hydro_lyase', 19778),
(19779, 'MF_03153', NULL, 'U1 small nuclear ribonucleoprotein C [SNRPC].', NULL, NULL, 'U1_C', 19779),
(19780, 'MF_00075', NULL, 'Translation initiation factor IF-1 [infA].', NULL, NULL, 'IF_1', 19780),
(19781, 'MF_01116', NULL, '16S rRNA aminocarboxypropyltransferase.', NULL, NULL, 'TSR3', 19781),
(19782, 'MF_01428', NULL, 'Glutamyl-Q tRNA(Asp) synthetase [gluQ].', NULL, NULL, 'Glu_Q_tRNA_synth', 19782),
(19783, 'MF_00763', NULL, 'UPF0305 protein <locus_tag>.', NULL, NULL, 'UPF0305', 19783),
(19784, 'MF_01164', NULL, 'Undecaprenyl-phosphate 4-deoxy-4-formamido-L-arabinose transferase [arnC].', NULL, NULL, 'ArnC_transfer', 19784),
(19785, 'MF_00844_A', NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, NULL, 'RqcH_A', 19785),
(19786, 'MF_00285', NULL, 'Potassium-transporting ATPase ATP-binding subunit [kdpB].', NULL, NULL, 'KdpB', 19786),
(19787, 'MF_00569', NULL, 'Quinolinate synthase A [nadA].', NULL, NULL, 'NadA_type3', 19787),
(19788, 'MF_01017', NULL, 'NAD(P)H dehydrogenase (quinone).', NULL, NULL, 'NQOR', 19788),
(19789, 'MF_01371_B', NULL, '50S ribosomal protein L30 [rpmD].', NULL, NULL, 'Ribosomal_L30_B', 19789),
(19790, 'MF_00530', NULL, 'ATP synthase epsilon chain [atpC].', NULL, NULL, 'ATP_synth_epsil_bac', 19790),
(19791, 'MF_01874', NULL, 'UPF0756 membrane protein YeaL [yeaL].', NULL, NULL, 'UPF0756', 19791),
(19792, 'MF_01553', NULL, 'UPF0356 protein <locus_tag>.', NULL, NULL, 'UPF0356', 19792),
(19793, 'MF_03202', NULL, 'Elongation of very long chain fatty acids protein 2 [ELOVL2].', NULL, NULL, 'VLCF_elongase_2', 19793),
(19794, 'MF_01863', NULL, 'UPF0741 protein <locus_tag>.', NULL, NULL, 'UPF0741', 19794),
(19795, 'MF_00590', NULL, 'GTP-dependent dephospho-CoA kinase.', NULL, NULL, 'Dephospho_CoA_kinase_GTP_dep', 19795),
(19796, 'MF_01497', NULL, 'Stress response kinase A [srkA].', NULL, NULL, 'SrkA_kinase', 19796),
(19797, 'MF_00438', NULL, 'Photosystem II reaction center protein M [psbM].', NULL, NULL, 'PSII_PsbM', 19797);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19798, 'MF_01019', NULL, 'Histidine biosynthesis bifunctional protein HisIE [hisI].', NULL, NULL, 'HisIE', 19798),
(19799, 'MF_01282', NULL, 'Virginiamycin B lyase [vgb].', NULL, NULL, 'VirginiamycinB_lyase', 19799),
(19800, 'MF_00041', NULL, 'Cysteine--tRNA ligase [cysS].', NULL, NULL, 'Cys_tRNA_synth', 19800),
(19801, 'MF_01245', NULL, 'UPF0248 protein <locus_tag>.', NULL, NULL, 'UPF0248', 19801),
(19802, 'MF_00507', NULL, 'UPF0181 protein YoaH [yoaH].', NULL, NULL, 'UPF0181', 19802),
(19803, 'MF_00535', NULL, 'Cyanate hydratase [cynS].', NULL, NULL, 'Cyanate_hydrat', 19803),
(19804, 'MF_02244', NULL, 'Coproheme decarboxylase [chdC].', NULL, NULL, 'Coproheme_decarbox_2', 19804),
(19805, 'MF_00613', NULL, 'Photosystem I reaction center subunit IV [psaE].', NULL, NULL, 'PSI_PsaE', 19805),
(19806, 'MF_01397', NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, NULL, 'NDH1_NuoCD_2', 19806),
(19807, 'MF_03058', NULL, 'Vacuolar ATPase assembly integral membrane protein <gene_name> [VMA21].', NULL, NULL, 'VMA21', 19807),
(19808, 'MF_00292', NULL, '30S ribosomal protein S28e [rps28e].', NULL, NULL, 'Ribosomal_S28e', 19808),
(19809, 'MF_03168', NULL, 'Adenylate kinase 2, mitochondrial [AK2].', NULL, NULL, 'Adenylate_kinase_AK2', 19809),
(19810, 'MF_01105', NULL, 'Amino-acid acetyltransferase [argA].', NULL, NULL, 'N_acetyl_glu_synth', 19810),
(19811, 'MF_00662', NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, NULL, 'PS_decarb_PSD_B_type1', 19811),
(19812, 'MF_01389', NULL, 'Urease accessory protein UreG [ureG].', NULL, NULL, 'UreG', 19812),
(19813, 'MF_04136', NULL, 'SAR-endolysin.', NULL, NULL, 'SAR_ENDOLYSIN', 19813),
(19814, 'MF_01259', NULL, 'Bifunctional F420 biosynthesis protein FbiB [fbiB].', NULL, NULL, 'F420_ligase_FbiB', 19814),
(19815, 'MF_02067', NULL, 'Fructose-1,6-bisphosphate aldolase/phosphatase [fbp].', NULL, NULL, 'FBP_aldolase_phosphatase', 19815),
(19816, 'MF_00008', NULL, 'Thymidylate synthase [thyA].', NULL, NULL, 'Thymidy_synth_bact', 19816),
(19817, 'MF_00222', NULL, 'Shikimate dehydrogenase (NADP(+)) [aroE].', NULL, NULL, 'Shikimate_DH_AroE', 19817),
(19818, 'MF_00768', NULL, 'HTH-type transcriptional regulator BetI [betI].', NULL, NULL, 'HTH_type_BetI', 19818),
(19819, 'MF_01257', NULL, 'Phosphoenolpyruvate transferase [fbiA].', NULL, NULL, 'CofD', 19819),
(19820, 'MF_01499', NULL, 'Diadenylate cyclase [dacA].', NULL, NULL, 'DacA', 19820),
(19821, 'MF_01151', NULL, 'Protein GrpE [grpE].', NULL, NULL, 'GrpE', 19821),
(19822, 'MF_03223', NULL, 'Protein N-terminal and lysine N-methyltransferase EFM7 [EFM7].', NULL, NULL, 'Methyltr_EFM7', 19822),
(19823, 'MF_01170', NULL, 'Chromosome-anchoring protein RacA [racA].', NULL, NULL, 'RacA', 19823),
(19824, 'MF_01030', NULL, 'D-serine dehydratase [dsdA].', NULL, NULL, 'D_Ser_dehydrat', 19824),
(19825, 'MF_01058', NULL, 'Der GTPase-activating protein YihI [yihI].', NULL, NULL, 'GAP_YihI', 19825),
(19826, 'MF_01452', NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [addB].', NULL, NULL, 'AddB_type1', 19826),
(19827, 'MF_01656', NULL, '4-hydroxy-2-oxovalerate aldolase [mhpE].', NULL, NULL, 'HOA', 19827),
(19828, 'MF_00295', NULL, 'Homoserine O-succinyltransferase [metAS].', NULL, NULL, 'MetA_acyltransf', 19828),
(19829, 'MF_01638', NULL, 'Pyridoxine/pyridoxal/pyridoxamine kinase [pdxK].', NULL, NULL, 'PdxK', 19829),
(19830, 'MF_00677', NULL, 'UPF0261 protein <locus_tag>.', NULL, NULL, 'UPF0261', 19830),
(19831, 'MF_00049_B', NULL, 'Leucine--tRNA ligase [leuS].', NULL, NULL, 'Leu_tRNA_synth_B', 19831),
(19832, 'MF_00996', NULL, '1,4-dihydroxy-6-naphtoate synthase [mqnD].', NULL, NULL, 'MqnD', 19832),
(19833, 'MF_03115', NULL, 'Fe-S cluster assembly protein <gene_name> [DRE2].', NULL, NULL, 'Anamorsin', 19833),
(19834, 'MF_01182', NULL, 'Cytochrome c-552 [nrfA].', NULL, NULL, 'Cytochrom_C552', 19834),
(19835, 'MF_00640', NULL, 'Deoxyhypusine synthase-like protein.', NULL, NULL, 'DHS_like', 19835);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19836, 'MF_01436', NULL, 'Enterobactin exporter EntS [entS].', NULL, NULL, 'MFS_EntS', 19836),
(19837, 'MF_00684', NULL, 'N(4)-acetylcytidine amidohydrolase.', NULL, NULL, 'ac4C_amidohydr', 19837),
(19838, 'MF_00499', NULL, '50S ribosomal protein L13e [rpl13e].', NULL, NULL, 'Ribosomal_L13e', 19838),
(19839, 'MF_00802', NULL, 'Bifunctional glutamine synthetase adenylyltransferase/adenylyl-removing enzyme [glnE].', NULL, NULL, 'GlnE', 19839),
(19840, 'MF_00902', NULL, 'Sec-independent protein translocase protein TatC [tatC].', NULL, NULL, 'TatC', 19840),
(19841, 'MF_02033', NULL, 'Cell division protein FtsA [ftsA].', NULL, NULL, 'FtsA', 19841),
(19842, 'MF_00760', NULL, 'UPF0302 protein <locus_tag>.', NULL, NULL, 'UPF0302', 19842),
(19843, 'MF_01832', NULL, 'Cysteine desulfuration protein SufE [sufE].', NULL, NULL, 'SufE', 19843),
(19844, 'MF_00651', NULL, 'Putative pre-16S rRNA nuclease [yqgF].', NULL, NULL, 'Nuclease_YqgF', 19844),
(19845, 'MF_01306_B', NULL, '30S ribosomal protein S4 [rpsD].', NULL, NULL, 'Ribosomal_S4_B', 19845),
(19846, 'MF_01156', NULL, 'Iron-sulfur cluster repair protein ScdA [scdA].', NULL, NULL, 'RIC_ScdA', 19846),
(19847, 'MF_00337', NULL, 'Exodeoxyribonuclease 7 small subunit [xseB].', NULL, NULL, 'Exonuc_7_S', 19847),
(19848, 'MF_01478', NULL, '50S ribosomal protein L12 [rpl12].', NULL, NULL, 'Ribosomal_L12_arch', 19848),
(19849, 'MF_00470', NULL, 'o-succinylbenzoate synthase [menC].', NULL, NULL, 'MenC_1', 19849),
(19850, 'MF_01960', NULL, 'D-aminopeptidase [dap].', NULL, NULL, 'D_aminopeptidase', 19850),
(19851, 'MF_00493', NULL, 'Transaldolase [tal].', NULL, NULL, 'Transaldolase_2', 19851),
(19852, 'MF_01871', NULL, 'UPF0753 protein <locus_tag>.', NULL, NULL, 'UPF0753', 19852),
(19853, 'MF_00418', NULL, '4-hydroxy-tetrahydrodipicolinate synthase [dapA].', NULL, NULL, 'DapA', 19853),
(19854, 'MF_01622', NULL, 'tRNA 2-selenouridine synthase [selU].', NULL, NULL, 'tRNA_sel_U_synth', 19854),
(19855, 'MF_02030', NULL, 'Undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphate transferase [wecA].', NULL, NULL, 'WecA_Gammaproteo', 19855),
(19856, 'MF_01046', NULL, 'Protein/nucleic acid deglycase HchA [hchA].', NULL, NULL, 'Deglycase_HchA', 19856),
(19857, 'MF_00974', NULL, 'DNA primase [dnaG].', NULL, NULL, 'DNA_primase_DnaG', 19857),
(19858, 'MF_01666', NULL, 'Glyoxylate/hydroxypyruvate reductase A [ghrA].', NULL, NULL, '2_Hacid_dh_C_GhrA', 19858),
(19859, 'MF_01313', NULL, 'Nitric oxide reductase FlRd-NAD(+) reductase [norW].', NULL, NULL, 'NorW', 19859),
(19860, 'MF_01218_B', NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, NULL, 'Upp_B', 19860),
(19861, 'MF_00642', NULL, 'Cytochrome b559 subunit alpha [psbE].', NULL, NULL, 'PSII_PsbE', 19861),
(19862, 'MF_02016', NULL, 'Membrane-bound lytic murein transglycosylase F [mltF].', NULL, NULL, 'MltF', 19862),
(19863, 'MF_00680', NULL, 'UPF0263 protein YciU [yciU].', NULL, NULL, 'UPF0263', 19863),
(19864, 'MF_01887', NULL, '23S rRNA (guanosine-2''-O-)-methyltransferase RlmB [rlmB].', NULL, NULL, '23SrRNA_methyltr_B', 19864),
(19865, 'MF_00104', NULL, 'Ribonuclease 3 [rnc].', NULL, NULL, 'RNase_III', 19865),
(19866, 'MF_02075', NULL, 'Aspartate--tRNA(Asp) ligase [aspS].', NULL, NULL, 'Asp_tRNA_synth_type2', 19866),
(19867, 'MF_01908', NULL, 'Cyclic 2,3-diphosphoglycerate synthetase [cpgS].', NULL, NULL, 'Cyc_PG_syn', 19867),
(19868, 'MF_00472', NULL, 'Ubiquinone biosynthesis O-methyltransferase [ubiG].', NULL, NULL, 'UbiG', 19868),
(19869, 'MF_03144', NULL, 'RNA-splicing ligase RtcB homolog [RTCB].', NULL, NULL, 'RtcB_euk', 19869),
(19870, 'MF_01378', NULL, 'Cytochrome c-550 [psbV].', NULL, NULL, 'PSII_Cyt550', 19870),
(19871, 'MF_01928', NULL, 'N5-carboxyaminoimidazole ribonucleotide synthase [purK].', NULL, NULL, 'PurK', 19871),
(19872, 'MF_01619', NULL, 'NAD-dependent malic enzyme [maeA].', NULL, NULL, 'NAD_malic_enz', 19872),
(19873, 'MF_01062', NULL, 'Phosphoenolpyruvate synthase regulatory protein [ppsR].', NULL, NULL, 'PSRP', 19873);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19874, 'MF_04014', NULL, 'Tripartite terminase subunit 1 [TRM1].', NULL, NULL, 'HSV_TRM1', 19874),
(19875, 'MF_02133', NULL, 'Prokaryotic ubiquitin-like protein UBact [ubact].', NULL, NULL, 'UBact', 19875),
(19876, 'MF_00915', NULL, 'Cell division protein FtsP [ftsP].', NULL, NULL, 'FtsP', 19876),
(19877, 'MF_01925', NULL, 'Pyrroline-5-carboxylate reductase [proC].', NULL, NULL, 'P5C_reductase', 19877),
(19878, 'MF_00064', NULL, 'Sulfate adenylyltransferase subunit 2 [cysD].', NULL, NULL, 'Sulf_adenylyltr_sub2', 19878),
(19879, 'MF_00338', NULL, 'UPF0145 protein YbjQ [ybjQ].', NULL, NULL, 'UPF0145', 19879),
(19880, 'MF_01485', NULL, 'RecBCD enzyme subunit RecB [recB].', NULL, NULL, 'RecB', 19880),
(19881, 'MF_00208', NULL, 'UDP-N-acetylmuramoyl-L-alanyl-D-glutamate--2,6-diaminopimelate ligase [murE].', NULL, NULL, 'MurE', 19881),
(19882, 'MF_00837', NULL, 'Lipid A palmitoyltransferase PagP [pagP].', NULL, NULL, 'PagP_transferase', 19882),
(19883, 'MF_01531', NULL, 'Vitamin B12 transporter BtuB [btuB].', NULL, NULL, 'BtuB', 19883),
(19884, 'MF_01893', NULL, 'tRNA pseudouridine synthase Pus10 [pus10].', NULL, NULL, 'Pus10_arch', 19884),
(19885, 'MF_01412', NULL, 'Glutathione-regulated potassium-efflux system protein KefB [kefB].', NULL, NULL, 'K_H_efflux_KefB', 19885),
(19886, 'MF_01961', NULL, 'Catalase-peroxidase [katG].', NULL, NULL, 'Catal_peroxid', 19886),
(19887, 'MF_02018', NULL, 'PanD regulatory factor [panZ].', NULL, NULL, 'PanZ_PanM', 19887),
(19888, 'MF_00565', NULL, 'D-alanyl carrier protein [dltC].', NULL, NULL, 'DltC', 19888),
(19889, 'MF_00746', NULL, 'Protein SprT [sprT].', NULL, NULL, 'SprT', 19889),
(19890, 'MF_00167', NULL, 'Translational regulator CsrA [csrA].', NULL, NULL, 'CsrA', 19890),
(19891, 'MF_02105', NULL, 'Lactate utilization protein A [lutA].', NULL, NULL, 'LutA', 19891),
(19892, 'MF_00993', NULL, 'Aminodeoxyfutalosine synthase [mqnE].', NULL, NULL, 'MqnE', 19892),
(19893, 'MF_01364_A', NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, NULL, 'Ribosomal_S14_2_A', 19893),
(19894, 'MF_01639', NULL, 'Pyridoxal kinase PdxY [pdxY].', NULL, NULL, 'PdxY', 19894),
(19895, 'MF_04033', NULL, 'Envelope glycoprotein H [gH].', NULL, NULL, 'HSV_GH', 19895),
(19896, 'MF_01254', NULL, 'L-fucose isomerase [fucI].', NULL, NULL, 'Fucose_iso', 19896),
(19897, 'MF_00220_A', NULL, 'Dihydroorotase [pyrC].', NULL, NULL, 'PyrC_classI_A', 19897),
(19898, 'MF_01144', NULL, 'UPF0299 membrane protein YohJ [yohJ].', NULL, NULL, 'UPF0299', 19898),
(19899, 'MF_01529', NULL, 'Multidrug resistance protein MdtH [mdtH].', NULL, NULL, 'MFS_MdtH', 19899),
(19900, 'MF_02128', NULL, 'Thiamine-monophosphate kinase [thiL].', NULL, NULL, 'TMP_kinase', 19900),
(19901, 'MF_01377', NULL, 'Probable lipid kinase YegS [yegS].', NULL, NULL, 'YegS', 19901),
(19902, 'MF_02237', NULL, 'tRNA (cytosine(72)-C(5))-methyltransferase.', NULL, NULL, 'NSUN6', 19902),
(19903, 'MF_00848', NULL, 'ATP-binding protein Uup [uup].', NULL, NULL, 'Uup', 19903),
(19904, 'MF_00633', NULL, 'Cytochrome b6 [petB].', NULL, NULL, 'Cytb6_f_cytb6', 19904),
(19905, 'MF_00956', NULL, 'GDP-L-fucose synthase [fcl].', NULL, NULL, 'GDP_fucose_synth', 19905),
(19906, 'MF_00971', NULL, 'DNA-binding protein MutS2 [mutS2].', NULL, NULL, 'MutS2_archaea', 19906),
(19907, 'MF_01940', NULL, 'RNA 2'',3''-cyclic phosphodiesterase [thpR].', NULL, NULL, 'RNA_CPDase', 19907),
(19908, 'MF_04000', NULL, 'Replication protein E1 [E1].', NULL, NULL, 'PPV_E1', 19908),
(19909, 'MF_01110', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, NULL, 'ArgC_type2', 19909),
(19910, 'MF_00688', NULL, 'Leucyl/phenylalanyl-tRNA--protein transferase [aat].', NULL, NULL, 'Leu_Phe_trans', 19910),
(19911, 'MF_01945', NULL, 'Lipid A 1-diphosphate synthase [lpxT].', NULL, NULL, 'Lipid_A_LpxT', 19911),
(19912, 'MF_00313', NULL, 'Glutaminase [glsA].', NULL, NULL, 'Glutaminase', 19912),
(19913, 'MF_00536', NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, NULL, 'PdxA', 19913);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19914, 'MF_01518', NULL, 'Adenine deaminase [ade].', NULL, NULL, 'Adenine_deamin', 19914),
(19915, 'MF_01857', NULL, 'Ribosomal RNA large subunit methyltransferase I [rlmI].', NULL, NULL, '23SrRNA_methyltr_I', 19915),
(19916, 'MF_03114', NULL, 'Golgi to ER traffic protein 2 [GET2].', NULL, NULL, 'Get2', 19916),
(19917, 'MF_01373', NULL, 'Lipoprotein LpqB [lpqB].', NULL, NULL, 'LpqB_lipoprot', 19917),
(19918, 'MF_01802', NULL, 'Chromosome partition protein MukE [mukE].', NULL, NULL, 'MukE', 19918),
(19919, 'MF_02062', NULL, 'Sodium/glutamate symporter [gltS].', NULL, NULL, 'GltS', 19919),
(19920, 'MF_01817', NULL, 'Tyrosine recombinase XerD-like.', NULL, NULL, 'Recomb_XerD_like', 19920),
(19921, 'MF_00319', NULL, 'CDP-diacylglycerol pyrophosphatase [cdh].', NULL, NULL, 'Cdh', 19921),
(19922, 'MF_01327', NULL, 'Thiamine-phosphate synthase [thiE].', NULL, NULL, 'TMP_synthase_cyanobact', 19922),
(19923, 'MF_01545', NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeB [aaeB].', NULL, NULL, 'AaeB', 19923),
(19924, 'MF_01937', NULL, '1,4-dihydroxy-2-naphthoate octaprenyltransferase [menA].', NULL, NULL, 'MenA_1', 19924),
(19925, 'MF_00940', NULL, 'Tat proofreading chaperone DmsD [dmsD].', NULL, NULL, 'DmsD_chaperone', 19925),
(19926, 'MF_01343_B', NULL, '30S ribosomal protein S15 [rpsO].', NULL, NULL, 'Ribosomal_S15_B', 19926),
(19927, 'MF_01965', NULL, 'ADP-dependent (S)-NAD(P)H-hydrate dehydratase [nnrD].', NULL, NULL, 'NADHX_dehydratase', 19927),
(19928, 'MF_01317', NULL, 'Photosystem II reaction center protein L [psbL].', NULL, NULL, 'PSII_PsbL', 19928),
(19929, 'MF_01220_A', NULL, 'Uridylate kinase [pyrH].', NULL, NULL, 'PyrH_A', 19929),
(19930, 'MF_01844', NULL, 'Na(+)/H(+) antiporter NhaA [nhaA].', NULL, NULL, 'NhaA', 19930),
(19931, 'MF_04032', NULL, 'Envelope glycoprotein B [gB].', NULL, NULL, 'HSV_GB', 19931),
(19932, 'MF_01135', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit delta [cdhD].', NULL, NULL, 'CdhD', 19932),
(19933, 'MF_01415', NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefG [kefG].', NULL, NULL, 'K_H_efflux_KefG', 19933),
(19934, 'MF_01856', NULL, 'Ribosomal RNA small subunit methyltransferase B [rsmB].', NULL, NULL, '16SrRNA_methyltr_B', 19934),
(19935, 'MF_00364', NULL, 'Beta-hexosaminidase [nagZ].', NULL, NULL, 'NagZ', 19935),
(19936, 'MF_04047', NULL, 'Pre-hexon-linking protein IIIa.', NULL, NULL, 'ADV_CAP3', 19936),
(19937, 'MF_04059', NULL, 'Protease [L3].', NULL, NULL, 'ADV_PRO', 19937),
(19938, 'MF_00330', NULL, 'Cobalt transport protein CbiN [cbiN].', NULL, NULL, 'CbiN', 19938),
(19939, 'MF_00627', NULL, 'L-threonine 3-dehydrogenase [tdh].', NULL, NULL, 'Thr_dehydrog', 19939),
(19940, 'MF_00575', NULL, 'UDP-2,3-diacylglucosamine hydrolase [lpxH].', NULL, NULL, 'LpxH', 19940),
(19941, 'MF_01985', NULL, 'Phenolic acid decarboxylase.', NULL, NULL, 'UbiD_YclC', 19941),
(19942, 'MF_02074', NULL, 'Renalase.', NULL, NULL, 'Bact_renalase', 19942),
(19943, 'MF_00196', NULL, 'Mannitol-1-phosphate 5-dehydrogenase [mtlD].', NULL, NULL, 'Mannitol_dehydrog', 19943),
(19944, 'MF_01374', NULL, 'Hydroxyacylglutathione hydrolase [gloB].', NULL, NULL, 'Glyoxalase_2', 19944),
(19945, 'MF_01051', NULL, 'Carnitinyl-CoA dehydratase [caiD].', NULL, NULL, 'CaiD', 19945),
(19946, 'MF_00901', NULL, '3''-5'' ssDNA/RNA exonuclease TatD [tatD].', NULL, NULL, 'TatD_exonuclease', 19946),
(19947, 'MF_04023', NULL, 'Nuclear egress protein 1 [NEC1].', NULL, NULL, 'HSV_NEC1', 19947),
(19948, 'MF_00689', NULL, 'Aspartate/glutamate leucyltransferase [bpt].', NULL, NULL, 'Bpt', 19948),
(19949, 'MF_01689', NULL, 'Ornithine aminotransferase [rocD].', NULL, NULL, 'Ornith_aminotrans_3', 19949),
(19950, 'MF_02024', NULL, 'Lipid III flippase [wzxE].', NULL, NULL, 'WzxE', 19950),
(19951, 'MF_01573', NULL, 'Pyrrolysine--tRNA ligase [pylS].', NULL, NULL, 'Pyl_tRNA_synth', 19951),
(19952, 'MF_00215', NULL, 'Pantothenate kinase [coaA].', NULL, NULL, 'Pantothen_kinase_1', 19952);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19953, 'MF_01291', NULL, '5-keto-4-deoxy-D-glucarate aldolase [garL].', NULL, NULL, 'KDGluc_aldolase', 19953),
(19954, 'MF_01546', NULL, 'Protein AaeX [aaeX].', NULL, NULL, 'AaeX', 19954),
(19955, 'MF_03007', NULL, 'Eukaryotic translation initiation factor 3 subunit H [EIF3H].', NULL, NULL, 'eIF3h', 19955),
(19956, 'MF_01119', NULL, 'UPF0294 protein YafD [yafD].', NULL, NULL, 'UPF0294', 19956),
(19957, 'MF_00423', NULL, 'L-seryl-tRNA(Sec) selenium transferase [selA].', NULL, NULL, 'SelA', 19957),
(19958, 'MF_00682', NULL, 'Co-chaperone protein HscB [hscB].', NULL, NULL, 'HscB', 19958),
(19959, 'MF_01302_B', NULL, '30S ribosomal protein S8 [rpsH].', NULL, NULL, 'Ribosomal_S8_B', 19959),
(19960, 'MF_04017', NULL, 'Capsid vertex component 1 [CVC1].', NULL, NULL, 'HSV_CVC1', 19960),
(19961, 'MF_00036_A', NULL, 'Alanine--tRNA ligase [alaS].', NULL, NULL, 'Ala_tRNA_synth_A', 19961),
(19962, 'MF_01637', NULL, 'Fe/S biogenesis protein NfuA [nfuA].', NULL, NULL, 'Fe_S_biogen_NfuA', 19962),
(19963, 'MF_00790', NULL, 'Lipase chaperone [lifO].', NULL, NULL, 'Lipase_chap', 19963),
(19964, 'MF_02081', NULL, 'Peptidoglycan D,D-transpeptidase MrdA [mrdA].', NULL, NULL, 'MrdA_transpept', 19964),
(19965, 'MF_01038', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [gpmI].', NULL, NULL, 'GpmI', 19965),
(19966, 'MF_00293', NULL, 'Protein PsbN [psbN].', NULL, NULL, 'PSII_PsbN', 19966),
(19967, 'MF_01431', NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihA [rihA].', NULL, NULL, 'Pyrim_hydro_RihA', 19967),
(19968, 'MF_00263', NULL, 'UPF0127 protein <locus_tag>.', NULL, NULL, 'UPF0127', 19968),
(19969, 'MF_00200', NULL, 'RNA 3''-terminal phosphate cyclase [rtcA].', NULL, NULL, 'RTC', 19969),
(19970, 'MF_00598', NULL, 'Protein Smg [smg].', NULL, NULL, 'Smg', 19970),
(19971, 'MF_00810', NULL, '50S ribosomal protein L32e [rpl32e].', NULL, NULL, 'Ribosomal_L32e', 19971),
(19972, 'MF_01013', NULL, 'Imidazole glycerol phosphate synthase subunit HisF [hisF].', NULL, NULL, 'HisF', 19972),
(19973, 'MF_01635', NULL, '4-hydroxybenzoate octaprenyltransferase [ubiA].', NULL, NULL, 'UbiA', 19973),
(19974, 'MF_01681', NULL, 'Enolase-phosphatase E1 [mtnC].', NULL, NULL, 'Salvage_MtnC', 19974),
(19975, 'MF_00465', NULL, 'S-adenosylmethionine decarboxylase proenzyme [speD].', NULL, NULL, 'AdoMetDC_2', 19975),
(19976, 'MF_03039', NULL, 'Cytosolic Fe-S cluster assembly factor NUBP2 [NUBP2].', NULL, NULL, 'NUBP2', 19976),
(19977, 'MF_01125', NULL, 'Reverse gyrase [rgy].', NULL, NULL, 'Reverse_gyrase', 19977),
(19978, 'MF_00564', NULL, 'Ribonuclease PH [rph].', NULL, NULL, 'RNase_PH', 19978),
(19979, 'MF_01142', NULL, 'Antiholin-like protein LrgB [lrgB].', NULL, NULL, 'LrgB', 19979),
(19980, 'MF_01225_B', NULL, 'GTP 3'',8-cyclase [moaA].', NULL, NULL, 'MoaA_B', 19980),
(19981, 'MF_02222', NULL, 'Homocitrate synthase.', NULL, NULL, 'Homocitr_synth_fung_arch', 19981),
(19982, 'MF_00469', NULL, 'tRNA uridine(34) hydroxylase [trhO].', NULL, NULL, 'TrhO', 19982),
(19983, 'MF_04050', NULL, 'Hexon-interlacing protein [IX].', NULL, NULL, 'ADV_CAP9', 19983),
(19984, 'MF_00577', NULL, 'Urocanate hydratase [hutU].', NULL, NULL, 'HutU', 19984),
(19985, 'MF_01356', NULL, 'NAD(P)H-quinone oxidoreductase subunit K, chloroplastic [ndhK].', NULL, NULL, 'NDH1_NuoB', 19985),
(19986, 'MF_00298', NULL, 'RNA pyrophosphohydrolase [rppH].', NULL, NULL, 'Nudix_RppH', 19986),
(19987, 'MF_03205', NULL, 'Elongation of very long chain fatty acids protein 5 [ELOVL5].', NULL, NULL, 'VLCF_elongase_5', 19987),
(19988, 'MF_01679', NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase [mtnW].', NULL, NULL, 'Salvage_MtnW', 19988),
(19989, 'MF_01354', NULL, 'NAD(P)H-quinone oxidoreductase subunit O [ndhO].', NULL, NULL, 'NDH1_NDH1O', 19989),
(19990, 'MF_00576', NULL, 'Gas vesicle structural protein [gvpA].', NULL, NULL, 'Gas_vesicle_A', 19990),
(19991, 'MF_00570', NULL, 'Nicotinate phosphoribosyltransferase [pncB].', NULL, NULL, 'NAPRTase', 19991);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(19992, 'MF_00513', NULL, 'HTH-type transcriptional regulator ArgP [argP].', NULL, NULL, 'HTH_type_ArgP', 19992),
(19993, 'MF_00420', NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurL [purL].', NULL, NULL, 'PurL_2', 19993),
(19994, 'MF_00040', NULL, 'Ribosome-recycling factor [frr].', NULL, NULL, 'RRF', 19994),
(19995, 'MF_04071', NULL, 'Neuraminidase [NA].', NULL, NULL, 'INFV_NRAM', 19995),
(19996, 'MF_03216', NULL, 'Phosphatidyl-N-methylethanolamine N-methyltransferase [PEMT].', NULL, NULL, 'PLMT', 19996),
(19997, 'MF_00031', NULL, 'Holliday junction ATP-dependent DNA helicase RuvA [ruvA].', NULL, NULL, 'DNA_helic_RuvA', 19997),
(19998, 'MF_00781', NULL, 'Heterocyst differentiation control protein [hetR].', NULL, NULL, 'HetR', 19998),
(19999, 'MF_00609', NULL, 'Histidine decarboxylase [hdc].', NULL, NULL, 'Pyridoxal_decarbox', 19999),
(20000, 'MF_01580', NULL, 'Cell division activator CedA [cedA].', NULL, NULL, 'CedA', 20000),
(20001, 'MF_00505', NULL, 'Chaperone protein HtpG [htpG].', NULL, NULL, 'HSP90', 20001),
(20002, 'MF_00832', NULL, 'Putative aminoacrylate hydrolase RutD [rutD].', NULL, NULL, 'RutD', 20002),
(20003, 'MF_02014', NULL, 'Cell division suppressor protein YneA [yneA].', NULL, NULL, 'YneA', 20003),
(20004, 'MF_01664', NULL, 'Heme A synthase [ctaA].', NULL, NULL, 'HemeA_synth_type1', 20004),
(20005, 'MF_00628', NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, NULL, 'Pept_tRNA_hydro_arch', 20005),
(20006, 'MF_03138', NULL, 'Translation factor GUF1 homolog, organellar chromatophore [lepA].', NULL, NULL, 'GUFP', 20006),
(20007, 'MF_01690', NULL, 'Succinyl-diaminopimelate desuccinylase [dapE].', NULL, NULL, 'DapE', 20007),
(20008, 'MF_01536', NULL, 'UPF0344 protein <locus_tag>.', NULL, NULL, 'UPF0344', 20008),
(20009, 'MF_00631', NULL, 'Cell division protein CrgA [crgA].', NULL, NULL, 'CrgA', 20009),
(20010, 'MF_00697', NULL, 'UPF0276 protein <locus_tag>.', NULL, NULL, 'UPF0276', 20010),
(20011, 'MF_01648', NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit alpha [hcaE].', NULL, NULL, 'HcaE', 20011),
(20012, 'MF_00654', NULL, 'Pyrroloquinoline-quinone synthase [pqqC].', NULL, NULL, 'PQQ_syn_PqqC', 20012),
(20013, 'MF_02073', NULL, 'Putrescine transporter PotE [potE].', NULL, NULL, 'Putrescine_transp', 20013),
(20014, 'MF_02092', NULL, 'Quinone-dependent D-lactate dehydrogenase [dld].', NULL, NULL, 'DLDH_Dld', 20014),
(20015, 'MF_00142', NULL, 'Iron-sulfur cluster assembly protein CyaY [cyaY].', NULL, NULL, 'CyaY', 20015),
(20016, 'MF_01640', NULL, 'D-erythrose-4-phosphate dehydrogenase [epd].', NULL, NULL, 'E4P_dehydrog', 20016),
(20017, 'MF_01492', NULL, 'Ribonuclease J [rnj].', NULL, NULL, 'RNase_J_arch', 20017),
(20018, 'MF_00529', NULL, 'Nitrogenase-stabilizing/protective protein NifW [nifW].', NULL, NULL, 'NifW', 20018),
(20019, 'MF_00135', NULL, 'N-(5''-phosphoribosyl)anthranilate isomerase [trpF].', NULL, NULL, 'PRAI', 20019),
(20020, 'MF_00579', NULL, 'Formylmethanofuran--tetrahydromethanopterin formyltransferase [ftr].', NULL, NULL, 'FTR', 20020),
(20021, 'MF_00963', NULL, 'RNA polymerase sigma factor RpoD [rpoD].', NULL, NULL, 'Sigma70_RpoD_SigA', 20021),
(20022, 'MF_02223', NULL, 'Pantoate kinase.', NULL, NULL, 'Pantoate_kinase', 20022),
(20023, 'MF_00100_A', NULL, 'Translation initiation factor IF-2 [infB].', NULL, NULL, 'IF_2_A', 20023),
(20024, 'MF_01249', NULL, 'HPr kinase/phosphorylase [hprK].', NULL, NULL, 'HPr_kinase', 20024),
(20025, 'MF_04125', NULL, 'Outer capsid protein VP4.', NULL, NULL, 'Rota_VP4', 20025),
(20026, 'MF_01204', NULL, 'Probable malonic semialdehyde reductase RutE [rutE].', NULL, NULL, 'Oxidoreductase_RutE_HadB', 20026),
(20027, 'MF_00442', NULL, 'ATP-dependent DNA helicase Hel308 [hel308].', NULL, NULL, 'Helicase_Hel308', 20027),
(20028, 'MF_00724', NULL, 'Flagellar hook-basal body complex protein FliE [fliE].', NULL, NULL, 'FliE', 20028),
(20029, 'MF_01935', NULL, 'Isochorismate synthase MenF [menF].', NULL, NULL, 'MenF', 20029);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20030, 'MF_00321', NULL, 'Probable GTP-binding protein EngB [engB].', NULL, NULL, 'GTPase_EngB', 20030),
(20031, 'MF_01955', NULL, 'Urease subunit alpha [ureA].', NULL, NULL, 'Urease_beta_gamma', 20031),
(20032, 'MF_00441', NULL, 'Photosystem II reaction center protein K [psbK].', NULL, NULL, 'PSII_PsbK', 20032),
(20033, 'MF_00447', NULL, 'Photosystem I reaction center subunit XI [psaL].', NULL, NULL, 'PSI_PsaL', 20033),
(20034, 'MF_01602', NULL, 'Lipoate-protein ligase A [lplA].', NULL, NULL, 'LplA', 20034),
(20035, 'MF_00022', NULL, 'Glutamate--tRNA ligase [gltX].', NULL, NULL, 'Glu_tRNA_synth_type1', 20035),
(20036, 'MF_00794', NULL, 'Putative antitoxin <locus_tag>.', NULL, NULL, 'UPF0330', 20036),
(20037, 'MF_01971', NULL, 'Kynurenine 3-monooxygenase [kmo].', NULL, NULL, 'Kynurenine_monooxygenase', 20037),
(20038, 'MF_01002', NULL, 'TDP-N-acetylfucosamine:lipid II N-acetylfucosaminyltransferase [wecF].', NULL, NULL, 'WecF_RffT', 20038),
(20039, 'MF_03025', NULL, 'Katanin p60 ATPase-containing subunit A-like 2 [KATNAL2].', NULL, NULL, 'Katanin_p60_AL2', 20039),
(20040, 'MF_02028', NULL, 'UDP-N-acetylglucosamine 2-epimerase [wecB].', NULL, NULL, 'WecB_RffE', 20040),
(20041, 'MF_01086', NULL, 'UPF0284 protein <locus_tag>.', NULL, NULL, 'UPF0284', 20041),
(20042, 'MF_01341', NULL, '50S ribosomal protein L15 [rplO].', NULL, NULL, 'Ribosomal_L15', 20042),
(20043, 'MF_00377', NULL, 'Chromosomal replication initiator protein DnaA [dnaA].', NULL, NULL, 'DnaA_bact', 20043),
(20044, 'MF_00072', NULL, 'Peptide chain release factor 3 [prfC].', NULL, NULL, 'Rel_fac_3', 20044),
(20045, 'MF_01600', NULL, 'UPF0182 protein <locus_tag>.', NULL, NULL, 'UPF0182', 20045),
(20046, 'MF_02064', NULL, 'RNA polymerase sigma factor SigI [sigI].', NULL, NULL, 'Sigma70_SigI', 20046),
(20047, 'MF_04080', NULL, 'Protein Vpr [vpr].', NULL, NULL, 'HIV_VPR', 20047),
(20048, 'MF_03103', NULL, 'Maintenance of mitochondrial morphology protein 1 [MMM1].', NULL, NULL, 'Mmm1', 20048),
(20049, 'MF_01870', NULL, 'Probable 4-deoxy-4-formamido-L-arabinose-phosphoundecaprenol deformylase ArnD [arnD].', NULL, NULL, 'ArnD', 20049),
(20050, 'MF_01023', NULL, 'Histidinol-phosphate aminotransferase [hisC].', NULL, NULL, 'HisC_aminotrans_2', 20050),
(20051, 'MF_01543', NULL, 'Formate--tetrahydrofolate ligase [fhs].', NULL, NULL, 'FTHFS', 20051),
(20052, 'MF_02108', NULL, 'HTH-type transcriptional regulator MurR [murR].', NULL, NULL, 'HTH_type_MurR', 20052),
(20053, 'MF_00088', NULL, 'UPF0109 protein <locus_tag>.', NULL, NULL, 'UPF0109', 20053),
(20054, 'MF_01592', NULL, 'Uncharacterized Nudix hydrolase NudL [nudL].', NULL, NULL, 'Nudix_NudL', 20054),
(20055, 'MF_01852', NULL, 'Threonylcarbamoyl-AMP synthase [tsaC].', NULL, NULL, 'TsaC', 20055),
(20056, 'MF_01605', NULL, '6-phosphogluconolactonase [pgl].', NULL, NULL, '6P_gluconolactonase', 20056),
(20057, 'MF_00294', NULL, '50S ribosomal protein L33 [rpmG].', NULL, NULL, 'Ribosomal_L33', 20057),
(20058, 'MF_04034', NULL, 'Envelope glycoprotein L [gL].', NULL, NULL, 'HSV_GL_alphagamma', 20058),
(20059, 'MF_00531', NULL, '30S ribosomal protein S19 [rpsS].', NULL, NULL, 'Ribosomal_S19', 20059),
(20060, 'MF_00429', NULL, 'Na(+)-translocating NADH-quinone reductase subunit E [nqrE].', NULL, NULL, 'NqrE', 20060),
(20061, 'MF_00126', NULL, 'Glutamine--tRNA ligase [glnS].', NULL, NULL, 'Gln_tRNA_synth', 20061),
(20062, 'MF_00997', NULL, 'Beta-barrel assembly-enhancing protease [bepA].', NULL, NULL, 'Protease_BepA', 20062),
(20063, 'MF_03120', NULL, 'Lon protease homolog, mitochondrial [LONP1].', NULL, NULL, 'lonm_euk', 20063),
(20064, 'MF_00132', NULL, 'Type 2 DNA topoisomerase 6 subunit A [top6A].', NULL, NULL, 'Top6A', 20064),
(20065, 'MF_00230', NULL, 'Nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase [cobT].', NULL, NULL, 'CobT', 20065),
(20066, 'MF_02034', NULL, 'Glutamate--cysteine ligase EgtA [egtA].', NULL, NULL, 'EgtA', 20066),
(20067, 'MF_02119', NULL, 'Lipoyl-[GcvH]:protein N-lipoyltransferase [lipL].', NULL, NULL, 'LipL', 20067);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20068, 'MF_00853', NULL, 'Protoporphyrinogen IX dehydrogenase [quinone] [hemG].', NULL, NULL, 'HemG', 20068),
(20069, 'MF_01031', NULL, '3-isopropylmalate dehydratase small subunit [leuD].', NULL, NULL, 'LeuD_type1', 20069),
(20070, 'MF_01092', NULL, 'Cell division protein ZapD [zapD].', NULL, NULL, 'ZapD', 20070),
(20071, 'MF_00173', NULL, 'Arginine repressor [argR].', NULL, NULL, 'Arg_repressor', 20071),
(20072, 'MF_00108', NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase [ispD].', NULL, NULL, 'IspD', 20072),
(20073, 'MF_01411', NULL, 'LPS-assembly protein LptD [lptD].', NULL, NULL, 'LPS_assembly_LptD', 20073),
(20074, 'MF_04074', NULL, 'Protein X [X].', NULL, NULL, 'HBV_X', 20074),
(20075, 'MF_03116', NULL, 'Methylthioribulose-1-phosphate dehydratase [APIP].', NULL, NULL, 'Salvage_MtnB_euk', 20075),
(20076, 'MF_00913', NULL, 'Probable peptidoglycan glycosyltransferase FtsW [ftsW].', NULL, NULL, 'PGT_FtsW_proteobact', 20076),
(20077, 'MF_01184', NULL, 'Xanthine phosphoribosyltransferase [xpt].', NULL, NULL, 'XPRTase', 20077),
(20078, 'MF_02088', NULL, 'Probable queuosine precursor transporter.', NULL, NULL, 'Q_prec_transport', 20078),
(20079, 'MF_03183', NULL, 'Endonuclease III-like protein 1 [NTHL1].', NULL, NULL, 'Endonuclease_III_Nth', 20079),
(20080, 'MF_01214', NULL, 'PyrE-like protein.', NULL, NULL, 'PyrE_like', 20080),
(20081, 'MF_01834', NULL, 'tRNA-splicing endonuclease [endA].', NULL, NULL, 'EndA_long', 20081),
(20082, 'MF_00116', NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, NULL, 'dUTPase_bact', 20082),
(20083, 'MF_00927', NULL, 'Cell wall synthesis protein CwsA [cwsA].', NULL, NULL, 'CwsA', 20083),
(20084, 'MF_01957', NULL, 'Serine/threonine-protein kinase PknD [pknD].', NULL, NULL, 'PknD_kinase', 20084),
(20085, 'MF_01818', NULL, 'Ribonuclease BN [rbn].', NULL, NULL, 'RNase_Z_BN', 20085),
(20086, 'MF_01653', NULL, '2,3-dihydroxyphenylpropionate/2,3-dihydroxicinnamic acid 1,2-dioxygenase [mhpB].', NULL, NULL, 'MhpB', 20086),
(20087, 'MF_00241', NULL, '8-oxoguanine DNA glycosylase/AP lyase [ogg].', NULL, NULL, 'Ogg', 20087),
(20088, 'MF_00422', NULL, 'Protein translocase subunit SecE [secE].', NULL, NULL, 'SecE', 20088),
(20089, 'MF_01083', NULL, 'Glutarate 2-hydroxylase [glaH].', NULL, NULL, 'glutarate_hydroxylase', 20089),
(20090, 'MF_00497_B', NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, NULL, 'G1P_dehydrogenase_B', 20090),
(20091, 'MF_00318', NULL, 'Enolase [eno].', NULL, NULL, 'Enolase', 20091),
(20092, 'MF_01147', NULL, 'Phosphatidylglycerol--prolipoprotein diacylglyceryl transferase [lgt].', NULL, NULL, 'Lgt', 20092),
(20093, 'MF_01228', NULL, 'Methionine--tRNA ligase [metG].', NULL, NULL, 'Met_tRNA_synth_type2', 20093),
(20094, 'MF_00712', NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 1 [gcvPA].', NULL, NULL, 'GcvPA', 20094),
(20095, 'MF_01659', NULL, '2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylate synthase [menD].', NULL, NULL, 'MenD', 20095),
(20096, 'MF_03023', NULL, 'Meiotic spindle formation protein mei-1 [mei-1].', NULL, NULL, 'Katanin_p60_A1', 20096),
(20097, 'MF_02106', NULL, 'Prokaryotic ubiquitin-like protein Pup [pup].', NULL, NULL, 'Pup', 20097),
(20098, 'MF_01340', NULL, 'UPF0353 protein <locus_tag>.', NULL, NULL, 'UPF0353', 20098),
(20099, 'MF_01044', NULL, 'Protein TsgA [tsgA].', NULL, NULL, 'MFS_TsgA', 20099),
(20100, 'MF_01462', NULL, 'Cobalt transport protein CbiM [cbiM].', NULL, NULL, 'CbiM', 20100),
(20101, 'MF_00052_A', NULL, 'Ribonuclease HII [rnhB].', NULL, NULL, 'RNase_HII_A', 20101),
(20102, 'MF_00161', NULL, 'Lipoprotein signal peptidase [lspA].', NULL, NULL, 'LspA', 20102),
(20103, 'MF_00360', NULL, '30S ribosomal protein S6 [rpsF].', NULL, NULL, 'Ribosomal_S6', 20103),
(20104, 'MF_00820', NULL, '2,3-diketo-L-gulonate reductase [dlgD].', NULL, NULL, 'Diketo_gul_reduc', 20104),
(20105, 'MF_02099', NULL, 'Hydrogenase maturation factor HybF [hybF].', NULL, NULL, 'HybF_subfam', 20105);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20106, 'MF_00937', NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, NULL, 'ParC_type2', 20106),
(20107, 'MF_01158', NULL, 'DnaA regulatory inactivator Hda [hda].', NULL, NULL, 'Hda', 20107),
(20108, 'MF_01322', NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC].', NULL, NULL, 'RNApol_bact_RpoC', 20108),
(20109, 'MF_02097', NULL, 'Carnitine monooxygenase oxygenase subunit.', NULL, NULL, 'Carnitine_monoox_A', 20109),
(20110, 'MF_04130', NULL, 'Outer capsid glycoprotein VP7.', NULL, NULL, 'Rota_VP7', 20110),
(20111, 'MF_00168', NULL, 'Queuine tRNA-ribosyltransferase [tgt].', NULL, NULL, 'Q_tRNA_Tgt', 20111),
(20112, 'MF_01350', NULL, 'NAD(P)H-quinone oxidoreductase subunit 1, chloroplastic [ndhA].', NULL, NULL, 'NDH1_NuoH', 20112),
(20113, 'MF_00061', NULL, 'Putative 4-diphosphocytidyl-2-C-methyl-D-erythritol kinase [ispE].', NULL, NULL, 'IspE', 20113),
(20114, 'MF_00961', NULL, 'RNA polymerase sigma factor RpoH [rpoH].', NULL, NULL, 'Sigma70_RpoH', 20114),
(20115, 'MF_01211', NULL, 'Dihydroorotate dehydrogenase B (NAD(+)), electron transfer subunit [pyrK].', NULL, NULL, 'DHODB_Fe_S_bind', 20115),
(20116, 'MF_02113_B', NULL, 'Proteasome subunit beta [prcB].', NULL, NULL, 'Proteasome_B_B', 20116),
(20117, 'MF_03212', NULL, 'NADPH--cytochrome P450 reductase [POR].', NULL, NULL, 'NCPR', 20117),
(20118, 'MF_00792', NULL, '15,16-dihydrobiliverdin:ferredoxin oxidoreductase [pebA].', NULL, NULL, 'PebA', 20118),
(20119, 'MF_02013', NULL, 'Cell division protein ZapA [zapA].', NULL, NULL, 'ZapA_type2', 20119),
(20120, 'MF_00266', NULL, 'tRNA(Phe) 7-((3-amino-3-carboxypropyl)-4-demethylwyosine(37)-N(4))-methyltransferase [taw3].', NULL, NULL, 'TYW3_archaea', 20120),
(20121, 'MF_00343', NULL, 'UPF0148 protein <locus_tag>.', NULL, NULL, 'UPF0148', 20121),
(20122, 'MF_01263', NULL, 'CCA-adding enzyme [cca].', NULL, NULL, 'CCA_bact_type3', 20122),
(20123, 'MF_00346', NULL, 'UPF0149 protein YgfB [ygfB].', NULL, NULL, 'UPF0149', 20123),
(20124, 'MF_01406', NULL, 'UPF0282 protein <locus_tag>.', NULL, NULL, 'UPF0282', 20124),
(20125, 'MF_00522', NULL, 'Photosystem I reaction center subunit IX [psaJ].', NULL, NULL, 'PSI_PsaJ', 20125),
(20126, 'MF_01203', NULL, 'Voltage-gated ClC-type chloride channel ClcB [clcB].', NULL, NULL, 'CLC_ClcB', 20126),
(20127, 'MF_01241', NULL, 'Glucosamine-6-phosphate deaminase [nagB].', NULL, NULL, 'GlcN6P_deamin', 20127),
(20128, 'MF_00666', NULL, 'Small, acid-soluble spore protein P [sspP].', NULL, NULL, 'SspP', 20128),
(20129, 'MF_01332', NULL, 'Secretion monitor [secM].', NULL, NULL, 'SecM', 20129),
(20130, 'MF_00699', NULL, 'Probable Brix domain-containing ribosomal biogenesis protein.', NULL, NULL, 'BriX', 20130),
(20131, 'MF_01015', NULL, 'Putative transport protein YbjL [ybjL].', NULL, NULL, 'YbjL', 20131),
(20132, 'MF_00182', NULL, 'Methionyl-tRNA formyltransferase [fmt].', NULL, NULL, 'Formyl_trans', 20132),
(20133, 'MF_00042', NULL, 'Ribonuclease H [rnhA].', NULL, NULL, 'RNase_H', 20133),
(20134, 'MF_01166', NULL, 'Bifunctional polymyxin resistance protein ArnA [arnA].', NULL, NULL, 'ArnA', 20134),
(20135, 'MF_01183', NULL, 'Chaperone SurA [surA].', NULL, NULL, 'Chaperone_SurA', 20135),
(20136, 'MF_01185', NULL, 'Flagellar assembly factor FliW [fliW].', NULL, NULL, 'FliW', 20136),
(20137, 'MF_01076', NULL, 'UPF0273 protein <locus_tag>.', NULL, NULL, 'UPF0273', 20137),
(20138, 'MF_00479', NULL, 'Ion-translocating oxidoreductase complex subunit G [rsxG].', NULL, NULL, 'RsxG_RnfG', 20138),
(20139, 'MF_00482', NULL, 'Photosystem I P700 chlorophyll a apoprotein A2 [psaB].', NULL, NULL, 'PSI_PsaB', 20139),
(20140, 'MF_03163', NULL, 'AdoMet-dependent rRNA methyltransferase <gene_name> [SPB1].', NULL, NULL, 'RNA_methyltr_E_SPB1', 20140),
(20141, 'MF_01337_B', NULL, '50S ribosomal protein L18 [rplR].', NULL, NULL, 'Ribosomal_L18_B', 20141),
(20142, 'MF_04128', NULL, 'Protein VP3.', NULL, NULL, 'Rota_VP3_A', 20142),
(20143, 'MF_00903', NULL, 'Probable Sec-independent protein translocase protein TatE [tatE].', NULL, NULL, 'TatE', 20143);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20144, 'MF_01819', NULL, 'Transcriptional regulator SlyA [slyA].', NULL, NULL, 'HTH_type_SlyA', 20144),
(20145, 'MF_00226_A', NULL, 'Putative competence-damage inducible protein [cinA].', NULL, NULL, 'CinA_A', 20145),
(20146, 'MF_01519', NULL, 'UPF0325 protein YaeH [yaeH].', NULL, NULL, 'UPF0325', 20146),
(20147, 'MF_00133', NULL, 'Tryptophan synthase beta chain [trpB].', NULL, NULL, 'Trp_synth_beta', 20147),
(20148, 'MF_00322', NULL, 'Type 2 DNA topoisomerase 6 subunit B [top6B].', NULL, NULL, 'Top6B', 20148),
(20149, 'MF_01311', NULL, 'Protein-disulfide oxidoreductase DsbI [dsbI].', NULL, NULL, 'DsbI', 20149),
(20150, 'MF_01407', NULL, 'ORC1-type DNA replication protein.', NULL, NULL, 'ORC1_type_DNA_replic_protein', 20150),
(20151, 'MF_03052', NULL, 'Molybdopterin synthase catalytic subunit [cnxH].', NULL, NULL, 'MOC2B', 20151),
(20152, 'MF_04096', NULL, 'Nucleoprotein [N].', NULL, NULL, 'BETA_CORONA_NCAP', 20152),
(20153, 'MF_00347', NULL, 'Polyphosphate kinase [ppk].', NULL, NULL, 'Polyphosphate_kinase', 20153),
(20154, 'MF_01074', NULL, 'Pyridinium-3,5-bisthiocarboxylic acid mononucleotide nickel insertion protein [larC].', NULL, NULL, 'LarC', 20154),
(20155, 'MF_01618', NULL, '3-ketoacyl-CoA thiolase [fadI].', NULL, NULL, 'FadI', 20155),
(20156, 'MF_00032', NULL, 'Translation initiation factor 6 [eif6].', NULL, NULL, 'eIF_6', 20156),
(20157, 'MF_02005', NULL, 'Valine--tRNA ligase [valS].', NULL, NULL, 'Val_tRNA_synth_type2', 20157),
(20158, 'MF_01556', NULL, 'Galactose-6-phosphate isomerase subunit LacB [lacB].', NULL, NULL, 'LacB', 20158),
(20159, 'MF_02242', NULL, 'Archaetidylinositol phosphate synthase.', NULL, NULL, 'AIP_synthase', 20159),
(20160, 'MF_00334', NULL, 'Homogentisate 1,2-dioxygenase [hmgA].', NULL, NULL, 'Homogentis_dioxygen', 20160),
(20161, 'MF_00468', NULL, 'Sulfate transporter CysZ [cysZ].', NULL, NULL, 'CysZ', 20161),
(20162, 'MF_00969', NULL, 'Transcription-repair-coupling factor [mfd].', NULL, NULL, 'TRCF', 20162),
(20163, 'MF_01939', NULL, '2-methylisocitrate lyase [prpB].', NULL, NULL, 'PrpB', 20163),
(20164, 'MF_04008', NULL, 'Capsid scaffolding protein.', NULL, NULL, 'HSV_SCAF', 20164),
(20165, 'MF_00180', NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase [ribB].', NULL, NULL, 'RibB', 20165),
(20166, 'MF_01542', NULL, 'UPF0349 protein <locus_tag>.', NULL, NULL, 'UPF0349', 20166),
(20167, 'MF_00458', NULL, 'Photosystem I P700 chlorophyll a apoprotein A1 [psaA].', NULL, NULL, 'PSI_PsaA', 20167),
(20168, 'MF_01026', NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, NULL, 'LeuC_type1', 20168),
(20169, 'MF_00257', NULL, 'Putative snRNP Sm-like protein.', NULL, NULL, 'Lsm_RuxX', 20169),
(20170, 'MF_00778', NULL, 'Probable subtilase-type protease inhibitor [sti].', NULL, NULL, 'SSI', 20170),
(20171, 'MF_00553', NULL, 'Proteasome-activating nucleotidase [pan].', NULL, NULL, 'PAN', 20171),
(20172, 'MF_00966', NULL, 'Glucose-6-phosphate 1-dehydrogenase [zwf].', NULL, NULL, 'G6PD', 20172),
(20173, 'MF_01680', NULL, '2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase [mtnX].', NULL, NULL, 'Salvage_MtnX', 20173),
(20174, 'MF_01590', NULL, 'tRNA U34 carboxymethyltransferase [cmoB].', NULL, NULL, 'tRNA_carboxymethyltr_CmoB', 20174),
(20175, 'MF_01121', NULL, 'NAD-dependent protein deacylase [cobB].', NULL, NULL, 'Sirtuin_ClassIII', 20175),
(20176, 'MF_00704', NULL, 'Probable aspartoacylase.', NULL, NULL, 'Aspartoacylase', 20176),
(20177, 'MF_00797', NULL, 'UPF0335 protein <locus_tag>.', NULL, NULL, 'UPF0335', 20177),
(20178, 'MF_04060', NULL, 'Shutoff protein [L4].', NULL, NULL, 'ADV_SHUT', 20178),
(20179, 'MF_01075', NULL, 'K(+)/H(+) antiporter NhaP2 [nhaP2].', NULL, NULL, 'NhaP2', 20179),
(20180, 'MF_03054', NULL, 'Cytoplasmic tRNA 2-thiolation protein 2 [CTU2].', NULL, NULL, 'CTU2', 20180),
(20181, 'MF_02205', NULL, 'ATP-dependent DNA helicase DinG [dinG].', NULL, NULL, 'DinG_proteobact', 20181),
(20182, 'MF_00634', NULL, 'UPF0235 protein YggU [yggU].', NULL, NULL, 'UPF0235', 20182);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20183, 'MF_01155', NULL, 'Chaperone modulatory protein CbpM [cbpM].', NULL, NULL, 'CbpM', 20183),
(20184, 'MF_01643', NULL, 'Formate-dependent phosphoribosylglycinamide formyltransferase [purT].', NULL, NULL, 'PurT', 20184),
(20185, 'MF_02130', NULL, 'Dihydroneopterin aldolase [mptD].', NULL, NULL, 'DHNA_arch', 20185),
(20186, 'MF_00943', NULL, 'Maleate isomerase [maiA].', NULL, NULL, 'Maleate_isomerase', 20186),
(20187, 'MF_00440', NULL, 'Transcriptional repressor NrdR [nrdR].', NULL, NULL, 'NrdR', 20187),
(20188, 'MF_04038', NULL, 'Cytoplasmic envelopment protein 1.', NULL, NULL, 'HSV_CEP1', 20188),
(20189, 'MF_01028', NULL, 'Putative (R)-citramalate synthase CimA [cimA].', NULL, NULL, 'CimA', 20189),
(20190, 'MF_02043', NULL, 'tRNA-dihydrouridine(16) synthase [dusC].', NULL, NULL, 'DusC_subfam', 20190),
(20191, 'MF_03104', NULL, 'Mitochondrial distribution and morphology protein 12 [MDM12].', NULL, NULL, 'Mdm12', 20191),
(20192, 'MF_00270', NULL, '30S ribosomal protein S18 [rpsR].', NULL, NULL, 'Ribosomal_S18', 20192),
(20193, 'MF_00691', NULL, '5-oxoprolinase subunit A [pxpA].', NULL, NULL, 'PxpA', 20193),
(20194, 'MF_00354', NULL, 'Isopentenyl-diphosphate delta-isomerase [fni].', NULL, NULL, 'Idi_2', 20194),
(20195, 'MF_00773', NULL, '50S ribosomal protein L24e [rpl24e].', NULL, NULL, 'Ribosomal_L24e', 20195),
(20196, 'MF_01262', NULL, 'CCA-adding enzyme [cca].', NULL, NULL, 'CCA_bact_type2', 20196),
(20197, 'MF_00657', NULL, 'PKHD-type hydroxylase YbiX [ybiX].', NULL, NULL, 'Hydroxyl_YbiX', 20197),
(20198, 'MF_00250', NULL, 'DNA-directed RNA polymerase subunit N [rpoN].', NULL, NULL, 'RNApol_arch_N', 20198),
(20199, 'MF_00310', NULL, 'V-type ATP synthase beta chain [atpB].', NULL, NULL, 'ATP_synth_B_arch', 20199),
(20200, 'MF_02093', NULL, 'Probable beta-carotene 15,15''-dioxygenase.', NULL, NULL, 'Beta_carotene_diox', 20200),
(20201, 'MF_01683', NULL, 'Methylthioribose kinase [mtnK].', NULL, NULL, 'Salvage_MtnK', 20201),
(20202, 'MF_00130', NULL, 'Holliday junction resolvase RecU [recU].', NULL, NULL, 'RecU', 20202),
(20203, 'MF_01099', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit F [mtrF].', NULL, NULL, 'MtrF', 20203),
(20204, 'MF_02010', NULL, 'Anti-adapter protein IraD [iraD].', NULL, NULL, 'IraD', 20204),
(20205, 'MF_00071', NULL, 'Elongation factor 4 [lepA].', NULL, NULL, 'LepA', 20205),
(20206, 'MF_01551', NULL, 'Ribosomal RNA large subunit methyltransferase M [rlmM].', NULL, NULL, '23SrRNA_methyltr_M', 20206),
(20207, 'MF_01489', NULL, 'Putative DNA helicase Rad25 [rad25].', NULL, NULL, 'Helicase_Rad25_arch', 20207),
(20208, 'MF_00829', NULL, 'UPF0435 protein <locus_tag>.', NULL, NULL, 'UPF0435', 20208),
(20209, 'MF_00793', NULL, 'Phycoerythrobilin:ferredoxin oxidoreductase [pebB].', NULL, NULL, 'PebB', 20209),
(20210, 'MF_02201', NULL, 'Ferredoxin-type protein NapF [napF].', NULL, NULL, 'NapF', 20210),
(20211, 'MF_00514', NULL, '50S ribosomal protein L35 [rpmI].', NULL, NULL, 'Ribosomal_L35', 20211),
(20212, 'MF_03070', NULL, 'Scavenger receptor class A member 5 [SCARA5].', NULL, NULL, 'SCARA5', 20212),
(20213, 'MF_01968', NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, NULL, 'Sirtuin_ClassU', 20213),
(20214, 'MF_01138', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit beta [cdhC].', NULL, NULL, 'CdhC', 20214),
(20215, 'MF_03106', NULL, 'Sulfate adenylyltransferase [MET3].', NULL, NULL, 'Sulf_adenylyltr_euk', 20215),
(20216, 'MF_00840', NULL, 'Diadenylate cyclase [dacZ].', NULL, NULL, 'DacZ', 20216),
(20217, 'MF_00282', NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, NULL, 'Phe_tRNA_synth_alpha2', 20217),
(20218, 'MF_01837', NULL, 'Adaptive-response sensory-kinase SasA [sasA].', NULL, NULL, 'Kinase_SasA', 20218),
(20219, 'MF_00563', NULL, 'S-inosyl-L-homocysteine hydrolase [ahcY].', NULL, NULL, 'AdoHcyase', 20219),
(20220, 'MF_00578', NULL, 'Glutamate--cysteine ligase [gshA].', NULL, NULL, 'Glu_cys_ligase', 20220),
(20221, 'MF_00919', NULL, 'Ribosome modulation factor [rmf].', NULL, NULL, 'RMF', 20221);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20222, 'MF_03034', NULL, 'RISC-loading complex subunit @gn(TARBP2) [TARBP2].', NULL, NULL, 'TRBP2', 20222),
(20223, 'MF_01952', NULL, 'L-ribulose-5-phosphate 4-epimerase UlaF [ulaF].', NULL, NULL, 'UlaF', 20223),
(20224, 'MF_00087', NULL, 'Glutamyl-tRNA reductase [hemA].', NULL, NULL, 'Glu_tRNA_reductase', 20224),
(20225, 'MF_01205', NULL, 'O-acetyl-ADP-ribose deacetylase [ymdB].', NULL, NULL, 'YmdB', 20225),
(20226, 'MF_01652', NULL, '3-(3-hydroxy-phenyl)propionate/3-hydroxycinnamic acid hydroxylase [mhpA].', NULL, NULL, 'MhpA', 20226),
(20227, 'MF_03016', NULL, '40S ribosomal protein SA [RPSA].', NULL, NULL, 'Ribosomal_S2_laminin_receptor', 20227),
(20228, 'MF_01641', NULL, 'UPF0509 protein YciZ [yciZ].', NULL, NULL, 'UPF0509', 20228),
(20229, 'MF_00757', NULL, 'Ribonuclease P protein component 4 [rnp4].', NULL, NULL, 'RNase_P_4', 20229),
(20230, 'MF_00796', NULL, 'Nucleoside-triphosphatase <locus_tag>.', NULL, NULL, 'NTPase_1', 20230),
(20231, 'MF_03011', NULL, 'Eukaryotic translation initiation factor 3 subunit L [EIF3L].', NULL, NULL, 'eIF3l', 20231),
(20232, 'MF_01958', NULL, 'Acetyl esterase [aes].', NULL, NULL, 'Acetyl_esterase', 20232),
(20233, 'MF_04052', NULL, 'Penton protein [L2].', NULL, NULL, 'ADV_CAPSP', 20233),
(20234, 'MF_00312', NULL, 'V-type ATP synthase subunit F [atpF].', NULL, NULL, 'ATP_synth_F_arch', 20234),
(20235, 'MF_00497_A', NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, NULL, 'G1P_dehydrogenase_A', 20235),
(20236, 'MF_00709', NULL, 'Fumarate reductase subunit D [frdD].', NULL, NULL, 'Fumarate_red_D', 20236),
(20237, 'MF_00744', NULL, 'Met repressor [metJ].', NULL, NULL, 'MetJ', 20237),
(20238, 'MF_00150', NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, NULL, 'ArgC_type1', 20238),
(20239, 'MF_03065', NULL, 'Regulator of telomere elongation helicase 1 [RTEL1].', NULL, NULL, 'RTEL1', 20239),
(20240, 'MF_01172', NULL, 'N-succinylarginine dihydrolase [astB].', NULL, NULL, 'AstB', 20240),
(20241, 'MF_04127', NULL, 'Inner capsid protein VP2.', NULL, NULL, 'Rota_VP2_A', 20241),
(20242, 'MF_00012', NULL, 'Dihydroxy-acid dehydratase [ilvD].', NULL, NULL, 'IlvD', 20242),
(20243, 'MF_00357', NULL, 'Probable DNA-directed RNA polymerase subunit delta [rpoE].', NULL, NULL, 'RNApol_bact_RpoE', 20243),
(20244, 'MF_03118', NULL, 'Probable bifunctional methylthioribulose-1-phosphate dehydratase/enolase-phosphatase E1.', NULL, NULL, 'Salvage_MtnBC', 20244),
(20245, 'MF_01892', NULL, 'tRNA(Ile2) 2-agmatinylcytidine synthetase TiaS [tiaS].', NULL, NULL, 'tRNA_Ile2_agm2C_synt', 20245),
(20246, 'MF_00204', NULL, 'UvrABC system protein B [uvrB].', NULL, NULL, 'UvrB', 20246),
(20247, 'MF_01862', NULL, 'Ribosomal RNA small subunit methyltransferase C [rsmC].', NULL, NULL, '16SrRNA_methyltr_C', 20247),
(20248, 'MF_00807', NULL, '1-aminocyclopropane-1-carboxylate deaminase [acdS].', NULL, NULL, 'ACC_deaminase', 20248),
(20249, 'MF_01840', NULL, 'Aerobic magnesium-protoporphyrin IX monomethyl ester [oxidative] cyclase [acsF].', NULL, NULL, 'AcsF', 20249),
(20250, 'MF_01504', NULL, 'Small, acid-soluble spore protein K [sspK].', NULL, NULL, 'SspK', 20250),
(20251, 'MF_04041', NULL, 'Cytoplasmic envelopment protein 3.', NULL, NULL, 'HSV_CEP3_betahv', 20251),
(20252, 'MF_01932', NULL, 'AMP nucleosidase [amn].', NULL, NULL, 'AMP_nucleosidase', 20252),
(20253, 'MF_04113', NULL, 'Capsid vertex protein.', NULL, NULL, 'CAPSID_P_T4', 20253),
(20254, 'MF_00818', NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, NULL, 'QueF_type1', 20254),
(20255, 'MF_01277', NULL, 'HTH-type transcriptional repressor PurR [purR].', NULL, NULL, 'HTH_type_PurR', 20255),
(20256, 'MF_01366', NULL, '50S ribosomal protein L13 [rplM].', NULL, NULL, 'Ribosomal_L13', 20256),
(20257, 'MF_00728', NULL, 'Septation ring formation regulator EzrA [ezrA].', NULL, NULL, 'EzrA', 20257),
(20258, 'MF_01236', NULL, 'HTH-type transcriptional repressor NanR [nanR].', NULL, NULL, 'HTH_NanR', 20258);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20259, 'MF_01695', NULL, 'D-inositol-3-phosphate glycosyltransferase [mshA].', NULL, NULL, 'MshA', 20259),
(20260, 'MF_01831', NULL, 'Cysteine desulfurase [sufS].', NULL, NULL, 'SufS_aminotrans_5', 20260),
(20261, 'MF_00152', NULL, 'Probable endonuclease 4 [nfo].', NULL, NULL, 'Nfo', 20261),
(20262, 'MF_00134_A', NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, NULL, 'IGPS_A', 20262),
(20263, 'MF_01950', NULL, 'Acyl carrier protein phosphodiesterase [acpH].', NULL, NULL, 'AcpH', 20263),
(20264, 'MF_04042', NULL, 'Cytoplasmic envelopment protein 3.', NULL, NULL, 'HSV_CEP3_gammahv', 20264),
(20265, 'MF_01034', NULL, 'Putative D-alanyl-D-alanine carboxypeptidase [yfeW].', NULL, NULL, 'S12_YfeW', 20265),
(20266, 'MF_01296', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ [gatZ].', NULL, NULL, 'Tagatose_aldol_GatZ', 20266),
(20267, 'MF_00355', NULL, 'Light-independent protochlorophyllide reductase iron-sulfur ATP-binding protein [bchL].', NULL, NULL, 'ChlL_BchL', 20267),
(20268, 'MF_01628', NULL, 'Thymidine phosphorylase [deoA].', NULL, NULL, 'Thymid_phosp', 20268),
(20269, 'MF_00356', NULL, 'DNA polymerase III PolC-type [polC].', NULL, NULL, 'DNApol_PolC', 20269),
(20270, 'MF_01202', NULL, 'D-amino acid dehydrogenase [dadA].', NULL, NULL, 'DadA', 20270),
(20271, 'MF_02117', NULL, 'N(2)-fixation sustaining protein CowN [cowN].', NULL, NULL, 'CowN', 20271),
(20272, 'MF_03178', NULL, 'NADPH-dependent diflavin oxidoreductase 1 [TAH18].', NULL, NULL, 'NDOR1', 20272),
(20273, 'MF_00544', NULL, 'Tryptophanase [tnaA].', NULL, NULL, 'Tryptophanase', 20273),
(20274, 'MF_01921', NULL, 'S-adenosyl-L-methionine-dependent tRNA 4-demethylwyosine synthase [taw1].', NULL, NULL, 'TYW1_archaea', 20274),
(20275, 'MF_01976', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_III', 20275),
(20276, 'MF_04022', NULL, 'Small capsomere-interacting protein [SCP].', NULL, NULL, 'HSV_SCP_gammahv', 20276),
(20277, 'MF_01290', NULL, '2-keto-3-deoxy-L-rhamnonate aldolase [rhmA].', NULL, NULL, 'KDR_aldolase', 20277),
(20278, 'MF_02072', NULL, 'Inhibitor of hydrogen peroxide resistance [iprA].', NULL, NULL, 'IprA', 20278),
(20279, 'MF_01134', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit epsilon [cdhB].', NULL, NULL, 'CdhB', 20279),
(20280, 'MF_01850', NULL, 'tRNA-cytidine(32) 2-sulfurtransferase [ttcA].', NULL, NULL, 'TtcA', 20280),
(20281, 'MF_01187', NULL, 'UPF0434 protein YcaR [ycaR].', NULL, NULL, 'UPF0434', 20281),
(20282, 'MF_00610', NULL, 'Cytochrome f [petA].', NULL, NULL, 'Cytb6_f_cytF', 20282),
(20283, 'MF_01320_A', NULL, '50S ribosomal protein L2 [rplB].', NULL, NULL, 'Ribosomal_L2_A', 20283),
(20284, 'MF_00103', NULL, 'Formamidopyrimidine-DNA glycosylase [mutM].', NULL, NULL, 'Fapy_DNA_glycosyl', 20284),
(20285, 'MF_01423', NULL, 'Multidrug resistance protein MdtB [mdtB].', NULL, NULL, 'MdtB', 20285),
(20286, 'MF_01962', NULL, 'Adenine deaminase.', NULL, NULL, 'Adenine_deaminase', 20286),
(20287, 'MF_00941', NULL, 'GDP-mannose mannosyl hydrolase [gmm].', NULL, NULL, 'GDPMH_gmm', 20287),
(20288, 'MF_00216', NULL, 'Translation initiation factor 1A [eif1a].', NULL, NULL, 'aIF_1A', 20288),
(20289, 'MF_00290', NULL, 'tRNA (guanine(26)-N(2))-dimethyltransferase [trm1].', NULL, NULL, 'tRNA_dimethyltr_TRM1', 20289),
(20290, 'MF_00784', NULL, 'Accessory gene regulator protein B [agrB].', NULL, NULL, 'AgrB', 20290),
(20291, 'MF_01133', NULL, 'Ribulose bisphosphate carboxylase [rbcL].', NULL, NULL, 'RuBisCO_L_type3', 20291),
(20292, 'MF_01330', NULL, 'Protein Ycf2 [ycf2].', NULL, NULL, 'Ycf2', 20292),
(20293, 'MF_01517', NULL, 'Malate dehydrogenase [mdh].', NULL, NULL, 'Malate_dehydrog_2', 20293),
(20294, 'MF_03001', NULL, 'Eukaryotic translation initiation factor 3 subunit B [EIF3B].', NULL, NULL, 'eIF3b', 20294),
(20295, 'MF_01385', NULL, 'Urease accessory protein UreF [ureF].', NULL, NULL, 'UreF', 20295),
(20296, 'MF_00649', NULL, 'DNA gyrase inhibitor YacG [yacG].', NULL, NULL, 'DNA_gyrase_inhibitor_YacG', 20296);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20297, 'MF_01196', NULL, 'Cell division protein ZapB [zapB].', NULL, NULL, 'ZapB', 20297),
(20298, 'MF_01383', NULL, 'Photosystem II D2 protein [psbD].', NULL, NULL, 'PSII_PsbD_D2', 20298),
(20299, 'MF_01198', NULL, 'Anti-adapter protein IraP [iraP].', NULL, NULL, 'Anti_adapt_IraP', 20299),
(20300, 'MF_01050', NULL, 'L-carnitine CoA-transferase [caiB].', NULL, NULL, 'CaiB', 20300),
(20301, 'MF_00614', NULL, 'Flap endonuclease 1 [fen].', NULL, NULL, 'Fen', 20301),
(20302, 'MF_00327', NULL, '50S ribosomal protein L37Ae [rpl37ae].', NULL, NULL, 'Ribosomal_L37Ae', 20302),
(20303, 'MF_01056', NULL, 'Protein FixB [fixB].', NULL, NULL, 'FixB', 20303),
(20304, 'MF_00037', NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase [murB].', NULL, NULL, 'MurB', 20304),
(20305, 'MF_00582', NULL, 'UPF0215 protein <locus_tag>.', NULL, NULL, 'UPF0215', 20305),
(20306, 'MF_01009', NULL, 'Thiosulfate sulfurtransferase GlpE [glpE].', NULL, NULL, 'Thiosulf_sulfurtr', 20306),
(20307, 'MF_03121', NULL, 'Lon protease homolog 2, peroxisomal [LONP2].', NULL, NULL, 'lonp2_euk', 20307),
(20308, 'MF_00926', NULL, 'RNA polymerase-binding transcription factor DksA [dksA].', NULL, NULL, 'DksA', 20308),
(20309, 'MF_03064', NULL, 'Mitochondrial glycine transporter [SLC25A38].', NULL, NULL, 'SLC25A38', 20309),
(20310, 'MF_00177', NULL, 'Lysine--tRNA ligase [lysS].', NULL, NULL, 'Lys_tRNA_synth_class1', 20310),
(20311, 'MF_00847', NULL, 'Energy-dependent translational throttle protein EttA [ettA].', NULL, NULL, 'EttA', 20311),
(20312, 'MF_01451', NULL, 'ATP-dependent helicase/nuclease subunit A [addA].', NULL, NULL, 'AddA', 20312),
(20313, 'MF_02121', NULL, 'Aspartate-semialdehyde dehydrogenase [asd].', NULL, NULL, 'ASADH', 20313),
(20314, 'MF_01188', NULL, 'UPF0441 protein YgiB [ygiB].', NULL, NULL, 'UPF0441', 20314),
(20315, 'MF_00471', NULL, 'Regulator of ribonuclease activity A [rraA].', NULL, NULL, 'RraA', 20315),
(20316, 'MF_00637', NULL, 'Anti-sigma F factor [spoIIAB].', NULL, NULL, 'Anti_sigma_F', 20316),
(20317, 'MF_03057', NULL, 'Succinate dehydrogenase assembly factor 2, mitochondrial [SDHAF2].', NULL, NULL, 'SDHAF2', 20317),
(20318, 'MF_04100', NULL, 'DNA-directed DNA polymerase.', NULL, NULL, 'DPOL_T4', 20318),
(20319, 'MF_00711', NULL, 'Glycine dehydrogenase (decarboxylating) [gcvP].', NULL, NULL, 'GcvP', 20319),
(20320, 'MF_00006', NULL, 'Argininosuccinate lyase [argH].', NULL, NULL, 'Arg_succ_lyase', 20320),
(20321, 'MF_00952', NULL, 'DNA topoisomerase 1 [topA].', NULL, NULL, 'Topoisom_1_prok', 20321),
(20322, 'MF_00776', NULL, 'Glyoxylate reductase [gyaR].', NULL, NULL, 'GyaR', 20322),
(20323, 'MF_04009', NULL, 'Shutoff alkaline exonuclease.', NULL, NULL, 'HSV_AN', 20323),
(20324, 'MF_00585', NULL, 'UPF0216 protein <locus_tag>.', NULL, NULL, 'UPF0216', 20324),
(20325, 'MF_01209', NULL, 'Carbamoyl-phosphate synthase small chain [carA].', NULL, NULL, 'CPSase_S_chain', 20325),
(20326, 'MF_00752', NULL, 'Photosystem II reaction center protein H [psbH].', NULL, NULL, 'PSII_PsbH', 20326),
(20327, 'MF_04065', NULL, 'RNA-directed RNA polymerase catalytic subunit [PB1].', NULL, NULL, 'INFV_RDRP', 20327),
(20328, 'MF_01120', NULL, '[LysW]-lysine/[LysW]-ornithine hydrolase [lysK].', NULL, NULL, 'LysK', 20328),
(20329, 'MF_00435', NULL, 'Ketol-acid reductoisomerase (NADP(+)) [ilvC].', NULL, NULL, 'IlvC', 20329),
(20330, 'MF_00466', NULL, 'Probable M18 family aminopeptidase 1 [apeA].', NULL, NULL, 'Aminopeptidase_M18_1', 20330),
(20331, 'MF_01435', NULL, 'Protein YebF [yebF].', NULL, NULL, 'YebF', 20331),
(20332, 'MF_00439', NULL, 'Photosystem I assembly protein Ycf3 [ycf3].', NULL, NULL, 'Ycf3', 20332),
(20333, 'MF_04077', NULL, 'Protein Rev [rev].', NULL, NULL, 'REV_HIV1', 20333),
(20334, 'MF_00932', NULL, 'Thiol:disulfide interchange protein DsbL [dsbL].', NULL, NULL, 'DsbL', 20334),
(20335, 'MF_01369_B', NULL, '50S ribosomal protein L23 [rplW].', NULL, NULL, 'Ribosomal_L23_B', 20335),
(20336, 'MF_01904', NULL, 'Phosphoenolpyruvate carboxylase [ppcA].', NULL, NULL, 'PEPcase_type2', 20336); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20337, 'MF_01915', NULL, 'Lipopolysaccharide export system protein LptC [lptC].', NULL, NULL, 'LPS_assembly_LptC', 20337),
(20338, 'MF_01539', NULL, 'tRNA(Met) cytidine acetate ligase [tmcAL].', NULL, NULL, 'TmcAL', 20338),
(20339, 'MF_01842', NULL, 'Archaemetzincin [amzA].', NULL, NULL, 'Archaemetzincin', 20339),
(20340, 'MF_01847', NULL, 'HMP-PP phosphatase [cof].', NULL, NULL, 'HMP_PP_phosphat', 20340),
(20341, 'MF_00262', NULL, 'Cell division topological specificity factor [minE].', NULL, NULL, 'MinE', 20341),
(20342, 'MF_00242', NULL, 'Arginine deiminase [arcA].', NULL, NULL, 'Arg_deiminase', 20342),
(20343, 'MF_01018', NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, NULL, 'HisG_Short', 20343),
(20344, 'MF_01132', NULL, 'Regulatory protein Spx [spxA].', NULL, NULL, 'SpxA', 20344),
(20345, 'MF_01269', NULL, 'Shikimate kinase 2 [aroL].', NULL, NULL, 'Shikimate_kinase_2', 20345),
(20346, 'MF_01349', NULL, 'Bifunctional pantoate ligase/cytidylate kinase [panC/cmk].', NULL, NULL, 'PanCY', 20346),
(20347, 'MF_00532_B', NULL, '30S ribosomal protein S9 [rpsI].', NULL, NULL, 'Ribosomal_S9_B', 20347),
(20348, 'MF_01420', NULL, 'Probable cell division protein WhiA [whiA].', NULL, NULL, 'HTH_type_WhiA', 20348),
(20349, 'MF_00203', NULL, 'UvrABC system protein C [uvrC].', NULL, NULL, 'UvrC', 20349),
(20350, 'MF_00392', NULL, 'Lipid-A-disaccharide synthase [lpxB].', NULL, NULL, 'LpxB', 20350),
(20351, 'MF_02241', NULL, 'Phosphatidylinositol phosphate synthase.', NULL, NULL, 'PIP_synthase', 20351),
(20352, 'MF_01216', NULL, 'FMN-dependent NADH-azoreductase [azoR].', NULL, NULL, 'Azoreductase_type1', 20352),
(20353, 'MF_01219', NULL, 'Bifunctional protein PyrR [pyrR].', NULL, NULL, 'PyrR', 20353),
(20354, 'MF_03045', NULL, 'DIS3-like exonuclease 2 [DIS3L2].', NULL, NULL, 'DIS3L2', 20354),
(20355, 'MF_04103', NULL, 'Baseplate wedge protein gp7.', NULL, NULL, 'BP07_T4', 20355),
(20356, 'MF_04132', NULL, 'Outer capsid protein VP4.', NULL, NULL, 'Rota_A_VP4', 20356),
(20357, 'MF_00518', NULL, 'D-aminoacyl-tRNA deacylase [dtd].', NULL, NULL, 'Deacylase_Dtd', 20357),
(20358, 'MF_00464', NULL, 'S-adenosylmethionine decarboxylase proenzyme [speH].', NULL, NULL, 'AdoMetDC_1', 20358),
(20359, 'MF_01192', NULL, 'Flap endonuclease Xni [xni].', NULL, NULL, 'Xni', 20359),
(20360, 'MF_02038', NULL, 'Probable hercynylcysteine sulfoxide lyase [egtE].', NULL, NULL, 'EgtE', 20360),
(20361, 'MF_04024', NULL, 'Nuclear egress protein 2 [NEC2].', NULL, NULL, 'HSV_NEC2', 20361),
(20362, 'MF_03038', NULL, 'Cytosolic Fe-S cluster assembly factor NUBP1 [NUBP1].', NULL, NULL, 'NUBP1', 20362),
(20363, 'MF_01307_B', NULL, '30S ribosomal protein S5 [rpsE].', NULL, NULL, 'Ribosomal_S5_B', 20363),
(20364, 'MF_01942', NULL, 'Lipid A biosynthesis lauroyltransferase [lpxL].', NULL, NULL, 'Lipid_A_LpxL_LpxP', 20364),
(20365, 'MF_00842', NULL, 'Outer membrane protein A [ompA].', NULL, NULL, 'OmpA', 20365),
(20366, 'MF_01581', NULL, 'UPF0482 protein YnfB [ynfB].', NULL, NULL, 'UPF0482', 20366),
(20367, 'MF_00473', NULL, 'Glucose-6-phosphate isomerase [pgi].', NULL, NULL, 'G6P_isomerase', 20367),
(20368, 'MF_00100_B', NULL, 'Translation initiation factor IF-2 [infB].', NULL, NULL, 'IF_2_B', 20368),
(20369, 'MF_00078', NULL, 'UPF0107 protein <locus_tag>.', NULL, NULL, 'UPF0107', 20369),
(20370, 'MF_00800', NULL, 'UPF0340 protein <locus_tag>.', NULL, NULL, 'UPF0340', 20370),
(20371, 'MF_04049', NULL, 'Pre-hexon-linking protein VIII [L4].', NULL, NULL, 'ADV_CAP8', 20371),
(20372, 'MF_01562', NULL, 'UPF0365 protein <locus_tag>.', NULL, NULL, 'UPF0365', 20372),
(20373, 'MF_00288', NULL, 'Methionine synthase [metE].', NULL, NULL, 'MetE', 20373),
(20374, 'MF_00289_A', NULL, 'Proteasome subunit alpha [prcA].', NULL, NULL, 'Proteasome_A_A', 20374),
(20375, 'MF_00487', NULL, 'Malate dehydrogenase [mdh].', NULL, NULL, 'Malate_dehydrog_3', 20375),
(20376, 'MF_03053', NULL, 'Cytoplasmic tRNA 2-thiolation protein 1 [CTU1].', NULL, NULL, 'CTU1', 20376);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20377, 'MF_02217', NULL, 'tRNA 5-hydroxyuridine methyltransferase [trmR].', NULL, NULL, 'TrmR_methyltr', 20377),
(20378, 'MF_00050', NULL, 'Elongation factor Ts [tsf].', NULL, NULL, 'EF_Ts', 20378),
(20379, 'MF_00434', NULL, 'Putative pterin-4-alpha-carbinolamine dehydratase.', NULL, NULL, 'Pterin_4_alpha', 20379),
(20380, 'MF_01469', NULL, 'Ribonuclease M5 [rnmV].', NULL, NULL, 'RNase_M5', 20380),
(20381, 'MF_02006', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type1', 20381),
(20382, 'MF_00962', NULL, 'RNA polymerase sigma factor FliA [fliA].', NULL, NULL, 'Sigma70_FliA', 20382),
(20383, 'MF_03027', NULL, 'Ribosome biogenesis protein @gn(BOP1) [BOP1].', NULL, NULL, 'BOP1', 20383),
(20384, 'MF_00081', NULL, 'Heat-inducible transcription repressor HrcA [hrcA].', NULL, NULL, 'HrcA', 20384),
(20385, 'MF_00541', NULL, 'L-rhamnose isomerase [rhaA].', NULL, NULL, 'RhaA', 20385),
(20386, 'MF_01515', NULL, 'UPF0316 protein <locus_tag>.', NULL, NULL, 'UPF0316', 20386),
(20387, 'MF_00063', NULL, 'Phosphoadenosine phosphosulfate reductase [cysH].', NULL, NULL, 'CysH', 20387),
(20388, 'MF_00735', NULL, 'Ribosomal protein L11 methyltransferase [prmA].', NULL, NULL, 'Methyltr_PrmA', 20388),
(20389, 'MF_01235', NULL, 'Putative N-acetylmannosamine-6-phosphate 2-epimerase [nanE].', NULL, NULL, 'ManNAc6P_epimer', 20389),
(20390, 'MF_02225', NULL, 'Coenzyme A biosynthesis bifunctional protein CoaBC [coaBC].', NULL, NULL, 'CoaBC', 20390),
(20391, 'MF_01966', NULL, 'NAD(P)H-hydrate epimerase [nnrE].', NULL, NULL, 'NADHX_epimerase', 20391),
(20392, 'MF_00004', NULL, 'Adenine phosphoribosyltransferase [apt].', NULL, NULL, 'Aden_phosphoribosyltr', 20392),
(20393, 'MF_00179', NULL, 'GTP cyclohydrolase-2 [ribA].', NULL, NULL, 'RibA', 20393),
(20394, 'MF_00153', NULL, 'Probable deoxyhypusine synthase [dys].', NULL, NULL, 'DHS', 20394),
(20395, 'MF_01104', NULL, 'Protein Syd [syd].', NULL, NULL, 'Syd', 20395),
(20396, 'MF_00839', NULL, 'Ribosome hibernation promoting factor [hpf].', NULL, NULL, 'HPF', 20396),
(20397, 'MF_01424', NULL, 'Multidrug resistance protein MdtC [mdtC].', NULL, NULL, 'MdtC', 20397),
(20398, 'MF_04097', NULL, 'Nucleoprotein [N].', NULL, NULL, 'GAMMA_CORONA_NCAP', 20398),
(20399, 'MF_01238', NULL, 'Sialic acid transporter NanT [nanT].', NULL, NULL, 'MFS_NanT', 20399),
(20400, 'MF_00225', NULL, 'Dihydroorotate dehydrogenase (quinone) [pyrD].', NULL, NULL, 'DHO_dh_type2', 20400),
(20401, 'MF_00350', NULL, 'DNA repair and recombination protein RadB [radB].', NULL, NULL, 'RadB', 20401),
(20402, 'MF_04028', NULL, 'Ribonucleoside-diphosphate reductase small subunit [RIR2].', NULL, NULL, 'HSV_RIR2', 20402),
(20403, 'MF_00252', NULL, 'Lysine--tRNA ligase [lysS].', NULL, NULL, 'Lys_tRNA_synth_class2', 20403),
(20404, 'MF_01288', NULL, 'L-rhamnonate dehydratase [rhmD].', NULL, NULL, 'Rhamnon_dehydrat', 20404),
(20405, 'MF_00379', NULL, 'tRNA modification GTPase MnmE [mnmE].', NULL, NULL, 'GTPase_MnmE', 20405),
(20406, 'MF_00253_B', NULL, 'Glycine--tRNA ligase [glyQS].', NULL, NULL, 'Gly_tRNA_synth_B', 20406),
(20407, 'MF_01425', NULL, 'Ferrous-iron efflux pump FieF [fieF].', NULL, NULL, 'Cation_efflux_FieF', 20407),
(20408, 'MF_01547', NULL, 'Ribosomal RNA large subunit methyltransferase E [rlmE].', NULL, NULL, 'RNA_methyltr_E', 20408),
(20409, 'MF_00693', NULL, 'Probable transcriptional regulatory protein YebC [yebC].', NULL, NULL, 'Transcrip_reg_TACO1', 20409),
(20410, 'MF_00990', NULL, 'L-2-hydroxyglutarate dehydrogenase [lhgD].', NULL, NULL, 'L_hydroxyglutarate_dehydrogenase', 20410),
(20411, 'MF_01036', NULL, 'Exoribonuclease 2 [rnb].', NULL, NULL, 'RNase_II', 20411),
(20412, 'MF_01488', NULL, 'ATP-dependent RecD-like DNA helicase [recD2].', NULL, NULL, 'RecD_like', 20412),
(20413, 'MF_01901', NULL, 'Arginine exporter protein ArgO [argO].', NULL, NULL, 'ArgO', 20413),
(20414, 'MF_00141', NULL, 'Elongation factor P [efp].', NULL, NULL, 'EF_P', 20414),
(20415, 'MF_00190', NULL, 'Cardiolipin synthase A [clsA].', NULL, NULL, 'Cardiolipin_synth_ClsA', 20415);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20416, 'MF_01298', NULL, 'Arginine decarboxylase proenzyme.', NULL, NULL, 'ArgDC', 20416),
(20417, 'MF_04098', NULL, 'Spike glycoprotein [S].', NULL, NULL, 'GAMMA_CORONA_SPIKE', 20417),
(20418, 'MF_00383', NULL, 'Transcription initiation factor IIB [tfb].', NULL, NULL, 'TF2B_arch', 20418),
(20419, 'MF_01479', NULL, 'Transcriptional regulator WhiB [whiB].', NULL, NULL, 'WhiB', 20419),
(20420, 'MF_02065', NULL, 'Endolytic murein transglycosylase [mltG].', NULL, NULL, 'MltG', 20420),
(20421, 'MF_01095', NULL, 'UPF0292 protein <locus_tag>.', NULL, NULL, 'UPF0292', 20421),
(20422, 'MF_01914', NULL, 'Lipopolysaccharide export system protein LptA [lptA].', NULL, NULL, 'LPS_assembly_LptA', 20422),
(20423, 'MF_00430', NULL, 'Na(+)-translocating NADH-quinone reductase subunit F [nqrF].', NULL, NULL, 'NqrF', 20423),
(20424, 'MF_01972', NULL, 'Tryptophan 2,3-dioxygenase [kynA].', NULL, NULL, 'T23O', 20424),
(20425, 'MF_01251', NULL, 'UPF0313 protein YgiQ [ygiQ].', NULL, NULL, 'UPF0313', 20425),
(20426, 'MF_00546', NULL, 'Acid shock protein [asr].', NULL, NULL, 'Asr', 20426),
(20427, 'MF_01512', NULL, 'Metallothiol transferase FosB [fosB].', NULL, NULL, 'FosB', 20427),
(20428, 'MF_01973', NULL, 'Lon protease [lon].', NULL, NULL, 'lon_bact', 20428),
(20429, 'MF_00395', NULL, 'Cytochrome b6-f complex subunit 8 [petN].', NULL, NULL, 'Cytb6_f_PetN', 20429),
(20430, 'MF_00588', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit E [gatE].', NULL, NULL, 'GatE', 20430),
(20431, 'MF_00101', NULL, 'Holo-[acyl-carrier-protein] synthase [acpS].', NULL, NULL, 'AcpS', 20431),
(20432, 'MF_00397', NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [citG].', NULL, NULL, 'CitG', 20432),
(20433, 'MF_00149', NULL, 'DNA mismatch repair protein MutL [mutL].', NULL, NULL, 'DNA_mis_repair', 20433),
(20434, 'MF_01394', NULL, 'NAD(P)H-quinone oxidoreductase subunit 3, chloroplastic [ndhC].', NULL, NULL, 'NDH1_NuoA', 20434),
(20435, 'MF_02009', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type4', 20435),
(20436, 'MF_00198', NULL, 'Polyamine aminopropyltransferase [speE].', NULL, NULL, 'Spermidine_synth', 20436),
(20437, 'MF_00480_B', NULL, '30S ribosomal protein S7 [rpsG].', NULL, NULL, 'Ribosomal_S7_B', 20437),
(20438, 'MF_00186', NULL, 'Glycerol kinase [glpK].', NULL, NULL, 'Glycerol_kin', 20438),
(20439, 'MF_00659', NULL, 'UPF0250 protein YbeD [ybeD].', NULL, NULL, 'UPF0250', 20439),
(20440, 'MF_01458', NULL, 'ATP-dependent zinc metalloprotease FtsH [ftsH].', NULL, NULL, 'FtsH', 20440),
(20441, 'MF_02003', NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, NULL, 'Ile_tRNA_synth_type2', 20441),
(20442, 'MF_04143', NULL, 'Poxin-Schlafen.', NULL, NULL, 'Poxins', 20442),
(20443, 'MF_00287', NULL, 'Probable disulfide formation protein [bdbC].', NULL, NULL, 'BdbC', 20443),
(20444, 'MF_01365_B', NULL, '50S ribosomal protein L6 [rplF].', NULL, NULL, 'Ribosomal_L6_B', 20444),
(20445, 'MF_00475', NULL, 'Trp operon repressor [trpR].', NULL, NULL, 'Trp_repressor', 20445),
(20446, 'MF_01149', NULL, 'Uncharacterized MFS-type transporter YcaD [ycaD].', NULL, NULL, 'MFS_YcaD', 20446),
(20447, 'MF_01401', NULL, 'Peptide methionine sulfoxide reductase MsrA [msrA].', NULL, NULL, 'MsrA', 20447),
(20448, 'MF_01124', NULL, 'Adapter protein MecA [mecA].', NULL, NULL, 'MecA', 20448),
(20449, 'MF_01445', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [tsaD].', NULL, NULL, 'TsaD', 20449),
(20450, 'MF_01596', NULL, 'PhoP/PhoQ regulator MgrB [mgrB].', NULL, NULL, 'MgrB', 20450),
(20451, 'MF_03037', NULL, 'Probable cytosolic iron-sulfur protein assembly protein CIAO1 [CIAO1].', NULL, NULL, 'ciao1', 20451),
(20452, 'MF_01376', NULL, '2-aminoethylphosphonate--pyruvate transaminase [phnW].', NULL, NULL, 'PhnW_aminotrans_5', 20452),
(20453, 'MF_00195', NULL, 'GTPase Der [der].', NULL, NULL, 'GTPase_Der', 20453),
(20454, 'MF_00924', NULL, 'Outer membrane protein assembly factor BamC [bamC].', NULL, NULL, 'OM_assembly_BamC', 20454);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20455, 'MF_01064', NULL, 'UPF0253 protein YaeP [yaeP].', NULL, NULL, 'UPF0253', 20455),
(20456, 'MF_01346', NULL, 'ATP synthase subunit alpha [atpA].', NULL, NULL, 'ATP_synth_alpha_bact', 20456),
(20457, 'MF_01697', NULL, 'L-cysteine:1D-myo-inositol 2-amino-2-deoxy-alpha-D-glucopyranoside ligase [mshC].', NULL, NULL, 'MshC', 20457),
(20458, 'MF_00510', NULL, 'Peptidase E [pepE].', NULL, NULL, 'Peptidase_E', 20458),
(20459, 'MF_00106', NULL, 'Mannonate dehydratase [uxuA].', NULL, NULL, 'UxuA', 20459),
(20460, 'MF_00165', NULL, 'Thymidylate kinase [tmk].', NULL, NULL, 'Thymidylate_kinase', 20460),
(20461, 'MF_00147_A', NULL, 'Triosephosphate isomerase [tpiA].', NULL, NULL, 'TIM_A', 20461),
(20462, 'MF_03026', NULL, 'Leucine zipper putative tumor suppressor 2 [LZTS2].', NULL, NULL, 'LZTS2', 20462),
(20463, 'MF_03217', NULL, 'Phosphatidylethanolamine N-methyltransferase.', NULL, NULL, 'PEMT', 20463),
(20464, 'MF_00382', NULL, '50S ribosomal protein L20 [rplT].', NULL, NULL, 'Ribosomal_L20', 20464),
(20465, 'MF_01564', NULL, 'Protein TusB [tusB].', NULL, NULL, 'Thiourid_synth_B', 20465),
(20466, 'MF_00500', NULL, '30S ribosomal protein S20 [rpsT].', NULL, NULL, 'Ribosomal_S20', 20466),
(20467, 'MF_01457', NULL, 'Flagellar brake protein YcgR [ycgR].', NULL, NULL, 'YcgR', 20467),
(20468, 'MF_01948', NULL, 'Lipopolysaccharide assembly protein A [lapA].', NULL, NULL, 'LPS_assembly_LapA', 20468),
(20469, 'MF_00244', NULL, 'Probable nicotinate-nucleotide adenylyltransferase [nadD].', NULL, NULL, 'NaMN_adenylyltr', 20469),
(20470, 'MF_00038', NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase [mraY].', NULL, NULL, 'MraY', 20470),
(20471, 'MF_01444', NULL, 'Putative phosphoesterase <locus_tag>.', NULL, NULL, '2H_phosphoesterase_YjcG', 20471),
(20472, 'MF_02238', NULL, '3-dehydroshikimate dehydratase.', NULL, NULL, 'DSD', 20472),
(20473, 'MF_03009', NULL, 'Eukaryotic translation initiation factor 3 subunit J [EIF3J].', NULL, NULL, 'eIF3j', 20473),
(20474, 'MF_00069', NULL, 'Hydroxylamine reductase [hcp].', NULL, NULL, 'Hydroxylam_reduct', 20474),
(20475, 'MF_01623', NULL, 'Penicillin-insensitive murein endopeptidase [mepA].', NULL, NULL, 'MepA', 20475),
(20476, 'MF_00115', NULL, 'Large-conductance mechanosensitive channel [mscL].', NULL, NULL, 'MscL', 20476),
(20477, 'MF_01586', NULL, 'Probable [Fe-S]-dependent transcriptional repressor [feoC].', NULL, NULL, 'FeoC', 20477),
(20478, 'MF_00964', NULL, 'ATP-dependent RNA helicase DeaD [deaD].', NULL, NULL, 'DEAD_helicase_DeaD', 20478),
(20479, 'MF_01917', NULL, 'Cardiolipin synthase B [clsB].', NULL, NULL, 'Cardiolipin_synth_ClsB', 20479),
(20480, 'MF_00607', NULL, 'Ribosomal RNA small subunit methyltransferase A [rsmA].', NULL, NULL, '16SrRNA_methyltr_A', 20480),
(20481, 'MF_00427', NULL, 'Na(+)-translocating NADH-quinone reductase subunit C [nqrC].', NULL, NULL, 'NqrC', 20481),
(20482, 'MF_02124', NULL, 'Alpha-1,4-glucan:maltose-1-phosphate maltosyltransferase [glgE].', NULL, NULL, 'GlgE', 20482),
(20483, 'MF_01927', NULL, 'Formyltetrahydrofolate deformylase [purU].', NULL, NULL, 'PurU', 20483),
(20484, 'MF_01011', NULL, 'tRNA/tmRNA (uracil-C(5))-methyltransferase [trmA].', NULL, NULL, 'RNA_methyltr_TrmA', 20484),
(20485, 'MF_02115', NULL, 'FAD synthase [ribL].', NULL, NULL, 'FAD_synth_arch', 20485),
(20486, 'MF_03032', NULL, 'Protein argonaute-3 [EIF2C3].', NULL, NULL, 'AGO3', 20486),
(20487, 'MF_00171', NULL, 'tRNA pseudouridine synthase A [truA].', NULL, NULL, 'TruA', 20487),
(20488, 'MF_04102', NULL, 'Baseplate wedge protein gp6.', NULL, NULL, 'BP06_T4', 20488),
(20489, 'MF_04126', NULL, 'Intermediate capsid protein VP6.', NULL, NULL, 'Rota_VP6', 20489),
(20490, 'MF_00206', NULL, 'Lipoyl synthase [lipA].', NULL, NULL, 'Lipoyl_synth', 20490),
(20491, 'MF_01304', NULL, 'UPF0194 membrane protein YbhG [ybhG].', NULL, NULL, 'UPF0194', 20491),
(20492, 'MF_01463_A', NULL, 'Protein translocase subunit SecD [secD].', NULL, NULL, 'SecD_A', 20492),
(20493, 'MF_00304', NULL, 'Thiamine thiazole synthase [thi4].', NULL, NULL, 'Thi4', 20493);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20494, 'MF_01224_B', NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, NULL, 'MoaC_B', 20494),
(20495, 'MF_03204', NULL, 'Elongation of very long chain fatty acids protein 4 [ELOVL4].', NULL, NULL, 'VLCF_elongase_4', 20495),
(20496, 'MF_00516', NULL, 'Monomeric sarcosine oxidase [soxA].', NULL, NULL, 'MSOX', 20496),
(20497, 'MF_00946', NULL, 'Acid stress chaperone HdeA [hdeA].', NULL, NULL, 'HdeA', 20497),
(20498, 'MF_01112', NULL, 'UPF0201 protein <locus_tag>.', NULL, NULL, 'UPF0201', 20498),
(20499, 'MF_03049', NULL, 'Adenylyltransferase and sulfurtransferase MOCS3 [MOCS3].', NULL, NULL, 'MOCS3_Uba4', 20499),
(20500, 'MF_00138', NULL, 'Phosphoribosylamine--glycine ligase [purD].', NULL, NULL, 'GARS', 20500),
(20501, 'MF_00707', NULL, 'UPF0735 ACT domain-containing protein <locus_tag>.', NULL, NULL, 'UPF0735', 20501),
(20502, 'MF_00492', NULL, 'Transaldolase [tal].', NULL, NULL, 'Transaldolase_1', 20502),
(20503, 'MF_01620', NULL, '3-ketoacyl-CoA thiolase [fadA].', NULL, NULL, 'FadA', 20503),
(20504, 'MF_00912', NULL, 'Cell division protein DivIB [divIB].', NULL, NULL, 'DivIB', 20504),
(20505, 'MF_00761', NULL, 'UPF0303 protein <locus_tag>.', NULL, NULL, 'UPF0303', 20505),
(20506, 'MF_01446', NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [kae1].', NULL, NULL, 'Kae1', 20506),
(20507, 'MF_01399', NULL, 'ATP synthase subunit b'' [atpF2].', NULL, NULL, 'ATP_synth_bprime', 20507),
(20508, 'MF_02113_A', NULL, 'Proteasome subunit beta [prcB].', NULL, NULL, 'Proteasome_B_A', 20508),
(20509, 'MF_00405', NULL, '3-hydroxydecanoyl-[acyl-carrier-protein] dehydratase [fabA].', NULL, NULL, 'FabA', 20509),
(20510, 'MF_00175', NULL, 'ATP-dependent Clp protease ATP-binding subunit ClpX [clpX].', NULL, NULL, 'ClpX', 20510),
(20511, 'MF_01920', NULL, 'ATP-dependent DNA helicase Rep [rep].', NULL, NULL, 'Helicase_Rep', 20511),
(20512, 'MF_04029', NULL, 'Thymidine kinase [TK].', NULL, NULL, 'HSV_KITH', 20512),
(20513, 'MF_01410', NULL, 'Glucose-6-phosphate isomerase [pgiA].', NULL, NULL, 'G6P_isomerase_arch', 20513),
(20514, 'MF_01612', NULL, '5-amino-6-(D-ribitylamino)uracil--L-tyrosine 4-hydroxyphenyl transferase [cofH].', NULL, NULL, 'FO_synth_sub2', 20514),
(20515, 'MF_01922', NULL, 'tRNA(Phe) (4-demethylwyosine(37)-C(7)) aminocarboxypropyltransferase [taw2].', NULL, NULL, 'TYW2_archaea', 20515),
(20516, 'MF_04206', NULL, 'Envelope small membrane protein [E].', NULL, NULL, 'GAMMA_CORONA_E', 20516),
(20517, 'MF_00291_A', NULL, '30S ribosomal protein S2 [rpsB].', NULL, NULL, 'Ribosomal_S2_A', 20517),
(20518, 'MF_00656', NULL, 'Coenzyme PQQ synthesis protein A [pqqA].', NULL, NULL, 'PQQ_syn_PqqA', 20518),
(20519, 'MF_01041', NULL, 'UPF0223 protein <locus_tag>.', NULL, NULL, 'UPF0223', 20519),
(20520, 'MF_01395', NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit beta, chloroplastic [accD].', NULL, NULL, 'AcetylCoA_CT_beta', 20520),
(20521, 'MF_01838', NULL, 'Trans-2-enoyl-CoA reductase [NADH] [fabV].', NULL, NULL, 'FabV_reductase', 20521),
(20522, 'MF_01509', NULL, 'Replication factor C small subunit [rfcS].', NULL, NULL, 'RfcS', 20522),
(20523, 'MF_02080', NULL, 'Peptidoglycan D,D-transpeptidase FtsI [ftsI].', NULL, NULL, 'FtsI_transpept', 20523),
(20524, 'MF_01813', NULL, 'Ubiquinone/menaquinone biosynthesis C-methyltransferase UbiE [ubiE].', NULL, NULL, 'MenG_UbiE_methyltr', 20524),
(20525, 'MF_01584', NULL, 'UPF0502 protein YceH [yceH].', NULL, NULL, 'UPF0502', 20525),
(20526, 'MF_00753', NULL, 'Anaerobic glycerol-3-phosphate dehydrogenase subunit B [glpB].', NULL, NULL, 'Glycerol3P_GlpB', 20526),
(20527, 'MF_01836', NULL, 'Circadian clock protein kinase KaiC [kaiC].', NULL, NULL, 'KaiC', 20527),
(20528, 'MF_03228', NULL, 'Probable butyrate:acetyl-CoA coenzyme A-transferase.', NULL, NULL, 'But_CoA_trans', 20528),
(20529, 'MF_00821', NULL, 'Protein-export protein SecB [secB].', NULL, NULL, 'SecB', 20529),
(20530, 'MF_01390', NULL, 'Maturase K [matK].', NULL, NULL, 'MatK', 20530);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20531, 'MF_01954', NULL, 'Urease subunit beta [ureB].', NULL, NULL, 'Urease_beta', 20531),
(20532, 'MF_02021', NULL, 'Cell division protein DamX [damX].', NULL, NULL, 'DamX', 20532),
(20533, 'MF_03028', NULL, 'Pescadillo homolog [PES1].', NULL, NULL, 'Pescadillo', 20533),
(20534, 'MF_01320_B', NULL, '50S ribosomal protein L2 [rplB].', NULL, NULL, 'Ribosomal_L2_B', 20534),
(20535, 'MF_00277', NULL, 'Bifunctional uridylyltransferase/uridylyl-removing enzyme [glnD].', NULL, NULL, 'PII_uridylyl_transf', 20535),
(20536, 'MF_00602', NULL, 'Protein-arginine kinase [mcsB].', NULL, NULL, 'Prot_Arg_kinase', 20536),
(20537, 'MF_01194', NULL, 'Heat shock protein HspQ [hspQ].', NULL, NULL, 'HspQ', 20537),
(20538, 'MF_00020', NULL, 'Acetate kinase [ackA].', NULL, NULL, 'Acetate_kinase', 20538),
(20539, 'MF_01930', NULL, 'Phosphoribosylglycinamide formyltransferase [purN].', NULL, NULL, 'PurN', 20539),
(20540, 'MF_00189', NULL, 'Probable intracellular septation protein A [yciB].', NULL, NULL, 'Intracell_septation_prot_A', 20540),
(20541, 'MF_00342', NULL, 'UPF0147 protein <locus_tag>.', NULL, NULL, 'UPF0147', 20541),
(20542, 'MF_01200_A', NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, NULL, 'OMPdecase_type1_A', 20542),
(20543, 'MF_01824', NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxS [pdxS].', NULL, NULL, 'PdxS', 20543),
(20544, 'MF_00945_A', NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, NULL, 'NusA_A', 20544),
(20545, 'MF_01027', NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, NULL, 'LeuC_type2', 20545),
(20546, 'MF_02200', NULL, 'Chaperone NapD [napD].', NULL, NULL, 'NapD', 20546),
(20547, 'MF_01201', NULL, 'Alanine racemase.', NULL, NULL, 'Ala_racemase', 20547),
(20548, 'MF_01503', NULL, 'Putative regulatory protein <locus_tag>.', NULL, NULL, 'RemA', 20548),
(20549, 'MF_00386', NULL, 'Putative membrane protein insertion efficiency factor [yidD].', NULL, NULL, 'UPF0161_YidD', 20549),
(20550, 'MF_00247', NULL, 'Soluble pyridine nucleotide transhydrogenase [sthA].', NULL, NULL, 'SthA', 20550),
(20551, 'MF_00571', NULL, 'Galactose-1-phosphate uridylyltransferase [galT].', NULL, NULL, 'GalP_UDP_trans', 20551),
(20552, 'MF_00736', NULL, '50S ribosomal protein L11 [rplK].', NULL, NULL, 'Ribosomal_L11', 20552),
(20553, 'MF_00645', NULL, 'Protein <locus_tag>.', NULL, NULL, 'AMMECR1', 20553),
(20554, 'MF_01909', NULL, 'Transcription factor E [tfe].', NULL, NULL, 'TFE_arch', 20554),
(20555, 'MF_00002', NULL, 'Aspartate carbamoyltransferase regulatory chain [pyrI].', NULL, NULL, 'Asp_carb_tr_reg', 20555),
(20556, 'MF_01384', NULL, 'Urease accessory protein UreD [ureD].', NULL, NULL, 'UreD', 20556),
(20557, 'MF_02012', NULL, 'Cell division protein ZapA [zapA].', NULL, NULL, 'ZapA_type1', 20557),
(20558, 'MF_02098', NULL, 'Carnitine monooxygenase reductase subunit.', NULL, NULL, 'Carnitine_monoox_B', 20558),
(20559, 'MF_01567', NULL, 'UPF0371 protein <locus_tag>.', NULL, NULL, 'UPF0371', 20559),
(20560, 'MF_01500', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit G [mtrG].', NULL, NULL, 'MtrG', 20560),
(20561, 'MF_01566', NULL, 'UPF0370 protein YpfN [ypfN].', NULL, NULL, 'UPF0370', 20561),
(20562, 'MF_00982', NULL, 'Transcriptional regulatory protein RcsA [rcsA].', NULL, NULL, 'RcsA', 20562),
(20563, 'MF_00151', NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, NULL, 'PPAT_bact', 20563),
(20564, 'MF_03000', NULL, 'Eukaryotic translation initiation factor 3 subunit A [EIF3A].', NULL, NULL, 'eIF3a', 20564),
(20565, 'MF_00700', NULL, 'DNA primase small subunit PriS [priS].', NULL, NULL, 'DNA_primase_sml_arc', 20565),
(20566, 'MF_00828', NULL, 'Photosystem I reaction center subunit XII [psaM].', NULL, NULL, 'PSI_PsaM', 20566),
(20567, 'MF_01331_B', NULL, '50S ribosomal protein L22 [rplV].', NULL, NULL, 'Ribosomal_L22_B', 20567),
(20568, 'MF_01859', NULL, 'Ribosomal RNA large subunit methyltransferase G [rlmG].', NULL, NULL, '23SrRNA_methyltr_G', 20568);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20569, 'MF_00920', NULL, 'Signal recognition particle receptor FtsY [ftsY].', NULL, NULL, 'FtsY', 20569),
(20570, 'MF_00453', NULL, 'Phosphoenolpyruvate carboxykinase (ATP) [pckA].', NULL, NULL, 'PEPCK_ATP', 20570),
(20571, 'MF_03014', NULL, 'Kynurenine formamidase [AFMID].', NULL, NULL, 'KFase', 20571),
(20572, 'MF_01402_B', NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, NULL, 'ApgM_B', 20572),
(20573, 'MF_03122', NULL, '40S ribosomal protein S1 [RPS3A].', NULL, NULL, 'Ribosomal_S3Ae_euk', 20573),
(20574, 'MF_00118_B', NULL, 'Elongation factor Tu [tuf].', NULL, NULL, 'EF_Tu_B', 20574),
(20575, 'MF_02233', NULL, 'Ubiquinone biosynthesis protein UbiV [ubiV].', NULL, NULL, 'UbiV', 20575),
(20576, 'MF_01661', NULL, 'D-ribose pyranase [rbsD].', NULL, NULL, 'D_rib_pyranase', 20576),
(20577, 'MF_01098', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit E [mtrE].', NULL, NULL, 'MtrE', 20577),
(20578, 'MF_00727', NULL, 'Protein-glutamine gamma-glutamyltransferase [tgl].', NULL, NULL, 'Tgl', 20578),
(20579, 'MF_02095', NULL, '3''(2''),5''-bisphosphate nucleotidase CysQ [cysQ].', NULL, NULL, 'CysQ', 20579),
(20580, 'MF_02220', NULL, 'Xylulose kinase [xylB].', NULL, NULL, 'XylB', 20580),
(20581, 'MF_00160', NULL, 'Phosphoserine aminotransferase [serC].', NULL, NULL, 'SerC_aminotrans_5', 20581),
(20582, 'MF_02227', NULL, 'Ribulose-phosphate 3-epimerase [rpe].', NULL, NULL, 'RPE', 20582),
(20583, 'MF_01625', NULL, 'ATPase RavA [ravA].', NULL, NULL, 'ATPase_RavA', 20583),
(20584, 'MF_00021', NULL, 'tRNA sulfurtransferase [thiI].', NULL, NULL, 'ThiI', 20584),
(20585, 'MF_00970', NULL, 'Ribonuclease E [rne].', NULL, NULL, 'RNase_E', 20585),
(20586, 'MF_00403_A', NULL, '30S ribosomal protein S12 [rpsL].', NULL, NULL, 'Ribosomal_S12_A', 20586),
(20587, 'MF_02089', NULL, 'Epoxyqueuosine reductase QueH [queH].', NULL, NULL, 'QueH', 20587),
(20588, 'MF_01343_A', NULL, '30S ribosomal protein S15 [rpsO].', NULL, NULL, 'Ribosomal_S15_A', 20588),
(20589, 'MF_01359', NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, NULL, 'NDH1_NuoCD_1', 20589),
(20590, 'MF_04119', NULL, 'Minor capsid protein.', NULL, NULL, 'CAPSID_PROTEIN_T7', 20590),
(20591, 'MF_01964', NULL, 'Inosine-5''-monophosphate dehydrogenase [guaB].', NULL, NULL, 'IMPDH', 20591),
(20592, 'MF_01670', NULL, 'Malonate-semialdehyde dehydrogenase [iolA].', NULL, NULL, 'IolA', 20592),
(20593, 'MF_04099', NULL, 'Spike glycoprotein [S].', NULL, NULL, 'BETA_CORONA_SPIKE', 20593),
(20594, 'MF_00676', NULL, 'UPF0260 protein YcgN [ycgN].', NULL, NULL, 'UPF0260', 20594),
(20595, 'MF_00617', NULL, 'Mannosyl-3-phosphoglycerate phosphatase [mngB].', NULL, NULL, 'MPGP_rel', 20595),
(20596, 'MF_01970', NULL, 'Kynureninase [kynU].', NULL, NULL, 'Kynureninase', 20596),
(20597, 'MF_03055', NULL, 'tRNA (guanine-N(7)-)-methyltransferase [METTL1].', NULL, NULL, 'tRNA_methyltr_TrmB_euk', 20597),
(20598, 'MF_00517', NULL, 'Probable sugar efflux transporter [sotB].', NULL, NULL, 'MFS_SotB', 20598),
(20599, 'MF_01944', NULL, 'Lipid A biosynthesis myristoyltransferase [lpxM].', NULL, NULL, 'Lipid_A_LpxM', 20599),
(20600, 'MF_01476', NULL, '50S ribosomal protein L44e [rpl44e].', NULL, NULL, 'Ribosomal_L44e', 20600),
(20601, 'MF_01067', NULL, 'UPF0259 membrane protein YciC [yciC].', NULL, NULL, 'UPF0259', 20601),
(20602, 'MF_01371_A', NULL, '50S ribosomal protein L30 [rpmD].', NULL, NULL, 'Ribosomal_L30_A', 20602),
(20603, 'MF_01511', NULL, 'GMP reductase [guaC].', NULL, NULL, 'GMP_reduct_type2', 20603),
(20604, 'MF_00073', NULL, 'Transcription antitermination protein NusB [nusB].', NULL, NULL, 'NusB', 20604),
(20605, 'MF_02071', NULL, 'Endolytic peptidoglycan transglycosylase RlpA [rlpA].', NULL, NULL, 'RlpA', 20605),
(20606, 'MF_00432', NULL, 'Cytochrome b6-f complex subunit 5 [petG].', NULL, NULL, 'Cytb6_f_PetG', 20606),
(20607, 'MF_04104', NULL, 'Holin.', NULL, NULL, 'HOLIN_T4', 20607),
(20608, 'MF_00740', NULL, 'Phosphopentomutase [deoB].', NULL, NULL, 'Phosphopentomut', 20608);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20609, 'MF_01980', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_Long', 20609),
(20610, 'MF_01210_A', NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, NULL, 'CPSase_L_chain_A', 20610),
(20611, 'MF_00977', NULL, '3''-5'' exoribonuclease.', NULL, NULL, '3_5_Exoribonuc_actinobact', 20611),
(20612, 'MF_00348', NULL, 'DNA repair and recombination protein RadA [radA].', NULL, NULL, 'RadA_arch', 20612),
(20613, 'MF_01676', NULL, 'Alkyl hydroperoxide reductase AhpD [ahpD].', NULL, NULL, 'AhpD', 20613),
(20614, 'MF_01177', NULL, 'HTH-type transcriptional repressor NsrR [nsrR].', NULL, NULL, 'HTH_type_NsrR', 20614),
(20615, 'MF_04076', NULL, 'External core antigen [C].', NULL, NULL, 'HBV_HBEAG', 20615),
(20616, 'MF_00587', NULL, 'tRNA (pseudouridine(54)-N(1))-methyltransferase [trmY].', NULL, NULL, 'tRNA_methyltr_TrmY', 20616),
(20617, 'MF_01336', NULL, '50S ribosomal protein L25 [rplY].', NULL, NULL, 'Ribosomal_L25', 20617),
(20618, 'MF_01441', NULL, 'DNA protection during starvation protein [dps].', NULL, NULL, 'Dps', 20618),
(20619, 'MF_00462', NULL, 'Ion-translocating oxidoreductase complex subunit D [rsxD].', NULL, NULL, 'RsxD_RnfD', 20619),
(20620, 'MF_01591', NULL, 'Protein Ves [ves].', NULL, NULL, 'Ves', 20620),
(20621, 'MF_00933', NULL, 'Arylsulfate sulfotransferase AssT [assT].', NULL, NULL, 'Arylsulfotrans_AssT', 20621),
(20622, 'MF_04067', NULL, 'Nuclear export protein [NS].', NULL, NULL, 'INFV_NEP', 20622),
(20623, 'MF_00958', NULL, 'Regulator of RpoS [rssB].', NULL, NULL, 'RssB', 20623),
(20624, 'MF_00718', NULL, 'Tautomerase PptA [pptA].', NULL, NULL, 'Tautomerase_PptA', 20624),
(20625, 'MF_01872', NULL, 'tRNA1(Val) (adenine(37)-N6)-methyltransferase [yfiC].', NULL, NULL, 'tRNA_methyltr_YfiC', 20625),
(20626, 'MF_01463_B', NULL, 'Protein translocase subunit SecD [secD].', NULL, NULL, 'SecD_B', 20626),
(20627, 'MF_00183', NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase [dxr].', NULL, NULL, 'DXP_reductoisom', 20627),
(20628, 'MF_03044', NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase [BMT2].', NULL, NULL, 'BMT2', 20628),
(20629, 'MF_01334', NULL, '50S ribosomal protein L25 [rplY].', NULL, NULL, 'Ribosomal_L25_CTC', 20629),
(20630, 'MF_03031', NULL, 'Protein argonaute-2 [AGO2].', NULL, NULL, 'AGO2', 20630),
(20631, 'MF_00696', NULL, 'Fatty acid metabolism regulator protein [fadR].', NULL, NULL, 'HTH_FadR', 20631),
(20632, 'MF_01381', NULL, 'Endo-type membrane-bound lytic murein transglycosylase A [emtA].', NULL, NULL, 'EmtA', 20632),
(20633, 'MF_02035', NULL, 'Hercynine oxygenase [egtB].', NULL, NULL, 'EgtB', 20633),
(20634, 'MF_00300', NULL, 'Chorismate synthase [aroC].', NULL, NULL, 'Chorismate_synth', 20634),
(20635, 'MF_01229', NULL, 'Alkanesulfonate monooxygenase [ssuD].', NULL, NULL, 'Alkanesulf_monooxygen', 20635),
(20636, 'MF_00400', NULL, 'Multidrug resistance protein MdtK [mdtK].', NULL, NULL, 'MdtK', 20636),
(20637, 'MF_02026', NULL, 'dTDP-4-amino-4,6-dideoxygalactose transaminase [wecE].', NULL, NULL, 'WecE_RffA', 20637),
(20638, 'MF_00431', NULL, 'Photosystem I reaction center subunit VIII [psaI].', NULL, NULL, 'PSI_PsaI', 20638),
(20639, 'MF_00228', NULL, 'Hydroxyethylthiazole kinase [thiM].', NULL, NULL, 'Thz_kinase', 20639),
(20640, 'MF_00552', NULL, 'Zinc transporter ZitB [zitB].', NULL, NULL, 'ZitB', 20640),
(20641, 'MF_01583', NULL, 'Threonine/serine transporter TdcC [tdcC].', NULL, NULL, 'Thr_Ser_transp_TdcC', 20641),
(20642, 'MF_00931', NULL, 'Aldehyde decarbonylase.', NULL, NULL, 'Aldeh_decarbonylase', 20642),
(20643, 'MF_01843', NULL, 'Protein Thf1 [thf1].', NULL, NULL, 'Thf1', 20643),
(20644, 'MF_01097', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit D [mtrD].', NULL, NULL, 'MtrD', 20644),
(20645, 'MF_03206', NULL, 'Elongation of very long chain fatty acids protein 6 [ELOVL6].', NULL, NULL, 'VLCF_elongase_6', 20645),
(20646, 'MF_00062', NULL, 'Sulfate adenylyltransferase subunit 1 [cysN].', NULL, NULL, 'Sulf_adenylyltr_sub1', 20646);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20647, 'MF_01040', NULL, 'Probable phosphoglycerate mutase GpmB [gpmB].', NULL, NULL, 'PGAM_GpmB', 20647),
(20648, 'MF_04144', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_LAMBDA', 20648),
(20649, 'MF_02077', NULL, 'Lipid II flippase Amj [amj].', NULL, NULL, 'Amj_flippase', 20649),
(20650, 'MF_00253_A', NULL, 'Glycine--tRNA ligase [glyQS].', NULL, NULL, 'Gly_tRNA_synth_A', 20650),
(20651, 'MF_00272', NULL, 'Glycine cleavage system H protein [gcvH].', NULL, NULL, 'GcvH', 20651),
(20652, 'MF_02215', NULL, 'Ubiquinone biosynthesis accessory factor UbiJ [ubiJ].', NULL, NULL, 'UbiJ', 20652),
(20653, 'MF_01554_B', NULL, 'Phosphoglucosamine mutase [glmM].', NULL, NULL, 'GlmM_B', 20653),
(20654, 'MF_00374', NULL, '50S ribosomal protein L29 [rpmC].', NULL, NULL, 'Ribosomal_L29', 20654),
(20655, 'MF_01365_A', NULL, '50S ribosomal protein L6 [rplF].', NULL, NULL, 'Ribosomal_L6_A', 20655),
(20656, 'MF_01161', NULL, 'tRNA(Ile)-lysidine synthase [tilS].', NULL, NULL, 'tRNA_Ile_lys_synt', 20656),
(20657, 'MF_00460', NULL, 'Protein RnfH [rnfH].', NULL, NULL, 'UPF0125_RnfH', 20657),
(20658, 'MF_04200', NULL, 'Spike glycoprotein [S].', NULL, NULL, 'ALPHA_CORONA_SPIKE', 20658),
(20659, 'MF_02232', NULL, 'Ubiquinone biosynthesis protein UbiU [ubiU].', NULL, NULL, 'UbiU', 20659),
(20660, 'MF_00815', NULL, 'ATP synthase gamma chain [atpG].', NULL, NULL, 'ATP_synth_gamma_bact', 20660),
(20661, 'MF_01645', NULL, 'Allantoinase [allB].', NULL, NULL, 'Hydantoinase', 20661),
(20662, 'MF_00248', NULL, 'ATP-dependent protease subunit HslV [hslV].', NULL, NULL, 'HslV', 20662),
(20663, 'MF_01642', NULL, 'LL-diaminopimelate aminotransferase [dapL].', NULL, NULL, 'DapL_aminotrans_1', 20663),
(20664, 'MF_00224', NULL, 'Dihydroorotate dehydrogenase [pyrD].', NULL, NULL, 'DHO_dh_type1', 20664),
(20665, 'MF_01006', NULL, 'Undecaprenyl-diphosphatase [uppP].', NULL, NULL, 'Undec_diphosphatase', 20665),
(20666, 'MF_01309_A', NULL, '30S ribosomal protein S3 [rpsC].', NULL, NULL, 'Ribosomal_S3_A', 20666),
(20667, 'MF_01861', NULL, 'UPF0738 protein <locus_tag>.', NULL, NULL, 'UPF0738', 20667),
(20668, 'MF_01673', NULL, '5-deoxy-glucuronate isomerase [iolB].', NULL, NULL, 'IolB', 20668),
(20669, 'MF_01455', NULL, 'UPF0757 protein YmgG [ymgG].', NULL, NULL, 'UPF0757', 20669),
(20670, 'MF_04085', NULL, 'Nucleoprotein [N].', NULL, NULL, 'ARENA_NCAP', 20670),
(20671, 'MF_01626', NULL, 'Protein ViaA [viaA].', NULL, NULL, 'ViaA', 20671),
(20672, 'MF_01974', NULL, 'Methionine aminopeptidase [map].', NULL, NULL, 'MetAP_1', 20672),
(20673, 'MF_02212', NULL, 'Broad specificity amino-acid racemase.', NULL, NULL, 'Bsr_racemase', 20673),
(20674, 'MF_01061', NULL, 'Primosomal protein 1 [dnaT].', NULL, NULL, 'DnaT', 20674),
(20675, 'MF_01210_B', NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, NULL, 'CPSase_L_chain_B', 20675),
(20676, 'MF_00849', NULL, '50S ribosomal subunit assembly factor BipA [bipA].', NULL, NULL, 'BipA', 20676),
(20677, 'MF_02007', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type2', 20677),
(20678, 'MF_00813', NULL, 'Probable allantoicase [alc].', NULL, NULL, 'Allantoicase', 20678),
(20679, 'MF_00121', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit B [gatB].', NULL, NULL, 'GatB', 20679),
(20680, 'MF_00243', NULL, 'Nicotinamide-nucleotide adenylyltransferase.', NULL, NULL, 'NMN_adenylyltr', 20680),
(20681, 'MF_04031', NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [DUT].', NULL, NULL, 'HSV_DUT', 20681),
(20682, 'MF_00296', NULL, 'Homoserine O-acetyltransferase [metXA].', NULL, NULL, 'MetX_acyltransf', 20682),
(20683, 'MF_00786', NULL, 'Probable cobalt-precorrin-6B C(15)-methyltransferase (decarboxylating) [cbiT].', NULL, NULL, 'CbiT', 20683),
(20684, 'MF_02046', NULL, 'NAD-dependent glucose-6-phosphate dehydrogenase.', NULL, NULL, 'Glc6PDH_archaea', 20684),
(20685, 'MF_04064', NULL, 'Protein PB1-F2 [PB1].', NULL, NULL, 'INFV_PB1F2', 20685),
(20686, 'MF_00583_B', NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, NULL, 'RibP_PPkinase_B', 20686);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20687, 'MF_00084', NULL, 'Nodulation protein A [nodA].', NULL, NULL, 'NodA', 20687),
(20688, 'MF_01501', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit H [mtrH].', NULL, NULL, 'MtrH', 20688),
(20689, 'MF_00827', NULL, 'UPF0386 protein YjhX [yjhX].', NULL, NULL, 'UPF0386', 20689),
(20690, 'MF_01442', NULL, 'Coproheme decarboxylase [chdC].', NULL, NULL, 'Coproheme_decarbox_1', 20690),
(20691, 'MF_01461', NULL, 'Energy-coupling factor transporter transmembrane protein EcfT [ecfT].', NULL, NULL, 'EcfT', 20691),
(20692, 'MF_01956', NULL, 'G/U mismatch-specific DNA glycosylase [mug].', NULL, NULL, 'MUG', 20692),
(20693, 'MF_00495', NULL, 'Phosphoglycolate phosphatase [gph].', NULL, NULL, 'GPH_hydrolase_bact', 20693),
(20694, 'MF_00415', NULL, 'Flagellar L-ring protein [flgH].', NULL, NULL, 'FlgH', 20694),
(20695, 'MF_01448', NULL, 'UPF0473 protein <locus_tag>.', NULL, NULL, 'UPF0473', 20695),
(20696, 'MF_03126', NULL, 'Adenylosuccinate synthetase isozyme 1 [ADSSL1].', NULL, NULL, 'Adenylosucc_synth_vert_basic', 20696),
(20697, 'MF_01168', NULL, 'N-glycosylase/DNA lyase.', NULL, NULL, 'AGOG', 20697),
(20698, 'MF_00725', NULL, 'Flagellar transcriptional regulator FlhD [flhD].', NULL, NULL, 'FlhD', 20698),
(20699, 'MF_01650', NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin subunit [hcaC].', NULL, NULL, 'HcaC', 20699),
(20700, 'MF_00782', NULL, 'Glutathione biosynthesis bifunctional protein GshAB [gshAB].', NULL, NULL, 'Glut_biosynth', 20700),
(20701, 'MF_01165', NULL, 'Undecaprenyl phosphate-alpha-4-amino-4-deoxy-L-arabinose arabinosyl transferase [arnT].', NULL, NULL, 'ArnT_transfer', 20701),
(20702, 'MF_02129', NULL, 'L-carnitine dehydrogenase [lcdH].', NULL, NULL, 'L_carnitine_dehydrog', 20702),
(20703, 'MF_00170', NULL, 'Ribose-5-phosphate isomerase A [rpiA].', NULL, NULL, 'Rib_5P_isom_A', 20703),
(20704, 'MF_01078', NULL, 'RNA-free ribonuclease P.', NULL, NULL, 'RNA_free_RNase_P', 20704),
(20705, 'MF_00105', NULL, 'Transcription elongation factor GreA [greA].', NULL, NULL, 'GreA_GreB', 20705),
(20706, 'MF_01294', NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatY [gatY].', NULL, NULL, 'TagBP_aldolase_GatY', 20706),
(20707, 'MF_04101', NULL, 'DNA-directed DNA polymerase.', NULL, NULL, 'DPOL_T7', 20707),
(20708, 'MF_00914', NULL, 'L-alanine exporter AlaE [alaE].', NULL, NULL, 'L_Ala_exporter', 20708),
(20709, 'MF_03226', NULL, 'Splicing factor YJU2 [YJU2].', NULL, NULL, 'YJU2', 20709),
(20710, 'MF_02219', NULL, 'Type 3 secretion system secretin [sctC].', NULL, NULL, 'Type_III_secretin', 20710),
(20711, 'MF_00119', NULL, 'Translation initiation factor 2 subunit gamma [eif2g].', NULL, NULL, 'eIF_2_gamma', 20711),
(20712, 'MF_00574', NULL, 'Putative ribosomal protein L7Ae-like.', NULL, NULL, 'Ribosomal_L7Ae_Bact', 20712),
(20713, 'MF_01477', NULL, 'Ribosomal silencing factor RsfS [rsfS].', NULL, NULL, 'Iojap_RsfS', 20713),
(20714, 'MF_04001', NULL, 'Regulatory protein E2 [E2].', NULL, NULL, 'PPV_E2', 20714),
(20715, 'MF_00437', NULL, 'Photosystem I assembly protein Ycf4 [ycf4].', NULL, NULL, 'Ycf4', 20715),
(20716, 'MF_01150', NULL, 'Chaperone protein TorD [torD].', NULL, NULL, 'TorD', 20716),
(20717, 'MF_00562', NULL, 'D-aminoacyl-tRNA deacylase [dtdA].', NULL, NULL, 'Deacylase_DtdA', 20717),
(20718, 'MF_00774', NULL, 'Acyl transferase [luxD].', NULL, NULL, 'LuxD', 20718),
(20719, 'MF_00003', NULL, 'Ribosome-binding factor A [rbfA].', NULL, NULL, 'RbfA', 20719),
(20720, 'MF_04083', NULL, 'Envelope glycoprotein gp160 [env].', NULL, NULL, 'HIV_ENV', 20720),
(20721, 'MF_00097', NULL, 'Thiamine-phosphate synthase [thiE].', NULL, NULL, 'TMP_synthase', 20721),
(20722, 'MF_00007', NULL, 'DNA primase DnaG [dnaG].', NULL, NULL, 'DNA_primase_DnaG_arc', 20722),
(20723, 'MF_02218', NULL, 'Glucosamine kinase.', NULL, NULL, 'GlcN_kinase', 20723),
(20724, 'MF_00070', NULL, '2-keto-3-deoxygluconate permease [kdgT].', NULL, NULL, 'KdgT', 20724),
(20725, 'MF_00111', NULL, 'UDP-N-acetylglucosamine 1-carboxyvinyltransferase [murA].', NULL, NULL, 'MurA', 20725);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20726, 'MF_00053', NULL, 'Ribonuclease HIII [rnhC].', NULL, NULL, 'RNase_HIII', 20726),
(20727, 'MF_01344', NULL, 'Cytochrome b6-f complex subunit 4 [petD].', NULL, NULL, 'Cytb6_f_subIV', 20727),
(20728, 'MF_01265', NULL, 'L-aspartate dehydrogenase [nadX].', NULL, NULL, 'NadX', 20728),
(20729, 'MF_04138', NULL, 'Tape measure protein [H].', NULL, NULL, 'TMP_LAMBDA', 20729),
(20730, 'MF_01004', NULL, 'Vitamin B12 import system permease protein BtuC [btuC].', NULL, NULL, 'BtuC', 20730),
(20731, 'MF_01318_B', NULL, '50S ribosomal protein L1 [rplA].', NULL, NULL, 'Ribosomal_L1_B', 20731),
(20732, 'MF_01609', NULL, 'Glutamate--cysteine ligase [gshA].', NULL, NULL, 'Glu_cys_ligase_2', 20732),
(20733, 'MF_01432', NULL, 'Non-specific ribonucleoside hydrolase RihC [rihC].', NULL, NULL, 'Nucleosid_hydro_RihC', 20733),
(20734, 'MF_00414', NULL, 'Probable protein kinase UbiB [ubiB].', NULL, NULL, 'UbiB', 20734),
(20735, 'MF_04037', NULL, 'Envelope glycoprotein N [gN].', NULL, NULL, 'HSV_GN', 20735),
(20736, 'MF_00419', NULL, 'Phosphoribosylformylglycinamidine synthase [purL].', NULL, NULL, 'PurL_1', 20736),
(20737, 'MF_00928', NULL, '4-O-beta-D-mannosyl-D-glucose phosphorylase.', NULL, NULL, 'Man_Glc_phosphorylase', 20737),
(20738, 'MF_00146', NULL, 'dCTP deaminase, dUMP-forming [dcd].', NULL, NULL, 'dCTP_deaminase', 20738),
(20739, 'MF_02023', NULL, 'Dissimilatory sulfite reductase.', NULL, NULL, 'Sulfite_red', 20739),
(20740, 'MF_02078', NULL, 'Probable lipid II flippase MurJ [murJ].', NULL, NULL, 'MurJ_MviN', 20740),
(20741, 'MF_02224', NULL, '4-phosphopantoate--beta-alanine ligase.', NULL, NULL, 'PPS', 20741),
(20742, 'MF_02039', NULL, 'Cell division protein FtsN [ftsN].', NULL, NULL, 'FtsN_entero', 20742),
(20743, 'MF_00291_B', NULL, '30S ribosomal protein S2 [rpsB].', NULL, NULL, 'Ribosomal_S2_B', 20743),
(20744, 'MF_00033', NULL, 'UDP-N-acetylglucosamine--N-acetylmuramyl-(pentapeptide) pyrophosphoryl-undecaprenol N-acetylglucosamine transferase [murG].', NULL, NULL, 'MurG', 20744),
(20745, 'MF_00911', NULL, 'Cell division protein FtsQ [ftsQ].', NULL, NULL, 'FtsQ_subfam', 20745),
(20746, 'MF_00169', NULL, '3-dehydroquinate dehydratase [aroQ].', NULL, NULL, 'AroQ', 20746),
(20747, 'MF_00639', NULL, 'UDP-N-acetylmuramoylalanine--D-glutamate ligase [murD].', NULL, NULL, 'MurD', 20747),
(20748, 'MF_04053', NULL, 'Core-capsid bridging protein [L2].', NULL, NULL, 'ADV_CORE5', 20748),
(20749, 'MF_00515', NULL, 'N-methyl-L-tryptophan oxidase [solA].', NULL, NULL, 'MTOX', 20749),
(20750, 'MF_00785', NULL, 'Sirohydrochlorin cobaltochelatase [cbiX].', NULL, NULL, 'CbiX', 20750),
(20751, 'MF_00074', NULL, 'Ribosomal RNA small subunit methyltransferase G [rsmG].', NULL, NULL, '16SrRNA_methyltr_G', 20751),
(20752, 'MF_00695', NULL, 'High frequency lysogenization protein HflD [hflD].', NULL, NULL, 'HflD_protein', 20752),
(20753, 'MF_01825', NULL, 'Erythronate-4-phosphate dehydrogenase [pdxB].', NULL, NULL, 'PdxB', 20753),
(20754, 'MF_04133', NULL, 'Major capsid protein [E].', NULL, NULL, 'CAPSID_LAMBDA', 20754),
(20755, 'MF_01938', NULL, '2-carboxy-1,4-naphthoquinone phytyltransferase [menA].', NULL, NULL, 'MenA_2', 20755),
(20756, 'MF_02036', NULL, 'Gamma-glutamyl-hercynylcysteine sulfoxide hydrolase [egtC].', NULL, NULL, 'EgtC', 20756),
(20757, 'MF_00788', NULL, '50S ribosomal protein L40e [rpl40e].', NULL, NULL, 'Ribosomal_L40e', 20757),
(20758, 'MF_01154', NULL, 'Curved DNA-binding protein [cbpA].', NULL, NULL, 'CbpA', 20758),
(20759, 'MF_02086', NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, NULL, 'PdxA_Epsilonprot', 20759),
(20760, 'MF_00388', NULL, 'UDP-3-O-acyl-N-acetylglucosamine deacetylase [lpxC].', NULL, NULL, 'LpxC', 20760),
(20761, 'MF_00791', NULL, 'Protein ApaG [apaG].', NULL, NULL, 'ApaG', 20761),
(20762, 'MF_03046', NULL, 'Transcription and mRNA export factor <gene_name> [SUS1].', NULL, NULL, 'ENY2_Sus1', 20762),
(20763, 'MF_01601', NULL, 'ADP-L-glycero-D-manno-heptose-6-epimerase [hldD].', NULL, NULL, 'Heptose_epimerase', 20763);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20764, 'MF_00066', NULL, 'Sulfate adenylyltransferase [sat].', NULL, NULL, 'Sulf_adenylyltr', 20764),
(20765, 'MF_00128', NULL, 'Protein NrdI [nrdI].', NULL, NULL, 'NrdI', 20765),
(20766, 'MF_00091', NULL, 'S-ribosylhomocysteine lyase [luxS].', NULL, NULL, 'LuxS', 20766),
(20767, 'MF_00555', NULL, 'Aspartate--ammonia ligase [asnA].', NULL, NULL, 'AsnA', 20767),
(20768, 'MF_01122', NULL, 'DNA/RNA-binding protein Alba [albA].', NULL, NULL, 'AlbA', 20768),
(20769, 'MF_01465', NULL, 'Protein translocase subunit SecY [secY].', NULL, NULL, 'SecY', 20769),
(20770, 'MF_04122', NULL, 'Internal virion protein gp15.', NULL, NULL, 'GP15_T7', 20770),
(20771, 'MF_01066', NULL, 'Glucans biosynthesis protein C [mdoC].', NULL, NULL, 'MdoC_OpgC', 20771),
(20772, 'MF_00283', NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, NULL, 'Phe_tRNA_synth_beta1', 20772),
(20773, 'MF_00163', NULL, 'Peptide deformylase [def].', NULL, NULL, 'Pep_deformylase', 20773),
(20774, 'MF_00706', NULL, 'Ecotin [eco].', NULL, NULL, 'Ecotin', 20774),
(20775, 'MF_00109', NULL, 'Shikimate kinase [aroK].', NULL, NULL, 'Shikimate_kinase', 20775),
(20776, 'MF_01303', NULL, 'Photosystem I iron-sulfur center [psaC].', NULL, NULL, 'PSI_PsaC', 20776),
(20777, 'MF_00542', NULL, 'Probable butyrate kinase [buk].', NULL, NULL, 'Butyrate_kinase', 20777),
(20778, 'MF_01301', NULL, 'Maltoporin [lamB].', NULL, NULL, 'LamB', 20778),
(20779, 'MF_04105', NULL, 'Antiholin.', NULL, NULL, 'ANTIH_T4', 20779),
(20780, 'MF_02109', NULL, 'Cysteate synthase.', NULL, NULL, 'Cya_synthase', 20780),
(20781, 'MF_01049', NULL, 'L-carnitine/gamma-butyrobetaine antiporter [caiT].', NULL, NULL, 'CaiT', 20781),
(20782, 'MF_03151', NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit F, mitochondrial [GTF1].', NULL, NULL, 'GatF', 20782),
(20783, 'MF_01510', NULL, 'GMP synthase [glutamine-hydrolyzing] subunit A [guaAA].', NULL, NULL, 'GMP_synthase_A', 20783),
(20784, 'MF_01890', NULL, 'Penicillin-binding protein activator LpoA [lpoA].', NULL, NULL, 'LpoA', 20784),
(20785, 'MF_00122', NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit C [gatC].', NULL, NULL, 'GatC', 20785),
(20786, 'MF_00675', NULL, 'Uronate isomerase [uxaC].', NULL, NULL, 'UxaC', 20786),
(20787, 'MF_01814', NULL, 'Transcription factor FapR [fapR].', NULL, NULL, 'Transcrip_fact_FapR', 20787),
(20788, 'MF_00525', NULL, 'Surface composition regulator [glgS].', NULL, NULL, 'GlgS', 20788),
(20789, 'MF_01272', NULL, 'Heme oxygenase (staphylobilin-producing) [isdG].', NULL, NULL, 'Heme_degrading_monooxygenase', 20789),
(20790, 'MF_00455', NULL, 'Xylose isomerase [xylA].', NULL, NULL, 'Xylose_isom_A', 20790),
(20791, 'MF_00448', NULL, '50S ribosomal protein L10e [rpl10e].', NULL, NULL, 'Ribosomal_L10e', 20791),
(20792, 'MF_01069', NULL, 'Glucans biosynthesis protein G [mdoG].', NULL, NULL, 'MdoG_OpgG', 20792),
(20793, 'MF_00538', NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnF [arnF].', NULL, NULL, 'Flippase_ArnF', 20793),
(20794, 'MF_00498', NULL, 'UPF0179 protein <locus_tag>.', NULL, NULL, 'UPF0179', 20794),
(20795, 'MF_00732', NULL, 'HTH-type transcriptional regulator MntR [mntR].', NULL, NULL, 'HTH_MntR', 20795),
(20796, 'MF_01200_B', NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, NULL, 'OMPdecase_type1_B', 20796),
(20797, 'MF_01481', NULL, 'Photosystem II lipoprotein Psb27 [psb27].', NULL, NULL, 'PSII_Psb27', 20797),
(20798, 'MF_01137', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit alpha [cdhA].', NULL, NULL, 'CdhA', 20798),
(20799, 'MF_01975', NULL, 'Methionine aminopeptidase [map].', NULL, NULL, 'MetAP_2_arc', 20799),
(20800, 'MF_03148', NULL, 'Inosine triphosphate pyrophosphatase [ITPA].', NULL, NULL, 'HAM1_NTPase', 20800),
(20801, 'MF_00236', NULL, 'Sec-independent protein translocase protein TatA [tatA].', NULL, NULL, 'TatA_E', 20801),
(20802, 'MF_00324', NULL, 'DNA polymerase II large subunit [polC].', NULL, NULL, 'DNApol_II_L_arch', 20802);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20803, 'MF_01684', NULL, '5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase [mtnN].', NULL, NULL, 'Salvage_MtnN', 20803),
(20804, 'MF_01594', NULL, 'Rhomboid protease GlpG [glpG].', NULL, NULL, 'Rhomboid_GlpG', 20804),
(20805, 'MF_00745', NULL, 'Protein SprT-like.', NULL, NULL, 'SprT_like', 20805),
(20806, 'MF_02044', NULL, 'DNA double-strand break repair protein Mre11 [mre11].', NULL, NULL, 'Mre11', 20806),
(20807, 'MF_00698', NULL, 'Xaa-Pro dipeptidyl-peptidase [pepX].', NULL, NULL, 'Aminopeptidase_S15', 20807),
(20808, 'MF_04075', NULL, 'Large envelope protein [S].', NULL, NULL, 'HBV_HBSAG', 20808),
(20809, 'MF_01688', NULL, '2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase [bphD].', NULL, NULL, 'Biphenyl_BphD', 20809),
(20810, 'MF_00389', NULL, 'Protein TusC [tusC].', NULL, NULL, 'Thiourid_synth_C', 20810),
(20811, 'MF_02116', NULL, '2-amino-5-formylamino-6-ribosylaminopyrimidin-4(3H)-one 5''-monophosphate deformylase [arfB].', NULL, NULL, 'FAPy_deform', 20811),
(20812, 'MF_01102', NULL, 'tRNA 5-methylaminomethyl-2-thiouridine biosynthesis bifunctional protein MnmC [mnmC].', NULL, NULL, 'MnmC', 20812),
(20813, 'MF_01117', NULL, 'CDP-archaeol synthase [carS].', NULL, NULL, 'CDP_archaeol_synth', 20813),
(20814, 'MF_01934', NULL, '1,4-dihydroxy-2-naphthoyl-CoA synthase [menB].', NULL, NULL, 'MenB', 20814),
(20815, 'MF_02008', NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, NULL, 'Tyr_tRNA_synth_type3', 20815),
(20816, 'MF_00235', NULL, 'Adenylate kinase [adk].', NULL, NULL, 'Adenylate_kinase_Adk', 20816),
(20817, 'MF_02118', NULL, 'Octanoyltransferase LipM [lipM].', NULL, NULL, 'LipM', 20817),
(20818, 'MF_01325_A', NULL, '50S ribosomal protein L3 [rplC].', NULL, NULL, 'Ribosomal_L3_A', 20818),
(20819, 'MF_01630', NULL, 'Periplasmic nitrate reductase [napA].', NULL, NULL, 'Nitrate_reduct_NapA', 20819),
(20820, 'MF_01899', NULL, 'Ribonuclease D [rnd].', NULL, NULL, 'RNase_D', 20820),
(20821, 'MF_01846', NULL, 'Nucleoside triphosphatase NudI [nudI].', NULL, NULL, 'Nudix_NudI', 20821),
(20822, 'MF_04145', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_SPP1', 20822),
(20823, 'MF_01977', NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, NULL, 'Phosphofructokinase_II_P', 20823),
(20824, 'MF_04120', NULL, 'Portal protein.', NULL, NULL, 'PORTAL_PROTEIN_T7', 20824),
(20825, 'MF_01358', NULL, 'NAD(P)H-quinone oxidoreductase subunit H, chloroplastic [ndhH].', NULL, NULL, 'NDH1_NuoD', 20825),
(20826, 'MF_00129', NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG [mnmG].', NULL, NULL, 'MnmG_GidA', 20826),
(20827, 'MF_01597', NULL, 'Spermidine export protein MdtI [mdtI].', NULL, NULL, 'MdtI', 20827),
(20828, 'MF_02027', NULL, 'dTDP-fucosamine acetyltransferase [wecD].', NULL, NULL, 'WecD_RffC', 20828),
(20829, 'MF_01694', NULL, 'Biotin synthase [bioB].', NULL, NULL, 'BioB', 20829),
(20830, 'MF_00301', NULL, 'Homoserine kinase [thrB].', NULL, NULL, 'Homoser_kinase_2', 20830),
(20831, 'MF_01400', NULL, 'Peptide methionine sulfoxide reductase MsrB [msrB].', NULL, NULL, 'MsrB', 20831),
(20832, 'MF_00258', NULL, 'Glutamate racemase [murI].', NULL, NULL, 'Glu_racemase', 20832),
(20833, 'MF_01309_B', NULL, '30S ribosomal protein S3 [rpsC].', NULL, NULL, 'Ribosomal_S3_B', 20833),
(20834, 'MF_00822', NULL, 'Urease accessory protein UreE [ureE].', NULL, NULL, 'UreE', 20834),
(20835, 'MF_00690', NULL, 'UPF0270 protein YheU [yheU].', NULL, NULL, 'UPF0270', 20835),
(20836, 'MF_00491', NULL, 'NAD(P)H-quinone oxidoreductase chain 4 [ndhD].', NULL, NULL, 'NDH1_NuoM', 20836),
(20837, 'MF_00461', NULL, 'Ion-translocating oxidoreductase complex subunit C [rsxC].', NULL, NULL, 'RsxC_RnfC', 20837),
(20838, 'MF_03105', NULL, 'Mitochondrial distribution and morphology protein 34 [MDM34].', NULL, NULL, 'Mdm34', 20838),
(20839, 'MF_00907', NULL, 'Proofreading thioesterase EntH [entH].', NULL, NULL, 'Thioesterase_EntH', 20839),
(20840, 'MF_00034', NULL, 'Crossover junction endodeoxyribonuclease RuvC [ruvC].', NULL, NULL, 'RuvC', 20840);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20841, 'MF_01682', NULL, 'Acireductone dioxygenase [mtnD].', NULL, NULL, 'Salvage_MtnD', 20841),
(20842, 'MF_02210', NULL, '[Ribosomal protein S18]-alanine N-acetyltransferase [rimI].', NULL, NULL, 'RimI', 20842),
(20843, 'MF_03207', NULL, 'Elongation of very long chain fatty acids protein 7 [ELOVL7].', NULL, NULL, 'VLCF_elongase_7', 20843),
(20844, 'MF_00532_A', NULL, '30S ribosomal protein S9 [rpsI].', NULL, NULL, 'Ribosomal_S9_A', 20844),
(20845, 'MF_00669', NULL, 'Small, acid-soluble spore protein I [sspI].', NULL, NULL, 'SspI', 20845),
(20846, 'MF_01136', NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit gamma [cdhE].', NULL, NULL, 'CdhE', 20846),
(20847, 'MF_04116', NULL, 'Highly immunogenic outer capsid protein.', NULL, NULL, 'HOC_T4', 20847),
(20848, 'MF_01532', NULL, 'L-rhamnose-proton symporter [rhaT].', NULL, NULL, 'RhaT', 20848),
(20849, 'MF_01855', NULL, 'Fructose-1,6-bisphosphatase class 1 [fbp].', NULL, NULL, 'FBPase_class1', 20849),
(20850, 'MF_01923', NULL, 'Glutamate mutase epsilon subunit [glmE].', NULL, NULL, 'Me_Asp_mutase_E', 20850),
(20851, 'MF_00026', NULL, 'DNA-binding protein <locus_tag>.', NULL, NULL, 'dsDNA_bind', 20851),
(20852, 'MF_00373', NULL, '50S ribosomal protein L28 [rpmB].', NULL, NULL, 'Ribosomal_L28', 20852),
(20853, 'MF_04137', NULL, 'Spanin, inner membrane subunit.', NULL, NULL, 'I_SPANIN_LAMBDA', 20853),
(20854, 'MF_01453', NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [rexB].', NULL, NULL, 'AddB_type2', 20854),
(20855, 'MF_02054', NULL, 'Tyrosine recombinase XerH [xerH].', NULL, NULL, 'Recomb_XerH', 20855),
(20856, 'MF_02037', NULL, 'Histidine N-alpha-methyltransferase [egtD].', NULL, NULL, 'EgtD', 20856),
(20857, 'MF_03036', NULL, '2''-deoxynucleoside 5''-phosphate N-hydrolase 1 [DNPH1].', NULL, NULL, 'Nuc_phosphate_hydrolase', 20857),
(20858, 'MF_00092', NULL, 'Endonuclease MutS2 [mutS2].', NULL, NULL, 'MutS2', 20858),
(20859, 'MF_00566', NULL, 'Plastocyanin [petE].', NULL, NULL, 'Cytb6_f_plastocyanin', 20859),
(20860, 'MF_01419', NULL, 'Phosphoglycolate phosphatase.', NULL, NULL, 'GPH_hydrolase_arch', 20860),
(20861, 'MF_03033', NULL, 'Protein argonaute-4 [EIF2C4].', NULL, NULL, 'AGO4', 20861),
(20862, 'MF_03199', NULL, 'Palmitoyltransferase <gene_name> [PFA4].', NULL, NULL, 'DHHC_PAT_PFA4', 20862),
(20863, 'MF_01010', NULL, '23S rRNA (uracil(1939)-C(5))-methyltransferase RlmD [rlmD].', NULL, NULL, '23SrRNA_methyltr_RlmD', 20863),
(20864, 'MF_01096', NULL, 'Tetrahydromethanopterin S-methyltransferase subunit C [mtrC].', NULL, NULL, 'MtrC', 20864),
(20865, 'MF_01911', NULL, 'HTH-type transcriptional regulator Hpr [hpr].', NULL, NULL, 'HTH_type_Hpr', 20865),
(20866, 'MF_00947', NULL, 'Acid stress chaperone HdeB [hdeB].', NULL, NULL, 'HdeB', 20866),
(20867, 'MF_03141', NULL, 'Platelet-activating factor acetylhydrolase IB subunit alpha [PAFAH1B1].', NULL, NULL, 'lis1', 20867),
(20868, 'MF_01148', NULL, 'Apolipoprotein N-acyltransferase [lnt].', NULL, NULL, 'Lnt', 20868),
(20869, 'MF_00316', NULL, 'Molybdenum cofactor guanylyltransferase [mobA].', NULL, NULL, 'MobA', 20869),
(20870, 'MF_00286', NULL, 'Disulfide bond formation protein B [dsbB].', NULL, NULL, 'DsbB', 20870),
(20871, 'MF_01693', NULL, '8-amino-7-oxononanoate synthase [bioF].', NULL, NULL, 'BioF_aminotrans_2', 20871),
(20872, 'MF_01698', NULL, 'Mycothiol acetyltransferase [mshD].', NULL, NULL, 'MshD', 20872),
(20873, 'MF_01318_A', NULL, '50S ribosomal protein L1 [rplA].', NULL, NULL, 'Ribosomal_L1_A', 20873),
(20874, 'MF_02096', NULL, 'DNA repair protein.', NULL, NULL, 'Nre', 20874),
(20875, 'MF_04146', NULL, 'Terminase, large subunit.', NULL, NULL, 'TERL_T4', 20875),
(20876, 'MF_01903', NULL, 'Xanthine-guanine phosphoribosyltransferase [gpt].', NULL, NULL, 'XGPRT', 20876),
(20877, 'MF_02002', NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, NULL, 'Ile_tRNA_synth_type1', 20877),
(20878, 'MF_02053', NULL, 'Autoinducer-2 kinase [lsrK].', NULL, NULL, 'LsrK', 20878),
(20879, 'MF_02084', NULL, '[LysW]-aminoadipate semialdehyde/glutamate semialdehyde transaminase [lysJ].', NULL, NULL, 'LysJ_aminotrans_3', 20879);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20880, 'MF_01115', NULL, 'Putative ion-transport protein YfeO [yfeO].', NULL, NULL, 'CLC_YfeO', 20880),
(20881, 'MF_00112', NULL, 'Geranylgeranylglyceryl phosphate synthase [pcrB].', NULL, NULL, 'GGGP_HepGP_synthase', 20881),
(20882, 'MF_03050', NULL, 'Molybdenum cofactor sulfurase [MOCOS].', NULL, NULL, 'MOCOS', 20882),
(20883, 'MF_03128', NULL, 'Lipoyl synthase, mitochondrial [LIP1].', NULL, NULL, 'Lipoyl_synth_plantM', 20883),
(20884, 'MF_01364_B', NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, NULL, 'Ribosomal_S14_2_B', 20884),
(20885, 'MF_01174', NULL, 'N-succinylglutamate 5-semialdehyde dehydrogenase [astD].', NULL, NULL, 'Aldedh_AstD', 20885),
(20886, 'MF_01005', NULL, 'Vitamin B12 import ATP-binding protein BtuD [btuD].', NULL, NULL, 'BtuD', 20886),
(20887, 'MF_00775', NULL, 'UPF0311 protein <locus_tag>.', NULL, NULL, 'UPF0311', 20887),
(20888, 'MF_01347', NULL, 'ATP synthase subunit beta [atpB].', NULL, NULL, 'ATP_synth_beta_bact', 20888),
(20889, 'MF_01388', NULL, 'Photosystem II reaction center X protein [psbX].', NULL, NULL, 'PSII_PsbX_2', 20889),
(20890, 'MF_02123', NULL, 'F420-dependent glucose-6-phosphate dehydrogenase [fgd].', NULL, NULL, 'F420_G6P_DH', 20890),
(20891, 'MF_00426', NULL, 'Na(+)-translocating NADH-quinone reductase subunit B [nqrB].', NULL, NULL, 'NqrB', 20891),
(20892, 'MF_00593', NULL, 'D-alanine--D-alanyl carrier protein ligase [dltA].', NULL, NULL, 'DltA', 20892),
(20893, 'MF_01835', NULL, 'Circadian clock protein KaiB [kaiB].', NULL, NULL, 'KaiB', 20893),
(20894, 'MF_00380', NULL, 'Integration host factor subunit alpha [ihfA].', NULL, NULL, 'IHF_alpha', 20894),
(20895, 'MF_01534', NULL, 'HTH-type transcriptional activator RhaS [rhaS].', NULL, NULL, 'HTH_type_RhaS', 20895),
(20896, 'MF_03051', NULL, 'Molybdopterin synthase sulfur carrier subunit [cnxG].', NULL, NULL, 'MOCS2A', 20896),
(20897, 'MF_03177', NULL, 'ATP-dependent DNA helicase RRM3 [RRM3].', NULL, NULL, 'RRM3', 20897),
(20898, 'MF_04078', NULL, 'Protein Nef [nef].', NULL, NULL, 'NEF_HIV', 20898),
(20899, 'MF_00480_A', NULL, '30S ribosomal protein S7 [rpsG].', NULL, NULL, 'Ribosomal_S7_A', 20899),
(20900, 'MF_01107', NULL, 'Acetylornithine/succinyldiaminopimelate aminotransferase [argD].', NULL, NULL, 'ArgD_aminotrans_3', 20900),
(20901, 'MF_01526', NULL, 'UPF0342 protein <locus_tag>.', NULL, NULL, 'UPF0342', 20901),
(20902, 'MF_01918', NULL, 'Cardiolipin synthase C [clsC].', NULL, NULL, 'Cardiolipin_synth_ClsC', 20902),
(20903, 'MF_01279', NULL, 'Xaa-Pro dipeptidase [pepQ].', NULL, NULL, 'X_Pro_dipeptid', 20903),
(20904, 'MF_04110', NULL, 'Endolysin.', NULL, NULL, 'ENDOLYSIN_T4', 20904),
(20905, 'MF_03188', NULL, 'EEF1A lysine methyltransferase 2 [EEF1AKMT2].', NULL, NULL, 'Methyltr_EFM4', 20905),
(20906, 'MF_01035', NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, NULL, 'LeuB_type2', 20906),
(20907, 'MF_00411', NULL, 'DNA-directed RNA polymerase subunit A'''' [rpoA2].', NULL, NULL, 'RNApol_arch_A', 20907),
(20908, 'MF_01258', NULL, 'Coenzyme F420:L-glutamate ligase [cofE].', NULL, NULL, 'F420_ligase_CofE', 20908),
(20909, 'MF_00094', NULL, 'Peptide chain release factor 2 [prfB].', NULL, NULL, 'Rel_fac_2', 20909),
(20910, 'MF_01671', NULL, 'Inositol 2-dehydrogenase/D-chiro-inositol 3-dehydrogenase [iolG].', NULL, NULL, 'IolG', 20910),
(20911, 'MF_02231', NULL, 'Ubiquinone biosynthesis accessory factor UbiT [ubiT].', NULL, NULL, 'UbiT', 20911),
(20912, 'MF_00906', NULL, 'Cell division protein ZapC [zapC].', NULL, NULL, 'ZapC', 20912),
(20913, 'MF_00935', NULL, 'Alanine dehydrogenase [ala].', NULL, NULL, 'AlaDH_arch', 20913),
(20914, 'MF_01077', NULL, 'Ribosome maturation factor RimP [rimP].', NULL, NULL, 'RimP', 20914),
(20915, 'MF_02063', NULL, 'Proton/glutamate-aspartate symporter [gltP].', NULL, NULL, 'GltP_subfam', 20915),
(20916, 'MF_00674', NULL, 'UPF0251 protein <locus_tag>.', NULL, NULL, 'UPF0251', 20916),
(20917, 'MF_03100', NULL, 'Structure-specific endonuclease subunit <gene_name> [SLX1].', NULL, NULL, 'Endonuc_su_Slx1', 20917);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20918, 'PIRSF005785', NULL, NULL, 184, NULL, 'Zn-prot_arch', 20918),
(20919, 'PIRSF011018', NULL, NULL, 561, NULL, 'Nicalin', 20919),
(20920, 'PIRSF021320', NULL, NULL, 150, NULL, 'UCP021320', 20920),
(20921, 'PIRSF006643', NULL, NULL, 121, NULL, 'NDUA6', 20921),
(20922, 'PIRSF037634', NULL, NULL, 284, NULL, 'HS1-bp', 20922),
(20923, 'PIRSF001247', NULL, NULL, 664, NULL, 'Prot-Arg_deiminase', 20923),
(20924, 'PIRSF028438', NULL, NULL, 236, NULL, 'UCP028438', 20924),
(20925, 'PIRSF036836', NULL, NULL, 335, NULL, 'SBP1_RNase_bind', 20925),
(20926, 'PIRSF028301', NULL, NULL, 176, NULL, 'UCP028301', 20926),
(20927, 'PIRSF001495', NULL, NULL, 483, NULL, 'Met_asp_mut_epsi', 20927),
(20928, 'PIRSF000262', NULL, NULL, 555, NULL, 'MCR_alpha', 20928),
(20929, 'PIRSF000137', NULL, NULL, 612, NULL, 'Alcohol_oxidase', 20929),
(20930, 'PIRSF000157', NULL, NULL, 947, NULL, 'Oxoglu_dh_E1', 20930),
(20931, 'PIRSF019736', NULL, NULL, 398, NULL, 'dTMP_TKRP1', 20931),
(20932, 'PIRSF030150', NULL, NULL, 249, NULL, 'SrtB', 20932),
(20933, 'PIRSF036893', NULL, NULL, 199, NULL, 'Lipocalin_ApoD', 20933),
(20934, 'PIRSF037303', NULL, NULL, 791, NULL, 'APC4', 20934),
(20935, 'PIRSF037839', NULL, NULL, 205, NULL, 'RNase_H', 20935),
(20936, 'PIRSF036752', NULL, NULL, 210, NULL, 'TSase_MJ051', 20936),
(20937, 'PIRSF019313', NULL, NULL, 125, NULL, 'UCP019313', 20937),
(20938, 'PIRSF006336', NULL, NULL, 645, NULL, 'B-gal', 20938),
(20939, 'PIRSF036537', NULL, NULL, 74, NULL, 'EhaI', 20939),
(20940, 'PIRSF002808', NULL, NULL, 451, NULL, 'Hexose_phosphate_transp', 20940),
(20941, 'PIRSF005682', NULL, NULL, 491, NULL, 'Fascin', 20941),
(20942, 'PIRSF007023', NULL, NULL, 343, NULL, 'UDP-Galf_transf', 20942),
(20943, 'PIRSF014735', NULL, NULL, 187, NULL, 'UCP014735', 20943),
(20944, 'PIRSF038214', NULL, NULL, 188, NULL, 'ESCRT1_Vps37_fungi', 20944),
(20945, 'PIRSF001093', NULL, NULL, 570, NULL, 'B-hxosamndse_ab_euk_', 20945),
(20946, 'PIRSF017617', NULL, NULL, 362, NULL, 'Thr_aldolase', 20946),
(20947, 'PIRSF037476', NULL, NULL, 809, NULL, 'BLOC2_Hps6', 20947),
(20948, 'PIRSF005018', NULL, NULL, 156, NULL, 'UCP005018', 20948),
(20949, 'PIRSF006092', NULL, NULL, 161, NULL, 'GreA_GreB', 20949),
(20950, 'PIRSF034077', NULL, NULL, 128, NULL, 'UCP034077', 20950),
(20951, 'PIRSF005499', NULL, NULL, 727, NULL, 'PNPase', 20951),
(20952, 'PIRSF021697', NULL, NULL, 156, NULL, 'UCP021697', 20952),
(20953, 'PIRSF002590', NULL, NULL, 120, NULL, 'HSP9_HSP12', 20953),
(20954, 'PIRSF000554', NULL, NULL, 593, NULL, 'PKC_zeta', 20954),
(20955, 'PIRSF005610', NULL, NULL, 122, NULL, 'UCP005610', 20955),
(20956, 'PIRSF036508', NULL, NULL, 1373, NULL, 'Condns_HCP-6', 20956),
(20957, 'PIRSF005850', NULL, NULL, 454, NULL, 'UCP005850', 20957),
(20958, 'PIRSF000216', NULL, NULL, 233, NULL, 'NDH-1_E', 20958),
(20959, 'PIRSF005457', NULL, NULL, 259, NULL, 'Glx', 20959),
(20960, 'PIRSF003092', NULL, NULL, 286, NULL, 'MinD', 20960),
(20961, 'PIRSF001092', NULL, NULL, 475, NULL, 'Alpha-L-fucosidase', 20961),
(20962, 'PIRSF037933', NULL, NULL, 849, NULL, 'Polyserase-2', 20962),
(20963, 'PIRSF017029', NULL, NULL, 86, NULL, 'SRP9', 20963),
(20964, 'PIRSF025007', NULL, NULL, 805, NULL, 'Sec15', 20964),
(20965, 'PIRSF002583', NULL, NULL, 717, NULL, 'HSP90_HTPG', 20965),
(20966, 'PIRSF500628', NULL, NULL, 500, NULL, 'PTGIS', 20966),
(20967, 'PIRSF007159', NULL, NULL, 273, NULL, 'Protease_ASVF', 20967),
(20968, 'PIRSF005799', NULL, NULL, 376, NULL, 'UDP-gal_transpt', 20968),
(20969, 'PIRSF037559', NULL, NULL, 513, NULL, 'Gly_redC_beta', 20969),
(20970, 'PIRSF037706', NULL, NULL, 93, NULL, 'MRP10', 20970),
(20971, 'PIRSF036990', NULL, NULL, 233, NULL, 'UCP_CBS_BON', 20971),
(20972, 'PIRSF500102', NULL, NULL, 574, NULL, 'ER-b', 20972),
(20973, 'PIRSF020680', NULL, NULL, 202, NULL, 'PhnH', 20973),
(20974, 'PIRSF023381', NULL, NULL, 258, NULL, 'Mpdu1', 20974),
(20975, 'PIRSF012335', NULL, NULL, 154, NULL, 'UCP012335', 20975),
(20976, 'PIRSF026169', NULL, NULL, 219, NULL, 'UCP026169', 20976);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(20977, 'PIRSF007802', NULL, NULL, 160, NULL, 'ATG10', 20977),
(20978, 'PIRSF004669', NULL, NULL, 89, NULL, 'FliQ', 20978),
(20979, 'PIRSF004961', NULL, NULL, 285, NULL, 'UCP004961_hydrolase', 20979),
(20980, 'PIRSF012290', NULL, NULL, 235, NULL, 'EutL_PduB', 20980),
(20981, 'PIRSF018654', NULL, NULL, 364, NULL, 'Fe-S_or_NB_arc', 20981),
(20982, 'PIRSF019423', NULL, NULL, 325, NULL, 'NMN_biosyn', 20982),
(20983, 'PIRSF037090', NULL, NULL, 950, NULL, 'IGluLR_plant', 20983),
(20984, 'PIRSF004649', NULL, NULL, 212, NULL, 'MlaC', 20984),
(20985, 'PIRSF004094', NULL, NULL, 198, NULL, 'Coat_SV', 20985),
(20986, 'PIRSF018300', NULL, NULL, 622, NULL, 'DNA_pol_alpha_2', 20986),
(20987, 'PIRSF028111', NULL, NULL, 232, NULL, 'UCP028111', 20987),
(20988, 'PIRSF029730', NULL, NULL, 260, NULL, 'UCP029730', 20988),
(20989, 'PIRSF037343', NULL, NULL, 616, NULL, 'PTSIIBC_sugar', 20989),
(20990, 'PIRSF002495', NULL, NULL, 2813, NULL, 'VWF', 20990),
(20991, 'PIRSF004953', NULL, NULL, 108, NULL, 'EhaL', 20991),
(20992, 'PIRSF006223', NULL, NULL, 109, NULL, 'DsrC_TusE', 20992),
(20993, 'PIRSF010521', NULL, NULL, 203, NULL, 'Secr_Zn_protease', 20993),
(20994, 'PIRSF031279', NULL, NULL, 172, NULL, 'UCP031279', 20994),
(20995, 'PIRSF003048', NULL, NULL, 827, NULL, 'Hist_acetylase_PCAF', 20995),
(20996, 'PIRSF000474', NULL, NULL, 528, NULL, 'GM2_GD2_synthase', 20996),
(20997, 'PIRSF500216', NULL, NULL, 391, NULL, 'DltB', 20997),
(20998, 'PIRSF006517', NULL, NULL, 1017, NULL, 'DNA_pol_mt_plasmid', 20998),
(20999, 'PIRSF017082', NULL, NULL, 333, NULL, 'YflP', 20999),
(21000, 'PIRSF009103', NULL, NULL, 155, NULL, 'Ivy', 21000),
(21001, 'PIRSF037429', NULL, NULL, 284, NULL, 'UCP037429', 21001),
(21002, 'PIRSF036354', NULL, NULL, 733, NULL, 'NosR', 21002),
(21003, 'PIRSF036105', NULL, NULL, 642, NULL, 'VirE3_Rhizobiaceae', 21003),
(21004, 'PIRSF019709', NULL, NULL, 241, NULL, 'MtxX', 21004),
(21005, 'PIRSF005715', NULL, NULL, 582, NULL, 'VPS45_Sec1', 21005),
(21006, 'PIRSF025024', NULL, NULL, 474, NULL, 'Txn_adaptor_ADA2', 21006),
(21007, 'PIRSF005898', NULL, NULL, 265, NULL, 'CpeC_CpcI', 21007),
(21008, 'PIRSF500165', NULL, NULL, 344, NULL, 'HMDI', 21008),
(21009, 'PIRSF037532', NULL, NULL, 739, NULL, 'HK_NtrY', 21009),
(21010, 'PIRSF038945', NULL, NULL, 360, NULL, 'Thr_synthase', 21010),
(21011, 'PIRSF000196', NULL, NULL, 306, NULL, 'Pro_dehydrog', 21011),
(21012, 'PIRSF015629', NULL, NULL, 566, NULL, 'VAC_E6R', 21012),
(21013, 'PIRSF000952', NULL, NULL, 1275, NULL, 'PLC-gamma', 21013),
(21014, 'PIRSF016602', NULL, NULL, 139, NULL, 'CurC', 21014),
(21015, 'PIRSF029811', NULL, NULL, 197, NULL, 'UCP029811', 21015),
(21016, 'PIRSF010607', NULL, NULL, 156, NULL, 'Txn_repr_CtsR', 21016),
(21017, 'PIRSF000350', NULL, NULL, 550, NULL, 'Hg-II_reductase_MerA', 21017),
(21018, 'PIRSF009400', NULL, NULL, 411, NULL, 'Hedgehog', 21018),
(21019, 'PIRSF038192', NULL, NULL, 358, NULL, 'Txn_reg_BtrU', 21019),
(21020, 'PIRSF016210', NULL, NULL, 268, NULL, 'UCP016210', 21020),
(21021, 'PIRSF004572', NULL, NULL, 170, NULL, 'SecM', 21021),
(21022, 'PIRSF010611', NULL, NULL, 113, NULL, 'UCP010611', 21022),
(21023, 'PIRSF036531', NULL, NULL, 142, NULL, 'Tpp15', 21023),
(21024, 'PIRSF026166', NULL, NULL, 340, NULL, 'UCP026166', 21024),
(21025, 'PIRSF039110', NULL, NULL, 458, NULL, 'IPP_transferase', 21025),
(21026, 'PIRSF025023', NULL, NULL, 115, NULL, 'Spt4', 21026),
(21027, 'PIRSF010751', NULL, NULL, 606, NULL, 'HOP1_fungal', 21027),
(21028, 'PIRSF010256', NULL, NULL, 395, NULL, 'CoxE_vWa', 21028),
(21029, 'PIRSF006655', NULL, NULL, 378, NULL, 'DHQS_altern', 21029),
(21030, 'PIRSF009324', NULL, NULL, 331, NULL, 'Cdk5_activator', 21030),
(21031, 'PIRSF036177', NULL, NULL, 200, NULL, 'HsdS', 21031),
(21032, 'PIRSF037875', NULL, NULL, 479, NULL, 'EpiP_NisP_MutP', 21032),
(21033, 'PIRSF035836', NULL, NULL, 275, NULL, 'UCP035836', 21033),
(21034, 'PIRSF004916', NULL, NULL, 108, NULL, 'UCP004916', 21034),
(21035, 'PIRSF015761', NULL, NULL, 388, NULL, 'Protein_L', 21035);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21036, 'PIRSF037635', NULL, NULL, 92, NULL, 'BID3', 21036),
(21037, 'PIRSF000242', NULL, NULL, 570, NULL, 'HAO', 21037),
(21038, 'PIRSF036495', NULL, NULL, 350, NULL, 'IGFBP_rP_CNN', 21038),
(21039, 'PIRSF015604', NULL, NULL, 166, NULL, 'OBP_PBP_Ditrysia', 21039),
(21040, 'PIRSF014774', NULL, NULL, 316, NULL, 'YdgH', 21040),
(21041, 'PIRSF024534', NULL, NULL, 165, NULL, 'ThiW', 21041),
(21042, 'PIRSF010631', NULL, NULL, 926, NULL, 'A-rhamnsds', 21042),
(21043, 'PIRSF028304', NULL, NULL, 622, NULL, 'UCP028304', 21043),
(21044, 'PIRSF029218', NULL, NULL, 98, NULL, 'ParE', 21044),
(21045, 'PIRSF035823', NULL, NULL, 841, NULL, 'VirD5_Agrobacterium', 21045),
(21046, 'PIRSF037031', NULL, NULL, 78, NULL, 'Redox_disulf_2', 21046),
(21047, 'PIRSF006257', NULL, NULL, 108, NULL, 'UCP006257', 21047),
(21048, 'PIRSF037881', NULL, NULL, 411, NULL, 'Leupaxin', 21048),
(21049, 'PIRSF019205', NULL, NULL, 354, NULL, 'UCP019205_transporter', 21049),
(21050, 'PIRSF027109', NULL, NULL, 224, NULL, 'Golgi_SNARE', 21050),
(21051, 'PIRSF029195', NULL, NULL, 259, NULL, 'UCP029195_PTS_EIIA2', 21051),
(21052, 'PIRSF036883', NULL, NULL, 380, NULL, 'RR_HD-GYP_mod', 21052),
(21053, 'PIRSF008765', NULL, NULL, 140, NULL, 'PIG-P_GPI19', 21053),
(21054, 'PIRSF015697', NULL, NULL, 202, NULL, 'UCP015697', 21054),
(21055, 'PIRSF003027', NULL, NULL, 461, NULL, 'Txn_fact_GATA-1/2/3', 21055),
(21056, 'PIRSF002466', NULL, NULL, 145, NULL, 'Glycophorin', 21056),
(21057, 'PIRSF016080', NULL, NULL, 288, NULL, 'RE_MboI', 21057),
(21058, 'PIRSF005739', NULL, NULL, 372, NULL, 'O-mtase', 21058),
(21059, 'PIRSF028846', NULL, NULL, 432, NULL, 'UCP028846', 21059),
(21060, 'PIRSF001355', NULL, NULL, 353, NULL, 'SAM_decarbox_euk', 21060),
(21061, 'PIRSF016573', NULL, NULL, 228, NULL, 'Snapalysin', 21061),
(21062, 'PIRSF037712', NULL, NULL, 124, NULL, 'TIP-1', 21062),
(21063, 'PIRSF030200', NULL, NULL, 99, NULL, 'PaaB', 21063),
(21064, 'PIRSF038016', NULL, NULL, 427, NULL, 'Pin2_TRF1', 21064),
(21065, 'PIRSF039073', NULL, NULL, 2149, NULL, 'BRR2', 21065),
(21066, 'PIRSF001154', NULL, NULL, 779, NULL, 'Compl_C2_B', 21066),
(21067, 'PIRSF001653', NULL, NULL, 211, NULL, 'API-B', 21067),
(21068, 'PIRSF000988', NULL, NULL, 284, NULL, 'DNase_I', 21068),
(21069, 'PIRSF006118', NULL, NULL, 176, NULL, 'KDO8-P_Ptase', 21069),
(21070, 'PIRSF036704', NULL, NULL, 69, NULL, 'UCP036704', 21070),
(21071, 'PIRSF027110', NULL, NULL, 221, NULL, 'PREG', 21071),
(21072, 'PIRSF000081', NULL, NULL, 166, NULL, 'Phycocyanin', 21072),
(21073, 'PIRSF005788', NULL, NULL, 158, NULL, 'NifK', 21073),
(21074, 'PIRSF000077', NULL, NULL, 107, NULL, 'Thioredoxin', 21074),
(21075, 'PIRSF000502', NULL, NULL, 298, NULL, 'Spermidine_synth', 21075),
(21076, 'PIRSF003093', NULL, NULL, 168, NULL, 'SulA', 21076),
(21077, 'PIRSF023869', NULL, NULL, 246, NULL, 'MED6_meta/plant', 21077),
(21078, 'PIRSF036949', NULL, NULL, 272, NULL, 'RPA32', 21078),
(21079, 'PIRSF019714', NULL, NULL, 260, NULL, 'NLBH', 21079),
(21080, 'PIRSF005211', NULL, NULL, 434, NULL, 'Ab_hydro_YheT', 21080),
(21081, 'PIRSF000530', NULL, NULL, 415, NULL, 'Galactokinase', 21081),
(21082, 'PIRSF001461', NULL, NULL, 228, NULL, 'RPE', 21082),
(21083, 'PIRSF037149', NULL, NULL, 840, NULL, 'NirB', 21083),
(21084, 'PIRSF036292', NULL, NULL, 515, NULL, 'Prenylcysteine_oxidase', 21084),
(21085, 'PIRSF038126', NULL, NULL, 408, NULL, 'SWI_SNF', 21085),
(21086, 'PIRSF011312', NULL, NULL, 281, NULL, 'HUS1', 21086),
(21087, 'PIRSF001555', NULL, NULL, 329, NULL, 'Asp_ammon_ligase', 21087),
(21088, 'PIRSF000207', NULL, NULL, 609, NULL, 'SiR-FP_CysJ', 21088),
(21089, 'PIRSF017434', NULL, NULL, 488, NULL, 'NT5C2', 21089),
(21090, 'PIRSF037299', NULL, NULL, 443, NULL, 'CRH1', 21090),
(21091, 'PIRSF003203', NULL, NULL, 109, NULL, 'AzlD', 21091),
(21092, 'PIRSF003962', NULL, NULL, 1684, NULL, 'M_poly_NairoV', 21092),
(21093, 'PIRSF009180', NULL, NULL, 241, NULL, 'UCP009180', 21093),
(21094, 'PIRSF036314', NULL, NULL, 1623, NULL, 'LDLR-rel_5_6', 21094);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21095, 'PIRSF033595', NULL, NULL, 119, NULL, 'UCP033595', 21095),
(21096, 'PIRSF017126', NULL, NULL, 732, NULL, 'Condensin_H', 21096),
(21097, 'PIRSF020481', NULL, NULL, 295, NULL, 'BAP', 21097),
(21098, 'PIRSF020728', NULL, NULL, 166, NULL, 'Fimbrin_SefA', 21098),
(21099, 'PIRSF017349', NULL, NULL, 137, NULL, 'UCP017349', 21099),
(21100, 'PIRSF017300', NULL, NULL, 637, NULL, 'snoRNP_Mpp10', 21100),
(21101, 'PIRSF037258', NULL, NULL, 87, NULL, 'UCP037258', 21101),
(21102, 'PIRSF501107', NULL, NULL, 683, NULL, 'Protein_kin_C_eta', 21102),
(21103, 'PIRSF013684', NULL, NULL, 721, NULL, 'BBS2', 21103),
(21104, 'PIRSF036539', NULL, NULL, 457, NULL, 'CmaT_thioesters', 21104),
(21105, 'PIRSF005890', NULL, NULL, 170, NULL, 'Phot_II_cyt_c550', 21105),
(21106, 'PIRSF037354', NULL, NULL, 532, NULL, 'RtcR', 21106),
(21107, 'PIRSF000788', NULL, NULL, 1056, NULL, 'DNA_pol_ADV', 21107),
(21108, 'PIRSF037756', NULL, NULL, 292, NULL, 'MyD88', 21108),
(21109, 'PIRSF007320', NULL, NULL, 195, NULL, 'Fimbrillin_MatB', 21109),
(21110, 'PIRSF036397', NULL, NULL, 851, NULL, 'Bacteriophytochrome_rec', 21110),
(21111, 'PIRSF036978', NULL, NULL, 340, NULL, 'UCP036978_PHPhdr', 21111),
(21112, 'PIRSF037844', NULL, NULL, 1408, NULL, 'Vpr-related_protease', 21112),
(21113, 'PIRSF003923', NULL, NULL, 57, NULL, 'SH_protein_mumps', 21113),
(21114, 'PIRSF034585', NULL, NULL, 1011, NULL, 'SrfB', 21114),
(21115, 'PIRSF036436', NULL, NULL, 394, NULL, 'UCP036436_permease', 21115),
(21116, 'PIRSF029543', NULL, NULL, 133, NULL, 'UCP029543', 21116),
(21117, 'PIRSF033622', NULL, NULL, 390, NULL, 'UCP033622_transglutaminase', 21117),
(21118, 'PIRSF018455', NULL, NULL, 307, NULL, 'MepA', 21118),
(21119, 'PIRSF006363', NULL, NULL, 218, NULL, 'UCP006363_ACT', 21119),
(21120, 'PIRSF037000', NULL, NULL, 164, NULL, 'RNA_ed_MP18', 21120),
(21121, 'PIRSF021239', NULL, NULL, 114, NULL, 'UCP021239', 21121),
(21122, 'PIRSF006066', NULL, NULL, 427, NULL, 'HI0050', 21122),
(21123, 'PIRSF011576', NULL, NULL, 102, NULL, 'YabP', 21123),
(21124, 'PIRSF039026', NULL, NULL, 360, NULL, 'SiaP', 21124),
(21125, 'PIRSF020408', NULL, NULL, 104, NULL, 'UCP020408', 21125),
(21126, 'PIRSF029755', NULL, NULL, 268, NULL, 'UCP029755', 21126),
(21127, 'PIRSF018503', NULL, NULL, 168, NULL, 'BMOH_MMO_gamma', 21127),
(21128, 'PIRSF018982', NULL, NULL, 263, NULL, 'EutC', 21128),
(21129, 'PIRSF030791', NULL, NULL, 170, NULL, 'UCP030791', 21129),
(21130, 'PIRSF038023', NULL, NULL, 487, NULL, 'ANTXR2', 21130),
(21131, 'PIRSF038079', NULL, NULL, 339, NULL, 'Torsin-2A', 21131),
(21132, 'PIRSF003401', NULL, NULL, 44, NULL, 'Trans_E5_PLV', 21132),
(21133, 'PIRSF018001', NULL, NULL, 319, NULL, 'Aspartoacylase', 21133),
(21134, 'PIRSF011468', NULL, NULL, 291, NULL, 'PhnJ', 21134),
(21135, 'PIRSF000850', NULL, NULL, 452, NULL, 'PLD_PSS', 21135),
(21136, 'PIRSF022260', NULL, NULL, 361, NULL, 'UCP022260', 21136),
(21137, 'PIRSF037293', NULL, NULL, 791, NULL, 'ERdj5', 21137),
(21138, 'PIRSF009597', NULL, NULL, 117, NULL, 'UCP009597', 21138),
(21139, 'PIRSF037546', NULL, NULL, 2109, NULL, 'RNA_pol_L_Rhabdo_sub', 21139),
(21140, 'PIRSF001273', NULL, NULL, 253, NULL, 'CDH', 21140),
(21141, 'PIRSF016104', NULL, NULL, 297, NULL, 'PIG-C', 21141),
(21142, 'PIRSF030748', NULL, NULL, 234, NULL, 'Autotransporter_YhjY', 21142),
(21143, 'PIRSF029394', NULL, NULL, 133, NULL, 'UCP029394', 21143),
(21144, 'PIRSF037827', NULL, NULL, 194, NULL, 'Bcl-2-like_11', 21144),
(21145, 'PIRSF003281', NULL, NULL, 217, NULL, 'ExcA', 21145),
(21146, 'PIRSF037834', NULL, NULL, 256, NULL, 'PaaC', 21146),
(21147, 'PIRSF015919', NULL, NULL, 426, NULL, 'TFIIH_SSL1', 21147),
(21148, 'PIRSF011491', NULL, NULL, 225, NULL, 'Mtase_YbcY', 21148),
(21149, 'PIRSF033860', NULL, NULL, 153, NULL, 'UCP033860', 21149),
(21150, 'PIRSF500176', NULL, NULL, 330, NULL, 'L_ASNase', 21150),
(21151, 'PIRSF006609', NULL, NULL, 86, NULL, 'snRNP_SmF', 21151),
(21152, 'PIRSF036487', NULL, NULL, 490, NULL, 'Hydroxylase_rubr', 21152);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21153, 'PIRSF014897', NULL, NULL, 752, NULL, 'UCP014897', 21153),
(21154, 'PIRSF006160', NULL, NULL, 160, NULL, 'AI2', 21154),
(21155, 'PIRSF036382', NULL, NULL, 201, NULL, 'RR_antiterminator', 21155),
(21156, 'PIRSF001415', NULL, NULL, 333, NULL, 'Porphbilin_synth', 21156),
(21157, 'PIRSF000390', NULL, NULL, 381, NULL, 'PLP_StrS', 21157),
(21158, 'PIRSF028763', NULL, NULL, 311, NULL, 'RNAP3_C34/C39', 21158),
(21159, 'PIRSF005508', NULL, NULL, 359, NULL, 'Arsen_res_ArsB', 21159),
(21160, 'PIRSF003097', NULL, NULL, 301, NULL, 'FtsX', 21160),
(21161, 'PIRSF000036', NULL, NULL, 83, NULL, 'Cytochrome_PsbE', 21161),
(21162, 'PIRSF037632', NULL, NULL, 276, NULL, 'Rep-8_protein', 21162),
(21163, 'PIRSF003669', NULL, NULL, 256, NULL, 'Aden_E1A', 21163),
(21164, 'PIRSF011609', NULL, NULL, 308, NULL, 'DRT102', 21164),
(21165, 'PIRSF016179', NULL, NULL, 229, NULL, 'UCP016179', 21165),
(21166, 'PIRSF038919', NULL, NULL, 655, NULL, 'NOG1', 21166),
(21167, 'PIRSF006173', NULL, NULL, 150, NULL, 'UCP006173', 21167),
(21168, 'PIRSF017228', NULL, NULL, 338, NULL, 'Sphnglp_dlt4_des', 21168),
(21169, 'PIRSF501105', NULL, NULL, 707, NULL, 'Protein_kin_C_theta', 21169),
(21170, 'PIRSF002304', NULL, NULL, 804, NULL, 'Band_41', 21170),
(21171, 'PIRSF006398', NULL, NULL, 91, NULL, 'Sec61_beta', 21171),
(21172, 'PIRSF037002', NULL, NULL, 592, NULL, 'RNA_ed_MP63', 21172),
(21173, 'PIRSF000144', NULL, NULL, 770, NULL, 'CbbBc', 21173),
(21174, 'PIRSF006162', NULL, NULL, 173, NULL, 'PgpA', 21174),
(21175, 'PIRSF000471', NULL, NULL, 400, NULL, 'Alpha_GT', 21175),
(21176, 'PIRSF009136', NULL, NULL, 269, NULL, 'MDUP_MalA', 21176),
(21177, 'PIRSF037898', NULL, NULL, 1285, NULL, 'Subtilisin_rel_Sputw3181_3341', 21177),
(21178, 'PIRSF000075', NULL, NULL, 41, NULL, 'Desulforedoxin', 21178),
(21179, 'PIRSF032079', NULL, NULL, 179, NULL, 'UCP032079', 21179),
(21180, 'PIRSF000524', NULL, NULL, 394, NULL, 'SPT', 21180),
(21181, 'PIRSF016788', NULL, NULL, 295, NULL, 'RR_Fis', 21181),
(21182, 'PIRSF038095', NULL, NULL, 71, NULL, 'NDUA1', 21182),
(21183, 'PIRSF038142', NULL, NULL, 262, NULL, 'Rhodopsin_bac', 21183),
(21184, 'PIRSF009325', NULL, NULL, 206, NULL, 'PTPRC-associated_protein', 21184),
(21185, 'PIRSF005588', NULL, NULL, 140, NULL, 'DAD1_Ost2', 21185),
(21186, 'PIRSF036406', NULL, NULL, 343, NULL, 'Hept_kin', 21186),
(21187, 'PIRSF018788', NULL, NULL, 460, NULL, 'EutB', 21187),
(21188, 'PIRSF002472', NULL, NULL, 123, NULL, 'Amyloid_prot_SAA', 21188),
(21189, 'PIRSF033909', NULL, NULL, 377, NULL, 'UCP033909', 21189),
(21190, 'PIRSF036633', NULL, NULL, 400, NULL, 'FmdC_D', 21190),
(21191, 'PIRSF011861', NULL, NULL, 533, NULL, 'Biotinidase', 21191),
(21192, 'PIRSF022936', NULL, NULL, 199, NULL, 'RAD59_fungi', 21192),
(21193, 'PIRSF036979', NULL, NULL, 302, NULL, 'Arginase', 21193),
(21194, 'PIRSF000384', NULL, NULL, 263, NULL, 'PNMTase', 21194),
(21195, 'PIRSF005465', NULL, NULL, 409, NULL, 'GIRK_kir', 21195),
(21196, 'PIRSF028609', NULL, NULL, 103, NULL, 'UCP028609', 21196),
(21197, 'PIRSF000025', NULL, NULL, 119, NULL, 'Cytochrome_Bsub_c550', 21197),
(21198, 'PIRSF000102', NULL, NULL, 330, NULL, 'Lac_mal_DH', 21198),
(21199, 'PIRSF036464', NULL, NULL, 703, NULL, 'Ser_ala_racem', 21199),
(21200, 'PIRSF500950', NULL, NULL, 1081, NULL, 'Alpha-PDGF_receptor', 21200),
(21201, 'PIRSF026306', NULL, NULL, 1156, NULL, 'UCP026306', 21201),
(21202, 'PIRSF033399', NULL, NULL, 121, NULL, 'UCP033399', 21202),
(21203, 'PIRSF037403', NULL, NULL, 449, NULL, 'BMP3/GDF10', 21203),
(21204, 'PIRSF000491', NULL, NULL, 681, NULL, 'Alt_phage', 21204),
(21205, 'PIRSF036698', NULL, NULL, 56, NULL, 'UCP036698', 21205),
(21206, 'PIRSF028758', NULL, NULL, 260, NULL, 'Cyclin_C_H_G', 21206),
(21207, 'PIRSF009310', NULL, NULL, 205, NULL, 'Mtase_NodS', 21207),
(21208, 'PIRSF002431', NULL, NULL, 523, NULL, 'Saposin', 21208),
(21209, 'PIRSF020485', NULL, NULL, 122, NULL, 'PA-IL', 21209),
(21210, 'PIRSF001836', NULL, NULL, 104, NULL, 'Neuroparsin', 21210);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21211, 'PIRSF006910', NULL, NULL, 150, NULL, 'NA_bind_Rv2694c', 21211),
(21212, 'PIRSF003326', NULL, NULL, 288, NULL, 'PET111', 21212),
(21213, 'PIRSF000332', NULL, NULL, 533, NULL, 'FMO', 21213),
(21214, 'PIRSF000363', NULL, NULL, 278, NULL, 'Nitrogenase_iron', 21214),
(21215, 'PIRSF000830', NULL, NULL, 2210, NULL, 'L_ParamyxoV', 21215),
(21216, 'PIRSF023577', NULL, NULL, 304, NULL, 'NOSIP', 21216),
(21217, 'PIRSF005353', NULL, NULL, 446, NULL, 'PbuG', 21217),
(21218, 'PIRSF006443', NULL, NULL, 170, NULL, 'MoaB', 21218),
(21219, 'PIRSF019345', NULL, NULL, 216, NULL, 'SCPB', 21219),
(21220, 'PIRSF016553', NULL, NULL, 784, NULL, 'BIGH3_OSF2', 21220),
(21221, 'PIRSF000778', NULL, NULL, 137, NULL, 'RpoK/RPB6', 21221),
(21222, 'PIRSF036444', NULL, NULL, 1361, NULL, 'Pesterase_YvnB', 21222),
(21223, 'PIRSF038054', NULL, NULL, 403, NULL, 'Nas7_nas8', 21223),
(21224, 'PIRSF020736', NULL, NULL, 207, NULL, 'MiaE', 21224),
(21225, 'PIRSF036960', NULL, NULL, 922, NULL, 'Neuropilin', 21225),
(21226, 'PIRSF015868', NULL, NULL, 383, NULL, 'HP0120', 21226),
(21227, 'PIRSF001619', NULL, NULL, 339, NULL, 'Biotin_synth', 21227),
(21228, 'PIRSF015980', NULL, NULL, 669, NULL, 'VAC_O1L', 21228),
(21229, 'PIRSF001386', NULL, NULL, 458, NULL, 'Trpase', 21229),
(21230, 'PIRSF004030', NULL, NULL, 95, NULL, 'Z_ArenaV', 21230),
(21231, 'PIRSF038169', NULL, NULL, 371, NULL, 'WD_rpt_55', 21231),
(21232, 'PIRSF000970', NULL, NULL, 420, NULL, '2_3-cyc_nuc_Pdiesterase', 21232),
(21233, 'PIRSF037187', NULL, NULL, 240, NULL, 'SmB_SmN', 21233),
(21234, 'PIRSF004555', NULL, NULL, 107, NULL, 'UCP004555', 21234),
(21235, 'PIRSF000032', NULL, NULL, 215, NULL, 'Cytochrome_b6', 21235),
(21236, 'PIRSF037214', NULL, NULL, 164, NULL, 'UCP037214', 21236),
(21237, 'PIRSF037235', NULL, NULL, 3149, NULL, 'Vps13_fungi', 21237),
(21238, 'PIRSF037865', NULL, NULL, 320, NULL, 'DFF_alpha', 21238),
(21239, 'PIRSF500156', NULL, NULL, 440, NULL, 'GalT_Corynebac', 21239),
(21240, 'PIRSF001587', NULL, NULL, 742, NULL, 'FGAM_synthase_II', 21240),
(21241, 'PIRSF003271', NULL, NULL, 125, NULL, 'TrbF', 21241),
(21242, 'PIRSF005054', NULL, NULL, 255, NULL, 'PF1131', 21242),
(21243, 'PIRSF007798', NULL, NULL, 223, NULL, 'UCP007798', 21243),
(21244, 'PIRSF036802', NULL, NULL, 412, NULL, 'Tau55_TFC7', 21244),
(21245, 'PIRSF037037', NULL, NULL, 585, NULL, 'Kelch_gigaxonin', 21245),
(21246, 'PIRSF002746', NULL, NULL, 458, NULL, 'Gluconate_transporter', 21246),
(21247, 'PIRSF009451', NULL, NULL, 514, NULL, 'Citrt_lyas_alpha', 21247),
(21248, 'PIRSF038193', NULL, NULL, 526, NULL, 'Hyaluronidase', 21248),
(21249, 'PIRSF004160', NULL, NULL, 328, NULL, 'Minor_spike_H', 21249),
(21250, 'PIRSF004985', NULL, NULL, 139, NULL, 'Hlld_jn_rslvs_ar', 21250),
(21251, 'PIRSF001859', NULL, NULL, 88, NULL, 'Eclosion_hormone', 21251),
(21252, 'PIRSF011572', NULL, NULL, 258, NULL, 'CodY', 21252),
(21253, 'PIRSF028788', NULL, NULL, 213, NULL, 'TfoX_Sxy', 21253),
(21254, 'PIRSF032817', NULL, NULL, 242, NULL, 'UCP032817', 21254),
(21255, 'PIRSF036442', NULL, NULL, 534, NULL, 'NAGS_animal', 21255),
(21256, 'PIRSF016551', NULL, NULL, 231, NULL, 'SAS5/TFIID_14', 21256),
(21257, 'PIRSF000994', NULL, NULL, 246, NULL, 'RE_XhoI', 21257),
(21258, 'PIRSF038123', NULL, NULL, 257, NULL, 'PTI6', 21258),
(21259, 'PIRSF017849', NULL, NULL, 123, NULL, 'TraD', 21259),
(21260, 'PIRSF007036', NULL, NULL, 111, NULL, 'Elb1', 21260),
(21261, 'PIRSF030140', NULL, NULL, 164, NULL, 'UCP030140', 21261),
(21262, 'PIRSF001267', NULL, NULL, 504, NULL, 'Pyrophosphatase_GppA_Ppx', 21262),
(21263, 'PIRSF024492', NULL, NULL, 181, NULL, 'UCP024492', 21263),
(21264, 'PIRSF002869', NULL, NULL, 516, NULL, 'MviN', 21264),
(21265, 'PIRSF000880', NULL, NULL, 408, NULL, 'Eryth_est', 21265),
(21266, 'PIRSF031509', NULL, NULL, 239, NULL, 'LiaF_YvqF', 21266),
(21267, 'PIRSF004874', NULL, NULL, 479, NULL, 'Prcrn_mtase_isom', 21267),
(21268, 'PIRSF006488', NULL, NULL, 84, NULL, 'ExoVII_small', 21268),
(21269, 'PIRSF038074', NULL, NULL, 351, NULL, 'Peroxin-12', 21269);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21270, 'PIRSF011544', NULL, NULL, 134, NULL, 'NuiA', 21270),
(21271, 'PIRSF005348', NULL, NULL, 440, NULL, 'YxkH', 21271),
(21272, 'PIRSF025550', NULL, NULL, 173, NULL, 'UCP025550_lpd_carrier', 21272),
(21273, 'PIRSF034981', NULL, NULL, 188, NULL, 'Mtase_firmicutes', 21273),
(21274, 'PIRSF030850', NULL, NULL, 290, NULL, 'UCP030850', 21274),
(21275, 'PIRSF003696', NULL, NULL, 249, NULL, 'VAC_C23L', 21275),
(21276, 'PIRSF036504', NULL, NULL, 212, NULL, 'NDK_H5', 21276),
(21277, 'PIRSF003338', NULL, NULL, 317, NULL, 'MAT1', 21277),
(21278, 'PIRSF012508', NULL, NULL, 102, NULL, 'YerC', 21278),
(21279, 'PIRSF018867', NULL, NULL, 115, NULL, 'Na_decarb_PF0672', 21279),
(21280, 'PIRSF037237', NULL, NULL, 899, NULL, 'Peptidase_WD_repeats_DUG2', 21280),
(21281, 'PIRSF000636', NULL, NULL, 1128, NULL, 'TyrPK_Jak', 21281),
(21282, 'PIRSF015945', NULL, NULL, 121, NULL, 'V-ATP_synth_F', 21282),
(21283, 'PIRSF501178', NULL, NULL, 377, NULL, 'FNR-PetH', 21283),
(21284, 'PIRSF037087', NULL, NULL, 148, NULL, 'UCP037087', 21284),
(21285, 'PIRSF018747', NULL, NULL, 197, NULL, 'UCP018747', 21285),
(21286, 'PIRSF010045', NULL, NULL, 263, NULL, 'TMP_111', 21286),
(21287, 'PIRSF003278', NULL, NULL, 89, NULL, 'SopC', 21287),
(21288, 'PIRSF500313', NULL, NULL, 90, NULL, 'Bombyxin_B', 21288),
(21289, 'PIRSF038896', NULL, NULL, 367, NULL, 'NAPE-PLD', 21289),
(21290, 'PIRSF005639', NULL, NULL, 203, NULL, 'Glut_amidoT_SNO', 21290),
(21291, 'PIRSF026567', NULL, NULL, 333, NULL, 'Adenine_mtase_bact', 21291),
(21292, 'PIRSF001388', NULL, NULL, 382, NULL, 'Trichodiene_synth', 21292),
(21293, 'PIRSF033490', NULL, NULL, 115, NULL, 'MazF', 21293),
(21294, 'PIRSF001883', NULL, NULL, 289, NULL, 'TxP_I', 21294),
(21295, 'PIRSF026568', NULL, NULL, 126, NULL, 'UCP026568', 21295),
(21296, 'PIRSF031611', NULL, NULL, 152, NULL, 'ComGF', 21296),
(21297, 'PIRSF037724', NULL, NULL, 243, NULL, 'Txn_reg_HTH_MJ1545', 21297),
(21298, 'PIRSF000382', NULL, NULL, 767, NULL, 'Met_synth_MetE', 21298),
(21299, 'PIRSF002341', NULL, NULL, 3657, NULL, 'Dystrophin_utrophin', 21299),
(21300, 'PIRSF002764', NULL, NULL, 225, NULL, 'CcmB', 21300),
(21301, 'PIRSF006060', NULL, NULL, 498, NULL, 'AA_transporter', 21301),
(21302, 'PIRSF019136', NULL, NULL, 226, NULL, 'EhaG', 21302),
(21303, 'PIRSF002371', NULL, NULL, 204, NULL, 'Alpha-s2-casein', 21303),
(21304, 'PIRSF019217', NULL, NULL, 166, NULL, 'AcxC', 21304),
(21305, 'PIRSF037334', NULL, NULL, 408, NULL, 'FucT_plant', 21305),
(21306, 'PIRSF009158', NULL, NULL, 158, NULL, 'UCP009158', 21306),
(21307, 'PIRSF003217', NULL, NULL, 66, NULL, 'Cro_protein', 21307),
(21308, 'PIRSF002786', NULL, NULL, 317, NULL, 'XcpX', 21308),
(21309, 'PIRSF016636', NULL, NULL, 485, NULL, 'AlgI_DltB', 21309),
(21310, 'PIRSF031639', NULL, NULL, 523, NULL, 'Ccs4', 21310),
(21311, 'PIRSF005673', NULL, NULL, 526, NULL, 'Importin_alpha', 21311),
(21312, 'PIRSF009285', NULL, NULL, 236, NULL, 'GAMT', 21312),
(21313, 'PIRSF018978', NULL, NULL, 370, NULL, 'tRNA_m1G_Mtase_archaea', 21313),
(21314, 'PIRSF004311', NULL, NULL, 236, NULL, 'SSB_T7', 21314),
(21315, 'PIRSF006821', NULL, NULL, 112, NULL, 'UCP006821', 21315),
(21316, 'PIRSF002629', NULL, NULL, 430, NULL, 'Txn_fact_POU_BRN', 21316),
(21317, 'PIRSF009288', NULL, NULL, 189, NULL, 'NDUB8', 21317),
(21318, 'PIRSF036599', NULL, NULL, 505, NULL, 'AtpPhos', 21318),
(21319, 'PIRSF037987', NULL, NULL, 1006, NULL, 'UCP037987', 21319),
(21320, 'PIRSF002356', NULL, NULL, 407, NULL, 'Calreticulin', 21320),
(21321, 'PIRSF006487', NULL, NULL, 791, NULL, 'GCST', 21321),
(21322, 'PIRSF037097', NULL, NULL, 1110, NULL, 'AP4_epsilon', 21322),
(21323, 'PIRSF030959', NULL, NULL, 249, NULL, 'UCP030959', 21323),
(21324, 'PIRSF016138', NULL, NULL, 190, NULL, 'UCP016138', 21324),
(21325, 'PIRSF018239', NULL, NULL, 287, NULL, 'IGFBP_rP_mac25', 21325),
(21326, 'PIRSF038065', NULL, NULL, 401, NULL, 'TNFR_11B', 21326),
(21327, 'PIRSF006291', NULL, NULL, 164, NULL, 'GspM', 21327),
(21328, 'PIRSF038006', NULL, NULL, 482, NULL, 'MeCP2', 21328);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21329, 'PIRSF036497', NULL, NULL, 341, NULL, 'HDH_short', 21329),
(21330, 'PIRSF009998', NULL, NULL, 97, NULL, 'DLC7', 21330),
(21331, 'PIRSF020196', NULL, NULL, 275, NULL, 'NS2', 21331),
(21332, 'PIRSF032209', NULL, NULL, 163, NULL, 'UCP032209', 21332),
(21333, 'PIRSF019164', NULL, NULL, 310, NULL, 'UCP019164', 21333),
(21334, 'PIRSF037816', NULL, NULL, 257, NULL, 'Viral_cyclin', 21334),
(21335, 'PIRSF003108', NULL, NULL, 89, NULL, 'DinJ', 21335),
(21336, 'PIRSF017689', NULL, NULL, 486, NULL, 'SepSecS', 21336),
(21337, 'PIRSF002884', NULL, NULL, 225, NULL, 'CheZ', 21337),
(21338, 'PIRSF003078', NULL, NULL, 216, NULL, 'GidB', 21338),
(21339, 'PIRSF000521', NULL, NULL, 483, NULL, 'Transaminase_4ab_Lys_Orn', 21339),
(21340, 'PIRSF000532', NULL, NULL, 333, NULL, 'ATP_PFK_prok', 21340),
(21341, 'PIRSF015592', NULL, NULL, 215, NULL, 'Pyrrolidone-crbxlat_pptds', 21341),
(21342, 'PIRSF001138', NULL, NULL, 1034, NULL, 'Enteropeptidase', 21342),
(21343, 'PIRSF016838', NULL, NULL, 324, NULL, 'PafC', 21343),
(21344, 'PIRSF005653', NULL, NULL, 73, NULL, 'RpoN_RPB10', 21344),
(21345, 'PIRSF038153', NULL, NULL, 430, NULL, 'WRKY_txn_fact_IIe', 21345),
(21346, 'PIRSF016481', NULL, NULL, 171, NULL, 'PilP_PilQ', 21346),
(21347, 'PIRSF032126', NULL, NULL, 124, NULL, 'F0F1_ATP_synth_I', 21347),
(21348, 'PIRSF019625', NULL, NULL, 232, NULL, 'EVI2A', 21348),
(21349, 'PIRSF004982', NULL, NULL, 190, NULL, 'SlP', 21349),
(21350, 'PIRSF000398', NULL, NULL, 287, NULL, 'M_m6A_EcoRV', 21350),
(21351, 'PIRSF019307', NULL, NULL, 173, NULL, 'UCP019307', 21351),
(21352, 'PIRSF036911', NULL, NULL, 220, NULL, 'CREG', 21352),
(21353, 'PIRSF036376', NULL, NULL, 1113, NULL, 'Corin', 21353),
(21354, 'PIRSF036696', NULL, NULL, 402, NULL, 'ACY-1', 21354),
(21355, 'PIRSF500700', NULL, NULL, 478, NULL, 'MDM2', 21355),
(21356, 'PIRSF036915', NULL, NULL, 378, NULL, 'Trnald_Bac_Plnt', 21356),
(21357, 'PIRSF003575', NULL, NULL, 304, NULL, 'MSA-2', 21357),
(21358, 'PIRSF005546', NULL, NULL, 615, NULL, 'Ifb-2', 21358),
(21359, 'PIRSF500741', NULL, NULL, 897, NULL, 'MAPKKK12', 21359),
(21360, 'PIRSF006135', NULL, NULL, 184, NULL, 'CobU', 21360),
(21361, 'PIRSF003025', NULL, NULL, 157, NULL, 'Transl_init_eIF5A', 21361),
(21362, 'PIRSF019322', NULL, NULL, 243, NULL, 'UCP019322', 21362),
(21363, 'PIRSF000071', NULL, NULL, 64, NULL, 'Rubredoxin', 21363),
(21364, 'PIRSF002148', NULL, NULL, 87, NULL, 'RPS21e', 21364),
(21365, 'PIRSF037575', NULL, NULL, 143, NULL, 'SBP', 21365),
(21366, 'PIRSF002455', NULL, NULL, 107, NULL, 'ATP_synth_F6', 21366),
(21367, 'PIRSF037672', NULL, NULL, 96, NULL, 'UCP037672', 21367),
(21368, 'PIRSF007945', NULL, NULL, 213, NULL, 'SRB2', 21368),
(21369, 'PIRSF000972', NULL, NULL, 613, NULL, 'Arylsulf_plant', 21369),
(21370, 'PIRSF031088', NULL, NULL, 544, NULL, 'UCP031088_abhydr', 21370),
(21371, 'PIRSF004729', NULL, NULL, 459, NULL, 'MutL', 21371),
(21372, 'PIRSF000346', NULL, NULL, 379, NULL, 'Dlt9_acylACP_des', 21372),
(21373, 'PIRSF037759', NULL, NULL, 281, NULL, 'Asf1', 21373),
(21374, 'PIRSF024009', NULL, NULL, 236, NULL, 'UCP024009', 21374),
(21375, 'PIRSF006446', NULL, NULL, 461, NULL, 'Cyt_quinol_oxidase_1', 21375),
(21376, 'PIRSF001432', NULL, NULL, 562, NULL, 'Pect_lyase', 21376),
(21377, 'PIRSF030158', NULL, NULL, 379, NULL, 'UCP030158', 21377),
(21378, 'PIRSF037104', NULL, NULL, 1062, NULL, 'H3K4_HMTase_Set1_fungi', 21378),
(21379, 'PIRSF038992', NULL, NULL, 271, NULL, 'Aldolase_Ia', 21379),
(21380, 'PIRSF015658', NULL, NULL, 376, NULL, 'MmdB_OadB', 21380),
(21381, 'PIRSF000106', NULL, NULL, 572, NULL, 'ME', 21381),
(21382, 'PIRSF002937', NULL, NULL, 270, NULL, 'Res_reg_Spo0A', 21382),
(21383, 'PIRSF018282', NULL, NULL, 440, NULL, 'MukF', 21383),
(21384, 'PIRSF037840', NULL, NULL, 295, NULL, 'Aldolase_YihT', 21384),
(21385, 'PIRSF037579', NULL, NULL, 1457, NULL, 'MAPKK_SSK22', 21385),
(21386, 'PIRSF029347', NULL, NULL, 381, NULL, 'RecF', 21386),
(21387, 'PIRSF012569', NULL, NULL, 362, NULL, 'UCP012569', 21387); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21388, 'PIRSF017321', NULL, NULL, 456, NULL, 'PIG-W', 21388),
(21389, 'PIRSF000654', NULL, NULL, 461, NULL, 'ILK', 21389),
(21390, 'PIRSF012337', NULL, NULL, 207, NULL, 'gp45', 21390),
(21391, 'PIRSF015730', NULL, NULL, 132, NULL, 'TFAR19', 21391),
(21392, 'PIRSF032748', NULL, NULL, 206, NULL, 'UCP032748', 21392),
(21393, 'PIRSF004377', NULL, NULL, 142, NULL, 'Ph_proh_core', 21393),
(21394, 'PIRSF004954', NULL, NULL, 357, NULL, 'Radical_SAM', 21394),
(21395, 'PIRSF029129', NULL, NULL, 344, NULL, 'UCP029129', 21395),
(21396, 'PIRSF037257', NULL, NULL, 87, NULL, 'UCP037257_Veg', 21396),
(21397, 'PIRSF002674', NULL, NULL, 265, NULL, 'VSP', 21397),
(21398, 'PIRSF037905', NULL, NULL, 1098, NULL, 'Subtilisin_rel_CJE1557', 21398),
(21399, 'PIRSF015981', NULL, NULL, 354, NULL, 'VAC_F11L', 21399),
(21400, 'PIRSF016938', NULL, NULL, 199, NULL, 'RseA', 21400),
(21401, 'PIRSF019401', NULL, NULL, 206, NULL, 'SeqA', 21401),
(21402, 'PIRSF004532', NULL, NULL, 321, NULL, 'GlpX', 21402),
(21403, 'PIRSF002512', NULL, NULL, 802, NULL, 'Integrin_B', 21403),
(21404, 'PIRSF021389', NULL, NULL, 129, NULL, 'UCP021389', 21404),
(21405, 'PIRSF006431', NULL, NULL, 318, NULL, 'Pro_iminopeptidase', 21405),
(21406, 'PIRSF016477', NULL, NULL, 129, NULL, 'Prefoldin_4', 21406),
(21407, 'PIRSF000209', NULL, NULL, 1064, NULL, 'Bifunctional_P450_P450R', 21407),
(21408, 'PIRSF005384', NULL, NULL, 148, NULL, 'RpiB_LacA_B', 21408),
(21409, 'PIRSF000969', NULL, NULL, 87, NULL, '3_5-cGMP_Pdiesterase_gamma', 21409),
(21410, 'PIRSF002158', NULL, NULL, 267, NULL, 'RPL2p_RPL2a_RPL8e_RPL2o', 21410),
(21411, 'PIRSF038084', NULL, NULL, 433, NULL, 'HAT1', 21411),
(21412, 'PIRSF000185', NULL, NULL, 419, NULL, 'Glu_DH', 21412),
(21413, 'PIRSF021361', NULL, NULL, 150, NULL, 'UCP021361', 21413),
(21414, 'PIRSF002395', NULL, NULL, 1718, NULL, 'RIZ_SET', 21414),
(21415, 'PIRSF013370', NULL, NULL, 170, NULL, 'ACPS', 21415),
(21416, 'PIRSF037818', NULL, NULL, 227, NULL, 'Glucagon', 21416),
(21417, 'PIRSF000977', NULL, NULL, 483, NULL, 'Exodeoxyribonuclease_I', 21417),
(21418, 'PIRSF005264', NULL, NULL, 139, NULL, 'UCP005264', 21418),
(21419, 'PIRSF005091', NULL, NULL, 637, NULL, 'Mmb_sulf_HI1246', 21419),
(21420, 'PIRSF037116', NULL, NULL, 265, NULL, 'PhnK', 21420),
(21421, 'PIRSF029636', NULL, NULL, 240, NULL, 'UCP029636', 21421),
(21422, 'PIRSF001815', NULL, NULL, 156, NULL, 'Vasopressin_oxytocin', 21422),
(21423, 'PIRSF000813', NULL, NULL, 409, NULL, 'CCA_bact', 21423),
(21424, 'PIRSF015601', NULL, NULL, 244, NULL, 'MTase_slr0722', 21424),
(21425, 'PIRSF019240', NULL, NULL, 143, NULL, 'UCP019240_SpoVT/AbrB-related', 21425),
(21426, 'PIRSF036918', NULL, NULL, 607, NULL, 'Maltodextrin_glucosidase', 21426),
(21427, 'PIRSF036565', NULL, NULL, 568, NULL, 'Pyruvt_ip_decrb', 21427),
(21428, 'PIRSF019225', NULL, NULL, 374, NULL, 'Cyt_c1_Campylob', 21428),
(21429, 'PIRSF005198', NULL, NULL, 1195, NULL, 'SKI2', 21429),
(21430, 'PIRSF012876', NULL, NULL, 321, NULL, 'Txn_rg_UCP012876', 21430),
(21431, 'PIRSF000727', NULL, NULL, 817, NULL, 'ThrA', 21431),
(21432, 'PIRSF031074', NULL, NULL, 228, NULL, 'UCP031074', 21432),
(21433, 'PIRSF006677', NULL, NULL, 506, NULL, 'AtPEPC', 21433),
(21434, 'PIRSF006298', NULL, NULL, 124, NULL, 'GtrA', 21434),
(21435, 'PIRSF008455', NULL, NULL, 163, NULL, 'UCP008455', 21435),
(21436, 'PIRSF000437', NULL, NULL, 796, NULL, 'GPAT_DHAPAT', 21436),
(21437, 'PIRSF000812', NULL, NULL, 285, NULL, 'AAD', 21437),
(21438, 'PIRSF002599', NULL, NULL, 196, NULL, 'Cold_shock_A', 21438),
(21439, 'PIRSF000948', NULL, NULL, 641, NULL, 'Sphingomyelin_Pdiesterase', 21439),
(21440, 'PIRSF010312', NULL, NULL, 158, NULL, 'SoxY', 21440),
(21441, 'PIRSF022976', NULL, NULL, 187, NULL, 'NADH_Oxi_21kDa', 21441),
(21442, 'PIRSF000008', NULL, NULL, 188, NULL, 'Cytochrome_c551i', 21442),
(21443, 'PIRSF037250', NULL, NULL, 663, NULL, 'CcmM', 21443),
(21444, 'PIRSF021331', NULL, NULL, 196, NULL, 'YkoF', 21444),
(21445, 'PIRSF039008', NULL, NULL, 66, NULL, 'YjbJ', 21445);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21446, 'PIRSF005790', NULL, NULL, 111, NULL, 'Nitrogenase_stabiliz_NifW', 21446),
(21447, 'PIRSF003095', NULL, NULL, 452, NULL, 'Trigger_factor', 21447),
(21448, 'PIRSF036625', NULL, NULL, 246, NULL, 'GAF_ANTAR', 21448),
(21449, 'PIRSF015195', NULL, NULL, 179, NULL, 'UCP015195', 21449),
(21450, 'PIRSF006425', NULL, NULL, 616, NULL, 'UCP006425_WD40', 21450),
(21451, 'PIRSF016255', NULL, NULL, 440, NULL, 'Transl_init_eIF3e', 21451),
(21452, 'PIRSF032370', NULL, NULL, 121, NULL, 'VraR', 21452),
(21453, 'PIRSF033328', NULL, NULL, 237, NULL, 'Phest_Mll4975', 21453),
(21454, 'PIRSF013674', NULL, NULL, 219, NULL, 'PXMP4', 21454),
(21455, 'PIRSF014405', NULL, NULL, 129, NULL, 'UCP014405', 21455),
(21456, 'PIRSF028980', NULL, NULL, 270, NULL, 'tRNAHis_guanlltr', 21456),
(21457, 'PIRSF032178', NULL, NULL, 379, NULL, 'UCP032178', 21457),
(21458, 'PIRSF037336', NULL, NULL, 703, NULL, 'IspG_partdup', 21458),
(21459, 'PIRSF037950', NULL, NULL, 534, NULL, 'E3_ub_ligase_RNF8', 21459),
(21460, 'PIRSF001296', NULL, NULL, 193, NULL, 'H/K_exch_ATPase_C', 21460),
(21461, 'PIRSF008716', NULL, NULL, 165, NULL, 'Ufc1', 21461),
(21462, 'PIRSF006035', NULL, NULL, 174, NULL, 'CO_dh_b_ACDS_e', 21462),
(21463, 'PIRSF006076', NULL, NULL, 792, NULL, 'Omp85', 21463),
(21464, 'PIRSF037254', NULL, NULL, 177, NULL, 'Gremlin', 21464),
(21465, 'PIRSF034961', NULL, NULL, 118, NULL, 'UCP034961_SH3_2', 21465),
(21466, 'PIRSF011771', NULL, NULL, 475, NULL, 'RMS1_SET', 21466),
(21467, 'PIRSF500103', NULL, NULL, 138, NULL, 'EndoV', 21467),
(21468, 'PIRSF028991', NULL, NULL, 510, NULL, 'Glycl_rad_HI0521', 21468),
(21469, 'PIRSF020555', NULL, NULL, 122, NULL, 'UCP020555', 21469),
(21470, 'PIRSF003107', NULL, NULL, 221, NULL, 'PhoU', 21470),
(21471, 'PIRSF029120', NULL, NULL, 354, NULL, 'UCP029120', 21471),
(21472, 'PIRSF002144', NULL, NULL, 110, NULL, 'RPS19p_RPS19a_RPS15e_RPS19o', 21472),
(21473, 'PIRSF011489', NULL, NULL, 196, NULL, 'UCP011489', 21473),
(21474, 'PIRSF004078', NULL, NULL, 219, NULL, 'Coat_ilarvirus', 21474),
(21475, 'PIRSF003949', NULL, NULL, 430, NULL, 'N_HantaV', 21475),
(21476, 'PIRSF016487', NULL, NULL, 161, NULL, 'CYTH_UCP016487', 21476),
(21477, 'PIRSF000567', NULL, NULL, 552, NULL, 'TYPK_Myt1', 21477),
(21478, 'PIRSF016154', NULL, NULL, 149, NULL, 'Nucl_a_bind_PIN_PH0500', 21478),
(21479, 'PIRSF019435', NULL, NULL, 434, NULL, 'UCP019435', 21479),
(21480, 'PIRSF000184', NULL, NULL, 1044, NULL, 'GDH_NAD', 21480),
(21481, 'PIRSF029928', NULL, NULL, 109, NULL, 'ComGC', 21481),
(21482, 'PIRSF039133', NULL, NULL, 610, NULL, 'SUMO_E1B', 21482),
(21483, 'PIRSF029502', NULL, NULL, 124, NULL, 'UCP029502', 21483),
(21484, 'PIRSF036894', NULL, NULL, 316, NULL, 'PMI_Firm_short', 21484),
(21485, 'PIRSF016123', NULL, NULL, 178, NULL, 'UCP016123', 21485),
(21486, 'PIRSF005758', NULL, NULL, 283, NULL, 'Shikimt_kin_arch', 21486),
(21487, 'PIRSF016493', NULL, NULL, 581, NULL, 'Glycyl_aminpptds', 21487),
(21488, 'PIRSF002905', NULL, NULL, 751, NULL, 'PSI_A', 21488),
(21489, 'PIRSF037892', NULL, NULL, 558, NULL, 'Subtilisin_rel_SRU_0565', 21489),
(21490, 'PIRSF001786', NULL, NULL, 171, NULL, 'StpA_StpB', 21490),
(21491, 'PIRSF037378', NULL, NULL, 1302, NULL, 'EIN2', 21491),
(21492, 'PIRSF021362', NULL, NULL, 191, NULL, 'UCP021362_HAD', 21492),
(21493, 'PIRSF000006', NULL, NULL, 303, NULL, 'Cbb3-Cox_fixP', 21493),
(21494, 'PIRSF037871', NULL, NULL, 439, NULL, 'TIM44', 21494),
(21495, 'PIRSF028103', NULL, NULL, 176, NULL, 'GcvR', 21495),
(21496, 'PIRSF019678', NULL, NULL, 184, NULL, 'UCP019678', 21496),
(21497, 'PIRSF006356', NULL, NULL, 419, NULL, 'ADI', 21497),
(21498, 'PIRSF500720', NULL, NULL, 435, NULL, 'TEF-5', 21498),
(21499, 'PIRSF015558', NULL, NULL, 296, NULL, 'Txn_reg_DeoR', 21499),
(21500, 'PIRSF038075', NULL, NULL, 89, NULL, 'Env_UL49A', 21500),
(21501, 'PIRSF000932', NULL, NULL, 698, NULL, 'PTPN12', 21501),
(21502, 'PIRSF000034', NULL, NULL, 37, NULL, 'Cytochrome_b6f_V/PetG', 21502),
(21503, 'PIRSF037048', NULL, NULL, 475, NULL, 'PNPOx_plant', 21503);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21504, 'PIRSF006004', NULL, NULL, 358, NULL, 'Cfr', 21504),
(21505, 'PIRSF004682', NULL, NULL, 192, NULL, 'GmhB', 21505),
(21506, 'PIRSF001936', NULL, NULL, 166, NULL, 'Interferon_gamma', 21506),
(21507, 'PIRSF014470', NULL, NULL, 322, NULL, 'UCP014470', 21507),
(21508, 'PIRSF016195', NULL, NULL, 173, NULL, 'UCP016195', 21508),
(21509, 'PIRSF000263', NULL, NULL, 443, NULL, 'Meth_CoM_rd_beta', 21509),
(21510, 'PIRSF019260', NULL, NULL, 463, NULL, 'PBSX_XkdE', 21510),
(21511, 'PIRSF015853', NULL, NULL, 274, NULL, 'Pep_DppA', 21511),
(21512, 'PIRSF017233', NULL, NULL, 1279, NULL, 'IKAP', 21512),
(21513, 'PIRSF018077', NULL, NULL, 503, NULL, 'UCP018077', 21513),
(21514, 'PIRSF015797', NULL, NULL, 132, NULL, 'Virion_core', 21514),
(21515, 'PIRSF031057', NULL, NULL, 286, NULL, 'TPK1', 21515),
(21516, 'PIRSF003956', NULL, NULL, 271, NULL, 'NS-S_PhleboV', 21516),
(21517, 'PIRSF002401', NULL, NULL, 381, NULL, 'GTP-binding_obg', 21517),
(21518, 'PIRSF005636', NULL, NULL, 160, NULL, 'McrD', 21518),
(21519, 'PIRSF016789', NULL, NULL, 123, NULL, 'UCP016789', 21519),
(21520, 'PIRSF001924', NULL, NULL, 314, NULL, 'Shigella_toxin', 21520),
(21521, 'PIRSF001109', NULL, NULL, 438, NULL, 'SAHH', 21521),
(21522, 'PIRSF033367', NULL, NULL, 122, NULL, 'UCP033367_VanZ', 21522),
(21523, 'PIRSF028345', NULL, NULL, 180, NULL, 'UCP028345', 21523),
(21524, 'PIRSF024622', NULL, NULL, 185, NULL, 'Tfp_FimT', 21524),
(21525, 'PIRSF007635', NULL, NULL, 642, NULL, 'Mmp_autolysin', 21525),
(21526, 'PIRSF005028', NULL, NULL, 165, NULL, 'KhtT', 21526),
(21527, 'PIRSF036862', NULL, NULL, 638, NULL, 'ERp72', 21527),
(21528, 'PIRSF018193', NULL, NULL, 139, NULL, 'UCP018193', 21528),
(21529, 'PIRSF022941', NULL, NULL, 406, NULL, 'ORC6_fungal', 21529),
(21530, 'PIRSF038147', NULL, NULL, 561, NULL, 'STPK_RIO1', 21530),
(21531, 'PIRSF001849', NULL, NULL, 114, NULL, 'Guanylin', 21531),
(21532, 'PIRSF002560', NULL, NULL, 157, NULL, 'Bacterioferritin', 21532),
(21533, 'PIRSF003354', NULL, NULL, 1218, NULL, 'Alpha-COP', 21533),
(21534, 'PIRSF005419', NULL, NULL, 693, NULL, 'FlhA', 21534),
(21535, 'PIRSF006232', NULL, NULL, 287, NULL, 'Pirin', 21535),
(21536, 'PIRSF009416', NULL, NULL, 307, NULL, 'LuxD', 21536),
(21537, 'PIRSF039117', NULL, NULL, 485, NULL, 'KaiC', 21537),
(21538, 'PIRSF018953', NULL, NULL, 410, NULL, 'UCP018953', 21538),
(21539, 'PIRSF016896', NULL, NULL, 280, NULL, 'GHMP_arc_MJ0969', 21539),
(21540, 'PIRSF000548', NULL, NULL, 408, NULL, 'PK_regulatory', 21540),
(21541, 'PIRSF033199', NULL, NULL, 116, NULL, 'UCP033199', 21541),
(21542, 'PIRSF037094', NULL, NULL, 828, NULL, 'AP1_gamma', 21542),
(21543, 'PIRSF009320', NULL, NULL, 224, NULL, 'Nuc_binding_HP_1000', 21543),
(21544, 'PIRSF021525', NULL, NULL, 242, NULL, 'UCP021525', 21544),
(21545, 'PIRSF029895', NULL, NULL, 400, NULL, 'SpoIV', 21545),
(21546, 'PIRSF000517', NULL, NULL, 453, NULL, 'Tyr_transaminase', 21546),
(21547, 'PIRSF000014', NULL, NULL, 389, NULL, 'Cytochrome_c_torY_torC', 21547),
(21548, 'PIRSF016441', NULL, NULL, 961, NULL, 'GTF2I', 21548),
(21549, 'PIRSF037653', NULL, NULL, 224, NULL, 'SRY', 21549),
(21550, 'PIRSF036643', NULL, NULL, 938, NULL, 'FDH_alpha', 21550),
(21551, 'PIRSF002867', NULL, NULL, 317, NULL, 'CheV', 21551),
(21552, 'PIRSF036899', NULL, NULL, 204, NULL, 'AGP', 21552),
(21553, 'PIRSF000808', NULL, NULL, 349, NULL, 'GalT', 21553),
(21554, 'PIRSF036636', NULL, NULL, 255, NULL, 'QcrC', 21554),
(21555, 'PIRSF021573', NULL, NULL, 216, NULL, 'UCP021573', 21555),
(21556, 'PIRSF002483', NULL, NULL, 96, NULL, 'Plasminogen-related', 21556),
(21557, 'PIRSF036399', NULL, NULL, 1039, NULL, 'Gal_kin_glcsltr', 21557),
(21558, 'PIRSF031802', NULL, NULL, 533, NULL, 'UCP031802', 21558),
(21559, 'PIRSF036577', NULL, NULL, 308, NULL, 'PDH_ADH_plant', 21559),
(21560, 'PIRSF002279', NULL, NULL, 2507, NULL, 'Notch', 21560),
(21561, 'PIRSF001361', NULL, NULL, 360, NULL, 'DAHP_synthase', 21561),
(21562, 'PIRSF005650', NULL, NULL, 249, NULL, 'Uridylate_kin', 21562);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21563, 'PIRSF039114', NULL, NULL, 471, NULL, 'V-ATPsynth_beta/V-ATPase_B', 21563),
(21564, 'PIRSF018156', NULL, NULL, 347, NULL, 'MRPL51_fungal', 21564),
(21565, 'PIRSF001150', NULL, NULL, 810, NULL, 'Plasmin', 21565),
(21566, 'PIRSF015626', NULL, NULL, 276, NULL, 'FdhD', 21566),
(21567, 'PIRSF017085', NULL, NULL, 404, NULL, 'Glycosyltransf_RedA', 21567),
(21568, 'PIRSF003153', NULL, NULL, 484, NULL, 'ATF2_CRE-BP1', 21568),
(21569, 'PIRSF037249', NULL, NULL, 373, NULL, 'Histone_Mtase_SET', 21569),
(21570, 'PIRSF011132', NULL, NULL, 278, NULL, 'TIG1_latexin_ovocalyxin-32', 21570),
(21571, 'PIRSF028983', NULL, NULL, 308, NULL, 'BCP1', 21571),
(21572, 'PIRSF037565', NULL, NULL, 377, NULL, 'RRNA_m2G_Mtase_RsmD', 21572),
(21573, 'PIRSF006019', NULL, NULL, 159, NULL, 'dCMP_deaminase', 21573),
(21574, 'PIRSF037118', NULL, NULL, 407, NULL, 'TerA', 21574),
(21575, 'PIRSF000167', NULL, NULL, 449, NULL, 'HemN', 21575),
(21576, 'PIRSF002603', NULL, NULL, 443, NULL, 'TEF', 21576),
(21577, 'PIRSF028498', NULL, NULL, 132, NULL, 'UCP028498', 21577),
(21578, 'PIRSF012755', NULL, NULL, 101, NULL, 'UCP012755', 21578),
(21579, 'PIRSF000439', NULL, NULL, 537, NULL, 'Oat_ACAT_DAG_ARE', 21579),
(21580, 'PIRSF018327', NULL, NULL, 326, NULL, 'VP40_FiloV', 21580),
(21581, 'PIRSF037314', NULL, NULL, 468, NULL, 'HK_MctS', 21581),
(21582, 'PIRSF000084', NULL, NULL, 1126, NULL, 'Phytochrome_conventional', 21582),
(21583, 'PIRSF006523', NULL, NULL, 73, NULL, 'MtrF', 21583),
(21584, 'PIRSF037394', NULL, NULL, 198, NULL, 'ABC_permease_YkoE', 21584),
(21585, 'PIRSF005426', NULL, NULL, 249, NULL, 'Frp', 21585),
(21586, 'PIRSF005669', NULL, NULL, 542, NULL, 'HAT_Elp3', 21586),
(21587, 'PIRSF000549', NULL, NULL, 645, NULL, 'Ser_prot_kin', 21587),
(21588, 'PIRSF022079', NULL, NULL, 196, NULL, 'UCP022079', 21588),
(21589, 'PIRSF037709', NULL, NULL, 120, NULL, 'DOV-IR', 21589),
(21590, 'PIRSF000018', NULL, NULL, 448, NULL, 'Mb_ADH_cytochrome_c', 21590),
(21591, 'PIRSF038131', NULL, NULL, 64, NULL, 'CX5C1', 21591),
(21592, 'PIRSF037567', NULL, NULL, 1301, NULL, 'Mtase_MttB', 21592),
(21593, 'PIRSF037178', NULL, NULL, 325, NULL, 'TTR-like', 21593),
(21594, 'PIRSF001072', NULL, NULL, 575, NULL, 'HN_paramyxo', 21594),
(21595, 'PIRSF017020', NULL, NULL, 345, NULL, 'ASTE', 21595),
(21596, 'PIRSF019370', NULL, NULL, 317, NULL, 'EhaR', 21596),
(21597, 'PIRSF037736', NULL, NULL, 291, NULL, 'SCO1', 21597),
(21598, 'PIRSF001024', NULL, NULL, 502, NULL, 'Alph-amyl_fung', 21598),
(21599, 'PIRSF020763', NULL, NULL, 338, NULL, 'TcpF', 21599),
(21600, 'PIRSF026583', NULL, NULL, 659, NULL, 'YybT', 21600),
(21601, 'PIRSF000719', NULL, NULL, 577, NULL, 'AceK', 21601),
(21602, 'PIRSF000705', NULL, NULL, 226, NULL, 'DNK', 21602),
(21603, 'PIRSF001747', NULL, NULL, 827, NULL, 'Red1', 21603),
(21604, 'PIRSF000509', NULL, NULL, 448, NULL, 'Trp_DMAT', 21604),
(21605, 'PIRSF006625', NULL, NULL, 276, NULL, 'KduI', 21605),
(21606, 'PIRSF002697', NULL, NULL, 67, NULL, 'AmbtV', 21606),
(21607, 'PIRSF007871', NULL, NULL, 193, NULL, 'Cox20', 21607),
(21608, 'PIRSF022603', NULL, NULL, 193, NULL, 'UCP022603', 21608),
(21609, 'PIRSF036301', NULL, NULL, 182, NULL, 'Cripto_growth_factor', 21609),
(21610, 'PIRSF037392', NULL, NULL, 571, NULL, 'AMHRII', 21610),
(21611, 'PIRSF002264', NULL, NULL, 119, NULL, 'Lamprin', 21611),
(21612, 'PIRSF019015', NULL, NULL, 463, NULL, 'P60_peptidase_YkfC', 21612),
(21613, 'PIRSF032572', NULL, NULL, 123, NULL, 'MUB', 21613),
(21614, 'PIRSF029693', NULL, NULL, 356, NULL, 'UCP029693', 21614),
(21615, 'PIRSF019169', NULL, NULL, 357, NULL, 'Tfp_PilM', 21615),
(21616, 'PIRSF006288', NULL, NULL, 882, NULL, 'PII_uridyltransf', 21616),
(21617, 'PIRSF036692', NULL, NULL, 220, NULL, 'SDH_B', 21617),
(21618, 'PIRSF000883', NULL, NULL, 242, NULL, 'Pesterase_MJ0912', 21618),
(21619, 'PIRSF000168', NULL, NULL, 692, NULL, 'Acyl-CoA_oxidase', 21619),
(21620, 'PIRSF001458', NULL, NULL, 211, NULL, 'MerB', 21620),
(21621, 'PIRSF010056', NULL, NULL, 188, NULL, 'UCP010056', 21621);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21622, 'PIRSF001257', NULL, NULL, 864, NULL, 'HIS4', 21622),
(21623, 'PIRSF006615', NULL, NULL, 503, NULL, 'Zn_crbxpep_Taq', 21623),
(21624, 'PIRSF010386', NULL, NULL, 558, NULL, 'RocB', 21624),
(21625, 'PIRSF017834', NULL, NULL, 119, NULL, 'NDUC2', 21625),
(21626, 'PIRSF030561', NULL, NULL, 112, NULL, 'UCP030561', 21626),
(21627, 'PIRSF004357', NULL, NULL, 301, NULL, 'MCP_bIL170', 21627),
(21628, 'PIRSF019574', NULL, NULL, 361, NULL, 'Periplasmic_polyamine_BP', 21628),
(21629, 'PIRSF010219', NULL, NULL, 227, NULL, 'UCP010219', 21629),
(21630, 'PIRSF027717', NULL, NULL, 289, NULL, 'H4K20_HMTase', 21630),
(21631, 'PIRSF037435', NULL, NULL, 595, NULL, 'Hybr_HK_BC3207', 21631),
(21632, 'PIRSF002383', NULL, NULL, 186, NULL, 'NSG_calcyon', 21632),
(21633, 'PIRSF000909', NULL, NULL, 562, NULL, 'STPPPtase_PPZ', 21633),
(21634, 'PIRSF038145', NULL, NULL, 2055, NULL, 'STPK_citron', 21634),
(21635, 'PIRSF028101', NULL, NULL, 363, NULL, 'UCP028101', 21635),
(21636, 'PIRSF028739', NULL, NULL, 469, NULL, 'Folate/thiamine_transporter', 21636),
(21637, 'PIRSF001455', NULL, NULL, 365, NULL, '3dhq_synth', 21637),
(21638, 'PIRSF019455', NULL, NULL, 134, NULL, 'CopR_AtkY', 21638),
(21639, 'PIRSF033271', NULL, NULL, 402, NULL, 'UCP033271', 21639),
(21640, 'PIRSF001667', NULL, NULL, 71, NULL, 'PKI', 21640),
(21641, 'PIRSF038083', NULL, NULL, 326, NULL, 'UCP038083_GIPC', 21641),
(21642, 'PIRSF001413', NULL, NULL, 411, NULL, 'Trp_syn_beta', 21642),
(21643, 'PIRSF002721', NULL, NULL, 156, NULL, 'Surface_antigen_Rickettsia', 21643),
(21644, 'PIRSF004155', NULL, NULL, 84, NULL, 'Phage_C', 21644),
(21645, 'PIRSF004749', NULL, NULL, 221, NULL, 'Pep_def', 21645),
(21646, 'PIRSF038991', NULL, NULL, 359, NULL, 'Protein_AbrB', 21646),
(21647, 'PIRSF006704', NULL, NULL, 320, NULL, 'TFIIS', 21647),
(21648, 'PIRSF001348', NULL, NULL, 612, NULL, 'PEP_carboxykin_GTP', 21648),
(21649, 'PIRSF030250', NULL, NULL, 355, NULL, 'Ptase_At2g46880', 21649),
(21650, 'PIRSF001031', NULL, NULL, 614, NULL, 'Glu-a-glcsd_SBD', 21650),
(21651, 'PIRSF036852', NULL, NULL, 277, NULL, 'RNase_H1_euk', 21651),
(21652, 'PIRSF038097', NULL, NULL, 85, NULL, 'V-ATP_synth_e1/e2', 21652),
(21653, 'PIRSF004983', NULL, NULL, 578, NULL, 'MenD', 21653),
(21654, 'PIRSF028470', NULL, NULL, 161, NULL, 'UCP028470', 21654),
(21655, 'PIRSF002285', NULL, NULL, 177, NULL, 'Op18_SCG10', 21655),
(21656, 'PIRSF022207', NULL, NULL, 158, NULL, 'UCP022207', 21656),
(21657, 'PIRSF005052', NULL, NULL, 288, NULL, 'P-loop_kin_YhbJ', 21657),
(21658, 'PIRSF037307', NULL, NULL, 939, NULL, 'Lhr-like_helic', 21658),
(21659, 'PIRSF028777', NULL, NULL, 131, NULL, 'UCP028777', 21659),
(21660, 'PIRSF001123', NULL, NULL, 359, NULL, 'PepA_GA', 21660),
(21661, 'PIRSF011773', NULL, NULL, 116, NULL, 'RFA3_yeast', 21661),
(21662, 'PIRSF037489', NULL, NULL, 370, NULL, 'NIF3_YqfO', 21662),
(21663, 'PIRSF004923', NULL, NULL, 156, NULL, 'RseC', 21663),
(21664, 'PIRSF012159', NULL, NULL, 235, NULL, 'Inh_gp21', 21664),
(21665, 'PIRSF029038', NULL, NULL, 322, NULL, 'Mtase_YbiN', 21665),
(21666, 'PIRSF032623', NULL, NULL, 1218, NULL, 'Protease_SSO2181', 21666),
(21667, 'PIRSF036470', NULL, NULL, 824, NULL, 'PLD_plant', 21667),
(21668, 'PIRSF030786', NULL, NULL, 71, NULL, 'Lysis_prot_S', 21668),
(21669, 'PIRSF029208', NULL, NULL, 150, NULL, 'Tail_GPU', 21669),
(21670, 'PIRSF017930', NULL, NULL, 102, NULL, 'TraM', 21670),
(21671, 'PIRSF011237', NULL, NULL, 281, NULL, 'GpU', 21671),
(21672, 'PIRSF037744', NULL, NULL, 717, NULL, 'TIR_Ticam', 21672),
(21673, 'PIRSF006553', NULL, NULL, 545, NULL, 'TopoVI-B', 21673),
(21674, 'PIRSF037903', NULL, NULL, 458, NULL, 'Subtilisin_rel_GFO_2223', 21674),
(21675, 'PIRSF038928', NULL, NULL, 491, NULL, 'Catalase_clade1-3', 21675),
(21676, 'PIRSF501032', NULL, NULL, 473, NULL, 'C-ets-2', 21676),
(21677, 'PIRSF001084', NULL, NULL, 669, NULL, 'B-galactosidase', 21677),
(21678, 'PIRSF016070', NULL, NULL, 264, NULL, 'Vir_PGP3-D_Chlamydiae', 21678),
(21679, 'PIRSF020772', NULL, NULL, 152, NULL, 'UCP020772', 21679);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21680, 'PIRSF036687', NULL, NULL, 861, NULL, 'AcnB', 21680),
(21681, 'PIRSF000906', NULL, NULL, 649, NULL, 'FBPtase_Bacill', 21681),
(21682, 'PIRSF010376', NULL, NULL, 293, NULL, 'IspE', 21682),
(21683, 'PIRSF001213', NULL, NULL, 263, NULL, 'MCP', 21683),
(21684, 'PIRSF001997', NULL, NULL, 550, NULL, 'PTPRR', 21684),
(21685, 'PIRSF015200', NULL, NULL, 232, NULL, 'Cyclin_WDSV', 21685),
(21686, 'PIRSF003268', NULL, NULL, 228, NULL, 'TraJ_R1', 21686),
(21687, 'PIRSF018326', NULL, NULL, 329, NULL, 'VP35_FiloV', 21687),
(21688, 'PIRSF001775', NULL, NULL, 578, NULL, 'Thrombomodulin', 21688),
(21689, 'PIRSF006594', NULL, NULL, 215, NULL, 'UCP006594', 21689),
(21690, 'PIRSF000386', NULL, NULL, 250, NULL, 'tRNA_mtase', 21690),
(21691, 'PIRSF012637', NULL, NULL, 215, NULL, 'UCP012637', 21691),
(21692, 'PIRSF038205', NULL, NULL, 954, NULL, 'DRP2', 21692),
(21693, 'PIRSF037610', NULL, NULL, 176, NULL, 'BLOC-1_mut', 21693),
(21694, 'PIRSF000611', NULL, NULL, 790, NULL, 'STPK_MPS1', 21694),
(21695, 'PIRSF038181', NULL, NULL, 1435, NULL, 'NCoA', 21695),
(21696, 'PIRSF032656', NULL, NULL, 902, NULL, 'Glycosylhydrolase_', 21696),
(21697, 'PIRSF000401', NULL, NULL, 314, NULL, 'RPL11_MTase', 21697),
(21698, 'PIRSF500136', NULL, NULL, 445, NULL, 'UDP_ManNAc_DH', 21698),
(21699, 'PIRSF000803', NULL, NULL, 537, NULL, 'DNA_pol_II_small_arch', 21699),
(21700, 'PIRSF003314', NULL, NULL, 353, NULL, 'IPP_isomerase_FMN-dep', 21700),
(21701, 'PIRSF006606', NULL, NULL, 125, NULL, 'UCP006606', 21701),
(21702, 'PIRSF025798', NULL, NULL, 571, NULL, 'Cables', 21702),
(21703, 'PIRSF005992', NULL, NULL, 482, NULL, 'AP_complex_mu', 21703),
(21704, 'PIRSF002825', NULL, NULL, 356, NULL, 'CfbpA', 21704),
(21705, 'PIRSF009427', NULL, NULL, 948, NULL, 'UCP009427_DNAmts', 21705),
(21706, 'PIRSF016302', NULL, NULL, 453, NULL, 'Man_a_manosd', 21706),
(21707, 'PIRSF036521', NULL, NULL, 107, NULL, 'UCP036521_pph', 21707),
(21708, 'PIRSF006453', NULL, NULL, 570, NULL, 'FwdA', 21708),
(21709, 'PIRSF037473', NULL, NULL, 1003, NULL, 'BLOC2_Hps3', 21709),
(21710, 'PIRSF019548', NULL, NULL, 234, NULL, 'TNF_CD30L', 21710),
(21711, 'PIRSF036426', NULL, NULL, 468, NULL, 'Sirohaem_synth', 21711),
(21712, 'PIRSF005413', NULL, NULL, 200, NULL, 'COX11', 21712),
(21713, 'PIRSF005539', NULL, NULL, 301, NULL, 'F1_peptds', 21713),
(21714, 'PIRSF005578', NULL, NULL, 265, NULL, 'TlyA', 21714),
(21715, 'PIRSF006503', NULL, NULL, 189, NULL, 'UCP006503', 21715),
(21716, 'PIRSF000699', NULL, NULL, 110, NULL, 'PTS_IILac_III', 21716),
(21717, 'PIRSF015703', NULL, NULL, 229, NULL, 'UCP015703', 21717),
(21718, 'PIRSF018432', NULL, NULL, 286, NULL, 'WbeT', 21718),
(21719, 'PIRSF000930', NULL, NULL, 807, NULL, 'PTPN8_PTPN22', 21719),
(21720, 'PIRSF036983', NULL, NULL, 387, NULL, 'UCP_2CBS_MJ1404', 21720),
(21721, 'PIRSF037158', NULL, NULL, 130, NULL, 'UCP037158', 21721),
(21722, 'PIRSF000934', NULL, NULL, 1180, NULL, 'PTPN14_PTPN21', 21722),
(21723, 'PIRSF036557', NULL, NULL, 488, NULL, 'XdhA_RC', 21723),
(21724, 'PIRSF012293', NULL, NULL, 477, NULL, 'EutA', 21724),
(21725, 'PIRSF001488', NULL, NULL, 206, NULL, 'Tdi_protein', 21725),
(21726, 'PIRSF000233', NULL, NULL, 903, NULL, 'Nitr_rd_NADH', 21726),
(21727, 'PIRSF037369', NULL, NULL, 850, NULL, 'STPK_unc51', 21727),
(21728, 'PIRSF000007', NULL, NULL, 279, NULL, 'Ubiq_cycred_cyc', 21728),
(21729, 'PIRSF001892', NULL, NULL, 486, NULL, 'CyaE', 21729),
(21730, 'PIRSF036940', NULL, NULL, 271, NULL, 'PanK_bac_aCoA', 21730),
(21731, 'PIRSF019454', NULL, NULL, 165, NULL, 'UCP019454_CBS_PAB0389', 21731),
(21732, 'PIRSF016020', NULL, NULL, 313, NULL, 'PHexose_mutarotase', 21732),
(21733, 'PIRSF027377', NULL, NULL, 141, NULL, 'Nitrile_oxidored_QueF', 21733),
(21734, 'PIRSF013232', NULL, NULL, 118, NULL, 'UCP013232', 21734),
(21735, 'PIRSF004862', NULL, NULL, 540, NULL, 'FliF', 21735),
(21736, 'PIRSF006054', NULL, NULL, 428, NULL, 'UCP006054', 21736),
(21737, 'PIRSF029958', NULL, NULL, 300, NULL, 'Necrosis-inducing_protein', 21737);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21738, 'PIRSF002541', NULL, NULL, 132, NULL, 'SP_pAIF', 21738),
(21739, 'PIRSF039100', NULL, NULL, 170, NULL, 'ARPC4', 21739),
(21740, 'PIRSF006614', NULL, NULL, 144, NULL, 'Methylglyox_syn', 21740),
(21741, 'PIRSF005357', NULL, NULL, 350, NULL, 'UCP005357', 21741),
(21742, 'PIRSF000657', NULL, NULL, 299, NULL, 'STPK_ASFV', 21742),
(21743, 'PIRSF020370', NULL, NULL, 257, NULL, 'Oms28', 21743),
(21744, 'PIRSF012535', NULL, NULL, 540, NULL, 'UCP012535', 21744),
(21745, 'PIRSF012509', NULL, NULL, 389, NULL, 'CamS', 21745),
(21746, 'PIRSF000148', NULL, NULL, 343, NULL, 'ASA_dh', 21746),
(21747, 'PIRSF018634', NULL, NULL, 124, NULL, 'UCP018634', 21747),
(21748, 'PIRSF000208', NULL, NULL, 695, NULL, 'P450R', 21748),
(21749, 'PIRSF000463', NULL, NULL, 718, NULL, 'GlgB', 21749),
(21750, 'PIRSF006324', NULL, NULL, 213, NULL, 'LeuE', 21750),
(21751, 'PIRSF015415', NULL, NULL, 591, NULL, 'COG8', 21751),
(21752, 'PIRSF005859', NULL, NULL, 162, NULL, 'PBR', 21752),
(21753, 'PIRSF008502', NULL, NULL, 180, NULL, 'UCP008502', 21753),
(21754, 'PIRSF037730', NULL, NULL, 291, NULL, 'CWA_LytH', 21754),
(21755, 'PIRSF004882', NULL, NULL, 155, NULL, 'GTP_bind_MJ1339', 21755),
(21756, 'PIRSF007050', NULL, NULL, 139, NULL, 'UCP007050', 21756),
(21757, 'PIRSF016128', NULL, NULL, 140, NULL, 'UCP016128', 21757),
(21758, 'PIRSF031512', NULL, NULL, 300, NULL, 'EpsL', 21758),
(21759, 'PIRSF000941', NULL, NULL, 343, NULL, 'DUSP12', 21759),
(21760, 'PIRSF037135', NULL, NULL, 802, NULL, 'Matriptase-2', 21760),
(21761, 'PIRSF016275', NULL, NULL, 1109, NULL, 'DNA_pol_II_DP2', 21761),
(21762, 'PIRSF001837', NULL, NULL, 167, NULL, 'Leptin', 21762),
(21763, 'PIRSF037631', NULL, NULL, 136, NULL, 'Snapin', 21763),
(21764, 'PIRSF003692', NULL, NULL, 190, NULL, 'VAC_C14L', 21764),
(21765, 'PIRSF000460', NULL, NULL, 774, NULL, 'Glucan_phosphorylase_GlgP', 21765),
(21766, 'PIRSF000827', NULL, NULL, 727, NULL, 'RdRPol_OMV', 21766),
(21767, 'PIRSF016511', NULL, NULL, 307, NULL, 'Cyclin_Pcl', 21767),
(21768, 'PIRSF009290', NULL, NULL, 333, NULL, 'FrlB', 21768),
(21769, 'PIRSF001141', NULL, NULL, 422, NULL, 'Acrosin', 21769),
(21770, 'PIRSF015161', NULL, NULL, 453, NULL, 'TAFI48', 21770),
(21771, 'PIRSF021292', NULL, NULL, 143, NULL, 'ComGD', 21771),
(21772, 'PIRSF005642', NULL, NULL, 148, NULL, 'UCP005642', 21772),
(21773, 'PIRSF003109', NULL, NULL, 348, NULL, 'RE_McrC', 21773),
(21774, 'PIRSF002369', NULL, NULL, 106, NULL, 'Apovitellenin_I', 21774),
(21775, 'PIRSF006593', NULL, NULL, 294, NULL, 'UCP006593', 21775),
(21776, 'PIRSF037159', NULL, NULL, 69, NULL, 'UCP037159', 21776),
(21777, 'PIRSF021288', NULL, NULL, 262, NULL, 'YmfK_ACT', 21777),
(21778, 'PIRSF000445', NULL, NULL, 433, NULL, 'GluTR', 21778),
(21779, 'PIRSF039087', NULL, NULL, 314, NULL, 'L10E', 21779),
(21780, 'PIRSF020623', NULL, NULL, 306, NULL, 'PaaX', 21780),
(21781, 'PIRSF001589', NULL, NULL, 608, NULL, 'Asn_synthetase_glu-h', 21781),
(21782, 'PIRSF008130', NULL, NULL, 106, NULL, 'UCP008130', 21782),
(21783, 'PIRSF036934', NULL, NULL, 730, NULL, 'TrpE-G', 21783),
(21784, 'PIRSF000927', NULL, NULL, 927, NULL, 'PTPN3_PTPN4', 21784),
(21785, 'PIRSF038155', NULL, NULL, 315, NULL, 'AS2', 21785),
(21786, 'PIRSF036446', NULL, NULL, 226, NULL, 'Phosphoesterase_HI0762', 21786),
(21787, 'PIRSF011271', NULL, NULL, 118, NULL, 'SycE', 21787),
(21788, 'PIRSF036429', NULL, NULL, 772, NULL, 'P5C_synthetase', 21788),
(21789, 'PIRSF026509', NULL, NULL, 183, NULL, 'UCP026509', 21789),
(21790, 'PIRSF027887', NULL, NULL, 358, NULL, 'Amidohyd_027887', 21790),
(21791, 'PIRSF019635', NULL, NULL, 188, NULL, 'Cytochrome_b245_alpha', 21791),
(21792, 'PIRSF037204', NULL, NULL, 613, NULL, 'UCP037204', 21792),
(21793, 'PIRSF000852', NULL, NULL, 240, NULL, 'Phosphatidylserin_synth_fung', 21793),
(21794, 'PIRSF037016', NULL, NULL, 687, NULL, 'Pseudouridin_synth_euk', 21794),
(21795, 'PIRSF006621', NULL, NULL, 334, NULL, 'Dus', 21795),
(21796, 'PIRSF000282', NULL, NULL, 62, NULL, 'COX7', 21796);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21797, 'PIRSF007828', NULL, NULL, 703, NULL, 'Dipeptidyl-peptidase_III', 21797),
(21798, 'PIRSF038204', NULL, NULL, 645, NULL, 'Distrobrevin', 21798),
(21799, 'PIRSF029594', NULL, NULL, 337, NULL, 'UCP029594', 21799),
(21800, 'PIRSF004869', NULL, NULL, 315, NULL, 'PflX', 21800),
(21801, 'PIRSF002855', NULL, NULL, 79, NULL, 'Murein-lipo', 21801),
(21802, 'PIRSF001863', NULL, NULL, 197, NULL, 'MAT_Alpha1', 21802),
(21803, 'PIRSF037707', NULL, NULL, 175, NULL, 'TOM20', 21803),
(21804, 'PIRSF038170', NULL, NULL, 448, NULL, 'TRM6', 21804),
(21805, 'PIRSF001418', NULL, NULL, 766, NULL, 'ACN', 21805),
(21806, 'PIRSF005011', NULL, NULL, 248, NULL, 'SanA', 21806),
(21807, 'PIRSF010354', NULL, NULL, 3841, NULL, 'Trx_SET', 21807),
(21808, 'PIRSF019381', NULL, NULL, 476, NULL, 'YcjX', 21808),
(21809, 'PIRSF037162', NULL, NULL, 565, NULL, 'PRDM', 21809),
(21810, 'PIRSF016907', NULL, NULL, 368, NULL, 'Kin_ATP-NAD', 21810),
(21811, 'PIRSF029287', NULL, NULL, 223, NULL, 'UCP029287', 21811),
(21812, 'PIRSF003377', NULL, NULL, 351, NULL, 'VP2_VP3_PPV', 21812),
(21813, 'PIRSF021290', NULL, NULL, 179, NULL, 'UCP021290', 21813),
(21814, 'PIRSF018933', NULL, NULL, 202, NULL, 'UCP018933', 21814),
(21815, 'PIRSF004348', NULL, NULL, 64, NULL, 'RNA_pol_inhibit', 21815),
(21816, 'PIRSF031853', NULL, NULL, 337, NULL, 'UCP031853', 21816),
(21817, 'PIRSF016661', NULL, NULL, 194, NULL, 'BioY', 21817),
(21818, 'PIRSF029886', NULL, NULL, 198, NULL, 'KBAA', 21818),
(21819, 'PIRSF007313', NULL, NULL, 370, NULL, 'PhnI', 21819),
(21820, 'PIRSF019373', NULL, NULL, 163, NULL, 'EhaF', 21820),
(21821, 'PIRSF033887', NULL, NULL, 299, NULL, 'PduX', 21821),
(21822, 'PIRSF006707', NULL, NULL, 186, NULL, 'MJ1563', 21822),
(21823, 'PIRSF000319', NULL, NULL, 752, NULL, 'Trp_2-mono_O2ase', 21823),
(21824, 'PIRSF004750', NULL, NULL, 279, NULL, 'Nitrile_oxidored_YqcD', 21824),
(21825, 'PIRSF031780', NULL, NULL, 107, NULL, 'UCP031780', 21825),
(21826, 'PIRSF000847', NULL, NULL, 187, NULL, 'Phos_ph_gly_syn', 21826),
(21827, 'PIRSF007319', NULL, NULL, 263, NULL, 'UCP007319', 21827),
(21828, 'PIRSF037947', NULL, NULL, 363, NULL, 'XRP2', 21828),
(21829, 'PIRSF005412', NULL, NULL, 687, NULL, 'UCP005412_abhydr', 21829),
(21830, 'PIRSF004338', NULL, NULL, 104, NULL, 'Integrase', 21830),
(21831, 'PIRSF026986', NULL, NULL, 455, NULL, 'MET_SET', 21831),
(21832, 'PIRSF000151', NULL, NULL, 421, NULL, 'GPR', 21832),
(21833, 'PIRSF004161', NULL, NULL, 25, NULL, 'DNA-bp_J_Microviridae', 21833),
(21834, 'PIRSF027093', NULL, NULL, 629, NULL, 'EndopolyPtase_N1', 21834),
(21835, 'PIRSF032064', NULL, NULL, 182, NULL, 'UCP032064', 21835),
(21836, 'PIRSF031551', NULL, NULL, 173, NULL, 'UCP031551', 21836),
(21837, 'PIRSF500951', NULL, NULL, 965, NULL, 'SCGF_recepter', 21837),
(21838, 'PIRSF026649', NULL, NULL, 307, NULL, 'MsbB', 21838),
(21839, 'PIRSF030829', NULL, NULL, 489, NULL, 'DAG_kinase_plant', 21839),
(21840, 'PIRSF032436', NULL, NULL, 177, NULL, 'UCP032436', 21840),
(21841, 'PIRSF013022', NULL, NULL, 589, NULL, 'UCP013022', 21841),
(21842, 'PIRSF037882', NULL, NULL, 726, NULL, 'Subtilisin_rel_fervidolysin', 21842),
(21843, 'PIRSF005216', NULL, NULL, 162, NULL, 'PvlArgDC', 21843),
(21844, 'PIRSF006169', NULL, NULL, 76, NULL, 'UCP006169', 21844),
(21845, 'PIRSF038189', NULL, NULL, 477, NULL, 'IRAK4', 21845),
(21846, 'PIRSF036632', NULL, NULL, 657, NULL, 'GOGAT_lg_1_3', 21846),
(21847, 'PIRSF038038', NULL, NULL, 253, NULL, 'Gemin-2', 21847),
(21848, 'PIRSF018494', NULL, NULL, 353, NULL, 'PBSX_VPQ', 21848),
(21849, 'PIRSF011794', NULL, NULL, 533, NULL, 'Rhamnogalacturonase_B', 21849),
(21850, 'PIRSF001265', NULL, NULL, 716, NULL, 'H+-PPtase', 21850),
(21851, 'PIRSF000478', NULL, NULL, 435, NULL, 'TP_PyNP', 21851),
(21852, 'PIRSF004179', NULL, NULL, 266, NULL, 'DNAterm_GP3', 21852),
(21853, 'PIRSF006470', NULL, NULL, 335, NULL, 'DctB', 21853),
(21854, 'PIRSF007056', NULL, NULL, 527, NULL, 'UCP007056', 21854),
(21855, 'PIRSF037322', NULL, NULL, 212, NULL, 'CDKN3', 21855);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21856, 'PIRSF001225', NULL, NULL, 230, NULL, 'Urease_gammabeta', 21856),
(21857, 'PIRSF026673', NULL, NULL, 483, NULL, 'UCP026673_ion_chan', 21857),
(21858, 'PIRSF037935', NULL, NULL, 581, NULL, 'TMPRSS13', 21858),
(21859, 'PIRSF036586', NULL, NULL, 474, NULL, 'CDP-ribitol_syn', 21859),
(21860, 'PIRSF001251', NULL, NULL, 808, NULL, 'AMP_deaminase', 21860),
(21861, 'PIRSF002094', NULL, NULL, 170, NULL, 'OMP26_Skp', 21861),
(21862, 'PIRSF029163', NULL, NULL, 94, NULL, 'MDH2', 21862),
(21863, 'PIRSF036688', NULL, NULL, 614, NULL, 'CmuA', 21863),
(21864, 'PIRSF018427', NULL, NULL, 217, NULL, 'Isopentenyldiphpt_isom', 21864),
(21865, 'PIRSF006809', NULL, NULL, 422, NULL, 'GTP-binding_hflX', 21865),
(21866, 'PIRSF501104', NULL, NULL, 676, NULL, 'Protein_kin_C_delta', 21866),
(21867, 'PIRSF017998', NULL, NULL, 198, NULL, 'UCP017998', 21867),
(21868, 'PIRSF031043', NULL, NULL, 433, NULL, 'UCP031043', 21868),
(21869, 'PIRSF004846', NULL, NULL, 264, NULL, 'ModA', 21869),
(21870, 'PIRSF026713', NULL, NULL, 571, NULL, 'PMI_Firm_long', 21870),
(21871, 'PIRSF007972', NULL, NULL, 211, NULL, 'Gra2', 21871),
(21872, 'PIRSF001336', NULL, NULL, 644, NULL, 'ARGDC', 21872),
(21873, 'PIRSF035865', NULL, NULL, 384, NULL, 'UCP035865', 21873),
(21874, 'PIRSF012565', NULL, NULL, 207, NULL, 'UCP012565', 21874),
(21875, 'PIRSF007991', NULL, NULL, 535, NULL, 'Vang-like', 21875),
(21876, 'PIRSF004959', NULL, NULL, 165, NULL, 'UCP004959', 21876),
(21877, 'PIRSF005604', NULL, NULL, 306, NULL, 'EndGlu_transf', 21877),
(21878, 'PIRSF001227', NULL, NULL, 800, NULL, 'Pen_acylase', 21878),
(21879, 'PIRSF030962', NULL, NULL, 123, NULL, 'Dehydrase', 21879),
(21880, 'PIRSF036522', NULL, NULL, 103, NULL, 'UCP036522_pph', 21880),
(21881, 'PIRSF029215', NULL, NULL, 389, NULL, 'UCP029215', 21881),
(21882, 'PIRSF036392', NULL, NULL, 606, NULL, 'RR_ARR_type-B', 21882),
(21883, 'PIRSF004800', NULL, NULL, 1830, NULL, 'Hmw2', 21883),
(21884, 'PIRSF016550', NULL, NULL, 596, NULL, 'Rab_ger_ger_transf_A_euk', 21884),
(21885, 'PIRSF037851', NULL, NULL, 596, NULL, 'Subtilisin_cyano', 21885),
(21886, 'PIRSF033091', NULL, NULL, 418, NULL, 'Pesterase_YhaO', 21886),
(21887, 'PIRSF501176', NULL, NULL, 496, NULL, 'DNApol_mu', 21887),
(21888, 'PIRSF037870', NULL, NULL, 402, NULL, 'Doublin', 21888),
(21889, 'PIRSF004853', NULL, NULL, 255, NULL, 'UCP004853', 21889),
(21890, 'PIRSF012608', NULL, NULL, 353, NULL, 'UCP012608', 21890),
(21891, 'PIRSF007939', NULL, NULL, 900, NULL, 'RRN6', 21891),
(21892, 'PIRSF028570', NULL, NULL, 161, NULL, 'UCP028570', 21892),
(21893, 'PIRSF038093', NULL, NULL, 367, NULL, 'ARPC1', 21893),
(21894, 'PIRSF030780', NULL, NULL, 199, NULL, 'Md_memb_hyd', 21894),
(21895, 'PIRSF036962', NULL, NULL, 320, NULL, 'UCP036962_SignTr_Ycf55', 21895),
(21896, 'PIRSF001948', NULL, NULL, 555, NULL, 'MCSF', 21896),
(21897, 'PIRSF005943', NULL, NULL, 481, NULL, 'NMPRT', 21897),
(21898, 'PIRSF025926', NULL, NULL, 198, NULL, 'UCP025926', 21898),
(21899, 'PIRSF001430', NULL, NULL, 268, NULL, 'PSU-A', 21899),
(21900, 'PIRSF036585', NULL, NULL, 125, NULL, 'EchD', 21900),
(21901, 'PIRSF001486', NULL, NULL, 94, NULL, 'CatC', 21901),
(21902, 'PIRSF000381', NULL, NULL, 1200, NULL, 'Met_synth_MetH', 21902),
(21903, 'PIRSF003135', NULL, NULL, 108, NULL, 'Primosomal_n', 21903),
(21904, 'PIRSF039089', NULL, NULL, 310, NULL, 'ATP_synthase_gamma', 21904),
(21905, 'PIRSF010260', NULL, NULL, 189, NULL, 'UCP010260', 21905),
(21906, 'PIRSF037692', NULL, NULL, 71, NULL, 'UCP037692', 21906),
(21907, 'PIRSF006581', NULL, NULL, 85, NULL, 'EhaD', 21907),
(21908, 'PIRSF018454', NULL, NULL, 170, NULL, 'TRL10', 21908),
(21909, 'PIRSF004764', NULL, NULL, 85, NULL, 'YmfJ', 21909),
(21910, 'PIRSF028756', NULL, NULL, 284, NULL, 'PPK2', 21910),
(21911, 'PIRSF014753', NULL, NULL, 612, NULL, 'UCP014753', 21911),
(21912, 'PIRSF005522', NULL, NULL, 483, NULL, 'UCP005522', 21912),
(21913, 'PIRSF020979', NULL, NULL, 361, NULL, 'UCP020979', 21913),
(21914, 'PIRSF037167', NULL, NULL, 310, NULL, 'Mtase_YfcB', 21914);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21915, 'PIRSF017804', NULL, NULL, 484, NULL, 'Secretion_EccD1', 21915),
(21916, 'PIRSF029416', NULL, NULL, 109, NULL, 'UCP029416_PTP', 21916),
(21917, 'PIRSF000005', NULL, NULL, 215, NULL, 'Cytochrome_c4', 21917),
(21918, 'PIRSF004866', NULL, NULL, 200, NULL, 'IMP_cclhdr_arch', 21918),
(21919, 'PIRSF037989', NULL, NULL, 566, NULL, 'UCP037989', 21919),
(21920, 'PIRSF006549', NULL, NULL, 453, NULL, 'PDH_arog_dh_reg', 21920),
(21921, 'PIRSF501177', NULL, NULL, 418, NULL, 'BoxA', 21921),
(21922, 'PIRSF002486', NULL, NULL, 359, NULL, 'CIP_VAC_C3L', 21922),
(21923, 'PIRSF032620', NULL, NULL, 284, NULL, 'UCP032620', 21923),
(21924, 'PIRSF038146', NULL, NULL, 527, NULL, 'STPK_RIO3', 21924),
(21925, 'PIRSF029047', NULL, NULL, 244, NULL, 'KMTS', 21925),
(21926, 'PIRSF000903', NULL, NULL, 275, NULL, 'B5n-ttraPtase_sm', 21926),
(21927, 'PIRSF001100', NULL, NULL, 427, NULL, 'Cellulase', 21927),
(21928, 'PIRSF016522', NULL, NULL, 247, NULL, 'MOG', 21928),
(21929, 'PIRSF039102', NULL, NULL, 366, NULL, 'Ddl/VanB', 21929),
(21930, 'PIRSF036510', NULL, NULL, 441, NULL, 'PDH_fung', 21930),
(21931, 'PIRSF000232', NULL, NULL, 192, NULL, 'YdjA', 21931),
(21932, 'PIRSF036685', NULL, NULL, 501, NULL, 'BacLeuNPeptidase', 21932),
(21933, 'PIRSF000203', NULL, NULL, 511, NULL, 'NADP_transhydrogenase_alpha', 21933),
(21934, 'PIRSF000660', NULL, NULL, 1665, NULL, 'STPK_GCN2', 21934),
(21935, 'PIRSF500784', NULL, NULL, 291, NULL, 'TAG1', 21935),
(21936, 'PIRSF000926', NULL, NULL, 432, NULL, 'PTPN1_PTPN2', 21936),
(21937, 'PIRSF000118', NULL, NULL, 591, NULL, 'Ilv5_plant', 21937),
(21938, 'PIRSF018586', NULL, NULL, 191, NULL, 'FADD', 21938),
(21939, 'PIRSF037379', NULL, NULL, 100, NULL, 'Urm1', 21939),
(21940, 'PIRSF026396', NULL, NULL, 341, NULL, 'UCP026396_dh', 21940),
(21941, 'PIRSF037404', NULL, NULL, 1599, NULL, 'DNMT1', 21941),
(21942, 'PIRSF017854', NULL, NULL, 89, NULL, 'TrbD', 21942),
(21943, 'PIRSF022613', NULL, NULL, 277, NULL, 'MBA1', 21943),
(21944, 'PIRSF032899', NULL, NULL, 897, NULL, 'UCP032899', 21944),
(21945, 'PIRSF036888', NULL, NULL, 466, NULL, 'HDGYPm_UCP036888', 21945),
(21946, 'PIRSF028841', NULL, NULL, 192, NULL, 'APC10', 21946),
(21947, 'PIRSF000098', NULL, NULL, 433, NULL, 'Homoser_dh', 21947),
(21948, 'PIRSF004929', NULL, NULL, 287, NULL, 'UCP004929', 21948),
(21949, 'PIRSF038144', NULL, NULL, 510, NULL, 'Ladinin-1', 21949),
(21950, 'PIRSF013899', NULL, NULL, 295, NULL, 'UCP013899', 21950),
(21951, 'PIRSF500231', NULL, NULL, 544, NULL, 'Oat_dag', 21951),
(21952, 'PIRSF001939', NULL, NULL, 152, NULL, 'IL-3', 21952),
(21953, 'PIRSF036458', NULL, NULL, 356, NULL, 'Butyrate_kin', 21953),
(21954, 'PIRSF018412', NULL, NULL, 388, NULL, 'TEBP_beta', 21954),
(21955, 'PIRSF004611', NULL, NULL, 630, NULL, 'CBP2', 21955),
(21956, 'PIRSF000666', NULL, NULL, 1000, NULL, 'TyrPK_ephrin_receptor', 21956),
(21957, 'PIRSF033924', NULL, NULL, 202, NULL, 'UCP033924', 21957),
(21958, 'PIRSF015695', NULL, NULL, 452, NULL, 'STPK_F10L', 21958),
(21959, 'PIRSF037383', NULL, NULL, 602, NULL, 'LicCA', 21959),
(21960, 'PIRSF031143', NULL, NULL, 149, NULL, 'UCP031143', 21960),
(21961, 'PIRSF033725', NULL, NULL, 127, NULL, 'UCP033725', 21961),
(21962, 'PIRSF037913', NULL, NULL, 456, NULL, 'HDAC_I_euk', 21962),
(21963, 'PIRSF034452', NULL, NULL, 277, NULL, 'TIM-br_sig_trnsd', 21963),
(21964, 'PIRSF037666', NULL, NULL, 59, NULL, 'GerPD', 21964),
(21965, 'PIRSF019549', NULL, NULL, 364, NULL, 'Gpr', 21965),
(21966, 'PIRSF021505', NULL, NULL, 411, NULL, 'O_gly_hdrol', 21966),
(21967, 'PIRSF037014', NULL, NULL, 808, NULL, 'SNF1LK_vert', 21967),
(21968, 'PIRSF500627', NULL, NULL, 501, NULL, 'Cytochrome_CYP8B1', 21968),
(21969, 'PIRSF020419', NULL, NULL, 297, NULL, 'Fe_uptake_reg_CjrA', 21969),
(21970, 'PIRSF000566', NULL, NULL, 381, NULL, 'STPK_Sbk1', 21970),
(21971, 'PIRSF016496', NULL, NULL, 266, NULL, 'Kin_FomA', 21971),
(21972, 'PIRSF001103', NULL, NULL, 320, NULL, 'Endo-b-N-acetylglucosaminidase', 21972),
(21973, 'PIRSF000851', NULL, NULL, 245, NULL, 'PcS', 21973);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(21974, 'PIRSF037726', NULL, NULL, 179, NULL, 'IL-22', 21974),
(21975, 'PIRSF000277', NULL, NULL, 115, NULL, 'COX_VIa', 21975),
(21976, 'PIRSF007165', NULL, NULL, 183, NULL, 'UCP007165', 21976),
(21977, 'PIRSF037497', NULL, NULL, 170, NULL, 'MreD_Clostridium/Treponema', 21977),
(21978, 'PIRSF034247', NULL, NULL, 213, NULL, 'RCAS1', 21978),
(21979, 'PIRSF029122', NULL, NULL, 331, NULL, 'UCP029122', 21979),
(21980, 'PIRSF036872', NULL, NULL, 2873, NULL, 'L_TospoV', 21980),
(21981, 'PIRSF037854', NULL, NULL, 1106, NULL, 'DhpA', 21981),
(21982, 'PIRSF003496', NULL, NULL, 99, NULL, 'Myristoylat_tegument_UL11', 21982),
(21983, 'PIRSF500101', NULL, NULL, 618, NULL, 'ER-a', 21983),
(21984, 'PIRSF009533', NULL, NULL, 145, NULL, 'FlbT', 21984),
(21985, 'PIRSF011716', NULL, NULL, 713, NULL, 'Endoprotease_Ssy5', 21985),
(21986, 'PIRSF031982', NULL, NULL, 344, NULL, 'UCP031982_abhydr', 21986),
(21987, 'PIRSF038959', NULL, NULL, 215, NULL, 'SdpI', 21987),
(21988, 'PIRSF000183', NULL, NULL, 371, NULL, 'Alanine_dh', 21988),
(21989, 'PIRSF002736', NULL, NULL, 97, NULL, 'Citrt_lyas_gamma', 21989),
(21990, 'PIRSF001060', NULL, NULL, 299, NULL, 'Endochitinase', 21990),
(21991, 'PIRSF001363', NULL, NULL, 537, NULL, 'Malate_synth', 21991),
(21992, 'PIRSF002017', NULL, NULL, 374, NULL, 'CD14', 21992),
(21993, 'PIRSF006993', NULL, NULL, 232, NULL, 'UCP006993', 21993),
(21994, 'PIRSF036461', NULL, NULL, 397, NULL, 'Chmtx_methlestr', 21994),
(21995, 'PIRSF001423', NULL, NULL, 565, NULL, 'Urocanate_hydrat', 21995),
(21996, 'PIRSF000615', NULL, NULL, 990, NULL, 'TyrPK_CSF1-R', 21996),
(21997, 'PIRSF501106', NULL, NULL, 737, NULL, 'Protein_kin_C_epsilon', 21997),
(21998, 'PIRSF036569', NULL, NULL, 3843, NULL, 'Hml', 21998),
(21999, 'PIRSF034515', NULL, NULL, 1042, NULL, 'Chondroitinase', 21999),
(22000, 'PIRSF039014', NULL, NULL, 507, NULL, 'OTR_cyc', 22000),
(22001, 'PIRSF020431', NULL, NULL, 117, NULL, 'NapD_delta/epsilon', 22001),
(22002, 'PIRSF004523', NULL, NULL, 403, NULL, 'ABC_peripl_P37', 22002),
(22003, 'PIRSF036558', NULL, NULL, 1286, NULL, 'Ntrrd_NNDBI_PRT', 22003),
(22004, 'PIRSF037475', NULL, NULL, 883, NULL, 'BLOC2_Hps5', 22004),
(22005, 'PIRSF017209', NULL, NULL, 859, NULL, 'Memb_At2g17000', 22005),
(22006, 'PIRSF001942', NULL, NULL, 176, NULL, 'IL-7', 22006),
(22007, 'PIRSF017962', NULL, NULL, 256, NULL, 'UCP017962', 22007),
(22008, 'PIRSF003950', NULL, NULL, 483, NULL, 'N_NairoV', 22008),
(22009, 'PIRSF039096', NULL, NULL, 156, NULL, 'p16-ARC', 22009),
(22010, 'PIRSF029171', NULL, NULL, 412, NULL, 'Esterase_LipA', 22010),
(22011, 'PIRSF027158', NULL, NULL, 436, NULL, 'Lys_MTase_YDR198C', 22011),
(22012, 'PIRSF006305', NULL, NULL, 210, NULL, 'Maf', 22012),
(22013, 'PIRSF026492', NULL, NULL, 558, NULL, 'Dig_cycl_CHASE', 22013),
(22014, 'PIRSF001220', NULL, NULL, 331, NULL, 'L-ASNase_gatD', 22014),
(22015, 'PIRSF000355', NULL, NULL, 349, NULL, 'NrdB', 22015),
(22016, 'PIRSF000797', NULL, NULL, 1186, NULL, 'DNA_pol_mitochondrial', 22016),
(22017, 'PIRSF037899', NULL, NULL, 1293, NULL, 'Subtilisin_rel_Moth_2364', 22017),
(22018, 'PIRSF009564', NULL, NULL, 107, NULL, 'HdeA', 22018),
(22019, 'PIRSF022995', NULL, NULL, 568, NULL, 'ROP2', 22019),
(22020, 'PIRSF028774', NULL, NULL, 359, NULL, 'UCP028774', 22020),
(22021, 'PIRSF034565', NULL, NULL, 361, NULL, 'UCP034565', 22021),
(22022, 'PIRSF000632', NULL, NULL, 824, NULL, 'TyrPK_fps', 22022),
(22023, 'PIRSF001439', NULL, NULL, 338, NULL, 'CryM', 22023),
(22024, 'PIRSF014669', NULL, NULL, 370, NULL, 'UCP014669', 22024),
(22025, 'PIRSF036417', NULL, NULL, 498, NULL, 'Very_long_ch_3-ktacl-CoA_syn', 22025),
(22026, 'PIRSF001223', NULL, NULL, 100, NULL, 'Urease_gamma', 22026),
(22027, 'PIRSF006294', NULL, NULL, 532, NULL, 'PEP_crbxkin', 22027),
(22028, 'PIRSF017215', NULL, NULL, 250, NULL, 'ESCRT2_Vps22', 22028),
(22029, 'PIRSF015849', NULL, NULL, 265, NULL, 'TFIIF-beta', 22029),
(22030, 'PIRSF028205', NULL, NULL, 253, NULL, 'UCP028205', 22030),
(22031, 'PIRSF000538', NULL, NULL, 499, NULL, 'GlpK', 22031);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22032, 'PIRSF025414', NULL, NULL, 356, NULL, 'Alpha-N-AFase', 22032),
(22033, 'PIRSF038471', NULL, NULL, 284, NULL, 'MreC', 22033),
(22034, 'PIRSF006577', NULL, NULL, 103, NULL, 'UCP006577', 22034),
(22035, 'PIRSF035609', NULL, NULL, 127, NULL, 'UCP035609_HNH_endo', 22035),
(22036, 'PIRSF004761', NULL, NULL, 118, NULL, 'Hydrgn_mat_HypA', 22036),
(22037, 'PIRSF009303', NULL, NULL, 415, NULL, 'RAD9', 22037),
(22038, 'PIRSF018297', NULL, NULL, 129, NULL, 'Doc', 22038),
(22039, 'PIRSF036054', NULL, NULL, 310, NULL, 'UCP036054', 22039),
(22040, 'PIRSF037217', NULL, NULL, 590, NULL, 'Carboxypeptdase_S', 22040),
(22041, 'PIRSF038143', NULL, NULL, 525, NULL, 'Podoclyxn-like_1', 22041),
(22042, 'PIRSF019325', NULL, NULL, 207, NULL, 'GPI', 22042),
(22043, 'PIRSF006493', NULL, NULL, 290, NULL, 'Prok_Ku', 22043),
(22044, 'PIRSF029598', NULL, NULL, 140, NULL, 'PsiE', 22044),
(22045, 'PIRSF021980', NULL, NULL, 207, NULL, 'UCP021980_RNA-bind', 22045),
(22046, 'PIRSF038958', NULL, NULL, 517, NULL, 'PG_synth_SpoVB', 22046),
(22047, 'PIRSF002744', NULL, NULL, 477, NULL, 'Pur-cyt_permease', 22047),
(22048, 'PIRSF017267', NULL, NULL, 129, NULL, 'Sulfiredoxin', 22048),
(22049, 'PIRSF017290', NULL, NULL, 249, NULL, 'ROT1', 22049),
(22050, 'PIRSF028655', NULL, NULL, 332, NULL, 'NMP1', 22050),
(22051, 'PIRSF006268', NULL, NULL, 343, NULL, 'ApbE', 22051),
(22052, 'PIRSF015380', NULL, NULL, 687, NULL, 'Site-sp_rcmb', 22052),
(22053, 'PIRSF035905', NULL, NULL, 918, NULL, 'UCP035905_mp', 22053),
(22054, 'PIRSF000825', NULL, NULL, 2152, NULL, 'L_HantaV', 22054),
(22055, 'PIRSF017250', NULL, NULL, 296, NULL, 'tRNA_endo_SEN34', 22055),
(22056, 'PIRSF004808', NULL, NULL, 249, NULL, 'LasT', 22056),
(22057, 'PIRSF011561', NULL, NULL, 178, NULL, 'PAD', 22057),
(22058, 'PIRSF021424', NULL, NULL, 122, NULL, 'RTP', 22058),
(22059, 'PIRSF021513', NULL, NULL, 168, NULL, 'GrhN_RubW', 22059),
(22060, 'PIRSF000389', NULL, NULL, 526, NULL, 'DHFR-TS', 22060),
(22061, 'PIRSF027124', NULL, NULL, 433, NULL, 'HAT_Rtt109', 22061),
(22062, 'PIRSF037993', NULL, NULL, 404, NULL, 'STPK_Pim-1', 22062),
(22063, 'PIRSF005919', NULL, NULL, 200, NULL, 'UCP005919', 22063),
(22064, 'PIRSF006834', NULL, NULL, 254, NULL, 'UCP006834', 22064),
(22065, 'PIRSF037479', NULL, NULL, 458, NULL, 'Pg_GlcNAc_deacet', 22065),
(22066, 'PIRSF028445', NULL, NULL, 218, NULL, 'UCP028445', 22066),
(22067, 'PIRSF001773', NULL, NULL, 456, NULL, 'COX10', 22067),
(22068, 'PIRSF001221', NULL, NULL, 547, NULL, 'Amidase_fungi', 22068),
(22069, 'PIRSF007061', NULL, NULL, 107, NULL, 'UCP007061', 22069),
(22070, 'PIRSF000489', NULL, NULL, 1001, NULL, 'NAD_ADPRT', 22070),
(22071, 'PIRSF018863', NULL, NULL, 415, NULL, 'UCP018863', 22071),
(22072, 'PIRSF032441', NULL, NULL, 128, NULL, 'UCP032441', 22072),
(22073, 'PIRSF008881', NULL, NULL, 220, NULL, 'Fhx_P25', 22073),
(22074, 'PIRSF000956', NULL, NULL, 1158, NULL, 'PLC-beta', 22074),
(22075, 'PIRSF001771', NULL, NULL, 461, NULL, 'Cyclin_A_B_D_E', 22075),
(22076, 'PIRSF003764', NULL, NULL, 149, NULL, 'VAC_K7R', 22076),
(22077, 'PIRSF015647', NULL, NULL, 375, NULL, 'FBPtase_archl', 22077),
(22078, 'PIRSF037656', NULL, NULL, 95, NULL, 'UCP037656_ESAT_EsxN', 22078),
(22079, 'PIRSF037895', NULL, NULL, 1601, NULL, 'Subtilisin_rel_Sama_2696', 22079),
(22080, 'PIRSF038133', NULL, NULL, 314, NULL, 'EAF3_MRG15', 22080),
(22081, 'PIRSF000767', NULL, NULL, 575, NULL, 'Sigma_factor_SigC', 22081),
(22082, 'PIRSF001716', NULL, NULL, 638, NULL, 'Dorsal', 22082),
(22083, 'PIRSF037825', NULL, NULL, 155, NULL, 'GMP-Pdiesterase_delta', 22083),
(22084, 'PIRSF021603', NULL, NULL, 285, NULL, 'UCP21603_Ac_t', 22084),
(22085, 'PIRSF000383', NULL, NULL, 884, NULL, 'PEAMT', 22085),
(22086, 'PIRSF037548', NULL, NULL, 2213, NULL, 'L_Filoviridae', 22086),
(22087, 'PIRSF005496', NULL, NULL, 829, NULL, 'ATP_hel_HrpB', 22087),
(22088, 'PIRSF009407', NULL, NULL, 743, NULL, 'IDH_monmr', 22088),
(22089, 'PIRSF016379', NULL, NULL, 447, NULL, 'ENT', 22089),
(22090, 'PIRSF034456', NULL, NULL, 106, NULL, 'UCP034456', 22090);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22091, 'PIRSF003948', NULL, NULL, 270, NULL, 'N_TospoV', 22091),
(22092, 'PIRSF037900', NULL, NULL, 602, NULL, 'Subtilisin_rel_PfSUB_1', 22092),
(22093, 'PIRSF005727', NULL, NULL, 961, NULL, 'Beta-COP', 22093),
(22094, 'PIRSF004631', NULL, NULL, 511, NULL, 'Retroelement_env', 22094),
(22095, 'PIRSF016565', NULL, NULL, 459, NULL, 'PucC', 22095),
(22096, 'PIRSF017117', NULL, NULL, 110, NULL, 'YscY', 22096),
(22097, 'PIRSF000915', NULL, NULL, 314, NULL, 'PGP-type_phosphatase', 22097),
(22098, 'PIRSF016516', NULL, NULL, 349, NULL, 'Allantoicase', 22098),
(22099, 'PIRSF021308', NULL, NULL, 198, NULL, 'UCP021308', 22099),
(22100, 'PIRSF030333', NULL, NULL, 152, NULL, 'UCP030333_Alba', 22100),
(22101, 'PIRSF000239', NULL, NULL, 209, NULL, 'AHPC', 22101),
(22102, 'PIRSF029764', NULL, NULL, 262, NULL, 'RSM25', 22102),
(22103, 'PIRSF004485', NULL, NULL, 147, NULL, 'T7_18-5', 22103),
(22104, 'PIRSF006102', NULL, NULL, 210, NULL, 'NQR_DE', 22104),
(22105, 'PIRSF017222', NULL, NULL, 586, NULL, 'Transl_init_eIF2A', 22105),
(22106, 'PIRSF020565', NULL, NULL, 161, NULL, '3Ho_Ac_ACP_DH', 22106),
(22107, 'PIRSF031402', NULL, NULL, 158, NULL, 'SYS1_homolog', 22107),
(22108, 'PIRSF011515', NULL, NULL, 392, NULL, 'EspG/VirA', 22108),
(22109, 'PIRSF003767', NULL, NULL, 269, NULL, 'VAC_I3L', 22109),
(22110, 'PIRSF004395', NULL, NULL, 185, NULL, 'Tail_Z', 22110),
(22111, 'PIRSF037375', NULL, NULL, 616, NULL, 'EstA', 22111),
(22112, 'PIRSF006351', NULL, NULL, 435, NULL, 'PTS_EIIC-Cellobiose', 22112),
(22113, 'PIRSF001238', NULL, NULL, 388, NULL, 'IadA', 22113),
(22114, 'PIRSF037109', NULL, NULL, 270, NULL, 'Hox9', 22114),
(22115, 'PIRSF036408', NULL, NULL, 443, NULL, 'PduS', 22115),
(22116, 'PIRSF000745', NULL, NULL, 259, NULL, 'VAC_RPO30', 22116),
(22117, 'PIRSF002421', NULL, NULL, 372, NULL, 'L-selectin', 22117),
(22118, 'PIRSF005023', NULL, NULL, 636, NULL, 'CODH', 22118),
(22119, 'PIRSF009151', NULL, NULL, 135, NULL, 'UCP009151', 22119),
(22120, 'PIRSF000094', NULL, NULL, 260, NULL, 'Enoyl-ACP_rdct', 22120),
(22121, 'PIRSF000294', NULL, NULL, 340, NULL, 'Cytochrome-c_peroxidase', 22121),
(22122, 'PIRSF016323', NULL, NULL, 318, NULL, 'tRNA_m1G_Mtase_euk', 22122),
(22123, 'PIRSF000897', NULL, NULL, 266, NULL, 'Acid_Ptase_ClsA', 22123),
(22124, 'PIRSF003888', NULL, NULL, 407, NULL, 'NCAP_CRV', 22124),
(22125, 'PIRSF003938', NULL, NULL, 281, NULL, 'NS1_influenza_B', 22125),
(22126, 'PIRSF003180', NULL, NULL, 407, NULL, 'DiGMP_Pdiesterase_YuxH', 22126),
(22127, 'PIRSF038207', NULL, NULL, 326, NULL, 'PP1_GT_animal', 22127),
(22128, 'PIRSF018781', NULL, NULL, 154, NULL, 'UCP018781', 22128),
(22129, 'PIRSF011356', NULL, NULL, 287, NULL, 'VP30_FiloV', 22129),
(22130, 'PIRSF004960', NULL, NULL, 316, NULL, 'MtrH_MtxH', 22130),
(22131, 'PIRSF037052', NULL, NULL, 176, NULL, 'UCP037052', 22131),
(22132, 'PIRSF012443', NULL, NULL, 275, NULL, 'UCP012443', 22132),
(22133, 'PIRSF001554', NULL, NULL, 382, NULL, 'SucCS_beta', 22133),
(22134, 'PIRSF003230', NULL, NULL, 146, NULL, 'YbgC', 22134),
(22135, 'PIRSF038861', NULL, NULL, 1155, NULL, 'UCP038861', 22135),
(22136, 'PIRSF003960', NULL, NULL, 1127, NULL, 'M_poly_TospoV', 22136),
(22137, 'PIRSF032025', NULL, NULL, 144, NULL, 'UCP032025', 22137),
(22138, 'PIRSF028520', NULL, NULL, 171, NULL, 'UCP028520', 22138),
(22139, 'PIRSF039101', NULL, NULL, 576, NULL, 'LysRS2', 22139),
(22140, 'PIRSF003267', NULL, NULL, 227, NULL, 'TraJ_F', 22140),
(22141, 'PIRSF020945', NULL, NULL, 406, NULL, 'GGP', 22141),
(22142, 'PIRSF017632', NULL, NULL, 380, NULL, 'Ceramidase', 22142),
(22143, 'PIRSF029033', NULL, NULL, 242, NULL, 'UCP029033', 22143),
(22144, 'PIRSF012622', NULL, NULL, 179, NULL, 'UCP012622', 22144),
(22145, 'PIRSF000127', NULL, NULL, 1331, NULL, 'Xanthine_dh', 22145),
(22146, 'PIRSF011368', NULL, NULL, 175, NULL, 'LPP20', 22146),
(22147, 'PIRSF029407', NULL, NULL, 416, NULL, 'UCP029407', 22147),
(22148, 'PIRSF037638', NULL, NULL, 97, NULL, 'B144_protein', 22148),
(22149, 'PIRSF014972', NULL, NULL, 137, NULL, 'FlK', 22149);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22150, 'PIRSF031679', NULL, NULL, 275, NULL, 'Mtase_Alr7345', 22150),
(22151, 'PIRSF033729', NULL, NULL, 209, NULL, 'UCP033729', 22151),
(22152, 'PIRSF036874', NULL, NULL, 682, NULL, 'GPC_FiloV', 22152),
(22153, 'PIRSF000243', NULL, NULL, 520, NULL, 'NrfA', 22153),
(22154, 'PIRSF037824', NULL, NULL, 131, NULL, 'Orexin', 22154),
(22155, 'PIRSF002457', NULL, NULL, 481, NULL, 'DASS', 22155),
(22156, 'PIRSF036498', NULL, NULL, 966, NULL, 'Kaurene_synth_fungi', 22156),
(22157, 'PIRSF026546', NULL, NULL, 209, NULL, 'UCP_CBS_YqzB', 22157),
(22158, 'PIRSF036578', NULL, NULL, 962, NULL, 'RFC1', 22158),
(22159, 'PIRSF037350', NULL, NULL, 480, NULL, 'Mtase_ZK1128', 22159),
(22160, 'PIRSF005250', NULL, NULL, 1068, NULL, 'UCP005250', 22160),
(22161, 'PIRSF037112', NULL, NULL, 321, NULL, 'ArdC', 22161),
(22162, 'PIRSF000446', NULL, NULL, 311, NULL, 'Mct', 22162),
(22163, 'PIRSF001149', NULL, NULL, 617, NULL, 'Thrombin', 22163),
(22164, 'PIRSF004505', NULL, NULL, 160, NULL, 'MT_bac', 22164),
(22165, 'PIRSF037256', NULL, NULL, 114, NULL, 'UCP037256', 22165),
(22166, 'PIRSF018472', NULL, NULL, 163, NULL, 'MreD_proteobac', 22166),
(22167, 'PIRSF037099', NULL, NULL, 895, NULL, 'Stonin', 22167),
(22168, 'PIRSF030820', NULL, NULL, 172, NULL, 'UCP030820', 22168),
(22169, 'PIRSF000138', NULL, NULL, 380, NULL, 'Al-hdrx_acd_dh', 22169),
(22170, 'PIRSF038072', NULL, NULL, 414, NULL, 'Na(+)/PI_cotransporter', 22170),
(22171, 'PIRSF016702', NULL, NULL, 143, NULL, 'DNA_bp_PD1', 22171),
(22172, 'PIRSF003953', NULL, NULL, 245, NULL, 'N_PhelboV', 22172),
(22173, 'PIRSF001043', NULL, NULL, 555, NULL, 'EG-B', 22173),
(22174, 'PIRSF037943', NULL, NULL, 238, NULL, 'SPAG7', 22174),
(22175, 'PIRSF016533', NULL, NULL, 150, NULL, 'Sp17', 22175),
(22176, 'PIRSF009437', NULL, NULL, 263, NULL, 'NQR-1_subunit_C', 22176),
(22177, 'PIRSF003407', NULL, NULL, 102, NULL, 'Trans_E7_PLV', 22177),
(22178, 'PIRSF030219', NULL, NULL, 297, NULL, 'Heme_oxygenase_decyc_plant', 22178),
(22179, 'PIRSF037850', NULL, NULL, 1492, NULL, 'Subtilase_Euglen', 22179),
(22180, 'PIRSF001143', NULL, NULL, 441, NULL, 'Coagul_factor_X', 22180),
(22181, 'PIRSF007936', NULL, NULL, 122, NULL, 'SRB6', 22181),
(22182, 'PIRSF006230', NULL, NULL, 289, NULL, 'MG442', 22182),
(22183, 'PIRSF002412', NULL, NULL, 489, NULL, 'MA_DBI', 22183),
(22184, 'PIRSF034934', NULL, NULL, 318, NULL, 'AbiF_AbiD', 22184),
(22185, 'PIRSF032840', NULL, NULL, 107, NULL, 'UCP032840', 22185),
(22186, 'PIRSF038980', NULL, NULL, 1639, NULL, 'A2M_bac', 22186),
(22187, 'PIRSF000409', NULL, NULL, 361, NULL, 'Ada', 22187),
(22188, 'PIRSF028160', NULL, NULL, 235, NULL, 'UCP028160', 22188),
(22189, 'PIRSF017479', NULL, NULL, 234, NULL, 'TRAPP_1_Trs31', 22189),
(22190, 'PIRSF029509', NULL, NULL, 150, NULL, 'UCP029509', 22190),
(22191, 'PIRSF018148', NULL, NULL, 528, NULL, 'UCP_CBS_YBR214w', 22191),
(22192, 'PIRSF034217', NULL, NULL, 144, NULL, 'UCP_Mll2898', 22192),
(22193, 'PIRSF031900', NULL, NULL, 342, NULL, 'UCP031900', 22193),
(22194, 'PIRSF015625', NULL, NULL, 313, NULL, 'VAC_I1L', 22194),
(22195, 'PIRSF007892', NULL, NULL, 546, NULL, 'NAGS_fungal', 22195),
(22196, 'PIRSF038148', NULL, NULL, 403, NULL, 'Rmt2', 22196),
(22197, 'PIRSF005229', NULL, NULL, 351, NULL, 'AO', 22197),
(22198, 'PIRSF005518', NULL, NULL, 108, NULL, 'MtrB', 22198),
(22199, 'PIRSF016315', NULL, NULL, 175, NULL, 'p21-ARC', 22199),
(22200, 'PIRSF028538', NULL, NULL, 108, NULL, 'UCP028538', 22200),
(22201, 'PIRSF020738', NULL, NULL, 336, NULL, 'InvJ', 22201),
(22202, 'PIRSF005053', NULL, NULL, 113, NULL, 'RNAP_F_arch', 22202),
(22203, 'PIRSF033096', NULL, NULL, 485, NULL, 'PPPtase_5', 22203),
(22204, 'PIRSF018571', NULL, NULL, 300, NULL, 'SpoIIGA', 22204),
(22205, 'PIRSF006320', NULL, NULL, 217, NULL, 'Elb2', 22205),
(22206, 'PIRSF000260', NULL, NULL, 120, NULL, 'FTRc', 22206),
(22207, 'PIRSF032184', NULL, NULL, 455, NULL, 'V-ATP_synth_H', 22207),
(22208, 'PIRSF018168', NULL, NULL, 369, NULL, 'Beta-mannanase', 22208),
(22209, 'PIRSF004008', NULL, NULL, 187, NULL, 'VAC_E3L', 22209);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22210, 'PIRSF005243', NULL, NULL, 404, NULL, 'ROO', 22210),
(22211, 'PIRSF036484', NULL, NULL, 403, NULL, 'PPi-PFK_SMc01852', 22211),
(22212, 'PIRSF037487', NULL, NULL, 219, NULL, 'Sulfite_red_assimil', 22212),
(22213, 'PIRSF020893', NULL, NULL, 177, NULL, 'UCP020893', 22213),
(22214, 'PIRSF021328', NULL, NULL, 138, NULL, 'UCP021328', 22214),
(22215, 'PIRSF006421', NULL, NULL, 257, NULL, 'UCP006421', 22215),
(22216, 'PIRSF006648', NULL, NULL, 273, NULL, 'DrrB', 22216),
(22217, 'PIRSF030802', NULL, NULL, 257, NULL, 'UCP030802', 22217),
(22218, 'PIRSF037210', NULL, NULL, 417, NULL, 'TGM_prok', 22218),
(22219, 'PIRSF037511', NULL, NULL, 118, NULL, 'Transl_init_SUI1_prok', 22219),
(22220, 'PIRSF038071', NULL, NULL, 464, NULL, 'GFR-alpha', 22220),
(22221, 'PIRSF003113', NULL, NULL, 125, NULL, 'BolA', 22221),
(22222, 'PIRSF038034', NULL, NULL, 269, NULL, 'RFXANK', 22222),
(22223, 'PIRSF022280', NULL, NULL, 266, NULL, 'UCP022280', 22223),
(22224, 'PIRSF026389', NULL, NULL, 773, NULL, 'Ethylen_sen_hybr_HK', 22224),
(22225, 'PIRSF000836', NULL, NULL, 2219, NULL, 'L_ArenaV', 22225),
(22226, 'PIRSF003945', NULL, NULL, 1139, NULL, 'M_poly_HantaV', 22226),
(22227, 'PIRSF035652', NULL, NULL, 120, NULL, 'UCP035652', 22227),
(22228, 'PIRSF001741', NULL, NULL, 831, NULL, 'MAGUK_DLGH', 22228),
(22229, 'PIRSF018267', NULL, NULL, 147, NULL, 'VSR_endonuc', 22229),
(22230, 'PIRSF020357', NULL, NULL, 408, NULL, 'UCP020357', 22230),
(22231, 'PIRSF009360', NULL, NULL, 520, NULL, 'UCP009360', 22231),
(22232, 'PIRSF034367', NULL, NULL, 341, NULL, 'UCP034367', 22232),
(22233, 'PIRSF017066', NULL, NULL, 415, NULL, 'FlaD_arch', 22233),
(22234, 'PIRSF036641', NULL, NULL, 574, NULL, 'IMPase_NAD_kin', 22234),
(22235, 'PIRSF003376', NULL, NULL, 366, NULL, 'VP1_PMV', 22235),
(22236, 'PIRSF034005', NULL, NULL, 180, NULL, 'Omp19', 22236),
(22237, 'PIRSF037984', NULL, NULL, 230, NULL, 'Met_synth_TM0269', 22237),
(22238, 'PIRSF006598', NULL, NULL, 371, NULL, 'UCP006598', 22238),
(22239, 'PIRSF002496', NULL, NULL, 945, NULL, 'Chordin', 22239),
(22240, 'PIRSF018649', NULL, NULL, 698, NULL, 'UCP018649', 22240),
(22241, 'PIRSF002565', NULL, NULL, 61, NULL, 'Statherin', 22241),
(22242, 'PIRSF017529', NULL, NULL, 271, NULL, 'Aquaporin-11_12', 22242),
(22243, 'PIRSF005586', NULL, NULL, 114, NULL, 'RNApol_RpoM', 22243),
(22244, 'PIRSF002549', NULL, NULL, 709, NULL, 'Transferrin', 22244),
(22245, 'PIRSF006630', NULL, NULL, 586, NULL, 'NADS_GAT', 22245),
(22246, 'PIRSF006557', NULL, NULL, 128, NULL, 'UCP006557_sign', 22246),
(22247, 'PIRSF038800', NULL, NULL, 425, NULL, 'KYNU', 22247),
(22248, 'PIRSF038971', NULL, NULL, 379, NULL, 'PhnM', 22248),
(22249, 'PIRSF005514', NULL, NULL, 171, NULL, 'Mitoh_ATP-synt_D', 22249),
(22250, 'PIRSF005355', NULL, NULL, 304, NULL, 'UBIAD1', 22250),
(22251, 'PIRSF037213', NULL, NULL, 175, NULL, 'UCP037213', 22251),
(22252, 'PIRSF028153', NULL, NULL, 483, NULL, 'MshI', 22252),
(22253, 'PIRSF033579', NULL, NULL, 271, NULL, 'Anaer_Co_chel_CbiK', 22253),
(22254, 'PIRSF018249', NULL, NULL, 282, NULL, 'MyrA', 22254),
(22255, 'PIRSF000574', NULL, NULL, 1145, NULL, 'STPK_PknK', 22255),
(22256, 'PIRSF028754', NULL, NULL, 301, NULL, 'UCP028754', 22256),
(22257, 'PIRSF037980', NULL, NULL, 1002, NULL, 'Sarcos_oxid_alpha', 22257),
(22258, 'PIRSF003913', NULL, NULL, 191, NULL, 'M2_paramyxovir', 22258),
(22259, 'PIRSF011452', NULL, NULL, 384, NULL, 'UCP011452_HNH', 22259),
(22260, 'PIRSF028937', NULL, NULL, 729, NULL, 'Lg_Ch_AO', 22260),
(22261, 'PIRSF036535', NULL, NULL, 87, NULL, 'EhaE', 22261),
(22262, 'PIRSF005700', NULL, NULL, 455, NULL, 'PepC', 22262),
(22263, 'PIRSF006600', NULL, NULL, 152, NULL, 'UCP006600', 22263),
(22264, 'PIRSF000824', NULL, NULL, 2256, NULL, 'L_OrthobunV', 22264),
(22265, 'PIRSF006280', NULL, NULL, 379, NULL, 'YfiF', 22265),
(22266, 'PIRSF037713', NULL, NULL, 188, NULL, 'BT_exbB-like_prot_1', 22266),
(22267, 'PIRSF003269', NULL, NULL, 115, NULL, 'TrbA', 22267),
(22268, 'PIRSF006639', NULL, NULL, 114, NULL, 'UCP006639_pph', 22268);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22269, 'PIRSF022080', NULL, NULL, 102, NULL, 'UCP022080', 22269),
(22270, 'PIRSF017246', NULL, NULL, 187, NULL, 'TFIID_TAF10', 22270),
(22271, 'PIRSF011386', NULL, NULL, 161, NULL, 'FixH', 22271),
(22272, 'PIRSF016666', NULL, NULL, 488, NULL, 'UCP016666', 22272),
(22273, 'PIRSF037961', NULL, NULL, 217, NULL, 'FGF-19_FGF-21', 22273),
(22274, 'PIRSF029056', NULL, NULL, 593, NULL, 'UCP029056', 22274),
(22275, 'PIRSF039123', NULL, NULL, 240, NULL, 'Diphthamide_synthase', 22275),
(22276, 'PIRSF015855', NULL, NULL, 654, NULL, 'TypeIII_Mtase_mKpnI', 22276),
(22277, 'PIRSF030283', NULL, NULL, 248, NULL, 'Small_HSP_plant', 22277),
(22278, 'PIRSF004323', NULL, NULL, 67, NULL, 'Xis-Tn', 22278),
(22279, 'PIRSF004546', NULL, NULL, 186, NULL, 'UCP004546', 22279),
(22280, 'PIRSF018259', NULL, NULL, 283, NULL, 'CAML', 22280),
(22281, 'PIRSF022062', NULL, NULL, 174, NULL, 'UCP022062', 22281),
(22282, 'PIRSF016478', NULL, NULL, 297, NULL, 'Epsilon-COP', 22282),
(22283, 'PIRSF001399', NULL, NULL, 147, NULL, 'DHQase_2', 22283),
(22284, 'PIRSF016821', NULL, NULL, 127, NULL, 'HSP15', 22284),
(22285, 'PIRSF038003', NULL, NULL, 337, NULL, 'PINCH', 22285),
(22286, 'PIRSF004857', NULL, NULL, 212, NULL, 'Kin_aa_kin', 22286),
(22287, 'PIRSF022145', NULL, NULL, 210, NULL, 'Sulfocyanin', 22287),
(22288, 'PIRSF026991', NULL, NULL, 208, NULL, 'MND1', 22288),
(22289, 'PIRSF036538', NULL, NULL, 84, NULL, 'EhaK', 22289),
(22290, 'PIRSF002889', NULL, NULL, 136, NULL, 'Rod_FlgB', 22290),
(22291, 'PIRSF019466', NULL, NULL, 371, NULL, 'EutH', 22291),
(22292, 'PIRSF033303', NULL, NULL, 212, NULL, 'UCP033303', 22292),
(22293, 'PIRSF002773', NULL, NULL, 740, NULL, 'ABC_prm/ATPase_B', 22293),
(22294, 'PIRSF006031', NULL, NULL, 144, NULL, 'UCP006031', 22294),
(22295, 'PIRSF007004', NULL, NULL, 125, NULL, 'UCP007004', 22295),
(22296, 'PIRSF036536', NULL, NULL, 221, NULL, 'EhaH', 22296),
(22297, 'PIRSF028977', NULL, NULL, 746, NULL, 'Noc3', 22297),
(22298, 'PIRSF031644', NULL, NULL, 213, NULL, 'UCP031644', 22298),
(22299, 'PIRSF011444', NULL, NULL, 203, NULL, 'UCP011444', 22299),
(22300, 'PIRSF016580', NULL, NULL, 374, NULL, 'Acylprotsyn_LuxE', 22300),
(22301, 'PIRSF003003', NULL, NULL, 175, NULL, 'Colicin_imm', 22301),
(22302, 'PIRSF004028', NULL, NULL, 486, NULL, 'GPC_ArenaV', 22302),
(22303, 'PIRSF037236', NULL, NULL, 421, NULL, 'TaqI', 22303),
(22304, 'PIRSF020275', NULL, NULL, 246, NULL, 'RadSAM_TM0948', 22304),
(22305, 'PIRSF027019', NULL, NULL, 357, NULL, 'Euk_LigT', 22305),
(22306, 'PIRSF028732', NULL, NULL, 92, NULL, 'Alba', 22306),
(22307, 'PIRSF016509', NULL, NULL, 294, NULL, 'MtrE', 22307),
(22308, 'PIRSF006276', NULL, NULL, 142, NULL, 'UspA', 22308),
(22309, 'PIRSF000428', NULL, NULL, 322, NULL, 'P_Ac_trans', 22309),
(22310, 'PIRSF002116', NULL, NULL, 244, NULL, 'RPS4a_RPS4e', 22310),
(22311, 'PIRSF037663', NULL, NULL, 159, NULL, 'Acetyltransf_GNAT', 22311),
(22312, 'PIRSF038018', NULL, NULL, 195, NULL, 'BIO', 22312),
(22313, 'PIRSF038175', NULL, NULL, 948, NULL, 'MAPKKK14', 22313),
(22314, 'PIRSF015892', NULL, NULL, 427, NULL, 'N-myristl_transf', 22314),
(22315, 'PIRSF036950', NULL, NULL, 371, NULL, 'UCP036950', 22315),
(22316, 'PIRSF019876', NULL, NULL, 205, NULL, 'HasA', 22316),
(22317, 'PIRSF017199', NULL, NULL, 142, NULL, 'Dim1', 22317),
(22318, 'PIRSF035009', NULL, NULL, 359, NULL, 'UCP035009_HSDR_N', 22318),
(22319, 'PIRSF017205', NULL, NULL, 510, NULL, 'ERO', 22319),
(22320, 'PIRSF037464', NULL, NULL, 687, NULL, 'UCP037464_APP1', 22320),
(22321, 'PIRSF021171', NULL, NULL, 143, NULL, 'UCP022271', 22321),
(22322, 'PIRSF028836', NULL, NULL, 422, NULL, 'ISN1', 22322),
(22323, 'PIRSF011570', NULL, NULL, 335, NULL, 'SpoVAD', 22323),
(22324, 'PIRSF037561', NULL, NULL, 33, NULL, 'Pardaxin', 22324),
(22325, 'PIRSF011474', NULL, NULL, 159, NULL, 'GutM', 22325),
(22326, 'PIRSF001906', NULL, NULL, 31, NULL, 'ATX_III', 22326),
(22327, 'PIRSF037948', NULL, NULL, 442, NULL, 'ZMYND10', 22327),
(22328, 'PIRSF007212', NULL, NULL, 712, NULL, 'Capsid_P70', 22328);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22329, 'PIRSF029505', NULL, NULL, 176, NULL, 'UCP029505', 22329),
(22330, 'PIRSF021485', NULL, NULL, 256, NULL, 'UCP021485', 22330),
(22331, 'PIRSF018660', NULL, NULL, 184, NULL, 'Archl_flaC', 22331),
(22332, 'PIRSF036612', NULL, NULL, 342, NULL, 'ABC_ATP_LytTR', 22332),
(22333, 'PIRSF028440', NULL, NULL, 107, NULL, 'UCP_LAB_N', 22333),
(22334, 'PIRSF029727', NULL, NULL, 353, NULL, 'UCP029727', 22334),
(22335, 'PIRSF001013', NULL, NULL, 154, NULL, 'RNAse_Ba', 22335),
(22336, 'PIRSF002026', NULL, NULL, 160, NULL, 'Nematode_globin', 22336),
(22337, 'PIRSF016557', NULL, NULL, 256, NULL, 'CpsB', 22337),
(22338, 'PIRSF026584', NULL, NULL, 290, NULL, 'Delta_tox', 22338),
(22339, 'PIRSF036456', NULL, NULL, 624, NULL, 'ASAL_AGS', 22339),
(22340, 'PIRSF016753', NULL, NULL, 282, NULL, 'P_lipid/glycerol_ac_tran', 22340),
(22341, 'PIRSF001703', NULL, NULL, 436, NULL, 'GABP_alpha', 22341),
(22342, 'PIRSF003265', NULL, NULL, 97, NULL, 'TraQ', 22342),
(22343, 'PIRSF022536', NULL, NULL, 136, NULL, 'A612L_SET', 22343),
(22344, 'PIRSF029288', NULL, NULL, 274, NULL, 'SciE_ImpE', 22344),
(22345, 'PIRSF001218', NULL, NULL, 204, NULL, 'Protease_ADV', 22345),
(22346, 'PIRSF037093', NULL, NULL, 904, NULL, 'Gamma-COP', 22346),
(22347, 'PIRSF015921', NULL, NULL, 472, NULL, 'FA_sphingolip_des', 22347),
(22348, 'PIRSF038981', NULL, NULL, 448, NULL, 'GRP', 22348),
(22349, 'PIRSF009445', NULL, NULL, 456, NULL, 'Cyc_PG_syn', 22349),
(22350, 'PIRSF030823', NULL, NULL, 645, NULL, 'UCP030823_PK_HhH', 22350),
(22351, 'PIRSF015952', NULL, NULL, 256, NULL, 'U3snoRNP11', 22351),
(22352, 'PIRSF011443', NULL, NULL, 180, NULL, 'YgjV', 22352),
(22353, 'PIRSF000535', NULL, NULL, 313, NULL, '1PFK/6PFK/LacC', 22353),
(22354, 'PIRSF036525', NULL, NULL, 255, NULL, 'CobF', 22354),
(22355, 'PIRSF031684', NULL, NULL, 362, NULL, 'Txn_reg_031684', 22355),
(22356, 'PIRSF018644', NULL, NULL, 462, NULL, 'FAU-1', 22356),
(22357, 'PIRSF016632', NULL, NULL, 307, NULL, 'PLD_actino_fungi', 22357),
(22358, 'PIRSF036939', NULL, NULL, 782, NULL, 'PanK_long', 22358),
(22359, 'PIRSF500125', NULL, NULL, 519, NULL, '4_HPA_large', 22359),
(22360, 'PIRSF006287', NULL, NULL, 122, NULL, 'UCP006287', 22360),
(22361, 'PIRSF015040', NULL, NULL, 838, NULL, 'ATPase_SAG2001', 22361),
(22362, 'PIRSF001594', NULL, NULL, 1147, NULL, 'PCB', 22362),
(22363, 'PIRSF017324', NULL, NULL, 154, NULL, 'UCP017324', 22363),
(22364, 'PIRSF037750', NULL, NULL, 233, NULL, 'TIR_Tirap', 22364),
(22365, 'PIRSF036603', NULL, NULL, 709, NULL, 'DNA_pol_eta', 22365),
(22366, 'PIRSF017875', NULL, NULL, 337, NULL, 'Photosystem_II_Ycf48-like', 22366),
(22367, 'PIRSF028188', NULL, NULL, 320, NULL, 'Amdntrnsf_FN0238', 22367),
(22368, 'PIRSF003182', NULL, NULL, 781, NULL, 'HK_hybr_ArcB', 22368),
(22369, 'PIRSF027391', NULL, NULL, 178, NULL, 'Hpre_diP_synt_I', 22369),
(22370, 'PIRSF500204', NULL, NULL, 196, NULL, 'RBP_purpurin', 22370),
(22371, 'PIRSF037676', NULL, NULL, 69, NULL, 'UCP037676', 22371),
(22372, 'PIRSF016394', NULL, NULL, 95, NULL, 'Lsm2', 22372),
(22373, 'PIRSF005902', NULL, NULL, 337, NULL, 'DNase_TatD', 22373),
(22374, 'PIRSF000732', NULL, NULL, 582, NULL, 'PTS_enzyme_I', 22374),
(22375, 'PIRSF010244', NULL, NULL, 183, NULL, 'UCP010244_imp', 22375),
(22376, 'PIRSF033634', NULL, NULL, 211, NULL, 'UCP033634', 22376),
(22377, 'PIRSF000068', NULL, NULL, 144, NULL, 'Zn_Fdx_Sulfol', 22377),
(22378, 'PIRSF036572', NULL, NULL, 140, NULL, 'RPP20', 22378),
(22379, 'PIRSF005894', NULL, NULL, 111, NULL, 'Monothiol_GRX', 22379),
(22380, 'PIRSF028688', NULL, NULL, 212, NULL, 'UCP028688', 22380),
(22381, 'PIRSF000534', NULL, NULL, 449, NULL, 'ATP_PFK_TP0108', 22381),
(22382, 'PIRSF000013', NULL, NULL, 204, NULL, '4_hem_cytochrm_NapC', 22382),
(22383, 'PIRSF029254', NULL, NULL, 635, NULL, 'MutS_C_archaeal', 22383),
(22384, 'PIRSF038134', NULL, NULL, 309, NULL, 'Toc33/toc34', 22384),
(22385, 'PIRSF016939', NULL, NULL, 357, NULL, 'ADP_ribosylarg_hydrolase', 22385),
(22386, 'PIRSF018688', NULL, NULL, 302, NULL, 'UCP018688', 22386);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22387, 'PIRSF000485', NULL, NULL, 472, NULL, 'Pur1', 22387),
(22388, 'PIRSF017184', NULL, NULL, 507, NULL, 'Nnr', 22388),
(22389, 'PIRSF036618', NULL, NULL, 598, NULL, 'MobB_MoeA', 22389),
(22390, 'PIRSF035042', NULL, NULL, 317, NULL, 'UCP035042_thirdx', 22390),
(22391, 'PIRSF029187', NULL, NULL, 204, NULL, 'SHR3', 22391),
(22392, 'PIRSF003760', NULL, NULL, 88, NULL, 'VAC_K3L_Serpin', 22392),
(22393, 'PIRSF000039', NULL, NULL, 92, NULL, 'Phenol_monooxy_K', 22393),
(22394, 'PIRSF006591', NULL, NULL, 213, NULL, 'UCP_CBS_MJ1004', 22394),
(22395, 'PIRSF030210', NULL, NULL, 365, NULL, 'UCP030210', 22395),
(22396, 'PIRSF037894', NULL, NULL, 572, NULL, 'Subtilisin_rel_CspABC', 22396),
(22397, 'PIRSF038119', NULL, NULL, 326, NULL, 'NUP53', 22397),
(22398, 'PIRSF007580', NULL, NULL, 295, NULL, 'UCP07580', 22398),
(22399, 'PIRSF029766', NULL, NULL, 444, NULL, 'UCP029766', 22399),
(22400, 'PIRSF029938', NULL, NULL, 112, NULL, 'UCP029938', 22400),
(22401, 'PIRSF015852', NULL, NULL, 263, NULL, 'RRNA_mtase_Grm', 22401),
(22402, 'PIRSF036389', NULL, NULL, 732, NULL, 'IOR_B', 22402),
(22403, 'PIRSF002551', NULL, NULL, 440, NULL, 'Hemopexin', 22403),
(22404, 'PIRSF037992', NULL, NULL, 294, NULL, 'HnRNP_C_Raly', 22404),
(22405, 'PIRSF038001', NULL, NULL, 417, NULL, 'Caspase_ICE', 22405),
(22406, 'PIRSF031796', NULL, NULL, 163, NULL, 'UCP031796', 22406),
(22407, 'PIRSF009292', NULL, NULL, 186, NULL, 'BLIP', 22407),
(22408, 'PIRSF019663', NULL, NULL, 473, NULL, 'Legumain', 22408),
(22409, 'PIRSF500175', NULL, NULL, 419, NULL, 'Glu_ADT_D', 22409),
(22410, 'PIRSF000728', NULL, NULL, 278, NULL, 'NAGK', 22410),
(22411, 'PIRSF010044', NULL, NULL, 265, NULL, 'UCP010044', 22411),
(22412, 'PIRSF013171', NULL, NULL, 364, NULL, 'Pur_nuclsid_perm', 22412),
(22413, 'PIRSF020467', NULL, NULL, 260, NULL, 'RE_Tsp45I', 22413),
(22414, 'PIRSF001356', NULL, NULL, 267, NULL, 'SAM_decarboxylas', 22414),
(22415, 'PIRSF004362', NULL, NULL, 147, NULL, 'Endo_II_phage_DenA', 22415),
(22416, 'PIRSF037445', NULL, NULL, 412, NULL, 'UCP037445_abhydr', 22416),
(22417, 'PIRSF036594', NULL, NULL, 319, NULL, 'MoaC_MogA', 22417),
(22418, 'PIRSF002892', NULL, NULL, 345, NULL, 'Flagellin_A', 22418),
(22419, 'PIRSF036668', NULL, NULL, 275, NULL, 'ATPase_UCP036668', 22419),
(22420, 'PIRSF006078', NULL, NULL, 380, NULL, 'GlxK', 22420),
(22421, 'PIRSF004966', NULL, NULL, 135, NULL, 'Aconts_X_swiv', 22421),
(22422, 'PIRSF008153', NULL, NULL, 1274, NULL, 'CYFIP', 22422),
(22423, 'PIRSF016498', NULL, NULL, 120, NULL, 'UCP016498', 22423),
(22424, 'PIRSF033101', NULL, NULL, 262, NULL, 'UCP033101', 22424),
(22425, 'PIRSF000310', NULL, NULL, 355, NULL, 'Upt_hd_small', 22425),
(22426, 'PIRSF002417', NULL, NULL, 478, NULL, 'Lipid_binding_protein', 22426),
(22427, 'PIRSF006113', NULL, NULL, 122, NULL, 'PTP_synth', 22427),
(22428, 'PIRSF500947', NULL, NULL, 986, NULL, 'CSF-1_receptor', 22428),
(22429, 'PIRSF028973', NULL, NULL, 319, NULL, 'DcpS', 22429),
(22430, 'PIRSF015792', NULL, NULL, 226, NULL, 'VAC_F16L', 22430),
(22431, 'PIRSF016958', NULL, NULL, 244, NULL, 'Mtase_AD-003', 22431),
(22432, 'PIRSF030042', NULL, NULL, 136, NULL, 'UCP030042', 22432),
(22433, 'PIRSF002882', NULL, NULL, 95, NULL, 'VapD', 22433),
(22434, 'PIRSF000525', NULL, NULL, 369, NULL, 'SerC', 22434),
(22435, 'PIRSF038886', NULL, NULL, 440, NULL, 'Pellino', 22435),
(22436, 'PIRSF037677', NULL, NULL, 1246, NULL, 'Msh6', 22436),
(22437, 'PIRSF029950', NULL, NULL, 227, NULL, 'UCP029950', 22437),
(22438, 'PIRSF028944', NULL, NULL, 815, NULL, 'Beta_gluc_GBA2', 22438),
(22439, 'PIRSF039003', NULL, NULL, 64, NULL, 'IscX', 22439),
(22440, 'PIRSF001767', NULL, NULL, 562, NULL, 'Cdc6', 22440),
(22441, 'PIRSF038135', NULL, NULL, 496, NULL, 'WD_rpt_23', 22441),
(22442, 'PIRSF005897', NULL, NULL, 390, NULL, 'RR_PatA', 22442),
(22443, 'PIRSF004491', NULL, NULL, 316, NULL, 'RibF_RibC', 22443),
(22444, 'PIRSF000105', NULL, NULL, 322, NULL, 'HCDH', 22444),
(22445, 'PIRSF000747', NULL, NULL, 210, NULL, 'RPB5', 22445);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22446, 'PIRSF018506', NULL, NULL, 224, NULL, 'Prpndl_dhdrts_md', 22446),
(22447, 'PIRSF002190', NULL, NULL, 173, NULL, 'Ribosomal_L18a', 22447),
(22448, 'PIRSF016988', NULL, NULL, 410, NULL, 'UCP016988', 22448),
(22449, 'PIRSF036666', NULL, NULL, 545, NULL, 'G6S', 22449),
(22450, 'PIRSF005624', NULL, NULL, 230, NULL, 'Ni-bind_GTPase', 22450),
(22451, 'PIRSF005651', NULL, NULL, 307, NULL, 'HflC', 22451),
(22452, 'PIRSF036401', NULL, NULL, 529, NULL, 'Gcp_STYKS', 22452),
(22453, 'PIRSF015665', NULL, NULL, 388, NULL, 'CHOPT', 22453),
(22454, 'PIRSF037328', NULL, NULL, 361, NULL, 'Inhibin_alpha', 22454),
(22455, 'PIRSF000711', NULL, NULL, 408, NULL, 'PFK27', 22455),
(22456, 'PIRSF016183', NULL, NULL, 178, NULL, 'UCP016183', 22456),
(22457, 'PIRSF037919', NULL, NULL, 741, NULL, 'HDAC_II_yeast', 22457),
(22458, 'PIRSF038025', NULL, NULL, 419, NULL, 'PTEN', 22458),
(22459, 'PIRSF036951', NULL, NULL, 430, NULL, 'Mas1', 22459),
(22460, 'PIRSF002854', NULL, NULL, 278, NULL, 'MetQ', 22460),
(22461, 'PIRSF011769', NULL, NULL, 401, NULL, 'RAD17', 22461),
(22462, 'PIRSF004131', NULL, NULL, 670, NULL, 'RNA_pol_P2', 22462),
(22463, 'PIRSF006439', NULL, NULL, 618, NULL, 'Indolepyruvate_ferr_oxidored', 22463),
(22464, 'PIRSF018296', NULL, NULL, 307, NULL, 'Format_dh_formtn_FdhE', 22464),
(22465, 'PIRSF000556', NULL, NULL, 992, NULL, 'MAPKKK9_MAPKKK10_MAPKKK11', 22465),
(22466, 'PIRSF006607', NULL, NULL, 254, NULL, 'RNAmts_UCP006607', 22466),
(22467, 'PIRSF037671', NULL, NULL, 453, NULL, 'Chloroquine_res_transporter', 22467),
(22468, 'PIRSF037932', NULL, NULL, 382, NULL, 'A2BP1', 22468),
(22469, 'PIRSF039085', NULL, NULL, 252, NULL, 'ABC_ATPase_HisP', 22469),
(22470, 'PIRSF000799', NULL, NULL, 537, NULL, 'DNA_pol_epsilon_2', 22470),
(22471, 'PIRSF000009', NULL, NULL, 206, NULL, 'Cytochrome_c551', 22471),
(22472, 'PIRSF000156', NULL, NULL, 893, NULL, 'Pyruvate_dh_E1', 22472),
(22473, 'PIRSF018005', NULL, NULL, 331, NULL, 'UCP018005', 22473),
(22474, 'PIRSF029548', NULL, NULL, 160, NULL, 'UCP029548', 22474),
(22475, 'PIRSF028477', NULL, NULL, 290, NULL, 'UCP028477', 22475),
(22476, 'PIRSF000076', NULL, NULL, 549, NULL, 'HCP', 22476),
(22477, 'PIRSF024658', NULL, NULL, 172, NULL, 'FlaF_archaea', 22477),
(22478, 'PIRSF029037', NULL, NULL, 258, NULL, 'UCP029037_Zn_ribbon', 22478),
(22479, 'PIRSF004976', NULL, NULL, 314, NULL, 'ATPase_YdaO', 22479),
(22480, 'PIRSF000408', NULL, NULL, 188, NULL, 'Alkyltransferas_AdaA', 22480),
(22481, 'PIRSF031653', NULL, NULL, 95, NULL, 'UCP031653', 22481),
(22482, 'PIRSF037356', NULL, NULL, 78, NULL, 'UCP037356', 22482),
(22483, 'PIRSF037490', NULL, NULL, 360, NULL, 'UCP037490_NIF3', 22483),
(22484, 'PIRSF019404', NULL, NULL, 148, NULL, 'FliJ', 22484),
(22485, 'PIRSF025479', NULL, NULL, 185, NULL, 'UCP025479', 22485),
(22486, 'PIRSF029172', NULL, NULL, 399, NULL, 'UCP029172_ABC_sbc_YnjB', 22486),
(22487, 'PIRSF011124', NULL, NULL, 104, NULL, 'MRP63', 22487),
(22488, 'PIRSF007138', NULL, NULL, 261, NULL, 'FIG1', 22488),
(22489, 'PIRSF007312', NULL, NULL, 149, NULL, 'Inner_mem_YidI', 22489),
(22490, 'PIRSF000190', NULL, NULL, 225, NULL, 'Pyd_amn-ph_oxd', 22490),
(22491, 'PIRSF002133', NULL, NULL, 126, NULL, 'RPS12p_RPS12a_RPS23e_RPS12o', 22491),
(22492, 'PIRSF016817', NULL, NULL, 393, NULL, 'UCP016817_carboligase', 22492),
(22493, 'PIRSF000995', NULL, NULL, 261, NULL, 'RE_EcoRV', 22493),
(22494, 'PIRSF015971', NULL, NULL, 226, NULL, 'VAC_F1L', 22494),
(22495, 'PIRSF001222', NULL, NULL, 838, NULL, 'Urease', 22495),
(22496, 'PIRSF002520', NULL, NULL, 618, NULL, 'ALB', 22496),
(22497, 'PIRSF005019', NULL, NULL, 94, NULL, 'EhaA', 22497),
(22498, 'PIRSF015417', NULL, NULL, 645, NULL, 'T31B5_30_vWA', 22498),
(22499, 'PIRSF000550', NULL, NULL, 674, NULL, 'PKC_alpha', 22499),
(22500, 'PIRSF031773', NULL, NULL, 392, NULL, 'ABC_31773', 22500),
(22501, 'PIRSF006483', NULL, NULL, 293, NULL, 'Membrane_protein_YitT', 22501),
(22502, 'PIRSF016439', NULL, NULL, 184, NULL, 'UP2', 22502),
(22503, 'PIRSF001604', NULL, NULL, 681, NULL, 'LigA', 22503);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22504, 'PIRSF037332', NULL, NULL, 486, NULL, 'FucT_metazoa', 22504),
(22505, 'PIRSF020513', NULL, NULL, 329, NULL, '6alphaFUT_NodZ', 22505),
(22506, 'PIRSF000690', NULL, NULL, 500, NULL, 'Phosphotransf_FPr', 22506),
(22507, 'PIRSF036881', NULL, NULL, 423, NULL, 'PAT', 22507),
(22508, 'PIRSF013286', NULL, NULL, 256, NULL, 'MED6_fungi', 22508),
(22509, 'PIRSF037880', NULL, NULL, 456, NULL, 'Parkin', 22509),
(22510, 'PIRSF026802', NULL, NULL, 283, NULL, 'UCP026802', 22510),
(22511, 'PIRSF000047', NULL, NULL, 504, NULL, 'Cytochrome_CYPVIIA1', 22511),
(22512, 'PIRSF032162', NULL, NULL, 171, NULL, 'UCP032162_imp', 22512),
(22513, 'PIRSF001359', NULL, NULL, 289, NULL, 'F_bP_aldolase_II', 22513),
(22514, 'PIRSF001426', NULL, NULL, 207, NULL, 'NHase_alpha', 22514),
(22515, 'PIRSF011860', NULL, NULL, 177, NULL, 'NRIF3', 22515),
(22516, 'PIRSF015982', NULL, NULL, 225, NULL, 'VAC_M2L', 22516),
(22517, 'PIRSF006334', NULL, NULL, 288, NULL, 'Cdd_plus_pseudo', 22517),
(22518, 'PIRSF037081', NULL, NULL, 184, NULL, 'P-loop_All4644', 22518),
(22519, 'PIRSF009467', NULL, NULL, 224, NULL, 'Urease_acces_UreF', 22519),
(22520, 'PIRSF038130', NULL, NULL, 330, NULL, 'WRKY_txn_fact_IIc', 22520),
(22521, 'PIRSF028770', NULL, NULL, 126, NULL, 'UCP028770', 22521),
(22522, 'PIRSF036956', NULL, NULL, 727, NULL, 'Hrs_Vps27', 22522),
(22523, 'PIRSF018505', NULL, NULL, 168, NULL, 'Prpndl_dhdrts_sm', 22523),
(22524, 'PIRSF002291', NULL, NULL, 744, NULL, 'Beta_adaptin', 22524),
(22525, 'PIRSF000124', NULL, NULL, 438, NULL, 'UDPglc_GDPman_dh', 22525),
(22526, 'PIRSF000605', NULL, NULL, 523, NULL, 'RPS6_kin_1', 22526),
(22527, 'PIRSF005215', NULL, NULL, 289, NULL, 'TehB', 22527),
(22528, 'PIRSF000779', NULL, NULL, 149, NULL, 'RPB8', 22528),
(22529, 'PIRSF001293', NULL, NULL, 837, NULL, 'ATP6V0A1', 22529),
(22530, 'PIRSF017570', NULL, NULL, 569, NULL, 'H3K79_H-MTase_fungal', 22530),
(22531, 'PIRSF036298', NULL, NULL, 305, NULL, 'FDH_4Fe4S', 22531),
(22532, 'PIRSF019364', NULL, NULL, 135, NULL, 'RapGH', 22532),
(22533, 'PIRSF022057', NULL, NULL, 170, NULL, 'UCP022057', 22533),
(22534, 'PIRSF005520', NULL, NULL, 136, NULL, 'UCP005520', 22534),
(22535, 'PIRSF000894', NULL, NULL, 450, NULL, 'Acid_Ptase', 22535),
(22536, 'PIRSF005632', NULL, NULL, 361, NULL, 'Met_synth_catalytic', 22536),
(22537, 'PIRSF017565', NULL, NULL, 401, NULL, 'Kin_ATP-NAD_euk', 22537),
(22538, 'PIRSF017107', NULL, NULL, 413, NULL, 'MAAL', 22538),
(22539, 'PIRSF007542', NULL, NULL, 588, NULL, 'UCP007542', 22539),
(22540, 'PIRSF004884', NULL, NULL, 330, NULL, 'Sugar_kin_arch', 22540),
(22541, 'PIRSF038455', NULL, NULL, 274, NULL, 'SoxA', 22541),
(22542, 'PIRSF019072', NULL, NULL, 102, NULL, 'UCP019072', 22542),
(22543, 'PIRSF038172', NULL, NULL, 839, NULL, 'MAPKKKK', 22543),
(22544, 'PIRSF038940', NULL, NULL, 347, NULL, 'Low_specificity_LTA', 22544),
(22545, 'PIRSF038171', NULL, NULL, 467, NULL, 'MAPKKK8', 22545),
(22546, 'PIRSF021265', NULL, NULL, 123, NULL, 'ManO', 22546),
(22547, 'PIRSF026544', NULL, NULL, 124, NULL, 'DksA_homolog', 22547),
(22548, 'PIRSF001475', NULL, NULL, 302, NULL, 'Cyclophilin_E', 22548),
(22549, 'PIRSF011521', NULL, NULL, 544, NULL, 'VieB', 22549),
(22550, 'PIRSF001427', NULL, NULL, 226, NULL, 'NHase_beta', 22550),
(22551, 'PIRSF022909', NULL, NULL, 125, NULL, 'UCP022909', 22551),
(22552, 'PIRSF003954', NULL, NULL, 95, NULL, 'NS-S_OrthobunV', 22552),
(22553, 'PIRSF000163', NULL, NULL, 495, NULL, 'ChlB', 22553),
(22554, 'PIRSF011409', NULL, NULL, 735, NULL, '3HB_olig_hydr', 22554),
(22555, 'PIRSF019847', NULL, NULL, 217, NULL, 'Tri6', 22555),
(22556, 'PIRSF002690', NULL, NULL, 267, NULL, 'Plant_L_lectin', 22556),
(22557, 'PIRSF001294', NULL, NULL, 565, NULL, 'H/K_exch_ATPase_A', 22557),
(22558, 'PIRSF000026', NULL, NULL, 556, NULL, 'Cytochrome_cc3', 22558),
(22559, 'PIRSF003688', NULL, NULL, 101, NULL, 'VAC_PP', 22559),
(22560, 'PIRSF018786', NULL, NULL, 163, NULL, 'UCP018786', 22560),
(22561, 'PIRSF029688', NULL, NULL, 115, NULL, 'UCP29688_pentapep', 22561);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22562, 'PIRSF032862', NULL, NULL, 627, NULL, 'UCP032862_Fe-S', 22562),
(22563, 'PIRSF004952', NULL, NULL, 121, NULL, 'RNase_P_2', 22563),
(22564, 'PIRSF001658', NULL, NULL, 109, NULL, 'Amylase_inhib', 22564),
(22565, 'PIRSF007466', NULL, NULL, 492, NULL, 'SpoIVA', 22565),
(22566, 'PIRSF016383', NULL, NULL, 316, NULL, 'UCP016383', 22566),
(22567, 'PIRSF037785', NULL, NULL, 181, NULL, 'RecU', 22567),
(22568, 'PIRSF006728', NULL, NULL, 419, NULL, 'CinA', 22568),
(22569, 'PIRSF037863', NULL, NULL, 455, NULL, 'SLP_lactobac', 22569),
(22570, 'PIRSF000309', NULL, NULL, 236, NULL, 'HoxU', 22570),
(22571, 'PIRSF006337', NULL, NULL, 600, NULL, 'Glycosyltrehalos_trehalohydrls', 22571),
(22572, 'PIRSF036313', NULL, NULL, 697, NULL, 'Fibulin-1', 22572),
(22573, 'PIRSF025218', NULL, NULL, 556, NULL, 'UCP025218', 22573),
(22574, 'PIRSF032582', NULL, NULL, 96, NULL, 'Cas2', 22574),
(22575, 'PIRSF500144', NULL, NULL, 266, NULL, 'IODI_III', 22575),
(22576, 'PIRSF037291', NULL, NULL, 87, NULL, 'UCP037291_gluthr', 22576),
(22577, 'PIRSF036684', NULL, NULL, 760, NULL, 'ME_PTA', 22577),
(22578, 'PIRSF000331', NULL, NULL, 493, NULL, 'HpaA_HpaB', 22578),
(22579, 'PIRSF006529', NULL, NULL, 216, NULL, 'UCP006529_dinclt', 22579),
(22580, 'PIRSF020687', NULL, NULL, 152, NULL, 'UCP020687', 22580),
(22581, 'PIRSF027982', NULL, NULL, 485, NULL, 'EryCV', 22581),
(22582, 'PIRSF036542', NULL, NULL, 409, NULL, 'SpmA_SpmB', 22582),
(22583, 'PIRSF038017', NULL, NULL, 309, NULL, 'GTP-BP_GEM', 22583),
(22584, 'PIRSF015013', NULL, NULL, 303, NULL, 'UCP015013', 22584),
(22585, 'PIRSF017706', NULL, NULL, 845, NULL, 'TFIP11', 22585),
(22586, 'PIRSF001134', NULL, NULL, 385, NULL, 'Streptogrisin', 22586),
(22587, 'PIRSF038321', NULL, NULL, 181, NULL, 'PTS_glc_srb_IIC', 22587),
(22588, 'PIRSF005240', NULL, NULL, 603, NULL, 'CcmF', 22588),
(22589, 'PIRSF002211', NULL, NULL, 61, NULL, 'RPL30p', 22589),
(22590, 'PIRSF000806', NULL, NULL, 493, NULL, 'UDPGP', 22590),
(22591, 'PIRSF014422', NULL, NULL, 153, NULL, 'UCP014422', 22591),
(22592, 'PIRSF000938', NULL, NULL, 362, NULL, 'PTPN1_yeast', 22592),
(22593, 'PIRSF036640', NULL, NULL, 594, NULL, 'FPGT', 22593),
(22594, 'PIRSF037907', NULL, NULL, 654, NULL, 'Subtilisin_rel_TK1689', 22594),
(22595, 'PIRSF018147', NULL, NULL, 218, NULL, 'ORM1', 22595),
(22596, 'PIRSF030811', NULL, NULL, 338, NULL, 'UCP030811', 22596),
(22597, 'PIRSF500138', NULL, NULL, 395, NULL, 'GPI8', 22597),
(22598, 'PIRSF006787', NULL, NULL, 579, NULL, 'Hydrgn_mat_HoxX', 22598),
(22599, 'PIRSF000178', NULL, NULL, 140, NULL, 'SDH_cyt_b560', 22599),
(22600, 'PIRSF036432', NULL, NULL, 262, NULL, 'Diphthine_synth', 22600),
(22601, 'PIRSF003781', NULL, NULL, 199, NULL, 'VAC_C5L', 22601),
(22602, 'PIRSF036568', NULL, NULL, 862, NULL, 'CYTH_CHAD_HD', 22602),
(22603, 'PIRSF029202', NULL, NULL, 311, NULL, 'UCP029202', 22603),
(22604, 'PIRSF036226', NULL, NULL, 209, NULL, 'UCP036226', 22604),
(22605, 'PIRSF037188', NULL, NULL, 115, NULL, 'Lsm7', 22605),
(22606, 'PIRSF500683', NULL, NULL, 708, NULL, 'Lactotransferrin', 22606),
(22607, 'PIRSF000238', NULL, NULL, 520, NULL, 'AhpF', 22607),
(22608, 'PIRSF004977', NULL, NULL, 118, NULL, 'UCP004977', 22608),
(22609, 'PIRSF037004', NULL, NULL, 319, NULL, 'UCP037004', 22609),
(22610, 'PIRSF006256', NULL, NULL, 773, NULL, 'CMP_trnsf_HypF', 22610),
(22611, 'PIRSF001492', NULL, NULL, 517, NULL, 'IPGAM', 22611),
(22612, 'PIRSF002368', NULL, NULL, 448, NULL, 'Clusterin', 22612),
(22613, 'PIRSF011649', NULL, NULL, 339, NULL, 'MtTFB', 22613),
(22614, 'PIRSF007510', NULL, NULL, 182, NULL, 'UCP007510', 22614),
(22615, 'PIRSF006402', NULL, NULL, 716, NULL, 'UCP006402_thioredoxin', 22615),
(22616, 'PIRSF037201', NULL, NULL, 927, NULL, 'Ub_ligase_E6AP', 22616),
(22617, 'PIRSF000385', NULL, NULL, 295, NULL, 'Gly_N-mtase', 22617),
(22618, 'PIRSF016527', NULL, NULL, 261, NULL, 'TNF_CD40', 22618),
(22619, 'PIRSF000290', NULL, NULL, 602, NULL, 'PPO_plant', 22619),
(22620, 'PIRSF028063', NULL, NULL, 221, NULL, 'UCP028063', 22620);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22621, 'PIRSF028226', NULL, NULL, 115, NULL, 'PhaP', 22621),
(22622, 'PIRSF038128', NULL, NULL, 329, NULL, 'CORI1', 22622),
(22623, 'PIRSF036410', NULL, NULL, 470, NULL, 'EutE_PduP', 22623),
(22624, 'PIRSF019078', NULL, NULL, 584, NULL, 'UCP019078', 22624),
(22625, 'PIRSF004499', NULL, NULL, 115, NULL, 'Transl_init_SUI1_Euk', 22625),
(22626, 'PIRSF021494', NULL, NULL, 345, NULL, 'Rv0216', 22626),
(22627, 'PIRSF019302', NULL, NULL, 105, NULL, 'UCP019302', 22627),
(22628, 'PIRSF003775', NULL, NULL, 240, NULL, 'E3_ub_ligase_p28', 22628),
(22629, 'PIRSF000116', NULL, NULL, 490, NULL, 'IlvC_gammaproteo', 22629),
(22630, 'PIRSF038076', NULL, NULL, 159, NULL, 'US8A', 22630),
(22631, 'PIRSF024484', NULL, NULL, 138, NULL, 'UCP024484', 22631),
(22632, 'PIRSF000741', NULL, NULL, 758, NULL, 'FasBCD', 22632),
(22633, 'PIRSF019543', NULL, NULL, 336, NULL, 'Clavaminate_syn', 22633),
(22634, 'PIRSF009471', NULL, NULL, 194, NULL, 'UCP009471', 22634),
(22635, 'PIRSF037228', NULL, NULL, 987, NULL, 'Lan_mod_RumM', 22635),
(22636, 'PIRSF032968', NULL, NULL, 359, NULL, 'UCP032968', 22636),
(22637, 'PIRSF002070', NULL, NULL, 160, NULL, 'SSB', 22637),
(22638, 'PIRSF022632', NULL, NULL, 156, NULL, 'UCP022632', 22638),
(22639, 'PIRSF000497', NULL, NULL, 389, NULL, 'MAT', 22639),
(22640, 'PIRSF015268', NULL, NULL, 343, NULL, 'Virulence_RhuM', 22640),
(22641, 'PIRSF027682', NULL, NULL, 369, NULL, 'UCP027682_CUB_vWA', 22641),
(22642, 'PIRSF001788', NULL, NULL, 141, NULL, 'GMF-beta', 22642),
(22643, 'PIRSF001111', NULL, NULL, 293, NULL, 'Isochorismatase', 22643),
(22644, 'PIRSF005822', NULL, NULL, 103, NULL, 'NDUA2', 22644),
(22645, 'PIRSF006392', NULL, NULL, 414, NULL, 'IPGAM_arch', 22645),
(22646, 'PIRSF004270', NULL, NULL, 108, NULL, 'UCP004270', 22646),
(22647, 'PIRSF010603', NULL, NULL, 106, NULL, 'UCP010603', 22647),
(22648, 'PIRSF017888', NULL, NULL, 230, NULL, 'CPSF-25', 22648),
(22649, 'PIRSF000447', NULL, NULL, 416, NULL, 'KAS_II', 22649),
(22650, 'PIRSF006865', NULL, NULL, 163, NULL, 'Ecotin', 22650),
(22651, 'PIRSF005719', NULL, NULL, 1196, NULL, 'SMC', 22651),
(22652, 'PIRSF029658', NULL, NULL, 274, NULL, 'UCP029658_TPR', 22652),
(22653, 'PIRSF004177', NULL, NULL, 97, NULL, 'gp1_phi29', 22653),
(22654, 'PIRSF034445', NULL, NULL, 167, NULL, 'CpxP_Spy', 22654),
(22655, 'PIRSF000188', NULL, NULL, 354, NULL, 'Phe_leu_dh', 22655),
(22656, 'PIRSF001795', NULL, NULL, 251, NULL, 'TRH', 22656),
(22657, 'PIRSF037431', NULL, NULL, 349, NULL, 'HK_LiaS', 22657),
(22658, 'PIRSF002155', NULL, NULL, 234, NULL, 'RPL1p_RPL1a_RPL10e_RPL1o', 22658),
(22659, 'PIRSF016766', NULL, NULL, 326, NULL, 'UCP016766_ATPgrasp', 22659),
(22660, 'PIRSF001196', NULL, NULL, 709, NULL, 'Meprin', 22660),
(22661, 'PIRSF019239', NULL, NULL, 172, NULL, 'MrpE', 22661),
(22662, 'PIRSF007487', NULL, NULL, 346, NULL, 'CoiA', 22662),
(22663, 'PIRSF003383', NULL, NULL, 622, NULL, 'E1_PLV', 22663),
(22664, 'PIRSF008210', NULL, NULL, 147, NULL, 'UCP008210', 22664),
(22665, 'PIRSF020514', NULL, NULL, 168, NULL, 'NolB', 22665),
(22666, 'PIRSF039072', NULL, NULL, 553, NULL, 'ATPase_subunit_beta', 22666),
(22667, 'PIRSF017385', NULL, NULL, 132, NULL, 'CtaF', 22667),
(22668, 'PIRSF019265', NULL, NULL, 258, NULL, 'UCP019265', 22668),
(22669, 'PIRSF001491', NULL, NULL, 404, NULL, 'Ppentomutase', 22669),
(22670, 'PIRSF016495', NULL, NULL, 375, NULL, 'UCP016495', 22670),
(22671, 'PIRSF003249', NULL, NULL, 44, NULL, 'PyrBI_leader_pep', 22671),
(22672, 'PIRSF030840', NULL, NULL, 182, NULL, 'ShuX', 22672),
(22673, 'PIRSF037430', NULL, NULL, 177, NULL, 'Ribotoxin_alpha-sarcin', 22673),
(22674, 'PIRSF000729', NULL, NULL, 374, NULL, 'GK', 22674),
(22675, 'PIRSF034754', NULL, NULL, 117, NULL, 'SigE', 22675),
(22676, 'PIRSF001400', NULL, NULL, 429, NULL, 'Enolase', 22676),
(22677, 'PIRSF002131', NULL, NULL, 133, NULL, 'RPS11p_RPS11a_RPS14e_RPS11o', 22677),
(22678, 'PIRSF006241', NULL, NULL, 264, NULL, 'HyI', 22678),
(22679, 'PIRSF036158', NULL, NULL, 199, NULL, 'UCP036158_MarR', 22679);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22680, 'PIRSF500183', NULL, NULL, 728, NULL, 'Hepatocyte_GF', 22680),
(22681, 'PIRSF016934', NULL, NULL, 122, NULL, 'UCP016934', 22681),
(22682, 'PIRSF003784', NULL, NULL, 117, NULL, 'VAC_N1L', 22682),
(22683, 'PIRSF015696', NULL, NULL, 96, NULL, 'VAC_E10R', 22683),
(22684, 'PIRSF036511', NULL, NULL, 1100, NULL, 'ATP_citrt_syn', 22684),
(22685, 'PIRSF000388', NULL, NULL, 275, NULL, 'PanB', 22685),
(22686, 'PIRSF007764', NULL, NULL, 227, NULL, 'GINS_Sld5', 22686),
(22687, 'PIRSF036427', NULL, NULL, 240, NULL, 'Precrrn-2_mtase', 22687),
(22688, 'PIRSF005978', NULL, NULL, 171, NULL, 'HTH_MJ0621', 22688),
(22689, 'PIRSF005713', NULL, NULL, 402, NULL, 'P2X_purinoceptor', 22689),
(22690, 'PIRSF000349', NULL, NULL, 232, NULL, 'MnSOD_FeSOD', 22690),
(22691, 'PIRSF002859', NULL, NULL, 245, NULL, 'Lipo_traT', 22691),
(22692, 'PIRSF036597', NULL, NULL, 995, NULL, 'Protse_InhA_rel', 22692),
(22693, 'PIRSF000777', NULL, NULL, 260, NULL, 'RNA_pol_RPC31', 22693),
(22694, 'PIRSF016719', NULL, NULL, 419, NULL, 'UCP016719', 22694),
(22695, 'PIRSF012939', NULL, NULL, 209, NULL, 'NAR2', 22695),
(22696, 'PIRSF030013', NULL, NULL, 241, NULL, 'ThuA_PalA', 22696),
(22697, 'PIRSF006743', NULL, NULL, 1521, NULL, 'Exonuclease_Xnr1', 22697),
(22698, 'PIRSF011503', NULL, NULL, 116, NULL, 'DdrB_PduH', 22698),
(22699, 'PIRSF034659', NULL, NULL, 179, NULL, 'Vir_TviA', 22699),
(22700, 'PIRSF028135', NULL, NULL, 445, NULL, 'UCP028135_HipA-like', 22700),
(22701, 'PIRSF000027', NULL, NULL, 142, NULL, 'Cytochrome_c_prime', 22701),
(22702, 'PIRSF006779', NULL, NULL, 271, NULL, 'UCP006779', 22702),
(22703, 'PIRSF018468', NULL, NULL, 909, NULL, 'Rep_DICDI', 22703),
(22704, 'PIRSF015974', NULL, NULL, 413, NULL, 'CLN3_BTN1', 22704),
(22705, 'PIRSF018783', NULL, NULL, 330, NULL, 'UCP018783', 22705),
(22706, 'PIRSF036758', NULL, NULL, 400, NULL, 'Aden_M_ParB', 22706),
(22707, 'PIRSF009415', NULL, NULL, 108, NULL, 'TFIIA_gamma_hum', 22707),
(22708, 'PIRSF028175', NULL, NULL, 516, NULL, 'UCP028175', 22708),
(22709, 'PIRSF035427', NULL, NULL, 371, NULL, 'All2852', 22709),
(22710, 'PIRSF004878', NULL, NULL, 109, NULL, 'RNase_P_4', 22710),
(22711, 'PIRSF003726', NULL, NULL, 309, NULL, 'Vaccinia_VP39', 22711),
(22712, 'PIRSF000887', NULL, NULL, 239, NULL, 'Pesterase_MJ0037', 22712),
(22713, 'PIRSF016660', NULL, NULL, 307, NULL, 'YedI', 22713),
(22714, 'PIRSF002498', NULL, NULL, 292, NULL, 'TF_factor_3', 22714),
(22715, 'PIRSF016325', NULL, NULL, 373, NULL, 'PTPA', 22715),
(22716, 'PIRSF016094', NULL, NULL, 202, NULL, 'VirC2', 22716),
(22717, 'PIRSF037902', NULL, NULL, 1454, NULL, 'Subtilisin_rel_Ava_4226', 22717),
(22718, 'PIRSF500133', NULL, NULL, 477, NULL, 'UDPglc_DH_euk', 22718),
(22719, 'PIRSF001340', NULL, NULL, 561, NULL, 'AIRC', 22719),
(22720, 'PIRSF004417', NULL, NULL, 229, NULL, 'Anti_term_Q', 22720),
(22721, 'PIRSF500722', NULL, NULL, 427, NULL, 'TEF-3', 22721),
(22722, 'PIRSF003137', NULL, NULL, 204, NULL, 'CoM_red_McrC', 22722),
(22723, 'PIRSF008835', NULL, NULL, 154, NULL, 'TPR_repeat_11_Fis1', 22723),
(22724, 'PIRSF036466', NULL, NULL, 55, NULL, 'UCP036466', 22724),
(22725, 'PIRSF005378', NULL, NULL, 363, NULL, 'RNA_3-term_P_cyclase', 22725),
(22726, 'PIRSF038127', NULL, NULL, 269, NULL, 'UCP038127_LOB', 22726),
(22727, 'PIRSF016184', NULL, NULL, 292, NULL, 'Ismrse_PhzF', 22727),
(22728, 'PIRSF037923', NULL, NULL, 1129, NULL, 'UCP037923', 22728),
(22729, 'PIRSF005572', NULL, NULL, 382, NULL, 'NifS', 22729),
(22730, 'PIRSF001174', NULL, NULL, 777, NULL, 'Lon_proteas', 22730),
(22731, 'PIRSF000707', NULL, NULL, 320, NULL, 'Hygromycin-B_kin', 22731),
(22732, 'PIRSF021898', NULL, NULL, 291, NULL, 'UCP021898', 22732),
(22733, 'PIRSF015614', NULL, NULL, 495, NULL, 'TRAF', 22733),
(22734, 'PIRSF028069', NULL, NULL, 255, NULL, 'UCP028069', 22734),
(22735, 'PIRSF007797', NULL, NULL, 713, NULL, 'RSM22', 22735),
(22736, 'PIRSF029557', NULL, NULL, 206, NULL, 'UCP029557', 22736),
(22737, 'PIRSF037096', NULL, NULL, 1088, NULL, 'AP3_beta', 22737);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22738, 'PIRSF039012', NULL, NULL, 337, NULL, 'ASP', 22738),
(22739, 'PIRSF010076', NULL, NULL, 283, NULL, 'PAC1', 22739),
(22740, 'PIRSF003958', NULL, NULL, 447, NULL, 'NS-S_TospoV', 22740),
(22741, 'PIRSF004509', NULL, NULL, 86, NULL, 'UCP004509_Rem', 22741),
(22742, 'PIRSF011355', NULL, NULL, 251, NULL, 'VP24', 22742),
(22743, 'PIRSF028200', NULL, NULL, 283, NULL, 'UCP028200', 22743),
(22744, 'PIRSF000187', NULL, NULL, 2135, NULL, 'GOGAT', 22744),
(22745, 'PIRSF024608', NULL, NULL, 209, NULL, 'UCP024608', 22745),
(22746, 'PIRSF036761', NULL, NULL, 1612, NULL, 'GDH_Mll4104', 22746),
(22747, 'PIRSF000929', NULL, NULL, 599, NULL, 'PTPN6_PTPN11', 22747),
(22748, 'PIRSF037420', NULL, NULL, 377, NULL, 'PqqE', 22748),
(22749, 'PIRSF009414', NULL, NULL, 480, NULL, 'LuxC', 22749),
(22750, 'PIRSF000490', NULL, NULL, 560, NULL, 'Diphtheria_toxin', 22750),
(22751, 'PIRSF020818', NULL, NULL, 424, NULL, 'PHB_depoly', 22751),
(22752, 'PIRSF032341', NULL, NULL, 557, NULL, 'UCP032341_glycerophostrnsf', 22752),
(22753, 'PIRSF039032', NULL, NULL, 113, NULL, 'HigB-2', 22753),
(22754, 'PIRSF030092', NULL, NULL, 128, NULL, 'UCP030092', 22754),
(22755, 'PIRSF037433', NULL, NULL, 491, NULL, 'HK_STH3221', 22755),
(22756, 'PIRSF001365', NULL, NULL, 307, NULL, 'DHDPS', 22756),
(22757, 'PIRSF000354', NULL, NULL, 2194, NULL, 'Factors_V_VIII', 22757),
(22758, 'PIRSF005227', NULL, NULL, 269, NULL, 'Asp_dh_NAD_syn', 22758),
(22759, 'PIRSF036873', NULL, NULL, 2925, NULL, 'L_TenuV', 22759),
(22760, 'PIRSF038154', NULL, NULL, 369, NULL, 'GTE6', 22760),
(22761, 'PIRSF500776', NULL, NULL, 417, NULL, 'Hyaluronidase_3', 22761),
(22762, 'PIRSF019251', NULL, NULL, 477, NULL, 'Rv0465c', 22762),
(22763, 'PIRSF029271', NULL, NULL, 300, NULL, 'Pdx1', 22763),
(22764, 'PIRSF037861', NULL, NULL, 340, NULL, 'Prion_URE2', 22764),
(22765, 'PIRSF037442', NULL, NULL, 294, NULL, 'UCP037442_abhydr', 22765),
(22766, 'PIRSF028583', NULL, NULL, 211, NULL, 'UCP028583', 22766),
(22767, 'PIRSF025648', NULL, NULL, 326, NULL, 'DDH', 22767),
(22768, 'PIRSF032756', NULL, NULL, 144, NULL, 'UCP032756', 22768),
(22769, 'PIRSF003768', NULL, NULL, 79, NULL, 'VAC_I5L', 22769),
(22770, 'PIRSF008633', NULL, NULL, 125, NULL, 'BEX', 22770),
(22771, 'PIRSF019115', NULL, NULL, 160, NULL, 'UCP019115', 22771),
(22772, 'PIRSF017932', NULL, NULL, 388, NULL, 'Conjugal_TraB', 22772),
(22773, 'PIRSF019422', NULL, NULL, 415, NULL, 'MltA', 22773),
(22774, 'PIRSF036503', NULL, NULL, 376, NULL, 'NDK7', 22774),
(22775, 'PIRSF000044', NULL, NULL, 410, NULL, 'Cis_Diol_DH_RD', 22775),
(22776, 'PIRSF036431', NULL, NULL, 628, NULL, 'HK_DctB', 22776),
(22777, 'PIRSF012524', NULL, NULL, 290, NULL, 'YitL_S1', 22777),
(22778, 'PIRSF001620', NULL, NULL, 275, NULL, 'TFPI', 22778),
(22779, 'PIRSF004803', NULL, NULL, 561, NULL, 'RnjA', 22779),
(22780, 'PIRSF003028', NULL, NULL, 408, NULL, 'Txn_fact_GATA_4/5/6', 22780),
(22781, 'PIRSF021287', NULL, NULL, 123, NULL, 'YmcA', 22781),
(22782, 'PIRSF006171', NULL, NULL, 230, NULL, 'RR_citrat_malat', 22782),
(22783, 'PIRSF018293', NULL, NULL, 186, NULL, 'TRAPP_1_Bet3', 22783),
(22784, 'PIRSF007663', NULL, NULL, 796, NULL, 'UCP007663', 22784),
(22785, 'PIRSF006187', NULL, NULL, 154, NULL, 'UCP006187', 22785),
(22786, 'PIRSF005956', NULL, NULL, 270, NULL, 'BtpA', 22786),
(22787, 'PIRSF026343', NULL, NULL, 341, NULL, 'NlpB', 22787),
(22788, 'PIRSF037512', NULL, NULL, 1248, NULL, 'PxSR', 22788),
(22789, 'PIRSF018497', NULL, NULL, 349, NULL, 'V-ATP_synth_D', 22789),
(22790, 'PIRSF000441', NULL, NULL, 200, NULL, 'CysE', 22790),
(22791, 'PIRSF022993', NULL, NULL, 166, NULL, 'Profilin_api', 22791),
(22792, 'PIRSF036613', NULL, NULL, 214, NULL, 'LytTR', 22792),
(22793, 'PIRSF015693', NULL, NULL, 570, NULL, 'VAC-48L_nuct', 22793),
(22794, 'PIRSF036492', NULL, NULL, 499, NULL, 'ALDH', 22794),
(22795, 'PIRSF003170', NULL, NULL, 228, NULL, 'Pet18p', 22795),
(22796, 'PIRSF500742', NULL, NULL, 965, NULL, 'MAPKKK13', 22796),
(22797, 'PIRSF000166', NULL, NULL, 347, NULL, 'Coproporphyri_ox', 22797); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22798, 'PIRSF018957', NULL, NULL, 191, NULL, 'UCP018957', 22798),
(22799, 'PIRSF019254', NULL, NULL, 267, NULL, 'CFP29', 22799),
(22800, 'PIRSF030050', NULL, NULL, 307, NULL, 'UCP030050_HTH', 22800),
(22801, 'PIRSF500795', NULL, NULL, 478, NULL, 'Thiamine_transporter_2', 22801),
(22802, 'PIRSF028934', NULL, NULL, 390, NULL, 'Cyclin_CG14939', 22802),
(22803, 'PIRSF015950', NULL, NULL, 340, NULL, 'Mev_P_decrbx', 22803),
(22804, 'PIRSF037347', NULL, NULL, 783, NULL, 'HK_CHASE2_PAS', 22804),
(22805, 'PIRSF012281', NULL, NULL, 266, NULL, 'UCP012281', 22805),
(22806, 'PIRSF033736', NULL, NULL, 142, NULL, 'UCP033763', 22806),
(22807, 'PIRSF036995', NULL, NULL, 313, NULL, 'RSM24', 22807),
(22808, 'PIRSF021377', NULL, NULL, 155, NULL, 'YtfJ', 22808),
(22809, 'PIRSF021964', NULL, NULL, 157, NULL, 'UCP921964', 22809),
(22810, 'PIRSF031737', NULL, NULL, 294, NULL, 'TM_LytTR', 22810),
(22811, 'PIRSF000676', NULL, NULL, 316, NULL, 'Homoser_kin', 22811),
(22812, 'PIRSF026534', NULL, NULL, 335, NULL, 'ABN', 22812),
(22813, 'PIRSF037755', NULL, NULL, 319, NULL, 'Mettl2', 22813),
(22814, 'PIRSF000551', NULL, NULL, 724, NULL, 'PKC_delta', 22814),
(22815, 'PIRSF015694', NULL, NULL, 158, NULL, 'VAC_F15L', 22815),
(22816, 'PIRSF006304', NULL, NULL, 453, NULL, 'GatC', 22816),
(22817, 'PIRSF029669', NULL, NULL, 206, NULL, 'UCP029669', 22817),
(22818, 'PIRSF002465', NULL, NULL, 341, NULL, 'Phsphlp_syn_PlsX', 22818),
(22819, 'PIRSF005590', NULL, NULL, 182, NULL, 'RPL10a_RPL10e', 22819),
(22820, 'PIRSF001935', NULL, NULL, 211, NULL, 'IL-6', 22820),
(22821, 'PIRSF015689', NULL, NULL, 296, NULL, 'Actaldh_dh_actylatng', 22821),
(22822, 'PIRSF034781', NULL, NULL, 247, NULL, 'GEF_SopE', 22822),
(22823, 'PIRSF000505', NULL, NULL, 440, NULL, 'EPSPS', 22823),
(22824, 'PIRSF028035', NULL, NULL, 984, NULL, 'UCP028035', 22824),
(22825, 'PIRSF029962', NULL, NULL, 93, NULL, 'UCP029962', 22825),
(22826, 'PIRSF021435', NULL, NULL, 172, NULL, 'SpoIIIAB', 22826),
(22827, 'PIRSF034890', NULL, NULL, 443, NULL, 'Pesteras_lmo2642', 22827),
(22828, 'PIRSF000264', NULL, NULL, 265, NULL, 'Meth_CoM_rd_gama', 22828),
(22829, 'PIRSF018671', NULL, NULL, 298, NULL, 'UCP018671', 22829),
(22830, 'PIRSF001875', NULL, NULL, 94, NULL, 'Alpha_defensin', 22830),
(22831, 'PIRSF016308', NULL, NULL, 806, NULL, 'UBP', 22831),
(22832, 'PIRSF001341', NULL, NULL, 321, NULL, 'His_decarboxylas', 22832),
(22833, 'PIRSF008955', NULL, NULL, 250, NULL, 'AGOG', 22833),
(22834, 'PIRSF000962', NULL, NULL, 368, NULL, '3_5-cyc_nuc_Pdiesterase', 22834),
(22835, 'PIRSF004692', NULL, NULL, 330, NULL, 'KdsD_KpsF', 22835),
(22836, 'PIRSF005883', NULL, NULL, 422, NULL, 'Carbohydrate_ST', 22836),
(22837, 'PIRSF002006', NULL, NULL, 790, NULL, 'PTPR_alpha_epsilon', 22837),
(22838, 'PIRSF000292', NULL, NULL, 312, NULL, 'Ubiqnol_oxid_II', 22838),
(22839, 'PIRSF009265', NULL, NULL, 251, NULL, 'GCH3', 22839),
(22840, 'PIRSF019311', NULL, NULL, 172, NULL, 'Mb_md_hydr_PF0129', 22840),
(22841, 'PIRSF001435', NULL, NULL, 225, NULL, 'Nth', 22841),
(22842, 'PIRSF001778', NULL, NULL, 1200, NULL, 'Pro-EGF', 22842),
(22843, 'PIRSF037504', NULL, NULL, 231, NULL, 'GRA6', 22843),
(22844, 'PIRSF037664', NULL, NULL, 111, NULL, 'MmoD', 22844),
(22845, 'PIRSF038601', NULL, NULL, 414, NULL, 'UCP038601', 22845),
(22846, 'PIRSF002216', NULL, NULL, 110, NULL, 'MRPL31', 22846),
(22847, 'PIRSF005993', NULL, NULL, 502, NULL, 'Occludin', 22847),
(22848, 'PIRSF017190', NULL, NULL, 181, NULL, 'NIP7', 22848),
(22849, 'PIRSF021350', NULL, NULL, 349, NULL, 'UCP021350', 22849),
(22850, 'PIRSF006603', NULL, NULL, 462, NULL, 'DinF', 22850),
(22851, 'PIRSF016937', NULL, NULL, 486, NULL, 'UCP016937', 22851),
(22852, 'PIRSF036762', NULL, NULL, 639, NULL, 'GAA1', 22852),
(22853, 'PIRSF013212', NULL, NULL, 762, NULL, 'PRDM1_SET', 22853),
(22854, 'PIRSF003169', NULL, NULL, 387, NULL, 'HK_DegS', 22854),
(22855, 'PIRSF500181', NULL, NULL, 761, NULL, 'Complement_B', 22855),
(22856, 'PIRSF037196', NULL, NULL, 334, NULL, 'PvcA', 22856);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22857, 'PIRSF006716', NULL, NULL, 161, NULL, 'Spore_CotF', 22857),
(22858, 'PIRSF016202', NULL, NULL, 333, NULL, 'PH1107', 22858),
(22859, 'PIRSF012150', NULL, NULL, 276, NULL, 'UCP012150', 22859),
(22860, 'PIRSF000858', NULL, NULL, 523, NULL, 'SCOT-t', 22860),
(22861, 'PIRSF006806', NULL, NULL, 192, NULL, '5_FTHF', 22861),
(22862, 'PIRSF028234', NULL, NULL, 235, NULL, 'UCP028234', 22862),
(22863, 'PIRSF006005', NULL, NULL, 500, NULL, 'GalT_BS', 22863),
(22864, 'PIRSF017127', NULL, NULL, 1347, NULL, 'Condensin_D2', 22864),
(22865, 'PIRSF017835', NULL, NULL, 102, NULL, 'ATP-synth_g_mitoch_animal', 22865),
(22866, 'PIRSF029143', NULL, NULL, 105, NULL, 'UCP029143', 22866),
(22867, 'PIRSF032442', NULL, NULL, 245, NULL, 'UCP032442', 22867),
(22868, 'PIRSF004557', NULL, NULL, 453, NULL, 'SecY_Sec61alpha', 22868),
(22869, 'PIRSF037239', NULL, NULL, 995, NULL, 'Exonuclease_Xrn2', 22869),
(22870, 'PIRSF000617', NULL, NULL, 1406, NULL, 'TyrPK_HGF-R', 22870),
(22871, 'PIRSF036989', NULL, NULL, 671, NULL, 'Zeaxanthin_epoxidase', 22871),
(22872, 'PIRSF028921', NULL, NULL, 923, NULL, 'Vps41', 22872),
(22873, 'PIRSF016725', NULL, NULL, 130, NULL, 'UCP016725', 22873),
(22874, 'PIRSF019075', NULL, NULL, 186, NULL, 'UCP019075', 22874),
(22875, 'PIRSF500682', NULL, NULL, 706, NULL, 'Serotransferrin', 22875),
(22876, 'PIRSF037263', NULL, NULL, 66, NULL, 'UCP037263', 22876),
(22877, 'PIRSF028773', NULL, NULL, 111, NULL, 'UCP028773', 22877),
(22878, 'PIRSF003947', NULL, NULL, 233, NULL, 'N_OrthobunV', 22878),
(22879, 'PIRSF036561', NULL, NULL, 224, NULL, 'ThTPase', 22879),
(22880, 'PIRSF031601', NULL, NULL, 683, NULL, 'UCP031601', 22880),
(22881, 'PIRSF007027', NULL, NULL, 258, NULL, 'UCP007027', 22881),
(22882, 'PIRSF000033', NULL, NULL, 160, NULL, 'Cytochrome_b6f_IV', 22882),
(22883, 'PIRSF007747', NULL, NULL, 482, NULL, 'RIT1', 22883),
(22884, 'PIRSF000647', NULL, NULL, 530, NULL, 'STPK_SpkB', 22884),
(22885, 'PIRSF006530', NULL, NULL, 266, NULL, 'MtrC', 22885),
(22886, 'PIRSF002372', NULL, NULL, 232, NULL, 'Beta-casein', 22886),
(22887, 'PIRSF015283', NULL, NULL, 346, NULL, 'RpfE', 22887),
(22888, 'PIRSF028589', NULL, NULL, 253, NULL, 'UCP028589', 22888),
(22889, 'PIRSF015582', NULL, NULL, 320, NULL, 'Cit_lyase_B', 22889),
(22890, 'PIRSF004654', NULL, NULL, 307, NULL, 'NlpI', 22890),
(22891, 'PIRSF000476', NULL, NULL, 470, NULL, 'EGT', 22891),
(22892, 'PIRSF002305', NULL, NULL, 590, NULL, 'ERM', 22892),
(22893, 'PIRSF001956', NULL, NULL, 898, NULL, 'IL3R_beta_c', 22893),
(22894, 'PIRSF035859', NULL, NULL, 583, NULL, 'ABC_tp_sb', 22894),
(22895, 'PIRSF002939', NULL, NULL, 216, NULL, 'IF_sigma_H', 22895),
(22896, 'PIRSF037119', NULL, NULL, 787, NULL, 'HK_PgtB', 22896),
(22897, 'PIRSF001369', NULL, NULL, 383, NULL, 'Citrate_synth', 22897),
(22898, 'PIRSF019464', NULL, NULL, 196, NULL, 'UCP019464', 22898),
(22899, 'PIRSF015278', NULL, NULL, 170, NULL, 'UCP015278', 22899),
(22900, 'PIRSF016552', NULL, NULL, 230, NULL, 'MtrD', 22900),
(22901, 'PIRSF037971', NULL, NULL, 364, NULL, 'TLX_CD46', 22901),
(22902, 'PIRSF015599', NULL, NULL, 279, NULL, 'KIT_ligand_MCF', 22902),
(22903, 'PIRSF003867', NULL, NULL, 149, NULL, 'Rev_lenti-OC', 22903),
(22904, 'PIRSF000177', NULL, NULL, 259, NULL, 'Fumar_rd_cyt_b', 22904),
(22905, 'PIRSF036514', NULL, NULL, 193, NULL, 'Sm_HSP_B1', 22905),
(22906, 'PIRSF000431', NULL, NULL, 456, NULL, 'G3POAT', 22906),
(22907, 'PIRSF026508', NULL, NULL, 376, NULL, 'TelA', 22907),
(22908, 'PIRSF027133', NULL, NULL, 520, NULL, 'Rrn11', 22908),
(22909, 'PIRSF001191', NULL, NULL, 533, NULL, 'MMP_stromelysin', 22909),
(22910, 'PIRSF020653', NULL, NULL, 137, NULL, 'UCP020653', 22910),
(22911, 'PIRSF031854', NULL, NULL, 346, NULL, 'UCP031854', 22911),
(22912, 'PIRSF036055', NULL, NULL, 158, NULL, 'UCP036055', 22912),
(22913, 'PIRSF009120', NULL, NULL, 250, NULL, 'UCP009120_prtse', 22913),
(22914, 'PIRSF000278', NULL, NULL, 84, NULL, 'COX_VIb', 22914),
(22915, 'PIRSF028704', NULL, NULL, 409, NULL, 'UCP028704', 22915);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22916, 'PIRSF016238', NULL, NULL, 241, NULL, 'Gdnf', 22916),
(22917, 'PIRSF018814', NULL, NULL, 218, NULL, 'UCP018814', 22917),
(22918, 'PIRSF036478', NULL, NULL, 423, NULL, 'Uropor_mtas_plnt', 22918),
(22919, 'PIRSF020967', NULL, NULL, 380, NULL, 'UCP020967', 22919),
(22920, 'PIRSF001438', NULL, NULL, 339, NULL, 'PBGD', 22920),
(22921, 'PIRSF028513', NULL, NULL, 186, NULL, 'LptC', 22921),
(22922, 'PIRSF005622', NULL, NULL, 368, NULL, 'Hydrgn_mat_hypD', 22922),
(22923, 'PIRSF016013', NULL, NULL, 192, NULL, 'AtER_Rer1p', 22923),
(22924, 'PIRSF007778', NULL, NULL, 453, NULL, 'UCP007778', 22924),
(22925, 'PIRSF027174', NULL, NULL, 446, NULL, 'YMR209C', 22925),
(22926, 'PIRSF022996', NULL, NULL, 187, NULL, 'SAG2', 22926),
(22927, 'PIRSF038885', NULL, NULL, 403, NULL, 'COB', 22927),
(22928, 'PIRSF034303', NULL, NULL, 149, NULL, 'UCP034303', 22928),
(22929, 'PIRSF034455', NULL, NULL, 164, NULL, 'UCP034455', 22929),
(22930, 'PIRSF000743', NULL, NULL, 170, NULL, 'RPO19', 22930),
(22931, 'PIRSF021700', NULL, NULL, 159, NULL, '3-demethylubiquinone_Mtase', 22931),
(22932, 'PIRSF003165', NULL, NULL, 163, NULL, 'Chaper_prot_SicA', 22932),
(22933, 'PIRSF000547', NULL, NULL, 369, NULL, 'Prot_kinase_T7', 22933),
(22934, 'PIRSF004553', NULL, NULL, 187, NULL, 'Methylase_YhhF', 22934),
(22935, 'PIRSF000037', NULL, NULL, 44, NULL, 'Cytochrome_PsbF', 22935),
(22936, 'PIRSF036555', NULL, NULL, 593, NULL, 'SUMT_yeast', 22936),
(22937, 'PIRSF038186', NULL, NULL, 323, NULL, 'ITPK', 22937),
(22938, 'PIRSF000149', NULL, NULL, 341, NULL, 'GAPDH', 22938),
(22939, 'PIRSF000141', NULL, NULL, 427, NULL, 'Anaerobic_G3P_dh', 22939),
(22940, 'PIRSF016429', NULL, NULL, 349, NULL, 'UPTG', 22940),
(22941, 'PIRSF015692', NULL, NULL, 737, NULL, 'VAC_E2L', 22941),
(22942, 'PIRSF002845', NULL, NULL, 490, NULL, 'Ttrprl_mtas_MazG', 22942),
(22943, 'PIRSF001263', NULL, NULL, 154, NULL, 'Cyanate_hydratas', 22943),
(22944, 'PIRSF006281', NULL, NULL, 535, NULL, 'MdoG', 22944),
(22945, 'PIRSF037227', NULL, NULL, 480, NULL, 'AbgB', 22945),
(22946, 'PIRSF029904', NULL, NULL, 111, NULL, 'UCP029904_pph', 22946),
(22947, 'PIRSF005295', NULL, NULL, 255, NULL, 'UCP005295_hydrolase', 22947),
(22948, 'PIRSF000821', NULL, NULL, 1304, NULL, 'RdRPol', 22948),
(22949, 'PIRSF026587', NULL, NULL, 328, NULL, 'Epsilon_toxin', 22949),
(22950, 'PIRSF005965', NULL, NULL, 125, NULL, 'Chor_mut_AroH', 22950),
(22951, 'PIRSF005276', NULL, NULL, 147, NULL, 'SspB', 22951),
(22952, 'PIRSF038027', NULL, NULL, 95, NULL, 'Ufm1', 22952),
(22953, 'PIRSF038073', NULL, NULL, 373, NULL, 'B-acetylglucosaminyltrns_Rfng', 22953),
(22954, 'PIRSF037215', NULL, NULL, 411, NULL, 'Peptidase_T', 22954),
(22955, 'PIRSF000422', NULL, NULL, 803, NULL, 'NAT_A', 22955),
(22956, 'PIRSF009867', NULL, NULL, 132, NULL, 'Rrn10', 22956),
(22957, 'PIRSF022393', NULL, NULL, 187, NULL, 'HAP', 22957),
(22958, 'PIRSF026671', NULL, NULL, 226, NULL, 'AA_dipeptidase', 22958),
(22959, 'PIRSF037309', NULL, NULL, 456, NULL, 'PPA2_B55', 22959),
(22960, 'PIRSF019554', NULL, NULL, 123, NULL, 'LT-IIA', 22960),
(22961, 'PIRSF032038', NULL, NULL, 180, NULL, 'UCP023238', 22961),
(22962, 'PIRSF037270', NULL, NULL, 587, NULL, 'MIS', 22962),
(22963, 'PIRSF037472', NULL, NULL, 804, NULL, 'DHPS_Mtase', 22963),
(22964, 'PIRSF000361', NULL, NULL, 371, NULL, 'Frd-NADP+_RD', 22964),
(22965, 'PIRSF036931', NULL, NULL, 400, NULL, 'Doc2', 22965),
(22966, 'PIRSF037318', NULL, NULL, 265, NULL, 'RfaP', 22966),
(22967, 'PIRSF010309', NULL, NULL, 174, NULL, 'Cyc-rich_prot', 22967),
(22968, 'PIRSF001522', NULL, NULL, 315, NULL, 'OmpP', 22968),
(22969, 'PIRSF007398', NULL, NULL, 735, NULL, 'Sll0148_casp', 22969),
(22970, 'PIRSF028177', NULL, NULL, 271, NULL, 'TcmP', 22970),
(22971, 'PIRSF029691', NULL, NULL, 257, NULL, 'UCP029691', 22971),
(22972, 'PIRSF011791', NULL, NULL, 565, NULL, 'Retromer_Vps17', 22972),
(22973, 'PIRSF017318', NULL, NULL, 261, NULL, 'Chor_mut_AroQ_eu', 22973),
(22974, 'PIRSF037382', NULL, NULL, 231, NULL, 'CCT_LicC', 22974);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(22975, 'PIRSF027744', NULL, NULL, 579, NULL, 'Snx9', 22975),
(22976, 'PIRSF032675', NULL, NULL, 466, NULL, 'UCP032675', 22976),
(22977, 'PIRSF034405', NULL, NULL, 249, NULL, 'UCP034405', 22977),
(22978, 'PIRSF002374', NULL, NULL, 182, NULL, 'Kappa-casein', 22978),
(22979, 'PIRSF004950', NULL, NULL, 617, NULL, 'Mmb_sulf_HI0842', 22979),
(22980, 'PIRSF000846', NULL, NULL, 308, NULL, 'ATP_adenylyltr', 22980),
(22981, 'PIRSF039050', NULL, NULL, 1090, NULL, 'Ade_cyc', 22981),
(22982, 'PIRSF037710', NULL, NULL, 115, NULL, 'COX7A2L', 22982),
(22983, 'PIRSF009433', NULL, NULL, 365, NULL, 'UCP009433', 22983),
(22984, 'PIRSF037253', NULL, NULL, 186, NULL, 'HTH_CBS', 22984),
(22985, 'PIRSF022944', NULL, NULL, 215, NULL, 'MRP8', 22985),
(22986, 'PIRSF015244', NULL, NULL, 436, NULL, 'UCP015244', 22986),
(22987, 'PIRSF016624', NULL, NULL, 365, NULL, 'Mu_prophg_I', 22987),
(22988, 'PIRSF037657', NULL, NULL, 57, NULL, 'Lipopeptide_LppL', 22988),
(22989, 'PIRSF038931', NULL, NULL, 180, NULL, 'GerQ', 22989),
(22990, 'PIRSF037492', NULL, NULL, 462, NULL, 'UCP037492_HAD', 22990),
(22991, 'PIRSF038096', NULL, NULL, 172, NULL, 'CD27BP', 22991),
(22992, 'PIRSF018938', NULL, NULL, 139, NULL, 'UCP018938', 22992),
(22993, 'PIRSF028043', NULL, NULL, 721, NULL, 'PP2A_B56', 22993),
(22994, 'PIRSF016408', NULL, NULL, 561, NULL, 'PAGM', 22994),
(22995, 'PIRSF011407', NULL, NULL, 324, NULL, 'OmpS_Legionella', 22995),
(22996, 'PIRSF007860', NULL, NULL, 974, NULL, 'Vps11', 22996),
(22997, 'PIRSF000822', NULL, NULL, 1444, NULL, 'RdRPol_RDV', 22997),
(22998, 'PIRSF037514', NULL, NULL, 554, NULL, 'Rab_ger_ger_transf_A_fungal', 22998),
(22999, 'PIRSF010130', NULL, NULL, 215, NULL, 'PduL', 22999),
(23000, 'PIRSF004793', NULL, NULL, 260, NULL, 'UCP004793', 23000),
(23001, 'PIRSF033913', NULL, NULL, 174, NULL, 'S-S_format_DsbB', 23001),
(23002, 'PIRSF002816', NULL, NULL, 336, NULL, 'AraF', 23002),
(23003, 'PIRSF037232', NULL, NULL, 1472, NULL, 'Tricalbin', 23003),
(23004, 'PIRSF000423', NULL, NULL, 446, NULL, 'ArgA', 23004),
(23005, 'PIRSF004810', NULL, NULL, 410, NULL, 'ChrA', 23005),
(23006, 'PIRSF002096', NULL, NULL, 133, NULL, 'HnS', 23006),
(23007, 'PIRSF000119', NULL, NULL, 401, NULL, 'Ilv5_fungal', 23007),
(23008, 'PIRSF003959', NULL, NULL, 302, NULL, 'NS-M_TospoV', 23008),
(23009, 'PIRSF026610', NULL, NULL, 183, NULL, 'UCP026610', 23009),
(23010, 'PIRSF000193', NULL, NULL, 269, NULL, 'P5CR', 23010),
(23011, 'PIRSF012320', NULL, NULL, 156, NULL, 'Prplsmic_HI0178', 23011),
(23012, 'PIRSF027352', NULL, NULL, 257, NULL, 'ERp29', 23012),
(23013, 'PIRSF036516', NULL, NULL, 235, NULL, 'CDT_A', 23013),
(23014, 'PIRSF005536', NULL, NULL, 734, NULL, 'Agal', 23014),
(23015, 'PIRSF010052', NULL, NULL, 577, NULL, 'Polyub_prc_Npl4', 23015),
(23016, 'PIRSF036200', NULL, NULL, 237, NULL, 'UCP_TEII', 23016),
(23017, 'PIRSF038005', NULL, NULL, 545, NULL, 'MBD4', 23017),
(23018, 'PIRSF028415', NULL, NULL, 368, NULL, 'UCP028415', 23018),
(23019, 'PIRSF003961', NULL, NULL, 1194, NULL, 'M_poly_PhleboV', 23019),
(23020, 'PIRSF037956', NULL, NULL, 323, NULL, 'ZRANB2', 23020),
(23021, 'PIRSF000126', NULL, NULL, 311, NULL, '11-beta-HSD1', 23021),
(23022, 'PIRSF026622', NULL, NULL, 235, NULL, 'UCP026622_CAAX', 23022),
(23023, 'PIRSF014995', NULL, NULL, 171, NULL, 'UCP014995', 23023),
(23024, 'PIRSF000904', NULL, NULL, 331, NULL, 'FBPtase_SBPase', 23024),
(23025, 'PIRSF036437', NULL, NULL, 984, NULL, 'HK_TorS', 23025),
(23026, 'PIRSF037506', NULL, NULL, 626, NULL, 'NTP_gondii', 23026),
(23027, 'PIRSF037911', NULL, NULL, 1056, NULL, 'HDAC_II_euk', 23027),
(23028, 'PIRSF006278', NULL, NULL, 356, NULL, 'ACCD_DCysDesulf', 23028),
(23029, 'PIRSF012563', NULL, NULL, 285, NULL, 'YtxC', 23029),
(23030, 'PIRSF038010', NULL, NULL, 389, NULL, 'VASP', 23030),
(23031, 'PIRSF001382', NULL, NULL, 783, NULL, 'TrpG-trpC-trpF', 23031),
(23032, 'PIRSF016548', NULL, NULL, 160, NULL, 'Rsd_AlgQ', 23032),
(23033, 'PIRSF037874', NULL, NULL, 378, NULL, 'NCK', 23033),
(23034, 'PIRSF000371', NULL, NULL, 308, NULL, 'PFLA_YjjW', 23034);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23035, 'PIRSF037432', NULL, NULL, 344, NULL, 'HK_NreB', 23035),
(23036, 'PIRSF018250', NULL, NULL, 369, NULL, 'Saccharopine_DH_Lys', 23036),
(23037, 'PIRSF000414', NULL, NULL, 526, NULL, 'PurH', 23037),
(23038, 'PIRSF013329', NULL, NULL, 211, NULL, 'UCP013329', 23038),
(23039, 'PIRSF029745', NULL, NULL, 577, NULL, 'FhaC', 23039),
(23040, 'PIRSF005763', NULL, NULL, 264, NULL, 'Txn_reg_ModE', 23040),
(23041, 'PIRSF007949', NULL, NULL, 848, NULL, 'Vps16', 23041),
(23042, 'PIRSF015750', NULL, NULL, 156, NULL, 'Riboflv_synth_arch', 23042),
(23043, 'PIRSF000114', NULL, NULL, 346, NULL, 'Glycerol-3-P_dh', 23043),
(23044, 'PIRSF000498', NULL, NULL, 213, NULL, 'Riboflavin_syn_A', 23044),
(23045, 'PIRSF000714', NULL, NULL, 143, NULL, 'HIT', 23045),
(23046, 'PIRSF004015', NULL, NULL, 829, NULL, 'LigT_rotavirus', 23046),
(23047, 'PIRSF020479', NULL, NULL, 333, NULL, 'UCP020479_CheW', 23047),
(23048, 'PIRSF037682', NULL, NULL, 262, NULL, 'Saliv_gland_allergen_Aed3', 23048),
(23049, 'PIRSF500063', NULL, NULL, 680, NULL, 'DHAPAT', 23049),
(23050, 'PIRSF005901', NULL, NULL, 187, NULL, 'EF-P', 23050),
(23051, 'PIRSF016502', NULL, NULL, 343, NULL, 'Urea_transporter', 23051),
(23052, 'PIRSF021439', NULL, NULL, 113, NULL, 'YabA', 23052),
(23053, 'PIRSF005646', NULL, NULL, 433, NULL, 'FwdB', 23053),
(23054, 'PIRSF033535', NULL, NULL, 219, NULL, 'UCP033535_plp', 23054),
(23055, 'PIRSF037630', NULL, NULL, 198, NULL, 'Blos3', 23055),
(23056, 'PIRSF005409', NULL, NULL, 113, NULL, 'VAMP-5_synaptobrevin', 23056),
(23057, 'PIRSF035261', NULL, NULL, 689, NULL, 'UCP035261', 23057),
(23058, 'PIRSF037001', NULL, NULL, 989, NULL, 'RNA_ed_MP81', 23058),
(23059, 'PIRSF038051', NULL, NULL, 839, NULL, 'Lys-Histone-de-mtase', 23059),
(23060, 'PIRSF000170', NULL, NULL, 206, NULL, 'Succ_dh_cyt_b558', 23060),
(23061, 'PIRSF038921', NULL, NULL, 261, NULL, 'P14a', 23061),
(23062, 'PIRSF036670', NULL, NULL, 274, NULL, 'ATPase_UCP036670', 23062),
(23063, 'PIRSF038092', NULL, NULL, 114, NULL, 'NPSF_NPFF_NPAF', 23063),
(23064, 'PIRSF000029', NULL, NULL, 128, NULL, 'Cytochrome_b562', 23064),
(23065, 'PIRSF016616', NULL, NULL, 292, NULL, 'HNMT', 23065),
(23066, 'PIRSF002181', NULL, NULL, 176, NULL, 'RPL13p_RPL13Aa_RPL16e_RPL13o', 23066),
(23067, 'PIRSF000450', NULL, NULL, 309, NULL, 'HTS', 23067),
(23068, 'PIRSF005658', NULL, NULL, 376, NULL, 'FwdF', 23068),
(23069, 'PIRSF006107', NULL, NULL, 714, NULL, 'PTA_proteo', 23069),
(23070, 'PIRSF500134', NULL, NULL, 440, NULL, 'UDPglc_DH_bac', 23070),
(23071, 'PIRSF002191', NULL, NULL, 151, NULL, 'Ribosomal_L19', 23071),
(23072, 'PIRSF037778', NULL, NULL, 186, NULL, 'UCP037778_transp_RibU', 23072),
(23073, 'PIRSF037733', NULL, NULL, 189, NULL, 'Txn_fact_FapR', 23073),
(23074, 'PIRSF005814', NULL, NULL, 773, NULL, 'MutS_YshD', 23074),
(23075, 'PIRSF029827', NULL, NULL, 90, NULL, 'Fe_traffic_YggX', 23075),
(23076, 'PIRSF031804', NULL, NULL, 127, NULL, 'UCP031804', 23076),
(23077, 'PIRSF012611', NULL, NULL, 346, NULL, 'UCP012611', 23077),
(23078, 'PIRSF003944', NULL, NULL, 1436, NULL, 'M_poly_OrthobunV', 23078),
(23079, 'PIRSF004911', NULL, NULL, 404, NULL, 'L-lysine_2_3-aminomutase', 23079),
(23080, 'PIRSF028458', NULL, NULL, 351, NULL, 'UCP028458', 23080),
(23081, 'PIRSF032146', NULL, NULL, 160, NULL, 'UCP032146', 23081),
(23082, 'PIRSF020269', NULL, NULL, 214, NULL, 'UCP020269', 23082),
(23083, 'PIRSF017811', NULL, NULL, 197, NULL, 'CKI_KRP_plant', 23083),
(23084, 'PIRSF016400', NULL, NULL, 190, NULL, 'TRAP-beta', 23084),
(23085, 'PIRSF001373', NULL, NULL, 527, NULL, 'TrpE', 23085),
(23086, 'PIRSF006685', NULL, NULL, 195, NULL, 'UCP_006685', 23086),
(23087, 'PIRSF000580', NULL, NULL, 1054, NULL, 'STPK_ULK1', 23087),
(23088, 'PIRSF037595', NULL, NULL, 802, NULL, 'Toll-like_receptor', 23088),
(23089, 'PIRSF002397', NULL, NULL, 3374, NULL, 'BRCA2', 23089),
(23090, 'PIRSF000724', NULL, NULL, 411, NULL, 'Pgk', 23090),
(23091, 'PIRSF028137', NULL, NULL, 232, NULL, 'UCP028137', 23091),
(23092, 'PIRSF009160', NULL, NULL, 250, NULL, 'UCP009160', 23092);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23093, 'PIRSF037032', NULL, NULL, 296, NULL, 'BiliverdinRD_A', 23093),
(23094, 'PIRSF001529', NULL, NULL, 427, NULL, 'Ser-tRNA_ligase', 23094),
(23095, 'PIRSF037390', NULL, NULL, 345, NULL, 'DoxA_doxD', 23095),
(23096, 'PIRSF005261', NULL, NULL, 299, NULL, 'HSP33', 23096),
(23097, 'PIRSF501175', NULL, NULL, 505, NULL, 'TDT', 23097),
(23098, 'PIRSF028141', NULL, NULL, 121, NULL, 'C-di-GMP_BP_PA4608', 23098),
(23099, 'PIRSF037226', NULL, NULL, 399, NULL, 'Amidohydrolase_ACY1L2', 23099),
(23100, 'PIRSF034300', NULL, NULL, 128, NULL, 'UCP034300', 23100),
(23101, 'PIRSF036428', NULL, NULL, 412, NULL, 'CobL_MTase', 23101),
(23102, 'PIRSF000296', NULL, NULL, 334, NULL, 'SrpA', 23102),
(23103, 'PIRSF029389', NULL, NULL, 590, NULL, 'Subtilisin_rel_PA1242', 23103),
(23104, 'PIRSF037732', NULL, NULL, 163, NULL, 'YlbP', 23104),
(23105, 'PIRSF000333', NULL, NULL, 1200, NULL, 'INOS', 23105),
(23106, 'PIRSF037470', NULL, NULL, 346, NULL, 'RRP', 23106),
(23107, 'PIRSF000882', NULL, NULL, 680, NULL, 'DSB_repair_MRE11', 23107),
(23108, 'PIRSF005485', NULL, NULL, 347, NULL, 'HrcA', 23108),
(23109, 'PIRSF038973', NULL, NULL, 212, NULL, 'SpoIIM', 23109),
(23110, 'PIRSF001467', NULL, NULL, 178, NULL, 'Peptidylpro_ismrse', 23110),
(23111, 'PIRSF006595', NULL, NULL, 148, NULL, 'UCP006595', 23111),
(23112, 'PIRSF002490', NULL, NULL, 372, NULL, 'SLRP_I', 23112),
(23113, 'PIRSF017607', NULL, NULL, 617, NULL, 'Numb_numb_like', 23113),
(23114, 'PIRSF012318', NULL, NULL, 282, NULL, 'UCP012318', 23114),
(23115, 'PIRSF010636', NULL, NULL, 103, NULL, 'ANTAR_solo', 23115),
(23116, 'PIRSF038120', NULL, NULL, 326, NULL, 'Uch', 23116),
(23117, 'PIRSF015596', NULL, NULL, 262, NULL, '5_alpha-SR2', 23117),
(23118, 'PIRSF008711', NULL, NULL, 125, NULL, 'UCP008711', 23118),
(23119, 'PIRSF005647', NULL, NULL, 250, NULL, 'CooC', 23119),
(23120, 'PIRSF005784', NULL, NULL, 189, NULL, 'RnfB', 23120),
(23121, 'PIRSF003639', NULL, NULL, 675, NULL, 'Capsid_P80/P87', 23121),
(23122, 'PIRSF036575', NULL, NULL, 292, NULL, 'CM_nematode', 23122),
(23123, 'PIRSF036920', NULL, NULL, 412, NULL, 'X4Y4', 23123),
(23124, 'PIRSF036922', NULL, NULL, 378, NULL, 'RNaseH_PGAM', 23124),
(23125, 'PIRSF001205', NULL, NULL, 484, NULL, 'Serralysin', 23125),
(23126, 'PIRSF000456', NULL, NULL, 266, NULL, 'UDP-GlcNAc_acltr', 23126),
(23127, 'PIRSF016089', NULL, NULL, 186, NULL, 'SPC3', 23127),
(23128, 'PIRSF019587', NULL, NULL, 165, NULL, 'PGPase', 23128),
(23129, 'PIRSF037006', NULL, NULL, 355, NULL, 'Wax_synthase', 23129),
(23130, 'PIRSF039097', NULL, NULL, 273, NULL, 'MoSto_subunit', 23130),
(23131, 'PIRSF004633', NULL, NULL, 182, NULL, 'UCP_PLP_oxd', 23131),
(23132, 'PIRSF037320', NULL, NULL, 1267, NULL, 'Sac3', 23132),
(23133, 'PIRSF006380', NULL, NULL, 200, NULL, 'UCP006380', 23133),
(23134, 'PIRSF015679', NULL, NULL, 598, NULL, 'VAC_mptidase_G1L', 23134),
(23135, 'PIRSF002703', NULL, NULL, 761, NULL, 'PR5', 23135),
(23136, 'PIRSF020785', NULL, NULL, 178, NULL, 'ComB', 23136),
(23137, 'PIRSF001640', NULL, NULL, 72, NULL, 'Hirudin', 23137),
(23138, 'PIRSF002984', NULL, NULL, 266, NULL, 'Opacity_prot', 23138),
(23139, 'PIRSF038118', NULL, NULL, 470, NULL, 'MBP_jacalin', 23139),
(23140, 'PIRSF020606', NULL, NULL, 205, NULL, 'UCP020606', 23140),
(23141, 'PIRSF003716', NULL, NULL, 537, NULL, 'VAC_F3L', 23141),
(23142, 'PIRSF027807', NULL, NULL, 254, NULL, 'Cerberus', 23142),
(23143, 'PIRSF003229', NULL, NULL, 64, NULL, 'ROM', 23143),
(23144, 'PIRSF004962', NULL, NULL, 156, NULL, 'UCP004962', 23144),
(23145, 'PIRSF028291', NULL, NULL, 104, NULL, 'UCP028291', 23145),
(23146, 'PIRSF028744', NULL, NULL, 107, NULL, 'UCP028744_Gp-49', 23146),
(23147, 'PIRSF000744', NULL, NULL, 185, NULL, 'RPO22', 23147),
(23148, 'PIRSF000241', NULL, NULL, 309, NULL, 'Urate_oxidase', 23148),
(23149, 'PIRSF005963', NULL, NULL, 365, NULL, 'Lipoyl_synth', 23149),
(23150, 'PIRSF028762', NULL, NULL, 412, NULL, 'ABD1', 23150),
(23151, 'PIRSF002033', NULL, NULL, 118, NULL, 'Hemerythrin_euk', 23151);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23152, 'PIRSF000819', NULL, NULL, 252, NULL, 'Streptomycin_3-adenylyltransf', 23152),
(23153, 'PIRSF000343', NULL, NULL, 252, NULL, 'HMX1', 23153),
(23154, 'PIRSF002811', NULL, NULL, 594, NULL, 'DnaG', 23154),
(23155, 'PIRSF001235', NULL, NULL, 420, NULL, 'Amidase_hyd_carb', 23155),
(23156, 'PIRSF000443', NULL, NULL, 398, NULL, 'Homoser_Ac_trans', 23156),
(23157, 'PIRSF006540', NULL, NULL, 258, NULL, 'Nop17p', 23157),
(23158, 'PIRSF023956', NULL, NULL, 215, NULL, 'TPMT', 23158),
(23159, 'PIRSF004925', NULL, NULL, 391, NULL, 'HcaT', 23159),
(23160, 'PIRSF028335', NULL, NULL, 933, NULL, 'OppA', 23160),
(23161, 'PIRSF003778', NULL, NULL, 177, NULL, 'VAC_C8L', 23161),
(23162, 'PIRSF012294', NULL, NULL, 256, NULL, 'ATR_EutT', 23162),
(23163, 'PIRSF006006', NULL, NULL, 182, NULL, 'UCP006006', 23163),
(23164, 'PIRSF036365', NULL, NULL, 612, NULL, 'Nematode_astacin', 23164),
(23165, 'PIRSF000199', NULL, NULL, 78, NULL, 'Dhfr_type_II', 23165),
(23166, 'PIRSF027081', NULL, NULL, 249, NULL, 'RPP29', 23166),
(23167, 'PIRSF500166', NULL, NULL, 343, NULL, 'HMDII_III', 23167),
(23168, 'PIRSF018774', NULL, NULL, 374, NULL, 'GOGAT_lg_dom1', 23168),
(23169, 'PIRSF036900', NULL, NULL, 3945, NULL, 'Rd_RNA_pol_NRV', 23169),
(23170, 'PIRSF001569', NULL, NULL, 842, NULL, 'E3_ub_ligase_SMURF1', 23170),
(23171, 'PIRSF038881', NULL, NULL, 89, NULL, 'RNAbp_HP1423', 23171),
(23172, 'PIRSF036946', NULL, NULL, 675, NULL, 'Arg_N-mtase', 23172),
(23173, 'PIRSF011131', NULL, NULL, 1610, NULL, 'SAC', 23173),
(23174, 'PIRSF036912', NULL, NULL, 64, NULL, 'Sac7', 23174),
(23175, 'PIRSF002695', NULL, NULL, 87, NULL, 'A-agglutinin', 23175),
(23176, 'PIRSF017316', NULL, NULL, 608, NULL, 'Pesterase_C1039', 23176),
(23177, 'PIRSF037395', NULL, NULL, 260, NULL, 'UCP037395_ABCper', 23177),
(23178, 'PIRSF005895', NULL, NULL, 358, NULL, 'UCP005895_mtase', 23178),
(23179, 'PIRSF037647', NULL, NULL, 443, NULL, 'LisH', 23179),
(23180, 'PIRSF032806', NULL, NULL, 465, NULL, 'UCP032806', 23180),
(23181, 'PIRSF002903', NULL, NULL, 80, NULL, 'CmsA/CmsE', 23181),
(23182, 'PIRSF008459', NULL, NULL, 129, NULL, 'UCP008459', 23182),
(23183, 'PIRSF016599', NULL, NULL, 486, NULL, 'Xaa-His_dipept', 23183),
(23184, 'PIRSF036482', NULL, NULL, 420, NULL, 'PPi_PFK_TM0289', 23184),
(23185, 'PIRSF018507', NULL, NULL, 554, NULL, 'Prpndl_dhdrts_lg', 23185),
(23186, 'PIRSF005751', NULL, NULL, 350, NULL, 'Acet_citr_lig', 23186),
(23187, 'PIRSF019317', NULL, NULL, 725, NULL, 'UCP019317', 23187),
(23188, 'PIRSF031924', NULL, NULL, 537, NULL, 'Pi-irrepressible_AP', 23188),
(23189, 'PIRSF028680', NULL, NULL, 152, NULL, 'UCP028680', 23189),
(23190, 'PIRSF003368', NULL, NULL, 636, NULL, 'Large_T_antigen_PPV', 23190),
(23191, 'PIRSF017207', NULL, NULL, 189, NULL, 'UCP017207_Tmem85', 23191),
(23192, 'PIRSF010072', NULL, NULL, 362, NULL, 'BBS5_fem-3', 23192),
(23193, 'PIRSF015957', NULL, NULL, 242, NULL, 'UCP015957', 23193),
(23194, 'PIRSF000563', NULL, NULL, 321, NULL, 'Homeobox_Pitx/Unc30', 23194),
(23195, 'PIRSF005303', NULL, NULL, 326, NULL, 'Thiam_monoph_kin', 23195),
(23196, 'PIRSF014979', NULL, NULL, 176, NULL, 'UCP014979', 23196),
(23197, 'PIRSF037345', NULL, NULL, 758, NULL, 'ALG8_EndoV', 23197),
(23198, 'PIRSF038061', NULL, NULL, 321, NULL, 'K(+)', 23198),
(23199, 'PIRSF037846', NULL, NULL, 445, NULL, 'Autolysin_YrvJ', 23199),
(23200, 'PIRSF001693', NULL, NULL, 553, NULL, 'Txn_fact_GAMYB', 23200),
(23201, 'PIRSF000375', NULL, NULL, 286, NULL, 'NifU', 23201),
(23202, 'PIRSF017681', NULL, NULL, 287, NULL, '3-HAO', 23202),
(23203, 'PIRSF029091', NULL, NULL, 118, NULL, 'RstB1_B2', 23203),
(23204, 'PIRSF031277', NULL, NULL, 357, NULL, 'UCP031277', 23204),
(23205, 'PIRSF017901', NULL, NULL, 451, NULL, 'GCL', 23205),
(23206, 'PIRSF037186', NULL, NULL, 484, NULL, 'LPLUNC', 23206),
(23207, 'PIRSF000980', NULL, NULL, 1112, NULL, 'RecC', 23207),
(23208, 'PIRSF006181', NULL, NULL, 160, NULL, 'EbsC_YbaK', 23208),
(23209, 'PIRSF000181', NULL, NULL, 158, NULL, 'Grc_selenoprot_A', 23209);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23210, 'PIRSF000477', NULL, NULL, 280, NULL, 'PurNPase', 23210),
(23211, 'PIRSF004380', NULL, NULL, 110, NULL, 'GroES_Gp31_phage', 23211),
(23212, 'PIRSF000112', NULL, NULL, 367, NULL, 'Glycerol_dh', 23212),
(23213, 'PIRSF001828', NULL, NULL, 44, NULL, 'Thymosin_beta', 23213),
(23214, 'PIRSF009393', NULL, NULL, 745, NULL, 'Orn_decarb', 23214),
(23215, 'PIRSF039004', NULL, NULL, 396, NULL, 'ADE_EF_0837', 23215),
(23216, 'PIRSF022699', NULL, NULL, 372, NULL, 'MND2', 23216),
(23217, 'PIRSF037242', NULL, NULL, 482, NULL, 'CNDP_dipeptidase', 23217),
(23218, 'PIRSF009343', NULL, NULL, 485, NULL, 'SUV39_HMTase_SET', 23218),
(23219, 'PIRSF037035', NULL, NULL, 99, NULL, 'StpC', 23219),
(23220, 'PIRSF015753', NULL, NULL, 318, NULL, 'GST', 23220),
(23221, 'PIRSF034586', NULL, NULL, 888, NULL, 'SfrC', 23221),
(23222, 'PIRSF038984', NULL, NULL, 534, NULL, 'FAD_binding_protein', 23222),
(23223, 'PIRSF001705', NULL, NULL, 430, NULL, 'Myc_protein', 23223),
(23224, 'PIRSF005637', NULL, NULL, 110, NULL, 'UCP005637', 23224),
(23225, 'PIRSF025737', NULL, NULL, 268, NULL, 'Cyco1', 23225),
(23226, 'PIRSF037266', NULL, NULL, 98, NULL, 'UCP037266', 23226),
(23227, 'PIRSF029063', NULL, NULL, 457, NULL, 'IV_sec_VirJ', 23227),
(23228, 'PIRSF017269', NULL, NULL, 273, NULL, 'GCD14', 23228),
(23229, 'PIRSF026426', NULL, NULL, 152, NULL, 'UCP026426', 23229),
(23230, 'PIRSF016262', NULL, NULL, 230, NULL, 'LPLase', 23230),
(23231, 'PIRSF017903', NULL, NULL, 196, NULL, 'CPDase_plant', 23231),
(23232, 'PIRSF037274', NULL, NULL, 792, NULL, 'PIP5K_plant', 23232),
(23233, 'PIRSF039131', NULL, NULL, 366, NULL, 'Parvin', 23233),
(23234, 'PIRSF000169', NULL, NULL, 115, NULL, 'SDH_D', 23234),
(23235, 'PIRSF018063', NULL, NULL, 168, NULL, 'Ferrtn_UCP018063', 23235),
(23236, 'PIRSF005644', NULL, NULL, 338, NULL, 'Hdrgns_mtr_HypE', 23236),
(23237, 'PIRSF016933', NULL, NULL, 228, NULL, 'PrsW', 23237),
(23238, 'PIRSF004539', NULL, NULL, 438, NULL, 'Anaerob_C4-dicrbxlt_transp', 23238),
(23239, 'PIRSF000543', NULL, NULL, 391, NULL, 'NDUAA', 23239),
(23240, 'PIRSF000848', NULL, NULL, 225, NULL, 'CDP_diag_ino_3_P', 23240),
(23241, 'PIRSF009452', NULL, NULL, 240, NULL, 'MtrA_MtxA', 23241),
(23242, 'PIRSF012359', NULL, NULL, 146, NULL, 'UCP012359', 23242),
(23243, 'PIRSF000022', NULL, NULL, 118, NULL, 'Bc1_14K', 23243),
(23244, 'PIRSF004919', NULL, NULL, 464, NULL, 'TldD', 23244),
(23245, 'PIRSF004690', NULL, NULL, 207, NULL, 'DmsD', 23245),
(23246, 'PIRSF500948', NULL, NULL, 1098, NULL, 'Beta-PDGF_receptor', 23246),
(23247, 'PIRSF001500', NULL, NULL, 362, NULL, 'Chor_mut_pdt_Ppr', 23247),
(23248, 'PIRSF001549', NULL, NULL, 439, NULL, 'His-tRNA_synth', 23248),
(23249, 'PIRSF019262', NULL, NULL, 293, NULL, 'UCP019262', 23249),
(23250, 'PIRSF006386', NULL, NULL, 211, NULL, 'HCCAis_GSTk', 23250),
(23251, 'PIRSF002849', NULL, NULL, 338, NULL, 'MoxR', 23251),
(23252, 'PIRSF009221', NULL, NULL, 187, NULL, 'VAP_Rhodococcus_equi', 23252),
(23253, 'PIRSF002129', NULL, NULL, 247, NULL, 'RPS6e', 23253),
(23254, 'PIRSF036488', NULL, NULL, 148, NULL, 'Myoglobin_tremt', 23254),
(23255, 'PIRSF009279', NULL, NULL, 324, NULL, 'CRF-BP', 23255),
(23256, 'PIRSF001979', NULL, NULL, 504, NULL, 'Alpha_1B_glycoprot', 23256),
(23257, 'PIRSF006272', NULL, NULL, 166, NULL, 'UCP006272', 23257),
(23258, 'PIRSF012467', NULL, NULL, 1320, NULL, 'UCP012467', 23258),
(23259, 'PIRSF000933', NULL, NULL, 2487, NULL, 'PTPN13', 23259),
(23260, 'PIRSF036805', NULL, NULL, 481, NULL, '26S_protsm_s5a', 23260),
(23261, 'PIRSF002595', NULL, NULL, 582, NULL, 'RR_SKN7', 23261),
(23262, 'PIRSF008159', NULL, NULL, 218, NULL, 'UCP008159_ABC', 23262),
(23263, 'PIRSF037091', NULL, NULL, 953, NULL, 'AP2_alpha', 23263),
(23264, 'PIRSF037793', NULL, NULL, 81, NULL, 'EsaB', 23264),
(23265, 'PIRSF015840', NULL, NULL, 358, NULL, 'Lem3/Cdc50', 23265),
(23266, 'PIRSF028729', NULL, NULL, 178, NULL, 'SCF_Skp', 23266),
(23267, 'PIRSF034409', NULL, NULL, 778, NULL, 'Oligosach_lyase', 23267),
(23268, 'PIRSF036361', NULL, NULL, 458, NULL, 'YunD', 23268);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23269, 'PIRSF015883', NULL, NULL, 462, NULL, 'ADP-Pfk_glckin', 23269),
(23270, 'PIRSF001617', NULL, NULL, 1391, NULL, 'Alpha-AR', 23270),
(23271, 'PIRSF029692', NULL, NULL, 432, NULL, 'UCP029692', 23271),
(23272, 'PIRSF001831', NULL, NULL, 2770, NULL, 'Thyroglobulin', 23272),
(23273, 'PIRSF018567', NULL, NULL, 346, NULL, 'AcoX', 23273),
(23274, 'PIRSF036440', NULL, NULL, 881, NULL, 'ARG5-6', 23274),
(23275, 'PIRSF033318', NULL, NULL, 188, NULL, 'GFA', 23275),
(23276, 'PIRSF028408', NULL, NULL, 382, NULL, 'UCP028408', 23276),
(23277, 'PIRSF030771', NULL, NULL, 107, NULL, 'UCP030771', 23277),
(23278, 'PIRSF016578', NULL, NULL, 397, NULL, 'PIGM', 23278),
(23279, 'PIRSF037208', NULL, NULL, 249, NULL, 'ATE_prok', 23279),
(23280, 'PIRSF003259', NULL, NULL, 101, NULL, 'TraL', 23280),
(23281, 'PIRSF037599', NULL, NULL, 152, NULL, 'GDPMH', 23281),
(23282, 'PIRSF001832', NULL, NULL, 115, NULL, 'PTH', 23282),
(23283, 'PIRSF011911', NULL, NULL, 505, NULL, 'Minor_capsid_gp61', 23283),
(23284, 'PIRSF028865', NULL, NULL, 216, NULL, 'Membrin-2', 23284),
(23285, 'PIRSF003085', NULL, NULL, 412, NULL, 'CmaB', 23285),
(23286, 'PIRSF002450', NULL, NULL, 968, NULL, 'K+_transpter_TRK', 23286),
(23287, 'PIRSF000868', NULL, NULL, 246, NULL, '14-3-3', 23287),
(23288, 'PIRSF002023', NULL, NULL, 202, NULL, 'PA2_inhib_alpha/gamma', 23288),
(23289, 'PIRSF001338', NULL, NULL, 164, NULL, 'AIR_carboxylase', 23289),
(23290, 'PIRSF007783', NULL, NULL, 185, NULL, 'YHR121w', 23290),
(23291, 'PIRSF004029', NULL, NULL, 562, NULL, 'N_ArenaV', 23291),
(23292, 'PIRSF010372', NULL, NULL, 209, NULL, 'PaiB', 23292),
(23293, 'PIRSF037748', NULL, NULL, 308, NULL, 'RNase_HIII', 23293),
(23294, 'PIRSF006413', NULL, NULL, 224, NULL, 'Transl_init_IF-6', 23294),
(23295, 'PIRSF001327', NULL, NULL, 589, NULL, 'ArsAB_ATPase', 23295),
(23296, 'PIRSF000179', NULL, NULL, 120, NULL, 'FrdD', 23296),
(23297, 'PIRSF015873', NULL, NULL, 127, NULL, 'FwdD', 23297),
(23298, 'PIRSF001456', NULL, NULL, 373, NULL, 'Chorismate_synth', 23298),
(23299, 'PIRSF037609', NULL, NULL, 170, NULL, 'BLOC-1_pldn', 23299),
(23300, 'PIRSF028099', NULL, NULL, 482, NULL, 'Thiol_oxidored', 23300),
(23301, 'PIRSF033541', NULL, NULL, 266, NULL, 'ORF25P_Sir2', 23301),
(23302, 'PIRSF039090', NULL, NULL, 135, NULL, 'Flis', 23302),
(23303, 'PIRSF002031', NULL, NULL, 1431, NULL, 'Poly_globin', 23303),
(23304, 'PIRSF022788', NULL, NULL, 267, NULL, 'UCP022788', 23304),
(23305, 'PIRSF001028', NULL, NULL, 426, NULL, 'Alpha-amylase_plant', 23305),
(23306, 'PIRSF000337', NULL, NULL, 447, NULL, 'NTA_MOA', 23306),
(23307, 'PIRSF006468', NULL, NULL, 370, NULL, 'BCAT1', 23307),
(23308, 'PIRSF037225', NULL, NULL, 62, NULL, 'UCP037225', 23308),
(23309, 'PIRSF001332', NULL, NULL, 245, NULL, 'Acetolac_decarb', 23309),
(23310, 'PIRSF036936', NULL, NULL, 546, NULL, 'IGPS_HisHF', 23310),
(23311, 'PIRSF004789', NULL, NULL, 268, NULL, 'DR1281', 23311),
(23312, 'PIRSF029644', NULL, NULL, 528, NULL, 'UCP029644', 23312),
(23313, 'PIRSF034653', NULL, NULL, 248, NULL, 'Mtase_yjhp', 23313),
(23314, 'PIRSF004006', NULL, NULL, 212, NULL, 'Minor_cap_RTV', 23314),
(23315, 'PIRSF037123', NULL, NULL, 1678, NULL, 'H3K79_HMTase_animal', 23315),
(23316, 'PIRSF037137', NULL, NULL, 434, NULL, 'HPS_DMK', 23316),
(23317, 'PIRSF004681', NULL, NULL, 140, NULL, 'UCP004681', 23317),
(23318, 'PIRSF027936', NULL, NULL, 271, NULL, 'UCP027936', 23318),
(23319, 'PIRSF001558', NULL, NULL, 486, NULL, 'GSHase', 23319),
(23320, 'PIRSF038934', NULL, NULL, 134, NULL, 'HyaE_HupG', 23320),
(23321, 'PIRSF037891', NULL, NULL, 31, NULL, 'Cycloviolacin', 23321),
(23322, 'PIRSF031878', NULL, NULL, 210, NULL, 'UCP031878', 23322),
(23323, 'PIRSF500139', NULL, NULL, 480, NULL, 'AE', 23323),
(23324, 'PIRSF500813', NULL, NULL, 314, NULL, 'PP1_PTG', 23324),
(23325, 'PIRSF018637', NULL, NULL, 232, NULL, 'TrmK', 23325),
(23326, 'PIRSF001787', NULL, NULL, 386, NULL, 'TGF-beta', 23326),
(23327, 'PIRSF033143', NULL, NULL, 112, NULL, 'LytTR_solo', 23327);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23328, 'PIRSF001882', NULL, NULL, 37, NULL, 'Insect_neurot_curtatoxin', 23328),
(23329, 'PIRSF020906', NULL, NULL, 162, NULL, 'Anti_s_fact_PmgA', 23329),
(23330, 'PIRSF000628', NULL, NULL, 815, NULL, 'FGFR', 23330),
(23331, 'PIRSF002162', NULL, NULL, 185, NULL, 'RPL6p_RPL6a_RPL9e_RPL9o', 23331),
(23332, 'PIRSF022704', NULL, NULL, 198, NULL, 'UCP022704', 23332),
(23333, 'PIRSF037949', NULL, NULL, 287, NULL, 'Transl_init_eIF-3_RNA-bind', 23333),
(23334, 'PIRSF037969', NULL, NULL, 186, NULL, 'U1-C', 23334),
(23335, 'PIRSF005627', NULL, NULL, 276, NULL, 'MTD', 23335),
(23336, 'PIRSF002724', NULL, NULL, 90, NULL, 'Actobindin', 23336),
(23337, 'PIRSF007951', NULL, NULL, 141, NULL, 'Hemolysin_aeg', 23337),
(23338, 'PIRSF002574', NULL, NULL, 666, NULL, 'SPRL1', 23338),
(23339, 'PIRSF001789', NULL, NULL, 253, NULL, 'NGFB', 23339),
(23340, 'PIRSF037409', NULL, NULL, 235, NULL, 'UCP037409_transporter', 23340),
(23341, 'PIRSF036580', NULL, NULL, 518, NULL, 'Cyclin_L', 23341),
(23342, 'PIRSF005449', NULL, NULL, 374, NULL, 'TRAM', 23342),
(23343, 'PIRSF032908', NULL, NULL, 369, NULL, 'UCP032908', 23343),
(23344, 'PIRSF036917', NULL, NULL, 691, NULL, 'Alph_amls_MalS', 23344),
(23345, 'PIRSF005690', NULL, NULL, 491, NULL, 'GerBA', 23345),
(23346, 'PIRSF003509', NULL, NULL, 173, NULL, 'UL45_HPV', 23346),
(23347, 'PIRSF004576', NULL, NULL, 247, NULL, 'Resolvase_Rsv', 23347),
(23348, 'PIRSF007807', NULL, NULL, 350, NULL, 'CDC123', 23348),
(23349, 'PIRSF002122', NULL, NULL, 224, NULL, 'RPS7p_RPS7a_RPS5e_RPS7o', 23349),
(23350, 'PIRSF038100', NULL, NULL, 410, NULL, 'TEX28', 23350),
(23351, 'PIRSF000804', NULL, NULL, 372, NULL, 'DNA_pol_III_b', 23351),
(23352, 'PIRSF036947', NULL, NULL, 1473, NULL, 'Spt6', 23352),
(23353, 'PIRSF001941', NULL, NULL, 145, NULL, 'IL-4', 23353),
(23354, 'PIRSF029703', NULL, NULL, 298, NULL, 'Mig-14', 23354),
(23355, 'PIRSF500060', NULL, NULL, 520, NULL, 'UCP500060', 23355),
(23356, 'PIRSF038149', NULL, NULL, 430, NULL, 'Pyruvate_Pi_dikinase_reg', 23356),
(23357, 'PIRSF030837', NULL, NULL, 155, NULL, 'TerW', 23357),
(23358, 'PIRSF500210', NULL, NULL, 332, NULL, 'FBPtase', 23358),
(23359, 'PIRSF001065', NULL, NULL, 185, NULL, 'Lysozyme_g', 23359),
(23360, 'PIRSF023803', NULL, NULL, 162, NULL, 'RNase_P', 23360),
(23361, 'PIRSF032900', NULL, NULL, 455, NULL, 'MALP', 23361),
(23362, 'PIRSF000513', NULL, NULL, 263, NULL, 'Thz_kinase', 23362),
(23363, 'PIRSF038057', NULL, NULL, 496, NULL, 'Hatching_uvs2', 23363),
(23364, 'PIRSF011560', NULL, NULL, 190, NULL, 'ComK', 23364),
(23365, 'PIRSF025725', NULL, NULL, 287, NULL, 'UCP025725', 23365),
(23366, 'PIRSF006247', NULL, NULL, 486, NULL, 'TrkH', 23366),
(23367, 'PIRSF000723', NULL, NULL, 312, NULL, 'Carbamate_kin', 23367),
(23368, 'PIRSF000552', NULL, NULL, 905, NULL, 'PKC_mu_nu_D2', 23368),
(23369, 'PIRSF039020', NULL, NULL, 122, NULL, 'EhpR', 23369),
(23370, 'PIRSF002290', NULL, NULL, 1688, NULL, 'CHC', 23370),
(23371, 'PIRSF032131', NULL, NULL, 142, NULL, 'UCP032131', 23371),
(23372, 'PIRSF017018', NULL, NULL, 185, NULL, 'Tp34', 23372),
(23373, 'PIRSF009562', NULL, NULL, 129, NULL, 'PerB', 23373),
(23374, 'PIRSF004932', NULL, NULL, 145, NULL, 'DNA_bp_Tfx', 23374),
(23375, 'PIRSF037660', NULL, NULL, 146, NULL, 'HA-17', 23375),
(23376, 'PIRSF029477', NULL, NULL, 151, NULL, 'UCP029477', 23376),
(23377, 'PIRSF036638', NULL, NULL, 644, NULL, 'M_m6A_StsI', 23377),
(23378, 'PIRSF018072', NULL, NULL, 151, NULL, 'UCP018072', 23378),
(23379, 'PIRSF000101', NULL, NULL, 567, NULL, 'D-lactate_dh', 23379),
(23380, 'PIRSF033053', NULL, NULL, 411, NULL, 'UCP033503_fimbr', 23380),
(23381, 'PIRSF033239', NULL, NULL, 209, NULL, 'ExoD', 23381),
(23382, 'PIRSF037393', NULL, NULL, 561, NULL, 'TGFRII', 23382),
(23383, 'PIRSF000267', NULL, NULL, 351, NULL, 'Cyt_oxidse_sub2', 23383),
(23384, 'PIRSF002967', NULL, NULL, 181, NULL, 'Fimbr_prot_A', 23384),
(23385, 'PIRSF003352', NULL, NULL, 298, NULL, 'MAK16', 23385),
(23386, 'PIRSF005677', NULL, NULL, 557, NULL, 'PPi_PFK_PfpB', 23386);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23387, 'PIRSF014439', NULL, NULL, 222, NULL, 'APE1894_ACT', 23387),
(23388, 'PIRSF021441', NULL, NULL, 163, NULL, 'CcdC', 23388),
(23389, 'PIRSF016175', NULL, NULL, 277, NULL, 'UCP016175', 23389),
(23390, 'PIRSF037488', NULL, NULL, 645, NULL, 'Miro', 23390),
(23391, 'PIRSF000619', NULL, NULL, 1277, NULL, 'TyrPK_EGF-R', 23391),
(23392, 'PIRSF011502', NULL, NULL, 609, NULL, 'DdrA_PduG', 23392),
(23393, 'PIRSF000090', NULL, NULL, 268, NULL, 'Beta-ETF', 23393),
(23394, 'PIRSF006429', NULL, NULL, 537, NULL, 'GOGAT_lg_2', 23394),
(23395, 'PIRSF036388', NULL, NULL, 431, NULL, 'Ctsl_amnpptdse_B', 23395),
(23396, 'PIRSF026633', NULL, NULL, 497, NULL, 'UCP026633_TfuA-like', 23396),
(23397, 'PIRSF029792', NULL, NULL, 335, NULL, 'Pro_racemase', 23397),
(23398, 'PIRSF016393', NULL, NULL, 104, NULL, 'Enhancer_rudimentary', 23398),
(23399, 'PIRSF034285', NULL, NULL, 271, NULL, 'UCP034285', 23399),
(23400, 'PIRSF002513', NULL, NULL, 1822, NULL, 'Integrin_B4', 23400),
(23401, 'PIRSF036363', NULL, NULL, 912, NULL, 'STPPP_BSU1', 23401),
(23402, 'PIRSF004638', NULL, NULL, 150, NULL, 'UCP004638', 23402),
(23403, 'PIRSF036961', NULL, NULL, 452, NULL, 'Kremen', 23403),
(23404, 'PIRSF037505', NULL, NULL, 363, NULL, 'BHMT', 23404),
(23405, 'PIRSF002134', NULL, NULL, 131, NULL, 'RPS13p_RPS13a_RPS18e_RPS13o', 23405),
(23406, 'PIRSF000164', NULL, NULL, 349, NULL, 'DHO_oxidase', 23406),
(23407, 'PIRSF038895', NULL, NULL, 513, NULL, 'FPGS', 23407),
(23408, 'PIRSF037136', NULL, NULL, 595, NULL, 'RKM1', 23408),
(23409, 'PIRSF000303', NULL, NULL, 191, NULL, 'Glutathion_perox', 23409),
(23410, 'PIRSF034834', NULL, NULL, 183, NULL, 'PduT', 23410),
(23411, 'PIRSF015617', NULL, NULL, 204, NULL, 'Adenosyltransferase_CobA', 23411),
(23412, 'PIRSF020632', NULL, NULL, 110, NULL, 'YeaR', 23412),
(23413, 'PIRSF038941', NULL, NULL, 381, NULL, 'NspC', 23413),
(23414, 'PIRSF000111', NULL, NULL, 875, NULL, 'ALDH_ADH', 23414),
(23415, 'PIRSF000379', NULL, NULL, 747, NULL, 'For_Ac_trans_1', 23415),
(23416, 'PIRSF039093', NULL, NULL, 181, NULL, 'HslV', 23416),
(23417, 'PIRSF000336', NULL, NULL, 484, NULL, 'TH', 23417),
(23418, 'PIRSF027833', NULL, NULL, 425, NULL, 'MtTFB2', 23418),
(23419, 'PIRSF001657', NULL, NULL, 158, NULL, 'Alpha-amyl_inhib_seed_allergen', 23419),
(23420, 'PIRSF005879', NULL, NULL, 317, NULL, 'C/EBP', 23420),
(23421, 'PIRSF006414', NULL, NULL, 296, NULL, 'Ftr_formyl_trnsf', 23421),
(23422, 'PIRSF039144', NULL, NULL, 112, NULL, 'GlnB', 23422),
(23423, 'PIRSF006157', NULL, NULL, 266, NULL, 'Doxgns_DODA', 23423),
(23424, 'PIRSF028696', NULL, NULL, 336, NULL, 'UCP028696', 23424),
(23425, 'PIRSF018875', NULL, NULL, 499, NULL, 'UCP018875_ABC_perm', 23425),
(23426, 'PIRSF036750', NULL, NULL, 246, NULL, 'dCMP_HMase', 23426),
(23427, 'PIRSF000514', NULL, NULL, 1575, NULL, 'Pentafunct_AroM', 23427),
(23428, 'PIRSF008505', NULL, NULL, 160, NULL, 'UCP008505', 23428),
(23429, 'PIRSF024851', NULL, NULL, 193, NULL, 'SCD1', 23429),
(23430, 'PIRSF029393', NULL, NULL, 174, NULL, 'UCP029393', 23430),
(23431, 'PIRSF016992', NULL, NULL, 273, NULL, 'Txn_fac_GATA_plant', 23431),
(23432, 'PIRSF036421', NULL, NULL, 1060, NULL, 'Tricorn_protease', 23432),
(23433, 'PIRSF036441', NULL, NULL, 426, NULL, 'NAGK_DUF619', 23433),
(23434, 'PIRSF000912', NULL, NULL, 664, NULL, 'PPEF', 23434),
(23435, 'PIRSF009404', NULL, NULL, 353, NULL, 'Txn_factor_DP', 23435),
(23436, 'PIRSF037901', NULL, NULL, 603, NULL, 'Subtilisin_rel_Nmul_A1891', 23436),
(23437, 'PIRSF021774', NULL, NULL, 132, NULL, 'UCP021774', 23437),
(23438, 'PIRSF017388', NULL, NULL, 248, NULL, 'Esterase_lipase', 23438),
(23439, 'PIRSF036541', NULL, NULL, 302, NULL, 'UCP036541_AIR', 23439),
(23440, 'PIRSF037251', NULL, NULL, 404, NULL, 'AADAC', 23440),
(23441, 'PIRSF000019', NULL, NULL, 85, NULL, 'Bc1_11K', 23441),
(23442, 'PIRSF029681', NULL, NULL, 184, NULL, 'PagL', 23442),
(23443, 'PIRSF035808', NULL, NULL, 285, NULL, 'Pdiesterase_Brain_239', 23443),
(23444, 'PIRSF029285', NULL, NULL, 369, NULL, 'Aminopept', 23444);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23445, 'PIRSF011844', NULL, NULL, 466, NULL, 'Sufu', 23445),
(23446, 'PIRSF036767', NULL, NULL, 447, NULL, 'ASM-like_Pdiesterase', 23446),
(23447, 'PIRSF001217', NULL, NULL, 612, NULL, 'Protease_4_SppA', 23447),
(23448, 'PIRSF000533', NULL, NULL, 889, NULL, 'ATP_PFK_euk', 23448),
(23449, 'PIRSF005047', NULL, NULL, 575, NULL, 'UCP005047_PHP', 23449),
(23450, 'PIRSF037456', NULL, NULL, 258, NULL, 'BAMBI', 23450),
(23451, 'PIRSF000192', NULL, NULL, 188, NULL, 'Amine_dh_beta', 23451),
(23452, 'PIRSF012666', NULL, NULL, 500, NULL, 'UCP012666', 23452),
(23453, 'PIRSF019236', NULL, NULL, 320, NULL, 'UCP019236', 23453),
(23454, 'PIRSF032673', NULL, NULL, 136, NULL, 'UCP032673', 23454),
(23455, 'PIRSF036411', NULL, NULL, 331, NULL, 'ATR_PduO', 23455),
(23456, 'PIRSF036534', NULL, NULL, 88, NULL, 'EhaC', 23456),
(23457, 'PIRSF038286', NULL, NULL, 475, NULL, 'PRAME', 23457),
(23458, 'PIRSF009264', NULL, NULL, 430, NULL, 'TagBP_ald_acces_AgaZ', 23458),
(23459, 'PIRSF500064', NULL, NULL, 820, NULL, 'GPAT', 23459),
(23460, 'PIRSF004640', NULL, NULL, 363, NULL, 'IspG', 23460),
(23461, 'PIRSF038055', NULL, NULL, 553, NULL, 'Nas9_nas10_nas11', 23461),
(23462, 'PIRSF028743', NULL, NULL, 123, NULL, 'GvpO_protein', 23462),
(23463, 'PIRSF032086', NULL, NULL, 234, NULL, 'UCP032086', 23463),
(23464, 'PIRSF019693', NULL, NULL, 265, NULL, 'VAMP_assoc_prot', 23464),
(23465, 'PIRSF035875', NULL, NULL, 306, NULL, 'RNase_BN', 23465),
(23466, 'PIRSF037207', NULL, NULL, 530, NULL, 'ATE1_euk', 23466),
(23467, 'PIRSF500794', NULL, NULL, 454, NULL, 'Thiamine_transporter_1', 23467),
(23468, 'PIRSF001473', NULL, NULL, 437, NULL, 'FK506-bp_FPR3', 23468),
(23469, 'PIRSF001357', NULL, NULL, 234, NULL, 'DeoC', 23469),
(23470, 'PIRSF000136', NULL, NULL, 463, NULL, 'LGO_GLO', 23470),
(23471, 'PIRSF037181', NULL, NULL, 143, NULL, 'UCP037181', 23471),
(23472, 'PIRSF001905', NULL, NULL, 48, NULL, 'Sea_anemon_toxin', 23472),
(23473, 'PIRSF032888', NULL, NULL, 377, NULL, 'UCP032888', 23473),
(23474, 'PIRSF036924', NULL, NULL, 405, NULL, 'Snx5_Snx6', 23474),
(23475, 'PIRSF000440', NULL, NULL, 215, NULL, 'CAT', 23475),
(23476, 'PIRSF030798', NULL, NULL, 126, NULL, 'UCP030798', 23476),
(23477, 'PIRSF005825', NULL, NULL, 73, NULL, 'PufQ', 23477),
(23478, 'PIRSF008315', NULL, NULL, 464, NULL, 'UCP008315', 23478),
(23479, 'PIRSF007028', NULL, NULL, 118, NULL, 'UCP007028', 23479),
(23480, 'PIRSF036517', NULL, NULL, 147, NULL, 'Ext_hemo', 23480),
(23481, 'PIRSF022950', NULL, NULL, 373, NULL, 'Pptase_methylesteras', 23481),
(23482, 'PIRSF028998', NULL, NULL, 217, NULL, 'GINS_PSF2', 23482),
(23483, 'PIRSF001553', NULL, NULL, 296, NULL, 'SucCS_alpha', 23483),
(23484, 'PIRSF036615', NULL, NULL, 402, NULL, 'MHYT_LytTR', 23484),
(23485, 'PIRSF000472', NULL, NULL, 564, NULL, 'Alpha1_6FUT_euk', 23485),
(23486, 'PIRSF000624', NULL, NULL, 860, NULL, 'TyrPK_TMrec_ROR', 23486),
(23487, 'PIRSF033563', NULL, NULL, 409, NULL, 'UCP033563', 23487),
(23488, 'PIRSF000099', NULL, NULL, 432, NULL, 'Histidinol_dh', 23488),
(23489, 'PIRSF001237', NULL, NULL, 349, NULL, 'Dihydroorotase', 23489),
(23490, 'PIRSF011416', NULL, NULL, 203, NULL, 'Ais-TraG-AfrS', 23490),
(23491, 'PIRSF030989', NULL, NULL, 468, NULL, 'Glycoporin_RafY', 23491),
(23492, 'PIRSF030125', NULL, NULL, 271, NULL, 'UCP030125', 23492),
(23493, 'PIRSF037942', NULL, NULL, 372, NULL, 'MH2A1', 23493),
(23494, 'PIRSF038150', NULL, NULL, 325, NULL, 'Metaxin', 23494),
(23495, 'PIRSF006325', NULL, NULL, 245, NULL, 'Mtase_YecO', 23495),
(23496, 'PIRSF036710', NULL, NULL, 203, NULL, 'YphA_Bacsu', 23496),
(23497, 'PIRSF018234', NULL, NULL, 521, NULL, 'Pp1_interacting', 23497),
(23498, 'PIRSF026326', NULL, NULL, 240, NULL, 'InaA', 23498),
(23499, 'PIRSF031134', NULL, NULL, 404, NULL, 'MTRK', 23499),
(23500, 'PIRSF028288', NULL, NULL, 206, NULL, 'UCP028288', 23500),
(23501, 'PIRSF036407', NULL, NULL, 347, NULL, 'SelenoP_synth', 23501),
(23502, 'PIRSF037387', NULL, NULL, 686, NULL, 'JP', 23502),
(23503, 'PIRSF004967', NULL, NULL, 366, NULL, 'DPH1', 23503);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23504, 'PIRSF006250', NULL, NULL, 284, NULL, 'NadC_ModD', 23504),
(23505, 'PIRSF010252', NULL, NULL, 180, NULL, 'ZapC', 23505),
(23506, 'PIRSF036794', NULL, NULL, 438, NULL, 'UCP_erythr_ester', 23506),
(23507, 'PIRSF017340', NULL, NULL, 174, NULL, 'Nudix_hydro', 23507),
(23508, 'PIRSF000865', NULL, NULL, 485, NULL, 'LPL_LIPH', 23508),
(23509, 'PIRSF020588', NULL, NULL, 335, NULL, 'Flk', 23509),
(23510, 'PIRSF020217', NULL, NULL, 116, NULL, 'UCP020217', 23510),
(23511, 'PIRSF026640', NULL, NULL, 191, NULL, 'Peripl_chor_mut', 23511),
(23512, 'PIRSF018871', NULL, NULL, 441, NULL, 'UCP018871', 23512),
(23513, 'PIRSF000706', NULL, NULL, 264, NULL, 'Kanamycin_kin', 23513),
(23514, 'PIRSF015848', NULL, NULL, 468, NULL, 'TEBP_alpha', 23514),
(23515, 'PIRSF036628', NULL, NULL, 272, NULL, 'IolB', 23515),
(23516, 'PIRSF005096', NULL, NULL, 355, NULL, 'GALM', 23516),
(23517, 'PIRSF016158', NULL, NULL, 333, NULL, 'HMD', 23517),
(23518, 'PIRSF004178', NULL, NULL, 572, NULL, 'DNA_pol_Bac_phage', 23518),
(23519, 'PIRSF036400', NULL, NULL, 264, NULL, 'RR_Ctr_UCP036400', 23519),
(23520, 'PIRSF006641', NULL, NULL, 371, NULL, 'EngD', 23520),
(23521, 'PIRSF005149', NULL, NULL, 367, NULL, 'IPC-B_HD', 23521),
(23522, 'PIRSF016919', NULL, NULL, 194, NULL, 'HupE_UreJ', 23522),
(23523, 'PIRSF016792', NULL, NULL, 129, NULL, 'UCP016792', 23523),
(23524, 'PIRSF037062', NULL, NULL, 189, NULL, 'INSL6', 23524),
(23525, 'PIRSF002799', NULL, NULL, 778, NULL, 'PBP1b', 23525),
(23526, 'PIRSF019711', NULL, NULL, 194, NULL, 'Memb_prtease_arc', 23526),
(23527, 'PIRSF006578', NULL, NULL, 210, NULL, 'FwdE', 23527),
(23528, 'PIRSF038141', NULL, NULL, 976, NULL, 'PP1_12ABC_vert', 23528),
(23529, 'PIRSF019271', NULL, NULL, 282, NULL, 'Acid_Ptase_C', 23529),
(23530, 'PIRSF016897', NULL, NULL, 190, NULL, 'GlpP', 23530),
(23531, 'PIRSF033095', NULL, NULL, 743, NULL, '5NTD_SA0022', 23531),
(23532, 'PIRSF037262', NULL, NULL, 73, NULL, 'UCP037262', 23532),
(23533, 'PIRSF001600', NULL, NULL, 341, NULL, 'DNA_ligase_T3', 23533),
(23534, 'PIRSF033093', NULL, NULL, 381, NULL, 'UCP_ML1119', 23534),
(23535, 'PIRSF003890', NULL, NULL, 263, NULL, 'LigT_coronavirus', 23535),
(23536, 'PIRSF001665', NULL, NULL, 52, NULL, 'PLB', 23536),
(23537, 'PIRSF001843', NULL, NULL, 126, NULL, 'NKB', 23537),
(23538, 'PIRSF000161', NULL, NULL, 261, NULL, 'DHPR', 23538),
(23539, 'PIRSF029720', NULL, NULL, 132, NULL, 'UCP029720', 23539),
(23540, 'PIRSF037029', NULL, NULL, 212, NULL, 'BAG_1', 23540),
(23541, 'PIRSF000587', NULL, NULL, 874, NULL, 'PI3K_Vps34', 23541),
(23542, 'PIRSF038166', NULL, NULL, 227, NULL, 'DMRL_synth_chloropl', 23542),
(23543, 'PIRSF031066', NULL, NULL, 409, NULL, 'SPF45', 23543),
(23544, 'PIRSF001394', NULL, NULL, 522, NULL, 'Fe_dep_fumar_hy', 23544),
(23545, 'PIRSF001822', NULL, NULL, 72, NULL, 'Dermaseptin_prec', 23545),
(23546, 'PIRSF004955', NULL, NULL, 266, NULL, 'HTH_arch', 23546),
(23547, 'PIRSF037999', NULL, NULL, 435, NULL, 'TNFR_3_LTBR', 23547),
(23548, 'PIRSF015589', NULL, NULL, 708, NULL, 'PPK_bact', 23548),
(23549, 'PIRSF000726', NULL, NULL, 461, NULL, 'Asp_kin', 23549),
(23550, 'PIRSF500135', NULL, NULL, 436, NULL, 'GDPman_DH', 23550),
(23551, 'PIRSF036500', NULL, NULL, 327, NULL, 'GMP_red_Firmic', 23551),
(23552, 'PIRSF034852', NULL, NULL, 97, NULL, 'UCP034852', 23552),
(23553, 'PIRSF029611', NULL, NULL, 117, NULL, 'UCP029611', 23553),
(23554, 'PIRSF032762', NULL, NULL, 450, NULL, 'UCP032762', 23554),
(23555, 'PIRSF003698', NULL, NULL, 357, NULL, 'VAC_C10L', 23555),
(23556, 'PIRSF000103', NULL, NULL, 299, NULL, 'HIBADH', 23556),
(23557, 'PIRSF018539', NULL, NULL, 271, NULL, 'CDT_B', 23557),
(23558, 'PIRSF000817', NULL, NULL, 507, NULL, 'Nucleotidyltrnsf', 23558),
(23559, 'PIRSF006692', NULL, NULL, 264, NULL, 'Txn_reg_HTH_AF0396', 23559),
(23560, 'PIRSF016095', NULL, NULL, 445, NULL, 'VirD2', 23560),
(23561, 'PIRSF000139', NULL, NULL, 424, NULL, 'Glc_ox_4Fe-4S', 23561),
(23562, 'PIRSF021719', NULL, NULL, 205, NULL, 'UCP021719', 23562);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23563, 'PIRSF009554', NULL, NULL, 146, NULL, 'UCP009554', 23563),
(23564, 'PIRSF026760', NULL, NULL, 353, NULL, 'UCP026760', 23564),
(23565, 'PIRSF003128', NULL, NULL, 554, NULL, 'RecN', 23565),
(23566, 'PIRSF000345', NULL, NULL, 485, NULL, 'OLE1', 23566),
(23567, 'PIRSF006864', NULL, NULL, 161, NULL, 'UCP006864', 23567),
(23568, 'PIRSF038159', NULL, NULL, 541, NULL, 'PP1_16AB', 23568),
(23569, 'PIRSF005962', NULL, NULL, 398, NULL, 'Amidohydrol_AmhX', 23569),
(23570, 'PIRSF500808', NULL, NULL, 820, NULL, 'PTPR_alpha', 23570),
(23571, 'PIRSF500824', NULL, NULL, 437, NULL, 'TrpB_prok', 23571),
(23572, 'PIRSF004762', NULL, NULL, 389, NULL, 'COFH', 23572),
(23573, 'PIRSF012641', NULL, NULL, 349, NULL, 'UCP012641', 23573),
(23574, 'PIRSF038085', NULL, NULL, 151, NULL, 'ChM-II', 23574),
(23575, 'PIRSF036620', NULL, NULL, 490, NULL, 'MPTbdFAD', 23575),
(23576, 'PIRSF038215', NULL, NULL, 251, NULL, 'Cripto-3_rel', 23576),
(23577, 'PIRSF028065', NULL, NULL, 149, NULL, 'UCP028065', 23577),
(23578, 'PIRSF037113', NULL, NULL, 380, NULL, 'Yin_yang', 23578),
(23579, 'PIRSF005225', NULL, NULL, 380, NULL, 'LAG1_LAC1', 23579),
(23580, 'PIRSF000189', NULL, NULL, 361, NULL, 'D-aa_oxidase', 23580),
(23581, 'PIRSF033094', NULL, NULL, 233, NULL, 'Pesterase_CT488', 23581),
(23582, 'PIRSF027779', NULL, NULL, 163, NULL, 'UCP207779', 23582),
(23583, 'PIRSF037185', NULL, NULL, 497, NULL, 'Cetp', 23583),
(23584, 'PIRSF028431', NULL, NULL, 452, NULL, 'UCP028431', 23584),
(23585, 'PIRSF004440', NULL, NULL, 363, NULL, 'GpP', 23585),
(23586, 'PIRSF011282', NULL, NULL, 236, NULL, 'Synaptogyrin', 23586),
(23587, 'PIRSF032676', NULL, NULL, 301, NULL, 'PQQC_032676', 23587),
(23588, 'PIRSF022348', NULL, NULL, 278, NULL, 'UCP022348', 23588),
(23589, 'PIRSF001069', NULL, NULL, 149, NULL, 'Lytic_enz_p15', 23589),
(23590, 'PIRSF008756', NULL, NULL, 193, NULL, 'P_tr_PHO88', 23590),
(23591, 'PIRSF500126', NULL, NULL, 421, NULL, 'Pgk_euglenozoa', 23591),
(23592, 'PIRSF003073', NULL, NULL, 255, NULL, 'DNAC_TnpB_IstB', 23592),
(23593, 'PIRSF037578', NULL, NULL, 1191, NULL, 'MAPKKK_STE11_Cryp', 23593),
(23594, 'PIRSF016468', NULL, NULL, 112, NULL, 'RDS3p', 23594),
(23595, 'PIRSF006205', NULL, NULL, 392, NULL, 'Dxp_reductoisomrs', 23595),
(23596, 'PIRSF002900', NULL, NULL, 55, NULL, 'LH-2', 23596),
(23597, 'PIRSF004374', NULL, NULL, 215, NULL, 'Gp59', 23597),
(23598, 'PIRSF037290', NULL, NULL, 220, NULL, 'UCP037290', 23598),
(23599, 'PIRSF015588', NULL, NULL, 152, NULL, 'AP_complex_sigma', 23599),
(23600, 'PIRSF028235', NULL, NULL, 310, NULL, 'UCP028235', 23600),
(23601, 'PIRSF025624', NULL, NULL, 151, NULL, 'ACT_PheB', 23601),
(23602, 'PIRSF027153', NULL, NULL, 198, NULL, 'NNF1', 23602),
(23603, 'PIRSF028162', NULL, NULL, 239, NULL, 'BcbE', 23603),
(23604, 'PIRSF001002', NULL, NULL, 283, NULL, 'EcoRI', 23604),
(23605, 'PIRSF015897', NULL, NULL, 274, NULL, 'PRIB5', 23605),
(23606, 'PIRSF016482', NULL, NULL, 215, NULL, 'PilO', 23606),
(23607, 'PIRSF000368', NULL, NULL, 177, NULL, 'Anaer_RNR_III_small', 23607),
(23608, 'PIRSF003440', NULL, NULL, 311, NULL, 'UCP003440', 23608),
(23609, 'PIRSF038019', NULL, NULL, 266, NULL, 'Neurexophilin', 23609),
(23610, 'PIRSF015034', NULL, NULL, 176, NULL, 'YacH', 23610),
(23611, 'PIRSF005925', NULL, NULL, 748, NULL, 'Dos', 23611),
(23612, 'PIRSF001444', NULL, NULL, 854, NULL, 'Adenylate_cycl', 23612),
(23613, 'PIRSF029826', NULL, NULL, 123, NULL, 'UCP029826_pph', 23613),
(23614, 'PIRSF001586', NULL, NULL, 243, NULL, 'FGAM_synth_I', 23614),
(23615, 'PIRSF000097', NULL, NULL, 321, NULL, 'AKR', 23615),
(23616, 'PIRSF029595', NULL, NULL, 114, NULL, 'LecB', 23616),
(23617, 'PIRSF007531', NULL, NULL, 209, NULL, 'CPT', 23617),
(23618, 'PIRSF016055', NULL, NULL, 405, NULL, 'NqrB', 23618),
(23619, 'PIRSF036480', NULL, NULL, 286, NULL, 'FormyFH4_hydr', 23619),
(23620, 'PIRSF037177', NULL, NULL, 268, NULL, 'COMT_euk', 23620),
(23621, 'PIRSF038994', NULL, NULL, 391, NULL, 'NagA', 23621),
(23622, 'PIRSF005567', NULL, NULL, 883, NULL, 'Beta''-COP', 23622);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23623, 'PIRSF005246', NULL, NULL, 1487, NULL, 'MukB', 23623),
(23624, 'PIRSF006563', NULL, NULL, 285, NULL, 'UCP006563', 23624),
(23625, 'PIRSF010361', NULL, NULL, 447, NULL, 'UCP010361', 23625),
(23626, 'PIRSF005335', NULL, NULL, 443, NULL, 'CCA_arch', 23626),
(23627, 'PIRSF011360', NULL, NULL, 833, NULL, 'PVC2', 23627),
(23628, 'PIRSF006815', NULL, NULL, 446, NULL, 'GcvPA', 23628),
(23629, 'PIRSF026317', NULL, NULL, 254, NULL, 'UCP026317_WGR', 23629),
(23630, 'PIRSF000709', NULL, NULL, 636, NULL, '6PFK_fruc_bisph_Ptase', 23630),
(23631, 'PIRSF019029', NULL, NULL, 462, NULL, 'Txn_fac_bZIP_E4BP4', 23631),
(23632, 'PIRSF000604', NULL, NULL, 615, NULL, 'TyrPK_SYK', 23632),
(23633, 'PIRSF037053', NULL, NULL, 99, NULL, 'UCP037053', 23633),
(23634, 'PIRSF008292', NULL, NULL, 235, NULL, 'UCP008292', 23634),
(23635, 'PIRSF002379', NULL, NULL, 175, NULL, 'Coagulogen', 23635),
(23636, 'PIRSF037038', NULL, NULL, 93, NULL, 'Bombyxin', 23636),
(23637, 'PIRSF000197', NULL, NULL, 1213, NULL, 'Bifunct_PutA', 23637),
(23638, 'PIRSF037938', NULL, NULL, 358, NULL, 'SIR2_euk', 23638),
(23639, 'PIRSF005087', NULL, NULL, 139, NULL, 'NrdI', 23639),
(23640, 'PIRSF018008', NULL, NULL, 264, NULL, 'UCP018008', 23640),
(23641, 'PIRSF026579', NULL, NULL, 183, NULL, 'SpoVT', 23641),
(23642, 'PIRSF036999', NULL, NULL, 401, NULL, 'RNA_ed_MP42', 23642),
(23643, 'PIRSF038925', NULL, NULL, 370, NULL, 'AMP-prot_trans', 23643),
(23644, 'PIRSF005765', NULL, NULL, 264, NULL, 'Fib-L', 23644),
(23645, 'PIRSF000340', NULL, NULL, 579, NULL, 'MPO_fungal', 23645),
(23646, 'PIRSF009431', NULL, NULL, 608, NULL, 'UCP009431', 23646),
(23647, 'PIRSF018100', NULL, NULL, 110, NULL, 'CsgC', 23647),
(23648, 'PIRSF009309', NULL, NULL, 213, NULL, 'RE_BamHI', 23648),
(23649, 'PIRSF016642', NULL, NULL, 272, NULL, 'UCP016642', 23649),
(23650, 'PIRSF001814', NULL, NULL, 112, NULL, 'Somatostatin', 23650),
(23651, 'PIRSF037092', NULL, NULL, 963, NULL, 'AP3_delta', 23651),
(23652, 'PIRSF000609', NULL, NULL, 534, NULL, 'STPK_YKL116c', 23652),
(23653, 'PIRSF006846', NULL, NULL, 166, NULL, 'UL5', 23653),
(23654, 'PIRSF037289', NULL, NULL, 1472, NULL, 'SARA/endofin', 23654),
(23655, 'PIRSF014728', NULL, NULL, 495, NULL, 'PqaA', 23655),
(23656, 'PIRSF009375', NULL, NULL, 858, NULL, 'Retromer_Vps35', 23656),
(23657, 'PIRSF036490', NULL, NULL, 797, NULL, 'Aldedh_dupl', 23657),
(23658, 'PIRSF037847', NULL, NULL, 171, NULL, 'NiaR', 23658),
(23659, 'PIRSF039137', NULL, NULL, 239, NULL, 'ABC_branched_ATPase', 23659),
(23660, 'PIRSF006156', NULL, NULL, 92, NULL, 'YafQ', 23660),
(23661, 'PIRSF017259', NULL, NULL, 454, NULL, 'tRNA_Mtase_TRM11', 23661),
(23662, 'PIRSF038013', NULL, NULL, 298, NULL, 'TNF10_TNF11', 23662),
(23663, 'PIRSF000905', NULL, NULL, 353, NULL, 'G6Pase', 23663),
(23664, 'PIRSF006188', NULL, NULL, 72, NULL, 'UCP006188', 23664),
(23665, 'PIRSF014677', NULL, NULL, 528, NULL, 'UCP014677', 23665),
(23666, 'PIRSF006221', NULL, NULL, 294, NULL, 'KT3K', 23666),
(23667, 'PIRSF033111', NULL, NULL, 230, NULL, 'UCP033111', 23667),
(23668, 'PIRSF036238', NULL, NULL, 107, NULL, 'UCP036238', 23668),
(23669, 'PIRSF000459', NULL, NULL, 688, NULL, 'TGM_EBP42', 23669),
(23670, 'PIRSF000087', NULL, NULL, 125, NULL, 'PYP', 23670),
(23671, 'PIRSF004848', NULL, NULL, 242, NULL, 'YBL036c_PLPDEIII', 23671),
(23672, 'PIRSF029008', NULL, NULL, 229, NULL, 'MecA', 23672),
(23673, 'PIRSF038168', NULL, NULL, 599, NULL, 'MAPKKK7', 23673),
(23674, 'PIRSF006246', NULL, NULL, 131, NULL, 'ADC', 23674),
(23675, 'PIRSF001734', NULL, NULL, 1802, NULL, 'BRCA1', 23675),
(23676, 'PIRSF019634', NULL, NULL, 832, NULL, 'tRNA_lig_yeast', 23676),
(23677, 'PIRSF020372', NULL, NULL, 160, NULL, 'Rev_Borrelia', 23677),
(23678, 'PIRSF001112', NULL, NULL, 449, NULL, 'Epoxide_hydro', 23678),
(23679, 'PIRSF006485', NULL, NULL, 443, NULL, 'EngA', 23679),
(23680, 'PIRSF018579', NULL, NULL, 113, NULL, 'Sbp', 23680),
(23681, 'PIRSF030365', NULL, NULL, 544, NULL, 'UCP030365', 23681),
(23682, 'PIRSF013217', NULL, NULL, 315, NULL, 'UCP013217_Opy1', 23682);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23683, 'PIRSF002111', NULL, NULL, 533, NULL, 'RpsA', 23683),
(23684, 'PIRSF036654', NULL, NULL, 551, NULL, 'Fum_suc_asp_HD', 23684),
(23685, 'PIRSF032285', NULL, NULL, 165, NULL, 'UCP032285', 23685),
(23686, 'PIRSF021278', NULL, NULL, 209, NULL, 'AcuA', 23686),
(23687, 'PIRSF016305', NULL, NULL, 332, NULL, 'LCMT', 23687),
(23688, 'PIRSF019375', NULL, NULL, 505, NULL, 'UCP019375', 23688),
(23689, 'PIRSF031505', NULL, NULL, 261, NULL, 'GalT_short', 23689),
(23690, 'PIRSF000454', NULL, NULL, 1843, NULL, 'FAS_yeast_alpha', 23690),
(23691, 'PIRSF017306', NULL, NULL, 160, NULL, 'Ureidoglycolate_hydrolase', 23691),
(23692, 'PIRSF006293', NULL, NULL, 225, NULL, 'ExsB', 23692),
(23693, 'PIRSF036778', NULL, NULL, 273, NULL, 'UCP036778', 23693),
(23694, 'PIRSF015947', NULL, NULL, 977, NULL, '26S_protsm_Rpn2', 23694),
(23695, 'PIRSF018153', NULL, NULL, 442, NULL, 'Glycolip_mannosyltransf_fung', 23695),
(23696, 'PIRSF000876', NULL, NULL, 358, NULL, 'RR_chemtxs_CheB', 23696),
(23697, 'PIRSF005852', NULL, NULL, 510, NULL, 'UCP005852', 23697),
(23698, 'PIRSF003817', NULL, NULL, 3416, NULL, 'Gen_Poly_FLV', 23698),
(23699, 'PIRSF035170', NULL, NULL, 228, NULL, 'HD_phosphohydro', 23699),
(23700, 'PIRSF003841', NULL, NULL, 517, NULL, 'Gypsy_env', 23700),
(23701, 'PIRSF016570', NULL, NULL, 709, NULL, 'Ku80', 23701),
(23702, 'PIRSF030471', NULL, NULL, 242, NULL, 'STR_Vng0742h', 23702),
(23703, 'PIRSF027893', NULL, NULL, 334, NULL, 'UCP027893', 23703),
(23704, 'PIRSF008109', NULL, NULL, 108, NULL, 'RFamide_ACEP-1', 23704),
(23705, 'PIRSF500206', NULL, NULL, 319, NULL, 'MtrH', 23705),
(23706, 'PIRSF005461', NULL, NULL, 222, NULL, '23S_rRNA_mtase', 23706),
(23707, 'PIRSF006444', NULL, NULL, 439, NULL, 'PaaK', 23707),
(23708, 'PIRSF001992', NULL, NULL, 269, NULL, 'CD74_antigen', 23708),
(23709, 'PIRSF009328', NULL, NULL, 494, NULL, 'RMT_SET', 23709),
(23710, 'PIRSF031568', NULL, NULL, 127, NULL, 'UCP031568', 23710),
(23711, 'PIRSF038007', NULL, NULL, 333, NULL, 'IL-12B', 23711),
(23712, 'PIRSF001137', NULL, NULL, 347, NULL, 'Haptoglobin', 23712),
(23713, 'PIRSF011588', NULL, NULL, 428, NULL, 'Gly_sarc_betain_reduct_a_b', 23713),
(23714, 'PIRSF036506', NULL, NULL, 660, NULL, 'MtRNA_frt_NDPSE', 23714),
(23715, 'PIRSF000484', NULL, NULL, 456, NULL, 'NAPRT', 23715),
(23716, 'PIRSF009193', NULL, NULL, 187, NULL, 'UCP009193', 23716),
(23717, 'PIRSF015901', NULL, NULL, 186, NULL, 'NAC_alpha', 23717),
(23718, 'PIRSF007349', NULL, NULL, 490, NULL, 'Tsp_L', 23718),
(23719, 'PIRSF013503', NULL, NULL, 267, NULL, 'OTUB', 23719),
(23720, 'PIRSF021438', NULL, NULL, 392, NULL, 'DltD', 23720),
(23721, 'PIRSF003783', NULL, NULL, 212, NULL, 'VAC_C1L', 23721),
(23722, 'PIRSF030066', NULL, NULL, 151, NULL, 'UCP030066', 23722),
(23723, 'PIRSF001779', NULL, NULL, 140, NULL, 'GF_C11R', 23723),
(23724, 'PIRSF009376', NULL, NULL, 1146, NULL, 'PLD_euk', 23724),
(23725, 'PIRSF015477', NULL, NULL, 1433, NULL, 'Bpr', 23725),
(23726, 'PIRSF000451', NULL, NULL, 377, NULL, 'PKS_III', 23726),
(23727, 'PIRSF029883', NULL, NULL, 112, NULL, 'KdgF', 23727),
(23728, 'PIRSF037240', NULL, NULL, 269, NULL, 'MAF1', 23728),
(23729, 'PIRSF000620', NULL, NULL, 1378, NULL, 'Insulin_receptor', 23729),
(23730, 'PIRSF007808', NULL, NULL, 1450, NULL, 'Mms22p', 23730),
(23731, 'PIRSF000770', NULL, NULL, 269, NULL, 'SigK_SigE', 23731),
(23732, 'PIRSF016465', NULL, NULL, 573, NULL, 'Kapp', 23732),
(23733, 'PIRSF030175', NULL, NULL, 261, NULL, 'UCP030175', 23733),
(23734, 'PIRSF001155', NULL, NULL, 706, NULL, 'C1r_C1s_MASP', 23734),
(23735, 'PIRSF037259', NULL, NULL, 407, NULL, 'ABC_permease_EcsB', 23735),
(23736, 'PIRSF018425', NULL, NULL, 596, NULL, 'PolyA_polymerase', 23736),
(23737, 'PIRSF031032', NULL, NULL, 170, NULL, 'TMP_97', 23737),
(23738, 'PIRSF031578', NULL, NULL, 379, NULL, 'UCP0310578_VanZ', 23738),
(23739, 'PIRSF004574', NULL, NULL, 128, NULL, 'RepA4', 23739),
(23740, 'PIRSF006755', NULL, NULL, 235, NULL, 'DTB_synth', 23740),
(23741, 'PIRSF012526', NULL, NULL, 193, NULL, 'CYTH_UCP012526', 23741);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23742, 'PIRSF004075', NULL, NULL, 197, NULL, 'Coat_Flexivir', 23742),
(23743, 'PIRSF001790', NULL, NULL, 326, NULL, 'TNF_C22L', 23743),
(23744, 'PIRSF038165', NULL, NULL, 917, NULL, 'MAPKKK12_MAPKKK13', 23744),
(23745, 'PIRSF019853', NULL, NULL, 127, NULL, 'UCP019853', 23745),
(23746, 'PIRSF000854', NULL, NULL, 796, NULL, 'PEP_synthase', 23746),
(23747, 'PIRSF017302', NULL, NULL, 455, NULL, 'Gltscr2', 23747),
(23748, 'PIRSF004698', NULL, NULL, 500, NULL, 'UCP_CBS_MJ0100', 23748),
(23749, 'PIRSF002912', NULL, NULL, 146, NULL, 'PsaK', 23749),
(23750, 'PIRSF037673', NULL, NULL, 129, NULL, 'UCP037673', 23750),
(23751, 'PIRSF006373', NULL, NULL, 176, NULL, 'TFE_archaea', 23751),
(23752, 'PIRSF036409', NULL, NULL, 146, NULL, 'EutP_PduV', 23752),
(23753, 'PIRSF037966', NULL, NULL, 246, NULL, 'BZLF1', 23753),
(23754, 'PIRSF014300', NULL, NULL, 196, NULL, 'Protoglobin', 23754),
(23755, 'PIRSF037646', NULL, NULL, 1252, NULL, 'Apaf_1', 23755),
(23756, 'PIRSF018557', NULL, NULL, 177, NULL, 'DAN', 23756),
(23757, 'PIRSF002936', NULL, NULL, 302, NULL, 'SAT_2', 23757),
(23758, 'PIRSF000857', NULL, NULL, 248, NULL, 'PAPS_reductase', 23758),
(23759, 'PIRSF001145', NULL, NULL, 563, NULL, 'Tissue_plasm_act', 23759),
(23760, 'PIRSF002394', NULL, NULL, 357, NULL, 'GNBP_B', 23760),
(23761, 'PIRSF004602', NULL, NULL, 364, NULL, 'ATPgrasp_PurP', 23761),
(23762, 'PIRSF004108', NULL, NULL, 317, NULL, 'Coat_Tenuivirus', 23762),
(23763, 'PIRSF028784', NULL, NULL, 95, NULL, 'MrpF', 23763),
(23764, 'PIRSF001625', NULL, NULL, 145, NULL, 'Prot_inhib_pacifastin', 23764),
(23765, 'PIRSF033905', NULL, NULL, 332, NULL, 'UCP033905', 23765),
(23766, 'PIRSF033018', NULL, NULL, 380, NULL, 'EspD', 23766),
(23767, 'PIRSF034110', NULL, NULL, 159, NULL, 'UCP034110', 23767),
(23768, 'PIRSF000370', NULL, NULL, 220, NULL, 'QueE', 23768),
(23769, 'PIRSF000862', NULL, NULL, 408, NULL, 'Steryl_ester_lip', 23769),
(23770, 'PIRSF000501', NULL, NULL, 380, NULL, 'DHPS_Campy', 23770),
(23771, 'PIRSF027923', NULL, NULL, 325, NULL, 'Rubrer_027923', 23771),
(23772, 'PIRSF005989', NULL, NULL, 37, NULL, 'Ectatomin', 23772),
(23773, 'PIRSF001000', NULL, NULL, 139, NULL, 'PDG_ENDV', 23773),
(23774, 'PIRSF003033', NULL, NULL, 621, NULL, 'Ku70', 23774),
(23775, 'PIRSF016134', NULL, NULL, 111, NULL, 'UCP016134', 23775),
(23776, 'PIRSF019202', NULL, NULL, 232, NULL, 'UCP019202', 23776),
(23777, 'PIRSF006521', NULL, NULL, 88, NULL, 'TEF-1-beta_archaea', 23777),
(23778, 'PIRSF038157', NULL, NULL, 254, NULL, 'Cpn21', 23778),
(23779, 'PIRSF002530', NULL, NULL, 515, NULL, 'FTZ-F1', 23779),
(23780, 'PIRSF004897', NULL, NULL, 167, NULL, 'UCP004897_ACT', 23780),
(23781, 'PIRSF038098', NULL, NULL, 385, NULL, 'SOX-12/11/4a', 23781),
(23782, 'PIRSF037828', NULL, NULL, 110, NULL, 'SAP', 23782),
(23783, 'PIRSF000631', NULL, NULL, 1112, NULL, 'TyrPK_receptor_Ret', 23783),
(23784, 'PIRSF018748', NULL, NULL, 177, NULL, 'UCP018748', 23784),
(23785, 'PIRSF000853', NULL, NULL, 883, NULL, 'PPDK', 23785),
(23786, 'PIRSF033132', NULL, NULL, 494, NULL, 'UCP033132', 23786),
(23787, 'PIRSF031051', NULL, NULL, 258, NULL, 'PLP_phosphatas_PHOSPHO2', 23787),
(23788, 'PIRSF006698', NULL, NULL, 435, NULL, 'Septin', 23788),
(23789, 'PIRSF037931', NULL, NULL, 1065, NULL, 'TMPRSS9_polyserase-1', 23789),
(23790, 'PIRSF031475', NULL, NULL, 265, NULL, 'UCP031475', 23790),
(23791, 'PIRSF009374', NULL, NULL, 453, NULL, 'RUNX_CBFa', 23791),
(23792, 'PIRSF004117', NULL, NULL, 82, NULL, 'Phage_coat_B', 23792),
(23793, 'PIRSF037125', NULL, NULL, 461, NULL, 'Nob1', 23793),
(23794, 'PIRSF032522', NULL, NULL, 462, NULL, 'TcaA', 23794),
(23795, 'PIRSF029900', NULL, NULL, 719, NULL, 'Alpha-glucuronds', 23795),
(23796, 'PIRSF006909', NULL, NULL, 103, NULL, 'UCP006909', 23796),
(23797, 'PIRSF500687', NULL, NULL, 134, NULL, 'MTase_demethylubiq_bact', 23797),
(23798, 'PIRSF028503', NULL, NULL, 550, NULL, 'UCP028503', 23798),
(23799, 'PIRSF012702', NULL, NULL, 501, NULL, 'MlrC', 23799),
(23800, 'PIRSF028810', NULL, NULL, 465, NULL, 'Alg10', 23800);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23801, 'PIRSF032543', NULL, NULL, 254, NULL, 'UCP032543_ParB', 23801),
(23802, 'PIRSF038927', NULL, NULL, 701, NULL, 'Catalase_clade2', 23802),
(23803, 'PIRSF016049', NULL, NULL, 388, NULL, 'Mann_dehydr_UxuA', 23803),
(23804, 'PIRSF028687', NULL, NULL, 148, NULL, 'UCP028687', 23804),
(23805, 'PIRSF000204', NULL, NULL, 468, NULL, 'PNTB', 23805),
(23806, 'PIRSF016564', NULL, NULL, 125, NULL, 'NDUS6', 23806),
(23807, 'PIRSF003167', NULL, NULL, 630, NULL, 'HK_NarX/NarQ', 23807),
(23808, 'PIRSF015557', NULL, NULL, 386, NULL, 'UCP015557', 23808),
(23809, 'PIRSF008129', NULL, NULL, 228, NULL, 'Noggin', 23809),
(23810, 'PIRSF020870', NULL, NULL, 361, NULL, 'Radical_SAM_bac', 23810),
(23811, 'PIRSF031503', NULL, NULL, 260, NULL, 'UCP031503_mp', 23811),
(23812, 'PIRSF037945', NULL, NULL, 200, NULL, 'PGRP-S', 23812),
(23813, 'PIRSF004567', NULL, NULL, 534, NULL, 'TnsE', 23813),
(23814, 'PIRSF037221', NULL, NULL, 337, NULL, 'UCP037221', 23814),
(23815, 'PIRSF018162', NULL, NULL, 356, NULL, 'TRAMP_AIR', 23815),
(23816, 'PIRSF007059', NULL, NULL, 137, NULL, 'ComD', 23816),
(23817, 'PIRSF016398', NULL, NULL, 296, NULL, 'TFIIE-beta', 23817),
(23818, 'PIRSF037495', NULL, NULL, 476, NULL, 'OoxA/HcnB', 23818),
(23819, 'PIRSF500230', NULL, NULL, 550, NULL, 'Sterol_acyltranf_ACAT', 23819),
(23820, 'PIRSF033642', NULL, NULL, 279, NULL, 'UCP033642', 23820),
(23821, 'PIRSF002297', NULL, NULL, 2332, NULL, 'Spectrin_beta', 23821),
(23822, 'PIRSF001362', NULL, NULL, 431, NULL, 'ICL', 23822),
(23823, 'PIRSF036665', NULL, NULL, 878, NULL, 'Sulf1', 23823),
(23824, 'PIRSF037893', NULL, NULL, 851, NULL, 'Subtilisin_rel_Maqu_2796', 23824),
(23825, 'PIRSF036959', NULL, NULL, 433, NULL, 'mRNA_cap_alpha', 23825),
(23826, 'PIRSF028139', NULL, NULL, 114, NULL, 'DOPA-diox_rel_Mll2280', 23826),
(23827, 'PIRSF036540', NULL, NULL, 327, NULL, 'UCP036540_AIR', 23827),
(23828, 'PIRSF015162', NULL, NULL, 197, NULL, 'IL-18', 23828),
(23829, 'PIRSF006091', NULL, NULL, 211, NULL, 'E_trnsport_RnfG', 23829),
(23830, 'PIRSF037568', NULL, NULL, 1385, NULL, 'ROCK', 23830),
(23831, 'PIRSF034081', NULL, NULL, 502, NULL, 'ATPase_Atu1862', 23831),
(23832, 'PIRSF000507', NULL, NULL, 243, NULL, 'IPT', 23832),
(23833, 'PIRSF018169', NULL, NULL, 514, NULL, 'PAF_acetylhydrolase', 23833),
(23834, 'PIRSF006318', NULL, NULL, 141, NULL, 'YhcB', 23834),
(23835, 'PIRSF015000', NULL, NULL, 240, NULL, 'UCP01500', 23835),
(23836, 'PIRSF001021', NULL, NULL, 510, NULL, 'Alph-amls_thrmst', 23836),
(23837, 'PIRSF000939', NULL, NULL, 373, NULL, 'MAPK_Ptase', 23837),
(23838, 'PIRSF005063', NULL, NULL, 298, NULL, 'UCP_CBS_MJ1232', 23838),
(23839, 'PIRSF007948', NULL, NULL, 105, NULL, 'Wun1', 23839),
(23840, 'PIRSF012560', NULL, NULL, 309, NULL, 'UCP012560', 23840),
(23841, 'PIRSF015691', NULL, NULL, 343, NULL, 'VAC_E5R', 23841),
(23842, 'PIRSF006748', NULL, NULL, 488, NULL, 'MDM_2/4', 23842),
(23843, 'PIRSF037930', NULL, NULL, 678, NULL, 'K_endopeptidase', 23843),
(23844, 'PIRSF005278', NULL, NULL, 247, NULL, 'UCP005278', 23844),
(23845, 'PIRSF021383', NULL, NULL, 239, NULL, 'YunB', 23845),
(23846, 'PIRSF000108', NULL, NULL, 428, NULL, 'IDH_NADP', 23846),
(23847, 'PIRSF015690', NULL, NULL, 272, NULL, 'VAC_E8R', 23847),
(23848, 'PIRSF026532', NULL, NULL, 292, NULL, 'Mtx2_tox', 23848),
(23849, 'PIRSF007248', NULL, NULL, 103, NULL, 'UCP007248', 23849),
(23850, 'PIRSF029342', NULL, NULL, 384, NULL, 'UCP029342_Bll4150', 23850),
(23851, 'PIRSF017016', NULL, NULL, 167, NULL, 'NDUA8', 23851),
(23852, 'PIRSF019073', NULL, NULL, 299, NULL, 'UCP019073', 23852),
(23853, 'PIRSF037866', NULL, NULL, 354, NULL, 'EBP50', 23853),
(23854, 'PIRSF000746', NULL, NULL, 302, NULL, 'RPO35', 23854),
(23855, 'PIRSF037527', NULL, NULL, 275, NULL, 'GTPase_Tem1', 23855),
(23856, 'PIRSF004930', NULL, NULL, 346, NULL, 'Tln_factor_SUA5', 23856),
(23857, 'PIRSF037921', NULL, NULL, 567, NULL, 'STPK_RIP2', 23857),
(23858, 'PIRSF018417', NULL, NULL, 559, NULL, 'FACC_protein', 23858),
(23859, 'PIRSF034039', NULL, NULL, 1252, NULL, 'UCP034039', 23859);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23860, 'PIRSF001097', NULL, NULL, 290, NULL, 'Agarase', 23860),
(23861, 'PIRSF002161', NULL, NULL, 193, NULL, 'RPL5p_RPL5a_RPL11e_RPL5o', 23861),
(23862, 'PIRSF037988', NULL, NULL, 379, NULL, 'UCP037988', 23862),
(23863, 'PIRSF034888', NULL, NULL, 387, NULL, 'P-loop_UCP034888', 23863),
(23864, 'PIRSF026782', NULL, NULL, 361, NULL, 'CbiD', 23864),
(23865, 'PIRSF001563', NULL, NULL, 440, NULL, 'Folylpolyglu_synth', 23865),
(23866, 'PIRSF001535', NULL, NULL, 572, NULL, 'ProRS_1', 23866),
(23867, 'PIRSF002756', NULL, NULL, 370, NULL, 'PstS', 23867),
(23868, 'PIRSF006170', NULL, NULL, 215, NULL, 'YfgM', 23868),
(23869, 'PIRSF019706', NULL, NULL, 168, NULL, 'EhaB', 23869),
(23870, 'PIRSF037437', NULL, NULL, 691, NULL, 'Atp22', 23870),
(23871, 'PIRSF038139', NULL, NULL, 724, NULL, 'EF-2_kin', 23871),
(23872, 'PIRSF500207', NULL, NULL, 240, NULL, 'MtrA', 23872),
(23873, 'PIRSF037941', NULL, NULL, 421, NULL, 'TMPRSS11ABCDE', 23873),
(23874, 'PIRSF005557', NULL, NULL, 384, NULL, 'Sialyl_trans', 23874),
(23875, 'PIRSF500154', NULL, NULL, 137, NULL, 'RPB6', 23875),
(23876, 'PIRSF000283', NULL, NULL, 60, NULL, 'COX9', 23876),
(23877, 'PIRSF000429', NULL, NULL, 401, NULL, 'Ac-CoA_Ac_transf', 23877),
(23878, 'PIRSF037991', NULL, NULL, 457, NULL, 'UCP037991_UBX_2_7', 23878),
(23879, 'PIRSF000610', NULL, NULL, 870, NULL, 'STPK_YKL171w', 23879),
(23880, 'PIRSF037708', NULL, NULL, 150, NULL, 'Protein_FYV7', 23880),
(23881, 'PIRSF006588', NULL, NULL, 349, NULL, 'TyrRS_arch_euk', 23881),
(23882, 'PIRSF001434', NULL, NULL, 406, NULL, 'CGS', 23882),
(23883, 'PIRSF027386', NULL, NULL, 337, NULL, 'UCP027386_ABC_sbc_TM0202', 23883),
(23884, 'PIRSF000095', NULL, NULL, 313, NULL, '17beta-HSD', 23884),
(23885, 'PIRSF017245', NULL, NULL, 808, NULL, 'Phosphoketolase', 23885),
(23886, 'PIRSF005900', NULL, NULL, 170, NULL, 'Dps', 23886),
(23887, 'PIRSF000826', NULL, NULL, 2098, NULL, 'L_PhleboV', 23887),
(23888, 'PIRSF016662', NULL, NULL, 295, NULL, 'UCP016662_Toprim', 23888),
(23889, 'PIRSF034789', NULL, NULL, 121, NULL, 'Type_III_secr_syst_SsaM', 23889),
(23890, 'PIRSF018266', NULL, NULL, 328, NULL, 'FecR', 23890),
(23891, 'PIRSF036626', NULL, NULL, 536, NULL, 'MPTBd_MobAlike', 23891),
(23892, 'PIRSF014872', NULL, NULL, 527, NULL, 'UCP014872', 23892),
(23893, 'PIRSF033949', NULL, NULL, 258, NULL, 'Phosest_Mlr3352', 23893),
(23894, 'PIRSF000559', NULL, NULL, 746, NULL, 'cGMP-dep_kinase', 23894),
(23895, 'PIRSF038015', NULL, NULL, 457, NULL, 'N-chimaerin', 23895),
(23896, 'PIRSF000109', NULL, NULL, 484, NULL, '6PGD', 23896),
(23897, 'PIRSF036551', NULL, NULL, 291, NULL, 'Chitosanase', 23897),
(23898, 'PIRSF000376', NULL, NULL, 467, NULL, 'ACDS_gamma', 23898),
(23899, 'PIRSF031767', NULL, NULL, 305, NULL, 'MHYE_LytTR', 23899),
(23900, 'PIRSF000545', NULL, NULL, 317, NULL, 'Pantothenate_kin', 23900),
(23901, 'PIRSF021524', NULL, NULL, 315, NULL, 'MSH_acetyltransferase', 23901),
(23902, 'PIRSF009530', NULL, NULL, 122, NULL, 'Nvp', 23902),
(23903, 'PIRSF500312', NULL, NULL, 92, NULL, 'Bombyxin_A', 23903),
(23904, 'PIRSF015877', NULL, NULL, 208, NULL, 'UCP015877', 23904),
(23905, 'PIRSF013220', NULL, NULL, 590, NULL, 'UCP013220', 23905),
(23906, 'PIRSF027202', NULL, NULL, 571, NULL, 'Ced_4', 23906),
(23907, 'PIRSF012886', NULL, NULL, 307, NULL, 'UCP012886', 23907),
(23908, 'PIRSF039033', NULL, NULL, 224, NULL, 'START_dom', 23908),
(23909, 'PIRSF000362', NULL, NULL, 472, NULL, 'FNR', 23909),
(23910, 'PIRSF006158', NULL, NULL, 210, NULL, 'UCP006158_SH3', 23910),
(23911, 'PIRSF001146', NULL, NULL, 592, NULL, 'Factor_XII_HGFA', 23911),
(23912, 'PIRSF017179', NULL, NULL, 901, NULL, 'RISC-Tudor-SN', 23912),
(23913, 'PIRSF019083', NULL, NULL, 171, NULL, 'UCP019083_VanZ', 23913),
(23914, 'PIRSF004486', NULL, NULL, 308, NULL, 'MraW', 23914),
(23915, 'PIRSF000845', NULL, NULL, 1293, NULL, 'mRNA_capping_reovirus', 23915),
(23916, 'PIRSF015894', NULL, NULL, 664, NULL, 'PRMT5', 23916),
(23917, 'PIRSF016433', NULL, NULL, 234, NULL, 'Viral_DNA_prim', 23917);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23918, 'PIRSF000495', NULL, NULL, 211, NULL, 'Amidotransf_HisH', 23918),
(23919, 'PIRSF028451', NULL, NULL, 227, NULL, 'UCP028451', 23919),
(23920, 'PIRSF038132', NULL, NULL, 302, NULL, 'NUDIX_AtNUDT22', 23920),
(23921, 'PIRSF011668', NULL, NULL, 675, NULL, 'Ccz1p', 23921),
(23922, 'PIRSF003900', NULL, NULL, 738, NULL, 'N_FiloV', 23922),
(23923, 'PIRSF006105', NULL, NULL, 156, NULL, 'NapB', 23923),
(23924, 'PIRSF035918', NULL, NULL, 324, NULL, 'UCP035918', 23924),
(23925, 'PIRSF036424', NULL, NULL, 708, NULL, 'Transl_init_eIF3b', 23925),
(23926, 'PIRSF038163', NULL, NULL, 547, NULL, 'ITPK_unchar_domain', 23926),
(23927, 'PIRSF037281', NULL, NULL, 587, NULL, 'Wee1_like_PK', 23927),
(23928, 'PIRSF036483', NULL, NULL, 417, NULL, 'PFK_XF0274', 23928),
(23929, 'PIRSF002097', NULL, NULL, 99, NULL, 'DNA-bp_Fis', 23929),
(23930, 'PIRSF020079', NULL, NULL, 138, NULL, 'UCP020079', 23930),
(23931, 'PIRSF005954', NULL, NULL, 211, NULL, 'Thrmst_ogg', 23931),
(23932, 'PIRSF006533', NULL, NULL, 174, NULL, 'UCP006533', 23932),
(23933, 'PIRSF016521', NULL, NULL, 419, NULL, 'Acyl-CoA_hydro', 23933),
(23934, 'PIRSF019108', NULL, NULL, 108, NULL, 'Txn_reg_CopG', 23934),
(23935, 'PIRSF036639', NULL, NULL, 188, NULL, 'PMK_anim', 23935),
(23936, 'PIRSF002419', NULL, NULL, 251, NULL, 'Tetraspanin', 23936),
(23937, 'PIRSF004305', NULL, NULL, 81, NULL, 'Imm', 23937),
(23938, 'PIRSF004525', NULL, NULL, 194, NULL, 'Pilin_peptidase-dep_B', 23938),
(23939, 'PIRSF037373', NULL, NULL, 124, NULL, 'UCP037373_trxn_reg', 23939),
(23940, 'PIRSF000641', NULL, NULL, 855, NULL, 'SRK', 23940),
(23941, 'PIRSF000110', NULL, NULL, 501, NULL, 'G6PD', 23941),
(23942, 'PIRSF021591', NULL, NULL, 155, NULL, 'UCP021591', 23942),
(23943, 'PIRSF016951', NULL, NULL, 251, NULL, 'MADP_ribosyltransf_Edin', 23943),
(23944, 'PIRSF036370', NULL, NULL, 855, NULL, 'ST14', 23944),
(23945, 'PIRSF037139', NULL, NULL, 326, NULL, 'UCP037139', 23945),
(23946, 'PIRSF036312', NULL, NULL, 2873, NULL, 'Fibrillin', 23946),
(23947, 'PIRSF037618', NULL, NULL, 726, NULL, 'RNA_Mtase_bacterial', 23947),
(23948, 'PIRSF037714', NULL, NULL, 462, NULL, 'TolR', 23948),
(23949, 'PIRSF012943', NULL, NULL, 321, NULL, 'UCP012943', 23949),
(23950, 'PIRSF036289', NULL, NULL, 786, NULL, 'Glycosyl_hydrolase_malt_phosph', 23950),
(23951, 'PIRSF000017', NULL, NULL, 348, NULL, 'RC_cytochrome', 23951),
(23952, 'PIRSF015578', NULL, NULL, 431, NULL, 'Myoinositol-ppht_synth', 23952),
(23953, 'PIRSF004990', NULL, NULL, 63, NULL, 'UCP004990', 23953),
(23954, 'PIRSF031890', NULL, NULL, 229, NULL, 'UCP031890_transporter_Tim44', 23954),
(23955, 'PIRSF005285', NULL, NULL, 166, NULL, 'tRNA_splic_endonuc_archaea', 23955),
(23956, 'PIRSF005917', NULL, NULL, 287, NULL, 'MTase_YraL', 23956),
(23957, 'PIRSF006346', NULL, NULL, 447, NULL, 'Ni_metllenz_mat', 23957),
(23958, 'PIRSF016021', NULL, NULL, 286, NULL, 'ESCAROLA', 23958),
(23959, 'PIRSF037536', NULL, NULL, 1178, NULL, 'WD35', 23959),
(23960, 'PIRSF001152', NULL, NULL, 714, NULL, 'HGF_MST1', 23960),
(23961, 'PIRSF006661', NULL, NULL, 274, NULL, 'UCP006661_PP-loop', 23961),
(23962, 'PIRSF036958', NULL, NULL, 615, NULL, 'mRNA_capping_HCE', 23962),
(23963, 'PIRSF500217', NULL, NULL, 486, NULL, 'AlgI', 23963),
(23964, 'PIRSF005928', NULL, NULL, 226, NULL, 'Nucleotidltrnsf', 23964),
(23965, 'PIRSF015736', NULL, NULL, 252, NULL, 'MI', 23965),
(23966, 'PIRSF036773', NULL, NULL, 247, NULL, 'HIRIP5', 23966),
(23967, 'PIRSF018431', NULL, NULL, 138, NULL, 'Molluscan_insulin_rel_peptide', 23967),
(23968, 'PIRSF037434', NULL, NULL, 412, NULL, 'HK_ChrS', 23968),
(23969, 'PIRSF000452', NULL, NULL, 152, NULL, '6-N-acetyltransf', 23969),
(23970, 'PIRSF024865', NULL, NULL, 175, NULL, 'UCP024865', 23970),
(23971, 'PIRSF000130', NULL, NULL, 493, NULL, 'IMPDH', 23971),
(23972, 'PIRSF038122', NULL, NULL, 450, NULL, 'COBRA', 23972),
(23973, 'PIRSF018868', NULL, NULL, 193, NULL, 'UCP018868', 23973),
(23974, 'PIRSF007352', NULL, NULL, 138, NULL, 'OapB', 23974);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(23975, 'PIRSF037402', NULL, NULL, 367, NULL, 'Lefty', 23975),
(23976, 'PIRSF011869', NULL, NULL, 786, NULL, 'Nibrin_animal', 23976),
(23977, 'PIRSF015618', NULL, NULL, 349, NULL, 'BHLH_neuroD', 23977),
(23978, 'PIRSF000512', NULL, NULL, 349, NULL, 'TMP_PPase_Cyanobac', 23978),
(23979, 'PIRSF036489', NULL, NULL, 904, NULL, '10-FTHFDH', 23979),
(23980, 'PIRSF005856', NULL, NULL, 326, NULL, 'Rad51', 23980),
(23981, 'PIRSF000900', NULL, NULL, 610, NULL, 'Acid_Ptase_Asper', 23981),
(23982, 'PIRSF007407', NULL, NULL, 853, NULL, 'UCP007407_Abi', 23982),
(23983, 'PIRSF017494', NULL, NULL, 357, NULL, 'Thiazolinyl_imide_reduct_YbtU', 23983),
(23984, 'PIRSF014484', NULL, NULL, 251, NULL, 'UCP014484', 23984),
(23985, 'PIRSF002004', NULL, NULL, 1275, NULL, 'Leukocyte_common_antigen', 23985),
(23986, 'PIRSF000378', NULL, NULL, 124, NULL, 'Gly_radicl_YfiD', 23986),
(23987, 'PIRSF036592', NULL, NULL, 396, NULL, 'Methlestr_CheB', 23987),
(23988, 'PIRSF007103', NULL, NULL, 109, NULL, 'UCP007103', 23988),
(23989, 'PIRSF017371', NULL, NULL, 145, NULL, 'UCP017371', 23989),
(23990, 'PIRSF037205', NULL, NULL, 52, NULL, 'UCP037205', 23990),
(23991, 'PIRSF000083', NULL, NULL, 67, NULL, 'Allophyco_linker', 23991),
(23992, 'PIRSF026449', NULL, NULL, 462, NULL, 'UCP026449', 23992),
(23993, 'PIRSF032067', NULL, NULL, 509, NULL, 'Cyanophycinase', 23993),
(23994, 'PIRSF000235', NULL, NULL, 348, NULL, 'GMP_reductase', 23994),
(23995, 'PIRSF003101', NULL, NULL, 422, NULL, 'FtsA', 23995),
(23996, 'PIRSF001866', NULL, NULL, 177, NULL, 'Mating_factor_alpha', 23996),
(23997, 'PIRSF003161', NULL, NULL, 338, NULL, 'FliG', 23997),
(23998, 'PIRSF004776', NULL, NULL, 408, NULL, 'NadR_NMNAT/RNK', 23998),
(23999, 'PIRSF026412', NULL, NULL, 325, NULL, 'Streptogrm_lyase', 23999),
(24000, 'PIRSF004697', NULL, NULL, 204, NULL, 'UCP_CBS_CP12', 24000),
(24001, 'PIRSF500793', NULL, NULL, 509, NULL, 'Folate_transporter_1', 24001),
(24002, 'PIRSF036548', NULL, NULL, 96, NULL, 'Fdx_FixX', 24002),
(24003, 'PIRSF000089', NULL, NULL, 328, NULL, 'Electra_flavoP_a', 24003),
(24004, 'PIRSF037023', NULL, NULL, 672, NULL, 'Api_ROM4_ROM5', 24004),
(24005, 'PIRSF000180', NULL, NULL, 129, NULL, 'FrdC', 24005),
(24006, 'PIRSF005512', NULL, NULL, 362, NULL, 'UCP005512', 24006),
(24007, 'PIRSF039088', NULL, NULL, 511, NULL, 'F_ATPase_subunit_alpha', 24007),
(24008, 'PIRSF003059', NULL, NULL, 549, NULL, 'GtfA', 24008),
(24009, 'PIRSF003766', NULL, NULL, 75, NULL, 'VAC_I2L', 24009),
(24010, 'PIRSF001199', NULL, NULL, 1034, NULL, 'BMP1', 24010),
(24011, 'PIRSF036593', NULL, NULL, 383, NULL, 'GrdD', 24011),
(24012, 'PIRSF003336', NULL, NULL, 230, NULL, 'RadB', 24012),
(24013, 'PIRSF028561', NULL, NULL, 323, NULL, 'Ac_Trasf', 24013),
(24014, 'PIRSF006404', NULL, NULL, 364, NULL, 'UCP_M50_CBS', 24014),
(24015, 'PIRSF008381', NULL, NULL, 707, NULL, 'TP0020_vWA', 24015),
(24016, 'PIRSF035805', NULL, NULL, 197, NULL, 'Tdk', 24016),
(24017, 'PIRSF026434', NULL, NULL, 567, NULL, 'RR_ycf55', 24017),
(24018, 'PIRSF011091', NULL, NULL, 720, NULL, 'BBS7', 24018),
(24019, 'PIRSF500814', NULL, NULL, 285, NULL, 'PP1_GL', 24019),
(24020, 'PIRSF004548', NULL, NULL, 462, NULL, 'CreD', 24020),
(24021, 'PIRSF016567', NULL, NULL, 561, NULL, 'IFNAR1', 24021),
(24022, 'PIRSF007519', NULL, NULL, 781, NULL, 'Protease_InhA', 24022),
(24023, 'PIRSF000171', NULL, NULL, 586, NULL, 'SDHA_APRA_LASPO', 24023),
(24024, 'PIRSF000412', NULL, NULL, 450, NULL, 'SHMT', 24024),
(24025, 'PIRSF006816', NULL, NULL, 260, NULL, 'Cyc3_hyd_g', 24025),
(24026, 'PIRSF037246', NULL, NULL, 77, NULL, 'UCP037246', 24026),
(24027, 'PIRSF000661', NULL, NULL, 798, NULL, 'STPK_RAD53', 24027),
(24028, 'PIRSF006769', NULL, NULL, 373, NULL, 'RibD', 24028),
(24029, 'PIRSF033722', NULL, NULL, 329, NULL, 'DnaD_CA_C3587', 24029),
(24030, 'PIRSF001390', NULL, NULL, 197, NULL, 'Dipicolinate_synth_subunit_B', 24030),
(24031, 'PIRSF008142', NULL, NULL, 103, NULL, 'SH3-bind_E-rich_L', 24031),
(24032, 'PIRSF037327', NULL, NULL, 590, NULL, 'TFIIIB_Bdp1_fungal', 24032);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24033, 'PIRSF031715', NULL, NULL, 623, NULL, 'CobT_chel', 24033),
(24034, 'PIRSF036945', NULL, NULL, 1090, NULL, 'Spt5', 24034),
(24035, 'PIRSF003159', NULL, NULL, 181, NULL, 'FlhC', 24035),
(24036, 'PIRSF037465', NULL, NULL, 75, NULL, 'UCP037465_Zn', 24036),
(24037, 'PIRSF037995', NULL, NULL, 467, NULL, 'CB-R', 24037),
(24038, 'PIRSF037163', NULL, NULL, 355, NULL, 'PRDM12', 24038),
(24039, 'PIRSF038021', NULL, NULL, 302, NULL, 'UCP038021_RWDD2', 24039),
(24040, 'PIRSF500185', NULL, NULL, 708, NULL, 'MSP_HGFL', 24040),
(24041, 'PIRSF011484', NULL, NULL, 180, NULL, 'YaeQ', 24041),
(24042, 'PIRSF038953', NULL, NULL, 253, NULL, 'SigI', 24042),
(24043, 'PIRSF016396', NULL, NULL, 192, NULL, 'Prefoldin_3', 24043),
(24044, 'PIRSF036948', NULL, NULL, 471, NULL, 'TOM1', 24044),
(24045, 'PIRSF009141', NULL, NULL, 268, NULL, 'UCP009141', 24045),
(24046, 'PIRSF038901', NULL, NULL, 1431, NULL, 'AQR_cwf11', 24046),
(24047, 'PIRSF032437', NULL, NULL, 175, NULL, 'UCP032437', 24047),
(24048, 'PIRSF037219', NULL, NULL, 369, NULL, 'NOS_oxygenase', 24048),
(24049, 'PIRSF037738', NULL, NULL, 239, NULL, 'UCP037738', 24049),
(24050, 'PIRSF028299', NULL, NULL, 123, NULL, 'UCP028299', 24050),
(24051, 'PIRSF000159', NULL, NULL, 1183, NULL, 'NifJ', 24051),
(24052, 'PIRSF037637', NULL, NULL, 149, NULL, 'SAP18', 24052),
(24053, 'PIRSF002741', NULL, NULL, 538, NULL, 'MppA', 24053),
(24054, 'PIRSF005067', NULL, NULL, 221, NULL, 'Tma_RNA-bind', 24054),
(24055, 'PIRSF005427', NULL, NULL, 334, NULL, 'RseB', 24055),
(24056, 'PIRSF037852', NULL, NULL, 1246, NULL, 'Subtilisin_rel_SAV5721', 24056),
(24057, 'PIRSF500773', NULL, NULL, 519, NULL, 'Hyaluronidase_PH20_Hyal5', 24057),
(24058, 'PIRSF036659', NULL, NULL, 144, NULL, 'BdbC', 24058),
(24059, 'PIRSF004604', NULL, NULL, 103, NULL, 'UCP004604', 24059),
(24060, 'PIRSF017393', NULL, NULL, 275, NULL, 'MTase_SAV2177', 24060),
(24061, 'PIRSF001259', NULL, NULL, 407, NULL, 'RibA', 24061),
(24062, 'PIRSF010340', NULL, NULL, 5052, NULL, 'Midasin', 24062),
(24063, 'PIRSF038156', NULL, NULL, 165, NULL, 'RNA_polymII_KELP', 24063),
(24064, 'PIRSF500699', NULL, NULL, 491, NULL, 'MDM4', 24064),
(24065, 'PIRSF011789', NULL, NULL, 405, NULL, 'tRNA_endo_SEN2', 24065),
(24066, 'PIRSF011396', NULL, NULL, 507, NULL, 'Trp_halogenase', 24066),
(24067, 'PIRSF007858', NULL, NULL, 432, NULL, 'ORC4', 24067),
(24068, 'PIRSF018461', NULL, NULL, 283, NULL, 'Phage_rep_C1', 24068),
(24069, 'PIRSF018968', NULL, NULL, 633, NULL, 'ABC_permease_BceB', 24069),
(24070, 'PIRSF019883', NULL, NULL, 102, NULL, 'UCP019883', 24070),
(24071, 'PIRSF026631', NULL, NULL, 498, NULL, 'UCP026631', 24071),
(24072, 'PIRSF000722', NULL, NULL, 404, NULL, 'Acetate_prop_kin', 24072),
(24073, 'PIRSF026478', NULL, NULL, 553, NULL, 'UCP026478_dh', 24073),
(24074, 'PIRSF007010', NULL, NULL, 134, NULL, 'UCP007010', 24074),
(24075, 'PIRSF038196', NULL, NULL, 314, NULL, 'IRF-1_IRF-2', 24075),
(24076, 'PIRSF012562', NULL, NULL, 267, NULL, 'UCP012562', 24076),
(24077, 'PIRSF037471', NULL, NULL, 396, NULL, 'UCP037471', 24077),
(24078, 'PIRSF016150', NULL, NULL, 459, NULL, 'FucT_helico', 24078),
(24079, 'PIRSF016281', NULL, NULL, 553, NULL, 'Transl_init_eIF3d', 24079),
(24080, 'PIRSF038996', NULL, NULL, 173, NULL, 'FldA', 24080),
(24081, 'PIRSF003196', NULL, NULL, 101, NULL, 'Trp_repressor', 24081),
(24082, 'PIRSF029570', NULL, NULL, 948, NULL, 'UCP029570', 24082),
(24083, 'PIRSF029256', NULL, NULL, 155, NULL, 'SpoU_TrmH', 24083),
(24084, 'PIRSF001330', NULL, NULL, 261, NULL, 'IOD', 24084),
(24085, 'PIRSF015793', NULL, NULL, 648, NULL, 'VAC_EEV', 24085),
(24086, 'PIRSF003299', NULL, NULL, 224, NULL, 'VirB8_PtlE', 24086),
(24087, 'PIRSF032474', NULL, NULL, 166, NULL, 'Rot', 24087),
(24088, 'PIRSF006519', NULL, NULL, 234, NULL, 'GOGAT_dom3', 24088),
(24089, 'PIRSF037161', NULL, NULL, 789, NULL, 'PRDM4', 24089),
(24090, 'PIRSF003854', NULL, NULL, 198, NULL, 'Vif_BLV', 24090),
(24091, 'PIRSF011575', NULL, NULL, 290, NULL, 'YabG', 24091);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24092, 'PIRSF001110', NULL, NULL, 152, NULL, 'ADOMetase', 24092),
(24093, 'PIRSF003047', NULL, NULL, 1887, NULL, 'TFIID_TAF1_animal', 24093),
(24094, 'PIRSF037955', NULL, NULL, 341, NULL, 'Snurportin-1', 24094),
(24095, 'PIRSF018136', NULL, NULL, 441, NULL, 'L_lectin_yeast', 24095),
(24096, 'PIRSF000898', NULL, NULL, 333, NULL, 'Acid_Ptase_5', 24096),
(24097, 'PIRSF000606', NULL, NULL, 777, NULL, 'RPS6_kin_2', 24097),
(24098, 'PIRSF036996', NULL, NULL, 456, NULL, 'RSM23', 24098),
(24099, 'PIRSF029775', NULL, NULL, 104, NULL, 'Isochor_pyr_lyas', 24099),
(24100, 'PIRSF000162', NULL, NULL, 429, NULL, 'P_chlorophyll_rd', 24100),
(24101, 'PIRSF028840', NULL, NULL, 402, NULL, 'MMP37', 24101),
(24102, 'PIRSF006601', NULL, NULL, 260, NULL, 'ATPase_UCP006601', 24102),
(24103, 'PIRSF021940', NULL, NULL, 131, NULL, 'UCP021940', 24103),
(24104, 'PIRSF020634', NULL, NULL, 206, NULL, 'TerY_vWA', 24104),
(24105, 'PIRSF500061', NULL, NULL, 482, NULL, 'GOGAT_lg2_archl', 24105),
(24106, 'PIRSF035040', NULL, NULL, 211, NULL, 'UCP_CBS_Lmo0553', 24106),
(24107, 'PIRSF028757', NULL, NULL, 310, NULL, 'LD-carboxypeptidase', 24107),
(24108, 'PIRSF009283', NULL, NULL, 377, NULL, '4HPP_dioxygenase', 24108),
(24109, 'PIRSF037798', NULL, NULL, 293, NULL, 'Hsp31', 24109),
(24110, 'PIRSF015965', NULL, NULL, 925, NULL, '26S_protsm_Rpn1', 24110),
(24111, 'PIRSF018636', NULL, NULL, 472, NULL, 'CbiX_N-term', 24111),
(24112, 'PIRSF008757', NULL, NULL, 168, NULL, 'UCP008757', 24112),
(24113, 'PIRSF001770', NULL, NULL, 515, NULL, 'Cyclin_CLN', 24113),
(24114, 'PIRSF037469', NULL, NULL, 586, NULL, 'Chc_related', 24114),
(24115, 'PIRSF018269', NULL, NULL, 436, NULL, 'CDP-DAG_synth_e', 24115),
(24116, 'PIRSF021497', NULL, NULL, 254, NULL, 'Sulfotransf_LpsS', 24116),
(24117, 'PIRSF037338', NULL, NULL, 605, NULL, 'Spastin', 24117),
(24118, 'PIRSF038036', NULL, NULL, 214, NULL, 'Cdc42ep2', 24118),
(24119, 'PIRSF036543', NULL, NULL, 286, NULL, 'YdrC_chlamyd', 24119),
(24120, 'PIRSF005648', NULL, NULL, 90, NULL, 'UCP005648_Ca_binding', 24120),
(24121, 'PIRSF016571', NULL, NULL, 168, NULL, 'C/EBPzeta_CHOP_DDIT3', 24121),
(24122, 'PIRSF037238', NULL, NULL, 381, NULL, 'Carboxypeptidase_G2', 24122),
(24123, 'PIRSF001959', NULL, NULL, 508, NULL, 'EPO_receptor', 24123),
(24124, 'PIRSF036402', NULL, NULL, 158, NULL, 'Ureas_acces_UreE', 24124),
(24125, 'PIRSF003779', NULL, NULL, 158, NULL, 'VAC_C7L', 24125),
(24126, 'PIRSF500939', NULL, NULL, 440, NULL, 'ERR1-2-3', 24126),
(24127, 'PIRSF002030', NULL, NULL, 130, NULL, 'Globin_Protozoa_Cyanob', 24127),
(24128, 'PIRSF029876', NULL, NULL, 110, NULL, 'UCP029876', 24128),
(24129, 'PIRSF001499', NULL, NULL, 375, NULL, 'Chor_mut_pdh_Tpr', 24129),
(24130, 'PIRSF018357', NULL, NULL, 253, NULL, 'Trans_reg_ArsR', 24130),
(24131, 'PIRSF005813', NULL, NULL, 923, NULL, 'MSH2', 24131),
(24132, 'PIRSF012296', NULL, NULL, 116, NULL, 'EutS_PduU', 24132),
(24133, 'PIRSF001951', NULL, NULL, 195, NULL, 'EPO', 24133),
(24134, 'PIRSF001478', NULL, NULL, 499, NULL, 'L-ara_isomerase', 24134),
(24135, 'PIRSF038039', NULL, NULL, 246, NULL, 'UCP038039_Lin-7_homol', 24135),
(24136, 'PIRSF011362', NULL, NULL, 279, NULL, 'DevR', 24136),
(24137, 'PIRSF001480', NULL, NULL, 425, NULL, 'PMI', 24137),
(24138, 'PIRSF005562', NULL, NULL, 2059, NULL, 'FAS_yeast_beta', 24138),
(24139, 'PIRSF001698', NULL, NULL, 474, NULL, 'C-ETS', 24139),
(24140, 'PIRSF004944', NULL, NULL, 308, NULL, 'UCP004944_hydrls', 24140),
(24141, 'PIRSF006515', NULL, NULL, 355, NULL, 'KRR1', 24141),
(24142, 'PIRSF036459', NULL, NULL, 869, NULL, 'DAP_dec_asp_kin', 24142),
(24143, 'PIRSF021332', NULL, NULL, 206, NULL, 'UCP021332', 24143),
(24144, 'PIRSF000410', NULL, NULL, 290, NULL, 'CheR', 24144),
(24145, 'PIRSF004159', NULL, NULL, 179, NULL, 'VGG', 24145),
(24146, 'PIRSF011859', NULL, NULL, 185, NULL, 'TNFR_17_CD269', 24146),
(24147, 'PIRSF028170', NULL, NULL, 156, NULL, 'UCP028170', 24147),
(24148, 'PIRSF017818', NULL, NULL, 238, NULL, 'Acid_Ptase_B', 24148);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24149, 'PIRSF029225', NULL, NULL, 131, NULL, 'DNA_pol_III_psi', 24149),
(24150, 'PIRSF028340', NULL, NULL, 137, NULL, 'UCP028340', 24150),
(24151, 'PIRSF002527', NULL, NULL, 523, NULL, 'ER-like_NR', 24151),
(24152, 'PIRSF006456', NULL, NULL, 128, NULL, 'UCP006456', 24152),
(24153, 'PIRSF006500', NULL, NULL, 75, NULL, 'MtrG', 24153),
(24154, 'PIRSF014899', NULL, NULL, 281, NULL, 'UCP014899', 24154),
(24155, 'PIRSF003174', NULL, NULL, 165, NULL, 'CreA', 24155),
(24156, 'PIRSF000040', NULL, NULL, 344, NULL, 'MMOH_comp', 24156),
(24157, 'PIRSF024051', NULL, NULL, 177, NULL, 'UCP024051', 24157),
(24158, 'PIRSF036630', NULL, NULL, 566, NULL, 'Aconts_X_fused', 24158),
(24159, 'PIRSF004699', NULL, NULL, 265, NULL, 'UCP_CBS_ParB', 24159),
(24160, 'PIRSF017535', NULL, NULL, 218, NULL, 'ESCRT1_Vps28', 24160),
(24161, 'PIRSF039099', NULL, NULL, 534, NULL, 'APP-BP1', 24161),
(24162, 'PIRSF009449', NULL, NULL, 504, NULL, 'DNA_primase_large', 24162),
(24163, 'PIRSF037010', NULL, NULL, 86, NULL, 'SF3B5', 24163),
(24164, 'PIRSF005290', NULL, NULL, 818, NULL, 'NOT_su_3_5', 24164),
(24165, 'PIRSF017292', NULL, NULL, 108, NULL, 'UCP017292_zn', 24165),
(24166, 'PIRSF030218', NULL, NULL, 575, NULL, 'Mannosyltr_MA4085', 24166),
(24167, 'PIRSF016839', NULL, NULL, 308, NULL, 'PhP', 24167),
(24168, 'PIRSF038995', NULL, NULL, 602, NULL, 'SRP68', 24168),
(24169, 'PIRSF009226', NULL, NULL, 286, NULL, 'UCP009226_DNArpr', 24169),
(24170, 'PIRSF037799', NULL, NULL, 78, NULL, 'Tautomer_YdcE', 24170),
(24171, 'PIRSF007043', NULL, NULL, 182, NULL, 'YopQ', 24171),
(24172, 'PIRSF038972', NULL, NULL, 433, NULL, 'Trm12', 24172),
(24173, 'PIRSF500625', NULL, NULL, 510, NULL, 'Cytochrome_CYP7A1', 24173),
(24174, 'PIRSF017023', NULL, NULL, 572, NULL, 'KNR4', 24174),
(24175, 'PIRSF008546', NULL, NULL, 143, NULL, 'UCP008546', 24175),
(24176, 'PIRSF010606', NULL, NULL, 89, NULL, 'CotJB', 24176),
(24177, 'PIRSF017288', NULL, NULL, 459, NULL, 'PMK_GHMP_euk', 24177),
(24178, 'PIRSF000774', NULL, NULL, 466, NULL, 'RpoN', 24178),
(24179, 'PIRSF015875', NULL, NULL, 148, NULL, 'UCP015875', 24179),
(24180, 'PIRSF037867', NULL, NULL, 417, NULL, 'CD261_antigen', 24180),
(24181, 'PIRSF025560', NULL, NULL, 113, NULL, 'UCP025560', 24181),
(24182, 'PIRSF038922', NULL, NULL, 662, NULL, 'SRP72', 24182),
(24183, 'PIRSF037260', NULL, NULL, 92, NULL, 'UCP037260', 24183),
(24184, 'PIRSF003796', NULL, NULL, 233, NULL, 'M-T4_MXV', 24184),
(24185, 'PIRSF031501', NULL, NULL, 166, NULL, 'QueT', 24185),
(24186, 'PIRSF002888', NULL, NULL, 339, NULL, 'FliM', 24186),
(24187, 'PIRSF002686', NULL, NULL, 443, NULL, 'SLG', 24187),
(24188, 'PIRSF036573', NULL, NULL, 1025, NULL, 'REV1', 24188),
(24189, 'PIRSF038151', NULL, NULL, 97, NULL, 'TOM9-2_plant', 24189),
(24190, 'PIRSF023322', NULL, NULL, 190, NULL, 'UCP023322_TM_coiled-coil', 24190),
(24191, 'PIRSF014543', NULL, NULL, 125, NULL, 'UCP014543', 24191),
(24192, 'PIRSF000194', NULL, NULL, 170, NULL, 'DHFR', 24192),
(24193, 'PIRSF023925', NULL, NULL, 103, NULL, 'G0S2', 24193),
(24194, 'PIRSF002572', NULL, NULL, 147, NULL, 'PIP-GCDFP-15', 24194),
(24195, 'PIRSF003273', NULL, NULL, 589, NULL, 'Mobilization_A', 24195),
(24196, 'PIRSF011221', NULL, NULL, 250, NULL, 'Chloropl_CC', 24196),
(24197, 'PIRSF009935', NULL, NULL, 102, NULL, 'TCTA', 24197),
(24198, 'PIRSF001007', NULL, NULL, 121, NULL, 'RusA', 24198),
(24199, 'PIRSF005444', NULL, NULL, 208, NULL, 'PEMT_MPLS', 24199),
(24200, 'PIRSF038056', NULL, NULL, 616, NULL, 'BP10_SPAN', 24200),
(24201, 'TIGR01773', NULL, 'GABAperm: GABA permease', 452, NULL, 'TIGR01773', 24201),
(24202, 'TIGR04334', NULL, 'rSAM_Clo7bot: radical SAM/SPASM domain Clo7bot peptide maturase', 440, NULL, 'TIGR04334', 24202),
(24203, 'TIGR01533', NULL, 'lipo_e_P4: 5''-nucleotidase, lipoprotein e(P4) family', 273, NULL, 'TIGR01533', 24203),
(24204, 'TIGR02171', NULL, 'Fb_sc_TIGR02171: fibrobacter succinogenes paralogous family TIGR02171', 912, NULL, 'TIGR02171', 24204),
(24205, 'TIGR03983', NULL, 'cas1_MYXAN: CRISPR-associated endonuclease Cas1, subtype MYXAN', 347, NULL, 'TIGR03983', 24205);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24206, 'TIGR01966', NULL, 'RNasePH: ribonuclease PH', 236, NULL, 'TIGR01966', 24206),
(24207, 'TIGR04038', NULL, 'tatD_link_rSAM: radical SAM protein, TatD family-associated', 192, NULL, 'TIGR04038', 24207),
(24208, 'TIGR02068', NULL, 'cya_phycin_syn: cyanophycin synthetase', 864, NULL, 'TIGR02068', 24208),
(24209, 'TIGR03743', NULL, 'SXT_TraD: conjugative coupling factor TraD, SXT/TOL subfamily', 636, NULL, 'TIGR03743', 24209),
(24210, 'TIGR00942', NULL, '2a6301s05: multicomponent Na+:H+ antiporter', 144, NULL, 'TIGR00942', 24210),
(24211, 'TIGR03936', NULL, 'sam_1_link_chp: radical SAM-linked protein', 209, NULL, 'TIGR03936', 24211),
(24212, 'TIGR01340', NULL, 'aconitase_mito: aconitate hydratase, mitochondrial', 745, NULL, 'TIGR01340', 24212),
(24213, 'TIGR02364', NULL, 'dha_pts: dihydroxyacetone kinase, phosphotransfer subunit', 125, NULL, 'TIGR02364', 24213),
(24214, 'TIGR00839', NULL, 'aspA: aspartate ammonia-lyase', 468, NULL, 'TIGR00839', 24214),
(24215, 'TIGR04141', NULL, 'TIGR04141: sporadically distributed protein, TIGR04141 family', 516, NULL, 'TIGR04141', 24215),
(24216, 'TIGR03687', NULL, 'pupylate_cterm: ubiquitin-like protein Pup', 33, NULL, 'TIGR03687', 24216),
(24217, 'TIGR03195', NULL, '4hydrxCoA_B: 4-hydroxybenzoyl-CoA reductase, beta subunit', 321, NULL, 'TIGR03195', 24217),
(24218, 'TIGR02797', NULL, 'exbB: tonB-system energizer ExbB', 211, NULL, 'TIGR02797', 24218),
(24219, 'TIGR04085', NULL, 'rSAM_more_4Fe4S: radical SAM additional 4Fe4S-binding SPASM domain', 93, NULL, 'TIGR04085', 24219),
(24220, 'TIGR01237', NULL, 'D1pyr5carbox2: putative delta-1-pyrroline-5-carboxylate dehydrogenase', 511, NULL, 'TIGR01237', 24220),
(24221, 'TIGR02912', NULL, 'sulfite_red_C: sulfite reductase, subunit C', 314, NULL, 'TIGR02912', 24221),
(24222, 'TIGR02420', NULL, 'dksA: RNA polymerase-binding protein DksA', 110, NULL, 'TIGR02420', 24222),
(24223, 'TIGR04527', NULL, 'mycoplas_twoTM: two transmembrane protein', 248, NULL, 'TIGR04527', 24223),
(24224, 'TIGR03447', NULL, 'mycothiol_MshC: cysteine--1-D-myo-inosityl 2-amino-2-deoxy-alpha-D-glucopyranoside ligase', 411, NULL, 'TIGR03447', 24224),
(24225, 'TIGR03310', NULL, 'matur_MocA_YgfJ: molybdenum cofactor cytidylyltransferase', 188, NULL, 'TIGR03310', 24225),
(24226, 'TIGR04278', NULL, 'viperin: antiviral radical SAM protein viperin', 347, NULL, 'TIGR04278', 24226),
(24227, 'TIGR00154', NULL, 'ispE: 4-(cytidine 5''-diphospho)-2-C-methyl-D-erythritol kinase', 294, NULL, 'TIGR00154', 24227),
(24228, 'TIGR03503', NULL, 'TIGR03503: TIGR03503 family protein', 374, NULL, 'TIGR03503', 24228),
(24229, 'TIGR03251', NULL, 'LAT_fam: L-lysine 6-transaminase', 433, NULL, 'TIGR03251', 24229),
(24230, 'TIGR00406', NULL, 'prmA: ribosomal protein L11 methyltransferase', 288, NULL, 'TIGR00406', 24230),
(24231, 'TIGR01580', NULL, 'narG: nitrate reductase, alpha subunit', 1235, NULL, 'TIGR01580', 24231),
(24232, 'TIGR03254', NULL, 'oxalate_oxc: oxalyl-CoA decarboxylase', 554, NULL, 'TIGR03254', 24232),
(24233, 'TIGR02856', NULL, 'spore_yqfC: sporulation protein YqfC', 85, NULL, 'TIGR02856', 24233),
(24234, 'TIGR00347', NULL, 'bioD: dethiobiotin synthase', 166, NULL, 'TIGR00347', 24234),
(24235, 'TIGR00693', NULL, 'thiE: thiamine-phosphate diphosphorylase', 197, NULL, 'TIGR00693', 24235),
(24236, 'TIGR00883', NULL, '2A0106: MFS transporter, metabolite:H+ symporter (MHS) family protein', 400, NULL, 'TIGR00883', 24236),
(24237, 'TIGR00213', NULL, 'GmhB_yaeD: D,D-heptose 1,7-bisphosphate phosphatase', 176, NULL, 'TIGR00213', 24237),
(24238, 'TIGR00403', NULL, 'ndhI: NADH-plastoquinone oxidoreductase, I subunit', 183, NULL, 'TIGR00403', 24238),
(24239, 'TIGR01041', NULL, 'ATP_syn_B_arch: ATP synthase archaeal, B subunit', 458, NULL, 'TIGR01041', 24239),
(24240, 'TIGR01178', NULL, 'ade: adenine deaminase', 552, NULL, 'TIGR01178', 24240),
(24241, 'TIGR03011', NULL, 'sulf_tusB_dsrH: sulfur relay protein TusB/DsrH', 95, NULL, 'TIGR03011', 24241),
(24242, 'TIGR00646', NULL, 'MG010: DNA primase-like protein', 218, NULL, 'TIGR00646', 24242);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24243, 'TIGR00836', NULL, 'amt: ammonium transporter', 406, NULL, 'TIGR00836', 24243),
(24244, 'TIGR02616', NULL, 'tnaC_leader: tryptophanase leader peptide', 22, NULL, 'TIGR02616', 24244),
(24245, 'TIGR02806', NULL, 'clostrip: clostripain', 472, NULL, 'TIGR02806', 24245),
(24246, 'TIGR00587', NULL, 'nfo: apurinic endonuclease (APN1)', 279, NULL, 'TIGR00587', 24246),
(24247, 'TIGR02660', NULL, 'nifV_homocitr: homocitrate synthase', 365, NULL, 'TIGR02660', 24247),
(24248, 'TIGR03494', NULL, 'salicyl_syn: salicylate synthase', 425, NULL, 'TIGR03494', 24248),
(24249, 'TIGR03684', NULL, 'arCOG00985: arCOG04150 universal archaeal PUA-domain protein', 154, NULL, 'TIGR03684', 24249),
(24250, 'TIGR00397', NULL, 'mauM_napG: MauM/NapG family ferredoxin-type protein', 213, NULL, 'TIGR00397', 24250),
(24251, 'TIGR01100', NULL, 'V_ATP_synt_C: V-type ATPase, C subunit', 108, NULL, 'TIGR01100', 24251),
(24252, 'TIGR01729', NULL, 'taurine_ABC_bnd: taurine ABC transporter, periplasmic binding protein', 300, NULL, 'TIGR01729', 24252),
(24253, 'TIGR01919', NULL, 'hisA-trpF: bifunctional HisA/TrpF protein', 243, NULL, 'TIGR01919', 24253),
(24254, 'TIGR02367', NULL, 'PylS_Cterm: pyrrolysine--tRNA ligase, C-terminal region', 242, NULL, 'TIGR02367', 24254),
(24255, 'TIGR02557', NULL, 'HpaP: type III secretion protein HpaP', 204, NULL, 'TIGR02557', 24255),
(24256, 'TIGR03802', NULL, 'Asp_Ala_antiprt: aspartate-alanine antiporter', 562, NULL, 'TIGR03802', 24256),
(24257, 'TIGR04440', NULL, 'glyco_TIGR04440: glycosyltransferase domain', 215, NULL, 'TIGR04440', 24257),
(24258, 'TIGR02065', NULL, 'ECX1: exosome complex exonuclease 1', 230, NULL, 'TIGR02065', 24258),
(24259, 'TIGR03790', NULL, 'TIGR03790: TIGR03790 family protein', 316, NULL, 'TIGR03790', 24259),
(24260, 'TIGR03207', NULL, 'cyc_hxne_CoA_dh: cyclohexanecarboxyl-CoA dehydrogenase', 372, NULL, 'TIGR03207', 24260),
(24261, 'TIGR01474', NULL, 'ubiA_proteo: 4-hydroxybenzoate polyprenyl transferase', 282, NULL, 'TIGR01474', 24261),
(24262, 'TIGR03148', NULL, 'cyt_nit_nrfD: cytochrome c nitrite reductase, NrfD subunit', 316, NULL, 'TIGR03148', 24262),
(24263, 'TIGR03986', NULL, 'TIGR03986: CRISPR-associated protein', 568, NULL, 'TIGR03986', 24263),
(24264, 'TIGR04571', NULL, 'LmtA_Leptospira: lipid A Kdo2 1-phosphate O-methyltransferase', 252, NULL, 'TIGR04571', 24264),
(24265, 'TIGR01284', NULL, 'alt_nitrog_alph: nitrogenase alpha chain', 457, NULL, 'TIGR01284', 24265),
(24266, 'TIGR00260', NULL, 'thrC: threonine synthase', 340, NULL, 'TIGR00260', 24266),
(24267, 'TIGR00450', NULL, 'mnmE_trmE_thdF: tRNA modification GTPase TrmE', 446, NULL, 'TIGR00450', 24267),
(24268, 'TIGR02124', NULL, 'hypE: hydrogenase expression/formation protein HypE', 332, NULL, 'TIGR02124', 24268),
(24269, 'TIGR04381', NULL, 'HTH_TypR: TyrR family helix-turn-helix domain', 49, NULL, 'TIGR04381', 24269),
(24270, 'TIGR00391', NULL, 'hydA: hydrogenase (NiFe) small subunit (hydA)', 365, NULL, 'TIGR00391', 24270),
(24271, 'TIGR03793', NULL, 'TOMM_pelo: NHLP leader peptide domain', 77, NULL, 'TIGR03793', 24271),
(24272, 'TIGR00705', NULL, 'SppA_67K: signal peptide peptidase SppA, 67K type', 590, NULL, 'TIGR00705', 24272),
(24273, 'TIGR00104', NULL, 'tRNA_TsaA: tRNA-Thr(GGU) m(6)t(6)A37 methyltransferase TsaA', 143, NULL, 'TIGR00104', 24273),
(24274, 'TIGR04384', NULL, 'putr_carbamoyl: putrescine carbamoyltransferase', 330, NULL, 'TIGR04384', 24274),
(24275, 'TIGR02121', NULL, 'Na_Pro_sym: sodium/proline symporter', 488, NULL, 'TIGR02121', 24275),
(24276, 'TIGR00344', NULL, 'alaS: alanine--tRNA ligase', 847, NULL, 'TIGR00344', 24276),
(24277, 'TIGR01776', NULL, 'TonB-tbp-lbp: TonB-dependent lactoferrin and transferrin receptors', 946, NULL, 'TIGR01776', 24277),
(24278, 'TIGR02258', NULL, '2_5_ligase: 2''-5'' RNA ligase', 180, NULL, 'TIGR02258', 24278),
(24279, 'TIGR01103', NULL, 'fliP: flagellar biosynthetic protein FliP', 197, NULL, 'TIGR01103', 24279),
(24280, 'TIGR03746', NULL, 'conj_TIGR03746: integrating conjugative element protein, PFL_4703 family', 202, NULL, 'TIGR03746', 24280);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24281, 'TIGR00151', NULL, 'ispF: 2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase', 155, NULL, 'TIGR00151', 24281),
(24282, 'TIGR03980', NULL, 'prismane_assoc: hybrid cluster protein-associated redox disulfide domain', 58, NULL, 'TIGR03980', 24282),
(24283, 'TIGR01530', NULL, 'nadN: NAD nucleotidase', 550, NULL, 'TIGR01530', 24283),
(24284, 'TIGR04228', NULL, 'isopep_sspB_C2: adhesin isopeptide-forming adherence domain', 173, NULL, 'TIGR04228', 24284),
(24285, 'TIGR02610', NULL, 'PHA_gran_rgn: putative polyhydroxyalkanoic acid system protein', 91, NULL, 'TIGR02610', 24285),
(24286, 'TIGR02230', NULL, 'ATPase_gene1: putative F0F1-ATPase subunit', 100, NULL, 'TIGR02230', 24286),
(24287, 'TIGR03120', NULL, 'one_C_mch: methenyltetrahydromethanopterin cyclohydrolase', 313, NULL, 'TIGR03120', 24287),
(24288, 'TIGR03500', NULL, 'FliO_TIGR: flagellar biosynthetic protein FliO', 70, NULL, 'TIGR03500', 24288),
(24289, 'TIGR03939', NULL, 'PGA_TPR_OMP: poly-beta-1,6 N-acetyl-D-glucosamine export porin PgaA', 800, NULL, 'TIGR03939', 24289),
(24290, 'TIGR03257', NULL, 'met_CoM_red_bet: methyl-coenzyme M reductase, beta subunit', 433, NULL, 'TIGR03257', 24290),
(24291, 'TIGR00649', NULL, 'MG423: beta-CASP ribonuclease, RNase J family', 546, NULL, 'TIGR00649', 24291),
(24292, 'TIGR03385', NULL, 'CoA_CoA_reduc: CoA-disulfide reductase', 439, NULL, 'TIGR03385', 24292),
(24293, 'TIGR02470', NULL, 'sucr_synth: sucrose synthase', 784, NULL, 'TIGR02470', 24293),
(24294, 'TIGR04035', NULL, 'glucan_65_rpt: glucan-binding repeat', 64, NULL, 'TIGR04035', 24294),
(24295, 'TIGR00880', NULL, '2_A_01_02: multidrug resistance protein', 141, NULL, 'TIGR00880', 24295),
(24296, 'TIGR03637', NULL, 'cas1_YPEST: CRISPR-associated endonuclease Cas1, subtype I-F/YPEST', 307, NULL, 'TIGR03637', 24296),
(24297, 'TIGR04275', NULL, 'beta_prop_Msarc: beta propeller repeat', 40, NULL, 'TIGR04275', 24297),
(24298, 'TIGR02794', NULL, 'tolA_full: protein TolA', 362, NULL, 'TIGR02794', 24298),
(24299, 'TIGR03061', NULL, 'pip_yhgE_Nterm: YhgE/Pip N-terminal domain', 164, NULL, 'TIGR03061', 24299),
(24300, 'TIGR03444', NULL, 'EgtA_Cys_ligase: ergothioneine biosynthesis glutamate--cysteine ligase EgtA', 390, NULL, 'TIGR03444', 24300),
(24301, 'TIGR04337', NULL, 'AmmeMemoSam_rS: AmmeMemoRadiSam system radical SAM enzyme', 349, NULL, 'TIGR04337', 24301),
(24302, 'TIGR00288', NULL, 'TIGR00288: TIGR00288 family protein', 160, NULL, 'TIGR00288', 24302),
(24303, 'TIGR01832', NULL, 'kduD: 2-deoxy-D-gluconate 3-dehydrogenase', 248, NULL, 'TIGR01832', 24303),
(24304, 'TIGR02666', NULL, 'moaA: molybdenum cofactor biosynthesis protein A', 336, NULL, 'TIGR02666', 24304),
(24305, 'TIGR02987', NULL, 'met_A_Alw26: type II restriction m6 adenine DNA methyltransferase, Alw26I/Eco31I/Esp3I family', 523, NULL, 'TIGR02987', 24305),
(24306, 'TIGR03014', NULL, 'EpsL: exopolysaccharide biosynthesis operon protein EpsL', 380, NULL, 'TIGR03014', 24306),
(24307, 'TIGR00453', NULL, 'ispD: 2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', 219, NULL, 'TIGR00453', 24307),
(24308, 'TIGR04032', NULL, 'toxin_SdpC: antimicrobial peptide, SdpC family', 172, NULL, 'TIGR04032', 24308),
(24309, 'TIGR02473', NULL, 'flagell_FliJ: flagellar export protein FliJ', 141, NULL, 'TIGR02473', 24309),
(24310, 'TIGR04169', NULL, 'perox_w_seleSAM: alkylhydroperoxidase/carboxymuconolactone decarboxylase family protein', 109, NULL, 'TIGR04169', 24310),
(24311, 'TIGR02853', NULL, 'spore_dpaA: dipicolinic acid synthetase, A subunit', 287, NULL, 'TIGR02853', 24311),
(24312, 'TIGR03491', NULL, 'TIGR03491: putative RecB family nuclease, TM0106 family', 462, NULL, 'TIGR03491', 24312),
(24313, 'TIGR01091', NULL, 'upp: uracil phosphoribosyltransferase', 207, NULL, 'TIGR01091', 24313),
(24314, 'TIGR01424', NULL, 'gluta_reduc_2: glutathione-disulfide reductase', 446, NULL, 'TIGR01424', 24314),
(24315, 'TIGR02803', NULL, 'ExbD_1: TonB system transport protein ExbD', 122, NULL, 'TIGR02803', 24315);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24316, 'TIGR00092', NULL, 'TIGR00092: GTP-binding protein YchF', 368, NULL, 'TIGR00092', 24316),
(24317, 'TIGR03198', NULL, 'pucE: xanthine dehydrogenase E subunit', 151, NULL, 'TIGR03198', 24317),
(24318, 'TIGR03578', NULL, 'EF_0831: conserved hypothetical protein EF_0831/AHA_3912', 96, NULL, 'TIGR03578', 24318),
(24319, 'TIGR02423', NULL, 'protocat_alph: protocatechuate 3,4-dioxygenase, alpha subunit', 193, NULL, 'TIGR02423', 24319),
(24320, 'TIGR02199', NULL, 'rfaE_dom_II: bifunctional protein RfaE, domain II', 144, NULL, 'TIGR02199', 24320),
(24321, 'TIGR04082', NULL, 'rSAM_for_selen: selenobiotic family peptide radical SAM maturase', 516, NULL, 'TIGR04082', 24321),
(24322, 'TIGR01044', NULL, 'rplV_bact: ribosomal protein uL22', 103, NULL, 'TIGR01044', 24322),
(24323, 'TIGR01882', NULL, 'peptidase-T: peptidase T', 410, NULL, 'TIGR01882', 24323),
(24324, 'TIGR00210', NULL, 'gltS: sodium/glutamate symporter', 398, NULL, 'TIGR00210', 24324),
(24325, 'TIGR03805', NULL, 'beta_helix_1: parallel beta-helix repeat-containing protein', 314, NULL, 'TIGR03805', 24325),
(24326, 'TIGR03550', NULL, 'F420_cofG: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofG subunit', 322, NULL, 'TIGR03550', 24326),
(24327, 'TIGR03930', NULL, 'WXG100_ESAT6: WXG100 family type VII secretion target', 90, NULL, 'TIGR03930', 24327),
(24328, 'TIGR03989', NULL, 'Rxyl_3153: NDMA-dependent alcohol dehydrogenase, Rxyl_3153 family', 370, NULL, 'TIGR03989', 24328),
(24329, 'TIGR01150', NULL, 'puhA: photosynthetic reaction center H subunit', 252, NULL, 'TIGR01150', 24329),
(24330, 'TIGR01969', NULL, 'minD_arch: cell division ATPase MinD', 251, NULL, 'TIGR01969', 24330),
(24331, 'TIGR01287', NULL, 'nifH: nitrogenase iron protein', 275, NULL, 'TIGR01287', 24331),
(24332, 'TIGR04200', NULL, 'targ_of_XrtJ: XrtJ-associated TM-motif-TM protein', 60, NULL, 'TIGR04200', 24332),
(24333, 'TIGR02619', NULL, 'TIGR02619: putative CRISPR-associated protein, APE2256 family', 149, NULL, 'TIGR02619', 24333),
(24334, 'TIGR02317', NULL, 'prpB: methylisocitrate lyase', 285, NULL, 'TIGR02317', 24334),
(24335, 'TIGR03852', NULL, 'sucrose_gtfA: sucrose phosphorylase', 470, NULL, 'TIGR03852', 24335),
(24336, 'TIGR00394', NULL, 'lac_pts_IIC: PTS system, lactose-specific IIC component', 412, NULL, 'TIGR00394', 24336),
(24337, 'TIGR04443', NULL, 'F420_CofF: coenzyme gamma-F420-2:alpha-L-glutamate ligase', 283, NULL, 'TIGR04443', 24337),
(24338, 'TIGR00696', NULL, 'wecG_tagA_cpsF: glycosyltransferase, WecB/TagA/CpsF family', 178, NULL, 'TIGR00696', 24338),
(24339, 'TIGR01726', NULL, 'HEQRo_perm_3TM: amino ABC transporter, permease protein, 3-TM region, His/Glu/Gln/Arg/opine family', 99, NULL, 'TIGR01726', 24339),
(24340, 'TIGR02062', NULL, 'RNase_B: exoribonuclease II', 646, NULL, 'TIGR02062', 24340),
(24341, 'TIGR00512', NULL, 'salvage_mtnA: S-methyl-5-thioribose-1-phosphate isomerase', 335, NULL, 'TIGR00512', 24341),
(24342, 'TIGR01346', NULL, 'isocit_lyase: isocitrate lyase', 527, NULL, 'TIGR01346', 24342),
(24343, 'TIGR00833', NULL, 'actII: transport protein', 910, NULL, 'TIGR00833', 24343),
(24344, 'TIGR01667', NULL, 'YCCS_YHJK: integral membrane protein, YccS/YhfK family', 701, NULL, 'TIGR01667', 24344),
(24345, 'TIGR03039', NULL, 'PS_II_CP47: photosystem II chlorophyll-binding protein CP47', 504, NULL, 'TIGR03039', 24345),
(24346, 'TIGR00581', NULL, 'moaC: molybdenum cofactor biosynthesis protein C', 148, NULL, 'TIGR00581', 24346),
(24347, 'TIGR00515', NULL, 'accD: acetyl-CoA carboxylase, carboxyl transferase, beta subunit', 285, NULL, 'TIGR00515', 24347),
(24348, 'TIGR01069', NULL, 'mutS2: MutS2 family protein', 771, NULL, 'TIGR01069', 24348),
(24349, 'TIGR02551', NULL, 'SpaO_YscQ: type III secretion apparatus protein, YscQ/HrcQ family', 300, NULL, 'TIGR02551', 24349),
(24350, 'TIGR02688', NULL, 'TIGR02688: TIGR02688 family protein', 449, NULL, 'TIGR02688', 24350),
(24351, 'TIGR01393', NULL, 'lepA: elongation factor 4', 595, NULL, 'TIGR01393', 24351);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24352, 'TIGR02311', NULL, 'HpaI: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', 249, NULL, 'TIGR02311', 24352),
(24353, 'TIGR01172', NULL, 'cysE: serine O-acetyltransferase', 162, NULL, 'TIGR01172', 24353),
(24354, 'TIGR02448', NULL, 'TIGR02448: conserverd hypothetical protein', 101, NULL, 'TIGR02448', 24354),
(24355, 'TIGR04194', NULL, 'grasp_w_spasm_A: grasp-with-spasm leader A domain', 28, NULL, 'TIGR04194', 24355),
(24356, 'TIGR04521', NULL, 'ECF_ATPase_2: energy-coupling factor transporter ATPase', 279, NULL, 'TIGR04521', 24356),
(24357, 'TIGR00238', NULL, 'TIGR00238: KamA family protein', 331, NULL, 'TIGR00238', 24357),
(24358, 'TIGR02744', NULL, 'TrbI_Ftype: type-F conjugative transfer system protein TrbI', 112, NULL, 'TIGR02744', 24358),
(24359, 'TIGR00811', NULL, 'sit: silicon transporter', 548, NULL, 'TIGR00811', 24359),
(24360, 'TIGR01106', NULL, 'ATPase-IIC_X-K: Na,H/K antiporter P-type ATPase, alpha subunit', 997, NULL, 'TIGR01106', 24360),
(24361, 'TIGR03142', NULL, 'cytochro_ccmI: cytochrome c-type biogenesis protein CcmI', 118, NULL, 'TIGR03142', 24361),
(24362, 'TIGR04418', NULL, 'PriB_gamma: primosomal replication protein PriB', 96, NULL, 'TIGR04418', 24362),
(24363, 'TIGR03509', NULL, 'OMP_MtrB_PioB: decaheme-associated outer membrane protein, MtrB/PioB family', 662, NULL, 'TIGR03509', 24363),
(24364, 'TIGR00341', NULL, 'TIGR00341: TIGR00341 family protein', 325, NULL, 'TIGR00341', 24364),
(24365, 'TIGR03363', NULL, 'VI_chp_8: type VI secretion-associated protein, ImpA family', 353, NULL, 'TIGR03363', 24365),
(24366, 'TIGR00045', NULL, 'TIGR00045: glycerate kinase', 375, NULL, 'TIGR00045', 24366),
(24367, 'TIGR03575', NULL, 'selen_PSTK_euk: L-seryl-tRNA(Sec) kinase', 340, NULL, 'TIGR03575', 24367),
(24368, 'TIGR04490', NULL, 'SoxZ_true: thiosulfate oxidation carrier complex protein SoxZ', 98, NULL, 'TIGR04490', 24368),
(24369, 'TIGR01720', NULL, 'NRPS-para261: non-ribosomal peptide synthase domain TIGR01720', 155, NULL, 'TIGR01720', 24369),
(24370, 'TIGR03067', NULL, 'Planc_TIGR03067: Planctomycetes uncharacterized domain TIGR03067', 107, NULL, 'TIGR03067', 24370),
(24371, 'TIGR03827', NULL, 'GNAT_ablB: putative beta-lysine N-acetyltransferase', 266, NULL, 'TIGR03827', 24371),
(24372, 'TIGR00727', NULL, 'ISP4_OPT: small oligopeptide transporter, OPT family', 681, NULL, 'TIGR00727', 24372),
(24373, 'TIGR01642', NULL, 'U2AF_lg: U2 snRNP auxilliary factor, large subunit, splicing factor', 510, NULL, 'TIGR01642', 24373),
(24374, 'TIGR02015', NULL, 'BchY: chlorophyllide reductase subunit Y', 422, NULL, 'TIGR02015', 24374),
(24375, 'TIGR03749', NULL, 'conj_TIGR03749: integrating conjugative element protein, PFL_4704 family', 259, NULL, 'TIGR03749', 24375),
(24376, 'TIGR01960', NULL, 'ndhF3_CO2: NAD(P)H dehydrogenase, subunit NdhF3 family', 606, NULL, 'TIGR01960', 24376),
(24377, 'TIGR01318', NULL, 'gltD_gamma_fam: glutamate synthase, small subunit', 467, NULL, 'TIGR01318', 24377),
(24378, 'TIGR02984', NULL, 'Sig-70_plancto1: RNA polymerase sigma-70 factor, Planctomycetaceae-specific subfamily 1', 189, NULL, 'TIGR02984', 24378),
(24379, 'TIGR02208', NULL, 'lipid_A_msbB: lipid A biosynthesis (KDO)2-(lauroyl)-lipid IVA acyltransferase', 305, NULL, 'TIGR02208', 24379),
(24380, 'TIGR02476', NULL, 'BluB: 5,6-dimethylbenzimidazole synthase', 205, NULL, 'TIGR02476', 24380),
(24381, 'TIGR02918', NULL, 'TIGR02918: accessory Sec system glycosylation protein GtfA', 500, NULL, 'TIGR02918', 24381),
(24382, 'TIGR00478', NULL, 'tly: TlyA family rRNA methyltransferase/putative hemolysin', 228, NULL, 'TIGR00478', 24382),
(24383, 'TIGR00101', NULL, 'ureG: urease accessory protein UreG', 199, NULL, 'TIGR00101', 24383),
(24384, 'TIGR01885', NULL, 'Orn_aminotrans: ornithine--oxo-acid transaminase', 402, NULL, 'TIGR01885', 24384),
(24385, 'TIGR01645', NULL, 'half-pint: poly-U binding splicing factor, half-pint family', 607, NULL, 'TIGR01645', 24385),
(24386, 'TIGR02236', NULL, 'recomb_radA: DNA repair and recombination protein RadA', 311, NULL, 'TIGR02236', 24386); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24387, 'TIGR03064', NULL, 'sortase_srtB: sortase, SrtB family', 235, NULL, 'TIGR03064', 24387),
(24388, 'TIGR00023', NULL, 'TIGR00023: acyl-phosphate glycerol 3-phosphate acyltransferase', 196, NULL, 'TIGR00023', 24388),
(24389, 'TIGR04446', NULL, 'pren_cyc_PirE: prenylated cyclic peptide, anacyclamide/piricyclamide family', 51, NULL, 'TIGR04446', 24389),
(24390, 'TIGR03441', NULL, 'urea_trans_yut: urea transporter', 292, NULL, 'TIGR03441', 24390),
(24391, 'TIGR00266', NULL, 'TIGR00266: TIGR00266 family protein', 222, NULL, 'TIGR00266', 24391),
(24392, 'TIGR01854', NULL, 'lipid_A_lpxH: UDP-2,3-diacylglucosamine diphosphatase', 231, NULL, 'TIGR01854', 24392),
(24393, 'TIGR04203', NULL, 'RPT_S_cricet: Streptococcal surface-anchored protein repeat, S. criceti family', 38, NULL, 'TIGR04203', 24393),
(24394, 'TIGR04166', NULL, 'methano_MtrB: tetrahydromethanopterin S-methyltransferase, subunit B', 95, NULL, 'TIGR04166', 24394),
(24395, 'TIGR02850', NULL, 'spore_sigG: RNA polymerase sigma-G factor', 254, NULL, 'TIGR02850', 24395),
(24396, 'TIGR01617', NULL, 'arsC_related: transcriptional regulator, Spx/MgsR family', 117, NULL, 'TIGR01617', 24396),
(24397, 'TIGR01349', NULL, 'PDHac_trf_mito: pyruvate dehydrogenase complex dihydrolipoamide acetyltransferase', 437, NULL, 'TIGR01349', 24397),
(24398, 'TIGR01539', NULL, 'portal_lambda: phage portal protein, lambda family', 457, NULL, 'TIGR01539', 24398),
(24399, 'TIGR03612', NULL, 'RutA: pyrimidine utilization protein A', 355, NULL, 'TIGR03612', 24399),
(24400, 'TIGR04060', NULL, 'formate_focA: formate transporter FocA', 268, NULL, 'TIGR04060', 24400),
(24401, 'TIGR01402', NULL, 'fliQ: flagellar biosynthetic protein FliQ', 88, NULL, 'TIGR01402', 24401),
(24402, 'TIGR02772', NULL, 'Ku_bact: Ku protein', 259, NULL, 'TIGR02772', 24402),
(24403, 'TIGR03036', NULL, 'trp_2_3_diox: tryptophan 2,3-dioxygenase', 264, NULL, 'TIGR03036', 24403),
(24404, 'TIGR01212', NULL, 'TIGR01212: radical SAM protein, TIGR01212 family', 302, NULL, 'TIGR01212', 24404),
(24405, 'TIGR00758', NULL, 'UDG_fam4: uracil-DNA glycosylase, family 4', 173, NULL, 'TIGR00758', 24405),
(24406, 'TIGR00948', NULL, '2a75: L-lysine exporter', 177, NULL, 'TIGR00948', 24406),
(24407, 'TIGR02196', NULL, 'GlrX_YruB: glutaredoxin-like protein, YruB-family', 74, NULL, 'TIGR02196', 24407),
(24408, 'TIGR02314', NULL, 'ABC_MetN: D-methionine ABC transporter, ATP-binding protein', 343, NULL, 'TIGR02314', 24408),
(24409, 'TIGR03855', NULL, 'NAD_NadX: aspartate dehydrogenase', 229, NULL, 'TIGR03855', 24409),
(24410, 'TIGR03279', NULL, 'cyano_FeS_chp: putative radical SAM enzyme, TIGR03279 family', 433, NULL, 'TIGR03279', 24410),
(24411, 'TIGR02445', NULL, 'fadA: acetyl-CoA C-acyltransferase FadA', 385, NULL, 'TIGR02445', 24411),
(24412, 'TIGR04191', NULL, 'YphP_YqiW: putative bacilliredoxin, YphP/YqiW family', 136, NULL, 'TIGR04191', 24412),
(24413, 'TIGR00945', NULL, 'tatC: twin arginine-targeting protein translocase TatC', 215, NULL, 'TIGR00945', 24413),
(24414, 'TIGR03469', NULL, 'HpnB: hopene-associated glycosyltransferase HpnB', 386, NULL, 'TIGR03469', 24414),
(24415, 'TIGR04524', NULL, 'mycoplas_M_dom: IgG-blocking virulence domain', 253, NULL, 'TIGR04524', 24415),
(24416, 'TIGR01963', NULL, 'PHB_DH: 3-hydroxybutyrate dehydrogenase', 255, NULL, 'TIGR01963', 24416),
(24417, 'TIGR03332', NULL, 'salvage_mtnW: 2,3-diketo-5-methylthiopentyl-1-phosphate enolase', 407, NULL, 'TIGR03332', 24417),
(24418, 'TIGR00771', NULL, 'DcuC: transporter, anaerobic C4-dicarboxylate uptake C (DcuC) family', 388, NULL, 'TIGR00771', 24418),
(24419, 'TIGR01723', NULL, 'hmd_TIGR: 5,10-methenyltetrahydromethanopterin hydrogenase', 340, NULL, 'TIGR01723', 24419),
(24420, 'TIGR03572', NULL, 'WbuZ: glycosyl amidation-associated protein WbuZ', 232, NULL, 'TIGR03572', 24420),
(24421, 'TIGR03506', NULL, 'FlgEFG_subfam: flagellar hook-basal body protein', 351, NULL, 'TIGR03506', 24421),
(24422, 'TIGR03933', NULL, 'PIA_icaB: intercellular adhesin biosynthesis polysaccharide N-deacetylase', 245, NULL, 'TIGR03933', 24422);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24423, 'TIGR00048', NULL, 'rRNA_mod_RlmN: 23S rRNA (adenine(2503)-C(2))-methyltransferase', 355, NULL, 'TIGR00048', 24423),
(24424, 'TIGR02554', NULL, 'PrgH: type III secretion apparatus protein PrgH/EprH', 389, NULL, 'TIGR02554', 24424),
(24425, 'TIGR00372', NULL, 'cas4: CRISPR-associated protein Cas4', 180, NULL, 'TIGR00372', 24425),
(24426, 'TIGR02878', NULL, 'spore_ypjB: sporulation protein YpjB', 233, NULL, 'TIGR02878', 24426),
(24427, 'TIGR03173', NULL, 'pbuX: xanthine permease', 407, NULL, 'TIGR03173', 24427),
(24428, 'TIGR00518', NULL, 'alaDH: alanine dehydrogenase', 370, NULL, 'TIGR00518', 24428),
(24429, 'TIGR02981', NULL, 'phageshock_pspE: phage shock operon rhodanese PspE', 101, NULL, 'TIGR02981', 24429),
(24430, 'TIGR02479', NULL, 'FliA_WhiG: RNA polymerase sigma factor, FliA/WhiG family', 224, NULL, 'TIGR02479', 24430),
(24431, 'TIGR03497', NULL, 'FliI_clade2: flagellar protein export ATPase FliI', 413, NULL, 'TIGR03497', 24431),
(24432, 'TIGR00235', NULL, 'udk: uridine kinase', 207, NULL, 'TIGR00235', 24432),
(24433, 'TIGR00409', NULL, 'proS_fam_II: proline--tRNA ligase', 568, NULL, 'TIGR00409', 24433),
(24434, 'TIGR01427', NULL, 'PTS_IIC_fructo: PTS system, Fru family, IIC component', 346, NULL, 'TIGR01427', 24434),
(24435, 'TIGR02342', NULL, 'chap_CCT_delta: T-complex protein 1, delta subunit', 517, NULL, 'TIGR02342', 24435),
(24436, 'TIGR00157', NULL, 'TIGR00157: ribosome small subunit-dependent GTPase A', 247, NULL, 'TIGR00157', 24436),
(24437, 'TIGR00917', NULL, '2A060601: Niemann-Pick C type protein family', 1204, NULL, 'TIGR00917', 24437),
(24438, 'TIGR01109', NULL, 'Na_pump_decarbB: sodium ion-translocating decarboxylase, beta subunit', 354, NULL, 'TIGR01109', 24438),
(24439, 'TIGR04163', NULL, 'rSAM_cobopep: peptide-modifying radical SAM enzyme CbpB', 428, NULL, 'TIGR04163', 24439),
(24440, 'TIGR00475', NULL, 'selB: selenocysteine-specific translation elongation factor', 581, NULL, 'TIGR00475', 24440),
(24441, 'TIGR01508', NULL, 'rib_reduct_arch: diaminohydroxyphosphoribosylaminopyrimidine reductase', 210, NULL, 'TIGR01508', 24441),
(24442, 'TIGR04088', NULL, 'cognate_SipW: SipW-cognate class signal peptide', 34, NULL, 'TIGR04088', 24442),
(24443, 'TIGR01888', NULL, 'cas_cmr3: CRISPR type III-B/RAMP module-associated protein Cmr3', 346, NULL, 'TIGR01888', 24443),
(24444, 'TIGR01066', NULL, 'rplM_bact: ribosomal protein uL13', 141, NULL, 'TIGR01066', 24444),
(24445, 'TIGR02915', NULL, 'PEP_resp_reg: PEP-CTERM-box response regulator transcription factor', 445, NULL, 'TIGR02915', 24445),
(24446, 'TIGR02018', NULL, 'his_ut_repres: histidine utilization repressor', 230, NULL, 'TIGR02018', 24446),
(24447, 'TIGR01390', NULL, 'CycNucDiestase: 2'',3''-cyclic-nucleotide 2''-phosphodiesterase', 626, NULL, 'TIGR01390', 24447),
(24448, 'TIGR02741', NULL, 'TraQ: type-F conjugative transfer system pilin chaperone TraQ', 93, NULL, 'TIGR02741', 24448),
(24449, 'TIGR01281', NULL, 'DPOR_bchL: light-independent protochlorophyllide reductase, iron-sulfur ATP-binding protein', 268, NULL, 'TIGR01281', 24449),
(24450, 'TIGR04206', NULL, 'near_ArtA: TIGR04206 family protein', 139, NULL, 'TIGR04206', 24450),
(24451, 'TIGR02663', NULL, 'nifX: nitrogen fixation protein NifX', 119, NULL, 'TIGR02663', 24451),
(24452, 'TIGR00263', NULL, 'trpB: tryptophan synthase, beta subunit', 385, NULL, 'TIGR00263', 24452),
(24453, 'TIGR03858', NULL, 'LLM_2I7G: probable oxidoreductase, LLM family', 337, NULL, 'TIGR03858', 24453),
(24454, 'TIGR01614', NULL, 'PME_inhib: pectinesterase inhibitor domain', 178, NULL, 'TIGR01614', 24454),
(24455, 'TIGR03721', NULL, 'exospore_TM: BclB C-terminal domain', 169, NULL, 'TIGR03721', 24455),
(24456, 'TIGR00690', NULL, 'rpoZ: DNA-directed RNA polymerase, omega subunit', 60, NULL, 'TIGR00690', 24456),
(24457, 'TIGR03615', NULL, 'RutF: pyrimidine utilization flavin reductase protein F', 156, NULL, 'TIGR03615', 24457),
(24458, 'TIGR00369', NULL, 'unchar_dom_1: uncharacterized domain 1', 117, NULL, 'TIGR00369', 24458);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24459, 'TIGR03388', NULL, 'ascorbase: L-ascorbate oxidase', 542, NULL, 'TIGR03388', 24459),
(24460, 'TIGR04272', NULL, 'cxxc_cxxc_Mbark: CxxC-x17-CxxC domain', 37, NULL, 'TIGR04272', 24460),
(24461, 'TIGR04449', NULL, 'halocin_C8_dom: halocin C8-like bacteriocin domain', 69, NULL, 'TIGR04449', 24461),
(24462, 'TIGR02205', NULL, 'septum_zipA: cell division protein ZipA', 284, NULL, 'TIGR02205', 24462),
(24463, 'TIGR00020', NULL, 'prfB: peptide chain release factor 2', 365, NULL, 'TIGR00020', 24463),
(24464, 'TIGR01751', NULL, 'crot-CoA-red: crotonyl-CoA carboxylase/reductase', 398, NULL, 'TIGR01751', 24464),
(24465, 'TIGR01175', NULL, 'pilM: type IV pilus assembly protein PilM', 348, NULL, 'TIGR01175', 24465),
(24466, 'TIGR02193', NULL, 'heptsyl_trn_I: lipopolysaccharide heptosyltransferase I', 320, NULL, 'TIGR02193', 24466),
(24467, 'TIGR01097', NULL, 'PhnE: phosphonate ABC transporter, permease protein PhnE', 252, NULL, 'TIGR01097', 24467),
(24468, 'TIGR01857', NULL, 'FGAM-synthase: phosphoribosylformylglycinamidine synthase', 1239, NULL, 'TIGR01857', 24468),
(24469, 'TIGR01779', NULL, 'TonB-B12: TonB-dependent vitamin B12 receptor', 614, NULL, 'TIGR01779', 24469),
(24470, 'TIGR00624', NULL, 'tag: DNA-3-methyladenine glycosylase I', 179, NULL, 'TIGR00624', 24470),
(24471, 'TIGR03145', NULL, 'cyt_nit_nrfE: cytochrome c nitrate reductase biogenesis protein NrfE', 631, NULL, 'TIGR03145', 24471),
(24472, 'TIGR02809', NULL, 'phasin_3: phasin family protein', 110, NULL, 'TIGR02809', 24472),
(24473, 'TIGR02127', NULL, 'pyrF_sub2: orotidine 5''-phosphate decarboxylase', 261, NULL, 'TIGR02127', 24473),
(24474, 'TIGR03360', NULL, 'VI_minor_1: type VI secretion-associated protein, VC_A0118 family', 187, NULL, 'TIGR03360', 24474),
(24475, 'TIGR00584', NULL, 'mug: mismatch-specific thymine-DNA glycosylate (mug)', 328, NULL, 'TIGR00584', 24475),
(24476, 'TIGR00702', NULL, 'TIGR00702: YcaO-type kinase domain', 377, NULL, 'TIGR00702', 24476),
(24477, 'TIGR04312', NULL, 'choice_anch_B: choice-of-anchor B domain', 364, NULL, 'TIGR04312', 24477),
(24478, 'TIGR01536', NULL, 'asn_synth_AEB: asparagine synthase (glutamine-hydrolyzing)', 517, NULL, 'TIGR01536', 24478),
(24479, 'TIGR01215', NULL, 'minE: cell division topological specificity factor MinE', 81, NULL, 'TIGR01215', 24479),
(24480, 'TIGR03419', NULL, 'NifU_clost: FeS cluster assembly scaffold protein NifU', 121, NULL, 'TIGR03419', 24480),
(24481, 'TIGR03659', NULL, 'IsdE: heme ABC transporter, heme-binding protein isdE', 292, NULL, 'TIGR03659', 24481),
(24482, 'TIGR00375', NULL, 'TIGR00375: TIGR00375 family protein', 374, NULL, 'TIGR00375', 24482),
(24483, 'TIGR00721', NULL, 'tfx: DNA-binding protein, Tfx family', 137, NULL, 'TIGR00721', 24483),
(24484, 'TIGR03899', NULL, 'TIGR03899: TIGR03899 family protein', 250, NULL, 'TIGR03899', 24484),
(24485, 'TIGR03522', NULL, 'GldA_ABC_ATP: gliding motility-associated ABC transporter ATP-binding subunit GldA', 301, NULL, 'TIGR03522', 24485),
(24486, 'TIGR03176', NULL, 'AllC: allantoate amidohydrolase', 406, NULL, 'TIGR03176', 24486),
(24487, 'TIGR02401', NULL, 'trehalose_TreY: malto-oligosyltrehalose synthase', 838, NULL, 'TIGR02401', 24487),
(24488, 'TIGR02538', NULL, 'type_IV_pilB: type IV-A pilus assembly ATPase PilB', 564, NULL, 'TIGR02538', 24488),
(24489, 'TIGR03762', NULL, 'archaeo_artC: archaeosortase C', 274, NULL, 'TIGR03762', 24489),
(24490, 'TIGR03466', NULL, 'HpnA: hopanoid-associated sugar epimerase', 327, NULL, 'TIGR03466', 24490),
(24491, 'TIGR04315', NULL, 'octaheme_Shew: octaheme c-type cytochrome, tetrathionate reductase family', 440, NULL, 'TIGR04315', 24491),
(24492, 'TIGR01016', NULL, 'sucCoAbeta: succinate-CoA ligase, beta subunit', 386, NULL, 'TIGR01016', 24492),
(24493, 'TIGR02778', NULL, 'ligD_pol: DNA ligase D, polymerase domain', 245, NULL, 'TIGR02778', 24493),
(24494, 'TIGR02190', NULL, 'GlrX-dom: glutaredoxin-family domain', 79, NULL, 'TIGR02190', 24494),
(24495, 'TIGR02881', NULL, 'spore_V_K: stage V sporulation protein K', 261, NULL, 'TIGR02881', 24495);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24496, 'TIGR01496', NULL, 'DHPS: dihydropteroate synthase', 258, NULL, 'TIGR01496', 24496),
(24497, 'TIGR00135', NULL, 'gatC: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, C subunit', 93, NULL, 'TIGR00135', 24497),
(24498, 'TIGR03964', NULL, 'mycofact_creat: mycofactocin system creatininase family protein', 228, NULL, 'TIGR03964', 24498),
(24499, 'TIGR00618', NULL, 'sbcc: exonuclease SbcC', 1043, NULL, 'TIGR00618', 24499),
(24500, 'TIGR01063', NULL, 'gyrA: DNA gyrase, A subunit', 800, NULL, 'TIGR01063', 24500),
(24501, 'TIGR01505', NULL, 'tartro_sem_red: 2-hydroxy-3-oxopropionate reductase', 291, NULL, 'TIGR01505', 24501),
(24502, 'TIGR01514', NULL, 'NAPRTase: nicotinate phosphoribosyltransferase', 399, NULL, 'TIGR01514', 24502),
(24503, 'TIGR04259', NULL, 'oxa_formateAnti: oxalate/formate antiporter', 405, NULL, 'TIGR04259', 24503),
(24504, 'TIGR01754', NULL, 'flav_RNR: putative ribonucleotide reductase-associated flavodoxin', 140, NULL, 'TIGR01754', 24504),
(24505, 'TIGR04019', NULL, 'B_thiol_YtxJ: bacillithiol system protein YtxJ', 105, NULL, 'TIGR04019', 24505),
(24506, 'TIGR01262', NULL, 'maiA: maleylacetoacetate isomerase', 211, NULL, 'TIGR01262', 24506),
(24507, 'TIGR04546', NULL, 'rSAM_ahbC_deAc: 12,18-didecarboxysiroheme deacetylase', 390, NULL, 'TIGR04546', 24507),
(24508, 'TIGR01321', NULL, 'TrpR: trp operon repressor', 94, NULL, 'TIGR01321', 24508),
(24509, 'TIGR02682', NULL, 'cas_csx11: CRISPR-associated protein, Csx11 family', 1007, NULL, 'TIGR02682', 24509),
(24510, 'TIGR00864', NULL, 'PCC: polycystin cation channel protein', 2700, NULL, 'TIGR00864', 24510),
(24511, 'TIGR01698', NULL, 'PUNP: purine nucleotide phosphorylase', 245, NULL, 'TIGR01698', 24511),
(24512, 'TIGR00858', NULL, 'bioF: 8-amino-7-oxononanoate synthase', 365, NULL, 'TIGR00858', 24512),
(24513, 'TIGR01256', NULL, 'modA: molybdate ABC transporter, periplasmic molybdate-binding protein', 217, NULL, 'TIGR01256', 24513),
(24514, 'TIGR00920', NULL, '2A060605: 3-hydroxy-3-methylglutaryl-coenzyme A reductase', 887, NULL, 'TIGR00920', 24514),
(24515, 'TIGR03167', NULL, 'tRNA_sel_U_synt: tRNA 2-selenouridine synthase', 311, NULL, 'TIGR03167', 24515),
(24516, 'TIGR02339', NULL, 'thermosome_arch: thermosome, various subunits, archaeal', 521, NULL, 'TIGR02339', 24516),
(24517, 'TIGR00817', NULL, 'tpt: Tpt phosphate/phosphoenolpyruvate translocator', 302, NULL, 'TIGR00817', 24517),
(24518, 'TIGR00319', NULL, 'desulf_FeS4: desulfoferrodoxin FeS4 iron-binding domain', 34, NULL, 'TIGR00319', 24518),
(24519, 'TIGR03475', NULL, 'tap_IncFII_lead: RepA leader peptide Tap', 25, NULL, 'TIGR03475', 24519),
(24520, 'TIGR03618', NULL, 'Rv1155_F420: PPOX class probable F420-dependent enzyme', 127, NULL, 'TIGR03618', 24520),
(24521, 'TIGR00129', NULL, 'fdhD_narQ: formate dehydrogenase family accessory protein FdhD', 237, NULL, 'TIGR00129', 24521),
(24522, 'TIGR02202', NULL, 'Ehrlichia_rpt: Ehrlichia chaffeensis immunodominant surface protein repeat', 77, NULL, 'TIGR02202', 24522),
(24523, 'TIGR03030', NULL, 'CelA: cellulose synthase catalytic subunit (UDP-forming)', 714, NULL, 'TIGR03030', 24523),
(24524, 'TIGR02046', NULL, 'sdhC_b558_fam: succinate dehydrogenase (or fumarate reductase) cytochrome b subunit, b558 family', 212, NULL, 'TIGR02046', 24524),
(24525, 'TIGR04356', NULL, 'grasp_GAK: ATP-grasp enzyme, GAK system', 287, NULL, 'TIGR04356', 24525),
(24526, 'TIGR03821', NULL, 'EFP_modif_epmB: EF-P beta-lysylation protein EpmB', 321, NULL, 'TIGR03821', 24526),
(24527, 'TIGR00366', NULL, 'TIGR00366: TIGR00366 family protein', 438, NULL, 'TIGR00366', 24527),
(24528, 'TIGR02837', NULL, 'spore_II_R: stage II sporulation protein R', 168, NULL, 'TIGR02837', 24528),
(24529, 'TIGR00176', NULL, 'mobB: molybdopterin-guanine dinucleotide biosynthesis protein B', 155, NULL, 'TIGR00176', 24529),
(24530, 'TIGR01938', NULL, 'nqrC: NADH:ubiquinone oxidoreductase, Na(+)-translocating, C subunit', 251, NULL, 'TIGR01938', 24530),
(24531, 'TIGR01159', NULL, 'DRP1: density-regulated protein DRP1', 168, NULL, 'TIGR01159', 24531);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24532, 'TIGR04362', NULL, 'choice_anch_C: choice-of-anchor C domain', 157, NULL, 'TIGR04362', 24532),
(24533, 'TIGR01022', NULL, 'rpmJ_bact: ribosomal protein bL36', 37, NULL, 'TIGR01022', 24533),
(24534, 'TIGR04499', NULL, 'abortive_AbiA: abortive infection protein, AbiA family', 615, NULL, 'TIGR04499', 24534),
(24535, 'TIGR02635', NULL, 'RhaI_grampos: L-rhamnose isomerase', 378, NULL, 'TIGR02635', 24535),
(24536, 'TIGR02143', NULL, 'trmA_only: tRNA (uracil(54)-C(5))-methyltransferase', 352, NULL, 'TIGR02143', 24536),
(24537, 'TIGR02825', NULL, 'B4_12hDH: leukotriene B4 12-hydroxydehydrogenase/15-oxo-prostaglandin 13-reductase', 327, NULL, 'TIGR02825', 24537),
(24538, 'TIGR00182', NULL, 'plsX: fatty acid/phospholipid synthesis protein PlsX', 337, NULL, 'TIGR00182', 24538),
(24539, 'TIGR01795', NULL, 'CM_mono_cladeE: chorismate mutase', 94, NULL, 'TIGR01795', 24539),
(24540, 'TIGR01985', NULL, 'phasin_2: phasin', 123, NULL, 'TIGR01985', 24540),
(24541, 'TIGR01493', NULL, 'HAD-SF-IA-v2: HAD hydrolase, family IA, variant 2', 161, NULL, 'TIGR01493', 24541),
(24542, 'TIGR04054', NULL, 'rSAM_NirJ1: putative heme d1 biosynthesis radical SAM protein NirJ1', 387, NULL, 'TIGR04054', 24542),
(24543, 'TIGR03718', NULL, 'R_switched_Alx: integral membrane protein, TerC family', 303, NULL, 'TIGR03718', 24543),
(24544, 'TIGR02451', NULL, 'anti_sig_ChrR: anti-sigma factor, putative, ChrR family', 216, NULL, 'TIGR02451', 24544),
(24545, 'TIGR02641', NULL, 'gvpC_cyan_rpt: gas vesicle protein GvpC repeat', 33, NULL, 'TIGR02641', 24545),
(24546, 'TIGR04505', NULL, 'PtsS_plasma: phosphate ABC transporter substrate-binding protein', 334, NULL, 'TIGR04505', 24546),
(24547, 'TIGR01991', NULL, 'HscA: Fe-S protein assembly chaperone HscA', 600, NULL, 'TIGR01991', 24547),
(24548, 'TIGR03665', NULL, 'arCOG04150: arCOG04150 universal archaeal KH domain protein', 173, NULL, 'TIGR03665', 24548),
(24549, 'TIGR00627', NULL, 'tfb4: transcription factor tfb4', 284, NULL, 'TIGR00627', 24549),
(24550, 'TIGR01801', NULL, 'CM_A: chorismate mutase', 102, NULL, 'TIGR01801', 24550),
(24551, 'TIGR02700', NULL, 'flavo_MJ0208: archaeoflavoprotein, MJ0208 family', 234, NULL, 'TIGR02700', 24551),
(24552, 'TIGR03229', NULL, 'benzo_1_2_benA: benzoate 1,2-dioxygenase, large subunit', 433, NULL, 'TIGR03229', 24552),
(24553, 'TIGR03609', NULL, 'S_layer_CsaB: polysaccharide pyruvyl transferase CsaB', 301, NULL, 'TIGR03609', 24553),
(24554, 'TIGR04247', NULL, 'NosD_copper_fam: nitrous oxide reductase family maturation protein NosD', 377, NULL, 'TIGR04247', 24554),
(24555, 'TIGR00325', NULL, 'lpxC: UDP-3-O-[3-hydroxymyristoyl] N-acetylglucosamine deacetylase', 297, NULL, 'TIGR00325', 24555),
(24556, 'TIGR04110', NULL, 'heme_HutZ: heme utilization protein HutZ', 168, NULL, 'TIGR04110', 24556),
(24557, 'TIGR02348', NULL, 'GroEL: chaperonin GroL', 526, NULL, 'TIGR02348', 24557),
(24558, 'TIGR02728', NULL, 'spore_gerQ: spore coat protein GerQ', 82, NULL, 'TIGR02728', 24558),
(24559, 'TIGR00911', NULL, '2A0308: L-type amino acid transporter', 505, NULL, 'TIGR00911', 24559),
(24560, 'TIGR02211', NULL, 'LolD_lipo_ex: lipoprotein releasing system, ATP-binding protein', 221, NULL, 'TIGR02211', 24560),
(24561, 'TIGR03727', NULL, 'urea_t_UrtC_arc: urea ABC transporter, permease protein UrtC', 369, NULL, 'TIGR03727', 24561),
(24562, 'TIGR02588', NULL, 'TIGR02588: TIGR02588 family protein', 122, NULL, 'TIGR02588', 24562),
(24563, 'TIGR03366', NULL, 'HpnZ_proposed: putative phosphonate catabolism associated alcohol dehydrogenase', 315, NULL, 'TIGR03366', 24563),
(24564, 'TIGR03276', NULL, 'Phn-HD: phosphonate degradation operons associated HDIG domain protein', 179, NULL, 'TIGR03276', 24564),
(24565, 'TIGR01813', NULL, 'flavo_cyto_c: flavocytochrome c', 444, NULL, 'TIGR01813', 24565),
(24566, 'TIGR01686', NULL, 'FkbH: FkbH domain', 323, NULL, 'TIGR01686', 24566),
(24567, 'TIGR02968', NULL, 'succ_dehyd_anc: succinate dehydrogenase, hydrophobic membrane anchor protein', 105, NULL, 'TIGR02968', 24567);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24568, 'TIGR02395', NULL, 'rpoN_sigma: RNA polymerase sigma-54 factor', 434, NULL, 'TIGR02395', 24568),
(24569, 'TIGR00531', NULL, 'BCCP: acetyl-CoA carboxylase, biotin carboxyl carrier protein', 156, NULL, 'TIGR00531', 24569),
(24570, 'TIGR03774', NULL, 'RPE2: rickettsial palindromic element RPE2 domain', 35, NULL, 'TIGR03774', 24570),
(24571, 'TIGR04552', NULL, 'TIGR04552: TIGR04552 family protein', 352, NULL, 'TIGR04552', 24571),
(24572, 'TIGR01315', NULL, '5C_CHO_kinase: FGGY-family pentulose kinase', 541, NULL, 'TIGR01315', 24572),
(24573, 'TIGR01910', NULL, 'DapE-ArgE: peptidase, ArgE/DapE family', 373, NULL, 'TIGR01910', 24573),
(24574, 'TIGR02102', NULL, 'pullulan_Gpos: pullulanase, extracellular', 1113, NULL, 'TIGR02102', 24574),
(24575, 'TIGR01072', NULL, 'murA: UDP-N-acetylglucosamine 1-carboxyvinyltransferase', 416, NULL, 'TIGR01072', 24575),
(24576, 'TIGR04415', NULL, 'O_hepto_targRPT: autotransporter passenger strand-loop-strand repeat', 38, NULL, 'TIGR04415', 24576),
(24577, 'TIGR01452', NULL, 'PGP_euk: phosphoglycolate/pyridoxal phosphate phosphatase family', 279, NULL, 'TIGR01452', 24577),
(24578, 'TIGR02090', NULL, 'LEU1_arch: isopropylmalate/citramalate/homocitrate synthases', 363, NULL, 'TIGR02090', 24578),
(24579, 'TIGR01131', NULL, 'ATP_synt_6_or_A: ATP synthase F0, A subunit', 227, NULL, 'TIGR01131', 24579),
(24580, 'TIGR04294', NULL, 'pre_pil_HX9DG: prepilin-type processing-associated H-X9-DG domain', 16, NULL, 'TIGR04294', 24580),
(24581, 'TIGR00170', NULL, 'leuC: 3-isopropylmalate dehydratase, large subunit', 466, NULL, 'TIGR00170', 24581),
(24582, 'TIGR02286', NULL, 'PaaD: phenylacetic acid degradation protein PaaD', 114, NULL, 'TIGR02286', 24582),
(24583, 'TIGR03958', NULL, 'monoFe_hyd_HmdC: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdC', 505, NULL, 'TIGR03958', 24583),
(24584, 'TIGR02872', NULL, 'spore_ytvI: sporulation integral membrane protein YtvI', 341, NULL, 'TIGR02872', 24584),
(24585, 'TIGR00668', NULL, 'apaH: bis(5''-nucleosyl)-tetraphosphatase (symmetrical)', 279, NULL, 'TIGR00668', 24585),
(24586, 'TIGR00422', NULL, 'valS: valine--tRNA ligase', 863, NULL, 'TIGR00422', 24586),
(24587, 'TIGR02990', NULL, 'ectoine_eutA: ectoine utilization protein EutA', 239, NULL, 'TIGR02990', 24587),
(24588, 'TIGR03460', NULL, 'crt_membr_arch: carotene biosynthesis associated membrane protein', 248, NULL, 'TIGR03460', 24588),
(24589, 'TIGR03871', NULL, 'ABC_peri_MoxJ_2: quinoprotein dehydrogenase-associated probable ABC transporter substrate-binding protein', 232, NULL, 'TIGR03871', 24589),
(24590, 'TIGR02579', NULL, 'cas_csx3: CRISPR-associated protein, Csx3 family', 83, NULL, 'TIGR02579', 24590),
(24591, 'TIGR03597', NULL, 'GTPase_YqeH: ribosome biogenesis GTPase YqeH', 361, NULL, 'TIGR03597', 24591),
(24592, 'TIGR03080', NULL, 'CH4_NH3mon_ox_A: methane monooxygenase/ammonia monooxygenase, subunit A', 243, NULL, 'TIGR03080', 24592),
(24593, 'TIGR00073', NULL, 'hypB: hydrogenase accessory protein HypB', 217, NULL, 'TIGR00073', 24593),
(24594, 'TIGR03045', NULL, 'PS_II_C550: cytochrome c-550', 159, NULL, 'TIGR03045', 24594),
(24595, 'TIGR01268', NULL, 'Phe4hydrox_tetr: phenylalanine-4-hydroxylase', 436, NULL, 'TIGR01268', 24595),
(24596, 'TIGR02442', NULL, 'Cob-chelat-sub: cobaltochelatase subunit', 641, NULL, 'TIGR02442', 24596),
(24597, 'TIGR00852', NULL, 'pts-Glc: PTS system, maltose and glucose-specific subfamily, IIC component', 290, NULL, 'TIGR00852', 24597),
(24598, 'TIGR03911', NULL, 'pyrrolys_PylD: pyrrolysine biosynthesis protein PylD', 266, NULL, 'TIGR03911', 24598),
(24599, 'TIGR01561', NULL, 'gde_arch: putative glycogen debranching enzyme, archaeal type', 569, NULL, 'TIGR01561', 24599),
(24600, 'TIGR03425', NULL, 'urea_degr_2: urea carboxylase-associated protein 2', 233, NULL, 'TIGR03425', 24600),
(24601, 'TIGR00559', NULL, 'pdxJ: pyridoxine 5''-phosphate synthase', 239, NULL, 'TIGR00559', 24601),
(24602, 'TIGR02940', NULL, 'anfO_nitrog: Fe-only nitrogenase accessory protein AnfO', 214, NULL, 'TIGR02940', 24602);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24603, 'TIGR01365', NULL, 'serC_2: phosphoserine aminotransferase', 374, NULL, 'TIGR01365', 24603),
(24604, 'TIGR01745', NULL, 'asd_gamma: aspartate-semialdehyde dehydrogenase', 366, NULL, 'TIGR01745', 24604),
(24605, 'TIGR02383', NULL, 'Hfq: RNA chaperone Hfq', 61, NULL, 'TIGR02383', 24605),
(24606, 'TIGR04424', NULL, 'metallo_McbB: McbB family protein', 286, NULL, 'TIGR04424', 24606),
(24607, 'TIGR02239', NULL, 'recomb_RAD51: DNA repair protein RAD51', 316, NULL, 'TIGR02239', 24607),
(24608, 'TIGR04122', NULL, 'Xnuc_lig_assoc: putative exonuclease, DNA ligase-associated', 326, NULL, 'TIGR04122', 24608),
(24609, 'TIGR01863', NULL, 'cas_Csd1: CRISPR-associated protein Cas8c/Csd1, subtype I-C/DVULG', 588, NULL, 'TIGR01863', 24609),
(24610, 'TIGR04306', NULL, 'salvage_TenA: thiaminase II', 208, NULL, 'TIGR04306', 24610),
(24611, 'TIGR01589', NULL, 'A_thal_3526: uncharacterized plant-specific domain TIGR01589', 57, NULL, 'TIGR01589', 24611),
(24612, 'TIGR00434', NULL, 'cysH: phosophoadenylyl-sulfate reductase', 214, NULL, 'TIGR00434', 24612),
(24613, 'TIGR02081', NULL, 'metW: methionine biosynthesis protein MetW', 194, NULL, 'TIGR02081', 24613),
(24614, 'TIGR04063', NULL, 'stp3: PEP-CTERM/exosortase A-associated glycosyltransferase, Daro_2409 family', 397, NULL, 'TIGR04063', 24614),
(24615, 'TIGR03413', NULL, 'GSH_gloB: hydroxyacylglutathione hydrolase', 248, NULL, 'TIGR03413', 24615),
(24616, 'TIGR01405', NULL, 'polC_Gram_pos: DNA polymerase III, alpha subunit, Gram-positive type', 1211, NULL, 'TIGR01405', 24616),
(24617, 'TIGR03092', NULL, 'SASP_sspI: small, acid-soluble spore protein I', 65, NULL, 'TIGR03092', 24617),
(24618, 'TIGR00995', NULL, '3a0901s06TIC22: chloroplast protein import component, Tic22 family', 270, NULL, 'TIGR00995', 24618),
(24619, 'TIGR04437', NULL, 'WaaZ_KDO_III: 3-deoxy-D-manno-oct-2-ulosonate III transferase WaaZ', 252, NULL, 'TIGR04437', 24619),
(24620, 'TIGR04300', NULL, 'exosort_XrtM: exosortase family protein XrtM', 150, NULL, 'TIGR04300', 24620),
(24621, 'TIGR02791', NULL, 'VirB5: P-type DNA transfer protein VirB5', 220, NULL, 'TIGR02791', 24621),
(24622, 'TIGR01153', NULL, 'psbC: photosystem II 44 kDa subunit reaction center protein', 432, NULL, 'TIGR01153', 24622),
(24623, 'TIGR01876', NULL, 'cas_Cas5d: CRISPR-associated protein Cas5, subtype I-C/DVULG', 203, NULL, 'TIGR01876', 24623),
(24624, 'TIGR03556', NULL, 'photolyase_8HDF: deoxyribodipyrimidine photo-lyase, 8-HDF type', 471, NULL, 'TIGR03556', 24624),
(24625, 'TIGR00755', NULL, 'ksgA: ribosomal RNA small subunit methyltransferase A', 256, NULL, 'TIGR00755', 24625),
(24626, 'TIGR03316', NULL, 'ygeW: knotted carbamoyltransferase YgeW', 391, NULL, 'TIGR03316', 24626),
(24627, 'TIGR04540', NULL, 'CLB_0814_fam: conserved hypothetical protein', 73, NULL, 'TIGR04540', 24627),
(24628, 'TIGR00497', NULL, 'hsdM: type I restriction-modification system, M subunit', 515, NULL, 'TIGR00497', 24628),
(24629, 'TIGR00120', NULL, 'ArgJ: glutamate N-acetyltransferase/amino-acid acetyltransferase', 405, NULL, 'TIGR00120', 24629),
(24630, 'TIGR03584', NULL, 'PseF: pseudaminic acid cytidylyltransferase', 222, NULL, 'TIGR03584', 24630),
(24631, 'TIGR00708', NULL, 'cobA: cob(I)yrinic acid a,c-diamide adenosyltransferase', 177, NULL, 'TIGR00708', 24631),
(24632, 'TIGR02669', NULL, 'SpoIID_LytB: SpoIID/LytB domain', 270, NULL, 'TIGR02669', 24632),
(24633, 'TIGR00285', NULL, 'TIGR00285: DNA-binding protein Alba', 87, NULL, 'TIGR00285', 24633),
(24634, 'TIGR04225', NULL, 'CshA_fibril_rpt: CshA-type fibril repeat', 104, NULL, 'TIGR04225', 24634),
(24635, 'TIGR02280', NULL, 'PaaB1: phenylacetate degradation probable enoyl-CoA hydratase PaaB', 256, NULL, 'TIGR02280', 24635),
(24636, 'TIGR01181', NULL, 'dTDP_gluc_dehyt: dTDP-glucose 4,6-dehydratase', 321, NULL, 'TIGR01181', 24636),
(24637, 'TIGR04465', NULL, 'ArgArg_F420: TAT-translocated F420-dependent dehydrogenase, FGD2 family', 364, NULL, 'TIGR04465', 24637),
(24638, 'TIGR00484', NULL, 'EF-G: translation elongation factor G', 691, NULL, 'TIGR00484', 24638);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24639, 'TIGR02532', NULL, 'IV_pilin_GFxxxE: prepilin-type N-terminal cleavage/methylation domain', 24, NULL, 'TIGR02532', 24639),
(24640, 'TIGR01623', NULL, 'put_zinc_LRP1: putative zinc finger domain, LRP1 type', 43, NULL, 'TIGR01623', 24640),
(24641, 'TIGR02040', NULL, 'PpsR-CrtJ: transcriptional regulator PpsR', 442, NULL, 'TIGR02040', 24641),
(24642, 'TIGR04471', NULL, 'rSAM_mob_pairA: radical SAM mobile pair protein A', 220, NULL, 'TIGR04471', 24642),
(24643, 'TIGR00989', NULL, '3a0801s07tom40: mitochondrial import receptor subunit', 161, NULL, 'TIGR00989', 24643),
(24644, 'TIGR00360', NULL, 'ComEC_N-term: ComEC/Rec2-related protein', 171, NULL, 'TIGR00360', 24644),
(24645, 'TIGR01636', NULL, 'phage_rinA: phage transcriptional regulator, RinA family', 134, NULL, 'TIGR01636', 24645),
(24646, 'TIGR03058', NULL, 'rpt_csmH: chlorosome envelope protein H', 27, NULL, 'TIGR03058', 24646),
(24647, 'TIGR01125', NULL, 'TIGR01125: ribosomal protein S12 methylthiotransferase RimO', 432, NULL, 'TIGR01125', 24647),
(24648, 'TIGR00026', NULL, 'hi_GC_TIGR00026: deazaflavin-dependent oxidoreductase, nitroreductase family', 111, NULL, 'TIGR00026', 24648),
(24649, 'TIGR00612', NULL, 'ispG_gcpE: 4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase', 357, NULL, 'TIGR00612', 24649),
(24650, 'TIGR02034', NULL, 'CysN: sulfate adenylyltransferase, large subunit', 406, NULL, 'TIGR02034', 24650),
(24651, 'TIGR02149', NULL, 'glgA_Coryne: glycogen synthase, Corynebacterium family', 391, NULL, 'TIGR02149', 24651),
(24652, 'TIGR02510', NULL, 'NrdE-prime: ribonucleoside-diphosphate reductase, alpha chain', 560, NULL, 'TIGR02510', 24652),
(24653, 'TIGR02012', NULL, 'tigrfam_recA: protein RecA', 321, NULL, 'TIGR02012', 24653),
(24654, 'TIGR02457', NULL, 'TreS_Cterm: putative maltokinase', 529, NULL, 'TIGR02457', 24654),
(24655, 'TIGR02647', NULL, 'DNA: TIGR02647 family protein', 77, NULL, 'TIGR02647', 24655),
(24656, 'TIGR03808', NULL, 'RR_plus_rpt_1: twin-arg-translocated uncharacterized repeat protein', 455, NULL, 'TIGR03808', 24656),
(24657, 'TIGR02320', NULL, 'PEP_mutase: phosphoenolpyruvate mutase', 284, NULL, 'TIGR02320', 24657),
(24658, 'TIGR01835', NULL, 'HMG-CoA-S_prok: hydroxymethylglutaryl-CoA synthase', 382, NULL, 'TIGR01835', 24658),
(24659, 'TIGR02217', NULL, 'chp_TIGR02217: TIGR02217 family protein', 210, NULL, 'TIGR02217', 24659),
(24660, 'TIGR03631', NULL, 'uS13_bact: ribosomal protein uS13', 113, NULL, 'TIGR03631', 24660),
(24661, 'TIGR01664', NULL, 'DNA-3''-Pase: DNA 3''-phosphatase', 167, NULL, 'TIGR01664', 24661),
(24662, 'TIGR04185', NULL, 'ATPgraspMvdC: ATP-grasp ribosomal peptide maturase, MvdC family', 318, NULL, 'TIGR04185', 24662),
(24663, 'TIGR02492', NULL, 'flgK_ends: flagellar hook-associated protein FlgK', 437, NULL, 'TIGR02492', 24663),
(24664, 'TIGR03201', NULL, 'dearomat_had: 6-hydroxycyclohex-1-ene-1-carbonyl-CoA dehydrogenase', 349, NULL, 'TIGR03201', 24664),
(24665, 'TIGR00456', NULL, 'argS: arginine--tRNA ligase', 569, NULL, 'TIGR00456', 24665),
(24666, 'TIGR04013', NULL, 'B12_SAM_MJ_1487: B12-binding domain/radical SAM domain protein, MJ_1487 family', 382, NULL, 'TIGR04013', 24666),
(24667, 'TIGR00783', NULL, 'ccs: citrate carrier protein, CCS family', 420, NULL, 'TIGR00783', 24667),
(24668, 'TIGR04493', NULL, 'microcomp_PduM: microcompartment protein PduM', 153, NULL, 'TIGR04493', 24668),
(24669, 'TIGR01337', NULL, 'apcB: allophycocyanin, beta subunit', 167, NULL, 'TIGR01337', 24669),
(24670, 'TIGR04172', NULL, 'DGQHR_dnd_1: DNA phosphorothioation-associated DGQHR protein 1', 381, NULL, 'TIGR04172', 24670),
(24671, 'TIGR02177', NULL, 'PorB_KorB: 2-oxoacid:acceptor oxidoreductase, beta subunit, pyruvate/2-ketoisovalerate family', 286, NULL, 'TIGR02177', 24671),
(24672, 'TIGR01807', NULL, 'CM_P2: chorismate mutase', 76, NULL, 'TIGR01807', 24672),
(24673, 'TIGR02333', NULL, '2met_isocit_dHY: 2-methylisocitrate dehydratase, Fe/S-dependent', 858, NULL, 'TIGR02333', 24673),
(24674, 'TIGR03161', NULL, 'ribazole_CobZ: alpha-ribazole phosphatase CobZ', 140, NULL, 'TIGR03161', 24674);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24675, 'TIGR00004', NULL, 'TIGR00004: reactive intermediate/imine deaminase', 125, NULL, 'TIGR00004', 24675),
(24676, 'TIGR02962', NULL, 'hdxy_isourate: hydroxyisourate hydrolase', 113, NULL, 'TIGR02962', 24676),
(24677, 'TIGR03836', NULL, 'termin_org_HMW1: cytadherence high molecular weight protein 1 N-terminal region', 82, NULL, 'TIGR03836', 24677),
(24678, 'TIGR00777', NULL, 'ahpD: alkylhydroperoxidase, AhpD family', 177, NULL, 'TIGR00777', 24678),
(24679, 'TIGR03298', NULL, 'argP: transcriptional regulator, ArgP family', 292, NULL, 'TIGR03298', 24679),
(24680, 'TIGR03344', NULL, 'VI_effect_Hcp1: type VI secretion system effector, Hcp1 family', 167, NULL, 'TIGR03344', 24680),
(24681, 'TIGR00640', NULL, 'acid_CoA_mut_C: methylmalonyl-CoA mutase C-terminal domain', 132, NULL, 'TIGR00640', 24681),
(24682, 'TIGR00830', NULL, 'PTBA: PTS system, glucose subfamily, IIA component', 121, NULL, 'TIGR00830', 24682),
(24683, 'TIGR00967', NULL, '3a0501s007: preprotein translocase, SecY subunit', 414, NULL, 'TIGR00967', 24683),
(24684, 'TIGR02831', NULL, 'spo_II_M: stage II sporulation protein M', 200, NULL, 'TIGR02831', 24684),
(24685, 'TIGR03528', NULL, '2_3_DAP_am_ly: diaminopropionate ammonia-lyase', 396, NULL, 'TIGR03528', 24685),
(24686, 'TIGR03338', NULL, 'phnR_burk: phosphonate utilization associated transcriptional regulator', 212, NULL, 'TIGR03338', 24686),
(24687, 'TIGR03796', NULL, 'NHLM_micro_ABC1: NHLM bacteriocin system ABC transporter, peptidase/ATP-binding protein', 710, NULL, 'TIGR03796', 24687),
(24688, 'TIGR03017', NULL, 'EpsF: chain length determinant protein EpsF', 444, NULL, 'TIGR03017', 24688),
(24689, 'TIGR04178', NULL, 'exo_archaeo: exosortase/archaeosortase family protein', 97, NULL, 'TIGR04178', 24689),
(24690, 'TIGR02504', NULL, 'NrdJ_Z: ribonucleoside-diphosphate reductase, adenosylcobalamin-dependent', 606, NULL, 'TIGR02504', 24690),
(24691, 'TIGR00509', NULL, 'bisC_fam: molybdopterin guanine dinucleotide-containing S/N-oxide reductases', 772, NULL, 'TIGR00509', 24691),
(24692, 'TIGR00565', NULL, 'trpE_proteo: anthranilate synthase component I', 498, NULL, 'TIGR00565', 24692),
(24693, 'TIGR02108', NULL, 'PQQ_syn_pqqB: coenzyme PQQ biosynthesis protein B', 302, NULL, 'TIGR02108', 24693),
(24694, 'TIGR01343', NULL, 'hacA_fam: homoaconitate hydratase family protein', 412, NULL, 'TIGR01343', 24694),
(24695, 'TIGR02361', NULL, 'dak_ATP: dihydroxyacetone kinase', 583, NULL, 'TIGR02361', 24695),
(24696, 'TIGR03952', NULL, 'metzin_BF0631: zinc-dependent metalloproteinase lipoprotein, BF0631 family', 351, NULL, 'TIGR03952', 24696),
(24697, 'TIGR03126', NULL, 'one_C_fae: formaldehyde-activating enzyme', 160, NULL, 'TIGR03126', 24697),
(24698, 'TIGR01583', NULL, 'formate-DH-gamm: formate dehydrogenase, gamma subunit', 204, NULL, 'TIGR01583', 24698),
(24699, 'TIGR03849', NULL, 'arch_ComA: phosphosulfolactate synthase', 237, NULL, 'TIGR03849', 24699),
(24700, 'TIGR04144', NULL, 'archaeo_VPXXXP: archaeosortase B', 156, NULL, 'TIGR04144', 24700),
(24701, 'TIGR02934', NULL, 'nifT_nitrog: probable nitrogen fixation protein FixT', 68, NULL, 'TIGR02934', 24701),
(24702, 'TIGR03712', NULL, 'acc_sec_asp2: accessory Sec system protein Asp2', 511, NULL, 'TIGR03712', 24702),
(24703, 'TIGR02498', NULL, 'type_III_ssaH: type III secretion system protein, SsaH family', 79, NULL, 'TIGR02498', 24703),
(24704, 'TIGR02464', NULL, 'ribofla_fusion: conserved hypothetical protein', 153, NULL, 'TIGR02464', 24704),
(24705, 'TIGR01085', NULL, 'murE: UDP-N-acetylmuramyl-tripeptide synthetase', 472, NULL, 'TIGR01085', 24705),
(24706, 'TIGR04041', NULL, 'activase_YjjW: glycine radical enzyme activase, YjjW family', 276, NULL, 'TIGR04041', 24706),
(24707, 'TIGR04007', NULL, 'wcaI: colanic acid biosynthesis glycosyltransferase WcaI', 407, NULL, 'TIGR04007', 24707),
(24708, 'TIGR01206', NULL, 'lysW: lysine biosynthesis protein LysW', 54, NULL, 'TIGR01206', 24708),
(24709, 'TIGR02996', NULL, 'rpt_mate_G_obs: repeat-companion domain TIGR02996', 45, NULL, 'TIGR02996', 24709);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24710, 'TIGR02859', NULL, 'spore_sigH: RNA polymerase sigma-H factor', 198, NULL, 'TIGR02859', 24710),
(24711, 'TIGR03591', NULL, 'polynuc_phos: polyribonucleotide nucleotidyltransferase', 689, NULL, 'TIGR03591', 24711),
(24712, 'TIGR03877', NULL, 'thermo_KaiC_1: KaiC domain protein, Ph0284 family', 238, NULL, 'TIGR03877', 24712),
(24713, 'TIGR02722', NULL, 'lp_: uncharacterized lipoprotein', 189, NULL, 'TIGR02722', 24713),
(24714, 'TIGR00537', NULL, 'hemK_rel_arch: putative methylase', 179, NULL, 'TIGR00537', 24714),
(24715, 'TIGR00095', NULL, 'TIGR00095: 16S rRNA (guanine(966)-N(2))-methyltransferase RsmD', 194, NULL, 'TIGR00095', 24715),
(24716, 'TIGR00593', NULL, 'pola: DNA polymerase I', 890, NULL, 'TIGR00593', 24716),
(24717, 'TIGR00926', NULL, '2A1704: oligopeptide transporter, peptide:H+ symporter', 671, NULL, 'TIGR00926', 24717),
(24718, 'TIGR01944', NULL, 'rnfB: electron transport complex, RnfABCDGE type, B subunit', 190, NULL, 'TIGR01944', 24718),
(24719, 'TIGR00674', NULL, 'dapA: 4-hydroxy-tetrahydrodipicolinate synthase', 286, NULL, 'TIGR00674', 24719),
(24720, 'TIGR04069', NULL, 'ocin_ACP_rel: peptide maturation system acyl carrier-related protein', 77, NULL, 'TIGR04069', 24720),
(24721, 'TIGR00353', NULL, 'nrfE: cytochrome c-type biogenesis protein CcmF', 578, NULL, 'TIGR00353', 24721),
(24722, 'TIGR01704', NULL, 'MTA/SAH-Nsdase: MTA/SAH nucleosidase', 229, NULL, 'TIGR01704', 24722),
(24723, 'TIGR01446', NULL, 'DnaD_dom: DnaD domain protein', 73, NULL, 'TIGR01446', 24723),
(24724, 'TIGR02224', NULL, 'recomb_XerC: tyrosine recombinase XerC', 295, NULL, 'TIGR02224', 24724),
(24725, 'TIGR01194', NULL, 'cyc_pep_trnsptr: cyclic peptide transporter', 554, NULL, 'TIGR01194', 24725),
(24726, 'TIGR00216', NULL, 'ispH_lytB: 4-hydroxy-3-methylbut-2-enyl diphosphate reductase', 282, NULL, 'TIGR00216', 24726),
(24727, 'TIGR04281', NULL, 'peripla_PGF_1: putative ABC transporter PGF-CTERM-modified substrate-binding protein', 330, NULL, 'TIGR04281', 24727),
(24728, 'TIGR02750', NULL, 'TraN_Ftype: type-F conjugative transfer system mating-pair stabilization protein TraN', 572, NULL, 'TIGR02750', 24728),
(24729, 'TIGR01869', NULL, 'casC_Cse4: CRISPR-associated protein Cas7/Cse4/CasC, subtype I-E/ECOLI', 325, NULL, 'TIGR01869', 24729),
(24730, 'TIGR02887', NULL, 'spore_ger_x_C: germination protein, Ger(x)C family', 371, NULL, 'TIGR02887', 24730),
(24731, 'TIGR01732', NULL, 'tiny_TM_bacill: conserved hypothetical protein', 26, NULL, 'TIGR01732', 24731),
(24732, 'TIGR03270', NULL, 'methan_mark_4: putative methanogen marker protein 4', 204, NULL, 'TIGR03270', 24732),
(24733, 'TIGR02389', NULL, 'RNA_pol_rpoA2: DNA-directed RNA polymerase, subunit A''''', 367, NULL, 'TIGR02389', 24733),
(24734, 'TIGR02252', NULL, 'DREG-2: HAD hydrolase, REG-2-like, family IA', 203, NULL, 'TIGR02252', 24734),
(24735, 'TIGR02613', NULL, 'mob_myst_B: mobile mystery protein B', 186, NULL, 'TIGR02613', 24735),
(24736, 'TIGR03235', NULL, 'DNA_S_dndA: cysteine desulfurase DndA', 353, NULL, 'TIGR03235', 24736),
(24737, 'TIGR03768', NULL, 'RPA4764: metallophosphoesterase, RPA4764 family', 547, NULL, 'TIGR03768', 24737),
(24738, 'TIGR02096', NULL, 'TIGR02096: conserved hypothetical protein', 129, NULL, 'TIGR02096', 24738),
(24739, 'TIGR02906', NULL, 'spore_CotS: spore coat protein, CotS family', 314, NULL, 'TIGR02906', 24739),
(24740, 'TIGR01371', NULL, 'met_syn_B12ind: 5-methyltetrahydropteroyltriglutamate--homocysteine S-methyltransferase', 754, NULL, 'TIGR01371', 24740),
(24741, 'TIGR01234', NULL, 'L-ribulokinase: ribulokinase', 536, NULL, 'TIGR01234', 24741),
(24742, 'TIGR01692', NULL, 'HIBADH: 3-hydroxyisobutyrate dehydrogenase', 288, NULL, 'TIGR01692', 24742),
(24743, 'TIGR00749', NULL, 'glk: glucokinase', 315, NULL, 'TIGR00749', 24743),
(24744, 'TIGR01555', NULL, 'phge_rel_HI1409: phage-associated protein, HI1409 family', 404, NULL, 'TIGR01555', 24744),
(24745, 'TIGR02573', NULL, 'LcrG_PcrG: type III secretion protein LcrG', 90, NULL, 'TIGR02573', 24745); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24746, 'TIGR00107', NULL, 'deoD: purine nucleoside phosphorylase', 232, NULL, 'TIGR00107', 24746),
(24747, 'TIGR02429', NULL, 'pcaI_scoA_fam: 3-oxoacid CoA-transferase, A subunit', 222, NULL, 'TIGR02429', 24747),
(24748, 'TIGR00400', NULL, 'mgtE: magnesium transporter', 450, NULL, 'TIGR00400', 24748),
(24749, 'TIGR03740', NULL, 'galliderm_ABC: lantibiotic protection ABC transporter, ATP-binding subunit', 223, NULL, 'TIGR03740', 24749),
(24750, 'TIGR03603', NULL, 'cyclo_dehy_ocin: thiazole/oxazole-forming peptide maturase, SagC family component', 319, NULL, 'TIGR03603', 24750),
(24751, 'TIGR00244', NULL, 'TIGR00244: transcriptional regulator NrdR', 147, NULL, 'TIGR00244', 24751),
(24752, 'TIGR01399', NULL, 'hrcV: type III secretion protein, HrcV family', 677, NULL, 'TIGR01399', 24752),
(24753, 'TIGR00886', NULL, '2A0108: nitrite transporter', 368, NULL, 'TIGR00886', 24753),
(24754, 'TIGR03086', NULL, 'TIGR03086: TIGR03086 family protein', 180, NULL, 'TIGR03086', 24754),
(24755, 'TIGR01078', NULL, 'arcA: arginine deiminase', 408, NULL, 'TIGR01078', 24755),
(24756, 'TIGR03917', NULL, 'Frankia_40_dom: Frankia-40 domain', 40, NULL, 'TIGR03917', 24756),
(24757, 'TIGR01916', NULL, 'F420_cofE: coenzyme F420-0:L-glutamate ligase', 244, NULL, 'TIGR01916', 24757),
(24758, 'TIGR04253', NULL, 'mesacon_CoA_iso: mesaconyl-CoA isomerase', 403, NULL, 'TIGR04253', 24758),
(24759, 'TIGR04116', NULL, 'CXXX_rpt_assoc: CXXX repeat peptide modification system protein', 90, NULL, 'TIGR04116', 24759),
(24760, 'TIGR00067', NULL, 'glut_race: glutamate racemase', 251, NULL, 'TIGR00067', 24760),
(24761, 'TIGR00388', NULL, 'glyQ: glycine--tRNA ligase, alpha subunit', 293, NULL, 'TIGR00388', 24761),
(24762, 'TIGR00789', NULL, 'flhB_rel: FlhB domain protein', 84, NULL, 'TIGR00789', 24762),
(24763, 'TIGR00652', NULL, 'DapF: diaminopimelate epimerase', 270, NULL, 'TIGR00652', 24763),
(24764, 'TIGR02607', NULL, 'antidote_HigA: addiction module antidote protein, HigA family', 81, NULL, 'TIGR02607', 24764),
(24765, 'TIGR03260', NULL, 'met_CoM_red_D: methyl-coenzyme M reductase operon protein D', 150, NULL, 'TIGR03260', 24765),
(24766, 'TIGR03245', NULL, 'arg_AOST_alph: arginine/ornithine succinyltransferase, alpha subunit', 336, NULL, 'TIGR03245', 24766),
(24767, 'TIGR03397', NULL, 'acid_phos_Burk: acid phosphatase, Burkholderia-type', 483, NULL, 'TIGR03397', 24767),
(24768, 'TIGR00309', NULL, 'V_ATPase_subD: V-type ATPase, D subunit', 209, NULL, 'TIGR00309', 24768),
(24769, 'TIGR00637', NULL, 'ModE_repress: ModE molybdate transport repressor domain', 100, NULL, 'TIGR00637', 24769),
(24770, 'TIGR00500', NULL, 'met_pdase_I: methionine aminopeptidase, type I', 247, NULL, 'TIGR00500', 24770),
(24771, 'TIGR02759', NULL, 'TraD_Ftype: type IV conjugative transfer system coupling protein TraD', 566, NULL, 'TIGR02759', 24771),
(24772, 'TIGR02622', NULL, 'CDP_4_6_dhtase: CDP-glucose 4,6-dehydratase', 352, NULL, 'TIGR02622', 24772),
(24773, 'TIGR01003', NULL, 'PTS_HPr_family: phosphocarrier, HPr family', 82, NULL, 'TIGR01003', 24773),
(24774, 'TIGR02950', NULL, 'SigM_subfam: RNA polymerase sigma factor, SigM family', 159, NULL, 'TIGR02950', 24774),
(24775, 'TIGR01275', NULL, 'ACC_deam_rel: pyridoxal phosphate-dependent enzymes, D-cysteine desulfhydrase family', 321, NULL, 'TIGR01275', 24775),
(24776, 'TIGR01928', NULL, 'menC_lowGC/arch: o-succinylbenzoate synthase', 325, NULL, 'TIGR01928', 24776),
(24777, 'TIGR00251', NULL, 'TIGR00251: TIGR00251 family protein', 87, NULL, 'TIGR00251', 24777),
(24778, 'TIGR04536', NULL, 'geobac_encap: encapsulated protein', 194, NULL, 'TIGR04536', 24778),
(24779, 'TIGR01823', NULL, 'PabB-fungal: aminodeoxychorismate synthase', 742, NULL, 'TIGR01823', 24779),
(24780, 'TIGR01331', NULL, 'bisphos_cysQ: 3''(2''),5''-bisphosphate nucleotidase', 250, NULL, 'TIGR01331', 24780),
(24781, 'TIGR02074', NULL, 'PBP_1a_fam: penicillin-binding protein, 1A family', 535, NULL, 'TIGR02074', 24781),
(24782, 'TIGR02598', NULL, 'TIGR02598: Verru_Chthon cassette protein B', 151, NULL, 'TIGR02598', 24782);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24783, 'TIGR04029', NULL, 'CMD_Avi_7170: CMD domain protein, Avi_7170 family', 174, NULL, 'TIGR04029', 24783),
(24784, 'TIGR03886', NULL, 'lyase_spl_fam: spore photoproduct lyase family protein', 346, NULL, 'TIGR03886', 24784),
(24785, 'TIGR04431', NULL, 'N6_acetyl_AAC6: aminoglycoside N(6'')-acetyltransferase, AacA4 family', 184, NULL, 'TIGR04431', 24785),
(24786, 'TIGR00845', NULL, 'caca: sodium/calcium exchanger 1', 921, NULL, 'TIGR00845', 24786),
(24787, 'TIGR03945', NULL, 'PLP_SbnA_fam: 2,3-diaminopropionate biosynthesis protein SbnA', 304, NULL, 'TIGR03945', 24787),
(24788, 'TIGR04091', NULL, 'LTA_dltB: D-alanyl-lipoteichoic acid biosynthesis protein DltB', 380, NULL, 'TIGR04091', 24788),
(24789, 'TIGR02414', NULL, 'pepN_proteo: aminopeptidase N', 868, NULL, 'TIGR02414', 24789),
(24790, 'TIGR00684', NULL, 'narJ: nitrate reductase molybdenum cofactor assembly chaperone', 152, NULL, 'TIGR00684', 24790),
(24791, 'TIGR04340', NULL, 'rSAM_ACGX: radical SAM/SPASM domain protein, ACGX system', 341, NULL, 'TIGR04340', 24791),
(24792, 'TIGR01436', NULL, 'glu_cys_lig_pln: glutamate--cysteine ligase', 446, NULL, 'TIGR01436', 24792),
(24793, 'TIGR02165', NULL, 'cas5_6_GSU0054: CRISPR-associated protein GSU0054/csb2, Dpsyc system', 492, NULL, 'TIGR02165', 24793),
(24794, 'TIGR03693', NULL, 'ocin_ThiF_like: putative thiazole-containing bacteriocin maturation protein', 637, NULL, 'TIGR03693', 24794),
(24795, 'TIGR01972', NULL, 'NDH_I_M: proton-translocating NADH-quinone oxidoreductase, chain M', 486, NULL, 'TIGR01972', 24795),
(24796, 'TIGR04375', NULL, 'cyano_w_EgtBD: hercynine metabolism protein', 155, NULL, 'TIGR04375', 24796),
(24797, 'TIGR01717', NULL, 'AMP-nucleosdse: AMP nucleosidase', 478, NULL, 'TIGR01717', 24797),
(24798, 'TIGR03600', NULL, 'phage_DnaB: phage replicative helicase, DnaB family', 421, NULL, 'TIGR03600', 24798),
(24799, 'TIGR03737', NULL, 'PRTRC_B: PRTRC system protein B', 228, NULL, 'TIGR03737', 24799),
(24800, 'TIGR03889', NULL, 'nitrile_acc: nitrile hydratase accessory protein', 74, NULL, 'TIGR03889', 24800),
(24801, 'TIGR02267', NULL, 'TIGR02267: DUSAM domain', 123, NULL, 'TIGR02267', 24801),
(24802, 'TIGR00195', NULL, 'exoDNase_III: exodeoxyribonuclease III', 254, NULL, 'TIGR00195', 24802),
(24803, 'TIGR02130', NULL, 'dapB_plant: dihydrodipicolinate reductase', 275, NULL, 'TIGR02130', 24803),
(24804, 'TIGR01925', NULL, 'spIIAB: anti-sigma F factor', 137, NULL, 'TIGR01925', 24804),
(24805, 'TIGR03705', NULL, 'poly_P_kin: polyphosphate kinase 1', 673, NULL, 'TIGR03705', 24805),
(24806, 'TIGR03784', NULL, 'marine_sortase: sortase, marine proteobacterial type', 174, NULL, 'TIGR03784', 24806),
(24807, 'TIGR02595', NULL, 'PEP_exosort: PEP-CTERM protein-sorting domain', 24, NULL, 'TIGR02595', 24807),
(24808, 'TIGR04079', NULL, 'phero_cyc_pep: KxxxW-cyclized secreted peptide', 23, NULL, 'TIGR04079', 24808),
(24809, 'TIGR00148', NULL, 'TIGR00148: decarboxylase, UbiD family', 438, NULL, 'TIGR00148', 24809),
(24810, 'TIGR01486', NULL, 'HAD-SF-IIB-MPGP: mannosyl-3-phosphoglycerate phosphatase family', 257, NULL, 'TIGR01486', 24810),
(24811, 'TIGR00711', NULL, 'efflux_EmrB: drug resistance MFS transporter, drug:H+ antiporter-2 (14 Spanner) (DHA2) family', 485, NULL, 'TIGR00711', 24811),
(24812, 'TIGR03304', NULL, 'OMP85_target: outer membrane insertion C-terminal signal', 10, NULL, 'TIGR03304', 24812),
(24813, 'TIGR03409', NULL, 'urea_trans_UrtB: urea ABC transporter, permease protein UrtB', 291, NULL, 'TIGR03409', 24813),
(24814, 'TIGR02903', NULL, 'spore_lon_C: ATP-dependent protease, Lon family', 615, NULL, 'TIGR02903', 24814),
(24815, 'TIGR03678', NULL, 'het_cyc_patell: bacteriocin leader peptide, microcyclamide/patellamide family', 34, NULL, 'TIGR03678', 24815),
(24816, 'TIGR03541', NULL, 'reg_near_HchA: LuxR family transcriptional regulatory, chaperone HchA-associated', 232, NULL, 'TIGR03541', 24816),
(24817, 'TIGR02118', NULL, 'TIGR02118: conserved hypothetical protein', 103, NULL, 'TIGR02118', 24817);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24818, 'TIGR02818', NULL, 'adh_III_F_hyde: S-(hydroxymethyl)glutathione dehydrogenase/class III alcohol dehydrogenase', 368, NULL, 'TIGR02818', 24818),
(24819, 'TIGR00895', NULL, '2A0115: MFS transporter, aromatic acid:H+ symporter (AAHS) family', 398, NULL, 'TIGR00895', 24819),
(24820, 'TIGR00980', NULL, '3a0801so1tim17: mitochondrial import inner membrane translocase subunit tim17', 170, NULL, 'TIGR00980', 24820),
(24821, 'TIGR04047', NULL, 'MSMEG_0565_glyc: glycosyltransferase, MSMEG_0565 family', 373, NULL, 'TIGR04047', 24821),
(24822, 'TIGR02059', NULL, 'swm_rep_I: cyanobacterial long protein repeat', 101, NULL, 'TIGR02059', 24822),
(24823, 'TIGR02563', NULL, 'cas_Csy4: CRISPR-associated endoribonuclease Cas6/Csy4, subtype I-F/YPEST', 184, NULL, 'TIGR02563', 24823),
(24824, 'TIGR03292', NULL, 'PhnH_redo: phosphonate C-P lyase system protein PhnH', 184, NULL, 'TIGR03292', 24824),
(24825, 'TIGR03213', NULL, '23dbph12diox: 2,3-dihydroxybiphenyl 1,2-dioxygenase', 287, NULL, 'TIGR03213', 24825),
(24826, 'TIGR00011', NULL, 'YbaK_EbsC: Cys-tRNA(Pro) deacylase', 152, NULL, 'TIGR00011', 24826),
(24827, 'TIGR00306', NULL, 'apgM: phosphoglycerate mutase (2,3-diphosphoglycerate-independent), archaeal form', 396, NULL, 'TIGR00306', 24827),
(24828, 'TIGR00222', NULL, 'panB: 3-methyl-2-oxobutanoate hydroxymethyltransferase', 264, NULL, 'TIGR00222', 24828),
(24829, 'TIGR00602', NULL, 'rad24: checkpoint protein rad24', 640, NULL, 'TIGR00602', 24829),
(24830, 'TIGR00739', NULL, 'yajC: preprotein translocase, YajC subunit', 84, NULL, 'TIGR00739', 24830),
(24831, 'TIGR01377', NULL, 'soxA_mon: sarcosine oxidase, monomeric form', 381, NULL, 'TIGR01377', 24831),
(24832, 'TIGR01240', NULL, 'mevDPdecarb: diphosphomevalonate decarboxylase', 305, NULL, 'TIGR01240', 24832),
(24833, 'TIGR03295', NULL, 'frhA: coenzyme F420 hydrogenase, subunit alpha', 412, NULL, 'TIGR03295', 24833),
(24834, 'TIGR03210', NULL, 'badI: 2-ketocyclohexanecarboxyl-CoA hydrolase', 256, NULL, 'TIGR03210', 24834),
(24835, 'TIGR02709', NULL, 'branched_ptb: branched-chain phosphotransacylase', 271, NULL, 'TIGR02709', 24835),
(24836, 'TIGR00359', NULL, 'cello_pts_IIC: PTS system, cellobiose-specific IIC component', 424, NULL, 'TIGR00359', 24836),
(24837, 'TIGR02071', NULL, 'PBP_1b: penicillin-binding protein 1B', 729, NULL, 'TIGR02071', 24837),
(24838, 'TIGR00930', NULL, '2a30: K-Cl cotransporter', 936, NULL, 'TIGR00930', 24838),
(24839, 'TIGR00687', NULL, 'pyridox_kin: pyridoxal kinase', 288, NULL, 'TIGR00687', 24839),
(24840, 'TIGR04434', NULL, 'rSAM_Pput_1520: B12-binding domain/radical SAM domain protein', 515, NULL, 'TIGR04434', 24840),
(24841, 'TIGR00415', NULL, 'serS_MJ: serine--tRNA ligase', 518, NULL, 'TIGR00415', 24841),
(24842, 'TIGR03347', NULL, 'VI_chp_1: type VI secretion protein, VC_A0111 family', 300, NULL, 'TIGR03347', 24842),
(24843, 'TIGR03139', NULL, 'QueF-II: 7-cyano-7-deazaguanine reductase', 115, NULL, 'TIGR03139', 24843),
(24844, 'TIGR02657', NULL, 'amicyanin: amicyanin', 83, NULL, 'TIGR02657', 24844),
(24845, 'TIGR00207', NULL, 'fliG: flagellar motor switch protein FliG', 338, NULL, 'TIGR00207', 24845),
(24846, 'TIGR02891', NULL, 'CtaD_CoxA: cytochrome c oxidase, subunit I', 504, NULL, 'TIGR02891', 24846),
(24847, 'TIGR00441', NULL, 'gmhA: phosphoheptose isomerase', 154, NULL, 'TIGR00441', 24847),
(24848, 'TIGR02024', NULL, 'FtcD: glutamate formiminotransferase', 298, NULL, 'TIGR02024', 24848),
(24849, 'TIGR01898', NULL, 'cas_TM1791_cmr6: CRISPR type III-B/RAMP module RAMP protein Cmr6', 195, NULL, 'TIGR01898', 24849),
(24850, 'TIGR04094', NULL, 'adjacent_YSIRK: YSIRK-targeted surface antigen transcriptional regulator', 383, NULL, 'TIGR04094', 24850),
(24851, 'TIGR04474', NULL, 'tcm_partner: three-Cys-motif partner protein', 263, NULL, 'TIGR04474', 24851),
(24852, 'TIGR01381', NULL, 'E1_like_apg7: E1-like protein-activating enzyme Gsa7p/Apg7p', 663, NULL, 'TIGR01381', 24852),
(24853, 'TIGR04481', NULL, 'PR_assoc_PrdC: proline reductase-associated electron transfer protein PrdC', 425, NULL, 'TIGR04481', 24853);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24854, 'TIGR02411', NULL, 'leuko_A4_hydro: leukotriene A-4 hydrolase/aminopeptidase', 600, NULL, 'TIGR02411', 24854),
(24855, 'TIGR02168', NULL, 'SMC_prok_B: chromosome segregation protein SMC', 1181, NULL, 'TIGR02168', 24855),
(24856, 'TIGR02548', NULL, 'casB_cse2: CRISPR type I-E/ECOLI-associated protein CasB/Cse2', 159, NULL, 'TIGR02548', 24856),
(24857, 'TIGR03186', NULL, 'AKGDH_not_PDH: alpha-ketoglutarate dehydrogenase', 889, NULL, 'TIGR03186', 24857),
(24858, 'TIGR03628', NULL, 'arch_S11P: ribosomal protein uS11', 117, NULL, 'TIGR03628', 24858),
(24859, 'TIGR03843', NULL, 'TIGR03843: conserved hypothetical protein', 253, NULL, 'TIGR03843', 24859),
(24860, 'TIGR02031', NULL, 'BchD-ChlD: magnesium chelatase ATPase subunit D', 608, NULL, 'TIGR02031', 24860),
(24861, 'TIGR02489', NULL, 'flgE_epsilon: flagellar hook protein FlgE', 719, NULL, 'TIGR02489', 24861),
(24862, 'TIGR01714', NULL, 'phage_rep_org_N: phage replisome organizer, putative, N-terminal region', 119, NULL, 'TIGR01714', 24862),
(24863, 'TIGR00550', NULL, 'nadA: quinolinate synthetase complex, A subunit', 309, NULL, 'TIGR00550', 24863),
(24864, 'TIGR01053', NULL, 'LSD1: zinc finger domain, LSD1 subclass', 31, NULL, 'TIGR01053', 24864),
(24865, 'TIGR01433', NULL, 'CyoA: ubiquinol oxidase, subunit II', 226, NULL, 'TIGR01433', 24865),
(24866, 'TIGR00786', NULL, 'dctM: TRAP transporter, DctM subunit', 405, NULL, 'TIGR00786', 24866),
(24867, 'TIGR04533', NULL, 'cyanosortB_assc: cyanoexosortase B-associated protein', 221, NULL, 'TIGR04533', 24867),
(24868, 'TIGR03248', NULL, 'galactar-dH20: galactarate dehydratase', 507, NULL, 'TIGR03248', 24868),
(24869, 'TIGR02329', NULL, 'propionate_PrpR: propionate catabolism operon regulatory protein PrpR', 526, NULL, 'TIGR02329', 24869),
(24870, 'TIGR03002', NULL, 'outer_YhbN_LptA: lipopolysaccharide transport periplasmic protein LptA', 142, NULL, 'TIGR03002', 24870),
(24871, 'TIGR00743', NULL, 'TIGR00743: conserved hypothetical protein', 95, NULL, 'TIGR00743', 24871),
(24872, 'TIGR01577', NULL, 'oligosac_amyl: oligosaccharide amylase', 616, NULL, 'TIGR01577', 24872),
(24873, 'TIGR00160', NULL, 'MGSA: methylglyoxal synthase', 143, NULL, 'TIGR00160', 24873),
(24874, 'TIGR02305', NULL, 'HpaG-N-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, N-terminal subunit', 205, NULL, 'TIGR02305', 24874),
(24875, 'TIGR01542', NULL, 'A118_put_portal: phage portal protein, putative, A118 family', 476, NULL, 'TIGR01542', 24875),
(24876, 'TIGR00297', NULL, 'TIGR00297: TIGR00297 family protein', 237, NULL, 'TIGR00297', 24876),
(24877, 'TIGR04325', NULL, 'MTase_LIC12133: putative methyltransferase, LIC12133 family', 234, NULL, 'TIGR04325', 24877),
(24878, 'TIGR00590', NULL, 'pcna: proliferating cell nuclear antigen (pcna)', 259, NULL, 'TIGR00590', 24878),
(24879, 'TIGR02697', NULL, 'WPE_wolbac: Wolbachia palindromic element domain', 36, NULL, 'TIGR02697', 24879),
(24880, 'TIGR02560', NULL, 'HrpB4: type III secretion protein HrpB4', 220, NULL, 'TIGR02560', 24880),
(24881, 'TIGR01249', NULL, 'pro_imino_pep_1: prolyl aminopeptidase', 307, NULL, 'TIGR01249', 24881),
(24882, 'TIGR04103', NULL, 'rSAM_nif11_3: nif11-class peptide radical SAM maturase 3', 412, NULL, 'TIGR04103', 24882),
(24883, 'TIGR01384', NULL, 'TFS_arch: transcription factor S', 101, NULL, 'TIGR01384', 24883),
(24884, 'TIGR01764', NULL, 'excise: DNA binding domain, excisionase family', 49, NULL, 'TIGR01764', 24884),
(24885, 'TIGR02180', NULL, 'GRX_euk: glutaredoxin', 84, NULL, 'TIGR02180', 24885),
(24886, 'TIGR03307', NULL, 'PhnP: phosphonate metabolism protein PhnP', 249, NULL, 'TIGR03307', 24886),
(24887, 'TIGR01679', NULL, 'bact_FAD_ox: FAD-linked oxidoreductase', 419, NULL, 'TIGR01679', 24887),
(24888, 'TIGR02716', NULL, 'C20_methyl_CrtF: C-20 methyltransferase BchU', 306, NULL, 'TIGR02716', 24888),
(24889, 'TIGR04372', NULL, 'glycosyl_04372: putative glycosyltransferase, TIGR04372 family', 207, NULL, 'TIGR04372', 24889);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24890, 'TIGR01334', NULL, 'modD: modD protein', 277, NULL, 'TIGR01334', 24890),
(24891, 'TIGR02513', NULL, 'type_III_yscB: type III secretion system chaperone, YscB family', 140, NULL, 'TIGR02513', 24891),
(24892, 'TIGR02978', NULL, 'phageshock_pspC: phage shock protein C', 121, NULL, 'TIGR02978', 24892),
(24893, 'TIGR03288', NULL, 'CoB_CoM_SS_B: CoB--CoM heterodisulfide reductase, subunit B', 290, NULL, 'TIGR03288', 24893),
(24894, 'TIGR00793', NULL, 'kdgT: 2-keto-3-deoxygluconate transporter', 314, NULL, 'TIGR00793', 24894),
(24895, 'TIGR02133', NULL, 'RPI_actino: ribose 5-phosphate isomerase', 148, NULL, 'TIGR02133', 24895),
(24896, 'TIGR03026', NULL, 'NDP-sugDHase: nucleotide sugar dehydrogenase', 413, NULL, 'TIGR03026', 24896),
(24897, 'TIGR00578', NULL, 'ku70: ATP-dependent DNA helicase II, 70 kDa subunit (ku70)', 586, NULL, 'TIGR00578', 24897),
(24898, 'TIGR04044', NULL, 'MSMEG_0572_fam: MSMEG_0572 family protein', 159, NULL, 'TIGR04044', 24898),
(24899, 'TIGR01006', NULL, 'polys_exp_MPA1: polysaccharide export protein, MPA1 family', 226, NULL, 'TIGR01006', 24899),
(24900, 'TIGR02461', NULL, 'osmo_MPG_phos: mannosyl-3-phosphoglycerate phosphatase', 227, NULL, 'TIGR02461', 24900),
(24901, 'TIGR03394', NULL, 'indol_phenyl_DC: indolepyruvate/phenylpyruvate decarboxylase', 535, NULL, 'TIGR03394', 24901),
(24902, 'TIGR02376', NULL, 'Cu_nitrite_red: nitrite reductase, copper-containing', 326, NULL, 'TIGR02376', 24902),
(24903, 'TIGR03111', NULL, 'glyc2_xrt_Gpos1: putative glycosyltransferase, exosortase G-associated', 439, NULL, 'TIGR03111', 24903),
(24904, 'TIGR04266', NULL, 'NDMA_methanol: NDMA-dependent methanol dehydrogenase', 420, NULL, 'TIGR04266', 24904),
(24905, 'TIGR03406', NULL, 'FeS_long_SufT: probable FeS assembly SUF system protein SufT', 174, NULL, 'TIGR03406', 24905),
(24906, 'TIGR00113', NULL, 'queA: S-adenosylmethionine:tRNA ribosyltransferase-isomerase', 345, NULL, 'TIGR00113', 24906),
(24907, 'TIGR01870', NULL, 'cas_TM1810_Csm2: CRISPR type III-A/MTUBE-associated protein Csm2', 96, NULL, 'TIGR01870', 24907),
(24908, 'TIGR03151', NULL, 'enACPred_II: putative enoyl-[acyl-carrier-protein] reductase II', 307, NULL, 'TIGR03151', 24908),
(24909, 'TIGR03734', NULL, 'PRTRC_parB: PRTRC system ParB family protein', 555, NULL, 'TIGR03734', 24909),
(24910, 'TIGR04568', NULL, 'arch_SelU_Nterm: selenouridine synthase, SelU N-terminal-like subunit', 215, NULL, 'TIGR04568', 24910),
(24911, 'TIGR00257', NULL, 'IMPACT_YIGZ: uncharacterized protein, YigZ family', 205, NULL, 'TIGR00257', 24911),
(24912, 'TIGR02520', NULL, 'pilus_B_mal_scr: type IVB pilus formation outer membrane protein, R64 PilN family', 513, NULL, 'TIGR02520', 24912),
(24913, 'TIGR02900', NULL, 'spore_V_B: stage V sporulation protein B', 488, NULL, 'TIGR02900', 24913),
(24914, 'TIGR03354', NULL, 'VI_FHA: type VI secretion system FHA domain protein', 420, NULL, 'TIGR03354', 24914),
(24915, 'TIGR02841', NULL, 'spore_YyaC: putative sporulation protein YyaC', 140, NULL, 'TIGR02841', 24915),
(24916, 'TIGR03675', NULL, 'arCOG00543: arCOG00543 universal archaeal KH-domain/beta-lactamase-domain protein', 631, NULL, 'TIGR03675', 24916),
(24917, 'TIGR03625', NULL, 'L3_bact: 50S ribosomal protein uL3', 202, NULL, 'TIGR03625', 24917),
(24918, 'TIGR01604', NULL, 'PYST-C2: Plasmodium yoelii subtelomeric domain PYST-C2', 150, NULL, 'TIGR01604', 24918),
(24919, 'TIGR01327', NULL, 'PGDH: phosphoglycerate dehydrogenase', 525, NULL, 'TIGR01327', 24919),
(24920, 'TIGR01655', NULL, 'yxeA_fam: conserved hypothetical protein', 114, NULL, 'TIGR01655', 24920),
(24921, 'TIGR03640', NULL, 'cas1_DVULG: CRISPR-associated endonuclease Cas1, subtype I-C/DVULG', 340, NULL, 'TIGR03640', 24921),
(24922, 'TIGR00083', NULL, 'ribF: riboflavin biosynthesis protein RibF', 290, NULL, 'TIGR00083', 24922),
(24923, 'TIGR03777', NULL, 'RPE4: rickettsial palindromic element RPE4 domain', 32, NULL, 'TIGR03777', 24923),
(24924, 'TIGR01222', NULL, 'minC: septum site-determining protein MinC', 226, NULL, 'TIGR01222', 24924);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24925, 'TIGR03073', NULL, 'release_rtcB: release factor H-coupled RctB family protein', 356, NULL, 'TIGR03073', 24925),
(24926, 'TIGR02274', NULL, 'dCTP_deam: deoxycytidine triphosphate deaminase', 180, NULL, 'TIGR02274', 24926),
(24927, 'TIGR03432', NULL, 'yjhG_yagF: putative dehydratase, YjhG/YagF family', 640, NULL, 'TIGR03432', 24927),
(24928, 'TIGR00051', NULL, 'TIGR00051: acyl-CoA thioester hydrolase, YbgC/YbaW family', 117, NULL, 'TIGR00051', 24928),
(24929, 'TIGR02158', NULL, 'PA_CoA_Oxy3: phenylacetate-CoA oxygenase, PaaI subunit', 237, NULL, 'TIGR02158', 24929),
(24930, 'TIGR01900', NULL, 'dapE-gram_pos: succinyl-diaminopimelate desuccinylase', 351, NULL, 'TIGR01900', 24930),
(24931, 'TIGR04231', NULL, 'seadorna_VP5: seadornavirus VP5 protein', 505, NULL, 'TIGR04231', 24931),
(24932, 'TIGR03893', NULL, 'lant_SP_1948: type 2 lantibiotic, SP_1948 family', 61, NULL, 'TIGR03893', 24932),
(24933, 'TIGR00805', NULL, 'oat: sodium-independent organic anion transporter', 639, NULL, 'TIGR00805', 24933),
(24934, 'TIGR04156', NULL, 'cyanoexo_CrtB: cyanoexosortase B', 280, NULL, 'TIGR04156', 24934),
(24935, 'TIGR03104', NULL, 'trio_amidotrans: asparagine synthase family amidotransferase', 589, NULL, 'TIGR03104', 24935),
(24936, 'TIGR01816', NULL, 'sdhA_forward: succinate dehydrogenase, flavoprotein subunit', 584, NULL, 'TIGR01816', 24936),
(24937, 'TIGR00736', NULL, 'nifR3_rel_arch: putative TIM-barrel protein', 231, NULL, 'TIGR00736', 24937),
(24938, 'TIGR03998', NULL, 'thiol_BshC: bacillithiol biosynthesis cysteine-adding enzyme BshC', 529, NULL, 'TIGR03998', 24938),
(24939, 'TIGR01056', NULL, 'topB: DNA topoisomerase III', 706, NULL, 'TIGR01056', 24939),
(24940, 'TIGR02731', NULL, 'phytoene_desat: phytoene desaturase', 453, NULL, 'TIGR02731', 24940),
(24941, 'TIGR03077', NULL, 'not_gcvH: glycine cleavage protein H-like protein', 110, NULL, 'TIGR03077', 24941),
(24942, 'TIGR00871', NULL, 'zwf: glucose-6-phosphate dehydrogenase', 486, NULL, 'TIGR00871', 24942),
(24943, 'TIGR03565', NULL, 'alk_sulf_monoox: alkanesulfonate monooxygenase, FMNH(2)-dependent', 346, NULL, 'TIGR03565', 24943),
(24944, 'TIGR04216', NULL, 'halo_surf_glyco: major cell surface glycoprotein', 784, NULL, 'TIGR04216', 24944),
(24945, 'TIGR04484', NULL, 'thiosulf_SoxA: sulfur oxidation c-type cytochrome SoxA', 212, NULL, 'TIGR04484', 24945),
(24946, 'TIGR00543', NULL, 'isochor_syn: isochorismate synthase', 349, NULL, 'TIGR00543', 24946),
(24947, 'TIGR02021', NULL, 'BchM-ChlM: magnesium protoporphyrin O-methyltransferase', 218, NULL, 'TIGR02021', 24947),
(24948, 'TIGR03569', NULL, 'NeuB_NnaB: N-acetylneuraminate synthase', 329, NULL, 'TIGR03569', 24948),
(24949, 'TIGR00465', NULL, 'ilvC: ketol-acid reductoisomerase', 314, NULL, 'TIGR00465', 24949),
(24950, 'TIGR01010', NULL, 'BexC_CtrB_KpsE: polysaccharide export inner-membrane protein, BexC/CtrB/KpsE family', 362, NULL, 'TIGR01010', 24950),
(24951, 'TIGR02486', NULL, 'RDH: reductive dehalogenase', 314, NULL, 'TIGR02486', 24951),
(24952, 'TIGR02734', NULL, 'crtI_fam: phytoene desaturase', 504, NULL, 'TIGR02734', 24952),
(24953, 'TIGR01112', NULL, 'mtrD: tetrahydromethanopterin S-methyltransferase, subunit D', 223, NULL, 'TIGR01112', 24953),
(24954, 'TIGR01147', NULL, 'V_ATP_synt_G: V-type ATPase, G subunit', 113, NULL, 'TIGR01147', 24954),
(24955, 'TIGR03285', NULL, 'methan_mark_14: putative methanogenesis marker protein 14', 446, NULL, 'TIGR03285', 24955),
(24956, 'TIGR02407', NULL, 'ectoine_ectB: diaminobutyrate--2-oxoglutarate aminotransferase', 412, NULL, 'TIGR02407', 24956),
(24957, 'TIGR03220', NULL, 'catechol_dmpE: 2-oxopent-4-enoate hydratase', 255, NULL, 'TIGR03220', 24957),
(24958, 'TIGR01592', NULL, 'holin_SPP1: holin, SPP1 family', 78, NULL, 'TIGR01592', 24958),
(24959, 'TIGR04153', NULL, 'cyanosortA_assc: cyanosortase A-associated protein', 185, NULL, 'TIGR04153', 24959),
(24960, 'TIGR00796', NULL, 'livcs: branched-chain amino acid transport system II carrier protein', 405, NULL, 'TIGR00796', 24960);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24961, 'TIGR03357', NULL, 'VI_zyme: type VI secretion system lysozyme-like protein', 133, NULL, 'TIGR03357', 24961),
(24962, 'TIGR02352', NULL, 'thiamin_ThiO: glycine oxidase ThiO', 351, NULL, 'TIGR02352', 24962),
(24963, 'TIGR00331', NULL, 'hrcA: heat-inducible transcription repressor HrcA', 338, NULL, 'TIGR00331', 24963),
(24964, 'TIGR00294', NULL, 'TIGR00294: GTP cyclohydrolase', 308, NULL, 'TIGR00294', 24964),
(24965, 'TIGR03029', NULL, 'EpsG: chain length determinant protein tyrosine kinase EpsG', 274, NULL, 'TIGR03029', 24965),
(24966, 'TIGR00973', NULL, 'leuA_bact: 2-isopropylmalate synthase', 494, NULL, 'TIGR00973', 24966),
(24967, 'TIGR04459', NULL, 'TisB_tox: type I toxin-antitoxin system toxin TisB', 29, NULL, 'TIGR04459', 24967),
(24968, 'TIGR00528', NULL, 'gcvT: glycine cleavage system T protein', 362, NULL, 'TIGR00528', 24968),
(24969, 'TIGR01440', NULL, 'TIGR01440: TIGR01440 family protein', 172, NULL, 'TIGR01440', 24969),
(24970, 'TIGR04138', NULL, 'Plancto_Ver_chp: Verruc_Plancto-restricted protein', 123, NULL, 'TIGR04138', 24970),
(24971, 'TIGR01761', NULL, 'thiaz-red: thiazolinyl imide reductase', 350, NULL, 'TIGR01761', 24971),
(24972, 'TIGR03534', NULL, 'RF_mod_PrmC: protein-(glutamine-N5) methyltransferase, release factor-specific', 253, NULL, 'TIGR03534', 24972),
(24973, 'TIGR02438', NULL, 'catachol_actin: catechol 1,2-dioxygenase', 281, NULL, 'TIGR02438', 24973),
(24974, 'TIGR00313', NULL, 'cobQ: cobyric acid synthase CobQ', 477, NULL, 'TIGR00313', 24974),
(24975, 'TIGR02301', NULL, 'TIGR02301: TIGR02301 family protein', 121, NULL, 'TIGR02301', 24975),
(24976, 'TIGR02523', NULL, 'type_IV_pilV: type IV pilus modification protein PilV', 139, NULL, 'TIGR02523', 24976),
(24977, 'TIGR03861', NULL, 'phenyl_ABC_PedC: alcohol ABC transporter, permease protein', 253, NULL, 'TIGR03861', 24977),
(24978, 'TIGR02943', NULL, 'Sig70_famx1: RNA polymerase sigma-70 factor, TIGR02943 family', 188, NULL, 'TIGR02943', 24978),
(24979, 'TIGR03999', NULL, 'thiol_BshA: N-acetyl-alpha-D-glucosaminyl L-malate synthase BshA', 375, NULL, 'TIGR03999', 24979),
(24980, 'TIGR00188', NULL, 'rnpA: ribonuclease P protein component', 111, NULL, 'TIGR00188', 24980),
(24981, 'TIGR04368', NULL, 'Glu_2_3_NH3_mut: glutamate 2,3-aminomutase', 404, NULL, 'TIGR04368', 24981),
(24982, 'TIGR04322', NULL, 'rSAM_QueE_Ecoli: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 215, NULL, 'TIGR04322', 24982),
(24983, 'TIGR01932', NULL, 'hflC: HflC protein', 318, NULL, 'TIGR01932', 24983),
(24984, 'TIGR02766', NULL, 'crypt_chrom_pln: cryptochrome, plant family', 480, NULL, 'TIGR02766', 24984),
(24985, 'TIGR04001', NULL, 'thiol_BshB1: bacillithiol biosynthesis deacetylase BshB1', 226, NULL, 'TIGR04001', 24985),
(24986, 'TIGR02183', NULL, 'GRXA: glutaredoxin, GrxA family', 86, NULL, 'TIGR02183', 24986),
(24987, 'TIGR01670', NULL, 'KdsC-phosphatas: 3-deoxy-D-manno-octulosonate 8-phosphate phosphatase, YrbI family', 154, NULL, 'TIGR01670', 24987),
(24988, 'TIGR02292', NULL, 'ygfB_yecA: yecA family protein', 179, NULL, 'TIGR02292', 24988),
(24989, 'TIGR02243', NULL, 'TIGR02243: putative baseplate assembly protein', 659, NULL, 'TIGR02243', 24989),
(24990, 'TIGR00185', NULL, 'tRNA_yibK_trmL: tRNA (cytidine(34)-2''-O)-methyltransferase', 154, NULL, 'TIGR00185', 24990),
(24991, 'TIGR01225', NULL, 'hutH: histidine ammonia-lyase', 506, NULL, 'TIGR01225', 24991),
(24992, 'TIGR04262', NULL, 'orph_peri_GRRM: extracellular substrate-binding orphan protein, GRRM family', 257, NULL, 'TIGR04262', 24992),
(24993, 'TIGR04399', NULL, 'acc_Sec_SLAP: accessory Sec system S-layer assembly protein', 288, NULL, 'TIGR04399', 24993),
(24994, 'TIGR02844', NULL, 'spore_III_D: sporulation transcriptional regulator SpoIIID', 80, NULL, 'TIGR02844', 24994),
(24995, 'TIGR01607', NULL, 'PST-A: Plasmodium subtelomeric family', 332, NULL, 'TIGR01607', 24995),
(24996, 'TIGR03643', NULL, 'TIGR03643: TIGR03643 family protein', 72, NULL, 'TIGR03643', 24996);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(24997, 'TIGR01789', NULL, 'lycopene_cycl: lycopene cyclase', 370, NULL, 'TIGR01789', 24997),
(24998, 'TIGR00634', NULL, 'recN: DNA repair protein RecN', 563, NULL, 'TIGR00634', 24998),
(24999, 'TIGR00808', NULL, 'malonate_madM: malonate transporter, MadM subunit', 254, NULL, 'TIGR00808', 24999),
(25000, 'TIGR02056', NULL, 'ChlG: chlorophyll synthase ChlG', 306, NULL, 'TIGR02056', 25000),
(25001, 'TIGR03905', NULL, 'TIGR03905_4_Cys: uncharacterized protein TIGR03905', 78, NULL, 'TIGR03905', 25001),
(25002, 'TIGR04213', NULL, 'PGF_pre_PGF: PGF-pre-PGF domain', 153, NULL, 'TIGR04213', 25002),
(25003, 'TIGR03971', NULL, 'SDR_subfam_1: SDR family mycofactocin-dependent oxidoreductase', 271, NULL, 'TIGR03971', 25003),
(25004, 'TIGR03568', NULL, 'NeuC_NnaA: UDP-N-acetyl-D-glucosamine 2-epimerase, UDP-hydrolysing', 365, NULL, 'TIGR03568', 25004),
(25005, 'TIGR01324', NULL, 'cysta_beta_ly_B: cystathionine beta-lyase', 377, NULL, 'TIGR01324', 25005),
(25006, 'TIGR03431', NULL, 'PhnD: phosphonate ABC transporter, periplasmic phosphonate binding protein', 288, NULL, 'TIGR03431', 25006),
(25007, 'TIGR00870', NULL, 'trp: transient-receptor-potential calcium channel protein', 747, NULL, 'TIGR00870', 25007),
(25008, 'TIGR02516', NULL, 'type_III_yscC: type III secretion outer membrane pore, YscC/HrcC family', 463, NULL, 'TIGR02516', 25008),
(25009, 'TIGR01826', NULL, 'CofD_related: conserved hypothetical protein', 310, NULL, 'TIGR01826', 25009),
(25010, 'TIGR00907', NULL, '2A0304: amino acid permease', 482, NULL, 'TIGR00907', 25010),
(25011, 'TIGR00468', NULL, 'pheS: phenylalanine--tRNA ligase, alpha subunit', 324, NULL, 'TIGR00468', 25011),
(25012, 'TIGR02977', NULL, 'phageshock_pspA: phage shock protein A', 219, NULL, 'TIGR02977', 25012),
(25013, 'TIGR03650', NULL, 'violacein_E: violacein biosynthesis enzyme VioE', 184, NULL, 'TIGR03650', 25013),
(25014, 'TIGR03074', NULL, 'PQQ_membr_DH: membrane-bound PQQ-dependent dehydrogenase, glucose/quinate/shikimate family', 783, NULL, 'TIGR03074', 25014),
(25015, 'TIGR00419', NULL, 'tim: triose-phosphate isomerase', 228, NULL, 'TIGR00419', 25015),
(25016, 'TIGR03896', NULL, 'cyc_nuc_ocin: bacteriocin-type transport-associated protein', 317, NULL, 'TIGR03896', 25016),
(25017, 'TIGR01652', NULL, 'ATPase-Plipid: phospholipid-translocating P-type ATPase, flippase', 1058, NULL, 'TIGR01652', 25017),
(25018, 'TIGR03752', NULL, 'conj_TIGR03752: integrating conjugative element protein, PFL_4705 family', 471, NULL, 'TIGR03752', 25018),
(25019, 'TIGR03787', NULL, 'marine_sort_RR: proteobacterial dedicated sortase system response regulator', 227, NULL, 'TIGR03787', 25019),
(25020, 'TIGR01819', NULL, 'F420_cofD: 2-phospho-L-lactate transferase', 301, NULL, 'TIGR01819', 25020),
(25021, 'TIGR02769', NULL, 'nickel_nikE: nickel import ATP-binding protein NikE', 265, NULL, 'TIGR02769', 25021),
(25022, 'TIGR00525', NULL, 'folB: dihydroneopterin aldolase', 116, NULL, 'TIGR00525', 25022),
(25023, 'TIGR02632', NULL, 'RhaD_aldol-ADH: rhamnulose-1-phosphate aldolase/alcohol dehydrogenase', 676, NULL, 'TIGR02632', 25023),
(25024, 'TIGR03322', NULL, 'alt_F1F0_F0_C: alternate F1F0 ATPase, F0 subunit C', 86, NULL, 'TIGR03322', 25024),
(25025, 'TIGR00192', NULL, 'urease_beta: urease, beta subunit', 103, NULL, 'TIGR00192', 25025),
(25026, 'TIGR02840', NULL, 'spore_YtaF: putative sporulation protein YtaF', 206, NULL, 'TIGR02840', 25026),
(25027, 'TIGR04477', NULL, 'sorted_by_XrtN: XrtN system VIT domain protein', 822, NULL, 'TIGR04477', 25027),
(25028, 'TIGR03995', NULL, 'target_X_rSAM: putative rSAM target protein, CGCGG family', 84, NULL, 'TIGR03995', 25028),
(25029, 'TIGR03183', NULL, 'DNA_S_dndC: putative sulfurtransferase DndC', 447, NULL, 'TIGR03183', 25029),
(25030, 'TIGR00898', NULL, '2A0119: cation transport protein', 506, NULL, 'TIGR00898', 25030),
(25031, 'TIGR01116', NULL, 'ATPase-IIA1_Ca: calcium-translocating P-type ATPase, SERCA-type', 799, NULL, 'TIGR01116', 25031),
(25032, 'TIGR01935', NULL, 'NOT-MenG: RraA family', 150, NULL, 'TIGR01935', 25032);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25033, 'TIGR02953', NULL, 'penta_MxKDx: pentapeptide MXKDX repeat protein', 78, NULL, 'TIGR02953', 25033),
(25034, 'TIGR00086', NULL, 'smpB: SsrA-binding protein', 144, NULL, 'TIGR00086', 25034),
(25035, 'TIGR01038', NULL, 'uL22_arch_euk: ribosomal protein uL22', 148, NULL, 'TIGR01038', 25035),
(25036, 'TIGR02868', NULL, 'CydC: thiol reductant ABC exporter, CydC subunit', 530, NULL, 'TIGR02868', 25036),
(25037, 'TIGR01713', NULL, 'typeII_sec_gspC: type II secretion system protein C', 259, NULL, 'TIGR01713', 25037),
(25038, 'TIGR00204', NULL, 'dxs: 1-deoxy-D-xylulose-5-phosphate synthase', 616, NULL, 'TIGR00204', 25038),
(25039, 'TIGR00761', NULL, 'argB: acetylglutamate kinase', 231, NULL, 'TIGR00761', 25039),
(25040, 'TIGR02625', NULL, 'YiiL_rotase: L-rhamnose mutarotase', 102, NULL, 'TIGR02625', 25040),
(25041, 'TIGR01359', NULL, 'UMP_CMP_kin_fam: UMP-CMP kinase family', 185, NULL, 'TIGR01359', 25041),
(25042, 'TIGR00270', NULL, 'TIGR00270: TIGR00270 family protein', 154, NULL, 'TIGR00270', 25042),
(25043, 'TIGR01595', NULL, 'cas_CT1132: CRISPR-associated protein, CT1132 family', 268, NULL, 'TIGR01595', 25043),
(25044, 'TIGR02304', NULL, 'aden_form_hyp: putative adenylate-forming enzyme', 430, NULL, 'TIGR02304', 25044),
(25045, 'TIGR02049', NULL, 'gshA_ferroox: glutamate--cysteine ligase', 403, NULL, 'TIGR02049', 25045),
(25046, 'TIGR03459', NULL, 'crt_membr: carotene biosynthesis associated membrane protein', 470, NULL, 'TIGR03459', 25046),
(25047, 'TIGR02946', NULL, 'acyl_WS_DGAT: acyltransferase, WS/DGAT/MGAT', 453, NULL, 'TIGR02946', 25047),
(25048, 'TIGR04297', NULL, 'thauma_sortase: thaumarchaeosortase', 307, NULL, 'TIGR04297', 25048),
(25049, 'TIGR04160', NULL, 'methbact_MbnC: methanobactin biosynthesis cassette protein MbnC', 87, NULL, 'TIGR04160', 25049),
(25050, 'TIGR02673', NULL, 'FtsE: cell division ATP-binding protein FtsE', 214, NULL, 'TIGR02673', 25050),
(25051, 'TIGR01209', NULL, 'TIGR01209: RNA ligase, Pab1020 family', 375, NULL, 'TIGR01209', 25051),
(25052, 'TIGR03627', NULL, 'uS9_arch: ribosomal protein uS9', 130, NULL, 'TIGR03627', 25052),
(25053, 'TIGR00914', NULL, '2A0601: heavy metal efflux pump, CzcA family', 1051, NULL, 'TIGR00914', 25053),
(25054, 'TIGR02377', NULL, 'MocE_fam_FeS: Rieske [2Fe-2S] domain protein, MocE subfamily', 101, NULL, 'TIGR02377', 25054),
(25055, 'TIGR01689', NULL, 'EcbF-BcbF: capsule biosynthesis phosphatase', 126, NULL, 'TIGR01689', 25055),
(25056, 'TIGR04113', NULL, 'cas_csx17: CRISPR-associated protein Csx17, subtype Dpsyc', 718, NULL, 'TIGR04113', 25056),
(25057, 'TIGR01707', NULL, 'gspI: type II secretion system protein I', 101, NULL, 'TIGR01707', 25057),
(25058, 'TIGR03129', NULL, 'one_C_dehyd_B: formylmethanofuran dehydrogenase subunit B', 421, NULL, 'TIGR03129', 25058),
(25059, 'TIGR01224', NULL, 'hutI: imidazolonepropionase', 377, NULL, 'TIGR01224', 25059),
(25060, 'TIGR00431', NULL, 'TruB: tRNA pseudouridine(55) synthase', 210, NULL, 'TIGR00431', 25060),
(25061, 'TIGR00425', NULL, 'CBF5: putative rRNA pseudouridine synthase', 322, NULL, 'TIGR00425', 25061),
(25062, 'TIGR02008', NULL, 'fdx_plant: ferredoxin [2Fe-2S]', 97, NULL, 'TIGR02008', 25062),
(25063, 'TIGR03955', NULL, 'rSAM_HydG: [FeFe] hydrogenase H-cluster radical SAM maturase HydG', 470, NULL, 'TIGR03955', 25063),
(25064, 'TIGR04107', NULL, 'rSAM_HutW: putative heme utilization radical SAM enzyme HutW', 419, NULL, 'TIGR04107', 25064),
(25065, 'TIGR02875', NULL, 'spore_0_A: sporulation transcription factor Spo0A', 262, NULL, 'TIGR02875', 25065),
(25066, 'TIGR00416', NULL, 'sms: DNA repair protein RadA', 454, NULL, 'TIGR00416', 25066),
(25067, 'TIGR03949', NULL, 'bact_IIb_cerein: class IIb bacteriocin, lactobin A/cerein 7B family', 45, NULL, 'TIGR03949', 25067),
(25068, 'TIGR02351', NULL, 'thiH: thiazole biosynthesis protein ThiH', 366, NULL, 'TIGR02351', 25068),
(25069, 'TIGR03457', NULL, 'sulphoacet_xsc: sulfoacetaldehyde acetyltransferase', 579, NULL, 'TIGR03457', 25069);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25070, 'TIGR00079', NULL, 'pept_deformyl: peptide deformylase', 161, NULL, 'TIGR00079', 25070),
(25071, 'TIGR02410', NULL, 'carnitine_TMLD: trimethyllysine dioxygenase', 362, NULL, 'TIGR02410', 25071),
(25072, 'TIGR04095', NULL, 'dnd_restrict_1: DNA phosphorothioation system restriction enzyme', 451, NULL, 'TIGR04095', 25072),
(25073, 'TIGR02240', NULL, 'PHA_depoly_arom: poly(3-hydroxyalkanoate) depolymerase', 276, NULL, 'TIGR02240', 25073),
(25074, 'TIGR02843', NULL, 'CyoB: cytochrome o ubiquinol oxidase, subunit I', 646, NULL, 'TIGR02843', 25074),
(25075, 'TIGR01593', NULL, 'holin_tox_secr: toxin secretion/phage lysis holin', 128, NULL, 'TIGR01593', 25075),
(25076, 'TIGR04265', NULL, 'bac_cardiolipin: cardiolipin synthase', 483, NULL, 'TIGR04265', 25076),
(25077, 'TIGR02345', NULL, 'chap_CCT_eta: T-complex protein 1, eta subunit', 523, NULL, 'TIGR02345', 25077),
(25078, 'TIGR04309', NULL, 'amanitin: amanitin/phalloidin family toxin', 33, NULL, 'TIGR04309', 25078),
(25079, 'TIGR04256', NULL, 'GxxExxY: GxxExxY protein', 116, NULL, 'TIGR04256', 25079),
(25080, 'TIGR01695', NULL, 'murJ_mviN: murein biosynthesis integral membrane protein MurJ', 506, NULL, 'TIGR01695', 25080),
(25081, 'TIGR00574', NULL, 'dnl1: DNA ligase I, ATP-dependent (dnl1)', 527, NULL, 'TIGR00574', 25081),
(25082, 'TIGR03135', NULL, 'malonate_mdcG: malonate decarboxylase holo-[acyl-carrier-protein] synthase', 205, NULL, 'TIGR03135', 25082),
(25083, 'TIGR01113', NULL, 'mtrE: tetrahydromethanopterin S-methyltransferase, subunit E', 283, NULL, 'TIGR01113', 25083),
(25084, 'TIGR01218', NULL, 'Gpos_tandem_5TM: tandem five-TM protein', 208, NULL, 'TIGR01218', 25084),
(25085, 'TIGR00849', NULL, 'gutA: PTS system, glucitol/sorbitol-specific IIA component', 121, NULL, 'TIGR00849', 25085),
(25086, 'TIGR02732', NULL, 'zeta_caro_desat: 9,9''-di-cis-zeta-carotene desaturase', 474, NULL, 'TIGR02732', 25086),
(25087, 'TIGR03908', NULL, 'QH_alpha: quinohemoprotein amine dehydrogenase, alpha subunit', 510, NULL, 'TIGR03908', 25087),
(25088, 'TIGR01060', NULL, 'eno: phosphopyruvate hydratase', 425, NULL, 'TIGR01060', 25088),
(25089, 'TIGR01748', NULL, 'rhaA: L-rhamnose isomerase', 414, NULL, 'TIGR01748', 25089),
(25090, 'TIGR02058', NULL, 'lin0512_fam: conserved hypothetical protein', 117, NULL, 'TIGR02058', 25090),
(25091, 'TIGR01265', NULL, 'tyr_nico_aTase: tyrosine/nicotianamine family aminotransferase', 403, NULL, 'TIGR01265', 25091),
(25092, 'TIGR00896', NULL, 'CynX: cyanate transporter', 355, NULL, 'TIGR00896', 25092),
(25093, 'TIGR03914', NULL, 'UDG_fam_dom: uracil-DNA glycosylase family domain', 231, NULL, 'TIGR03914', 25093),
(25094, 'TIGR02890', NULL, 'bacill_yteA: regulatory protein, yteA family', 159, NULL, 'TIGR02890', 25094),
(25095, 'TIGR01546', NULL, 'GAPDH-II_archae: glyceraldehyde-3-phosphate dehydrogenase, type II', 333, NULL, 'TIGR01546', 25095),
(25096, 'TIGR01054', NULL, 'rgy: reverse gyrase', 1172, NULL, 'TIGR01054', 25096),
(25097, 'TIGR02884', NULL, 'spore_pdaA: delta-lactam-biosynthetic de-N-acetylase', 224, NULL, 'TIGR02884', 25097),
(25098, 'TIGR04400', NULL, 'RK_trnsloc_Pase: Arg-Lys translocation region protein phosphatase', 358, NULL, 'TIGR04400', 25098),
(25099, 'TIGR00908', NULL, '2A0305: ethanolamine permease', 442, NULL, 'TIGR00908', 25099),
(25100, 'TIGR02392', NULL, 'rpoH_proteo: alternative sigma factor RpoH', 270, NULL, 'TIGR02392', 25100),
(25101, 'TIGR03540', NULL, 'DapC_direct: LL-diaminopimelate aminotransferase', 383, NULL, 'TIGR03540', 25101),
(25102, 'TIGR01271', NULL, 'CFTR_protein: cystic fibrosis transmembrane conductor regulator (CFTR)', 1490, NULL, 'TIGR01271', 25102),
(25103, 'TIGR00568', NULL, 'alkb: alkylated DNA repair protein AlkB', 173, NULL, 'TIGR00568', 25103),
(25104, 'TIGR03370', NULL, 'VPLPA-CTERM: VPLPA-CTERM protein sorting domain', 25, NULL, 'TIGR03370', 25104),
(25105, 'TIGR01552', NULL, 'phd_fam: prevent-host-death family protein', 53, NULL, 'TIGR01552', 25105),
(25106, 'TIGR03416', NULL, 'ABC_choXWV_perm: choline ABC transporter, permease protein', 267, NULL, 'TIGR03416', 25106);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25107, 'TIGR02386', NULL, 'rpoC_TIGR: DNA-directed RNA polymerase, beta'' subunit', 1147, NULL, 'TIGR02386', 25107),
(25108, 'TIGR00712', NULL, 'glpT: glycerol-3-phosphate transporter', 440, NULL, 'TIGR00712', 25108),
(25109, 'TIGR01611', NULL, 'tail_tube: phage major tail tube protein', 168, NULL, 'TIGR01611', 25109),
(25110, 'TIGR01716', NULL, 'RGG_Cterm: transcriptional activator, Rgg/GadR/MutR family, C-terminal domain', 220, NULL, 'TIGR01716', 25110),
(25111, 'TIGR01639', NULL, 'P_fal_TIGR01639: Plasmodium falciparum uncharacterized domain TIGR01639', 61, NULL, 'TIGR01639', 25111),
(25112, 'TIGR01122', NULL, 'ilvE_I: branched-chain amino acid aminotransferase', 298, NULL, 'TIGR01122', 25112),
(25113, 'TIGR02140', NULL, 'permease_CysW: sulfate ABC transporter, permease protein CysW', 261, NULL, 'TIGR02140', 25113),
(25114, 'TIGR02277', NULL, 'PaaX_trns_reg: phenylacetic acid degradation operon negative regulatory protein PaaX', 279, NULL, 'TIGR02277', 25114),
(25115, 'TIGR04365', NULL, 'spare_glycyl: autonomous glycyl radical cofactor GrcA', 126, NULL, 'TIGR04365', 25115),
(25116, 'TIGR01259', NULL, 'comE: comEA protein', 120, NULL, 'TIGR01259', 25116),
(25117, 'TIGR00998', NULL, '8a0101: efflux pump membrane protein', 334, NULL, 'TIGR00998', 25117),
(25118, 'TIGR01502', NULL, 'B_methylAsp_ase: methylaspartate ammonia-lyase', 408, NULL, 'TIGR01502', 25118),
(25119, 'TIGR02775', NULL, 'TrbG_Ti: P-type conjugative transfer protein TrbG', 206, NULL, 'TIGR02775', 25119),
(25120, 'TIGR04318', NULL, 'lacto_ODC_hypo: putative ornithine decarboxylase', 695, NULL, 'TIGR04318', 25120),
(25121, 'TIGR00035', NULL, 'asp_race: aspartate racemase', 236, NULL, 'TIGR00035', 25121),
(25122, 'TIGR01620', NULL, 'hyp_HI0043: TIGR01620 family protein', 289, NULL, 'TIGR01620', 25122),
(25123, 'TIGR04197', NULL, 'T7SS_SACOL2603: type VII secretion effector, TIGR04197 family', 85, NULL, 'TIGR04197', 25123),
(25124, 'TIGR00821', NULL, 'EII-GUT: PTS system, glucitol/sorbitol-specific, IIC component', 181, NULL, 'TIGR00821', 25124),
(25125, 'TIGR02404', NULL, 'trehalos_R_Bsub: trehalose operon repressor', 233, NULL, 'TIGR02404', 25125),
(25126, 'TIGR03042', NULL, 'PS_II_psbQ_bact: photosystem II protein PsbQ', 142, NULL, 'TIGR03042', 25126),
(25127, 'TIGR03559', NULL, 'F420_Rv3520c: probable F420-dependent oxidoreductase, Rv3520c family', 325, NULL, 'TIGR03559', 25127),
(25128, 'TIGR03463', NULL, 'osq_cycl: 2,3-oxidosqualene cyclase', 634, NULL, 'TIGR03463', 25128),
(25129, 'TIGR01013', NULL, '2a58: sodium-dependent inorganic phosphate (Pi) transporter', 456, NULL, 'TIGR01013', 25129),
(25130, 'TIGR00363', NULL, 'TIGR00363: lipoprotein, YaeC family', 258, NULL, 'TIGR00363', 25130),
(25131, 'TIGR03519', NULL, 'T9SS_PorP_fam: type IX secretion system membrane protein, PorP/SprF family', 292, NULL, 'TIGR03519', 25131),
(25132, 'TIGR02902', NULL, 'spore_lonB: ATP-dependent protease LonB', 531, NULL, 'TIGR02902', 25132),
(25133, 'TIGR04537', NULL, 'encap_target: encapsulation C-terminal sorting signal', 11, NULL, 'TIGR04537', 25133),
(25134, 'TIGR01976', NULL, 'am_tr_V_VC1184: cysteine desulfurase family protein', 401, NULL, 'TIGR01976', 25134),
(25135, 'TIGR01511', NULL, 'ATPase-IB1_Cu: copper-translocating P-type ATPase', 542, NULL, 'TIGR01511', 25135),
(25136, 'TIGR03677', NULL, 'eL8_ribo: ribosomal protein eL8', 117, NULL, 'TIGR03677', 25136),
(25137, 'TIGR03961', NULL, 'rSAM_PTO1314: archaeal radical SAM protein, PTO1314 family', 332, NULL, 'TIGR03961', 25137),
(25138, 'TIGR00042', NULL, 'TIGR00042: non-canonical purine NTP pyrophosphatase, RdgB/HAM1 family', 184, NULL, 'TIGR00042', 25138),
(25139, 'TIGR01004', NULL, 'PulS_OutS: lipoprotein, PulS/OutS family', 128, NULL, 'TIGR01004', 25139),
(25140, 'TIGR00861', NULL, 'MIP: MIP family channel proteins', 224, NULL, 'TIGR00861', 25140),
(25141, 'TIGR02869', NULL, 'spore_SleB: spore cortex-lytic enzyme', 201, NULL, 'TIGR02869', 25141),
(25142, 'TIGR04209', NULL, 'sarcinarray: sarcinarray family protein', 144, NULL, 'TIGR04209', 25142);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25143, 'TIGR01197', NULL, 'nramp: metal ion transporter, metal ion (Mn2+/Fe2+) transporter (Nramp) family', 390, NULL, 'TIGR01197', 25143),
(25144, 'TIGR00481', NULL, 'TIGR00481: Raf kinase inhibitor-like protein, YbhB/YbcL family', 142, NULL, 'TIGR00481', 25144),
(25145, 'TIGR03238', NULL, 'dnd_assoc_3: DNA phosphorothioation-dependent restriction protein DptF', 504, NULL, 'TIGR03238', 25145),
(25146, 'TIGR01757', NULL, 'Malate-DH_plant: malate dehydrogenase, NADP-dependent', 387, NULL, 'TIGR01757', 25146),
(25147, 'TIGR00144', NULL, 'beta_RFAP_syn: beta-ribofuranosylaminobenzene 5''-phosphate synthase family', 325, NULL, 'TIGR00144', 25147),
(25148, 'TIGR01162', NULL, 'purE: phosphoribosylaminoimidazole carboxylase, catalytic subunit', 156, NULL, 'TIGR01162', 25148),
(25149, 'TIGR00677', NULL, 'fadh2_euk: methylenetetrahydrofolate reductase', 281, NULL, 'TIGR00677', 25149),
(25150, 'TIGR01299', NULL, 'synapt_SV2: synaptic vesicle protein SV2', 742, NULL, 'TIGR01299', 25150),
(25151, 'TIGR00179', NULL, 'murB: UDP-N-acetylenolpyruvoylglucosamine reductase', 290, NULL, 'TIGR00179', 25151),
(25152, 'TIGR00970', NULL, 'leuA_yeast: 2-isopropylmalate synthase', 564, NULL, 'TIGR00970', 25152),
(25153, 'TIGR00472', NULL, 'pheT_bact: phenylalanine--tRNA ligase, beta subunit', 798, NULL, 'TIGR00472', 25153),
(25154, 'TIGR02336', NULL, 'TIGR02336: 1,3-beta-galactosyl-N-acetylhexosamine phosphorylase', 719, NULL, 'TIGR02336', 25154),
(25155, 'TIGR03668', NULL, 'Rv0121_F420: PPOX class probable F420-dependent enzyme, Rv0121 family', 141, NULL, 'TIGR03668', 25155),
(25156, 'TIGR01648', NULL, 'hnRNP-R-Q: hnRNP-R, Q splicing factor family', 577, NULL, 'TIGR01648', 25156),
(25157, 'TIGR04051', NULL, 'rSAM_NirJ: heme d1 biosynthesis radical SAM protein NirJ', 354, NULL, 'TIGR04051', 25157),
(25158, 'TIGR02454', NULL, 'ECF_T_CbiQ: cobalt ECF transporter T component CbiQ', 200, NULL, 'TIGR02454', 25158),
(25159, 'TIGR01941', NULL, 'nqrF: NADH:ubiquinone oxidoreductase, Na(+)-translocating, F subunit', 405, NULL, 'TIGR01941', 25159),
(25160, 'TIGR00958', NULL, '3a01208: antigen peptide transporter 2', 711, NULL, 'TIGR00958', 25160),
(25161, 'TIGR02834', NULL, 'spo_ytxC: putative sporulation protein YtxC', 276, NULL, 'TIGR02834', 25161),
(25162, 'TIGR03472', NULL, 'HpnI: hopanoid biosynthesis associated glycosyl transferase protein HpnI', 373, NULL, 'TIGR03472', 25162),
(25163, 'TIGR00814', NULL, 'stp: serine transporter', 397, NULL, 'TIGR00814', 25163),
(25164, 'TIGR02952', NULL, 'Sig70_famx2: RNA polymerase sigma-70 factor, TIGR02952 family', 170, NULL, 'TIGR02952', 25164),
(25165, 'TIGR03970', NULL, 'Rv0697: dehydrogenase, Rv0697 family', 487, NULL, 'TIGR03970', 25165),
(25166, 'TIGR04004', NULL, 'WcaM: colanic acid biosynthesis protein WcaM', 464, NULL, 'TIGR04004', 25166),
(25167, 'TIGR01490', NULL, 'HAD-SF-IB-hyp1: HAD hydrolase, family IB', 202, NULL, 'TIGR01490', 25167),
(25168, 'TIGR03531', NULL, 'selenium_SpcS: O-phosphoseryl-tRNA(Sec) selenium transferase', 444, NULL, 'TIGR03531', 25168),
(25169, 'TIGR02782', NULL, 'TrbB_P: P-type conjugative transfer ATPase TrbB', 303, NULL, 'TIGR02782', 25169),
(25170, 'TIGR03812', NULL, 'tyr_de_CO2_Arch: tyrosine decarboxylase MnfA', 375, NULL, 'TIGR03812', 25170),
(25171, 'TIGR00316', NULL, 'cdhC: CO dehydrogenase/CO-methylating acetyl-CoA synthase complex, beta subunit', 460, NULL, 'TIGR00316', 25171),
(25172, 'TIGR03033', NULL, 'phage_rel_nuc: putative phage-type endonuclease', 153, NULL, 'TIGR03033', 25172),
(25173, 'TIGR04502', NULL, 'microcomp_EutL: microcompartment protein EutL', 214, NULL, 'TIGR04502', 25173),
(25174, 'TIGR03996', NULL, 'mycofact_OYE_1: mycofactocin system FadH/OYE family oxidoreductase 1', 633, NULL, 'TIGR03996', 25174),
(25175, 'TIGR04188', NULL, 'methyltr_grsp: methyltransferase, ATP-grasp peptide maturase system', 363, NULL, 'TIGR04188', 25175),
(25176, 'TIGR04263', NULL, 'SasC_Mrp_aggreg: SasC/Mrp/FmtB intercellular aggregation domain', 366, NULL, 'TIGR04263', 25176);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25177, 'TIGR03294', NULL, 'FrhG: coenzyme F420 hydrogenase, subunit gamma', 228, NULL, 'TIGR03294', 25177),
(25178, 'TIGR00206', NULL, 'fliF: flagellar M-ring protein FliF', 555, NULL, 'TIGR00206', 25178),
(25179, 'TIGR02227', NULL, 'sigpep_I_bact: signal peptidase I', 162, NULL, 'TIGR02227', 25179),
(25180, 'TIGR02242', NULL, 'tail_TIGR02242: phage tail protein domain', 131, NULL, 'TIGR02242', 25180),
(25181, 'TIGR00787', NULL, 'dctP: TRAP transporter solute receptor, DctP family', 257, NULL, 'TIGR00787', 25181),
(25182, 'TIGR03348', NULL, 'VI_IcmF: type VI secretion protein IcmF', 1168, NULL, 'TIGR03348', 25182),
(25183, 'TIGR03211', NULL, 'catechol_2_3: catechol 2,3 dioxygenase', 303, NULL, 'TIGR03211', 25183),
(25184, 'TIGR01586', NULL, 'yopT_cys_prot: cysteine protease domain, YopT-type', 199, NULL, 'TIGR01586', 25184),
(25185, 'TIGR03846', NULL, 'sulfopy_beta: sulfopyruvate decarboxylase, beta subunit', 182, NULL, 'TIGR03846', 25185),
(25186, 'TIGR00534', NULL, 'OpcA: glucose-6-phosphate dehydrogenase assembly protein OpcA', 313, NULL, 'TIGR00534', 25186),
(25187, 'TIGR02379', NULL, 'ECA_wecE: TDP-4-keto-6-deoxy-D-glucose transaminase', 376, NULL, 'TIGR02379', 25187),
(25188, 'TIGR03921', NULL, 'T7SS_mycosin: type VII secretion-associated serine protease mycosin', 353, NULL, 'TIGR03921', 25188),
(25189, 'TIGR04010', NULL, 'WcaD: putative colanic acid polymerase WcaD', 404, NULL, 'TIGR04010', 25189),
(25190, 'TIGR02570', NULL, 'cas7_GSU0053: CRISPR-associated protein GSU0053/csb1, Dpsyc system', 178, NULL, 'TIGR02570', 25190),
(25191, 'TIGR02937', NULL, 'sigma70-ECF: RNA polymerase sigma factor, sigma-70 family', 165, NULL, 'TIGR02937', 25191),
(25192, 'TIGR02495', NULL, 'NrdG2: anaerobic ribonucleoside-triphosphate reductase activating protein', 193, NULL, 'TIGR02495', 25192),
(25193, 'TIGR02800', NULL, 'propeller_TolB: Tol-Pal system beta propeller repeat protein TolB', 418, NULL, 'TIGR02800', 25193),
(25194, 'TIGR01443', NULL, 'intein_Cterm: intein C-terminal splicing region', 24, NULL, 'TIGR01443', 25194),
(25195, 'TIGR00459', NULL, 'aspS_bact: aspartate--tRNA ligase', 586, NULL, 'TIGR00459', 25195),
(25196, 'TIGR02302', NULL, 'aProt_lowcomp: TIGR02302 family protein', 851, NULL, 'TIGR02302', 25196),
(25197, 'TIGR03136', NULL, 'malonate_biotin: Na+-transporting malonate decarboxylase, carboxybiotin decarboxylase subunit', 399, NULL, 'TIGR03136', 25197),
(25198, 'TIGR02993', NULL, 'ectoine_eutD: ectoine utilization protein EutD', 391, NULL, 'TIGR02993', 25198),
(25199, 'TIGR01115', NULL, 'pufM: photosynthetic reaction center M subunit', 305, NULL, 'TIGR01115', 25199),
(25200, 'TIGR04147', NULL, 'GGGPS_Halobact: phosphoglycerol geranylgeranyltransferase, putative', 229, NULL, 'TIGR04147', 25200),
(25201, 'TIGR01374', NULL, 'soxD: sarcosine oxidase, delta subunit family', 83, NULL, 'TIGR01374', 25201),
(25202, 'TIGR03634', NULL, 'arc_protsome_B: proteasome endopeptidase complex, archaeal, beta subunit', 185, NULL, 'TIGR03634', 25202),
(25203, 'TIGR02725', NULL, 'phenyl_P_gamma: phenylphosphate carboxylase, gamma subunit', 84, NULL, 'TIGR02725', 25203),
(25204, 'TIGR00036', NULL, 'dapB: 4-hydroxy-tetrahydrodipicolinate reductase', 270, NULL, 'TIGR00036', 25204),
(25205, 'TIGR00540', NULL, 'TPR_hemY_coli: heme biosynthesis-associated TPR protein', 385, NULL, 'TIGR00540', 25205),
(25206, 'TIGR00194', NULL, 'uvrC: excinuclease ABC subunit C', 574, NULL, 'TIGR00194', 25206),
(25207, 'TIGR03306', NULL, 'altF1_A: alternate F1F0 ATPase, F0 subunit A', 217, NULL, 'TIGR03306', 25207),
(25208, 'TIGR00575', NULL, 'dnlj: DNA ligase, NAD-dependent', 652, NULL, 'TIGR00575', 25208),
(25209, 'TIGR02719', NULL, 'repress_PhaQ: poly-beta-hydroxybutyrate-responsive repressor', 138, NULL, 'TIGR02719', 25209),
(25210, 'TIGR03736', NULL, 'PRTRC_ThiF: PRTRC system ThiF family protein', 245, NULL, 'TIGR03736', 25210),
(25211, 'TIGR00746', NULL, 'arcC: carbamate kinase', 309, NULL, 'TIGR00746', 25211),
(25212, 'TIGR01545', NULL, 'YfhB_g-proteo: HAD hydrolase, family IF', 210, NULL, 'TIGR01545', 25212);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25213, 'TIGR03581', NULL, 'EF_0839: conserved hypothetical protein EF_0839/AHA_3917', 236, NULL, 'TIGR03581', 25213),
(25214, 'TIGR03887', NULL, 'thiocyan_alph: thiocyanate hydrolase, gamma subunit', 200, NULL, 'TIGR03887', 25214),
(25215, 'TIGR01368', NULL, 'CPSaseIIsmall: carbamoyl-phosphate synthase, small subunit', 361, NULL, 'TIGR01368', 25215),
(25216, 'TIGR03566', NULL, 'FMN_reduc_MsuE: FMN reductase', 174, NULL, 'TIGR03566', 25216),
(25217, 'TIGR01866', NULL, 'cas_Csn2: CRISPR type II-A/NMEMI-associated protein Csn2', 222, NULL, 'TIGR01866', 25217),
(25218, 'TIGR03101', NULL, 'hydr2_PEP: exosortase A system-associated hydrolase 2', 266, NULL, 'TIGR03101', 25218),
(25219, 'TIGR00110', NULL, 'ilvD: dihydroxy-acid dehydratase', 543, NULL, 'TIGR00110', 25219),
(25220, 'TIGR03083', NULL, 'TIGR03083: uncharacterized Actinobacterial protein TIGR03083', 202, NULL, 'TIGR03083', 25220),
(25221, 'TIGR03422', NULL, 'mito_frataxin: frataxin', 100, NULL, 'TIGR03422', 25221),
(25222, 'TIGR01873', NULL, 'cas_CT1978: CRISPR-associated endoribonuclease Cas2, subtype I-E/ECOLI', 87, NULL, 'TIGR01873', 25222),
(25223, 'TIGR04433', NULL, 'UrcA_uranyl: UrcA family protein', 92, NULL, 'TIGR04433', 25223),
(25224, 'TIGR03076', NULL, 'near_not_gcvH: chlamydial GcvH-like protein upstream region protein', 686, NULL, 'TIGR03076', 25224),
(25225, 'TIGR00418', NULL, 'thrS: threonine--tRNA ligase', 565, NULL, 'TIGR00418', 25225),
(25226, 'TIGR02072', NULL, 'BioC: malonyl-acyl carrier protein O-methyltransferase BioC', 244, NULL, 'TIGR02072', 25226),
(25227, 'TIGR01088', NULL, 'aroQ: 3-dehydroquinate dehydratase, type II', 141, NULL, 'TIGR01088', 25227),
(25228, 'TIGR02439', NULL, 'catechol_proteo: catechol 1,2-dioxygenase', 285, NULL, 'TIGR02439', 25228),
(25229, 'TIGR01926', NULL, 'peroxid_rel: uncharacterized peroxidase-related enzyme', 178, NULL, 'TIGR01926', 25229),
(25230, 'TIGR00745', NULL, 'apbA_panE: 2-dehydropantoate 2-reductase', 305, NULL, 'TIGR00745', 25230),
(25231, 'TIGR03750', NULL, 'conj_TIGR03750: conjugative transfer region protein, TIGR03750 family', 111, NULL, 'TIGR03750', 25231),
(25232, 'TIGR04427', NULL, 'PLP_DesI: dTDP-4-dehydro-6-deoxyglucose aminotransferase', 390, NULL, 'TIGR04427', 25232),
(25233, 'TIGR03920', NULL, 'T7SS_EccD: type VII secretion integral membrane protein EccD', 455, NULL, 'TIGR03920', 25233),
(25234, 'TIGR01231', NULL, 'lacC: tagatose-6-phosphate kinase', 310, NULL, 'TIGR01231', 25234),
(25235, 'TIGR02609', NULL, 'doc_partner: putative addiction module antidote', 74, NULL, 'TIGR02609', 25235),
(25236, 'TIGR00889', NULL, '2A0110: nucleoside transporter', 418, NULL, 'TIGR00889', 25236),
(25237, 'TIGR00247', NULL, 'TIGR00247: conserved hypothetical protein, YceG family', 347, NULL, 'TIGR00247', 25237),
(25238, 'TIGR04106', NULL, 'cas8c_GSU0052: CRISPR-associated protein GSU0052/csb3, Dpsyc system', 282, NULL, 'TIGR04106', 25238),
(25239, 'TIGR01654', NULL, 'bact_immun_7tm: bacteriocin-associated integral membrane protein', 681, NULL, 'TIGR01654', 25239),
(25240, 'TIGR02672', NULL, 'cas_csm6: CRISPR type III-A/MTUBE-associated protein Csm6', 362, NULL, 'TIGR02672', 25240),
(25241, 'TIGR03690', NULL, '20S_bact_beta: proteasome, beta subunit', 222, NULL, 'TIGR03690', 25241),
(25242, 'TIGR03778', NULL, 'VPDSG_CTERM: VPDSG-CTERM protein sorting domain', 24, NULL, 'TIGR03778', 25242),
(25243, 'TIGR02623', NULL, 'G1P_cyt_trans: glucose-1-phosphate cytidylyltransferase', 255, NULL, 'TIGR02623', 25243),
(25244, 'TIGR00636', NULL, 'PduO_Nterm: ATP:cob(I)alamin adenosyltransferase', 171, NULL, 'TIGR00636', 25244),
(25245, 'TIGR03641', NULL, 'cas1_HMARI: CRISPR-associated endonuclease Cas1, subtype I-B/HMARI/TNEAP', 324, NULL, 'TIGR03641', 25245),
(25246, 'TIGR00254', NULL, 'GGDEF: diguanylate cyclase (GGDEF) domain', 168, NULL, 'TIGR00254', 25246),
(25247, 'TIGR01605', NULL, 'PYST-D: Plasmodium yoelii subtelomeric family PYST-D', 55, NULL, 'TIGR01605', 25247),
(25248, 'TIGR01982', NULL, 'UbiB: 2-polyprenylphenol 6-hydroxylase', 436, NULL, 'TIGR01982', 25248);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25249, 'TIGR04331', NULL, 'o_ant_LIC12162: putative transferase, LIC12162 family', 585, NULL, 'TIGR04331', 25249),
(25250, 'TIGR01375', NULL, 'soxG: sarcosine oxidase, gamma subunit family', 152, NULL, 'TIGR01375', 25250),
(25251, 'TIGR02290', NULL, 'M3_fam_3: oligoendopeptidase, pepF/M3 family', 587, NULL, 'TIGR02290', 25251),
(25252, 'TIGR00138', NULL, 'rsmG_gidB: 16S rRNA (guanine(527)-N(7))-methyltransferase RsmG', 183, NULL, 'TIGR00138', 25252),
(25253, 'TIGR00220', NULL, 'mscL: large conductance mechanosensitive channel protein', 127, NULL, 'TIGR00220', 25253),
(25254, 'TIGR04215', NULL, 'choice_anch_A: choice-of-anchor A domain', 255, NULL, 'TIGR04215', 25254),
(25255, 'TIGR03525', NULL, 'GldK: gliding motility-associated lipoprotein GldK', 449, NULL, 'TIGR03525', 25255),
(25256, 'TIGR02174', NULL, 'CXXU_selWTH: selT/selW/selH selenoprotein domain', 74, NULL, 'TIGR02174', 25256),
(25257, 'TIGR00752', NULL, 'slp: outer membrane lipoprotein, Slp family', 182, NULL, 'TIGR00752', 25257),
(25258, 'TIGR02099', NULL, 'TIGR02099: TIGR02099 family protein', 1260, NULL, 'TIGR02099', 25258),
(25259, 'TIGR00029', NULL, 'S20: ribosomal protein bS20', 87, NULL, 'TIGR00029', 25259),
(25260, 'TIGR01047', NULL, 'nspC: carboxynorspermidine decarboxylase', 380, NULL, 'TIGR01047', 25260),
(25261, 'TIGR04003', NULL, 'rSAM_BssD: [benzylsuccinate synthase]-activating enzyme', 314, NULL, 'TIGR04003', 25261),
(25262, 'TIGR00855', NULL, 'L12: ribosomal protein bL12', 125, NULL, 'TIGR00855', 25262),
(25263, 'TIGR01442', NULL, 'SASP_gamma: small, acid-soluble spore protein, gamma-type', 86, NULL, 'TIGR01442', 25263),
(25264, 'TIGR02460', NULL, 'osmo_MPGsynth: mannosyl-3-phosphoglycerate synthase', 383, NULL, 'TIGR02460', 25264),
(25265, 'TIGR03948', NULL, 'butyr_acet_CoA: butyryl-CoA:acetate CoA-transferase', 445, NULL, 'TIGR03948', 25265),
(25266, 'TIGR04045', NULL, 'MSMEG_0567_GNAT: putative N-acetyltransferase, MSMEG_0567 N-terminal domain family', 153, NULL, 'TIGR04045', 25266),
(25267, 'TIGR01763', NULL, 'MalateDH_bact: malate dehydrogenase, NAD-dependent', 305, NULL, 'TIGR01763', 25267),
(25268, 'TIGR03811', NULL, 'tyr_de_CO2_Ent: tyrosine decarboxylase', 608, NULL, 'TIGR03811', 25268),
(25269, 'TIGR02597', NULL, 'TIGR02597: TIGR02597 family protein', 363, NULL, 'TIGR02597', 25269),
(25270, 'TIGR00357', NULL, 'TIGR00357: methionine-R-sulfoxide reductase', 134, NULL, 'TIGR00357', 25270),
(25271, 'TIGR04468', NULL, 'arg_2_3_am_muta: arginine 2,3-aminomutase', 351, NULL, 'TIGR04468', 25271),
(25272, 'TIGR01272', NULL, 'gluP: glucose/galactose transporter WARNING', 310, NULL, 'TIGR01272', 25272),
(25273, 'TIGR01770', NULL, 'NDH_I_N: proton-translocating NADH-quinone oxidoreductase, chain N', 472, NULL, 'TIGR01770', 25273),
(25274, 'TIGR03192', NULL, 'benz_CoA_bzdQ: benzoyl-CoA reductase, bzd-type, Q subunit', 293, NULL, 'TIGR03192', 25274),
(25275, 'TIGR02283', NULL, 'MltB_2: lytic murein transglycosylase', 300, NULL, 'TIGR02283', 25275),
(25276, 'TIGR00527', NULL, 'gcvH: glycine cleavage system H protein', 129, NULL, 'TIGR00527', 25276),
(25277, 'TIGR04222', NULL, 'near_uncomplex: TIGR04222 domain', 229, NULL, 'TIGR04222', 25277),
(25278, 'TIGR00848', NULL, 'fruA: PTS system, fructose subfamily, IIA component', 129, NULL, 'TIGR00848', 25278),
(25279, 'TIGR03313', NULL, 'Se_sel_red_Mo: probable selenate reductase, molybdenum-binding subunit', 951, NULL, 'TIGR03313', 25279),
(25280, 'TIGR04543', NULL, 'ketoArg_3Met: 2-ketoarginine methyltransferase', 336, NULL, 'TIGR04543', 25280),
(25281, 'TIGR04359', NULL, 'TrbK_RP4: entry exclusion lipoprotein TrbK', 67, NULL, 'TIGR04359', 25281),
(25282, 'TIGR00643', NULL, 'recG: ATP-dependent DNA helicase RecG', 629, NULL, 'TIGR00643', 25282),
(25283, 'TIGR03204', NULL, 'pimC_large: pimeloyl-CoA dehydrogenase, large subunit', 395, NULL, 'TIGR03204', 25283),
(25284, 'TIGR03702', NULL, 'lip_kinase_YegS: lipid kinase YegS', 295, NULL, 'TIGR03702', 25284),
(25285, 'TIGR04324', NULL, 'SpoChoClust_2: sporadic carbohydrate cluster 2OG-Fe(II) oxygenase', 248, NULL, 'TIGR04324', 25285);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25286, 'TIGR00145', NULL, 'TIGR00145: FTR1 family protein', 282, NULL, 'TIGR00145', 25286),
(25287, 'TIGR02181', NULL, 'GRX_bact: glutaredoxin 3', 80, NULL, 'TIGR02181', 25287),
(25288, 'TIGR01163', NULL, 'rpe: ribulose-phosphate 3-epimerase', 211, NULL, 'TIGR01163', 25288),
(25289, 'TIGR03185', NULL, 'DNA_S_dndD: DNA sulfur modification protein DndD', 650, NULL, 'TIGR03185', 25289),
(25290, 'TIGR02781', NULL, 'VirB9: P-type conjugative transfer protein VirB9', 248, NULL, 'TIGR02781', 25290),
(25291, 'TIGR01817', NULL, 'nifA: Nif-specific regulatory protein', 534, NULL, 'TIGR01817', 25291),
(25292, 'TIGR02030', NULL, 'BchI-ChlI: magnesium chelatase ATPase subunit I', 337, NULL, 'TIGR02030', 25292),
(25293, 'TIGR04154', NULL, 'archaeo_STT3: oligosaccharyl transferase, archaeosortase A system-associated', 831, NULL, 'TIGR04154', 25293),
(25294, 'TIGR04475', NULL, 'Phe_D_beta_mut: phenylalanine aminomutase (D-beta-phenylalanine forming)', 510, NULL, 'TIGR04475', 25294),
(25295, 'TIGR00957', NULL, 'MRP_assoc_pro: multi drug resistance-associated protein (MRP)', 1522, NULL, 'TIGR00957', 25295),
(25296, 'TIGR00315', NULL, 'cdhB: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', 162, NULL, 'TIGR00315', 25296),
(25297, 'TIGR01661', NULL, 'ELAV_HUD_SF: ELAV/HuD family splicing factor', 351, NULL, 'TIGR01661', 25297),
(25298, 'TIGR03518', NULL, 'ABC_perm_GldF: gliding motility-associated ABC transporter permease protein GldF', 240, NULL, 'TIGR03518', 25298),
(25299, 'TIGR01477', NULL, 'RIFIN: variant surface antigen, rifin family', 356, NULL, 'TIGR01477', 25299),
(25300, 'TIGR02009', NULL, 'PGMB-YQAB-SF: beta-phosphoglucomutase family hydrolase', 186, NULL, 'TIGR02009', 25300),
(25301, 'TIGR02507', NULL, 'MtrF: tetrahydromethanopterin S-methyltransferase, F subunit', 65, NULL, 'TIGR02507', 25301),
(25302, 'TIGR00322', NULL, 'diphth2_R: diphthamide biosynthesis enzyme Dph1/Dph2 domain', 320, NULL, 'TIGR00322', 25302),
(25303, 'TIGR00820', NULL, 'zip: ZIP zinc/iron transport family', 324, NULL, 'TIGR00820', 25303),
(25304, 'TIGR02488', NULL, 'flgG_G_neg: flagellar basal-body rod protein FlgG', 259, NULL, 'TIGR02488', 25304),
(25305, 'TIGR01975', NULL, 'isoAsp_dipep: beta-aspartyl peptidase', 389, NULL, 'TIGR01975', 25305),
(25306, 'TIGR03027', NULL, 'pepcterm_export: putative polysaccharide export protein, PEP-CTERM sytem-associated', 166, NULL, 'TIGR03027', 25306),
(25307, 'TIGR00466', NULL, 'kdsB: 3-deoxy-D-manno-octulosonate cytidylyltransferase', 241, NULL, 'TIGR00466', 25307),
(25308, 'TIGR01484', NULL, 'HAD-SF-IIB: HAD hydrolase, family IIB', 221, NULL, 'TIGR01484', 25308),
(25309, 'TIGR02514', NULL, 'type_III_yscP: type III secretion system needle length determinant', 129, NULL, 'TIGR02514', 25309),
(25310, 'TIGR00964', NULL, 'secE_bact: preprotein translocase, SecE subunit', 57, NULL, 'TIGR00964', 25310),
(25311, 'TIGR01156', NULL, 'cytb6/f_IV: cytb6/f complex subunit IV', 160, NULL, 'TIGR01156', 25311),
(25312, 'TIGR00001', NULL, 'rpmI_bact: ribosomal protein bL35', 63, NULL, 'TIGR00001', 25312),
(25313, 'TIGR01333', NULL, 'cyt_b559_beta: cytochrome b559, beta subunit', 43, NULL, 'TIGR01333', 25313),
(25314, 'TIGR03839', NULL, 'termin_org_P1: adhesin P1', 1425, NULL, 'TIGR03839', 25314),
(25315, 'TIGR02167', NULL, 'Liste_lipo_26: bacterial surface protein 26-residue repeat', 26, NULL, 'TIGR02167', 25315),
(25316, 'TIGR02828', NULL, 'TIGR02828: putative membrane fusion protein', 188, NULL, 'TIGR02828', 25316),
(25317, 'TIGR01798', NULL, 'cit_synth_I: citrate (Si)-synthase', 412, NULL, 'TIGR01798', 25317),
(25318, 'TIGR03968', NULL, 'mycofact_TetR: mycofactocin system transcriptional regulator', 190, NULL, 'TIGR03968', 25318),
(25319, 'TIGR01758', NULL, 'MDH_euk_cyt: malate dehydrogenase, NAD-dependent', 324, NULL, 'TIGR01758', 25319),
(25320, 'TIGR01501', NULL, 'MthylAspMutase: methylaspartate mutase, S subunit', 134, NULL, 'TIGR01501', 25320),
(25321, 'TIGR04486', NULL, 'thiosulf_SoxB: thiosulfohydrolase SoxB', 556, NULL, 'TIGR04486', 25321);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25322, 'TIGR01878', NULL, 'cas_Csa5: CRISPR type I-A/APERN-associated protein Csa5', 107, NULL, 'TIGR01878', 25322),
(25323, 'TIGR01998', NULL, 'PTS-II-BC-nag: PTS system, N-acetylglucosamine-specific IIBC component', 475, NULL, 'TIGR01998', 25323),
(25324, 'TIGR03848', NULL, 'MSMEG_4193: probable phosphomutase, MSMEG_4193 family', 204, NULL, 'TIGR03848', 25324),
(25325, 'TIGR04366', NULL, 'cupin_WbuC: cupin fold metalloprotein, WbuC family', 132, NULL, 'TIGR04366', 25325),
(25326, 'TIGR00927', NULL, '2A1904: K+-dependent Na+/Ca+ exchanger', 1209, NULL, 'TIGR00927', 25326),
(25327, 'TIGR04542', NULL, 'GMC_mycofac_2: GMC family mycofactocin-associated oxidreductase', 425, NULL, 'TIGR04542', 25327),
(25328, 'TIGR02109', NULL, 'PQQ_syn_pqqE: coenzyme PQQ biosynthesis enzyme PqqE', 358, NULL, 'TIGR02109', 25328),
(25329, 'TIGR00019', NULL, 'prfA: peptide chain release factor 1', 361, NULL, 'TIGR00019', 25329),
(25330, 'TIGR03535', NULL, 'DapD_actino: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', 320, NULL, 'TIGR03535', 25330),
(25331, 'TIGR00002', NULL, 'S16: ribosomal protein bS16', 78, NULL, 'TIGR00002', 25331),
(25332, 'TIGR01445', NULL, 'intein_Nterm: intein N-terminal splicing region', 83, NULL, 'TIGR01445', 25332),
(25333, 'TIGR01252', NULL, 'acetolac_decarb: alpha-acetolactate decarboxylase', 232, NULL, 'TIGR01252', 25333),
(25334, 'TIGR02944', NULL, 'suf_reg_Xantho: FeS assembly SUF system regulator', 130, NULL, 'TIGR02944', 25334),
(25335, 'TIGR01073', NULL, 'pcrA: ATP-dependent DNA helicase PcrA', 725, NULL, 'TIGR01073', 25335),
(25336, 'TIGR03342', NULL, 'dsrC_tusE_dsvC: sulfur relay protein, TusE/DsrC/DsvC family', 108, NULL, 'TIGR03342', 25336),
(25337, 'TIGR00854', NULL, 'pts-sorbose: PTS system, mannose/fructose/sorbose family, IIB component', 150, NULL, 'TIGR00854', 25337),
(25338, 'TIGR01685', NULL, 'MDP-1: magnesium-dependent phosphatase-1', 174, NULL, 'TIGR01685', 25338),
(25339, 'TIGR04422', NULL, 'PLP_IMCC1989: putative PLP-dependent aminotransferase', 315, NULL, 'TIGR04422', 25339),
(25340, 'TIGR00435', NULL, 'cysS: cysteine--tRNA ligase', 466, NULL, 'TIGR00435', 25340),
(25341, 'TIGR02083', NULL, 'LEU2: 3-isopropylmalate dehydratase, large subunit', 419, NULL, 'TIGR02083', 25341),
(25342, 'TIGR03775', NULL, 'RPE3: rickettsial palindromic element RPE3 domain', 43, NULL, 'TIGR03775', 25342),
(25343, 'TIGR02525', NULL, 'plasmid_TraJ: plasmid transfer ATPase TraJ', 372, NULL, 'TIGR02525', 25343),
(25344, 'TIGR04173', NULL, 'PIP_CTERM: PIP-CTERM protein sorting domain', 27, NULL, 'TIGR04173', 25344),
(25345, 'TIGR02332', NULL, 'HpaX: 4-hydroxyphenylacetate permease', 412, NULL, 'TIGR02332', 25345),
(25346, 'TIGR00242', NULL, 'TIGR00242: division/cell wall cluster transcriptional repressor MraZ', 144, NULL, 'TIGR00242', 25346),
(25347, 'TIGR02511', NULL, 'type_III_tyeA: type III secretion effector delivery regulator, TyeA family', 82, NULL, 'TIGR02511', 25347),
(25348, 'TIGR03476', NULL, 'HpnL: putative membrane protein', 318, NULL, 'TIGR03476', 25348),
(25349, 'TIGR03356', NULL, 'BGL: beta-galactosidase', 427, NULL, 'TIGR03356', 25349),
(25350, 'TIGR00678', NULL, 'holB: DNA polymerase III, delta'' subunit', 188, NULL, 'TIGR00678', 25350),
(25351, 'TIGR00868', NULL, 'hCaCC: calcium-activated chloride channel protein 1', 863, NULL, 'TIGR00868', 25351),
(25352, 'TIGR01029', NULL, 'rpsG_bact: ribosomal protein uS7', 154, NULL, 'TIGR01029', 25352),
(25353, 'TIGR02695', NULL, 'azurin: azurin', 125, NULL, 'TIGR02695', 25353),
(25354, 'TIGR01193', NULL, 'bacteriocin_ABC: ABC-type bacteriocin transporter', 708, NULL, 'TIGR01193', 25354),
(25355, 'TIGR01132', NULL, 'pgm: phosphoglucomutase, alpha-D-glucose phosphate-specific', 546, NULL, 'TIGR01132', 25355),
(25356, 'TIGR00798', NULL, 'mtc: tricarboxylate carrier', 317, NULL, 'TIGR00798', 25356),
(25357, 'TIGR00988', NULL, 'hip: integration host factor, beta subunit', 94, NULL, 'TIGR00988', 25357),
(25358, 'TIGR01322', NULL, 'scrB_fam: sucrose-6-phosphate hydrolase', 447, NULL, 'TIGR01322', 25358);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25359, 'TIGR02824', NULL, 'quinone_pig3: putative NAD(P)H quinone oxidoreductase, PIG3 family', 325, NULL, 'TIGR02824', 25359),
(25360, 'TIGR02765', NULL, 'crypto_DASH: cryptochrome, DASH family', 431, NULL, 'TIGR02765', 25360),
(25361, 'TIGR03789', NULL, 'pdsO: proteobacterial sortase system peptidoglycan-associated protein', 243, NULL, 'TIGR03789', 25361),
(25362, 'TIGR02405', NULL, 'trehalos_R_Ecol: trehalose operon repressor', 311, NULL, 'TIGR02405', 25362),
(25363, 'TIGR00614', NULL, 'recQ_fam: ATP-dependent DNA helicase, RecQ family', 470, NULL, 'TIGR00614', 25363),
(25364, 'TIGR00804', NULL, 'nupC: nucleoside transporter, NupC family', 401, NULL, 'TIGR00804', 25364),
(25365, 'TIGR00122', NULL, 'birA_repr_reg: biotin operon repressor', 69, NULL, 'TIGR00122', 25365),
(25366, 'TIGR01624', NULL, 'LRP1_Cterm: LRP1 C-terminal domain', 50, NULL, 'TIGR01624', 25366),
(25367, 'TIGR02262', NULL, 'benz_CoA_lig: benzoate-CoA ligase family', 508, NULL, 'TIGR02262', 25367),
(25368, 'TIGR02452', NULL, 'TIGR02452: TIGR02452 family protein', 266, NULL, 'TIGR02452', 25368),
(25369, 'TIGR03907', NULL, 'QH_beta: quinohemoprotein amine dehydrogenase, beta subunit', 338, NULL, 'TIGR03907', 25369),
(25370, 'TIGR04545', NULL, 'rSAM_ahbD_hemeb: heme b synthase', 339, NULL, 'TIGR04545', 25370),
(25371, 'TIGR04053', NULL, 'sam_11: radical SAM protein, BA_1875 family', 366, NULL, 'TIGR04053', 25371),
(25372, 'TIGR01565', NULL, 'homeo_ZF_HD: homeobox domain, ZF-HD class', 58, NULL, 'TIGR01565', 25372),
(25373, 'TIGR04243', NULL, 'nodulat_NodB: chitooligosaccharide deacetylase NodB', 197, NULL, 'TIGR04243', 25373),
(25374, 'TIGR00365', NULL, 'TIGR00365: monothiol glutaredoxin, Grx4 family', 99, NULL, 'TIGR00365', 25374),
(25375, 'TIGR00555', NULL, 'panK_eukar: pantothenate kinase', 304, NULL, 'TIGR00555', 25375),
(25376, 'TIGR02039', NULL, 'CysD: sulfate adenylyltransferase, small subunit', 294, NULL, 'TIGR02039', 25376),
(25377, 'TIGR03102', NULL, 'halo_cynanin: halocyanin domain', 115, NULL, 'TIGR03102', 25377),
(25378, 'TIGR01755', NULL, 'flav_wrbA: NAD(P)H:quinone oxidoreductase, type IV', 197, NULL, 'TIGR01755', 25378),
(25379, 'TIGR04302', NULL, 'geo_PqqD_fam: GeoRSP system PqqD family protein', 102, NULL, 'TIGR04302', 25379),
(25380, 'TIGR01814', NULL, 'kynureninase: kynureninase', 400, NULL, 'TIGR01814', 25380),
(25381, 'TIGR03043', NULL, 'PS_II_psbZ: photosystem II core protein PsbZ', 58, NULL, 'TIGR03043', 25381),
(25382, 'TIGR02838', NULL, 'spore_V_AC: stage V sporulation protein AC', 141, NULL, 'TIGR02838', 25382),
(25383, 'TIGR03462', NULL, 'CarR_dom_SF: lycopene cyclase domain', 89, NULL, 'TIGR03462', 25383),
(25384, 'TIGR01828', NULL, 'pyru_phos_dikin: pyruvate, phosphate dikinase', 865, NULL, 'TIGR01828', 25384),
(25385, 'TIGR02466', NULL, 'TIGR02466: conserved hypothetical protein', 201, NULL, 'TIGR02466', 25385),
(25386, 'TIGR02586', NULL, 'cas5_cmx5_devS: CRISPR-associated protein Cas5/DevS, subtype MYXAN', 183, NULL, 'TIGR02586', 25386),
(25387, 'TIGR03401', NULL, 'cyanamide_fam: HD domain protein, cyanamide hydratase family', 228, NULL, 'TIGR03401', 25387),
(25388, 'TIGR03918', NULL, 'GTP_HydF: [FeFe] hydrogenase H-cluster maturation GTPase HydF', 392, NULL, 'TIGR03918', 25388),
(25389, 'TIGR00913', NULL, '2A0310: amino acid permease (yeast)', 480, NULL, 'TIGR00913', 25389),
(25390, 'TIGR04556', NULL, 'PKS_assoc: polyketide synthase-associated domain', 226, NULL, 'TIGR04556', 25390),
(25391, 'TIGR01948', NULL, 'rnfE: electron transport complex, RnfABCDGE type, E subunit', 196, NULL, 'TIGR01948', 25391),
(25392, 'TIGR04009', NULL, 'wcaE: colanic acid biosynthesis glycosyltransferase WcaE', 248, NULL, 'TIGR04009', 25392),
(25393, 'TIGR01551', NULL, 'major_capsid_P2: phage major capsid protein, P2 family', 326, NULL, 'TIGR01551', 25393),
(25394, 'TIGR04249', NULL, 'SCM_chp_ScmC: SynChlorMet cassette protein ScmC', 292, NULL, 'TIGR04249', 25394),
(25395, 'TIGR01311', NULL, 'glycerol_kin: glycerol kinase', 496, NULL, 'TIGR01311', 25395);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25396, 'TIGR00857', NULL, 'pyrC_multi: dihydroorotase, multifunctional complex type', 412, NULL, 'TIGR00857', 25396),
(25397, 'TIGR02947', NULL, 'SigH_actino: RNA polymerase sigma-70 factor, TIGR02947 family', 193, NULL, 'TIGR02947', 25397),
(25398, 'TIGR02659', NULL, 'TTQ_MADH_Lt: methylamine dehydrogenase (amicyanin) light chain', 186, NULL, 'TIGR02659', 25398),
(25399, 'TIGR00063', NULL, 'folE: GTP cyclohydrolase I', 180, NULL, 'TIGR00063', 25399),
(25400, 'TIGR04436', NULL, 'SpoChoClust_3: putative 2OG-Fe(II) oxygenase', 300, NULL, 'TIGR04436', 25400),
(25401, 'TIGR00569', NULL, 'ccl1: cyclin ccl1', 305, NULL, 'TIGR00569', 25401),
(25402, 'TIGR03725', NULL, 'T6A_YeaZ: tRNA threonylcarbamoyl adenosine modification protein YeaZ', 212, NULL, 'TIGR03725', 25402),
(25403, 'TIGR03954', NULL, 'integ_memb_HG: integral membrane protein', 85, NULL, 'TIGR03954', 25403),
(25404, 'TIGR01504', NULL, 'glyox_carbo_lig: glyoxylate carboligase', 589, NULL, 'TIGR01504', 25404),
(25405, 'TIGR00292', NULL, 'TIGR00292: thiazole biosynthesis enzyme', 254, NULL, 'TIGR00292', 25405),
(25406, 'TIGR03113', NULL, 'exosortase_2: exosortase B', 268, NULL, 'TIGR03113', 25406),
(25407, 'TIGR01023', NULL, 'rpmG_bact: ribosomal protein bL33', 56, NULL, 'TIGR01023', 25407),
(25408, 'TIGR02754', NULL, 'sod_Ni_protease: nickel-type superoxide dismutase maturation protease', 90, NULL, 'TIGR02754', 25408),
(25409, 'TIGR03392', NULL, 'FeS_syn_CsdA: cysteine desulfurase, catalytic subunit CsdA', 398, NULL, 'TIGR03392', 25409),
(25410, 'TIGR01079', NULL, 'rplX_bact: ribosomal protein uL24', 104, NULL, 'TIGR01079', 25410),
(25411, 'TIGR01495', NULL, 'ETRAMP: early transcribed membrane protein (ETRAMP) family', 85, NULL, 'TIGR01495', 25411),
(25412, 'TIGR03297', NULL, 'Ppyr-DeCO2ase: phosphonopyruvate decarboxylase', 360, NULL, 'TIGR03297', 25412),
(25413, 'TIGR02159', NULL, 'PA_CoA_Oxy4: phenylacetate-CoA oxygenase, PaaJ subunit', 146, NULL, 'TIGR02159', 25413),
(25414, 'TIGR00625', NULL, 'tfb2: transcription factor Tfb2', 448, NULL, 'TIGR00625', 25414),
(25415, 'TIGR04363', NULL, 'LD_lanti_pre: FxLD family lantipeptide', 37, NULL, 'TIGR04363', 25415),
(25416, 'TIGR00052', NULL, 'TIGR00052: nudix-type nucleoside diphosphatase, YffH/AdpP family', 188, NULL, 'TIGR00052', 25416),
(25417, 'TIGR00111', NULL, 'pelota: mRNA surveillance protein pelota', 351, NULL, 'TIGR00111', 25417),
(25418, 'TIGR03585', NULL, 'PseH: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine N-acetyltransferase', 156, NULL, 'TIGR03585', 25418),
(25419, 'TIGR02142', NULL, 'modC_ABC: molybdate ABC transporter, ATP-binding protein', 353, NULL, 'TIGR02142', 25419),
(25420, 'TIGR01266', NULL, 'fum_ac_acetase: fumarylacetoacetase', 420, NULL, 'TIGR01266', 25420),
(25421, 'TIGR02768', NULL, 'TraA_Ti: Ti-type conjugative transfer relaxase TraA', 751, NULL, 'TIGR02768', 25421),
(25422, 'TIGR00748', NULL, 'HMG_CoA_syn_Arc: putative hydroxymethylglutaryl-CoA synthase', 345, NULL, 'TIGR00748', 25422),
(25423, 'TIGR01386', NULL, 'cztS_silS_copS: heavy metal sensor kinase', 457, NULL, 'TIGR01386', 25423),
(25424, 'TIGR02218', NULL, 'phg_TIGR02218: phage conserved hypothetical protein BR0599', 266, NULL, 'TIGR02218', 25424),
(25425, 'TIGR00231', NULL, 'small_GTP: small GTP-binding protein domain', 164, NULL, 'TIGR00231', 25425),
(25426, 'TIGR04377', NULL, 'myo_inos_iolD: 3,5/4-trihydroxycyclohexa-1,2-dione hydrolase', 616, NULL, 'TIGR04377', 25426),
(25427, 'TIGR03222', NULL, 'benzo_boxC: benzoyl-CoA-dihydrodiol lyase', 548, NULL, 'TIGR03222', 25427),
(25428, 'TIGR03859', NULL, 'PQQ_PqqD: coenzyme PQQ biosynthesis protein PqqD', 81, NULL, 'TIGR03859', 25428),
(25429, 'TIGR00505', NULL, 'ribA: GTP cyclohydrolase II', 191, NULL, 'TIGR00505', 25429),
(25430, 'TIGR03283', NULL, 'thy_syn_methano: thymidylate synthase, methanogen type', 201, NULL, 'TIGR03283', 25430),
(25431, 'TIGR00675', NULL, 'dcm: DNA (cytosine-5-)-methyltransferase', 329, NULL, 'TIGR00675', 25431),
(25432, 'TIGR01889', NULL, 'Staph_reg_Sar: staphylococcal accessory regulator family', 109, NULL, 'TIGR01889', 25432);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25433, 'TIGR00734', NULL, 'hisAF_rel: hisA/hisF family protein', 221, NULL, 'TIGR00734', 25433),
(25434, 'TIGR02888', NULL, 'spore_YlmC_YmxH: sporulation protein, YlmC/YmxH family', 76, NULL, 'TIGR02888', 25434),
(25435, 'TIGR01674', NULL, 'phage_lambda_G: phage minor tail protein G', 138, NULL, 'TIGR01674', 25435),
(25436, 'TIGR02645', NULL, 'ARCH_P_rylase: putative thymidine phosphorylase', 493, NULL, 'TIGR02645', 25436),
(25437, 'TIGR00689', NULL, 'rpiB_lacA_lacB: sugar-phosphate isomerase, RpiB/LacA/LacB family', 145, NULL, 'TIGR00689', 25437),
(25438, 'TIGR02704', NULL, 'carboxysome_B: carboxysome peptide B', 80, NULL, 'TIGR02704', 25438),
(25439, 'TIGR00172', NULL, 'maf: septum formation protein Maf', 185, NULL, 'TIGR00172', 25439),
(25440, 'TIGR02343', NULL, 'chap_CCT_epsi: T-complex protein 1, epsilon subunit', 532, NULL, 'TIGR02343', 25440),
(25441, 'TIGR03465', NULL, 'HpnD: squalene synthase HpnD', 267, NULL, 'TIGR03465', 25441),
(25442, 'TIGR00977', NULL, 'citramal_synth: citramalate synthase', 526, NULL, 'TIGR00977', 25442),
(25443, 'TIGR01202', NULL, 'bchC: chlorophyll synthesis pathway protein BchC', 308, NULL, 'TIGR01202', 25443),
(25444, 'TIGR02402', NULL, 'trehalose_TreZ: malto-oligosyltrehalose trehalohydrolase', 545, NULL, 'TIGR02402', 25444),
(25445, 'TIGR03845', NULL, 'sulfopyru_alph: sulfopyruvate decarboxylase, alpha subunit', 160, NULL, 'TIGR03845', 25445),
(25446, 'TIGR01143', NULL, 'murF: UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase', 418, NULL, 'TIGR01143', 25446),
(25447, 'TIGR01372', NULL, 'soxA: sarcosine oxidase, alpha subunit family', 996, NULL, 'TIGR01372', 25447),
(25448, 'TIGR02874', NULL, 'spore_ytfJ: sporulation protein YtfJ', 125, NULL, 'TIGR02874', 25448),
(25449, 'TIGR00807', NULL, 'malonate_madL: malonate transporter, MadL subunit', 125, NULL, 'TIGR00807', 25449),
(25450, 'TIGR01431', NULL, 'adm_rel: adenosine deaminase-related growth factor', 479, NULL, 'TIGR01431', 25450),
(25451, 'TIGR03904', NULL, 'SAM_YgiQ: uncharacterized radical SAM protein YgiQ', 558, NULL, 'TIGR03904', 25451),
(25452, 'TIGR04129', NULL, 'CxxH_BA5709: CxxH/CxxC protein, BA_5709 family', 49, NULL, 'TIGR04129', 25452),
(25453, 'TIGR02656', NULL, 'cyanin_plasto: plastocyanin', 99, NULL, 'TIGR02656', 25453),
(25454, 'TIGR01084', NULL, 'mutY: A/G-specific adenine glycosylase', 277, NULL, 'TIGR01084', 25454),
(25455, 'TIGR02536', NULL, 'eut_hyp: ethanolamine utilization protein', 207, NULL, 'TIGR02536', 25455),
(25456, 'TIGR01018', NULL, 'uS4_arch: ribosomal protein uS4', 162, NULL, 'TIGR01018', 25456),
(25457, 'TIGR03571', NULL, 'lucif_BA3436: luciferase-type oxidoreductase, BA3436 family', 304, NULL, 'TIGR03571', 25457),
(25458, 'TIGR02813', NULL, 'omega_3_PfaA: polyketide-type polyunsaturated fatty acid synthase PfaA', 2582, NULL, 'TIGR02813', 25458),
(25459, 'TIGR00723', NULL, 'ttdB_fumA_fumB: hydrolyase, tartrate beta subunit/fumarate domain protein, Fe-S type', 169, NULL, 'TIGR00723', 25459),
(25460, 'TIGR00566', NULL, 'trpG_papA: glutamine amidotransferase of anthranilate synthase or aminodeoxychorismate synthase', 192, NULL, 'TIGR00566', 25460),
(25461, 'TIGR02416', NULL, 'CO_dehy_Mo_lg: carbon-monoxide dehydrogenase, large subunit', 770, NULL, 'TIGR02416', 25461),
(25462, 'TIGR03247', NULL, 'glucar-dehydr: glucarate dehydratase', 441, NULL, 'TIGR03247', 25462),
(25463, 'TIGR04162', NULL, 'exo_VPEID: exosortase E/protease, VPEID-CTERM system', 516, NULL, 'TIGR04162', 25463),
(25464, 'TIGR00253', NULL, 'RNA_bind_YhbY: putative RNA-binding protein, YhbY family', 96, NULL, 'TIGR00253', 25464),
(25465, 'TIGR00133', NULL, 'gatB: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, B subunit', 481, NULL, 'TIGR00133', 25465),
(25466, 'TIGR00307', NULL, 'eS8: ribosomal protein eS8', 127, NULL, 'TIGR00307', 25466),
(25467, 'TIGR00963', NULL, 'secA: preprotein translocase, SecA subunit', 787, NULL, 'TIGR00963', 25467),
(25468, 'TIGR04506', NULL, 'F_threo_transal: fluorothreonine transaldolase', 609, NULL, 'TIGR04506', 25468);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25469, 'TIGR02223', NULL, 'ftsN: cell division protein FtsN', 299, NULL, 'TIGR02223', 25469),
(25470, 'TIGR04282', NULL, 'glyco_like_cofC: transferase 1, rSAM/selenodomain-associated', 189, NULL, 'TIGR04282', 25470),
(25471, 'TIGR00603', NULL, 'rad25: DNA repair helicase rad25', 734, NULL, 'TIGR00603', 25471),
(25472, 'TIGR01157', NULL, 'pufL: photosynthetic reaction center L subunit', 239, NULL, 'TIGR01157', 25472),
(25473, 'TIGR00474', NULL, 'selA: L-seryl-tRNA(Sec) selenium transferase', 455, NULL, 'TIGR00474', 25473),
(25474, 'TIGR02564', NULL, 'cas_Csy1: CRISPR type I-F/YPEST-associated protein Csy1', 385, NULL, 'TIGR02564', 25474),
(25475, 'TIGR02103', NULL, 'pullul_strch: alpha-1,6-glucosidases, pullulanase-type', 900, NULL, 'TIGR02103', 25475),
(25476, 'TIGR04497', NULL, 'GRASP_targ_2: putative ATP-grasp target RiPP', 50, NULL, 'TIGR04497', 25476),
(25477, 'TIGR03739', NULL, 'PRTRC_D: PRTRC system protein D', 320, NULL, 'TIGR03739', 25477),
(25478, 'TIGR03487', NULL, 'cas_csp2: CRISPR-associated protein Cas8c/Csp2, subtype PGING', 483, NULL, 'TIGR03487', 25478),
(25479, 'TIGR00013', NULL, 'taut: 4-oxalocrotonate tautomerase family enzyme', 64, NULL, 'TIGR00013', 25479),
(25480, 'TIGR01397', NULL, 'fliM_switch: flagellar motor switch protein FliM', 320, NULL, 'TIGR01397', 25480),
(25481, 'TIGR01554', NULL, 'major_cap_HK97: phage major capsid protein, HK97 family', 385, NULL, 'TIGR01554', 25481),
(25482, 'TIGR01649', NULL, 'hnRNP-L_PTB: hnRNP-L/PTB/hephaestus splicing factor family', 493, NULL, 'TIGR01649', 25482),
(25483, 'TIGR01973', NULL, 'NuoG: NADH dehydrogenase (quinone), G subunit', 606, NULL, 'TIGR01973', 25483),
(25484, 'TIGR02321', NULL, 'Pphn_pyruv_hyd: phosphonopyruvate hydrolase', 290, NULL, 'TIGR02321', 25484),
(25485, 'TIGR02268', NULL, 'TIGR02268: Myxococcus xanthus paralogous family TIGR02268', 295, NULL, 'TIGR02268', 25485),
(25486, 'TIGR03703', NULL, 'plsB: glycerol-3-phosphate O-acyltransferase', 799, NULL, 'TIGR03703', 25486),
(25487, 'TIGR01526', NULL, 'nadR_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', 325, NULL, 'TIGR01526', 25487),
(25488, 'TIGR00058', NULL, 'Hemerythrin: hemerythrin family non-heme iron protein', 115, NULL, 'TIGR00058', 25488),
(25489, 'TIGR04184', NULL, 'ATPgraspMvdD: ATP-grasp ribosomal peptide maturase, MvdD family', 321, NULL, 'TIGR04184', 25489),
(25490, 'TIGR02201', NULL, 'heptsyl_trn_III: putative lipopolysaccharide heptosyltransferase III', 344, NULL, 'TIGR02201', 25490),
(25491, 'TIGR01853', NULL, 'lipid_A_lpxD: UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase LpxD', 325, NULL, 'TIGR01853', 25491),
(25492, 'TIGR04118', NULL, 'Cxxx_AC3_0185: modification target Cys-rich peptide, AC3_0185 family', 46, NULL, 'TIGR04118', 25492),
(25493, 'TIGR00281', NULL, 'TIGR00281: segregation and condensation protein B', 186, NULL, 'TIGR00281', 25493),
(25494, 'TIGR04531', NULL, 'nonproteo_OH: putative nonproteinogenic amino acid hydroxylase', 277, NULL, 'TIGR04531', 25494),
(25495, 'TIGR01420', NULL, 'pilT_fam: twitching motility protein', 343, NULL, 'TIGR01420', 25495),
(25496, 'TIGR01610', NULL, 'phage_O_Nterm: phage replication protein O, N-terminal domain', 95, NULL, 'TIGR01610', 25496),
(25497, 'TIGR03049', NULL, 'PS_I_psaK: photosystem I reaction center subunit PsaK', 81, NULL, 'TIGR03049', 25497),
(25498, 'TIGR01263', NULL, '4HPPD: 4-hydroxyphenylpyruvate dioxygenase', 353, NULL, 'TIGR01263', 25498),
(25499, 'TIGR04308', NULL, 'repeat_SSSPR51: surface protein repeat SSSPR-51', 49, NULL, 'TIGR04308', 25499),
(25500, 'TIGR01540', NULL, 'portal_PBSX: phage portal protein, PBSX family', 320, NULL, 'TIGR01540', 25500),
(25501, 'TIGR01062', NULL, 'parC_Gneg: DNA topoisomerase IV, A subunit', 735, NULL, 'TIGR01062', 25501),
(25502, 'TIGR04238', NULL, 'seadorna_dsRNA: seadornavirus double-stranded RNA-binding protein', 201, NULL, 'TIGR04238', 25502),
(25503, 'TIGR00161', NULL, 'TIGR00161: TIGR00161 family protein', 239, NULL, 'TIGR00161', 25503);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25504, 'TIGR00351', NULL, 'narI: respiratory nitrate reductase, gamma subunit', 225, NULL, 'TIGR00351', 25504),
(25505, 'TIGR03823', NULL, 'FliZ: flagellar regulatory protein FliZ', 168, NULL, 'TIGR03823', 25505),
(25506, 'TIGR00594', NULL, 'polc: DNA polymerase III, alpha subunit', 1022, NULL, 'TIGR00594', 25506),
(25507, 'TIGR04198', NULL, 'paramyx_RNAcap: mRNA capping enzyme', 938, NULL, 'TIGR04198', 25507),
(25508, 'TIGR03233', NULL, 'DNA_S_dndB: DNA sulfur modification protein DndB', 355, NULL, 'TIGR03233', 25508),
(25509, 'TIGR01959', NULL, 'nuoF_fam: NADH oxidoreductase (quinone), F subunit', 410, NULL, 'TIGR01959', 25509),
(25510, 'TIGR01277', NULL, 'thiQ: thiamine ABC transporter, ATP-binding protein', 213, NULL, 'TIGR01277', 25510),
(25511, 'TIGR01769', NULL, 'GGGP: phosphoglycerol geranylgeranyltransferase', 205, NULL, 'TIGR01769', 25511),
(25512, 'TIGR01317', NULL, 'GOGAT_sm_gam: glutamate synthase, NADH/NADPH, small subunit', 485, NULL, 'TIGR01317', 25512),
(25513, 'TIGR00600', NULL, 'rad2: DNA excision repair protein (rad2)', 1039, NULL, 'TIGR00600', 25513),
(25514, 'TIGR03809', NULL, 'TIGR03809: TIGR03809 family protein', 172, NULL, 'TIGR03809', 25514),
(25515, 'TIGR00267', NULL, 'TIGR00267: TIGR00267 family protein', 171, NULL, 'TIGR00267', 25515),
(25516, 'TIGR02779', NULL, 'NHEJ_ligase_lig: DNA ligase D, ligase domain', 302, NULL, 'TIGR02779', 25516),
(25517, 'TIGR00843', NULL, 'benE: benzoate transporter', 395, NULL, 'TIGR00843', 25517),
(25518, 'TIGR03272', NULL, 'methan_mark_6: putative methanogenesis marker protein 6', 132, NULL, 'TIGR03272', 25518),
(25519, 'TIGR00496', NULL, 'frr: ribosome recycling factor', 176, NULL, 'TIGR00496', 25519),
(25520, 'TIGR00256', NULL, 'TIGR00256: D-tyrosyl-tRNA(Tyr) deacylase', 146, NULL, 'TIGR00256', 25520),
(25521, 'TIGR01208', NULL, 'rmlA_long: glucose-1-phosphate thymidylyltransferase', 353, NULL, 'TIGR01208', 25521),
(25522, 'TIGR03244', NULL, 'arg_catab_AstA: arginine N-succinyltransferase', 336, NULL, 'TIGR03244', 25522),
(25523, 'TIGR00376', NULL, 'TIGR00376: putative DNA helicase', 639, NULL, 'TIGR00376', 25523),
(25524, 'TIGR03004', NULL, 'ectoine_ehuC: ectoine/hydroxyectoine ABC transporter, permease protein EhuC', 214, NULL, 'TIGR03004', 25524),
(25525, 'TIGR03261', NULL, 'phnS2: putative 2-aminoethylphosphonate ABC transporter, periplasmic 2-aminoethylphosphonate-binding protein', 334, NULL, 'TIGR03261', 25525),
(25526, 'TIGR02550', NULL, 'flagell_flgL: flagellar hook-associated protein 3', 387, NULL, 'TIGR02550', 25526),
(25527, 'TIGR02670', NULL, 'cas_csx8: CRISPR-associated protein Cas8a1/Csx8, subtype I', 441, NULL, 'TIGR02670', 25527),
(25528, 'TIGR00829', NULL, 'FRU: PTS system, Fru family, IIB component', 85, NULL, 'TIGR00829', 25528),
(25529, 'TIGR01291', NULL, 'nodJ: ABC-2 type transporter, NodJ family', 253, NULL, 'TIGR01291', 25529),
(25530, 'TIGR03124', NULL, 'citrate_citX: holo-ACP synthase CitX', 165, NULL, 'TIGR03124', 25530),
(25531, 'TIGR01635', NULL, 'tail_comp_S: phage virion morphogenesis protein', 144, NULL, 'TIGR01635', 25531),
(25532, 'TIGR03381', NULL, 'agmatine_aguB: N-carbamoylputrescine amidase', 279, NULL, 'TIGR03381', 25532),
(25533, 'TIGR02346', NULL, 'chap_CCT_theta: T-complex protein 1, theta subunit', 531, NULL, 'TIGR02346', 25533),
(25534, 'TIGR00966', NULL, '3a0501s07: protein-export membrane protein SecF', 246, NULL, 'TIGR00966', 25534),
(25535, 'TIGR01744', NULL, 'XPRTase: xanthine phosphoribosyltransferase', 191, NULL, 'TIGR01744', 25535),
(25536, 'TIGR02899', NULL, 'spore_safA: spore coat assembly protein SafA', 44, NULL, 'TIGR02899', 25536),
(25537, 'TIGR03605', NULL, 'antibiot_sagB: SagB-type dehydrogenase domain', 173, NULL, 'TIGR03605', 25537),
(25538, 'TIGR03834', NULL, 'EAGR_box: EAGR box', 28, NULL, 'TIGR03834', 25538),
(25539, 'TIGR01515', NULL, 'branching_enzym: 1,4-alpha-glucan branching enzyme', 607, NULL, 'TIGR01515', 25539),
(25540, 'TIGR04491', NULL, 'reactive_PduG: diol dehydratase reactivase alpha subunit', 599, NULL, 'TIGR04491', 25540);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25541, 'TIGR03169', NULL, 'Nterm_to_SelD: pyridine nucleotide-disulfide oxidoreductase family protein', 365, NULL, 'TIGR03169', 25541),
(25542, 'TIGR03929', NULL, 'T7_esaA_Nterm: type VII secretion protein EsaA', 193, NULL, 'TIGR03929', 25542),
(25543, 'TIGR02014', NULL, 'BchZ: chlorophyllide reductase subunit Z', 468, NULL, 'TIGR02014', 25543),
(25544, 'TIGR00147', NULL, 'TIGR00147: lipid kinase, YegS/Rv2252/BmrU family', 296, NULL, 'TIGR00147', 25544),
(25545, 'TIGR04104', NULL, 'cxxc_20_cxxc: cxxc_20_cxxc protein', 93, NULL, 'TIGR04104', 25545),
(25546, 'TIGR00069', NULL, 'hisD: histidinol dehydrogenase', 393, NULL, 'TIGR00069', 25546),
(25547, 'TIGR00471', NULL, 'pheT_arch: phenylalanine--tRNA ligase, beta subunit', 551, NULL, 'TIGR00471', 25547),
(25548, 'TIGR04520', NULL, 'ECF_ATPase_1: energy-coupling factor transporter ATPase', 269, NULL, 'TIGR04520', 25548),
(25549, 'TIGR02561', NULL, 'HrpB1_HrpK: type III secretion protein HrpB1/HrpK', 183, NULL, 'TIGR02561', 25549),
(25550, 'TIGR03660', NULL, 'T1SS_rpt_143: T1SS-143 repeat domain', 143, NULL, 'TIGR03660', 25550),
(25551, 'TIGR02094', NULL, 'more_P_ylases: alpha-glucan phosphorylases', 600, NULL, 'TIGR02094', 25551),
(25552, 'TIGR03596', NULL, 'GTPase_YlqF: ribosome biogenesis GTP-binding protein YlqF', 276, NULL, 'TIGR03596', 25552),
(25553, 'TIGR02441', NULL, 'fa_ox_alpha_mit: fatty acid oxidation complex, alpha subunit, mitochondrial', 737, NULL, 'TIGR02441', 25553),
(25554, 'TIGR01406', NULL, 'dnaQ_proteo: DNA polymerase III, epsilon subunit', 231, NULL, 'TIGR01406', 25554),
(25555, 'TIGR04064', NULL, 'rSAM_nif11: nif11-like peptide radical SAM maturase', 459, NULL, 'TIGR04064', 25555),
(25556, 'TIGR00952', NULL, 'S15_bact: ribosomal protein uS15', 86, NULL, 'TIGR00952', 25556),
(25557, 'TIGR02908', NULL, 'CoxD_Bacillus: cytochrome c oxidase, subunit IVB', 110, NULL, 'TIGR02908', 25557),
(25558, 'TIGR00178', NULL, 'monomer_idh: isocitrate dehydrogenase, NADP-dependent', 744, NULL, 'TIGR00178', 25558),
(25559, 'TIGR02028', NULL, 'ChlP: geranylgeranyl reductase', 398, NULL, 'TIGR02028', 25559),
(25560, 'TIGR03943', NULL, 'TIGR03943: TIGR03943 family protein', 221, NULL, 'TIGR03943', 25560),
(25561, 'TIGR00485', NULL, 'EF-Tu: translation elongation factor Tu', 394, NULL, 'TIGR00485', 25561),
(25562, 'TIGR01987', NULL, 'HI0074: nucleotidyltransferase substrate binding protein, HI0074 family', 123, NULL, 'TIGR01987', 25562),
(25563, 'TIGR00832', NULL, 'acr3: arsenical-resistance protein', 327, NULL, 'TIGR00832', 25563),
(25564, 'TIGR03152', NULL, 'cyto_c552_HCOOH: formate-dependent cytochrome c nitrite reductase, c552 subunit', 441, NULL, 'TIGR03152', 25564),
(25565, 'TIGR03353', NULL, 'VI_chp_4: type VI secretion protein, VC_A0114 family', 442, NULL, 'TIGR03353', 25565),
(25566, 'TIGR04411', NULL, 'T2SS_GspN_Lepto: type II secretion system protein N', 280, NULL, 'TIGR04411', 25566),
(25567, 'TIGR03700', NULL, 'mena_SCO4494: putative menaquinone biosynthesis radical SAM enzyme, SCO4494 family', 351, NULL, 'TIGR03700', 25567),
(25568, 'TIGR02148', NULL, 'Fibro_Slime: fibro-slime domain', 90, NULL, 'TIGR02148', 25568),
(25569, 'TIGR03138', NULL, 'QueF: queuine synthase', 275, NULL, 'TIGR03138', 25569),
(25570, 'TIGR01182', NULL, 'eda: 2-dehydro-3-deoxyphosphogluconate aldolase/4-hydroxy-2-oxoglutarate aldolase', 204, NULL, 'TIGR01182', 25570),
(25571, 'TIGR01942', NULL, 'pcnB: poly(A) polymerase', 425, NULL, 'TIGR01942', 25571),
(25572, 'TIGR03780', NULL, 'Bac_Flav_CT_N: Bacteroides conjugative transposon TraN protein', 285, NULL, 'TIGR03780', 25572),
(25573, 'TIGR03407', NULL, 'urea_ABC_UrtA: urea ABC transporter, urea binding protein', 361, NULL, 'TIGR03407', 25573),
(25574, 'TIGR00362', NULL, 'DnaA: chromosomal replication initiator protein DnaA', 437, NULL, 'TIGR00362', 25574),
(25575, 'TIGR02212', NULL, 'lolCE: lipoprotein releasing system, transmembrane protein, LolC/E family', 411, NULL, 'TIGR02212', 25575),
(25576, 'TIGR03957', NULL, 'rSAM_HmdB: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdB', 317, NULL, 'TIGR03957', 25576);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25577, 'TIGR02547', NULL, 'casA_cse1: CRISPR type I-E/ECOLI-associated protein CasA/Cse1', 504, NULL, 'TIGR02547', 25577),
(25578, 'TIGR04293', NULL, 'archaeo_artF: archaeosortase family protein ArtF', 166, NULL, 'TIGR04293', 25578),
(25579, 'TIGR03367', NULL, 'queuosine_QueD: queuosine biosynthesis protein QueD', 92, NULL, 'TIGR03367', 25579),
(25580, 'TIGR01300', NULL, 'CPA3_mnhG_phaG: monovalent cation/proton antiporter, MnhG/PhaG subunit', 97, NULL, 'TIGR01300', 25580),
(25581, 'TIGR02802', NULL, 'Pal_lipo: peptidoglycan-associated lipoprotein', 104, NULL, 'TIGR02802', 25581),
(25582, 'TIGR04050', NULL, 'MSMEG_0567_Cter: AIR synthase-related protein, MSMEG_0567 C-terminal family', 296, NULL, 'TIGR04050', 25582),
(25583, 'TIGR00709', NULL, 'dat: 2,4-diaminobutyrate 4-transaminase', 442, NULL, 'TIGR00709', 25583),
(25584, 'TIGR02455', NULL, 'TreS_stutzeri: trehalose synthase', 689, NULL, 'TIGR02455', 25584),
(25585, 'TIGR03714', NULL, 'secA2: accessory Sec system translocase SecA2', 762, NULL, 'TIGR03714', 25585),
(25586, 'TIGR00938', NULL, 'thrB_alt: homoserine kinase', 307, NULL, 'TIGR00938', 25586),
(25587, 'TIGR02684', NULL, 'dnstrm_HI1420: probable addiction module antidote protein', 89, NULL, 'TIGR02684', 25587),
(25588, 'TIGR00440', NULL, 'glnS: glutamine--tRNA ligase', 524, NULL, 'TIGR00440', 25588),
(25589, 'TIGR03794', NULL, 'NHLM_micro_HlyD: NHLM bacteriocin system secretion protein', 421, NULL, 'TIGR03794', 25589),
(25590, 'TIGR01104', NULL, 'V_PPase: V-type H(+)-translocating pyrophosphatase', 697, NULL, 'TIGR01104', 25590),
(25591, 'TIGR01417', NULL, 'PTS_I_fam: phosphoenolpyruvate-protein phosphotransferase', 565, NULL, 'TIGR01417', 25591),
(25592, 'TIGR01391', NULL, 'dnaG: DNA primase', 414, NULL, 'TIGR01391', 25592),
(25593, 'TIGR00287', NULL, 'cas1: CRISPR-associated endonuclease Cas1', 327, NULL, 'TIGR00287', 25593),
(25594, 'TIGR02963', NULL, 'xanthine_xdhA: xanthine dehydrogenase, small subunit', 468, NULL, 'TIGR02963', 25594),
(25595, 'TIGR03024', NULL, 'arch_PEF_CTERM: PEF-CTERM protein sorting domain', 25, NULL, 'TIGR03024', 25595),
(25596, 'TIGR03507', NULL, 'decahem_SO1788: decaheme c-type cytochrome, OmcA/MtrC family', 672, NULL, 'TIGR03507', 25596),
(25597, 'TIGR03481', NULL, 'HpnM: hopanoid biosynthesis associated membrane protein HpnM', 200, NULL, 'TIGR03481', 25597),
(25598, 'TIGR00873', NULL, 'gnd: 6-phosphogluconate dehydrogenase (decarboxylating)', 467, NULL, 'TIGR00873', 25598),
(25599, 'TIGR02793', NULL, 'nikR: nickel-responsive transcriptional regulator NikR', 129, NULL, 'TIGR02793', 25599),
(25600, 'TIGR01520', NULL, 'FruBisAldo_II_A: fructose-bisphosphate aldolase, class II', 357, NULL, 'TIGR01520', 25600),
(25601, 'TIGR01288', NULL, 'nodI: nodulation ABC transporter NodI', 303, NULL, 'TIGR01288', 25601),
(25602, 'TIGR03378', NULL, 'glycerol3P_GlpB: glycerol-3-phosphate dehydrogenase, anaerobic, B subunit', 419, NULL, 'TIGR03378', 25602),
(25603, 'TIGR03610', NULL, 'RutC: pyrimidine utilization protein C', 127, NULL, 'TIGR03610', 25603),
(25604, 'TIGR04089', NULL, 'exp_by_SipW_III: alternate signal-mediated exported protein, RER_14450 family', 179, NULL, 'TIGR04089', 25604),
(25605, 'TIGR00680', NULL, 'kdpA: K+-transporting ATPase, A subunit', 563, NULL, 'TIGR00680', 25605),
(25606, 'TIGR04458', NULL, 'CYP450_TxtE: 4-nitrotryptophan synthase', 403, NULL, 'TIGR04458', 25606),
(25607, 'TIGR02368', NULL, 'dimeth_PyL: dimethylamine:corrinoid methyltransferase', 466, NULL, 'TIGR02368', 25607),
(25608, 'TIGR02770', NULL, 'nickel_nikD: nickel import ATP-binding protein NikD', 230, NULL, 'TIGR02770', 25608),
(25609, 'TIGR01168', NULL, 'YSIRK_signal: gram-positive signal peptide, YSIRK family', 40, NULL, 'TIGR01168', 25609),
(25610, 'TIGR01426', NULL, 'MGT: glycosyltransferase, MGT family', 393, NULL, 'TIGR01426', 25610),
(25611, 'TIGR00278', NULL, 'TIGR00278: putative membrane protein insertion efficiency factor', 75, NULL, 'TIGR00278', 25611),
(25612, 'TIGR04347', NULL, 'pseudo_SAM_Halo: pseudo-rSAM protein/SPASM domain protein', 390, NULL, 'TIGR04347', 25612);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25613, 'TIGR03680', NULL, 'eif2g_arch: translation initiation factor 2, gamma subunit', 407, NULL, 'TIGR03680', 25613),
(25614, 'TIGR03516', NULL, 'ppisom_GldI: peptidyl-prolyl isomerase, gliding motility-associated', 177, NULL, 'TIGR03516', 25614),
(25615, 'TIGR01590', NULL, 'yir-bir-cir_Pla: yir/bir/cir-family of variant antigens', 201, NULL, 'TIGR01590', 25615),
(25616, 'TIGR03932', NULL, 'PIA_icaD: intracellular adhesion protein D', 88, NULL, 'TIGR03932', 25616),
(25617, 'TIGR01007', NULL, 'eps_fam: capsular exopolysaccharide family', 204, NULL, 'TIGR01007', 25617),
(25618, 'TIGR03850', NULL, 'bind_CPR_0540: carbohydrate ABC transporter substrate-binding protein, CPR_0540 family', 437, NULL, 'TIGR03850', 25618),
(25619, 'TIGR04517', NULL, 'rSAM_PoyD: radical SAM family RiPP maturation amino acid epimerase', 446, NULL, 'TIGR04517', 25619),
(25620, 'TIGR01842', NULL, 'type_I_sec_PrtD: type I secretion system ATPase', 544, NULL, 'TIGR01842', 25620),
(25621, 'TIGR01760', NULL, 'tape_meas_TP901: phage tail tape measure protein, TP901 family, core region', 349, NULL, 'TIGR01760', 25621),
(25622, 'TIGR00024', NULL, 'SbcD_rel_arch: putative phosphoesterase', 224, NULL, 'TIGR00024', 25622),
(25623, 'TIGR02784', NULL, 'addA_alphas: double-strand break repair helicase AddA', 1138, NULL, 'TIGR02784', 25623),
(25624, 'TIGR04288', NULL, 'CGP_CTERM: CGP-CTERM domain', 20, NULL, 'TIGR04288', 25624),
(25625, 'TIGR01663', NULL, 'PNK-3''Pase: polynucleotide kinase 3''-phosphatase', 520, NULL, 'TIGR01663', 25625),
(25626, 'TIGR03993', NULL, 'hydrog_HybE: [NiFe] hydrogenase assembly chaperone, HybE family', 143, NULL, 'TIGR03993', 25626),
(25627, 'TIGR00659', NULL, 'TIGR00659: TIGR00659 family protein', 226, NULL, 'TIGR00659', 25627),
(25628, 'TIGR02852', NULL, 'spore_dpaB: dipicolinic acid synthetase, B subunit', 187, NULL, 'TIGR02852', 25628),
(25629, 'TIGR01350', NULL, 'lipoamide_DH: dihydrolipoyl dehydrogenase', 461, NULL, 'TIGR01350', 25629),
(25630, 'TIGR02307', NULL, 'RNA_lig_RNL2: RNA ligase, Rnl2 family', 326, NULL, 'TIGR02307', 25630),
(25631, 'TIGR02819', NULL, 'fdhA_non_GSH: formaldehyde dehydrogenase, glutathione-independent', 397, NULL, 'TIGR02819', 25631),
(25632, 'TIGR04048', NULL, 'nitrile_sll0784: putative nitrilase, sll0784 family', 301, NULL, 'TIGR04048', 25632),
(25633, 'TIGR03147', NULL, 'cyt_nit_nrfF: cytochrome c nitrite reductase, accessory protein NrfF', 126, NULL, 'TIGR03147', 25633),
(25634, 'TIGR03337', NULL, 'phnR: phosphonate utilization transcriptional regulator PhnR', 231, NULL, 'TIGR03337', 25634),
(25635, 'TIGR01833', NULL, 'HMG-CoA-S_euk: hydroxymethylglutaryl-CoA synthase', 457, NULL, 'TIGR01833', 25635),
(25636, 'TIGR04218', NULL, 'TOMM_plantaz: ribosomal natural product, plantazolicin-class', 43, NULL, 'TIGR04218', 25636),
(25637, 'TIGR02137', NULL, 'HSK-PSP: phosphoserine phosphatase/homoserine phosphotransferase bifunctional protein', 203, NULL, 'TIGR02137', 25637),
(25638, 'TIGR03671', NULL, 'cca_archaeal: CCA-adding enzyme', 410, NULL, 'TIGR03671', 25638),
(25639, 'TIGR00457', NULL, 'asnS: asparagine--tRNA ligase', 455, NULL, 'TIGR00457', 25639),
(25640, 'TIGR00038', NULL, 'efp: translation elongation factor P', 184, NULL, 'TIGR00038', 25640),
(25641, 'TIGR01297', NULL, 'CDF: cation diffusion facilitator family transporter', 285, NULL, 'TIGR01297', 25641),
(25642, 'TIGR02360', NULL, 'pbenz_hydroxyl: 4-hydroxybenzoate 3-monooxygenase', 390, NULL, 'TIGR02360', 25642),
(25643, 'TIGR04034', NULL, 'export_SdpA: antimicrobial peptide system protein, SdpA family', 157, NULL, 'TIGR04034', 25643),
(25644, 'TIGR01467', NULL, 'cobI_cbiL: precorrin-2 C(20)-methyltransferase', 230, NULL, 'TIGR01467', 25644),
(25645, 'TIGR03973', NULL, 'six_Cys_in_45: six-cysteine peptide SCIFF', 43, NULL, 'TIGR03973', 25645),
(25646, 'TIGR04145', NULL, 'Firmicu_CTERM: Firmicu-CTERM domain', 45, NULL, 'TIGR04145', 25646),
(25647, 'TIGR00823', NULL, 'EIIA-LAC: PTS system, lactose-specific IIa component', 99, NULL, 'TIGR00823', 25647);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25648, 'TIGR02327', NULL, 'int_mem_ywzB: conserved hypothetical integral membrane protein', 68, NULL, 'TIGR02327', 25648),
(25649, 'TIGR03829', NULL, 'YokU_near_AblA: uncharacterized protein, YokU family', 89, NULL, 'TIGR03829', 25649),
(25650, 'TIGR02530', NULL, 'flg_new: flagellar operon protein', 96, NULL, 'TIGR02530', 25650),
(25651, 'TIGR04204', NULL, 'MAST_ArtA_sort: MAST domain', 183, NULL, 'TIGR04204', 25651),
(25652, 'TIGR02471', NULL, 'sucr_syn_bact_C: sucrose-phosphate synthase, sucrose phosphatase-like domain', 236, NULL, 'TIGR02471', 25652),
(25653, 'TIGR02123', NULL, 'TRAP_fused: TRAP transporter, 4TM/12TM fusion protein', 615, NULL, 'TIGR02123', 25653),
(25654, 'TIGR03278', NULL, 'methan_mark_10: methanogenesis marker radical SAM protein', 404, NULL, 'TIGR03278', 25654),
(25655, 'TIGR04382', NULL, 'myo_inos_iolC_N: 5-dehydro-2-deoxygluconokinase', 309, NULL, 'TIGR04382', 25655),
(25656, 'TIGR01188', NULL, 'drrA: daunorubicin resistance ABC transporter, ATP-binding protein', 302, NULL, 'TIGR01188', 25656),
(25657, 'TIGR03038', NULL, 'PS_II_psbM: photosystem II reaction center protein PsbM', 33, NULL, 'TIGR03038', 25657),
(25658, 'TIGR02069', NULL, 'cyanophycinase: cyanophycinase', 250, NULL, 'TIGR02069', 25658),
(25659, 'TIGR02983', NULL, 'SigE-fam_strep: RNA polymerase sigma-70 factor, sigma-E family', 162, NULL, 'TIGR02983', 25659),
(25660, 'TIGR00033', NULL, 'aroC: chorismate synthase', 351, NULL, 'TIGR00033', 25660),
(25661, 'TIGR02005', NULL, 'PTS-IIBC-alpha: PTS system, alpha-glucoside-specific IIBC component', 524, NULL, 'TIGR02005', 25661),
(25662, 'TIGR02919', NULL, 'TIGR02919: accessory Sec system glycosyltransferase GtfB', 438, NULL, 'TIGR02919', 25662),
(25663, 'TIGR02893', NULL, 'spore_yabQ: spore cortex biosynthesis protein YabQ', 130, NULL, 'TIGR02893', 25663),
(25664, 'TIGR03800', NULL, 'PLP_synth_Pdx2: pyridoxal 5''-phosphate synthase, glutaminase subunit Pdx2', 184, NULL, 'TIGR03800', 25664),
(25665, 'TIGR03862', NULL, 'flavo_PP4765: flavoprotein, TIGR03862 family', 376, NULL, 'TIGR03862', 25665),
(25666, 'TIGR04526', NULL, 'predic_Ig_block: putative immunoglobulin-blocking virulence protein', 693, NULL, 'TIGR04526', 25666),
(25667, 'TIGR01098', NULL, '3A0109s03R: phosphate/phosphite/phosphonate ABC transporter, periplasmic binding protein', 253, NULL, 'TIGR01098', 25667),
(25668, 'TIGR00580', NULL, 'mfd: transcription-repair coupling factor', 923, NULL, 'TIGR00580', 25668),
(25669, 'TIGR00932', NULL, '2a37: transporter, monovalent cation:proton antiporter-2 (CPA2) family', 275, NULL, 'TIGR00932', 25669),
(25670, 'TIGR01710', NULL, 'typeII_sec_gspG: type II secretion system protein G', 134, NULL, 'TIGR01710', 25670),
(25671, 'TIGR03864', NULL, 'PQQ_ABC_ATP: ABC transporter, ATP-binding subunit, PQQ-dependent alcohol dehydrogenase system', 236, NULL, 'TIGR03864', 25671),
(25672, 'TIGR03448', NULL, 'mycothiol_MshD: mycothiol synthase', 294, NULL, 'TIGR03448', 25672),
(25673, 'TIGR00838', NULL, 'argH: argininosuccinate lyase', 455, NULL, 'TIGR00838', 25673),
(25674, 'TIGR01901', NULL, 'adhes_NPXG: filamentous hemagglutinin family N-terminal domain', 79, NULL, 'TIGR01901', 25674),
(25675, 'TIGR00750', NULL, 'lao: LAO/AO transport system ATPase', 300, NULL, 'TIGR00750', 25675),
(25676, 'TIGR04157', NULL, 'glyco_rSAM_CFB: glycosyltransferase, GG-Bacteroidales peptide system', 406, NULL, 'TIGR04157', 25676),
(25677, 'TIGR04268', NULL, 'FxSxx-COOH: FXSXX-COOH protein', 44, NULL, 'TIGR04268', 25677),
(25678, 'TIGR00510', NULL, 'lipA: lipoyl synthase', 302, NULL, 'TIGR00510', 25678),
(25679, 'TIGR01358', NULL, 'DAHP_synth_II: 3-deoxy-7-phosphoheptulonate synthase', 443, NULL, 'TIGR01358', 25679),
(25680, 'TIGR02178', NULL, 'yeiP: elongation factor P-like protein YeiP', 186, NULL, 'TIGR02178', 25680),
(25681, 'TIGR00203', NULL, 'cydB: cytochrome d ubiquinol oxidase, subunit II', 378, NULL, 'TIGR00203', 25681),
(25682, 'TIGR03208', NULL, 'cyc_hxne_CoA_lg: cyclohexanecarboxylate-CoA ligase', 538, NULL, 'TIGR03208', 25682);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25683, 'TIGR02237', NULL, 'recomb_radB: DNA repair and recombination protein RadB', 210, NULL, 'TIGR02237', 25683),
(25684, 'TIGR04075', NULL, 'bacter_Pnkp: polynucleotide kinase-phosphatase', 851, NULL, 'TIGR04075', 25684),
(25685, 'TIGR00340', NULL, 'zpr1_rel: zinc finger protein ZPR1 homolog', 163, NULL, 'TIGR00340', 25685),
(25686, 'TIGR02600', NULL, 'Verru_Chthon_A: Verru_Chthon cassette protein A', 1296, NULL, 'TIGR02600', 25686),
(25687, 'TIGR02928', NULL, 'TIGR02928: orc1/cdc6 family replication initiation protein', 366, NULL, 'TIGR02928', 25687),
(25688, 'TIGR01570', NULL, 'A_thal_3588: uncharacterized plant-specific domain TIGR01570', 161, NULL, 'TIGR01570', 25688),
(25689, 'TIGR02067', NULL, 'his_9_HisN: histidinol-phosphatase', 252, NULL, 'TIGR02067', 25689),
(25690, 'TIGR04098', NULL, 'biosyn_clust_1: biosynthesis cluster domain', 270, NULL, 'TIGR04098', 25690),
(25691, 'TIGR04327', NULL, 'OMP_LA_2444: outer membrane protein, LA_2444/LA_4059 family', 291, NULL, 'TIGR04327', 25691),
(25692, 'TIGR00694', NULL, 'thiM: hydroxyethylthiazole kinase', 249, NULL, 'TIGR00694', 25692),
(25693, 'TIGR02430', NULL, 'pcaF: 3-oxoadipyl-CoA thiolase', 400, NULL, 'TIGR02430', 25693),
(25694, 'TIGR04391', NULL, 'CcmD_alt_fam: CcmD family protein', 36, NULL, 'TIGR04391', 25694),
(25695, 'TIGR01282', NULL, 'nifD: nitrogenase molybdenum-iron protein alpha chain', 466, NULL, 'TIGR01282', 25695),
(25696, 'TIGR02251', NULL, 'HIF-SF_euk: dullard-like phosphatase domain', 168, NULL, 'TIGR02251', 25696),
(25697, 'TIGR02114', NULL, 'coaB_strep: phosphopantothenate--cysteine ligase', 228, NULL, 'TIGR02114', 25697),
(25698, 'TIGR03753', NULL, 'blh_monoox: beta-carotene 15,15''-monooxygenase, Brp/Blh family', 260, NULL, 'TIGR03753', 25698),
(25699, 'TIGR00729', NULL, 'TIGR00729: ribonuclease HII', 207, NULL, 'TIGR00729', 25699),
(25700, 'TIGR03630', NULL, 'uS17_arch: ribosomal protein uS17', 102, NULL, 'TIGR03630', 25700),
(25701, 'TIGR02749', NULL, 'prenyl_cyano: solanesyl diphosphate synthase', 322, NULL, 'TIGR02749', 25701),
(25702, 'TIGR04084', NULL, 'rSAM_AF0577: putative peptide-modifying radical SAM enzyme, AF0577 family', 347, NULL, 'TIGR04084', 25702),
(25703, 'TIGR00762', NULL, 'DegV: EDD domain protein, DegV family', 276, NULL, 'TIGR00762', 25703),
(25704, 'TIGR00217', NULL, 'malQ: 4-alpha-glucanotransferase', 587, NULL, 'TIGR00217', 25704),
(25705, 'TIGR00387', NULL, 'glcD: glycolate oxidase, subunit GlcD', 413, NULL, 'TIGR00387', 25705),
(25706, 'TIGR02421', NULL, 'QEGLA: conserved hypothetical protein', 368, NULL, 'TIGR02421', 25706),
(25707, 'TIGR03923', NULL, 'T7SS_EccE: type VII secretion protein EccE', 344, NULL, 'TIGR03923', 25707),
(25708, 'TIGR01733', NULL, 'AA-adenyl-dom: amino acid adenylation domain', 409, NULL, 'TIGR01733', 25708),
(25709, 'TIGR04254', NULL, 'OpituPEPCTERM_1: putative globular PEP-CTERM protein', 136, NULL, 'TIGR04254', 25709),
(25710, 'TIGR01247', NULL, 'drrB: daunorubicin resistance ABC transporter membrane protein', 236, NULL, 'TIGR01247', 25710),
(25711, 'TIGR02128', NULL, 'G6PI_arch: bifunctional phosphoglucose/phosphomannose isomerase', 308, NULL, 'TIGR02128', 25711),
(25712, 'TIGR03694', NULL, 'exosort_acyl: N-acyl amino acid synthase, PEP-CTERM/exosortase system-associated', 241, NULL, 'TIGR03694', 25712),
(25713, 'TIGR03590', NULL, 'PseG: UDP-2,4-diacetamido-2,4,6-trideoxy-beta-L-altropyranose hydrolase', 280, NULL, 'TIGR03590', 25713),
(25714, 'TIGR01903', NULL, 'cas5_csm4: CRISPR type III-A/MTUBE-associated RAMP protein Csm4', 302, NULL, 'TIGR01903', 25714),
(25715, 'TIGR04450', NULL, 'Gpos_C8_like: putative immunity protein/bacteriocin', 240, NULL, 'TIGR04450', 25715),
(25716, 'TIGR01719', NULL, 'euk_UDPppase: uridine phosphorylase', 287, NULL, 'TIGR01719', 25716),
(25717, 'TIGR00571', NULL, 'dam: DNA adenine methylase', 267, NULL, 'TIGR00571', 25717),
(25718, 'TIGR02055', NULL, 'APS_reductase: adenylylsulfate reductase, thioredoxin dependent', 194, NULL, 'TIGR02055', 25718); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25719, 'TIGR03557', NULL, 'F420_G6P_family: F420-dependent oxidoreductase, G6PDH family', 316, NULL, 'TIGR03557', 25719),
(25720, 'TIGR03099', NULL, 'dCO2ase_PEP1: pyridoxal-dependent decarboxylase, exosortase A system-associated', 398, NULL, 'TIGR03099', 25720),
(25721, 'TIGR00106', NULL, 'TIGR00106: uncharacterized protein, MTH1187 family', 97, NULL, 'TIGR00106', 25721),
(25722, 'TIGR01549', NULL, 'HAD-SF-IA-v1: HAD hydrolase, family IA, variant 1', 149, NULL, 'TIGR01549', 25722),
(25723, 'TIGR03446', NULL, 'mycothiol_Mca: mycothiol conjugate amidase Mca', 283, NULL, 'TIGR03446', 25723),
(25724, 'TIGR01608', NULL, 'citD: citrate lyase acyl carrier protein', 94, NULL, 'TIGR01608', 25724),
(25725, 'TIGR04561', NULL, 'membra_charge: integral membrane protein', 82, NULL, 'TIGR04561', 25725),
(25726, 'TIGR03269', NULL, 'met_CoM_red_A2: methyl coenzyme M reductase system, component A2', 530, NULL, 'TIGR03269', 25726),
(25727, 'TIGR04417', NULL, 'PFTS_polysacc: polysaccharide biosynthesis PFTS motif protein', 522, NULL, 'TIGR04417', 25727),
(25728, 'TIGR03616', NULL, 'RutG: pyrimidine utilization transport protein G', 429, NULL, 'TIGR03616', 25728),
(25729, 'TIGR00326', NULL, 'eubact_ribD: riboflavin biosynthesis protein RibD', 343, NULL, 'TIGR00326', 25729),
(25730, 'TIGR03331', NULL, 'SAM_DCase_Eco: S-adenosylmethionine decarboxylase proenzyme', 259, NULL, 'TIGR03331', 25730),
(25731, 'TIGR00272', NULL, 'DPH2: diphthamide biosynthesis protein 2', 497, NULL, 'TIGR00272', 25731),
(25732, 'TIGR04143', NULL, 'VPxxxP_CTERM: VPXXXP-CTERM protein sorting domain', 25, NULL, 'TIGR04143', 25732),
(25733, 'TIGR02933', NULL, 'nifM_nitrog: nitrogen fixation protein NifM', 256, NULL, 'TIGR02933', 25733),
(25734, 'TIGR01138', NULL, 'cysM: cysteine synthase B', 290, NULL, 'TIGR01138', 25734),
(25735, 'TIGR02362', NULL, 'dhaK1b: probable dihydroxyacetone kinase DhaK1b subunit', 326, NULL, 'TIGR02362', 25735),
(25736, 'TIGR02259', NULL, 'benz_CoA_red_A: benzoyl-CoA reductase, subunit A', 432, NULL, 'TIGR02259', 25736),
(25737, 'TIGR00169', NULL, 'leuB: 3-isopropylmalate dehydrogenase', 349, NULL, 'TIGR00169', 25737),
(25738, 'TIGR02019', NULL, 'BchJ: bacteriochlorophyll 4-vinyl reductase', 188, NULL, 'TIGR02019', 25738),
(25739, 'TIGR02729', NULL, 'Obg_CgtA: Obg family GTPase CgtA', 329, NULL, 'TIGR02729', 25739),
(25740, 'TIGR04179', NULL, 'rhombo_lipo: rhombotail lipoprotein', 259, NULL, 'TIGR04179', 25740),
(25741, 'TIGR01651', NULL, 'CobT: cobaltochelatase, CobT subunit', 600, NULL, 'TIGR01651', 25741),
(25742, 'TIGR02089', NULL, 'TTC: tartrate dehydrogenase', 352, NULL, 'TIGR02089', 25742),
(25743, 'TIGR04349', NULL, 'rSAM_QueE_gams: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 210, NULL, 'TIGR04349', 25743),
(25744, 'TIGR03938', NULL, 'deacetyl_PgaB: poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase PgaB', 618, NULL, 'TIGR03938', 25744),
(25745, 'TIGR00585', NULL, 'mutl: DNA mismatch repair protein MutL', 313, NULL, 'TIGR00585', 25745),
(25746, 'TIGR01481', NULL, 'ccpA: catabolite control protein A', 330, NULL, 'TIGR01481', 25746),
(25747, 'TIGR01535', NULL, 'glucan_glucosid: glucan 1,4-alpha-glucosidase', 662, NULL, 'TIGR01535', 25747),
(25748, 'TIGR01848', NULL, 'PHA_reg_PhaR: polyhydroxyalkanoate synthesis repressor PhaR', 107, NULL, 'TIGR01848', 25748),
(25749, 'TIGR02675', NULL, 'tape_meas_nterm: tape measure domain', 75, NULL, 'TIGR02675', 25749),
(25750, 'TIGR01964', NULL, 'chpXY: CO2 hydration protein', 411, NULL, 'TIGR01964', 25750),
(25751, 'TIGR02192', NULL, 'HtrL_YibB: protein YibB', 270, NULL, 'TIGR02192', 25751),
(25752, 'TIGR00982', NULL, 'uS12_E_A: ribosomal protein uS12', 139, NULL, 'TIGR00982', 25752),
(25753, 'TIGR02961', NULL, 'allantoicase: allantoicase', 324, NULL, 'TIGR02961', 25753),
(25754, 'TIGR04313', NULL, 'aro_clust_Mycop: aromatic cluster surface protein', 296, NULL, 'TIGR04313', 25754),
(25755, 'TIGR03303', NULL, 'OM_YaeT: outer membrane protein assembly complex, YaeT protein', 741, NULL, 'TIGR03303', 25755);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25756, 'TIGR01992', NULL, 'PTS-IIBC-Tre: PTS system, trehalose-specific IIBC component', 463, NULL, 'TIGR01992', 25756),
(25757, 'TIGR03496', NULL, 'FliI_clade1: flagellar protein export ATPase FliI', 414, NULL, 'TIGR03496', 25757),
(25758, 'TIGR00197', NULL, 'yjeF_nterm: YjeF family N-terminal domain', 206, NULL, 'TIGR00197', 25758),
(25759, 'TIGR01213', NULL, 'pseudo_Pus10arc: tRNA pseudouridine(54/55) synthase', 387, NULL, 'TIGR01213', 25759),
(25760, 'TIGR00700', NULL, 'GABAtrnsam: 4-aminobutyrate transaminase', 420, NULL, 'TIGR00700', 25760),
(25761, 'TIGR00639', NULL, 'PurN: phosphoribosylglycinamide formyltransferase', 192, NULL, 'TIGR00639', 25761),
(25762, 'TIGR01705', NULL, 'MTA/SAH-nuc-hyp: putative 5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase', 212, NULL, 'TIGR01705', 25762),
(25763, 'TIGR01308', NULL, 'rpmD_bact: ribosomal protein uL30', 55, NULL, 'TIGR01308', 25763),
(25764, 'TIGR02997', NULL, 'Sig70-cyanoRpoD: RNA polymerase sigma factor, cyanobacterial RpoD-like family', 298, NULL, 'TIGR02997', 25764),
(25765, 'TIGR02620', NULL, 'cas_VVA1548: putative CRISPR-associated protein, VVA1548 family', 93, NULL, 'TIGR02620', 25765),
(25766, 'TIGR03644', NULL, 'marine_trans_1: probable ammonium transporter, marine subtype', 404, NULL, 'TIGR03644', 25766),
(25767, 'TIGR00455', NULL, 'apsK: adenylyl-sulfate kinase', 184, NULL, 'TIGR00455', 25767),
(25768, 'TIGR03228', NULL, 'anthran_1_2_A: anthranilate 1,2-dioxygenase, large subunit', 438, NULL, 'TIGR03228', 25768),
(25769, 'TIGR00530', NULL, 'AGP_acyltrn: 1-acylglycerol-3-phosphate O-acyltransferases', 130, NULL, 'TIGR00530', 25769),
(25770, 'TIGR03814', NULL, 'Gln_ase: glutaminase A', 300, NULL, 'TIGR03814', 25770),
(25771, 'TIGR00128', NULL, 'fabD: malonyl CoA-acyl carrier protein transacylase', 290, NULL, 'TIGR00128', 25771),
(25772, 'TIGR03133', NULL, 'malonate_beta: biotin-independent malonate decarboxylase, beta subunit', 274, NULL, 'TIGR03133', 25772),
(25773, 'TIGR04341', NULL, 'target_ACGX: ACGX-repeat peptide', 65, NULL, 'TIGR04341', 25773),
(25774, 'TIGR00954', NULL, '3a01203: peroxysomal long chain fatty acyl transporter', 660, NULL, 'TIGR00954', 25774),
(25775, 'TIGR02804', NULL, 'ExbD_2: TonB system transport protein ExbD', 121, NULL, 'TIGR02804', 25775),
(25776, 'TIGR01336', NULL, 'psaB: photosystem I core protein PsaB', 734, NULL, 'TIGR01336', 25776),
(25777, 'TIGR02164', NULL, 'torA: trimethylamine-N-oxide reductase TorA', 824, NULL, 'TIGR02164', 25777),
(25778, 'TIGR02491', NULL, 'NrdG: anaerobic ribonucleoside-triphosphate reductase activating protein', 154, NULL, 'TIGR02491', 25778),
(25779, 'TIGR00469', NULL, 'pheS_mito: phenylalanine--tRNA ligase', 451, NULL, 'TIGR00469', 25779),
(25780, 'TIGR04000', NULL, 'thiol_BshB2: bacillithiol biosynthesis deacetylase BshB2', 217, NULL, 'TIGR04000', 25780),
(25781, 'TIGR02287', NULL, 'PaaY: phenylacetic acid degradation protein PaaY', 192, NULL, 'TIGR02287', 25781),
(25782, 'TIGR03979', NULL, 'His_Ser_Rich: His-Xaa-Ser repeat protein HxsA', 190, NULL, 'TIGR03979', 25782),
(25783, 'TIGR02477', NULL, 'PFKA_PPi: diphosphate--fructose-6-phosphate 1-phosphotransferase', 539, NULL, 'TIGR02477', 25783),
(25784, 'TIGR04511', NULL, 'SagB_rel_DH_2: putative peptide maturation dehydrogenase', 380, NULL, 'TIGR04511', 25784),
(25785, 'TIGR00490', NULL, 'aEF-2: translation elongation factor aEF-2', 720, NULL, 'TIGR00490', 25785),
(25786, 'TIGR02634', NULL, 'xylF: D-xylose ABC transporter, D-xylose-binding protein', 302, NULL, 'TIGR02634', 25786),
(25787, 'TIGR03666', NULL, 'Rv2061_F420: PPOX class probable F420-dependent enzyme, Rv2061 family', 132, NULL, 'TIGR03666', 25787),
(25788, 'TIGR00784', NULL, 'citMHS: citrate transporter', 431, NULL, 'TIGR00784', 25788),
(25789, 'TIGR03501', NULL, 'GlyGly_CTERM: GlyGly-CTERM domain', 22, NULL, 'TIGR03501', 25789),
(25790, 'TIGR00156', NULL, 'TIGR00156: TIGR00156 family protein', 128, NULL, 'TIGR00156', 25790),
(25791, 'TIGR01951', NULL, 'nusB: transcription antitermination factor NusB', 131, NULL, 'TIGR01951', 25791);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25792, 'TIGR00312', NULL, 'cbiD: cobalamin biosynthesis protein CbiD', 347, NULL, 'TIGR00312', 25792),
(25793, 'TIGR02799', NULL, 'thio_ybgC: tol-pal system-associated acyl-CoA thioesterase', 126, NULL, 'TIGR02799', 25793),
(25794, 'TIGR00142', NULL, 'hycI: hydrogenase maturation peptidase HycI', 146, NULL, 'TIGR00142', 25794),
(25795, 'TIGR04014', NULL, 'B12_SAM_MJ_0865: B12-binding domain/radical SAM domain protein, MJ_0865 family', 434, NULL, 'TIGR04014', 25795),
(25796, 'TIGR00653', NULL, 'GlnA: glutamine synthetase, type I', 462, NULL, 'TIGR00653', 25796),
(25797, 'TIGR01978', NULL, 'sufC: FeS assembly ATPase SufC', 243, NULL, 'TIGR01978', 25797),
(25798, 'TIGR01009', NULL, 'rpsC_bact: ribosomal protein uS3', 212, NULL, 'TIGR01009', 25798),
(25799, 'TIGR02969', NULL, 'mam_aldehyde_ox: aldehyde oxidase', 1330, NULL, 'TIGR02969', 25799),
(25800, 'TIGR03174', NULL, 'cas_Csc3: CRISPR type I-D/CYANO-associated protein Csc3/Cas10d', 946, NULL, 'TIGR03174', 25800),
(25801, 'TIGR02661', NULL, 'MauD: methylamine dehydrogenase accessory protein MauD', 189, NULL, 'TIGR02661', 25801),
(25802, 'TIGR01166', NULL, 'cbiO: cobalt ABC transporter, ATP-binding protein', 190, NULL, 'TIGR01166', 25802),
(25803, 'TIGR00516', NULL, 'acpS: holo-[acyl-carrier-protein] synthase', 125, NULL, 'TIGR00516', 25803),
(25804, 'TIGR03521', NULL, 'GldG: gliding-associated putative ABC transporter substrate-binding component GldG', 552, NULL, 'TIGR03521', 25804),
(25805, 'TIGR01774', NULL, 'PFL2-3: glycyl radical enzyme, PFL2/glycerol dehydratase family', 786, NULL, 'TIGR01774', 25805),
(25806, 'TIGR02552', NULL, 'LcrH_SycD: type III secretion low calcium response chaperone LcrH/SycD', 136, NULL, 'TIGR02552', 25806),
(25807, 'TIGR02743', NULL, 'TraW: type-F conjugative transfer system protein TraW', 202, NULL, 'TIGR02743', 25807),
(25808, 'TIGR02606', NULL, 'antidote_CC2985: putative addiction module antidote protein, CC2985 family', 70, NULL, 'TIGR02606', 25808),
(25809, 'TIGR03898', NULL, 'lanti_MRSA_kill: type 2 lantibiotic, mersacidin/lichenicidin family', 44, NULL, 'TIGR03898', 25809),
(25810, 'TIGR01227', NULL, 'hutG: formimidoylglutamase', 307, NULL, 'TIGR01227', 25810),
(25811, 'TIGR03263', NULL, 'guanyl_kin: guanylate kinase', 180, NULL, 'TIGR03263', 25811),
(25812, 'TIGR00893', NULL, '2A0114: D-galactonate transporter', 399, NULL, 'TIGR00893', 25812),
(25813, 'TIGR03317', NULL, 'ygfZ_signature: folate-binding protein YgfZ', 67, NULL, 'TIGR03317', 25813),
(25814, 'TIGR04472', NULL, 'reg_rSAM_mob: mobile rSAM pair MarR family regulator', 141, NULL, 'TIGR04472', 25814),
(25815, 'TIGR01173', NULL, 'glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', 452, NULL, 'TIGR01173', 25815),
(25816, 'TIGR03242', NULL, 'arg_catab_astE: succinylglutamate desuccinylase', 319, NULL, 'TIGR03242', 25816),
(25817, 'TIGR02033', NULL, 'D-hydantoinase: dihydropyrimidinase', 454, NULL, 'TIGR02033', 25817),
(25818, 'TIGR00346', NULL, 'azlC: azaleucine resistance protein AzlC', 221, NULL, 'TIGR00346', 25818),
(25819, 'TIGR02382', NULL, 'wecD_rffC: TDP-D-fucosamine acetyltransferase', 191, NULL, 'TIGR02382', 25819),
(25820, 'TIGR03188', NULL, 'histidine_hisI: phosphoribosyl-ATP diphosphatase', 84, NULL, 'TIGR03188', 25820),
(25821, 'TIGR04123', NULL, 'P_estr_lig_assc: metallophosphoesterase, DNA ligase-associated', 207, NULL, 'TIGR04123', 25821),
(25822, 'TIGR00947', NULL, '2A73: putative bicarbonate transporter, IctB family', 425, NULL, 'TIGR00947', 25822),
(25823, 'TIGR02436', NULL, 'TIGR02436: four helix bundle protein', 109, NULL, 'TIGR02436', 25823),
(25824, 'TIGR01118', NULL, 'lacA: galactose-6-phosphate isomerase, LacA subunit', 141, NULL, 'TIGR01118', 25824),
(25825, 'TIGR00544', NULL, 'lgt: prolipoprotein diacylglyceryl transferase', 280, NULL, 'TIGR00544', 25825),
(25826, 'TIGR00088', NULL, 'trmD: tRNA (guanine(37)-N(1))-methyltransferase', 233, NULL, 'TIGR00088', 25826),
(25827, 'TIGR00183', NULL, 'prok_nadp_idh: isocitrate dehydrogenase, NADP-dependent', 417, NULL, 'TIGR00183', 25827);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25828, 'TIGR04232', NULL, 'seadorna_VP3: seadornavirus VP3 protein', 731, NULL, 'TIGR04232', 25828),
(25829, 'TIGR01937', NULL, 'nqrB: NADH:ubiquinone oxidoreductase, Na(+)-translocating, B subunit', 413, NULL, 'TIGR01937', 25829),
(25830, 'TIGR02715', NULL, 'amido_AtzE: amidohydrolase, AtzE family', 452, NULL, 'TIGR02715', 25830),
(25831, 'TIGR00707', NULL, 'argD: transaminase, acetylornithine/succinylornithine family', 381, NULL, 'TIGR00707', 25831),
(25832, 'TIGR04402', NULL, 'mob_CxxC_CxxC: mobilome CxxCx(11)CxxC protein', 186, NULL, 'TIGR04402', 25832),
(25833, 'TIGR03372', NULL, 'putres_am_tran: putrescine aminotransferase', 442, NULL, 'TIGR03372', 25833),
(25834, 'TIGR01043', NULL, 'ATP_syn_A_arch: ATP synthase archaeal, A subunit', 580, NULL, 'TIGR01043', 25834),
(25835, 'TIGR02273', NULL, '16S_RimM: 16S rRNA processing protein RimM', 166, NULL, 'TIGR02273', 25835),
(25836, 'TIGR02198', NULL, 'rfaE_dom_I: bifunctional protein RfaE, domain I', 315, NULL, 'TIGR02198', 25836),
(25837, 'TIGR00714', NULL, 'hscB: Fe-S protein assembly co-chaperone HscB', 156, NULL, 'TIGR00714', 25837),
(25838, 'TIGR00074', NULL, 'hypC_hupF: hydrogenase assembly chaperone HypC/HupF', 80, NULL, 'TIGR00074', 25838),
(25839, 'TIGR00421', NULL, 'ubiX_pad: polyprenyl P-hydroxybenzoate and phenylacrylic acid decarboxylases', 181, NULL, 'TIGR00421', 25839),
(25840, 'TIGR03079', NULL, 'CH4_NH3mon_ox_B: methane monooxygenase/ammonia monooxygenase, subunit B', 399, NULL, 'TIGR03079', 25840),
(25841, 'TIGR01404', NULL, 'FlhB_rel_III: type III secretion protein, YscU/HrpY family', 342, NULL, 'TIGR01404', 25841),
(25842, 'TIGR04567', NULL, 'RNAP_delt_lowGC: DNA-directed RNA polymerase delta subunit', 83, NULL, 'TIGR04567', 25842),
(25843, 'TIGR03065', NULL, 'srtB_sig_QVPTGV: sortase B signal domain, QVPTGV class', 32, NULL, 'TIGR03065', 25843),
(25844, 'TIGR00407', NULL, 'proA: glutamate-5-semialdehyde dehydrogenase', 398, NULL, 'TIGR00407', 25844),
(25845, 'TIGR01057', NULL, 'topA_arch: DNA topoisomerase I', 618, NULL, 'TIGR01057', 25845),
(25846, 'TIGR03119', NULL, 'one_C_fhcD: formylmethanofuran--tetrahydromethanopterin N-formyltransferase', 288, NULL, 'TIGR03119', 25846),
(25847, 'TIGR03440', NULL, 'egtB_TIGR03440: ergothioneine biosynthesis protein EgtB', 406, NULL, 'TIGR03440', 25847),
(25848, 'TIGR01699', NULL, 'XAPA: xanthosine phosphorylase', 248, NULL, 'TIGR01699', 25848),
(25849, 'TIGR03093', NULL, 'SASP_sspL: small, acid-soluble spore protein L', 37, NULL, 'TIGR03093', 25849),
(25850, 'TIGR02580', NULL, 'cas_RAMP_Cmr4: CRISPR type III-B/RAMP module RAMP protein Cmr4', 283, NULL, 'TIGR02580', 25850),
(25851, 'TIGR02559', NULL, 'HrpB7: type III secretion protein HrpB7', 158, NULL, 'TIGR02559', 25851),
(25852, 'TIGR01923', NULL, 'menE: O-succinylbenzoate-CoA ligase', 442, NULL, 'TIGR01923', 25852),
(25853, 'TIGR03412', NULL, 'iscX_yfhJ: FeS assembly protein IscX', 63, NULL, 'TIGR03412', 25853),
(25854, 'TIGR02566', NULL, 'cas_Csy3: CRISPR type I-F/YPEST-associated protein Csy3', 341, NULL, 'TIGR02566', 25854),
(25855, 'TIGR00879', NULL, 'SP: MFS transporter, sugar porter (SP) family', 510, NULL, 'TIGR00879', 25855),
(25856, 'TIGR01411', NULL, 'tatAE: twin arginine-targeting protein translocase, TatA/E family', 47, NULL, 'TIGR01411', 25856),
(25857, 'TIGR04397', NULL, 'SecA2_Bac_anthr: accessory Sec system translocase SecA2', 774, NULL, 'TIGR04397', 25857),
(25858, 'TIGR03884', NULL, 'sel_bind_Methan: selenium-binding protein', 74, NULL, 'TIGR03884', 25858),
(25859, 'TIGR00381', NULL, 'cdhD: CO dehydrogenase/acetyl-CoA synthase, delta subunit', 389, NULL, 'TIGR00381', 25859),
(25860, 'TIGR01883', NULL, 'PepT-like: peptidase T-like protein', 361, NULL, 'TIGR01883', 25860),
(25861, 'TIGR04109', NULL, 'heme_ox_HugZ: heme oxygenase, HugZ family', 243, NULL, 'TIGR04109', 25861),
(25862, 'TIGR00237', NULL, 'xseA: exodeoxyribonuclease VII, large subunit', 389, NULL, 'TIGR00237', 25862),
(25863, 'TIGR01739', NULL, 'tegu_FGAM_synt: herpesvirus tegument protein/v-FGAM-synthase', 1206, NULL, 'TIGR01739', 25863);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25864, 'TIGR01909', NULL, 'C_GCAxxG_C_C: C_GCAxxG_C_C family protein', 120, NULL, 'TIGR01909', 25864),
(25865, 'TIGR03426', NULL, 'shape_MreD: rod shape-determining protein MreD', 154, NULL, 'TIGR03426', 25865),
(25866, 'TIGR02913', NULL, 'HAF_rpt: probable extracellular repeat, HAF family', 39, NULL, 'TIGR02913', 25866),
(25867, 'TIGR03256', NULL, 'met_CoM_red_alp: methyl-coenzyme M reductase, alpha subunit', 548, NULL, 'TIGR03256', 25867),
(25868, 'TIGR01241', NULL, 'FtsH_fam: ATP-dependent metallopeptidase HflB', 496, NULL, 'TIGR01241', 25868),
(25869, 'TIGR02396', NULL, 'diverge_rpsU: rpsU-divergently transcribed protein', 186, NULL, 'TIGR02396', 25869),
(25870, 'TIGR01050', NULL, 'rpsS_bact: ribosomal protein uS19', 92, NULL, 'TIGR01050', 25870),
(25871, 'TIGR00412', NULL, 'redox_disulf_2: redox-active disulfide protein 2', 78, NULL, 'TIGR00412', 25871),
(25872, 'TIGR02967', NULL, 'guan_deamin: guanine deaminase', 401, NULL, 'TIGR02967', 25872),
(25873, 'TIGR00877', NULL, 'purD: phosphoribosylamine--glycine ligase', 425, NULL, 'TIGR00877', 25873),
(25874, 'TIGR01082', NULL, 'murC: UDP-N-acetylmuramate--L-alanine ligase', 449, NULL, 'TIGR01082', 25874),
(25875, 'TIGR02999', NULL, 'Sig-70_X6: RNA polymerase sigma factor, TIGR02999 family', 183, NULL, 'TIGR02999', 25875),
(25876, 'TIGR02534', NULL, 'mucon_cyclo: muconate and chloromuconate cycloisomerases', 368, NULL, 'TIGR02534', 25876),
(25877, 'TIGR03453', NULL, 'partition_RepA: plasmid partitioning protein RepA', 387, NULL, 'TIGR03453', 25877),
(25878, 'TIGR00605', NULL, 'rad4: DNA repair protein rad4', 1047, NULL, 'TIGR00605', 25878),
(25879, 'TIGR02654', NULL, 'circ_KaiB: circadian clock protein KaiB', 87, NULL, 'TIGR02654', 25879),
(25880, 'TIGR03052', NULL, 'PS_I_psaI: photosystem I reaction center subunit VIII', 31, NULL, 'TIGR03052', 25880),
(25881, 'TIGR00444', NULL, 'mazG: MazG family protein', 248, NULL, 'TIGR00444', 25881),
(25882, 'TIGR01363', NULL, 'strep_his_triad: streptococcal histidine triad protein', 348, NULL, 'TIGR01363', 25882),
(25883, 'TIGR00564', NULL, 'trpE_most: anthranilate synthase component I', 455, NULL, 'TIGR00564', 25883),
(25884, 'TIGR00757', NULL, 'RNaseEG: ribonuclease, Rne/Rng family', 415, NULL, 'TIGR00757', 25884),
(25885, 'TIGR02847', NULL, 'CyoD: cytochrome o ubiquinol oxidase subunit IV', 96, NULL, 'TIGR02847', 25885),
(25886, 'TIGR02686', NULL, 'relax_trwC: conjugative relaxase domain', 286, NULL, 'TIGR02686', 25886),
(25887, 'TIGR02194', NULL, 'GlrX_NrdH: glutaredoxin-like protein NrdH', 72, NULL, 'TIGR02194', 25887),
(25888, 'TIGR02221', NULL, 'cas_TM1812: CRISPR-associated protein, TM1812 family', 218, NULL, 'TIGR02221', 25888),
(25889, 'TIGR00163', NULL, 'PS_decarb: phosphatidylserine decarboxylase', 243, NULL, 'TIGR00163', 25889),
(25890, 'TIGR04252', NULL, 'SCM_precur_ScmA: SynChlorMet cassette protein ScmA', 49, NULL, 'TIGR04252', 25890),
(25891, 'TIGR00131', NULL, 'gal_kin: galactokinase', 388, NULL, 'TIGR00131', 25891),
(25892, 'TIGR04284', NULL, 'aldehy_Rv0768: aldehyde dehydrogenase, Rv0768 family', 480, NULL, 'TIGR04284', 25892),
(25893, 'TIGR02162', NULL, 'torC: trimethylamine-N-oxide reductase c-type cytochrome TorC', 387, NULL, 'TIGR02162', 25893),
(25894, 'TIGR02253', NULL, 'CTE7: HAD hydrolase, TIGR02253 family', 221, NULL, 'TIGR02253', 25894),
(25895, 'TIGR03172', NULL, 'TIGR03172: putative selenium-dependent hydroxylase accessory protein YqeC', 232, NULL, 'TIGR03172', 25895),
(25896, 'TIGR03333', NULL, 'salvage_mtnX: 2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase', 214, NULL, 'TIGR03333', 25896),
(25897, 'TIGR00596', NULL, 'rad1: DNA repair protein (rad1)', 813, NULL, 'TIGR00596', 25897),
(25898, 'TIGR01855', NULL, 'IMP_synth_hisH: imidazole glycerol phosphate synthase, glutamine amidotransferase subunit', 198, NULL, 'TIGR01855', 25898),
(25899, 'TIGR03614', NULL, 'RutB: pyrimidine utilization protein B', 226, NULL, 'TIGR03614', 25899),
(25900, 'TIGR04343', NULL, 'egtE_PLP_lyase: ergothioneine biosynthesis PLP-dependent enzyme EgtE', 370, NULL, 'TIGR04343', 25900);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25901, 'TIGR00072', NULL, 'hydrog_prot: hydrogenase maturation protease', 145, NULL, 'TIGR00072', 25901),
(25902, 'TIGR01243', NULL, 'CDC48: AAA family ATPase, CDC48 subfamily', 733, NULL, 'TIGR01243', 25902),
(25903, 'TIGR03798', NULL, 'ocin_TIGR03798: nif11-like leader peptide domain', 68, NULL, 'TIGR03798', 25903),
(25904, 'TIGR01767', NULL, 'MTRK: S-methyl-5-thioribose kinase', 369, NULL, 'TIGR01767', 25904),
(25905, 'TIGR02502', NULL, 'type_III_YscX: type III secretion protein, YscX family', 121, NULL, 'TIGR02502', 25905),
(25906, 'TIGR04445', NULL, 'preny_LynF_TruF: peptide O-prenyltransferase, LynF/TruF/PatF family', 282, NULL, 'TIGR04445', 25906),
(25907, 'TIGR03927', NULL, 'T7SS_EssA_Firm: type VII secretion protein EssA', 151, NULL, 'TIGR03927', 25907),
(25908, 'TIGR04565', NULL, 'OMP_myx_plus: outer membrane beta-barrel protein', 161, NULL, 'TIGR04565', 25908),
(25909, 'TIGR01957', NULL, 'nuoB_fam: NADH-quinone oxidoreductase, B subunit', 145, NULL, 'TIGR01957', 25909),
(25910, 'TIGR00936', NULL, 'ahcY: adenosylhomocysteinase', 416, NULL, 'TIGR00936', 25910),
(25911, 'TIGR01302', NULL, 'IMP_dehydrog: inosine-5''-monophosphate dehydrogenase', 450, NULL, 'TIGR01302', 25911),
(25912, 'TIGR00385', NULL, 'dsbE: periplasmic protein thiol:disulfide oxidoreductases, DsbE subfamily', 173, NULL, 'TIGR00385', 25912),
(25913, 'TIGR03664', NULL, 'fut_nucase: futalosine hydrolase', 228, NULL, 'TIGR03664', 25913),
(25914, 'TIGR02092', NULL, 'glgD: glucose-1-phosphate adenylyltransferase, GlgD subunit', 370, NULL, 'TIGR02092', 25914),
(25915, 'TIGR01887', NULL, 'dipeptidaselike: putative dipeptidase', 447, NULL, 'TIGR01887', 25915),
(25916, 'TIGR01735', NULL, 'FGAM_synt: phosphoribosylformylglycinamidine synthase', 1307, NULL, 'TIGR01735', 25916),
(25917, 'TIGR04413', NULL, 'MYXAN_cmx8: CRISPR type MYXAN-associated protein Cmx8', 537, NULL, 'TIGR04413', 25917),
(25918, 'TIGR03959', NULL, 'hyd_TM1266: putative iron-only hydrogenase system regulator', 76, NULL, 'TIGR03959', 25918),
(25919, 'TIGR04100', NULL, 'rSAM_pair_X: radical SAM enzyme, TIGR04100 family', 197, NULL, 'TIGR04100', 25919),
(25920, 'TIGR00233', NULL, 'trpS: tryptophan--tRNA ligase', 328, NULL, 'TIGR00233', 25920),
(25921, 'TIGR01422', NULL, 'phosphonatase: phosphonoacetaldehyde hydrolase', 253, NULL, 'TIGR01422', 25921),
(25922, 'TIGR01676', NULL, 'GLDHase: galactonolactone dehydrogenase', 541, NULL, 'TIGR01676', 25922),
(25923, 'TIGR03646', NULL, 'YtoQ_fam: YtoQ family protein', 144, NULL, 'TIGR03646', 25923),
(25924, 'TIGR00503', NULL, 'prfC: peptide chain release factor 3', 527, NULL, 'TIGR00503', 25924),
(25925, 'TIGR03154', NULL, 'sulfolob_CbsA: cytochrome b558/566, subunit A', 465, NULL, 'TIGR03154', 25925),
(25926, 'TIGR01703', NULL, 'hybrid_clust: hydroxylamine reductase', 522, NULL, 'TIGR01703', 25926),
(25927, 'TIGR01211', NULL, 'ELP3: radical SAM enzyme/protein acetyltransferase, ELP3 family', 522, NULL, 'TIGR01211', 25927),
(25928, 'TIGR00968', NULL, '3a0106s01: sulfate ABC transporter, ATP-binding protein', 237, NULL, 'TIGR00968', 25928),
(25929, 'TIGR02713', NULL, 'allophanate_hyd: allophanate hydrolase', 563, NULL, 'TIGR02713', 25929),
(25930, 'TIGR03351', NULL, 'PhnX-like: phosphonatase-like hydrolase', 220, NULL, 'TIGR03351', 25930),
(25931, 'TIGR02373', NULL, 'photo_yellow: photoactive yellow protein', 124, NULL, 'TIGR02373', 25931),
(25932, 'TIGR00666', NULL, 'PBP4: D-alanyl-D-alanine carboxypeptidase/D-alanyl-D-alanine-endopeptidase', 397, NULL, 'TIGR00666', 25932),
(25933, 'TIGR01395', NULL, 'FlgC: flagellar basal-body rod protein FlgC', 137, NULL, 'TIGR01395', 25933),
(25934, 'TIGR00201', NULL, 'comF: comF family protein', 190, NULL, 'TIGR00201', 25934),
(25935, 'TIGR00725', NULL, 'TIGR00725: TIGR00725 family protein', 159, NULL, 'TIGR00725', 25935),
(25936, 'TIGR01454', NULL, 'AHBA_synth_RP: AHBA synthesis associated protein', 205, NULL, 'TIGR01454', 25936),
(25937, 'TIGR04132', NULL, 'intra_fol_E_lig: putative folate metabolism gamma-glutamate ligase', 241, NULL, 'TIGR04132', 25937);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25938, 'TIGR02897', NULL, 'QoxC: cytochrome aa3 quinol oxidase, subunit III', 190, NULL, 'TIGR02897', 25938),
(25939, 'TIGR00342', NULL, 'TIGR00342: tRNA sulfurtransferase ThiI', 373, NULL, 'TIGR00342', 25939),
(25940, 'TIGR00979', NULL, 'fumC_II: fumarate hydratase, class II', 458, NULL, 'TIGR00979', 25940),
(25941, 'TIGR00859', NULL, 'ENaC: sodium channel transporter', 596, NULL, 'TIGR00859', 25941),
(25942, 'TIGR00462', NULL, 'genX: EF-P lysine aminoacylase GenX', 304, NULL, 'TIGR00462', 25942),
(25943, 'TIGR01497', NULL, 'kdpB: K+-transporting ATPase, B subunit', 675, NULL, 'TIGR01497', 25943),
(25944, 'TIGR02400', NULL, 'trehalose_OtsA: alpha,alpha-trehalose-phosphate synthase (UDP-forming)', 456, NULL, 'TIGR02400', 25944),
(25945, 'TIGR02917', NULL, 'PEP_TPR_lipo: putative PEP-CTERM system TPR-repeat lipoprotein', 899, NULL, 'TIGR02917', 25945),
(25946, 'TIGR03555', NULL, 'F420_mer: 5,10-methylenetetrahydromethanopterin reductase', 325, NULL, 'TIGR03555', 25946),
(25947, 'TIGR02949', NULL, 'anti_SigH_actin: anti-sigma factor, TIGR02949 family', 84, NULL, 'TIGR02949', 25947),
(25948, 'TIGR01032', NULL, 'rplT_bact: ribosomal protein bL20', 114, NULL, 'TIGR01032', 25948),
(25949, 'TIGR01152', NULL, 'psbD: photosystem II D2 protein (photosystem q(a) protein)', 352, NULL, 'TIGR01152', 25949),
(25950, 'TIGR04554', NULL, '3TM_mycoplas: three transmembrane helix protein', 105, NULL, 'TIGR04554', 25950),
(25951, 'TIGR03748', NULL, 'conj_PilL: integrating conjugative element protein PilL, PFGI-1 class', 105, NULL, 'TIGR03748', 25951),
(25952, 'TIGR01946', NULL, 'rnfD: electron transport complex, RnfABCDGE type, D subunit', 327, NULL, 'TIGR01946', 25952),
(25953, 'TIGR01658', NULL, 'EYA-cons_domain: EYA conserved domain', 274, NULL, 'TIGR01658', 25953),
(25954, 'TIGR02865', NULL, 'spore_II_E: stage II sporulation protein E', 764, NULL, 'TIGR02865', 25954),
(25955, 'TIGR00698', NULL, 'TIGR00698: conserved hypothetical protein', 335, NULL, 'TIGR00698', 25955),
(25956, 'TIGR02636', NULL, 'galM_Leloir: galactose mutarotase', 336, NULL, 'TIGR02636', 25956),
(25957, 'TIGR03274', NULL, 'methan_mark_7: putative methanogenesis marker protein 7', 302, NULL, 'TIGR03274', 25957),
(25958, 'TIGR01141', NULL, 'hisC: histidinol-phosphate transaminase', 349, NULL, 'TIGR01141', 25958),
(25959, 'TIGR04202', NULL, 'capSnatchArena: RNA endonuclease, cap-snatching', 61, NULL, 'TIGR04202', 25959),
(25960, 'TIGR03696', NULL, 'Rhs_assc_core: RHS repeat-associated core domain', 76, NULL, 'TIGR03696', 25960),
(25961, 'TIGR01665', NULL, 'put_anti_recept: phage minor structural protein, N-terminal region', 316, NULL, 'TIGR01665', 25961),
(25962, 'TIGR02112', NULL, 'cyd_oper_ybgE: cyd operon protein YbgE', 93, NULL, 'TIGR02112', 25962),
(25963, 'TIGR03755', NULL, 'conj_TIGR03755: integrating conjugative element protein, PFL_4711 family', 419, NULL, 'TIGR03755', 25963),
(25964, 'TIGR02584', NULL, 'cas_NE0113: CRISPR-associated protein, NE0113 family', 209, NULL, 'TIGR02584', 25964),
(25965, 'TIGR00802', NULL, 'nico: transition metal uptake transporter, Ni2+-Co2+ transporter (NiCoT) family', 281, NULL, 'TIGR00802', 25965),
(25966, 'TIGR00514', NULL, 'accC: acetyl-CoA carboxylase, biotin carboxylase subunit', 449, NULL, 'TIGR00514', 25966),
(25967, 'TIGR03231', NULL, 'anthran_1_2_B: anthranilate 1,2-dioxygenase, small subunit', 155, NULL, 'TIGR03231', 25967),
(25968, 'TIGR04150', NULL, 'pseudo_rSAM_GG: pseudo-rSAM protein, GG-Bacteroidales system', 407, NULL, 'TIGR04150', 25968),
(25969, 'TIGR01200', NULL, 'GLPGLI: GLPGLI family protein', 229, NULL, 'TIGR01200', 25969),
(25970, 'TIGR02296', NULL, 'HpaC: 4-hydroxyphenylacetate 3-monooxygenase, reductase component', 154, NULL, 'TIGR02296', 25970),
(25971, 'TIGR02060', NULL, 'aprB: adenylylsulfate reductase, beta subunit', 132, NULL, 'TIGR02060', 25971),
(25972, 'TIGR02355', NULL, 'moeB: molybdopterin synthase sulfurylase MoeB', 240, NULL, 'TIGR02355', 25972),
(25973, 'TIGR04386', NULL, 'ThiC_like_1: ThiC-like protein 1', 426, NULL, 'TIGR04386', 25973);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(25974, 'TIGR00904', NULL, 'mreB: cell shape determining protein, MreB/Mrl family', 334, NULL, 'TIGR00904', 25974),
(25975, 'TIGR03562', NULL, 'osmo_induc_OsmC: peroxiredoxin, OsmC subfamily', 137, NULL, 'TIGR03562', 25975),
(25976, 'TIGR03857', NULL, 'F420_MSMEG_2249: probable F420-dependent oxidoreductase, MSMEG_2249 family', 329, NULL, 'TIGR03857', 25976),
(25977, 'TIGR04495', NULL, 'RiPP_XyeA: putative rSAM-modified RiPP, XyeA family', 50, NULL, 'TIGR04495', 25977),
(25978, 'TIGR01837', NULL, 'PHA_granule_1: poly(hydroxyalkanoate) granule-associated protein', 118, NULL, 'TIGR01837', 25978),
(25979, 'TIGR01129', NULL, 'secD: protein-export membrane protein SecD', 397, NULL, 'TIGR01129', 25979),
(25980, 'TIGR02475', NULL, 'CobW: cobalamin biosynthesis protein CobW', 342, NULL, 'TIGR02475', 25980),
(25981, 'TIGR00335', NULL, 'primase_sml: putative DNA primase, eukaryotic-type, small subunit', 324, NULL, 'TIGR00335', 25981),
(25982, 'TIGR04030', NULL, 'perox_Avi_7169: alkylhydroperoxidase domain protein, Avi_7169 family', 185, NULL, 'TIGR04030', 25982),
(25983, 'TIGR01320', NULL, 'mal_quin_oxido: malate dehydrogenase (acceptor)', 482, NULL, 'TIGR01320', 25983),
(25984, 'TIGR04547', NULL, 'Mollicu_LP: MOLPALP family lipoprotein', 807, NULL, 'TIGR04547', 25984),
(25985, 'TIGR04311', NULL, 'rSAM_Geo_metal: putative metalloenzyme radical SAM/SPASM domain maturase', 423, NULL, 'TIGR04311', 25985),
(25986, 'TIGR02010', NULL, 'IscR: iron-sulfur cluster assembly transcription factor IscR', 135, NULL, 'TIGR02010', 25986),
(25987, 'TIGR03512', NULL, 'GldD_lipo: gliding motility-associated lipoprotein GldD', 186, NULL, 'TIGR03512', 25987),
(25988, 'TIGR03977', NULL, 'rSAM_pair_HxsC: His-Xaa-Ser system radical SAM maturase HxsC', 292, NULL, 'TIGR03977', 25988),
(25989, 'TIGR00061', NULL, 'L21: ribosomal protein bL21', 101, NULL, 'TIGR00061', 25989),
(25990, 'TIGR00623', NULL, 'sula: cell division inhibitor SulA', 168, NULL, 'TIGR00623', 25990),
(25991, 'TIGR01261', NULL, 'hisB_Nterm: histidinol-phosphatase', 161, NULL, 'TIGR01261', 25991),
(25992, 'TIGR02763', NULL, 'chlamy_scaf: scaffolding protein', 114, NULL, 'TIGR02763', 25992),
(25993, 'TIGR01556', NULL, 'rhamnosyltran: rhamnosyltransferase', 281, NULL, 'TIGR01556', 25993),
(25994, 'TIGR00401', NULL, 'msrA: peptide-methionine (S)-S-oxide reductase', 153, NULL, 'TIGR00401', 25994),
(25995, 'TIGR01254', NULL, 'sfuA: ABC transporter periplasmic binding protein, thiB subfamily', 306, NULL, 'TIGR01254', 25995),
(25996, 'TIGR01778', NULL, 'TonB-copper: TonB-dependent copper receptor', 637, NULL, 'TIGR01778', 25996),
(25997, 'TIGR01313', NULL, 'therm_gnt_kin: carbohydrate kinase, thermoresistant glucokinase family', 164, NULL, 'TIGR01313', 25997),
(25998, 'TIGR02815', NULL, 'agaS_fam: putative sugar isomerase, AgaS family', 372, NULL, 'TIGR02815', 25998),
(25999, 'TIGR04018', NULL, 'Bthiol_YpdA: putative bacillithiol system oxidoreductase, YpdA family', 316, NULL, 'TIGR04018', 25999),
(26000, 'TIGR01601', NULL, 'PYST-C1: Plasmodium yoelii subtelomeric domain PYST-C1', 82, NULL, 'TIGR01601', 26000),
(26001, 'TIGR00054', NULL, 'TIGR00054: RIP metalloprotease RseP', 421, NULL, 'TIGR00054', 26001),
(26002, 'TIGR01785', NULL, 'TonB-hemin: TonB-dependent heme/hemoglobin receptor family protein', 677, NULL, 'TIGR01785', 26002),
(26003, 'TIGR02756', NULL, 'TraK_Ftype: type-F conjugative transfer system secretin TraK', 232, NULL, 'TIGR02756', 26003),
(26004, 'TIGR00283', NULL, 'arch_pth2: peptidyl-tRNA hydrolase', 115, NULL, 'TIGR00283', 26004),
(26005, 'TIGR02482', NULL, 'PFKA_ATP: 6-phosphofructokinase', 301, NULL, 'TIGR02482', 26005),
(26006, 'TIGR02107', NULL, 'PQQ_syn_pqqA: coenzyme PQQ precursor peptide PqqA', 21, NULL, 'TIGR02107', 26006),
(26007, 'TIGR04023', NULL, 'PPOX_MSMEG_5819: PPOX class F420-dependent enzyme, MSMEG_5819/OxyR family', 115, NULL, 'TIGR04023', 26007),
(26008, 'TIGR01567', NULL, 'S_layer_rel_Mac: S-layer family duplication domain', 259, NULL, 'TIGR01567', 26008);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26009, 'TIGR02053', NULL, 'MerA: mercury(II) reductase', 465, NULL, 'TIGR02053', 26009),
(26010, 'TIGR01447', NULL, 'recD: exodeoxyribonuclease V, alpha subunit', 597, NULL, 'TIGR01447', 26010),
(26011, 'TIGR03537', NULL, 'DapC: succinyldiaminopimelate transaminase', 350, NULL, 'TIGR03537', 26011),
(26012, 'TIGR03902', NULL, 'rhom_GG_sort: rhombosortase', 154, NULL, 'TIGR03902', 26012),
(26013, 'TIGR01790', NULL, 'carotene-cycl: lycopene cyclase family protein', 387, NULL, 'TIGR01790', 26013),
(26014, 'TIGR01812', NULL, 'sdhA_frdA_Gneg: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', 568, NULL, 'TIGR01812', 26014),
(26015, 'TIGR03505', NULL, 'FimV_core: FimV N-terminal domain', 74, NULL, 'TIGR03505', 26015),
(26016, 'TIGR04488', NULL, 'SoxY_true_GGCGG: thiosulfate oxidation carrier protein SoxY', 149, NULL, 'TIGR04488', 26016),
(26017, 'TIGR01599', NULL, 'PYST-A: Plasmodium yoelii subtelomeric family PYST-A', 209, NULL, 'TIGR01599', 26017),
(26018, 'TIGR02246', NULL, 'TIGR02246: conserved hypothetical protein', 128, NULL, 'TIGR02246', 26018),
(26019, 'TIGR04452', NULL, 'Lepto_Lipo_YY_C: small lipoprotein, LA_3946 family', 116, NULL, 'TIGR04452', 26019),
(26020, 'TIGR00017', NULL, 'cmk: cytidylate kinase', 217, NULL, 'TIGR00017', 26020),
(26021, 'TIGR01134', NULL, 'purF: amidophosphoribosyltransferase', 432, NULL, 'TIGR01134', 26021),
(26022, 'TIGR04336', NULL, 'AmmeMemoSam_B: AmmeMemoRadiSam system protein B', 270, NULL, 'TIGR04336', 26022),
(26023, 'TIGR01563', NULL, 'gp16_SPP1: putative phage head-tail adaptor', 101, NULL, 'TIGR01563', 26023),
(26024, 'TIGR00553', NULL, 'pabB: aminodeoxychorismate synthase, component I', 329, NULL, 'TIGR00553', 26024),
(26025, 'TIGR02706', NULL, 'P_butyryltrans: phosphate butyryltransferase', 294, NULL, 'TIGR02706', 26025),
(26026, 'TIGR00648', NULL, 'recU: recombination protein U', 169, NULL, 'TIGR00648', 26026),
(26027, 'TIGR03653', NULL, 'uL6_arch: ribosomal protein uL6', 170, NULL, 'TIGR03653', 26027),
(26028, 'TIGR04068', NULL, 'rSAM_ocin_clost: Cys-rich peptide radical SAM maturase CcpM', 462, NULL, 'TIGR04068', 26028),
(26029, 'TIGR02398', NULL, 'gluc_glyc_Psyn: glucosylglycerol-phosphate synthase', 487, NULL, 'TIGR02398', 26029),
(26030, 'TIGR01102', NULL, 'yscR: type III secretion apparatus protein, YscR/HrcR family', 202, NULL, 'TIGR01102', 26030),
(26031, 'TIGR02738', NULL, 'TrbB: type-F conjugative transfer system pilin assembly thiol-disulfide isomerase TrbB', 153, NULL, 'TIGR02738', 26031),
(26032, 'TIGR03657', NULL, 'IsdB: heme uptake protein IsdB', 644, NULL, 'TIGR03657', 26032),
(26033, 'TIGR00884', NULL, 'guaA_Cterm: GMP synthase (glutamine-hydrolyzing), C-terminal domain', 310, NULL, 'TIGR00884', 26033),
(26034, 'TIGR02643', NULL, 'T_phosphoryl: thymidine phosphorylase', 437, NULL, 'TIGR02643', 26034),
(26035, 'TIGR01907', NULL, 'casE_Cse3: CRISPR-associated protein Cas6/Cse3/CasE, subtype I-E/ECOLI', 208, NULL, 'TIGR01907', 26035),
(26036, 'TIGR03410', NULL, 'urea_trans_UrtE: urea ABC transporter, ATP-binding protein UrtE', 230, NULL, 'TIGR03410', 26036),
(26037, 'TIGR01027', NULL, 'proB: glutamate 5-kinase', 363, NULL, 'TIGR01027', 26037),
(26038, 'TIGR01179', NULL, 'galE: UDP-glucose 4-epimerase GalE', 332, NULL, 'TIGR01179', 26038),
(26039, 'TIGR01939', NULL, 'nqrD: NADH:ubiquinone oxidoreductase, Na(+)-translocating, D subunit', 207, NULL, 'TIGR01939', 26039),
(26040, 'TIGR02974', NULL, 'phageshock_pspF: psp operon transcriptional activator', 336, NULL, 'TIGR02974', 26040),
(26041, 'TIGR03095', NULL, 'rusti_cyanin: rusticyanin', 148, NULL, 'TIGR03095', 26041),
(26042, 'TIGR03442', NULL, 'TIGR03442: ergothioneine biosynthesis protein EgtC', 251, NULL, 'TIGR03442', 26042),
(26043, 'TIGR00986', NULL, '3a0801s05tom22: mitochondrial import receptor subunit', 145, NULL, 'TIGR00986', 26043),
(26044, 'TIGR00764', NULL, 'lon_rel: putative ATP-dependent protease', 608, NULL, 'TIGR00764', 26044),
(26045, 'TIGR01370', NULL, 'TIGR01370: extracellular protein', 315, NULL, 'TIGR01370', 26045);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26046, 'TIGR03063', NULL, 'srtB_target: sortase B cell surface sorting signal', 29, NULL, 'TIGR03063', 26046),
(26047, 'TIGR00451', NULL, 'unchar_dom_2: uncharacterized domain 2', 107, NULL, 'TIGR00451', 26047),
(26048, 'TIGR03219', NULL, 'salicylate_mono: salicylate 1-monooxygenase', 414, NULL, 'TIGR03219', 26048),
(26049, 'TIGR03149', NULL, 'cyt_nit_nrfC: cytochrome c nitrite reductase, Fe-S protein', 225, NULL, 'TIGR03149', 26049),
(26050, 'TIGR00174', NULL, 'miaA: tRNA dimethylallyltransferase', 288, NULL, 'TIGR00174', 26050),
(26051, 'TIGR00405', NULL, 'KOW_elon_Spt5: transcription elongation factor Spt5', 145, NULL, 'TIGR00405', 26051),
(26052, 'TIGR02151', NULL, 'IPP_isom_2: isopentenyl-diphosphate delta-isomerase, type 2', 338, NULL, 'TIGR02151', 26052),
(26053, 'TIGR00521', NULL, 'coaBC_dfp: phosphopantothenoylcysteine decarboxylase / phosphopantothenate--cysteine ligase', 392, NULL, 'TIGR00521', 26053),
(26054, 'TIGR01250', NULL, 'pro_imino_pep_2: proline-specific peptidase', 288, NULL, 'TIGR01250', 26054),
(26055, 'TIGR04354', NULL, 'amphi-Trp: amphi-Trp domain', 67, NULL, 'TIGR04354', 26055),
(26056, 'TIGR02144', NULL, 'LysX_arch: lysine biosynthesis enzyme LysX', 281, NULL, 'TIGR02144', 26056),
(26057, 'TIGR04408', NULL, 'LptG_lptG: LPS export ABC transporter permease LptG', 351, NULL, 'TIGR04408', 26057),
(26058, 'TIGR01683', NULL, 'thiS: thiamine biosynthesis protein ThiS', 64, NULL, 'TIGR01683', 26058),
(26059, 'TIGR04361', NULL, 'TrbK_Ti: entry exclusion protein TrbK', 64, NULL, 'TIGR04361', 26059),
(26060, 'TIGR02366', NULL, 'DHAK_reg: probable dihydroxyacetone kinase regulator', 176, NULL, 'TIGR02366', 26060),
(26061, 'TIGR03868', NULL, 'F420-O_ABCperi: proposed F420-0 ABC transporter, periplasmic F420-0 binding protein', 287, NULL, 'TIGR03868', 26061),
(26062, 'TIGR00228', NULL, 'ruvC: crossover junction endodeoxyribonuclease RuvC', 156, NULL, 'TIGR00228', 26062),
(26063, 'TIGR02858', NULL, 'spore_III_AA: stage III sporulation protein AA', 272, NULL, 'TIGR02858', 26063),
(26064, 'TIGR00673', NULL, 'cynS: cyanase', 150, NULL, 'TIGR00673', 26064),
(26065, 'TIGR00181', NULL, 'pepF: oligoendopeptidase F', 591, NULL, 'TIGR00181', 26065),
(26066, 'TIGR03875', NULL, 'RNA_lig_partner: RNA ligase partner, MJ_0950 family', 206, NULL, 'TIGR03875', 26066),
(26067, 'TIGR02956', NULL, 'TMAO_torS: TMAO reductase sytem sensor TorS', 967, NULL, 'TIGR02956', 26067),
(26068, 'TIGR01356', NULL, 'aroA: 3-phosphoshikimate 1-carboxyvinyltransferase', 415, NULL, 'TIGR01356', 26068),
(26069, 'TIGR03639', NULL, 'cas1_NMENI: CRISPR-associated endonuclease Cas1, subtype II/NMENI', 278, NULL, 'TIGR03639', 26069),
(26070, 'TIGR00437', NULL, 'feoB: ferrous iron transport protein B', 594, NULL, 'TIGR00437', 26070),
(26071, 'TIGR00941', NULL, '2a6301s03: multicomponent Na+:H+ antiporter, MnhC subunit', 104, NULL, 'TIGR00941', 26071),
(26072, 'TIGR03403', NULL, 'nifS_epsilon: cysteine desulfurase, NifS family', 382, NULL, 'TIGR03403', 26072),
(26073, 'TIGR01860', NULL, 'VNFD: nitrogenase vanadium-iron protein, alpha chain', 461, NULL, 'TIGR01860', 26073),
(26074, 'TIGR03435', NULL, 'Soli_TIGR03435: soil-associated protein, TIGR03435 family', 241, NULL, 'TIGR03435', 26074),
(26075, 'TIGR01519', NULL, 'plasmod_dom_1: Plasmodium falciparum uncharacterized domain', 70, NULL, 'TIGR01519', 26075),
(26076, 'TIGR03950', NULL, 'sidero_Fe_reduc: siderophore ferric iron reductase, AHA_1954 family', 223, NULL, 'TIGR03950', 26076),
(26077, 'TIGR03070', NULL, 'couple_hipB: transcriptional regulator, y4mF family', 58, NULL, 'TIGR03070', 26077),
(26078, 'TIGR03830', NULL, 'CxxCG_CxxCG_HTH: putative zinc finger/helix-turn-helix protein, YgiT family', 127, NULL, 'TIGR03830', 26078),
(26079, 'TIGR01345', NULL, 'malate_syn_G: malate synthase G', 721, NULL, 'TIGR01345', 26079),
(26080, 'TIGR00119', NULL, 'acolac_sm: acetolactate synthase, small subunit', 158, NULL, 'TIGR00119', 26080),
(26081, 'TIGR01465', NULL, 'cobM_cbiF: precorrin-4 C11-methyltransferase', 247, NULL, 'TIGR01465', 26081);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26082, 'TIGR01000', NULL, 'bacteriocin_acc: bacteriocin secretion accessory protein', 457, NULL, 'TIGR01000', 26082),
(26083, 'TIGR04350', NULL, 'C_S_lyase_PatB: putative C-S lyase', 384, NULL, 'TIGR04350', 26083),
(26084, 'TIGR00065', NULL, 'ftsZ: cell division protein FtsZ', 353, NULL, 'TIGR00065', 26084),
(26085, 'TIGR02209', NULL, 'ftsL_broad: cell division protein FtsL', 85, NULL, 'TIGR02209', 26085),
(26086, 'TIGR04159', NULL, 'methbact_MbnB: methanobactin biosynthesis cassette protein MbnB', 91, NULL, 'TIGR04159', 26086),
(26087, 'TIGR04125', NULL, 'exosort_PGF_TRM: archaeosortase A', 271, NULL, 'TIGR04125', 26087),
(26088, 'TIGR01581', NULL, 'Mo_ABC_porter: NifC-like ABC-type porter', 225, NULL, 'TIGR01581', 26088),
(26089, 'TIGR03008', NULL, 'pepcterm_CAAX: CAAX prenyl protease-related protein', 222, NULL, 'TIGR03008', 26089),
(26090, 'TIGR01461', NULL, 'greB: transcription elongation factor GreB', 156, NULL, 'TIGR01461', 26090),
(26091, 'TIGR02035', NULL, 'D_Ser_am_lyase: D-serine ammonia-lyase', 431, NULL, 'TIGR02035', 26091),
(26092, 'TIGR02380', NULL, 'ECA_wecA: undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphatetransferase', 346, NULL, 'TIGR02380', 26092),
(26093, 'TIGR02691', NULL, 'arsC_pI258_fam: arsenate reductase (thioredoxin)', 129, NULL, 'TIGR02691', 26093),
(26094, 'TIGR00310', NULL, 'ZPR1_znf: ZPR1 zinc finger domain', 192, NULL, 'TIGR00310', 26094),
(26095, 'TIGR00546', NULL, 'lnt: apolipoprotein N-acyltransferase', 395, NULL, 'TIGR00546', 26095),
(26096, 'TIGR00775', NULL, 'NhaD: Na+/H+ antiporter, NhaD family', 420, NULL, 'TIGR00775', 26096),
(26097, 'TIGR03551', NULL, 'F420_cofH: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofH subunit', 345, NULL, 'TIGR03551', 26097),
(26098, 'TIGR01892', NULL, 'AcOrn-deacetyl: acetylornithine deacetylase (ArgE)', 365, NULL, 'TIGR01892', 26098),
(26099, 'TIGR04470', NULL, 'rSAM_mob_pairB: radical SAM mobile pair protein B', 285, NULL, 'TIGR04470', 26099),
(26100, 'TIGR04279', NULL, 'TIGR04279: TIGR04279 domain', 316, NULL, 'TIGR04279', 26100),
(26101, 'TIGR01236', NULL, 'D1pyr5carbox1: 1-pyrroline-5-carboxylate dehydrogenase', 533, NULL, 'TIGR01236', 26101),
(26102, 'TIGR00655', NULL, 'PurU: formyltetrahydrofolate deformylase', 280, NULL, 'TIGR00655', 26102),
(26103, 'TIGR03759', NULL, 'conj_TIGR03759: integrating conjugative element protein, PFL_4693 family', 200, NULL, 'TIGR03759', 26103),
(26104, 'TIGR02745', NULL, 'ccoG_rdxA_fixG: cytochrome c oxidase accessory protein CcoG', 435, NULL, 'TIGR02745', 26104),
(26105, 'TIGR00782', NULL, 'ccoP: cytochrome c oxidase, cbb3-type, subunit III', 285, NULL, 'TIGR00782', 26105),
(26106, 'TIGR02604', NULL, 'Piru_Ver_Nterm: putative membrane-bound dehydrogenase domain', 367, NULL, 'TIGR02604', 26106),
(26107, 'TIGR02155', NULL, 'PA_CoA_ligase: phenylacetate-CoA ligase', 422, NULL, 'TIGR02155', 26107),
(26108, 'TIGR03490', NULL, 'Mycoplas_LppA: mycoides cluster lipoprotein, LppA/P72 family', 541, NULL, 'TIGR03490', 26108),
(26109, 'TIGR03015', NULL, 'pepcterm_ATPase: putative secretion ATPase, PEP-CTERM locus subfamily', 269, NULL, 'TIGR03015', 26109),
(26110, 'TIGR01914', NULL, 'cas_Csa4: CRISPR-associated protein Cas8a2/Csa4, subtype I-A/APERN', 353, NULL, 'TIGR01914', 26110),
(26111, 'TIGR01472', NULL, 'gmd: GDP-mannose 4,6-dehydratase', 342, NULL, 'TIGR01472', 26111),
(26112, 'TIGR01352', NULL, 'tonB_Cterm: TonB family C-terminal domain', 76, NULL, 'TIGR01352', 26112),
(26113, 'TIGR02854', NULL, 'spore_II_GA: sigma-E processing peptidase SpoIIGA', 293, NULL, 'TIGR02854', 26113),
(26114, 'TIGR03117', NULL, 'cas_csf4: CRISPR type AFERR-associated DEAD/DEAH-box helicase Csf4', 676, NULL, 'TIGR03117', 26114),
(26115, 'TIGR01921', NULL, 'DAP-DH: diaminopimelate dehydrogenase', 324, NULL, 'TIGR01921', 26115),
(26116, 'TIGR01574', NULL, 'miaB-methiolase: tRNA-i(6)A37 thiotransferase enzyme MiaB', 437, NULL, 'TIGR01574', 26116),
(26117, 'TIGR00303', NULL, 'TIGR00303: TIGR00303 family protein', 334, NULL, 'TIGR00303', 26117);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26118, 'TIGR01805', NULL, 'CM_mono_grmpos: chorismate mutase', 81, NULL, 'TIGR01805', 26118),
(26119, 'TIGR01458', NULL, 'HAD-SF-IIA-hyp3: HAD hydrolase, TIGR01458 family', 257, NULL, 'TIGR01458', 26119),
(26120, 'TIGR02611', NULL, 'TIGR02611: TIGR02611 family protein', 121, NULL, 'TIGR02611', 26120),
(26121, 'TIGR04241', NULL, 'adenoE3CR1rpt: mastadenovirus E3 CR1-alpha-1', 81, NULL, 'TIGR04241', 26121),
(26122, 'TIGR01059', NULL, 'gyrB: DNA gyrase, B subunit', 639, NULL, 'TIGR01059', 26122),
(26123, 'TIGR02264', NULL, 'gmx_para_CXXCG: Myxococcus xanthus double-CXXCG motif paralogous family', 237, NULL, 'TIGR02264', 26123),
(26124, 'TIGR02271', NULL, 'TIGR02271: conserved domain', 115, NULL, 'TIGR02271', 26124),
(26125, 'TIGR03773', NULL, 'anch_rpt_wall: putative ABC transporter-associated repeat protein', 516, NULL, 'TIGR03773', 26125),
(26126, 'TIGR03766', NULL, 'TIGR03766: conserved hypothetical integral membrane protein', 483, NULL, 'TIGR03766', 26126),
(26127, 'TIGR04227', NULL, 'zmp_18_rpt: zinc metalloproteinase 18-residue repeat', 18, NULL, 'TIGR04227', 26127),
(26128, 'TIGR00768', NULL, 'rimK_fam: alpha-L-glutamate ligase, RimK family', 276, NULL, 'TIGR00768', 26128),
(26129, 'TIGR02318', NULL, 'phosphono_phnM: phosphonate metabolism protein PhnM', 376, NULL, 'TIGR02318', 26129),
(26130, 'TIGR04456', NULL, 'LruC_dom: LruC domain', 243, NULL, 'TIGR04456', 26130),
(26131, 'TIGR01994', NULL, 'SUF_scaf_2: SUF system FeS assembly protein, NifU family', 137, NULL, 'TIGR01994', 26131),
(26132, 'TIGR00539', NULL, 'hemN_rel: putative oxygen-independent coproporphyrinogen III oxidase', 361, NULL, 'TIGR00539', 26132),
(26133, 'TIGR03301', NULL, 'PhnW-AepZ: 2-aminoethylphosphonate aminotransferase', 355, NULL, 'TIGR03301', 26133),
(26134, 'TIGR04234', NULL, 'seadorna_RNAP: RNA-directed RNA polymerase', 1144, NULL, 'TIGR04234', 26134),
(26135, 'TIGR00126', NULL, 'deoC: deoxyribose-phosphate aldolase', 211, NULL, 'TIGR00126', 26135),
(26136, 'TIGR02042', NULL, 'sir: sulfite reductase, ferredoxin dependent', 581, NULL, 'TIGR02042', 26136),
(26137, 'TIGR03544', NULL, 'DivI1A_domain: DivIVA domain', 34, NULL, 'TIGR03544', 26137),
(26138, 'TIGR04463', NULL, 'rSAM_vs_C_rich: radical SAM/SPASM domain protein maturase', 438, NULL, 'TIGR04463', 26138),
(26139, 'TIGR03197', NULL, 'MnmC_Cterm: tRNA U-34 5-methylaminomethyl-2-thiouridine biosynthesis protein MnmC, C-terminal domain', 400, NULL, 'TIGR03197', 26139),
(26140, 'TIGR04057', NULL, 'SusC_RagA_signa: TonB-dependent outer membrane receptor, SusC/RagA subfamily, signature region', 31, NULL, 'TIGR04057', 26140),
(26141, 'TIGR01810', NULL, 'betA: choline dehydrogenase', 532, NULL, 'TIGR01810', 26141),
(26142, 'TIGR00841', NULL, 'bass: bile acid transporter', 321, NULL, 'TIGR00841', 26142),
(26143, 'TIGR03088', NULL, 'stp2: sugar transferase, PEP-CTERM/EpsH1 system associated', 374, NULL, 'TIGR03088', 26143),
(26144, 'TIGR03539', NULL, 'DapC_actino: succinyldiaminopimelate transaminase', 357, NULL, 'TIGR03539', 26144),
(26145, 'TIGR03900', NULL, 'prc_long_Delta: putative carboxyl-terminal-processing protease, deltaproteobacterial', 973, NULL, 'TIGR03900', 26145),
(26146, 'TIGR01449', NULL, 'PGP_bact: phosphoglycolate phosphatase, bacterial', 213, NULL, 'TIGR01449', 26146),
(26147, 'TIGR01962', NULL, 'NuoD: NADH dehydrogenase (quinone), D subunit', 386, NULL, 'TIGR01962', 26147),
(26148, 'TIGR02087', NULL, 'LEUD_arch: 3-isopropylmalate dehydratase, small subunit', 157, NULL, 'TIGR02087', 26148),
(26149, 'TIGR01136', NULL, 'cysKM: cysteine synthase', 299, NULL, 'TIGR01136', 26149),
(26150, 'TIGR01792', NULL, 'urease_alph: urease, alpha subunit', 568, NULL, 'TIGR01792', 26150),
(26151, 'TIGR04570', NULL, 'mollicut_2TM: small integral membrane protein', 87, NULL, 'TIGR04570', 26151),
(26152, 'TIGR00328', NULL, 'flhB: flagellar biosynthetic protein FlhB', 348, NULL, 'TIGR00328', 26152),
(26153, 'TIGR00993', NULL, '3a0901s04IAP86: chloroplast protein import component Toc86/159, G and M domains', 763, NULL, 'TIGR00993', 26153);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26154, 'TIGR01619', NULL, 'hyp_HI0040: TIGR01619 family protein', 250, NULL, 'TIGR01619', 26154),
(26155, 'TIGR02105', NULL, 'III_needle: type III secretion apparatus needle protein', 72, NULL, 'TIGR02105', 26155),
(26156, 'TIGR02418', NULL, 'acolac_catab: acetolactate synthase, catabolic', 539, NULL, 'TIGR02418', 26156),
(26157, 'TIGR00390', NULL, 'hslU: ATP-dependent protease HslVU, ATPase subunit', 441, NULL, 'TIGR00390', 26157),
(26158, 'TIGR04025', NULL, 'PPOX_FMN_DR2398: pyridoxamine 5''-phosphate oxidase, FMN-binding family', 197, NULL, 'TIGR04025', 26158),
(26159, 'TIGR03882', NULL, 'cyclo_dehyd_2: bacteriocin biosynthesis cyclodehydratase domain', 164, NULL, 'TIGR03882', 26159),
(26160, 'TIGR04508', NULL, 'queE_Cx14CxxC: 7-carboxy-7-deazaguanine synthase', 208, NULL, 'TIGR04508', 26160),
(26161, 'TIGR02480', NULL, 'fliN: flagellar motor switch protein FliN', 77, NULL, 'TIGR02480', 26161),
(26162, 'TIGR00199', NULL, 'PncC_domain: amidohydrolase, PncC family', 149, NULL, 'TIGR00199', 26162),
(26163, 'TIGR01279', NULL, 'DPOR_bchN: light-independent protochlorophyllide reductase, N subunit', 407, NULL, 'TIGR01279', 26163),
(26164, 'TIGR02289', NULL, 'M3_not_pepF: oligoendopeptidase, M3 family', 549, NULL, 'TIGR02289', 26164),
(26165, 'TIGR04379', NULL, 'myo_inos_iolE: myo-inosose-2 dehydratase', 290, NULL, 'TIGR04379', 26165),
(26166, 'TIGR02650', NULL, 'RNase_Z_T_toga: ribonuclease Z, Thermotoga type', 277, NULL, 'TIGR02650', 26166),
(26167, 'TIGR01681', NULL, 'HAD-SF-IIIC: HAD phosphatase, family IIIC', 132, NULL, 'TIGR01681', 26167),
(26168, 'TIGR00560', NULL, 'pgsA: CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase', 183, NULL, 'TIGR00560', 26168),
(26169, 'TIGR03258', NULL, 'PhnT: 2-aminoethylphosphonate ABC transport system, ATP-binding component PhnT', 359, NULL, 'TIGR03258', 26169),
(26170, 'TIGR03709', NULL, 'PPK2_rel_1: polyphosphate:nucleotide phosphotransferase, PPK2 family', 264, NULL, 'TIGR03709', 26170),
(26171, 'TIGR02591', NULL, 'cas_Csh1: CRISPR-associated protein Cas8b/Csh1, subtype I-B/HMARI', 395, NULL, 'TIGR02591', 26171),
(26172, 'TIGR03771', NULL, 'anch_rpt_ABC: anchored repeat-type ABC transporter, ATP-binding subunit', 223, NULL, 'TIGR03771', 26172),
(26173, 'TIGR00167', NULL, 'cbbA: ketose-bisphosphate aldolase', 290, NULL, 'TIGR00167', 26173),
(26174, 'TIGR02427', NULL, 'protocat_pcaD: 3-oxoadipate enol-lactonase', 251, NULL, 'TIGR02427', 26174),
(26175, 'TIGR01953', NULL, 'NusA: transcription termination factor NusA', 340, NULL, 'TIGR01953', 26175),
(26176, 'TIGR00337', NULL, 'PyrG: CTP synthase', 526, NULL, 'TIGR00337', 26176),
(26177, 'TIGR02257', NULL, 'cobalto_cobN: cobaltochelatase, CobN subunit', 1226, NULL, 'TIGR02257', 26177),
(26178, 'TIGR02761', NULL, 'TraE_TIGR: type IV conjugative transfer system protein TraE', 181, NULL, 'TIGR02761', 26178),
(26179, 'TIGR02931', NULL, 'anfK_nitrog: Fe-only nitrogenase, beta subunit', 461, NULL, 'TIGR02931', 26179),
(26180, 'TIGR03428', NULL, 'ureacarb_perm: permease, urea carboxylase system', 475, NULL, 'TIGR03428', 26180),
(26181, 'TIGR00671', NULL, 'baf: pantothenate kinase, type III', 243, NULL, 'TIGR00671', 26181),
(26182, 'TIGR00609', NULL, 'recB: exodeoxyribonuclease V, beta subunit', 1175, NULL, 'TIGR00609', 26182),
(26183, 'TIGR03369', NULL, 'cellulose_bcsE: cellulose biosynthesis protein BcsE', 322, NULL, 'TIGR03369', 26183),
(26184, 'TIGR00730', NULL, 'TIGR00730: TIGR00730 family protein', 178, NULL, 'TIGR00730', 26184),
(26185, 'TIGR02078', NULL, 'AspKin_pair: putative Pyrococcus aspartate kinase subunit', 327, NULL, 'TIGR02078', 26185),
(26186, 'TIGR03097', NULL, 'PEP_O_lig_1: probable O-glycosylation ligase, exosortase A-associated', 408, NULL, 'TIGR03097', 26186),
(26187, 'TIGR03199', NULL, 'pucC: xanthine dehydrogenase C subunit', 264, NULL, 'TIGR03199', 26187),
(26188, 'TIGR01408', NULL, 'Ube1: ubiquitin-activating enzyme E1', 1008, NULL, 'TIGR01408', 26188),
(26189, 'TIGR00056', NULL, 'TIGR00056: ABC transport permease subunit', 260, NULL, 'TIGR00056', 26189);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26190, 'TIGR02529', NULL, 'EutJ: ethanolamine utilization protein EutJ family protein', 239, NULL, 'TIGR02529', 26190),
(26191, 'TIGR02922', NULL, 'TIGR02922: TIGR02922 family protein', 67, NULL, 'TIGR02922', 26191),
(26192, 'TIGR02752', NULL, 'MenG_heptapren: demethylmenaquinone methyltransferase', 231, NULL, 'TIGR02752', 26192),
(26193, 'TIGR04236', NULL, 'seadorna_VP2: seadornavirus VP2 protein', 953, NULL, 'TIGR04236', 26193),
(26194, 'TIGR03941', NULL, 'tRNA_deam_assoc: putative tRNA adenosine deaminase-associated protein', 156, NULL, 'TIGR03941', 26194),
(26195, 'TIGR04066', NULL, 'nat_prod_clost: peptide maturation system protein, TIGR04066 family', 361, NULL, 'TIGR04066', 26195),
(26196, 'TIGR02459', NULL, 'CbtB: cobalt transporter subunit CbtB (proposed)', 60, NULL, 'TIGR02459', 26196),
(26197, 'TIGR02248', NULL, 'mutH_TIGR: DNA mismatch repair endonuclease MutH', 217, NULL, 'TIGR02248', 26197),
(26198, 'TIGR04388', NULL, 'Lepto_longest: putative large structural protein', 1693, NULL, 'TIGR04388', 26198),
(26199, 'TIGR02629', NULL, 'L_rham_iso_rhiz: L-rhamnose catabolism isomerase', 412, NULL, 'TIGR02629', 26199),
(26200, 'TIGR01127', NULL, 'ilvA_1Cterm: threonine ammonia-lyase', 380, NULL, 'TIGR01127', 26200),
(26201, 'TIGR01690', NULL, 'ICE_RAQPRD: integrative conjugative element protein, RAQPRD family', 96, NULL, 'TIGR01690', 26201),
(26202, 'TIGR03226', NULL, 'PhnU: 2-aminoethylphosphonate ABC transporter, permease protein', 311, NULL, 'TIGR03226', 26202),
(26203, 'TIGR03730', NULL, 'tungstate_WtpA: tungstate ABC transporter binding protein WtpA', 275, NULL, 'TIGR03730', 26203),
(26204, 'TIGR02582', NULL, 'cas7_TM1809: CRISPR type III-A/MTUBE-associated RAMP protein Csm3', 203, NULL, 'TIGR02582', 26204),
(26205, 'TIGR03560', NULL, 'F420_Rv1855c: probable F420-dependent oxidoreductase, Rv1855c family', 227, NULL, 'TIGR03560', 26205),
(26206, 'TIGR01912', NULL, 'TatC-Arch: Sec-independent protein translocase TatC', 234, NULL, 'TIGR01912', 26206),
(26207, 'TIGR00378', NULL, 'cax: calcium/proton exchanger', 349, NULL, 'TIGR00378', 26207),
(26208, 'TIGR02720', NULL, 'pyruv_oxi_spxB: pyruvate oxidase', 575, NULL, 'TIGR02720', 26208),
(26209, 'TIGR00882', NULL, '2A0105: oligosaccharide:H+ symporter', 396, NULL, 'TIGR00882', 26209),
(26210, 'TIGR04558', NULL, 'SoxH_rel_PQQ_1: quinoprotein relay system zinc metallohydrolase 1', 285, NULL, 'TIGR04558', 26210),
(26211, 'TIGR03056', NULL, 'bchO_mg_che_rel: putative magnesium chelatase accessory protein', 278, NULL, 'TIGR03056', 26211),
(26212, 'TIGR03390', NULL, 'ascorbOXfungal: L-ascorbate oxidase', 538, NULL, 'TIGR03390', 26212),
(26213, 'TIGR01238', NULL, 'D1pyr5carbox3: delta-1-pyrroline-5-carboxylate dehydrogenase', 500, NULL, 'TIGR01238', 26213),
(26214, 'TIGR03115', NULL, 'cas7_csf2: CRISPR type IV/AFERR-associated protein Csf2', 344, NULL, 'TIGR03115', 26214),
(26215, 'TIGR01068', NULL, 'thioredoxin: thioredoxin', 101, NULL, 'TIGR01068', 26215),
(26216, 'TIGR03984', NULL, 'TIGR03984: CRISPR-associated protein, TIGR03984 family', 152, NULL, 'TIGR03984', 26216),
(26217, 'TIGR00099', NULL, 'Cof-subfamily: Cof-like hydrolase', 256, NULL, 'TIGR00099', 26217),
(26218, 'TIGR04127', NULL, 'flavo_near_exo: exosortase F-associated protein', 136, NULL, 'TIGR04127', 26218),
(26219, 'TIGR03158', NULL, 'cas3_cyano: CRISPR-associated helicase Cas3, subtype CYANO', 357, NULL, 'TIGR03158', 26219),
(26220, 'TIGR02003', NULL, 'PTS-II-BC-unk1: PTS system, IIBC component', 547, NULL, 'TIGR02003', 26220),
(26221, 'TIGR01499', NULL, 'folC: bifunctional protein FolC', 400, NULL, 'TIGR01499', 26221),
(26222, 'TIGR00460', NULL, 'fmt: methionyl-tRNA formyltransferase', 315, NULL, 'TIGR00460', 26222),
(26223, 'TIGR01894', NULL, 'cas_TM1795_cmr1: CRISPR type III-B/RAMP module RAMP protein Cmr1', 167, NULL, 'TIGR01894', 26223),
(26224, 'TIGR00097', NULL, 'HMP-P_kinase: hydroxymethylpyrimidine kinase/phosphomethylpyrimidine kinase', 254, NULL, 'TIGR00097', 26224);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26225, 'TIGR00290', NULL, 'MJ0570_dom: MJ0570-related uncharacterized domain', 223, NULL, 'TIGR00290', 26225),
(26226, 'TIGR00621', NULL, 'ssb: single-stranded DNA-binding protein', 166, NULL, 'TIGR00621', 26226),
(26227, 'TIGR02187', NULL, 'GlrX_arch: glutaredoxin-like domain protein', 216, NULL, 'TIGR02187', 26227),
(26228, 'TIGR03982', NULL, 'TIGR03982: His-Xaa-Ser system protein, TIGR03982 family', 117, NULL, 'TIGR03982', 26228),
(26229, 'TIGR02711', NULL, 'symport_actP: cation/acetate symporter ActP', 549, NULL, 'TIGR02711', 26229),
(26230, 'TIGR03437', NULL, 'Soli_cterm: Solibacter uncharacterized C-terminal domain', 225, NULL, 'TIGR03437', 26230),
(26231, 'TIGR01034', NULL, 'metK: methionine adenosyltransferase', 377, NULL, 'TIGR01034', 26231),
(26232, 'TIGR02189', NULL, 'GlrX-like_plant: glutaredoxin-like family', 99, NULL, 'TIGR02189', 26232),
(26233, 'TIGR03607', NULL, 'TIGR03607: patatin-related protein', 732, NULL, 'TIGR03607', 26233),
(26234, 'TIGR03319', NULL, 'RNase_Y: ribonuclease Y', 514, NULL, 'TIGR03319', 26234),
(26235, 'TIGR01204', NULL, 'bioW: 6-carboxyhexanoate--CoA ligase', 232, NULL, 'TIGR01204', 26235),
(26236, 'TIGR02359', NULL, 'thiW: energy coupling factor transporter S component ThiW', 160, NULL, 'TIGR02359', 26236),
(26237, 'TIGR00269', NULL, 'TIGR00269: TIGR00269 family protein', 104, NULL, 'TIGR00269', 26237),
(26238, 'TIGR02541', NULL, 'flagell_FlgJ: flagellar rod assembly protein/muramidase FlgJ', 294, NULL, 'TIGR02541', 26238),
(26239, 'TIGR03267', NULL, 'methan_mark_2: putative methanogenesis marker protein 2', 323, NULL, 'TIGR03267', 26239),
(26240, 'TIGR01669', NULL, 'phage_XkdX: phage uncharacterized protein, XkdX family', 45, NULL, 'TIGR01669', 26240),
(26241, 'TIGR03326', NULL, 'rubisco_III: ribulose bisphosphate carboxylase, type III', 426, NULL, 'TIGR03326', 26241),
(26242, 'TIGR01783', NULL, 'TonB-siderophor: TonB-dependent siderophore receptor', 649, NULL, 'TIGR01783', 26242),
(26243, 'TIGR01839', NULL, 'PHA_synth_II: poly(R)-hydroxyalkanoic acid synthase, class II', 560, NULL, 'TIGR01839', 26243),
(26244, 'TIGR03156', NULL, 'GTP_HflX: GTP-binding protein HflX', 351, NULL, 'TIGR03156', 26244),
(26245, 'TIGR03873', NULL, 'F420-0_ABC_ATP: proposed F420-0 ABC transporter, ATP-binding protein', 256, NULL, 'TIGR03873', 26245),
(26246, 'TIGR03047', NULL, 'PS_II_psb28: photosystem II reaction center protein Psb28', 109, NULL, 'TIGR03047', 26246),
(26247, 'TIGR00800', NULL, 'ncs1: NCS1 nucleoside transporter family', 447, NULL, 'TIGR00800', 26247),
(26248, 'TIGR04016', NULL, 'WcaB: colanic acid biosynthesis acetyltransferase WcaB', 146, NULL, 'TIGR04016', 26248),
(26249, 'TIGR02371', NULL, 'ala_DH_arch: alanine dehydrogenase', 325, NULL, 'TIGR02371', 26249),
(26250, 'TIGR00507', NULL, 'aroE: shikimate dehydrogenase', 270, NULL, 'TIGR00507', 26250),
(26251, 'TIGR00439', NULL, 'ftsX: putative protein insertion permease FtsX', 310, NULL, 'TIGR00439', 26251),
(26252, 'TIGR04134', NULL, 'lipo_with_rSAM: putative lipoprotein, rSAM/lipoprotein system', 150, NULL, 'TIGR04134', 26252),
(26253, 'TIGR02820', NULL, 'formald_GSH: S-(hydroxymethyl)glutathione synthase', 182, NULL, 'TIGR02820', 26253),
(26254, 'TIGR03975', NULL, 'rSAM_ocin_1: ribosomal peptide maturation radical SAM protein 1', 606, NULL, 'TIGR03975', 26254),
(26255, 'TIGR03510', NULL, 'XapX: XapX domain', 49, NULL, 'TIGR03510', 26255),
(26256, 'TIGR02822', NULL, 'adh_fam_2: zinc-binding alcohol dehydrogenase family protein', 329, NULL, 'TIGR02822', 26256),
(26257, 'TIGR00158', NULL, 'L9: ribosomal protein bL9', 148, NULL, 'TIGR00158', 26257),
(26258, 'TIGR01851', NULL, 'argC_other: N-acetyl-gamma-glutamyl-phosphate reductase', 310, NULL, 'TIGR01851', 26258),
(26259, 'TIGR03340', NULL, 'phn_DUF6: phosphonate utilization associated putative membrane protein', 281, NULL, 'TIGR03340', 26259),
(26260, 'TIGR01306', NULL, 'GMP_reduct_2: guanosine monophosphate reductase', 321, NULL, 'TIGR01306', 26260);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26261, 'TIGR03165', NULL, 'F1F0_chp_2: F1/F0 ATPase, Methanosarcina type, subunit 2', 83, NULL, 'TIGR03165', 26261),
(26262, 'TIGR04549', NULL, 'LP_HExxH_w_tonB: substrate import-associated zinc metallohydrolase lipoprotein', 261, NULL, 'TIGR04549', 26262),
(26263, 'TIGR03328', NULL, 'salvage_mtnB: methylthioribulose-1-phosphate dehydratase', 194, NULL, 'TIGR03328', 26263),
(26264, 'TIGR03170', NULL, 'flgA_cterm: flagella basal body P-ring formation protein FlgA', 137, NULL, 'TIGR03170', 26264),
(26265, 'TIGR03335', NULL, 'F390_ftsA: coenzyme F390 synthetase', 445, NULL, 'TIGR03335', 26265),
(26266, 'TIGR00276', NULL, 'TIGR00276: epoxyqueuosine reductase', 337, NULL, 'TIGR00276', 26266),
(26267, 'TIGR02808', NULL, 'short_TIGR02808: TIGR02808 family protein', 42, NULL, 'TIGR02808', 26267),
(26268, 'TIGR03217', NULL, '4OH_2_O_val_ald: 4-hydroxy-2-oxovalerate aldolase', 334, NULL, 'TIGR03217', 26268),
(26269, 'TIGR02357', NULL, 'ECF_ThiT_YuaJ: energy-coupled thiamine transporter ThiT', 183, NULL, 'TIGR02357', 26269),
(26270, 'TIGR02638', NULL, 'lactal_redase: lactaldehyde reductase', 379, NULL, 'TIGR02638', 26270),
(26271, 'TIGR00984', NULL, '3a0801s03tim44: mitochondrial import inner membrane, translocase subunit', 376, NULL, 'TIGR00984', 26271),
(26272, 'TIGR02298', NULL, 'HpaD_Fe: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', 284, NULL, 'TIGR02298', 26272),
(26273, 'TIGR02527', NULL, 'dot_icm_IcmQ: Dot/Icm secretion system protein IcmQ', 179, NULL, 'TIGR02527', 26273),
(26274, 'TIGR00630', NULL, 'uvra: excinuclease ABC subunit A', 924, NULL, 'TIGR00630', 26274),
(26275, 'TIGR01025', NULL, 'uS19_arch: ribosomal protein uS19', 135, NULL, 'TIGR01025', 26275),
(26276, 'TIGR02468', NULL, 'sucrsPsyn_pln: sucrose phosphate synthase', 1051, NULL, 'TIGR02468', 26276),
(26277, 'TIGR01844', NULL, 'type_I_sec_TolC: type I secretion outer membrane protein, TolC family', 414, NULL, 'TIGR01844', 26277),
(26278, 'TIGR03880', NULL, 'KaiC_arch_3: KaiC domain protein, AF_0351 family', 224, NULL, 'TIGR03880', 26278),
(26279, 'TIGR00875', NULL, 'fsa_talC_mipB: fructose-6-phosphate aldolase', 213, NULL, 'TIGR00875', 26279),
(26280, 'TIGR03451', NULL, 'mycoS_dep_FDH: S-(hydroxymethyl)mycothiol dehydrogenase', 358, NULL, 'TIGR03451', 26280),
(26281, 'TIGR00392', NULL, 'ileS: isoleucine--tRNA ligase', 861, NULL, 'TIGR00392', 26281),
(26282, 'TIGR01415', NULL, 'trpB_rel: pyridoxal-phosphate dependent TrpB-like enzyme', 419, NULL, 'TIGR01415', 26282),
(26283, 'TIGR02965', NULL, 'xanthine_xdhB: xanthine dehydrogenase, molybdopterin binding subunit', 758, NULL, 'TIGR02965', 26283),
(26284, 'TIGR03108', NULL, 'eps_aminotran_1: exosortase A system-associated amidotransferase 1', 628, NULL, 'TIGR03108', 26284),
(26285, 'TIGR03934', NULL, 'TQXA_dom: TQXA domain', 42, NULL, 'TIGR03934', 26285),
(26286, 'TIGR01361', NULL, 'DAHP_synth_Bsub: 3-deoxy-7-phosphoheptulonate synthase', 260, NULL, 'TIGR01361', 26286),
(26287, 'TIGR03054', NULL, 'photo_alph_chp1: putative photosynthetic complex assembly protein', 135, NULL, 'TIGR03054', 26287),
(26288, 'TIGR00410', NULL, 'lacE: PTS system, lactose/cellobiose family IIC component', 424, NULL, 'TIGR00410', 26288),
(26289, 'TIGR02849', NULL, 'spore_III_AD: stage III sporulation protein AD', 101, NULL, 'TIGR02849', 26289),
(26290, 'TIGR03689', NULL, 'pup_AAA: proteasome ATPase', 512, NULL, 'TIGR03689', 26290),
(26291, 'TIGR03818', NULL, 'MotA1: flagellar motor stator protein MotA', 282, NULL, 'TIGR03818', 26291),
(26292, 'TIGR00759', NULL, 'aceE: pyruvate dehydrogenase (acetyl-transferring), homodimeric type', 885, NULL, 'TIGR00759', 26292),
(26293, 'TIGR03764', NULL, 'ICE_PFGI_1_parB: integrating conjugative element, PFGI_1 class, ParB family protein', 260, NULL, 'TIGR03764', 26293),
(26294, 'TIGR00562', NULL, 'proto_IX_ox: protoporphyrinogen oxidase', 470, NULL, 'TIGR00562', 26294),
(26295, 'TIGR00929', NULL, 'VirB4_CagE: type IV secretion/conjugal transfer ATPase, VirB4 family', 792, NULL, 'TIGR00929', 26295);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26296, 'TIGR00991', NULL, '3a0901s02IAP34: GTP-binding protein', 313, NULL, 'TIGR00991', 26296),
(26297, 'TIGR00446', NULL, 'nop2p: NOL1/NOP2/sun family putative RNA methylase', 264, NULL, 'TIGR00446', 26297),
(26298, 'TIGR02214', NULL, 'spoVD_pbp: stage V sporulation protein D', 636, NULL, 'TIGR02214', 26298),
(26299, 'TIGR00219', NULL, 'mreC: rod shape-determining protein MreC', 283, NULL, 'TIGR00219', 26299),
(26300, 'TIGR03224', NULL, 'benzo_boxA: benzoyl-CoA oxygenase/reductase, BoxA protein', 411, NULL, 'TIGR03224', 26300),
(26301, 'TIGR03281', NULL, 'methan_mark_12: putative methanogenesis marker protein 12', 326, NULL, 'TIGR03281', 26301),
(26302, 'TIGR00124', NULL, 'cit_ly_ligase: [citrate (pro-3S)-lyase] ligase', 335, NULL, 'TIGR00124', 26302),
(26303, 'TIGR04291', NULL, 'arsen_driv_ArsA: arsenical pump-driving ATPase', 565, NULL, 'TIGR04291', 26303),
(26304, 'TIGR00616', NULL, 'rect: recombinase, phage RecT family', 242, NULL, 'TIGR00616', 26304),
(26305, 'TIGR02309', NULL, 'HpaB-1: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', 477, NULL, 'TIGR02309', 26305),
(26306, 'TIGR01191', NULL, 'ccmC: heme exporter protein CcmC', 184, NULL, 'TIGR01191', 26306),
(26307, 'TIGR03376', NULL, 'glycerol3P_DH: glycerol-3-phosphate dehydrogenase (NAD(+))', 342, NULL, 'TIGR03376', 26307),
(26308, 'TIGR03621', NULL, 'F420_MSMEG_2516: probable F420-dependent oxidoreductase, MSMEG_2516 family', 295, NULL, 'TIGR03621', 26308),
(26309, 'TIGR01286', NULL, 'nifK: nitrogenase molybdenum-iron protein beta chain', 516, NULL, 'TIGR01286', 26309),
(26310, 'TIGR01728', NULL, 'SsuA_fam: ABC transporter, substrate-binding protein, aliphatic sulfonates family', 290, NULL, 'TIGR01728', 26310),
(26311, 'TIGR01701', NULL, 'Fdhalpha-like: oxidoreductase alpha (molybdopterin) subunit', 744, NULL, 'TIGR01701', 26311),
(26312, 'TIGR02679', NULL, 'TIGR02679: TIGR02679 family protein', 382, NULL, 'TIGR02679', 26312),
(26313, 'TIGR04059', NULL, 'Ald_deCOase: long-chain fatty aldehyde decarbonylase', 220, NULL, 'TIGR04059', 26313),
(26314, 'TIGR04229', NULL, 'geopeptide: putative radical SAM-modified peptide', 22, NULL, 'TIGR04229', 26314),
(26315, 'TIGR01531', NULL, 'glyc_debranch: glycogen debranching enzyme', 1443, NULL, 'TIGR01531', 26315),
(26316, 'TIGR01996', NULL, 'PTS-II-BC-sucr: PTS system, sucrose-specific IIBC component', 461, NULL, 'TIGR01996', 26316),
(26317, 'TIGR00049', NULL, 'TIGR00049: iron-sulfur cluster assembly accessory protein', 106, NULL, 'TIGR00049', 26317),
(26318, 'TIGR04304', NULL, 'GeoRSP_SPASM: GeoRSP system SPASM domain protein', 293, NULL, 'TIGR04304', 26318),
(26319, 'TIGR02139', NULL, 'permease_CysT: sulfate ABC transporter, permease protein CysT', 265, NULL, 'TIGR02139', 26319),
(26320, 'TIGR02870', NULL, 'spore_II_D: stage II sporulation protein D', 338, NULL, 'TIGR02870', 26320),
(26321, 'TIGR04461', NULL, 'endura_MppQ: enduracididine biosynthesis enzyme MppQ', 392, NULL, 'TIGR04461', 26321),
(26322, 'TIGR02425', NULL, 'decarb_PcaC: 4-carboxymuconolactone decarboxylase', 123, NULL, 'TIGR02425', 26322),
(26323, 'TIGR02044', NULL, 'CueR: Cu(I)-responsive transcriptional regulator', 127, NULL, 'TIGR02044', 26323),
(26324, 'TIGR02924', NULL, 'ICDH_alpha: isocitrate dehydrogenase', 473, NULL, 'TIGR02924', 26324),
(26325, 'TIGR03546', NULL, 'TIGR03546: TIGR03546 family protein', 154, NULL, 'TIGR03546', 26325),
(26326, 'TIGR04563', NULL, 'TIGR04563: MXAN_4361/MXAN_4362 family small protein', 53, NULL, 'TIGR04563', 26326),
(26327, 'TIGR00589', NULL, 'ogt: methylated-DNA--[protein]-cysteine S-methyltransferase', 80, NULL, 'TIGR00589', 26327),
(26328, 'TIGR04080', NULL, 'rSAM_pep_cyc: KxxxW cyclic peptide radical SAM maturase', 440, NULL, 'TIGR04080', 26328),
(26329, 'TIGR04447', NULL, 'PatC_TenC_TruC: cyanobactin cluster PatC/TenC/TruC protein', 34, NULL, 'TIGR04447', 26329),
(26330, 'TIGR04393', NULL, 'rpt_T5SS_PEPC: T5SS/PEP-CTERM-associated repeat', 49, NULL, 'TIGR04393', 26330);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26331, 'TIGR01388', NULL, 'rnd: ribonuclease D', 363, NULL, 'TIGR01388', 26331),
(26332, 'TIGR03594', NULL, 'GTPase_EngA: ribosome-associated GTPase EngA', 432, NULL, 'TIGR03594', 26332),
(26333, 'TIGR00732', NULL, 'dprA: DNA protecting protein DprA', 220, NULL, 'TIGR00732', 26333),
(26334, 'TIGR01558', NULL, 'sm_term_P27: putative phage terminase, small subunit, P27 family', 116, NULL, 'TIGR01558', 26334),
(26335, 'TIGR01075', NULL, 'uvrD: DNA helicase II', 715, NULL, 'TIGR01075', 26335),
(26336, 'TIGR02577', NULL, 'cas_TM1794_Cmr2: CRISPR-associated protein Cas10/Cmr2, subtype III-B', 510, NULL, 'TIGR02577', 26336),
(26337, 'TIGR03723', NULL, 'T6A_TsaD_YgjD: tRNA threonylcarbamoyl adenosine modification protein TsaD', 314, NULL, 'TIGR03723', 26337),
(26338, 'TIGR02693', NULL, 'arsenite_ox_L: arsenite oxidase, large subunit', 806, NULL, 'TIGR02693', 26338),
(26339, 'TIGR02602', NULL, '8TM_EpsH: exosortase', 241, NULL, 'TIGR02602', 26339),
(26340, 'TIGR01245', NULL, 'trpD: anthranilate phosphoribosyltransferase', 330, NULL, 'TIGR01245', 26340),
(26341, 'TIGR02747', NULL, 'TraV: type IV conjugative transfer system protein TraV', 145, NULL, 'TIGR02747', 26341),
(26342, 'TIGR00718', NULL, 'sda_alpha: L-serine dehydratase, iron-sulfur-dependent, alpha subunit', 300, NULL, 'TIGR00718', 26342),
(26343, 'TIGR04250', NULL, 'SCM_rSAM_ScmE: SynChlorMet cassette radical SAM/SPASM protein ScmE', 358, NULL, 'TIGR04250', 26343),
(26344, 'TIGR00902', NULL, '2A0127: MFS transporter, phenyl propionate permease (PPP) family', 388, NULL, 'TIGR00902', 26344),
(26345, 'TIGR00240', NULL, 'ATCase_reg: aspartate carbamoyltransferase, regulatory subunit', 150, NULL, 'TIGR00240', 26345),
(26346, 'TIGR01572', NULL, 'A_thl_para_3677: Arabidopsis paralogous family TIGR01572', 265, NULL, 'TIGR01572', 26346),
(26347, 'TIGR00070', NULL, 'hisG: ATP phosphoribosyltransferase', 183, NULL, 'TIGR00070', 26347),
(26348, 'TIGR02085', NULL, 'meth_trns_rumB: 23S rRNA (uracil-5-)-methyltransferase RumB', 374, NULL, 'TIGR02085', 26348),
(26349, 'TIGR01742', NULL, 'SA_tandem_lipo: Staphylococcus tandem lipoproteins', 255, NULL, 'TIGR01742', 26349),
(26350, 'TIGR04420', NULL, 'Sec_Non_Glob: Sec region non-globular protein', 243, NULL, 'TIGR04420', 26350),
(26351, 'TIGR04073', NULL, 'exo_TIGR04073: putative exosortase-associated protein, TIGR04073 family', 75, NULL, 'TIGR04073', 26351),
(26352, 'TIGR02432', NULL, 'lysidine_TilS_N: tRNA(Ile)-lysidine synthetase', 189, NULL, 'TIGR02432', 26352),
(26353, 'TIGR03006', NULL, 'pepcterm_polyde: polysaccharide deacetylase family protein, PEP-CTERM locus subfamily', 272, NULL, 'TIGR03006', 26353),
(26354, 'TIGR02863', NULL, 'spore_sspJ: small, acid-soluble spore protein, SspJ family', 47, NULL, 'TIGR02863', 26354),
(26355, 'TIGR00494', NULL, 'crcB: protein CrcB', 117, NULL, 'TIGR00494', 26355),
(26356, 'TIGR00827', NULL, 'EIIC-GAT: PTS system, galactitol-specific IIC component', 407, NULL, 'TIGR00827', 26356),
(26357, 'TIGR04522', NULL, 'EcfS_MSC_0063: putative energy coupling factor transporter S component', 152, NULL, 'TIGR04522', 26357),
(26358, 'TIGR00773', NULL, 'NhaA: Na+/H+ antiporter NhaA', 374, NULL, 'TIGR00773', 26358),
(26359, 'TIGR03587', NULL, 'Pse_Me-ase: pseudaminic acid biosynthesis-associated methylase', 204, NULL, 'TIGR03587', 26359),
(26360, 'TIGR02037', NULL, 'degP_htrA_DO: peptidase Do', 434, NULL, 'TIGR02037', 26360),
(26361, 'TIGR00548', NULL, 'lolB: outer membrane lipoprotein LolB', 202, NULL, 'TIGR00548', 26361),
(26362, 'TIGR04406', NULL, 'LPS_export_lptB: LPS export ABC transporter ATP-binding protein', 239, NULL, 'TIGR04406', 26362),
(26363, 'TIGR01347', NULL, 'sucB: dihydrolipoyllysine-residue succinyltransferase, E2 component of oxoglutarate dehydrogenase (succinyl-transferring) complex', 404, NULL, 'TIGR01347', 26363),
(26364, 'TIGR03383', NULL, 'urate_oxi: urate oxidase', 283, NULL, 'TIGR03383', 26364),
(26365, 'TIGR03122', NULL, 'one_C_dehyd_C: formylmethanofuran dehydrogenase subunit C', 260, NULL, 'TIGR03122', 26365);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26366, 'TIGR04352', NULL, 'HprK_rel_A: HprK-related kinase A', 280, NULL, 'TIGR04352', 26366),
(26367, 'TIGR01293', NULL, 'Kv_beta: voltage-dependent potassium channel beta subunit', 319, NULL, 'TIGR01293', 26367),
(26368, 'TIGR04277', NULL, 'squa_tetra_cyc: tetrahymanol synthase', 624, NULL, 'TIGR04277', 26368),
(26369, 'TIGR01517', NULL, 'ATPase-IIB_Ca: calcium-translocating P-type ATPase, PMCA-type', 882, NULL, 'TIGR01517', 26369),
(26370, 'TIGR03553', NULL, 'F420_FbiB_CTERM: F420 biosynthesis protein FbiB, C-terminal domain', 194, NULL, 'TIGR03553', 26370),
(26371, 'TIGR00117', NULL, 'acnB: aconitate hydratase 2', 844, NULL, 'TIGR00117', 26371),
(26372, 'TIGR01463', NULL, 'mtaA_cmuA: methyltransferase, MtaA/CmuA family', 340, NULL, 'TIGR01463', 26372),
(26373, 'TIGR03716', NULL, 'R_switched_YkoY: integral membrane protein, YkoY family', 220, NULL, 'TIGR03716', 26373),
(26374, 'TIGR00664', NULL, 'DNA_III_psi: DNA polymerase III, psi subunit', 131, NULL, 'TIGR00664', 26374),
(26375, 'TIGR02788', NULL, 'VirB11: P-type DNA transfer ATPase VirB11', 308, NULL, 'TIGR02788', 26375),
(26376, 'TIGR01633', NULL, 'phi3626_gp14_N: putative phage tail component, N-terminal domain', 123, NULL, 'TIGR01633', 26376),
(26377, 'TIGR02207', NULL, 'lipid_A_htrB: lipid A biosynthesis lauroyl (or palmitoleoyl) acyltransferase', 303, NULL, 'TIGR02207', 26377),
(26378, 'TIGR02316', NULL, 'propion_prpE: propionate--CoA ligase', 628, NULL, 'TIGR02316', 26378),
(26379, 'TIGR00943', NULL, '2a6301s02: monovalent cation:proton antiporter', 107, NULL, 'TIGR00943', 26379),
(26380, 'TIGR01354', NULL, 'cyt_deam_tetra: cytidine deaminase', 126, NULL, 'TIGR01354', 26380),
(26381, 'TIGR01184', NULL, 'ntrCD: nitrate ABC transporter, ATP-binding proteins C and D', 230, NULL, 'TIGR01184', 26381),
(26382, 'TIGR01626', NULL, 'ytfJ_HI0045: conserved hypothetical protein YtfJ-family, TIGR01626', 184, NULL, 'TIGR01626', 26382),
(26383, 'TIGR01456', NULL, 'CECR5: HAD hydrolase, TIGR01456 family', 321, NULL, 'TIGR01456', 26383),
(26384, 'TIGR01989', NULL, 'COQ6: ubiquinone biosynthesis monooxygenase COQ6', 437, NULL, 'TIGR01989', 26384),
(26385, 'TIGR03492', NULL, 'TIGR03492: conserved hypothetical protein', 396, NULL, 'TIGR03492', 26385),
(26386, 'TIGR00008', NULL, 'infA: translation initiation factor IF-1', 69, NULL, 'TIGR00008', 26386),
(26387, 'TIGR00834', NULL, 'ae: anion exchange protein', 900, NULL, 'TIGR00834', 26387),
(26388, 'TIGR00780', NULL, 'ccoN: cytochrome c oxidase, cbb3-type, subunit I', 474, NULL, 'TIGR00780', 26388),
(26389, 'TIGR04515', NULL, 'P450_rel_GT_act: P450-derived glycosyltranferase activator', 386, NULL, 'TIGR04515', 26389),
(26390, 'TIGR04168', NULL, 'TIGR04168: TIGR04168 family protein', 269, NULL, 'TIGR04168', 26390),
(26391, 'TIGR01803', NULL, 'CM-like: chorismate mutase related enzymes', 82, NULL, 'TIGR01803', 26391),
(26392, 'TIGR01524', NULL, 'ATPase-IIIB_Mg: magnesium-translocating P-type ATPase', 867, NULL, 'TIGR01524', 26392),
(26393, 'TIGR03013', NULL, 'EpsB_2: sugar transferase, PEP-CTERM system associated', 443, NULL, 'TIGR03013', 26393),
(26394, 'TIGR00022', NULL, 'TIGR00022: YhcH/YjgK/YiaL family protein', 155, NULL, 'TIGR00022', 26394),
(26395, 'TIGR03648', NULL, 'Na_symport_lg: probable sodium:solute symporter, VC_2705 subfamily', 547, NULL, 'TIGR03648', 26395),
(26396, 'TIGR02146', NULL, 'LysS_fung_arch: homocitrate synthase', 344, NULL, 'TIGR02146', 26396),
(26397, 'TIGR01177', NULL, 'TIGR01177: putative methyltransferase, TIGR01177 family', 330, NULL, 'TIGR01177', 26397),
(26398, 'TIGR02323', NULL, 'CP_lyasePhnK: phosphonate C-P lyase system protein PhnK', 239, NULL, 'TIGR02323', 26398),
(26399, 'TIGR03825', NULL, 'FliH_bacil: flagellar assembly protein FliH', 255, NULL, 'TIGR03825', 26399),
(26400, 'TIGR03478', NULL, 'DMSO_red_II_bet: DMSO reductase family type II enzyme, iron-sulfur subunit', 321, NULL, 'TIGR03478', 26400),
(26401, 'TIGR00487', NULL, 'IF-2: translation initiation factor IF-2', 587, NULL, 'TIGR00487', 26401);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26402, 'TIGR04182', NULL, 'glyco_TIGR04182: glycosyltransferase, TIGR04182 family', 293, NULL, 'TIGR04182', 26402),
(26403, 'TIGR00950', NULL, '2A78: carboxylate/amino acid/amine transporter', 264, NULL, 'TIGR00950', 26403),
(26404, 'TIGR04338', NULL, 'HEXXH_Rv0185: putative metallohydrolase, TIGR04338 family', 161, NULL, 'TIGR04338', 26404),
(26405, 'TIGR00657', NULL, 'asp_kinases: aspartate kinase', 442, NULL, 'TIGR00657', 26405),
(26406, 'TIGR03662', NULL, 'Chlor_Arch_YYY: chlor_Arch_YYY domain', 727, NULL, 'TIGR03662', 26406),
(26407, 'TIGR01640', NULL, 'F_box_assoc_1: F-box protein interaction domain', 232, NULL, 'TIGR01640', 26407),
(26408, 'TIGR02153', NULL, 'gatD_arch: glutamyl-tRNA(Gln) amidotransferase, subunit D', 405, NULL, 'TIGR02153', 26408),
(26409, 'TIGR03655', NULL, 'anti_R_Lar: restriction alleviation protein, Lar family', 55, NULL, 'TIGR03655', 26409),
(26410, 'TIGR02500', NULL, 'type_III_yscD: type III secretion apparatus protein, YscD/HrpQ family', 413, NULL, 'TIGR02500', 26410),
(26411, 'TIGR02795', NULL, 'tol_pal_ybgF: tol-pal system protein YbgF', 119, NULL, 'TIGR02795', 26411),
(26412, 'TIGR04175', NULL, 'archaeo_artD: archaeosortase D', 150, NULL, 'TIGR04175', 26412),
(26413, 'TIGR01470', NULL, 'cysG_Nterm: siroheme synthase, N-terminal domain', 205, NULL, 'TIGR01470', 26413),
(26414, 'TIGR03832', NULL, 'Tyr_2_3_mutase: tyrosine 2,3-aminomutase', 507, NULL, 'TIGR03832', 26414),
(26415, 'TIGR02330', NULL, 'prpD: 2-methylcitrate dehydratase', 468, NULL, 'TIGR02330', 26415),
(26416, 'TIGR03020', NULL, 'EpsA: transcriptional regulator EpsA', 247, NULL, 'TIGR03020', 26416),
(26417, 'TIGR03485', NULL, 'cas_csx13_N: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype', 316, NULL, 'TIGR03485', 26417),
(26418, 'TIGR02972', NULL, 'TMAO_torE: trimethylamine N-oxide reductase system, TorE protein', 49, NULL, 'TIGR02972', 26418),
(26419, 'TIGR02160', NULL, 'PA_CoA_Oxy5: phenylacetate-CoA oxygenase/reductase, PaaK subunit', 352, NULL, 'TIGR02160', 26419),
(26420, 'TIGR04345', NULL, 'ovoA_Cterm: putative 4-mercaptohistidine N1-methyltranferase', 242, NULL, 'TIGR04345', 26420),
(26421, 'TIGR04214', NULL, 'CSLREA_Nterm: CSLREA domain', 27, NULL, 'TIGR04214', 26421),
(26422, 'TIGR00081', NULL, 'purC: phosphoribosylaminoimidazolesuccinocarboxamide synthase', 279, NULL, 'TIGR00081', 26422),
(26423, 'TIGR01893', NULL, 'aa-his-dipept: Xaa-His dipeptidase', 478, NULL, 'TIGR01893', 26423),
(26424, 'TIGR04454', NULL, 'Lepto_4Cys: small lipoprotein, LB_250 family', 92, NULL, 'TIGR04454', 26424),
(26425, 'TIGR03816', NULL, 'tadE_like_DECH: helicase/secretion neighborhood TadE-like protein', 109, NULL, 'TIGR03816', 26425),
(26426, 'TIGR01606', NULL, 'holin_BlyA: holin, BlyA family', 63, NULL, 'TIGR01606', 26426),
(26427, 'TIGR02004', NULL, 'PTS-IIBC-malX: PTS system, maltose and glucose-specific IIBC component', 517, NULL, 'TIGR02004', 26427),
(26428, 'TIGR04261', NULL, 'rSAM_GlyRichRpt: radical SAM/SPASM domain protein, GRRM system', 363, NULL, 'TIGR04261', 26428),
(26429, 'TIGR02244', NULL, 'HAD-IG-Ncltidse: HAD superfamily (subfamily IG) hydrolase, 5''-nucleotidase', 343, NULL, 'TIGR02244', 26429),
(26430, 'TIGR04398', NULL, 'SLAP_DUP: SLAP domain', 125, NULL, 'TIGR04398', 26430),
(26431, 'TIGR00274', NULL, 'TIGR00274: N-acetylmuramic acid 6-phosphate etherase', 291, NULL, 'TIGR00274', 26431),
(26432, 'TIGR04158', NULL, 'rSAM_MIA_synth: 3-methyl-2-indolic acid synthase', 368, NULL, 'TIGR04158', 26432),
(26433, 'TIGR03623', NULL, 'TIGR03623: probable DNA repair protein', 876, NULL, 'TIGR03623', 26433),
(26434, 'TIGR01846', NULL, 'type_I_sec_HlyB: type I secretion system ATPase', 694, NULL, 'TIGR01846', 26434),
(26435, 'TIGR01653', NULL, 'lactococcin_972: bacteriocin, lactococcin 972 family', 97, NULL, 'TIGR01653', 26435),
(26436, 'TIGR02051', NULL, 'MerR: Hg(II)-responsive transcriptional regulator', 124, NULL, 'TIGR02051', 26436),
(26437, 'TIGR03075', NULL, 'PQQ_enz_alc_DH: PQQ-dependent dehydrogenase, methanol/ethanol family', 530, NULL, 'TIGR03075', 26437);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26438, 'TIGR01357', NULL, 'aroB: 3-dehydroquinate synthase', 344, NULL, 'TIGR01357', 26438),
(26439, 'TIGR03430', NULL, 'trp_dimet_allyl: tryptophan dimethylallyltransferase', 419, NULL, 'TIGR03430', 26439),
(26440, 'TIGR01220', NULL, 'Pmev_kin_Gr_pos: phosphomevalonate kinase', 358, NULL, 'TIGR01220', 26440),
(26441, 'TIGR02437', NULL, 'FadB: fatty oxidation complex, alpha subunit FadB', 714, NULL, 'TIGR02437', 26441),
(26442, 'TIGR03670', NULL, 'rpoB_arch: DNA-directed RNA polymerase subunit B', 599, NULL, 'TIGR03670', 26442),
(26443, 'TIGR02780', NULL, 'TrbJ_Ti: P-type conjugative transfer protein TrbJ', 253, NULL, 'TIGR02780', 26443),
(26444, 'TIGR00822', NULL, 'EII-Sor: PTS system, mannose/fructose/sorbose family, IIC component', 267, NULL, 'TIGR00822', 26444),
(26445, 'TIGR00330', NULL, 'glpX: fructose-1,6-bisphosphatase, class II', 334, NULL, 'TIGR00330', 26445),
(26446, 'TIGR00959', NULL, 'ffh: signal recognition particle protein', 428, NULL, 'TIGR00959', 26446),
(26447, 'TIGR01597', NULL, 'PYST-B: Plasmodium yoelii subtelomeric family PYST-B', 256, NULL, 'TIGR01597', 26447),
(26448, 'TIGR03028', NULL, 'EpsE: polysaccharide export protein EpsE', 239, NULL, 'TIGR03028', 26448),
(26449, 'TIGR00766', NULL, 'TIGR00766: inner membrane protein YhjD', 263, NULL, 'TIGR00766', 26449),
(26450, 'TIGR01164', NULL, 'rplP_bact: ribosomal protein uL16', 126, NULL, 'TIGR01164', 26450),
(26451, 'TIGR02188', NULL, 'Ac_CoA_lig_AcsA: acetate--CoA ligase', 629, NULL, 'TIGR02188', 26451),
(26452, 'TIGR01161', NULL, 'purK: phosphoribosylaminoimidazole carboxylase, ATPase subunit', 362, NULL, 'TIGR01161', 26452),
(26453, 'TIGR03863', NULL, 'PQQ_ABC_bind: ABC transporter, substrate binding protein, PQQ-dependent alcohol dehydrogenase system', 347, NULL, 'TIGR03863', 26453),
(26454, 'TIGR04510', NULL, 'mod_pep_cyc: putative peptide modification system cyclase', 814, NULL, 'TIGR04510', 26454),
(26455, 'TIGR01413', NULL, 'Dyp_perox_fam: Dyp-type peroxidase family', 323, NULL, 'TIGR01413', 26455),
(26456, 'TIGR00763', NULL, 'lon: endopeptidase La', 795, NULL, 'TIGR00763', 26456),
(26457, 'TIGR04099', NULL, 'biosn_Pnap_2097: probable biosynthetic protein, Pnap_2097 family', 259, NULL, 'TIGR04099', 26457),
(26458, 'TIGR03134', NULL, 'malonate_gamma: biotin-independent malonate decarboxylase, gamma subunit', 258, NULL, 'TIGR03134', 26458),
(26459, 'TIGR00523', NULL, 'eIF-1A: translation initiation factor eIF-1A', 98, NULL, 'TIGR00523', 26459),
(26460, 'TIGR00573', NULL, 'dnaq: exonuclease, DNA polymerase III, epsilon subunit family', 217, NULL, 'TIGR00573', 26460),
(26461, 'TIGR01114', NULL, 'mtrH: N5-methyltetrahydromethanopterin:coenzyme M methyltransferase subunit H', 314, NULL, 'TIGR01114', 26461),
(26462, 'TIGR03324', NULL, 'alt_F1F0_F1_al: alternate F1F0 ATPase, F1 subunit alpha', 497, NULL, 'TIGR03324', 26462),
(26463, 'TIGR04513', NULL, 'VPAMP_CTERM: VPAMP-CTERM protein sorting domain', 28, NULL, 'TIGR04513', 26463),
(26464, 'TIGR02976', NULL, 'phageshock_pspB: phage shock protein B', 75, NULL, 'TIGR02976', 26464),
(26465, 'TIGR03181', NULL, 'PDH_E1_alph_x: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', 341, NULL, 'TIGR03181', 26465),
(26466, 'TIGR01905', NULL, 'paired_CXXCH_1: doubled CXXCH domain', 41, NULL, 'TIGR01905', 26466),
(26467, 'TIGR01298', NULL, 'RNaseT: ribonuclease T', 200, NULL, 'TIGR01298', 26467),
(26468, 'TIGR03371', NULL, 'cellulose_yhjQ: cellulose synthase operon protein YhjQ', 246, NULL, 'TIGR03371', 26468),
(26469, 'TIGR00333', NULL, 'nrdI: nrdI protein', 127, NULL, 'TIGR00333', 26469),
(26470, 'TIGR04395', NULL, 'cutC_activ_rSAM: choline TMA-lyase-activating enzyme', 309, NULL, 'TIGR04395', 26470),
(26471, 'TIGR00719', NULL, 'sda_beta: L-serine dehydratase, iron-sulfur-dependent, beta subunit', 208, NULL, 'TIGR00719', 26471),
(26472, 'TIGR00909', NULL, '2A0306: amino acid transporter', 429, NULL, 'TIGR00909', 26472),
(26473, 'TIGR00037', NULL, 'eIF_5A: translation elongation factor IF5A', 130, NULL, 'TIGR00037', 26473);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26474, 'TIGR00227', NULL, 'ribD_Cterm: riboflavin-specific deaminase C-terminal domain', 216, NULL, 'TIGR00227', 26474),
(26475, 'TIGR02110', NULL, 'PQQ_syn_pqqF: coenzyme PQQ biosynthesis protein PqqF', 697, NULL, 'TIGR02110', 26475),
(26476, 'TIGR02929', NULL, 'anfG_nitrog: Fe-only nitrogenase, delta subunit', 109, NULL, 'TIGR02929', 26476),
(26477, 'TIGR03757', NULL, 'conj_TIGR03757: integrating conjugative element protein, PFL_4709 family', 113, NULL, 'TIGR03757', 26477),
(26478, 'TIGR02300', NULL, 'FYDLN_acid: TIGR02300 family protein', 129, NULL, 'TIGR02300', 26478),
(26479, 'TIGR01952', NULL, 'nusA_arch: NusA family KH domain protein, archaeal', 141, NULL, 'TIGR01952', 26479),
(26480, 'TIGR01650', NULL, 'PD_CobS: cobaltochelatase, CobS subunit', 327, NULL, 'TIGR01650', 26480),
(26481, 'TIGR04217', NULL, 'archae_ser_T: archaetidylserine synthase', 221, NULL, 'TIGR04217', 26481),
(26482, 'TIGR01460', NULL, 'HAD-SF-IIA: HAD hydrolase, family IIA', 246, NULL, 'TIGR01460', 26482),
(26483, 'TIGR04348', NULL, 'TIGR04348: putative glycosyltransferase, TIGR04348 family', 310, NULL, 'TIGR04348', 26483),
(26484, 'TIGR04021', NULL, 'LLM_DMSO2_sfnG: dimethyl sulfone monooxygenase SfnG', 350, NULL, 'TIGR04021', 26484),
(26485, 'TIGR02484', NULL, 'CitB: CitB domain protein', 372, NULL, 'TIGR02484', 26485),
(26486, 'TIGR04407', NULL, 'LptF_YjgP: LPS export ABC transporter permease LptF', 347, NULL, 'TIGR04407', 26486),
(26487, 'TIGR03626', NULL, 'L3_arch: ribosomal protein uL3', 331, NULL, 'TIGR03626', 26487),
(26488, 'TIGR02543', NULL, 'List_Bact_rpt: repeat, TIGR02543 family', 44, NULL, 'TIGR02543', 26488),
(26489, 'TIGR02733', NULL, 'desat_CrtD: C-3'',4'' desaturase CrtD', 492, NULL, 'TIGR02733', 26489),
(26490, 'TIGR03567', NULL, 'FMN_reduc_SsuE: FMN reductase', 171, NULL, 'TIGR03567', 26490),
(26491, 'TIGR00031', NULL, 'UDP-GALP_mutase: UDP-galactopyranose mutase', 378, NULL, 'TIGR00031', 26491),
(26492, 'TIGR03673', NULL, 'uL14_arch: 50S ribosomal protein uL14', 131, NULL, 'TIGR03673', 26492),
(26493, 'TIGR00271', NULL, 'TIGR00271: uncharacterized hydrophobic domain', 175, NULL, 'TIGR00271', 26493),
(26494, 'TIGR02138', NULL, 'phosphate_pstC: phosphate ABC transporter, permease protein PstC', 296, NULL, 'TIGR02138', 26494),
(26495, 'TIGR03866', NULL, 'PQQ_ABC_repeats: PQQ-dependent catabolism-associated beta-propeller protein', 310, NULL, 'TIGR03866', 26495),
(26496, 'TIGR04264', NULL, 'hyperosmo_Ebh: hyperosmolarity resistance protein Ebh', 2354, NULL, 'TIGR04264', 26496),
(26497, 'TIGR02241', NULL, 'TIGR02241: conserved hypothetical phage tail region protein', 141, NULL, 'TIGR02241', 26497),
(26498, 'TIGR01167', NULL, 'LPXTG_anchor: LPXTG cell wall anchor domain', 34, NULL, 'TIGR01167', 26498),
(26499, 'TIGR01547', NULL, 'phage_term_2: phage terminase, large subunit, PBSX family', 396, NULL, 'TIGR01547', 26499),
(26500, 'TIGR02185', NULL, 'Trep_Strep: putative ECF transporter S component, Trep_Strep family', 188, NULL, 'TIGR02185', 26500),
(26501, 'TIGR04320', NULL, 'Surf_Exclu_PgrA: SEC10/PgrA surface exclusion domain', 360, NULL, 'TIGR04320', 26501),
(26502, 'TIGR01030', NULL, 'rpmH_bact: ribosomal protein bL34', 44, NULL, 'TIGR01030', 26502),
(26503, 'TIGR03137', NULL, 'AhpC: peroxiredoxin', 187, NULL, 'TIGR03137', 26503),
(26504, 'TIGR01849', NULL, 'PHB_depoly_PhaZ: polyhydroxyalkanoate depolymerase, intracellular', 406, NULL, 'TIGR01849', 26504),
(26505, 'TIGR04108', NULL, 'HutX: putative heme utilization carrier protein HutX', 154, NULL, 'TIGR04108', 26505),
(26506, 'TIGR00380', NULL, 'cobD: cobalamin biosynthesis protein CobD', 305, NULL, 'TIGR00380', 26506),
(26507, 'TIGR00769', NULL, 'AAA: ADP/ATP carrier protein family', 472, NULL, 'TIGR00769', 26507),
(26508, 'TIGR01787', NULL, 'squalene_cyclas: squalene/oxidosqualene cyclases', 622, NULL, 'TIGR01787', 26508),
(26509, 'TIGR00632', NULL, 'vsr: DNA mismatch endonuclease Vsr', 119, NULL, 'TIGR00632', 26509),
(26510, 'TIGR01410', NULL, 'tatB: twin arginine-targeting protein translocase TatB', 80, NULL, 'TIGR01410', 26510);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26511, 'TIGR02001', NULL, 'gcw_chp: conserved hypothetical protein', 244, NULL, 'TIGR02001', 26511),
(26512, 'TIGR00576', NULL, 'dut: dUTP diphosphatase', 143, NULL, 'TIGR00576', 26512),
(26513, 'TIGR00897', NULL, '2A0118: polyol permease', 402, NULL, 'TIGR00897', 26513),
(26514, 'TIGR01223', NULL, 'Pmev_kin_anim: phosphomevalonate kinase', 185, NULL, 'TIGR01223', 26514),
(26515, 'TIGR01603', NULL, 'maj_tail_phi13: phage major tail protein, phi13 family', 190, NULL, 'TIGR01603', 26515),
(26516, 'TIGR02378', NULL, 'nirD_assim_sml: nitrite reductase [NAD(P)H], small subunit', 105, NULL, 'TIGR02378', 26516),
(26517, 'TIGR00956', NULL, '3a01205: pleiotropic drug resistance family protein', 1394, NULL, 'TIGR00956', 26517),
(26518, 'TIGR04049', NULL, 'AIR_rel_sll0787: AIR synthase-related protein, sll0787 family', 318, NULL, 'TIGR04049', 26518),
(26519, 'TIGR02593', NULL, 'CRISPR_cas5: CRISPR-associated protein Cas5', 43, NULL, 'TIGR02593', 26519),
(26520, 'TIGR01351', NULL, 'adk: adenylate kinase', 212, NULL, 'TIGR01351', 26520),
(26521, 'TIGR02546', NULL, 'III_secr_ATP: type III secretion apparatus H+-transporting two-sector ATPase', 423, NULL, 'TIGR02546', 26521),
(26522, 'TIGR02926', NULL, 'AhaH: ATP synthase archaeal, H subunit', 85, NULL, 'TIGR02926', 26522),
(26523, 'TIGR01908', NULL, 'cas_CXXC_CXXC: CRISPR-associated protein Cas8b1/Cst1, subtype I-B/TNEAP', 308, NULL, 'TIGR01908', 26523),
(26524, 'TIGR03564', NULL, 'F420_MSMEG_4879: F420-dependent oxidoreductase, MSMEG_4879 family', 265, NULL, 'TIGR03564', 26524),
(26525, 'TIGR03925', NULL, 'T7SS_EccC_b: type VII secretion protein EccCb', 564, NULL, 'TIGR03925', 26525),
(26526, 'TIGR01594', NULL, 'holin_lambda: phage holin, lambda family', 107, NULL, 'TIGR01594', 26526),
(26527, 'TIGR03078', NULL, 'CH4_NH3mon_ox_C: methane monooxygenase/ammonia monooxygenase, subunit C', 231, NULL, 'TIGR03078', 26527),
(26528, 'TIGR03458', NULL, 'YgfH_subfam: succinate CoA transferase', 489, NULL, 'TIGR03458', 26528),
(26529, 'TIGR02303', NULL, 'HpaG-C-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, C-terminal subunit', 245, NULL, 'TIGR02303', 26529),
(26530, 'TIGR00526', NULL, 'folB_dom: FolB domain', 122, NULL, 'TIGR00526', 26530),
(26531, 'TIGR02973', NULL, 'nitrate_rd_NapE: periplasmic nitrate reductase, NapE protein', 42, NULL, 'TIGR02973', 26531),
(26532, 'TIGR00760', NULL, 'araD: L-ribulose-5-phosphate 4-epimerase', 228, NULL, 'TIGR00760', 26532),
(26533, 'TIGR00906', NULL, '2A0303: cationic amino acid transport permease', 602, NULL, 'TIGR00906', 26533),
(26534, 'TIGR04516', NULL, 'glycosyl_450act: glycosyltransferase, activator-dependent family', 418, NULL, 'TIGR04516', 26534),
(26535, 'TIGR03517', NULL, 'GldM_gliding: gliding motility-associated protein GldM', 524, NULL, 'TIGR03517', 26535),
(26536, 'TIGR02867', NULL, 'spore_II_P: stage II sporulation protein P', 196, NULL, 'TIGR02867', 26536),
(26537, 'TIGR02487', NULL, 'NrdD: anaerobic ribonucleoside-triphosphate reductase', 581, NULL, 'TIGR02487', 26537),
(26538, 'TIGR01117', NULL, 'mmdA: methylmalonyl-CoA decarboxylase alpha subunit', 512, NULL, 'TIGR01117', 26538),
(26539, 'TIGR00087', NULL, 'surE: 5''/3''-nucleotidase SurE', 252, NULL, 'TIGR00087', 26539),
(26540, 'TIGR01712', NULL, 'phage_N6A_met: phage N-6-adenine-methyltransferase', 165, NULL, 'TIGR01712', 26540),
(26541, 'TIGR02350', NULL, 'prok_dnaK: chaperone protein DnaK', 596, NULL, 'TIGR02350', 26541),
(26542, 'TIGR03000', NULL, 'plancto_dom_1: Planctomycetes uncharacterized domain TIGR03000', 75, NULL, 'TIGR03000', 26542),
(26543, 'TIGR03819', NULL, 'heli_sec_ATPase: helicase/secretion neighborhood ATPase', 340, NULL, 'TIGR03819', 26543),
(26544, 'TIGR00165', NULL, 'S18: ribosomal protein bS18', 70, NULL, 'TIGR00165', 26544),
(26545, 'TIGR04457', NULL, 'lipo_LenA_lepto: lipoprotein LenA', 224, NULL, 'TIGR04457', 26545),
(26546, 'TIGR00467', NULL, 'lysS_arch: lysine--tRNA ligase', 515, NULL, 'TIGR00467', 26546);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26547, 'TIGR02730', NULL, 'carot_isom: carotene isomerase', 493, NULL, 'TIGR02730', 26547),
(26548, 'TIGR04096', NULL, 'dnd_rel_methyl: DNA phosphorothioation-associated putative methyltransferase', 478, NULL, 'TIGR04096', 26548),
(26549, 'TIGR03321', NULL, 'alt_F1F0_F0_B: alternate F1F0 ATPase, F0 subunit B', 246, NULL, 'TIGR03321', 26549),
(26550, 'TIGR01896', NULL, 'cas_AF1879: CRISPR-associated protein Cas4/Csa1, subtype I-A/APERN', 273, NULL, 'TIGR01896', 26550),
(26551, 'TIGR03184', NULL, 'DNA_S_dndE: DNA sulfur modification protein DndE', 104, NULL, 'TIGR03184', 26551),
(26552, 'TIGR04155', NULL, 'cyano_PEP: PEP-CTERM protein sorting domain, cyanobacterial subclass', 27, NULL, 'TIGR04155', 26552),
(26553, 'TIGR00224', NULL, 'pckA: phosphoenolpyruvate carboxykinase (ATP)', 532, NULL, 'TIGR00224', 26553),
(26554, 'TIGR01955', NULL, 'RfaH: transcription elongation factor/antiterminator RfaH', 159, NULL, 'TIGR01955', 26554),
(26555, 'TIGR01058', NULL, 'parE_Gpos: DNA topoisomerase IV, B subunit', 637, NULL, 'TIGR01058', 26555),
(26556, 'TIGR02291', NULL, 'rimK_rel_E_lig: alpha-L-glutamate ligase homolog', 317, NULL, 'TIGR02291', 26556),
(26557, 'TIGR03262', NULL, 'PhnU2: putative 2-aminoethylphosphonate ABC transporter, permease protein', 546, NULL, 'TIGR03262', 26557),
(26558, 'TIGR00221', NULL, 'nagA: N-acetylglucosamine-6-phosphate deacetylase', 380, NULL, 'TIGR00221', 26558),
(26559, 'TIGR03483', NULL, 'FtsZ_alphas_C: cell division protein FtsZ, alphaProteobacterial C-terminal extension', 121, NULL, 'TIGR03483', 26559),
(26560, 'TIGR01226', NULL, 'phe_am_lyase: phenylalanine ammonia-lyase', 680, NULL, 'TIGR01226', 26560),
(26561, 'TIGR03399', NULL, 'RNA_3prim_cycl: RNA 3''-phosphate cyclase', 326, NULL, 'TIGR03399', 26561),
(26562, 'TIGR00358', NULL, '3_prime_RNase: VacB and RNase II family 3''-5'' exoribonucleases', 657, NULL, 'TIGR00358', 26562),
(26563, 'TIGR02605', NULL, 'CxxC_CxxC_SSSS: putative regulatory protein, FmdB family', 52, NULL, 'TIGR02605', 26563),
(26564, 'TIGR03022', NULL, 'WbaP_sugtrans: undecaprenyl-phosphate galactose phosphotransferase WbaP', 456, NULL, 'TIGR03022', 26564),
(26565, 'TIGR00461', NULL, 'gcvP: glycine dehydrogenase', 939, NULL, 'TIGR00461', 26565),
(26566, 'TIGR03243', NULL, 'arg_catab_AOST: arginine and ornithine succinyltransferase subunits', 335, NULL, 'TIGR03243', 26566),
(26567, 'TIGR03159', NULL, 'cas_Csc1: CRISPR type I-D/CYANO-associated protein Csc1', 225, NULL, 'TIGR03159', 26567),
(26568, 'TIGR00598', NULL, 'rad14: DNA repair protein', 171, NULL, 'TIGR00598', 26568),
(26569, 'TIGR02328', NULL, 'TIGR02328: conserved hypothetical protein', 120, NULL, 'TIGR02328', 26569),
(26570, 'TIGR02901', NULL, 'QoxD: cytochrome aa3 quinol oxidase, subunit IV', 94, NULL, 'TIGR02901', 26570),
(26571, 'TIGR04401', NULL, 'TAT_Cys_rich: twin-arginine translocation signal/Cys-rich four helix bundle protein', 151, NULL, 'TIGR04401', 26571),
(26572, 'TIGR04074', NULL, 'bacter_Hen1: 3'' terminal RNA ribose 2''-O-methyltransferase Hen1', 462, NULL, 'TIGR04074', 26572),
(26573, 'TIGR02431', NULL, 'pcaR_pcaU: beta-ketoadipate pathway transcriptional regulators, PcaR/PcaU/PobR family', 248, NULL, 'TIGR02431', 26573),
(26574, 'TIGR02652', NULL, 'TIGR02652: TIGR02652 family protein', 162, NULL, 'TIGR02652', 26574),
(26575, 'TIGR01052', NULL, 'top6b: DNA topoisomerase VI, B subunit', 488, NULL, 'TIGR01052', 26575),
(26576, 'TIGR01419', NULL, 'nitro_reg_IIA: PTS IIA-like nitrogen-regulatory protein PtsN', 145, NULL, 'TIGR01419', 26576),
(26577, 'TIGR01737', NULL, 'FGAM_synth_I: phosphoribosylformylglycinamidine synthase I', 228, NULL, 'TIGR01737', 26577),
(26578, 'TIGR03810', NULL, 'arg_ornith_anti: arginine-ornithine antiporter', 468, NULL, 'TIGR03810', 26578),
(26579, 'TIGR01600', NULL, 'phage_tail_L: phage minor tail protein L', 224, NULL, 'TIGR01600', 26579),
(26580, 'TIGR01659', NULL, 'sex-lethal: sex-lethal family splicing factor', 346, NULL, 'TIGR01659', 26580);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26581, 'TIGR03732', NULL, 'lanti_perm_MutE: lantibiotic protection ABC transporter permease subunit, MutE/EpiE family', 241, NULL, 'TIGR03732', 26581),
(26582, 'TIGR01977', NULL, 'am_tr_V_EF2568: cysteine desulfurase family protein', 376, NULL, 'TIGR01977', 26582),
(26583, 'TIGR01485', NULL, 'SPP_plant-cyano: sucrose phosphatase', 249, NULL, 'TIGR01485', 26583),
(26584, 'TIGR01292', NULL, 'TRX_reduct: thioredoxin-disulfide reductase', 300, NULL, 'TIGR01292', 26584),
(26585, 'TIGR00828', NULL, 'EIID-AGA: PTS system, mannose/fructose/sorbose family, IID component', 271, NULL, 'TIGR00828', 26585),
(26586, 'TIGR00894', NULL, '2A0114euk: Na(+)-dependent inorganic phosphate cotransporter', 465, NULL, 'TIGR00894', 26586),
(26587, 'TIGR02892', NULL, 'spore_yabP: sporulation protein YabP', 85, NULL, 'TIGR02892', 26587),
(26588, 'TIGR04566', NULL, 'myxo_TraA_Nterm: outer membrane exchange protein TraA, N-terminal region', 240, NULL, 'TIGR04566', 26588),
(26589, 'TIGR02116', NULL, 'toxin_Txe_YoeB: addiction module toxin, Txe/YoeB family', 80, NULL, 'TIGR02116', 26589),
(26590, 'TIGR02568', NULL, 'LcrE: type III secretion regulator YopN/LcrE/InvE/MxiC', 241, NULL, 'TIGR02568', 26590),
(26591, 'TIGR00635', NULL, 'ruvB: Holliday junction DNA helicase RuvB', 305, NULL, 'TIGR00635', 26591),
(26592, 'TIGR00383', NULL, 'corA: magnesium and cobalt transport protein CorA', 320, NULL, 'TIGR00383', 26592),
(26593, 'TIGR04289', NULL, 'heavy_Cys: eight-cysteine-cluster domain', 52, NULL, 'TIGR04289', 26593),
(26594, 'TIGR03991', NULL, 'alt_bact_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', 394, NULL, 'TIGR03991', 26594),
(26595, 'TIGR00903', NULL, '2A0129: major facilitator 4 family protein', 368, NULL, 'TIGR00903', 26595),
(26596, 'TIGR01525', NULL, 'ATPase-IB_hvy: heavy metal translocating P-type ATPase', 560, NULL, 'TIGR01525', 26596),
(26597, 'TIGR02353', NULL, 'NRPS_term_dom: non-ribosomal peptide synthetase terminal domain of unknown function', 695, NULL, 'TIGR02353', 26597),
(26598, 'TIGR00713', NULL, 'hemL: glutamate-1-semialdehyde-2,1-aminomutase', 423, NULL, 'TIGR00713', 26598),
(26599, 'TIGR03704', NULL, 'PrmC_rel_meth: putative protein-(glutamine-N5) methyltransferase, unknown substrate-specific', 251, NULL, 'TIGR03704', 26599),
(26600, 'TIGR04152', NULL, 'exosort_VPLPA: exosortase D, VPLPA-CTERM-specific', 486, NULL, 'TIGR04152', 26600),
(26601, 'TIGR01591', NULL, 'Fdh-alpha: formate dehydrogenase, alpha subunit', 672, NULL, 'TIGR01591', 26601),
(26602, 'TIGR02786', NULL, 'addB_alphas: double-strand break repair protein AddB', 1024, NULL, 'TIGR02786', 26602),
(26603, 'TIGR04323', NULL, 'SpoChoClust_1: sporadic carbohydrate cluster protein, LIC12192 family', 122, NULL, 'TIGR04323', 26603),
(26604, 'TIGR02182', NULL, 'GRXB: glutaredoxin, GrxB family', 209, NULL, 'TIGR02182', 26604),
(26605, 'TIGR04046', NULL, 'MSMEG_0569_nitr: flavin-dependent oxidoreductase, MSMEG_0569 family', 400, NULL, 'TIGR04046', 26605),
(26606, 'TIGR01304', NULL, 'IMP_DH_rel_2: IMP dehydrogenase family protein', 365, NULL, 'TIGR01304', 26606),
(26607, 'TIGR03561', NULL, 'organ_hyd_perox: peroxiredoxin, Ohr subfamily', 134, NULL, 'TIGR03561', 26607),
(26608, 'TIGR00143', NULL, 'hypF: carbamoyltransferase HypF', 741, NULL, 'TIGR00143', 26608),
(26609, 'TIGR03050', NULL, 'PS_I_psaK_plant: photosystem I reaction center PsaK', 83, NULL, 'TIGR03050', 26609),
(26610, 'TIGR00607', NULL, 'rad52: recombination protein rad52', 161, NULL, 'TIGR00607', 26610),
(26611, 'TIGR03240', NULL, 'arg_catab_astD: succinylglutamate-semialdehyde dehydrogenase', 484, NULL, 'TIGR03240', 26611),
(26612, 'TIGR03869', NULL, 'F420-0_ABCperm: proposed F420-0 ABC transporter, permease protein', 325, NULL, 'TIGR03869', 26612),
(26613, 'TIGR02904', NULL, 'spore_ysxE: spore coat protein YsxE', 309, NULL, 'TIGR02904', 26613),
(26614, 'TIGR03377', NULL, 'glycerol3P_GlpA: glycerol-3-phosphate dehydrogenase, anaerobic, A subunit', 530, NULL, 'TIGR03377', 26614);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26615, 'TIGR03265', NULL, 'PhnT2: putative 2-aminoethylphosphonate ABC transporter, ATP-binding protein', 353, NULL, 'TIGR03265', 26615),
(26616, 'TIGR03455', NULL, 'HisG_C-term: ATP phosphoribosyltransferase, C-terminal domain', 100, NULL, 'TIGR03455', 26616),
(26617, 'TIGR01080', NULL, 'rplX_A_E: ribosomal protein uL24', 116, NULL, 'TIGR01080', 26617),
(26618, 'TIGR01840', NULL, 'esterase_phb: esterase, PHB depolymerase family', 213, NULL, 'TIGR01840', 26618),
(26619, 'TIGR03187', NULL, 'DGQHR: DGQHR domain', 276, NULL, 'TIGR03187', 26619),
(26620, 'TIGR00529', NULL, 'AF0261: integral membrane protein, TIGR00529 family', 387, NULL, 'TIGR00529', 26620),
(26621, 'TIGR01899', NULL, 'cas_TM1807_csm5: CRISPR type III-A/MTUBE-associated RAMP protein Csm5', 364, NULL, 'TIGR01899', 26621),
(26622, 'TIGR03947', NULL, 'viomycin_VioD: capreomycidine synthase', 359, NULL, 'TIGR03947', 26622),
(26623, 'TIGR00934', NULL, '2a38euk: potassium uptake protein, Trk family', 836, NULL, 'TIGR00934', 26623),
(26624, 'TIGR01762', NULL, 'chlorin-enz: chlorinating enzyme', 288, NULL, 'TIGR01762', 26624),
(26625, 'TIGR01270', NULL, 'Trp_5_monoox: tryptophan 5-monooxygenase', 464, NULL, 'TIGR01270', 26625),
(26626, 'TIGR01055', NULL, 'parE_Gneg: DNA topoisomerase IV, B subunit', 625, NULL, 'TIGR01055', 26626),
(26627, 'TIGR02596', NULL, 'TIGR02596: Verru_Chthon cassette protein D', 196, NULL, 'TIGR02596', 26627),
(26628, 'TIGR02864', NULL, 'spore_sspO: small, acid-soluble spore protein O', 50, NULL, 'TIGR02864', 26628),
(26629, 'TIGR04538', NULL, 'P450_cycloAA_1: cytochrome P450, cyclodipeptide synthase-associated', 395, NULL, 'TIGR04538', 26629),
(26630, 'TIGR02674', NULL, 'cas_cyan_RAMP_2: CRISPR-associated RAMP protein, Csx10 family', 402, NULL, 'TIGR02674', 26630),
(26631, 'TIGR03698', NULL, 'clan_AA_DTGF: clan AA aspartic protease, AF_0612 family', 107, NULL, 'TIGR03698', 26631),
(26632, 'TIGR00891', NULL, '2A0112: MFS transporter, sialate:H+ symporter (SHS) family', 405, NULL, 'TIGR00891', 26632),
(26633, 'TIGR01083', NULL, 'nth: endonuclease III', 192, NULL, 'TIGR01083', 26633),
(26634, 'TIGR03589', NULL, 'PseB: UDP-N-acetylglucosamine 4,6-dehydratase (inverting)', 324, NULL, 'TIGR03589', 26634),
(26635, 'TIGR04404', NULL, 'RiPP_SkfA: sporulation killing factor', 53, NULL, 'TIGR04404', 26635),
(26636, 'TIGR01843', NULL, 'type_I_hlyD: type I secretion membrane fusion protein, HlyD family', 422, NULL, 'TIGR01843', 26636),
(26637, 'TIGR02998', NULL, 'RraA_entero: regulator of ribonuclease activity A', 161, NULL, 'TIGR02998', 26637),
(26638, 'TIGR02434', NULL, 'CobF: precorrin-6A synthase (deacetylating)', 250, NULL, 'TIGR02434', 26638),
(26639, 'TIGR02861', NULL, 'SASP_H: small acid-soluble spore protein, H-type', 58, NULL, 'TIGR02861', 26639),
(26640, 'TIGR04071', NULL, 'methanobac_OB3b: methanobactin precursor, Mb-OB3b family', 30, NULL, 'TIGR04071', 26640),
(26641, 'TIGR00638', NULL, 'Mop: molybdenum-pterin binding domain', 70, NULL, 'TIGR00638', 26641),
(26642, 'TIGR01416', NULL, 'Rieske_proteo: ubiquinol-cytochrome c reductase, iron-sulfur subunit', 176, NULL, 'TIGR01416', 26642),
(26643, 'TIGR00501', NULL, 'met_pdase_II: methionine aminopeptidase, type II', 295, NULL, 'TIGR00501', 26643),
(26644, 'TIGR00464', NULL, 'gltX_bact: glutamate--tRNA ligase', 470, NULL, 'TIGR00464', 26644),
(26645, 'TIGR01656', NULL, 'Histidinol-ppas: histidinol-phosphate phosphatase domain', 149, NULL, 'TIGR01656', 26645),
(26646, 'TIGR00492', NULL, 'alr: alanine racemase', 369, NULL, 'TIGR00492', 26646),
(26647, 'TIGR03813', NULL, 'put_Glu_GABA_T: putative glutamate/gamma-aminobutyrate antiporter', 474, NULL, 'TIGR03813', 26647),
(26648, 'TIGR00168', NULL, 'infC: translation initiation factor IF-3', 165, NULL, 'TIGR00168', 26648),
(26649, 'TIGR02608', NULL, 'delta_60_rpt: delta-60 repeat domain', 55, NULL, 'TIGR02608', 26649),
(26650, 'TIGR04043', NULL, 'rSAM_MSMEG_0568: radical SAM protein, MSMEG_0568 family', 354, NULL, 'TIGR04043', 26650);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26651, 'TIGR02007', NULL, 'fdx_isc: ferredoxin, 2Fe-2S type, ISC system', 110, NULL, 'TIGR02007', 26651),
(26652, 'TIGR02462', NULL, 'pyranose_ox: pyranose oxidase', 548, NULL, 'TIGR02462', 26652),
(26653, 'TIGR01295', NULL, 'PedC_BrcD: putative bacteriocin transport accessory protein', 122, NULL, 'TIGR01295', 26653),
(26654, 'TIGR02073', NULL, 'PBP_1c: penicillin-binding protein 1C', 728, NULL, 'TIGR02073', 26654),
(26655, 'TIGR04180', NULL, 'EDH_00030: NAD dependent epimerase/dehydratase, LLPSF_EDH_00030 family', 297, NULL, 'TIGR04180', 26655),
(26656, 'TIGR02970', NULL, 'succ_dehyd_cytB: succinate dehydrogenase, cytochrome b556 subunit', 120, NULL, 'TIGR02970', 26656),
(26657, 'TIGR04569', NULL, 'arch_SelU_Cterm: selenouridine synthase, SelU C-terminal-like subunit', 217, NULL, 'TIGR04569', 26657),
(26658, 'TIGR02325', NULL, 'C_P_lyase_phnF: phosphonate metabolism transcriptional regulator PhnF', 238, NULL, 'TIGR02325', 26658),
(26659, 'TIGR04432', NULL, 'rSAM_Cfr: 23S rRNA (adenine(2503)-C(8))-methyltransferase Cfr', 341, NULL, 'TIGR04432', 26659),
(26660, 'TIGR00140', NULL, 'hupD: hydrogenase expression/formation protein', 151, NULL, 'TIGR00140', 26660),
(26661, 'TIGR01482', NULL, 'SPP-subfamily: sucrose-phosphate phosphatase subfamily', 225, NULL, 'TIGR01482', 26661),
(26662, 'TIGR03025', NULL, 'EPS_sugtrans: exopolysaccharide biosynthesis polyprenyl glycosylphosphotransferase', 445, NULL, 'TIGR03025', 26662),
(26663, 'TIGR00825', NULL, 'EIIBC-GUT: PTS system, glucitol/sorbitol-specific, IIBC component', 331, NULL, 'TIGR00825', 26663),
(26664, 'TIGR01734', NULL, 'D-ala-DACP-lig: D-alanine--poly(phosphoribitol) ligase, subunit 1', 504, NULL, 'TIGR01734', 26664),
(26665, 'TIGR03480', NULL, 'HpnN: hopanoid biosynthesis associated RND transporter like protein HpnN', 862, NULL, 'TIGR03480', 26665),
(26666, 'TIGR03601', NULL, 'B_an_ocin: bacteriocin, heterocycloanthracin/sonorensin family', 88, NULL, 'TIGR03601', 26666),
(26667, 'TIGR00900', NULL, '2A0121: H+ Antiporter protein', 364, NULL, 'TIGR00900', 26667),
(26668, 'TIGR02247', NULL, 'HAD-1A3-hyp: epoxide hydrolase N-terminal domain-like phosphatase', 211, NULL, 'TIGR02247', 26668),
(26669, 'TIGR03922', NULL, 'T7SS_EccA: type VII secretion AAA-ATPase EccA', 557, NULL, 'TIGR03922', 26669),
(26670, 'TIGR03978', NULL, 'rSAM_paired_1: His-Xaa-Ser system radical SAM maturase HxsB', 466, NULL, 'TIGR03978', 26670),
(26671, 'TIGR04326', NULL, 'O_ant_LIC13510: surface carbohydrate biosynthesis protein, LIC13510 family', 602, NULL, 'TIGR04326', 26671),
(26672, 'TIGR01765', NULL, 'tspaseT_teng_N: transposase, putative, N-terminal domain', 73, NULL, 'TIGR01765', 26672),
(26673, 'TIGR02219', NULL, 'phage_NlpC_fam: putative phage cell wall peptidase, NlpC/P60 family', 134, NULL, 'TIGR02219', 26673),
(26674, 'TIGR03374', NULL, 'ABALDH: 1-pyrroline dehydrogenase', 472, NULL, 'TIGR03374', 26674),
(26675, 'TIGR03735', NULL, 'PRTRC_A: PRTRC system protein A', 192, NULL, 'TIGR03735', 26675),
(26676, 'TIGR02113', NULL, 'coaC_strep: phosphopantothenoylcysteine decarboxylase', 177, NULL, 'TIGR02113', 26676),
(26677, 'TIGR04392', NULL, 'haoB_nitrify: hydroxylamine oxidation protein HaoB', 320, NULL, 'TIGR04392', 26677),
(26678, 'TIGR03268', NULL, 'methan_mark_3: putative methanogenesis marker protein 3', 503, NULL, 'TIGR03268', 26678),
(26679, 'TIGR00716', NULL, 'rnhC: ribonuclease HIII', 284, NULL, 'TIGR00716', 26679),
(26680, 'TIGR02356', NULL, 'adenyl_thiF: thiazole biosynthesis adenylyltransferase ThiF', 203, NULL, 'TIGR02356', 26680),
(26681, 'TIGR00112', NULL, 'proC: pyrroline-5-carboxylate reductase', 263, NULL, 'TIGR00112', 26681),
(26682, 'TIGR00570', NULL, 'cdk7: CDK-activating kinase assembly factor MAT1', 309, NULL, 'TIGR00570', 26682),
(26683, 'TIGR03707', NULL, 'PPK2_P_aer: polyphosphate kinase 2', 230, NULL, 'TIGR03707', 26683),
(26684, 'TIGR02783', NULL, 'TrbL_P: P-type conjugative transfer protein TrbL', 298, NULL, 'TIGR02783', 26684),
(26685, 'TIGR03695', NULL, 'menH_SHCHC: 2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase', 252, NULL, 'TIGR03695', 26685);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26686, 'TIGR01229', NULL, 'rocF_arginase: arginase', 300, NULL, 'TIGR01229', 26686),
(26687, 'TIGR02599', NULL, 'TIGR02599: Verru_Chthon cassette protein C', 361, NULL, 'TIGR02599', 26687),
(26688, 'TIGR00355', NULL, 'purH: phosphoribosylaminoimidazolecarboxamide formyltransferase/IMP cyclohydrolase', 511, NULL, 'TIGR00355', 26688),
(26689, 'TIGR01307', NULL, 'pgm_bpd_ind: phosphoglycerate mutase (2,3-diphosphoglycerate-independent)', 504, NULL, 'TIGR01307', 26689),
(26690, 'TIGR01522', NULL, 'ATPase-IIA2_Ca: calcium-transporting P-type ATPase, PMR1-type', 854, NULL, 'TIGR01522', 26690),
(26691, 'TIGR02540', NULL, 'gpx7: putative glutathione peroxidase Gpx7', 153, NULL, 'TIGR02540', 26691),
(26692, 'TIGR03629', NULL, 'uS13_arch: ribosomal protein uS13', 144, NULL, 'TIGR03629', 26692),
(26693, 'TIGR02677', NULL, 'TIGR02677: TIGR02677 family protein', 494, NULL, 'TIGR02677', 26693),
(26694, 'TIGR00277', NULL, 'HDIG: HDIG domain', 84, NULL, 'TIGR00277', 26694),
(26695, 'TIGR04286', NULL, 'MSEP-CTERM: MSEP-CTERM protein', 920, NULL, 'TIGR04286', 26695),
(26696, 'TIGR01628', NULL, 'PABP-1234: polyadenylate binding protein, human types 1, 2, 3, 4 family', 595, NULL, 'TIGR01628', 26696),
(26697, 'TIGR00931', NULL, 'antiport_nhaC: Na+/H+ antiporter NhaC', 454, NULL, 'TIGR00931', 26697),
(26698, 'TIGR03053', NULL, 'PS_I_psaM: photosystem I reaction center subunit XII', 29, NULL, 'TIGR03053', 26698),
(26699, 'TIGR00034', NULL, 'aroFGH: 3-deoxy-7-phosphoheptulonate synthase', 342, NULL, 'TIGR00034', 26699),
(26700, 'TIGR03131', NULL, 'malonate_mdcH: malonate decarboxylase, epsilon subunit', 297, NULL, 'TIGR03131', 26700),
(26701, 'TIGR03452', NULL, 'mycothione_red: mycothione reductase', 452, NULL, 'TIGR03452', 26701),
(26702, 'TIGR01189', NULL, 'ccmA: heme ABC exporter, ATP-binding protein CcmA', 198, NULL, 'TIGR01189', 26702),
(26703, 'TIGR01930', NULL, 'AcCoA-C-Actrans: acetyl-CoA C-acyltransferase', 385, NULL, 'TIGR01930', 26703),
(26704, 'TIGR04177', NULL, 'exosort_XrtH: exosortase H, IPTLxxWG-CTERM-specific', 158, NULL, 'TIGR04177', 26704),
(26705, 'TIGR04040', NULL, 'glycyl_YjjI: glycine radical enzyme, YjjI family', 497, NULL, 'TIGR04040', 26705),
(26706, 'TIGR02465', NULL, 'chlorocat_1_2: chlorocatechol 1,2-dioxygenase', 246, NULL, 'TIGR02465', 26706),
(26707, 'TIGR02811', NULL, 'formate_TAT: formate dehydrogenase region TAT target', 66, NULL, 'TIGR02811', 26707),
(26708, 'TIGR01827', NULL, 'gatC_rel: putative Asp-tRNA(Asn)/Glu-tRNA(Gln) amidotransferase, subunit C', 73, NULL, 'TIGR01827', 26708),
(26709, 'TIGR02708', NULL, 'L_lactate_ox: L-lactate oxidase', 367, NULL, 'TIGR02708', 26709),
(26710, 'TIGR00448', NULL, 'rpoE: DNA-directed RNA polymerase', 179, NULL, 'TIGR00448', 26710),
(26711, 'TIGR02225', NULL, 'recomb_XerD: tyrosine recombinase XerD', 290, NULL, 'TIGR02225', 26711),
(26712, 'TIGR01432', NULL, 'QOXA: cytochrome aa3 quinol oxidase, subunit II', 227, NULL, 'TIGR01432', 26712),
(26713, 'TIGR04280', NULL, 'geopep_mat_rSAM: putative geopeptide radical SAM maturase', 428, NULL, 'TIGR04280', 26713),
(26714, 'TIGR00785', NULL, 'dass: transporter, divalent anion:Na+ symporter (DASS) family', 444, NULL, 'TIGR00785', 26714),
(26715, 'TIGR01329', NULL, 'cysta_beta_ly_E: cystathionine beta-lyase', 383, NULL, 'TIGR01329', 26715),
(26716, 'TIGR03296', NULL, 'M6dom_TIGR03296: M6 family metalloprotease domain', 286, NULL, 'TIGR03296', 26716),
(26717, 'TIGR03106', NULL, 'trio_M42_hydro: hydrolase, peptidase M42 family', 343, NULL, 'TIGR03106', 26717),
(26718, 'TIGR02169', NULL, 'SMC_prok_A: chromosome segregation protein SMC', 1165, NULL, 'TIGR02169', 26718),
(26719, 'TIGR00305', NULL, 'TIGR00305: putative toxin-antitoxin system toxin component, PIN family', 115, NULL, 'TIGR00305', 26719),
(26720, 'TIGR03352', NULL, 'VI_chp_3: type VI secretion lipoprotein, VC_A0113 family', 147, NULL, 'TIGR03352', 26720),
(26721, 'TIGR03592', NULL, 'yidC_oxa1_cterm: membrane protein insertase, YidC/Oxa1 family', 191, NULL, 'TIGR03592', 26721);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26722, 'TIGR03009', NULL, 'plancto_dom_2: Planctomycetes uncharacterized domain TIGR03009', 212, NULL, 'TIGR03009', 26722),
(26723, 'TIGR03844', NULL, 'cysteate_syn: cysteate synthase', 398, NULL, 'TIGR03844', 26723),
(26724, 'TIGR00592', NULL, 'pol2: DNA polymerase (pol2)', 1176, NULL, 'TIGR00592', 26724),
(26725, 'TIGR00688', NULL, 'rarD: protein RarD', 256, NULL, 'TIGR00688', 26725),
(26726, 'TIGR03153', NULL, 'cytochr_NrfH: cytochrome c nitrite reductase, small subunit', 138, NULL, 'TIGR03153', 26726),
(26727, 'TIGR03604', NULL, 'TOMM_cyclo_SagD: thiazole/oxazole-forming peptide maturase, SagD family component', 377, NULL, 'TIGR03604', 26727),
(26728, 'TIGR00006', NULL, 'TIGR00006: 16S rRNA (cytosine(1402)-N(4))-methyltransferase', 310, NULL, 'TIGR00006', 26728),
(26729, 'TIGR00311', NULL, 'aIF-2beta: putative translation initiation factor aIF-2, beta subunit', 133, NULL, 'TIGR00311', 26729),
(26730, 'TIGR01672', NULL, 'AphA: HAD phosphatase, family IIIB', 237, NULL, 'TIGR01672', 26730),
(26731, 'TIGR03346', NULL, 'chaperone_ClpB: ATP-dependent chaperone protein ClpB', 853, NULL, 'TIGR03346', 26731),
(26732, 'TIGR03788', NULL, 'marine_srt_targ: marine proteobacterial sortase target protein', 629, NULL, 'TIGR03788', 26732),
(26733, 'TIGR01924', NULL, 'rsbW_low_gc: anti-sigma B factor', 159, NULL, 'TIGR01924', 26733),
(26734, 'TIGR02948', NULL, 'SigW_bacill: RNA polymerase sigma-W factor', 187, NULL, 'TIGR02948', 26734),
(26735, 'TIGR03411', NULL, 'urea_trans_UrtD: urea ABC transporter, ATP-binding protein UrtD', 242, NULL, 'TIGR03411', 26735),
(26736, 'TIGR01086', NULL, 'fucA: L-fuculose phosphate aldolase', 214, NULL, 'TIGR01086', 26736),
(26737, 'TIGR03094', NULL, 'sulfo_cyanin: sulfocyanin', 195, NULL, 'TIGR03094', 26737),
(26738, 'TIGR02954', NULL, 'Sig70_famx3: RNA polymerase sigma-70 factor, TIGR02954 family', 170, NULL, 'TIGR02954', 26738),
(26739, 'TIGR00504', NULL, 'pyro_pdase: pyroglutamyl-peptidase I', 213, NULL, 'TIGR00504', 26739),
(26740, 'TIGR01338', NULL, 'phycocy_alpha: phycocyanin, alpha subunit', 161, NULL, 'TIGR01338', 26740),
(26741, 'TIGR00987', NULL, 'himA: integration host factor, alpha subunit', 96, NULL, 'TIGR00987', 26741),
(26742, 'TIGR01971', NULL, 'NuoI: NADH-quinone oxidoreductase, chain I', 121, NULL, 'TIGR01971', 26742),
(26743, 'TIGR04186', NULL, 'GRASP_targ: putative ATP-grasp target RiPP', 72, NULL, 'TIGR04186', 26743),
(26744, 'TIGR01145', NULL, 'ATP_synt_delta: ATP synthase F1, delta subunit', 172, NULL, 'TIGR01145', 26744),
(26745, 'TIGR01335', NULL, 'psaA: photosystem I core protein PsaA', 752, NULL, 'TIGR01335', 26745),
(26746, 'TIGR04532', NULL, 'PT_fungal_PKS: polyketide product template domain', 329, NULL, 'TIGR04532', 26746),
(26747, 'TIGR01868', NULL, 'casD_Cas5e: CRISPR-associated protein Cas5/CasD, subtype I-E/ECOLI', 230, NULL, 'TIGR01868', 26747),
(26748, 'TIGR01768', NULL, 'GGGP-family: geranylgeranylglyceryl phosphate synthase family protein', 224, NULL, 'TIGR01768', 26748),
(26749, 'TIGR03651', NULL, 'circ_ocin_uber: circular bacteriocin, circularin A/uberolysin family', 73, NULL, 'TIGR03651', 26749),
(26750, 'TIGR03841', NULL, 'F420_Rv3093c: probable F420-dependent oxidoreductase, Rv3093c family', 298, NULL, 'TIGR03841', 26750),
(26751, 'TIGR00803', NULL, 'nst: UDP-galactose transporter', 222, NULL, 'TIGR00803', 26751),
(26752, 'TIGR01180', NULL, 'aman2_put: putative alpha-1,2-mannosidase', 749, NULL, 'TIGR01180', 26752),
(26753, 'TIGR00489', NULL, 'aEF-1_beta: translation elongation factor aEF-1 beta', 88, NULL, 'TIGR00489', 26753),
(26754, 'TIGR03548', NULL, 'mutarot_permut: cyclically-permuted mutarotase family protein', 323, NULL, 'TIGR03548', 26754),
(26755, 'TIGR02649', NULL, 'true_RNase_BN: ribonuclease BN', 304, NULL, 'TIGR02649', 26755),
(26756, 'TIGR02032', NULL, 'GG-red-SF: geranylgeranyl reductase family', 297, NULL, 'TIGR02032', 26756),
(26757, 'TIGR03299', NULL, 'LGT_TIGR03299: phage/plasmid-like protein TIGR03299', 312, NULL, 'TIGR03299', 26757);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26758, 'TIGR03489', NULL, 'cas_csp1: CRISPR-associated protein Cas7/Csp1, subtype PGING', 292, NULL, 'TIGR03489', 26758),
(26759, 'TIGR02524', NULL, 'dot_icm_DotB: Dot/Icm secretion system ATPase DotB', 358, NULL, 'TIGR02524', 26759),
(26760, 'TIGR01133', NULL, 'murG: undecaprenyldiphospho-muramoylpentapeptide beta-N-acetylglucosaminyltransferase', 353, NULL, 'TIGR01133', 26760),
(26761, 'TIGR00293', NULL, 'TIGR00293: prefoldin, alpha subunit', 129, NULL, 'TIGR00293', 26761),
(26762, 'TIGR02995', NULL, 'ectoine_ehuB: ectoine/hydroxyectoine ABC transporter solute-binding protein EhuB', 275, NULL, 'TIGR02995', 26762),
(26763, 'TIGR02714', NULL, 'amido_AtzD_TrzD: ring-opening amidohydrolases', 366, NULL, 'TIGR02714', 26763),
(26764, 'TIGR00791', NULL, 'gntP: transporter, gluconate:H+ symporter (GntP) family', 439, NULL, 'TIGR00791', 26764),
(26765, 'TIGR04329', NULL, 'cas1_PREFRAN: CRISPR-associated endonuclease Cas1, subtype PREFRAN', 317, NULL, 'TIGR04329', 26765),
(26766, 'TIGR03645', NULL, 'glyox_marine: lactoylglutathione lyase family protein', 162, NULL, 'TIGR03645', 26766),
(26767, 'TIGR03835', NULL, 'termin_org_DnaJ: terminal organelle assembly protein TopJ', 871, NULL, 'TIGR03835', 26767),
(26768, 'TIGR04473', NULL, 'taxol_Phe_23mut: phenylalanine aminomutase (L-beta-phenylalanine forming)', 687, NULL, 'TIGR04473', 26768),
(26769, 'TIGR01631', NULL, 'Trypano_RHS: trypanosome RHS family', 761, NULL, 'TIGR01631', 26769),
(26770, 'TIGR02026', NULL, 'BchE: magnesium-protoporphyrin IX monomethyl ester anaerobic oxidative cyclase', 497, NULL, 'TIGR02026', 26770),
(26771, 'TIGR00208', NULL, 'fliS: flagellar protein FliS', 124, NULL, 'TIGR00208', 26771),
(26772, 'TIGR02216', NULL, 'phage_TIGR02216: phage conserved hypothetical protein', 58, NULL, 'TIGR02216', 26772),
(26773, 'TIGR00018', NULL, 'panC: pantoate--beta-alanine ligase', 283, NULL, 'TIGR00018', 26773),
(26774, 'TIGR01002', NULL, 'hlyII: beta-channel forming cytolysin', 313, NULL, 'TIGR01002', 26774),
(26775, 'TIGR00149', NULL, 'TIGR00149_YjbQ: secondary thiamine-phosphate synthase enzyme', 132, NULL, 'TIGR00149', 26775),
(26776, 'TIGR01740', NULL, 'pyrF: orotidine 5''-phosphate decarboxylase', 216, NULL, 'TIGR01740', 26776),
(26777, 'TIGR02895', NULL, 'spore_sigI: RNA polymerase sigma-I factor', 219, NULL, 'TIGR02895', 26777),
(26778, 'TIGR01759', NULL, 'MalateDH-SF1: malate dehydrogenase', 327, NULL, 'TIGR01759', 26778),
(26779, 'TIGR02655', NULL, 'circ_KaiC: circadian clock protein KaiC', 484, NULL, 'TIGR02655', 26779),
(26780, 'TIGR04301', NULL, 'ODC_inducible: ornithine decarboxylase SpeF', 719, NULL, 'TIGR04301', 26780),
(26781, 'TIGR01622', NULL, 'SF-CC1: splicing factor, CC1-like family', 500, NULL, 'TIGR01622', 26781),
(26782, 'TIGR01186', NULL, 'proV: glycine betaine/L-proline transport ATP binding subunit', 363, NULL, 'TIGR01186', 26782),
(26783, 'TIGR01500', NULL, 'sepiapter_red: sepiapterin reductase', 255, NULL, 'TIGR01500', 26783),
(26784, 'TIGR04438', NULL, 'small_Trp_rich: small Trp-rich protein', 76, NULL, 'TIGR04438', 26784),
(26785, 'TIGR01877', NULL, 'cas_cas6: CRISPR-associated endoribonuclease Cas6', 200, NULL, 'TIGR01877', 26785),
(26786, 'TIGR02518', NULL, 'EutH_ACDH: acetaldehyde dehydrogenase (acetylating)', 488, NULL, 'TIGR02518', 26786),
(26787, 'TIGR00878', NULL, 'purM: phosphoribosylformylglycinamidine cyclo-ligase', 332, NULL, 'TIGR00878', 26787),
(26788, 'TIGR03776', NULL, 'RPE5: rickettsial palindromic element RPE5 domain', 43, NULL, 'TIGR03776', 26788),
(26789, 'TIGR02621', NULL, 'cas3_GSU0051: CRISPR-associated helicase Cas3, subtype Dpsyc', 864, NULL, 'TIGR02621', 26789),
(26790, 'TIGR02397', NULL, 'dnaX_nterm: DNA polymerase III, subunit gamma and tau', 355, NULL, 'TIGR02397', 26790),
(26791, 'TIGR01242', NULL, '26Sp45: 26S proteasome subunit P45 family', 364, NULL, 'TIGR01242', 26791),
(26792, 'TIGR02020', NULL, 'BchF: 2-vinyl bacteriochlorophyllide hydratase', 145, NULL, 'TIGR02020', 26792);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26793, 'TIGR00389', NULL, 'glyS_dimeric: glycine--tRNA ligase', 565, NULL, 'TIGR00389', 26793),
(26794, 'TIGR01684', NULL, 'viral_ppase: viral phosphatase', 301, NULL, 'TIGR01684', 26794),
(26795, 'TIGR03692', NULL, 'ATP_dep_HslV: ATP-dependent protease HslVU, peptidase subunit', 171, NULL, 'TIGR03692', 26795),
(26796, 'TIGR00012', NULL, 'L29: ribosomal protein uL29', 56, NULL, 'TIGR00012', 26796),
(26797, 'TIGR04485', NULL, 'thiosulf_SoxX: sulfur oxidation c-type cytochrome SoxX', 78, NULL, 'TIGR04485', 26797),
(26798, 'TIGR02565', NULL, 'cas_Csy2: CRISPR type I-F/YPEST-associated protein Csy2', 296, NULL, 'TIGR02565', 26798),
(26799, 'TIGR00115', NULL, 'tig: trigger factor', 410, NULL, 'TIGR00115', 26799),
(26800, 'TIGR00975', NULL, '3a0107s03: phosphate ABC transporter, phosphate-binding protein PstS', 315, NULL, 'TIGR00975', 26800),
(26801, 'TIGR00196', NULL, 'yjeF_cterm: YjeF family C-terminal domain', 277, NULL, 'TIGR00196', 26801),
(26802, 'TIGR04245', NULL, 'nodulat_NodA: N-acyltransferase NodA', 193, NULL, 'TIGR04245', 26802),
(26803, 'TIGR00498', NULL, 'lexA: repressor LexA', 203, NULL, 'TIGR00498', 26803),
(26804, 'TIGR01528', NULL, 'NMN_trans_PnuC: nicotinamide mononucleotide transporter PnuC', 187, NULL, 'TIGR01528', 26804),
(26805, 'TIGR02758', NULL, 'TraA_TIGR: type IV conjugative transfer system pilin TraA', 98, NULL, 'TIGR02758', 26805),
(26806, 'TIGR02260', NULL, 'benz_CoA_red_B: benzoyl-CoA reductase, subunit B', 413, NULL, 'TIGR02260', 26806),
(26807, 'TIGR03536', NULL, 'DapD_gpp: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', 341, NULL, 'TIGR03536', 26807),
(26808, 'TIGR00059', NULL, 'L17: ribosomal protein bL17', 112, NULL, 'TIGR00059', 26808),
(26809, 'TIGR00252', NULL, 'TIGR00252: TIGR00252 family protein', 123, NULL, 'TIGR00252', 26809),
(26810, 'TIGR04429', NULL, 'Phr_nterm: Phr family secreted Rap phosphatase inhibitor', 28, NULL, 'TIGR04429', 26810),
(26811, 'TIGR00420', NULL, 'trmU: tRNA (5-methylaminomethyl-2-thiouridylate)-methyltransferase', 351, NULL, 'TIGR00420', 26811),
(26812, 'TIGR02409', NULL, 'carnitine_bodg: gamma-butyrobetaine hydroxylase', 366, NULL, 'TIGR02409', 26812),
(26813, 'TIGR04136', NULL, 'rSAM_FibroRumin: radical SAM peptide maturase, FibroRumin system', 458, NULL, 'TIGR04136', 26813),
(26814, 'TIGR01575', NULL, 'rimI: ribosomal-protein-alanine acetyltransferase', 132, NULL, 'TIGR01575', 26814),
(26815, 'TIGR01731', NULL, 'fil_hemag_20aa: adhesin HecA family 20-residue repeat (two copies)', 40, NULL, 'TIGR01731', 26815),
(26816, 'TIGR02886', NULL, 'spore_II_AA: anti-sigma F factor antagonist', 106, NULL, 'TIGR02886', 26816),
(26817, 'TIGR02907', NULL, 'spore_VI_D: stage VI sporulation protein D', 344, NULL, 'TIGR02907', 26817),
(26818, 'TIGR00557', NULL, 'pdxA: 4-hydroxythreonine-4-phosphate dehydrogenase PdxA', 320, NULL, 'TIGR00557', 26818),
(26819, 'TIGR01195', NULL, 'oadG_fam: sodium pump decarboxylases, gamma subunit', 84, NULL, 'TIGR01195', 26819),
(26820, 'TIGR03118', NULL, 'PEPCTERM_chp_1: TIGR03118 family protein', 336, NULL, 'TIGR03118', 26820),
(26821, 'TIGR02076', NULL, 'pyrH_arch: putative uridylate kinase', 222, NULL, 'TIGR02076', 26821),
(26822, 'TIGR02456', NULL, 'treS_nterm: trehalose synthase', 539, NULL, 'TIGR02456', 26822),
(26823, 'TIGR01301', NULL, 'GPH_sucrose: sucrose/H+ symporter', 476, NULL, 'TIGR01301', 26823),
(26824, 'TIGR03944', NULL, 'dehyd_SbnB_fam: 2,3-diaminopropionate biosynthesis protein SbnB', 327, NULL, 'TIGR03944', 26824),
(26825, 'TIGR01077', NULL, 'L13_A_E: ribosomal protein uL13', 141, NULL, 'TIGR01077', 26825),
(26826, 'TIGR00243', NULL, 'Dxr: 1-deoxy-D-xylulose 5-phosphate reductoisomerase', 389, NULL, 'TIGR00243', 26826),
(26827, 'TIGR03885', NULL, 'flavin_revert: probable non-F420 flavinoid oxidoreductase', 315, NULL, 'TIGR03885', 26827),
(26828, 'TIGR03302', NULL, 'OM_YfiO: outer membrane assembly lipoprotein YfiO', 239, NULL, 'TIGR03302', 26828),
(26829, 'TIGR02272', NULL, 'gentisate_1_2: gentisate 1,2-dioxygenase', 336, NULL, 'TIGR02272', 26829);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26830, 'TIGR03059', NULL, 'psaOeuk: photosystem I protein PsaO', 82, NULL, 'TIGR03059', 26830),
(26831, 'TIGR01936', NULL, 'nqrA: NADH:ubiquinone oxidoreductase, Na(+)-translocating, A subunit', 446, NULL, 'TIGR01936', 26831),
(26832, 'TIGR03583', NULL, 'EF_0837: putative amidohydrolase, EF_0837/AHA_3915 family', 365, NULL, 'TIGR03583', 26832),
(26833, 'TIGR04233', NULL, 'seadorna_VP8: seadornavirus VP8 protein', 291, NULL, 'TIGR04233', 26833),
(26834, 'TIGR00361', NULL, 'ComEC_Rec2: DNA internalization-related competence protein ComEC/Rec2', 663, NULL, 'TIGR00361', 26834),
(26835, 'TIGR00682', NULL, 'lpxK: tetraacyldisaccharide 4''-kinase', 324, NULL, 'TIGR00682', 26835),
(26836, 'TIGR03439', NULL, 'methyl_EasF: probable methyltransferase domain, EasF family', 321, NULL, 'TIGR03439', 26836),
(26837, 'TIGR04077', NULL, 'expor_sig_YdyF: exported signaling peptide, YydF/SAG_2028 family', 49, NULL, 'TIGR04077', 26837),
(26838, 'TIGR00741', NULL, 'yfiA: ribosomal subunit interface protein', 102, NULL, 'TIGR00741', 26838),
(26839, 'TIGR00604', NULL, 'rad3: DNA repair helicase (rad3)', 706, NULL, 'TIGR00604', 26839),
(26840, 'TIGR01438', NULL, 'TGR: thioredoxin and glutathione reductase', 485, NULL, 'TIGR01438', 26840),
(26841, 'TIGR01379', NULL, 'thiL: thiamine-phosphate kinase', 320, NULL, 'TIGR01379', 26841),
(26842, 'TIGR00545', NULL, 'lipoyltrans: lipoyltransferase and lipoate-protein ligase', 326, NULL, 'TIGR00545', 26842),
(26843, 'TIGR00912', NULL, '2A0309: spore germination protein (amino acid permease)', 357, NULL, 'TIGR00912', 26843),
(26844, 'TIGR03760', NULL, 'ICE_TraI_Pfluor: integrating conjugative element relaxase, PFGI-1 class', 218, NULL, 'TIGR03760', 26844),
(26845, 'TIGR02347', NULL, 'chap_CCT_zeta: T-complex protein 1, zeta subunit', 531, NULL, 'TIGR02347', 26845),
(26846, 'TIGR02210', NULL, 'rodA_shape: rod shape-determining protein RodA', 357, NULL, 'TIGR02210', 26846),
(26847, 'TIGR02587', NULL, 'TIGR02587: putative integral membrane protein TIGR02587', 271, NULL, 'TIGR02587', 26847),
(26848, 'TIGR02845', NULL, 'spore_V_AD: stage V sporulation protein AD', 327, NULL, 'TIGR02845', 26848),
(26849, 'TIGR00809', NULL, 'secB: protein-export chaperone SecB', 140, NULL, 'TIGR00809', 26849),
(26850, 'TIGR02450', NULL, 'TIGR02450: tryptophan-rich conserved hypothetical protein', 61, NULL, 'TIGR02450', 26850),
(26851, 'TIGR01466', NULL, 'cobJ_cbiH: precorrin-3B C17-methyltransferase', 239, NULL, 'TIGR01466', 26851),
(26852, 'TIGR03966', NULL, 'actino_HemFlav: heme/flavin dehydrogenase, mycofactocin system', 385, NULL, 'TIGR03966', 26852),
(26853, 'TIGR02690', NULL, 'resist_ArsH: arsenical resistance protein ArsH', 219, NULL, 'TIGR02690', 26853),
(26854, 'TIGR00654', NULL, 'PhzF_family: phenazine biosynthesis protein, PhzF family', 298, NULL, 'TIGR00654', 26854),
(26855, 'TIGR03003', NULL, 'ectoine_ehuD: ectoine/hydroxyectoine ABC transporter, permease protein EhuD', 212, NULL, 'TIGR03003', 26855),
(26856, 'TIGR03713', NULL, 'acc_sec_asp1: accessory Sec system protein Asp1', 519, NULL, 'TIGR03713', 26856),
(26857, 'TIGR01494', NULL, 'ATPase_P-type: HAD ATPase, P-type, family IC', 478, NULL, 'TIGR01494', 26857),
(26858, 'TIGR04295', NULL, 'B12_rSAM_oligo: B12-binding domain/radical SAM domain protein, rhizo-twelve system', 422, NULL, 'TIGR04295', 26858),
(26859, 'TIGR00184', NULL, 'purA: adenylosuccinate synthase', 425, NULL, 'TIGR00184', 26859),
(26860, 'TIGR04370', NULL, 'glyco_rpt_poly: oligosaccharide repeat unit polymerase', 396, NULL, 'TIGR04370', 26860),
(26861, 'TIGR02375', NULL, 'pseudoazurin: pseudoazurin', 116, NULL, 'TIGR02375', 26861),
(26862, 'TIGR04130', NULL, 'FnlA: UDP-N-acetylglucosamine 4,6-dehydratase/5-epimerase', 337, NULL, 'TIGR04130', 26862),
(26863, 'TIGR00202', NULL, 'csrA: carbon storage regulator', 69, NULL, 'TIGR00202', 26863),
(26864, 'TIGR02135', NULL, 'phoU_full: phosphate transport system regulatory protein PhoU', 212, NULL, 'TIGR02135', 26864);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26865, 'TIGR00442', NULL, 'hisS: histidine--tRNA ligase', 406, NULL, 'TIGR00442', 26865),
(26866, 'TIGR02817', NULL, 'adh_fam_1: zinc-binding alcohol dehydrogenase family protein', 336, NULL, 'TIGR02817', 26866),
(26867, 'TIGR00190', NULL, 'thiC: phosphomethylpyrimidine synthase', 423, NULL, 'TIGR00190', 26867),
(26868, 'TIGR02633', NULL, 'xylG: D-xylose ABC transporter, ATP-binding protein', 500, NULL, 'TIGR02633', 26868),
(26869, 'TIGR03726', NULL, 'strep_RK_lipo: putative cross-wall-targeting lipoprotein signal', 34, NULL, 'TIGR03726', 26869),
(26870, 'TIGR01718', NULL, 'Uridine-psphlse: uridine phosphorylase', 245, NULL, 'TIGR01718', 26870),
(26871, 'TIGR04055', NULL, 'rSAM_NirJ2: putative heme d1 biosynthesis radical SAM protein NirJ2', 326, NULL, 'TIGR04055', 26871),
(26872, 'TIGR03994', NULL, 'rSAM_HemZ: coproporphyrinogen dehydrogenase HemZ', 401, NULL, 'TIGR03994', 26872),
(26873, 'TIGR03215', NULL, 'ac_ald_DH_ac: acetaldehyde dehydrogenase (acetylating)', 285, NULL, 'TIGR03215', 26873),
(26874, 'TIGR02702', NULL, 'SufR_cyano: iron-sulfur cluster biosynthesis transcriptional regulator SufR', 208, NULL, 'TIGR02702', 26874),
(26875, 'TIGR01207', NULL, 'rmlA: glucose-1-phosphate thymidylyltransferase', 286, NULL, 'TIGR01207', 26875),
(26876, 'TIGR03290', NULL, 'CoB_CoM_SS_C: CoB--CoM heterodisulfide reductase, subunit C', 144, NULL, 'TIGR03290', 26876),
(26877, 'TIGR00797', NULL, 'matE: MATE efflux family protein', 396, NULL, 'TIGR00797', 26877),
(26878, 'TIGR00470', NULL, 'sepS: O-phosphoserine--tRNA ligase', 533, NULL, 'TIGR00470', 26878),
(26879, 'TIGR02306', NULL, 'RNA_lig_DRB0094: RNA ligase', 341, NULL, 'TIGR02306', 26879),
(26880, 'TIGR02163', NULL, 'napH_: ferredoxin-type protein, NapH/MauN family', 255, NULL, 'TIGR02163', 26880),
(26881, 'TIGR01678', NULL, 'FAD_lactone_ox: sugar 1,4-lactone oxidases', 438, NULL, 'TIGR01678', 26881),
(26882, 'TIGR03358', NULL, 'VI_chp_5: type VI secretion protein, VC_A0107 family', 160, NULL, 'TIGR03358', 26882),
(26883, 'TIGR01781', NULL, 'Trep_dent_lipo: Treponema denticola clustered lipoprotein', 412, NULL, 'TIGR01781', 26883),
(26884, 'TIGR03031', NULL, 'cas_csx12: CRISPR system subtype II-B RNA-guided endonuclease Cas9/Csx12', 802, NULL, 'TIGR03031', 26884),
(26885, 'TIGR04479', NULL, 'bcpD_PhpK_rSAM: radical SAM P-methyltransferase, PhpK family', 504, NULL, 'TIGR04479', 26885),
(26886, 'TIGR03168', NULL, '1-PFK: hexose kinase, 1-phosphofructokinase family', 305, NULL, 'TIGR03168', 26886),
(26887, 'TIGR03514', NULL, 'GldB_lipo: gliding motility-associated lipoprotein GldB', 322, NULL, 'TIGR03514', 26887),
(26888, 'TIGR04342', NULL, 'EXLDI: EXLDI protein', 124, NULL, 'TIGR04342', 26888),
(26889, 'TIGR03474', NULL, 'incFII_RepA: incFII family plasmid replication initiator RepA', 275, NULL, 'TIGR03474', 26889),
(26890, 'TIGR01958', NULL, 'nuoE_fam: NADH-quinone oxidoreductase, E subunit', 148, NULL, 'TIGR01958', 26890),
(26891, 'TIGR03461', NULL, 'pabC_Proteo: aminodeoxychorismate lyase', 262, NULL, 'TIGR03461', 26891),
(26892, 'TIGR00299', NULL, 'TIGR00299: TIGR00299 family protein', 382, NULL, 'TIGR00299', 26892),
(26893, 'TIGR01488', NULL, 'HAD-SF-IB: HAD phosphoserine phosphatase-like hydrolase, family IB', 177, NULL, 'TIGR01488', 26893),
(26894, 'TIGR03044', NULL, 'PS_II_psb27: photosystem II protein Psb27', 135, NULL, 'TIGR03044', 26894),
(26895, 'TIGR02839', NULL, 'spore_V_AE: stage V sporulation protein AE', 114, NULL, 'TIGR02839', 26895),
(26896, 'TIGR03782', NULL, 'Bac_Flav_CT_J: Bacteroides conjugative transposon TraJ protein', 323, NULL, 'TIGR03782', 26896),
(26897, 'TIGR01008', NULL, 'uS3_euk_arch: ribosomal protein uS3', 195, NULL, 'TIGR01008', 26897),
(26898, 'TIGR03972', NULL, 'rSAM_TYW1: wyosine biosynthesis protein TYW1', 297, NULL, 'TIGR03972', 26898),
(26899, 'TIGR03679', NULL, 'arCOG00187: arCOG00187 universal archaeal metal-binding-domain/4Fe-4S-binding-domain containing ABC transporter, ATP-binding protein', 218, NULL, 'TIGR03679', 26899); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26900, 'TIGR00339', NULL, 'sopT: sulfate adenylyltransferase', 383, NULL, 'TIGR00339', 26900),
(26901, 'TIGR00483', NULL, 'EF-1_alpha: translation elongation factor EF-1, subunit alpha', 427, NULL, 'TIGR00483', 26901),
(26902, 'TIGR01513', NULL, 'NAPRTase_put: nicotinate phosphoribosyltransferase', 452, NULL, 'TIGR01513', 26902),
(26903, 'TIGR04519', NULL, 'MoCo_extend_TAT: MoCo/4Fe-4S cofactor protein extended Tat translocation domain', 45, NULL, 'TIGR04519', 26903),
(26904, 'TIGR04171', NULL, 'RNR_1b_NrdF: ribonucleoside-diphosphate reductase, class 1b, beta subunit', 316, NULL, 'TIGR04171', 26904),
(26905, 'TIGR01506', NULL, 'ribC_arch: riboflavin synthase', 151, NULL, 'TIGR01506', 26905),
(26906, 'TIGR02334', NULL, 'prpF: probable AcnD-accessory protein PrpF', 390, NULL, 'TIGR02334', 26906),
(26907, 'TIGR04027', NULL, 'LLM_KPN_01858: putative FMN-dependent luciferase-like monooxygenase, KPN_01858 family', 326, NULL, 'TIGR04027', 26907),
(26908, 'TIGR01821', NULL, '5aminolev_synth: 5-aminolevulinic acid synthase', 402, NULL, 'TIGR01821', 26908),
(26909, 'TIGR00162', NULL, 'TIGR00162: TIGR00162 family protein', 260, NULL, 'TIGR00162', 26909),
(26910, 'TIGR01323', NULL, 'nitrile_alph: nitrile hydratase, alpha subunit', 189, NULL, 'TIGR01323', 26910),
(26911, 'TIGR02157', NULL, 'PA_CoA_Oxy2: phenylacetate-CoA oxygenase, PaaH subunit', 90, NULL, 'TIGR02157', 26911),
(26912, 'TIGR00619', NULL, 'sbcd: exonuclease SbcCD, D subunit', 252, NULL, 'TIGR00619', 26912),
(26913, 'TIGR03072', NULL, 'release_prfH: putative peptide chain release factor H', 200, NULL, 'TIGR03072', 26913),
(26914, 'TIGR04090', NULL, 'exp_by_SipW_IV: alternate signal-mediated exported protein, CPF_0494 family', 241, NULL, 'TIGR04090', 26914),
(26915, 'TIGR01637', NULL, 'phage_arpU: phage transcriptional regulator, ArpU family', 136, NULL, 'TIGR01637', 26915),
(26916, 'TIGR02054', NULL, 'MerD: mercuric resistence transcriptional repressor protein MerD', 120, NULL, 'TIGR02054', 26916),
(26917, 'TIGR01999', NULL, 'iscU: FeS cluster assembly scaffold IscU', 124, NULL, 'TIGR01999', 26917),
(26918, 'TIGR02415', NULL, '23BDH: acetoin reductases', 254, NULL, 'TIGR02415', 26918),
(26919, 'TIGR03433', NULL, 'padR_acidobact: transcriptional regulator, Acidobacterial, PadR-family', 101, NULL, 'TIGR03433', 26919),
(26920, 'TIGR01862', NULL, 'N2-ase-Ialpha: nitrogenase component I, alpha chain', 444, NULL, 'TIGR01862', 26920),
(26921, 'TIGR02294', NULL, 'nickel_nikA: nickel ABC transporter, nickel/metallophore periplasmic binding protein', 501, NULL, 'TIGR02294', 26921),
(26922, 'TIGR00258', NULL, 'TIGR00258: inosine/xanthosine triphosphatase', 168, NULL, 'TIGR00258', 26922),
(26923, 'TIGR00844', NULL, 'c_cpa1: sodium/hydrogen antiporter', 810, NULL, 'TIGR00844', 26923),
(26924, 'TIGR04211', NULL, 'SH3_and_anchor: SH3 domain protein', 198, NULL, 'TIGR04211', 26924),
(26925, 'TIGR03903', NULL, 'TOMM_kin_cyc: TOMM system kinase/cyclase fusion protein', 1267, NULL, 'TIGR03903', 26925),
(26926, 'TIGR01036', NULL, 'pyrD_sub2: dihydroorotate dehydrogenase (fumarate)', 356, NULL, 'TIGR01036', 26926),
(26927, 'TIGR01890', NULL, 'N-Ac-Glu-synth: amino-acid N-acetyltransferase', 429, NULL, 'TIGR01890', 26927),
(26928, 'TIGR00981', NULL, 'rpsL_bact: ribosomal protein uS12', 124, NULL, 'TIGR00981', 26928),
(26929, 'TIGR00374', NULL, 'TIGR00374: TIGR00374 family protein', 323, NULL, 'TIGR00374', 26929),
(26930, 'TIGR01139', NULL, 'cysK: cysteine synthase A', 298, NULL, 'TIGR01139', 26930),
(26931, 'TIGR01753', NULL, 'flav_short: flavodoxin', 140, NULL, 'TIGR01753', 26931),
(26932, 'TIGR04560', NULL, 'ribo_THX: ribosomal small subunit protein bTHX', 26, NULL, 'TIGR04560', 26932),
(26933, 'TIGR01609', NULL, 'PF_unchar_267: Plasmodium falciparum uncharacterized protein TIGR01609', 146, NULL, 'TIGR01609', 26933),
(26934, 'TIGR02627', NULL, 'rhamnulo_kin: rhamnulokinase', 454, NULL, 'TIGR02627', 26934),
(26935, 'TIGR02764', NULL, 'spore_ybaN_pdaB: polysaccharide deacetylase family sporulation protein PdaB', 191, NULL, 'TIGR02764', 26935); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26936, 'TIGR03542', NULL, 'DAPAT_plant: LL-diaminopimelate aminotransferase', 402, NULL, 'TIGR03542', 26936),
(26937, 'TIGR03405', NULL, 'Phn_Fe-ADH: phosphonate metabolism-associated iron-containing alcohol dehydrogenase', 355, NULL, 'TIGR03405', 26937),
(26938, 'TIGR04199', NULL, 'exosort_xrtJ: exosortase J', 522, NULL, 'TIGR04199', 26938),
(26939, 'TIGR04062', NULL, 'dnd_assoc_4: dnd system-associated protein 4', 151, NULL, 'TIGR04062', 26939),
(26940, 'TIGR00121', NULL, 'birA_ligase: biotin--[acetyl-CoA-carboxylase] ligase', 235, NULL, 'TIGR00121', 26940),
(26941, 'TIGR02443', NULL, 'TIGR02443: conserved hypothetical protein', 59, NULL, 'TIGR02443', 26941),
(26942, 'TIGR04307', NULL, 'ProTailRpt: proline-rich tail region repeat', 23, NULL, 'TIGR04307', 26942),
(26943, 'TIGR01276', NULL, 'thiB: thiamin/thiamin pyrophosphate ABC transporter, thiamin/thiamin pyrophospate-binding protein', 324, NULL, 'TIGR01276', 26943),
(26944, 'TIGR02191', NULL, 'RNaseIII: ribonuclease III', 219, NULL, 'TIGR02191', 26944),
(26945, 'TIGR03284', NULL, 'thym_sym: thymidylate synthase', 296, NULL, 'TIGR03284', 26945),
(26946, 'TIGR03221', NULL, 'muco_delta: muconolactone delta-isomerase', 90, NULL, 'TIGR03221', 26946),
(26947, 'TIGR04451', NULL, 'lanti_SCO0268: lantipeptide, SCO0268 family', 53, NULL, 'TIGR04451', 26947),
(26948, 'TIGR03598', NULL, 'GTPase_YsxC: ribosome biogenesis GTP-binding protein YsxC', 186, NULL, 'TIGR03598', 26948),
(26949, 'TIGR04314', NULL, 'methano7heme: methanogenesis multiheme c-type cytochrome', 494, NULL, 'TIGR04314', 26949),
(26950, 'TIGR04376', NULL, 'TIGR04376: TIGR04376 family protein', 189, NULL, 'TIGR04376', 26950),
(26951, 'TIGR03617', NULL, 'F420_MSMEG_2256: probable F420-dependent oxidoreductase, MSMEG_2256 family', 318, NULL, 'TIGR03617', 26951),
(26952, 'TIGR04239', NULL, 'rhombo_GlpG: rhomboid family protease GlpG', 271, NULL, 'TIGR04239', 26952),
(26953, 'TIGR04102', NULL, 'SWIM_PBPRA1643: SWIM/SEC-C metal-binding motif protein, PBPRA1643 family', 108, NULL, 'TIGR04102', 26953),
(26954, 'TIGR01541', NULL, 'tape_meas_lam_C: phage tail tape measure protein, lambda family', 332, NULL, 'TIGR01541', 26954),
(26955, 'TIGR03754', NULL, 'conj_TOL_TraD: conjugative coupling factor TraD, PFGI-1 class', 643, NULL, 'TIGR03754', 26955),
(26956, 'TIGR00367', NULL, 'TIGR00367: K+-dependent Na+/Ca+ exchanger homolog', 312, NULL, 'TIGR00367', 26956),
(26957, 'TIGR01385', NULL, 'TFSII: transcription elongation factor S-II', 300, NULL, 'TIGR01385', 26957),
(26958, 'TIGR00230', NULL, 'sfsA: sugar fermentation stimulation protein', 234, NULL, 'TIGR00230', 26958),
(26959, 'TIGR02736', NULL, 'cbb3_Q_epsi: cytochrome c oxidase, cbb3-type, CcoQ subunit', 56, NULL, 'TIGR02736', 26959),
(26960, 'TIGR02696', NULL, 'pppGpp_PNP: guanosine pentaphosphate synthetase I/polyribonucleotide nucleotidyltransferase', 720, NULL, 'TIGR02696', 26960),
(26961, 'TIGR01111', NULL, 'mtrA: tetrahydromethanopterin S-methyltransferase, subunit A', 238, NULL, 'TIGR01111', 26961),
(26962, 'TIGR02266', NULL, 'gmx_TIGR02266: Myxococcus xanthus paralogous domain TIGR02266', 96, NULL, 'TIGR02266', 26962),
(26963, 'TIGR02873', NULL, 'spore_ylxY: probable sporulation protein, polysaccharide deacetylase family', 268, NULL, 'TIGR02873', 26963),
(26964, 'TIGR02238', NULL, 'recomb_DMC1: meiotic recombinase Dmc1', 314, NULL, 'TIGR02238', 26964),
(26965, 'TIGR00053', NULL, 'TIGR00053: addiction module toxin component, YafQ family', 92, NULL, 'TIGR00053', 26965),
(26966, 'TIGR01071', NULL, 'rplO_bact: ribosomal protein uL15', 144, NULL, 'TIGR01071', 26966),
(26967, 'TIGR02920', NULL, 'acc_sec_Y2: accessory Sec system translocase SecY2', 395, NULL, 'TIGR02920', 26967),
(26968, 'TIGR03393', NULL, 'indolpyr_decarb: indolepyruvate decarboxylase', 539, NULL, 'TIGR03393', 26968),
(26969, 'TIGR00735', NULL, 'hisF: imidazoleglycerol phosphate synthase, cyclase subunit', 254, NULL, 'TIGR00735', 26969),
(26970, 'TIGR01746', NULL, 'Thioester-redct: thioester reductase domain', 371, NULL, 'TIGR01746', 26970);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(26971, 'TIGR04423', NULL, 'casT3_TIGR04423: CRISPR type III-associated protein, TIGR04423 family', 124, NULL, 'TIGR04423', 26971),
(26972, 'TIGR04267', NULL, 'mod_HExxH: HEXXH motif domain', 399, NULL, 'TIGR04267', 26972),
(26973, 'TIGR02082', NULL, 'metH: methionine synthase', 1182, NULL, 'TIGR02082', 26973),
(26974, 'TIGR00551', NULL, 'nadB: L-aspartate oxidase', 489, NULL, 'TIGR00551', 26974),
(26975, 'TIGR00872', NULL, 'gnd_rel: 6-phosphogluconate dehydrogenase (decarboxylating)', 299, NULL, 'TIGR00872', 26975),
(26976, 'TIGR01902', NULL, 'dapE-lys-deAc: N-acetyl-ornithine/N-acetyl-lysine deacetylase', 340, NULL, 'TIGR01902', 26976),
(26977, 'TIGR03249', NULL, 'KdgD: 5-dehydro-4-deoxyglucarate dehydratase', 299, NULL, 'TIGR03249', 26977),
(26978, 'TIGR01064', NULL, 'pyruv_kin: pyruvate kinase', 476, NULL, 'TIGR01064', 26978),
(26979, 'TIGR03112', NULL, '6_pyr_pter_rel: 6-pyruvoyl tetrahydropterin synthase-related domain', 113, NULL, 'TIGR03112', 26979),
(26980, 'TIGR01248', NULL, 'drrC: daunorubicin resistance protein C', 152, NULL, 'TIGR01248', 26980),
(26981, 'TIGR02880', NULL, 'cbbX_cfxQ: CbbX protein', 284, NULL, 'TIGR02880', 26981),
(26982, 'TIGR01569', NULL, 'A_tha_TIGR01569: plant integral membrane protein TIGR01569', 154, NULL, 'TIGR01569', 26982),
(26983, 'TIGR02101', NULL, 'IpaC_SipC: type III secretion target, IpaC/SipC family', 314, NULL, 'TIGR02101', 26983),
(26984, 'TIGR00414', NULL, 'serS: serine--tRNA ligase', 418, NULL, 'TIGR00414', 26984),
(26985, 'TIGR03891', NULL, 'thiopep_ocin: thiopeptide-type bacteriocin biosynthesis domain', 263, NULL, 'TIGR03891', 26985),
(26986, 'TIGR03570', NULL, 'NeuD_NnaD: sugar O-acyltransferase, sialic acid O-acetyltransferase NeuD family', 202, NULL, 'TIGR03570', 26986),
(26987, 'TIGR00532', NULL, 'HMG_CoA_R_NAD: hydroxymethylglutaryl-CoA reductase, degradative', 395, NULL, 'TIGR00532', 26987),
(26988, 'TIGR01170', NULL, 'rplA_mito: ribosomal protein uL1, mitochondrial', 140, NULL, 'TIGR01170', 26988),
(26989, 'TIGR03365', NULL, 'Bsubt_queE: 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 238, NULL, 'TIGR03365', 26989),
(26990, 'TIGR00517', NULL, 'acyl_carrier: acyl carrier protein', 77, NULL, 'TIGR00517', 26990),
(26991, 'TIGR00669', NULL, 'asnA: aspartate--ammonia ligase', 330, NULL, 'TIGR00669', 26991),
(26992, 'TIGR03140', NULL, 'AhpF: alkyl hydroperoxide reductase subunit F', 515, NULL, 'TIGR03140', 26992),
(26993, 'TIGR03277', NULL, 'methan_mark_9: putative methanogenesis marker domain 9', 109, NULL, 'TIGR03277', 26993),
(26994, 'TIGR02727', NULL, 'MTHFS_bact: 5-formyltetrahydrofolate cyclo-ligase', 182, NULL, 'TIGR02727', 26994),
(26995, 'TIGR03037', NULL, 'anthran_nbaC: 3-hydroxyanthranilate 3,4-dioxygenase', 159, NULL, 'TIGR03037', 26995),
(26996, 'TIGR00860', NULL, 'LIC: cation transporter family protein', 462, NULL, 'TIGR00860', 26996),
(26997, 'TIGR02935', NULL, 'TIGR02935: probable nitrogen fixation protein', 140, NULL, 'TIGR02935', 26997),
(26998, 'TIGR00965', NULL, 'dapD: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', 271, NULL, 'TIGR00965', 26998),
(26999, 'TIGR01108', NULL, 'oadA: oxaloacetate decarboxylase alpha subunit', 582, NULL, 'TIGR01108', 26999),
(27000, 'TIGR03558', NULL, 'oxido_grp_1: luciferase family oxidoreductase, group 1', 325, NULL, 'TIGR03558', 27000),
(27001, 'TIGR02742', NULL, 'TrbC_Ftype: type-F conjugative transfer system pilin assembly protein TrbC', 130, NULL, 'TIGR02742', 27001),
(27002, 'TIGR01943', NULL, 'rnfA: electron transport complex, RnfABCDGE type, A subunit', 190, NULL, 'TIGR01943', 27002),
(27003, 'TIGR03526', NULL, 'selenium_YgeY: putative selenium metabolism hydrolase', 395, NULL, 'TIGR03526', 27003),
(27004, 'TIGR04164', NULL, 'cobo_pep: modified peptide precursor CbpA', 25, NULL, 'TIGR04164', 27004),
(27005, 'TIGR02341', NULL, 'chap_CCT_beta: T-complex protein 1, beta subunit', 519, NULL, 'TIGR02341', 27005),
(27006, 'TIGR02446', NULL, 'FadI: acetyl-CoA C-acyltransferase FadI', 430, NULL, 'TIGR02446', 27006);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27007, 'TIGR04012', NULL, 'poly_gGlu_PgsB: poly-gamma-glutamate synthase PgsB', 380, NULL, 'TIGR04012', 27007),
(27008, 'TIGR04504', NULL, 'SDR_subfam_2: SDR family mycofactocin-dependent oxidoreductase', 260, NULL, 'TIGR04504', 27008),
(27009, 'TIGR01796', NULL, 'CM_mono_aroH: chorismate mutase', 117, NULL, 'TIGR01796', 27009),
(27010, 'TIGR00324', NULL, 'endA: tRNA-intron lyase', 177, NULL, 'TIGR00324', 27010),
(27011, 'TIGR00075', NULL, 'hypD: hydrogenase expression/formation protein HypD', 372, NULL, 'TIGR00075', 27011),
(27012, 'TIGR03421', NULL, 'FeS_CyaY: iron donor protein CyaY', 104, NULL, 'TIGR03421', 27012),
(27013, 'TIGR04196', NULL, 'glycopep_SunS: glycopeptide, sublancin family', 80, NULL, 'TIGR04196', 27013),
(27014, 'TIGR02250', NULL, 'FCP1_euk: FCP1-like phosphatase, phosphatase domain', 156, NULL, 'TIGR02250', 27014),
(27015, 'TIGR02774', NULL, 'rexB_recomb: ATP-dependent nuclease subunit B', 1076, NULL, 'TIGR02774', 27015),
(27016, 'TIGR03084', NULL, 'TIGR03084: TIGR03084 family protein', 253, NULL, 'TIGR03084', 27016),
(27017, 'TIGR04255', NULL, 'sporadTIGR04255: TIGR04255 family protein', 252, NULL, 'TIGR04255', 27017),
(27018, 'TIGR01662', NULL, 'HAD-SF-IIIA: HAD hydrolase, family IIIA', 141, NULL, 'TIGR01662', 27018),
(27019, 'TIGR01612', NULL, '235kDa-fam: rhoptry protein', 2756, NULL, 'TIGR01612', 27019),
(27020, 'TIGR00090', NULL, 'rsfS_iojap_ybeB: ribosome silencing factor', 99, NULL, 'TIGR00090', 27020),
(27021, 'TIGR03632', NULL, 'uS11_bact: ribosomal protein uS11', 117, NULL, 'TIGR03632', 27021),
(27022, 'TIGR03769', NULL, 'P_ac_wall_RPT: actinobacterial surface-anchored protein domain', 41, NULL, 'TIGR03769', 27022),
(27023, 'TIGR04270', NULL, 'Rama_corrin_act: methylamine methyltransferase corrinoid protein reductive activase', 534, NULL, 'TIGR04270', 27023),
(27024, 'TIGR02013', NULL, 'rpoB: DNA-directed RNA polymerase, beta subunit', 1238, NULL, 'TIGR02013', 27024),
(27025, 'TIGR02203', NULL, 'MsbA_lipidA: lipid A export permease/ATP-binding protein MsbA', 572, NULL, 'TIGR02203', 27025),
(27026, 'TIGR02235', NULL, 'menA_cyano-plnt: 1,4-dihydroxy-2-naphthoate phytyltransferase', 285, NULL, 'TIGR02235', 27026),
(27027, 'TIGR03960', NULL, 'rSAM_fuse_unch: radical SAM family uncharacterized protein', 605, NULL, 'TIGR03960', 27027),
(27028, 'TIGR03854', NULL, 'F420_MSMEG_3544: probable F420-dependent oxidoreductase, MSMEG_3544 family', 290, NULL, 'TIGR03854', 27028),
(27029, 'TIGR03081', NULL, 'metmalonyl_epim: methylmalonyl-CoA epimerase', 129, NULL, 'TIGR03081', 27029),
(27030, 'TIGR00043', NULL, 'TIGR00043: rRNA maturation RNase YbeY', 111, NULL, 'TIGR00043', 27030),
(27031, 'TIGR01990', NULL, 'bPGM: beta-phosphoglucomutase', 187, NULL, 'TIGR01990', 27031),
(27032, 'TIGR04223', NULL, 'quorum_AgrD: cyclic lactone autoinducer peptide', 38, NULL, 'TIGR04223', 27032),
(27033, 'TIGR00816', NULL, 'tdt: C4-dicarboxylate transporter/malic acid transport protein', 320, NULL, 'TIGR00816', 27033),
(27034, 'TIGR04205', NULL, 'classIII_w_PIP: class III signal peptide protein, archaeosortase D/PIP-CTERM system', 67, NULL, 'TIGR04205', 27034),
(27035, 'TIGR02282', NULL, 'MltB: lytic murein transglycosylase B', 290, NULL, 'TIGR02282', 27035),
(27036, 'TIGR02387', NULL, 'rpoC1_cyan: DNA-directed RNA polymerase, gamma subunit', 619, NULL, 'TIGR02387', 27036),
(27037, 'TIGR03913', NULL, 'rad_SAM_trio: Y_X(10)_GDL-associated radical SAM protein', 477, NULL, 'TIGR03913', 27037),
(27038, 'TIGR01808', NULL, 'CM_M_hiGC-arch: chorismate mutase', 74, NULL, 'TIGR01808', 27038),
(27039, 'TIGR01021', NULL, 'rpsE_bact: ribosomal protein uS5', 156, NULL, 'TIGR01021', 27039),
(27040, 'TIGR01316', NULL, 'gltA: glutamate synthase (NADPH), homotetrameric', 449, NULL, 'TIGR01316', 27040),
(27041, 'TIGR02668', NULL, 'moaA_archaeal: probable molybdenum cofactor biosynthesis protein A', 303, NULL, 'TIGR02668', 27041),
(27042, 'TIGR00476', NULL, 'selD: selenide, water dikinase', 311, NULL, 'TIGR00476', 27042);          
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27043, 'TIGR00863', NULL, 'P2X: cation transporter protein', 372, NULL, 'TIGR00863', 27043),
(27044, 'TIGR03069', NULL, 'PS_II_S4: photosystem II S4 domain protein', 257, NULL, 'TIGR03069', 27044),
(27045, 'TIGR03573', NULL, 'WbuX: N-acetyl sugar amidotransferase', 344, NULL, 'TIGR03573', 27045),
(27046, 'TIGR04492', NULL, 'VioB: iminophenyl-pyruvate dimer synthase VioB', 1003, NULL, 'TIGR04492', 27046),
(27047, 'TIGR00430', NULL, 'Q_tRNA_tgt: tRNA-guanine transglycosylase', 368, NULL, 'TIGR00430', 27047),
(27048, 'TIGR00535', NULL, 'SAM_DCase: S-adenosylmethionine decarboxylase proenzyme', 334, NULL, 'TIGR00535', 27048),
(27049, 'TIGR03128', NULL, 'RuMP_HxlA: 3-hexulose-6-phosphate synthase', 206, NULL, 'TIGR03128', 27049),
(27050, 'TIGR02478', NULL, '6PF1K_euk: 6-phosphofructokinase', 744, NULL, 'TIGR02478', 27050),
(27051, 'TIGR04551', NULL, 'TIGR04551: TIGR04551 family protein', 519, NULL, 'TIGR04551', 27051),
(27052, 'TIGR01644', NULL, 'phage_P2_V: phage baseplate assembly protein V', 192, NULL, 'TIGR01644', 27052),
(27053, 'TIGR01749', NULL, 'fabA: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabA', 169, NULL, 'TIGR01749', 27053),
(27054, 'TIGR04193', NULL, 'SPASM_w_grasp: SPASM domain peptide maturase, grasp-with-spasm system', 342, NULL, 'TIGR04193', 27054),
(27055, 'TIGR01105', NULL, 'galF: regulatory protein GalF', 297, NULL, 'TIGR01105', 27055),
(27056, 'TIGR01120', NULL, 'rpiB: ribose 5-phosphate isomerase B', 143, NULL, 'TIGR01120', 27056),
(27057, 'TIGR03175', NULL, 'AllD: ureidoglycolate dehydrogenase', 349, NULL, 'TIGR03175', 27057),
(27058, 'TIGR02312', NULL, 'HpaH: 2-oxo-hepta-3-ene-1,7-dioic acid hydratase', 267, NULL, 'TIGR02312', 27058),
(27059, 'TIGR02449', NULL, 'TIGR02449: TIGR02449 family protein', 65, NULL, 'TIGR02449', 27059),
(27060, 'TIGR02777', NULL, 'LigD_PE_dom: DNA ligase D, 3''-phosphoesterase domain', 156, NULL, 'TIGR02777', 27060),
(27061, 'TIGR03795', NULL, 'RNP_Burkhold: ribosomal natural product, two-chain TOMM family', 114, NULL, 'TIGR03795', 27061),
(27062, 'TIGR02640', NULL, 'gas_vesic_GvpN: gas vesicle protein GvpN', 262, NULL, 'TIGR02640', 27062),
(27063, 'TIGR04146', NULL, 'GGGPS_Afulg: phosphoglycerol geranylgeranyltransferase', 221, NULL, 'TIGR04146', 27063),
(27064, 'TIGR02829', NULL, 'spore_III_AE: stage III sporulation protein AE', 381, NULL, 'TIGR02829', 27064),
(27065, 'TIGR03330', NULL, 'SAM_DCase_Bsu: S-adenosylmethionine decarboxylase proenzyme', 112, NULL, 'TIGR03330', 27065),
(27066, 'TIGR01049', NULL, 'rpsJ_bact: ribosomal protein uS10', 99, NULL, 'TIGR01049', 27066),
(27067, 'TIGR00321', NULL, 'dhys: deoxyhypusine synthase', 301, NULL, 'TIGR00321', 27067),
(27068, 'TIGR00078', NULL, 'nadC: nicotinate-nucleotide diphosphorylase (carboxylating)', 269, NULL, 'TIGR00078', 27068),
(27069, 'TIGR01858', NULL, 'tag_bisphos_ald: class II aldolase, tagatose bisphosphate family', 282, NULL, 'TIGR01858', 27069),
(27070, 'TIGR02876', NULL, 'spore_yqfD: sporulation protein YqfD', 382, NULL, 'TIGR02876', 27070),
(27071, 'TIGR01721', NULL, 'AMN-like: putative AMP nucleosidase', 269, NULL, 'TIGR01721', 27071),
(27072, 'TIGR00458', NULL, 'aspS_nondisc: aspartate--tRNA(Asn) ligase', 428, NULL, 'TIGR00458', 27072),
(27073, 'TIGR01096', NULL, '3A0103s03R: lysine-arginine-ornithine-binding periplasmic protein', 250, NULL, 'TIGR01096', 27073),
(27074, 'TIGR03916', NULL, 'rSAM_link_UDG: putative DNA modification/repair radical SAM protein', 415, NULL, 'TIGR03916', 27074),
(27075, 'TIGR03019', NULL, 'pepcterm_femAB: FemAB-related protein, PEP-CTERM system-associated', 330, NULL, 'TIGR03019', 27075),
(27076, 'TIGR03909', NULL, 'pyrrolys_PylC: pyrrolysine biosynthesis protein PylC', 374, NULL, 'TIGR03909', 27076),
(27077, 'TIGR04419', NULL, 'no_iron_rSAM: HemN-related non-iron pseudo-SAM protein PsgB', 378, NULL, 'TIGR04419', 27077),
(27078, 'TIGR03467', NULL, 'HpnE: squalene-associated FAD-dependent desaturase', 430, NULL, 'TIGR03467', 27078),
(27079, 'TIGR02938', NULL, 'nifL_nitrog: nitrogen fixation negative regulator NifL', 494, NULL, 'TIGR02938', 27079);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27080, 'TIGR03807', NULL, 'RR_fam_repeat: putative cofactor-binding repeat', 27, NULL, 'TIGR03807', 27080),
(27081, 'TIGR01799', NULL, 'CM_T: chorismate mutase', 83, NULL, 'TIGR01799', 27081),
(27082, 'TIGR00040', NULL, 'yfcE: phosphodiesterase, MJ0936 family', 158, NULL, 'TIGR00040', 27082),
(27083, 'TIGR00177', NULL, 'molyb_syn: molybdenum cofactor synthesis domain', 148, NULL, 'TIGR00177', 27083),
(27084, 'TIGR03682', NULL, 'arCOG04112: diphthamide biosynthesis enzyme Dph2', 308, NULL, 'TIGR03682', 27084),
(27085, 'TIGR00262', NULL, 'trpA: tryptophan synthase, alpha subunit', 256, NULL, 'TIGR00262', 27085),
(27086, 'TIGR01615', NULL, 'A_thal_3542: uncharacterized plant-specific domain TIGR01615', 131, NULL, 'TIGR01615', 27086),
(27087, 'TIGR01214', NULL, 'rmlD: dTDP-4-dehydrorhamnose reductase', 285, NULL, 'TIGR01214', 27087),
(27088, 'TIGR03635', NULL, 'uS17_bact: ribosomal protein uS17', 72, NULL, 'TIGR03635', 27088),
(27089, 'TIGR02801', NULL, 'tolR: protein TolR', 129, NULL, 'TIGR02801', 27089),
(27090, 'TIGR02048', NULL, 'gshA_cyano: putative glutamate--cysteine ligase', 376, NULL, 'TIGR02048', 27090),
(27091, 'TIGR02369', NULL, 'trimeth_pyl: trimethylamine:corrinoid methyltransferase', 489, NULL, 'TIGR02369', 27091),
(27092, 'TIGR03576', NULL, 'pyridox_MJ0158: pyridoxal phosphate enzyme, MJ0158 family', 346, NULL, 'TIGR03576', 27092),
(27093, 'TIGR02508', NULL, 'type_III_yscG: type III secretion protein, YscG family', 116, NULL, 'TIGR02508', 27093),
(27094, 'TIGR03956', NULL, 'rSAM_HydE: [FeFe] hydrogenase H-cluster radical SAM maturase HydE', 340, NULL, 'TIGR03956', 27094),
(27095, 'TIGR00028', NULL, 'Mtu_PIN_fam: toxin-antitoxin system PIN domain toxin', 143, NULL, 'TIGR00028', 27095),
(27096, 'TIGR00408', NULL, 'proS_fam_I: proline--tRNA ligase', 475, NULL, 'TIGR00408', 27096),
(27097, 'TIGR00918', NULL, '2A060602: transmembrane receptor Patched', 1145, NULL, 'TIGR00918', 27097),
(27098, 'TIGR02985', NULL, 'Sig70_bacteroi1: RNA polymerase sigma-70 factor, Bacteroides expansion family 1', 162, NULL, 'TIGR02985', 27098),
(27099, 'TIGR04273', NULL, 'Y_sulf_Ax21: sulfation-dependent quorum factor, Ax21 family', 186, NULL, 'TIGR04273', 27099),
(27100, 'TIGR02232', NULL, 'myxo_disulf_rpt: Myxococcus cysteine-rich repeat', 38, NULL, 'TIGR02232', 27100),
(27101, 'TIGR03963', NULL, 'rSAM_QueE_Clost: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', 219, NULL, 'TIGR03963', 27101),
(27102, 'TIGR03066', NULL, 'Gem_osc_para_1: Gemmata obscuriglobus paralogous family TIGR03066', 121, NULL, 'TIGR03066', 27102),
(27103, 'TIGR01550', NULL, 'DOC_P1: death-on-curing family protein', 122, NULL, 'TIGR01550', 27103),
(27104, 'TIGR01724', NULL, 'hmd_rel: H2-forming N(5),N(10)-methenyltetrahydromethanopterin dehydrogenase-related protein', 341, NULL, 'TIGR01724', 27104),
(27105, 'TIGR03745', NULL, 'conj_TIGR03745: integrating conjugative element membrane protein, PFL_4702 family', 105, NULL, 'TIGR03745', 27105),
(27106, 'TIGR01687', NULL, 'moaD_arch: MoaD family protein', 88, NULL, 'TIGR01687', 27106),
(27107, 'TIGR01709', NULL, 'typeII_sec_gspL: type II secretion system protein L', 389, NULL, 'TIGR01709', 27107),
(27108, 'TIGR02173', NULL, 'cyt_kin_arch: putative cytidylate kinase', 169, NULL, 'TIGR02173', 27108),
(27109, 'TIGR04111', NULL, 'BcepMu_gp16: phage-associated protein, BcepMu gp16 family', 55, NULL, 'TIGR04111', 27109),
(27110, 'TIGR04332', NULL, 'gamma_Glu_sys: poly-gamma-glutamate system protein', 307, NULL, 'TIGR04332', 27110),
(27111, 'TIGR04248', NULL, 'SCM_PqqD_rel: SynChlorMet cassette protein ScmD', 84, NULL, 'TIGR04248', 27111),
(27112, 'TIGR00137', NULL, 'gid_trmFO: tRNA:m(5)U-54 methyltransferase', 433, NULL, 'TIGR00137', 27112),
(27113, 'TIGR00105', NULL, 'L31: ribosomal protein bL31', 68, NULL, 'TIGR00105', 27113),
(27114, 'TIGR00068', NULL, 'glyox_I: lactoylglutathione lyase', 150, NULL, 'TIGR00068', 27114),
(27115, 'TIGR02141', NULL, 'modB_ABC: molybdate ABC transporter, permease protein', 208, NULL, 'TIGR02141', 27115);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27116, 'TIGR03312', NULL, 'Se_sel_red_FAD: probable selenate reductase, FAD-binding subunit', 257, NULL, 'TIGR03312', 27116),
(27117, 'TIGR03417', NULL, 'chol_sulfatase: choline-sulfatase', 500, NULL, 'TIGR03417', 27117),
(27118, 'TIGR01342', NULL, 'acon_putative: putative aconitate hydratase', 655, NULL, 'TIGR01342', 27118),
(27119, 'TIGR03193', NULL, '4hydroxCoAred: 4-hydroxybenzoyl-CoA reductase, gamma subunit', 148, NULL, 'TIGR03193', 27119),
(27120, 'TIGR04364', NULL, 'methyltran_FxLD: methyltransferase, FxLD system', 394, NULL, 'TIGR04364', 27120),
(27121, 'TIGR03741', NULL, 'PRTRC_E: PRTRC system protein E', 106, NULL, 'TIGR03741', 27121),
(27122, 'TIGR02403', NULL, 'trehalose_treC: alpha,alpha-phosphotrehalase', 544, NULL, 'TIGR02403', 27122),
(27123, 'TIGR02066', NULL, 'dsrB: sulfite reductase, dissimilatory-type beta subunit', 341, NULL, 'TIGR02066', 27123),
(27124, 'TIGR03897', NULL, 'lanti_2_LanM: type 2 lantibiotic biosynthesis protein LanM', 932, NULL, 'TIGR03897', 27124),
(27125, 'TIGR00888', NULL, 'guaA_Nterm: GMP synthase (glutamine-hydrolyzing), N-terminal domain', 188, NULL, 'TIGR00888', 27125),
(27126, 'TIGR00396', NULL, 'leuS_bact: leucine--tRNA ligase', 843, NULL, 'TIGR00396', 27126),
(27127, 'TIGR03533', NULL, 'L3_gln_methyl: protein-(glutamine-N5) methyltransferase, ribosomal protein L3-specific', 284, NULL, 'TIGR03533', 27127),
(27128, 'TIGR02826', NULL, 'RNR_activ_nrdG3: anaerobic ribonucleoside-triphosphate reductase activating protein', 148, NULL, 'TIGR02826', 27128),
(27129, 'TIGR01917', NULL, 'gly_red_sel_B: glycine reductase, selenoprotein B', 431, NULL, 'TIGR01917', 27129),
(27130, 'TIGR00641', NULL, 'acid_CoA_mut_N: methylmalonyl-CoA mutase N-terminal domain', 528, NULL, 'TIGR00641', 27130),
(27131, 'TIGR01475', NULL, 'ubiA_other: putative 4-hydroxybenzoate polyprenyltransferase', 282, NULL, 'TIGR01475', 27131),
(27132, 'TIGR04036', NULL, 'LLM_CE1758_fam: putative luciferase-like monooxygenase, FMN-dependent, CE1758 family', 355, NULL, 'TIGR04036', 27132),
(27133, 'TIGR01479', NULL, 'GMP_PMI: mannose-1-phosphate guanylyltransferase/mannose-6-phosphate isomerase', 467, NULL, 'TIGR01479', 27133),
(27134, 'TIGR02836', NULL, 'spore_IV_A: stage IV sporulation protein A', 492, NULL, 'TIGR02836', 27134),
(27135, 'TIGR02394', NULL, 'rpoS_proteo: RNA polymerase sigma factor RpoS', 285, NULL, 'TIGR02394', 27135),
(27136, 'TIGR00972', NULL, '3a0107s01c2: phosphate ABC transporter, ATP-binding protein', 248, NULL, 'TIGR00972', 27136),
(27137, 'TIGR01983', NULL, 'UbiG: 3-demethylubiquinone-9 3-O-methyltransferase', 228, NULL, 'TIGR01983', 27137),
(27138, 'TIGR03100', NULL, 'hydr1_PEP: exosortase A system-associated hydrolase 1', 274, NULL, 'TIGR03100', 27138),
(27139, 'TIGR03205', NULL, 'pimA: dicarboxylate--CoA ligase PimA', 541, NULL, 'TIGR03205', 27139),
(27140, 'TIGR02680', NULL, 'TIGR02680: TIGR02680 family protein', 1356, NULL, 'TIGR02680', 27140),
(27141, 'TIGR01232', NULL, 'lacD: tagatose 1,6-diphosphate aldolase', 325, NULL, 'TIGR01232', 27141),
(27142, 'TIGR01369', NULL, 'CPSaseII_lrg: carbamoyl-phosphate synthase, large subunit', 1052, NULL, 'TIGR01369', 27142),
(27143, 'TIGR02615', NULL, 'spoVE: stage V sporulation protein E', 354, NULL, 'TIGR02615', 27143),
(27144, 'TIGR03339', NULL, 'phn_lysR: aminoethylphosphonate catabolism associated LysR family transcriptional regulator', 279, NULL, 'TIGR03339', 27144),
(27145, 'TIGR01697', NULL, 'PNPH-PUNA-XAPA: inosine/guanosine/xanthosine phosphorylase family', 247, NULL, 'TIGR01697', 27145),
(27146, 'TIGR02614', NULL, 'ftsW: cell division protein FtsW', 357, NULL, 'TIGR02614', 27146),
(27147, 'TIGR00423', NULL, 'TIGR00423: radical SAM domain protein, CofH subfamily', 310, NULL, 'TIGR00423', 27147),
(27148, 'TIGR03206', NULL, 'benzo_BadH: 2-hydroxycyclohexanecarboxyl-CoA dehydrogenase', 250, NULL, 'TIGR03206', 27148),
(27149, 'TIGR01093', NULL, 'aroD: 3-dehydroquinate dehydratase, type I', 229, NULL, 'TIGR01093', 27149);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27150, 'TIGR02988', NULL, 'YaaA_near_RecF: S4 domain protein YaaA', 60, NULL, 'TIGR02988', 27150),
(27151, 'TIGR00215', NULL, 'lpxB: lipid-A-disaccharide synthase', 382, NULL, 'TIGR00215', 27151),
(27152, 'TIGR04544', NULL, '3metArgNH2trans: beta-methylarginine biosynthesis bifunctional aminotransferase', 366, NULL, 'TIGR04544', 27152),
(27153, 'TIGR00751', NULL, 'menA: 1,4-dihydroxy-2-naphthoate octaprenyltransferase', 284, NULL, 'TIGR00751', 27153),
(27154, 'TIGR04466', NULL, 'rSAM_BlsE: cytosylglucuronate decarboxylase', 327, NULL, 'TIGR04466', 27154),
(27155, 'TIGR02176', NULL, 'pyruv_ox_red: pyruvate:ferredoxin (flavodoxin) oxidoreductase', 1167, NULL, 'TIGR02176', 27155),
(27156, 'TIGR00778', NULL, 'ahpD_dom: alkylhydroperoxidase AhpD family core domain', 51, NULL, 'TIGR00778', 27156),
(27157, 'TIGR03953', NULL, 'rplD_bact: 50S ribosomal protein uL4', 188, NULL, 'TIGR03953', 27157),
(27158, 'TIGR02406', NULL, 'ectoine_EctA: diaminobutyrate acetyltransferase', 157, NULL, 'TIGR02406', 27158),
(27159, 'TIGR01264', NULL, 'tyr_amTase_E: tyrosine aminotransferase', 403, NULL, 'TIGR01264', 27159),
(27160, 'TIGR02851', NULL, 'spore_V_T: stage V sporulation protein T', 180, NULL, 'TIGR02851', 27160),
(27161, 'TIGR03685', NULL, 'ribo_P1_arch: 50S ribosomal protein P1', 105, NULL, 'TIGR03685', 27161),
(27162, 'TIGR03449', NULL, 'mycothiol_MshA: D-inositol-3-phosphate glycosyltransferase', 406, NULL, 'TIGR03449', 27162),
(27163, 'TIGR00856', NULL, 'pyrC_dimer: dihydroorotase, homodimeric type', 341, NULL, 'TIGR00856', 27163),
(27164, 'TIGR02098', NULL, 'MJ0042_CXXC: MJ0042 family finger-like domain', 38, NULL, 'TIGR02098', 27164),
(27165, 'TIGR03315', NULL, 'Se_ygfK: putative selenate reductase, YgfK subunit', 1012, NULL, 'TIGR03315', 27165),
(27166, 'TIGR02172', NULL, 'Fb_sc_TIGR02172: fibrobacter succinogenes paralogous family TIGR02172', 226, NULL, 'TIGR02172', 27166),
(27167, 'TIGR01980', NULL, 'sufB: FeS assembly protein SufB', 448, NULL, 'TIGR01980', 27167),
(27168, 'TIGR03190', NULL, 'benz_CoA_bzdN: benzoyl-CoA reductase, bzd-type, N subunit', 377, NULL, 'TIGR03190', 27168),
(27169, 'TIGR00754', NULL, 'bfr: bacterioferritin', 157, NULL, 'TIGR00754', 27169),
(27170, 'TIGR00962', NULL, 'atpA: ATP synthase F1, alpha subunit', 503, NULL, 'TIGR00962', 27170),
(27171, 'TIGR03523', NULL, 'GldN: gliding motility associated protein GldN', 280, NULL, 'TIGR03523', 27171),
(27172, 'TIGR04333', NULL, 'Clo7Bot_mod_Cys: Cys-rich peptide, Clo7bot family', 34, NULL, 'TIGR04333', 27172),
(27173, 'TIGR01772', NULL, 'MDH_euk_gproteo: malate dehydrogenase, NAD-dependent', 313, NULL, 'TIGR01772', 27173),
(27174, 'TIGR02724', NULL, 'phenyl_P_beta: phenylphosphate carboxylase, beta subunit', 472, NULL, 'TIGR02724', 27174),
(27175, 'TIGR02505', NULL, 'RTPR: ribonucleoside-triphosphate reductase, adenosylcobalamin-dependent', 724, NULL, 'TIGR02505', 27175),
(27176, 'TIGR00567', NULL, '3mg: DNA-3-methyladenine glycosylase', 192, NULL, 'TIGR00567', 27176),
(27177, 'TIGR04005', NULL, 'wcaL: colanic acid biosynthesis glycosyltransferase WcaL', 406, NULL, 'TIGR04005', 27177),
(27178, 'TIGR01257', NULL, 'rim_protein: rim ABC transporter', 2272, NULL, 'TIGR01257', 27178),
(27179, 'TIGR01553', NULL, 'formate-DH-alph: formate dehydrogenase-N alpha subunit', 1009, NULL, 'TIGR01553', 27179),
(27180, 'TIGR01815', NULL, 'TrpE-clade3: anthranilate synthase', 717, NULL, 'TIGR01815', 27180),
(27181, 'TIGR01373', NULL, 'soxB: sarcosine oxidase, beta subunit family', 407, NULL, 'TIGR01373', 27181),
(27182, 'TIGR03879', NULL, 'near_KaiC_dom: probable regulatory domain', 91, NULL, 'TIGR03879', 27182),
(27183, 'TIGR02391', NULL, 'hypoth_ymh: TIGR02391 family protein', 125, NULL, 'TIGR02391', 27183),
(27184, 'TIGR03414', NULL, 'ABC_choline_bnd: choline ABC transporter, periplasmic binding protein', 291, NULL, 'TIGR03414', 27184),
(27185, 'TIGR02833', NULL, 'spore_III_AB: stage III sporulation protein AB', 170, NULL, 'TIGR02833', 27185);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27186, 'TIGR01881', NULL, 'cas_Cmr5: CRISPR type III-B/RAMP module-associated protein Cmr5', 143, NULL, 'TIGR01881', 27186),
(27187, 'TIGR03988', NULL, 'antisig_RsrA: mycothiol system anti-sigma-R factor', 77, NULL, 'TIGR03988', 27187),
(27188, 'TIGR03091', NULL, 'SASP_sspK: small, acid-soluble spore protein K', 32, NULL, 'TIGR03091', 27188),
(27189, 'TIGR01918', NULL, 'various_sel_PB: selenoprotein B, glycine/betaine/sarcosine/D-proline reductase family', 431, NULL, 'TIGR01918', 27189),
(27190, 'TIGR00426', NULL, 'TIGR00426: competence protein ComEA helix-hairpin-helix repeat region', 69, NULL, 'TIGR00426', 27190),
(27191, 'TIGR02960', NULL, 'SigX5: RNA polymerase sigma-70 factor, TIGR02960 family', 322, NULL, 'TIGR02960', 27191),
(27192, 'TIGR04121', NULL, 'DEXH_lig_assoc: DEXH box helicase, DNA ligase-associated', 804, NULL, 'TIGR04121', 27192),
(27193, 'TIGR03424', NULL, 'urea_degr_1: urea carboxylase-associated protein 1', 198, NULL, 'TIGR03424', 27193),
(27194, 'TIGR02911', NULL, 'sulfite_red_B: sulfite reductase, subunit B', 261, NULL, 'TIGR02911', 27194),
(27195, 'TIGR04258', NULL, '4helix_suffix: four helix bundle suffix domain', 49, NULL, 'TIGR04258', 27195),
(27196, 'TIGR02384', NULL, 'RelB_DinJ: addiction module antitoxin, RelB/DinJ family', 85, NULL, 'TIGR02384', 27196),
(27197, 'TIGR03103', NULL, 'trio_acet_GNAT: GNAT-family acetyltransferase TIGR03103', 547, NULL, 'TIGR03103', 27197),
(27198, 'TIGR03742', NULL, 'PRTRC_F: PRTRC system protein F', 343, NULL, 'TIGR03742', 27198),
(27199, 'TIGR02571', NULL, 'ComEB: ComE operon protein 2', 151, NULL, 'TIGR02571', 27199),
(27200, 'TIGR01560', NULL, 'put_DNA_pack: uncharacterized phage protein (possible DNA packaging)', 91, NULL, 'TIGR01560', 27200),
(27201, 'TIGR00645', NULL, 'HI0507: TIGR00645 family protein', 167, NULL, 'TIGR00645', 27201),
(27202, 'TIGR02509', NULL, 'type_III_yopR: type III secretion effector, YopR family', 131, NULL, 'TIGR02509', 27202),
(27203, 'TIGR02512', NULL, 'FeFe_hydrog_A: [FeFe] hydrogenase, group A', 375, NULL, 'TIGR02512', 27203),
(27204, 'TIGR01158', NULL, 'SUI1_rel: putative translation initiation factor SUI1', 102, NULL, 'TIGR01158', 27204),
(27205, 'TIGR00003', NULL, 'TIGR00003: copper ion binding protein', 66, NULL, 'TIGR00003', 27205),
(27206, 'TIGR04114', NULL, 'tSAM_targ_Cxxx: modification target Cys-rich repeat', 18, NULL, 'TIGR04114', 27206),
(27207, 'TIGR00239', NULL, '2oxo_dh_E1: oxoglutarate dehydrogenase (succinyl-transferring), E1 component', 931, NULL, 'TIGR00239', 27207),
(27208, 'TIGR03237', NULL, 'dnd_assoc_2: DNA phosphorothioation-dependent restriction protein DptH', 1256, NULL, 'TIGR03237', 27208),
(27209, 'TIGR00747', NULL, 'fabH: 3-oxoacyl-[acyl-carrier-protein] synthase III', 322, NULL, 'TIGR00747', 27209),
(27210, 'TIGR03667', NULL, 'Rv3369: PPOX class probable F420-dependent enzyme, Rv3369 family', 130, NULL, 'TIGR03667', 27210),
(27211, 'TIGR03530', NULL, 'GldJ_short: gliding motility-associated lipoprotein GldJ', 396, NULL, 'TIGR03530', 27211),
(27212, 'TIGR00317', NULL, 'cobS: cobalamin 5''-phosphate synthase', 241, NULL, 'TIGR00317', 27212),
(27213, 'TIGR01267', NULL, 'Phe4hydrox_mono: phenylalanine-4-hydroxylase', 248, NULL, 'TIGR01267', 27213),
(27214, 'TIGR01130', NULL, 'ER_PDI_fam: protein disulfide isomerase', 476, NULL, 'TIGR01130', 27214),
(27215, 'TIGR03308', NULL, 'phn_thr-fam: phosphonate metabolim protein, transferase hexapeptide repeat family', 204, NULL, 'TIGR03308', 27215),
(27216, 'TIGR04220', NULL, 'patB_acyB_mcaB: cyanobactin biosynthesis protein, PatB/AcyB/McaB family', 61, NULL, 'TIGR04220', 27216),
(27217, 'TIGR04357', NULL, 'CofD_rel_GAK: CofD-related protein, GAK system', 368, NULL, 'TIGR04357', 27217),
(27218, 'TIGR02285', NULL, 'TIGR02285: conserved hypothetical protein', 268, NULL, 'TIGR02285', 27218),
(27219, 'TIGR03202', NULL, 'pucB: xanthine dehydrogenase accessory protein pucB', 192, NULL, 'TIGR03202', 27219),
(27220, 'TIGR02063', NULL, 'RNase_R: ribonuclease R', 711, NULL, 'TIGR02063', 27220); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27221, 'TIGR02493', NULL, 'PFLA: pyruvate formate-lyase 1-activating enzyme', 235, NULL, 'TIGR02493', 27221),
(27222, 'TIGR04442', NULL, 'TIGR04442: TIGR04442 family protein', 608, NULL, 'TIGR04442', 27222),
(27223, 'TIGR02618', NULL, 'tyr_phenol_ly: tyrosine phenol-lyase', 450, NULL, 'TIGR02618', 27223),
(27224, 'TIGR00348', NULL, 'hsdR: type I site-specific deoxyribonuclease, HsdR family', 674, NULL, 'TIGR00348', 27224),
(27225, 'TIGR01694', NULL, 'MTAP: methylthioadenosine phosphorylase', 240, NULL, 'TIGR01694', 27225),
(27226, 'TIGR00433', NULL, 'bioB: biotin synthase', 296, NULL, 'TIGR00433', 27226),
(27227, 'TIGR01451', NULL, 'B_ant_repeat: conserved repeat domain', 53, NULL, 'TIGR01451', 27227),
(27228, 'TIGR01588', NULL, 'citE: citrate (pro-3S)-lyase, beta subunit', 288, NULL, 'TIGR01588', 27228),
(27229, 'TIGR03851', NULL, 'chitin_NgcE: carbohydrate ABC transporter, N-acetylglucosamine/diacetylchitobiose-binding protein', 450, NULL, 'TIGR03851', 27229),
(27230, 'TIGR01444', NULL, 'fkbM_fam: methyltransferase, FkbM family', 143, NULL, 'TIGR01444', 27230),
(27231, 'TIGR01366', NULL, 'serC_3: putative phosphoserine aminotransferase', 361, NULL, 'TIGR01366', 27231),
(27232, 'TIGR00853', NULL, 'pts-lac: PTS system, lactose/cellobiose family IIB component', 140, NULL, 'TIGR00853', 27232),
(27233, 'TIGR04149', NULL, 'GG_sam_targ_CFB: natural product precursor, GG-Bacteroidales family', 43, NULL, 'TIGR04149', 27233),
(27234, 'TIGR03636', NULL, 'uL23_arch: ribosomal protein uL23', 77, NULL, 'TIGR03636', 27234),
(27235, 'TIGR01706', NULL, 'NAPA: periplasmic nitrate reductase, large subunit', 830, NULL, 'TIGR01706', 27235),
(27236, 'TIGR01123', NULL, 'ilvE_II: branched-chain amino acid aminotransferase', 313, NULL, 'TIGR01123', 27236),
(27237, 'TIGR02278', NULL, 'PaaN-DH: phenylacetic acid degradation protein paaN', 664, NULL, 'TIGR02278', 27237),
(27238, 'TIGR04541', NULL, 'thiaminase_BcmE: thiamine pyridinylase', 381, NULL, 'TIGR04541', 27238),
(27239, 'TIGR00211', NULL, 'glyS: glycine--tRNA ligase, beta subunit', 691, NULL, 'TIGR00211', 27239),
(27240, 'TIGR02717', NULL, 'AcCoA-syn-alpha: acetyl coenzyme A synthetase (ADP forming), alpha domain', 447, NULL, 'TIGR02717', 27240),
(27241, 'TIGR01045', NULL, 'RPE1: rickettsial palindromic element RPE1 domain', 48, NULL, 'TIGR01045', 27241),
(27242, 'TIGR00676', NULL, 'fadh2: methylenetetrahydrofolate reductase [NAD(P)H]', 275, NULL, 'TIGR00676', 27242),
(27243, 'TIGR00093', NULL, 'TIGR00093: pseudouridine synthase', 161, NULL, 'TIGR00093', 27243),
(27244, 'TIGR00997', NULL, 'ispZ: intracellular septation protein A', 178, NULL, 'TIGR00997', 27244),
(27245, 'TIGR00255', NULL, 'TIGR00255: TIGR00255 family protein', 291, NULL, 'TIGR00255', 27245),
(27246, 'TIGR00103', NULL, 'DNA_YbaB_EbfC: DNA-binding protein, YbaB/EbfC family', 104, NULL, 'TIGR00103', 27246),
(27247, 'TIGR00601', NULL, 'rad23: UV excision repair protein Rad23', 381, NULL, 'TIGR00601', 27247),
(27248, 'TIGR00738', NULL, 'rrf2_super: Rrf2 family protein', 132, NULL, 'TIGR00738', 27248),
(27249, 'TIGR00583', NULL, 'mre11: DNA repair protein (mre11)', 405, NULL, 'TIGR00583', 27249),
(27250, 'TIGR01376', NULL, 'POMP_repeat: chlamydial polymorphic outer membrane protein repeat', 28, NULL, 'TIGR01376', 27250),
(27251, 'TIGR01722', NULL, 'MMSDH: methylmalonate-semialdehyde dehydrogenase (acylating)', 477, NULL, 'TIGR01722', 27251),
(27252, 'TIGR02521', NULL, 'type_IV_pilW: type IV pilus biogenesis/stability protein PilW', 234, NULL, 'TIGR02521', 27252),
(27253, 'TIGR01537', NULL, 'portal_HK97: phage portal protein, HK97 family', 343, NULL, 'TIGR01537', 27253),
(27254, 'TIGR03314', NULL, 'Se_ssnA: putative selenium metabolism protein SsnA', 441, NULL, 'TIGR03314', 27254),
(27255, 'TIGR04467', NULL, 'CGA_synthase: hydroxymethylcytosylglucuronate/cytosylglucuronate synthase', 382, NULL, 'TIGR04467', 27255),
(27256, 'TIGR02017', NULL, 'hutG_amidohyd: N-formylglutamate deformylase', 263, NULL, 'TIGR02017', 27256);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27257, 'TIGR03779', NULL, 'Bac_Flav_CT_M: Bacteroides conjugative transposon TraM protein', 410, NULL, 'TIGR03779', 27257),
(27258, 'TIGR03191', NULL, 'benz_CoA_bzdO: benzoyl-CoA reductase, bzd-type, O subunit', 430, NULL, 'TIGR03191', 27258),
(27259, 'TIGR01874', NULL, 'cas_cas5a: CRISPR-associated protein Cas5, subtype I-A/APERN', 173, NULL, 'TIGR01874', 27259),
(27260, 'TIGR04002', NULL, 'TIGR04002: TIGR04002 family protein', 151, NULL, 'TIGR04002', 27260),
(27261, 'TIGR02064', NULL, 'dsrA: sulfite reductase, dissimilatory-type alpha subunit', 402, NULL, 'TIGR02064', 27261),
(27262, 'TIGR02506', NULL, 'NrdE_NrdA: ribonucleoside-diphosphate reductase, alpha subunit', 616, NULL, 'TIGR02506', 27262),
(27263, 'TIGR02515', NULL, 'IV_pilus_PilQ: type IV pilus secretin PilQ', 428, NULL, 'TIGR02515', 27263),
(27264, 'TIGR01367', NULL, 'pyrE_Therm: orotate phosphoribosyltransferase', 187, NULL, 'TIGR01367', 27264),
(27265, 'TIGR04441', NULL, 'lept_O_ant_chp1: surface carbohydrate biosynthesis protein', 373, NULL, 'TIGR04441', 27265),
(27266, 'TIGR00753', NULL, 'undec_PP_bacA: undecaprenyl-diphosphatase UppP', 255, NULL, 'TIGR00753', 27266),
(27267, 'TIGR01859', NULL, 'fruc_bis_ald_: fructose-1,6-bisphosphate aldolase, class II', 282, NULL, 'TIGR01859', 27267),
(27268, 'TIGR02175', NULL, 'PorC_KorC: 2-oxoacid:acceptor oxidoreductase, gamma subunit, pyruvate/2-ketoisovalerate family', 177, NULL, 'TIGR02175', 27268),
(27269, 'TIGR01400', NULL, 'fliR: flagellar biosynthetic protein FliR', 245, NULL, 'TIGR01400', 27269),
(27270, 'TIGR04500', NULL, 'PpiC_rel_mature: putative peptide maturation system protein', 340, NULL, 'TIGR04500', 27270),
(27271, 'TIGR00249', NULL, 'sixA: phosphohistidine phosphatase SixA', 154, NULL, 'TIGR00249', 27271),
(27272, 'TIGR02070', NULL, 'mono_pep_trsgly: monofunctional biosynthetic peptidoglycan transglycosylase', 224, NULL, 'TIGR02070', 27272),
(27273, 'TIGR03683', NULL, 'A-tRNA_syn_arch: alanine--tRNA ligase', 902, NULL, 'TIGR03683', 27273),
(27274, 'TIGR01865', NULL, 'cas_Csn1: CRISPR subtype II RNA-guided endonuclease Cas9', 830, NULL, 'TIGR01865', 27274),
(27275, 'TIGR04330', NULL, 'cas_Cpf1: CRISPR-associated protein Cpf1, subtype PREFRAN', 1288, NULL, 'TIGR04330', 27275),
(27276, 'TIGR04435', NULL, 'restrict_AAA_1: restriction system-associated AAA family ATPase', 568, NULL, 'TIGR04435', 27276),
(27277, 'TIGR02699', NULL, 'archaeo_AfpA: archaeoflavoprotein AfpA', 174, NULL, 'TIGR02699', 27277),
(27278, 'TIGR04271', NULL, 'ThiI_C_thiazole: thiazole biosynthesis domain', 101, NULL, 'TIGR04271', 27278),
(27279, 'TIGR03633', NULL, 'arc_protsome_A: proteasome endopeptidase complex, archaeal, alpha subunit', 230, NULL, 'TIGR03633', 27279),
(27280, 'TIGR02234', NULL, 'trp_oprn_chp: membrane protein, TIGR02234 family', 202, NULL, 'TIGR02234', 27280),
(27281, 'TIGR00214', NULL, 'lipB: lipoyl(octanoyl) transferase', 187, NULL, 'TIGR00214', 27281),
(27282, 'TIGR00679', NULL, 'hpr-ser: HPr(Ser) kinase/phosphatase', 300, NULL, 'TIGR00679', 27282),
(27283, 'TIGR00091', NULL, 'TIGR00091: tRNA (guanine-N(7)-)-methyltransferase', 194, NULL, 'TIGR00091', 27283),
(27284, 'TIGR00542', NULL, 'hxl6Piso_put: putative hexulose-6-phosphate isomerase', 279, NULL, 'TIGR00542', 27284),
(27285, 'TIGR01230', NULL, 'agmatinase: agmatinase', 275, NULL, 'TIGR01230', 27285),
(27286, 'TIGR01578', NULL, 'MiaB-like-B: MiaB-like tRNA modifying enzyme, archaeal-type', 421, NULL, 'TIGR01578', 27286),
(27287, 'TIGR00246', NULL, 'tRNA_RlmH_YbeA: rRNA large subunit m3Psi methyltransferase RlmH', 155, NULL, 'TIGR00246', 27287),
(27288, 'TIGR00261', NULL, 'traB: TraB family protein', 380, NULL, 'TIGR00261', 27288),
(27289, 'TIGR00744', NULL, 'ROK_glcA_fam: ROK family protein (putative glucokinase)', 318, NULL, 'TIGR00744', 27289),
(27290, 'TIGR03738', NULL, 'PRTRC_C: PRTRC system protein C', 66, NULL, 'TIGR03738', 27290),
(27291, 'TIGR02562', NULL, 'cas3_yersinia: CRISPR-associated helicase Cas3, subtype I-F/YPEST', 1110, NULL, 'TIGR02562', 27291);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27292, 'TIGR04426', NULL, 'rSAM_desII: TDP-4-amino-4,6-dideoxy-D-glucose deaminase', 468, NULL, 'TIGR04426', 27292),
(27293, 'TIGR01435', NULL, 'glu_cys_lig_rel: glutamate--cysteine ligase/glutathione synthase', 719, NULL, 'TIGR01435', 27293),
(27294, 'TIGR01048', NULL, 'lysA: diaminopimelate decarboxylase', 417, NULL, 'TIGR01048', 27294),
(27295, 'TIGR02556', NULL, 'cas_TM1802: CRISPR-associated protein, TM1802 family', 571, NULL, 'TIGR02556', 27295),
(27296, 'TIGR03803', NULL, 'Gloeo_Verruco: gloeo_Verruco repeat', 34, NULL, 'TIGR03803', 27296),
(27297, 'TIGR01880', NULL, 'Ac-peptdase-euk: N-acyl-L-amino-acid amidohydrolase', 401, NULL, 'TIGR01880', 27297),
(27298, 'TIGR04086', NULL, 'TIGR04086_membr: putative membrane protein, TIGR04086 family', 115, NULL, 'TIGR04086', 27298),
(27299, 'TIGR03305', NULL, 'alt_F1F0_F1_bet: alternate F1F0 ATPase, F1 subunit beta', 449, NULL, 'TIGR03305', 27299),
(27300, 'TIGR00398', NULL, 'metG: methionine--tRNA ligase', 530, NULL, 'TIGR00398', 27300),
(27301, 'TIGR01441', NULL, 'GPR: GPR endopeptidase', 358, NULL, 'TIGR01441', 27301),
(27302, 'TIGR01382', NULL, 'PfpI: intracellular protease, PfpI family', 169, NULL, 'TIGR01382', 27302),
(27303, 'TIGR04139', NULL, 'CxxCx5CxxC_targ: putative peptide modification target, TIGR04139 family', 69, NULL, 'TIGR04139', 27303),
(27304, 'TIGR01107', NULL, 'Na_K_ATPase_bet: Na+/K+ ATPase, beta subunit', 290, NULL, 'TIGR01107', 27304),
(27305, 'TIGR00044', NULL, 'TIGR00044: pyridoxal phosphate enzyme, YggS family', 229, NULL, 'TIGR00044', 27305),
(27306, 'TIGR03349', NULL, 'IV_VI_DotU: type IV/VI secretion system protein, DotU family', 211, NULL, 'TIGR03349', 27306),
(27307, 'TIGR03729', NULL, 'acc_ester: putative phosphoesterase', 239, NULL, 'TIGR03729', 27307),
(27308, 'TIGR03212', NULL, 'uraD_N-term-dom: putative urate catabolism protein', 297, NULL, 'TIGR03212', 27308),
(27309, 'TIGR00651', NULL, 'pta: phosphate acetyltransferase', 304, NULL, 'TIGR00651', 27309),
(27310, 'TIGR04230', NULL, 'seadorna_VP11: seadornavirus VP11 protein', 175, NULL, 'TIGR04230', 27310),
(27311, 'TIGR04367', NULL, 'HpnR_B12_rSAM: hopanoid C-3 methylase HpnR', 490, NULL, 'TIGR04367', 27311),
(27312, 'TIGR02275', NULL, 'DHB_AMP_lig: (2,3-dihydroxybenzoyl)adenylate synthase', 526, NULL, 'TIGR02275', 27312),
(27313, 'TIGR03293', NULL, 'PhnG_redo: phosphonate C-P lyase system protein PhnG', 144, NULL, 'TIGR03293', 27313),
(27314, 'TIGR01171', NULL, 'rplB_bact: ribosomal protein uL2', 275, NULL, 'TIGR01171', 27314),
(27315, 'TIGR00788', NULL, 'fbt: folate/biopterin transporter', 468, NULL, 'TIGR00788', 27315),
(27316, 'TIGR03744', NULL, 'traC_PFL_4706: conjugative transfer ATPase, PFL_4706 family', 892, NULL, 'TIGR03744', 27316),
(27317, 'TIGR00533', NULL, 'HMG_CoA_R_NADP: hydroxymethylglutaryl-CoA reductase (NADPH)', 402, NULL, 'TIGR00533', 27317),
(27318, 'TIGR04195', NULL, 'S_glycosyl_SunS: peptide S-glycosyltransferase, SunS family', 421, NULL, 'TIGR04195', 27318),
(27319, 'TIGR03396', NULL, 'PC_PLC: phospholipase C, phosphocholine-specific', 688, NULL, 'TIGR03396', 27319),
(27320, 'TIGR00703', NULL, 'TIGR00703: TIGR00703 family protein', 223, NULL, 'TIGR00703', 27320),
(27321, 'TIGR01429', NULL, 'AMP_deaminase: AMP deaminase', 611, NULL, 'TIGR01429', 27321),
(27322, 'TIGR00205', NULL, 'fliE: flagellar hook-basal body complex protein FliE', 109, NULL, 'TIGR00205', 27322),
(27323, 'TIGR02773', NULL, 'addB_Gpos: helicase-exonuclease AddAB, AddB subunit', 1159, NULL, 'TIGR02773', 27323),
(27324, 'TIGR03710', NULL, 'OAFO_sf: 2-oxoacid:acceptor oxidoreductase, alpha subunit', 561, NULL, 'TIGR03710', 27324),
(27325, 'TIGR00153', NULL, 'TIGR00153: TIGR00153 family protein', 217, NULL, 'TIGR00153', 27325),
(27326, 'TIGR00323', NULL, 'eIF-6: putative translation initiation factor eIF-6', 215, NULL, 'TIGR00323', 27326),
(27327, 'TIGR01478', NULL, 'STEVOR: variant surface antigen, stevor family', 308, NULL, 'TIGR01478', 27327),
(27328, 'TIGR01927', NULL, 'menC_gamma/gm+: o-succinylbenzoate synthase', 307, NULL, 'TIGR01927', 27328);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27329, 'TIGR02945', NULL, 'SUF_assoc: FeS assembly SUF system protein', 99, NULL, 'TIGR02945', 27329),
(27330, 'TIGR03068', NULL, 'srtB_sig_NPQTN: sortase B signal domain, NPQTN class', 33, NULL, 'TIGR03068', 27330),
(27331, 'TIGR01476', NULL, 'chlor_syn_BchG: bacteriochlorophyll/chlorophyll synthetase', 283, NULL, 'TIGR01476', 27331),
(27332, 'TIGR01089', NULL, 'fucI: L-fucose isomerase', 587, NULL, 'TIGR01089', 27332),
(27333, 'TIGR00949', NULL, '2A76: homoserine/Threonine efflux protein', 185, NULL, 'TIGR00949', 27333),
(27334, 'TIGR02119', NULL, 'panF: sodium/pantothenate symporter', 471, NULL, 'TIGR02119', 27334),
(27335, 'TIGR02447', NULL, 'yiiD_Cterm: putative thioesterase domain', 138, NULL, 'TIGR02447', 27335),
(27336, 'TIGR00370', NULL, 'TIGR00370: sensor histidine kinase inhibitor, KipI family', 202, NULL, 'TIGR00370', 27336),
(27337, 'TIGR01809', NULL, 'Shik-DH-AROM: shikimate-5-dehydrogenase', 282, NULL, 'TIGR01809', 27337),
(27338, 'TIGR01967', NULL, 'DEAH_box_HrpA: RNA helicase HrpA', 1284, NULL, 'TIGR01967', 27338),
(27339, 'TIGR02617', NULL, 'tnaA_trp_ase: tryptophanase', 467, NULL, 'TIGR02617', 27339),
(27340, 'TIGR00779', NULL, 'cad: cadmium resistance transporter family protein', 193, NULL, 'TIGR00779', 27340),
(27341, 'TIGR01587', NULL, 'cas3_core: CRISPR-associated helicase Cas3', 358, NULL, 'TIGR01587', 27341),
(27342, 'TIGR01341', NULL, 'aconitase_1: aconitate hydratase 1', 876, NULL, 'TIGR01341', 27342),
(27343, 'TIGR03847', NULL, 'TIGR03847: conserved hypothetical protein', 177, NULL, 'TIGR03847', 27343),
(27344, 'TIGR00314', NULL, 'cdhA: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', 784, NULL, 'TIGR00314', 27344),
(27345, 'TIGR03791', NULL, 'TTQ_mauG: tryptophan tryptophylquinone biosynthesis enzyme MauG', 291, NULL, 'TIGR03791', 27345),
(27346, 'TIGR01148', NULL, 'mtrC: tetrahydromethanopterin S-methyltransferase, subunit C', 264, NULL, 'TIGR01148', 27346),
(27347, 'TIGR01469', NULL, 'cobA_cysG_Cterm: uroporphyrinogen-III C-methyltransferase', 238, NULL, 'TIGR01469', 27347),
(27348, 'TIGR00193', NULL, 'urease_gam: urease, gamma subunit', 102, NULL, 'TIGR00193', 27348),
(27349, 'TIGR04039', NULL, 'MXAN_0977_Heme2: di-heme enzyme, MXAN_0977 family', 336, NULL, 'TIGR04039', 27349),
(27350, 'TIGR01646', NULL, 'vgr_GE: Rhs element Vgr protein', 480, NULL, 'TIGR01646', 27350),
(27351, 'TIGR02284', NULL, 'TIGR02284: conserved hypothetical protein', 139, NULL, 'TIGR02284', 27351),
(27352, 'TIGR02664', NULL, 'nitr_red_assoc: conserved hypothetical protein', 145, NULL, 'TIGR02664', 27352),
(27353, 'TIGR03203', NULL, 'pimD_small: pimeloyl-CoA dehydrogenase, small subunit', 378, NULL, 'TIGR03203', 27353),
(27354, 'TIGR04221', NULL, 'SecA2_Mycobac: accessory Sec system translocase SecA2', 762, NULL, 'TIGR04221', 27354),
(27355, 'TIGR01613', NULL, 'primase_Cterm: phage/plasmid primase, P4 family, C-terminal domain', 304, NULL, 'TIGR01613', 27355),
(27356, 'TIGR04358', NULL, 'XXXCH_domain: XXXCH domain', 90, NULL, 'TIGR04358', 27356),
(27357, 'TIGR04207', NULL, 'halo_sig_pep: surface glycoprotein signal peptide', 30, NULL, 'TIGR04207', 27357),
(27358, 'TIGR01280', NULL, 'xseB: exodeoxyribonuclease VII, small subunit', 57, NULL, 'TIGR01280', 27358),
(27359, 'TIGR01818', NULL, 'ntrC: nitrogen regulation protein NR(I)', 463, NULL, 'TIGR01818', 27359),
(27360, 'TIGR00212', NULL, 'hemC: hydroxymethylbilane synthase', 293, NULL, 'TIGR00212', 27360),
(27361, 'TIGR01974', NULL, 'NDH_I_L: proton-translocating NADH-quinone oxidoreductase, chain L', 630, NULL, 'TIGR01974', 27361),
(27362, 'TIGR03838', NULL, 'queuosine_YadB: glutamyl-queuosine tRNA(Asp) synthetase', 272, NULL, 'TIGR03838', 27362),
(27363, 'TIGR00642', NULL, 'mmCoA_mut_beta: methylmalonyl-CoA mutase, small subunit', 620, NULL, 'TIGR00642', 27363),
(27364, 'TIGR01797', NULL, 'CM_P_1: chorismate mutase', 83, NULL, 'TIGR01797', 27364),
(27365, 'TIGR01332', NULL, 'cyt_b559_alpha: cytochrome b559, alpha subunit', 80, NULL, 'TIGR01332', 27365);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27366, 'TIGR02166', NULL, 'dmsA_ynfE: anaerobic dimethyl sulfoxide reductase, A subunit, DmsA/YnfE family', 794, NULL, 'TIGR02166', 27366),
(27367, 'TIGR00644', NULL, 'recJ: single-stranded-DNA-specific exonuclease RecJ', 546, NULL, 'TIGR00644', 27367),
(27368, 'TIGR01011', NULL, 'rpsB_bact: ribosomal protein uS2', 225, NULL, 'TIGR01011', 27368),
(27369, 'TIGR04148', NULL, 'GG_samocin_CFB: radical SAM peptide maturase, GG-Bacteroidales family', 411, NULL, 'TIGR04148', 27369),
(27370, 'TIGR04528', NULL, 'acido_non_PQQ: acido-empty-quinoprotein group A', 493, NULL, 'TIGR04528', 27370),
(27371, 'TIGR04037', NULL, 'LLM_duo_CE1759: LLM-partnered FMN reductase, CE1759 family', 199, NULL, 'TIGR04037', 27371),
(27372, 'TIGR00847', NULL, 'ccoS: cytochrome oxidase maturation protein, cbb3-type', 51, NULL, 'TIGR00847', 27372),
(27373, 'TIGR02494', NULL, 'PFLE_PFLC: glycyl-radical enzyme activating protein', 293, NULL, 'TIGR02494', 27373),
(27374, 'TIGR01039', NULL, 'atpD: ATP synthase F1, beta subunit', 462, NULL, 'TIGR01039', 27374),
(27375, 'TIGR04011', NULL, 'poly_gGlu_PgsC: poly-gamma-glutamate biosynthesis protein PgsC', 132, NULL, 'TIGR04011', 27375),
(27376, 'TIGR01450', NULL, 'recC: exodeoxyribonuclease V, gamma subunit', 1063, NULL, 'TIGR01450', 27376),
(27377, 'TIGR01830', NULL, '3oxo_ACP_reduc: 3-oxoacyl-[acyl-carrier-protein] reductase', 239, NULL, 'TIGR01830', 27377),
(27378, 'TIGR03361', NULL, 'VI_Rhs_Vgr: type VI secretion system Vgr family protein', 513, NULL, 'TIGR03361', 27378),
(27379, 'TIGR03498', NULL, 'FliI_clade3: flagellar protein export ATPase FliI', 418, NULL, 'TIGR03498', 27379),
(27380, 'TIGR02310', NULL, 'HpaB-2: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', 519, NULL, 'TIGR02310', 27380),
(27381, 'TIGR03144', NULL, 'cytochr_II_ccsB: cytochrome c-type biogenesis protein CcsB', 252, NULL, 'TIGR03144', 27381),
(27382, 'TIGR02992', NULL, 'ectoine_eutC: ectoine utilization protein EutC', 326, NULL, 'TIGR02992', 27382),
(27383, 'TIGR04476', NULL, 'exosort_XrtN: exosortase N', 406, NULL, 'TIGR04476', 27383),
(27384, 'TIGR03701', NULL, 'mena_SCO4490: menaquinone biosynthesis decarboxylase, SCO4490 family', 433, NULL, 'TIGR03701', 27384),
(27385, 'TIGR01660', NULL, 'narH: nitrate reductase, beta subunit', 492, NULL, 'TIGR01660', 27385),
(27386, 'TIGR03642', NULL, 'cas_csx14: CRISPR-associated protein, Csx14 family', 124, NULL, 'TIGR03642', 27386),
(27387, 'TIGR04535', NULL, 'ferrit_encaps: ferritin-like protein', 114, NULL, 'TIGR04535', 27387),
(27388, 'TIGR00519', NULL, 'asnASE_I: L-asparaginase, type I', 337, NULL, 'TIGR00519', 27388),
(27389, 'TIGR00152', NULL, 'TIGR00152: dephospho-CoA kinase', 188, NULL, 'TIGR00152', 27389),
(27390, 'TIGR01258', NULL, 'pgm_1: phosphoglycerate mutase 1 family', 245, NULL, 'TIGR01258', 27390),
(27391, 'TIGR01121', NULL, 'D_amino_aminoT: D-amino-acid transaminase', 276, NULL, 'TIGR01121', 27391),
(27392, 'TIGR02671', NULL, 'cas_csx9: CRISPR-associated protein Cas8a2/Csx9, subtype I-A/APERN', 377, NULL, 'TIGR02671', 27392),
(27393, 'TIGR04317', NULL, 'W_rSAM_matur: tungsten cofactor oxidoreducase radical SAM maturase', 349, NULL, 'TIGR04317', 27393),
(27394, 'TIGR02740', NULL, 'TraF-like: TraF-like protein', 276, NULL, 'TIGR02740', 27394),
(27395, 'TIGR01771', NULL, 'L-LDH-NAD: L-lactate dehydrogenase', 299, NULL, 'TIGR01771', 27395),
(27396, 'TIGR01756', NULL, 'LDH_protist: lactate dehydrogenase', 313, NULL, 'TIGR01756', 27396),
(27397, 'TIGR03676', NULL, 'aRF1/eRF1: peptide chain release factor 1, archaeal and eukaryotic forms', 403, NULL, 'TIGR03676', 27397),
(27398, 'TIGR02624', NULL, 'rhamnu_1P_ald: rhamnulose-1-phosphate aldolase', 270, NULL, 'TIGR02624', 27398),
(27399, 'TIGR04469', NULL, 'CGA_synth_rel: CGA synthase-related protein', 297, NULL, 'TIGR04469', 27399),
(27400, 'TIGR01273', NULL, 'speA: arginine decarboxylase', 624, NULL, 'TIGR01273', 27400),
(27401, 'TIGR03792', NULL, 'TIGR03792: uncharacterized cyanobacterial protein, TIGR03792 family', 90, NULL, 'TIGR03792', 27401);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27402, 'TIGR00289', NULL, 'TIGR00289: TIGR00289 family protein', 222, NULL, 'TIGR00289', 27402),
(27403, 'TIGR03906', NULL, 'quino_hemo_SAM: quinohemoprotein amine dehydrogenase maturation protein', 467, NULL, 'TIGR03906', 27403),
(27404, 'TIGR02549', NULL, 'CRISPR_DxTHG: CRISPR-associated DxTHG motif protein', 21, NULL, 'TIGR02549', 27404),
(27405, 'TIGR02057', NULL, 'PAPS_reductase: phosphoadenosine phosphosulfate reductase', 224, NULL, 'TIGR02057', 27405),
(27406, 'TIGR00999', NULL, '8a0102: membrane fusion protein cluster 2 protein', 271, NULL, 'TIGR00999', 27406),
(27407, 'TIGR03464', NULL, 'HpnC: squalene synthase HpnC', 267, NULL, 'TIGR03464', 27407),
(27408, 'TIGR00916', NULL, '2A0604s01: protein-export membrane protein, SecD/SecF family', 231, NULL, 'TIGR00916', 27408),
(27409, 'TIGR03041', NULL, 'PS_antenn_a_b: chlorophyll a/b binding light-harvesting protein', 321, NULL, 'TIGR03041', 27409),
(27410, 'TIGR01046', NULL, 'uS10_euk_arch: ribosomal protein uS10', 99, NULL, 'TIGR01046', 27410),
(27411, 'TIGR00704', NULL, 'NaPi_cotrn_rel: Na/Pi-cotransporter II-related protein', 308, NULL, 'TIGR00704', 27411),
(27412, 'TIGR02555', NULL, 'OrgA_MxiK: type III secretion apparatus protein OrgA/MxiK', 185, NULL, 'TIGR02555', 27412),
(27413, 'TIGR02126', NULL, 'phgtail_TP901_1: phage major tail protein, TP901-1 family', 135, NULL, 'TIGR02126', 27413),
(27414, 'TIGR03408', NULL, 'urea_trans_UrtC: urea ABC transporter, permease protein UrtC', 313, NULL, 'TIGR03408', 27414),
(27415, 'TIGR00710', NULL, 'efflux_Bcr_CflA: drug resistance transporter, Bcr/CflA subfamily', 385, NULL, 'TIGR00710', 27415),
(27416, 'TIGR01544', NULL, 'HAD-SF-IE: HAD hydrolase, family IE', 283, NULL, 'TIGR01544', 27416),
(27417, 'TIGR03253', NULL, 'oxalate_frc: formyl-CoA transferase', 416, NULL, 'TIGR03253', 27417),
(27418, 'TIGR01217', NULL, 'ac_ac_CoA_syn: acetoacetate-CoA ligase', 652, NULL, 'TIGR01217', 27418),
(27419, 'TIGR02767', NULL, 'TraG-Ti: Ti-type conjugative transfer system protein TraG', 623, NULL, 'TIGR02767', 27419),
(27420, 'TIGR02269', NULL, 'TIGR02269: Myxococcus xanthus paralogous lipoprotein family TIGR02269', 209, NULL, 'TIGR02269', 27420),
(27421, 'TIGR00692', NULL, 'tdh: L-threonine 3-dehydrogenase', 340, NULL, 'TIGR00692', 27421),
(27422, 'TIGR03389', NULL, 'laccase: laccase', 539, NULL, 'TIGR03389', 27422),
(27423, 'TIGR01696', NULL, 'deoB: phosphopentomutase', 381, NULL, 'TIGR01696', 27423),
(27424, 'TIGR00691', NULL, 'spoT_relA: RelA/SpoT family protein', 687, NULL, 'TIGR00691', 27424),
(27425, 'TIGR03252', NULL, 'TIGR03252: uncharacterized HhH-GPD family protein', 189, NULL, 'TIGR03252', 27425),
(27426, 'TIGR01198', NULL, 'pgl: 6-phosphogluconolactonase', 234, NULL, 'TIGR01198', 27426),
(27427, 'TIGR04120', NULL, 'DNA_lig_bact: DNA ligase, ATP-dependent, PP_1105 family', 526, NULL, 'TIGR04120', 27427),
(27428, 'TIGR02385', NULL, 'RelE_StbE: addiction module toxin, RelE/StbE family', 88, NULL, 'TIGR02385', 27428),
(27429, 'TIGR00399', NULL, 'metG_C_term: methionine--tRNA ligase, beta subunit', 139, NULL, 'TIGR00399', 27429),
(27430, 'TIGR04550', NULL, 'sMetMonox_MmoD: soluble methane monooxygenase-binding protein MmoD', 64, NULL, 'TIGR04550', 27430),
(27431, 'TIGR00922', NULL, 'nusG: transcription termination/antitermination factor NusG', 172, NULL, 'TIGR00922', 27431),
(27432, 'TIGR00364', NULL, 'TIGR00364: queuosine biosynthesis protein QueC', 201, NULL, 'TIGR00364', 27432),
(27433, 'TIGR01715', NULL, 'phage_lam_T: phage tail assembly protein T', 111, NULL, 'TIGR01715', 27433),
(27434, 'TIGR03751', NULL, 'conj_TIGR03751: conjugative transfer region lipoprotein, TIGR03751 family', 124, NULL, 'TIGR03751', 27434),
(27435, 'TIGR04105', NULL, 'FeFe_hydrog_B1: [FeFe] hydrogenase, group B1/B3', 462, NULL, 'TIGR04105', 27435),
(27436, 'TIGR02412', NULL, 'pepN_strep_liv: aminopeptidase N', 832, NULL, 'TIGR02412', 27436),
(27437, 'TIGR00417', NULL, 'speE: spermidine synthase', 271, NULL, 'TIGR00417', 27437);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27438, 'TIGR00862', NULL, 'O-ClC: intracellular chloride channel protein', 236, NULL, 'TIGR00862', 27438),
(27439, 'TIGR02883', NULL, 'spore_cwlD: N-acetylmuramoyl-L-alanine amidase CwlD', 189, NULL, 'TIGR02883', 27439),
(27440, 'TIGR04093', NULL, 'cas1_CYANO: CRISPR-associated endonuclease Cas1, subtype CYANO', 334, NULL, 'TIGR04093', 27440),
(27441, 'TIGR00424', NULL, 'APS_reduc: 5''-adenylylsulfate reductase, thioredoxin-independent', 464, NULL, 'TIGR00424', 27441),
(27442, 'TIGR04087', NULL, 'YqxM_for_SipW: YqxM protein', 186, NULL, 'TIGR04087', 27442),
(27443, 'TIGR03574', NULL, 'selen_PSTK: L-seryl-tRNA(Sec) kinase', 249, NULL, 'TIGR03574', 27443),
(27444, 'TIGR03894', NULL, 'chp_P_marinus_1: conserved hypothetical protein, TIGR03894 family', 95, NULL, 'TIGR03894', 27444),
(27445, 'TIGR03423', NULL, 'pbp2_mrdA: penicillin-binding protein 2', 593, NULL, 'TIGR03423', 27445),
(27446, 'TIGR02910', NULL, 'sulfite_red_A: sulfite reductase, subunit A', 334, NULL, 'TIGR02910', 27446),
(27447, 'TIGR01401', NULL, 'fliR_like_III: type III secretion apparatus protein SpaR/YscT/HrcT', 253, NULL, 'TIGR01401', 27447),
(27448, 'TIGR02877', NULL, 'spore_yhbH: sporulation protein YhbH', 371, NULL, 'TIGR02877', 27448),
(27449, 'TIGR04257', NULL, 'nanowire_3heme: c(7)-type cytochrome triheme domain', 75, NULL, 'TIGR04257', 27449),
(27450, 'TIGR03082', NULL, 'Gneg_AbrB_dup: membrane protein AbrB duplication', 157, NULL, 'TIGR03082', 27450),
(27451, 'TIGR03580', NULL, 'EF_0832: conserved hypothetical protein EF_0832/AHA_3913', 257, NULL, 'TIGR03580', 27451),
(27452, 'TIGR03246', NULL, 'arg_catab_astC: succinylornithine transaminase family', 397, NULL, 'TIGR03246', 27452),
(27453, 'TIGR00077', NULL, 'lspA: signal peptidase II', 164, NULL, 'TIGR00077', 27453),
(27454, 'TIGR01428', NULL, 'HAD_type_II: haloacid dehalogenase, type II', 197, NULL, 'TIGR01428', 27454),
(27455, 'TIGR03888', NULL, 'nitrile_beta: nitrile hydratase, beta subunit', 226, NULL, 'TIGR03888', 27455),
(27456, 'TIGR00915', NULL, '2A0602: RND transporter, hydrophobe/amphiphile efflux-1 (HAE1) family', 1050, NULL, 'TIGR00915', 27456),
(27457, 'TIGR01061', NULL, 'parC_Gpos: DNA topoisomerase IV, A subunit', 737, NULL, 'TIGR01061', 27457),
(27458, 'TIGR00685', NULL, 'T6PP: trehalose-phosphatase', 250, NULL, 'TIGR00685', 27458),
(27459, 'TIGR01708', NULL, 'typeII_sec_gspH: type II secretion system protein H', 149, NULL, 'TIGR01708', 27459),
(27460, 'TIGR02726', NULL, 'phenyl_P_delta: phenylphosphate carboxylase, delta subunit', 169, NULL, 'TIGR02726', 27460),
(27461, 'TIGR04298', NULL, 'his_histam_anti: histidine-histamine antiporter', 429, NULL, 'TIGR04298', 27461),
(27462, 'TIGR00050', NULL, 'rRNA_methyl_1: RNA methyltransferase, TrmH family, group 1', 233, NULL, 'TIGR00050', 27462),
(27463, 'TIGR04161', NULL, 'VPEID-CTERM: VPEID-CTERM protein sorting domain', 31, NULL, 'TIGR04161', 27463),
(27464, 'TIGR00187', NULL, 'ribE: riboflavin synthase, alpha subunit', 207, NULL, 'TIGR00187', 27464),
(27465, 'TIGR02344', NULL, 'chap_CCT_gamma: T-complex protein 1, gamma subunit', 526, NULL, 'TIGR02344', 27465),
(27466, 'TIGR00084', NULL, 'ruvA: Holliday junction DNA helicase RuvA', 192, NULL, 'TIGR00084', 27466),
(27467, 'TIGR02125', NULL, 'CytB-hydogenase: Ni/Fe-hydrogenase, b-type cytochrome subunit', 212, NULL, 'TIGR02125', 27467),
(27468, 'TIGR01933', NULL, 'hflK: HflK protein', 261, NULL, 'TIGR01933', 27468),
(27469, 'TIGR03499', NULL, 'FlhF: flagellar biosynthesis protein FlhF', 286, NULL, 'TIGR03499', 27469),
(27470, 'TIGR02228', NULL, 'sigpep_I_arch: signal peptidase I', 158, NULL, 'TIGR02228', 27470),
(27471, 'TIGR00806', NULL, 'rfc: reduced folate carrier', 511, NULL, 'TIGR00806', 27471),
(27472, 'TIGR04380', NULL, 'myo_inos_iolG: inositol 2-dehydrogenase', 330, NULL, 'TIGR04380', 27472),
(27473, 'TIGR03471', NULL, 'HpnJ: hopanoid biosynthesis associated radical SAM protein HpnJ', 472, NULL, 'TIGR03471', 27473),
(27474, 'TIGR03034', NULL, 'TIGR03034: conserved hypothetical protein', 274, NULL, 'TIGR03034', 27474);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27475, 'TIGR02453', NULL, 'TIGR02453: TIGR02453 family protein', 218, NULL, 'TIGR02453', 27475),
(27476, 'TIGR02842', NULL, 'CyoC: cytochrome o ubiquinol oxidase, subunit III', 180, NULL, 'TIGR02842', 27476),
(27477, 'TIGR04189', NULL, 'surface_SprA: cell surface protein SprA', 2319, NULL, 'TIGR04189', 27477),
(27478, 'TIGR03860', NULL, 'FMN_nitrolo: FMN-dependent oxidoreductase, nitrilotriacetate monooxygenase family', 422, NULL, 'TIGR03860', 27478),
(27479, 'TIGR04052', NULL, 'AZL_007920_fam: AZL_007920/MXAN_0976 family protein', 206, NULL, 'TIGR04052', 27479),
(27480, 'TIGR03997', NULL, 'mycofact_OYE_2: mycofactocin system FadH/OYE family oxidoreductase 2', 645, NULL, 'TIGR03997', 27480),
(27481, 'TIGR03853', NULL, 'matur_matur: putative metal-binding protein', 77, NULL, 'TIGR03853', 27481),
(27482, 'TIGR01538', NULL, 'portal_SPP1: phage portal protein, SPP1 family', 426, NULL, 'TIGR01538', 27482),
(27483, 'TIGR03532', NULL, 'DapD_Ac: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase', 231, NULL, 'TIGR03532', 27483),
(27484, 'TIGR03362', NULL, 'VI_chp_7: type VI secretion-associated protein, VC_A0119 family', 476, NULL, 'TIGR03362', 27484),
(27485, 'TIGR02951', NULL, 'DMSO_dmsB: dimethylsulfoxide reductase, chain B', 161, NULL, 'TIGR02951', 27485),
(27486, 'TIGR00308', NULL, 'TRM1: N2,N2-dimethylguanosine tRNA methyltransferase', 375, NULL, 'TIGR00308', 27486),
(27487, 'TIGR03804', NULL, 'para_beta_helix: parallel beta-helix repeat', 44, NULL, 'TIGR03804', 27487),
(27488, 'TIGR04373', NULL, 'egtB_X_signatur: EgtB-related enzyme signature domain', 50, NULL, 'TIGR04373', 27488),
(27489, 'TIGR03143', NULL, 'AhpF_homolog: putative alkyl hydroperoxide reductase F subunit', 555, NULL, 'TIGR03143', 27489),
(27490, 'TIGR02132', NULL, 'phaR_Bmeg: polyhydroxyalkanoic acid synthase, PhaR subunit', 189, NULL, 'TIGR02132', 27490),
(27491, 'TIGR01940', NULL, 'nqrE: NADH:ubiquinone oxidoreductase, Na(+)-translocating, E subunit', 200, NULL, 'TIGR01940', 27491),
(27492, 'TIGR03287', NULL, 'methan_mark_16: putative methanogenesis marker 16 metalloprotein', 391, NULL, 'TIGR03287', 27492),
(27493, 'TIGR02630', NULL, 'xylose_isom_A: xylose isomerase', 435, NULL, 'TIGR02630', 27493),
(27494, 'TIGR02665', NULL, 'molyb_mobA: molybdenum cofactor guanylyltransferase', 186, NULL, 'TIGR02665', 27494),
(27495, 'TIGR00296', NULL, 'TIGR00296: uncharacterized protein, PH0010 family', 200, NULL, 'TIGR00296', 27495),
(27496, 'TIGR01510', NULL, 'coaD_prev_kdtB: pantetheine-phosphate adenylyltransferase', 155, NULL, 'TIGR01510', 27496),
(27497, 'TIGR00629', NULL, 'uvde: UV damage endonuclease UvdE', 312, NULL, 'TIGR00629', 27497),
(27498, 'TIGR01647', NULL, 'ATPase-IIIA_H: plasma-membrane proton-efflux P-type ATPase', 755, NULL, 'TIGR01647', 27498),
(27499, 'TIGR03785', NULL, 'marine_sort_HK: proteobacterial dedicated sortase system histidine kinase', 703, NULL, 'TIGR03785', 27499),
(27500, 'TIGR00971', NULL, '3a0106s03: sulfate ABC transporter, sulfate-binding protein', 315, NULL, 'TIGR00971', 27500),
(27501, 'TIGR01149', NULL, 'mtrG: tetrahydromethanopterin S-methyltransferase, subunit G', 70, NULL, 'TIGR01149', 27501),
(27502, 'TIGR01491', NULL, 'HAD-SF-IB-PSPlk: phosphoserine phosphatase-like hydrolase, archaeal', 201, NULL, 'TIGR01491', 27502),
(27503, 'TIGR02200', NULL, 'GlrX_actino: glutaredoxin-like protein', 77, NULL, 'TIGR02200', 27503),
(27504, 'TIGR01319', NULL, 'glmL_fam: conserved hypothetical protein', 456, NULL, 'TIGR01319', 27504),
(27505, 'TIGR03962', NULL, 'mycofact_rSAM: mycofactocin radical SAM maturase', 339, NULL, 'TIGR03962', 27505),
(27506, 'TIGR03355', NULL, 'VI_chp_2: type VI secretion protein, EvpB/VC_A0108 family', 473, NULL, 'TIGR03355', 27506),
(27507, 'TIGR04501', NULL, 'microcomp_PduB: microcompartment protein PduB', 225, NULL, 'TIGR04501', 27507),
(27508, 'TIGR03150', NULL, 'fabF: beta-ketoacyl-acyl-carrier-protein synthase II', 407, NULL, 'TIGR03150', 27508),
(27509, 'TIGR02016', NULL, 'BchX: chlorophyllide reductase iron protein subunit X', 296, NULL, 'TIGR02016', 27509);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27510, 'TIGR00813', NULL, 'sss: transporter, solute:sodium symporter (SSS) family', 411, NULL, 'TIGR00813', 27510),
(27511, 'TIGR01831', NULL, 'fabG_rel: putative 3-oxoacyl-(acyl-carrier-protein) reductase', 239, NULL, 'TIGR01831', 27511),
(27512, 'TIGR02979', NULL, 'phageshock_pspD: phage shock protein PspD', 59, NULL, 'TIGR02979', 27512),
(27513, 'TIGR01968', NULL, 'minD_bact: septum site-determining protein MinD', 261, NULL, 'TIGR01968', 27513),
(27514, 'TIGR02986', NULL, 'restrict_Alw26I: type II restriction endonuclease, Alw26I/Eco31I/Esp3I family', 425, NULL, 'TIGR02986', 27514),
(27515, 'TIGR03178', NULL, 'allantoinase: allantoinase', 441, NULL, 'TIGR03178', 27515),
(27516, 'TIGR02023', NULL, 'BchP-ChlP: geranylgeranyl reductase', 388, NULL, 'TIGR02023', 27516),
(27517, 'TIGR04529', NULL, 'MTB_hemophore: hemophore-related protein, Rv0203/Rv1174c family', 77, NULL, 'TIGR04529', 27517),
(27518, 'TIGR01005', NULL, 'eps_transp_fam: exopolysaccharide transport protein family', 754, NULL, 'TIGR01005', 27518),
(27519, 'TIGR02835', NULL, 'spore_sigmaE: RNA polymerase sigma-E factor', 234, NULL, 'TIGR02835', 27519),
(27520, 'TIGR04482', NULL, 'D_pro_red_PrdD: proline reductase cluster protein PrdD', 246, NULL, 'TIGR04482', 27520),
(27521, 'TIGR03669', NULL, 'urea_ABC_arch: urea ABC transporter, substrate-binding protein', 375, NULL, 'TIGR03669', 27521),
(27522, 'TIGR01326', NULL, 'OAH_OAS_sulfhy: O-acetylhomoserine aminocarboxypropyltransferase/cysteine synthase', 418, NULL, 'TIGR01326', 27522),
(27523, 'TIGR01503', NULL, 'MthylAspMut_E: methylaspartate mutase, E subunit', 480, NULL, 'TIGR01503', 27523),
(27524, 'TIGR00794', NULL, 'kup: potassium uptake protein', 688, NULL, 'TIGR00794', 27524),
(27525, 'TIGR01012', NULL, 'uS2_euk_arch: ribosomal protein uS2', 196, NULL, 'TIGR01012', 27525),
(27526, 'TIGR00473', NULL, 'pssA: CDP-diacylglycerol-serine O-phosphatidyltransferase', 153, NULL, 'TIGR00473', 27526),
(27527, 'TIGR02658', NULL, 'TTQ_MADH_Hv: methylamine dehydrogenase (amicyanin) heavy chain', 358, NULL, 'TIGR02658', 27527),
(27528, 'TIGR02337', NULL, 'HpaR: homoprotocatechuate degradation operon regulator, HpaR', 130, NULL, 'TIGR02337', 27528),
(27529, 'TIGR01824', NULL, 'PabB-clade2: aminodeoxychorismate synthase, component I', 355, NULL, 'TIGR01824', 27529),
(27530, 'TIGR01638', NULL, 'Atha_cystat_rel: Arabidopsis thaliana cystatin-related protein', 94, NULL, 'TIGR01638', 27530),
(27531, 'TIGR02276', NULL, 'beta_rpt_yvtn: 40-residue YVTN family beta-propeller repeat', 42, NULL, 'TIGR02276', 27531),
(27532, 'TIGR03711', NULL, 'acc_sec_asp3: accessory Sec system protein Asp3', 135, NULL, 'TIGR03711', 27532),
(27533, 'TIGR02156', NULL, 'PA_CoA_Oxy1: phenylacetate-CoA oxygenase, PaaG subunit', 289, NULL, 'TIGR02156', 27533),
(27534, 'TIGR03831', NULL, 'YgiT_finger: YgiT-type zinc finger domain', 46, NULL, 'TIGR03831', 27534),
(27535, 'TIGR00186', NULL, 'rRNA_methyl_3: RNA methyltransferase, TrmH family, group 3', 240, NULL, 'TIGR00186', 27535),
(27536, 'TIGR01621', NULL, 'RluA-like: pseudouridine synthase Rlu family protein, TIGR01621', 217, NULL, 'TIGR01621', 27536),
(27537, 'TIGR02036', NULL, 'dsdC: D-serine deaminase transcriptional activator', 302, NULL, 'TIGR02036', 27537),
(27538, 'TIGR03728', NULL, 'glyco_access_1: glycosyltransferase, SP_1767 family', 265, NULL, 'TIGR03728', 27538),
(27539, 'TIGR00066', NULL, 'g_glut_trans: gamma-glutamyltransferase', 518, NULL, 'TIGR00066', 27539),
(27540, 'TIGR01741', NULL, 'staph_tand_hypo: conserved hypothetical protein', 157, NULL, 'TIGR01741', 27540),
(27541, 'TIGR01861', NULL, 'ANFD: nitrogenase iron-iron protein, alpha chain', 513, NULL, 'TIGR01861', 27541),
(27542, 'TIGR03951', NULL, 'Fe_III_red_FhuF: siderophore-iron reductase FhuF', 182, NULL, 'TIGR03951', 27542),
(27543, 'TIGR04126', NULL, 'PGF_CTERM: PGF-CTERM archaeal protein-sorting signal', 28, NULL, 'TIGR04126', 27543),
(27544, 'TIGR04439', NULL, 'histamin_N_OH: putative histamine N-monooxygenase', 431, NULL, 'TIGR04439', 27544);   
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27545, 'TIGR04559', NULL, 'SoxH_rel_PQQ_2: quinoprotein relay system zinc metallohydrolase 2', 283, NULL, 'TIGR04559', 27545),
(27546, 'TIGR03895', NULL, 'protease_PatA: cyanobactin maturation protease, PatA/PatG family', 606, NULL, 'TIGR03895', 27546),
(27547, 'TIGR00379', NULL, 'cobB: cobyrinic acid a,c-diamide synthase', 449, NULL, 'TIGR00379', 27547),
(27548, 'TIGR02469', NULL, 'CbiT: precorrin-6Y C5,15-methyltransferase (decarboxylating), CbiT subunit', 124, NULL, 'TIGR02469', 27548),
(27549, 'TIGR04246', NULL, 'nitrous_NosZ_Gp: nitrous-oxide reductase, Sec-dependent', 578, NULL, 'TIGR04246', 27549),
(27550, 'TIGR02692', NULL, 'tRNA_CCA_actino: CCA tRNA nucleotidyltransferase', 466, NULL, 'TIGR02692', 27550),
(27551, 'TIGR03582', NULL, 'EF_0829: PRD domain protein, EF_0829/AHA_3910 family', 107, NULL, 'TIGR03582', 27551),
(27552, 'TIGR01325', NULL, 'O_suc_HS_sulf: O-succinylhomoserine sulfhydrylase', 380, NULL, 'TIGR01325', 27552),
(27553, 'TIGR03090', NULL, 'SASP_tlp: small, acid-soluble spore protein tlp', 70, NULL, 'TIGR03090', 27553),
(27554, 'TIGR00259', NULL, 'thylakoid_BtpA: membrane complex biogenesis protein, BtpA family', 257, NULL, 'TIGR00259', 27554),
(27555, 'TIGR01934', NULL, 'MenG_MenH_UbiE: ubiquinone/menaquinone biosynthesis methyltransferase', 223, NULL, 'TIGR01934', 27555),
(27556, 'TIGR01492', NULL, 'CPW_WPC: Plasmodium falciparum CPW-WPC domain', 62, NULL, 'TIGR01492', 27556),
(27557, 'TIGR02885', NULL, 'spore_sigF: RNA polymerase sigma-F factor', 231, NULL, 'TIGR02885', 27557),
(27558, 'TIGR02349', NULL, 'DnaJ_bact: chaperone protein DnaJ', 354, NULL, 'TIGR02349', 27558),
(27559, 'TIGR03415', NULL, 'ABC_choXWV_ATP: choline ABC transporter, ATP-binding protein', 382, NULL, 'TIGR03415', 27559),
(27560, 'TIGR03359', NULL, 'VI_chp_6: type VI secretion protein, TIGR03359 family', 600, NULL, 'TIGR03359', 27560),
(27561, 'TIGR01269', NULL, 'Tyr_3_monoox: tyrosine 3-monooxygenase', 457, NULL, 'TIGR01269', 27561),
(27562, 'TIGR00910', NULL, '2A0307_GadC: glutamate:gamma-aminobutyrate antiporter', 511, NULL, 'TIGR00910', 27562),
(27563, 'TIGR00661', NULL, 'MJ1255: conserved hypothetical protein', 321, NULL, 'TIGR00661', 27563),
(27564, 'TIGR03608', NULL, 'L_ocin_972_ABC: putative bacteriocin export ABC transporter, lactococcin 972 group', 206, NULL, 'TIGR03608', 27564),
(27565, 'TIGR02751', NULL, 'PEPCase_arch: phosphoenolpyruvate carboxylase', 506, NULL, 'TIGR02751', 27565),
(27566, 'TIGR04006', NULL, 'wcaK: colanic acid biosynthesis pyruvyl transferase WcaK', 426, NULL, 'TIGR04006', 27566),
(27567, 'TIGR01518', NULL, 'g3p_cytidyltrns: glycerol-3-phosphate cytidylyltransferase', 125, NULL, 'TIGR01518', 27567),
(27568, 'TIGR02701', NULL, 'shell_carb_anhy: carboxysome shell carbonic anhydrase', 450, NULL, 'TIGR02701', 27568),
(27569, 'TIGR00318', NULL, 'cyaB: putative adenylyl cyclase CyaB', 174, NULL, 'TIGR00318', 27569),
(27570, 'TIGR00508', NULL, 'bioA: adenosylmethionine-8-amino-7-oxononanoate transaminase', 419, NULL, 'TIGR00508', 27570),
(27571, 'TIGR01146', NULL, 'ATPsyn_F1gamma: ATP synthase F1, gamma subunit', 286, NULL, 'TIGR01146', 27571),
(27572, 'TIGR02648', NULL, 'rep_term_tus: DNA replication terminus site-binding protein', 300, NULL, 'TIGR02648', 27572),
(27573, 'TIGR00438', NULL, 'rrmJ: ribosomal RNA large subunit methyltransferase J', 188, NULL, 'TIGR00438', 27573),
(27574, 'TIGR02941', NULL, 'Sigma_B: RNA polymerase sigma-B factor', 255, NULL, 'TIGR02941', 27574),
(27575, 'TIGR03166', NULL, 'alt_F1F0_F1_eps: alternate F1F0 ATPase, F1 subunit epsilon', 122, NULL, 'TIGR03166', 27575),
(27576, 'TIGR03286', NULL, 'methan_mark_15: putative methanogenesis marker protein 15', 404, NULL, 'TIGR03286', 27576),
(27577, 'TIGR00628', NULL, 'ung: uracil-DNA glycosylase', 210, NULL, 'TIGR00628', 27577),
(27578, 'TIGR00541', NULL, 'hisDCase_pyru: histidine decarboxylase, pyruvoyl type', 307, NULL, 'TIGR00541', 27578),
(27579, 'TIGR00731', NULL, 'bL25_bact_ctc: ribosomal protein bL25, Ctc-form', 176, NULL, 'TIGR00731', 27579);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27580, 'TIGR02871', NULL, 'spore_ylbJ: sporulation integral membrane protein YlbJ', 363, NULL, 'TIGR02871', 27580),
(27581, 'TIGR01920', NULL, 'Shik_kin_archae: shikimate kinase', 266, NULL, 'TIGR01920', 27581),
(27582, 'TIGR01219', NULL, 'Pmev_kin_ERG8: phosphomevalonate kinase', 456, NULL, 'TIGR01219', 27582),
(27583, 'TIGR01800', NULL, 'cit_synth_II: 2-methylcitrate synthase/citrate synthase II', 368, NULL, 'TIGR01800', 27583),
(27584, 'TIGR03429', NULL, 'arom_pren_DMATS: aromatic prenyltransferase, DMATS type', 408, NULL, 'TIGR03429', 27584),
(27585, 'TIGR02097', NULL, 'yccV: hemimethylated DNA binding domain', 101, NULL, 'TIGR02097', 27585),
(27586, 'TIGR03239', NULL, 'GarL: 2-dehydro-3-deoxyglucarate aldolase', 249, NULL, 'TIGR03239', 27586),
(27587, 'TIGR03116', NULL, 'cas5_csf3: CRISPR type IV/AFERR-associated protein Csf3', 215, NULL, 'TIGR03116', 27587),
(27588, 'TIGR02215', NULL, 'phage_chp_gp8: phage conserved hypothetical protein, phiE125 gp8 family', 188, NULL, 'TIGR02215', 27588),
(27589, 'TIGR03599', NULL, 'YloV: DAK2 domain fusion protein YloV', 530, NULL, 'TIGR03599', 27589),
(27590, 'TIGR04290', NULL, 'meth_Rta_06860: methyltransferase, Rta_06860 family', 226, NULL, 'TIGR04290', 27590),
(27591, 'TIGR00974', NULL, '3a0107s02c: phosphate ABC transporter, permease protein PstA', 272, NULL, 'TIGR00974', 27591),
(27592, 'TIGR00482', NULL, 'TIGR00482: nicotinate (nicotinamide) nucleotide adenylyltransferase', 194, NULL, 'TIGR00482', 27592),
(27593, 'TIGR01984', NULL, 'UbiH: 2-polyprenyl-6-methoxyphenol 4-hydroxylase', 382, NULL, 'TIGR01984', 27593),
(27594, 'TIGR01579', NULL, 'MiaB-like-C: MiaB-like tRNA modifying enzyme', 416, NULL, 'TIGR01579', 27594),
(27595, 'TIGR00005', NULL, 'rluA_subfam: pseudouridine synthase, RluA family', 298, NULL, 'TIGR00005', 27595),
(27596, 'TIGR02589', NULL, 'cas_Csd2: CRISPR-associated protein Cas7/Csd2, subtype I-C/DVULG', 284, NULL, 'TIGR02589', 27596),
(27597, 'TIGR02393', NULL, 'RpoD_Cterm: RNA polymerase sigma factor RpoD', 238, NULL, 'TIGR02393', 27597),
(27598, 'TIGR02399', NULL, 'salt_tol_Pase: glucosylglycerol 3-phosphatase', 389, NULL, 'TIGR02399', 27598),
(27599, 'TIGR02229', NULL, 'caa3_sub_IV: caa(3)-type oxidase, subunit IV', 92, NULL, 'TIGR02229', 27599),
(27600, 'TIGR04112', NULL, 'seleno_YedE: putative selenium metabolism protein, YedE family', 337, NULL, 'TIGR04112', 27600),
(27601, 'TIGR01389', NULL, 'recQ: ATP-dependent DNA helicase RecQ', 591, NULL, 'TIGR01389', 27601),
(27602, 'TIGR04067', NULL, 'oc_CLOSPO_01332: putative bacteriocin precursor, CLOSPO_01332 family', 59, NULL, 'TIGR04067', 27602),
(27603, 'TIGR01205', NULL, 'D_ala_D_alaTIGR: D-alanine--D-alanine ligase', 318, NULL, 'TIGR01205', 27603),
(27604, 'TIGR03652', NULL, 'FeS_repair_RIC: iron-sulfur cluster repair di-iron protein', 216, NULL, 'TIGR03652', 27604),
(27605, 'TIGR03881', NULL, 'KaiC_arch_4: KaiC domain protein, PAE1156 family', 231, NULL, 'TIGR03881', 27605),
(27606, 'TIGR01448', NULL, 'recD_rel: helicase, RecD/TraA family', 720, NULL, 'TIGR01448', 27606),
(27607, 'TIGR02086', NULL, 'IPMI_arch: 3-isopropylmalate dehydratase, large subunit', 411, NULL, 'TIGR02086', 27607),
(27608, 'TIGR03658', NULL, 'IsdH_HarA: haptoglobin-binding heme uptake protein HarA', 895, NULL, 'TIGR03658', 27608),
(27609, 'TIGR01811', NULL, 'sdhA_Bsu: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', 603, NULL, 'TIGR01811', 27609),
(27610, 'TIGR00016', NULL, 'ackA: acetate kinase', 405, NULL, 'TIGR00016', 27610),
(27611, 'TIGR04316', NULL, 'dhbA_paeA: 2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase', 250, NULL, 'TIGR04316', 27611),
(27612, 'TIGR01688', NULL, 'dltC: D-alanine--poly(phosphoribitol) ligase, subunit 2', 73, NULL, 'TIGR01688', 27612),
(27613, 'TIGR03538', NULL, 'DapC_gpp: succinyldiaminopimelate transaminase', 395, NULL, 'TIGR03538', 27613),
(27614, 'TIGR04176', NULL, 'MarR_EPS: EPS-associated transcriptional regulator, MarR family', 105, NULL, 'TIGR04176', 27614);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27615, 'TIGR02539', NULL, 'SepCysS: O-phospho-L-seryl-tRNA:Cys-tRNA synthase', 370, NULL, 'TIGR02539', 27615),
(27616, 'TIGR00840', NULL, 'b_cpa1: sodium/hydrogen exchanger 3', 559, NULL, 'TIGR00840', 27616),
(27617, 'TIGR03160', NULL, 'cobT_DBIPRT: nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase', 334, NULL, 'TIGR03160', 27617),
(27618, 'TIGR01995', NULL, 'PTS-II-ABC-beta: PTS system, beta-glucoside-specific IIABC component', 618, NULL, 'TIGR01995', 27618),
(27619, 'TIGR01070', NULL, 'mutS1: DNA mismatch repair protein MutS', 840, NULL, 'TIGR01070', 27619),
(27620, 'TIGR00189', NULL, 'tesB: acyl-CoA thioesterase II', 282, NULL, 'TIGR00189', 27620),
(27621, 'TIGR03345', NULL, 'VI_ClpV1: type VI secretion ATPase, ClpV1 family', 852, NULL, 'TIGR03345', 27621),
(27622, 'TIGR01931', NULL, 'cysJ: sulfite reductase [NADPH] flavoprotein, alpha-component', 597, NULL, 'TIGR01931', 27622),
(27623, 'TIGR04056', NULL, 'OMP_RagA_SusC: TonB-linked outer membrane protein, SusC/RagA family', 981, NULL, 'TIGR04056', 27623),
(27624, 'TIGR02279', NULL, 'PaaC-3OHAcCoADH: 3-hydroxyacyl-CoA dehydrogenase PaaC', 503, NULL, 'TIGR02279', 27624),
(27625, 'TIGR01568', NULL, 'A_thal_3678: uncharacterized plant-specific domain TIGR01568', 67, NULL, 'TIGR01568', 27625),
(27626, 'TIGR03057', NULL, 'xxxLxxG_by_4: X-X-X-Leu-X-X-Gly heptad repeats', 28, NULL, 'TIGR03057', 27626),
(27627, 'TIGR02994', NULL, 'ectoine_eutE: ectoine utilization protein EutE', 325, NULL, 'TIGR02994', 27627),
(27628, 'TIGR03892', NULL, 'thiopep_precurs: thiazolylpeptide-type bacteriocin precursor', 44, NULL, 'TIGR03892', 27628),
(27629, 'TIGR00304', NULL, 'TIGR00304: TIGR00304 family protein', 84, NULL, 'TIGR00304', 27629),
(27630, 'TIGR03772', NULL, 'anch_rpt_subst: anchored repeat ABC transporter, substrate-binding protein', 486, NULL, 'TIGR03772', 27630),
(27631, 'TIGR02827', NULL, 'RNR_anaer_Bdell: anaerobic ribonucleoside-triphosphate reductase', 596, NULL, 'TIGR02827', 27631),
(27632, 'TIGR01190', NULL, 'ccmB: heme exporter protein CcmB', 211, NULL, 'TIGR01190', 27632),
(27633, 'TIGR00245', NULL, 'TIGR00245: TIGR00245 family protein', 248, NULL, 'TIGR00245', 27633),
(27634, 'TIGR01875', NULL, 'cas_MJ0381: CRISPR-associated autoregulator DevR family', 240, NULL, 'TIGR01875', 27634),
(27635, 'TIGR00720', NULL, 'sda_mono: L-serine ammonia-lyase', 450, NULL, 'TIGR00720', 27635),
(27636, 'TIGR01459', NULL, 'HAD-SF-IIA-hyp4: HAD hydrolase, TIGR01459 family', 242, NULL, 'TIGR01459', 27636),
(27637, 'TIGR03965', NULL, 'mycofact_glyco: mycofactocin system glycosyltransferase', 467, NULL, 'TIGR03965', 27637),
(27638, 'TIGR02810', NULL, 'agaZ_gatZ: D-tagatose-bisphosphate aldolase, class II, non-catalytic subunit', 420, NULL, 'TIGR02810', 27638),
(27639, 'TIGR02522', NULL, 'pilus_cpaD: pilus (Caulobacter type) biogenesis lipoprotein CpaD', 198, NULL, 'TIGR02522', 27639),
(27640, 'TIGR00432', NULL, 'arcsn_tRNA_tgt: tRNA-guanine(15) transglycosylase', 637, NULL, 'TIGR00432', 27640),
(27641, 'TIGR00488', NULL, 'TIGR00488: putative HD superfamily hydrolase', 173, NULL, 'TIGR00488', 27641),
(27642, 'TIGR03418', NULL, 'chol_sulf_TF: putative choline sulfate-utilization transcription factor', 291, NULL, 'TIGR03418', 27642),
(27643, 'TIGR03786', NULL, 'strep_pil_rpt: streptococcal pilin isopeptide linkage domain', 70, NULL, 'TIGR03786', 27643),
(27644, 'TIGR01216', NULL, 'ATP_synt_epsi: ATP synthase F1, epsilon subunit', 130, NULL, 'TIGR01216', 27644),
(27645, 'TIGR02338', NULL, 'gimC_beta: prefoldin, beta subunit', 110, NULL, 'TIGR02338', 27645),
(27646, 'TIGR03236', NULL, 'dnd_assoc_1: DNA phosphorothioation-dependent restriction protein DptG', 363, NULL, 'TIGR03236', 27646),
(27647, 'TIGR02718', NULL, 'sider_RhtX_FptX: siderophore transporter, RhtX/FptX family', 390, NULL, 'TIGR02718', 27647),
(27648, 'TIGR00368', NULL, 'TIGR00368: Mg chelatase-like protein', 499, NULL, 'TIGR00368', 27648),
(27649, 'TIGR00781', NULL, 'ccoO: cytochrome c oxidase, cbb3-type, subunit II', 232, NULL, 'TIGR00781', 27649);  
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27650, 'TIGR02631', NULL, 'xylA_Arthro: xylose isomerase', 382, NULL, 'TIGR02631', 27650),
(27651, 'TIGR00295', NULL, 'TIGR00295: TIGR00295 family protein', 164, NULL, 'TIGR00295', 27651),
(27652, 'TIGR03602', NULL, 'streptolysinS: bacteriocin protoxin, streptolysin S family', 56, NULL, 'TIGR03602', 27652),
(27653, 'TIGR00795', NULL, 'lctP: transporter, lactate permease (LctP) family', 530, NULL, 'TIGR00795', 27653),
(27654, 'TIGR01627', NULL, 'A_thal_3515: uncharacterized plant-specific domain TIGR01627', 225, NULL, 'TIGR01627', 27654),
(27655, 'TIGR03309', NULL, 'matur_yqeB: selenium-dependent molybdenum hydroxylase system protein, YqeB family', 256, NULL, 'TIGR03309', 27655),
(27656, 'TIGR01339', NULL, 'phycocy_beta: phycocyanin, beta subunit', 171, NULL, 'TIGR01339', 27656),
(27657, 'TIGR00611', NULL, 'recf: DNA replication and repair protein RecF', 365, NULL, 'TIGR00611', 27657),
(27658, 'TIGR00125', NULL, 'cyt_tran_rel: cytidyltransferase-like domain', 65, NULL, 'TIGR00125', 27658),
(27659, 'TIGR02390', NULL, 'RNA_pol_rpoA1: DNA-directed RNA polymerase subunit A''', 867, NULL, 'TIGR02390', 27659),
(27660, 'TIGR04115', NULL, 'rSAM_Cxxx_rpt: radical SAM peptide maturase, CXXX-repeat target family', 359, NULL, 'TIGR04115', 27660),
(27661, 'TIGR00552', NULL, 'nadE: NAD+ synthetase', 251, NULL, 'TIGR00552', 27661),
(27662, 'TIGR02572', NULL, 'LcrR: type III secretion system regulator LcrR', 139, NULL, 'TIGR02572', 27662),
(27663, 'TIGR04483', NULL, 'D_pro_red_PrdB: D-proline reductase (dithiol), PrdB protein', 238, NULL, 'TIGR04483', 27663),
(27664, 'TIGR02022', NULL, 'hutF: formiminoglutamate deiminase', 455, NULL, 'TIGR02022', 27664),
(27665, 'TIGR04299', NULL, 'antiport_PotE: putrescine-ornithine antiporter', 430, NULL, 'TIGR04299', 27665),
(27666, 'TIGR03177', NULL, 'pilus_cpaB: Flp pilus assembly protein CpaB', 262, NULL, 'TIGR03177', 27666),
(27667, 'TIGR03479', NULL, 'DMSO_red_II_alp: DMSO reductase family type II enzyme, molybdopterin subunit', 913, NULL, 'TIGR03479', 27667),
(27668, 'TIGR00139', NULL, 'h_aconitase: homoaconitase', 709, NULL, 'TIGR00139', 27668),
(27669, 'TIGR03524', NULL, 'GldJ: gliding motility-associated lipoprotein GldJ', 559, NULL, 'TIGR03524', 27669),
(27670, 'TIGR04509', NULL, 'mod_pep_NH_fam: putative modified peptide', 87, NULL, 'TIGR04509', 27670),
(27671, 'TIGR01752', NULL, 'flav_long: flavodoxin', 167, NULL, 'TIGR01752', 27671),
(27672, 'TIGR01981', NULL, 'sufD: FeS assembly protein SufD', 275, NULL, 'TIGR01981', 27672),
(27673, 'TIGR02265', NULL, 'Mxa_TIGR02265: Myxococcales-restricted protein, TIGR02265 family', 184, NULL, 'TIGR02265', 27673),
(27674, 'TIGR04240', NULL, 'flavi_E_stem: flavivirus envelope glycoprotein E, stem/anchor domain', 97, NULL, 'TIGR04240', 27674),
(27675, 'TIGR02896', NULL, 'spore_III_AF: stage III sporulation protein AF', 106, NULL, 'TIGR02896', 27675),
(27676, 'TIGR02776', NULL, 'NHEJ_ligase_prk: DNA ligase D', 587, NULL, 'TIGR02776', 27676),
(27677, 'TIGR03691', NULL, '20S_bact_alpha: proteasome, alpha subunit', 229, NULL, 'TIGR03691', 27677),
(27678, 'TIGR03127', NULL, 'RuMP_HxlB: 6-phospho 3-hexuloisomerase', 179, NULL, 'TIGR03127', 27678),
(27679, 'TIGR03404', NULL, 'bicupin_oxalic: bicupin, oxalate decarboxylase family', 367, NULL, 'TIGR03404', 27679),
(27680, 'TIGR01065', NULL, 'hlyIII: channel protein, hemolysin III family', 204, NULL, 'TIGR01065', 27680),
(27681, 'TIGR03350', NULL, 'type_VI_ompA: type VI secretion system peptidoglycan-associated domain', 137, NULL, 'TIGR03350', 27681),
(27682, 'TIGR01825', NULL, 'gly_Cac_T_rel: putative pyridoxal phosphate-dependent acyltransferase', 385, NULL, 'TIGR01825', 27682),
(27683, 'TIGR01185', NULL, 'devC: ABC exporter transmembrane subunit, DevC protein', 380, NULL, 'TIGR01185', 27683),
(27684, 'TIGR03230', NULL, 'lipo_lipase: lipoprotein lipase', 442, NULL, 'TIGR03230', 27684),
(27685, 'TIGR01260', NULL, 'ATP_synt_c: ATP synthase F0, C subunit', 58, NULL, 'TIGR01260', 27685);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27686, 'TIGR03155', NULL, 'sulfolob_CbsB: cytochrome b558/566, subunit B', 302, NULL, 'TIGR03155', 27686),
(27687, 'TIGR01314', NULL, 'gntK_FGGY: gluconate kinase', 505, NULL, 'TIGR01314', 27687),
(27688, 'TIGR04078', NULL, 'rSAM_yydG: peptide modification radical SAM enzyme, YydG family', 309, NULL, 'TIGR04078', 27688),
(27689, 'TIGR01380', NULL, 'glut_syn: glutathione synthase', 312, NULL, 'TIGR01380', 27689),
(27690, 'TIGR03035', NULL, 'trp_arylform: arylformamidase', 206, NULL, 'TIGR03035', 27690),
(27691, 'TIGR04061', NULL, 'AZL_007950_fam: AZL_007950 family protein', 164, NULL, 'TIGR04061', 27691),
(27692, 'TIGR01632', NULL, 'L11_bact: ribosomal protein uL11', 140, NULL, 'TIGR01632', 27692),
(27693, 'TIGR03915', NULL, 'SAM_7_link_chp: probable DNA metabolism protein', 243, NULL, 'TIGR03915', 27693),
(27694, 'TIGR04360', NULL, 'other_trbK: conjugative transfer region protein TrbK', 73, NULL, 'TIGR04360', 27694),
(27695, 'TIGR03663', NULL, 'TIGR03663: TIGR03663 family protein', 435, NULL, 'TIGR03663', 27695),
(27696, 'TIGR02145', NULL, 'Fib_succ_major: fibrobacter succinogenes major paralogous domain', 176, NULL, 'TIGR02145', 27696),
(27697, 'TIGR03820', NULL, 'lys_2_3_AblA: lysine-2,3-aminomutase', 417, NULL, 'TIGR03820', 27697),
(27698, 'TIGR03110', NULL, 'exosort_Gpos: exosortase family protein XrtG', 187, NULL, 'TIGR03110', 27698),
(27699, 'TIGR00373', NULL, 'TIGR00373: transcription factor E', 162, NULL, 'TIGR00373', 27699),
(27700, 'TIGR00815', NULL, 'sulP: sulfate permease', 565, NULL, 'TIGR00815', 27700),
(27701, 'TIGR02980', NULL, 'SigBFG: RNA polymerase sigma-70 factor, sigma-B/F/G subfamily', 227, NULL, 'TIGR02980', 27701),
(27702, 'TIGR01747', NULL, 'diampropi_NH3ly: diaminopropionate ammonia-lyase family', 376, NULL, 'TIGR01747', 27702),
(27703, 'TIGR02905', NULL, 'spore_yutH: spore coat protein YutH', 313, NULL, 'TIGR02905', 27703),
(27704, 'TIGR03470', NULL, 'HpnH: hopanoid biosynthesis associated radical SAM protein HpnH', 318, NULL, 'TIGR03470', 27704),
(27705, 'TIGR03837', NULL, 'efp_adjacent_2: conserved hypothetical protein, PP_1857 family', 371, NULL, 'TIGR03837', 27705),
(27706, 'TIGR01020', NULL, 'uS5_euk_arch: ribosomal protein uS5', 212, NULL, 'TIGR01020', 27706),
(27707, 'TIGR03395', NULL, 'sphingomy: sphingomyelin phosphodiesterase', 286, NULL, 'TIGR03395', 27707),
(27708, 'TIGR00298', NULL, 'TIGR00298: 2-phosphosulfolactate phosphatase', 216, NULL, 'TIGR00298', 27708),
(27709, 'TIGR04494', NULL, 'c550_PedF: cytochrome c-550 PedF', 133, NULL, 'TIGR04494', 27709),
(27710, 'TIGR02011', NULL, 'IscA: iron-sulfur cluster assembly protein IscA', 105, NULL, 'TIGR02011', 27710),
(27711, 'TIGR02131', NULL, 'phaP_Bmeg: polyhydroxyalkanoic acid inclusion protein PhaP', 165, NULL, 'TIGR02131', 27711),
(27712, 'TIGR02458', NULL, 'CbtA: cobalt transporter subunit CbtA (proposed)', 230, NULL, 'TIGR02458', 27712),
(27713, 'TIGR04428', NULL, 'B12_rSAM_trp_MT: tryptophan 2-C-methyltransferase', 558, NULL, 'TIGR04428', 27713),
(27714, 'TIGR00921', NULL, '2A067: efflux transporter, putative, hydrophobe/amphiphile efflux-3 (HAE3) family', 733, NULL, 'TIGR00921', 27714),
(27715, 'TIGR04374', NULL, 'small_w_EgtBD: hercynine metabolism small protein', 73, NULL, 'TIGR04374', 27715),
(27716, 'TIGR02681', NULL, 'phage_pRha: phage regulatory protein, Rha family', 108, NULL, 'TIGR02681', 27716),
(27717, 'TIGR01970', NULL, 'DEAH_box_HrpB: ATP-dependent helicase HrpB', 825, NULL, 'TIGR01970', 27717),
(27718, 'TIGR03619', NULL, 'F420_Rv2161c: probable F420-dependent oxidoreductase, Rv2161c family', 247, NULL, 'TIGR03619', 27718),
(27719, 'TIGR01409', NULL, 'TAT_signal_seq: Tat (twin-arginine translocation) pathway signal sequence', 29, NULL, 'TIGR01409', 27719),
(27720, 'TIGR01730', NULL, 'RND_mfp: efflux transporter, RND family, MFP subunit', 322, NULL, 'TIGR01730', 27720),
(27721, 'TIGR01383', NULL, 'not_thiJ: DJ-1 family protein', 180, NULL, 'TIGR01383', 27721),
(27722, 'TIGR00010', NULL, 'TIGR00010: hydrolase, TatD family', 253, NULL, 'TIGR00010', 27722); 
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27723, 'TIGR02117', NULL, 'chp_urease_rgn: conserved hypothetical protein', 208, NULL, 'TIGR02117', 27723),
(27724, 'TIGR02025', NULL, 'BchH: magnesium chelatase, H subunit', 1271, NULL, 'TIGR02025', 27724),
(27725, 'TIGR03527', NULL, 'selenium_YedF: selenium metabolism protein YedF', 194, NULL, 'TIGR03527', 27725),
(27726, 'TIGR01702', NULL, 'CO_DH_cata: carbon-monoxide dehydrogenase, catalytic subunit', 621, NULL, 'TIGR01702', 27726),
(27727, 'TIGR02444', NULL, 'TIGR02444: TIGR02444 family protein', 116, NULL, 'TIGR02444', 27727),
(27728, 'TIGR04480', NULL, 'D_pro_red_PrdA: D-proline reductase (dithiol), PrdA proprotein', 587, NULL, 'TIGR04480', 27728),
(27729, 'TIGR01512', NULL, 'ATPase-IB2_Cd: cadmium-translocating P-type ATPase', 494, NULL, 'TIGR01512', 27729),
(27730, 'TIGR00672', NULL, 'cdh: CDP-diacylglycerol diphosphatase', 250, NULL, 'TIGR00672', 27730),
(27731, 'TIGR01434', NULL, 'glu_cys_ligase: glutamate--cysteine ligase', 512, NULL, 'TIGR01434', 27731),
(27732, 'TIGR03717', NULL, 'R_switched_YjbE: integral membrane protein, YjbE family', 176, NULL, 'TIGR03717', 27732),
(27733, 'TIGR01140', NULL, 'L_thr_O3P_dcar: threonine-phosphate decarboxylase', 331, NULL, 'TIGR01140', 27733),
(27734, 'TIGR01087', NULL, 'murD: UDP-N-acetylmuramoylalanine--D-glutamate ligase', 441, NULL, 'TIGR01087', 27734),
(27735, 'TIGR00443', NULL, 'hisZ_biosyn_reg: ATP phosphoribosyltransferase, regulatory subunit', 314, NULL, 'TIGR00443', 27735),
(27736, 'TIGR04414', NULL, 'hepto_Aah_TibC: autotransporter strand-loop-strand O-heptosyltransferase', 374, NULL, 'TIGR04414', 27736),
(27737, 'TIGR00175', NULL, 'mito_nad_idh: isocitrate dehydrogenase, NAD-dependent', 334, NULL, 'TIGR00175', 27737),
(27738, 'TIGR00935', NULL, '2a45: arsenite/antimonite efflux pump membrane protein', 426, NULL, 'TIGR00935', 27738),
(27739, 'TIGR01677', NULL, 'pln_FAD_oxido: plant-specific FAD-dependent oxidoreductase', 560, NULL, 'TIGR01677', 27739),
(27740, 'TIGR03940', NULL, 'PGA_PgaD: poly-beta-1,6-N-acetyl-D-glucosamine biosynthesis protein PgaD', 141, NULL, 'TIGR03940', 27740),
(27741, 'TIGR02091', NULL, 'glgC: glucose-1-phosphate adenylyltransferase', 364, NULL, 'TIGR02091', 27741),
(27742, 'TIGR01945', NULL, 'rnfC: electron transport complex, RnfABCDGE type, C subunit', 435, NULL, 'TIGR01945', 27742),
(27743, 'TIGR02707', NULL, 'butyr_kinase: butyrate kinase', 351, NULL, 'TIGR02707', 27743),
(27744, 'TIGR02936', NULL, 'fdxN_nitrog: ferredoxin III, nif-specific', 91, NULL, 'TIGR02936', 27744),
(27745, 'TIGR00686', NULL, 'phnA: putative alkylphosphonate utilization operon protein PhnA', 109, NULL, 'TIGR00686', 27745),
(27746, 'TIGR03593', NULL, 'yidC_nterm: membrane protein insertase, YidC/Oxa1 family, N-terminal domain', 363, NULL, 'TIGR03593', 27746),
(27747, 'TIGR03783', NULL, 'Bac_Flav_CT_G: Bacteroides conjugation system ATPase, TraG family', 829, NULL, 'TIGR03783', 27747),
(27748, 'TIGR04296', NULL, 'PEFG-CTERM: PEFG-CTERM domain', 30, NULL, 'TIGR04296', 27748),
(27749, 'TIGR00136', NULL, 'gidA: tRNA uridine 5-carboxymethylaminomethyl modification enzyme GidA', 616, NULL, 'TIGR00136', 27749),
(27750, 'TIGR03398', NULL, 'plc_access_R: phospholipase C accessory protein PlcR', 141, NULL, 'TIGR03398', 27750),
(27751, 'TIGR03901', NULL, 'MYXO-CTERM: MYXO-CTERM domain', 33, NULL, 'TIGR03901', 27751),
(27752, 'TIGR01328', NULL, 'met_gam_lyase: methionine gamma-lyase', 391, NULL, 'TIGR01328', 27752),
(27753, 'TIGR01394', NULL, 'TypA_BipA: GTP-binding protein TypA/BipA', 594, NULL, 'TIGR01394', 27753),
(27754, 'TIGR02226', NULL, 'two_anch: N-terminal double-transmembrane domain', 82, NULL, 'TIGR02226', 27754),
(27755, 'TIGR00683', NULL, 'nanA: N-acetylneuraminate lyase', 293, NULL, 'TIGR00683', 27755),
(27756, 'TIGR02816', NULL, 'pfaB_fam: PfaB family protein', 534, NULL, 'TIGR02816', 27756),
(27757, 'TIGR02413', NULL, 'Bac_small_yrzI: Bacillus tandem small hypothetical protein', 46, NULL, 'TIGR02413', 27757),
(27758, 'TIGR02642', NULL, 'phage_xxxx: uncharacterized phage protein', 267, NULL, 'TIGR02642', 27758);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27759, 'TIGR00726', NULL, 'TIGR00726: YfiH family protein', 223, NULL, 'TIGR00726', 27759),
(27760, 'TIGR03797', NULL, 'NHLM_micro_ABC2: NHLM bacteriocin system ABC transporter, ATP-binding protein', 686, NULL, 'TIGR03797', 27760),
(27761, 'TIGR04092', NULL, 'LTA_DltD: D-alanyl-lipoteichoic acid biosynthesis protein DltD', 383, NULL, 'TIGR04092', 27761),
(27762, 'TIGR00792', NULL, 'gph: sugar (Glycoside-Pentoside-Hexuronide) transporter', 437, NULL, 'TIGR00792', 27762),
(27763, 'TIGR00284', NULL, 'TIGR00284: dihydropteroate synthase-related protein', 497, NULL, 'TIGR00284', 27763),
(27764, 'TIGR04425', NULL, 'P_lya_rel_AroB: putative sugar phosphate phospholyase (cyclizing)', 348, NULL, 'TIGR04425', 27764),
(27765, 'TIGR04503', NULL, 'mft_etfB: electron transfer flavoprotein, mycofactocin-associated', 290, NULL, 'TIGR04503', 27765),
(27766, 'TIGR01822', NULL, '2am3keto_CoA: glycine C-acetyltransferase', 393, NULL, 'TIGR01822', 27766),
(27767, 'TIGR02080', NULL, 'O_succ_thio_ly: O-succinylhomoserine (thiol)-lyase', 382, NULL, 'TIGR02080', 27767),
(27768, 'TIGR03473', NULL, 'HpnK: hopanoid biosynthesis associated protein HpnK', 283, NULL, 'TIGR03473', 27768),
(27769, 'TIGR02335', NULL, 'hydr_PhnA: phosphonoacetate hydrolase', 408, NULL, 'TIGR02335', 27769),
(27770, 'TIGR04251', NULL, 'SCM_rSAM_ScmF: SynChlorMet cassette radical SAM/SPASM protein ScmF', 353, NULL, 'TIGR04251', 27770),
(27771, 'TIGR00164', NULL, 'PS_decarb_rel: phosphatidylserine decarboxylase homolog', 215, NULL, 'TIGR00164', 27771),
(27772, 'TIGR04170', NULL, 'RNR_1b_NrdE: ribonucleoside-diphosphate reductase, class 1b, alpha subunit', 698, NULL, 'TIGR04170', 27772),
(27773, 'TIGR00737', NULL, 'nifR3_yhdG: putative TIM-barrel protein, nifR3 family', 319, NULL, 'TIGR00737', 27773),
(27774, 'TIGR00563', NULL, 'rsmB: 16S rRNA (cytosine(967)-C(5))-methyltransferase', 437, NULL, 'TIGR00563', 27774),
(27775, 'TIGR01557', NULL, 'myb_SHAQKYF: myb-like DNA-binding domain, SHAQKYF class', 57, NULL, 'TIGR01557', 27775),
(27776, 'TIGR02790', NULL, 'nickel_nikC: nickel ABC transporter, permease subunit NikC', 258, NULL, 'TIGR02790', 27776),
(27777, 'TIGR02653', NULL, 'Lon_rel_chp: conserved hypothetical protein', 675, NULL, 'TIGR02653', 27777),
(27778, 'TIGR03912', NULL, 'PylS_Nterm: pyrrolysine--tRNA ligase, N-terminal region', 89, NULL, 'TIGR03912', 27778),
(27779, 'TIGR02106', NULL, 'cyd_oper_ybgT: cyd operon protein YbgT', 30, NULL, 'TIGR02106', 27779),
(27780, 'TIGR02882', NULL, 'QoxB: cytochrome aa3 quinol oxidase, subunit I', 643, NULL, 'TIGR02882', 27780),
(27781, 'TIGR01076', NULL, 'sortase_fam: sortase', 136, NULL, 'TIGR01076', 27781),
(27782, 'TIGR01836', NULL, 'PHA_synth_III_C: poly(R)-hydroxyalkanoic acid synthase, class III, PhaC subunit', 350, NULL, 'TIGR01836', 27782),
(27783, 'TIGR01196', NULL, 'edd: phosphogluconate dehydratase', 601, NULL, 'TIGR01196', 27783),
(27784, 'TIGR01956', NULL, 'NusG_myco: NusG family protein', 257, NULL, 'TIGR01956', 27784),
(27785, 'TIGR01423', NULL, 'trypano_reduc: trypanothione-disulfide reductase', 486, NULL, 'TIGR01423', 27785),
(27786, 'TIGR02698', NULL, 'CopY_TcrY: copper transport repressor, CopY/TcrY family', 130, NULL, 'TIGR02698', 27786),
(27787, 'TIGR01543', NULL, 'proheadase_HK97: phage prohead protease, HK97 family', 142, NULL, 'TIGR01543', 27787),
(27788, 'TIGR02578', NULL, 'cas_TM1811_Csm1: CRISPR-associated protein Cas10/Csm1, subtype III-A/MTUBE', 650, NULL, 'TIGR02578', 27788),
(27789, 'TIGR03046', NULL, 'PS_II_psbV2: photosystem II cytochrome PsbV2', 157, NULL, 'TIGR03046', 27789),
(27790, 'TIGR00041', NULL, 'DTMP_kinase: dTMP kinase', 196, NULL, 'TIGR00041', 27790),
(27791, 'TIGR04187', NULL, 'GRASP_SAV_5884: ATP-grasp ribosomal peptide maturase, SAV_5884 family', 312, NULL, 'TIGR04187', 27791),
(27792, 'TIGR00027', NULL, 'mthyl_TIGR00027: methyltransferase, TIGR00027 family', 259, NULL, 'TIGR00027', 27792),
(27793, 'TIGR01529', NULL, 'argR_whole: arginine repressor', 146, NULL, 'TIGR01529', 27793);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27794, 'TIGR00055', NULL, 'uppS: di-trans,poly-cis-decaprenylcistransferase', 228, NULL, 'TIGR00055', 27794),
(27795, 'TIGR02939', NULL, 'RpoE_Sigma70: RNA polymerase sigma factor RpoE', 190, NULL, 'TIGR02939', 27795),
(27796, 'TIGR03032', NULL, 'TIGR03032: TIGR03032 family protein', 335, NULL, 'TIGR03032', 27796),
(27797, 'TIGR02991', NULL, 'ectoine_eutB: ectoine utilization protein EutB', 317, NULL, 'TIGR02991', 27797),
(27798, 'TIGR00577', NULL, 'fpg: DNA-formamidopyrimidine glycosylase', 276, NULL, 'TIGR00577', 27798),
(27799, 'TIGR00924', NULL, 'yjdL_sub1_fam: amino acid/peptide transporter (Peptide:H+ symporter)', 475, NULL, 'TIGR00924', 27799),
(27800, 'TIGR00801', NULL, 'ncs2: uracil-xanthine permease', 415, NULL, 'TIGR00801', 27800),
(27801, 'TIGR01437', NULL, 'selA_rel: uncharacterized pyridoxal phosphate-dependent enzyme', 363, NULL, 'TIGR01437', 27801),
(27802, 'TIGR04534', NULL, 'ELWxxDGT_rpt: ELWxxDGT repeat', 47, NULL, 'TIGR04534', 27802),
(27803, 'TIGR00846', NULL, 'caca2: calcium/proton exchanger', 372, NULL, 'TIGR00846', 27803),
(27804, 'TIGR04305', NULL, 'fol_rel_CADD: putative folate metabolism protein, CADD family', 212, NULL, 'TIGR04305', 27804),
(27805, 'TIGR03275', NULL, 'methan_mark_8: putative methanogenesis marker protein 8', 259, NULL, 'TIGR03275', 27805),
(27806, 'TIGR01031', NULL, 'rpmF_bact: ribosomal protein bL32', 56, NULL, 'TIGR01031', 27806),
(27807, 'TIGR02533', NULL, 'type_II_gspE: type II secretion system protein E', 486, NULL, 'TIGR02533', 27807),
(27808, 'TIGR02762', NULL, 'TraL_TIGR: type IV conjugative transfer system protein TraL', 95, NULL, 'TIGR02762', 27808),
(27809, 'TIGR00499', NULL, 'lysS_bact: lysine--tRNA ligase', 496, NULL, 'TIGR00499', 27809),
(27810, 'TIGR02134', NULL, 'transald_staph: transaldolase', 236, NULL, 'TIGR02134', 27810),
(27811, 'TIGR00591', NULL, 'phr2: deoxyribodipyrimidine photolyase', 453, NULL, 'TIGR00591', 27811),
(27812, 'TIGR03289', NULL, 'frhB: coenzyme F420 hydrogenase, subunit beta', 275, NULL, 'TIGR03289', 27812),
(27813, 'TIGR04371', NULL, 'methyltran_NanM: putative sugar O-methyltransferase', 273, NULL, 'TIGR04371', 27813),
(27814, 'TIGR04319', NULL, 'SerAla_Lrha_rpt: surface protein repeat Ser-Ala-175', 175, NULL, 'TIGR04319', 27814),
(27815, 'TIGR04548', NULL, 'DnaD_Mollicutes: DnaD family protein', 178, NULL, 'TIGR04548', 27815),
(27816, 'TIGR03806', NULL, 'chp_HNE_0200: conserved hypothetical protein, HNE_0200 family', 314, NULL, 'TIGR03806', 27816),
(27817, 'TIGR00617', NULL, 'rpa1: replication factor-a protein 1 (rpa1)', 608, NULL, 'TIGR00617', 27817),
(27818, 'TIGR01850', NULL, 'argC: N-acetyl-gamma-glutamyl-phosphate reductase', 345, NULL, 'TIGR01850', 27818),
(27819, 'TIGR01274', NULL, 'ACC_deam: 1-aminocyclopropane-1-carboxylate deaminase', 337, NULL, 'TIGR01274', 27819),
(27820, 'TIGR02313', NULL, 'HpaI-NOT-DapA: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', 294, NULL, 'TIGR02313', 27820),
(27821, 'TIGR00706', NULL, 'SppA_dom: signal peptide peptidase SppA, 36K type', 208, NULL, 'TIGR00706', 27821),
(27822, 'TIGR01344', NULL, 'malate_syn_A: malate synthase A', 511, NULL, 'TIGR01344', 27822),
(27823, 'TIGR03071', NULL, 'couple_hipA: HipA N-terminal domain', 101, NULL, 'TIGR03071', 27823),
(27824, 'TIGR03674', NULL, 'fen_arch: flap structure-specific endonuclease', 338, NULL, 'TIGR03674', 27824),
(27825, 'TIGR00223', NULL, 'panD: aspartate 1-decarboxylase', 126, NULL, 'TIGR00223', 27825),
(27826, 'TIGR00946', NULL, '2a69: auxin efflux carrier', 336, NULL, 'TIGR00946', 27826),
(27827, 'TIGR04192', NULL, 'GRASP_w_spasm: ATP-GRASP peptide maturase, grasp-with-spasm system', 318, NULL, 'TIGR04192', 27827),
(27828, 'TIGR01584', NULL, 'citF: citrate lyase, alpha subunit', 492, NULL, 'TIGR01584', 27828),
(27829, 'TIGR03434', NULL, 'ADOP: acidobacterial duplicated orphan permease', 803, NULL, 'TIGR03434', 27829),
(27830, 'TIGR01602', NULL, 'PY-rept-46: Plasmodium yoelii repeat of length 46', 46, NULL, 'TIGR01602', 27830);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27831, 'TIGR02497', NULL, 'yscI_hrpB_dom: type III secretion apparatus protein, YscI/HrpB, C-terminal domain', 39, NULL, 'TIGR02497', 27831),
(27832, 'TIGR02295', NULL, 'HpaD: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', 298, NULL, 'TIGR02295', 27832),
(27833, 'TIGR02000', NULL, 'NifU_proper: Fe-S cluster assembly protein NifU', 290, NULL, 'TIGR02000', 27833),
(27834, 'TIGR01897', NULL, 'cas_MJ1666: CRISPR-associated protein, MJ1666 family', 417, NULL, 'TIGR01897', 27834),
(27835, 'TIGR01915', NULL, 'npdG: NADPH-dependent F420 reductase', 220, NULL, 'TIGR01915', 27835),
(27836, 'TIGR03987', NULL, 'TIGR03987: TIGR03987 family protein', 120, NULL, 'TIGR03987', 27836),
(27837, 'TIGR04403', NULL, 'rSAM_skfB: sporulation killing factor system radical SAM maturase', 402, NULL, 'TIGR04403', 27837),
(27838, 'TIGR00536', NULL, 'hemK_fam: methyltransferase, HemK family', 286, NULL, 'TIGR00536', 27838),
(27839, 'TIGR03001', NULL, 'Sig-70_gmx1: RNA polymerase sigma-70 factor, Myxococcales family 1', 244, NULL, 'TIGR03001', 27839),
(27840, 'TIGR01979', NULL, 'sufS: cysteine desulfurase, SufS family', 403, NULL, 'TIGR01979', 27840),
(27841, 'TIGR00776', NULL, 'RhaT: RhaT L-rhamnose-proton symporter family protein', 290, NULL, 'TIGR00776', 27841),
(27842, 'TIGR03018', NULL, 'pepcterm_TyrKin: exopolysaccharide/PEP-CTERM locus tyrosine autokinase', 207, NULL, 'TIGR03018', 27842),
(27843, 'TIGR01786', NULL, 'TonB-hemlactrns: TonB-dependent hemoglobin/transferrin/lactoferrin receptor family protein', 719, NULL, 'TIGR01786', 27843),
(27844, 'TIGR01666', NULL, 'YCCS: TIGR01666 family membrane protein', 705, NULL, 'TIGR01666', 27844),
(27845, 'TIGR02866', NULL, 'CoxB: cytochrome c oxidase, subunit II', 202, NULL, 'TIGR02866', 27845),
(27846, 'TIGR00320', NULL, 'dfx_rbo: desulfoferrodoxin', 125, NULL, 'TIGR00320', 27846),
(27847, 'TIGR03876', NULL, 'cas_csaX: CRISPR type I-A/APERN-associated protein CsaX', 281, NULL, 'TIGR03876', 27847),
(27848, 'TIGR00150', NULL, 'T6A_YjeE: tRNA threonylcarbamoyl adenosine modification protein YjeE', 135, NULL, 'TIGR00150', 27848),
(27849, 'TIGR00969', NULL, '3a0106s02: sulfate ABC transporter, permease protein', 272, NULL, 'TIGR00969', 27849),
(27850, 'TIGR01174', NULL, 'ftsA: cell division protein FtsA', 371, NULL, 'TIGR01174', 27850),
(27851, 'TIGR03241', NULL, 'arg_catab_astB: succinylarginine dihydrolase', 443, NULL, 'TIGR03241', 27851),
(27852, 'TIGR01151', NULL, 'psbA: photosystem II q(b) protein', 360, NULL, 'TIGR01151', 27852),
(27853, 'TIGR01233', NULL, 'lacG: 6-phospho-beta-galactosidase', 472, NULL, 'TIGR01233', 27853),
(27854, 'TIGR02594', NULL, 'TIGR02594: TIGR02594 family protein', 132, NULL, 'TIGR02594', 27854),
(27855, 'TIGR03264', NULL, 'met_CoM_red_C: methyl-coenzyme M reductase I operon protein C', 194, NULL, 'TIGR03264', 27855),
(27856, 'TIGR03323', NULL, 'alt_F1F0_F1_gam: alternate F1F0 ATPase, F1 subunit gamma', 285, NULL, 'TIGR03323', 27856),
(27857, 'TIGR03513', NULL, 'GldL_gliding: gliding motility-associated protein GldL', 247, NULL, 'TIGR03513', 27857),
(27858, 'TIGR01303', NULL, 'IMP_DH_rel_1: IMP dehydrogenase family protein', 475, NULL, 'TIGR01303', 27858),
(27859, 'TIGR02354', NULL, 'thiF_fam2: thiamine biosynthesis protein ThiF', 200, NULL, 'TIGR02354', 27859),
(27860, 'TIGR02805', NULL, 'exbB2: tonB-system energizer ExbB', 138, NULL, 'TIGR02805', 27860),
(27861, 'TIGR03182', NULL, 'PDH_E1_alph_y: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', 315, NULL, 'TIGR03182', 27861),
(27862, 'TIGR04151', NULL, 'exosort_VPDSG: exosortase C, VPDSG-CTERM-specific', 306, NULL, 'TIGR04151', 27862),
(27863, 'TIGR01165', NULL, 'cbiN: cobalt transport protein', 91, NULL, 'TIGR01165', 27863),
(27864, 'TIGR01473', NULL, 'cyoE_ctaB: protoheme IX farnesyltransferase', 281, NULL, 'TIGR01473', 27864),
(27865, 'TIGR03946', NULL, 'viomycin_VioC: arginine beta-hydroxylase, Fe(II)/alpha-ketoglutarate-dependent', 333, NULL, 'TIGR03946', 27865);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27866, 'TIGR00955', NULL, '3a01204: pigment precursor permease', 617, NULL, 'TIGR00955', 27866),
(27867, 'TIGR02184', NULL, 'Myco_arth_vir_N: Mycoplasma virulence family signal region', 33, NULL, 'TIGR02184', 27867),
(27868, 'TIGR01643', NULL, 'YD_repeat_2x: YD repeat (two copies)', 42, NULL, 'TIGR01643', 27868),
(27869, 'TIGR02667', NULL, 'moaB_proteo: molybdenum cofactor biosynthesis protein B', 163, NULL, 'TIGR02667', 27869),
(27870, 'TIGR04321', NULL, 'spiroSPASM: spiro-SPASM protein', 510, NULL, 'TIGR04321', 27870),
(27871, 'TIGR01160', NULL, 'SUI1_MOF2: translation initiation factor SUI1', 110, NULL, 'TIGR01160', 27871),
(27872, 'TIGR02544', NULL, 'III_secr_YscJ: type III secretion apparatus lipoprotein, YscJ/HrcJ family', 193, NULL, 'TIGR02544', 27872),
(27873, 'TIGR04028', NULL, 'SBP_KPN_01854: ABC transporter substrate binding protein, KPN_01854 family', 509, NULL, 'TIGR04028', 27873),
(27874, 'TIGR03311', NULL, 'Se_dep_XDH: selenium-dependent xanthine dehydrogenase', 848, NULL, 'TIGR03311', 27874),
(27875, 'TIGR04210', NULL, 'bunya_NSm: bunyavirus nonstructural protein NSm', 173, NULL, 'TIGR04210', 27875),
(27876, 'TIGR03194', NULL, '4hydrxCoA_A: 4-hydroxybenzoyl-CoA reductase, alpha subunit', 746, NULL, 'TIGR03194', 27876),
(27877, 'TIGR01598', NULL, 'holin_phiLC3: holin, phage phi LC3 family', 79, NULL, 'TIGR01598', 27877),
(27878, 'TIGR00647', NULL, 'DNA_bind_WhiA: DNA-binding protein WhiA', 304, NULL, 'TIGR00647', 27878),
(27879, 'TIGR01487', NULL, 'Pglycolate_arch: phosphoglycolate phosphatase, TA0175-type', 215, NULL, 'TIGR01487', 27879),
(27880, 'TIGR02989', NULL, 'Sig-70_gvs1: RNA polymerase sigma-70 factor, Rhodopirellula/Verrucomicrobium family', 158, NULL, 'TIGR02989', 27880),
(27881, 'TIGR04224', NULL, 'ser_adhes_Nterm: serine-rich repeat adhesion glycoprotein', 50, NULL, 'TIGR04224', 27881),
(27882, 'TIGR00522', NULL, 'dph5: diphthine synthase', 258, NULL, 'TIGR00522', 27882),
(27883, 'TIGR03495', NULL, 'phage_LysB: phage lysis regulatory protein, LysB family', 135, NULL, 'TIGR03495', 27883),
(27884, 'TIGR00633', NULL, 'xth: exodeoxyribonuclease III (xth)', 255, NULL, 'TIGR00633', 27884),
(27885, 'TIGR01657', NULL, 'P-ATPase-V: P-type ATPase of unknown pump specificity (type V)', 1055, NULL, 'TIGR01657', 27885),
(27886, 'TIGR02281', NULL, 'clan_AA_DTGA: clan AA aspartic protease, TIGR02281 family', 121, NULL, 'TIGR02281', 27886),
(27887, 'TIGR00273', NULL, 'TIGR00273: iron-sulfur cluster-binding protein', 432, NULL, 'TIGR00273', 27887),
(27888, 'TIGR00463', NULL, 'gltX_arch: glutamate--tRNA ligase', 560, NULL, 'TIGR00463', 27888),
(27889, 'TIGR01965', NULL, 'VCBS_repeat: VCBS repeat', 99, NULL, 'TIGR01965', 27889),
(27890, 'TIGR03200', NULL, 'dearomat_oah: 6-oxocyclohex-1-ene-1-carbonyl-CoA hydrolase', 360, NULL, 'TIGR03200', 27890),
(27891, 'TIGR03010', NULL, 'sulf_tusC_dsrF: sulfur relay protein TusC/DsrF', 116, NULL, 'TIGR03010', 27891),
(27892, 'TIGR02503', NULL, 'type_III_SycN: type III secretion chaperone SycN', 120, NULL, 'TIGR02503', 27892),
(27893, 'TIGR02846', NULL, 'spore_sigmaK: RNA polymerase sigma-K factor', 227, NULL, 'TIGR02846', 27893),
(27894, 'TIGR03141', NULL, 'cytochro_ccmD: heme exporter protein CcmD', 47, NULL, 'TIGR03141', 27894),
(27895, 'TIGR01051', NULL, 'topA_bact: DNA topoisomerase I', 632, NULL, 'TIGR01051', 27895),
(27896, 'TIGR03364', NULL, 'HpnW_proposed: FAD dependent oxidoreductase TIGR03364', 365, NULL, 'TIGR03364', 27896),
(27897, 'TIGR00082', NULL, 'rbfA: ribosome-binding factor A', 115, NULL, 'TIGR00082', 27897),
(27898, 'TIGR01412', NULL, 'tat_substr_1: Tat-translocated enzyme', 420, NULL, 'TIGR01412', 27898),
(27899, 'TIGR03420', NULL, 'DnaA_homol_Hda: DnaA regulatory inactivator Hda', 226, NULL, 'TIGR03420', 27899),
(27900, 'TIGR02485', NULL, 'CobZ_N-term: precorrin 3B synthase CobZ', 437, NULL, 'TIGR02485', 27900),
(27901, 'TIGR01330', NULL, 'bisphos_HAL2: 3''(2''),5''-bisphosphate nucleotidase', 359, NULL, 'TIGR01330', 27901);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27902, 'TIGR03085', NULL, 'TIGR03085: TIGR03085 family protein', 201, NULL, 'TIGR03085', 27902),
(27903, 'TIGR00477', NULL, 'tehB: tellurite resistance protein TehB', 238, NULL, 'TIGR00477', 27903),
(27904, 'TIGR00996', NULL, 'Mtu_fam_mce: virulence factor Mce family protein', 291, NULL, 'TIGR00996', 27904),
(27905, 'TIGR01124', NULL, 'ilvA_2Cterm: threonine ammonia-lyase, biosynthetic', 499, NULL, 'TIGR01124', 27905),
(27906, 'TIGR00413', NULL, 'rlpA: rare lipoprotein A', 208, NULL, 'TIGR00413', 27906),
(27907, 'TIGR02567', NULL, 'YscW: type III secretion system chaperone YscW', 124, NULL, 'TIGR02567', 27907),
(27908, 'TIGR00701', NULL, 'TIGR00701: TIGR00701 family protein', 142, NULL, 'TIGR00701', 27908),
(27909, 'TIGR04131', NULL, 'Bac_Flav_CTERM: gliding motility-associated C-terminal domain', 85, NULL, 'TIGR04131', 27909),
(27910, 'TIGR01596', NULL, 'cas3_HD: CRISPR-associated endonuclease Cas3-HD', 178, NULL, 'TIGR01596', 27910),
(27911, 'TIGR03196', NULL, 'pucD: xanthine dehydrogenase D subunit', 763, NULL, 'TIGR03196', 27911),
(27912, 'TIGR00606', NULL, 'rad50: rad50', 1311, NULL, 'TIGR00606', 27912),
(27913, 'TIGR02374', NULL, 'nitri_red_nirB: nitrite reductase [NAD(P)H], large subunit', 794, NULL, 'TIGR02374', 27913),
(27914, 'TIGR02041', NULL, 'CysI: sulfite reductase (NADPH) hemoprotein, beta-component', 541, NULL, 'TIGR02041', 27914),
(27915, 'TIGR00887', NULL, '2A0109: phosphate:H+ symporter', 502, NULL, 'TIGR00887', 27915),
(27916, 'TIGR04464', NULL, 'chaper_lep: LipL41-expression chaperone Lep', 114, NULL, 'TIGR04464', 27916),
(27917, 'TIGR01403', NULL, 'fliQ_rel_III: type III secretion protein, HrpO family', 81, NULL, 'TIGR01403', 27917),
(27918, 'TIGR01950', NULL, 'SoxR: redox-sensitive transcriptional activator SoxR', 142, NULL, 'TIGR01950', 27918),
(27919, 'TIGR02558', NULL, 'HrpB2: type III secretion protein HrpB2', 124, NULL, 'TIGR02558', 27919),
(27920, 'TIGR03706', NULL, 'exo_poly_only: exopolyphosphatase', 300, NULL, 'TIGR03706', 27920),
(27921, 'TIGR00524', NULL, 'eIF-2B_rel: eIF-2B alpha/beta/delta-related uncharacterized proteins', 303, NULL, 'TIGR00524', 27921),
(27922, 'TIGR02388', NULL, 'rpoC2_cyan: DNA-directed RNA polymerase, beta'''' subunit', 1230, NULL, 'TIGR02388', 27922),
(27923, 'TIGR02735', NULL, 'purC_vibrio: phosphoribosylaminoimidazole-succinocarboxamide synthase', 365, NULL, 'TIGR02735', 27923),
(27924, 'TIGR03373', NULL, 'VI_minor_4: type VI secretion-associated protein, BMA_A0400 family', 136, NULL, 'TIGR03373', 27924),
(27925, 'TIGR00264', NULL, 'TIGR00264: alpha-NAC homolog', 116, NULL, 'TIGR00264', 27925),
(27926, 'TIGR00715', NULL, 'precor6x_red: precorrin-6x reductase', 256, NULL, 'TIGR00715', 27926),
(27927, 'TIGR04101', NULL, 'CCGSCS: CCGSCS motif protein', 59, NULL, 'TIGR04101', 27927),
(27928, 'TIGR02100', NULL, 'glgX_debranch: glycogen debranching enzyme GlgX', 688, NULL, 'TIGR02100', 27928),
(27929, 'TIGR02737', NULL, 'caa3_CtaG: cytochrome c oxidase assembly factor CtaG', 281, NULL, 'TIGR02737', 27929),
(27930, 'TIGR03250', NULL, 'PhnAcAld_DH: putative phosphonoacetaldehyde dehydrogenase', 472, NULL, 'TIGR03250', 27930),
(27931, 'TIGR00885', NULL, 'fucP: L-fucose:H+ symporter permease', 410, NULL, 'TIGR00885', 27931),
(27932, 'TIGR03132', NULL, 'malonate_mdcB: triphosphoribosyl-dephospho-CoA synthase MdcB', 272, NULL, 'TIGR03132', 27932),
(27933, 'TIGR03543', NULL, 'divI1A_rptt_fam: DivIVA domain repeat protein', 178, NULL, 'TIGR03543', 27933),
(27934, 'TIGR01856', NULL, 'hisJ_fam: histidinol phosphate phosphatase, HisJ family', 252, NULL, 'TIGR01856', 27934),
(27935, 'TIGR01766', NULL, 'tspaseT_teng_C: transposase, IS605 OrfB family', 82, NULL, 'TIGR01766', 27935),
(27936, 'TIGR03255', NULL, 'PhnV: 2-aminoethylphosphonate ABC transport system, membrane component PhnV', 270, NULL, 'TIGR03255', 27936),
(27937, 'TIGR00094', NULL, 'tRNA_TruD_broad: tRNA pseudouridine synthase, TruD family', 413, NULL, 'TIGR00094', 27937),
(27938, 'TIGR01221', NULL, 'rmlC: dTDP-4-dehydrorhamnose 3,5-epimerase', 176, NULL, 'TIGR01221', 27938);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27939, 'TIGR00191', NULL, 'thrB: homoserine kinase', 304, NULL, 'TIGR00191', 27939),
(27940, 'TIGR01693', NULL, 'UTase_glnD: protein-P-II uridylyltransferase', 850, NULL, 'TIGR01693', 27940),
(27941, 'TIGR03937', NULL, 'PgaC_IcaA: poly-beta-1,6 N-acetyl-D-glucosamine synthase', 407, NULL, 'TIGR03937', 27941),
(27942, 'TIGR01235', NULL, 'pyruv_carbox: pyruvate carboxylase', 1143, NULL, 'TIGR01235', 27942),
(27943, 'TIGR00899', NULL, '2A0120: sugar efflux transporter', 375, NULL, 'TIGR00899', 27943),
(27944, 'TIGR03767', NULL, 'P_acnes_RR: metallophosphoesterase, PPA1498 family', 496, NULL, 'TIGR03767', 27944),
(27945, 'TIGR02612', NULL, 'mob_myst_A: mobile mystery protein A', 150, NULL, 'TIGR02612', 27945),
(27946, 'TIGR00427', NULL, 'TIGR00427: membrane protein, MarC family', 201, NULL, 'TIGR00427', 27946),
(27947, 'TIGR02723', NULL, 'phenyl_P_alpha: phenylphosphate carboxylase, alpha subunit', 485, NULL, 'TIGR02723', 27947),
(27948, 'TIGR00250', NULL, 'RNAse_H_YqgF: putative transcription antitermination factor YqgF', 130, NULL, 'TIGR00250', 27948),
(27949, 'TIGR03878', NULL, 'thermo_KaiC_2: KaiC domain protein, AF_0795 family', 259, NULL, 'TIGR03878', 27949),
(27950, 'TIGR00080', NULL, 'pimt: protein-L-isoaspartate O-methyltransferase', 216, NULL, 'TIGR00080', 27950),
(27951, 'TIGR02553', NULL, 'SipD_IpaD_SspD: type III effector protein IpaD/SipD/SspD', 317, NULL, 'TIGR02553', 27951),
(27952, 'TIGR01110', NULL, 'mdcA: malonate decarboxylase, alpha subunit', 543, NULL, 'TIGR01110', 27952),
(27953, 'TIGR01929', NULL, 'menB: naphthoate synthase', 259, NULL, 'TIGR01929', 27953),
(27954, 'TIGR01001', NULL, 'metA: homoserine O-succinyltransferase', 301, NULL, 'TIGR01001', 27954),
(27955, 'TIGR01378', NULL, 'thi_PPkinase: thiamine pyrophosphokinase', 206, NULL, 'TIGR01378', 27955),
(27956, 'TIGR02499', NULL, 'HrpE_YscL_not: type III secretion apparatus protein, HrpE/YscL family', 166, NULL, 'TIGR02499', 27956),
(27957, 'TIGR02122', NULL, 'TRAP_TAXI: TRAP transporter solute receptor, TAXI family', 320, NULL, 'TIGR02122', 27957),
(27958, 'TIGR02293', NULL, 'TAS_TIGR02293: putative toxin-antitoxin system antitoxin component, TIGR02293 family', 133, NULL, 'TIGR02293', 27958),
(27959, 'TIGR01582', NULL, 'FDH-beta: formate dehydrogenase, beta subunit', 283, NULL, 'TIGR01582', 27959),
(27960, 'TIGR00032', NULL, 'argG: argininosuccinate synthase', 394, NULL, 'TIGR00032', 27960),
(27961, 'TIGR04383', NULL, 'acidic_w_LPXTA: processed acidic surface protein', 320, NULL, 'TIGR04383', 27961),
(27962, 'TIGR03672', NULL, 'rpl4p_arch: 50S ribosomal protein uL4', 251, NULL, 'TIGR03672', 27962),
(27963, 'TIGR00667', NULL, 'aat: leucyl/phenylalanyl-tRNA--protein transferase', 193, NULL, 'TIGR00667', 27963),
(27964, 'TIGR02860', NULL, 'spore_IV_B: stage IV sporulation protein B', 402, NULL, 'TIGR02860', 27964),
(27965, 'TIGR00770', NULL, 'Dcu: transporter, anaerobic C4-dicarboxylate uptake (Dcu) family', 430, NULL, 'TIGR00770', 27965),
(27966, 'TIGR00824', NULL, 'EIIA-man: PTS system, mannose/fructose/sorbose family, IIA component', 116, NULL, 'TIGR00824', 27966),
(27967, 'TIGR02757', NULL, 'TIGR02757: TIGR02757 family protein', 229, NULL, 'TIGR02757', 27967),
(27968, 'TIGR02832', NULL, 'spo_yunB: sporulation protein YunB', 204, NULL, 'TIGR02832', 27968),
(27969, 'TIGR03468', NULL, 'HpnG: hopanoid-associated phosphorylase', 212, NULL, 'TIGR03468', 27969),
(27970, 'TIGR01711', NULL, 'gspJ: type II secretion system protein J', 192, NULL, 'TIGR01711', 27970),
(27971, 'TIGR00354', NULL, 'polC: DNA polymerase II, large subunit DP2', 1096, NULL, 'TIGR00354', 27971),
(27972, 'TIGR00940', NULL, '2a6301s01: monovalent cation:proton antiporter', 793, NULL, 'TIGR00940', 27972),
(27973, 'TIGR03638', NULL, 'cas1_ECOLI: CRISPR-associated endonuclease Cas1, subtype I-E/ECOLI', 269, NULL, 'TIGR03638', 27973),
(27974, 'TIGR04553', NULL, 'ABC_peri_selen: putative selenate ABC transporter periplasmic binding protein', 266, NULL, 'TIGR04553', 27974);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(27975, 'TIGR03146', NULL, 'cyt_nit_nrfB: cytochrome c nitrite reductase, pentaheme subunit', 145, NULL, 'TIGR03146', 27975),
(27976, 'TIGR03801', NULL, 'asp_4_decarbox: aspartate 4-decarboxylase', 521, NULL, 'TIGR03801', 27976),
(27977, 'TIGR00114', NULL, 'lumazine-synth: 6,7-dimethyl-8-ribityllumazine synthase', 138, NULL, 'TIGR00114', 27977),
(27978, 'TIGR01548', NULL, 'HAD-SF-IA-hyp1: HAD hydrolase, TIGR01548 family', 197, NULL, 'TIGR01548', 27978),
(27979, 'TIGR01037', NULL, 'pyrD_sub1_fam: dihydroorotate dehydrogenase family protein', 300, NULL, 'TIGR01037', 27979),
(27980, 'TIGR04042', NULL, 'MSMEG_0570_fam: MSMEG_0570 family protein', 90, NULL, 'TIGR04042', 27980),
(27981, 'TIGR02047', NULL, 'CadR-PbrR: Cd(II)/Pb(II)-responsive transcriptional regulator', 127, NULL, 'TIGR02047', 27981),
(27982, 'TIGR04137', NULL, 'Chlam_Ver_rRNA: Chlam_Verruc_Plancto small basic protein', 50, NULL, 'TIGR04137', 27982),
(27983, 'TIGR02204', NULL, 'MsbA_rel: ABC transporter, permease/ATP-binding protein', 576, NULL, 'TIGR02204', 27983),
(27984, 'TIGR04212', NULL, 'GlyGly_RbtA: rhombotarget A', 605, NULL, 'TIGR04212', 27984),
(27985, 'TIGR02319', NULL, 'CPEP_Pphonmut: carboxyvinyl-carboxyphosphonate phosphorylmutase', 294, NULL, 'TIGR02319', 27985),
(27986, 'TIGR01806', NULL, 'CM_mono2: putative chorismate mutase', 114, NULL, 'TIGR01806', 27986),
(27987, 'TIGR02463', NULL, 'MPGP_rel: mannosyl-3-phosphoglycerate phosphatase homolog', 216, NULL, 'TIGR02463', 27987),
(27988, 'TIGR04409', NULL, 'LptC_YrbK: LPS export ABC transporter periplasmic protein LptC', 180, NULL, 'TIGR04409', 27988),
(27989, 'TIGR03856', NULL, 'F420_MSMEG_2906: probable F420-dependent oxidoreductase, MSMEG_2906 family', 249, NULL, 'TIGR03856', 27989),
(27990, 'TIGR04478', NULL, 'rSAM_YfkAB: radical SAM/CxCxxxxC motif protein YfkAB', 363, NULL, 'TIGR04478', 27990),
(27991, 'TIGR02785', NULL, 'addA_Gpos: helicase-exonuclease AddAB, AddA subunit', 1234, NULL, 'TIGR02785', 27991),
(27992, 'TIGR02975', NULL, 'phageshock_pspG: phage shock protein G', 64, NULL, 'TIGR02975', 27992),
(27993, 'TIGR01780', NULL, 'SSADH: succinate-semialdehyde dehydrogenase', 448, NULL, 'TIGR01780', 27993),
(27994, 'TIGR00279', NULL, 'uL16_euk_arch: ribosomal protein uL16', 172, NULL, 'TIGR00279', 27994),
(27995, 'TIGR01453', NULL, 'grpIintron_endo: group I intron endonuclease', 215, NULL, 'TIGR01453', 27995),
(27996, 'TIGR03515', NULL, 'GldC: gliding motility-associated protein GldC', 108, NULL, 'TIGR03515', 27996),
(27997, 'TIGR02662', NULL, 'dinitro_DRAG: ADP-ribosyl-[dinitrogen reductase] hydrolase', 287, NULL, 'TIGR02662', 27997),
(27998, 'TIGR01296', NULL, 'asd_B: aspartate-semialdehyde dehydrogenase', 339, NULL, 'TIGR01296', 27998),
(27999, 'TIGR01283', NULL, 'nifE: nitrogenase MoFe cofactor biosynthesis protein NifE', 459, NULL, 'TIGR01283', 27999),
(28000, 'TIGR02955', NULL, 'TMAO_TorT: TMAO reductase system periplasmic protein TorT', 295, NULL, 'TIGR02955', 28000),
(28001, 'TIGR02798', NULL, 'ligK_PcmE: 4-carboxy-4-hydroxy-2-oxoadipate aldolase/oxaloacetate decarboxylase', 222, NULL, 'TIGR02798', 28001),
(28002, 'TIGR03016', NULL, 'pepcterm_hypo_1: uncharacterized protein, PEP-CTERM system associated', 477, NULL, 'TIGR03016', 28002),
(28003, 'TIGR04355', NULL, 'HprK_rel_B: HprK-related kinase B', 351, NULL, 'TIGR04355', 28003),
(28004, 'TIGR01015', NULL, 'hmgA: homogentisate 1,2-dioxygenase', 429, NULL, 'TIGR01015', 28004),
(28005, 'TIGR04020', NULL, 'seco_metab_LLM: natural product biosynthesis luciferase-like monooxygenase domain', 341, NULL, 'TIGR04020', 28005),
(28006, 'TIGR00502', NULL, 'nagB: glucosamine-6-phosphate deaminase', 259, NULL, 'TIGR00502', 28006),
(28007, 'TIGR00837', NULL, 'araaP: aromatic amino acid transport protein', 381, NULL, 'TIGR00837', 28007),
(28008, 'TIGR01507', NULL, 'hopene_cyclase: squalene-hopene cyclase', 640, NULL, 'TIGR01507', 28008),
(28009, 'TIGR00155', NULL, 'pqiA_fam: integral membrane protein, PqiA family', 403, NULL, 'TIGR00155', 28009);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28010, 'TIGR00286', NULL, 'TIGR00286: arginine decarboxylase, pyruvoyl-dependent', 152, NULL, 'TIGR00286', 28010),
(28011, 'TIGR02170', NULL, 'thyX: thymidylate synthase, flavin-dependent', 211, NULL, 'TIGR02170', 28011),
(28012, 'TIGR04335', NULL, 'AmmeMemoSam_A: AmmeMemoRadiSam system protein A', 175, NULL, 'TIGR04335', 28012),
(28013, 'TIGR01788', NULL, 'Glu-decarb-GAD: glutamate decarboxylase', 431, NULL, 'TIGR01788', 28013),
(28014, 'TIGR01834', NULL, 'PHA_synth_III_E: poly(R)-hydroxyalkanoic acid synthase, class III, PhaE subunit', 324, NULL, 'TIGR01834', 28014),
(28015, 'TIGR02006', NULL, 'IscS: cysteine desulfurase IscS', 402, NULL, 'TIGR02006', 28015),
(28016, 'TIGR03842', NULL, 'F420_CPS_4043: F420-dependent oxidoreductase, CPS_4043 family', 329, NULL, 'TIGR03842', 28016),
(28017, 'TIGR04512', NULL, 'Mycopla_NOT_gsn: STREFT protein', 1045, NULL, 'TIGR04512', 28017),
(28018, 'TIGR02517', NULL, 'type_II_gspD: type II secretion system protein D', 600, NULL, 'TIGR02517', 28018),
(28019, 'TIGR04165', NULL, 'methano_modCys: Cys-rich peptide, TIGR04165 family', 50, NULL, 'TIGR04165', 28019),
(28020, 'TIGR02150', NULL, 'IPP_isom_1: isopentenyl-diphosphate delta-isomerase', 159, NULL, 'TIGR02150', 28020),
(28021, 'TIGR00810', NULL, 'secG: preprotein translocase, SecG subunit', 73, NULL, 'TIGR00810', 28021),
(28022, 'TIGR04525', NULL, 'prot_M_MG281: IgG-blocking protein M', 526, NULL, 'TIGR04525', 28022),
(28023, 'TIGR00332', NULL, 'neela_ferrous: desulfoferrodoxin ferrous iron-binding domain', 107, NULL, 'TIGR00332', 28023),
(28024, 'TIGR03508', NULL, 'decahem_SO: decaheme c-type cytochrome, DmsE family', 258, NULL, 'TIGR03508', 28024),
(28025, 'TIGR02340', NULL, 'chap_CCT_alpha: T-complex protein 1, alpha subunit', 536, NULL, 'TIGR02340', 28025),
(28026, 'TIGR03815', NULL, 'CpaE_hom_Actino: helicase/secretion neighborhood CpaE-like protein', 340, NULL, 'TIGR03815', 28026),
(28027, 'TIGR02689', NULL, 'ars_reduc_gluta: arsenate reductase, glutathione/glutaredoxin type', 126, NULL, 'TIGR02689', 28027),
(28028, 'TIGR00756', NULL, 'PPR: pentatricopeptide repeat domain', 35, NULL, 'TIGR00756', 28028),
(28029, 'TIGR03761', NULL, 'ICE_PFL4669: integrating conjugative element protein, PFL_4669 family', 216, NULL, 'TIGR03761', 28029),
(28030, 'TIGR01534', NULL, 'GAPDH-I: glyceraldehyde-3-phosphate dehydrogenase, type I', 330, NULL, 'TIGR01534', 28030),
(28031, 'TIGR00100', NULL, 'hypA: hydrogenase nickel insertion protein HypA', 116, NULL, 'TIGR00100', 28031),
(28032, 'TIGR04369', NULL, 'fusion_not_SelD: oxidoreductase/SelD-related fusion protein', 701, NULL, 'TIGR04369', 28032),
(28033, 'TIGR00209', NULL, 'galT_1: galactose-1-phosphate uridylyltransferase', 349, NULL, 'TIGR00209', 28033),
(28034, 'TIGR01255', NULL, 'pyr_form_ly_1: formate acetyltransferase', 744, NULL, 'TIGR01255', 28034),
(28035, 'TIGR04539', NULL, 'tRNA_cyclodipep: tRNA-dependent cyclodipeptide synthase', 220, NULL, 'TIGR04539', 28035),
(28036, 'TIGR01671', NULL, 'phage_TIGR01671: phage conserved hypothetical protein TIGR01671', 151, NULL, 'TIGR01671', 28036),
(28037, 'TIGR03931', NULL, 'T7SS_Rv3446c: type VII secretion-associated protein, Rv3446c family', 194, NULL, 'TIGR03931', 28037),
(28038, 'TIGR03291', NULL, 'methan_mark_17: putative methanogenesis marker protein 17', 185, NULL, 'TIGR03291', 28038),
(28039, 'TIGR01841', NULL, 'phasin: phasin family protein', 88, NULL, 'TIGR01841', 28039),
(28040, 'TIGR01725', NULL, 'phge_HK97_gp10: phage protein, HK97 gp10 family', 120, NULL, 'TIGR01725', 28040),
(28041, 'TIGR03214', NULL, 'ura-cupin: putative allantoin catabolism protein', 260, NULL, 'TIGR03214', 28041),
(28042, 'TIGR02771', NULL, 'TraF_Ti: conjugative transfer signal peptidase TraF', 171, NULL, 'TIGR02771', 28042),
(28043, 'TIGR00681', NULL, 'kdpC: K+-transporting ATPase, C subunit', 187, NULL, 'TIGR00681', 28043),
(28044, 'TIGR02531', NULL, 'yecD_yerC: TrpR homolog YerC/YecD', 88, NULL, 'TIGR02531', 28044),
(28045, 'TIGR00046', NULL, 'TIGR00046: RNA methyltransferase, RsmE family', 240, NULL, 'TIGR00046', 28045);       
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28046, 'TIGR01309', NULL, 'uL30_arch: ribosomal protein uL30', 151, NULL, 'TIGR01309', 28046),
(28047, 'TIGR03686', NULL, 'pupylate_PafA: Pup--protein ligase', 457, NULL, 'TIGR03686', 28047),
(28048, 'TIGR02136', NULL, 'ptsS_2: phosphate binding protein', 295, NULL, 'TIGR02136', 28048),
(28049, 'TIGR00449', NULL, 'tgt_general: tRNA-guanine family transglycosylase', 367, NULL, 'TIGR00449', 28049),
(28050, 'TIGR03549', NULL, 'TIGR03549: YcaO domain protein', 723, NULL, 'TIGR03549', 28050),
(28051, 'TIGR00039', NULL, '6PTHBS: 6-pyruvoyl tetrahydropterin synthase/QueD family protein', 124, NULL, 'TIGR00039', 28051),
(28052, 'TIGR03379', NULL, 'glycerol3P_GlpC: glycerol-3-phosphate dehydrogenase, anaerobic, C subunit', 397, NULL, 'TIGR03379', 28052),
(28053, 'TIGR02129', NULL, 'hisA_euk: phosphoribosylformimino-5-aminoimidazole carboxamide ribotide isomerase', 255, NULL, 'TIGR02129', 28053),
(28054, 'TIGR01616', NULL, 'nitro_assoc: nitrogenase-associated protein', 126, NULL, 'TIGR01616', 28054),
(28055, 'TIGR03624', NULL, 'TIGR03624: putative hydrolase', 346, NULL, 'TIGR03624', 28055),
(28056, 'TIGR03454', NULL, 'partition_RepB: plasmid partitioning protein RepB', 325, NULL, 'TIGR03454', 28056),
(28057, 'TIGR00586', NULL, 'mutt: mutator mutT protein', 129, NULL, 'TIGR00586', 28057),
(28058, 'TIGR01364', NULL, 'serC_1: phosphoserine transaminase', 358, NULL, 'TIGR01364', 28058),
(28059, 'TIGR03051', NULL, 'PS_I_psaG_plant: photosystem I reaction center subunit V', 89, NULL, 'TIGR03051', 28059),
(28060, 'TIGR00851', NULL, 'mtlA: PTS system, mannitol-specific IIC component', 340, NULL, 'TIGR00851', 28060),
(28061, 'TIGR02115', NULL, 'potass_kdpF: K+-transporting ATPase, F subunit', 24, NULL, 'TIGR02115', 28061),
(28062, 'TIGR04390', NULL, 'OMP_YaiO_dom: outer membrane protein, YaiO family', 230, NULL, 'TIGR04390', 28062),
(28063, 'TIGR00558', NULL, 'pdxH: pyridoxamine 5''-phosphate oxidase', 217, NULL, 'TIGR00558', 28063),
(28064, 'TIGR03563', NULL, 'perox_SACOL1771: peroxiredoxin, SACOL1771 subfamily', 138, NULL, 'TIGR03563', 28064),
(28065, 'TIGR02408', NULL, 'ectoine_ThpD: ectoine hydroxylase', 277, NULL, 'TIGR02408', 28065),
(28066, 'TIGR01092', NULL, 'P5CS: delta l-pyrroline-5-carboxylate synthetase', 715, NULL, 'TIGR01092', 28066),
(28067, 'TIGR01439', NULL, 'lp_hng_hel_AbrB: transcriptional regulator, AbrB family', 44, NULL, 'TIGR01439', 28067),
(28068, 'TIGR03910', NULL, 'pyrrolys_PylB: pyrrolysine biosynthesis radical SAM protein', 347, NULL, 'TIGR03910', 28068),
(28069, 'TIGR03870', NULL, 'ABC_MoxJ: methanol oxidation system protein MoxJ', 246, NULL, 'TIGR03870', 28069),
(28070, 'TIGR01425', NULL, 'SRP54_euk: signal recognition particle protein SRP54', 428, NULL, 'TIGR01425', 28070),
(28071, 'TIGR00865', NULL, 'bcl-2: apoptosis regulator', 213, NULL, 'TIGR00865', 28071),
(28072, 'TIGR00695', NULL, 'uxuA: mannonate dehydratase', 394, NULL, 'TIGR00695', 28072),
(28073, 'TIGR04274', NULL, 'hypoxanDNAglyco: DNA-deoxyinosine glycosylase', 150, NULL, 'TIGR04274', 28073),
(28074, 'TIGR02927', NULL, 'SucB_Actino: 2-oxoglutarate dehydrogenase, E2 component, dihydrolipoamide succinyltransferase', 579, NULL, 'TIGR02927', 28074),
(28075, 'TIGR03733', NULL, 'lanti_perm_MutG: lantibiotic protection ABC transporter permease subunit, MutG family', 248, NULL, 'TIGR03733', 28075),
(28076, 'TIGR02231', NULL, 'TIGR02231: conserved hypothetical protein', 524, NULL, 'TIGR02231', 28076),
(28077, 'TIGR02061', NULL, 'aprA: adenylylsulfate reductase, alpha subunit', 616, NULL, 'TIGR02061', 28077),
(28078, 'TIGR04444', NULL, 'chori_FkbO_Hyg5: chorismatase, FkbO/Hyg5 family', 311, NULL, 'TIGR04444', 28078),
(28079, 'TIGR00742', NULL, 'yjbN: tRNA dihydrouridine synthase A', 318, NULL, 'TIGR00742', 28079),
(28080, 'TIGR03105', NULL, 'gln_synth_III: glutamine synthetase, type III', 435, NULL, 'TIGR03105', 28080),
(28081, 'TIGR00060', NULL, 'L18_bact: ribosomal protein uL18', 114, NULL, 'TIGR00060', 28081),
(28082, 'TIGR00395', NULL, 'leuS_arch: leucine--tRNA ligase', 938, NULL, 'TIGR00395', 28082);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28083, 'TIGR00728', NULL, 'OPT_sfam: oligopeptide transporter, OPT superfamily', 659, NULL, 'TIGR00728', 28083),
(28084, 'TIGR04260', NULL, 'Cyano_gly_rpt: rSAM-associated Gly-rich repeat protein', 118, NULL, 'TIGR04260', 28084),
(28085, 'TIGR03747', NULL, 'conj_TIGR03747: integrating conjugative element membrane protein, PFL_4697 family', 233, NULL, 'TIGR03747', 28085),
(28086, 'TIGR02245', NULL, 'HAD_IIID1: HAD hydrolase, family IIID', 195, NULL, 'TIGR02245', 28086),
(28087, 'TIGR02422', NULL, 'protocat_beta: protocatechuate 3,4-dioxygenase, beta subunit', 220, NULL, 'TIGR02422', 28087),
(28088, 'TIGR03924', NULL, 'T7SS_EccC_a: type VII secretion protein EccCa', 673, NULL, 'TIGR03924', 28088),
(28089, 'TIGR04430', NULL, 'OM_asym_MlaD: outer membrane lipid asymmetry maintenance protein MlaD', 146, NULL, 'TIGR04430', 28089),
(28090, 'TIGR03577', NULL, 'EF_0830: conserved hypothetical protein EF_0830/AHA_3911', 115, NULL, 'TIGR03577', 28090),
(28091, 'TIGR01392', NULL, 'homoserO_Ac_trn: homoserine O-acetyltransferase', 351, NULL, 'TIGR01392', 28091),
(28092, 'TIGR01418', NULL, 'PEP_synth: phosphoenolpyruvate synthase', 784, NULL, 'TIGR01418', 28092),
(28093, 'TIGR00905', NULL, '2A0302: transporter, basic amino acid/polyamine antiporter (APA) family', 473, NULL, 'TIGR00905', 28093),
(28094, 'TIGR02075', NULL, 'pyrH_bact: UMP kinase', 233, NULL, 'TIGR02075', 28094),
(28095, 'TIGR01562', NULL, 'FdhE: formate dehydrogenase accessory protein FdhE', 305, NULL, 'TIGR01562', 28095),
(28096, 'TIGR04083', NULL, 'rSAM_pep_methan: putative peptide-modifying radical SAM enzyme, Mhun_1560 family', 376, NULL, 'TIGR04083', 28096),
(28097, 'TIGR02862', NULL, 'spore_BofA: pro-sigmaK processing inhibitor BofA', 83, NULL, 'TIGR02862', 28097),
(28098, 'TIGR03125', NULL, 'citrate_citG: triphosphoribosyl-dephospho-CoA synthase CitG', 275, NULL, 'TIGR03125', 28098),
(28099, 'TIGR02982', NULL, 'heterocyst_DevA: ABC exporter ATP-binding subunit, DevA family', 220, NULL, 'TIGR02982', 28099),
(28100, 'TIGR03005', NULL, 'ectoine_ehuA: ectoine/hydroxyectoine ABC transporter, ATP-binding protein EhuA', 252, NULL, 'TIGR03005', 28100),
(28101, 'TIGR03380', NULL, 'agmatine_aguA: agmatine deiminase', 357, NULL, 'TIGR03380', 28101),
(28102, 'TIGR00549', NULL, 'mevalon_kin: mevalonate kinase', 276, NULL, 'TIGR00549', 28102),
(28103, 'TIGR01290', NULL, 'nifB: nitrogenase cofactor biosynthesis protein NifB', 441, NULL, 'TIGR01290', 28103),
(28104, 'TIGR02830', NULL, 'spore_III_AG: stage III sporulation protein AG', 186, NULL, 'TIGR02830', 28104),
(28105, 'TIGR01187', NULL, 'potA: polyamine ABC transporter, ATP-binding protein', 325, NULL, 'TIGR01187', 28105),
(28106, 'TIGR00740', NULL, 'TIGR00740: tRNA (cmo5U34)-methyltransferase', 239, NULL, 'TIGR00740', 28106),
(28107, 'TIGR02894', NULL, 'DNA_bind_RsfA: transcription factor, RsfA family', 161, NULL, 'TIGR02894', 28107),
(28108, 'TIGR04076', NULL, 'TIGR04076: TIGR04076 family protein', 91, NULL, 'TIGR04076', 28108),
(28109, 'TIGR02639', NULL, 'ClpA: ATP-dependent Clp protease ATP-binding subunit ClpA', 734, NULL, 'TIGR02639', 28109),
(28110, 'TIGR03157', NULL, 'cas_Csc2: CRISPR type I-D/CYANO-associated protein Csc2', 282, NULL, 'TIGR03157', 28110),
(28111, 'TIGR01067', NULL, 'rplN_bact: ribosomal protein uL14', 122, NULL, 'TIGR01067', 28111),
(28112, 'TIGR02581', NULL, 'cas_cyan_RAMP: CRISPR-associated RAMP protein, SSO1426 family', 216, NULL, 'TIGR02581', 28112),
(28113, 'TIGR02326', NULL, 'transamin_PhnW: 2-aminoethylphosphonate--pyruvate transaminase', 363, NULL, 'TIGR02326', 28113),
(28114, 'TIGR00933', NULL, '2a38: potassium uptake protein, TrkH family', 391, NULL, 'TIGR00933', 28114),
(28115, 'TIGR00491', NULL, 'aIF-2: translation initiation factor aIF-2', 594, NULL, 'TIGR00491', 28115),
(28116, 'TIGR03781', NULL, 'Bac_Flav_CT_K: Bacteroides conjugative transposon TraK protein', 202, NULL, 'TIGR03781', 28116),
(28117, 'TIGR01348', NULL, 'PDHac_trf_long: dihydrolipoyllysine-residue acetyltransferase', 587, NULL, 'TIGR01348', 28117);         
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28118, 'TIGR04416', NULL, 'group_II_RT_mat: group II intron reverse transcriptase/maturase', 353, NULL, 'TIGR04416', 28118),
(28119, 'TIGR02358', NULL, 'thia_cytX: putative hydroxymethylpyrimidine transporter CytX', 386, NULL, 'TIGR02358', 28119),
(28120, 'TIGR00268', NULL, 'TIGR00268: TIGR00268 family protein', 253, NULL, 'TIGR00268', 28120),
(28121, 'TIGR03438', NULL, 'egtD_ergothio: dimethylhistidine N-methyltransferase', 301, NULL, 'TIGR03438', 28121),
(28122, 'TIGR01691', NULL, 'enolase-ppase: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', 224, NULL, 'TIGR01691', 28122),
(28123, 'TIGR00236', NULL, 'wecB: UDP-N-acetylglucosamine 2-epimerase', 366, NULL, 'TIGR00236', 28123),
(28124, 'TIGR01911', NULL, 'HesB_rel_seleno: HesB-like selenoprotein', 92, NULL, 'TIGR01911', 28124),
(28125, 'TIGR04389', NULL, 'Lepto_lipo_1: lipoprotein, tandem type', 201, NULL, 'TIGR04389', 28125),
(28126, 'TIGR01099', NULL, 'galU: UTP--glucose-1-phosphate uridylyltransferase', 261, NULL, 'TIGR01099', 28126),
(28127, 'TIGR01750', NULL, 'fabZ: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabZ', 141, NULL, 'TIGR01750', 28127),
(28128, 'TIGR03719', NULL, 'ABC_ABC_ChvD: ATP-binding cassette protein, ChvD family', 552, NULL, 'TIGR03719', 28128),
(28129, 'TIGR04448', NULL, 'creatininase: creatininase', 246, NULL, 'TIGR04448', 28129),
(28130, 'TIGR02519', NULL, 'pilus_MshL: pilus (MSHA type) biogenesis protein MshL', 290, NULL, 'TIGR02519', 28130),
(28131, 'TIGR03840', NULL, 'TMPT_Se_Te: thiopurine S-methyltransferase, Se/Te detoxification family', 213, NULL, 'TIGR03840', 28131),
(28132, 'TIGR03189', NULL, 'dienoyl_CoA_hyt: cyclohexa-1,5-dienecarbonyl-CoA hydratase', 251, NULL, 'TIGR03189', 28132),
(28133, 'TIGR01852', NULL, 'lipid_A_lpxA: acyl-[acyl-carrier-protein]-UDP-N-acetylglucosamine O-acyltransferase', 254, NULL, 'TIGR01852', 28133),
(28134, 'TIGR02490', NULL, 'flgF: flagellar basal-body rod protein FlgF', 218, NULL, 'TIGR02490', 28134),
(28135, 'TIGR03992', NULL, 'Arch_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', 393, NULL, 'TIGR03992', 28135),
(28136, 'TIGR02045', NULL, 'P_fruct_ADP: ADP-specific phosphofructokinase', 446, NULL, 'TIGR02045', 28136),
(28137, 'TIGR00025', NULL, 'Mtu_efflux: ABC transporter efflux protein, DrrB family', 238, NULL, 'TIGR00025', 28137),
(28138, 'TIGR01782', NULL, 'TonB-Xanth-Caul: TonB-dependent receptor', 868, NULL, 'TIGR01782', 28138),
(28139, 'TIGR00057', NULL, 'TIGR00057: tRNA threonylcarbamoyl adenosine modification protein, Sua5/YciO/YrdC/YwlC family', 202, NULL, 'TIGR00057', 28139),
(28140, 'TIGR04460', NULL, 'endura_MppR: enduracididine biosynthesis enzyme MppR', 257, NULL, 'TIGR04460', 28140),
(28141, 'TIGR02077', NULL, 'thr_lead_pep: thr operon leader peptide', 23, NULL, 'TIGR02077', 28141),
(28142, 'TIGR01820', NULL, 'TrpE-arch: anthranilate synthase component I', 449, NULL, 'TIGR01820', 28142),
(28143, 'TIGR03529', NULL, 'GldK_short: gliding motility-associated lipoprotein GldK', 345, NULL, 'TIGR03529', 28143),
(28144, 'TIGR00280', NULL, 'eL43_euk_arch: ribosomal protein eL43', 92, NULL, 'TIGR00280', 28144),
(28145, 'TIGR01407', NULL, 'dinG_rel: putative DnaQ family exonuclease/DinG family helicase', 889, NULL, 'TIGR01407', 28145),
(28146, 'TIGR03974', NULL, 'rSAM_six_Cys: SCIFF radical SAM maturase', 451, NULL, 'TIGR03974', 28146),
(28147, 'TIGR00089', NULL, 'TIGR00089: radical SAM methylthiotransferase, MiaB/RimO family', 429, NULL, 'TIGR00089', 28147),
(28148, 'TIGR04328', NULL, 'cas4_PREFRAN: CRISPR-associated protein Cas4, subtype PREFRAN', 178, NULL, 'TIGR04328', 28148),
(28149, 'TIGR02027', NULL, 'rpoA: DNA-directed RNA polymerase, alpha subunit', 298, NULL, 'TIGR02027', 28149),
(28150, 'TIGR00901', NULL, '2A0125: AmpG-like permease', 357, NULL, 'TIGR00901', 28150),
(28151, 'TIGR01630', NULL, 'psiM2_ORF9: phage uncharacterized protein, C-terminal domain', 142, NULL, 'TIGR01630', 28151),
(28152, 'TIGR04518', NULL, 'ECF_S_folT_fam: ECF transporter S component, folate family', 163, NULL, 'TIGR04518', 28152);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28153, 'TIGR04269', NULL, 'SAM_SPASM_FxsB: radical SAM/SPASM domain protein, FxsB family', 363, NULL, 'TIGR04269', 28153),
(28154, 'TIGR02197', NULL, 'heptose_epim: ADP-glyceromanno-heptose 6-epimerase', 316, NULL, 'TIGR02197', 28154),
(28155, 'TIGR00608', NULL, 'radc: DNA repair protein RadC', 218, NULL, 'TIGR00608', 28155),
(28156, 'TIGR01527', NULL, 'arch_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', 167, NULL, 'TIGR01527', 28156),
(28157, 'TIGR04015', NULL, 'WcaC: colanic acid biosynthesis glycosyltransferase WcaC', 405, NULL, 'TIGR04015', 28157),
(28158, 'TIGR00338', NULL, 'serB: phosphoserine phosphatase SerB', 219, NULL, 'TIGR00338', 28158),
(28159, 'TIGR01571', NULL, 'A_thal_Cys_rich: uncharacterized Cys-rich domain', 105, NULL, 'TIGR01571', 28159),
(28160, 'TIGR01126', NULL, 'pdi_dom: protein disulfide-isomerase domain', 105, NULL, 'TIGR01126', 28160),
(28161, 'TIGR01278', NULL, 'DPOR_BchB: light-independent protochlorophyllide reductase, B subunit', 512, NULL, 'TIGR01278', 28161),
(28162, 'TIGR00561', NULL, 'pntA: NAD(P)(+) transhydrogenase (AB-specific), alpha subunit', 511, NULL, 'TIGR00561', 28162),
(28163, 'TIGR03259', NULL, 'met_CoM_red_gam: methyl-coenzyme M reductase, gamma subunit', 244, NULL, 'TIGR03259', 28163),
(28164, 'TIGR03488', NULL, 'cas_Cas5p: CRISPR-associated protein Cas5, subtype PGING', 236, NULL, 'TIGR03488', 28164),
(28165, 'TIGR02308', NULL, 'RNA_lig_T4_1: RNA ligase, T4 RnlA family', 373, NULL, 'TIGR02308', 28165),
(28166, 'TIGR00790', NULL, 'fnt: formate/nitrite transporter', 239, NULL, 'TIGR00790', 28166),
(28167, 'TIGR03318', NULL, 'YdfZ_fam: putative selenium-binding protein YdfZ', 65, NULL, 'TIGR03318', 28167),
(28168, 'TIGR03482', NULL, 'DMSO_red_II_cha: DMSO reductase family type II enzyme chaperone', 197, NULL, 'TIGR03482', 28168),
(28169, 'TIGR03023', NULL, 'WcaJ_sugtrans: undecaprenyl-phosphate glucose phosphotransferase', 453, NULL, 'TIGR03023', 28169),
(28170, 'TIGR03822', NULL, 'AblA_like_2: lysine-2,3-aminomutase-related protein', 321, NULL, 'TIGR03822', 28170),
(28171, 'TIGR00116', NULL, 'tsf: translation elongation factor Ts', 293, NULL, 'TIGR00116', 28171),
(28172, 'TIGR01035', NULL, 'hemA: glutamyl-tRNA reductase', 416, NULL, 'TIGR01035', 28172),
(28173, 'TIGR01559', NULL, 'squal_synth: farnesyl-diphosphate farnesyltransferase', 337, NULL, 'TIGR01559', 28173),
(28174, 'TIGR04237', NULL, 'seadorna_VP9: seadornavirus/coltivirus VP9 protein', 256, NULL, 'TIGR04237', 28174),
(28175, 'TIGR02792', NULL, 'PCA_ligA: protocatechuate 4,5-dioxygenase, alpha subunit', 117, NULL, 'TIGR02792', 28175),
(28176, 'TIGR00599', NULL, 'rad18: DNA repair protein rad18', 397, NULL, 'TIGR00599', 28176),
(28177, 'TIGR00722', NULL, 'ttdA_fumA_fumB: hydrolyase, tartrate alpha subunit/fumarate domain protein, Fe-S type', 273, NULL, 'TIGR00722', 28177),
(28178, 'TIGR01360', NULL, 'aden_kin_iso1: adenylate kinase', 188, NULL, 'TIGR01360', 28178),
(28179, 'TIGR00479', NULL, 'rumA: 23S rRNA (uracil-5-)-methyltransferase RumA', 432, NULL, 'TIGR00479', 28179),
(28180, 'TIGR01480', NULL, 'copper_res_A: copper-resistance protein, CopA family', 593, NULL, 'TIGR01480', 28180),
(28181, 'TIGR04507', NULL, 'fluorinase: adenosyl-fluoride synthase', 286, NULL, 'TIGR04507', 28181),
(28182, 'TIGR02537', NULL, 'arch_flag_Nterm: archaeal flagellin N-terminal-like domain', 24, NULL, 'TIGR02537', 28182),
(28183, 'TIGR02569', NULL, 'TIGR02569_actnb: TIGR02569 family protein', 272, NULL, 'TIGR02569', 28183),
(28184, 'TIGR04058', NULL, 'AcACP_reductase: long-chain fatty acyl-ACP reductase (aldehyde-forming)', 339, NULL, 'TIGR04058', 28184),
(28185, 'TIGR03087', NULL, 'stp1: sugar transferase, PEP-CTERM/EpsH1 system associated', 397, NULL, 'TIGR03087', 28185),
(28186, 'TIGR00994', NULL, '3a0901s05TIC20: chloroplast protein import component, Tic20 family', 267, NULL, 'TIGR00994', 28186),
(28187, 'TIGR00014', NULL, 'arsC: arsenate reductase (glutaredoxin)', 114, NULL, 'TIGR00014', 28187);              
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28188, 'TIGR00670', NULL, 'asp_carb_tr: aspartate carbamoyltransferase', 304, NULL, 'TIGR00670', 28188),
(28189, 'TIGR03227', NULL, 'PhnS: 2-aminoethylphosphonate ABC transporter, 2-aminoethylphosphonate binding protein', 360, NULL, 'TIGR03227', 28189),
(28190, 'TIGR03368', NULL, 'cellulose_yhjU: cellulose synthase operon protein YhjU', 518, NULL, 'TIGR03368', 28190),
(28191, 'TIGR02256', NULL, 'ICE_VC0181: conserved hypothetical protein', 131, NULL, 'TIGR02256', 28191),
(28192, 'TIGR00842', NULL, 'bcct: transporter, betaine/carnitine/choline transporter (BCCT) family', 452, NULL, 'TIGR00842', 28192),
(28193, 'TIGR04346', NULL, 'DotA_TraY: conjugal transfer/type IV secretion protein DotA/TraY', 656, NULL, 'TIGR04346', 28193),
(28194, 'TIGR03828', NULL, 'pfkB: 1-phosphofructokinase', 305, NULL, 'TIGR03828', 28194),
(28195, 'TIGR04226', NULL, 'RrgB_K2N_iso_D2: fimbrial isopeptide formation D2 domain', 123, NULL, 'TIGR04226', 28195),
(28196, 'TIGR01738', NULL, 'bioH: pimelyl-[acyl-carrier protein] methyl ester esterase', 245, NULL, 'TIGR01738', 28196),
(28197, 'TIGR01993', NULL, 'Pyr-5-nucltdase: pyrimidine 5''-nucleotidase', 183, NULL, 'TIGR01993', 28197),
(28198, 'TIGR01289', NULL, 'LPOR: light-dependent protochlorophyllide reductase', 315, NULL, 'TIGR01289', 28198),
(28199, 'TIGR00831', NULL, 'a_cpa1: Na+/H+ antiporter', 525, NULL, 'TIGR00831', 28199),
(28200, 'TIGR01986', NULL, 'glut_syn_euk: glutathione synthetase', 473, NULL, 'TIGR01986', 28200),
(28201, 'TIGR03883', NULL, 'DUF2342_F420: uncharacterized protein, coenzyme F420 biosynthesis associated', 346, NULL, 'TIGR03883', 28201),
(28202, 'TIGR02921', NULL, 'PEP_integral: PEP-CTERM family integral membrane protein', 922, NULL, 'TIGR02921', 28202),
(28203, 'TIGR03611', NULL, 'RutD: pyrimidine utilization protein D', 258, NULL, 'TIGR03611', 28203),
(28204, 'TIGR02964', NULL, 'xanthine_xdhC: xanthine dehydrogenase accessory protein XdhC', 246, NULL, 'TIGR02964', 28204),
(28205, 'TIGR04219', NULL, 'OMP_w_GlyGly: outer membrane protein', 234, NULL, 'TIGR04219', 28205),
(28206, 'TIGR00134', NULL, 'gatE_arch: glutamyl-tRNA(Gln) amidotransferase, subunit E', 622, NULL, 'TIGR00134', 28206),
(28207, 'TIGR01521', NULL, 'FruBisAldo_II_B: fructose-bisphosphate aldolase, class II, Calvin cycle subtype', 347, NULL, 'TIGR01521', 28207),
(28208, 'TIGR03427', NULL, 'ABC_peri_uca: ABC transporter periplasmic binding protein, urea carboxylase region', 328, NULL, 'TIGR03427', 28208),
(28209, 'TIGR04065', NULL, 'ocin_CLI_3235: putative bacteriocin precursor, CLI_3235 family', 34, NULL, 'TIGR04065', 28209),
(28210, 'TIGR01922', NULL, 'purO_arch: IMP cyclohydrolase', 199, NULL, 'TIGR01922', 28210),
(28211, 'TIGR02440', NULL, 'FadJ: fatty oxidation complex, alpha subunit FadJ', 699, NULL, 'TIGR02440', 28211),
(28212, 'TIGR00127', NULL, 'nadp_idh_euk: isocitrate dehydrogenase, NADP-dependent', 409, NULL, 'TIGR00127', 28212),
(28213, 'TIGR00819', NULL, 'ydaH: AbgT transporter family', 521, NULL, 'TIGR00819', 28213),
(28214, 'TIGR01457', NULL, 'HAD-SF-IIA-hyp2: HAD hydrolase, TIGR01457 family', 249, NULL, 'TIGR01457', 28214),
(28215, 'TIGR02095', NULL, 'glgA: glycogen/starch synthase, ADP-glucose type', 477, NULL, 'TIGR02095', 28215),
(28216, 'TIGR03720', NULL, 'exospor_lead: exosporium leader peptide', 19, NULL, 'TIGR03720', 28216),
(28217, 'TIGR03942', NULL, 'sulfatase_rSAM: anaerobic sulfatase maturase', 363, NULL, 'TIGR03942', 28217),
(28218, 'TIGR04167', NULL, 'rSAM_SeCys: radical SAM/Cys-rich domain protein', 303, NULL, 'TIGR04167', 28218),
(28219, 'TIGR01629', NULL, 'rep_II_X: phage/plasmid replication protein, gene II/X family', 407, NULL, 'TIGR01629', 28219),
(28220, 'TIGR04117', NULL, 'Syntroph_Cxxx: Cys-Xaa-Xaa-Xaa repeat radical SAM target protein', 98, NULL, 'TIGR04117', 28220),
(28221, 'TIGR02683', NULL, 'upstrm_HI1419: putative addiction module killer protein', 95, NULL, 'TIGR02683', 28221),
(28222, 'TIGR00007', NULL, 'TIGR00007: 1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino]imidazole-4-carboxamide isomerase', 231, NULL, 'TIGR00007', 28222);     
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28223, 'TIGR02971', NULL, 'heterocyst_DevB: ABC exporter membrane fusion protein, DevB family', 327, NULL, 'TIGR02971', 28223),
(28224, 'TIGR01700', NULL, 'PNPH: purine nucleoside phosphorylase I, inosine and guanosine-specific', 249, NULL, 'TIGR01700', 28224),
(28225, 'TIGR01884', NULL, 'cas_HTH: CRISPR locus-related DNA-binding protein', 202, NULL, 'TIGR01884', 28225),
(28226, 'TIGR02428', NULL, 'pcaJ_scoB_fam: 3-oxoacid CoA-transferase, B subunit', 207, NULL, 'TIGR02428', 28226),
(28227, 'TIGR00939', NULL, '2a57: nucleoside Transporter', 439, NULL, 'TIGR00939', 28227),
(28228, 'TIGR03890', NULL, 'nif11_cupin: nif11 domain/cupin domain protein', 171, NULL, 'TIGR03890', 28228),
(28229, 'TIGR00382', NULL, 'clpX: ATP-dependent Clp protease, ATP-binding subunit ClpX', 414, NULL, 'TIGR00382', 28229),
(28230, 'TIGR01509', NULL, 'HAD-SF-IA-v3: HAD hydrolase, family IA, variant 3', 154, NULL, 'TIGR01509', 28230),
(28231, 'TIGR04287', NULL, 'exosort_XrtK: exosortase K', 163, NULL, 'TIGR04287', 28231),
(28232, 'TIGR02206', NULL, 'intg_mem_TP0381: conserved hypothetical integral membrane protein TIGR02206', 222, NULL, 'TIGR02206', 28232),
(28233, 'TIGR03708', NULL, 'poly_P_AMP_trns: polyphosphate:AMP phosphotransferase', 493, NULL, 'TIGR03708', 28233),
(28234, 'TIGR01641', NULL, 'phageSPP1_gp7: phage head morphogenesis protein, SPP1 gp7 family', 109, NULL, 'TIGR01641', 28234),
(28235, 'TIGR00198', NULL, 'cat_per_HPI: catalase/peroxidase HPI', 716, NULL, 'TIGR00198', 28235),
(28236, 'TIGR03661', NULL, 'T1SS_VCA0849: type I secretion C-terminal target domain (VC_A0849 subclass)', 91, NULL, 'TIGR03661', 28236),
(28237, 'TIGR01398', NULL, 'FlhA: flagellar biosynthesis protein FlhA', 678, NULL, 'TIGR01398', 28237),
(28238, 'TIGR00538', NULL, 'hemN: oxygen-independent coproporphyrinogen III oxidase', 454, NULL, 'TIGR00538', 28238),
(28239, 'TIGR01228', NULL, 'hutU: urocanate hydratase', 545, NULL, 'TIGR01228', 28239),
(28240, 'TIGR04339', NULL, 'PQQ_MSMEG_3727: PQQ system protein', 151, NULL, 'TIGR04339', 28240),
(28241, 'TIGR01169', NULL, 'rplA_bact: ribosomal protein uL1', 227, NULL, 'TIGR01169', 28241),
(28242, 'TIGR00951', NULL, '2A43: lysosomal Cystine Transporter', 233, NULL, 'TIGR00951', 28242),
(28243, 'TIGR02435', NULL, 'CobG: precorrin-3B synthase', 388, NULL, 'TIGR02435', 28243),
(28244, 'TIGR02088', NULL, 'LEU3_arch: isopropylmalate/isohomocitrate dehydrogenases', 324, NULL, 'TIGR02088', 28244),
(28245, 'TIGR04070', NULL, 'photo_TT_lyase: spore photoproduct lyase', 338, NULL, 'TIGR04070', 28245),
(28246, 'TIGR00663', NULL, 'dnan: DNA polymerase III, beta subunit', 367, NULL, 'TIGR00663', 28246),
(28247, 'TIGR04410', NULL, 'Spiro_T2SS_lipo: type II secretion system-associated lipoprotein', 117, NULL, 'TIGR04410', 28247),
(28248, 'TIGR01176', NULL, 'fum_red_Fp: fumarate reductase (quinol), flavoprotein subunit', 580, NULL, 'TIGR01176', 28248),
(28249, 'TIGR02147', NULL, 'Fsuc_second: TIGR02147 family protein', 272, NULL, 'TIGR02147', 28249),
(28250, 'TIGR03649', NULL, 'ergot_EASG: ergot alkaloid biosynthesis protein, AFUA_2G17970 family', 287, NULL, 'TIGR03649', 28250),
(28251, 'TIGR00892', NULL, '2A0113: monocarboxylate transporter', 455, NULL, 'TIGR00892', 28251),
(28252, 'TIGR01430', NULL, 'aden_deam: adenosine deaminase', 323, NULL, 'TIGR01430', 28252),
(28253, 'TIGR03865', NULL, 'PQQ_CXXCW: PQQ-dependent catabolism-associated CXXCW motif protein', 167, NULL, 'TIGR03865', 28253),
(28254, 'TIGR04128', NULL, 'exoso_Fjoh_1448: exosortase family protein XrtF', 174, NULL, 'TIGR04128', 28254),
(28255, 'TIGR01310', NULL, 'uL30_euk: 60S ribosomal protein uL30', 236, NULL, 'TIGR01310', 28255),
(28256, 'TIGR03985', NULL, 'TIGR03985: CRISPR-associated protein, TIGR03985 family', 249, NULL, 'TIGR03985', 28256),
(28257, 'TIGR04008', NULL, 'WcaF: colanic acid biosynthesis acetyltransferase WcaF', 180, NULL, 'TIGR04008', 28257),
(28258, 'TIGR01949', NULL, 'AroFGH_arch: predicted phospho-2-dehydro-3-deoxyheptonate aldolase', 255, NULL, 'TIGR01949', 28258);    
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28259, 'TIGR02038', NULL, 'protease_degS: periplasmic serine peptidase DegS', 351, NULL, 'TIGR02038', 28259),
(28260, 'TIGR04351', NULL, 'TOMM_nitrile_2: putative TOMM peptide', 48, NULL, 'TIGR04351', 28260),
(28261, 'TIGR01895', NULL, 'cas_Cas5t: CRISPR-associated protein Cas5, subtype I-B/TNEAP', 217, NULL, 'TIGR01895', 28261),
(28262, 'TIGR03400', NULL, '18S_RNA_Rcl1p: 18S rRNA biogenesis protein RCL1', 360, NULL, 'TIGR03400', 28262),
(28263, 'TIGR02154', NULL, 'PhoB: phosphate regulon transcriptional regulatory protein PhoB', 226, NULL, 'TIGR02154', 28263),
(28264, 'TIGR02261', NULL, 'benz_CoA_red_D: benzoyl-CoA reductase, subunit D', 262, NULL, 'TIGR02261', 28264),
(28265, 'TIGR02914', NULL, 'EpsI_fam: EpsI family protein', 174, NULL, 'TIGR02914', 28265),
(28266, 'TIGR00225', NULL, 'prc: C-terminal processing peptidase', 335, NULL, 'TIGR00225', 28266),
(28267, 'TIGR04190', NULL, 'B12_SAM_Ta0216: B12-binding domain/radical SAM domain protein, Ta0216 family', 554, NULL, 'TIGR04190', 28267),
(28268, 'TIGR04244', NULL, 'nitrous_NosZ_RR: nitrous-oxide reductase, TAT-dependent', 627, NULL, 'TIGR04244', 28268),
(28269, 'TIGR03833', NULL, 'TIGR03833: conserved hypothetical protein', 62, NULL, 'TIGR03833', 28269),
(28270, 'TIGR00171', NULL, 'leuD: 3-isopropylmalate dehydratase, small subunit', 188, NULL, 'TIGR00171', 28270),
(28271, 'TIGR02315', NULL, 'ABC_phnC: phosphonate ABC transporter, ATP-binding protein', 243, NULL, 'TIGR02315', 28271),
(28272, 'TIGR03520', NULL, 'GldE: gliding motility-associated protein GldE', 408, NULL, 'TIGR03520', 28272),
(28273, 'TIGR03329', NULL, 'Phn_aa_oxid: putative aminophosphonate oxidoreductase', 460, NULL, 'TIGR03329', 28273),
(28274, 'TIGR01239', NULL, 'galT_2: galactose-1-phosphate uridylyltransferase', 489, NULL, 'TIGR01239', 28274),
(28275, 'TIGR00631', NULL, 'uvrb: excinuclease ABC subunit B', 658, NULL, 'TIGR00631', 28275),
(28276, 'TIGR04396', NULL, 'surf_polysacc: surface carbohydrate biosynthesis protein', 322, NULL, 'TIGR04396', 28276),
(28277, 'TIGR00511', NULL, 'ribulose_e2b2: ribose-1,5-bisphosphate isomerase, e2b2 family', 301, NULL, 'TIGR00511', 28277),
(28278, 'TIGR02574', NULL, 'stabl_TIGR02574: putative addiction module component, TIGR02574 family', 65, NULL, 'TIGR02574', 28278),
(28279, 'TIGR03209', NULL, 'P21_Cbot: transcriptional regulator BotR, P-21', 142, NULL, 'TIGR03209', 28279),
(28280, 'TIGR00976', NULL, '/NonD: hydrolase CocE/NonD family protein', 550, NULL, 'TIGR00976', 28280),
(28281, 'TIGR03234', NULL, 'OH-pyruv-isom: hydroxypyruvate isomerase', 254, NULL, 'TIGR03234', 28281),
(28282, 'TIGR02721', NULL, 'ycfN_thiK: thiamine kinase', 256, NULL, 'TIGR02721', 28282),
(28283, 'TIGR01119', NULL, 'lacB: galactose-6-phosphate isomerase, LacB subunit', 171, NULL, 'TIGR01119', 28283),
(28284, 'TIGR01891', NULL, 'amidohydrolases: amidohydrolase', 366, NULL, 'TIGR01891', 28284),
(28285, 'TIGR01904', NULL, 'GSu_C4xC__C2xCH: Geobacter sulfurreducens CxxxxCH...CXXCH domain', 42, NULL, 'TIGR01904', 28285),
(28286, 'TIGR00229', NULL, 'sensory_box: PAS domain S-box protein', 126, NULL, 'TIGR00229', 28286),
(28287, 'TIGR01462', NULL, 'greA: transcription elongation factor GreA', 151, NULL, 'TIGR01462', 28287),
(28288, 'TIGR00291', NULL, 'RNA_SBDS: rRNA metabolism protein, SBDS family', 231, NULL, 'TIGR00291', 28288),
(28289, 'TIGR00658', NULL, 'orni_carb_tr: ornithine carbamoyltransferase', 304, NULL, 'TIGR00658', 28289),
(28290, 'TIGR01829', NULL, 'AcAcCoA_reduct: acetoacetyl-CoA reductase', 242, NULL, 'TIGR01829', 28290),
(28291, 'TIGR01387', NULL, 'cztR_silR_copR: heavy metal response regulator', 218, NULL, 'TIGR01387', 28291),
(28292, 'TIGR04124', NULL, 'archaeo_artE: archaeosortase family protein ArtE', 153, NULL, 'TIGR04124', 28292),
(28293, 'TIGR03477', NULL, 'DMSO_red_II_gam: DMSO reductase family type II enzyme, heme b subunit', 206, NULL, 'TIGR03477', 28293),
(28294, 'TIGR03981', NULL, 'SAM_quin_mod: His-Xaa-Ser system putative quinone modification maturase', 411, NULL, 'TIGR03981', 28294);             
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28295, 'TIGR02381', NULL, 'cspD: cold shock domain protein CspD', 68, NULL, 'TIGR02381', 28295),
(28296, 'TIGR03919', NULL, 'T7SS_EccB: type VII secretion protein EccB', 457, NULL, 'TIGR03919', 28296),
(28297, 'TIGR02748', NULL, 'GerC3_HepT: heptaprenyl diphosphate synthase component II', 319, NULL, 'TIGR02748', 28297),
(28298, 'TIGR03547', NULL, 'muta_rot_YjhT: mutatrotase, YjhT family', 346, NULL, 'TIGR03547', 28298),
(28299, 'TIGR01802', NULL, 'CM_pl-yst: chorismate mutase', 247, NULL, 'TIGR01802', 28299),
(28300, 'TIGR01042', NULL, 'V-ATPase_V1_A: V-type ATPase, A subunit', 591, NULL, 'TIGR01042', 28300),
(28301, 'TIGR03579', NULL, 'EF_0833: conserved hypothetical protein EF_0833/AHA_3914', 209, NULL, 'TIGR03579', 28301),
(28302, 'TIGR04530', NULL, 'hemophoreRv0203: hemophore', 118, NULL, 'TIGR04530', 28302),
(28303, 'TIGR00556', NULL, 'pantethn_trn: phosphopantetheine--protein transferase domain', 128, NULL, 'TIGR00556', 28303),
(28304, 'TIGR03770', NULL, 'anch_rpt_perm: anchored repeat-type ABC transporter, permease subunit', 270, NULL, 'TIGR03770', 28304),
(28305, 'TIGR01028', NULL, 'uS7_euk_arch: ribosomal protein uS7', 186, NULL, 'TIGR01028', 28305),
(28306, 'TIGR03325', NULL, 'BphB_TodD: cis-2,3-dihydrobiphenyl-2,3-diol dehydrogenase', 263, NULL, 'TIGR03325', 28306),
(28307, 'TIGR03271', NULL, 'methan_mark_5: putative methanogenesis marker protein 5', 142, NULL, 'TIGR03271', 28307),
(28308, 'TIGR00881', NULL, '2A0104: phosphoglycerate transporter family protein', 379, NULL, 'TIGR00881', 28308),
(28309, 'TIGR02472', NULL, 'sucr_P_syn_N: sucrose-phosphate synthase, putative, glycosyltransferase domain', 439, NULL, 'TIGR02472', 28309),
(28310, 'TIGR00436', NULL, 'era: GTP-binding protein Era', 270, NULL, 'TIGR00436', 28310),
(28311, 'TIGR00109', NULL, 'hemH: ferrochelatase', 322, NULL, 'TIGR00109', 28311),
(28312, 'TIGR00613', NULL, 'reco: DNA repair protein RecO', 239, NULL, 'TIGR00613', 28312),
(28313, 'TIGR00765', NULL, 'yihY_not_rbn: YihY family inner membrane protein', 259, NULL, 'TIGR00765', 28313),
(28314, 'TIGR03391', NULL, 'FeS_syn_CsdE: cysteine desulfurase, sulfur acceptor subunit CsdE', 139, NULL, 'TIGR03391', 28314),
(28315, 'TIGR03114', NULL, 'cas8u_csf1: CRISPR type AFERR-associated protein Csf1', 202, NULL, 'TIGR03114', 28315),
(28316, 'TIGR03699', NULL, 'menaquin_MqnC: dehypoxanthine futalosine cyclase', 342, NULL, 'TIGR03699', 28316),
(28317, 'TIGR02601', NULL, 'autotrns_rpt: autotransporter-associated beta strand repeat', 32, NULL, 'TIGR02601', 28317),
(28318, 'TIGR00300', NULL, 'TIGR00300: TIGR00300 family protein', 407, NULL, 'TIGR00300', 28318),
(28319, 'TIGR01355', NULL, 'cyt_deam_dimer: cytidine deaminase', 283, NULL, 'TIGR01355', 28319),
(28320, 'TIGR04033', NULL, 'export_SdpB: antimicrobial peptide system protein, SdpB family', 276, NULL, 'TIGR04033', 28320),
(28321, 'TIGR00123', NULL, 'cbiM: cobalamin biosynthesis protein CbiM', 214, NULL, 'TIGR00123', 28321),
(28322, 'TIGR04276', NULL, 'FxsC_Cterm: FxsC C-terminal domain', 196, NULL, 'TIGR04276', 28322),
(28323, 'TIGR01618', NULL, 'phage_P_loop: phage nucleotide-binding protein', 220, NULL, 'TIGR01618', 28323),
(28324, 'TIGR03731', NULL, 'lantibio_gallid: lantibiotic, gallidermin/nisin family', 48, NULL, 'TIGR03731', 28324),
(28325, 'TIGR00096', NULL, 'TIGR00096: 16S rRNA (cytidine(1402)-2''-O)-methyltransferase', 275, NULL, 'TIGR00096', 28325),
(28326, 'TIGR02628', NULL, 'fuculo_kin_coli: L-fuculokinase', 465, NULL, 'TIGR02628', 28326),
(28327, 'TIGR03763', NULL, 'cyanoexo_CrtA: cyanoexosortase A', 260, NULL, 'TIGR03763', 28327),
(28328, 'TIGR03180', NULL, 'UraD_2: OHCU decarboxylase', 158, NULL, 'TIGR03180', 28328),
(28329, 'TIGR00345', NULL, 'GET3_arsA_TRC40: transport-energizing ATPase, TRC40/GET3/ArsA family', 299, NULL, 'TIGR00345', 28329),
(28330, 'TIGR00588', NULL, 'ogg: 8-oxoguanine DNA-glycosylase (ogg)', 310, NULL, 'TIGR00588', 28330),
(28331, 'TIGR02694', NULL, 'arsenite_ox_S: arsenite oxidase, small subunit', 129, NULL, 'TIGR02694', 28331);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28332, 'TIGR01847', NULL, 'bacteriocin_sig: bacteriocin-type signal sequence', 15, NULL, 'TIGR01847', 28332),
(28333, 'TIGR02288', NULL, 'PaaN_2: phenylacetic acid degradation protein paaN', 551, NULL, 'TIGR02288', 28333),
(28334, 'TIGR02932', NULL, 'vnfK_nitrog: V-containing nitrogenase, beta subunit', 457, NULL, 'TIGR02932', 28334),
(28335, 'TIGR04487', NULL, 'SoxY_para_1: SoxY-related AACIE arm protein', 146, NULL, 'TIGR04487', 28335),
(28336, 'TIGR02417', NULL, 'fruct_sucro_rep: D-fructose-responsive transcription factor', 327, NULL, 'TIGR02417', 28336),
(28337, 'TIGR03967', NULL, 'mycofact_MftB: putative mycofactocin binding protein MftB', 81, NULL, 'TIGR03967', 28337),
(28338, 'TIGR01137', NULL, 'cysta_beta: cystathionine beta-synthase', 457, NULL, 'TIGR01137', 28338),
(28339, 'TIGR00327', NULL, 'secE_euk_arch: protein translocase SEC61 complex gamma subunit, archaeal and eukaryotic', 61, NULL, 'TIGR00327', 28339),
(28340, 'TIGR04022', NULL, 'sulfur_SfnB: sulfur acquisition oxidoreductase, SfnB family', 391, NULL, 'TIGR04022', 28340),
(28341, 'TIGR02812', NULL, 'fadR_gamma: fatty acid metabolism transcriptional regulator FadR', 235, NULL, 'TIGR02812', 28341),
(28342, 'TIGR02483', NULL, 'PFK_mixed: phosphofructokinase', 325, NULL, 'TIGR02483', 28342),
(28343, 'TIGR01727', NULL, 'oligo_HPY: oligopeptide/dipeptide ABC transporter, ATP-binding protein, C-terminal domain', 87, NULL, 'TIGR01727', 28343),
(28344, 'TIGR04421', NULL, 'FemAB_IMCC1989: FemAB family protein', 345, NULL, 'TIGR04421', 28344),
(28345, 'TIGR02084', NULL, 'leud: 3-isopropylmalate dehydratase, small subunit', 156, NULL, 'TIGR02084', 28345),
(28346, 'TIGR03502', NULL, 'lipase_Pla1_cef: extracellular lipase, Pla-1/cef family', 790, NULL, 'TIGR03502', 28346),
(28347, 'TIGR03336', NULL, 'IOR_alpha: indolepyruvate ferredoxin oxidoreductase, alpha subunit', 595, NULL, 'TIGR03336', 28347),
(28348, 'TIGR01253', NULL, 'thiP: thiamine/thiamine pyrophosphate ABC transporter, permease protein', 519, NULL, 'TIGR01253', 28348),
(28349, 'TIGR01246', NULL, 'dapE_proteo: succinyl-diaminopimelate desuccinylase', 370, NULL, 'TIGR01246', 28349),
(28350, 'TIGR01564', NULL, 'S_layer_MJ: S-layer protein', 571, NULL, 'TIGR01564', 28350),
(28351, 'TIGR04498', NULL, 'AbiV_defense: abortive infection protein, AbiV family', 143, NULL, 'TIGR04498', 28351),
(28352, 'TIGR03343', NULL, 'biphenyl_bphD: 2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase', 282, NULL, 'TIGR03343', 28352),
(28353, 'TIGR03162', NULL, 'ribazole_cobC: alpha-ribazole phosphatase', 176, NULL, 'TIGR03162', 28353),
(28354, 'TIGR00402', NULL, 'napF: ferredoxin-type protein NapF', 149, NULL, 'TIGR00402', 28354),
(28355, 'TIGR04026', NULL, 'PPOX_FMN_cyano: PPOX class probable FMN-dependent enzyme, alr4036 family', 185, NULL, 'TIGR04026', 28355),
(28356, 'TIGR02823', NULL, 'oxido_YhdH: putative quinone oxidoreductase, YhdH/YhfP family', 324, NULL, 'TIGR02823', 28356),
(28357, 'TIGR03107', NULL, 'glu_aminopep: glutamyl aminopeptidase', 350, NULL, 'TIGR03107', 28357),
(28358, 'TIGR00733', NULL, 'TIGR00733: oligopeptide transporter, OPT family', 589, NULL, 'TIGR00733', 28358),
(28359, 'TIGR00393', NULL, 'kpsF: sugar isomerase, KpsF/GutQ family', 268, NULL, 'TIGR00393', 28359),
(28360, 'TIGR00874', NULL, 'talAB: transaldolase', 317, NULL, 'TIGR00874', 28360),
(28361, 'TIGR01793', NULL, 'cit_synth_euk: citrate (Si)-synthase, eukaryotic', 427, NULL, 'TIGR01793', 28361),
(28362, 'TIGR02889', NULL, 'spore_YpeB: germination protein YpeB', 435, NULL, 'TIGR02889', 28362),
(28363, 'TIGR00799', NULL, 'mtp: Golgi 4-transmembrane spanning transporter', 258, NULL, 'TIGR00799', 28363),
(28364, 'TIGR01017', NULL, 'rpsD_bact: ribosomal protein uS4', 200, NULL, 'TIGR01017', 28364),
(28365, 'TIGR00334', NULL, '5S_RNA_mat_M5: ribonuclease M5', 174, NULL, 'TIGR00334', 28365),
(28366, 'TIGR00454', NULL, 'TIGR00454: TIGR00454 family protein', 183, NULL, 'TIGR00454', 28366),
(28367, 'TIGR02370', NULL, 'pyl_corrinoid: methyltransferase cognate corrinoid proteins, Methanosarcina family', 197, NULL, 'TIGR02370', 28367);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28368, 'TIGR03872', NULL, 'cytochrome_MoxG: cytochrome c(L), periplasmic', 133, NULL, 'TIGR03872', 28368),
(28369, 'TIGR01489', NULL, 'DKMTPPase-SF: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', 188, NULL, 'TIGR01489', 28369),
(28370, 'TIGR00867', NULL, 'deg-1: degenerin', 611, NULL, 'TIGR00867', 28370),
(28371, 'TIGR01090', NULL, 'apt: adenine phosphoribosyltransferase', 169, NULL, 'TIGR01090', 28371),
(28372, 'TIGR02925', NULL, 'cis_trans_EpsD: peptidyl-prolyl cis-trans isomerase, EpsD family', 232, NULL, 'TIGR02925', 28372),
(28373, 'TIGR02646', NULL, 'TIGR02646: TIGR02646 family protein', 144, NULL, 'TIGR02646', 28373),
(28374, 'TIGR04135', NULL, 'FibroRuminTarg: Cys-rich radical SAM target, FibroRumin family', 52, NULL, 'TIGR04135', 28374),
(28375, 'TIGR01024', NULL, 'rplS_bact: ribosomal protein bL19', 114, NULL, 'TIGR01024', 28375),
(28376, 'TIGR02526', NULL, 'eut_PduT: PduT-like ethanolamine utilization protein', 182, NULL, 'TIGR02526', 28376),
(28377, 'TIGR02299', NULL, 'HpaE: 5-carboxymethyl-2-hydroxymuconate semialdehyde dehydrogenase', 488, NULL, 'TIGR02299', 28377),
(28378, 'TIGR03445', NULL, 'mycothiol_MshB: N-acetyl-1-D-myo-inositol-2-amino-2-deoxy-alpha-D-glucopyranoside deacetylase', 284, NULL, 'TIGR03445', 28378),
(28379, 'TIGR01201', NULL, 'HU_rel: putative DNA-binding protein', 170, NULL, 'TIGR01201', 28379),
(28380, 'TIGR02703', NULL, 'carboxysome_A: carboxysome peptide A', 80, NULL, 'TIGR02703', 28380),
(28381, 'TIGR02179', NULL, 'PorD_KorD: 2-oxoacid:acceptor oxidoreductase, delta subunit, pyruvate/2-ketoisovalerate family', 78, NULL, 'TIGR02179', 28381),
(28382, 'TIGR01144', NULL, 'ATP_synt_b: ATP synthase F0, B subunit', 147, NULL, 'TIGR01144', 28382),
(28383, 'TIGR04562', NULL, 'TIGR04562: TIGR04562 family protein', 356, NULL, 'TIGR04562', 28383),
(28384, 'TIGR00983', NULL, '3a0801s02tim23: mitochondrial import inner membrane translocase subunit', 149, NULL, 'TIGR00983', 28384),
(28385, 'TIGR03098', NULL, 'ligase_PEP_1: acyl-CoA ligase (AMP-forming), exosortase A-associated', 517, NULL, 'TIGR03098', 28385),
(28386, 'TIGR03060', NULL, 'PS_II_psb29: photosystem II biogenesis protein Psp29', 214, NULL, 'TIGR03060', 28386),
(28387, 'TIGR00990', NULL, '3a0801s09: mitochondrial precursor proteins import receptor', 615, NULL, 'TIGR00990', 28387),
(28388, 'TIGR03216', NULL, 'OH_muco_semi_DH: 2-hydroxymuconic semialdehyde dehydrogenase', 481, NULL, 'TIGR03216', 28388),
(28389, 'TIGR03688', NULL, 'pupylate_PafA2: proteasome accessory factor PafA2', 485, NULL, 'TIGR03688', 28389),
(28390, 'TIGR00218', NULL, 'manA: mannose-6-phosphate isomerase, class I', 359, NULL, 'TIGR00218', 28390),
(28391, 'TIGR03622', NULL, 'urea_t_UrtB_arc: urea ABC transporter, permease protein UrtB', 284, NULL, 'TIGR03622', 28391),
(28392, 'TIGR02186', NULL, 'alph_Pro_TM: conserved hypothetical protein', 261, NULL, 'TIGR02186', 28392),
(28393, 'TIGR01673', NULL, 'holin_LLH: phage holin, LL-H family', 108, NULL, 'TIGR01673', 28393),
(28394, 'TIGR01680', NULL, 'Veg_Stor_Prot: vegetative storage protein', 270, NULL, 'TIGR01680', 28394),
(28395, 'TIGR02592', NULL, 'cas_Cas5h: CRISPR-associated protein Cas5, subtype I-B/HMARI', 241, NULL, 'TIGR02592', 28395),
(28396, 'TIGR00447', NULL, 'pth: aminoacyl-tRNA hydrolase', 188, NULL, 'TIGR00447', 28396),
(28397, 'TIGR03223', NULL, 'Phn_opern_protn: putative phosphonate metabolism protein', 228, NULL, 'TIGR03223', 28397),
(28398, 'TIGR02710', NULL, 'TIGR02710: CRISPR-associated protein, TIGR02710 family', 384, NULL, 'TIGR02710', 28398),
(28399, 'TIGR04142', NULL, 'PCisTranLspir: putative peptidyl-prolyl cis-trans isomerase, LIC12922 family', 316, NULL, 'TIGR04142', 28399),
(28400, 'TIGR04378', NULL, 'myo_inos_iolB: 5-deoxy-glucuronate isomerase', 247, NULL, 'TIGR04378', 28400),
(28401, 'TIGR02363', NULL, 'dhaK1: dihydroxyacetone kinase, DhaK subunit', 329, NULL, 'TIGR02363', 28401),
(28402, 'TIGR03282', NULL, 'methan_mark_13: putative methanogenesis marker 13 metalloprotein', 352, NULL, 'TIGR03282', 28402);               
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28403, 'TIGR01464', NULL, 'hemE: uroporphyrinogen decarboxylase', 338, NULL, 'TIGR01464', 28403),
(28404, 'TIGR00495', NULL, 'crvDNA_42K: DNA-binding protein, 42 kDa', 383, NULL, 'TIGR00495', 28404),
(28405, 'TIGR04523', NULL, 'Mplasa_alph_rch: helix-rich protein', 745, NULL, 'TIGR04523', 28405),
(28406, 'TIGR03402', NULL, 'FeS_nifS: cysteine desulfurase NifS', 379, NULL, 'TIGR03402', 28406),
(28407, 'TIGR03554', NULL, 'F420_G6P_DH: glucose-6-phosphate dehydrogenase (coenzyme-F420)', 331, NULL, 'TIGR03554', 28407),
(28408, 'TIGR00826', NULL, 'EIIB_glc: PTS system, glucose-like IIB component', 88, NULL, 'TIGR00826', 28408),
(28409, 'TIGR00978', NULL, 'asd_EA: aspartate-semialdehyde dehydrogenase', 342, NULL, 'TIGR00978', 28409),
(28410, 'TIGR01312', NULL, 'XylB: xylulokinase', 481, NULL, 'TIGR01312', 28410),
(28411, 'TIGR00343', NULL, 'TIGR00343: pyridoxal 5''-phosphate synthase, synthase subunit Pdx1', 287, NULL, 'TIGR00343', 28411),
(28412, 'TIGR04072', NULL, 'rSAM_ladder_B12: lipid biosynthesis B12-binding/radical SAM protein', 151, NULL, 'TIGR04072', 28412),
(28413, 'TIGR02916', NULL, 'PEP_his_kin: putative PEP-CTERM system histidine kinase', 679, NULL, 'TIGR02916', 28413),
(28414, 'TIGR04555', NULL, 'sulfite_DH_soxC: sulfite dehydrogenase', 408, NULL, 'TIGR04555', 28414),
(28415, 'TIGR02433', NULL, 'lysidine_TilS_C: tRNA(Ile)-lysidine synthetase, C-terminal domain', 47, NULL, 'TIGR02433', 28415),
(28416, 'TIGR02898', NULL, 'spore_YhcN_YlaJ: sporulation lipoprotein, YhcN/YlaJ family', 158, NULL, 'TIGR02898', 28416),
(28417, 'TIGR04385', NULL, 'B12_rSAM_cofa1: putative variant cofactor biosynthesis B12-binding domain/radical SAM domain protein 1', 438, NULL, 'TIGR04385', 28417),
(28418, 'TIGR00030', NULL, 'S21p: ribosomal protein bS21', 58, NULL, 'TIGR00030', 28418),
(28419, 'TIGR02120', NULL, 'GspF: type II secretion system protein F', 401, NULL, 'TIGR02120', 28419),
(28420, 'TIGR03586', NULL, 'PseI: pseudaminic acid synthase', 327, NULL, 'TIGR03586', 28420),
(28421, 'TIGR02603', NULL, 'CxxCH_TIGR02603: putative heme-binding domain', 134, NULL, 'TIGR02603', 28421),
(28422, 'TIGR00513', NULL, 'accA: acetyl-CoA carboxylase, carboxyl transferase, alpha subunit', 321, NULL, 'TIGR00513', 28422),
(28423, 'TIGR02585', NULL, 'cas_Cst2_DevR: CRISPR-associated protein Cas7/Cst2/DevR, subtype I-B/TNEAP', 321, NULL, 'TIGR02585', 28423),
(28424, 'TIGR03715', NULL, 'KxYKxGKxW: KxYKxGKxW signal peptide', 23, NULL, 'TIGR03715', 28424),
(28425, 'TIGR02755', NULL, 'TraX_Ftype: type-F conjugative transfer system pilin acetylase TraX', 224, NULL, 'TIGR02755', 28425),
(28426, 'TIGR00173', NULL, 'menD: 2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylic-acid synthase', 435, NULL, 'TIGR00173', 28426),
(28427, 'TIGR04242', NULL, 'nodulat_NodC: chitooligosaccharide synthase NodC', 395, NULL, 'TIGR04242', 28427),
(28428, 'TIGR02152', NULL, 'D_ribokin_bact: ribokinase', 298, NULL, 'TIGR02152', 28428),
(28429, 'TIGR02263', NULL, 'benz_CoA_red_C: benzoyl-CoA reductase, subunit C', 380, NULL, 'TIGR02263', 28429),
(28430, 'TIGR01777', NULL, 'yfcH: TIGR01777 family protein', 292, NULL, 'TIGR01777', 28430),
(28431, 'TIGR02787', NULL, 'codY_Gpos: GTP-sensing transcriptional pleiotropic repressor CodY', 251, NULL, 'TIGR02787', 28431),
(28432, 'TIGR00665', NULL, 'DnaB: replicative DNA helicase', 435, NULL, 'TIGR00665', 28432),
(28433, 'TIGR03867', NULL, 'MprA_tail: MprA protease C-terminal rhombosortase-interaction domain', 27, NULL, 'TIGR03867', 28433),
(28434, 'TIGR00697', NULL, 'TIGR00697: conserved hypothetical integral membrane protein', 201, NULL, 'TIGR00697', 28434),
(28435, 'TIGR04183', NULL, 'Por_Secre_tail: Por secretion system C-terminal sorting domain', 72, NULL, 'TIGR04183', 28435),
(28436, 'TIGR00232', NULL, 'tktlase_bact: transketolase', 654, NULL, 'TIGR00232', 28436),
(28437, 'TIGR00062', NULL, 'L27: ribosomal protein bL27', 83, NULL, 'TIGR00062', 28437),
(28438, 'TIGR02322', NULL, 'phosphon_PhnN: phosphonate metabolism protein/1,5-bisphosphokinase (PRPP-forming) PhnN', 179, NULL, 'TIGR02322', 28438);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28439, 'TIGR04353', NULL, 'PqqD_rel_X: PqqD family protein, HPr-rel-A system', 74, NULL, 'TIGR04353', 28439),
(28440, 'TIGR01947', NULL, 'rnfG: electron transport complex, RnfABCDGE type, G subunit', 187, NULL, 'TIGR01947', 28440),
(28441, 'TIGR04412', NULL, 'T2SS_GspM_XcpZ: type II secretion system protein M', 126, NULL, 'TIGR04412', 28441),
(28442, 'TIGR02093', NULL, 'P_ylase: glycogen/starch/alpha-glucan phosphorylases', 804, NULL, 'TIGR02093', 28442),
(28443, 'TIGR04081', NULL, 'selen_ocin: radical SAM modification target peptide, selenobiotic family', 37, NULL, 'TIGR04081', 28443),
(28444, 'TIGR01906', NULL, 'integ_TIGR01906: integral membrane protein TIGR01906', 207, NULL, 'TIGR01906', 28444),
(28445, 'TIGR00384', NULL, 'dhsB: succinate dehydrogenase and fumarate reductase iron-sulfur protein', 222, NULL, 'TIGR00384', 28445),
(28446, 'TIGR03062', NULL, 'pip_yhgE_Cterm: YhgE/Pip C-terminal domain', 208, NULL, 'TIGR03062', 28446),
(28447, 'TIGR03926', NULL, 'T7_EssB: type VII secretion protein EssB', 377, NULL, 'TIGR03926', 28447),
(28448, 'TIGR03443', NULL, 'alpha_am_amid: L-aminoadipate-semialdehyde dehydrogenase', 1390, NULL, 'TIGR03443', 28448),
(28449, 'TIGR00835', NULL, 'agcS: amino acid carrier protein', 424, NULL, 'TIGR00835', 28449),
(28450, 'TIGR02957', NULL, 'SigX4: RNA polymerase sigma-70 factor, TIGR02957 family', 281, NULL, 'TIGR02957', 28450),
(28451, 'TIGR02424', NULL, 'TF_pcaQ: pca operon transcription factor PcaQ', 300, NULL, 'TIGR02424', 28451),
(28452, 'TIGR04564', NULL, 'Synergist_CTERM: Synergist-CTERM protein sorting domain', 27, NULL, 'TIGR04564', 28452),
(28453, 'TIGR00071', NULL, 'hisT_truA: tRNA pseudouridine(38-40) synthase', 228, NULL, 'TIGR00071', 28453),
(28454, 'TIGR02857', NULL, 'CydD: thiol reductant ABC exporter, CydD subunit', 529, NULL, 'TIGR02857', 28454),
(28455, 'TIGR02254', NULL, 'YjjG/YfnB: noncanonical pyrimidine nucleotidase, YjjG family', 223, NULL, 'TIGR02254', 28455),
(28456, 'TIGR03697', NULL, 'NtcA_cyano: global nitrogen regulator NtcA', 193, NULL, 'TIGR03697', 28456),
(28457, 'TIGR00554', NULL, 'panK_bact: pantothenate kinase', 307, NULL, 'TIGR00554', 28457),
(28458, 'TIGR03756', NULL, 'conj_TIGR03756: integrating conjugative element protein, PFL_4710 family', 298, NULL, 'TIGR03756', 28458),
(28459, 'TIGR00200', NULL, 'cinA_nterm: competence/damage-inducible protein CinA N-terminal domain', 414, NULL, 'TIGR00200', 28459),
(28460, 'TIGR01455', NULL, 'glmM: phosphoglucosamine mutase', 442, NULL, 'TIGR01455', 28460),
(28461, 'TIGR02222', NULL, 'chap_CsaA: export-related chaperone protein CsaA', 107, NULL, 'TIGR02222', 28461),
(28462, 'TIGR03232', NULL, 'benzo_1_2_benB: benzoate 1,2-dioxygenase, small subunit', 155, NULL, 'TIGR03232', 28462),
(28463, 'TIGR01625', NULL, 'YidE_YbjL_dupl: AspT/YidE/YbjL antiporter duplication domain', 154, NULL, 'TIGR01625', 28463),
(28464, 'TIGR04283', NULL, 'glyco_like_mftF: transferase 2, rSAM/selenodomain-associated', 221, NULL, 'TIGR04283', 28464),
(28465, 'TIGR02111', NULL, 'PQQ_syn_pqqC: coenzyme PQQ biosynthesis protein C', 239, NULL, 'TIGR02111', 28465),
(28466, 'TIGR02746', NULL, 'TraC-F-type: type-IV secretion system protein TraC', 800, NULL, 'TIGR02746', 28466),
(28467, 'TIGR03384', NULL, 'betaine_BetI: transcriptional repressor BetI', 189, NULL, 'TIGR03384', 28467),
(28468, 'TIGR01736', NULL, 'FGAM_synth_II: phosphoribosylformylglycinamidine synthase II', 718, NULL, 'TIGR01736', 28468),
(28469, 'TIGR03121', NULL, 'one_C_dehyd_A: formylmethanofuran dehydrogenase subunit A', 556, NULL, 'TIGR03121', 28469),
(28470, 'TIGR02687', NULL, 'TIGR02687: TIGR02687 family protein', 844, NULL, 'TIGR02687', 28470),
(28471, 'TIGR03613', NULL, 'RutR: pyrimidine utilization regulatory protein R', 202, NULL, 'TIGR03613', 28471),
(28472, 'TIGR01362', NULL, 'KDO8P_synth: 3-deoxy-8-phosphooctulonate synthase', 258, NULL, 'TIGR01362', 28472),
(28473, 'TIGR00928', NULL, 'purB: adenylosuccinate lyase', 436, NULL, 'TIGR00928', 28473);           
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28474, 'TIGR01192', NULL, 'chvA: glucan exporter ATP-binding protein', 585, NULL, 'TIGR01192', 28474),
(28475, 'TIGR04394', NULL, 'choline_CutC: choline trimethylamine-lyase', 789, NULL, 'TIGR04394', 28475),
(28476, 'TIGR02052', NULL, 'MerP: mercuric transport protein periplasmic component', 92, NULL, 'TIGR02052', 28476),
(28477, 'TIGR03724', NULL, 'arch_bud32: Kae1-associated kinase Bud32', 199, NULL, 'TIGR03724', 28477),
(28478, 'TIGR04453', NULL, 'Lepto_8Cys: Cys-rich protein, LA_1312 family', 85, NULL, 'TIGR04453', 28478),
(28479, 'TIGR01997', NULL, 'sufA_proteo: FeS assembly scaffold SufA', 107, NULL, 'TIGR01997', 28479),
(28480, 'TIGR02966', NULL, 'phoR_proteo: phosphate regulon sensor kinase PhoR', 333, NULL, 'TIGR02966', 28480),
(28481, 'TIGR03021', NULL, 'pilP_fam: type IV pilus biogenesis protein PilP', 119, NULL, 'TIGR03021', 28481),
(28482, 'TIGR01414', NULL, 'autotrans_barl: outer membrane autotransporter barrel domain', 432, NULL, 'TIGR01414', 28482),
(28483, 'TIGR03935', NULL, 'fragilysin: fragilysin', 386, NULL, 'TIGR03935', 28483),
(28484, 'TIGR00876', NULL, 'tal_mycobact: transaldolase', 350, NULL, 'TIGR00876', 28484),
(28485, 'TIGR00411', NULL, 'redox_disulf_1: redox-active disulfide protein 1', 82, NULL, 'TIGR00411', 28485),
(28486, 'TIGR03109', NULL, 'exosortase_1: exosortase A', 267, NULL, 'TIGR03109', 28486),
(28487, 'TIGR03817', NULL, 'DECH_helic: helicase/secretion neighborhood putative DEAH-box helicase', 742, NULL, 'TIGR03817', 28487),
(28488, 'TIGR01396', NULL, 'FlgB: flagellar basal-body rod protein FlgB', 131, NULL, 'TIGR01396', 28488),
(28489, 'TIGR03656', NULL, 'IsdC: heme uptake protein IsdC', 219, NULL, 'TIGR03656', 28489),
(28490, 'TIGR01532', NULL, 'E4PD_g-proteo: erythrose-4-phosphate dehydrogenase', 325, NULL, 'TIGR01532', 28490),
(28491, 'TIGR04174', NULL, 'IPTL_CTERM: IPTL-CTERM protein sorting domain', 27, NULL, 'TIGR04174', 28491),
(28492, 'TIGR01566', NULL, 'ZF_HD_prot_N: ZF-HD homeobox protein Cys/His-rich dimerization domain', 53, NULL, 'TIGR01566', 28492),
(28493, 'TIGR00241', NULL, 'CoA_E_activ: putative CoA-substrate-specific enzyme activase', 248, NULL, 'TIGR00241', 28493),
(28494, 'TIGR00597', NULL, 'rad10: DNA repair protein rad10', 112, NULL, 'TIGR00597', 28494),
(28495, 'TIGR02501', NULL, 'type_III_yscE: type III secretion system protein, YseE family', 67, NULL, 'TIGR02501', 28495),
(28496, 'TIGR00724', NULL, 'urea_amlyse_rel: biotin-dependent carboxylase uncharacterized domain', 315, NULL, 'TIGR00724', 28496),
(28497, 'TIGR01879', NULL, 'hydantase: amidase, hydantoinase/carbamoylase family', 401, NULL, 'TIGR01879', 28497),
(28498, 'TIGR03486', NULL, 'cas_csx13_C: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype, C-terminal region', 152, NULL, 'TIGR03486', 28498),
(28499, 'TIGR01101', NULL, 'V_ATP_synt_F: V-type ATPase, F subunit', 121, NULL, 'TIGR01101', 28499),
(28500, 'TIGR02331', NULL, 'rib_alpha: Rib/alpha/Esp surface antigen repeat', 80, NULL, 'TIGR02331', 28500),
(28501, 'TIGR00595', NULL, 'priA: primosomal protein N''', 509, NULL, 'TIGR00595', 28501),
(28502, 'TIGR02685', NULL, 'pter_reduc_Leis: pteridine reductase', 267, NULL, 'TIGR02685', 28502),
(28503, 'TIGR04285', NULL, 'nucleoid_noc: nucleoid occlusion protein', 255, NULL, 'TIGR04285', 28503),
(28504, 'TIGR00130', NULL, 'frhD: coenzyme F420-reducing hydrogenase, FrhD protein', 153, NULL, 'TIGR00130', 28504),
(28505, 'TIGR01285', NULL, 'nifN: nitrogenase molybdenum-iron cofactor biosynthesis protein NifN', 433, NULL, 'TIGR01285', 28505),
(28506, 'TIGR02220', NULL, 'phg_TIGR02220: phage conserved hypothetical protein, C-terminal domain', 77, NULL, 'TIGR02220', 28506),
(28507, 'TIGR03130', NULL, 'malonate_delta: malonate decarboxylase acyl carrier protein', 98, NULL, 'TIGR03130', 28507),
(28508, 'TIGR03654', NULL, 'L6_bact: ribosomal protein uL6', 175, NULL, 'TIGR03654', 28508),
(28509, 'TIGR03300', NULL, 'assembly_YfgL: outer membrane assembly lipoprotein YfgL', 377, NULL, 'TIGR03300', 28509);
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28510, 'TIGR03375', NULL, 'type_I_sec_LssB: type I secretion system ATPase', 696, NULL, 'TIGR03375', 28510),
(28511, 'TIGR04455', NULL, 'lipo_MXAN_6521: probable lipoprotein, LA_1396/MXAN_6521 family', 192, NULL, 'TIGR04455', 28511),
(28512, 'TIGR02050', NULL, 'gshA_cyan_rel: carboxylate-amine ligase, YbdK family', 287, NULL, 'TIGR02050', 28512),
(28513, 'TIGR03647', NULL, 'Na_symport_sm: putative solute:sodium symporter small subunit', 77, NULL, 'TIGR03647', 28513),
(28514, 'TIGR03824', NULL, 'FlgM_jcvi: flagellar biosynthesis anti-sigma factor FlgM', 98, NULL, 'TIGR03824', 28514),
(28515, 'TIGR03765', NULL, 'ICE_PFL_4695: integrating conjugative element protein, PFL_4695 family', 105, NULL, 'TIGR03765', 28515),
(28516, 'TIGR02029', NULL, 'AcsF: magnesium-protoporphyrin IX monomethyl ester aerobic oxidative cyclase', 337, NULL, 'TIGR02029', 28516),
(28517, 'TIGR00937', NULL, '2A51: chromate efflux transporter', 368, NULL, 'TIGR00937', 28517),
(28518, 'TIGR03493', NULL, 'cellullose_BcsF: celllulose biosynthesis operon protein BcsF/YhjT', 62, NULL, 'TIGR03493', 28518),
(28519, 'TIGR03595', NULL, 'Obg_CgtA_exten: Obg family GTPase CgtA, C-terminal extension', 70, NULL, 'TIGR03595', 28519),
(28520, 'TIGR02959', NULL, 'SigZ: RNA polymerase sigma factor, SigZ family', 170, NULL, 'TIGR02959', 28520),
(28521, 'TIGR04514', NULL, 'GWxTD_dom: GWxTD domain', 105, NULL, 'TIGR04514', 28521),
(28522, 'TIGR01804', NULL, 'BADH: betaine-aldehyde dehydrogenase', 467, NULL, 'TIGR01804', 28522),
(28523, 'TIGR03012', NULL, 'sulf_tusD_dsrE: sulfur relay protein TusD/DsrE', 127, NULL, 'TIGR03012', 28523),
(28524, 'TIGR00302', NULL, 'TIGR00302: phosphoribosylformylglycinamidine synthase, purS protein', 80, NULL, 'TIGR00302', 28524),
(28525, 'TIGR01353', NULL, 'dGTP_triPase: putative dGTPase', 389, NULL, 'TIGR01353', 28525),
(28526, 'TIGR04344', NULL, 'ovoA_Nterm: 5-histidylcysteine sulfoxide synthase', 444, NULL, 'TIGR04344', 28526),
(28527, 'TIGR02161', NULL, 'napC_nirT: periplasmic nitrate (or nitrite) reductase c-type cytochrome, NapC/NirT family', 185, NULL, 'TIGR02161', 28527),
(28528, 'TIGR03545', NULL, 'TIGR03545: TIGR03545 family protein', 556, NULL, 'TIGR03545', 28528),
(28529, 'TIGR00767', NULL, 'rho: transcription termination factor Rho', 415, NULL, 'TIGR00767', 28529),
(28530, 'TIGR04462', NULL, 'endura_MppP: enduracididine biosynthesis enzyme MppP', 289, NULL, 'TIGR04462', 28530),
(28531, 'TIGR02855', NULL, 'spore_yabG: sporulation peptidase YabG', 283, NULL, 'TIGR02855', 28531),
(28532, 'TIGR00009', NULL, 'L28: ribosomal protein bL28', 58, NULL, 'TIGR00009', 28532),
(28533, 'TIGR02043', NULL, 'ZntR: Zn(II)-responsive transcriptional regulator', 131, NULL, 'TIGR02043', 28533),
(28534, 'TIGR04292', NULL, 'heavy_Cys_CGP: heavy-Cys/CGP-CTERM domain protein', 381, NULL, 'TIGR04292', 28534),
(28535, 'TIGR01183', NULL, 'ntrB: nitrate ABC transporter, permease protein', 202, NULL, 'TIGR01183', 28535),
(28536, 'TIGR02796', NULL, 'tolQ: protein TolQ', 216, NULL, 'TIGR02796', 28536),
(28537, 'TIGR02213', NULL, 'lolE_release: lipoprotein releasing system, transmembrane protein LolE', 411, NULL, 'TIGR02213', 28537),
(28538, 'TIGR02678', NULL, 'TIGR02678: TIGR02678 family protein', 376, NULL, 'TIGR02678', 28538),
(28539, 'TIGR01523', NULL, 'ATPase-IID_K-Na: potassium/sodium efflux P-type ATPase, fungal-type', 997, NULL, 'TIGR01523', 28539),
(28540, 'TIGR00132', NULL, 'gatA: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, A subunit', 466, NULL, 'TIGR00132', 28540),
(28541, 'TIGR00656', NULL, 'asp_kin_monofn: aspartate kinase, monofunctional class', 407, NULL, 'TIGR00656', 28541),
(28542, 'TIGR01294', NULL, 'P_lamban: phospholamban', 52, NULL, 'TIGR01294', 28542),
(28543, 'TIGR03826', NULL, 'YvyF: flagellar operon protein TIGR03826', 137, NULL, 'TIGR03826', 28543),
(28544, 'TIGR02324', NULL, 'CP_lyasePhnL: phosphonate C-P lyase system protein PhnL', 224, NULL, 'TIGR02324', 28544),
(28545, 'TIGR02848', NULL, 'spore_III_AC: stage III sporulation protein AC', 64, NULL, 'TIGR02848', 28545);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28546, 'TIGR00774', NULL, 'NhaB: Na+/H+ antiporter NhaB', 515, NULL, 'TIGR00774', 28546),
(28547, 'TIGR00486', NULL, 'YbgI_SA1388: dinuclear metal center protein, YbgI/SA1388 family', 250, NULL, 'TIGR00486', 28547),
(28548, 'TIGR01988', NULL, 'Ubi-OHases: ubiquinone biosynthesis hydroxylase, UbiH/UbiF/VisC/COQ6 family', 387, NULL, 'TIGR01988', 28548),
(28549, 'TIGR04181', NULL, 'NHT_00031: aminotransferase, LLPSF_NHT_00031 family', 359, NULL, 'TIGR04181', 28549),
(28550, 'TIGR00021', NULL, 'rpiA: ribose 5-phosphate isomerase A', 218, NULL, 'TIGR00021', 28550),
(28551, 'TIGR01634', NULL, 'tail_P2_I: phage tail protein I', 139, NULL, 'TIGR01634', 28551),
(28552, 'TIGR02789', NULL, 'nickel_nikB: nickel ABC transporter, permease subunit NikB', 314, NULL, 'TIGR02789', 28552),
(28553, 'TIGR03007', NULL, 'pepcterm_ChnLen: polysaccharide chain length determinant protein, PEP-CTERM locus subfamily', 498, NULL, 'TIGR03007', 28553),
(28554, 'TIGR03588', NULL, 'PseC: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine transaminase', 380, NULL, 'TIGR03588', 28554),
(28555, 'TIGR04557', NULL, 'fuse_rel_SoxYZ: quinoprotein dehydrogenase-associated SoxYZ-like carrier', 226, NULL, 'TIGR04557', 28555),
(28556, 'TIGR02467', NULL, 'CbiE: precorrin-6y C5,15-methyltransferase (decarboxylating), CbiE subunit', 204, NULL, 'TIGR02467', 28556),
(28557, 'TIGR00377', NULL, 'ant_ant_sig: anti-anti-sigma factor', 108, NULL, 'TIGR00377', 28557),
(28558, 'TIGR00890', NULL, '2A0111: oxalate/formate antiporter family transporter', 377, NULL, 'TIGR00890', 28558),
(28559, 'TIGR04405', NULL, 'SkfF: sporulation killing factor system integral membrane protein', 472, NULL, 'TIGR04405', 28559),
(28560, 'TIGR00064', NULL, 'ftsY: signal recognition particle-docking protein FtsY', 279, NULL, 'TIGR00064', 28560),
(28561, 'TIGR01498', NULL, 'folK: 2-amino-4-hydroxy-6-hydroxymethyldihydropteridine diphosphokinase', 128, NULL, 'TIGR01498', 28561),
(28562, 'TIGR00944', NULL, '2a6301s04: multicomponent K+:H+antiporter', 463, NULL, 'TIGR00944', 28562),
(28563, 'TIGR00493', NULL, 'clpP: ATP-dependent Clp endopeptidase, proteolytic subunit ClpP', 192, NULL, 'TIGR00493', 28563),
(28564, 'TIGR02583', NULL, 'DevR_archaea: CRISPR-associated protein Cas7/Csa2, subtype I-A/APERN', 284, NULL, 'TIGR02583', 28564),
(28565, 'TIGR01668', NULL, 'YqeG_hyp_ppase: HAD phosphatase, family IIIA', 170, NULL, 'TIGR01668', 28565),
(28566, 'TIGR02002', NULL, 'PTS-II-BC-glcB: PTS system, glucose-specific IIBC component', 502, NULL, 'TIGR02002', 28566),
(28567, 'TIGR01913', NULL, 'bet_lambda: phage recombination protein Bet', 188, NULL, 'TIGR01913', 28567),
(28568, 'TIGR01743', NULL, 'purR_Bsub: pur operon repressor PurR', 268, NULL, 'TIGR01743', 28568),
(28569, 'TIGR00180', NULL, 'parB_part: ParB/RepB/Spo0J family partition protein', 186, NULL, 'TIGR00180', 28569),
(28570, 'TIGR03758', NULL, 'conj_TIGR03758: integrating conjugative element protein, PFL_4701 family', 76, NULL, 'TIGR03758', 28570),
(28571, 'TIGR04235', NULL, 'seadorna_VP4: seadornavirus VP4 protein', 618, NULL, 'TIGR04235', 28571),
(28572, 'TIGR00622', NULL, 'ssl1: transcription factor ssl1', 112, NULL, 'TIGR00622', 28572),
(28573, 'TIGR02270', NULL, 'TIGR02270: conserved hypothetical protein', 410, NULL, 'TIGR02270', 28573),
(28574, 'TIGR02712', NULL, 'urea_carbox: urea carboxylase', 1201, NULL, 'TIGR02712', 28574),
(28575, 'TIGR01203', NULL, 'HGPRTase: hypoxanthine phosphoribosyltransferase', 167, NULL, 'TIGR01203', 28575),
(28576, 'TIGR02637', NULL, 'RhaS: rhamnose ABC transporter, rhamnose-binding protein', 302, NULL, 'TIGR02637', 28576),
(28577, 'TIGR00547', NULL, 'lolA: outer membrane lipoprotein carrier protein LolA', 204, NULL, 'TIGR00547', 28577),
(28578, 'TIGR02807', NULL, 'cas6_cmx6: CRISPR-associated protein Cas6, subtype MYXAN', 197, NULL, 'TIGR02807', 28578),
(28579, 'TIGR03552', NULL, 'F420_cofC: 2-phospho-L-lactate guanylyltransferase', 196, NULL, 'TIGR03552', 28579),
(28580, 'TIGR03123', NULL, 'one_C_unchar_1: probable H4MPT-linked C1 transfer pathway protein', 327, NULL, 'TIGR03123', 28580);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28581, 'TIGR03722', NULL, 'arch_KAE1: universal archaeal protein Kae1', 323, NULL, 'TIGR03722', 28581),
(28582, 'TIGR01033', NULL, 'TIGR01033: DNA-binding regulatory protein, YebC/PmpR family', 238, NULL, 'TIGR01033', 28582),
(28583, 'TIGR03382', NULL, 'GC_trans_RRR: Myxococcales GC_trans_RRR domain', 27, NULL, 'TIGR03382', 28583),
(28584, 'TIGR00118', NULL, 'acolac_lg: acetolactate synthase, large subunit, biosynthetic type', 557, NULL, 'TIGR00118', 28584),
(28585, 'TIGR03048', NULL, 'PS_I_psaC: photosystem I iron-sulfur protein PsaC', 80, NULL, 'TIGR03048', 28585),
(28586, 'TIGR00717', NULL, 'rpsA: ribosomal protein bS1', 516, NULL, 'TIGR00717', 28586),
(28587, 'TIGR00350', NULL, 'lytR_cpsA_psr: cell envelope-related function transcriptional attenuator common domain', 152, NULL, 'TIGR00350', 28587),
(28588, 'TIGR03096', NULL, 'nitroso_cyanin: nitrosocyanin', 135, NULL, 'TIGR03096', 28588),
(28589, 'TIGR02909', NULL, 'spore_YkwD: uncharacterized protein, YkwD family', 127, NULL, 'TIGR02909', 28589),
(28590, 'TIGR04119', NULL, 'CXXX_matur: CXXX repeat peptide maturase', 210, NULL, 'TIGR04119', 28590),
(28591, 'TIGR02079', NULL, 'THD1: threonine dehydratase', 410, NULL, 'TIGR02079', 28591),
(28592, 'TIGR01886', NULL, 'dipeptidase: dipeptidase PepV', 466, NULL, 'TIGR01886', 28592),
(28593, 'TIGR00869', NULL, 'sec62: protein translocation protein, Sec62 family', 232, NULL, 'TIGR00869', 28593),
(28594, 'TIGR02542', NULL, 'T_forsyth_147: TANFOR domain', 145, NULL, 'TIGR02542', 28594),
(28595, 'TIGR04133', NULL, 'rSAM_w_lipo: radical SAM enzyme, rSAM/lipoprotein system', 350, NULL, 'TIGR04133', 28595),
(28596, 'TIGR01573', NULL, 'cas2: CRISPR-associated endonuclease Cas2', 96, NULL, 'TIGR01573', 28596),
(28597, 'TIGR03874', NULL, '4cys_cytochr: c-type cytochrome, methanol metabolism-related', 143, NULL, 'TIGR03874', 28597),
(28598, 'TIGR02426', NULL, 'protocat_pcaB: 3-carboxy-cis,cis-muconate cycloisomerase', 338, NULL, 'TIGR02426', 28598),
(28599, 'TIGR02372', NULL, '4_coum_CoA_lig: 4-coumarate--CoA ligase', 386, NULL, 'TIGR02372', 28599),
(28600, 'TIGR02739', NULL, 'TraF: type-F conjugative transfer system pilin assembly protein TraF', 256, NULL, 'TIGR02739', 28600),
(28601, 'TIGR03928', NULL, 'T7_EssCb_Firm: type VII secretion protein EssC', 1296, NULL, 'TIGR03928', 28601),
(28602, 'TIGR04387', NULL, 'capsid_maj_N4: major capsid protein, N4-gp56 family', 324, NULL, 'TIGR04387', 28602),
(28603, 'TIGR03266', NULL, 'methan_mark_1: putative methanogenesis marker protein 1', 376, NULL, 'TIGR03266', 28603),
(28604, 'TIGR01244', NULL, 'TIGR01244: TIGR01244 family protein', 135, NULL, 'TIGR01244', 28604),
(28605, 'TIGR02249', NULL, 'integrase_gron: integron integrase', 315, NULL, 'TIGR02249', 28605),
(28606, 'TIGR02104', NULL, 'pulA_typeI: pullulanase, type I', 605, NULL, 'TIGR02104', 28606),
(28607, 'TIGR02419', NULL, 'C4_traR_proteo: phage/conjugal plasmid C-4 type zinc finger protein, TraR family', 64, NULL, 'TIGR02419', 28607),
(28608, 'TIGR02753', NULL, 'sodN: superoxide dismutase, Ni', 145, NULL, 'TIGR02753', 28608),
(28609, 'TIGR01081', NULL, 'mpl: UDP-N-acetylmuramate:L-alanyl-gamma-D-glutamyl-meso-diaminopimelate ligase', 448, NULL, 'TIGR01081', 28609),
(28610, 'TIGR01251', NULL, 'ribP_PPkin: ribose-phosphate diphosphokinase', 309, NULL, 'TIGR01251', 28610),
(28611, 'TIGR03606', NULL, 'non_repeat_PQQ: dehydrogenase, PQQ-dependent, s-GDH family', 454, NULL, 'TIGR03606', 28611),
(28612, 'TIGR01074', NULL, 'rep: ATP-dependent DNA helicase Rep', 668, NULL, 'TIGR01074', 28612),
(28613, 'TIGR00699', NULL, 'GABAtrns_euk: 4-aminobutyrate aminotransferase', 464, NULL, 'TIGR00699', 28613),
(28614, 'TIGR03436', NULL, 'acidobact_VWFA: VWFA-related Acidobacterial domain', 324, NULL, 'TIGR03436', 28614),
(28615, 'TIGR01421', NULL, 'gluta_reduc_1: glutathione-disulfide reductase', 450, NULL, 'TIGR01421', 28615),
(28616, 'TIGR02923', NULL, 'AhaC: ATP synthase A1, C subunit', 348, NULL, 'TIGR02923', 28616);        
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28617, 'TIGR00234', NULL, 'tyrS: tyrosine--tRNA ligase', 406, NULL, 'TIGR00234', 28617),
(28618, 'TIGR03089', NULL, 'TIGR03089: TIGR03089 family protein', 227, NULL, 'TIGR03089', 28618),
(28619, 'TIGR01019', NULL, 'sucCoAalpha: succinate-CoA ligase, alpha subunit', 286, NULL, 'TIGR01019', 28619),
(28620, 'TIGR03055', NULL, 'photo_alph_chp2: putative photosynthetic complex assembly protein 2', 245, NULL, 'TIGR03055', 28620),
(28621, 'TIGR00445', NULL, 'mraY: phospho-N-acetylmuramoyl-pentapeptide-transferase', 321, NULL, 'TIGR00445', 28621),
(28622, 'TIGR03504', NULL, 'FimV_Cterm: FimV C-terminal domain', 44, NULL, 'TIGR03504', 28622),
(28623, 'TIGR01845', NULL, 'outer_NodT: efflux transporter, outer membrane factor (OMF) lipoprotein, NodT family', 460, NULL, 'TIGR01845', 28623),
(28624, 'TIGR03450', NULL, 'mycothiol_INO1: inositol 1-phosphate synthase', 355, NULL, 'TIGR03450', 28624),
(28625, 'TIGR02930', NULL, 'vnfG_nitrog: V-containing nitrogenase, delta subunit', 109, NULL, 'TIGR02930', 28625),
(28626, 'TIGR00166', NULL, 'S6: ribosomal protein bS6', 95, NULL, 'TIGR00166', 28626),
(28627, 'TIGR02814', NULL, 'pfaD_fam: PfaD family protein', 444, NULL, 'TIGR02814', 28627),
(28628, 'TIGR04303', NULL, 'GeoRSP_rSAM: GeoRSP system radical SAM/SPASM protein', 325, NULL, 'TIGR04303', 28628),
(28629, 'TIGR02760', NULL, 'TraI_TIGR: conjugative transfer relaxase protein TraI', 1960, NULL, 'TIGR02760', 28629),
(28630, 'TIGR03969', NULL, 'mycofactocin: mycofactocin precursor', 23, NULL, 'TIGR03969', 28630),
(28631, 'TIGR00615', NULL, 'recR: recombination protein RecR', 196, NULL, 'TIGR00615', 28631),
(28632, 'TIGR03620', NULL, 'F420_MSMEG_4141: probable F420-dependent oxidoreductase, MSMEG_4141 family', 280, NULL, 'TIGR03620', 28632),
(28633, 'TIGR01675', NULL, 'plant-AP: plant acid phosphatase', 229, NULL, 'TIGR01675', 28633),
(28634, 'TIGR02705', NULL, 'nudix_YtkD: nucleoside triphosphatase YtkD', 156, NULL, 'TIGR02705', 28634),
(28635, 'TIGR00520', NULL, 'asnASE_II: L-asparaginase, type II', 352, NULL, 'TIGR00520', 28635),
(28636, 'TIGR02590', NULL, 'cas_Csh2: CRISPR-associated protein Cas7/Csh2, subtype I-B/HMARI', 286, NULL, 'TIGR02590', 28636),
(28637, 'TIGR03225', NULL, 'benzo_boxB: benzoyl-CoA oxygenase, B subunit', 471, NULL, 'TIGR03225', 28637),
(28638, 'TIGR01682', NULL, 'moaD: molybdopterin converting factor, subunit 1', 80, NULL, 'TIGR01682', 28638),
(28639, 'TIGR02195', NULL, 'heptsyl_trn_II: lipopolysaccharide heptosyltransferase II', 339, NULL, 'TIGR02195', 28639),
(28640, 'TIGR01040', NULL, 'V-ATPase_V1_B: V-type ATPase, B subunit', 467, NULL, 'TIGR01040', 28640),
(28641, 'TIGR01128', NULL, 'holA: DNA polymerase III, delta subunit', 314, NULL, 'TIGR01128', 28641),
(28642, 'TIGR04310', NULL, 'pantocin_A_pre: pantocin A family RiPP', 29, NULL, 'TIGR04310', 28642),
(28643, 'TIGR00992', NULL, '3a0901s03IAP75: chloroplast envelope protein translocase, IAP75 family', 718, NULL, 'TIGR00992', 28643),
(28644, 'TIGR01210', NULL, 'TIGR01210: radical SAM enzyme, TIGR01210 family', 313, NULL, 'TIGR01210', 28644),
(28645, 'TIGR03218', NULL, 'catechol_dmpH: 4-oxalocrotonate decarboxylase', 263, NULL, 'TIGR03218', 28645),
(28646, 'TIGR01135', NULL, 'glmS: glutamine-fructose-6-phosphate transaminase (isomerizing)', 607, NULL, 'TIGR01135', 28646),
(28647, 'TIGR03280', NULL, 'methan_mark_11: methanogenesis imperfect marker protein 11', 292, NULL, 'TIGR03280', 28647),
(28648, 'TIGR02365', NULL, 'dha_L_ycgS: dihydroxyacetone kinase, L subunit', 196, NULL, 'TIGR02365', 28648),
(28649, 'TIGR00275', NULL, 'TIGR00275: flavoprotein, HI0933 family', 401, NULL, 'TIGR00275', 28649),
(28650, 'TIGR04140', NULL, 'chp_AF_0576: TIGR04140 family protein', 66, NULL, 'TIGR04140', 28650),
(28651, 'TIGR01305', NULL, 'GMP_reduct_1: guanosine monophosphate reductase', 343, NULL, 'TIGR01305', 28651),
(28652, 'TIGR02535', NULL, 'hyp_Hser_kinase: proposed homoserine kinase', 397, NULL, 'TIGR02535', 28652),
(28653, 'TIGR02474', NULL, 'pec_lyase: pectate lyase', 295, NULL, 'TIGR02474', 28653);      
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28654, 'TIGR03976', NULL, 'chp_LLNDYxLRE: His-Xaa-Ser system protein HxsD', 90, NULL, 'TIGR03976', 28654),
(28655, 'TIGR02821', NULL, 'fghA_ester_D: S-formylglutathione hydrolase', 275, NULL, 'TIGR02821', 28655),
(28656, 'TIGR02528', NULL, 'EutP: ethanolamine utilization protein, EutP', 142, NULL, 'TIGR02528', 28656),
(28657, 'TIGR04031', NULL, 'Htur_1727_fam: rSAM-partnered protein, Htur_1727 family', 71, NULL, 'TIGR04031', 28657),
(28658, 'TIGR04496', NULL, 'rSAM_XyeB: radical SAM/SPASM domain peptide maturase, XyeB family', 385, NULL, 'TIGR04496', 28658),
(28659, 'TIGR00452', NULL, 'TIGR00452: tRNA (mo5U34)-methyltransferase', 316, NULL, 'TIGR00452', 28659),
(28660, 'TIGR00985', NULL, '3a0801s04tom: mitochondrial import receptor subunit', 148, NULL, 'TIGR00985', 28660),
(28661, 'TIGR00282', NULL, 'TIGR00282: metallophosphoesterase, MG_246/BB_0505 family', 266, NULL, 'TIGR00282', 28661),
(28662, 'TIGR01784', NULL, 'T_den_put_tspse: conserved hypothetical protein', 273, NULL, 'TIGR01784', 28662),
(28663, 'TIGR00336', NULL, 'pyrE: orotate phosphoribosyltransferase', 173, NULL, 'TIGR00336', 28663),
(28664, 'TIGR01838', NULL, 'PHA_synth_I: poly(R)-hydroxyalkanoic acid synthase, class I', 532, NULL, 'TIGR01838', 28664),
(28665, 'TIGR01954', NULL, 'nusA_Cterm_rpt: transcription termination factor NusA, C-terminal duplication', 50, NULL, 'TIGR01954', 28665),
(28666, 'TIGR04017', NULL, 'WcaA: colanic acid biosynthesis glycosyltransferase WcaA', 279, NULL, 'TIGR04017', 28666),
(28667, 'TIGR03327', NULL, 'AMP_phos: AMP phosphorylase', 500, NULL, 'TIGR03327', 28667),
(28668, 'TIGR01026', NULL, 'fliI_yscN: ATPase, FliI/YscN family', 440, NULL, 'TIGR01026', 28668),
(28669, 'TIGR01142', NULL, 'purT: phosphoribosylglycinamide formyltransferase 2', 380, NULL, 'TIGR01142', 28669),
(28670, 'TIGR03990', NULL, 'Arch_GlmM: phosphoglucosamine mutase', 444, NULL, 'TIGR03990', 28670),
(28671, 'TIGR02297', NULL, 'HpaA: 4-hydroxyphenylacetate catabolism regulatory protein HpaA', 287, NULL, 'TIGR02297', 28671),
(28672, 'TIGR02651', NULL, 'RNase_Z: ribonuclease Z', 302, NULL, 'TIGR02651', 28672),
(28673, 'TIGR04201', NULL, 'Myxo_Cys_RPT: Cys-rich repeat, Myxococcales-type', 22, NULL, 'TIGR04201', 28673),
(28674, 'TIGR02644', NULL, 'Y_phosphoryl: pyrimidine-nucleoside phosphorylase', 417, NULL, 'TIGR02644', 28674),
(28675, 'TIGR03799', NULL, 'NOD_PanD_pyr: putative pyridoxal-dependent aspartate 1-decarboxylase', 522, NULL, 'TIGR03799', 28675),
(28676, 'TIGR03171', NULL, 'soxL2: Rieske iron-sulfur protein SoxL2', 321, NULL, 'TIGR03171', 28676),
(28677, 'TIGR03334', NULL, 'IOR_beta: indolepyruvate ferredoxin oxidoreductase, beta subunit', 189, NULL, 'TIGR03334', 28677),
(28678, 'TIGR01961', NULL, 'NuoC_fam: NADH (or F420H2) dehydrogenase, subunit C', 122, NULL, 'TIGR01961', 28678),
(28679, 'TIGR04489', NULL, 'exosort_XrtO: exosortase O', 451, NULL, 'TIGR04489', 28679),
(28680, 'TIGR03164', NULL, 'UHCUDC: OHCU decarboxylase', 157, NULL, 'TIGR03164', 28680),
(28681, 'TIGR00506', NULL, 'ribB: 3,4-dihydroxy-2-butanone-4-phosphate synthase', 204, NULL, 'TIGR00506', 28681),
(28682, 'TIGR00159', NULL, 'TIGR00159: TIGR00159 family protein', 254, NULL, 'TIGR00159', 28682),
(28683, 'TIGR01791', NULL, 'CM_archaeal: chorismate mutase', 83, NULL, 'TIGR01791', 28683),
(28684, 'TIGR03341', NULL, 'YhgI_GntY: IscR-regulated protein YhgI', 190, NULL, 'TIGR03341', 28684),
(28685, 'TIGR02481', NULL, 'hemeryth_dom: hemerythrin-like metal-binding domain', 126, NULL, 'TIGR02481', 28685),
(28686, 'TIGR00329', NULL, 'gcp_kae1: metallohydrolase, glycoprotease/Kae1 family', 305, NULL, 'TIGR00329', 28686),
(28687, 'TIGR04024', NULL, 'F420_NP1902A: coenzyme F420-dependent oxidoreductase, NP1902A family', 330, NULL, 'TIGR04024', 28687),
(28688, 'TIGR03511', NULL, 'GldH_lipo: gliding motility-associated lipoprotein GldH', 155, NULL, 'TIGR03511', 28688),
(28689, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', 28689),
(28690, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', 28690);            
INSERT INTO PUBLIC.MODEL(ID, ACCESSION, DEFINITION_FIRST_CHUNK, DESCRIPTION_FIRST_CHUNK, MODEL_LENGTH, MD5, MODEL_NAME, SIGNATURE_ID) VALUES
(28691, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', 28691),
(28692, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', 28692),
(28693, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', 28693),
(28694, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', 28694);           
CREATE INDEX PUBLIC.MODEL_AC_IDX ON PUBLIC.MODEL(ACCESSION);   
CREATE INDEX PUBLIC.MODEL_NAME_IDX ON PUBLIC.MODEL(MODEL_NAME);
CREATE INDEX PUBLIC.MODEL_MD5_IDX ON PUBLIC.MODEL(MD5);        
CREATE CACHED TABLE PUBLIC.MODEL_DEFINITION_CHUNK(
    MODEL_ID BIGINT NOT NULL,
    DEFINITION_CHUNK VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);       
ALTER TABLE PUBLIC.MODEL_DEFINITION_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_92 PRIMARY KEY(MODEL_ID, CHUNK_INDEX);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MODEL_DEFINITION_CHUNK;   
CREATE CACHED TABLE PUBLIC.MODEL_DESCRIPTION_CHUNK(
    MODEL_ID BIGINT NOT NULL,
    DESCRIPTION_CHUNK VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);     
ALTER TABLE PUBLIC.MODEL_DESCRIPTION_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_76 PRIMARY KEY(MODEL_ID, CHUNK_INDEX);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.MODEL_DESCRIPTION_CHUNK;  
CREATE CACHED TABLE PUBLIC.NUCLEOTIDE_SEQUENCE_CHUNK(
    NUCLEOTIDE_SEQUENCE_ID BIGINT NOT NULL,
    SEQUENCE_CHUNKS VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);       
ALTER TABLE PUBLIC.NUCLEOTIDE_SEQUENCE_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_C9 PRIMARY KEY(NUCLEOTIDE_SEQUENCE_ID, CHUNK_INDEX);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NUCLEOTIDE_SEQUENCE_CHUNK;
CREATE CACHED TABLE PUBLIC.NUCLEOTIDE_SEQUENCE(
    ID BIGINT NOT NULL,
    MD5 VARCHAR(32) NOT NULL,
    SEQUENCE_FIRST_CHUNK VARCHAR(4000) NOT NULL
);       
ALTER TABLE PUBLIC.NUCLEOTIDE_SEQUENCE ADD CONSTRAINT PUBLIC.CONSTRAINT_4B PRIMARY KEY(ID);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NUCLEOTIDE_SEQUENCE;      
CREATE CACHED TABLE PUBLIC.NUCLEOTIDE_SEQUENCE_XREF(
    ID BIGINT NOT NULL,
    DATABASE_NAME VARCHAR(255),
    IDENTIFIER VARCHAR(255) NOT NULL,
    NAME VARCHAR(255),
    SEQUENCE_ID BIGINT NOT NULL
);   
ALTER TABLE PUBLIC.NUCLEOTIDE_SEQUENCE_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_48 PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NUCLEOTIDE_SEQUENCE_XREF; 
CREATE INDEX PUBLIC.IDX7LWATP16IYMAUIY0X0U22PJ19 ON PUBLIC.NUCLEOTIDE_SEQUENCE_XREF(IDENTIFIER);               
CREATE CACHED TABLE PUBLIC.OPEN_READING_FRAME(
    ID BIGINT NOT NULL,
    ORF_END INTEGER NOT NULL,
    ORF_START INTEGER NOT NULL,
    STRAND VARCHAR(255) NOT NULL,
    NUCLEOTIDE_SEQUENCE_ID BIGINT NOT NULL,
    PROTEIN_ID BIGINT NOT NULL
);           
ALTER TABLE PUBLIC.OPEN_READING_FRAME ADD CONSTRAINT PUBLIC.CONSTRAINT_47 PRIMARY KEY(ID);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.OPEN_READING_FRAME;       
CREATE CACHED TABLE PUBLIC.PANTHER_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    HMM_BOUNDS VARCHAR(2) NOT NULL,
    HMM_END INTEGER NOT NULL,
    HMM_LENGTH INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL
);  
ALTER TABLE PUBLIC.PANTHER_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_93 PRIMARY KEY(ID);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_LOCATION;         
CREATE CACHED TABLE PUBLIC.PANTHER_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);            
ALTER TABLE PUBLIC.PANTHER_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_E PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_LOCATION_FRAGMENT;
CREATE CACHED TABLE PUBLIC.PANTHER_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    EVALUE DOUBLE,
    FAMILY_NAME VARCHAR(255),
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_LENGTH INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    SCORE DOUBLE
);     
ALTER TABLE PUBLIC.PANTHER_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_F7 PRIMARY KEY(ID);      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_RAW_MATCH;        
CREATE INDEX PUBLIC.PANTHER_RW_SEQ_IDX ON PUBLIC.PANTHER_RAW_MATCH(SEQUENCE_ID);               
CREATE INDEX PUBLIC.PANTHER_RW_NUM_SEQ_IDX ON PUBLIC.PANTHER_RAW_MATCH(NUMERIC_SEQUENCE_ID);   
CREATE INDEX PUBLIC.PANTHER_RW_MODEL_IDX ON PUBLIC.PANTHER_RAW_MATCH(MODEL_ID);
CREATE INDEX PUBLIC.PANTHER_RW_SIGLIB_IDX ON PUBLIC.PANTHER_RAW_MATCH(SIGNATURE_LIBRARY);      
CREATE INDEX PUBLIC.PANTHER_RW_SIGLIB_REL_IDX ON PUBLIC.PANTHER_RAW_MATCH(SIG_LIB_RELEASE);    
CREATE CACHED TABLE PUBLIC.PANTHER_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    FAMILY_NAME VARCHAR(255) NOT NULL,
    SCORE DOUBLE NOT NULL
);         
ALTER TABLE PUBLIC.PANTHER_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_4D PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PANTHER_MATCH;            
CREATE CACHED TABLE PUBLIC.PATHWAY_XREF(
    ID BIGINT NOT NULL,
    DATABASE_NAME VARCHAR(255),
    IDENTIFIER VARCHAR(255) NOT NULL,
    NAME VARCHAR(255)
);
ALTER TABLE PUBLIC.PATHWAY_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_6A PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATHWAY_XREF;             
CREATE INDEX PUBLIC.IDXF7EQ58XO5QEGQBYNS44T7TVI1 ON PUBLIC.PATHWAY_XREF(IDENTIFIER);           
CREATE CACHED TABLE PUBLIC.PATTERN_SCAN_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    CIGAR_ALIGN VARCHAR(255) NOT NULL,
    LOCATION_LEVEL INTEGER NOT NULL
);            
ALTER TABLE PUBLIC.PATTERN_SCAN_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_26 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATTERN_SCAN_LOCATION;    
CREATE CACHED TABLE PUBLIC.PATTERN_SCAN_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);       
ALTER TABLE PUBLIC.PATTERN_SCAN_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_17 PRIMARY KEY(ID);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATTERN_SCAN_LOCATION_FRAGMENT;           
CREATE CACHED TABLE PUBLIC.PATTERN_SCAN_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);  
ALTER TABLE PUBLIC.PATTERN_SCAN_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_6E PRIMARY KEY(ID);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PATTERN_SCAN_MATCH;       
CREATE CACHED TABLE PUBLIC.PFAM_HMMER3_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    DOMAIN_BIAS DOUBLE NOT NULL,
    DOMAIN_CE_VALUE DOUBLE NOT NULL,
    DOMAIN_IE_VALUE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    EXPECTED_ACCURACY DOUBLE NOT NULL,
    FULL_SEQUENCE_BIAS DOUBLE NOT NULL,
    SPLIT_GROUP BINARY
);        
ALTER TABLE PUBLIC.PFAM_HMMER3_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_84 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PFAM_HMMER3_RAW_MATCH;    
CREATE INDEX PUBLIC.PFAM_RW_SEQ_IDX ON PUBLIC.PFAM_HMMER3_RAW_MATCH(SEQUENCE_ID);              
CREATE INDEX PUBLIC.PFAM_RW_NUM_SEQ_IDX ON PUBLIC.PFAM_HMMER3_RAW_MATCH(NUMERIC_SEQUENCE_ID);  
CREATE INDEX PUBLIC.PFAM_RW_MODEL_IDX ON PUBLIC.PFAM_HMMER3_RAW_MATCH(MODEL_ID);               
CREATE INDEX PUBLIC.PFAM_RW_SIGLIB_IDX ON PUBLIC.PFAM_HMMER3_RAW_MATCH(SIGNATURE_LIBRARY);     
CREATE INDEX PUBLIC.PFAM_RW_SIGLIB_REL_IDX ON PUBLIC.PFAM_HMMER3_RAW_MATCH(SIG_LIB_RELEASE);   
CREATE CACHED TABLE PUBLIC.PHOBIUS_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL
);             
ALTER TABLE PUBLIC.PHOBIUS_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_6F4 PRIMARY KEY(ID);      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PHOBIUS_LOCATION;         
CREATE CACHED TABLE PUBLIC.PHOBIUS_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);            
ALTER TABLE PUBLIC.PHOBIUS_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_F78 PRIMARY KEY(ID);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PHOBIUS_LOCATION_FRAGMENT;
CREATE CACHED TABLE PUBLIC.PHOBIUS_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);       
ALTER TABLE PUBLIC.PHOBIUS_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_32 PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PHOBIUS_MATCH;            
CREATE CACHED TABLE PUBLIC.PIRSF_HMMER2_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    LOCATION_EVALUE DOUBLE
);     
ALTER TABLE PUBLIC.PIRSF_HMMER2_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_931 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PIRSF_HMMER2_RAW_MATCH;   
CREATE INDEX PUBLIC.PIRSF2_RW_SEQ_IDX ON PUBLIC.PIRSF_HMMER2_RAW_MATCH(SEQUENCE_ID);           
CREATE INDEX PUBLIC.PIRSF2_RW_NUM_SEQ_IDX ON PUBLIC.PIRSF_HMMER2_RAW_MATCH(NUMERIC_SEQUENCE_ID);               
CREATE INDEX PUBLIC.PIRSF2_RW_MODEL_IDX ON PUBLIC.PIRSF_HMMER2_RAW_MATCH(MODEL_ID);            
CREATE INDEX PUBLIC.PIRSF2_RW_SIGLIB_IDX ON PUBLIC.PIRSF_HMMER2_RAW_MATCH(SIGNATURE_LIBRARY);  
CREATE INDEX PUBLIC.PIRSF2_RW_SIGLIB_REL_IDX ON PUBLIC.PIRSF_HMMER2_RAW_MATCH(SIG_LIB_RELEASE);
CREATE CACHED TABLE PUBLIC.PIRSF_HMMER3_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    DOMAIN_BIAS DOUBLE NOT NULL,
    DOMAIN_CE_VALUE DOUBLE NOT NULL,
    DOMAIN_IE_VALUE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    EXPECTED_ACCURACY DOUBLE NOT NULL,
    FULL_SEQUENCE_BIAS DOUBLE NOT NULL,
    SPLIT_GROUP BINARY
);       
ALTER TABLE PUBLIC.PIRSF_HMMER3_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_27 PRIMARY KEY(ID); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PIRSF_HMMER3_RAW_MATCH;   
CREATE INDEX PUBLIC.PIRSF3_RW_SEQ_IDX ON PUBLIC.PIRSF_HMMER3_RAW_MATCH(SEQUENCE_ID);           
CREATE INDEX PUBLIC.PIRSF3_RW_NUM_SEQ_IDX ON PUBLIC.PIRSF_HMMER3_RAW_MATCH(NUMERIC_SEQUENCE_ID);               
CREATE INDEX PUBLIC.PIRSF3_RW_MODEL_IDX ON PUBLIC.PIRSF_HMMER3_RAW_MATCH(MODEL_ID);            
CREATE INDEX PUBLIC.PIRSF3_RW_SIGLIB_IDX ON PUBLIC.PIRSF_HMMER3_RAW_MATCH(SIGNATURE_LIBRARY);  
CREATE INDEX PUBLIC.PIRSF3_RW_SIGLIB_REL_IDX ON PUBLIC.PIRSF_HMMER3_RAW_MATCH(SIG_LIB_RELEASE);
CREATE CACHED TABLE PUBLIC.PRINTS_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE,
    GRAPHSCAN VARCHAR(25) NOT NULL,
    MOTIF_COUNT INTEGER,
    MOTIF_NUMBER INTEGER,
    PVALUE DOUBLE,
    SCORE DOUBLE
);            
ALTER TABLE PUBLIC.PRINTS_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_4C PRIMARY KEY(ID);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PRINTS_RAW_MATCH;         
CREATE INDEX PUBLIC.PRINTS_RW_SEQ_IDX ON PUBLIC.PRINTS_RAW_MATCH(SEQUENCE_ID); 
CREATE INDEX PUBLIC.PRINTS_RW_NUM_SEQ_IDX ON PUBLIC.PRINTS_RAW_MATCH(NUMERIC_SEQUENCE_ID);     
CREATE INDEX PUBLIC.PRINTS_RW_MODEL_IDX ON PUBLIC.PRINTS_RAW_MATCH(MODEL_ID);  
CREATE INDEX PUBLIC.PRINTS_RW_SIGLIB_IDX ON PUBLIC.PRINTS_RAW_MATCH(SIGNATURE_LIBRARY);        
CREATE INDEX PUBLIC.PRINTS_RW_SIGLIB_REL_IDX ON PUBLIC.PRINTS_RAW_MATCH(SIG_LIB_RELEASE);      
CREATE CACHED TABLE PUBLIC.PRODOM_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE,
    METHOD_NAME VARCHAR(255),
    NUM_DOMAINS_IN_FAMILY INTEGER,
    SCORE INTEGER,
    SIG_MATCH_LOCATION_END INTEGER,
    SIG_MATCH_LOCATION_START INTEGER,
    SP_ID VARCHAR(255)
);  
ALTER TABLE PUBLIC.PRODOM_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_A2 PRIMARY KEY(ID);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PRODOM_RAW_MATCH;         
CREATE INDEX PUBLIC.PRODOM_RW_SEQ_IDX ON PUBLIC.PRODOM_RAW_MATCH(SEQUENCE_ID); 
CREATE INDEX PUBLIC.PRODOM_RW_NUM_SEQ_IDX ON PUBLIC.PRODOM_RAW_MATCH(NUMERIC_SEQUENCE_ID);     
CREATE INDEX PUBLIC.PRODOM_RW_MODEL_IDX ON PUBLIC.PRODOM_RAW_MATCH(MODEL_ID);  
CREATE INDEX PUBLIC.PRODOM_RW_SIGLIB_IDX ON PUBLIC.PRODOM_RAW_MATCH(SIGNATURE_LIBRARY);        
CREATE INDEX PUBLIC.PRODOM_RW_SIGLIB_REL_IDX ON PUBLIC.PRODOM_RAW_MATCH(SIG_LIB_RELEASE);      
CREATE CACHED TABLE PUBLIC.PROFILE_SCAN_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    CIGAR_ALIGNMENT VARCHAR(4000) NOT NULL,
    SCORE DOUBLE NOT NULL
); 
ALTER TABLE PUBLIC.PROFILE_SCAN_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_94 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROFILE_SCAN_LOCATION;    
CREATE CACHED TABLE PUBLIC.PROFILE_SCAN_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);       
ALTER TABLE PUBLIC.PROFILE_SCAN_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_11 PRIMARY KEY(ID);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROFILE_SCAN_LOCATION_FRAGMENT;           
CREATE CACHED TABLE PUBLIC.PROFILE_SCAN_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);  
ALTER TABLE PUBLIC.PROFILE_SCAN_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_23 PRIMARY KEY(ID);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROFILE_SCAN_MATCH;       
CREATE CACHED TABLE PUBLIC.PROSITE_PAT_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    CIGAR_ALIGNMENT VARCHAR(4000) NOT NULL,
    PATTERN_LEVEL VARCHAR(255) NOT NULL
); 
ALTER TABLE PUBLIC.PROSITE_PAT_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_E0 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROSITE_PAT_RAW_MATCH;    
CREATE INDEX PUBLIC.PROSITE_PAT_RW_SEQ_IDX ON PUBLIC.PROSITE_PAT_RAW_MATCH(SEQUENCE_ID);       
CREATE INDEX PUBLIC.PROSITE_PAT_RW_NUM_SEQ_IDX ON PUBLIC.PROSITE_PAT_RAW_MATCH(NUMERIC_SEQUENCE_ID);           
CREATE INDEX PUBLIC.PROSITE_PAT_RW_MODEL_IDX ON PUBLIC.PROSITE_PAT_RAW_MATCH(MODEL_ID);        
CREATE INDEX PUBLIC.PROSITE_PAT_RW_SIGLIB_IDX ON PUBLIC.PROSITE_PAT_RAW_MATCH(SIGNATURE_LIBRARY);              
CREATE INDEX PUBLIC.PROSITE_PAT_RW_SIGLIB_REL_IDX ON PUBLIC.PROSITE_PAT_RAW_MATCH(SIG_LIB_RELEASE);            
CREATE CACHED TABLE PUBLIC.PROSITE_PROF_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    CIGAR_ALIGNMENT VARCHAR(4000) NOT NULL,
    PF_SCAN_LEVEL VARCHAR(255) NOT NULL,
    SCORE DOUBLE
);              
ALTER TABLE PUBLIC.PROSITE_PROF_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_1D PRIMARY KEY(ID); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROSITE_PROF_RAW_MATCH;   
CREATE INDEX PUBLIC.PRSITE_PROF_RW_SEQ_IDX ON PUBLIC.PROSITE_PROF_RAW_MATCH(SEQUENCE_ID);      
CREATE INDEX PUBLIC.PRSITE_PROF_RW_NUM_SEQ_IDX ON PUBLIC.PROSITE_PROF_RAW_MATCH(NUMERIC_SEQUENCE_ID);          
CREATE INDEX PUBLIC.PRSITE_PROF_RW_MODEL_IDX ON PUBLIC.PROSITE_PROF_RAW_MATCH(MODEL_ID);       
CREATE INDEX PUBLIC.PRSITE_PROF_RW_SIGLIB_IDX ON PUBLIC.PROSITE_PROF_RAW_MATCH(SIGNATURE_LIBRARY);             
CREATE INDEX PUBLIC.PRSITE_PROF_RW_SIGLIB_REL_IDX ON PUBLIC.PROSITE_PROF_RAW_MATCH(SIG_LIB_RELEASE);           
CREATE CACHED TABLE PUBLIC.PROTEIN(
    ID BIGINT NOT NULL,
    MD5 VARCHAR(32) NOT NULL,
    SEQUENCE_FIRST_CHUNK VARCHAR(4000) NOT NULL
);   
ALTER TABLE PUBLIC.PROTEIN ADD CONSTRAINT PUBLIC.CONSTRAINT_186 PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROTEIN;  
CREATE CACHED TABLE PUBLIC.PROTEIN_SEQUENCE_CHUNK(
    PROTEIN_ID BIGINT NOT NULL,
    SEQUENCE_CHUNKS VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);      
ALTER TABLE PUBLIC.PROTEIN_SEQUENCE_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_98 PRIMARY KEY(PROTEIN_ID, CHUNK_INDEX);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROTEIN_SEQUENCE_CHUNK;   
CREATE CACHED TABLE PUBLIC.PROTEIN_XREF(
    ID BIGINT NOT NULL,
    DATABASE_NAME VARCHAR(255),
    IDENTIFIER VARCHAR(255) NOT NULL,
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL
);  
ALTER TABLE PUBLIC.PROTEIN_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_C1 PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PROTEIN_XREF;             
CREATE INDEX PUBLIC.IDXMT3YVUCS4VEIFBJRJ7RI3KGDM ON PUBLIC.PROTEIN_XREF(IDENTIFIER);           
CREATE CACHED TABLE PUBLIC.RELEASE(
    ID BIGINT NOT NULL,
    VERSION VARCHAR(255) NOT NULL
);               
ALTER TABLE PUBLIC.RELEASE ADD CONSTRAINT PUBLIC.CONSTRAINT_6B PRIMARY KEY(ID);
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.RELEASE;  
INSERT INTO PUBLIC.RELEASE(ID, VERSION) VALUES
(1, '84.0');    
CREATE CACHED TABLE PUBLIC.RESIDUE_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    RESIDUE VARCHAR(255) NOT NULL,
    LOC_START INTEGER NOT NULL,
    SITE_ID BIGINT NOT NULL
);           
ALTER TABLE PUBLIC.RESIDUE_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_AF PRIMARY KEY(ID);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RESIDUE_LOCATION;         
CREATE CACHED TABLE PUBLIC.RPSBLAST_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL
);     
ALTER TABLE PUBLIC.RPSBLAST_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_87 PRIMARY KEY(ID);      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_LOCATION;        
CREATE CACHED TABLE PUBLIC.RPSBLAST_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);           
ALTER TABLE PUBLIC.RPSBLAST_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_79 PRIMARY KEY(ID);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_LOCATION_FRAGMENT;               
CREATE CACHED TABLE PUBLIC.RPSBLAST_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);      
ALTER TABLE PUBLIC.RPSBLAST_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_9E PRIMARY KEY(ID);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_MATCH;           
CREATE CACHED TABLE PUBLIC.RPSBLAST_SITE(
    ID BIGINT NOT NULL,
    DESCRIPTION VARCHAR(255),
    NUM_LOCATIONS INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);         
ALTER TABLE PUBLIC.RPSBLAST_SITE ADD CONSTRAINT PUBLIC.CONSTRAINT_2E PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RPSBLAST_SITE;            
CREATE CACHED TABLE PUBLIC.SFLD_HMMER3_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    DOMAIN_BIAS DOUBLE NOT NULL,
    DOMAIN_CE_VALUE DOUBLE NOT NULL,
    DOMAIN_IE_VALUE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    EXPECTED_ACCURACY DOUBLE NOT NULL,
    FULL_SEQUENCE_BIAS DOUBLE NOT NULL,
    SPLIT_GROUP BINARY
);        
ALTER TABLE PUBLIC.SFLD_HMMER3_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_97 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SFLD_HMMER3_RAW_MATCH;    
CREATE INDEX PUBLIC.SFLD_RW_SEQ_IDX ON PUBLIC.SFLD_HMMER3_RAW_MATCH(SEQUENCE_ID);              
CREATE INDEX PUBLIC.SFLD_RW_NUM_SEQ_IDX ON PUBLIC.SFLD_HMMER3_RAW_MATCH(NUMERIC_SEQUENCE_ID);  
CREATE INDEX PUBLIC.SFLD_RW_MODEL_IDX ON PUBLIC.SFLD_HMMER3_RAW_MATCH(MODEL_ID);               
CREATE INDEX PUBLIC.SFLD_RW_SIGLIB_IDX ON PUBLIC.SFLD_HMMER3_RAW_MATCH(SIGNATURE_LIBRARY);     
CREATE INDEX PUBLIC.SFLD_RW_SIGLIB_REL_IDX ON PUBLIC.SFLD_HMMER3_RAW_MATCH(SIG_LIB_RELEASE);   
CREATE CACHED TABLE PUBLIC.SFLD_HMMER3_RAW_SITE(
    ID BIGINT NOT NULL,
    FIRST_START INTEGER,
    LAST_END INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    RESIDUES VARCHAR(6000) NOT NULL,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    TITLE VARCHAR(255)
);          
ALTER TABLE PUBLIC.SFLD_HMMER3_RAW_SITE ADD CONSTRAINT PUBLIC.CONSTRAINT_89 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SFLD_HMMER3_RAW_SITE;     
CREATE INDEX PUBLIC.SFLD_RW_S_SEQ_IDX ON PUBLIC.SFLD_HMMER3_RAW_SITE(SEQUENCE_ID);             
CREATE INDEX PUBLIC.SFLD_RW_S_NUM_SEQ_IDX ON PUBLIC.SFLD_HMMER3_RAW_SITE(NUMERIC_SEQUENCE_ID); 
CREATE INDEX PUBLIC.SFLD_RW_S_MODEL_IDX ON PUBLIC.SFLD_HMMER3_RAW_SITE(MODEL_ID);              
CREATE INDEX PUBLIC.SFLD_RW_S_SIGLIB_IDX ON PUBLIC.SFLD_HMMER3_RAW_SITE(SIGNATURE_LIBRARY);    
CREATE INDEX PUBLIC.SFLD_RW_S_SIGLIB_REL_IDX ON PUBLIC.SFLD_HMMER3_RAW_SITE(SIG_LIB_RELEASE);  
CREATE CACHED TABLE PUBLIC.SIGNALP_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    SCORE DOUBLE
);           
ALTER TABLE PUBLIC.SIGNALP_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_36 PRIMARY KEY(ID);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNALP_LOCATION;         
CREATE CACHED TABLE PUBLIC.SIGNALP_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);            
ALTER TABLE PUBLIC.SIGNALP_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_8A PRIMARY KEY(ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNALP_LOCATION_FRAGMENT;
CREATE CACHED TABLE PUBLIC.SIGNALP_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    ORG_TYPE INTEGER
); 
ALTER TABLE PUBLIC.SIGNALP_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_EA PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNALP_MATCH;            
CREATE CACHED TABLE PUBLIC.SIGNATURE(
    ID BIGINT NOT NULL SELECTIVITY 100,
    ABSTRACT_FIRST_CHUNK VARCHAR(4000) SELECTIVITY 1,
    ACCESSION VARCHAR(255) NOT NULL SELECTIVITY 100,
    SIGNATURE_COMMENT VARCHAR(255) SELECTIVITY 1,
    CREATED TIMESTAMP SELECTIVITY 1,
    DESCRIPTION_FIRST_CHUNK VARCHAR(4000) SELECTIVITY 98,
    MD5 VARCHAR(255) SELECTIVITY 1,
    SIG_NAME VARCHAR(4000) SELECTIVITY 95,
    TYPE VARCHAR(255) SELECTIVITY 1,
    UPDATED TIMESTAMP SELECTIVITY 1,
    ENTRY_ID BIGINT SELECTIVITY 1,
    SIGNATURE_LIBRARY_RELEASE_ID BIGINT SELECTIVITY 1
); 
ALTER TABLE PUBLIC.SIGNATURE ADD CONSTRAINT PUBLIC.CONSTRAINT_E6 PRIMARY KEY(ID);              
-- 28694 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE;            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1, NULL, 'Coil', NULL, NULL, NULL, NULL, 'Coil', NULL, NULL, NULL, 1),
(2, NULL, 'mobidb-lite', NULL, NULL, 'consensus disorder prediction', NULL, 'disorder_prediction', NULL, NULL, NULL, 2),
(3, NULL, 'SFLDF00365', NULL, NULL, 'thuricin CD (TrnCD-like)', NULL, 'thuricin_CD_(TrnCD-like)', NULL, NULL, NULL, 3),
(4, NULL, 'SFLDF00430', NULL, NULL, 'OxsB-like', NULL, 'OxsB-like', NULL, NULL, NULL, 3),
(5, NULL, 'SFLDF00315', NULL, NULL, 'antilisterial bacteriocin subtilosin biosynthesis protein (AlbA-like)', NULL, 'antilisterial_bacteriocin_sub', NULL, NULL, NULL, 3),
(6, NULL, 'SFLDF00300', NULL, NULL, '7-carboxy-7-deazaguanine synthase, Cx3CxxC type', NULL, '7-carboxy-7-deazaguanine_synt', NULL, NULL, NULL, 3),
(7, NULL, 'SFLDF00466', NULL, NULL, 'Pyruvoyl-dependent histidine decarboxylase', NULL, 'Pyruvoyl-dependent_histidine_', NULL, NULL, NULL, 3),
(8, NULL, 'SFLDG01200', NULL, NULL, 'SUF1.1', NULL, 'SUF1.1', NULL, NULL, NULL, 3),
(9, NULL, 'SFLDF00421', NULL, NULL, 'avilamycin epimerase', NULL, 'avilamycin_epimerase', NULL, NULL, NULL, 3),
(10, NULL, 'SFLDG01203', NULL, NULL, 'Prostaglandin E synthase like.1', NULL, 'Prostaglandin_E_synthase_like', NULL, NULL, NULL, 3),
(11, NULL, 'SFLDF00162', NULL, NULL, 'galactarate dehydratase 2', NULL, 'galactarate_dehydratase_2', NULL, NULL, NULL, 3),
(12, NULL, 'SFLDS00001', NULL, NULL, 'Enolase', NULL, 'Enolase', NULL, NULL, NULL, 3),
(13, NULL, 'SFLDF00564', NULL, NULL, 'xylonate dehydratase 2', NULL, 'xylonate_dehydratase_2', NULL, NULL, NULL, 3),
(14, NULL, 'SFLDG00363', NULL, NULL, 'AMPS (cytGST): Alpha-, Mu-, Pi-, and Sigma-like', NULL, 'AMPS_(cytGST):_Alpha-,_Mu-,_P', NULL, NULL, NULL, 3),
(15, NULL, 'SFLDF00274', NULL, NULL, 'ribosomal protein S12 methylthiotransferase (RimO-like)', NULL, 'ribosomal_protein_S12_methylt', NULL, NULL, NULL, 3),
(16, NULL, 'SFLDF00552', NULL, NULL, 'xylonate dehydratase 1', NULL, 'xylonate_dehydratase_1', NULL, NULL, NULL, 3),
(17, NULL, 'SFLDG01142', NULL, NULL, 'C2.B.2: Mannosyl-3-phosphoglycerate Phosphatase Like', NULL, 'C2.B.2:_Mannosyl-3-phosphogly', NULL, NULL, NULL, 3),
(18, NULL, 'SFLDF00414', NULL, NULL, 'bacteriochlorophyll C12 methyltransferase', NULL, 'bacteriochlorophyll_C12_methy', NULL, NULL, NULL, 3),
(19, NULL, 'SFLDG01091', NULL, NULL, 'uncharacterized CHP01210-like', NULL, 'uncharacterized_CHP01210-like', NULL, NULL, NULL, 3),
(20, NULL, 'SFLDG01082', NULL, NULL, 'B12-binding domain containing', NULL, 'B12-binding_domain_containing', NULL, NULL, NULL, 3),
(21, NULL, 'SFLDF00111', NULL, NULL, 'L-fuconate dehydratase', NULL, 'L-fuconate_dehydratase', NULL, NULL, NULL, 3),
(22, NULL, 'SFLDF00270', NULL, NULL, 'L-galactonate dehydratase', NULL, 'L-galactonate_dehydratase', NULL, NULL, NULL, 3),
(23, NULL, 'SFLDF00347', NULL, NULL, 'KxxxW cyclic peptide maturase (StrB-like)', NULL, 'KxxxW_cyclic_peptide_maturase', NULL, NULL, NULL, 3),
(24, NULL, 'SFLDF00516', NULL, NULL, 'thurincin H (ThnB-like)', NULL, 'thurincin_H_(ThnB-like)', NULL, NULL, NULL, 3),
(25, NULL, 'SFLDG00055', NULL, NULL, 'glucarate dehydratase', NULL, 'glucarate_dehydratase', NULL, NULL, NULL, 3),
(26, NULL, 'SFLDF00445', NULL, NULL, 'alpha-phosphomannomutase', NULL, 'alpha-phosphomannomutase', NULL, NULL, NULL, 3),
(27, NULL, 'SFLDG01113', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 4', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(28, NULL, 'SFLDF00412', NULL, NULL, 'spore photoproduct lyase 2', NULL, 'spore_photoproduct_lyase_2', NULL, NULL, NULL, 3),
(29, NULL, 'SFLDG00179', NULL, NULL, 'mandelate racemase', NULL, 'mandelate_racemase', NULL, NULL, NULL, 3),
(30, NULL, 'SFLDG01143', NULL, NULL, 'C2.B.3: Phosphomannomutase Like', NULL, 'C2.B.3:_Phosphomannomutase_Li', NULL, NULL, NULL, 3),
(31, NULL, 'SFLDF00379', NULL, NULL, 'Phosphonate metabolism (PhnJ)', NULL, 'Phosphonate_metabolism_(PhnJ)', NULL, NULL, NULL, 3),
(32, NULL, 'SFLDG01123', NULL, NULL, 'methyltransferase (Class B)', NULL, 'methyltransferase_(Class_B)', NULL, NULL, NULL, 3);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(33, NULL, 'SFLDF00348', NULL, NULL, '[FeFe] hydrogenase maturase (HydE-like)', NULL, '[FeFe]_hydrogenase_maturase_(', NULL, NULL, NULL, 3),
(34, NULL, 'SFLDG01604', NULL, NULL, 'Terpene Cyclase Like 1 C Terminal Domain - Enzymatic', NULL, 'Terpene_Cyclase_Like_1_C_Term', NULL, NULL, NULL, 3),
(35, NULL, 'SFLDG01180', NULL, NULL, 'SUF1', NULL, 'SUF1', NULL, NULL, NULL, 3),
(36, NULL, 'SFLDG01104', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 17', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(37, NULL, 'SFLDG01052', NULL, NULL, 'RuBisCO', NULL, 'RuBisCO', NULL, NULL, NULL, 3),
(38, NULL, 'SFLDG01137', NULL, NULL, 'C1.6.1: Phosphoserine Phosphatase Like', NULL, 'C1.6.1:_Phosphoserine_Phospha', NULL, NULL, NULL, 3),
(39, NULL, 'SFLDF00408', NULL, NULL, 'Diphthamide biosynthesis family (Dph2)', NULL, 'Diphthamide_biosynthesis_fami', NULL, NULL, NULL, 3),
(40, NULL, 'SFLDG01063', NULL, NULL, 'activating enzymes, group 1', NULL, 'activating_enzymes,_group_1', NULL, NULL, NULL, 3),
(41, NULL, 'SFLDG01388', NULL, NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase', NULL, '7,8-didemethyl-8-hydroxy-5-de', NULL, NULL, NULL, 3),
(42, NULL, 'SFLDG00151', NULL, NULL, 'methylaspartate ammonia-lyase', NULL, 'methylaspartate_ammonia-lyase', NULL, NULL, NULL, 3),
(43, NULL, 'SFLDF00342', NULL, NULL, 'cyclic dehypoxanthine futalosine synthase (mqnC-like)', NULL, 'cyclic_dehypoxanthine_futalos', NULL, NULL, NULL, 3),
(44, NULL, 'SFLDG01107', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 20', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(45, NULL, 'SFLDF00464', NULL, NULL, 'Ferric/cupric reductase', NULL, 'Ferric/cupric_reductase', NULL, NULL, NULL, 3),
(46, NULL, 'SFLDG01135', NULL, NULL, 'C1.5.6: HAD, Beta-PGM, Phosphatase Like', NULL, 'C1.5.6:_HAD,_Beta-PGM,_Phosph', NULL, NULL, NULL, 3),
(47, NULL, 'SFLDF00438', NULL, NULL, 'pactamycin methyltransferase (PctO-like)', NULL, 'pactamycin_methyltransferase_', NULL, NULL, NULL, 3),
(48, NULL, 'SFLDG01069', NULL, NULL, 'UPF0313', NULL, 'UPF0313', NULL, NULL, NULL, 3),
(49, NULL, 'SFLDG01146', NULL, NULL, 'C1.2.2', NULL, 'C1.2.2', NULL, NULL, NULL, 3),
(50, NULL, 'SFLDF00343', NULL, NULL, 'aminofutalosine synthase (mqnE-like)', NULL, 'aminofutalosine_synthase_(mqn', NULL, NULL, NULL, 3),
(51, NULL, 'SFLDG00010', NULL, NULL, 'C1.8: polynucleotide 5''-hydroxyl-kinase c-terminal phosphatase like', NULL, 'C1.8:_polynucleotide_5''-hydro', NULL, NULL, NULL, 3),
(52, NULL, 'SFLDF00407', NULL, NULL, 'phosphomethylpyrimidine synthase (ThiC)', NULL, 'phosphomethylpyrimidine_synth', NULL, NULL, NULL, 3),
(53, NULL, 'SFLDG01171', NULL, NULL, 'Pyruvoyl-dependent histidine decarboxylase', NULL, 'Pyruvoyl-dependent_histidine_', NULL, NULL, NULL, 3),
(54, NULL, 'SFLDF00158', NULL, NULL, '5-methylthio-D-ribulose 1-phosphate isomerase', NULL, '5-methylthio-D-ribulose_1-pho', NULL, NULL, NULL, 3),
(55, NULL, 'SFLDG01071', NULL, NULL, 'tRNA wybutosine-synthesizing', NULL, 'tRNA_wybutosine-synthesizing', NULL, NULL, NULL, 3),
(56, NULL, 'SFLDG01387', NULL, NULL, 'BtrN-like SPASM domain containing', NULL, 'BtrN-like_SPASM_domain_contai', NULL, NULL, NULL, 3),
(57, NULL, 'SFLDF00553', NULL, NULL, 'galactarolactone cycloisomerase', NULL, 'galactarolactone_cycloisomera', NULL, NULL, NULL, 3),
(58, NULL, 'SFLDF00277', NULL, NULL, 'oxygen-independent coproporphyrinogen-III oxidase 1 (HemN-like)', NULL, 'oxygen-independent_coproporph', NULL, NULL, NULL, 3),
(59, NULL, 'SFLDF00517', NULL, NULL, 'cytosylglucuronate decarboxylase', NULL, 'cytosylglucuronate_decarboxyl', NULL, NULL, NULL, 3),
(60, NULL, 'SFLDF00425', NULL, NULL, 'dTDP-4-amino-4,6-dideoxy-D-glucose ammonia-lyase (DesII-like)', NULL, 'dTDP-4-amino-4,6-dideoxy-D-gl', NULL, NULL, NULL, 3),
(61, NULL, 'SFLDS00033', NULL, NULL, 'Radical SAM Phosphonate Metabolism', NULL, 'Radical_SAM_Phosphonate_Metab', NULL, NULL, NULL, 3),
(62, NULL, 'SFLDF00001', NULL, NULL, 'mannonate dehydratase', NULL, 'mannonate_dehydratase', NULL, NULL, NULL, 3);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(63, NULL, 'SFLDF00557', NULL, NULL, '3,6-anhydro-alpha-L-galactonate cycloisomerase', NULL, '3,6-anhydro-alpha-L-galactona', NULL, NULL, NULL, 3),
(64, NULL, 'SFLDS00057', NULL, NULL, 'Glutaminase/Asparaginase', NULL, 'Glutaminase/Asparaginase', NULL, NULL, NULL, 3),
(65, NULL, 'SFLDF00036', NULL, NULL, 'deoxy-d-mannose-octulosonate 8-phosphate phosphatase', NULL, 'deoxy-d-mannose-octulosonate_', NULL, NULL, NULL, 3),
(66, NULL, 'SFLDG00301', NULL, NULL, 'RuBisCO-like proteins', NULL, 'RuBisCO-like_proteins', NULL, NULL, NULL, 3),
(67, NULL, 'SFLDG01018', NULL, NULL, 'Squalene/Phytoene Synthase Like', NULL, 'Squalene/Phytoene_Synthase_Li', NULL, NULL, NULL, 3),
(68, NULL, 'SFLDG01116', NULL, NULL, 'DesII-like', NULL, 'DesII-like', NULL, NULL, NULL, 3),
(69, NULL, 'SFLDG01100', NULL, NULL, 'methyltransferase (Class D)', NULL, 'methyltransferase_(Class_D)', NULL, NULL, NULL, 3),
(70, NULL, 'SFLDG01201', NULL, NULL, 'SUF2.1', NULL, 'SUF2.1', NULL, NULL, NULL, 3),
(71, NULL, 'SFLDG01140', NULL, NULL, 'C2.B: Phosphomannomutase and Phosphatase Like', NULL, 'C2.B:_Phosphomannomutase_and_', NULL, NULL, NULL, 3),
(72, NULL, 'SFLDG01152', NULL, NULL, 'Main.3: Omega- and Tau-like', NULL, 'Main.3:_Omega-_and_Tau-like_', NULL, NULL, NULL, 3),
(73, NULL, 'SFLDF00043', NULL, NULL, 'sucrose-phosphatase', NULL, 'sucrose-phosphatase', NULL, NULL, NULL, 3),
(74, NULL, 'SFLDG01278', NULL, NULL, 'biotin synthase like', NULL, 'biotin_synthase_like', NULL, NULL, NULL, 3),
(75, NULL, 'SFLDG01084', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 2', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(76, NULL, 'SFLDS00055', NULL, NULL, 'Pyruvoyl-Dependent Histidine/Arginine Decarboxylase', NULL, 'Pyruvoyl-Dependent_Histidine/', NULL, NULL, NULL, 3),
(77, NULL, 'SFLDG01130', NULL, NULL, 'C1.5.1: Epoxide Hydrolase Phosphatase Like', NULL, 'C1.5.1:_Epoxide_Hydrolase_Pho', NULL, NULL, NULL, 3),
(78, NULL, 'SFLDG00180', NULL, NULL, 'muconate cycloisomerase', NULL, 'muconate_cycloisomerase', NULL, NULL, NULL, 3),
(79, NULL, 'SFLDF00302', NULL, NULL, 'anaerobic magnesium-protoporphyrin-IX monomethyl ester cyclase', NULL, 'anaerobic_magnesium-protoporp', NULL, NULL, NULL, 3),
(80, NULL, 'SFLDS00070', NULL, NULL, 'SPOUT Methyltransferase', NULL, 'SPOUT_Methyltransferase', NULL, NULL, NULL, 3),
(81, NULL, 'SFLDF00563', NULL, NULL, 'galactarate dehydratase 3', NULL, 'galactarate_dehydratase_3', NULL, NULL, NULL, 3),
(82, NULL, 'SFLDF00555', NULL, NULL, 'cis-3-hydroxy-L-proline dehydratase', NULL, 'cis-3-hydroxy-L-proline_dehyd', NULL, NULL, NULL, 3),
(83, NULL, 'SFLDF00155', NULL, NULL, 'muconate cycloisomerase (anti)', NULL, 'muconate_cycloisomerase_(anti', NULL, NULL, NULL, 3),
(84, NULL, 'SFLDG01121', NULL, NULL, 'Diphthamide biosynthesis', NULL, 'Diphthamide_biosynthesis', NULL, NULL, NULL, 3),
(85, NULL, 'SFLDF00116', NULL, NULL, 'N-succinylamino acid racemase', NULL, 'N-succinylamino_acid_racemase', NULL, NULL, NULL, 3),
(86, NULL, 'SFLDG01280', NULL, NULL, 'HydE/PylB-like', NULL, 'HydE/PylB-like', NULL, NULL, NULL, 3),
(87, NULL, 'SFLDF00432', NULL, NULL, 'pyrimidine ring methyltransferase (bleomycin-like antibiotic biosynthesis)', NULL, 'pyrimidine_ring_methyltransfe', NULL, NULL, NULL, 3),
(88, NULL, 'SFLDG01217', NULL, NULL, 'B12-binding methylthiotransferase like', NULL, 'B12-binding_methylthiotransfe', NULL, NULL, NULL, 3),
(89, NULL, 'SFLDG01095', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 7', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(90, NULL, 'SFLDF00283', NULL, NULL, 'L-lysine 2,3-aminomutase (LAM-like)', NULL, 'L-lysine_2,3-aminomutase_(LAM', NULL, NULL, NULL, 3),
(91, NULL, 'SFLDF00463', NULL, NULL, 'AIM14', NULL, 'AIM14', NULL, NULL, NULL, 3),
(92, NULL, 'SFLDG01129', NULL, NULL, 'C1.5: HAD, Beta-PGM, Phosphatase Like', NULL, 'C1.5:_HAD,_Beta-PGM,_Phosphat', NULL, NULL, NULL, 3),
(93, NULL, 'SFLDF00385', NULL, NULL, '7,8-dihydro-6-hydroxymethylpterin dimethylase', NULL, '7,8-dihydro-6-hydroxymethylpt', NULL, NULL, NULL, 3);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(94, NULL, 'SFLDF00314', NULL, NULL, 'L-lysine 2,3-aminomutase (yjeK like)', NULL, 'L-lysine_2,3-aminomutase_(yje', NULL, NULL, NULL, 3),
(95, NULL, 'SFLDF00429', NULL, NULL, 'UDP-N-acetyl-tunicamine-uracil synthase (TunB-like)', NULL, 'UDP-N-acetyl-tunicamine-uraci', NULL, NULL, NULL, 3),
(96, NULL, 'SFLDF00045', NULL, NULL, '2-haloacid dehalogenase', NULL, '2-haloacid_dehalogenase', NULL, NULL, NULL, 3),
(97, NULL, 'SFLDG01102', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 15', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(98, NULL, 'SFLDF00272', NULL, NULL, 'biotin synthase', NULL, 'biotin_synthase', NULL, NULL, NULL, 3),
(99, NULL, 'SFLDF00003', NULL, NULL, 'D-galactonate dehydratase', NULL, 'D-galactonate_dehydratase', NULL, NULL, NULL, 3),
(100, NULL, 'SFLDG01127', NULL, NULL, 'C1.3: Acid Phosphatase Like', NULL, 'C1.3:_Acid_Phosphatase_Like', NULL, NULL, NULL, 3),
(101, NULL, 'SFLDG01124', NULL, NULL, 'C0.1: RNA Pol CTD Phosphatase Like', NULL, 'C0.1:_RNA_Pol_CTD_Phosphatase', NULL, NULL, NULL, 3),
(102, NULL, 'SFLDG01058', NULL, NULL, 'lipoyl synthase like', NULL, 'lipoyl_synthase_like', NULL, NULL, NULL, 3),
(103, NULL, 'SFLDG01182', NULL, NULL, 'Prostaglandin E synthase like', NULL, 'Prostaglandin_E_synthase_like', NULL, NULL, NULL, 3),
(104, NULL, 'SFLDF00413', NULL, NULL, 'CDK5RAP1', NULL, 'CDK5RAP1', NULL, NULL, NULL, 3),
(105, NULL, 'SFLDG01061', NULL, NULL, 'methylthiotransferase', NULL, 'methylthiotransferase', NULL, NULL, NULL, 3),
(106, NULL, 'SFLDF00402', NULL, NULL, 'carbapenem intermediate methyltransferase (ThnP-like)', NULL, 'carbapenem_intermediate_methy', NULL, NULL, NULL, 3),
(107, NULL, 'SFLDG01015', NULL, NULL, 'Prenyltransferase Like 1', NULL, 'Prenyltransferase_Like_1', NULL, NULL, NULL, 3),
(108, NULL, 'SFLDF00416', NULL, NULL, 'fortimicin-like methyltransferase', NULL, 'fortimicin-like_methyltransfe', NULL, NULL, NULL, 3),
(109, NULL, 'SFLDF00393', NULL, NULL, 'heme D1 biosynthesis (NirJ-like)', NULL, 'heme_D1_biosynthesis_(NirJ-li', NULL, NULL, NULL, 3),
(110, NULL, 'SFLDF00035', NULL, NULL, 'phosphoglycolate phosphatase', NULL, 'phosphoglycolate_phosphatase', NULL, NULL, NULL, 3),
(111, NULL, 'SFLDF00404', NULL, NULL, 'hopanetetrol cyclitol ether synthase', NULL, 'hopanetetrol_cyclitol_ether_s', NULL, NULL, NULL, 3),
(112, NULL, 'SFLDG01067', NULL, NULL, 'SPASM/twitch domain containing', NULL, 'SPASM/twitch_domain_containin', NULL, NULL, NULL, 3),
(113, NULL, 'SFLDF00349', NULL, NULL, '3-methylornithine synthase (PylB-like)', NULL, '3-methylornithine_synthase_(P', NULL, NULL, NULL, 3),
(114, NULL, 'SFLDF00008', NULL, NULL, 'gluconate dehydratase', NULL, 'gluconate_dehydratase', NULL, NULL, NULL, 3),
(115, NULL, 'SFLDS00003', NULL, NULL, 'Haloacid Dehalogenase', NULL, 'Haloacid_Dehalogenase', NULL, NULL, NULL, 3),
(116, NULL, 'SFLDF00306', NULL, NULL, 'carbapenem intermediate methyltransferase (ThnL-like)', NULL, 'carbapenem_intermediate_methy', NULL, NULL, NULL, 3),
(117, NULL, 'SFLDS00014', NULL, NULL, 'RuBisCO', NULL, 'RuBisCO', NULL, NULL, NULL, 3),
(118, NULL, 'SFLDF00118', NULL, NULL, 'D-tartrate dehydratase', NULL, 'D-tartrate_dehydratase', NULL, NULL, NULL, 3),
(119, NULL, 'SFLDF00336', NULL, NULL, 'quinohemoprotein amine dehydrogenase maturation protein (QhpD-like)', NULL, 'quinohemoprotein_amine_dehydr', NULL, NULL, NULL, 3),
(120, NULL, 'SFLDG01154', NULL, NULL, 'Main.5: Phi-like', NULL, 'Main.5:_Phi-like', NULL, NULL, NULL, 3),
(121, NULL, 'SFLDF00037', NULL, NULL, 'glycerol-3-phosphate phosphatase', NULL, 'glycerol-3-phosphate_phosphat', NULL, NULL, NULL, 3),
(122, NULL, 'SFLDF00392', NULL, NULL, 'YjjI activase', NULL, 'YjjI_activase', NULL, NULL, NULL, 3),
(123, NULL, 'SFLDF00157', NULL, NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase', NULL, '2,3-diketo-5-methylthiopentyl', NULL, NULL, NULL, 3),
(124, NULL, 'SFLDG00178', NULL, NULL, 'enolase', NULL, 'enolase', NULL, NULL, NULL, 3); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(125, NULL, 'SFLDG01144', NULL, NULL, 'C2.B.4: PGP Like', NULL, 'C2.B.4:_PGP_Like', NULL, NULL, NULL, 3),
(126, NULL, 'SFLDF00006', NULL, NULL, 'rhamnonate dehydratase', NULL, 'rhamnonate_dehydratase', NULL, NULL, NULL, 3),
(127, NULL, 'SFLDG01099', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 12', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(128, NULL, 'SFLDF00046', NULL, NULL, 'beta-phosphoglucomutase', NULL, 'beta-phosphoglucomutase', NULL, NULL, NULL, 3),
(129, NULL, 'SFLDG01064', NULL, NULL, 'F420, menaquinone cofactor biosynthesis', NULL, 'F420,_menaquinone_cofactor_bi', NULL, NULL, NULL, 3),
(130, NULL, 'SFLDF00285', NULL, NULL, 'anaerobic Ser-type sulfatase-maturating enzyme', NULL, 'anaerobic_Ser-type_sulfatase-', NULL, NULL, NULL, 3),
(131, NULL, 'SFLDG01205', NULL, NULL, 'AMPS.1', NULL, 'AMPS.1', NULL, NULL, NULL, 3),
(132, NULL, 'SFLDF00042', NULL, NULL, 'mannosyl-3-phosphoglycerate phosphatase', NULL, 'mannosyl-3-phosphoglycerate_p', NULL, NULL, NULL, 3),
(133, NULL, 'SFLDF00276', NULL, NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', NULL, 'cyclic_pyranopterin_phosphate', NULL, NULL, NULL, 3),
(134, NULL, 'SFLDG00002', NULL, NULL, 'C1.7: P-type atpase like', NULL, 'C1.7:_P-type_atpase_like', NULL, NULL, NULL, 3),
(135, NULL, 'SFLDG01114', NULL, NULL, 'phosphomethylpyrimidine synthase (ThiC)', NULL, 'phosphomethylpyrimidine_synth', NULL, NULL, NULL, 3),
(136, NULL, 'SFLDF00545', NULL, NULL, 'cyclopropanase', NULL, 'cyclopropanase', NULL, NULL, NULL, 3),
(137, NULL, 'SFLDG01122', NULL, NULL, 'methyltransferase (class C)', NULL, 'methyltransferase_(class_C)', NULL, NULL, NULL, 3),
(138, NULL, 'SFLDG01110', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 8', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(139, NULL, 'SFLDF00040', NULL, NULL, 'epoxide hydrolase n-terminal phosphatase', NULL, 'epoxide_hydrolase_n-terminal_', NULL, NULL, NULL, 3),
(140, NULL, 'SFLDS00113', NULL, NULL, 'Radical SAM Phosphomethylpyrimidine Synthase', NULL, 'Radical_SAM_Phosphomethylpyri', NULL, NULL, NULL, 3),
(141, NULL, 'SFLDG01060', NULL, NULL, 'BATS domain containing', NULL, 'BATS_domain_containing', NULL, NULL, NULL, 3),
(142, NULL, 'SFLDF00284', NULL, NULL, 'tRNA wybutosine-synthesizing', NULL, 'tRNA_wybutosine-synthesizing', NULL, NULL, NULL, 3),
(143, NULL, 'SFLDF00554', NULL, NULL, 'L-lyxonate dehydratase', NULL, 'L-lyxonate_dehydratase', NULL, NULL, NULL, 3),
(144, NULL, 'SFLDF00542', NULL, NULL, 'alternative heme biosynthesis D (AhbD-like)', NULL, 'alternative_heme_biosynthesis', NULL, NULL, NULL, 3),
(145, NULL, 'SFLDF00562', NULL, NULL, 'HemN-like, clustered with heat shock genes', NULL, 'HemN-like,_clustered_with_hea', NULL, NULL, NULL, 3),
(146, NULL, 'SFLDF00546', NULL, NULL, 'neomycin C-like epimerase', NULL, 'neomycin_C-like_epimerase', NULL, NULL, NULL, 3),
(147, NULL, 'SFLDF00044', NULL, NULL, 'enolase-phosphatase', NULL, 'enolase-phosphatase', NULL, NULL, NULL, 3),
(148, NULL, 'SFLDF00329', NULL, NULL, 'gentamicin-like N-methyltransferase  (GntE-like)', NULL, 'gentamicin-like_N-methyltrans', NULL, NULL, NULL, 3),
(149, NULL, 'SFLDF00423', NULL, NULL, 'chondrochloren A methyltransferase (CndI-like)', NULL, 'chondrochloren_A_methyltransf', NULL, NULL, NULL, 3),
(150, NULL, 'SFLDG01020', NULL, NULL, 'Terpene Cyclase Like 2', NULL, 'Terpene_Cyclase_Like_2', NULL, NULL, NULL, 3),
(151, NULL, 'SFLDF00303', NULL, NULL, 'hopanoid C2-methyltransferase (HpnP-like)', NULL, 'hopanoid_C2-methyltransferase', NULL, NULL, NULL, 3),
(152, NULL, 'SFLDF00419', NULL, NULL, '3-methyl-2-indolic acid synthase (NosL)', NULL, '3-methyl-2-indolic_acid_synth', NULL, NULL, NULL, 3),
(153, NULL, 'SFLDG01081', NULL, NULL, 'cleavage of the Ca-Cb bond in aromatic amino acids', NULL, 'cleavage_of_the_Ca-Cb_bond_in', NULL, NULL, NULL, 3),
(154, NULL, 'SFLDF00439', NULL, NULL, 'methylation of yatakemycin (YTK)', NULL, 'methylation_of_yatakemycin_(Y', NULL, NULL, NULL, 3);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(155, NULL, 'SFLDG01115', NULL, NULL, 'Phosphonate metabolism (PhnJ)', NULL, 'Phosphonate_metabolism_(PhnJ)', NULL, NULL, NULL, 3),
(156, NULL, 'SFLDG01162', NULL, NULL, 'I', NULL, 'I_', NULL, NULL, NULL, 3),
(157, NULL, 'SFLDG01072', NULL, NULL, 'dehydrogenase like', NULL, 'dehydrogenase_like', NULL, NULL, NULL, 3),
(158, NULL, 'SFLDF00009', NULL, NULL, 'o-succinylbenzoate synthase', NULL, 'o-succinylbenzoate_synthase', NULL, NULL, NULL, 3),
(159, NULL, 'SFLDF00344', NULL, NULL, 'ELP3-like', NULL, 'ELP3-like', NULL, NULL, NULL, 3),
(160, NULL, 'SFLDF00417', NULL, NULL, 'gentamicin C-6'' methyltransferase (GenK-like)', NULL, 'gentamicin_C-6''_methyltransfe', NULL, NULL, NULL, 3),
(161, NULL, 'SFLDG00033', NULL, NULL, 'mannonate dehydratase', NULL, 'mannonate_dehydratase', NULL, NULL, NULL, 3),
(162, NULL, 'SFLDF00446', NULL, NULL, 'phosphoglycolate phosphatase 3', NULL, 'phosphoglycolate_phosphatase_', NULL, NULL, NULL, 3),
(163, NULL, 'SFLDG01014', NULL, NULL, 'Terpene Cyclase Like 1 N-term', NULL, 'Terpene_Cyclase_Like_1_N-term', NULL, NULL, NULL, 3),
(164, NULL, 'SFLDG01169', NULL, NULL, 'NADPH oxidase subgroup (NOX)', NULL, 'NADPH_oxidase_subgroup_(NOX)', NULL, NULL, NULL, 3),
(165, NULL, 'SFLDG01141', NULL, NULL, 'C2.B.1: Sucrose Phosphatase Like', NULL, 'C2.B.1:_Sucrose_Phosphatase_L', NULL, NULL, NULL, 3),
(166, NULL, 'SFLDF00290', NULL, NULL, 'glutamate 2,3-aminomutase', NULL, 'glutamate_2,3-aminomutase', NULL, NULL, NULL, 3),
(167, NULL, 'SFLDG01168', NULL, NULL, 'Ferric reductase subgroup (FRE)', NULL, 'Ferric_reductase_subgroup_(FR', NULL, NULL, NULL, 3),
(168, NULL, 'SFLDG01133', NULL, NULL, 'C1.5.4: Enolase-phosphatase Like', NULL, 'C1.5.4:_Enolase-phosphatase_L', NULL, NULL, NULL, 3),
(169, NULL, 'SFLDF00420', NULL, NULL, 'spectinomycin biosynthesis (SpcY-like)', NULL, 'spectinomycin_biosynthesis_(S', NULL, NULL, NULL, 3),
(170, NULL, 'SFLDF00296', NULL, NULL, 'adenosine C8 methyltransferase (Cfr-like)', NULL, 'adenosine_C8_methyltransferas', NULL, NULL, NULL, 3),
(171, NULL, 'SFLDG01019', NULL, NULL, 'Terpene Cyclase Like 1 C Terminal Domain', NULL, 'Terpene_Cyclase_Like_1_C_Term', NULL, NULL, NULL, 3),
(172, NULL, 'SFLDF00301', NULL, NULL, '2-iminoacetate synthase (ThiH)', NULL, '2-iminoacetate_synthase_(ThiH', NULL, NULL, NULL, 3),
(173, NULL, 'SFLDF00298', NULL, NULL, 'glycerol dehydratase activase', NULL, 'glycerol_dehydratase_activase', NULL, NULL, NULL, 3),
(174, NULL, 'SFLDG01216', NULL, NULL, 'thioether bond formation requiring one auxiliary iron-sulfur cluster', NULL, 'thioether_bond_formation_requ', NULL, NULL, NULL, 3),
(175, NULL, 'SFLDF00319', NULL, NULL, '[Fe] hydrogenase maturase (HydG-like)', NULL, '[Fe]_hydrogenase_maturase_(Hy', NULL, NULL, NULL, 3),
(176, NULL, 'SFLDF00434', NULL, NULL, '3-methyl-2-indolic acid methyltransferase (NocN/NosN like)', NULL, '3-methyl-2-indolic_acid_methy', NULL, NULL, NULL, 3),
(177, NULL, 'SFLDF00002', NULL, NULL, 'enolase', NULL, 'enolase', NULL, NULL, NULL, 3),
(178, NULL, 'SFLDF00299', NULL, NULL, 'anaerobic ribonucleoside-triphosphate reductase activase', NULL, 'anaerobic_ribonucleoside-trip', NULL, NULL, NULL, 3),
(179, NULL, 'SFLDF00397', NULL, NULL, 'adenosyl-hopene transferase', NULL, 'adenosyl-hopene_transferase', NULL, NULL, NULL, 3),
(180, NULL, 'SFLDG01145', NULL, NULL, 'C1.2.1', NULL, 'C1.2.1', NULL, NULL, NULL, 3),
(181, NULL, 'SFLDF00316', NULL, NULL, 'C-terminal tyrosine decarboxylase (MftC-like)', NULL, 'C-terminal_tyrosine_decarboxy', NULL, NULL, NULL, 3),
(182, NULL, 'SFLDG01097', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 10', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(183, NULL, 'SFLDF00279', NULL, NULL, '4-hydroxyphenylacetate decarboxylase activase', NULL, '4-hydroxyphenylacetate_decarb', NULL, NULL, NULL, 3),
(184, NULL, 'SFLDG01103', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 16', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(185, NULL, 'SFLDF00271', NULL, NULL, 'lipoyl synthase', NULL, 'lipoyl_synthase', NULL, NULL, NULL, 3),
(186, NULL, 'SFLDF00422', NULL, NULL, 'valine cyclopropanase', NULL, 'valine_cyclopropanase', NULL, NULL, NULL, 3),
(187, NULL, 'SFLDF00289', NULL, NULL, 'anaerobic Cys-type sulfatase-maturating enzyme', NULL, 'anaerobic_Cys-type_sulfatase-', NULL, NULL, NULL, 3),
(188, NULL, 'SFLDF00039', NULL, NULL, 'phosphoglycolate phosphatase 2', NULL, 'phosphoglycolate_phosphatase_', NULL, NULL, NULL, 3),
(189, NULL, 'SFLDF00134', NULL, NULL, 'L-talarate/galactarate dehydratase', NULL, 'L-talarate/galactarate_dehydr', NULL, NULL, NULL, 3),
(190, NULL, 'SFLDF00418', NULL, NULL, 'pactamycin C-methyltransferase (PctN-like)', NULL, 'pactamycin_C-methyltransferas', NULL, NULL, NULL, 3),
(191, NULL, 'SFLDF00435', NULL, NULL, 'carbapenem intermediate methyltransferase (ThnK-like)', NULL, 'carbapenem_intermediate_methy', NULL, NULL, NULL, 3),
(192, NULL, 'SFLDF00156', NULL, NULL, 'D-arabinonate dehydratase', NULL, 'D-arabinonate_dehydratase', NULL, NULL, NULL, 3),
(193, NULL, 'SFLDG01132', NULL, NULL, 'C1.5.3: 5''-Nucleotidase Like', NULL, 'C1.5.3:_5''-Nucleotidase_Like', NULL, NULL, NULL, 3),
(194, NULL, 'SFLDS00029', NULL, NULL, 'Radical SAM', NULL, 'Radical_SAM', NULL, NULL, NULL, 3),
(195, NULL, 'SFLDF00403', NULL, NULL, 'phosphonoacetaldehyde methylase (fom3-like)', NULL, 'phosphonoacetaldehyde_methyla', NULL, NULL, NULL, 3),
(196, NULL, 'SFLDF00307', NULL, NULL, 'bacteriochlorophyll C8 methyltransferase', NULL, 'bacteriochlorophyll_C8_methyl', NULL, NULL, NULL, 3),
(197, NULL, 'SFLDG01212', NULL, NULL, 'Phytoene synthase like', NULL, 'Phytoene_synthase_like', NULL, NULL, NULL, 3),
(198, NULL, 'SFLDF00281', NULL, NULL, 'FeMo cofactor biosynthesis protein (nifB-like)', NULL, 'FeMo_cofactor_biosynthesis_pr', NULL, NULL, NULL, 3),
(199, NULL, 'SFLDG01383', NULL, NULL, 'cyclic pyranopterin phosphate synthase (MoaA-like)', NULL, 'cyclic_pyranopterin_phosphate', NULL, NULL, NULL, 3),
(200, NULL, 'SFLDG01384', NULL, NULL, 'thioether bond formation requiring two auxiliary iron-sulfur clusters', NULL, 'thioether_bond_formation_requ', NULL, NULL, NULL, 3),
(201, NULL, 'SFLDF00471', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase', NULL, 'Pyruvoyl-dependent_arginine_d', NULL, NULL, NULL, 3),
(202, NULL, 'SFLDG01125', NULL, NULL, 'C1.1: Acid Phosphatase Like', NULL, 'C1.1:_Acid_Phosphatase_Like', NULL, NULL, NULL, 3),
(203, NULL, 'SFLDF00028', NULL, NULL, 'histidinol-phosphatase', NULL, 'histidinol-phosphatase', NULL, NULL, NULL, 3),
(204, NULL, 'SFLDS00032', NULL, NULL, 'Radical SAM 3-amino-3-carboxypropyl Radical Forming', NULL, 'Radical_SAM_3-amino-3-carboxy', NULL, NULL, NULL, 3),
(205, NULL, 'SFLDF00424', NULL, NULL, '2-deoxy-scyllo-inosamine dehydrogenase (BtrN-like)', NULL, '2-deoxy-scyllo-inosamine_dehy', NULL, NULL, NULL, 3),
(206, NULL, 'SFLDG01163', NULL, NULL, 'II', NULL, 'II', NULL, NULL, NULL, 3),
(207, NULL, 'SFLDG01062', NULL, NULL, 'methyltransferase (Class A)', NULL, 'methyltransferase_(Class_A)', NULL, NULL, NULL, 3),
(208, NULL, 'SFLDG01153', NULL, NULL, 'Main.4: Theta-like', NULL, 'Main.4:_Theta-like', NULL, NULL, NULL, 3),
(209, NULL, 'SFLDG01131', NULL, NULL, 'C1.5.2: MDP Like', NULL, 'C1.5.2:_MDP_Like', NULL, NULL, NULL, 3),
(210, NULL, 'SFLDG01066', NULL, NULL, 'organic radical-activating enzymes', NULL, 'organic_radical-activating_en', NULL, NULL, NULL, 3),
(211, NULL, 'SFLDG01202', NULL, NULL, 'SUF2.2', NULL, 'SUF2.2', NULL, NULL, NULL, 3),
(212, NULL, 'SFLDS00052', NULL, NULL, 'Ferric Reductase Domain', NULL, 'Ferric_Reductase_Domain', NULL, NULL, NULL, 3),
(213, NULL, 'SFLDF00027', NULL, NULL, 'p-type atpase', NULL, 'p-type_atpase', NULL, NULL, NULL, 3),
(214, NULL, 'SFLDF00330', NULL, NULL, 'HMD cofactor maturase (HmdB-like)', NULL, 'HMD_cofactor_maturase_(HmdB-l', NULL, NULL, NULL, 3),
(215, NULL, 'SFLDF00007', NULL, NULL, 'methylaspartate ammonia-lyase', NULL, 'methylaspartate_ammonia-lyase', NULL, NULL, NULL, 3);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(216, NULL, 'SFLDG01181', NULL, NULL, 'SUF2', NULL, 'SUF2', NULL, NULL, NULL, 3),
(217, NULL, 'SFLDF00038', NULL, NULL, 'phosphonoacetaldehyde hydrolase', NULL, 'phosphonoacetaldehyde_hydrola', NULL, NULL, NULL, 3),
(218, NULL, 'SFLDF00322', NULL, NULL, 'tryptophan 2-C-methyltransferase', NULL, 'tryptophan_2-C-methyltransfer', NULL, NULL, NULL, 3),
(219, NULL, 'SFLDF00280', NULL, NULL, 'coenzyme PQQ synthesis protein E (PqqE-like)', NULL, 'coenzyme_PQQ_synthesis_protei', NULL, NULL, NULL, 3),
(220, NULL, 'SFLDG01109', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 22', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(221, NULL, 'SFLDF00004', NULL, NULL, 'mandelate racemase', NULL, 'mandelate_racemase', NULL, NULL, NULL, 3),
(222, NULL, 'SFLDF00318', NULL, NULL, 'Viperin', NULL, 'Viperin', NULL, NULL, NULL, 3),
(223, NULL, 'SFLDG01021', NULL, NULL, 'Trichodiene Synthase Like', NULL, 'Trichodiene_Synthase_Like', NULL, NULL, NULL, 3),
(224, NULL, 'SFLDF00005', NULL, NULL, 'glucarate dehydratase', NULL, 'glucarate_dehydratase', NULL, NULL, NULL, 3),
(225, NULL, 'SFLDG01118', NULL, NULL, 'activating enzymes, group 2', NULL, 'activating_enzymes,_group_2', NULL, NULL, NULL, 3),
(226, NULL, 'SFLDF00376', NULL, NULL, '7-carboxy-7-deazaguanine synthase, Cx14CxxC type', NULL, '7-carboxy-7-deazaguanine_synt', NULL, NULL, NULL, 3),
(227, NULL, 'SFLDF00543', NULL, NULL, 'alternative heme biosynthesis C (AhbC-like)', NULL, 'alternative_heme_biosynthesis', NULL, NULL, NULL, 3),
(228, NULL, 'SFLDF00565', NULL, NULL, 'hopanoid C3-methyltransferase (HpnR-like)', NULL, 'hopanoid_C3-methyltransferase', NULL, NULL, NULL, 3),
(229, NULL, 'SFLDG01139', NULL, NULL, 'C2.A: Pyridoxal Phosphate Phosphatase Like', NULL, 'C2.A:_Pyridoxal_Phosphate_Pho', NULL, NULL, NULL, 3),
(230, NULL, 'SFLDG01179', NULL, NULL, 'Complement C3/C4 Like', NULL, 'Complement_C3/C4_Like', NULL, NULL, NULL, 3),
(231, NULL, 'SFLDG00358', NULL, NULL, 'Main (cytGST)', NULL, 'Main_(cytGST)', NULL, NULL, NULL, 3),
(232, NULL, 'SFLDG01119', NULL, NULL, 'spectinomycin biosynthesis (SpcY-like)', NULL, 'spectinomycin_biosynthesis_(S', NULL, NULL, NULL, 3),
(233, NULL, 'SFLDG01279', NULL, NULL, 'HMD cofactor maturase (HmdB-like)', NULL, 'HMD_cofactor_maturase_(HmdB-l', NULL, NULL, NULL, 3),
(234, NULL, 'SFLDG01111', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 5', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(235, NULL, 'SFLDG01086', NULL, NULL, 'elongater protein-like', NULL, 'elongater_protein-like', NULL, NULL, NULL, 3),
(236, NULL, 'SFLDG01170', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase', NULL, 'Pyruvoyl-dependent_arginine_d', NULL, NULL, NULL, 3),
(237, NULL, 'SFLDS00036', NULL, NULL, 'Aromatic Prenyltransferase', NULL, 'Aromatic_Prenyltransferase', NULL, NULL, NULL, 3),
(238, NULL, 'SFLDF00031', NULL, NULL, '2-deoxyglucose-6-phosphatase', NULL, '2-deoxyglucose-6-phosphatase', NULL, NULL, NULL, 3),
(239, NULL, 'SFLDG01068', NULL, NULL, 'FeMo cofactor biosynthesis protein', NULL, 'FeMo_cofactor_biosynthesis_pr', NULL, NULL, NULL, 3),
(240, NULL, 'SFLDG01065', NULL, NULL, 'anaerobic coproporphyrinogen-III oxidase like', NULL, 'anaerobic_coproporphyrinogen-', NULL, NULL, NULL, 3),
(241, NULL, 'SFLDS00019', NULL, NULL, 'Glutathione Transferase (cytosolic)', NULL, 'Glutathione_Transferase_(cyto', NULL, NULL, NULL, 3),
(242, NULL, 'SFLDF00029', NULL, NULL, 'phosphoserine phosphatase', NULL, 'phosphoserine_phosphatase', NULL, NULL, NULL, 3),
(243, NULL, 'SFLDG00309', NULL, NULL, 'galactarate dehydratase', NULL, 'galactarate_dehydratase', NULL, NULL, NULL, 3),
(244, NULL, 'SFLDG01098', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 11', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(245, NULL, 'SFLDF00515', NULL, NULL, 'sporulation killing factor protein (SkfB-like)', NULL, 'sporulation_killing_factor_pr', NULL, NULL, NULL, 3),
(246, NULL, 'SFLDG01258', NULL, NULL, '(chloro)muconate cycloisomerase (syn) like', NULL, '(chloro)muconate_cycloisomera', NULL, NULL, NULL, 3);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(247, NULL, 'SFLDG01206', NULL, NULL, 'Xi.1', NULL, 'Xi.1', NULL, NULL, NULL, 3),
(248, NULL, 'SFLDG01017', NULL, NULL, 'Polyprenyl Transferase Like', NULL, 'Polyprenyl_Transferase_Like', NULL, NULL, NULL, 3),
(249, NULL, 'SFLDG01386', NULL, NULL, 'main SPASM domain-containing', NULL, 'main_SPASM_domain-containing', NULL, NULL, NULL, 3),
(250, NULL, 'SFLDF00556', NULL, NULL, '4R-hydroxyproline betaine 2-epimerase', NULL, '4R-hydroxyproline_betaine_2-e', NULL, NULL, NULL, 3),
(251, NULL, 'SFLDF00571', NULL, NULL, 'Tte1186a maturase', NULL, 'Tte1186a_maturase', NULL, NULL, NULL, 3),
(252, NULL, 'SFLDG01150', NULL, NULL, 'Main.1: Beta-like', NULL, 'Main.1:_Beta-like', NULL, NULL, NULL, 3),
(253, NULL, 'SFLDG01385', NULL, NULL, 'heme carboxy lyase like', NULL, 'heme_carboxy_lyase_like', NULL, NULL, NULL, 3),
(254, NULL, 'SFLDF00295', NULL, NULL, 'threonylcarbamoyladenosine tRNA methylthiotransferase', NULL, 'threonylcarbamoyladenosine_tR', NULL, NULL, NULL, 3),
(255, NULL, 'SFLDG01128', NULL, NULL, 'C1.4: 5''-Nucleotidase Like', NULL, 'C1.4:_5''-Nucleotidase_Like', NULL, NULL, NULL, 3),
(256, NULL, 'SFLDF00294', NULL, NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase (CofG-like)', NULL, '7,8-didemethyl-8-hydroxy-5-de', NULL, NULL, NULL, 3),
(257, NULL, 'SFLDG01389', NULL, NULL, 'menaquinone synthsis involved', NULL, 'menaquinone_synthsis_involved', NULL, NULL, NULL, 3),
(258, NULL, 'SFLDF00297', NULL, NULL, 'benzylsuccinate synthase activase', NULL, 'benzylsuccinate_synthase_acti', NULL, NULL, NULL, 3),
(259, NULL, 'SFLDF00278', NULL, NULL, 'pyruvate formate-lyase activase', NULL, 'pyruvate_formate-lyase_activa', NULL, NULL, NULL, 3),
(260, NULL, 'SFLDF00317', NULL, NULL, 'thioacetal methlytransferase (Swb9-like)', NULL, 'thioacetal_methlytransferase_', NULL, NULL, NULL, 3),
(261, NULL, 'SFLDS00005', NULL, NULL, 'Isoprenoid Synthase Type I', NULL, 'Isoprenoid_Synthase_Type_I', NULL, NULL, NULL, 3),
(262, NULL, 'SFLDG01117', NULL, NULL, 'AviX12-like', NULL, 'AviX12-like', NULL, NULL, NULL, 3),
(263, NULL, 'SFLDF00154', NULL, NULL, 'N-succinylamino acid racemase 2', NULL, 'N-succinylamino_acid_racemase', NULL, NULL, NULL, 3),
(264, NULL, 'SFLDF00415', NULL, NULL, 'ladderane biosynthesis', NULL, 'ladderane_biosynthesis', NULL, NULL, NULL, 3),
(265, NULL, 'SFLDG01101', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 14', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(266, NULL, 'SFLDF00310', NULL, NULL, 'oxygen-independent coproporphyrinogen-III oxidase 2 (HemZ-like)', NULL, 'oxygen-independent_coproporph', NULL, NULL, NULL, 3),
(267, NULL, 'SFLDF00010', NULL, NULL, 'dipeptide epimerase', NULL, 'dipeptide_epimerase', NULL, NULL, NULL, 3),
(268, NULL, 'SFLDF00570', NULL, NULL, 'tungsten cofactor oxidoreducase radical SAM maturase', NULL, 'tungsten_cofactor_oxidoreduca', NULL, NULL, NULL, 3),
(269, NULL, 'SFLDG01183', NULL, NULL, 'Grx2-like', NULL, 'Grx2-like', NULL, NULL, NULL, 3),
(270, NULL, 'SFLDF00041', NULL, NULL, 'mdp-1', NULL, 'mdp-1', NULL, NULL, NULL, 3),
(271, NULL, 'SFLDG01148', NULL, NULL, 'Xi (cytGST)', NULL, 'Xi_(cytGST)', NULL, NULL, NULL, 3),
(272, NULL, 'SFLDG01151', NULL, NULL, 'Main.2: Nu-like', NULL, 'Main.2:_Nu-like', NULL, NULL, NULL, 3),
(273, NULL, 'SFLDF00273', NULL, NULL, '(dimethylallyl)adenosine tRNA methylthiotransferase (MiaB-like)', NULL, '(dimethylallyl)adenosine_tRNA', NULL, NULL, NULL, 3),
(274, NULL, 'SFLDF00291', NULL, NULL, 'arginine 2,3-aminomutase', NULL, 'arginine_2,3-aminomutase', NULL, NULL, NULL, 3),
(275, NULL, 'SFLDF00324', NULL, NULL, 'bacteriocin maturation', NULL, 'bacteriocin_maturation', NULL, NULL, NULL, 3),
(276, NULL, 'SFLDF00436', NULL, NULL, 'pactamycin C-methyltransferase (PctJ-like)', NULL, 'pactamycin_C-methyltransferas', NULL, NULL, NULL, 3),
(277, NULL, 'SFLDG01094', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 6', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(278, NULL, 'SFLDF00288', NULL, NULL, 'HemN-like, clustered with nucleoside-triphosphate RdgB', NULL, 'HemN-like,_clustered_with_nuc', NULL, NULL, NULL, 3),
(279, NULL, 'SFLDG01134', NULL, NULL, 'C1.5.5: Heptose Bisphosphate Phosphatase Like', NULL, 'C1.5.5:_Heptose_Bisphosphate_', NULL, NULL, NULL, 3),
(280, NULL, 'SFLDF00569', NULL, NULL, 'pcfB-like', NULL, 'pcfB-like', NULL, NULL, NULL, 3),
(281, NULL, 'SFLDG01138', NULL, NULL, 'C1.6.2: Deoxy-d-mannose-octulosonate 8-phosphate Phosphatase Like', NULL, 'C1.6.2:_Deoxy-d-mannose-octul', NULL, NULL, NULL, 3),
(282, NULL, 'SFLDF00032', NULL, NULL, 'trehalose-phosphatase', NULL, 'trehalose-phosphatase', NULL, NULL, NULL, 3),
(283, NULL, 'SFLDF00568', NULL, NULL, 'paromamine deoxygenase', NULL, 'paromamine_deoxygenase', NULL, NULL, NULL, 3),
(284, NULL, 'SFLDF00326', NULL, NULL, '5''''-pyrrole methytransferase', NULL, '5''''-pyrrole_methytransferase', NULL, NULL, NULL, 3),
(285, NULL, 'SFLDF00311', NULL, NULL, 'heme degradation proteins (HutW/ChuW-like)', NULL, 'heme_degradation_proteins_(Hu', NULL, NULL, NULL, 3),
(286, NULL, 'SFLDG01204', NULL, NULL, 'Grx2-like.1', NULL, 'Grx2-like.1', NULL, NULL, NULL, 3),
(287, NULL, 'SFLDF00293', NULL, NULL, '((2,3,4,5-tetrahydroxypentyl)amino)dihydropyrimidine-2,4-dione synthase (CofH-like)', NULL, '((2,3,4,5-tetrahydroxypentyl)', NULL, NULL, NULL, 3),
(288, NULL, 'SFLDG01083', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 1', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(289, NULL, 'SFLDG01211', NULL, NULL, 'Competence Regulatory Protein ComQ', NULL, 'Competence_Regulatory_Protein', NULL, NULL, NULL, 3),
(290, NULL, 'SFLDF00357', NULL, NULL, 'ExsD-like', NULL, 'ExsD-like', NULL, NULL, NULL, 3),
(291, NULL, 'SFLDG01070', NULL, NULL, 'PLP-dependent', NULL, 'PLP-dependent', NULL, NULL, NULL, 3),
(292, NULL, 'SFLDG01088', NULL, NULL, 'antiviral proteins', NULL, 'antiviral_proteins', NULL, NULL, NULL, 3),
(293, NULL, 'SFLDF00275', NULL, NULL, 'adenosine C2 methyltransferase (RlmN-like)', NULL, 'adenosine_C2_methyltransferas', NULL, NULL, NULL, 3),
(294, NULL, 'SFLDG01016', NULL, NULL, 'Prenyltransferase Like 2', NULL, 'Prenyltransferase_Like_2', NULL, NULL, NULL, 3),
(295, NULL, 'SFLDG01108', NULL, NULL, 'Uncharacterised Radical SAM Subgroup 21', NULL, 'Uncharacterised_Radical_SAM_S', NULL, NULL, NULL, 3),
(296, NULL, 'SFLDF00292', NULL, NULL, 'spore photoproduct lyase 1', NULL, 'spore_photoproduct_lyase_1', NULL, NULL, NULL, 3),
(297, NULL, 'SFLDG01136', NULL, NULL, 'C1.6: Phosphoserine Phosphatase Like', NULL, 'C1.6:_Phosphoserine_Phosphata', NULL, NULL, NULL, 3),
(298, NULL, 'SFLDS00028', NULL, NULL, 'Proline Racemase', NULL, 'Proline_Racemase', NULL, NULL, NULL, 3),
(299, NULL, 'SFLDG01126', NULL, NULL, 'C1.2: Nucleotidase Like', NULL, 'C1.2:_Nucleotidase_Like', NULL, NULL, NULL, 3),
(300, NULL, 'SFLDG01079', NULL, NULL, 'spore photoproduct lyase like', NULL, 'spore_photoproduct_lyase_like', NULL, NULL, NULL, 3),
(301, NULL, 'SFLDG01605', NULL, NULL, 'Terpene Cyclase Like 1 N-term - Enzymatic', NULL, 'Terpene_Cyclase_Like_1_N-term', NULL, NULL, NULL, 3),
(302, NULL, 'O', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4),
(303, NULL, 'TMhelix', NULL, NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, NULL, NULL, NULL, NULL, 4),
(304, NULL, 'inside', NULL, NULL, 'inside cell region', NULL, NULL, NULL, NULL, NULL, 4),
(305, NULL, 'outside', NULL, NULL, 'outside cell region', NULL, NULL, NULL, NULL, NULL, 4),
(306, NULL, 'SIGNAL_PEPTIDE_N_REGION', NULL, NULL, 'N-terminal region of a signal peptide.', NULL, 'Signal peptide N-region', NULL, NULL, NULL, 5),
(307, NULL, 'NON_CYTOPLASMIC_DOMAIN', NULL, NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the extracellular region.', NULL, 'Non cytoplasmic domain', NULL, NULL, NULL, 5),
(308, NULL, 'SIGNAL_PEPTIDE', NULL, NULL, 'Signal peptide region', NULL, 'Signal Peptide', NULL, NULL, NULL, 5);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(309, NULL, 'SIGNAL_PEPTIDE_C_REGION', NULL, NULL, 'C-terminal region of a signal peptide.', NULL, 'Signal peptide C-region', NULL, NULL, NULL, 5),
(310, NULL, 'SIGNAL_PEPTIDE_H_REGION', NULL, NULL, 'Hydrophobic region of a signal peptide.', NULL, 'Signal peptide H-region', NULL, NULL, NULL, 5),
(311, NULL, 'CYTOPLASMIC_DOMAIN', NULL, NULL, 'Region of a membrane-bound protein predicted to be outside the membrane, in the cytoplasm.', NULL, 'Cytoplasmic domain', NULL, NULL, NULL, 5),
(312, NULL, 'TRANSMEMBRANE', NULL, NULL, 'Region of a membrane-bound protein predicted to be embedded in the membrane.', NULL, 'Transmembrane region', NULL, NULL, NULL, 5),
(313, NULL, 'PF14560', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_2', NULL, NULL, NULL, 6),
(314, NULL, 'PF09014', NULL, NULL, 'Beta-2-glycoprotein-1 fifth domain', NULL, 'Sushi_2', NULL, NULL, NULL, 6),
(315, NULL, 'PF01654', NULL, NULL, 'Cytochrome bd terminal oxidase subunit I', NULL, 'Cyt_bd_oxida_I', NULL, NULL, NULL, 6),
(316, NULL, 'PF07328', NULL, NULL, 'T-DNA border endonuclease VirD1', NULL, 'VirD1', NULL, NULL, NULL, 6),
(317, NULL, 'PF17694', NULL, NULL, 'Family of unknown function (DUF5540)', NULL, 'DUF5540', NULL, NULL, NULL, 6),
(318, NULL, 'PF00018', NULL, NULL, 'SH3 domain', NULL, 'SH3_1', NULL, NULL, NULL, 6),
(319, NULL, 'PF06922', NULL, NULL, 'Citrus tristeza virus P13 protein', NULL, 'CTV_P13', NULL, NULL, NULL, 6),
(320, NULL, 'PF02316', NULL, NULL, 'Mu DNA-binding domain', NULL, 'HTH_Tnp_Mu_1', NULL, NULL, NULL, 6),
(321, NULL, 'PF04354', NULL, NULL, 'ZipA, C-terminal FtsZ-binding domain', NULL, 'ZipA_C', NULL, NULL, NULL, 6),
(322, NULL, 'PF17305', NULL, NULL, 'Family of unknown function (DUF5354)', NULL, 'DUF5354', NULL, NULL, NULL, 6),
(323, NULL, 'PF00956', NULL, NULL, 'Nucleosome assembly protein (NAP)', NULL, 'NAP', NULL, NULL, NULL, 6),
(324, NULL, 'PF11215', NULL, NULL, 'Protein of unknown function (DUF3010)', NULL, 'DUF3010', NULL, NULL, NULL, 6),
(325, NULL, 'PF01002', NULL, NULL, 'Flavivirus non-structural protein NS2B', NULL, 'Flavi_NS2B', NULL, NULL, NULL, 6),
(326, NULL, 'PF12171', NULL, NULL, 'Zinc-finger double-stranded RNA-binding', NULL, 'zf-C2H2_jaz', NULL, NULL, NULL, 6),
(327, NULL, 'PF09339', NULL, NULL, 'IclR helix-turn-helix domain', NULL, 'HTH_IclR', NULL, NULL, NULL, 6),
(328, NULL, 'PF09723', NULL, NULL, 'Zinc ribbon domain', NULL, 'Zn-ribbon_8', NULL, NULL, NULL, 6),
(329, NULL, 'PF05238', NULL, NULL, 'Kinetochore protein CHL4 like', NULL, 'CENP-N', NULL, NULL, NULL, 6),
(330, NULL, 'PF14138', NULL, NULL, 'Cytochrome c oxidase assembly protein COX16', NULL, 'COX16', NULL, NULL, NULL, 6),
(331, NULL, 'PF11375', NULL, NULL, 'Protein of unknown function (DUF3177)', NULL, 'DUF3177', NULL, NULL, NULL, 6),
(332, NULL, 'PF14654', NULL, NULL, 'Mucin, catalytic, TM and cytoplasmic tail region', NULL, 'Epiglycanin_C', NULL, NULL, NULL, 6),
(333, NULL, 'PF18773', NULL, NULL, 'Importin 13 repeat', NULL, 'Importin_rep', NULL, NULL, NULL, 6),
(334, NULL, 'PF08567', NULL, NULL, 'TFIIH p62 subunit, N-terminal domain', NULL, 'PH_TFIIH', NULL, NULL, NULL, 6),
(335, NULL, 'PF16594', NULL, NULL, 'Putative AtpZ or ATP-synthase-associated', NULL, 'ATP-synt_Z', NULL, NULL, NULL, 6),
(336, NULL, 'PF01768', NULL, NULL, 'Birnavirus VP4 protein', NULL, 'Birna_VP4', NULL, NULL, NULL, 6),
(337, NULL, 'PF00568', NULL, NULL, 'WH1 domain', NULL, 'WH1', NULL, NULL, NULL, 6),
(338, NULL, 'PF17406', NULL, NULL, 'Nrap protein PAP/OAS1-like domain 5', NULL, 'Nrap_D5', NULL, NULL, NULL, 6),
(339, NULL, 'PF06517', NULL, NULL, 'Orthopoxvirus A43R protein', NULL, 'Orthopox_A43R', NULL, NULL, NULL, 6),
(340, NULL, 'PF15229', NULL, NULL, 'POM121 family', NULL, 'POM121', NULL, NULL, NULL, 6),
(341, NULL, 'PF05553', NULL, NULL, 'Cotton fibre expressed protein', NULL, 'DUF761', NULL, NULL, NULL, 6),
(342, NULL, 'PF18192', NULL, NULL, 'DNTTIP1 dimerisation domain', NULL, 'DNTTIP1_dimer', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(343, NULL, 'PF01557', NULL, NULL, 'Fumarylacetoacetate (FAA) hydrolase family', NULL, 'FAA_hydrolase', NULL, NULL, NULL, 6),
(344, NULL, 'PF17936', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_6', NULL, NULL, NULL, 6),
(345, NULL, 'PF15868', NULL, NULL, 'Transcription activator MBF2', NULL, 'MBF2', NULL, NULL, NULL, 6),
(346, NULL, 'PF11456', NULL, NULL, 'Protein of unknown function (DUF3019)', NULL, 'DUF3019', NULL, NULL, NULL, 6),
(347, NULL, 'PF05926', NULL, NULL, 'Phage head completion protein (GPL)', NULL, 'Phage_GPL', NULL, NULL, NULL, 6),
(348, NULL, 'PF13495', NULL, NULL, 'Phage integrase, N-terminal SAM-like domain', NULL, 'Phage_int_SAM_4', NULL, NULL, NULL, 6),
(349, NULL, 'PF11471', NULL, NULL, 'Maltoporin periplasmic N-terminal extension', NULL, 'Sugarporin_N', NULL, NULL, NULL, 6),
(350, NULL, 'PF06168', NULL, NULL, 'Protein of unknown function (DUF981)', NULL, 'DUF981', NULL, NULL, NULL, 6),
(351, NULL, 'PF11608', NULL, NULL, 'Limkain b1', NULL, 'Limkain-b1', NULL, NULL, NULL, 6),
(352, NULL, 'PF10986', NULL, NULL, 'Protein of unknown function (DUF2796)', NULL, 'DUF2796', NULL, NULL, NULL, 6),
(353, NULL, 'PF08853', NULL, NULL, 'Domain of unknown function (DUF1823)', NULL, 'DUF1823', NULL, NULL, NULL, 6),
(354, NULL, 'PF07830', NULL, NULL, 'Protein serine/threonine phosphatase 2C, C-terminal domain', NULL, 'PP2C_C', NULL, NULL, NULL, 6),
(355, NULL, 'PF07196', NULL, NULL, 'Flagellin hook IN motif', NULL, 'Flagellin_IN', NULL, NULL, NULL, 6),
(356, NULL, 'PF03044', NULL, NULL, 'Herpesvirus UL16/UL94 family', NULL, 'Herpes_UL16', NULL, NULL, NULL, 6),
(357, NULL, 'PF03222', NULL, NULL, 'Tryptophan/tyrosine permease family', NULL, 'Trp_Tyr_perm', NULL, NULL, NULL, 6),
(358, NULL, 'PF08513', NULL, NULL, 'LisH', NULL, 'LisH', NULL, NULL, NULL, 6),
(359, NULL, 'PF13452', NULL, NULL, 'N-terminal half of MaoC dehydratase', NULL, 'MaoC_dehydrat_N', NULL, NULL, NULL, 6),
(360, NULL, 'PF00201', NULL, NULL, 'UDP-glucoronosyl and UDP-glucosyl transferase', NULL, 'UDPGT', NULL, NULL, NULL, 6),
(361, NULL, 'PF02881', NULL, NULL, 'SRP54-type protein, helical bundle domain', NULL, 'SRP54_N', NULL, NULL, NULL, 6),
(362, NULL, 'PF10576', NULL, NULL, 'Iron-sulfur binding domain of endonuclease III', NULL, 'EndIII_4Fe-2S', NULL, NULL, NULL, 6),
(363, NULL, 'PF10399', NULL, NULL, 'Ubiquitinol-cytochrome C reductase Fe-S subunit TAT signal', NULL, 'UCR_Fe-S_N', NULL, NULL, NULL, 6),
(364, NULL, 'PF05072', NULL, NULL, 'Herpesvirus UL43 protein', NULL, 'Herpes_UL43', NULL, NULL, NULL, 6),
(365, NULL, 'PF17126', NULL, NULL, 'RsmF rRNA methyltransferase first C-terminal domain', NULL, 'RsmF_methylt_CI', NULL, NULL, NULL, 6),
(366, NULL, 'PF12905', NULL, NULL, 'Endo-alpha-N-acetylgalactosaminidase', NULL, 'Glyco_hydro_101', NULL, NULL, NULL, 6),
(367, NULL, 'PF01655', NULL, NULL, 'Ribosomal protein L32', NULL, 'Ribosomal_L32e', NULL, NULL, NULL, 6),
(368, NULL, 'PF07015', NULL, NULL, 'VirC1 protein', NULL, 'VirC1', NULL, NULL, NULL, 6),
(369, NULL, 'PF13704', NULL, NULL, 'Glycosyl transferase family 2', NULL, 'Glyco_tranf_2_4', NULL, NULL, NULL, 6),
(370, NULL, 'PF18883', NULL, NULL, 'Autochaperone Domain Type 1', NULL, 'AC_1', NULL, NULL, NULL, 6),
(371, NULL, 'PF10412', NULL, NULL, 'Type IV secretion-system coupling protein DNA-binding domain', NULL, 'TrwB_AAD_bind', NULL, NULL, NULL, 6),
(372, NULL, 'PF17052', NULL, NULL, 'Cap associated factor', NULL, 'CAF20', NULL, NULL, NULL, 6),
(373, NULL, 'PF02423', NULL, NULL, 'Ornithine cyclodeaminase/mu-crystallin family', NULL, 'OCD_Mu_crystall', NULL, NULL, NULL, 6),
(374, NULL, 'PF16430', NULL, NULL, 'Domain of unknown function (DUF5027)', NULL, 'DUF5027', NULL, NULL, NULL, 6),
(375, NULL, 'PF11569', NULL, NULL, 'Homeodomain leucine-zipper encoding, Homez', NULL, 'Homez', NULL, NULL, NULL, 6),
(376, NULL, 'PF05049', NULL, NULL, 'Interferon-inducible GTPase (IIGP)', NULL, 'IIGP', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(377, NULL, 'PF03615', NULL, NULL, 'GCM motif protein', NULL, 'GCM', NULL, NULL, NULL, 6),
(378, NULL, 'PF09951', NULL, NULL, 'Protein of unknown function (DUF2185)', NULL, 'DUF2185', NULL, NULL, NULL, 6),
(379, NULL, 'PF18049', NULL, NULL, 'DNA polymerase nu pseudo-exo', NULL, 'DNA_pol_P_Exo', NULL, NULL, NULL, 6),
(380, NULL, 'PF16237', NULL, NULL, 'Domain of unknown function (DUF4896)', NULL, 'DUF4896', NULL, NULL, NULL, 6),
(381, NULL, 'PF15858', NULL, NULL, 'Late cornified envelope protein 6A family', NULL, 'LCE6A', NULL, NULL, NULL, 6),
(382, NULL, 'PF16944', NULL, NULL, 'Fungal potassium channel', NULL, 'KCH', NULL, NULL, NULL, 6),
(383, NULL, 'PF02456', NULL, NULL, 'Adenovirus IVa2 protein', NULL, 'Adeno_IVa2', NULL, NULL, NULL, 6),
(384, NULL, 'PF16380', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4990', NULL, NULL, NULL, 6),
(385, NULL, 'PF07426', NULL, NULL, 'Dynactin subunit p22', NULL, 'Dynactin_p22', NULL, NULL, NULL, 6),
(386, NULL, 'PF14601', NULL, NULL, 'DNA_binding protein, TFX, C-term', NULL, 'TFX_C', NULL, NULL, NULL, 6),
(387, NULL, 'PF15871', NULL, NULL, 'Junction-mediating and -regulatory protein', NULL, 'JMY', NULL, NULL, NULL, 6),
(388, NULL, 'PF12932', NULL, NULL, 'Vesicle coat trafficking protein Sec16 mid-region', NULL, 'Sec16', NULL, NULL, NULL, 6),
(389, NULL, 'PF17302', NULL, NULL, 'Family of unknown function (DUF5351)', NULL, 'DUF5351', NULL, NULL, NULL, 6),
(390, NULL, 'PF15849', NULL, NULL, 'Domain of unknown function (DUF4722)', NULL, 'DUF4722', NULL, NULL, NULL, 6),
(391, NULL, 'PF14044', NULL, NULL, 'NETI protein', NULL, 'NETI', NULL, NULL, NULL, 6),
(392, NULL, 'PF04467', NULL, NULL, 'Protein of unknown function (DUF483)', NULL, 'DUF483', NULL, NULL, NULL, 6),
(393, NULL, 'PF13796', NULL, NULL, 'Putative sensor', NULL, 'Sensor', NULL, NULL, NULL, 6),
(394, NULL, 'PF03288', NULL, NULL, 'Poxvirus D5 protein-like', NULL, 'Pox_D5', NULL, NULL, NULL, 6),
(395, NULL, 'PF12015', NULL, NULL, 'Domain of unknown function (DUF3507)', NULL, 'DUF3507', NULL, NULL, NULL, 6),
(396, NULL, 'PF07178', NULL, NULL, 'TraL protein', NULL, 'TraL', NULL, NULL, NULL, 6),
(397, NULL, 'PF15216', NULL, NULL, 'Thymic stromal lymphopoietin', NULL, 'TSLP', NULL, NULL, NULL, 6),
(398, NULL, 'PF17388', NULL, NULL, 'Tail assembly gene products 24 & 25', NULL, 'GP24_25', NULL, NULL, NULL, 6),
(399, NULL, 'PF08642', NULL, NULL, 'Histone deacetylation protein Rxt3', NULL, 'Rxt3', NULL, NULL, NULL, 6),
(400, NULL, 'PF00287', NULL, NULL, 'Sodium / potassium ATPase beta chain', NULL, 'Na_K-ATPase', NULL, NULL, NULL, 6),
(401, NULL, 'PF06943', NULL, NULL, 'LSD1 zinc finger', NULL, 'zf-LSD1', NULL, NULL, NULL, 6),
(402, NULL, 'PF07010', NULL, NULL, 'Endomucin', NULL, 'Endomucin', NULL, NULL, NULL, 6),
(403, NULL, 'PF07894', NULL, NULL, 'FAM83 A-H', NULL, 'FAM83', NULL, NULL, NULL, 6),
(404, NULL, 'PF02365', NULL, NULL, 'No apical meristem (NAM) protein', NULL, 'NAM', NULL, NULL, NULL, 6),
(405, NULL, 'PF16021', NULL, NULL, 'Programmed cell death protein 7', NULL, 'PDCD7', NULL, NULL, NULL, 6),
(406, NULL, 'PF10353', NULL, NULL, 'Protein of unknown function (DUF2430)', NULL, 'DUF2430', NULL, NULL, NULL, 6),
(407, NULL, 'PF14701', NULL, NULL, 'Glycogen debranching enzyme, glucanotransferase domain', NULL, 'hDGE_amylase', NULL, NULL, NULL, 6),
(408, NULL, 'PF01633', NULL, NULL, 'Choline/ethanolamine kinase', NULL, 'Choline_kinase', NULL, NULL, NULL, 6),
(409, NULL, 'PF11723', NULL, NULL, 'Homotrimeric ring hydroxylase', NULL, 'Aromatic_hydrox', NULL, NULL, NULL, 6),
(410, NULL, 'PF16376', NULL, NULL, 'N-terminal domain of fragilysin', NULL, 'fragilysinNterm', NULL, NULL, NULL, 6),
(411, NULL, 'PF08634', NULL, NULL, 'Mitochondrial protein Pet127', NULL, 'Pet127', NULL, NULL, NULL, 6),
(412, NULL, 'PF05929', NULL, NULL, 'Phage capsid scaffolding protein (GPO) serine peptidase', NULL, 'Phage_GPO', NULL, NULL, NULL, 6),
(413, NULL, 'PF09259', NULL, NULL, 'Fungal immunomodulatory protein Fve', NULL, 'Fve', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(414, NULL, 'PF08034', NULL, NULL, 'Trematode eggshell synthesis protein', NULL, 'TES', NULL, NULL, NULL, 6),
(415, NULL, 'PF14323', NULL, NULL, 'GxGYxYP putative glycoside hydrolase C-terminal domain', NULL, 'GxGYxYP_C', NULL, NULL, NULL, 6),
(416, NULL, 'PF16497', NULL, NULL, 'MHC-I family domain', NULL, 'MHC_I_3', NULL, NULL, NULL, 6),
(417, NULL, 'PF13041', NULL, NULL, 'PPR repeat family', NULL, 'PPR_2', NULL, NULL, NULL, 6),
(418, NULL, 'PF04268', NULL, NULL, 'Sarcosine oxidase, gamma subunit family', NULL, 'SoxG', NULL, NULL, NULL, 6),
(419, NULL, 'PF14890', NULL, NULL, 'Intein splicing domain', NULL, 'Intein_splicing', NULL, NULL, NULL, 6),
(420, NULL, 'PF18190', NULL, NULL, 'Polo-like Kinase 4 Polo Box 1', NULL, 'Plk4_PB1', NULL, NULL, NULL, 6),
(421, NULL, 'PF09534', NULL, NULL, 'Tryptophan-associated transmembrane protein (Trp_oprn_chp)', NULL, 'Trp_oprn_chp', NULL, NULL, NULL, 6),
(422, NULL, 'PF00579', NULL, NULL, 'tRNA synthetases class I (W and Y)', NULL, 'tRNA-synt_1b', NULL, NULL, NULL, 6),
(423, NULL, 'PF09954', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2188)', NULL, 'DUF2188', NULL, NULL, NULL, 6),
(424, NULL, 'PF09516', NULL, NULL, 'CfrBI restriction endonuclease', NULL, 'RE_CfrBI', NULL, NULL, NULL, 6),
(425, NULL, 'PF04355', NULL, NULL, 'SmpA / OmlA family', NULL, 'SmpA_OmlA', NULL, NULL, NULL, 6),
(426, NULL, 'PF18643', NULL, NULL, 'BsaWI restriction endonuclease type 2', NULL, 'RE_BsaWI', NULL, NULL, NULL, 6),
(427, NULL, 'PF12779', NULL, NULL, 'WXXGXW repeat (2 copies)', NULL, 'WXXGXW', NULL, NULL, NULL, 6),
(428, NULL, 'PF06849', NULL, NULL, 'Protein of unknown function (DUF1246)', NULL, 'DUF1246', NULL, NULL, NULL, 6),
(429, NULL, 'PF04645', NULL, NULL, 'Protein of unknown function, DUF603', NULL, 'DUF603', NULL, NULL, NULL, 6),
(430, NULL, 'PF15249', NULL, NULL, 'Conserved region of unknown function on GLTSCR protein', NULL, 'GLTSCR1', NULL, NULL, NULL, 6),
(431, NULL, 'PF00109', NULL, NULL, 'Beta-ketoacyl synthase, N-terminal domain', NULL, 'ketoacyl-synt', NULL, NULL, NULL, 6),
(432, NULL, 'PF09911', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2140)', NULL, 'DUF2140', NULL, NULL, NULL, 6),
(433, NULL, 'PF19110', NULL, NULL, 'Family of unknown function (DUF5797)', NULL, 'DUF5797', NULL, NULL, NULL, 6),
(434, NULL, 'PF01346', NULL, NULL, 'Domain amino terminal to FKBP-type peptidyl-prolyl isomerase', NULL, 'FKBP_N', NULL, NULL, NULL, 6),
(435, NULL, 'PF08039', NULL, NULL, 'Mitochondrial proteolipid', NULL, 'Mit_proteolip', NULL, NULL, NULL, 6),
(436, NULL, 'PF03023', NULL, NULL, 'Lipid II flippase MurJ', NULL, 'MurJ', NULL, NULL, NULL, 6),
(437, NULL, 'PF17682', NULL, NULL, 'Tau95 Triple barrel domain', NULL, 'Tau95_N', NULL, NULL, NULL, 6),
(438, NULL, 'PF17804', NULL, NULL, 'Tail specific protease N-terminal domain', NULL, 'TSP_NTD', NULL, NULL, NULL, 6),
(439, NULL, 'PF01271', NULL, NULL, 'Granin (chromogranin or secretogranin)', NULL, 'Granin', NULL, NULL, NULL, 6),
(440, NULL, 'PF17183', NULL, NULL, 'Get5 carboxyl domain', NULL, 'Blt1_C', NULL, NULL, NULL, 6),
(441, NULL, 'PF07173', NULL, NULL, 'Glycine-rich domain-containing protein-like', NULL, 'GRDP-like', NULL, NULL, NULL, 6),
(442, NULL, 'PF14904', NULL, NULL, 'Family of unknown function', NULL, 'FAM86', NULL, NULL, NULL, 6),
(443, NULL, 'PF08187', NULL, NULL, 'Myoactive tetradecapeptides family', NULL, 'Tetradecapep', NULL, NULL, NULL, 6),
(444, NULL, 'PF13026', NULL, NULL, 'Protein of unknown function (DUF3887)', NULL, 'DUF3887', NULL, NULL, NULL, 6),
(445, NULL, 'PF07157', NULL, NULL, 'DNA circularisation protein N-terminus', NULL, 'DNA_circ_N', NULL, NULL, NULL, 6),
(446, NULL, 'PF01058', NULL, NULL, 'NADH ubiquinone oxidoreductase, 20 Kd subunit', NULL, 'Oxidored_q6', NULL, NULL, NULL, 6),
(447, NULL, 'PF10983', NULL, NULL, 'Protein of unknown function (DUF2793)', NULL, 'DUF2793', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(448, NULL, 'PF10248', NULL, NULL, 'Myelodysplasia-myeloid leukemia factor 1-interacting protein', NULL, 'Mlf1IP', NULL, NULL, NULL, 6),
(449, NULL, 'PF13323', NULL, NULL, 'N-terminal domain with HPIH motif', NULL, 'HPIH', NULL, NULL, NULL, 6),
(450, NULL, 'PF05763', NULL, NULL, 'Protein of unknown function (DUF835)', NULL, 'DUF835', NULL, NULL, NULL, 6),
(451, NULL, 'PF02411', NULL, NULL, 'MerT mercuric transport protein', NULL, 'MerT', NULL, NULL, NULL, 6),
(452, NULL, 'PF00127', NULL, NULL, 'Copper binding proteins, plastocyanin/azurin family', NULL, 'Copper-bind', NULL, NULL, NULL, 6),
(453, NULL, 'PF05632', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF792)', NULL, 'DUF792', NULL, NULL, NULL, 6),
(454, NULL, 'PF07416', NULL, NULL, 'Crinivirus P26 protein', NULL, 'Crinivirus_P26', NULL, NULL, NULL, 6),
(455, NULL, 'PF14692', NULL, NULL, 'Domain of unknown function (DUF4462)', NULL, 'DUF4462', NULL, NULL, NULL, 6),
(456, NULL, 'PF10997', NULL, NULL, 'Alternate to MurJ', NULL, 'Amj', NULL, NULL, NULL, 6),
(457, NULL, 'PF12477', NULL, NULL, 'Sex factor F TraW protein N terminal', NULL, 'TraW_N', NULL, NULL, NULL, 6),
(458, NULL, 'PF17255', NULL, NULL, 'EbsA-like protein', NULL, 'EbsA', NULL, NULL, NULL, 6),
(459, NULL, 'PF08856', NULL, NULL, 'Protein of unknown function (DUF1826)', NULL, 'DUF1826', NULL, NULL, NULL, 6),
(460, NULL, 'PF18570', NULL, NULL, 'NUP57/Nup54 C-terminal domain', NULL, 'Nup54_57_C', NULL, NULL, NULL, 6),
(461, NULL, 'PF12856', NULL, NULL, 'Anaphase-promoting complex subunit 9', NULL, 'ANAPC9', NULL, NULL, NULL, 6),
(462, NULL, 'PF17424', NULL, NULL, 'Family of unknown function (DUF5411)', NULL, 'DUF5411', NULL, NULL, NULL, 6),
(463, NULL, 'PF06433', NULL, NULL, 'Methylamine dehydrogenase heavy chain (MADH)', NULL, 'Me-amine-dh_H', NULL, NULL, NULL, 6),
(464, NULL, 'PF12235', NULL, NULL, 'Fragile X-related 1 protein core C terminal', NULL, 'FXMRP1_C_core', NULL, NULL, NULL, 6),
(465, NULL, 'PF03007', NULL, NULL, 'Wax ester synthase-like Acyl-CoA acyltransferase domain', NULL, 'WES_acyltransf', NULL, NULL, NULL, 6),
(466, NULL, 'PF05462', NULL, NULL, 'Slime mold cyclic AMP receptor', NULL, 'Dicty_CAR', NULL, NULL, NULL, 6),
(467, NULL, 'PF01958', NULL, NULL, 'Domain of unknown function DUF108', NULL, 'DUF108', NULL, NULL, NULL, 6),
(468, NULL, 'PF05328', NULL, NULL, 'CybS, succinate dehydrogenase cytochrome B small subunit', NULL, 'CybS', NULL, NULL, NULL, 6),
(469, NULL, 'PF14530', NULL, NULL, 'Domain of unknown function (DUF4439)', NULL, 'DUF4439', NULL, NULL, NULL, 6),
(470, NULL, 'PF11864', NULL, NULL, 'Domain of unknown function (DUF3384)', NULL, 'DUF3384', NULL, NULL, NULL, 6),
(471, NULL, 'PF10909', NULL, NULL, 'Protein of unknown function (DUF2682)', NULL, 'DUF2682', NULL, NULL, NULL, 6),
(472, NULL, 'PF12650', NULL, NULL, 'Domain of unknown function (DUF3784)', NULL, 'DUF3784', NULL, NULL, NULL, 6),
(473, NULL, 'PF15090', NULL, NULL, 'Domain of unknown function (DUF4553)', NULL, 'DUF4553', NULL, NULL, NULL, 6),
(474, NULL, 'PF04818', NULL, NULL, 'CID domain', NULL, 'CID', NULL, NULL, NULL, 6),
(475, NULL, 'PF01404', NULL, NULL, 'Ephrin receptor ligand binding domain', NULL, 'Ephrin_lbd', NULL, NULL, NULL, 6),
(476, NULL, 'PF08080', NULL, NULL, 'RNPHF zinc finger', NULL, 'zf-RNPHF', NULL, NULL, NULL, 6),
(477, NULL, 'PF18398', NULL, NULL, 'Clip-domain serine protease homolog masquerade', NULL, 'CLIP_SPH_mas', NULL, NULL, NULL, 6),
(478, NULL, 'PF10705', NULL, NULL, 'Chloroplast protein precursor Ycf15 putative', NULL, 'Ycf15', NULL, NULL, NULL, 6),
(479, NULL, 'PF16561', NULL, NULL, 'Glycogen recognition site of AMP-activated protein kinase', NULL, 'AMPK1_CBM', NULL, NULL, NULL, 6),
(480, NULL, 'PF14897', NULL, NULL, 'EpsG family', NULL, 'EpsG', NULL, NULL, NULL, 6),
(481, NULL, 'PF12186', NULL, NULL, 'Acyl-CoA dehydrogenase C terminal', NULL, 'AcylCoA_dehyd_C', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(482, NULL, 'PF17986', NULL, NULL, 'EMP3-KAHRP-like N-terminal domain', NULL, 'EKAL', NULL, NULL, NULL, 6),
(483, NULL, 'PF17871', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_9', NULL, NULL, NULL, 6),
(484, NULL, 'PF11896', NULL, NULL, 'Domain of unknown function (DUF3416)', NULL, 'DUF3416', NULL, NULL, NULL, 6),
(485, NULL, 'PF15298', NULL, NULL, 'AJAP1/PANP C-terminus', NULL, 'AJAP1_PANP_C', NULL, NULL, NULL, 6),
(486, NULL, 'PF10392', NULL, NULL, 'Golgi transport complex subunit 5', NULL, 'COG5', NULL, NULL, NULL, 6),
(487, NULL, 'PF08209', NULL, NULL, 'Sgf11 (transcriptional regulation protein)', NULL, 'Sgf11', NULL, NULL, NULL, 6),
(488, NULL, 'PF15742', NULL, NULL, 'Domain of unknown function (DUF4686)', NULL, 'DUF4686', NULL, NULL, NULL, 6),
(489, NULL, 'PF17703', NULL, NULL, 'Family of unknown function (DUF5549)', NULL, 'DUF5549', NULL, NULL, NULL, 6),
(490, NULL, 'PF05985', NULL, NULL, 'Ethanolamine ammonia-lyase light chain (EutC)', NULL, 'EutC', NULL, NULL, NULL, 6),
(491, NULL, 'PF11619', NULL, NULL, 'Transcription factor P53 - C terminal domain', NULL, 'P53_C', NULL, NULL, NULL, 6),
(492, NULL, 'PF03716', NULL, NULL, 'WCCH motif', NULL, 'WCCH', NULL, NULL, NULL, 6),
(493, NULL, 'PF07693', NULL, NULL, 'KAP family P-loop domain', NULL, 'KAP_NTPase', NULL, NULL, NULL, 6),
(494, NULL, 'PF04922', NULL, NULL, 'DIE2/ALG10 family', NULL, 'DIE2_ALG10', NULL, NULL, NULL, 6),
(495, NULL, 'PF01537', NULL, NULL, 'Herpesvirus glycoprotein D/GG/GX domain', NULL, 'Herpes_glycop_D', NULL, NULL, NULL, 6),
(496, NULL, 'PF09066', NULL, NULL, 'Beta2-adaptin appendage, C-terminal sub-domain', NULL, 'B2-adapt-app_C', NULL, NULL, NULL, 6),
(497, NULL, 'PF16803', NULL, NULL, 'Fe-S cluster assembly protein DRE2 N-terminus', NULL, 'DRE2_N', NULL, NULL, NULL, 6),
(498, NULL, 'PF13665', NULL, NULL, 'Domain of unknown function (DUF4150)', NULL, 'DUF4150', NULL, NULL, NULL, 6),
(499, NULL, 'PF03787', NULL, NULL, 'RAMP superfamily', NULL, 'RAMPs', NULL, NULL, NULL, 6),
(500, NULL, 'PF17527', NULL, NULL, 'Phage ALC protein', NULL, 'ALC', NULL, NULL, NULL, 6),
(501, NULL, 'PF05039', NULL, NULL, 'Agouti protein', NULL, 'Agouti', NULL, NULL, NULL, 6),
(502, NULL, 'PF15377', NULL, NULL, 'Domain of unknown function (DUF4604)', NULL, 'DUF4604', NULL, NULL, NULL, 6),
(503, NULL, 'PF06391', NULL, NULL, 'CDK-activating kinase assembly factor MAT1', NULL, 'MAT1', NULL, NULL, NULL, 6),
(504, NULL, 'PF00026', NULL, NULL, 'Eukaryotic aspartyl protease', NULL, 'Asp', NULL, NULL, NULL, 6),
(505, NULL, 'PF05619', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF787)', NULL, 'DUF787', NULL, NULL, NULL, 6),
(506, NULL, 'PF17298', NULL, NULL, 'Family of unknown function (DUF5349)', NULL, 'DUF5349', NULL, NULL, NULL, 6),
(507, NULL, 'PF19059', NULL, NULL, 'Family of unknown function (DUF5755)', NULL, 'DUF5755', NULL, NULL, NULL, 6),
(508, NULL, 'PF16572', NULL, NULL, 'Long alpha hairpin domain of cation efflux system protein, CusB', NULL, 'HlyD_D4', NULL, NULL, NULL, 6),
(509, NULL, 'PF12012', NULL, NULL, 'Domain of unknown function (DUF3504)', NULL, 'DUF3504', NULL, NULL, NULL, 6),
(510, NULL, 'PF12684', NULL, NULL, 'PDDEXK-like domain of unknown function (DUF3799)', NULL, 'DUF3799', NULL, NULL, NULL, 6),
(511, NULL, 'PF08246', NULL, NULL, 'Cathepsin propeptide inhibitor domain (I29)', NULL, 'Inhibitor_I29', NULL, NULL, NULL, 6),
(512, NULL, 'PF18782', NULL, NULL, 'Novel AID APOBEC clade 2', NULL, 'NAD2', NULL, NULL, NULL, 6),
(513, NULL, 'PF04408', NULL, NULL, 'Helicase associated domain (HA2)', NULL, 'HA2', NULL, NULL, NULL, 6),
(514, NULL, 'PF08097', NULL, NULL, 'Conotoxin T-superfamily', NULL, 'Toxin_26', NULL, NULL, NULL, 6),
(515, NULL, 'PF14373', NULL, NULL, 'Superinfection immunity protein', NULL, 'Imm_superinfect', NULL, NULL, NULL, 6),
(516, NULL, 'PF12907', NULL, NULL, 'Zinc-binding', NULL, 'zf-met2', NULL, NULL, NULL, 6),
(517, NULL, 'PF00884', NULL, NULL, 'Sulfatase', NULL, 'Sulfatase', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(518, NULL, 'PF07341', NULL, NULL, 'Protein of unknown function (DUF1473)', NULL, 'DUF1473', NULL, NULL, NULL, 6),
(519, NULL, 'PF11462', NULL, NULL, 'Protein of unknown function (DUF3203)', NULL, 'DUF3203', NULL, NULL, NULL, 6),
(520, NULL, 'PF07194', NULL, NULL, 'P2 response regulator binding domain', NULL, 'P2', NULL, NULL, NULL, 6),
(521, NULL, 'PF08725', NULL, NULL, 'Integrin beta cytoplasmic domain', NULL, 'Integrin_b_cyt', NULL, NULL, NULL, 6),
(522, NULL, 'PF17358', NULL, NULL, 'Family of unknown function (DUF5384)', NULL, 'DUF5384', NULL, NULL, NULL, 6),
(523, NULL, 'PF09392', NULL, NULL, 'Type III secretion needle MxiH, YscF, SsaG, EprI, PscF, EscF', NULL, 'T3SS_needle_F', NULL, NULL, NULL, 6),
(524, NULL, 'PF10126', NULL, NULL, 'Uncharacterized protein, homolog of nitrogen regulatory protein PII', NULL, 'Nit_Regul_Hom', NULL, NULL, NULL, 6),
(525, NULL, 'PF17786', NULL, NULL, 'Mannosidase Ig/CBM-like domain', NULL, 'Mannosidase_ig', NULL, NULL, NULL, 6),
(526, NULL, 'PF04336', NULL, NULL, 'Acyl carrier protein phosphodiesterase', NULL, 'ACP_PD', NULL, NULL, NULL, 6),
(527, NULL, 'PF15224', NULL, NULL, 'Scrapie-responsive protein 1', NULL, 'SCRG1', NULL, NULL, NULL, 6),
(528, NULL, 'PF16257', NULL, NULL, 'tagaturonate epimerase', NULL, 'UxaE', NULL, NULL, NULL, 6),
(529, NULL, 'PF10518', NULL, NULL, 'TAT (twin-arginine translocation) pathway signal sequence', NULL, 'TAT_signal', NULL, NULL, NULL, 6),
(530, NULL, 'PF08736', NULL, NULL, 'FERM adjacent (FA)', NULL, 'FA', NULL, NULL, NULL, 6),
(531, NULL, 'PF11178', NULL, NULL, 'Protein of unknown function (DUF2963)', NULL, 'DUF2963', NULL, NULL, NULL, 6),
(532, NULL, 'PF17697', NULL, NULL, 'Family of unknown function (DUF5543)', NULL, 'DUF5543', NULL, NULL, NULL, 6),
(533, NULL, 'PF11861', NULL, NULL, 'Domain of unknown function (DUF3381)', NULL, 'DUF3381', NULL, NULL, NULL, 6),
(534, NULL, 'PF16470', NULL, NULL, 'Peptidase S8 pro-domain', NULL, 'S8_pro-domain', NULL, NULL, NULL, 6),
(535, NULL, 'PF06155', NULL, NULL, 'Gamma-butyrobetaine hydroxylase-like, N-terminal', NULL, 'GBBH-like_N', NULL, NULL, NULL, 6),
(536, NULL, 'PF13926', NULL, NULL, 'Domain of unknown function (DUF4211)', NULL, 'DUF4211', NULL, NULL, NULL, 6),
(537, NULL, 'PF04891', NULL, NULL, 'NifQ', NULL, 'NifQ', NULL, NULL, NULL, 6),
(538, NULL, 'PF18303', NULL, NULL, 'SAVED-fused 2TM effector domain', NULL, 'Saf_2TM', NULL, NULL, NULL, 6),
(539, NULL, 'PF10795', NULL, NULL, 'Protein of unknown function (DUF2607)', NULL, 'DUF2607', NULL, NULL, NULL, 6),
(540, NULL, 'PF15181', NULL, NULL, 'Spermatid-specific manchette-related protein 1', NULL, 'SMRP1', NULL, NULL, NULL, 6),
(541, NULL, 'PF00590', NULL, NULL, 'Tetrapyrrole (Corrin/Porphyrin) Methylases', NULL, 'TP_methylase', NULL, NULL, NULL, 6),
(542, NULL, 'PF11772', NULL, NULL, 'DNA-directed RNA polymerase subunit beta', NULL, 'EpuA', NULL, NULL, NULL, 6),
(543, NULL, 'PF15085', NULL, NULL, 'Neuropeptide FF', NULL, 'NPFF', NULL, NULL, NULL, 6),
(544, NULL, 'PF11054', NULL, NULL, 'Sporozoite TA4 surface antigen', NULL, 'Surface_antigen', NULL, NULL, NULL, 6),
(545, NULL, 'PF15304', NULL, NULL, 'A-kinase anchor protein 2 C-terminus', NULL, 'AKAP2_C', NULL, NULL, NULL, 6),
(546, NULL, 'PF12334', NULL, NULL, 'Rickettsia outer membrane protein B', NULL, 'rOmpB', NULL, NULL, NULL, 6),
(547, NULL, 'PF02630', NULL, NULL, 'SCO1/SenC', NULL, 'SCO1-SenC', NULL, NULL, NULL, 6),
(548, NULL, 'PF14825', NULL, NULL, 'Domain of unknown function (DUF4483)', NULL, 'DUF4483', NULL, NULL, NULL, 6),
(549, NULL, 'PF12818', NULL, NULL, 'dsDNA viral tegument protein', NULL, 'Tegument_dsDNA', NULL, NULL, NULL, 6),
(550, NULL, 'PF11448', NULL, NULL, 'Protein of unknown function (DUF3005)', NULL, 'DUF3005', NULL, NULL, NULL, 6),
(551, NULL, 'PF05814', NULL, NULL, 'Orf76 (Ac76)', NULL, 'Ac76', NULL, NULL, NULL, 6),
(552, NULL, 'PF17888', NULL, NULL, 'Carmil pleckstrin homology domain', NULL, 'Carm_PH', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(553, NULL, 'PF16658', NULL, NULL, 'Class II release factor RF3, C-terminal domain', NULL, 'RF3_C', NULL, NULL, NULL, 6),
(554, NULL, 'PF02595', NULL, NULL, 'Glycerate kinase family', NULL, 'Gly_kinase', NULL, NULL, NULL, 6),
(555, NULL, 'PF18651', NULL, NULL, 'Surface adhesin CshA non-repetitive domain 2', NULL, 'CshA_NR2', NULL, NULL, NULL, 6),
(556, NULL, 'PF07692', NULL, NULL, 'Low iron-inducible periplasmic protein', NULL, 'Fea1', NULL, NULL, NULL, 6),
(557, NULL, 'PF12749', NULL, NULL, 'Eukaryotic metallothionein', NULL, 'Metallothio_Euk', NULL, NULL, NULL, 6),
(558, NULL, 'PF11899', NULL, NULL, 'Protein of unknown function (DUF3419)', NULL, 'DUF3419', NULL, NULL, NULL, 6),
(559, NULL, 'PF03124', NULL, NULL, 'EXS family', NULL, 'EXS', NULL, NULL, NULL, 6),
(560, NULL, 'PF14837', NULL, NULL, 'Integrator complex subunit 5 N-terminus', NULL, 'INTS5_N', NULL, NULL, NULL, 6),
(561, NULL, 'PF15492', NULL, NULL, 'Neuroblastoma-amplified sequence, N terminal', NULL, 'Nbas_N', NULL, NULL, NULL, 6),
(562, NULL, 'PF19045', NULL, NULL, 'Ligase-CoA domain', NULL, 'Ligase_CoA_2', NULL, NULL, NULL, 6),
(563, NULL, 'PF08685', NULL, NULL, 'GON domain', NULL, 'GON', NULL, NULL, NULL, 6),
(564, NULL, 'PF03268', NULL, NULL, 'Caenorhabditis protein of unknown function, DUF267', NULL, 'DUF267', NULL, NULL, NULL, 6),
(565, NULL, 'PF09421', NULL, NULL, 'Frequency clock protein', NULL, 'FRQ', NULL, NULL, NULL, 6),
(566, NULL, 'PF13433', NULL, NULL, 'Periplasmic binding protein domain', NULL, 'Peripla_BP_5', NULL, NULL, NULL, 6),
(567, NULL, 'PF16133', NULL, NULL, 'Domain of unknown function (DUF4844)', NULL, 'DUF4844', NULL, NULL, NULL, 6),
(568, NULL, 'PF19148', NULL, NULL, 'Family of unknown function (DUF5830)', NULL, 'DUF5830', NULL, NULL, NULL, 6),
(569, NULL, 'PF15460', NULL, NULL, 'Something about silencing, SAS, complex subunit 4', NULL, 'SAS4', NULL, NULL, NULL, 6),
(570, NULL, 'PF16865', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_5', NULL, NULL, NULL, 6),
(571, NULL, 'PF02550', NULL, NULL, 'Acetyl-CoA hydrolase/transferase N-terminal domain', NULL, 'AcetylCoA_hydro', NULL, NULL, NULL, 6),
(572, NULL, 'PF08477', NULL, NULL, 'Ras of Complex, Roc, domain of DAPkinase', NULL, 'Roc', NULL, NULL, NULL, 6),
(573, NULL, 'PF08652', NULL, NULL, 'RAI1 like PD-(D/E)XK nuclease', NULL, 'RAI1', NULL, NULL, NULL, 6),
(574, NULL, 'PF12726', NULL, NULL, 'SEN1 N terminal', NULL, 'SEN1_N', NULL, NULL, NULL, 6),
(575, NULL, 'PF14340', NULL, NULL, 'Domain of unknown function (DUF4395)', NULL, 'DUF4395', NULL, NULL, NULL, 6),
(576, NULL, 'PF17281', NULL, NULL, 'Family of unknown function (DUF5346)', NULL, 'DUF5346', NULL, NULL, NULL, 6),
(577, NULL, 'PF11318', NULL, NULL, 'Protein of unknown function (DUF3120)', NULL, 'DUF3120', NULL, NULL, NULL, 6),
(578, NULL, 'PF00742', NULL, NULL, 'Homoserine dehydrogenase', NULL, 'Homoserine_dh', NULL, NULL, NULL, 6),
(579, NULL, 'PF05726', NULL, NULL, 'Pirin C-terminal cupin domain', NULL, 'Pirin_C', NULL, NULL, NULL, 6),
(580, NULL, 'PF09200', NULL, NULL, 'Monellin', NULL, 'Monellin', NULL, NULL, NULL, 6),
(581, NULL, 'PF15711', NULL, NULL, 'Interleukin-like EMT inducer', NULL, 'ILEI', NULL, NULL, NULL, 6),
(582, NULL, 'PF17976', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_12', NULL, NULL, NULL, 6),
(583, NULL, 'PF03622', NULL, NULL, 'IBV 3B protein', NULL, 'IBV_3B', NULL, NULL, NULL, 6),
(584, NULL, 'PF09806', NULL, NULL, 'Cyclin-dependent kinase 2-associated protein', NULL, 'CDK2AP', NULL, NULL, NULL, 6),
(585, NULL, 'PF04463', NULL, NULL, 'Protein of unknown function (DUF523)', NULL, 'DUF523', NULL, NULL, NULL, 6),
(586, NULL, 'PF04797', NULL, NULL, 'Herpesvirus dUTPase protein', NULL, 'Herpes_ORF11', NULL, NULL, NULL, 6),
(587, NULL, 'PF02588', NULL, NULL, 'Uncharacterised 5xTM membrane BCR, YitT family COG1284', NULL, 'YitT_membrane', NULL, NULL, NULL, 6),
(588, NULL, 'PF17787', NULL, NULL, 'PH domain', NULL, 'PH_14', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(589, NULL, 'PF16595', NULL, NULL, 'PAM-interacting domain of CRISPR-associated endonuclease Cas9', NULL, 'Cas9_PI', NULL, NULL, NULL, 6),
(590, NULL, 'PF04875', NULL, NULL, 'Protein of unknown function, DUF645', NULL, 'DUF645', NULL, NULL, NULL, 6),
(591, NULL, 'PF01341', NULL, NULL, 'Glycosyl hydrolases family 6', NULL, 'Glyco_hydro_6', NULL, NULL, NULL, 6),
(592, NULL, 'PF11023', NULL, NULL, 'Zinc-ribbon containing domain', NULL, 'DUF2614', NULL, NULL, NULL, 6),
(593, NULL, 'PF11377', NULL, NULL, 'Protein of unknown function (DUF3180)', NULL, 'DUF3180', NULL, NULL, NULL, 6),
(594, NULL, 'PF11890', NULL, NULL, 'Domain of unknown function (DUF3410)', NULL, 'DUF3410', NULL, NULL, NULL, 6),
(595, NULL, 'PF09141', NULL, NULL, 'Talin, middle domain', NULL, 'Talin_middle', NULL, NULL, NULL, 6),
(596, NULL, 'PF15292', NULL, NULL, 'Treslin N-terminus', NULL, 'Treslin_N', NULL, NULL, NULL, 6),
(597, NULL, 'PF02961', NULL, NULL, 'Barrier to autointegration factor', NULL, 'BAF', NULL, NULL, NULL, 6),
(598, NULL, 'PF06409', NULL, NULL, 'Nuclear pore complex interacting protein (NPIP)', NULL, 'NPIP', NULL, NULL, NULL, 6),
(599, NULL, 'PF17768', NULL, NULL, 'RecJ OB domain', NULL, 'RecJ_OB', NULL, NULL, NULL, 6),
(600, NULL, 'PF03561', NULL, NULL, 'Allantoicase repeat', NULL, 'Allantoicase', NULL, NULL, NULL, 6),
(601, NULL, 'PF16555', NULL, NULL, 'Gram-positive pilin subunit D1, N-terminal domain', NULL, 'GramPos_pilinD1', NULL, NULL, NULL, 6),
(602, NULL, 'PF14562', NULL, NULL, 'Restriction endonuclease BglI', NULL, 'Endonuc_BglI', NULL, NULL, NULL, 6),
(603, NULL, 'PF16267', NULL, NULL, 'Domain of unknown function (DUF4920)', NULL, 'DUF4920', NULL, NULL, NULL, 6),
(604, NULL, 'PF03719', NULL, NULL, 'Ribosomal protein S5, C-terminal domain', NULL, 'Ribosomal_S5_C', NULL, NULL, NULL, 6),
(605, NULL, 'PF07091', NULL, NULL, 'Ribosomal RNA methyltransferase (FmrO)', NULL, 'FmrO', NULL, NULL, NULL, 6),
(606, NULL, 'PF18679', NULL, NULL, 'ThcOx helix turn helix domain', NULL, 'HTH_57', NULL, NULL, NULL, 6),
(607, NULL, 'PF11706', NULL, NULL, 'CGNR zinc finger', NULL, 'zf-CGNR', NULL, NULL, NULL, 6),
(608, NULL, 'PF04344', NULL, NULL, 'Chemotaxis phosphatase, CheZ', NULL, 'CheZ', NULL, NULL, NULL, 6),
(609, NULL, 'PF14008', NULL, NULL, 'Iron/zinc purple acid phosphatase-like protein C', NULL, 'Metallophos_C', NULL, NULL, NULL, 6),
(610, NULL, 'PF05503', NULL, NULL, 'Poxvirus G7-like', NULL, 'Pox_G7', NULL, NULL, NULL, 6),
(611, NULL, 'PF02743', NULL, NULL, 'Cache domain', NULL, 'dCache_1', NULL, NULL, NULL, 6),
(612, NULL, 'PF08784', NULL, NULL, 'Replication protein A C terminal', NULL, 'RPA_C', NULL, NULL, NULL, 6),
(613, NULL, 'PF15603', NULL, NULL, 'Immunity protein 74', NULL, 'Imm74', NULL, NULL, NULL, 6),
(614, NULL, 'PF18819', NULL, NULL, 'Phage MuF-C-terminal domain', NULL, 'MuF_C', NULL, NULL, NULL, 6),
(615, NULL, 'PF05432', NULL, NULL, 'Bone sialoprotein II (BSP-II)', NULL, 'BSP_II', NULL, NULL, NULL, 6),
(616, NULL, 'PF16045', NULL, NULL, 'LisH', NULL, 'LisH_2', NULL, NULL, NULL, 6),
(617, NULL, 'PF05301', NULL, NULL, 'GNAT acetyltransferase, Mec-17', NULL, 'Acetyltransf_16', NULL, NULL, NULL, 6),
(618, NULL, 'PF17606', NULL, NULL, 'Family of unknown function (DUF5502)', NULL, 'DUF5502', NULL, NULL, NULL, 6),
(619, NULL, 'PF09710', NULL, NULL, 'Treponema clustered lipoprotein (Trep_dent_lipo)', NULL, 'Trep_dent_lipo', NULL, NULL, NULL, 6),
(620, NULL, 'PF14193', NULL, NULL, 'Domain of unknown function (DUF4315)', NULL, 'DUF4315', NULL, NULL, NULL, 6),
(621, NULL, 'PF03925', NULL, NULL, 'SeqA protein C-terminal domain', NULL, 'SeqA', NULL, NULL, NULL, 6),
(622, NULL, 'PF02492', NULL, NULL, 'CobW/HypB/UreG, nucleotide-binding domain', NULL, 'cobW', NULL, NULL, NULL, 6),
(623, NULL, 'PF17783', NULL, NULL, 'CvfB-like winged helix domain', NULL, 'CvfB_WH', NULL, NULL, NULL, 6),
(624, NULL, 'PF09892', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2119)', NULL, 'DUF2119', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(625, NULL, 'PF10238', NULL, NULL, 'E2F-associated phosphoprotein', NULL, 'Eapp_C', NULL, NULL, NULL, 6),
(626, NULL, 'PF03155', NULL, NULL, 'ALG6, ALG8 glycosyltransferase family', NULL, 'Alg6_Alg8', NULL, NULL, NULL, 6),
(627, NULL, 'PF05790', NULL, NULL, 'Immunoglobulin C2-set domain', NULL, 'C2-set', NULL, NULL, NULL, 6),
(628, NULL, 'PF03231', NULL, NULL, 'Bunyavirus non-structural protein NS-S', NULL, 'Bunya_NS-S_2', NULL, NULL, NULL, 6),
(629, NULL, 'PF03021', NULL, NULL, 'Influenza C virus M2 protein', NULL, 'CM2', NULL, NULL, NULL, 6),
(630, NULL, 'PF12478', NULL, NULL, 'Ubiquitin-associated protein 2', NULL, 'DUF3697', NULL, NULL, NULL, 6),
(631, NULL, 'PF16077', NULL, NULL, 'Spaetzle', NULL, 'Spaetzle', NULL, NULL, NULL, 6),
(632, NULL, 'PF17766', NULL, NULL, 'Fibronectin type-III domain', NULL, 'fn3_6', NULL, NULL, NULL, 6),
(633, NULL, 'PF17911', NULL, NULL, 'Ski2 N-terminal region', NULL, 'Ski2_N', NULL, NULL, NULL, 6),
(634, NULL, 'PF08525', NULL, NULL, 'Opacity-associated protein A N-terminal motif', NULL, 'OapA_N', NULL, NULL, NULL, 6),
(635, NULL, 'PF15031', NULL, NULL, 'Domain of unknown function (DUF4528)', NULL, 'DUF4528', NULL, NULL, NULL, 6),
(636, NULL, 'PF16496', NULL, NULL, 'SWIRM-associated domain at the N-terminal', NULL, 'SWIRM-assoc_2', NULL, NULL, NULL, 6),
(637, NULL, 'PF11501', NULL, NULL, 'Betacoronavirus replicase NSP1', NULL, 'bCoV_NSP1', NULL, NULL, NULL, 6),
(638, NULL, 'PF15285', NULL, NULL, 'Beclin-1 BH3 domain, Bcl-2-interacting', NULL, 'BH3', NULL, NULL, NULL, 6),
(639, NULL, 'PF05550', NULL, NULL, 'Pestivirus Npro endopeptidase C53', NULL, 'Peptidase_C53', NULL, NULL, NULL, 6),
(640, NULL, 'PF10235', NULL, NULL, 'Microtubule-associated protein CRIPT', NULL, 'Cript', NULL, NULL, NULL, 6),
(641, NULL, 'PF18622', NULL, NULL, 'RctB helix turn helix domain', NULL, 'HTH_55', NULL, NULL, NULL, 6),
(642, NULL, 'PF17416', NULL, NULL, 'Herpesvirus Glycoprotein B', NULL, 'Glycoprot_B_PH1', NULL, NULL, NULL, 6),
(643, NULL, 'PF18763', NULL, NULL, 'ddrB-like ParB superfamily domain', NULL, 'ddrB-ParB', NULL, NULL, NULL, 6),
(644, NULL, 'PF00534', NULL, NULL, 'Glycosyl transferases group 1', NULL, 'Glycos_transf_1', NULL, NULL, NULL, 6),
(645, NULL, 'PF06112', NULL, NULL, 'Gammaherpesvirus capsid protein', NULL, 'Herpes_capsid', NULL, NULL, NULL, 6),
(646, NULL, 'PF11967', NULL, NULL, 'Recombination protein O N terminal', NULL, 'RecO_N', NULL, NULL, NULL, 6),
(647, NULL, 'PF03166', NULL, NULL, 'MH2 domain', NULL, 'MH2', NULL, NULL, NULL, 6),
(648, NULL, 'PF02538', NULL, NULL, 'Hydantoinase B/oxoprolinase', NULL, 'Hydantoinase_B', NULL, NULL, NULL, 6),
(649, NULL, 'PF12214', NULL, NULL, 'Cell cycle regulated microtubule associated protein', NULL, 'TPX2_importin', NULL, NULL, NULL, 6),
(650, NULL, 'PF06658', NULL, NULL, 'Protein of unknown function (DUF1168)', NULL, 'DUF1168', NULL, NULL, NULL, 6),
(651, NULL, 'PF07210', NULL, NULL, 'Protein of unknown function (DUF1416)', NULL, 'DUF1416', NULL, NULL, NULL, 6),
(652, NULL, 'PF12191', NULL, NULL, 'Tumour necrosis factor receptor stn_TNFRSF12A_TNFR domain', NULL, 'stn_TNFRSF12A', NULL, NULL, NULL, 6),
(653, NULL, 'PF16417', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 TTP binding domain', NULL, 'CNOT1_TTP_bind', NULL, NULL, NULL, 6),
(654, NULL, 'PF07695', NULL, NULL, '7TM diverse intracellular signalling', NULL, '7TMR-DISM_7TM', NULL, NULL, NULL, 6),
(655, NULL, 'PF07294', NULL, NULL, 'Fibroin P25', NULL, 'Fibroin_P25', NULL, NULL, NULL, 6),
(656, NULL, 'PF13443', NULL, NULL, 'Cro/C1-type HTH DNA-binding domain', NULL, 'HTH_26', NULL, NULL, NULL, 6),
(657, NULL, 'PF17455', NULL, NULL, 'Late transcription unit B', NULL, 'LtuB', NULL, NULL, NULL, 6),
(658, NULL, 'PF10905', NULL, NULL, 'Protein of unknown function (DUF2695)', NULL, 'DUF2695', NULL, NULL, NULL, 6),
(659, NULL, 'PF00925', NULL, NULL, 'GTP cyclohydrolase II', NULL, 'GTP_cyclohydro2', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(660, NULL, 'PF07349', NULL, NULL, 'Protein of unknown function (DUF1478)', NULL, 'DUF1478', NULL, NULL, NULL, 6),
(661, NULL, 'PF14213', NULL, NULL, 'STAS-like domain of unknown function (DUF4325)', NULL, 'DUF4325', NULL, NULL, NULL, 6),
(662, NULL, 'PF06515', NULL, NULL, 'Borna disease virus P10 protein', NULL, 'BDV_P10', NULL, NULL, NULL, 6),
(663, NULL, 'PF09952', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', NULL, 'AbiEi_2', NULL, NULL, NULL, 6),
(664, NULL, 'PF18974', NULL, NULL, 'Domain of unknown function (DUF5710)', NULL, 'DUF5710', NULL, NULL, NULL, 6),
(665, NULL, 'PF03913', NULL, NULL, 'Ragweed group 5 pollen allergen', NULL, 'Ragweed_pollen', NULL, NULL, NULL, 6),
(666, NULL, 'PF03358', NULL, NULL, 'NADPH-dependent FMN reductase', NULL, 'FMN_red', NULL, NULL, NULL, 6),
(667, NULL, 'PF01472', NULL, NULL, 'PUA domain', NULL, 'PUA', NULL, NULL, NULL, 6),
(668, NULL, 'PF17460', NULL, NULL, 'Uncharacterized protein RP854', NULL, 'RP854', NULL, NULL, NULL, 6),
(669, NULL, 'PF03304', NULL, NULL, 'Mlp lipoprotein family', NULL, 'Mlp', NULL, NULL, NULL, 6),
(670, NULL, 'PF12523', NULL, NULL, 'Protein of unknown function (DUF3725)', NULL, 'DUF3725', NULL, NULL, NULL, 6),
(671, NULL, 'PF08772', NULL, NULL, 'Nin one binding (NOB1) Zn-ribbon like', NULL, 'NOB1_Zn_bind', NULL, NULL, NULL, 6),
(672, NULL, 'PF18068', NULL, NULL, 'Npun R1517', NULL, 'Npun_R1517', NULL, NULL, NULL, 6),
(673, NULL, 'PF18198', NULL, NULL, 'Dynein heavy chain AAA lid domain', NULL, 'AAA_lid_11', NULL, NULL, NULL, 6),
(674, NULL, 'PF13486', NULL, NULL, 'Reductive dehalogenase subunit', NULL, 'Dehalogenase', NULL, NULL, NULL, 6),
(675, NULL, 'PF03422', NULL, NULL, 'Carbohydrate binding module (family 6)', NULL, 'CBM_6', NULL, NULL, NULL, 6),
(676, NULL, 'PF15826', NULL, NULL, 'Bcl-2-binding component 3, p53 upregulated modulator of apoptosis', NULL, 'PUMA', NULL, NULL, NULL, 6),
(677, NULL, 'PF05098', NULL, NULL, 'Late expression factor 4 (LEF-4)', NULL, 'LEF-4', NULL, NULL, NULL, 6),
(678, NULL, 'PF00436', NULL, NULL, 'Single-strand binding protein family', NULL, 'SSB', NULL, NULL, NULL, 6),
(679, NULL, 'PF04085', NULL, NULL, 'rod shape-determining protein MreC', NULL, 'MreC', NULL, NULL, NULL, 6),
(680, NULL, 'PF11915', NULL, NULL, 'Protein of unknown function (DUF3433)', NULL, 'DUF3433', NULL, NULL, NULL, 6),
(681, NULL, 'PF12375', NULL, NULL, 'Phage protein', NULL, 'DUF3653', NULL, NULL, NULL, 6),
(682, NULL, 'PF00857', NULL, NULL, 'Isochorismatase family', NULL, 'Isochorismatase', NULL, NULL, NULL, 6),
(683, NULL, 'PF03452', NULL, NULL, 'Anp1', NULL, 'Anp1', NULL, NULL, NULL, 6),
(684, NULL, 'PF07020', NULL, NULL, 'Orthopoxvirus C10L protein', NULL, 'Orthopox_C10L', NULL, NULL, NULL, 6),
(685, NULL, 'PF04352', NULL, NULL, 'ProQ/FINO family', NULL, 'ProQ', NULL, NULL, NULL, 6),
(686, NULL, 'PF04464', NULL, NULL, 'CDP-Glycerol:Poly(glycerophosphate) glycerophosphotransferase', NULL, 'Glyphos_transf', NULL, NULL, NULL, 6),
(687, NULL, 'PF04729', NULL, NULL, 'ASF1 like histone chaperone', NULL, 'ASF1_hist_chap', NULL, NULL, NULL, 6),
(688, NULL, 'PF11171', NULL, NULL, 'Protein of unknown function (DUF2958)', NULL, 'DUF2958', NULL, NULL, NULL, 6),
(689, NULL, 'PF11867', NULL, NULL, 'Domain of unknown function (DUF3387)', NULL, 'DUF3387', NULL, NULL, NULL, 6),
(690, NULL, 'PF18673', NULL, NULL, 'interleukin receptor mimic protein A', NULL, 'IrmA', NULL, NULL, NULL, 6),
(691, NULL, 'PF16502', NULL, NULL, 'Domain of unknown function (DUF5059)', NULL, 'DUF5059', NULL, NULL, NULL, 6),
(692, NULL, 'PF03740', NULL, NULL, 'Pyridoxal phosphate biosynthesis protein PdxJ', NULL, 'PdxJ', NULL, NULL, NULL, 6),
(693, NULL, 'PF12203', NULL, NULL, 'Glutamine rich N terminal domain of histone deacetylase 4', NULL, 'HDAC4_Gln', NULL, NULL, NULL, 6),
(694, NULL, 'PF00951', NULL, NULL, 'Arterivirus GL envelope glycoprotein', NULL, 'Arteri_Gl', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(695, NULL, 'PF11858', NULL, NULL, 'Domain of unknown function (DUF3378)', NULL, 'DUF3378', NULL, NULL, NULL, 6),
(696, NULL, 'PF13582', NULL, NULL, 'Metallo-peptidase family M12B Reprolysin-like', NULL, 'Reprolysin_3', NULL, NULL, NULL, 6),
(697, NULL, 'PF16766', NULL, NULL, 'Binding region of GANP to ENY2', NULL, 'CID_GANP', NULL, NULL, NULL, 6),
(698, NULL, 'PF03819', NULL, NULL, 'MazG nucleotide pyrophosphohydrolase domain', NULL, 'MazG', NULL, NULL, NULL, 6),
(699, NULL, 'PF07243', NULL, NULL, 'Phlebovirus glycoprotein G1', NULL, 'Phlebovirus_G1', NULL, NULL, NULL, 6),
(700, NULL, 'PF01151', NULL, NULL, 'GNS1/SUR4 family', NULL, 'ELO', NULL, NULL, NULL, 6),
(701, NULL, 'PF09980', NULL, NULL, 'Predicted membrane protein (DUF2214)', NULL, 'DUF2214', NULL, NULL, NULL, 6),
(702, NULL, 'PF04532', NULL, NULL, 'Protein of unknown function (DUF587)', NULL, 'DUF587', NULL, NULL, NULL, 6),
(703, NULL, 'PF18034', NULL, NULL, 'Bacterial Glycosyl hydrolase family 3 C-terminal domain', NULL, 'Bac_GH3_C', NULL, NULL, NULL, 6),
(704, NULL, 'PF06122', NULL, NULL, 'Conjugative relaxosome accessory transposon protein', NULL, 'TraH', NULL, NULL, NULL, 6),
(705, NULL, 'PF00567', NULL, NULL, 'Tudor domain', NULL, 'TUDOR', NULL, NULL, NULL, 6),
(706, NULL, 'PF02703', NULL, NULL, 'Early E1A protein', NULL, 'Adeno_E1A', NULL, NULL, NULL, 6),
(707, NULL, 'PF07686', NULL, NULL, 'Immunoglobulin V-set domain', NULL, 'V-set', NULL, NULL, NULL, 6),
(708, NULL, 'PF03221', NULL, NULL, 'Tc5 transposase DNA-binding domain', NULL, 'HTH_Tnp_Tc5', NULL, NULL, NULL, 6),
(709, NULL, 'PF08203', NULL, NULL, 'Yeast RNA polymerase I subunit RPA14', NULL, 'RNA_polI_A14', NULL, NULL, NULL, 6),
(710, NULL, 'PF11944', NULL, NULL, 'Protein of unknown function (DUF3461)', NULL, 'DUF3461', NULL, NULL, NULL, 6),
(711, NULL, 'PF19098', NULL, NULL, 'Family of unknown function (DUF5785)', NULL, 'DUF5785', NULL, NULL, NULL, 6),
(712, NULL, 'PF17737', NULL, NULL, 'Ig domain in C19orf38 (HIDE1)', NULL, 'Ig_C19orf38', NULL, NULL, NULL, 6),
(713, NULL, 'PF10427', NULL, NULL, 'Argonaute hook', NULL, 'Ago_hook', NULL, NULL, NULL, 6),
(714, NULL, 'PF13052', NULL, NULL, 'Protein of unknown function (DUF3913)', NULL, 'DUF3913', NULL, NULL, NULL, 6),
(715, NULL, 'PF12386', NULL, NULL, 'Pseudomurein endo-isopeptidase Pei', NULL, 'Peptidase_C71', NULL, NULL, NULL, 6),
(716, NULL, 'PF02912', NULL, NULL, 'Aminoacyl tRNA synthetase class II, N-terminal domain', NULL, 'Phe_tRNA-synt_N', NULL, NULL, NULL, 6),
(717, NULL, 'PF17553', NULL, NULL, 'Family of unknown function (DUF5465)', NULL, 'DUF5465', NULL, NULL, NULL, 6),
(718, NULL, 'PF05302', NULL, NULL, 'Protein of unknown function (DUF720)', NULL, 'DUF720', NULL, NULL, NULL, 6),
(719, NULL, 'PF10180', NULL, NULL, 'WKF domain', NULL, 'WKF', NULL, NULL, NULL, 6),
(720, NULL, 'PF10694', NULL, NULL, 'Protein of unknown function (DUF2500)', NULL, 'DUF2500', NULL, NULL, NULL, 6),
(721, NULL, 'PF08758', NULL, NULL, 'Cadherin prodomain like', NULL, 'Cadherin_pro', NULL, NULL, NULL, 6),
(722, NULL, 'PF07763', NULL, NULL, 'FEZ-like protein', NULL, 'FEZ', NULL, NULL, NULL, 6),
(723, NULL, 'PF07791', NULL, NULL, 'Protein of unknown function (DUF1629)', NULL, 'DUF1629', NULL, NULL, NULL, 6),
(724, NULL, 'PF04556', NULL, NULL, 'DpnII restriction endonuclease', NULL, 'DpnII', NULL, NULL, NULL, 6),
(725, NULL, 'PF06389', NULL, NULL, 'Filovirus membrane-associated protein VP24', NULL, 'Filo_VP24', NULL, NULL, NULL, 6),
(726, NULL, 'PF08458', NULL, NULL, 'Plant pleckstrin homology-like region', NULL, 'PH_2', NULL, NULL, NULL, 6),
(727, NULL, 'PF06626', NULL, NULL, 'Protein of unknown function (DUF1152)', NULL, 'DUF1152', NULL, NULL, NULL, 6),
(728, NULL, 'PF05133', NULL, NULL, 'Phage portal protein, SPP1 Gp6-like', NULL, 'Phage_prot_Gp6', NULL, NULL, NULL, 6),
(729, NULL, 'PF01710', NULL, NULL, 'Transposase', NULL, 'HTH_Tnp_IS630', NULL, NULL, NULL, 6),
(730, NULL, 'PF16289', NULL, NULL, 'PIN domain', NULL, 'PIN_12', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(731, NULL, 'PF18856', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 12', NULL, 'baeRF_family12', NULL, NULL, NULL, 6),
(732, NULL, 'PF02777', NULL, NULL, 'Iron/manganese superoxide dismutases, C-terminal domain', NULL, 'Sod_Fe_C', NULL, NULL, NULL, 6),
(733, NULL, 'PF06989', NULL, NULL, 'BAALC N-terminus', NULL, 'BAALC_N', NULL, NULL, NULL, 6),
(734, NULL, 'PF07218', NULL, NULL, 'Rhoptry-associated protein 1 (RAP-1)', NULL, 'RAP1', NULL, NULL, NULL, 6),
(735, NULL, 'PF13408', NULL, NULL, 'Recombinase zinc beta ribbon domain', NULL, 'Zn_ribbon_recom', NULL, NULL, NULL, 6),
(736, NULL, 'PF06387', NULL, NULL, 'D1 dopamine receptor-interacting protein (calcyon)', NULL, 'Calcyon', NULL, NULL, NULL, 6),
(737, NULL, 'PF09280', NULL, NULL, 'XPC-binding domain', NULL, 'XPC-binding', NULL, NULL, NULL, 6),
(738, NULL, 'PF12265', NULL, NULL, 'Histone-binding protein RBBP4 or subunit C of CAF1 complex', NULL, 'CAF1C_H4-bd', NULL, NULL, NULL, 6),
(739, NULL, 'PF08730', NULL, NULL, 'Rad33', NULL, 'Rad33', NULL, NULL, NULL, 6),
(740, NULL, 'PF15331', NULL, NULL, 'Cellular tumour antigen p53-inducible 5', NULL, 'TP53IP5', NULL, NULL, NULL, 6),
(741, NULL, 'PF11013', NULL, NULL, 'Protein of unknown function (DUF2851)', NULL, 'DUF2851', NULL, NULL, NULL, 6),
(742, NULL, 'PF17140', NULL, NULL, 'Domain of unknown function (DUF5113)', NULL, 'DUF5113', NULL, NULL, NULL, 6),
(743, NULL, 'PF12707', NULL, NULL, 'Protein of unknown function (DUF3804)', NULL, 'DUF3804', NULL, NULL, NULL, 6),
(744, NULL, 'PF15457', NULL, NULL, 'Type III T3SS secreted effector HopW1-1/HopPmaA', NULL, 'HopW1-1', NULL, NULL, NULL, 6),
(745, NULL, 'PF14568', NULL, NULL, 'SMI1-KNR4 cell-wall', NULL, 'SUKH_6', NULL, NULL, NULL, 6),
(746, NULL, 'PF05355', NULL, NULL, 'Apolipoprotein C-II', NULL, 'Apo-CII', NULL, NULL, NULL, 6),
(747, NULL, 'PF04700', NULL, NULL, 'Structural glycoprotein p40/gp41 conserved region', NULL, 'Baculo_gp41', NULL, NULL, NULL, 6),
(748, NULL, 'PF04728', NULL, NULL, 'Lipoprotein leucine-zipper', NULL, 'LPP', NULL, NULL, NULL, 6),
(749, NULL, 'PF15756', NULL, NULL, 'Small Novel Rich in Cartilage', NULL, 'DUF4690', NULL, NULL, NULL, 6),
(750, NULL, 'PF15174', NULL, NULL, 'Prion-related protein testis-specific', NULL, 'PRNT', NULL, NULL, NULL, 6),
(751, NULL, 'PF13866', NULL, NULL, 'SAP30 zinc-finger', NULL, 'zf-SAP30', NULL, NULL, NULL, 6),
(752, NULL, 'PF16777', NULL, NULL, 'Transcriptional regulator, RHH-like, CopG', NULL, 'RHH_7', NULL, NULL, NULL, 6),
(753, NULL, 'PF08158', NULL, NULL, 'NUC130/3NT domain', NULL, 'NUC130_3NT', NULL, NULL, NULL, 6),
(754, NULL, 'PF03371', NULL, NULL, 'PRP38 family', NULL, 'PRP38', NULL, NULL, NULL, 6),
(755, NULL, 'PF12449', NULL, NULL, 'Protein of unknown function (DUF3684)', NULL, 'DUF3684', NULL, NULL, NULL, 6),
(756, NULL, 'PF05209', NULL, NULL, 'Septum formation inhibitor MinC, N-terminal domain', NULL, 'MinC_N', NULL, NULL, NULL, 6),
(757, NULL, 'PF02821', NULL, NULL, 'Staphylokinase/Streptokinase family', NULL, 'Staphylokinase', NULL, NULL, NULL, 6),
(758, NULL, 'PF16180', NULL, NULL, 'RelB leucine zipper', NULL, 'RelB_leu_zip', NULL, NULL, NULL, 6),
(759, NULL, 'PF07931', NULL, NULL, 'Chloramphenicol phosphotransferase-like protein', NULL, 'CPT', NULL, NULL, NULL, 6),
(760, NULL, 'PF15586', NULL, NULL, 'Immunity protein 8', NULL, 'Imm8', NULL, NULL, NULL, 6),
(761, NULL, 'PF14891', NULL, NULL, 'Effector protein', NULL, 'Peptidase_M91', NULL, NULL, NULL, 6),
(762, NULL, 'PF12367', NULL, NULL, 'Pyruvate ferredoxin oxidoreductase beta subunit C terminal', NULL, 'PFO_beta_C', NULL, NULL, NULL, 6),
(763, NULL, 'PF07771', NULL, NULL, 'Tick salivary peptide group 1', NULL, 'TSGP1', NULL, NULL, NULL, 6),
(764, NULL, 'PF13914', NULL, NULL, 'Phostensin PP1-binding and SH3-binding region', NULL, 'Phostensin', NULL, NULL, NULL, 6),
(765, NULL, 'PF17798', NULL, NULL, 'TRIF N-terminal domain', NULL, 'TRIF-NTD', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(766, NULL, 'PF02312', NULL, NULL, 'Core binding factor beta subunit', NULL, 'CBF_beta', NULL, NULL, NULL, 6),
(767, NULL, 'PF18431', NULL, NULL, 'Bacterial CdiA-CT RNAse A domain', NULL, 'RNAse_A_bac', NULL, NULL, NULL, 6),
(768, NULL, 'PF17892', NULL, NULL, 'Cadherin-like domain', NULL, 'Cadherin_5', NULL, NULL, NULL, 6),
(769, NULL, 'PF02801', NULL, NULL, 'Beta-ketoacyl synthase, C-terminal domain', NULL, 'Ketoacyl-synt_C', NULL, NULL, NULL, 6),
(770, NULL, 'PF00675', NULL, NULL, 'Insulinase (Peptidase family M16)', NULL, 'Peptidase_M16', NULL, NULL, NULL, 6),
(771, NULL, 'PF02128', NULL, NULL, 'Fungalysin metallopeptidase (M36)', NULL, 'Peptidase_M36', NULL, NULL, NULL, 6),
(772, NULL, 'PF13812', NULL, NULL, 'Pentatricopeptide repeat domain', NULL, 'PPR_3', NULL, NULL, NULL, 6),
(773, NULL, 'PF02191', NULL, NULL, 'Olfactomedin-like domain', NULL, 'OLF', NULL, NULL, NULL, 6),
(774, NULL, 'PF03849', NULL, NULL, 'Transcription factor Tfb2', NULL, 'Tfb2', NULL, NULL, NULL, 6),
(775, NULL, 'PF07190', NULL, NULL, 'Protein of unknown function (DUF1406)', NULL, 'DUF1406', NULL, NULL, NULL, 6),
(776, NULL, 'PF17016', NULL, NULL, 'Domain of unknown function (DUF5095)', NULL, 'DUF5095', NULL, NULL, NULL, 6),
(777, NULL, 'PF19211', NULL, NULL, 'Coronavirus replicase NSP2, N-terminal', NULL, 'CoV_NSP2_N', NULL, NULL, NULL, 6),
(778, NULL, 'PF15293', NULL, NULL, 'Nuclear fragile X mental retardation-interacting protein 2', NULL, 'NUFIP2', NULL, NULL, NULL, 6),
(779, NULL, 'PF08508', NULL, NULL, 'Fungal domain of unknown function (DUF1746)', NULL, 'DUF1746', NULL, NULL, NULL, 6),
(780, NULL, 'PF13964', NULL, NULL, 'Kelch motif', NULL, 'Kelch_6', NULL, NULL, NULL, 6),
(781, NULL, 'PF18116', NULL, NULL, 'Sorting Nexin 17 FERM C-terminal domain', NULL, 'SNX17_FERM_C', NULL, NULL, NULL, 6),
(782, NULL, 'PF15098', NULL, NULL, 'TMEM89 protein family', NULL, 'TMEM89', NULL, NULL, NULL, 6),
(783, NULL, 'PF07184', NULL, NULL, 'Citrus tristeza virus P33 protein', NULL, 'CTV_P33', NULL, NULL, NULL, 6),
(784, NULL, 'PF02696', NULL, NULL, 'Uncharacterized ACR, YdiU/UPF0061 family', NULL, 'UPF0061', NULL, NULL, NULL, 6),
(785, NULL, 'PF14328', NULL, NULL, 'Domain of unknown function (DUF4385)', NULL, 'DUF4385', NULL, NULL, NULL, 6),
(786, NULL, 'PF09380', NULL, NULL, 'FERM C-terminal PH-like domain', NULL, 'FERM_C', NULL, NULL, NULL, 6),
(787, NULL, 'PF04230', NULL, NULL, 'Polysaccharide pyruvyl transferase', NULL, 'PS_pyruv_trans', NULL, NULL, NULL, 6),
(788, NULL, 'PF06945', NULL, NULL, 'Protein of unknown function (DUF1289)', NULL, 'DUF1289', NULL, NULL, NULL, 6),
(789, NULL, 'PF12431', NULL, NULL, 'Transcriptional regulator', NULL, 'CitT', NULL, NULL, NULL, 6),
(790, NULL, 'PF13214', NULL, NULL, 'Protein of unknown function (DUF4022)', NULL, 'DUF4022', NULL, NULL, NULL, 6),
(791, NULL, 'PF00565', NULL, NULL, 'Staphylococcal nuclease homologue', NULL, 'SNase', NULL, NULL, NULL, 6),
(792, NULL, 'PF07492', NULL, NULL, 'Neutral trehalase Ca2+ binding domain', NULL, 'Trehalase_Ca-bi', NULL, NULL, NULL, 6),
(793, NULL, 'PF16471', NULL, NULL, 'JNK-interacting protein leucine zipper II', NULL, 'JIP_LZII', NULL, NULL, NULL, 6),
(794, NULL, 'PF09551', NULL, NULL, 'Stage II sporulation protein R (spore_II_R)', NULL, 'Spore_II_R', NULL, NULL, NULL, 6),
(795, NULL, 'PF02907', NULL, NULL, 'Hepatitis C virus NS3 protease', NULL, 'Peptidase_S29', NULL, NULL, NULL, 6),
(796, NULL, 'PF10699', NULL, NULL, 'Male gamete fusion factor', NULL, 'HAP2-GCS1', NULL, NULL, NULL, 6),
(797, NULL, 'PF13525', NULL, NULL, 'Outer membrane lipoprotein', NULL, 'YfiO', NULL, NULL, NULL, 6),
(798, NULL, 'PF14317', NULL, NULL, 'YcxB-like protein', NULL, 'YcxB', NULL, NULL, NULL, 6),
(799, NULL, 'PF12136', NULL, NULL, 'RNA polymerase Rpo13 subunit HTH domain', NULL, 'RNA_pol_Rpo13', NULL, NULL, NULL, 6),
(800, NULL, 'PF14775', NULL, NULL, 'Sperm tail C-terminal domain', NULL, 'NYD-SP28_assoc', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(801, NULL, 'PF11662', NULL, NULL, 'Protein of unknown function (DUF3263)', NULL, 'DUF3263', NULL, NULL, NULL, 6),
(802, NULL, 'PF04927', NULL, NULL, 'Seed maturation protein', NULL, 'SMP', NULL, NULL, NULL, 6),
(803, NULL, 'PF05366', NULL, NULL, 'Sarcolipin', NULL, 'Sarcolipin', NULL, NULL, NULL, 6),
(804, NULL, 'PF08953', NULL, NULL, 'Domain of unknown function (DUF1899)', NULL, 'DUF1899', NULL, NULL, NULL, 6),
(805, NULL, 'PF01527', NULL, NULL, 'Transposase', NULL, 'HTH_Tnp_1', NULL, NULL, NULL, 6),
(806, NULL, 'PF00585', NULL, NULL, 'C-terminal regulatory domain of Threonine dehydratase', NULL, 'Thr_dehydrat_C', NULL, NULL, NULL, 6),
(807, NULL, 'PF11179', NULL, NULL, 'Protein of unknown function (DUF2967)', NULL, 'DUF2967', NULL, NULL, NULL, 6),
(808, NULL, 'PF06212', NULL, NULL, 'GRIM-19 protein', NULL, 'GRIM-19', NULL, NULL, NULL, 6),
(809, NULL, 'PF08777', NULL, NULL, 'RNA binding motif', NULL, 'RRM_3', NULL, NULL, NULL, 6),
(810, NULL, 'PF09376', NULL, NULL, 'NurA domain', NULL, 'NurA', NULL, NULL, NULL, 6),
(811, NULL, 'PF09712', NULL, NULL, 'Poly(R)-hydroxyalkanoic acid synthase subunit (PHA_synth_III_E)', NULL, 'PHA_synth_III_E', NULL, NULL, NULL, 6),
(812, NULL, 'PF05843', NULL, NULL, 'Suppressor of forked protein (Suf)', NULL, 'Suf', NULL, NULL, NULL, 6),
(813, NULL, 'PF06511', NULL, NULL, 'Type III secretion systems tip complex components', NULL, 'T3SS_TC', NULL, NULL, NULL, 6),
(814, NULL, 'PF01202', NULL, NULL, 'Shikimate kinase', NULL, 'SKI', NULL, NULL, NULL, 6),
(815, NULL, 'PF01963', NULL, NULL, 'TraB family', NULL, 'TraB', NULL, NULL, NULL, 6),
(816, NULL, 'PF18503', NULL, NULL, '26S proteasome subunit RPN6 C-terminal helix domain', NULL, 'RPN6_C_helix', NULL, NULL, NULL, 6),
(817, NULL, 'PF06644', NULL, NULL, 'ATP11 protein', NULL, 'ATP11', NULL, NULL, NULL, 6),
(818, NULL, 'PF03736', NULL, NULL, 'EPTP domain', NULL, 'EPTP', NULL, NULL, NULL, 6),
(819, NULL, 'PF02199', NULL, NULL, 'Saposin A-type domain', NULL, 'SapA', NULL, NULL, NULL, 6),
(820, NULL, 'PF10225', NULL, NULL, 'NEMP family', NULL, 'NEMP', NULL, NULL, NULL, 6),
(821, NULL, 'PF10807', NULL, NULL, 'Protein of unknown function (DUF2541)', NULL, 'DUF2541', NULL, NULL, NULL, 6),
(822, NULL, 'PF08647', NULL, NULL, 'BRE1 E3 ubiquitin ligase', NULL, 'BRE1', NULL, NULL, NULL, 6),
(823, NULL, 'PF13956', NULL, NULL, 'Toxin Ibs, type I toxin-antitoxin system', NULL, 'Ibs_toxin', NULL, NULL, NULL, 6),
(824, NULL, 'PF08412', NULL, NULL, 'Ion transport protein N-terminal', NULL, 'Ion_trans_N', NULL, NULL, NULL, 6),
(825, NULL, 'PF00823', NULL, NULL, 'PPE family', NULL, 'PPE', NULL, NULL, NULL, 6),
(826, NULL, 'PF10407', NULL, NULL, 'Cdc14 phosphatase binding protein N-terminus', NULL, 'Cytokin_check_N', NULL, NULL, NULL, 6),
(827, NULL, 'PF03619', NULL, NULL, 'Organic solute transporter Ostalpha', NULL, 'Solute_trans_a', NULL, NULL, NULL, 6),
(828, NULL, 'PF17992', NULL, NULL, 'Agarase CBM like domain', NULL, 'Agarase_CBM', NULL, NULL, NULL, 6),
(829, NULL, 'PF15847', NULL, NULL, 'Major keratinocyte cell envelope protein', NULL, 'Loricrin', NULL, NULL, NULL, 6),
(830, NULL, 'PF17968', NULL, NULL, 'Toll-like receptor 3 trans-membrane domain', NULL, 'Tlr3_TMD', NULL, NULL, NULL, 6),
(831, NULL, 'PF13072', NULL, NULL, 'Mother cell inhibitor of FtsZ', NULL, 'MciZ', NULL, NULL, NULL, 6),
(832, NULL, 'PF08153', NULL, NULL, 'NGP1NT (NUC091) domain', NULL, 'NGP1NT', NULL, NULL, NULL, 6),
(833, NULL, 'PF18168', NULL, NULL, 'Prim-pol family 5', NULL, 'PPL5', NULL, NULL, NULL, 6),
(834, NULL, 'PF10947', NULL, NULL, 'Protein of unknown function (DUF2628)', NULL, 'DUF2628', NULL, NULL, NULL, 6),
(835, NULL, 'PF01256', NULL, NULL, 'Carbohydrate kinase', NULL, 'Carb_kinase', NULL, NULL, NULL, 6),
(836, NULL, 'PF08394', NULL, NULL, 'Archaeal TRASH domain', NULL, 'Arc_trans_TRASH', NULL, NULL, NULL, 6),
(837, NULL, 'PF09590', NULL, NULL, 'Lentivirus surface glycoprotein', NULL, 'Env-gp36', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(838, NULL, 'PF03950', NULL, NULL, 'tRNA synthetases class I (E and Q), anti-codon binding domain', NULL, 'tRNA-synt_1c_C', NULL, NULL, NULL, 6),
(839, NULL, 'PF12506', NULL, NULL, 'Protein of unknown function (DUF3713)', NULL, 'DUF3713', NULL, NULL, NULL, 6),
(840, NULL, 'PF06419', NULL, NULL, 'Conserved oligomeric complex COG6', NULL, 'COG6', NULL, NULL, NULL, 6),
(841, NULL, 'PF17819', NULL, NULL, 'Family of unknown function (DUF5582)', NULL, 'DUF5582', NULL, NULL, NULL, 6),
(842, NULL, 'PF15951', NULL, NULL, 'MITF/TFEB/TFEC/TFE3 N-terminus', NULL, 'MITF_TFEB_C_3_N', NULL, NULL, NULL, 6),
(843, NULL, 'PF01988', NULL, NULL, 'VIT family', NULL, 'VIT1', NULL, NULL, NULL, 6),
(844, NULL, 'PF03666', NULL, NULL, 'Nitrogen Permease regulator of amino acid transport activity 3', NULL, 'NPR3', NULL, NULL, NULL, 6),
(845, NULL, 'PF00494', NULL, NULL, 'Squalene/phytoene synthase', NULL, 'SQS_PSY', NULL, NULL, NULL, 6),
(846, NULL, 'PF10020', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2262)', NULL, 'DUF2262', NULL, NULL, NULL, 6),
(847, NULL, 'PF08850', NULL, NULL, 'Domain of unknown function (DUF1820)', NULL, 'DUF1820', NULL, NULL, NULL, 6),
(848, NULL, 'PF07915', NULL, NULL, 'Glucosidase II beta subunit-like protein', NULL, 'PRKCSH', NULL, NULL, NULL, 6),
(849, NULL, 'PF12845', NULL, NULL, 'TBD domain', NULL, 'TBD', NULL, NULL, NULL, 6),
(850, NULL, 'PF05662', NULL, NULL, 'Coiled stalk of trimeric autotransporter adhesin', NULL, 'YadA_stalk', NULL, NULL, NULL, 6),
(851, NULL, 'PF11956', NULL, NULL, 'Ankyrin-G binding motif of KCNQ2-3', NULL, 'KCNQC3-Ank-G_bd', NULL, NULL, NULL, 6),
(852, NULL, 'PF13759', NULL, NULL, 'Putative 2OG-Fe(II) oxygenase', NULL, '2OG-FeII_Oxy_5', NULL, NULL, NULL, 6),
(853, NULL, 'PF05213', NULL, NULL, 'Coronavirus NS2A protein', NULL, 'Corona_NS2A', NULL, NULL, NULL, 6),
(854, NULL, 'PF00095', NULL, NULL, 'WAP-type (Whey Acidic Protein) ''four-disulfide core''', NULL, 'WAP', NULL, NULL, NULL, 6),
(855, NULL, 'PF06711', NULL, NULL, 'Protein of unknown function (DUF1198)', NULL, 'DUF1198', NULL, NULL, NULL, 6),
(856, NULL, 'PF01743', NULL, NULL, 'Poly A polymerase head domain', NULL, 'PolyA_pol', NULL, NULL, NULL, 6),
(857, NULL, 'PF06526', NULL, NULL, 'Protein of unknown function (DUF1107)', NULL, 'DUF1107', NULL, NULL, NULL, 6),
(858, NULL, 'PF17499', NULL, NULL, 'Ant venom peptides', NULL, 'Pilosulin', NULL, NULL, NULL, 6),
(859, NULL, 'PF16630', NULL, NULL, 'Unstructured region on APC between 1st and 2nd catenin-bdg motifs', NULL, 'APC_u5', NULL, NULL, NULL, 6),
(860, NULL, 'PF15468', NULL, NULL, 'Domain of unknown function (DUF4636)', NULL, 'DUF4636', NULL, NULL, NULL, 6),
(861, NULL, 'PF09546', NULL, NULL, 'Stage III sporulation protein AE (spore_III_AE)', NULL, 'Spore_III_AE', NULL, NULL, NULL, 6),
(862, NULL, 'PF11346', NULL, NULL, 'Protein of unknown function (DUF3149)', NULL, 'DUF3149', NULL, NULL, NULL, 6),
(863, NULL, 'PF03875', NULL, NULL, 'Statherin', NULL, 'Statherin', NULL, NULL, NULL, 6),
(864, NULL, 'PF10333', NULL, NULL, 'GPI-Mannosyltransferase II co-activator', NULL, 'Pga1', NULL, NULL, NULL, 6),
(865, NULL, 'PF05825', NULL, NULL, 'Beta-microseminoprotein (PSP-94)', NULL, 'PSP94', NULL, NULL, NULL, 6),
(866, NULL, 'PF15370', NULL, NULL, 'Domain of unknown function (DUF4598)', NULL, 'DUF4598', NULL, NULL, NULL, 6),
(867, NULL, 'PF15979', NULL, NULL, 'Glycosyl hydrolase family 115', NULL, 'Glyco_hydro_115', NULL, NULL, NULL, 6),
(868, NULL, 'PF03460', NULL, NULL, 'Nitrite/Sulfite reductase ferredoxin-like half domain', NULL, 'NIR_SIR_ferr', NULL, NULL, NULL, 6),
(869, NULL, 'PF11128', NULL, NULL, 'Plant viral coat protein nucleocapsid', NULL, 'Nucleocap_ssRNA', NULL, NULL, NULL, 6),
(870, NULL, 'PF06741', NULL, NULL, 'LsmAD domain', NULL, 'LsmAD', NULL, NULL, NULL, 6),
(871, NULL, 'PF11852', NULL, NULL, 'Domain of unknown function (DUF3372)', NULL, 'DUF3372', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(872, NULL, 'PF18864', NULL, NULL, 'AbiTii', NULL, 'AbiTii', NULL, NULL, NULL, 6),
(873, NULL, 'PF05003', NULL, NULL, 'Protein of unknown function (DUF668)', NULL, 'DUF668', NULL, NULL, NULL, 6),
(874, NULL, 'PF14320', NULL, NULL, 'Phosphoprotein P region PNT disordered', NULL, 'Paramyxo_PNT', NULL, NULL, NULL, 6),
(875, NULL, 'PF08829', NULL, NULL, 'Alpha C protein N terminal', NULL, 'AlphaC_N', NULL, NULL, NULL, 6),
(876, NULL, 'PF04664', NULL, NULL, 'Opioid growth factor receptor (OGFr) conserved region', NULL, 'OGFr_N', NULL, NULL, NULL, 6),
(877, NULL, 'PF08950', NULL, NULL, 'Protein of unknown function (DUF1861)', NULL, 'DUF1861', NULL, NULL, NULL, 6),
(878, NULL, 'PF15709', NULL, NULL, 'Domain of unknown function (DUF4670)', NULL, 'DUF4670', NULL, NULL, NULL, 6),
(879, NULL, 'PF15642', NULL, NULL, 'Toxin in Odyssella and Amoebophilus', NULL, 'Tox-ODYAM1', NULL, NULL, NULL, 6),
(880, NULL, 'PF03828', NULL, NULL, 'Cid1 family poly A polymerase', NULL, 'PAP_assoc', NULL, NULL, NULL, 6),
(881, NULL, 'PF14189', NULL, NULL, 'Domain of unknown function (DUF4312)', NULL, 'DUF4312', NULL, NULL, NULL, 6),
(882, NULL, 'PF00373', NULL, NULL, 'FERM central domain', NULL, 'FERM_M', NULL, NULL, NULL, 6),
(883, NULL, 'PF17256', NULL, NULL, 'Anaphase-promoting complex, subunit 16', NULL, 'ANAPC16', NULL, NULL, NULL, 6),
(884, NULL, 'PF01027', NULL, NULL, 'Inhibitor of apoptosis-promoting Bax1', NULL, 'Bax1-I', NULL, NULL, NULL, 6),
(885, NULL, 'PF07682', NULL, NULL, 'Sulphur oxygenase reductase', NULL, 'SOR', NULL, NULL, NULL, 6),
(886, NULL, 'PF10738', NULL, NULL, 'Probable lipoprotein LpqN', NULL, 'Lpp-LpqN', NULL, NULL, NULL, 6),
(887, NULL, 'PF13969', NULL, NULL, 'Pab87 octamerisation domain', NULL, 'Pab87_oct', NULL, NULL, NULL, 6),
(888, NULL, 'PF08516', NULL, NULL, 'ADAM cysteine-rich', NULL, 'ADAM_CR', NULL, NULL, NULL, 6),
(889, NULL, 'PF00308', NULL, NULL, 'Bacterial dnaA  protein', NULL, 'Bac_DnaA', NULL, NULL, NULL, 6),
(890, NULL, 'PF18629', NULL, NULL, 'Family of unknown function (DUF5629)', NULL, 'DUF5629', NULL, NULL, NULL, 6),
(891, NULL, 'PF00936', NULL, NULL, 'BMC domain', NULL, 'BMC', NULL, NULL, NULL, 6),
(892, NULL, 'PF10026', NULL, NULL, 'Predicted Zn-dependent protease (DUF2268)', NULL, 'DUF2268', NULL, NULL, NULL, 6),
(893, NULL, 'PF03271', NULL, NULL, 'EB1-like C-terminal motif', NULL, 'EB1', NULL, NULL, NULL, 6),
(894, NULL, 'PF04752', NULL, NULL, 'ChaC-like protein', NULL, 'ChaC', NULL, NULL, NULL, 6),
(895, NULL, 'PF12538', NULL, NULL, 'DNA transporter', NULL, 'FtsK_SpoIIIE_N', NULL, NULL, NULL, 6),
(896, NULL, 'PF11404', NULL, NULL, 'Potassium voltage-gated channel', NULL, 'Potassium_chann', NULL, NULL, NULL, 6),
(897, NULL, 'PF02346', NULL, NULL, 'Chordopoxvirus multifunctional envelope protein A27', NULL, 'Vac_Fusion', NULL, NULL, NULL, 6),
(898, NULL, 'PF14087', NULL, NULL, 'Domain of unknown function (DUF4267)', NULL, 'DUF4267', NULL, NULL, NULL, 6),
(899, NULL, 'PF03923', NULL, NULL, 'Uncharacterized lipoprotein', NULL, 'Lipoprotein_16', NULL, NULL, NULL, 6),
(900, NULL, 'PF03792', NULL, NULL, 'PBC domain', NULL, 'PBC', NULL, NULL, NULL, 6),
(901, NULL, 'PF08770', NULL, NULL, 'Sulphur oxidation protein SoxZ', NULL, 'SoxZ', NULL, NULL, NULL, 6),
(902, NULL, 'PF04115', NULL, NULL, 'Ureidoglycolate lyase', NULL, 'Ureidogly_lyase', NULL, NULL, NULL, 6),
(903, NULL, 'PF01787', NULL, NULL, 'Ilarvirus coat protein', NULL, 'Ilar_coat', NULL, NULL, NULL, 6),
(904, NULL, 'PF18200', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_11', NULL, NULL, NULL, 6),
(905, NULL, 'PF04365', NULL, NULL, 'Ribonuclease toxin, BrnT, of type II toxin-antitoxin system', NULL, 'BrnT_toxin', NULL, NULL, NULL, 6),
(906, NULL, 'PF15189', NULL, NULL, 'Meiosis-specific coiled-coil domain-containing protein MEIOC', NULL, 'MEIOC', NULL, NULL, NULL, 6),
(907, NULL, 'PF07555', NULL, NULL, 'beta-N-acetylglucosaminidase', NULL, 'NAGidase', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(908, NULL, 'PF06485', NULL, NULL, 'RNA-binding protein Tab2/Atab2', NULL, 'Tab2_like', NULL, NULL, NULL, 6),
(909, NULL, 'PF02491', NULL, NULL, 'SHS2 domain inserted in FTSA', NULL, 'SHS2_FTSA', NULL, NULL, NULL, 6),
(910, NULL, 'PF13272', NULL, NULL, 'Putative 2/3 transmembrane domain holin', NULL, 'Holin_2-3', NULL, NULL, NULL, 6),
(911, NULL, 'PF18272', NULL, NULL, 'single-stranded DNA binding TraI N-terminal subdomain', NULL, 'ssDNA_TraI_N', NULL, NULL, NULL, 6),
(912, NULL, 'PF03234', NULL, NULL, 'Cdc37 N terminal kinase binding', NULL, 'CDC37_N', NULL, NULL, NULL, 6),
(913, NULL, 'PF08765', NULL, NULL, 'Mor transcription activator family', NULL, 'Mor', NULL, NULL, NULL, 6),
(914, NULL, 'PF16015', NULL, NULL, 'Promethin', NULL, 'Promethin', NULL, NULL, NULL, 6),
(915, NULL, 'PF12512', NULL, NULL, 'Protein of unknown function (DUF3717)', NULL, 'DUF3717', NULL, NULL, NULL, 6),
(916, NULL, 'PF01640', NULL, NULL, 'Peptidase C10 family', NULL, 'Peptidase_C10', NULL, NULL, NULL, 6),
(917, NULL, 'PF18338', NULL, NULL, 'Lower baseplate protein N-terminal domain', NULL, 'BppL_N', NULL, NULL, NULL, 6),
(918, NULL, 'PF16245', NULL, NULL, 'Domain of unknown function (DUF4902)', NULL, 'DUF4902', NULL, NULL, NULL, 6),
(919, NULL, 'PF08020', NULL, NULL, 'Protein of unknown function (DUF1706)', NULL, 'DUF1706', NULL, NULL, NULL, 6),
(920, NULL, 'PF05965', NULL, NULL, 'F/Y rich C-terminus', NULL, 'FYRC', NULL, NULL, NULL, 6),
(921, NULL, 'PF03179', NULL, NULL, 'Vacuolar (H+)-ATPase G subunit', NULL, 'V-ATPase_G', NULL, NULL, NULL, 6),
(922, NULL, 'PF18076', NULL, NULL, 'Formylglycinamide ribonucleotide amidotransferase N-terminal', NULL, 'FGAR-AT_N', NULL, NULL, NULL, 6),
(923, NULL, 'PF02560', NULL, NULL, 'Cyanate lyase C-terminal domain', NULL, 'Cyanate_lyase', NULL, NULL, NULL, 6),
(924, NULL, 'PF19048', NULL, NULL, 'SidE mono-ADP-ribosyltransferase domain', NULL, 'SidE_mART', NULL, NULL, NULL, 6),
(925, NULL, 'PF13074', NULL, NULL, 'Protein of unknown function (DUF3938)', NULL, 'DUF3938', NULL, NULL, NULL, 6),
(926, NULL, 'PF14127', NULL, NULL, 'Domain of unknown function (DUF4294)', NULL, 'DUF4294', NULL, NULL, NULL, 6),
(927, NULL, 'PF05522', NULL, NULL, 'Metallothionein', NULL, 'Metallothio_6', NULL, NULL, NULL, 6),
(928, NULL, 'PF01032', NULL, NULL, 'FecCD transport family', NULL, 'FecCD', NULL, NULL, NULL, 6),
(929, NULL, 'PF16522', NULL, NULL, 'Flagellar FLiS export co-chaperone, HP1076', NULL, 'FliS_cochap', NULL, NULL, NULL, 6),
(930, NULL, 'PF04135', NULL, NULL, 'Nucleolar RNA-binding protein, Nop10p family', NULL, 'Nop10p', NULL, NULL, NULL, 6),
(931, NULL, 'PF13035', NULL, NULL, 'Protein of unknown function (DUF3896)', NULL, 'DUF3896', NULL, NULL, NULL, 6),
(932, NULL, 'PF10177', NULL, NULL, 'Uncharacterised conserved protein (DUF2371)', NULL, 'DUF2371', NULL, NULL, NULL, 6),
(933, NULL, 'PF16666', NULL, NULL, 'Unstructured region on MAGI', NULL, 'MAGI_u5', NULL, NULL, NULL, 6),
(934, NULL, 'PF07980', NULL, NULL, 'SusD family', NULL, 'SusD_RagB', NULL, NULL, NULL, 6),
(935, NULL, 'PF09420', NULL, NULL, 'Ribosome biogenesis protein Nop16', NULL, 'Nop16', NULL, NULL, NULL, 6),
(936, NULL, 'PF02102', NULL, NULL, 'Deuterolysin metalloprotease (M35) family', NULL, 'Peptidase_M35', NULL, NULL, NULL, 6),
(937, NULL, 'PF19082', NULL, NULL, 'Family of unknown function (DUF5773)', NULL, 'DUF5773', NULL, NULL, NULL, 6),
(938, NULL, 'PF00722', NULL, NULL, 'Glycosyl hydrolases family 16', NULL, 'Glyco_hydro_16', NULL, NULL, NULL, 6),
(939, NULL, 'PF02676', NULL, NULL, 'Methyltransferase TYW3', NULL, 'TYW3', NULL, NULL, NULL, 6),
(940, NULL, 'PF17501', NULL, NULL, 'Viral RNA-directed RNA polymerase', NULL, 'Viral_RdRp_C', NULL, NULL, NULL, 6),
(941, NULL, 'PF04316', NULL, NULL, 'Anti-sigma-28 factor, FlgM', NULL, 'FlgM', NULL, NULL, NULL, 6),
(942, NULL, 'PF18448', NULL, NULL, 'Carbohydrate binding domain', NULL, 'CBM46', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(943, NULL, 'PF01499', NULL, NULL, 'Herpesvirus UL25 family', NULL, 'Herpes_UL25', NULL, NULL, NULL, 6),
(944, NULL, 'PF13991', NULL, NULL, 'BssS protein family', NULL, 'BssS', NULL, NULL, NULL, 6),
(945, NULL, 'PF02454', NULL, NULL, 'Sigma 1s protein', NULL, 'Sigma_1s', NULL, NULL, NULL, 6),
(946, NULL, 'PF09990', NULL, NULL, 'Predicted membrane protein (DUF2231)', NULL, 'DUF2231', NULL, NULL, NULL, 6),
(947, NULL, 'PF09203', NULL, NULL, 'MspA', NULL, 'MspA', NULL, NULL, NULL, 6),
(948, NULL, 'PF15322', NULL, NULL, 'Protein missing in infertile sperm 1, putative', NULL, 'PMSI1', NULL, NULL, NULL, 6),
(949, NULL, 'PF14084', NULL, NULL, 'Protein of unknown function (DUF4264)', NULL, 'DUF4264', NULL, NULL, NULL, 6),
(950, NULL, 'PF11791', NULL, NULL, 'Aconitate B N-terminal domain', NULL, 'Aconitase_B_N', NULL, NULL, NULL, 6),
(951, NULL, 'PF12280', NULL, NULL, 'Brain specific membrane anchored protein', NULL, 'BSMAP', NULL, NULL, NULL, 6),
(952, NULL, 'PF08788', NULL, NULL, 'NHR2 domain like', NULL, 'NHR2', NULL, NULL, NULL, 6),
(953, NULL, 'PF13480', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_6', NULL, NULL, NULL, 6),
(954, NULL, 'PF08553', NULL, NULL, 'VID27 C-terminal WD40-like domain', NULL, 'VID27', NULL, NULL, NULL, 6),
(955, NULL, 'PF03788', NULL, NULL, 'LrgA family', NULL, 'LrgA', NULL, NULL, NULL, 6),
(956, NULL, 'PF02664', NULL, NULL, 'S-Ribosylhomocysteinase (LuxS)', NULL, 'LuxS', NULL, NULL, NULL, 6),
(957, NULL, 'PF00756', NULL, NULL, 'Putative esterase', NULL, 'Esterase', NULL, NULL, NULL, 6),
(958, NULL, 'PF16560', NULL, NULL, 'Putative mobile pathogenicity island', NULL, 'SAPI', NULL, NULL, NULL, 6),
(959, NULL, 'PF04263', NULL, NULL, 'Thiamin pyrophosphokinase, catalytic domain', NULL, 'TPK_catalytic', NULL, NULL, NULL, 6),
(960, NULL, 'PF00048', NULL, NULL, 'Small cytokines (intecrine/chemokine), interleukin-8 like', NULL, 'IL8', NULL, NULL, NULL, 6),
(961, NULL, 'PF09826', NULL, NULL, 'Beta propeller domain', NULL, 'Beta_propel', NULL, NULL, NULL, 6),
(962, NULL, 'PF03956', NULL, NULL, 'Lysine exporter LysO', NULL, 'Lys_export', NULL, NULL, NULL, 6),
(963, NULL, 'PF00088', NULL, NULL, 'Trefoil (P-type) domain', NULL, 'Trefoil', NULL, NULL, NULL, 6),
(964, NULL, 'PF14870', NULL, NULL, 'Photosynthesis system II assembly factor YCF48', NULL, 'PSII_BNR', NULL, NULL, NULL, 6),
(965, NULL, 'PF12418', NULL, NULL, 'Acyl-CoA dehydrogenase N terminal', NULL, 'AcylCoA_DH_N', NULL, NULL, NULL, 6),
(966, NULL, 'PF14593', NULL, NULL, 'PH domain', NULL, 'PH_3', NULL, NULL, NULL, 6),
(967, NULL, 'PF00893', NULL, NULL, 'Small Multidrug Resistance protein', NULL, 'Multi_Drug_Res', NULL, NULL, NULL, 6),
(968, NULL, 'PF02508', NULL, NULL, 'Rnf-Nqr subunit, membrane protein', NULL, 'Rnf-Nqr', NULL, NULL, NULL, 6),
(969, NULL, 'PF06674', NULL, NULL, 'Protein of unknown function (DUF1176)', NULL, 'DUF1176', NULL, NULL, NULL, 6),
(970, NULL, 'PF14803', NULL, NULL, 'Nudix N-terminal', NULL, 'Nudix_N_2', NULL, NULL, NULL, 6),
(971, NULL, 'PF17026', NULL, NULL, 'Putative ribonucleoprotein zinc-finger pf C4 type', NULL, 'zf-RRPl_C4', NULL, NULL, NULL, 6),
(972, NULL, 'PF05692', NULL, NULL, 'Mycoplasma haemagglutinin', NULL, 'Myco_haema', NULL, NULL, NULL, 6),
(973, NULL, 'PF03685', NULL, NULL, 'Uncharacterised protein family (UPF0147)', NULL, 'UPF0147', NULL, NULL, NULL, 6),
(974, NULL, 'PF18938', NULL, NULL, 'Atypical Rib domain', NULL, 'aRib', NULL, NULL, NULL, 6),
(975, NULL, 'PF15346', NULL, NULL, 'Arginine and glutamate-rich 1', NULL, 'ARGLU', NULL, NULL, NULL, 6),
(976, NULL, 'PF10305', NULL, NULL, 'RNA pol II promoter Fmp27 protein domain', NULL, 'Fmp27_SW', NULL, NULL, NULL, 6),
(977, NULL, 'PF16338', NULL, NULL, 'Domain of unknown function (DUF4968)', NULL, 'DUF4968', NULL, NULL, NULL, 6),
(978, NULL, 'PF18512', NULL, NULL, 'Benzylsuccinate synthase beta subunit', NULL, 'BssB_TutG', NULL, NULL, NULL, 6),
(979, NULL, 'PF15005', NULL, NULL, 'Izumo sperm-egg fusion, Ig domain-associated', NULL, 'IZUMO', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(980, NULL, 'PF03592', NULL, NULL, 'Terminase small subunit', NULL, 'Terminase_2', NULL, NULL, NULL, 6),
(981, NULL, 'PF03853', NULL, NULL, 'YjeF-related protein N-terminus', NULL, 'YjeF_N', NULL, NULL, NULL, 6),
(982, NULL, 'PF12565', NULL, NULL, 'Protein of unknown function (DUF3747)', NULL, 'DUF3747', NULL, NULL, NULL, 6),
(983, NULL, 'PF15836', NULL, NULL, 'SSTK-interacting protein, TSSK6-activating co-chaperone protein', NULL, 'SSTK-IP', NULL, NULL, NULL, 6),
(984, NULL, 'PF06600', NULL, NULL, 'Protein of unknown function (DUF1140)', NULL, 'DUF1140', NULL, NULL, NULL, 6),
(985, NULL, 'PF18367', NULL, NULL, 'Rv2175c C-terminal domain of unknown function', NULL, 'Rv2175c_C', NULL, NULL, NULL, 6),
(986, NULL, 'PF11153', NULL, NULL, 'Protein of unknown function (DUF2931)', NULL, 'DUF2931', NULL, NULL, NULL, 6),
(987, NULL, 'PF09457', NULL, NULL, 'FIP domain', NULL, 'RBD-FIP', NULL, NULL, NULL, 6),
(988, NULL, 'PF06999', NULL, NULL, 'Sucrase/ferredoxin-like', NULL, 'Suc_Fer-like', NULL, NULL, NULL, 6),
(989, NULL, 'PF06045', NULL, NULL, 'Rhamnogalacturonate lyase family', NULL, 'Rhamnogal_lyase', NULL, NULL, NULL, 6),
(990, NULL, 'PF03620', NULL, NULL, 'IBV 3C protein', NULL, 'IBV_3C', NULL, NULL, NULL, 6),
(991, NULL, 'PF04522', NULL, NULL, 'Protein of unknown function (DUF585)', NULL, 'DUF585', NULL, NULL, NULL, 6),
(992, NULL, 'PF05561', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF764)', NULL, 'DUF764', NULL, NULL, NULL, 6),
(993, NULL, 'PF01001', NULL, NULL, 'Hepatitis C virus non-structural protein NS4b', NULL, 'HCV_NS4b', NULL, NULL, NULL, 6),
(994, NULL, 'PF08504', NULL, NULL, 'Runx inhibition domain', NULL, 'RunxI', NULL, NULL, NULL, 6),
(995, NULL, 'PF10074', NULL, NULL, 'Uncharacterized conserved protein (DUF2285)', NULL, 'DUF2285', NULL, NULL, NULL, 6),
(996, NULL, 'PF04185', NULL, NULL, 'Phosphoesterase family', NULL, 'Phosphoesterase', NULL, NULL, NULL, 6),
(997, NULL, 'PF00236', NULL, NULL, 'Glycoprotein hormone', NULL, 'Hormone_6', NULL, NULL, NULL, 6),
(998, NULL, 'PF16129', NULL, NULL, 'Domain of unknown function (DUF4841)', NULL, 'DUF4841', NULL, NULL, NULL, 6),
(999, NULL, 'PF16329', NULL, NULL, 'Pestivirus envelope glycoprotein E2', NULL, 'Pestivirus_E2', NULL, NULL, NULL, 6),
(1000, NULL, 'PF07233', NULL, NULL, 'Protein of unknown function (DUF1425)', NULL, 'DUF1425', NULL, NULL, NULL, 6),
(1001, NULL, 'PF05620', NULL, NULL, 'SRP-independent targeting protein 2/TMEM208', NULL, 'TMEM208_SND2', NULL, NULL, NULL, 6),
(1002, NULL, 'PF11403', NULL, NULL, 'Yeast metallothionein', NULL, 'Yeast_MT', NULL, NULL, NULL, 6),
(1003, NULL, 'PF07125', NULL, NULL, 'Protein of unknown function (DUF1378)', NULL, 'DUF1378', NULL, NULL, NULL, 6),
(1004, NULL, 'PF14777', NULL, NULL, 'Cilia BBSome complex subunit 10', NULL, 'BBIP10', NULL, NULL, NULL, 6),
(1005, NULL, 'PF07643', NULL, NULL, 'Protein of unknown function (DUF1598)', NULL, 'DUF1598', NULL, NULL, NULL, 6),
(1006, NULL, 'PF11352', NULL, NULL, 'Protein of unknown function (DUF3155)', NULL, 'DUF3155', NULL, NULL, NULL, 6),
(1007, NULL, 'PF13095', NULL, NULL, 'Kinetochore Sim4 complex subunit FTA2', NULL, 'FTA2', NULL, NULL, NULL, 6),
(1008, NULL, 'PF00151', NULL, NULL, 'Lipase', NULL, 'Lipase', NULL, NULL, NULL, 6),
(1009, NULL, 'PF17161', NULL, NULL, 'Domain of unknown function (DUF5123)', NULL, 'DUF5123', NULL, NULL, NULL, 6),
(1010, NULL, 'PF18455', NULL, NULL, 'Gamma-aminobutyric acid type B receptor subunit 2 coiled-coil domain', NULL, 'GBR2_CC', NULL, NULL, NULL, 6),
(1011, NULL, 'PF01338', NULL, NULL, 'Bacillus thuringiensis toxin', NULL, 'Bac_thur_toxin', NULL, NULL, NULL, 6),
(1012, NULL, 'PF13366', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_3', NULL, NULL, NULL, 6),
(1013, NULL, 'PF05767', NULL, NULL, 'Poxvirus virion envelope protein A14', NULL, 'Pox_A14', NULL, NULL, NULL, 6),
(1014, NULL, 'PF08869', NULL, NULL, 'XisI protein', NULL, 'XisI', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1015, NULL, 'PF16119', NULL, NULL, 'Domain of unknown function (DUF4835)', NULL, 'DUF4835', NULL, NULL, NULL, 6),
(1016, NULL, 'PF09562', NULL, NULL, 'LlaMI restriction endonuclease', NULL, 'RE_LlaMI', NULL, NULL, NULL, 6),
(1017, NULL, 'PF08833', NULL, NULL, 'Axin beta-catenin binding motif', NULL, 'Axin_b-cat_bind', NULL, NULL, NULL, 6),
(1018, NULL, 'PF17065', NULL, NULL, 'Putative cytokine, C6ORF120', NULL, 'UPF0669', NULL, NULL, NULL, 6),
(1019, NULL, 'PF09921', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2153)', NULL, 'DUF2153', NULL, NULL, NULL, 6),
(1020, NULL, 'PF13716', NULL, NULL, 'Divergent CRAL/TRIO domain', NULL, 'CRAL_TRIO_2', NULL, NULL, NULL, 6),
(1021, NULL, 'PF16535', NULL, NULL, 'Type III cell invasion protein SipB', NULL, 'T3SSipB', NULL, NULL, NULL, 6),
(1022, NULL, 'PF14492', NULL, NULL, 'Elongation Factor G, domain III', NULL, 'EFG_III', NULL, NULL, NULL, 6),
(1023, NULL, 'PF15168', NULL, NULL, 'Triple QxxK/R motif-containing protein family', NULL, 'TRIQK', NULL, NULL, NULL, 6),
(1024, NULL, 'PF14371', NULL, NULL, 'Domain of unknown function (DUF4412)', NULL, 'DUF4412', NULL, NULL, NULL, 6),
(1025, NULL, 'PF13322', NULL, NULL, 'Domain of unknown function (DUF4092)', NULL, 'DUF4092', NULL, NULL, NULL, 6),
(1026, NULL, 'PF04929', NULL, NULL, 'Herpes DNA replication accessory factor', NULL, 'Herpes_DNAp_acc', NULL, NULL, NULL, 6),
(1027, NULL, 'PF14754', NULL, NULL, 'Papain-like auto-proteinase', NULL, 'IFR3_antag', NULL, NULL, NULL, 6),
(1028, NULL, 'PF10140', NULL, NULL, 'WXG100 protein secretion system (Wss), protein YukC', NULL, 'YukC', NULL, NULL, NULL, 6),
(1029, NULL, 'PF10083', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2321)', NULL, 'DUF2321', NULL, NULL, NULL, 6),
(1030, NULL, 'PF13421', NULL, NULL, 'SPFH domain-Band 7 family', NULL, 'Band_7_1', NULL, NULL, NULL, 6),
(1031, NULL, 'PF12169', NULL, NULL, 'DNA polymerase III subunits gamma and tau domain III', NULL, 'DNA_pol3_gamma3', NULL, NULL, NULL, 6),
(1032, NULL, 'PF14544', NULL, NULL, 'Domain of unknown function (DUF4443)', NULL, 'DUF4443', NULL, NULL, NULL, 6),
(1033, NULL, 'PF04077', NULL, NULL, 'DsrH like protein', NULL, 'DsrH', NULL, NULL, NULL, 6),
(1034, NULL, 'PF13167', NULL, NULL, 'GTP-binding GTPase N-terminal', NULL, 'GTP-bdg_N', NULL, NULL, NULL, 6),
(1035, NULL, 'PF02976', NULL, NULL, 'DNA mismatch repair enzyme MutH', NULL, 'MutH', NULL, NULL, NULL, 6),
(1036, NULL, 'PF02390', NULL, NULL, 'Putative methyltransferase', NULL, 'Methyltransf_4', NULL, NULL, NULL, 6),
(1037, NULL, 'PF08126', NULL, NULL, 'Propeptide_C25', NULL, 'Propeptide_C25', NULL, NULL, NULL, 6),
(1038, NULL, 'PF00965', NULL, NULL, 'Tissue inhibitor of metalloproteinase', NULL, 'TIMP', NULL, NULL, NULL, 6),
(1039, NULL, 'PF00243', NULL, NULL, 'Nerve growth factor family', NULL, 'NGF', NULL, NULL, 3, 6),
(1040, NULL, 'PF09454', NULL, NULL, 'Vps23 core domain', NULL, 'Vps23_core', NULL, NULL, NULL, 6),
(1041, NULL, 'PF09163', NULL, NULL, 'Formate dehydrogenase N, transmembrane', NULL, 'Form-deh_trans', NULL, NULL, NULL, 6),
(1042, NULL, 'PF01186', NULL, NULL, 'Lysyl oxidase', NULL, 'Lysyl_oxidase', NULL, NULL, NULL, 6),
(1043, NULL, 'PF08238', NULL, NULL, 'Sel1 repeat', NULL, 'Sel1', NULL, NULL, NULL, 6),
(1044, NULL, 'PF05994', NULL, NULL, 'Cytoplasmic Fragile-X interacting family', NULL, 'FragX_IP', NULL, NULL, NULL, 6),
(1045, NULL, 'PF03367', NULL, NULL, 'ZPR1 zinc-finger domain', NULL, 'zf-ZPR1', NULL, NULL, NULL, 6),
(1046, NULL, 'PF16729', NULL, NULL, 'Domain of unknown function (DUF5067)', NULL, 'DUF5067', NULL, NULL, NULL, 6),
(1047, NULL, 'PF19017', NULL, NULL, 'Domain of unknown function (DUF5746)', NULL, 'DUF5746', NULL, NULL, NULL, 6),
(1048, NULL, 'PF07974', NULL, NULL, 'EGF-like domain', NULL, 'EGF_2', NULL, NULL, NULL, 6),
(1049, NULL, 'PF17254', NULL, NULL, 'Family of unknown function (DUF5321)', NULL, 'DUF5321', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1050, NULL, 'PF11916', NULL, NULL, 'Vacuolar protein 14 C-terminal Fig4p binding', NULL, 'Vac14_Fig4_bd', NULL, NULL, NULL, 6),
(1051, NULL, 'PF01510', NULL, NULL, 'N-acetylmuramoyl-L-alanine amidase', NULL, 'Amidase_2', NULL, NULL, NULL, 6),
(1052, NULL, 'PF00510', NULL, NULL, 'Cytochrome c oxidase subunit III', NULL, 'COX3', NULL, NULL, NULL, 6),
(1053, NULL, 'PF13653', NULL, NULL, 'Glycerophosphoryl diester phosphodiesterase family', NULL, 'GDPD_2', NULL, NULL, NULL, 6),
(1054, NULL, 'PF18173', NULL, NULL, 'Bacterial HORMA domain 2', NULL, 'bacHORMA_2', NULL, NULL, NULL, 6),
(1055, NULL, 'PF00364', NULL, NULL, 'Biotin-requiring enzyme', NULL, 'Biotin_lipoyl', NULL, NULL, NULL, 6),
(1056, NULL, 'PF10187', NULL, NULL, 'FAM192A/Fyv6, N-terminal domain', NULL, 'FAM192A_Fyv6_N', NULL, NULL, NULL, 6),
(1057, NULL, 'PF16812', NULL, NULL, 'C-terminal head domain of the fowl adenovirus type 1 long fibre', NULL, 'AdHead_fibreRBD', NULL, NULL, NULL, 6),
(1058, NULL, 'PF06533', NULL, NULL, 'Protein of unknown function (DUF1110)', NULL, 'DUF1110', NULL, NULL, NULL, 6),
(1059, NULL, 'PF17246', NULL, NULL, 'Cell division control protein 24, OB domain 1', NULL, 'CDC24_OB1', NULL, NULL, NULL, 6),
(1060, NULL, 'PF07107', NULL, NULL, 'Wound-induced protein WI12', NULL, 'WI12', NULL, NULL, NULL, 6),
(1061, NULL, 'PF17733', NULL, NULL, 'Family of unknown function (DUF5572)', NULL, 'DUF5572', NULL, NULL, NULL, 6),
(1062, NULL, 'PF17649', NULL, NULL, 'Vacuolar protein sorting 38', NULL, 'VPS38', NULL, NULL, NULL, 6),
(1063, NULL, 'PF12728', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_17', NULL, NULL, NULL, 6),
(1064, NULL, 'PF01308', NULL, NULL, 'Chlamydia major outer membrane protein', NULL, 'Chlam_OMP', NULL, NULL, NULL, 6),
(1065, NULL, 'PF17826', NULL, NULL, 'Family of unknown function (DUF5588)', NULL, 'DUF5588', NULL, NULL, NULL, 6),
(1066, NULL, 'PF06124', NULL, NULL, 'Staphylococcal protein of unknown function (DUF960)', NULL, 'DUF960', NULL, NULL, NULL, 6),
(1067, NULL, 'PF04586', NULL, NULL, 'Caudovirus prohead serine protease', NULL, 'Peptidase_S78', NULL, NULL, NULL, 6),
(1068, NULL, 'PF03970', NULL, NULL, 'Herpesvirus UL37 tegument protein', NULL, 'Herpes_UL37_1', NULL, NULL, NULL, 6),
(1069, NULL, 'PF06347', NULL, NULL, 'Bacterial SH3 domain', NULL, 'SH3_4', NULL, NULL, NULL, 6),
(1070, NULL, 'PF10772', NULL, NULL, 'Protein of unknown function (DUF2597)', NULL, 'DUF2597', NULL, NULL, NULL, 6),
(1071, NULL, 'PF11964', NULL, NULL, 'SpoIIAA-like', NULL, 'SpoIIAA-like', NULL, NULL, NULL, 6),
(1072, NULL, 'PF05411', NULL, NULL, 'Equine arteritis virus putative proteinase', NULL, 'Peptidase_C32', NULL, NULL, NULL, 6),
(1073, NULL, 'PF12592', NULL, NULL, 'Protein of unknown function (DUF3763)', NULL, 'DUF3763', NULL, NULL, NULL, 6),
(1074, NULL, 'PF16138', NULL, NULL, 'Domain of unknown function (4846)', NULL, 'DUF4846', NULL, NULL, NULL, 6),
(1075, NULL, 'PF15423', NULL, NULL, 'FLYWCH-type zinc finger-containing protein', NULL, 'FLYWCH_N', NULL, NULL, NULL, 6),
(1076, NULL, 'PF05459', NULL, NULL, 'Herpesvirus transcriptional regulator family', NULL, 'Herpes_UL69', NULL, NULL, NULL, 6),
(1077, NULL, 'PF01885', NULL, NULL, 'RNA 2''-phosphotransferase, Tpt1 / KptA family', NULL, 'PTS_2-RNA', NULL, NULL, NULL, 6),
(1078, NULL, 'PF15388', NULL, NULL, 'Protein Family FAM117', NULL, 'FAM117', NULL, NULL, NULL, 6),
(1079, NULL, 'PF19160', NULL, NULL, 'SPARK', NULL, 'SPARK', NULL, NULL, NULL, 6),
(1080, NULL, 'PF18392', NULL, NULL, 'COP9 signalosome complex subunit 7a helix I domain', NULL, 'CSN7a_helixI', NULL, NULL, NULL, 6),
(1081, NULL, 'PF04666', NULL, NULL, 'N-Acetylglucosaminyltransferase-IV (GnT-IV) conserved region', NULL, 'Glyco_transf_54', NULL, NULL, NULL, 6),
(1082, NULL, 'PF15937', NULL, NULL, 'prlF antitoxin for toxin YhaV_toxin', NULL, 'PrlF_antitoxin', NULL, NULL, NULL, 6),
(1083, NULL, 'PF13453', NULL, NULL, 'Transcription factor zinc-finger', NULL, 'zf-TFIIB', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1084, NULL, 'PF12139', NULL, NULL, 'Adenosine-5''-phosphosulfate reductase beta subunit', NULL, 'APS-reductase_C', NULL, NULL, NULL, 6),
(1085, NULL, 'PF06725', NULL, NULL, '3D domain', NULL, '3D', NULL, NULL, NULL, 6),
(1086, NULL, 'PF14495', NULL, NULL, 'Cytochrome c-550 domain', NULL, 'Cytochrom_C550', NULL, NULL, NULL, 6),
(1087, NULL, 'PF07332', NULL, NULL, 'Putative Actinobacterial Holin-X, holin superfamily III', NULL, 'Phage_holin_3_6', NULL, NULL, NULL, 6),
(1088, NULL, 'PF00750', NULL, NULL, 'tRNA synthetases class I (R)', NULL, 'tRNA-synt_1d', NULL, NULL, NULL, 6),
(1089, NULL, 'PF04140', NULL, NULL, 'Isoprenylcysteine carboxyl methyltransferase (ICMT) family', NULL, 'ICMT', NULL, NULL, NULL, 6),
(1090, NULL, 'PF04480', NULL, NULL, 'Protein of unknown function (DUF559)', NULL, 'DUF559', NULL, NULL, NULL, 6),
(1091, NULL, 'PF05675', NULL, NULL, 'Protein of unknown function (DUF817)', NULL, 'DUF817', NULL, NULL, NULL, 6),
(1092, NULL, 'PF01263', NULL, NULL, 'Aldose 1-epimerase', NULL, 'Aldose_epim', NULL, NULL, NULL, 6),
(1093, NULL, 'PF01791', NULL, NULL, 'DeoC/LacD family aldolase', NULL, 'DeoC', NULL, NULL, NULL, 6),
(1094, NULL, 'PF05166', NULL, NULL, 'YcgL domain', NULL, 'YcgL', NULL, NULL, NULL, 6),
(1095, NULL, 'PF03424', NULL, NULL, 'Carbohydrate binding domain (family 17/28)', NULL, 'CBM_17_28', NULL, NULL, NULL, 6),
(1096, NULL, 'PF00394', NULL, NULL, 'Multicopper oxidase', NULL, 'Cu-oxidase', NULL, NULL, NULL, 6),
(1097, NULL, 'PF08139', NULL, NULL, 'Prokaryotic membrane lipoprotein lipid attachment site', NULL, 'LPAM_1', NULL, NULL, NULL, 6),
(1098, NULL, 'PF10464', NULL, NULL, 'Peptidase U40', NULL, 'Peptidase_U40', NULL, NULL, NULL, 6),
(1099, NULL, 'PF10428', NULL, NULL, 'RAM signalling pathway protein', NULL, 'SOG2', NULL, NULL, NULL, 6),
(1100, NULL, 'PF13071', NULL, NULL, 'Protein of unknown function (DUF3935)', NULL, 'DUF3935', NULL, NULL, NULL, 6),
(1101, NULL, 'PF14736', NULL, NULL, 'Protein N-terminal asparagine amidohydrolase', NULL, 'N_Asn_amidohyd', NULL, NULL, NULL, 6),
(1102, NULL, 'PF08328', NULL, NULL, 'Adenylosuccinate lyase C-terminal', NULL, 'ASL_C', NULL, NULL, NULL, 6),
(1103, NULL, 'PF15357', NULL, NULL, 'Psoriasis susceptibility 1 candidate 1', NULL, 'SEEK1', NULL, NULL, NULL, 6),
(1104, NULL, 'PF12679', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_2', NULL, NULL, NULL, 6),
(1105, NULL, 'PF13707', NULL, NULL, 'RloB-like protein', NULL, 'RloB', NULL, NULL, NULL, 6),
(1106, NULL, 'PF07528', NULL, NULL, 'DZF domain', NULL, 'DZF', NULL, NULL, NULL, 6),
(1107, NULL, 'PF16708', NULL, NULL, 'Lipoprotein confined to pathogenic Mycobacterium', NULL, 'LppA', NULL, NULL, NULL, 6),
(1108, NULL, 'PF17655', NULL, NULL, 'Inward rectifier potassium channel C-terminal domain', NULL, 'IRK_C', NULL, NULL, NULL, 6),
(1109, NULL, 'PF15027', NULL, NULL, 'Domain of unknown function (DUF4525)', NULL, 'DUF4525', NULL, NULL, NULL, 6),
(1110, NULL, 'PF05645', NULL, NULL, 'RNA polymerase III subunit RPC82', NULL, 'RNA_pol_Rpc82', NULL, NULL, NULL, 6),
(1111, NULL, 'PF18446', NULL, NULL, 'Domain of unknown function (DUF5611)', NULL, 'DUF5611', NULL, NULL, NULL, 6),
(1112, NULL, 'PF00327', NULL, NULL, 'Ribosomal protein L30p/L7e', NULL, 'Ribosomal_L30', NULL, NULL, NULL, 6),
(1113, NULL, 'PF01213', NULL, NULL, 'Adenylate cyclase associated (CAP) N terminal', NULL, 'CAP_N', NULL, NULL, NULL, 6),
(1114, NULL, 'PF01389', NULL, NULL, 'OmpA-like transmembrane domain', NULL, 'OmpA_membrane', NULL, NULL, NULL, 6),
(1115, NULL, 'PF06307', NULL, NULL, 'Herpesvirus IR6 protein', NULL, 'Herpes_IR6', NULL, NULL, NULL, 6),
(1116, NULL, 'PF16768', NULL, NULL, 'Nucleoporin homology of Germinal-centre associated nuclear protein', NULL, 'NupH_GANP', NULL, NULL, NULL, 6),
(1117, NULL, 'PF14462', NULL, NULL, 'Prokaryotic E2 family E', NULL, 'Prok-E2_E', NULL, NULL, NULL, 6),
(1118, NULL, 'PF17437', NULL, NULL, 'Family of unknown function (DUF5416)', NULL, 'DUF5416', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1119, NULL, 'PF06295', NULL, NULL, 'Protein of unknown function (DUF1043)', NULL, 'DUF1043', NULL, NULL, NULL, 6),
(1120, NULL, 'PF06853', NULL, NULL, 'Protein of unknown function (DUF1249)', NULL, 'DUF1249', NULL, NULL, NULL, 6),
(1121, NULL, 'PF07972', NULL, NULL, 'NrdI Flavodoxin like', NULL, 'Flavodoxin_NdrI', NULL, NULL, NULL, 6),
(1122, NULL, 'PF06720', NULL, NULL, 'Bacteriophage phi-29 early protein GP16.7', NULL, 'Phi-29_GP16_7', NULL, NULL, NULL, 6),
(1123, NULL, 'PF05042', NULL, NULL, 'Caleosin related protein', NULL, 'Caleosin', NULL, NULL, NULL, 6),
(1124, NULL, 'PF09857', NULL, NULL, 'Putative toxin of bacterial toxin-antitoxin pair', NULL, 'YjhX_toxin', NULL, NULL, NULL, 6),
(1125, NULL, 'PF10861', NULL, NULL, 'Protein of Unknown function (DUF2784)', NULL, 'DUF2784', NULL, NULL, NULL, 6),
(1126, NULL, 'PF08112', NULL, NULL, 'ATP synthase epsilon subunit', NULL, 'ATP-synt_E_2', NULL, NULL, NULL, 6),
(1127, NULL, 'PF06844', NULL, NULL, 'Protein of unknown function (DUF1244)', NULL, 'DUF1244', NULL, NULL, NULL, 6),
(1128, NULL, 'PF12359', NULL, NULL, 'Protein of unknown function (DUF3645)', NULL, 'DUF3645', NULL, NULL, NULL, 6),
(1129, NULL, 'PF07141', NULL, NULL, 'Putative bacteriophage terminase small subunit', NULL, 'Phage_term_sma', NULL, NULL, NULL, 6),
(1130, NULL, 'PF11267', NULL, NULL, 'Domain of unknown function (DUF3067)', NULL, 'DUF3067', NULL, NULL, NULL, 6),
(1131, NULL, 'PF09198', NULL, NULL, 'Bacteriophage T4 beta-glucosyltransferase', NULL, 'T4-Gluco-transf', NULL, NULL, NULL, 6),
(1132, NULL, 'PF09387', NULL, NULL, 'Mitochondrial RNA binding protein MRP', NULL, 'MRP', NULL, NULL, NULL, 6),
(1133, NULL, 'PF06480', NULL, NULL, 'FtsH Extracellular', NULL, 'FtsH_ext', NULL, NULL, NULL, 6),
(1134, NULL, 'PF05671', NULL, NULL, 'GETHR pentapeptide repeat (5 copies)', NULL, 'GETHR', NULL, NULL, NULL, 6),
(1135, NULL, 'PF14919', NULL, NULL, 'MDM2-binding', NULL, 'MTBP_mid', NULL, NULL, NULL, 6),
(1136, NULL, 'PF11687', NULL, NULL, 'Domain of unknown function (DUF3284)', NULL, 'DUF3284', NULL, NULL, NULL, 6),
(1137, NULL, 'PF19025', NULL, NULL, 'Family of unknown function (DUF5751)', NULL, 'DUF5751', NULL, NULL, NULL, 6),
(1138, NULL, 'PF02815', NULL, NULL, 'MIR domain', NULL, 'MIR', NULL, NULL, NULL, 6),
(1139, NULL, 'PF12065', NULL, NULL, 'Protein of unknown function (DUF3545)', NULL, 'DUF3545', NULL, NULL, NULL, 6),
(1140, NULL, 'PF10382', NULL, NULL, 'Protein of unknown function (DUF2439)', NULL, 'DUF2439', NULL, NULL, NULL, 6),
(1141, NULL, 'PF07841', NULL, NULL, 'DM4/DM12 family', NULL, 'DM4_12', NULL, NULL, NULL, 6),
(1142, NULL, 'PF11059', NULL, NULL, 'Protein of unknown function (DUF2860)', NULL, 'DUF2860', NULL, NULL, NULL, 6),
(1143, NULL, 'PF13337', NULL, NULL, 'Putative ATP-dependent Lon protease', NULL, 'Lon_2', NULL, NULL, NULL, 6),
(1144, NULL, 'PF02122', NULL, NULL, 'Peptidase S39', NULL, 'Peptidase_S39', NULL, NULL, NULL, 6),
(1145, NULL, 'PF08031', NULL, NULL, 'Berberine and berberine like', NULL, 'BBE', NULL, NULL, NULL, 6),
(1146, NULL, 'PF15004', NULL, NULL, 'Myeloma-overexpressed-like', NULL, 'MYEOV2', NULL, NULL, NULL, 6),
(1147, NULL, 'PF11238', NULL, NULL, 'Protein of unknown function (DUF3039)', NULL, 'DUF3039', NULL, NULL, NULL, 6),
(1148, NULL, 'PF00154', NULL, NULL, 'recA bacterial DNA recombination protein', NULL, 'RecA', NULL, NULL, NULL, 6),
(1149, NULL, 'PF15573', NULL, NULL, 'Immunity protein 47', NULL, 'Imm47', NULL, NULL, NULL, 6),
(1150, NULL, 'PF04383', NULL, NULL, 'KilA-N domain', NULL, 'KilA-N', NULL, NULL, NULL, 6),
(1151, NULL, 'PF15670', NULL, NULL, 'Spermatid maturation protein 1', NULL, 'Spem1', NULL, NULL, NULL, 6),
(1152, NULL, 'PF18615', NULL, NULL, 'Short myomegalin-like EB1 binding proteins, N-terminal domain', NULL, 'SMYLE_N', NULL, NULL, NULL, 6),
(1153, NULL, 'PF01473', NULL, NULL, 'Putative cell wall binding repeat', NULL, 'Choline_bind_1', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1154, NULL, 'PF16377', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4987', NULL, NULL, NULL, 6),
(1155, NULL, 'PF00206', NULL, NULL, 'Lyase', NULL, 'Lyase_1', NULL, NULL, NULL, 6),
(1156, NULL, 'PF12432', NULL, NULL, 'Protein of unknown function (DUF3677)', NULL, 'DUF3677', NULL, NULL, NULL, 6),
(1157, NULL, 'PF00162', NULL, NULL, 'Phosphoglycerate kinase', NULL, 'PGK', NULL, NULL, NULL, 6),
(1158, NULL, 'PF11730', NULL, NULL, 'Protein of unknown function (DUF3297)', NULL, 'DUF3297', NULL, NULL, NULL, 6),
(1159, NULL, 'PF15593', NULL, NULL, 'Immunity protein 42', NULL, 'Imm42', NULL, NULL, NULL, 6),
(1160, NULL, 'PF14703', NULL, NULL, 'Cytosolic domain of 10TM putative phosphate transporter', NULL, 'PHM7_cyt', NULL, NULL, NULL, 6),
(1161, NULL, 'PF13765', NULL, NULL, 'SPRY-associated domain', NULL, 'PRY', NULL, NULL, NULL, 6),
(1162, NULL, 'PF17478', NULL, NULL, 'Rotavirus VP4 helical domain', NULL, 'VP4_helical', NULL, NULL, NULL, 6),
(1163, NULL, 'PF01288', NULL, NULL, '7,8-dihydro-6-hydroxymethylpterin-pyrophosphokinase (HPPK)', NULL, 'HPPK', NULL, NULL, NULL, 6),
(1164, NULL, 'PF09960', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2194)', NULL, 'DUF2194', NULL, NULL, NULL, 6),
(1165, NULL, 'PF03199', NULL, NULL, 'Eukaryotic glutathione synthase', NULL, 'GSH_synthase', NULL, NULL, NULL, 6),
(1166, NULL, 'PF02309', NULL, NULL, 'AUX/IAA family', NULL, 'AUX_IAA', NULL, NULL, NULL, 6),
(1167, NULL, 'PF04845', NULL, NULL, 'PurA ssDNA and RNA-binding protein', NULL, 'PurA', NULL, NULL, NULL, 6),
(1168, NULL, 'PF12960', NULL, NULL, 'Protein of unknown function (DUF3849)', NULL, 'DUF3849', NULL, NULL, NULL, 6),
(1169, NULL, 'PF02996', NULL, NULL, 'Prefoldin subunit', NULL, 'Prefoldin', NULL, NULL, NULL, 6),
(1170, NULL, 'PF15291', NULL, NULL, 'Dermcidin, antibiotic peptide', NULL, 'Dermcidin', NULL, NULL, NULL, 6),
(1171, NULL, 'PF14633', NULL, NULL, 'SH2 domain', NULL, 'SH2_2', NULL, NULL, NULL, 6),
(1172, NULL, 'PF15058', NULL, NULL, 'Speriolin N terminus', NULL, 'Speriolin_N', NULL, NULL, NULL, 6),
(1173, NULL, 'PF05033', NULL, NULL, 'Pre-SET motif', NULL, 'Pre-SET', NULL, NULL, NULL, 6),
(1174, NULL, 'PF04205', NULL, NULL, 'FMN-binding domain', NULL, 'FMN_bind', NULL, NULL, NULL, 6),
(1175, NULL, 'PF16631', NULL, NULL, 'Unstructured region 4 on terminal uridylyltransferase 7', NULL, 'TUTF7_u4', NULL, NULL, NULL, 6),
(1176, NULL, 'PF01225', NULL, NULL, 'Mur ligase family, catalytic domain', NULL, 'Mur_ligase', NULL, NULL, NULL, 6),
(1177, NULL, 'PF04437', NULL, NULL, 'RINT-1 / TIP-1 family', NULL, 'RINT1_TIP1', NULL, NULL, NULL, 6),
(1178, NULL, 'PF11644', NULL, NULL, 'Protein of unknown function (DUF3256)', NULL, 'DUF3256', NULL, NULL, NULL, 6),
(1179, NULL, 'PF11599', NULL, NULL, 'RRNA methyltransferase AviRa', NULL, 'AviRa', NULL, NULL, NULL, 6),
(1180, NULL, 'PF00215', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase / HUMPS family', NULL, 'OMPdecase', NULL, NULL, NULL, 6),
(1181, NULL, 'PF08519', NULL, NULL, 'Replication factor RFC1 C terminal domain', NULL, 'RFC1', NULL, NULL, NULL, 6),
(1182, NULL, 'PF07819', NULL, NULL, 'PGAP1-like protein', NULL, 'PGAP1', NULL, NULL, NULL, 6),
(1183, NULL, 'PF16608', NULL, NULL, 'TNRC6-PABC binding domain', NULL, 'TNRC6-PABC_bdg', NULL, NULL, NULL, 6),
(1184, NULL, 'PF19128', NULL, NULL, 'Family of unknown function (DUF5811)', NULL, 'DUF5811', NULL, NULL, NULL, 6),
(1185, NULL, 'PF14053', NULL, NULL, 'Domain of unknown function (DUF4248)', NULL, 'DUF4248', NULL, NULL, NULL, 6),
(1186, NULL, 'PF11717', NULL, NULL, 'RNA binding activity-knot of a chromodomain', NULL, 'Tudor-knot', NULL, NULL, NULL, 6),
(1187, NULL, 'PF01918', NULL, NULL, 'Alba', NULL, 'Alba', NULL, NULL, NULL, 6),
(1188, NULL, 'PF09730', NULL, NULL, 'Microtubule-associated protein Bicaudal-D', NULL, 'BicD', NULL, NULL, NULL, 6),
(1189, NULL, 'PF09707', NULL, NULL, 'CRISPR-associated protein (Cas_Cas2CT1978)', NULL, 'Cas_Cas2CT1978', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1190, NULL, 'PF09717', NULL, NULL, 'Plasmodium falciparum domain of unknown function (CPW_WPC)', NULL, 'CPW_WPC', NULL, NULL, NULL, 6),
(1191, NULL, 'PF03076', NULL, NULL, 'Equine arteritis virus GP3', NULL, 'GP3', NULL, NULL, NULL, 6),
(1192, NULL, 'PF02536', NULL, NULL, 'mTERF', NULL, 'mTERF', NULL, NULL, NULL, 6),
(1193, NULL, 'PF13467', NULL, NULL, 'Ribbon-helix-helix domain', NULL, 'RHH_4', NULL, NULL, NULL, 6),
(1194, NULL, 'PF10877', NULL, NULL, 'Protein of unknown function (DUF2671)', NULL, 'DUF2671', NULL, NULL, NULL, 6),
(1195, NULL, 'PF08479', NULL, NULL, 'POTRA domain, ShlB-type', NULL, 'POTRA_2', NULL, NULL, NULL, 6),
(1196, NULL, 'PF08960', NULL, NULL, 'Domain of unknown function (DUF1874)', NULL, 'DUF1874', NULL, NULL, NULL, 6),
(1197, NULL, 'PF09115', NULL, NULL, 'DNA polymerase III, delta subunit, C terminal', NULL, 'DNApol3-delta_C', NULL, NULL, NULL, 6),
(1198, NULL, 'PF06806', NULL, NULL, 'Putative excisionase (DUF1233)', NULL, 'DUF1233', NULL, NULL, NULL, 6),
(1199, NULL, 'PF05402', NULL, NULL, 'Coenzyme PQQ synthesis protein D (PqqD)', NULL, 'PqqD', NULL, NULL, NULL, 6),
(1200, NULL, 'PF09488', NULL, NULL, 'Mannosyl-3-phosphoglycerate synthase (osmo_MPGsynth)', NULL, 'Osmo_MPGsynth', NULL, NULL, NULL, 6),
(1201, NULL, 'PF09584', NULL, NULL, 'Phage shock protein PspD (Phageshock_PspD)', NULL, 'Phageshock_PspD', NULL, NULL, NULL, 6),
(1202, NULL, 'PF05784', NULL, NULL, 'Betaherpesvirus UL82/83 protein N terminus', NULL, 'Herpes_UL82_83', NULL, NULL, NULL, 6),
(1203, NULL, 'PF17479', NULL, NULL, 'Protein of unknown function (DUF3048) C-terminal domain', NULL, 'DUF3048_C', NULL, NULL, NULL, 6),
(1204, NULL, 'PF13339', NULL, NULL, 'Apoptosis antagonizing transcription factor', NULL, 'AATF-Che1', NULL, NULL, NULL, 6),
(1205, NULL, 'PF11657', NULL, NULL, 'Transcriptional activator TraM', NULL, 'Activator-TraM', NULL, NULL, NULL, 6),
(1206, NULL, 'PF11018', NULL, NULL, 'Pupal cuticle protein C1', NULL, 'Cuticle_3', NULL, NULL, NULL, 6),
(1207, NULL, 'PF05599', NULL, NULL, 'Deltaretrovirus Tax protein', NULL, 'Deltaretro_Tax', NULL, NULL, NULL, 6),
(1208, NULL, 'PF01324', NULL, NULL, 'Diphtheria toxin, R domain', NULL, 'Diphtheria_R', NULL, NULL, NULL, 6),
(1209, NULL, 'PF04397', NULL, NULL, 'LytTr DNA-binding domain', NULL, 'LytTR', NULL, NULL, NULL, 6),
(1210, NULL, 'PF11947', NULL, NULL, 'Photosynthesis affected mutant 68', NULL, 'DUF3464', NULL, NULL, NULL, 6),
(1211, NULL, 'PF03735', NULL, NULL, 'ENT domain', NULL, 'ENT', NULL, NULL, NULL, 6),
(1212, NULL, 'PF01888', NULL, NULL, 'CbiD', NULL, 'CbiD', NULL, NULL, NULL, 6),
(1213, NULL, 'PF11924', NULL, NULL, 'Inverse autotransporter, beta-domain', NULL, 'IAT_beta', NULL, NULL, NULL, 6),
(1214, NULL, 'PF00089', NULL, NULL, 'Trypsin', NULL, 'Trypsin', NULL, NULL, NULL, 6),
(1215, NULL, 'PF07449', NULL, NULL, 'Hydrogenase-1 expression protein HyaE', NULL, 'HyaE', NULL, NULL, NULL, 6),
(1216, NULL, 'PF09571', NULL, NULL, 'XcyI restriction endonuclease', NULL, 'RE_XcyI', NULL, NULL, NULL, 6),
(1217, NULL, 'PF06736', NULL, NULL, 'Protein of unknown function (DUF1211)', NULL, 'DUF1211', NULL, NULL, NULL, 6),
(1218, NULL, 'PF00054', NULL, NULL, 'Laminin G domain', NULL, 'Laminin_G_1', NULL, NULL, NULL, 6),
(1219, NULL, 'PF09142', NULL, NULL, 'tRNA Pseudouridine synthase II, C terminal', NULL, 'TruB_C', NULL, NULL, NULL, 6),
(1220, NULL, 'PF02740', NULL, NULL, 'Colipase, C-terminal domain', NULL, 'Colipase_C', NULL, NULL, NULL, 6),
(1221, NULL, 'PF00625', NULL, NULL, 'Guanylate kinase', NULL, 'Guanylate_kin', NULL, NULL, NULL, 6),
(1222, NULL, 'PF03194', NULL, NULL, 'LUC7 N_terminus', NULL, 'LUC7', NULL, NULL, NULL, 6),
(1223, NULL, 'PF15771', NULL, NULL, 'Interactor of HORMAD1 protein 1', NULL, 'IHO1', NULL, NULL, NULL, 6),
(1224, NULL, 'PF13913', NULL, NULL, 'zinc-finger of a C2HC-type', NULL, 'zf-C2HC_2', NULL, NULL, NULL, 6),
(1225, NULL, 'PF02451', NULL, NULL, 'Nodulin', NULL, 'Nodulin', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1226, NULL, 'PF01524', NULL, NULL, 'Geminivirus V2 protein', NULL, 'Gemini_V2', NULL, NULL, NULL, 6),
(1227, NULL, 'PF13309', NULL, NULL, 'HTH domain', NULL, 'HTH_22', NULL, NULL, NULL, 6),
(1228, NULL, 'PF05290', NULL, NULL, 'Baculovirus immediate-early protein (IE-0)', NULL, 'Baculo_IE-1', NULL, NULL, NULL, 6),
(1229, NULL, 'PF08391', NULL, NULL, 'Ly49-like protein, N-terminal region', NULL, 'Ly49', NULL, NULL, NULL, 6),
(1230, NULL, 'PF13008', NULL, NULL, 'Zinc-binding domain of Paramyxoviridae V protein', NULL, 'zf-Paramyx-P', NULL, NULL, NULL, 6),
(1231, NULL, 'PF17087', NULL, NULL, 'Herpesvirus US34A protein family', NULL, 'HHV-5_US34A', NULL, NULL, NULL, 6),
(1232, NULL, 'PF13350', NULL, NULL, 'Tyrosine phosphatase family', NULL, 'Y_phosphatase3', NULL, NULL, NULL, 6),
(1233, NULL, 'PF19042', NULL, NULL, 'Nuclear cap binding complex subunit CBP110', NULL, 'CBP110', NULL, NULL, NULL, 6),
(1234, NULL, 'PF09426', NULL, NULL, 'Vacuolar R-SNARE Nyv1 N terminal', NULL, 'Nyv1_N', NULL, NULL, NULL, 6),
(1235, NULL, 'PF07395', NULL, NULL, 'Mig-14', NULL, 'Mig-14', NULL, NULL, NULL, 6),
(1236, NULL, 'PF07384', NULL, NULL, 'Protein of unknown function (DUF1497)', NULL, 'DUF1497', NULL, NULL, NULL, 6),
(1237, NULL, 'PF14338', NULL, NULL, 'Mrr N-terminal domain', NULL, 'Mrr_N', NULL, NULL, NULL, 6),
(1238, NULL, 'PF14826', NULL, NULL, 'FACT complex subunit SPT16 N-terminal lobe domain', NULL, 'FACT-Spt16_Nlob', NULL, NULL, NULL, 6),
(1239, NULL, 'PF18114', NULL, NULL, 'Suv3 helical N-terminal domain', NULL, 'Suv3_N', NULL, NULL, NULL, 6),
(1240, NULL, 'PF09337', NULL, NULL, 'H2C2 zinc finger', NULL, 'zf-H2C2', NULL, NULL, NULL, 6),
(1241, NULL, 'PF14841', NULL, NULL, 'FliG middle domain', NULL, 'FliG_M', NULL, NULL, NULL, 6),
(1242, NULL, 'PF13283', NULL, NULL, 'Bacteriophage N adsorption protein A C-term', NULL, 'NfrA_C', NULL, NULL, NULL, 6),
(1243, NULL, 'PF13188', NULL, NULL, 'PAS domain', NULL, 'PAS_8', NULL, NULL, NULL, 6),
(1244, NULL, 'PF12043', NULL, NULL, 'Domain of unknown function (DUF3527)', NULL, 'DUF3527', NULL, NULL, NULL, 6),
(1245, NULL, 'PF06382', NULL, NULL, 'Protamine and protamine like', NULL, 'Protamine_like', NULL, NULL, NULL, 6),
(1246, NULL, 'PF12148', NULL, NULL, 'Tandem tudor domain within UHRF1', NULL, 'TTD', NULL, NULL, NULL, 6),
(1247, NULL, 'PF14579', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_6', NULL, NULL, NULL, 6),
(1248, NULL, 'PF10155', NULL, NULL, 'CCR4-NOT transcription complex subunit 11', NULL, 'CNOT11', NULL, NULL, NULL, 6),
(1249, NULL, 'PF00407', NULL, NULL, 'Pathogenesis-related protein Bet v 1 family', NULL, 'Bet_v_1', NULL, NULL, NULL, 6),
(1250, NULL, 'PF06250', NULL, NULL, 'YhcG PDDEXK nuclease domain', NULL, 'YhcG_C', NULL, NULL, NULL, 6),
(1251, NULL, 'PF05776', NULL, NULL, 'Papillomavirus E5A protein', NULL, 'Papilloma_E5A', NULL, NULL, NULL, 6),
(1252, NULL, 'PF15599', NULL, NULL, 'Immunity protein 63', NULL, 'Imm63', NULL, NULL, NULL, 6),
(1253, NULL, 'PF12162', NULL, NULL, 'STAT1 TAZ2 binding domain', NULL, 'STAT1_TAZ2bind', NULL, NULL, NULL, 6),
(1254, NULL, 'PF01606', NULL, NULL, 'Arterivirus envelope protein', NULL, 'Arteri_env', NULL, NULL, NULL, 6),
(1255, NULL, 'PF12166', NULL, NULL, 'Piezo non-specific cation channel, R-Ras-binding domain', NULL, 'Piezo_RRas_bdg', NULL, NULL, NULL, 6),
(1256, NULL, 'PF04833', NULL, NULL, 'COBRA-like protein', NULL, 'COBRA', NULL, NULL, NULL, 6),
(1257, NULL, 'PF09192', NULL, NULL, 'Actin-fragmin kinase, catalytic', NULL, 'Act-Frag_cataly', NULL, NULL, NULL, 6),
(1258, NULL, 'PF01779', NULL, NULL, 'Ribosomal L29e protein family', NULL, 'Ribosomal_L29e', NULL, NULL, NULL, 6),
(1259, NULL, 'PF16395', NULL, NULL, 'Domain of unknown function (DUF5004)', NULL, 'DUF5004', NULL, NULL, NULL, 6),
(1260, NULL, 'PF04784', NULL, NULL, 'Protein of unknown function, DUF547', NULL, 'DUF547', NULL, NULL, NULL, 6),
(1261, NULL, 'PF01104', NULL, NULL, 'Bunyavirus non-structural protein NS-s', NULL, 'Bunya_NS-S', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1262, NULL, 'PF18559', NULL, NULL, 'Galactose-binding domain-like', NULL, 'Exop_C', NULL, NULL, NULL, 6),
(1263, NULL, 'PF16116', NULL, NULL, 'Domain of unknown function (DUF4832)', NULL, 'DUF4832', NULL, NULL, NULL, 6),
(1264, NULL, 'PF03414', NULL, NULL, 'Glycosyltransferase family 6', NULL, 'Glyco_transf_6', NULL, NULL, NULL, 6),
(1265, NULL, 'PF13349', NULL, NULL, 'Putative adhesin', NULL, 'DUF4097', NULL, NULL, NULL, 6),
(1266, NULL, 'PF08540', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A synthase C terminal', NULL, 'HMG_CoA_synt_C', NULL, NULL, NULL, 6),
(1267, NULL, 'PF07776', NULL, NULL, 'Zinc-finger associated domain (zf-AD)', NULL, 'zf-AD', NULL, NULL, NULL, 6),
(1268, NULL, 'PF02457', NULL, NULL, 'DisA bacterial checkpoint controller nucleotide-binding', NULL, 'DAC', NULL, NULL, NULL, 6),
(1269, NULL, 'PF11893', NULL, NULL, 'Domain of unknown function (DUF3413)', NULL, 'DUF3413', NULL, NULL, NULL, 6),
(1270, NULL, 'PF04775', NULL, NULL, 'Acyl-CoA thioester hydrolase/BAAT N-terminal region', NULL, 'Bile_Hydr_Trans', NULL, NULL, NULL, 6),
(1271, NULL, 'PF14490', NULL, NULL, 'Helix-hairpin-helix containing domain', NULL, 'HHH_4', NULL, NULL, NULL, 6),
(1272, NULL, 'PF00934', NULL, NULL, 'PE family', NULL, 'PE', NULL, NULL, NULL, 6),
(1273, NULL, 'PF10233', NULL, NULL, 'Uncharacterized conserved protein CG6151-P', NULL, 'Cg6151-P', NULL, NULL, NULL, 6),
(1274, NULL, 'PF09087', NULL, NULL, 'Cyclomaltodextrinase, N-terminal', NULL, 'Cyc-maltodext_N', NULL, NULL, NULL, 6),
(1275, NULL, 'PF04511', NULL, NULL, 'Der1-like family', NULL, 'DER1', NULL, NULL, NULL, 6),
(1276, NULL, 'PF08308', NULL, NULL, 'PEGA domain', NULL, 'PEGA', NULL, NULL, NULL, 6),
(1277, NULL, 'PF05287', NULL, NULL, 'PMG protein', NULL, 'PMG', NULL, NULL, NULL, 6),
(1278, NULL, 'PF13155', NULL, NULL, 'Toprim-like', NULL, 'Toprim_2', NULL, NULL, NULL, 6),
(1279, NULL, 'PF18511', NULL, NULL, 'F-box', NULL, 'F-box_5', NULL, NULL, NULL, 6),
(1280, NULL, 'PF00098', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC', NULL, NULL, NULL, 6),
(1281, NULL, 'PF16459', NULL, NULL, 'Phage tail assembly chaperone, TAC', NULL, 'Phage_TAC_13', NULL, NULL, NULL, 6),
(1282, NULL, 'PF06089', NULL, NULL, 'L-asparaginase II', NULL, 'Asparaginase_II', NULL, NULL, NULL, 6),
(1283, NULL, 'PF12258', NULL, NULL, 'Microcephalin protein', NULL, 'Microcephalin', NULL, NULL, NULL, 6),
(1284, NULL, 'PF00731', NULL, NULL, 'AIR carboxylase', NULL, 'AIRC', NULL, NULL, NULL, 6),
(1285, NULL, 'PF15462', NULL, NULL, 'Bartter syndrome, infantile, with sensorineural deafness (Barttin)', NULL, 'Barttin', NULL, NULL, NULL, 6),
(1286, NULL, 'PF04009', NULL, NULL, 'Protein of unknown function (DUF356)', NULL, 'DUF356', NULL, NULL, NULL, 6),
(1287, NULL, 'PF08934', NULL, NULL, 'Rb C-terminal domain', NULL, 'Rb_C', NULL, NULL, NULL, 6),
(1288, NULL, 'PF08364', NULL, NULL, 'Bacterial translation initiation factor IF-2 associated region', NULL, 'IF2_assoc', NULL, NULL, NULL, 6),
(1289, NULL, 'PF08751', NULL, NULL, 'TrwC relaxase', NULL, 'TrwC', NULL, NULL, NULL, 6),
(1290, NULL, 'PF18368', NULL, NULL, 'Exo-beta-D-glucosaminidase Ig-fold domain', NULL, 'Ig_GlcNase', NULL, NULL, NULL, 6),
(1291, NULL, 'PF18577', NULL, NULL, 'Astrotactin-2 C-terminal beta-hairpin domain', NULL, 'ASTN_2_hairpin', NULL, NULL, NULL, 6),
(1292, NULL, 'PF08880', NULL, NULL, 'QLQ', NULL, 'QLQ', NULL, NULL, NULL, 6),
(1293, NULL, 'PF03799', NULL, NULL, 'Cell division protein FtsQ', NULL, 'FtsQ', NULL, NULL, NULL, 6),
(1294, NULL, 'PF04145', NULL, NULL, 'Ctr copper transporter family', NULL, 'Ctr', NULL, NULL, NULL, 6),
(1295, NULL, 'PF18197', NULL, NULL, 'Domain of unknown function (DUF5602)', NULL, 'DUF5602', NULL, NULL, NULL, 6),
(1296, NULL, 'PF03473', NULL, NULL, 'MOSC domain', NULL, 'MOSC', NULL, NULL, NULL, 6),
(1297, NULL, 'PF01795', NULL, NULL, 'MraW methylase family', NULL, 'Methyltransf_5', NULL, NULL, NULL, 6),
(1298, NULL, 'PF09076', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall_2', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1299, NULL, 'PF19054', NULL, NULL, 'Domain of unknown function (DUF5753)', NULL, 'DUF5753', NULL, NULL, NULL, 6),
(1300, NULL, 'PF05554', NULL, NULL, 'Viral hemorrhagic septicemia virus non-virion protein', NULL, 'Novirhabdo_Nv', NULL, NULL, NULL, 6),
(1301, NULL, 'PF15036', NULL, NULL, 'Interleukin 34', NULL, 'IL34', NULL, NULL, NULL, 6),
(1302, NULL, 'PF02752', NULL, NULL, 'Arrestin (or S-antigen), C-terminal domain', NULL, 'Arrestin_C', NULL, NULL, NULL, 6),
(1303, NULL, 'PF05927', NULL, NULL, 'Penaeidin', NULL, 'Penaeidin', NULL, NULL, NULL, 6),
(1304, NULL, 'PF12017', NULL, NULL, 'Transposase protein', NULL, 'Tnp_P_element', NULL, NULL, NULL, 6),
(1305, NULL, 'PF16808', NULL, NULL, 'Coiled-coil N-terminus of cGMP-dependent protein kinase', NULL, 'PKcGMP_CC', NULL, NULL, NULL, 6),
(1306, NULL, 'PF06617', NULL, NULL, 'M-phase inducer phosphatase', NULL, 'M-inducer_phosp', NULL, NULL, NULL, 6),
(1307, NULL, 'PF11927', NULL, NULL, 'Protein of unknown function (DUF3445)', NULL, 'DUF3445', NULL, NULL, NULL, 6),
(1308, NULL, 'PF06726', NULL, NULL, 'Bladder cancer-related protein BC10', NULL, 'BC10', NULL, NULL, NULL, 6),
(1309, NULL, 'PF09803', NULL, NULL, 'Pet100', NULL, 'Pet100', NULL, NULL, NULL, 6),
(1310, NULL, 'PF08393', NULL, NULL, 'Dynein heavy chain, N-terminal region 2', NULL, 'DHC_N2', NULL, NULL, NULL, 6),
(1311, NULL, 'PF08718', NULL, NULL, 'Glycolipid transfer protein (GLTP)', NULL, 'GLTP', NULL, NULL, NULL, 6),
(1312, NULL, 'PF08668', NULL, NULL, 'HDOD domain', NULL, 'HDOD', NULL, NULL, NULL, 6),
(1313, NULL, 'PF08597', NULL, NULL, 'Translation initiation factor eIF3 subunit', NULL, 'eIF3_subunit', NULL, NULL, NULL, 6),
(1314, NULL, 'PF04814', NULL, NULL, 'Hepatocyte nuclear factor 1 (HNF-1), N terminus', NULL, 'HNF-1_N', NULL, NULL, NULL, 6),
(1315, NULL, 'PF16195', NULL, NULL, 'SUMO-activating enzyme subunit 2 C-terminus', NULL, 'UBA2_C', NULL, NULL, NULL, 6),
(1316, NULL, 'PF08202', NULL, NULL, 'Mis12-Mtw1 protein family', NULL, 'MIS13', NULL, NULL, NULL, 6),
(1317, NULL, 'PF05081', NULL, NULL, 'Protein of unknown function (DUF682)', NULL, 'DUF682', NULL, NULL, NULL, 6),
(1318, NULL, 'PF14541', NULL, NULL, 'Xylanase inhibitor C-terminal', NULL, 'TAXi_C', NULL, NULL, NULL, 6),
(1319, NULL, 'PF11183', NULL, NULL, 'Polymyxin resistance protein PmrD', NULL, 'PmrD', NULL, NULL, NULL, 6),
(1320, NULL, 'PF09510', NULL, NULL, 'Rtt102p-like transcription regulator protein', NULL, 'Rtt102p', NULL, NULL, NULL, 6),
(1321, NULL, 'PF09750', NULL, NULL, 'Alternative splicing regulator', NULL, 'DRY_EERY', NULL, NULL, NULL, 6),
(1322, NULL, 'PF12277', NULL, NULL, 'Protein of unknown function (DUF3618)', NULL, 'DUF3618', NULL, NULL, NULL, 6),
(1323, NULL, 'PF01866', NULL, NULL, 'Putative diphthamide synthesis protein', NULL, 'Diphthamide_syn', NULL, NULL, NULL, 6),
(1324, NULL, 'PF10819', NULL, NULL, 'Protein of unknown function (DUF2564)', NULL, 'DUF2564', NULL, NULL, NULL, 6),
(1325, NULL, 'PF01692', NULL, NULL, 'Paramyxovirus non-structural protein C', NULL, 'Paramyxo_C', NULL, NULL, NULL, 6),
(1326, NULL, 'PF04038', NULL, NULL, 'Dihydroneopterin aldolase', NULL, 'DHNA', NULL, NULL, NULL, 6),
(1327, NULL, 'PF18977', NULL, NULL, 'Family of unknown function (DUF5713)', NULL, 'DUF5713', NULL, NULL, NULL, 6),
(1328, NULL, 'PF18268', NULL, NULL, 'Hit1 C-terminal', NULL, 'Hit1_C', NULL, NULL, NULL, 6),
(1329, NULL, 'PF18332', NULL, NULL, 'Exoribonuclease Xrn1 D1 domain', NULL, 'XRN1_D1', NULL, NULL, NULL, 6),
(1330, NULL, 'PF12071', NULL, NULL, 'Protein of unknown function (DUF3551)', NULL, 'DUF3551', NULL, NULL, NULL, 6),
(1331, NULL, 'PF15743', NULL, NULL, 'Spermatogenesis-associated C-terminus', NULL, 'SPATA1_C', NULL, NULL, NULL, 6),
(1332, NULL, 'PF09228', NULL, NULL, 'Prokaryotic Transcriptional repressor TraM', NULL, 'Prok-TraM', NULL, NULL, NULL, 6),
(1333, NULL, 'PF01852', NULL, NULL, 'START domain', NULL, 'START', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1334, NULL, 'PF10156', NULL, NULL, 'Subunit 17 of Mediator complex', NULL, 'Med17', NULL, NULL, NULL, 6),
(1335, NULL, 'PF12606', NULL, NULL, 'Tumour necrosis factor receptor superfamily member 19', NULL, 'RELT', NULL, NULL, NULL, 6),
(1336, NULL, 'PF15211', NULL, NULL, 'VEGF co-regulated chemokine 1', NULL, 'CXCL17', NULL, NULL, NULL, 6),
(1337, NULL, 'PF18003', NULL, NULL, 'Domain of unknown function (DUF3823_C)', NULL, 'DUF3823_C', NULL, NULL, NULL, 6),
(1338, NULL, 'PF03608', NULL, NULL, 'PTS system enzyme II sorbitol-specific factor', NULL, 'EII-GUT', NULL, NULL, NULL, 6),
(1339, NULL, 'PF15594', NULL, NULL, 'Immunity protein 50', NULL, 'Imm50', NULL, NULL, NULL, 6),
(1340, NULL, 'PF15965', NULL, NULL, 'TRAF-like zinc-finger', NULL, 'zf-TRAF_2', NULL, NULL, NULL, 6),
(1341, NULL, 'PF18412', NULL, NULL, 'Outer-membrane lipoprotein Wza C-terminal domain', NULL, 'Wza_C', NULL, NULL, NULL, 6),
(1342, NULL, 'PF07440', NULL, NULL, 'Caerin 1 protein', NULL, 'Caerin_1', NULL, NULL, NULL, 6),
(1343, NULL, 'PF12177', NULL, NULL, 'Prohormone convertase enzyme', NULL, 'Proho_convert', NULL, NULL, NULL, 6),
(1344, NULL, 'PF01386', NULL, NULL, 'Ribosomal L25p family', NULL, 'Ribosomal_L25p', NULL, NULL, NULL, 6),
(1345, NULL, 'PF17039', NULL, NULL, 'Fucosyltransferase, N-terminal', NULL, 'Glyco_tran_10_N', NULL, NULL, NULL, 6),
(1346, NULL, 'PF04386', NULL, NULL, 'Stringent starvation protein B', NULL, 'SspB', NULL, NULL, NULL, 6),
(1347, NULL, 'PF07082', NULL, NULL, 'Protein of unknown function (DUF1350)', NULL, 'DUF1350', NULL, NULL, NULL, 6),
(1348, NULL, 'PF09880', NULL, NULL, 'Predicted membrane protein (DUF2107)', NULL, 'DUF2107', NULL, NULL, NULL, 6),
(1349, NULL, 'PF09295', NULL, NULL, 'ChAPs (Chs5p-Arf1p-binding proteins)', NULL, 'ChAPs', NULL, NULL, NULL, 6),
(1350, NULL, 'PF11870', NULL, NULL, 'Domain of unknown function (DUF3390)', NULL, 'DUF3390', NULL, NULL, NULL, 6),
(1351, NULL, 'PF01101', NULL, NULL, 'HMG14 and HMG17', NULL, 'HMG14_17', NULL, NULL, NULL, 6),
(1352, NULL, 'PF17591', NULL, NULL, 'Herpesvirus UL41A', NULL, 'UL41A', NULL, NULL, NULL, 6),
(1353, NULL, 'PF15043', NULL, NULL, 'CB1 cannabinoid receptor-interacting protein 1', NULL, 'CNRIP1', NULL, NULL, NULL, 6),
(1354, NULL, 'PF15534', NULL, NULL, 'Bacterial toxin 35', NULL, 'Ntox35', NULL, NULL, NULL, 6),
(1355, NULL, 'PF18674', NULL, NULL, 'TarS beta-glycosyltransferase C-terminal domain 1', NULL, 'TarS_C1', NULL, NULL, NULL, 6),
(1356, NULL, 'PF14917', NULL, NULL, 'Coiled coil protein 74, C terminal', NULL, 'CCDC74_C', NULL, NULL, NULL, 6),
(1357, NULL, 'PF17959', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_14', NULL, NULL, NULL, 6),
(1358, NULL, 'PF02118', NULL, NULL, 'Srg family chemoreceptor', NULL, 'Srg', NULL, NULL, NULL, 6),
(1359, NULL, 'PF13239', NULL, NULL, '2TM domain', NULL, '2TM', NULL, NULL, NULL, 6),
(1360, NULL, 'PF18449', NULL, NULL, 'Delta endotoxin', NULL, 'Endotoxin_C2', NULL, NULL, NULL, 6),
(1361, NULL, 'PF09805', NULL, NULL, 'Nucleolar protein 12 (25kDa)', NULL, 'Nop25', NULL, NULL, NULL, 6),
(1362, NULL, 'PF18594', NULL, NULL, 'Sas6/XLF/XRCC4 coiled-coil domain', NULL, 'Sas6_CC', NULL, NULL, NULL, 6),
(1363, NULL, 'PF05480', NULL, NULL, 'Staphylococcus haemolytic protein', NULL, 'Staph_haemo', NULL, NULL, NULL, 6),
(1364, NULL, 'PF09544', NULL, NULL, 'Protein of unknown function (DUF2381)', NULL, 'DUF2381', NULL, NULL, NULL, 6),
(1365, NULL, 'PF01903', NULL, NULL, 'CbiX', NULL, 'CbiX', NULL, NULL, NULL, 6),
(1366, NULL, 'PF07076', NULL, NULL, 'Protein of unknown function (DUF1344)', NULL, 'DUF1344', NULL, NULL, NULL, 6),
(1367, NULL, 'PF14301', NULL, NULL, 'Domain of unknown function (DUF4376)', NULL, 'DUF4376', NULL, NULL, NULL, 6),
(1368, NULL, 'PF00890', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_2', NULL, NULL, NULL, 6),
(1369, NULL, 'PF17934', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_26', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1370, NULL, 'PF11855', NULL, NULL, 'Protein of unknown function (DUF3375)', NULL, 'DUF3375', NULL, NULL, NULL, 6),
(1371, NULL, 'PF01065', NULL, NULL, 'Hexon, adenovirus major coat protein, N-terminal domain', NULL, 'Adeno_hexon', NULL, NULL, NULL, 6),
(1372, NULL, 'PF09755', NULL, NULL, 'Uncharacterized conserved protein H4 (DUF2046)', NULL, 'DUF2046', NULL, NULL, NULL, 6),
(1373, NULL, 'PF12079', NULL, NULL, 'Protein of unknown function (DUF3558)', NULL, 'DUF3558', NULL, NULL, NULL, 6),
(1374, NULL, 'PF02589', NULL, NULL, 'LUD domain', NULL, 'LUD_dom', NULL, NULL, NULL, 6),
(1375, NULL, 'PF18251', NULL, NULL, 'Fungal defensin Copsin', NULL, 'Defensin_5', NULL, NULL, NULL, 6),
(1376, NULL, 'PF03200', NULL, NULL, 'Glycosyl hydrolase family 63 C-terminal domain', NULL, 'Glyco_hydro_63', NULL, NULL, NULL, 6),
(1377, NULL, 'PF10269', NULL, NULL, 'Transmembrane Fragile-X-F protein', NULL, 'Tmemb_185A', NULL, NULL, NULL, 6),
(1378, NULL, 'PF08024', NULL, NULL, 'Ant antimicrobial peptide', NULL, 'Antimicrobial_4', NULL, NULL, NULL, 6),
(1379, NULL, 'PF17969', NULL, NULL, 'L,D-transpeptidase C-terminal domain', NULL, 'Ldt_C', NULL, NULL, NULL, 6),
(1380, NULL, 'PF06242', NULL, NULL, 'Protein of unknown function (DUF1013)', NULL, 'DUF1013', NULL, NULL, NULL, 6),
(1381, NULL, 'PF10320', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srsx', NULL, '7TM_GPCR_Srsx', NULL, NULL, NULL, 6),
(1382, NULL, 'PF02362', NULL, NULL, 'B3 DNA binding domain', NULL, 'B3', NULL, NULL, NULL, 6),
(1383, NULL, 'PF16647', NULL, NULL, 'Granulocyte colony-stimulating factor', NULL, 'GCSF', NULL, NULL, NULL, 6),
(1384, NULL, 'PF07417', NULL, NULL, 'Sigma factor-binding transcriptional regulator Crl', NULL, 'Crl', NULL, NULL, NULL, 6),
(1385, NULL, 'PF08259', NULL, NULL, 'Periviscerokinin family', NULL, 'Periviscerokin', NULL, NULL, NULL, 6),
(1386, NULL, 'PF17068', NULL, NULL, 'Required for respiratory growth protein 8 mitochondrial', NULL, 'RRG8', NULL, NULL, NULL, 6),
(1387, NULL, 'PF06951', NULL, NULL, 'Group XII secretory phospholipase A2 precursor (PLA2G12)', NULL, 'PLA2G12', NULL, NULL, NULL, 6),
(1388, NULL, 'PF01546', NULL, NULL, 'Peptidase family M20/M25/M40', NULL, 'Peptidase_M20', NULL, NULL, NULL, 6),
(1389, NULL, 'PF14046', NULL, NULL, 'Nuclear receptor repeat', NULL, 'NR_Repeat', NULL, NULL, NULL, 6),
(1390, NULL, 'PF12913', NULL, NULL, 'SH3 domain (SH3b1 type)', NULL, 'SH3_6', NULL, NULL, NULL, 6),
(1391, NULL, 'PF09416', NULL, NULL, 'RNA helicase (UPF2 interacting domain)', NULL, 'UPF1_Zn_bind', NULL, NULL, NULL, 6),
(1392, NULL, 'PF00873', NULL, NULL, 'AcrB/AcrD/AcrF family', NULL, 'ACR_tran', NULL, NULL, NULL, 6),
(1393, NULL, 'PF10461', NULL, NULL, 'Peptidase S68', NULL, 'Peptidase_S68', NULL, NULL, NULL, 6),
(1394, NULL, 'PF01773', NULL, NULL, 'Na+ dependent nucleoside transporter N-terminus', NULL, 'Nucleos_tra2_N', NULL, NULL, NULL, 6),
(1395, NULL, 'PF00971', NULL, NULL, 'EIAV coat protein, gp90', NULL, 'EIAV_GP90', NULL, NULL, NULL, 6),
(1396, NULL, 'PF04659', NULL, NULL, 'Archaeal flagella protein', NULL, 'Arch_fla_DE', NULL, NULL, NULL, 6),
(1397, NULL, 'PF11512', NULL, NULL, 'Agrobacterium tumefaciens protein Atu4866', NULL, 'Atu4866', NULL, NULL, NULL, 6),
(1398, NULL, 'PF18964', NULL, NULL, 'Family of unknown function (DUF5704)', NULL, 'DUF5704', NULL, NULL, NULL, 6),
(1399, NULL, 'PF08424', NULL, NULL, 'NRDE-2, necessary for RNA interference', NULL, 'NRDE-2', NULL, NULL, NULL, 6),
(1400, NULL, 'PF14668', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, domain 5', NULL, 'RICTOR_V', NULL, NULL, NULL, 6),
(1401, NULL, 'PF05440', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B', NULL, 'MtrB', NULL, NULL, NULL, 6),
(1402, NULL, 'PF00527', NULL, NULL, 'E7 protein, Early protein', NULL, 'E7', NULL, NULL, NULL, 6),
(1403, NULL, 'PF11849', NULL, NULL, 'Domain of unknown function (DUF3369)', NULL, 'DUF3369', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1404, NULL, 'PF12826', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_2', NULL, NULL, NULL, 6),
(1405, NULL, 'PF17840', NULL, NULL, 'Tethering Ubl4a to BAGS domain', NULL, 'Tugs', NULL, NULL, NULL, 6),
(1406, NULL, 'PF18499', NULL, NULL, 'Ubc7p-binding region of Cue1', NULL, 'Cue1_U7BR', NULL, NULL, NULL, 6),
(1407, NULL, 'PF11123', NULL, NULL, 'DNA packaging protein', NULL, 'DNA_Packaging_2', NULL, NULL, NULL, 6),
(1408, NULL, 'PF13556', NULL, NULL, 'PucR C-terminal helix-turn-helix domain', NULL, 'HTH_30', NULL, NULL, NULL, 6),
(1409, NULL, 'PF01379', NULL, NULL, 'Porphobilinogen deaminase, dipyromethane cofactor binding domain', NULL, 'Porphobil_deam', NULL, NULL, NULL, 6),
(1410, NULL, 'PF01024', NULL, NULL, 'Colicin pore forming domain', NULL, 'Colicin', NULL, NULL, NULL, 6),
(1411, NULL, 'PF09842', NULL, NULL, 'Predicted membrane protein (DUF2069)', NULL, 'DUF2069', NULL, NULL, NULL, 6),
(1412, NULL, 'PF00984', NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, central domain', NULL, 'UDPG_MGDP_dh', NULL, NULL, NULL, 6),
(1413, NULL, 'PF18399', NULL, NULL, 'Clip-domain serine protease homolog Scarface', NULL, 'CLIP_SPH_Scar', NULL, NULL, NULL, 6),
(1414, NULL, 'PF02817', NULL, NULL, 'e3 binding domain', NULL, 'E3_binding', NULL, NULL, NULL, 6),
(1415, NULL, 'PF15396', NULL, NULL, 'Protein Family FAM60A', NULL, 'FAM60A', NULL, NULL, NULL, 6),
(1416, NULL, 'PF18393', NULL, NULL, 'MotY N-terminal domain', NULL, 'MotY_N', NULL, NULL, NULL, 6),
(1417, NULL, 'PF00976', NULL, NULL, 'Corticotropin ACTH domain', NULL, 'ACTH_domain', NULL, NULL, NULL, 6),
(1418, NULL, 'PF09713', NULL, NULL, 'Plant protein 1589 of unknown function (A_thal_3526)', NULL, 'A_thal_3526', NULL, NULL, NULL, 6),
(1419, NULL, 'PF14702', NULL, NULL, 'Central domain of human glycogen debranching enzyme', NULL, 'hGDE_central', NULL, NULL, NULL, 6),
(1420, NULL, 'PF18266', NULL, NULL, 'Nicastrin small lobe', NULL, 'Ncstrn_small', NULL, NULL, NULL, 6),
(1421, NULL, 'PF03069', NULL, NULL, 'Acetamidase/Formamidase family', NULL, 'FmdA_AmdA', NULL, NULL, NULL, 6),
(1422, NULL, 'PF11527', NULL, NULL, 'The ARF-like 2 binding protein BART', NULL, 'ARL2_Bind_BART', NULL, NULL, NULL, 6),
(1423, NULL, 'PF03706', NULL, NULL, 'Lysylphosphatidylglycerol synthase TM region', NULL, 'LPG_synthase_TM', NULL, NULL, NULL, 6),
(1424, NULL, 'PF17311', NULL, NULL, 'Family of unknown function (DUF5358)', NULL, 'DUF5358', NULL, NULL, NULL, 6),
(1425, NULL, 'PF18349', NULL, NULL, 'PAZ domain', NULL, 'Paz_1', NULL, NULL, NULL, 6),
(1426, NULL, 'PF05974', NULL, NULL, 'Domain of unknown function (DUF892)', NULL, 'DUF892', NULL, NULL, NULL, 6),
(1427, NULL, 'PF07246', NULL, NULL, 'Phlebovirus nonstructural protein NS-M', NULL, 'Phlebovirus_NSM', NULL, NULL, NULL, 6),
(1428, NULL, 'PF06278', NULL, NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, N-terminal', NULL, 'CNDH2_N', NULL, NULL, NULL, 6),
(1429, NULL, 'PF17691', NULL, NULL, 'Contingent replication of cDNA 4', NULL, 'Croc_4', NULL, NULL, NULL, 6),
(1430, NULL, 'PF16907', NULL, NULL, 'Proline rich region of Caskin proteins', NULL, 'Caskin-Pro-rich', NULL, NULL, NULL, 6),
(1431, NULL, 'PF16193', NULL, NULL, 'AAA C-terminal domain', NULL, 'AAA_assoc_2', NULL, NULL, NULL, 6),
(1432, NULL, 'PF18676', NULL, NULL, 'MBG domain (YGX type)', NULL, 'MBG_2', NULL, NULL, NULL, 6),
(1433, NULL, 'PF17403', NULL, NULL, 'Nrap protein PAP/OAS-like domain', NULL, 'Nrap_D2', NULL, NULL, NULL, 6),
(1434, NULL, 'PF06874', NULL, NULL, 'Firmicute fructose-1,6-bisphosphatase', NULL, 'FBPase_2', NULL, NULL, NULL, 6),
(1435, NULL, 'PF10101', NULL, NULL, 'Predicted membrane protein (DUF2339)', NULL, 'DUF2339', NULL, NULL, NULL, 6),
(1436, NULL, 'PF06191', NULL, NULL, 'Protein of unknown function (DUF995)', NULL, 'DUF995', NULL, NULL, NULL, 6),
(1437, NULL, 'PF03864', NULL, NULL, 'Phage major capsid protein E', NULL, 'Phage_cap_E', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1438, NULL, 'PF11362', NULL, NULL, 'Protein of unknown function (DUF3161)', NULL, 'DUF3161', NULL, NULL, NULL, 6),
(1439, NULL, 'PF00632', NULL, NULL, 'HECT-domain (ubiquitin-transferase)', NULL, 'HECT', NULL, NULL, NULL, 6),
(1440, NULL, 'PF12295', NULL, NULL, 'Symplekin tight junction protein C terminal', NULL, 'Symplekin_C', NULL, NULL, NULL, 6),
(1441, NULL, 'PF10988', NULL, NULL, 'Putative auto-transporter adhesin, head GIN domain', NULL, 'DUF2807', NULL, NULL, NULL, 6),
(1442, NULL, 'PF11933', NULL, NULL, 'Cytoplasmic domain of voltage-gated Na+ ion channel', NULL, 'Na_trans_cytopl', NULL, NULL, NULL, 6),
(1443, NULL, 'PF04409', NULL, NULL, 'Protein of unknown function (DUF530)', NULL, 'DUF530', NULL, NULL, NULL, 6),
(1444, NULL, 'PF02662', NULL, NULL, 'Methyl-viologen-reducing hydrogenase, delta subunit', NULL, 'FlpD', NULL, NULL, NULL, 6),
(1445, NULL, 'PF12251', NULL, NULL, 'snRNA-activating protein of 50kDa MW C terminal', NULL, 'zf-SNAP50_C', NULL, NULL, NULL, 6),
(1446, NULL, 'PF09435', NULL, NULL, 'Fungal protein of unknown function (DUF2015)', NULL, 'DUF2015', NULL, NULL, NULL, 6),
(1447, NULL, 'PF16456', NULL, NULL, 'YmgD protein', NULL, 'YmgD', NULL, NULL, NULL, 6),
(1448, NULL, 'PF14806', NULL, NULL, 'Coatomer beta subunit appendage platform', NULL, 'Coatomer_b_Cpla', NULL, NULL, NULL, 6),
(1449, NULL, 'PF12917', NULL, NULL, 'HD containing hydrolase-like enzyme', NULL, 'HD_2', NULL, NULL, NULL, 6),
(1450, NULL, 'PF13526', NULL, NULL, 'Protein of unknown function (DUF4125)', NULL, 'DUF4125', NULL, NULL, NULL, 6),
(1451, NULL, 'PF08706', NULL, NULL, 'D5 N terminal like', NULL, 'D5_N', NULL, NULL, NULL, 6),
(1452, NULL, 'PF00453', NULL, NULL, 'Ribosomal protein L20', NULL, 'Ribosomal_L20', NULL, NULL, NULL, 6),
(1453, NULL, 'PF05786', NULL, NULL, 'Condensin complex subunit 2', NULL, 'Cnd2', NULL, NULL, NULL, 6),
(1454, NULL, 'PF10726', NULL, NULL, 'Protein of function (DUF2518)', NULL, 'DUF2518', NULL, NULL, NULL, 6),
(1455, NULL, 'PF00958', NULL, NULL, 'GMP synthase C terminal domain', NULL, 'GMP_synt_C', NULL, NULL, NULL, 6),
(1456, NULL, 'PF09013', NULL, NULL, 'YopH, N-terminal', NULL, 'YopH_N', NULL, NULL, NULL, 6),
(1457, NULL, 'PF11609', NULL, NULL, 'Protein of unknown function (DUF3248)', NULL, 'DUF3248', NULL, NULL, NULL, 6),
(1458, NULL, 'PF09549', NULL, NULL, 'Bpu10I restriction endonuclease', NULL, 'RE_Bpu10I', NULL, NULL, NULL, 6),
(1459, NULL, 'PF11164', NULL, NULL, 'Protein of unknown function (DUF2948)', NULL, 'DUF2948', NULL, NULL, NULL, 6),
(1460, NULL, 'PF03276', NULL, NULL, 'Spumavirus gag protein', NULL, 'Gag_spuma', NULL, NULL, NULL, 6),
(1461, NULL, 'PF19079', NULL, NULL, 'Collagen-flanked surface repeat', NULL, 'CFSR', NULL, NULL, NULL, 6),
(1462, NULL, 'PF16506', NULL, NULL, 'Putative virion glycoprotein of insect viruses', NULL, 'DiSB-ORF2_chro', NULL, NULL, NULL, 6),
(1463, NULL, 'PF04406', NULL, NULL, 'Type IIB DNA topoisomerase', NULL, 'TP6A_N', NULL, NULL, NULL, 6),
(1464, NULL, 'PF10622', NULL, NULL, 'Energy-converting hydrogenase B subunit P (EhbP)', NULL, 'Ehbp', NULL, NULL, NULL, 6),
(1465, NULL, 'PF07283', NULL, NULL, 'Conjugal transfer protein TrbH', NULL, 'TrbH', NULL, NULL, NULL, 6),
(1466, NULL, 'PF12123', NULL, NULL, 'N-acetylmuramoyl-l-alanine amidase', NULL, 'Amidase02_C', NULL, NULL, NULL, 6),
(1467, NULL, 'PF08826', NULL, NULL, 'DMPK coiled coil domain like', NULL, 'DMPK_coil', NULL, NULL, NULL, 6),
(1468, NULL, 'PF11771', NULL, NULL, 'Protein of unknown function (DUF3314)', NULL, 'DUF3314', NULL, NULL, NULL, 6),
(1469, NULL, 'PF00509', NULL, NULL, 'Haemagglutinin', NULL, 'Hemagglutinin', NULL, NULL, NULL, 6),
(1470, NULL, 'PF08460', NULL, NULL, 'Bacterial SH3 domain', NULL, 'SH3_5', NULL, NULL, NULL, 6),
(1471, NULL, 'PF08145', NULL, NULL, 'BOP1NT (NUC169) domain', NULL, 'BOP1NT', NULL, NULL, NULL, 6),
(1472, NULL, 'PF16550', NULL, NULL, 'UCH-binding domain', NULL, 'RPN13_C', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1473, NULL, 'PF18870', NULL, NULL, 'HEPN/RES N-terminal domain 1', NULL, 'HEPN_RES_NTD1', NULL, NULL, NULL, 6),
(1474, NULL, 'PF06183', NULL, NULL, 'DinI-like family', NULL, 'DinI', NULL, NULL, NULL, 6),
(1475, NULL, 'PF11602', NULL, NULL, 'ATPase P4 of dsRNA bacteriophage phi-12', NULL, 'NTPase_P4', NULL, NULL, NULL, 6),
(1476, NULL, 'PF00298', NULL, NULL, 'Ribosomal protein L11, RNA binding domain', NULL, 'Ribosomal_L11', NULL, NULL, NULL, 6),
(1477, NULL, 'PF18710', NULL, NULL, 'ComR tetratricopeptide', NULL, 'ComR_TPR', NULL, NULL, NULL, 6),
(1478, NULL, 'PF16937', NULL, NULL, 'Type III secretion system translocator protein, HrpF', NULL, 'T3SS_HrpK1', NULL, NULL, NULL, 6),
(1479, NULL, 'PF18092', NULL, NULL, 'DraK Histidine Kinase N-terminal domain', NULL, 'DraK_HK_N', NULL, NULL, NULL, 6),
(1480, NULL, 'PF08150', NULL, NULL, 'FerB (NUC096) domain', NULL, 'FerB', NULL, NULL, NULL, 6),
(1481, NULL, 'PF00439', NULL, NULL, 'Bromodomain', NULL, 'Bromodomain', NULL, NULL, NULL, 6),
(1482, NULL, 'PF10655', NULL, NULL, 'Hypothetical protein of unknown function (DUF2482)', NULL, 'DUF2482', NULL, NULL, NULL, 6),
(1483, NULL, 'PF04203', NULL, NULL, 'Sortase domain', NULL, 'Sortase', NULL, NULL, NULL, 6),
(1484, NULL, 'PF14210', NULL, NULL, 'Domain of unknown function (DUF4322)', NULL, 'DUF4322', NULL, NULL, NULL, 6),
(1485, NULL, 'PF02120', NULL, NULL, 'Flagellar hook-length control protein FliK', NULL, 'Flg_hook', NULL, NULL, NULL, 6),
(1486, NULL, 'PF13428', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_14', NULL, NULL, NULL, 6),
(1487, NULL, 'PF13784', NULL, NULL, 'Fic/DOC family N-terminal', NULL, 'Fic_N', NULL, NULL, NULL, 6),
(1488, NULL, 'PF17676', NULL, NULL, 'LD-carboxypeptidase C-terminal domain', NULL, 'Peptidase_S66C', NULL, NULL, NULL, 6),
(1489, NULL, 'PF08374', NULL, NULL, 'Protocadherin', NULL, 'Protocadherin', NULL, NULL, NULL, 6),
(1490, NULL, 'PF03095', NULL, NULL, 'Phosphotyrosyl phosphate activator (PTPA) protein', NULL, 'PTPA', NULL, NULL, NULL, 6),
(1491, NULL, 'PF08365', NULL, NULL, 'Insulin-like growth factor II E-peptide', NULL, 'IGF2_C', NULL, NULL, NULL, 6),
(1492, NULL, 'PF16677', NULL, NULL, 'DNA-packaging protein gp3', NULL, 'GP3_package', NULL, NULL, NULL, 6),
(1493, NULL, 'PF16552', NULL, NULL, 'D-ornithine 4,5-aminomutase alpha-subunit', NULL, 'OAM_alpha', NULL, NULL, NULL, 6),
(1494, NULL, 'PF17751', NULL, NULL, 'SKICH domain', NULL, 'SKICH', NULL, NULL, NULL, 6),
(1495, NULL, 'PF18283', NULL, NULL, 'Carbohydrate binding module 77', NULL, 'CBM77', NULL, NULL, NULL, 6),
(1496, NULL, 'PF06761', NULL, NULL, 'Intracellular multiplication and human macrophage-killing', NULL, 'IcmF-related', NULL, NULL, NULL, 6),
(1497, NULL, 'PF05476', NULL, NULL, 'PET122', NULL, 'PET122', NULL, NULL, NULL, 6),
(1498, NULL, 'PF12374', NULL, NULL, 'Double-sex mab3 related transcription factor 1', NULL, 'Dmrt1', NULL, NULL, NULL, 6),
(1499, NULL, 'PF12355', NULL, NULL, 'Down syndrome cell adhesion molecule C terminal', NULL, 'Dscam_C', NULL, NULL, NULL, 6),
(1500, NULL, 'PF14761', NULL, NULL, 'Hermansky-Pudlak syndrome 3', NULL, 'HPS3_N', NULL, NULL, NULL, 6),
(1501, NULL, 'PF05626', NULL, NULL, 'Protein of unknown function (DUF790)', NULL, 'DUF790', NULL, NULL, NULL, 6),
(1502, NULL, 'PF08108', NULL, NULL, 'Halocidin family', NULL, 'Antimicrobial13', NULL, NULL, NULL, 6),
(1503, NULL, 'PF02219', NULL, NULL, 'Methylenetetrahydrofolate reductase', NULL, 'MTHFR', NULL, NULL, NULL, 6),
(1504, NULL, 'PF07716', NULL, NULL, 'Basic region leucine zipper', NULL, 'bZIP_2', NULL, NULL, NULL, 6),
(1505, NULL, 'PF08257', NULL, NULL, 'Sulfakinin family', NULL, 'Sulfakinin', NULL, NULL, NULL, 6),
(1506, NULL, 'PF04828', NULL, NULL, 'Glutathione-dependent formaldehyde-activating enzyme', NULL, 'GFA', NULL, NULL, NULL, 6),
(1507, NULL, 'PF15013', NULL, NULL, 'CCSMST1 family', NULL, 'CCSMST1', NULL, NULL, NULL, 6),
(1508, NULL, 'PF13392', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_3', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1509, NULL, 'PF18655', NULL, NULL, 'SHIRT domain', NULL, 'SHIRT', NULL, NULL, NULL, 6),
(1510, NULL, 'PF10732', NULL, NULL, 'Protein of unknown function (DUF2524)', NULL, 'DUF2524', NULL, NULL, NULL, 6),
(1511, NULL, 'PF04163', NULL, NULL, 'Tht1-like nuclear fusion protein', NULL, 'Tht1', NULL, NULL, NULL, 6),
(1512, NULL, 'PF02282', NULL, NULL, 'DNA polymerase processivity factor (UL42)', NULL, 'Herpes_UL42', NULL, NULL, NULL, 6),
(1513, NULL, 'PF10053', NULL, NULL, 'Uncharacterized conserved protein (DUF2290)', NULL, 'DUF2290', NULL, NULL, NULL, 6),
(1514, NULL, 'PF03894', NULL, NULL, 'D-xylulose 5-phosphate/D-fructose 6-phosphate phosphoketolase', NULL, 'XFP', NULL, NULL, NULL, 6),
(1515, NULL, 'PF15510', NULL, NULL, 'CENP-W protein', NULL, 'CENP-W', NULL, NULL, NULL, 6),
(1516, NULL, 'PF10152', NULL, NULL, 'Subunit CCDC53 of WASH complex', NULL, 'CCDC53', NULL, NULL, NULL, 6),
(1517, NULL, 'PF03048', NULL, NULL, 'UL92 family', NULL, 'Herpes_UL92', NULL, NULL, NULL, 6),
(1518, NULL, 'PF11126', NULL, NULL, 'Transcriptional regulator DsbA', NULL, 'Phage_DsbA', NULL, NULL, NULL, 6),
(1519, NULL, 'PF07221', NULL, NULL, 'N-acylglucosamine 2-epimerase (GlcNAc 2-epimerase)', NULL, 'GlcNAc_2-epim', NULL, NULL, NULL, 6),
(1520, NULL, 'PF05389', NULL, NULL, 'Negative regulator of genetic competence (MecA)', NULL, 'MecA', NULL, NULL, NULL, 6),
(1521, NULL, 'PF18050', NULL, NULL, 'Cyclophilin-like family', NULL, 'Cyclophil_like2', NULL, NULL, NULL, 6),
(1522, NULL, 'PF03528', NULL, NULL, 'Rabaptin', NULL, 'Rabaptin', NULL, NULL, NULL, 6),
(1523, NULL, 'PF03567', NULL, NULL, 'Sulfotransferase family', NULL, 'Sulfotransfer_2', NULL, NULL, NULL, 6),
(1524, NULL, 'PF06653', NULL, NULL, 'Tight junction protein, Claudin-like', NULL, 'Claudin_3', NULL, NULL, NULL, 6),
(1525, NULL, 'PF03663', NULL, NULL, 'Glycosyl hydrolase family 76', NULL, 'Glyco_hydro_76', NULL, NULL, NULL, 6),
(1526, NULL, 'PF12609', NULL, NULL, 'Wound-induced protein', NULL, 'DUF3774', NULL, NULL, NULL, 6),
(1527, NULL, 'PF00631', NULL, NULL, 'GGL domain', NULL, 'G-gamma', NULL, NULL, NULL, 6),
(1528, NULL, 'PF18718', NULL, NULL, 'CxC5 like cysteine cluster associated with KDZ transposases', NULL, 'CxC5', NULL, NULL, NULL, 6),
(1529, NULL, 'PF18263', NULL, NULL, 'MCM6 C-terminal winged-helix domain', NULL, 'MCM6_C', NULL, NULL, NULL, 6),
(1530, NULL, 'PF04328', NULL, NULL, 'Selenoprotein, putative', NULL, 'Sel_put', NULL, NULL, NULL, 6),
(1531, NULL, 'PF06589', NULL, NULL, 'Circumsporozoite-related antigen (CRA)', NULL, 'CRA', NULL, NULL, NULL, 6),
(1532, NULL, 'PF11843', NULL, NULL, 'Protein of unknown function (DUF3363)', NULL, 'DUF3363', NULL, NULL, NULL, 6),
(1533, NULL, 'PF09987', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2226)', NULL, 'DUF2226', NULL, NULL, NULL, 6),
(1534, NULL, 'PF10840', NULL, NULL, 'Protein of unknown function (DUF2645)', NULL, 'DUF2645', NULL, NULL, NULL, 6),
(1535, NULL, 'PF01125', NULL, NULL, 'G10 protein', NULL, 'G10', NULL, NULL, NULL, 6),
(1536, NULL, 'PF13936', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_38', NULL, NULL, NULL, 6),
(1537, NULL, 'PF17610', NULL, NULL, 'Family of unknown function (DUF5505)', NULL, 'DUF5505', NULL, NULL, NULL, 6),
(1538, NULL, 'PF02335', NULL, NULL, 'Cytochrome c552', NULL, 'Cytochrom_C552', NULL, NULL, NULL, 6),
(1539, NULL, 'PF05783', NULL, NULL, 'Dynein light intermediate chain (DLIC)', NULL, 'DLIC', NULL, NULL, NULL, 6),
(1540, NULL, 'PF17097', NULL, NULL, 'Spindle pole body component', NULL, 'Kre28', NULL, NULL, NULL, 6),
(1541, NULL, 'PF04000', NULL, NULL, 'Sas10/Utp3/C1D family', NULL, 'Sas10_Utp3', NULL, NULL, NULL, 6),
(1542, NULL, 'PF15990', NULL, NULL, 'UPF0767 family', NULL, 'UPF0767', NULL, NULL, NULL, 6),
(1543, NULL, 'PF06666', NULL, NULL, 'Protein of unknown function (DUF1173)', NULL, 'DUF1173', NULL, NULL, NULL, 6),
(1544, NULL, 'PF17055', NULL, NULL, 'Viral matrix protein M2', NULL, 'VMR2', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1545, NULL, 'PF17598', NULL, NULL, 'Family of unknown function (DUF5494)', NULL, 'DUF5494', NULL, NULL, NULL, 6),
(1546, NULL, 'PF04579', NULL, NULL, 'Keratin, high-sulphur matrix protein', NULL, 'Keratin_matx', NULL, NULL, NULL, 6),
(1547, NULL, 'PF11800', NULL, NULL, 'Replication protein C C-terminal region', NULL, 'RP-C_C', NULL, NULL, NULL, 6),
(1548, NULL, 'PF14741', NULL, NULL, 'N-terminal glycosyl-hydrolase-114-associated domain', NULL, 'GH114_assoc', NULL, NULL, NULL, 6),
(1549, NULL, 'PF03099', NULL, NULL, 'Biotin/lipoate A/B protein ligase family', NULL, 'BPL_LplA_LipB', NULL, NULL, NULL, 6),
(1550, NULL, 'PF05056', NULL, NULL, 'Protein of unknown function (DUF674)', NULL, 'DUF674', NULL, NULL, NULL, 6),
(1551, NULL, 'PF05742', NULL, NULL, 'Transport and Golgi organisation 2', NULL, 'TANGO2', NULL, NULL, NULL, 6),
(1552, NULL, 'PF15039', NULL, NULL, 'Domain of unknown function (DUF4530)', NULL, 'DUF4530', NULL, NULL, NULL, 6),
(1553, NULL, 'PF19002', NULL, NULL, 'Family of unknown function (DUF5731)', NULL, 'DUF5731', NULL, NULL, NULL, 6),
(1554, NULL, 'PF11993', NULL, NULL, 'Ribosomal S4P (gammaproteobacterial)', NULL, 'Ribosomal_S4Pg', NULL, NULL, NULL, 6),
(1555, NULL, 'PF03857', NULL, NULL, 'Colicin immunity protein', NULL, 'Colicin_im', NULL, NULL, NULL, 6),
(1556, NULL, 'PF18617', NULL, NULL, 'Nucleoporin Nup214 phenylalanine-glycine (FG) domain', NULL, 'Nup214_FG', NULL, NULL, NULL, 6),
(1557, NULL, 'PF08373', NULL, NULL, 'RAP domain', NULL, 'RAP', NULL, NULL, NULL, 6),
(1558, NULL, 'PF07482', NULL, NULL, 'Domain of Unknown Function (DUF1522)', NULL, 'DUF1522', NULL, NULL, NULL, 6),
(1559, NULL, 'PF14435', NULL, NULL, 'SUKH-4 immunity protein', NULL, 'SUKH-4', NULL, NULL, NULL, 6),
(1560, NULL, 'PF11074', NULL, NULL, 'Domain of unknown function(DUF2779)', NULL, 'DUF2779', NULL, NULL, NULL, 6),
(1561, NULL, 'PF11167', NULL, NULL, 'Protein of unknown function (DUF2953)', NULL, 'DUF2953', NULL, NULL, NULL, 6),
(1562, NULL, 'PF16144', NULL, NULL, 'Domain of unknown function (DUF4852)', NULL, 'DUF4852', NULL, NULL, NULL, 6),
(1563, NULL, 'PF10557', NULL, NULL, 'Cullin protein neddylation domain', NULL, 'Cullin_Nedd8', NULL, NULL, NULL, 6),
(1564, NULL, 'PF16671', NULL, NULL, 'Actin cross-linking domain', NULL, 'ACD', NULL, NULL, NULL, 6),
(1565, NULL, 'PF04224', NULL, NULL, 'Protein of unknown function, DUF417', NULL, 'DUF417', NULL, NULL, NULL, 6),
(1566, NULL, 'PF12605', NULL, NULL, 'Casein kinase 1 gamma C terminal', NULL, 'CK1gamma_C', NULL, NULL, NULL, 6),
(1567, NULL, 'PF09933', NULL, NULL, 'Predicted small integral membrane protein (DUF2165)', NULL, 'DUF2165', NULL, NULL, NULL, 6),
(1568, NULL, 'PF16407', NULL, NULL, 'PKD-like family', NULL, 'PKD_2', NULL, NULL, NULL, 6),
(1569, NULL, 'PF14920', NULL, NULL, 'MDM2-binding', NULL, 'MTBP_C', NULL, NULL, NULL, 6),
(1570, NULL, 'PF14082', NULL, NULL, 'Domain of unknown function (DUF4263)', NULL, 'DUF4263', NULL, NULL, NULL, 6),
(1571, NULL, 'PF14460', NULL, NULL, 'Prokaryotic E2 family D', NULL, 'Prok-E2_D', NULL, NULL, NULL, 6),
(1572, NULL, 'PF01443', NULL, NULL, 'Viral (Superfamily 1) RNA helicase', NULL, 'Viral_helicase1', NULL, NULL, NULL, 6),
(1573, NULL, 'PF09177', NULL, NULL, 'Syntaxin 6, N-terminal', NULL, 'Syntaxin-6_N', NULL, NULL, NULL, 6),
(1574, NULL, 'PF09381', NULL, NULL, 'Outer membrane protein G (OmpG)', NULL, 'Porin_OmpG', NULL, NULL, NULL, 6),
(1575, NULL, 'PF12588', NULL, NULL, 'Phophatidylserine decarboxylase', NULL, 'PSDC', NULL, NULL, NULL, 6),
(1576, NULL, 'PF09444', NULL, NULL, 'MRC1-like domain', NULL, 'MRC1', NULL, NULL, NULL, 6),
(1577, NULL, 'PF16400', NULL, NULL, 'Domain of unknown function (DUF5008)', NULL, 'DUF5008', NULL, NULL, NULL, 6),
(1578, NULL, 'PF13762', NULL, NULL, 'Mitochondrial splicing apparatus component', NULL, 'MNE1', NULL, NULL, NULL, 6),
(1579, NULL, 'PF07792', NULL, NULL, 'Docking domain of Afi1 for Arf3 in vesicle trafficking', NULL, 'Afi1', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1580, NULL, 'PF10437', NULL, NULL, 'Bacterial lipoate protein ligase C-terminus', NULL, 'Lip_prot_lig_C', NULL, NULL, NULL, 6),
(1581, NULL, 'PF12202', NULL, NULL, 'Oxidative-stress-responsive kinase 1 C-terminal domain', NULL, 'OSR1_C', NULL, NULL, NULL, 6),
(1582, NULL, 'PF08105', NULL, NULL, 'Metchnikowin family', NULL, 'Antimicrobial10', NULL, NULL, NULL, 6),
(1583, NULL, 'PF08912', NULL, NULL, 'Rho Binding', NULL, 'Rho_Binding', NULL, NULL, NULL, 6),
(1584, NULL, 'PF13388', NULL, NULL, 'Protein of unknown function (DUF4106)', NULL, 'DUF4106', NULL, NULL, NULL, 6),
(1585, NULL, 'PF13296', NULL, NULL, 'Putative type VI secretion system Rhs element Vgr', NULL, 'T6SS_Vgr', NULL, NULL, NULL, 6),
(1586, NULL, 'PF03337', NULL, NULL, 'Poxvirus F12L protein', NULL, 'Pox_F12L', NULL, NULL, NULL, 6),
(1587, NULL, 'PF19123', NULL, NULL, 'Family of unknown function (DUF5807)', NULL, 'DUF5807', NULL, NULL, NULL, 6),
(1588, NULL, 'PF00485', NULL, NULL, 'Phosphoribulokinase / Uridine kinase family', NULL, 'PRK', NULL, NULL, NULL, 6),
(1589, NULL, 'PF06497', NULL, NULL, 'Protein of unknown function (DUF1098)', NULL, 'DUF1098', NULL, NULL, NULL, 6),
(1590, NULL, 'PF04588', NULL, NULL, 'Hypoxia induced protein conserved region', NULL, 'HIG_1_N', NULL, NULL, NULL, 6),
(1591, NULL, 'PF05849', NULL, NULL, 'Fibroin light chain (L-fibroin)', NULL, 'L-fibroin', NULL, NULL, NULL, 6),
(1592, NULL, 'PF04934', NULL, NULL, 'MED6 mediator sub complex component', NULL, 'Med6', NULL, NULL, NULL, 6),
(1593, NULL, 'PF13182', NULL, NULL, 'Protein of unknown function (DUF4007)', NULL, 'DUF4007', NULL, NULL, NULL, 6),
(1594, NULL, 'PF00544', NULL, NULL, 'Pectate lyase', NULL, 'Pectate_lyase_4', NULL, NULL, NULL, 6),
(1595, NULL, 'PF14671', NULL, NULL, 'Dual specificity protein phosphatase, N-terminal half', NULL, 'DSPn', NULL, NULL, NULL, 6),
(1596, NULL, 'PF02091', NULL, NULL, 'Glycyl-tRNA synthetase alpha subunit', NULL, 'tRNA-synt_2e', NULL, NULL, NULL, 6),
(1597, NULL, 'PF07074', NULL, NULL, 'Translocon-associated protein, gamma subunit (TRAP-gamma)', NULL, 'TRAP-gamma', NULL, NULL, NULL, 6),
(1598, NULL, 'PF16975', NULL, NULL, 'Ly6/PLAUR domain-containing protein 6, Lypd6', NULL, 'UPAR_LY6_2', NULL, NULL, NULL, 6),
(1599, NULL, 'PF06702', NULL, NULL, 'Golgi casein kinase, C-terminal, Fam20', NULL, 'Fam20C', NULL, NULL, NULL, 6),
(1600, NULL, 'PF10098', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2336)', NULL, 'DUF2336', NULL, NULL, NULL, 6),
(1601, NULL, 'PF15741', NULL, NULL, 'Ligand-dependent nuclear receptor-interacting factor 1', NULL, 'LRIF1', NULL, NULL, NULL, 6),
(1602, NULL, 'PF07705', NULL, NULL, 'CARDB', NULL, 'CARDB', NULL, NULL, NULL, 6),
(1603, NULL, 'PF00811', NULL, NULL, 'Ependymin', NULL, 'Ependymin', NULL, NULL, NULL, 6),
(1604, NULL, 'PF15501', NULL, NULL, 'Nuclear protein MDM1', NULL, 'MDM1', NULL, NULL, NULL, 6),
(1605, NULL, 'PF10975', NULL, NULL, 'Protein of unknown function (DUF2802)', NULL, 'DUF2802', NULL, NULL, NULL, 6),
(1606, NULL, 'PF14355', NULL, NULL, 'Abortive infection C-terminus', NULL, 'Abi_C', NULL, NULL, NULL, 6),
(1607, NULL, 'PF09021', NULL, NULL, 'HutP', NULL, 'HutP', NULL, NULL, NULL, 6),
(1608, NULL, 'PF09815', NULL, NULL, 'XK-related protein', NULL, 'XK-related', NULL, NULL, NULL, 6),
(1609, NULL, 'PF12841', NULL, NULL, 'YvrJ protein family', NULL, 'YvrJ', NULL, NULL, NULL, 6),
(1610, NULL, 'PF12720', NULL, NULL, 'Protein of unknown function (DUF3807)', NULL, 'DUF3807', NULL, NULL, NULL, 6),
(1611, NULL, 'PF03248', NULL, NULL, 'Rer1 family', NULL, 'Rer1', NULL, NULL, NULL, 6),
(1612, NULL, 'PF15086', NULL, NULL, 'Uncharacterised protein family UPF0542', NULL, 'UPF0542', NULL, NULL, NULL, 6),
(1613, NULL, 'PF09786', NULL, NULL, 'Cytochrome B561, N terminal', NULL, 'CytochromB561_N', NULL, NULL, NULL, 6),
(1614, NULL, 'PF15193', NULL, NULL, 'FAM24 family', NULL, 'FAM24', NULL, NULL, NULL, 6),
(1615, NULL, 'PF03695', NULL, NULL, 'Uncharacterised protein family (UPF0149)', NULL, 'UPF0149', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1616, NULL, 'PF19074', NULL, NULL, 'Family of unknown function (DUF5770)', NULL, 'DUF5770', NULL, NULL, NULL, 6),
(1617, NULL, 'PF07834', NULL, NULL, 'RanGAP1 C-terminal domain', NULL, 'RanGAP1_C', NULL, NULL, NULL, 6),
(1618, NULL, 'PF10329', NULL, NULL, 'Region of unknown function (DUF2417)', NULL, 'DUF2417', NULL, NULL, NULL, 6),
(1619, NULL, 'PF04319', NULL, NULL, 'NifZ domain', NULL, 'NifZ', NULL, NULL, NULL, 6),
(1620, NULL, 'PF01930', NULL, NULL, 'Domain of unknown function DUF83', NULL, 'Cas_Cas4', NULL, NULL, NULL, 6),
(1621, NULL, 'PF06524', NULL, NULL, 'NOA36 protein', NULL, 'NOA36', NULL, NULL, NULL, 6),
(1622, NULL, 'PF05911', NULL, NULL, 'Filament-like plant protein, long coiled-coil', NULL, 'FPP', NULL, NULL, NULL, 6),
(1623, NULL, 'PF04874', NULL, NULL, 'Mak16 protein C-terminal region', NULL, 'Mak16', NULL, NULL, NULL, 6),
(1624, NULL, 'PF10625', NULL, NULL, 'Universal stress protein B (UspB)', NULL, 'UspB', NULL, NULL, NULL, 6),
(1625, NULL, 'PF08030', NULL, NULL, 'Ferric reductase NAD binding domain', NULL, 'NAD_binding_6', NULL, NULL, NULL, 6),
(1626, NULL, 'PF12800', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_4', NULL, NULL, NULL, 6),
(1627, NULL, 'PF11834', NULL, NULL, 'KHA, dimerisation domain of potassium ion channel', NULL, 'KHA', NULL, NULL, NULL, 6),
(1628, NULL, 'PF10432', NULL, NULL, 'Bacterial phospho-glucose isomerase C-terminal SIS domain', NULL, 'bact-PGI_C', NULL, NULL, NULL, 6),
(1629, NULL, 'PF06481', NULL, NULL, 'COX Aromatic Rich Motif', NULL, 'COX_ARM', NULL, NULL, NULL, 6),
(1630, NULL, 'PF01088', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase, family 1', NULL, 'Peptidase_C12', NULL, NULL, NULL, 6),
(1631, NULL, 'PF08946', NULL, NULL, 'Osmosensory transporter coiled coil', NULL, 'Osmo_CC', NULL, NULL, NULL, 6),
(1632, NULL, 'PF11038', NULL, NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 5', NULL, 'DGF-1_5', NULL, NULL, NULL, 6),
(1633, NULL, 'PF06316', NULL, NULL, 'Enterobacterial Ail/Lom protein', NULL, 'Ail_Lom', NULL, NULL, NULL, 6),
(1634, NULL, 'PF04965', NULL, NULL, 'Gene 25-like lysozyme', NULL, 'GPW_gp25', NULL, NULL, NULL, 6),
(1635, NULL, 'PF04882', NULL, NULL, 'Peroxin-3', NULL, 'Peroxin-3', NULL, NULL, NULL, 6),
(1636, NULL, 'PF17049', NULL, NULL, 'ATPase expression protein 1', NULL, 'AEP1', NULL, NULL, NULL, 6),
(1637, NULL, 'PF05757', NULL, NULL, 'Oxygen evolving enhancer protein 3 (PsbQ)', NULL, 'PsbQ', NULL, NULL, NULL, 6),
(1638, NULL, 'PF16701', NULL, NULL, 'Adenylate cyclase regulatory domain', NULL, 'Ad_Cy_reg', NULL, NULL, NULL, 6),
(1639, NULL, 'PF03536', NULL, NULL, 'Salmonella virulence-associated 28kDa protein', NULL, 'VRP3', NULL, NULL, NULL, 6),
(1640, NULL, 'PF13775', NULL, NULL, 'Domain of unknown function (DUF4171)', NULL, 'DUF4171', NULL, NULL, NULL, 6),
(1641, NULL, 'PF02434', NULL, NULL, 'Fringe-like', NULL, 'Fringe', NULL, NULL, NULL, 6),
(1642, NULL, 'PF11071', NULL, NULL, 'Nucleoside 2-deoxyribosyltransferase YtoQ', NULL, 'Nuc_deoxyri_tr3', NULL, NULL, NULL, 6),
(1643, NULL, 'PF15736', NULL, NULL, 'Domain of unknown function (DUF4684)', NULL, 'DUF4684', NULL, NULL, NULL, 6),
(1644, NULL, 'PF06432', NULL, NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase', NULL, 'GPI2', NULL, NULL, NULL, 6),
(1645, NULL, 'PF12529', NULL, NULL, 'Xylosyltransferase C terminal', NULL, 'Xylo_C', NULL, NULL, NULL, 6),
(1646, NULL, 'PF04315', NULL, NULL, 'Elongation factor P hydroxylase', NULL, 'EpmC', NULL, NULL, NULL, 6),
(1647, NULL, 'PF16795', NULL, NULL, 'Archaeal phage integrase', NULL, 'Phage_integr_3', NULL, NULL, NULL, 6),
(1648, NULL, 'PF04772', NULL, NULL, 'Influenza B matrix protein 2 (BM2)', NULL, 'Flu_B_M2', NULL, NULL, NULL, 6),
(1649, NULL, 'PF11221', NULL, NULL, 'Subunit 21 of Mediator complex', NULL, 'Med21', NULL, NULL, NULL, 6),
(1650, NULL, 'PF08734', NULL, NULL, 'GYD domain', NULL, 'GYD', NULL, NULL, NULL, 6),
(1651, NULL, 'PF14774', NULL, NULL, 'FAM177 family', NULL, 'FAM177', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1652, NULL, 'PF13966', NULL, NULL, 'zinc-binding in reverse transcriptase', NULL, 'zf-RVT', NULL, NULL, NULL, 6),
(1653, NULL, 'PF12729', NULL, NULL, 'Four helix bundle sensory module for signal transduction', NULL, '4HB_MCP_1', NULL, NULL, NULL, 6),
(1654, NULL, 'PF18835', NULL, NULL, 'Beta helix repeat of Inulin fructotransferase', NULL, 'Beta_helix_2', NULL, NULL, NULL, 6),
(1655, NULL, 'PF04198', NULL, NULL, 'Putative sugar-binding domain', NULL, 'Sugar-bind', NULL, NULL, NULL, 6),
(1656, NULL, 'PF02188', NULL, NULL, 'GoLoco motif', NULL, 'GoLoco', NULL, NULL, NULL, 6),
(1657, NULL, 'PF19036', NULL, NULL, 'First Longin domain of FUZ, MON1 and HPS1', NULL, 'Fuz_longin_1', NULL, NULL, NULL, 6),
(1658, NULL, 'PF17226', NULL, NULL, 'MTA R1 domain', NULL, 'MTA_R1', NULL, NULL, NULL, 6),
(1659, NULL, 'PF10007', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2250)', NULL, 'DUF2250', NULL, NULL, NULL, 6),
(1660, NULL, 'PF13507', NULL, NULL, 'CobB/CobQ-like glutamine amidotransferase domain', NULL, 'GATase_5', NULL, NULL, NULL, 6),
(1661, NULL, 'PF04498', NULL, NULL, 'Poxvirus nucleic acid binding protein VP8/L4R', NULL, 'Pox_VP8_L4R', NULL, NULL, NULL, 6),
(1662, NULL, 'PF03128', NULL, NULL, 'CXCXC repeat', NULL, 'CXCXC', NULL, NULL, NULL, 6),
(1663, NULL, 'PF09039', NULL, NULL, 'Mu DNA binding, I gamma subdomain', NULL, 'HTH_Tnp_Mu_2', NULL, NULL, NULL, 6),
(1664, NULL, 'PF02342', NULL, NULL, 'TerD domain', NULL, 'TerD', NULL, NULL, NULL, 6),
(1665, NULL, 'PF09872', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2099)', NULL, 'DUF2099', NULL, NULL, NULL, 6),
(1666, NULL, 'PF11447', NULL, NULL, 'Protein of unknown function (DUF3201)', NULL, 'DUF3201', NULL, NULL, NULL, 6),
(1667, NULL, 'PF13989', NULL, NULL, 'YejG-like protein', NULL, 'YejG', NULL, NULL, NULL, 6),
(1668, NULL, 'PF07303', NULL, NULL, 'Occludin homology domain', NULL, 'Occludin_ELL', NULL, NULL, NULL, 6),
(1669, NULL, 'PF13254', NULL, NULL, 'Domain of unknown function (DUF4045)', NULL, 'DUF4045', NULL, NULL, NULL, 6),
(1670, NULL, 'PF03160', NULL, NULL, 'Calx-beta domain', NULL, 'Calx-beta', NULL, NULL, NULL, 6),
(1671, NULL, 'PF04015', NULL, NULL, 'Domain of unknown function (DUF362)', NULL, 'DUF362', NULL, NULL, NULL, 6),
(1672, NULL, 'PF18769', NULL, NULL, 'APOBEC1', NULL, 'APOBEC1', NULL, NULL, NULL, 6),
(1673, NULL, 'PF08939', NULL, NULL, 'Domain of unknown function (DUF1917)', NULL, 'DUF1917', NULL, NULL, NULL, 6),
(1674, NULL, 'PF09007', NULL, NULL, 'EBP50, C-terminal', NULL, 'EBP50_C', NULL, NULL, NULL, 6),
(1675, NULL, 'PF09374', NULL, NULL, 'Predicted Peptidoglycan domain', NULL, 'PG_binding_3', NULL, NULL, NULL, 6),
(1676, NULL, 'PF07781', NULL, NULL, 'Reovirus minor core protein Mu-2', NULL, 'Reovirus_Mu2', NULL, NULL, NULL, 6),
(1677, NULL, 'PF08639', NULL, NULL, 'DNA replication regulator SLD3', NULL, 'SLD3', NULL, NULL, NULL, 6),
(1678, NULL, 'PF07498', NULL, NULL, 'Rho termination factor, N-terminal domain', NULL, 'Rho_N', NULL, NULL, NULL, 6),
(1679, NULL, 'PF16344', NULL, NULL, 'Domain of unknown function (DUF4974)', NULL, 'DUF4974', NULL, NULL, NULL, 6),
(1680, NULL, 'PF17096', NULL, NULL, 'Altered inheritance of mitochondria protein 3', NULL, 'AIM3', NULL, NULL, NULL, 6),
(1681, NULL, 'PF02578', NULL, NULL, 'Multi-copper polyphenol oxidoreductase laccase', NULL, 'Cu-oxidase_4', NULL, NULL, NULL, 6),
(1682, NULL, 'PF12232', NULL, NULL, 'Myogenic determination factor 5', NULL, 'Myf5', NULL, NULL, NULL, 6),
(1683, NULL, 'PF16820', NULL, NULL, 'PKD-like domain', NULL, 'PKD_3', NULL, NULL, NULL, 6),
(1684, NULL, 'PF13790', NULL, NULL, 'SR1 protein', NULL, 'SR1P', NULL, NULL, NULL, 6),
(1685, NULL, 'PF12589', NULL, NULL, 'Methyltransferase involved in Williams-Beuren syndrome', NULL, 'WBS_methylT', NULL, NULL, NULL, 6),
(1686, NULL, 'PF13163', NULL, NULL, 'Protein of unknown function (DUF3999)', NULL, 'DUF3999', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1687, NULL, 'PF12555', NULL, NULL, 'Thiamine pyrophosphokinase C terminal', NULL, 'TPPK_C', NULL, NULL, NULL, 6),
(1688, NULL, 'PF05827', NULL, NULL, 'Vacuolar ATP synthase subunit S1 (ATP6S1)', NULL, 'ATP-synt_S1', NULL, NULL, NULL, 6),
(1689, NULL, 'PF05246', NULL, NULL, 'Protein of unknown function (DUF735)', NULL, 'DUF735', NULL, NULL, NULL, 6),
(1690, NULL, 'PF03448', NULL, NULL, 'MgtE intracellular N domain', NULL, 'MgtE_N', NULL, NULL, NULL, 6),
(1691, NULL, 'PF08010', NULL, NULL, 'Bacteriophage protein GP30.3', NULL, 'Phage_30_3', NULL, NULL, NULL, 6),
(1692, NULL, 'PF06998', NULL, NULL, 'Protein of unknown function (DUF1307)', NULL, 'DUF1307', NULL, NULL, NULL, 6),
(1693, NULL, 'PF07220', NULL, NULL, 'Protein of unknown function (DUF1420)', NULL, 'DUF1420', NULL, NULL, NULL, 6),
(1694, NULL, 'PF13332', NULL, NULL, 'Hemagglutinin repeat', NULL, 'Fil_haemagg_2', NULL, NULL, NULL, 6),
(1695, NULL, 'PF00932', NULL, NULL, 'Lamin Tail Domain', NULL, 'LTD', NULL, NULL, NULL, 6),
(1696, NULL, 'PF06619', NULL, NULL, 'Protein of unknown function (DUF1149)', NULL, 'DUF1149', NULL, NULL, NULL, 6),
(1697, NULL, 'PF14694', NULL, NULL, 'Lines N-terminus', NULL, 'LINES_N', NULL, NULL, NULL, 6),
(1698, NULL, 'PF05497', NULL, NULL, 'Destabilase', NULL, 'Destabilase', NULL, NULL, NULL, 6),
(1699, NULL, 'PF05904', NULL, NULL, 'Plant protein of unknown function (DUF863)', NULL, 'DUF863', NULL, NULL, NULL, 6),
(1700, NULL, 'PF00940', NULL, NULL, 'DNA-dependent RNA polymerase', NULL, 'RNA_pol', NULL, NULL, NULL, 6),
(1701, NULL, 'PF01294', NULL, NULL, 'Ribosomal protein L13e', NULL, 'Ribosomal_L13e', NULL, NULL, NULL, 6),
(1702, NULL, 'PF09357', NULL, NULL, 'RteC protein', NULL, 'RteC', NULL, NULL, NULL, 6),
(1703, NULL, 'PF17861', NULL, NULL, 'Laterosporulin defensin-like peptide', NULL, 'Laterosporulin', NULL, NULL, NULL, 6),
(1704, NULL, 'PF13821', NULL, NULL, 'Domain of unknown function (DUF4187)', NULL, 'DUF4187', NULL, NULL, NULL, 6),
(1705, NULL, 'PF18267', NULL, NULL, 'Rubredoxin NAD+ reductase C-terminal domain', NULL, 'Rubredoxin_C', NULL, NULL, NULL, 6),
(1706, NULL, 'PF03086', NULL, NULL, 'Domain of unknown function (DUF240)', NULL, 'DUF240', NULL, NULL, NULL, 6),
(1707, NULL, 'PF09182', NULL, NULL, 'Bacterial purine repressor, N-terminal', NULL, 'PuR_N', NULL, NULL, NULL, 6),
(1708, NULL, 'PF00588', NULL, NULL, 'SpoU rRNA Methylase family', NULL, 'SpoU_methylase', NULL, NULL, NULL, 6),
(1709, NULL, 'PF16398', NULL, NULL, 'Domain of unknown function (DUF5007)', NULL, 'DUF5007', NULL, NULL, NULL, 6),
(1710, NULL, 'PF07423', NULL, NULL, 'Domain of unknown function (DUF1510)', NULL, 'DUF1510', NULL, NULL, NULL, 6),
(1711, NULL, 'PF02245', NULL, NULL, 'Methylpurine-DNA glycosylase (MPG)', NULL, 'Pur_DNA_glyco', NULL, NULL, NULL, 6),
(1712, NULL, 'PF06563', NULL, NULL, 'Protein of unknown function (DUF1125)', NULL, 'DUF1125', NULL, NULL, NULL, 6),
(1713, NULL, 'PF04123', NULL, NULL, 'Domain of unknown function (DUF373)', NULL, 'DUF373', NULL, NULL, NULL, 6),
(1714, NULL, 'PF04669', NULL, NULL, 'Polysaccharide biosynthesis', NULL, 'Polysacc_synt_4', NULL, NULL, NULL, 6),
(1715, NULL, 'PF09248', NULL, NULL, 'Domain of unknown function (DUF1965)', NULL, 'DUF1965', NULL, NULL, NULL, 6),
(1716, NULL, 'PF18646', NULL, NULL, 'Family of unknown function (DUF5632)', NULL, 'DUF5632', NULL, NULL, NULL, 6),
(1717, NULL, 'PF12022', NULL, NULL, 'Domain of unknown function (DUF3510)', NULL, 'DUF3510', NULL, NULL, NULL, 6),
(1718, NULL, 'PF03881', NULL, NULL, 'Fructosamine kinase', NULL, 'Fructosamin_kin', NULL, NULL, NULL, 6),
(1719, NULL, 'PF14879', NULL, NULL, 'Domain of unknown function (DUF4489)', NULL, 'DUF4489', NULL, NULL, NULL, 6),
(1720, NULL, 'PF17771', NULL, NULL, 'ADAM cysteine-rich domain', NULL, 'ADAM_CR_2', NULL, NULL, NULL, 6),
(1721, NULL, 'PF03184', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_1', NULL, NULL, NULL, 6),
(1722, NULL, 'PF17870', NULL, NULL, 'Insulin receptor trans-membrane segment', NULL, 'Insulin_TMD', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1723, NULL, 'PF13823', NULL, NULL, 'Alcohol dehydrogenase GroES-associated', NULL, 'ADH_N_assoc', NULL, NULL, NULL, 6),
(1724, NULL, 'PF08381', NULL, NULL, 'Transcription factor regulating root and shoot growth via Pin3', NULL, 'BRX', NULL, NULL, NULL, 6),
(1725, NULL, 'PF03974', NULL, NULL, 'Ecotin', NULL, 'Ecotin', NULL, NULL, NULL, 6),
(1726, NULL, 'PF08918', NULL, NULL, 'PhoQ Sensor', NULL, 'PhoQ_Sensor', NULL, NULL, NULL, 6),
(1727, NULL, 'PF05878', NULL, NULL, 'Phytoreovirus nonstructural protein Pns9/Pns10', NULL, 'Phyto_Pns9_10', NULL, NULL, NULL, 6),
(1728, NULL, 'PF13489', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_23', NULL, NULL, NULL, 6),
(1729, NULL, 'PF12734', NULL, NULL, 'Cysteine-rich TM module stress tolerance', NULL, 'CYSTM', NULL, NULL, NULL, 6),
(1730, NULL, 'PF12594', NULL, NULL, 'Protein of unknown function (DUF3764)', NULL, 'DUF3764', NULL, NULL, NULL, 6),
(1731, NULL, 'PF02449', NULL, NULL, 'Beta-galactosidase', NULL, 'Glyco_hydro_42', NULL, NULL, NULL, 6),
(1732, NULL, 'PF03266', NULL, NULL, 'NTPase', NULL, 'NTPase_1', NULL, NULL, NULL, 6),
(1733, NULL, 'PF16713', NULL, NULL, 'Enriched in aromatic and glycine Residues box', NULL, 'EAGR_box', NULL, NULL, NULL, 6),
(1734, NULL, 'PF05379', NULL, NULL, 'Carlavirus endopeptidase', NULL, 'Peptidase_C23', NULL, NULL, NULL, 6),
(1735, NULL, 'PF01092', NULL, NULL, 'Ribosomal protein S6e', NULL, 'Ribosomal_S6e', NULL, NULL, NULL, 6),
(1736, NULL, 'PF12702', NULL, NULL, 'Lipocalin-like', NULL, 'Lipocalin_3', NULL, NULL, NULL, 6),
(1737, NULL, 'PF13908', NULL, NULL, 'Wnt and FGF inhibitory regulator', NULL, 'Shisa', NULL, NULL, NULL, 6),
(1738, NULL, 'PF13773', NULL, NULL, 'Domain of unknown function (DUF4170)', NULL, 'DUF4170', NULL, NULL, NULL, 6),
(1739, NULL, 'PF13383', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_22', NULL, NULL, NULL, 6),
(1740, NULL, 'PF06697', NULL, NULL, 'Protein of unknown function (DUF1191)', NULL, 'DUF1191', NULL, NULL, NULL, 6),
(1741, NULL, 'PF13778', NULL, NULL, 'Domain of unknown function (DUF4174)', NULL, 'DUF4174', NULL, NULL, NULL, 6),
(1742, NULL, 'PF14063', NULL, NULL, 'Protein of unknown function (DUF4254)', NULL, 'DUF4254', NULL, NULL, NULL, 6),
(1743, NULL, 'PF01233', NULL, NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, N-terminal domain', NULL, 'NMT', NULL, NULL, NULL, 6),
(1744, NULL, 'PF00363', NULL, NULL, 'Casein', NULL, 'Casein', NULL, NULL, NULL, 6),
(1745, NULL, 'PF04088', NULL, NULL, 'Peroxin 13, N-terminal region', NULL, 'Peroxin-13_N', NULL, NULL, NULL, 6),
(1746, NULL, 'PF01055', NULL, NULL, 'Glycosyl hydrolases family 31', NULL, 'Glyco_hydro_31', NULL, NULL, NULL, 6),
(1747, NULL, 'PF03664', NULL, NULL, 'Glycosyl hydrolase family 62', NULL, 'Glyco_hydro_62', NULL, NULL, NULL, 6),
(1748, NULL, 'PF10181', NULL, NULL, 'GPI-GlcNAc transferase complex, PIG-H component', NULL, 'PIG-H', NULL, NULL, NULL, 6),
(1749, NULL, 'PF00878', NULL, NULL, 'Cation-independent mannose-6-phosphate receptor repeat', NULL, 'CIMR', NULL, NULL, NULL, 6),
(1750, NULL, 'PF10712', NULL, NULL, 'NAD-specific glutamate dehydrogenase', NULL, 'NAD-GH', NULL, NULL, NULL, 6),
(1751, NULL, 'PF11745', NULL, NULL, 'Protein of unknown function (DUF3304)', NULL, 'DUF3304', NULL, NULL, NULL, 6),
(1752, NULL, 'PF18601', NULL, NULL, 'EZH2 N-terminal domain', NULL, 'EZH2_N', NULL, NULL, NULL, 6),
(1753, NULL, 'PF04838', NULL, NULL, 'Baculoviridae late expression factor 5', NULL, 'Baculo_LEF5', NULL, NULL, NULL, 6),
(1754, NULL, 'PF07123', NULL, NULL, 'Photosystem II reaction centre W protein (PsbW)', NULL, 'PsbW', NULL, NULL, NULL, 6),
(1755, NULL, 'PF06733', NULL, NULL, 'DEAD_2', NULL, 'DEAD_2', NULL, NULL, NULL, 6),
(1756, NULL, 'PF10934', NULL, NULL, 'Protein of unknown function (DUF2634)', NULL, 'DUF2634', NULL, NULL, NULL, 6),
(1757, NULL, 'PF17272', NULL, NULL, 'Family of unknown function (DUF5337)', NULL, 'DUF5337', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1758, NULL, 'PF03876', NULL, NULL, 'SHS2 domain found in N terminus of Rpb7p/Rpc25p/MJ0397', NULL, 'SHS2_Rpb7-N', NULL, NULL, NULL, 6),
(1759, NULL, 'PF03047', NULL, NULL, 'COMC family', NULL, 'ComC', NULL, NULL, NULL, 6),
(1760, NULL, 'PF11765', NULL, NULL, 'Hyphally regulated cell wall protein N-terminal', NULL, 'Hyphal_reg_CWP', NULL, NULL, NULL, 6),
(1761, NULL, 'PF04902', NULL, NULL, 'Conserved region in Nab1', NULL, 'Nab1', NULL, NULL, NULL, 6),
(1762, NULL, 'PF00487', NULL, NULL, 'Fatty acid desaturase', NULL, 'FA_desaturase', NULL, NULL, NULL, 6),
(1763, NULL, 'PF08951', NULL, NULL, 'Enterocin A Immunity', NULL, 'EntA_Immun', NULL, NULL, NULL, 6),
(1764, NULL, 'PF12167', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_2', NULL, NULL, NULL, 6),
(1765, NULL, 'PF10239', NULL, NULL, 'Protein of unknown function (DUF2465)', NULL, 'DUF2465', NULL, NULL, NULL, 6),
(1766, NULL, 'PF04324', NULL, NULL, 'BFD-like [2Fe-2S] binding domain', NULL, 'Fer2_BFD', NULL, NULL, NULL, 6),
(1767, NULL, 'PF12676', NULL, NULL, 'Protein of unknown function (DUF3796)', NULL, 'DUF3796', NULL, NULL, NULL, 6),
(1768, NULL, 'PF09528', NULL, NULL, 'Ehrlichia tandem repeat (Ehrlichia_rpt)', NULL, 'Ehrlichia_rpt', NULL, NULL, NULL, 6),
(1769, NULL, 'PF04515', NULL, NULL, 'Plasma-membrane choline transporter', NULL, 'Choline_transpo', NULL, NULL, NULL, 6),
(1770, NULL, 'PF10814', NULL, NULL, 'Cell wall synthesis protein CwsA', NULL, 'CwsA', NULL, NULL, NULL, 6),
(1771, NULL, 'PF10771', NULL, NULL, 'Winged helix-turn-helix domain (DUF2582)', NULL, 'DUF2582', NULL, NULL, NULL, 6),
(1772, NULL, 'PF17720', NULL, NULL, 'Family of unknown function (DUF5565)', NULL, 'DUF5565', NULL, NULL, NULL, 6),
(1773, NULL, 'PF10254', NULL, NULL, 'PACS-1 cytosolic sorting protein', NULL, 'Pacs-1', NULL, NULL, NULL, 6),
(1774, NULL, 'PF05823', NULL, NULL, 'Nematode fatty acid retinoid binding protein (Gp-FAR-1)', NULL, 'Gp-FAR-1', NULL, NULL, NULL, 6),
(1775, NULL, 'PF00029', NULL, NULL, 'Connexin', NULL, 'Connexin', NULL, NULL, NULL, 6),
(1776, NULL, 'PF15748', NULL, NULL, 'Centriole, cilia and spindle-associated', NULL, 'CCSAP', NULL, NULL, NULL, 6),
(1777, NULL, 'PF16000', NULL, NULL, 'CARMIL C-terminus', NULL, 'CARMIL_C', NULL, NULL, NULL, 6),
(1778, NULL, 'PF00396', NULL, NULL, 'Granulin', NULL, 'Granulin', NULL, NULL, NULL, 6),
(1779, NULL, 'PF14812', NULL, NULL, 'Transmembrane domain of transglycosylase PBP1 at N-terminal', NULL, 'PBP1_TM', NULL, NULL, NULL, 6),
(1780, NULL, 'PF05861', NULL, NULL, 'Bacterial phosphonate metabolism protein (PhnI)', NULL, 'PhnI', NULL, NULL, NULL, 6),
(1781, NULL, 'PF00647', NULL, NULL, 'Elongation factor 1 gamma, conserved domain', NULL, 'EF1G', NULL, NULL, NULL, 6),
(1782, NULL, 'PF15802', NULL, NULL, 'DDB1- and CUL4-associated factor 17', NULL, 'DCAF17', NULL, NULL, NULL, 6),
(1783, NULL, 'PF07057', NULL, NULL, 'DNA helicase TraI', NULL, 'TraI', NULL, NULL, NULL, 6),
(1784, NULL, 'PF11953', NULL, NULL, 'Domain of unknown function (DUF3470)', NULL, 'DUF3470', NULL, NULL, NULL, 6),
(1785, NULL, 'PF01756', NULL, NULL, 'Acyl-CoA oxidase', NULL, 'ACOX', NULL, NULL, NULL, 6),
(1786, NULL, 'PF07456', NULL, NULL, 'Heptaprenyl diphosphate synthase component I', NULL, 'Hpre_diP_synt_I', NULL, NULL, NULL, 6),
(1787, NULL, 'PF18212', NULL, NULL, 'ZNRF-3 Ectodomain', NULL, 'ZNRF_3_ecto', NULL, NULL, NULL, 6),
(1788, NULL, 'PF18866', NULL, NULL, 'CxC7 like cysteine cluster associated with KDZ transposases', NULL, 'CxC7', NULL, NULL, NULL, 6),
(1789, NULL, 'PF01676', NULL, NULL, 'Metalloenzyme superfamily', NULL, 'Metalloenzyme', NULL, NULL, NULL, 6),
(1790, NULL, 'PF13132', NULL, NULL, 'Domain of unknown function (DUF3950)', NULL, 'DUF3950', NULL, NULL, NULL, 6),
(1791, NULL, 'PF01673', NULL, NULL, 'Herpesvirus putative major envelope glycoprotein', NULL, 'Herpes_env', NULL, NULL, NULL, 6),
(1792, NULL, 'PF00922', NULL, NULL, 'Vesiculovirus phosphoprotein', NULL, 'Phosphoprotein', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1793, NULL, 'PF09461', NULL, NULL, 'Phytotoxin PcF protein', NULL, 'PcF', NULL, NULL, NULL, 6),
(1794, NULL, 'PF03948', NULL, NULL, 'Ribosomal protein L9, C-terminal domain', NULL, 'Ribosomal_L9_C', NULL, NULL, NULL, 6),
(1795, NULL, 'PF14115', NULL, NULL, 'YuzL-like protein', NULL, 'YuzL', NULL, NULL, NULL, 6),
(1796, NULL, 'PF00497', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 3', NULL, 'SBP_bac_3', NULL, NULL, NULL, 6),
(1797, NULL, 'PF17502', NULL, NULL, 'Family of unknown function (DUF5434)', NULL, 'DUF5434', NULL, NULL, NULL, 6),
(1798, NULL, 'PF18318', NULL, NULL, 'Glutamine synthetase C-terminal domain', NULL, 'Gln-synt_C-ter', NULL, NULL, NULL, 6),
(1799, NULL, 'PF04910', NULL, NULL, 'Transcriptional repressor TCF25', NULL, 'Tcf25', NULL, NULL, NULL, 6),
(1800, NULL, 'PF06072', NULL, NULL, 'Alphaherpesvirus tegument protein US9', NULL, 'Herpes_US9', NULL, NULL, NULL, 6),
(1801, NULL, 'PF10710', NULL, NULL, 'Protein of unknown function (DUF2512)', NULL, 'DUF2512', NULL, NULL, NULL, 6),
(1802, NULL, 'PF15823', NULL, NULL, 'UPF0524 of C3orf70', NULL, 'UPF0524', NULL, NULL, NULL, 6),
(1803, NULL, 'PF16697', NULL, NULL, 'Inner membrane component of T3SS, cytoplasmic domain', NULL, 'Yop-YscD_cpl', NULL, NULL, NULL, 6),
(1804, NULL, 'PF09210', NULL, NULL, 'Domain of unknown function (DUF1957)', NULL, 'DUF1957', NULL, NULL, NULL, 6),
(1805, NULL, 'PF00661', NULL, NULL, 'Viral matrix protein', NULL, 'Matrix', NULL, NULL, NULL, 6),
(1806, NULL, 'PF05806', NULL, NULL, 'Noggin', NULL, 'Noggin', NULL, NULL, NULL, 6),
(1807, NULL, 'PF14105', NULL, NULL, 'Domain of unknown function (DUF4278)', NULL, 'DUF4278', NULL, NULL, NULL, 6),
(1808, NULL, 'PF03265', NULL, NULL, 'Deoxyribonuclease II', NULL, 'DNase_II', NULL, NULL, NULL, 6),
(1809, NULL, 'PF08389', NULL, NULL, 'Exportin 1-like protein', NULL, 'Xpo1', NULL, NULL, NULL, 6),
(1810, NULL, 'PF02214', NULL, NULL, 'BTB/POZ domain', NULL, 'BTB_2', NULL, NULL, NULL, 6),
(1811, NULL, 'PF00649', NULL, NULL, 'Copper fist DNA binding domain', NULL, 'Copper-fist', NULL, NULL, NULL, 6),
(1812, NULL, 'PF06767', NULL, NULL, 'Sif protein', NULL, 'Sif', NULL, NULL, NULL, 6),
(1813, NULL, 'PF17196', NULL, NULL, 'Protein of unknown function (DUF5133)', NULL, 'DUF5133', NULL, NULL, NULL, 6),
(1814, NULL, 'PF15315', NULL, NULL, 'Facioscapulohumeral muscular dystrophy candidate 2', NULL, 'FRG2', NULL, NULL, NULL, 6),
(1815, NULL, 'PF03824', NULL, NULL, 'High-affinity nickel-transport protein', NULL, 'NicO', NULL, NULL, NULL, 6),
(1816, NULL, 'PF02524', NULL, NULL, 'KID repeat', NULL, 'KID', NULL, NULL, NULL, 6),
(1817, NULL, 'PF16859', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_11', NULL, NULL, NULL, 6),
(1818, NULL, 'PF06778', NULL, NULL, 'Chlorite dismutase', NULL, 'Chlor_dismutase', NULL, NULL, NULL, 6),
(1819, NULL, 'PF18161', NULL, NULL, 'ISP1 C-terminal', NULL, 'ISP1_C', NULL, NULL, NULL, 6),
(1820, NULL, 'PF02404', NULL, NULL, 'Stem cell factor', NULL, 'SCF', NULL, NULL, NULL, 6),
(1821, NULL, 'PF15487', NULL, NULL, 'FAM220 family', NULL, 'FAM220', NULL, NULL, NULL, 6),
(1822, NULL, 'PF06799', NULL, NULL, 'Conserved in the green lineage and diatoms 27', NULL, 'DUF1230', NULL, NULL, NULL, 6),
(1823, NULL, 'PF14871', NULL, NULL, 'Hypothetical glycosyl hydrolase 6', NULL, 'GHL6', NULL, NULL, NULL, 6),
(1824, NULL, 'PF16835', NULL, NULL, 'Pre-mRNA-splicing factor SF3a complex subunit 2 (Prp11)', NULL, 'SF3A2', NULL, NULL, NULL, 6),
(1825, NULL, 'PF15061', NULL, NULL, 'Domain of unknown function (DUF4538)', NULL, 'DUF4538', NULL, NULL, NULL, 6),
(1826, NULL, 'PF07508', NULL, NULL, 'Recombinase', NULL, 'Recombinase', NULL, NULL, NULL, 6),
(1827, NULL, 'PF09277', NULL, NULL, 'Erythronolide synthase, docking', NULL, 'Erythro-docking', NULL, NULL, NULL, 6),
(1828, NULL, 'PF15564', NULL, NULL, 'Immunity protein 25', NULL, 'Imm25', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1829, NULL, 'PF08407', NULL, NULL, 'Chitin synthase N-terminal', NULL, 'Chitin_synth_1N', NULL, NULL, NULL, 6),
(1830, NULL, 'PF08054', NULL, NULL, 'Leucine operon leader peptide', NULL, 'Leu_leader', NULL, NULL, NULL, 6),
(1831, NULL, 'PF03693', NULL, NULL, 'Bacterial antitoxin of ParD toxin-antitoxin type II system and RHH', NULL, 'ParD_antitoxin', NULL, NULL, NULL, 6),
(1832, NULL, 'PF10263', NULL, NULL, 'SprT-like family', NULL, 'SprT-like', NULL, NULL, NULL, 6),
(1833, NULL, 'PF08900', NULL, NULL, 'Domain of unknown function (DUF1845)', NULL, 'DUF1845', NULL, NULL, NULL, 6),
(1834, NULL, 'PF15767', NULL, NULL, 'Domain of unknown function (DUF4696)', NULL, 'DUF4696', NULL, NULL, NULL, 6),
(1835, NULL, 'PF12469', NULL, NULL, 'CRISPR-associated protein', NULL, 'DUF3692', NULL, NULL, NULL, 6),
(1836, NULL, 'PF09023', NULL, NULL, 'Staphostatin B', NULL, 'Staphostatin_B', NULL, NULL, NULL, 6),
(1837, NULL, 'PF17750', NULL, NULL, 'Reovirus sigma C capsid protein triple beta spiral', NULL, 'Reo_sigmaC_M', NULL, NULL, NULL, 6),
(1838, NULL, 'PF16662', NULL, NULL, 'FLYWCH-type zinc finger-containing protein 1', NULL, 'FLYWCH_u', NULL, NULL, NULL, 6),
(1839, NULL, 'PF01738', NULL, NULL, 'Dienelactone hydrolase family', NULL, 'DLH', NULL, NULL, NULL, 6),
(1840, NULL, 'PF01462', NULL, NULL, 'Leucine rich repeat N-terminal domain', NULL, 'LRRNT', NULL, NULL, NULL, 6),
(1841, NULL, 'PF07892', NULL, NULL, 'Protein of unknown function (DUF1667)', NULL, 'DUF1667', NULL, NULL, NULL, 6),
(1842, NULL, 'PF10224', NULL, NULL, 'Short coiled-coil protein', NULL, 'DUF2205', NULL, NULL, NULL, 6),
(1843, NULL, 'PF14977', NULL, NULL, 'FAM194 protein', NULL, 'FAM194', NULL, NULL, NULL, 6),
(1844, NULL, 'PF17780', NULL, NULL, 'OCRE domain', NULL, 'OCRE', NULL, NULL, NULL, 6),
(1845, NULL, 'PF16321', NULL, NULL, 'Sigma 54 modulation/S30EA ribosomal protein C terminus', NULL, 'Ribosom_S30AE_C', NULL, NULL, NULL, 6),
(1846, NULL, 'PF10144', NULL, NULL, 'Bacterial virulence factor haemolysin', NULL, 'SMP_2', NULL, NULL, NULL, 6),
(1847, NULL, 'PF07016', NULL, NULL, 'Cysteine-rich acidic integral membrane protein precursor', NULL, 'CRAM_rpt', NULL, NULL, NULL, 6),
(1848, NULL, 'PF08968', NULL, NULL, 'Domain of unknown function (DUF1885)', NULL, 'DUF1885', NULL, NULL, NULL, 6),
(1849, NULL, 'PF09669', NULL, NULL, 'Phage regulatory protein Rha (Phage_pRha)', NULL, 'Phage_pRha', NULL, NULL, NULL, 6),
(1850, NULL, 'PF01428', NULL, NULL, 'AN1-like Zinc finger', NULL, 'zf-AN1', NULL, NULL, NULL, 6),
(1851, NULL, 'PF17730', NULL, NULL, 'Centrosomal C10orf90', NULL, 'Centro_C10orf90', NULL, NULL, NULL, 6),
(1852, NULL, 'PF11106', NULL, NULL, 'Exopolysaccharide production protein YjbE', NULL, 'YjbE', NULL, NULL, NULL, 6),
(1853, NULL, 'PF05078', NULL, NULL, 'Protein of unknown function (DUF679)', NULL, 'DUF679', NULL, NULL, NULL, 6),
(1854, NULL, 'PF01031', NULL, NULL, 'Dynamin central region', NULL, 'Dynamin_M', NULL, NULL, NULL, 6),
(1855, NULL, 'PF02228', NULL, NULL, 'Major core protein p19', NULL, 'Gag_p19', NULL, NULL, NULL, 6),
(1856, NULL, 'PF14611', NULL, NULL, 'Mitochondrial inner-membrane-bound regulator', NULL, 'SLS', NULL, NULL, NULL, 6),
(1857, NULL, 'PF00405', NULL, NULL, 'Transferrin', NULL, 'Transferrin', NULL, NULL, NULL, 6),
(1858, NULL, 'PF08069', NULL, NULL, 'Ribosomal S13/S15 N-terminal domain', NULL, 'Ribosomal_S13_N', NULL, NULL, NULL, 6),
(1859, NULL, 'PF00733', NULL, NULL, 'Asparagine synthase', NULL, 'Asn_synthase', NULL, NULL, NULL, 6),
(1860, NULL, 'PF07668', NULL, NULL, 'M penetrans paralogue family 1', NULL, 'MpPF1', NULL, NULL, NULL, 6),
(1861, NULL, 'PF08780', NULL, NULL, 'Nucleotidyltransferase substrate binding protein like', NULL, 'NTase_sub_bind', NULL, NULL, NULL, 6),
(1862, NULL, 'PF05035', NULL, NULL, '2-keto-3-deoxy-galactonokinase', NULL, 'DGOK', NULL, NULL, NULL, 6),
(1863, NULL, 'PF01015', NULL, NULL, 'Ribosomal S3Ae family', NULL, 'Ribosomal_S3Ae', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1864, NULL, 'PF09659', NULL, NULL, 'CRISPR-associated protein (Cas_Csm6)', NULL, 'Cas_Csm6', NULL, NULL, NULL, 6),
(1865, NULL, 'PF08033', NULL, NULL, 'Sec23/Sec24 beta-sandwich domain', NULL, 'Sec23_BS', NULL, NULL, NULL, 6),
(1866, NULL, 'PF16162', NULL, NULL, 'Domain of unknown function (DUF4868)', NULL, 'DUF4868', NULL, NULL, NULL, 6),
(1867, NULL, 'PF11982', NULL, NULL, 'Domain of unknown function (DUF3483)', NULL, 'DUF3483', NULL, NULL, NULL, 6),
(1868, NULL, 'PF14636', NULL, NULL, 'Folliculin-interacting protein N-terminus', NULL, 'FNIP_N', NULL, NULL, NULL, 6),
(1869, NULL, 'PF18207', NULL, NULL, 'Leukemia inhibitory factor receptor N-terminal domain', NULL, 'LIFR_N', NULL, NULL, NULL, 6),
(1870, NULL, 'PF06222', NULL, NULL, 'Phage tail assembly chaperone', NULL, 'Phage_TAC_1', NULL, NULL, NULL, 6),
(1871, NULL, 'PF03482', NULL, NULL, 'sic protein repeat', NULL, 'SIC', NULL, NULL, NULL, 6),
(1872, NULL, 'PF03413', NULL, NULL, 'Peptidase propeptide and YPEB domain', NULL, 'PepSY', NULL, NULL, NULL, 6),
(1873, NULL, 'PF18549', NULL, NULL, 'Nitrosopumilus output domain 1', NULL, 'NitrOD1', NULL, NULL, NULL, 6),
(1874, NULL, 'PF04487', NULL, NULL, 'CITED', NULL, 'CITED', NULL, NULL, NULL, 6),
(1875, NULL, 'PF01696', NULL, NULL, 'Adenovirus EB1 55K protein / large t-antigen', NULL, 'Adeno_E1B_55K', NULL, NULL, NULL, 6),
(1876, NULL, 'PF06443', NULL, NULL, 'SEF14-like adhesin', NULL, 'SEF14_adhesin', NULL, NULL, NULL, 6),
(1877, NULL, 'PF19137', NULL, NULL, 'Family of unknown function (DUF5820)', NULL, 'DUF5820', NULL, NULL, NULL, 6),
(1878, NULL, 'PF00224', NULL, NULL, 'Pyruvate kinase, barrel domain', NULL, 'PK', NULL, NULL, NULL, 6),
(1879, NULL, 'PF16892', NULL, NULL, 'Chitin biosynthesis protein CHS5 N-terminus', NULL, 'CHS5_N', NULL, NULL, NULL, 6),
(1880, NULL, 'PF11391', NULL, NULL, 'Protein of unknown function (DUF2798)', NULL, 'DUF2798', NULL, NULL, NULL, 6),
(1881, NULL, 'PF00831', NULL, NULL, 'Ribosomal L29 protein', NULL, 'Ribosomal_L29', NULL, NULL, NULL, 6),
(1882, NULL, 'PF09591', NULL, NULL, 'Protein of unknown function (DUF2463)', NULL, 'DUF2463', NULL, NULL, NULL, 6),
(1883, NULL, 'PF08410', NULL, NULL, 'Domain of unknown function (DUF1737)', NULL, 'DUF1737', NULL, NULL, NULL, 6),
(1884, NULL, 'PF08587', NULL, NULL, 'Ubiquitin associated domain (UBA)', NULL, 'UBA_2', NULL, NULL, NULL, 6),
(1885, NULL, 'PF00113', NULL, NULL, 'Enolase, C-terminal TIM barrel domain', NULL, 'Enolase_C', NULL, NULL, NULL, 6),
(1886, NULL, 'PF12209', NULL, NULL, 'Leucine permease transcriptional regulator helical domain', NULL, 'SAC3', NULL, NULL, NULL, 6),
(1887, NULL, 'PF11884', NULL, NULL, 'Domain of unknown function (DUF3404)', NULL, 'DUF3404', NULL, NULL, NULL, 6),
(1888, NULL, 'PF09316', NULL, NULL, 'C-myb, C-terminal', NULL, 'Cmyb_C', NULL, NULL, NULL, 6),
(1889, NULL, 'PF15025', NULL, NULL, 'Domain of unknown function (DUF4524)', NULL, 'DUF4524', NULL, NULL, NULL, 6),
(1890, NULL, 'PF14358', NULL, NULL, 'Domain of unknown function (DUF4405)', NULL, 'DUF4405', NULL, NULL, NULL, 6),
(1891, NULL, 'PF07471', NULL, NULL, 'Phage DNA packaging protein Nu1', NULL, 'Phage_Nu1', NULL, NULL, NULL, 6),
(1892, NULL, 'PF02080', NULL, NULL, 'TrkA-C domain', NULL, 'TrkA_C', NULL, NULL, NULL, 6),
(1893, NULL, 'PF15679', NULL, NULL, 'Domain of unknown function (DUF4665)', NULL, 'DUF4665', NULL, NULL, NULL, 6),
(1894, NULL, 'PF16841', NULL, NULL, 'Ca-dependent carbohydrate-binding module xylan-binding', NULL, 'CBM60', NULL, NULL, NULL, 6),
(1895, NULL, 'PF14634', NULL, NULL, 'zinc-RING finger domain', NULL, 'zf-RING_5', NULL, NULL, NULL, 6),
(1896, NULL, 'PF05241', NULL, NULL, 'EXPERA (EXPanded EBP superfamily)', NULL, 'EBP', NULL, NULL, NULL, 6),
(1897, NULL, 'PF07551', NULL, NULL, 'Protein of unknown function (DUF1534)', NULL, 'DUF1534', NULL, NULL, NULL, 6),
(1898, NULL, 'PF12463', NULL, NULL, 'Protein of unknown function (DUF3689)', NULL, 'DUF3689', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1899, NULL, 'PF09309', NULL, NULL, 'FCP1, C-terminal', NULL, 'FCP1_C', NULL, NULL, NULL, 6),
(1900, NULL, 'PF00627', NULL, NULL, 'UBA/TS-N domain', NULL, 'UBA', NULL, NULL, NULL, 6),
(1901, NULL, 'PF13581', NULL, NULL, 'Histidine kinase-like ATPase domain', NULL, 'HATPase_c_2', NULL, NULL, NULL, 6),
(1902, NULL, 'PF13166', NULL, NULL, 'AAA domain', NULL, 'AAA_13', NULL, NULL, NULL, 6),
(1903, NULL, 'PF11700', NULL, NULL, 'Vacuole effluxer Atg22 like', NULL, 'ATG22', NULL, NULL, NULL, 6),
(1904, NULL, 'PF11053', NULL, NULL, 'Terminase DNA packaging enzyme', NULL, 'DNA_Packaging', NULL, NULL, NULL, 6),
(1905, NULL, 'PF10928', NULL, NULL, 'Protein of unknown function (DUF2810)', NULL, 'DUF2810', NULL, NULL, NULL, 6),
(1906, NULL, 'PF08495', NULL, NULL, 'FIST N domain', NULL, 'FIST', NULL, NULL, NULL, 6),
(1907, NULL, 'PF03407', NULL, NULL, 'Nucleotide-diphospho-sugar transferase', NULL, 'Nucleotid_trans', NULL, NULL, NULL, 6),
(1908, NULL, 'PF13376', NULL, NULL, 'Bacteriocin-protection, YdeI or OmpD-Associated', NULL, 'OmdA', NULL, NULL, NULL, 6),
(1909, NULL, 'PF00404', NULL, NULL, 'Dockerin type I domain', NULL, 'Dockerin_1', NULL, NULL, NULL, 6),
(1910, NULL, 'PF11879', NULL, NULL, 'Domain of unknown function (DUF3399)', NULL, 'DUF3399', NULL, NULL, NULL, 6),
(1911, NULL, 'PF06049', NULL, NULL, 'Coagulation Factor V LSPD Repeat', NULL, 'LSPR', NULL, NULL, NULL, 6),
(1912, NULL, 'PF14261', NULL, NULL, 'Domain of unknown function (DUF4351)', NULL, 'DUF4351', NULL, NULL, NULL, 6),
(1913, NULL, 'PF14674', NULL, NULL, 'FANCI solenoid 1 cap', NULL, 'FANCI_S1-cap', NULL, NULL, NULL, 6),
(1914, NULL, 'PF18041', NULL, NULL, 'MapZ extracellular domain 1', NULL, 'MapZ_EC1', NULL, NULL, NULL, 6),
(1915, NULL, 'PF02519', NULL, NULL, 'Auxin responsive protein', NULL, 'Auxin_inducible', NULL, NULL, NULL, 6),
(1916, NULL, 'PF14444', NULL, NULL, 'S1-like', NULL, 'S1-like', NULL, NULL, NULL, 6),
(1917, NULL, 'PF13941', NULL, NULL, 'MutL protein', NULL, 'MutL', NULL, NULL, NULL, 6),
(1918, NULL, 'PF00747', NULL, NULL, 'ssDNA binding protein', NULL, 'Viral_DNA_bp', NULL, NULL, NULL, 6),
(1919, NULL, 'PF16508', NULL, NULL, 'Second BRCT domain on Nijmegen syndrome breakage protein', NULL, 'NIBRIN_BRCT_II', NULL, NULL, NULL, 6),
(1920, NULL, 'PF03555', NULL, NULL, 'Influenza C non-structural protein (NS2)', NULL, 'Flu_C_NS2', NULL, NULL, NULL, 6),
(1921, NULL, 'PF12740', NULL, NULL, 'Chlorophyllase enzyme', NULL, 'Chlorophyllase2', NULL, NULL, NULL, 6),
(1922, NULL, 'PF07436', NULL, NULL, 'Curtovirus V3 protein', NULL, 'Curto_V3', NULL, NULL, NULL, 6),
(1923, NULL, 'PF16610', NULL, NULL, 'Unstructured region between two PDZ domains on Dlg5', NULL, 'dbPDZ_assoc', NULL, NULL, NULL, 6),
(1924, NULL, 'PF00007', NULL, NULL, 'Cystine-knot domain', NULL, 'Cys_knot', NULL, NULL, NULL, 6),
(1925, NULL, 'PF12789', NULL, NULL, 'Phage tail repeat like', NULL, 'PTR', NULL, NULL, NULL, 6),
(1926, NULL, 'PF00553', NULL, NULL, 'Cellulose binding domain', NULL, 'CBM_2', NULL, NULL, NULL, 6),
(1927, NULL, 'PF01865', NULL, NULL, 'Protein of unknown function DUF47', NULL, 'PhoU_div', NULL, NULL, NULL, 6),
(1928, NULL, 'PF04455', NULL, NULL, 'LOR/SDH bifunctional enzyme conserved region', NULL, 'Saccharop_dh_N', NULL, NULL, NULL, 6),
(1929, NULL, 'PF01826', NULL, NULL, 'Trypsin Inhibitor like cysteine rich domain', NULL, 'TIL', NULL, NULL, NULL, 6),
(1930, NULL, 'PF11354', NULL, NULL, 'Protein of unknown function (DUF3156)', NULL, 'DUF3156', NULL, NULL, NULL, 6),
(1931, NULL, 'PF15828', NULL, NULL, 'Domain of unknown function (DUF4710)', NULL, 'DUF4710', NULL, NULL, NULL, 6),
(1932, NULL, 'PF13634', NULL, NULL, 'Nucleoporin FG repeat region', NULL, 'Nucleoporin_FG', NULL, NULL, NULL, 6),
(1933, NULL, 'PF03012', NULL, NULL, 'Phosphoprotein', NULL, 'PP_M1', NULL, NULL, NULL, 6),
(1934, NULL, 'PF16764', NULL, NULL, 'Sharpin PH domain', NULL, 'Sharpin_PH', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1935, NULL, 'PF05695', NULL, NULL, 'Plant protein of unknown function (DUF825)', NULL, 'DUF825', NULL, NULL, NULL, 6),
(1936, NULL, 'PF14785', NULL, NULL, 'Maltose transport system permease protein MalF P2 domain', NULL, 'MalF_P2', NULL, NULL, NULL, 6),
(1937, NULL, 'PF06730', NULL, NULL, 'FAM92 protein', NULL, 'FAM92', NULL, NULL, NULL, 6),
(1938, NULL, 'PF03939', NULL, NULL, 'Ribosomal protein L23, N-terminal domain', NULL, 'Ribosomal_L23eN', NULL, NULL, NULL, 6),
(1939, NULL, 'PF17769', NULL, NULL, 'Phosphoribosylaminoimidazole carboxylase C-terminal domain', NULL, 'PurK_C', NULL, NULL, NULL, 6),
(1940, NULL, 'PF01123', NULL, NULL, 'Staphylococcal/Streptococcal toxin, OB-fold domain', NULL, 'Stap_Strp_toxin', NULL, NULL, NULL, 6),
(1941, NULL, 'PF05804', NULL, NULL, 'Kinesin-associated protein (KAP)', NULL, 'KAP', NULL, NULL, NULL, 6),
(1942, NULL, 'PF01053', NULL, NULL, 'Cys/Met metabolism PLP-dependent enzyme', NULL, 'Cys_Met_Meta_PP', NULL, NULL, NULL, 6),
(1943, NULL, 'PF03465', NULL, NULL, 'eRF1 domain 3', NULL, 'eRF1_3', NULL, NULL, NULL, 6),
(1944, NULL, 'PF02186', NULL, NULL, 'TFIIE beta subunit core domain', NULL, 'TFIIE_beta', NULL, NULL, NULL, 6),
(1945, NULL, 'PF13299', NULL, NULL, 'Cleavage and polyadenylation factor 2 C-terminal', NULL, 'CPSF100_C', NULL, NULL, NULL, 6),
(1946, NULL, 'PF11416', NULL, NULL, 'Syntaxin-5 N-terminal, Sly1p-binding domain', NULL, 'Syntaxin-5_N', NULL, NULL, NULL, 6),
(1947, NULL, 'PF06463', NULL, NULL, 'Molybdenum Cofactor Synthesis C', NULL, 'Mob_synth_C', NULL, NULL, NULL, 6),
(1948, NULL, 'PF16780', NULL, NULL, 'AIMP2 lysyl-tRNA synthetase binding domain', NULL, 'AIMP2_LysRS_bd', NULL, NULL, NULL, 6),
(1949, NULL, 'PF16365', NULL, NULL, 'Ethanolamine utilization protein EutK C-terminus', NULL, 'EutK_C', NULL, NULL, NULL, 6),
(1950, NULL, 'PF11130', NULL, NULL, 'TraC protein', NULL, 'TraC_F_IV', NULL, NULL, NULL, 6),
(1951, NULL, 'PF10106', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2345)', NULL, 'DUF2345', NULL, NULL, NULL, 6),
(1952, NULL, 'PF10818', NULL, NULL, 'Protein of unknown function (DUF2547)', NULL, 'DUF2547', NULL, NULL, NULL, 6),
(1953, NULL, 'PF11144', NULL, NULL, 'Protein of unknown function (DUF2920)', NULL, 'DUF2920', NULL, NULL, NULL, 6),
(1954, NULL, 'PF16618', NULL, NULL, 'Linker region between SH3 and WW domains on ARHGAP12', NULL, 'SH3-WW_linker', NULL, NULL, NULL, 6),
(1955, NULL, 'PF03217', NULL, NULL, 'Surface layer protein A domain', NULL, 'SlpA', NULL, NULL, NULL, 6),
(1956, NULL, 'PF19053', NULL, NULL, 'EccD-like transmembrane domain', NULL, 'EccD', NULL, NULL, NULL, 6),
(1957, NULL, 'PF02601', NULL, NULL, 'Exonuclease VII, large subunit', NULL, 'Exonuc_VII_L', NULL, NULL, NULL, 6),
(1958, NULL, 'PF12414', NULL, NULL, 'Calcitonin gene-related peptide regulator C terminal', NULL, 'Fox-1_C', NULL, NULL, NULL, 6),
(1959, NULL, 'PF11395', NULL, NULL, 'Betacoronavirus NS7B protein', NULL, 'bCoV_NS7B', NULL, NULL, NULL, 6),
(1960, NULL, 'PF12488', NULL, NULL, 'Protein of unknown function (DUF3704)', NULL, 'DUF3704', NULL, NULL, NULL, 6),
(1961, NULL, 'PF12794', NULL, NULL, 'Mechanosensitive ion channel inner membrane domain 1', NULL, 'MscS_TM', NULL, NULL, NULL, 6),
(1962, NULL, 'PF03568', NULL, NULL, 'Peptidase family C50', NULL, 'Peptidase_C50', NULL, NULL, NULL, 6),
(1963, NULL, 'PF17931', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_23', NULL, NULL, NULL, 6),
(1964, NULL, 'PF19008', NULL, NULL, 'Family of unknown function (DUF5737)', NULL, 'DUF5737', NULL, NULL, NULL, 6),
(1965, NULL, 'PF06936', NULL, NULL, 'Selenoprotein S (SelS)', NULL, 'Selenoprotein_S', NULL, NULL, NULL, 6),
(1966, NULL, 'PF01450', NULL, NULL, 'Acetohydroxy acid isomeroreductase, catalytic domain', NULL, 'IlvC', NULL, NULL, NULL, 6),
(1967, NULL, 'PF04468', NULL, NULL, 'PSP1 C-terminal conserved region', NULL, 'PSP1', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(1968, NULL, 'PF02208', NULL, NULL, 'Sorbin homologous domain', NULL, 'Sorb', NULL, NULL, NULL, 6),
(1969, NULL, 'PF08657', NULL, NULL, 'DASH complex subunit Spc34', NULL, 'DASH_Spc34', NULL, NULL, NULL, 6),
(1970, NULL, 'PF07800', NULL, NULL, 'Protein of unknown function (DUF1644)', NULL, 'DUF1644', NULL, NULL, NULL, 6),
(1971, NULL, 'PF12525', NULL, NULL, 'Protein of unknown function (DUF3726)', NULL, 'DUF3726', NULL, NULL, NULL, 6),
(1972, NULL, 'PF00050', NULL, NULL, 'Kazal-type serine protease inhibitor domain', NULL, 'Kazal_1', NULL, NULL, NULL, 6),
(1973, NULL, 'PF03507', NULL, NULL, 'CagA exotoxin phosphopeptide substrate mimic region', NULL, 'CagA', NULL, NULL, NULL, 6),
(1974, NULL, 'PF05058', NULL, NULL, 'ActA Protein', NULL, 'ActA', NULL, NULL, NULL, 6),
(1975, NULL, 'PF18925', NULL, NULL, 'Family of unknown function (DUF5675)', NULL, 'DUF5675', NULL, NULL, NULL, 6),
(1976, NULL, 'PF13836', NULL, NULL, 'Domain of unknown function (DUF4195)', NULL, 'DUF4195', NULL, NULL, NULL, 6),
(1977, NULL, 'PF11647', NULL, NULL, 'Membrane Localization Domain', NULL, 'MLD', NULL, NULL, NULL, 6),
(1978, NULL, 'PF00242', NULL, NULL, 'DNA polymerase (viral) N-terminal domain', NULL, 'DNA_pol_viral_N', NULL, NULL, NULL, 6),
(1979, NULL, 'PF00203', NULL, NULL, 'Ribosomal protein S19', NULL, 'Ribosomal_S19', NULL, NULL, NULL, 6),
(1980, NULL, 'PF02045', NULL, NULL, 'CCAAT-binding transcription factor (CBF-B/NF-YA) subunit B', NULL, 'CBFB_NFYA', NULL, NULL, NULL, 6),
(1981, NULL, 'PF17046', NULL, NULL, 'SesB domain on fungal death-pathway protein', NULL, 'Ses_B', NULL, NULL, NULL, 6),
(1982, NULL, 'PF10776', NULL, NULL, 'Protein of unknown function (DUF2600)', NULL, 'DUF2600', NULL, NULL, NULL, 6),
(1983, NULL, 'PF15535', NULL, NULL, 'Bacterial toxin 37', NULL, 'Ntox37', NULL, NULL, NULL, 6),
(1984, NULL, 'PF07639', NULL, NULL, 'YTV', NULL, 'YTV', NULL, NULL, NULL, 6),
(1985, NULL, 'PF00679', NULL, NULL, 'Elongation factor G C-terminus', NULL, 'EFG_C', NULL, NULL, NULL, 6),
(1986, NULL, 'PF03810', NULL, NULL, 'Importin-beta N-terminal domain', NULL, 'IBN_N', NULL, NULL, NULL, 6),
(1987, NULL, 'PF04341', NULL, NULL, 'Protein of unknown function, DUF485', NULL, 'DUF485', NULL, NULL, NULL, 6),
(1988, NULL, 'PF18969', NULL, NULL, 'Family of unknown function (DUF5708)', NULL, 'DUF5708', NULL, NULL, NULL, 6),
(1989, NULL, 'PF04250', NULL, NULL, 'Protein of unknown function (DUF429)', NULL, 'DUF429', NULL, NULL, NULL, 6),
(1990, NULL, 'PF09565', NULL, NULL, 'NgoFVII restriction endonuclease', NULL, 'RE_NgoFVII', NULL, NULL, NULL, 6),
(1991, NULL, 'PF08812', NULL, NULL, 'YtxC-like family', NULL, 'YtxC', NULL, NULL, NULL, 6),
(1992, NULL, 'PF09018', NULL, NULL, 'P3 major capsid protein', NULL, 'Phage_Capsid_P3', NULL, NULL, NULL, 6),
(1993, NULL, 'PF11214', NULL, NULL, 'Mediator complex subunit 2', NULL, 'Med2', NULL, NULL, NULL, 6),
(1994, NULL, 'PF11559', NULL, NULL, 'Afadin- and alpha -actinin-Binding', NULL, 'ADIP', NULL, NULL, NULL, 6),
(1995, NULL, 'PF11638', NULL, NULL, 'DnaA N-terminal domain', NULL, 'DnaA_N', NULL, NULL, NULL, 6),
(1996, NULL, 'PF05399', NULL, NULL, 'Ectropic viral integration site 2A protein (EVI2A)', NULL, 'EVI2A', NULL, NULL, NULL, 6),
(1997, NULL, 'PF01746', NULL, NULL, 'tRNA (Guanine-1)-methyltransferase', NULL, 'tRNA_m1G_MT', NULL, NULL, NULL, 6),
(1998, NULL, 'PF14839', NULL, NULL, 'DOR family', NULL, 'DOR', NULL, NULL, NULL, 6),
(1999, NULL, 'PF07669', NULL, NULL, 'Eco57I restriction-modification methylase', NULL, 'Eco57I', NULL, NULL, NULL, 6),
(2000, NULL, 'PF13672', NULL, NULL, 'Protein phosphatase 2C', NULL, 'PP2C_2', NULL, NULL, NULL, 6),
(2001, NULL, 'PF03745', NULL, NULL, 'Domain of unknown function (DUF309)', NULL, 'DUF309', NULL, NULL, NULL, 6),
(2002, NULL, 'PF14073', NULL, NULL, 'Centrosome localisation domain of Cep57', NULL, 'Cep57_CLD', NULL, NULL, NULL, 6),
(2003, NULL, 'PF04037', NULL, NULL, 'Domain of unknown function (DUF382)', NULL, 'DUF382', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2004, NULL, 'PF15424', NULL, NULL, 'Odontogenic ameloblast-associated family', NULL, 'ODAM', NULL, NULL, NULL, 6),
(2005, NULL, 'PF10210', NULL, NULL, 'Mitochondrial 28S ribosomal protein S32', NULL, 'MRP-S32', NULL, NULL, NULL, 6),
(2006, NULL, 'PF15441', NULL, NULL, 'RhoGEF 5/35 N-terminal disordered region', NULL, 'ARHGEF5_35', NULL, NULL, NULL, 6),
(2007, NULL, 'PF00223', NULL, NULL, 'Photosystem I psaA/psaB protein', NULL, 'PsaA_PsaB', NULL, NULL, NULL, 6),
(2008, NULL, 'PF07058', NULL, NULL, 'Microtubule-associated protein 70', NULL, 'MAP70', NULL, NULL, NULL, 6),
(2009, NULL, 'PF06558', NULL, NULL, 'Secretion monitor precursor protein (SecM)', NULL, 'SecM', NULL, NULL, NULL, 6),
(2010, NULL, 'PF10275', NULL, NULL, 'Peptidase C65 Otubain', NULL, 'Peptidase_C65', NULL, NULL, NULL, 6),
(2011, NULL, 'PF06592', NULL, NULL, 'Protein of unknown function (DUF1138)', NULL, 'DUF1138', NULL, NULL, NULL, 6),
(2012, NULL, 'PF11547', NULL, NULL, 'E3 ubiquitin ligase EDD', NULL, 'E3_UbLigase_EDD', NULL, NULL, NULL, 6),
(2013, NULL, 'PF09058', NULL, NULL, 'L27_1', NULL, 'L27_1', NULL, NULL, NULL, 6),
(2014, NULL, 'PF14656', NULL, NULL, 'Rab3 GTPase-activating protein regulatory subunit C-terminus', NULL, 'RAB3GAP2_C', NULL, NULL, NULL, 6),
(2015, NULL, 'PF11207', NULL, NULL, 'Protein of unknown function (DUF2989)', NULL, 'DUF2989', NULL, NULL, NULL, 6),
(2016, NULL, 'PF02331', NULL, NULL, 'Apoptosis preventing protein', NULL, 'P35', NULL, NULL, NULL, 6),
(2017, NULL, 'PF15467', NULL, NULL, 'Secretogranin-3', NULL, 'SGIII', NULL, NULL, NULL, 6),
(2018, NULL, 'PF13141', NULL, NULL, 'Protein of unknown function (DUF3979)', NULL, 'DUF3979', NULL, NULL, NULL, 6),
(2019, NULL, 'PF09500', NULL, NULL, 'Putative thioesterase (yiiD_Cterm)', NULL, 'YiiD_C', NULL, NULL, NULL, 6),
(2020, NULL, 'PF18366', NULL, NULL, 'Zic proteins zinc finger domain', NULL, 'zf_ZIC', NULL, NULL, NULL, 6),
(2021, NULL, 'PF09057', NULL, NULL, 'Second Mitochondria-derived Activator of Caspases', NULL, 'Smac_DIABLO', NULL, NULL, NULL, 6),
(2022, NULL, 'PF08663', NULL, NULL, 'HalX domain', NULL, 'HalX', NULL, NULL, NULL, 6),
(2023, NULL, 'PF16248', NULL, NULL, 'Domain of unknown function (DUF4905)', NULL, 'DUF4905', NULL, NULL, NULL, 6),
(2024, NULL, 'PF14242', NULL, NULL, 'Domain of unknown function (DUF4342)', NULL, 'DUF4342', NULL, NULL, NULL, 6),
(2025, NULL, 'PF10748', NULL, NULL, 'DNA utilization proteins HofP', NULL, 'HofP', NULL, NULL, NULL, 6),
(2026, NULL, 'PF13897', NULL, NULL, 'Golgi-dynamics membrane-trafficking', NULL, 'GOLD_2', NULL, NULL, NULL, 6),
(2027, NULL, 'PF00183', NULL, NULL, 'Hsp90 protein', NULL, 'HSP90', NULL, NULL, NULL, 6),
(2028, NULL, 'PF09769', NULL, NULL, 'Apolipoprotein O', NULL, 'ApoO', NULL, NULL, NULL, 6),
(2029, NULL, 'PF07079', NULL, NULL, 'Protein of unknown function (DUF1347)', NULL, 'DUF1347', NULL, NULL, NULL, 6),
(2030, NULL, 'PF16335', NULL, NULL, 'Domain of unknown function (DUF4965)', NULL, 'DUF4965', NULL, NULL, NULL, 6),
(2031, NULL, 'PF07527', NULL, NULL, 'Hairy Orange', NULL, 'Hairy_orange', NULL, NULL, NULL, 6),
(2032, NULL, 'PF09709', NULL, NULL, 'CRISPR-associated protein (Cas_Csd1)', NULL, 'Cas_Csd1', NULL, NULL, NULL, 6),
(2033, NULL, 'PF04173', NULL, NULL, 'TQO small subunit DoxD', NULL, 'DoxD', NULL, NULL, NULL, 6),
(2034, NULL, 'PF09469', NULL, NULL, 'Cordon-bleu ubiquitin-like domain', NULL, 'Cobl', NULL, NULL, NULL, 6),
(2035, NULL, 'PF05982', NULL, NULL, 'Na+-dependent bicarbonate transporter superfamily', NULL, 'Sbt_1', NULL, NULL, NULL, 6),
(2036, NULL, 'PF11942', NULL, NULL, 'Spt5 transcription elongation factor, acidic N-terminal', NULL, 'Spt5_N', NULL, NULL, NULL, 6),
(2037, NULL, 'PF06466', NULL, NULL, 'PCAF (P300/CBP-associated factor) N-terminal domain', NULL, 'PCAF_N', NULL, NULL, NULL, 6),
(2038, NULL, 'PF07229', NULL, NULL, 'VirE2', NULL, 'VirE2', NULL, NULL, NULL, 6),
(2039, NULL, 'PF03804', NULL, NULL, 'Viral proteins of unknown function', NULL, 'DUF325', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2040, NULL, 'PF14520', NULL, NULL, 'Helix-hairpin-helix domain', NULL, 'HHH_5', NULL, NULL, NULL, 6),
(2041, NULL, 'PF18265', NULL, NULL, 'Nas2 N_terminal domain', NULL, 'Nas2_N', NULL, NULL, NULL, 6),
(2042, NULL, 'PF07290', NULL, NULL, 'Protein of unknown function (DUF1449)', NULL, 'DUF1449', NULL, NULL, NULL, 6),
(2043, NULL, 'PF14267', NULL, NULL, 'Domain of unknown function (DUF4357)', NULL, 'DUF4357', NULL, NULL, NULL, 6),
(2044, NULL, 'PF00584', NULL, NULL, 'SecE/Sec61-gamma subunits of protein translocation complex', NULL, 'SecE', NULL, NULL, NULL, 6),
(2045, NULL, 'PF00234', NULL, NULL, 'Protease inhibitor/seed storage/LTP family', NULL, 'Tryp_alpha_amyl', NULL, NULL, NULL, 6),
(2046, NULL, 'PF00635', NULL, NULL, 'MSP (Major sperm protein) domain', NULL, 'Motile_Sperm', NULL, NULL, NULL, 6),
(2047, NULL, 'PF16228', NULL, NULL, 'Domain of unknown function (DUF4887)', NULL, 'DUF4887', NULL, NULL, NULL, 6),
(2048, NULL, 'PF17011', NULL, NULL, 'Domain of unknown function (DUF5093)', NULL, 'DUF5093', NULL, NULL, NULL, 6),
(2049, NULL, 'PF08406', NULL, NULL, 'CbbQ/NirQ/NorQ C-terminal', NULL, 'CbbQ_C', NULL, NULL, NULL, 6),
(2050, NULL, 'PF03061', NULL, NULL, 'Thioesterase superfamily', NULL, '4HBT', NULL, NULL, NULL, 6),
(2051, NULL, 'PF16551', NULL, NULL, 'Putative nuclear localisation signal of quaking', NULL, 'Quaking_NLS', NULL, NULL, NULL, 6),
(2052, NULL, 'PF06336', NULL, NULL, 'Coronavirus 5a protein', NULL, 'Corona_5a', NULL, NULL, NULL, 6),
(2053, NULL, 'PF17776', NULL, NULL, 'NLRC4 helical domain HD2', NULL, 'NLRC4_HD2', NULL, NULL, NULL, 6),
(2054, NULL, 'PF05630', NULL, NULL, 'Necrosis inducing protein (NPP1)', NULL, 'NPP1', NULL, NULL, NULL, 6),
(2055, NULL, 'PF18209', NULL, NULL, 'Embryo surrounding factor 1', NULL, 'ESF1', NULL, NULL, NULL, 6),
(2056, NULL, 'PF08683', NULL, NULL, 'Microtubule-binding calmodulin-regulated spectrin-associated', NULL, 'CAMSAP_CKK', NULL, NULL, NULL, 6),
(2057, NULL, 'PF10734', NULL, NULL, 'Protein of unknown function (DUF2523)', NULL, 'DUF2523', NULL, NULL, NULL, 6),
(2058, NULL, 'PF07876', NULL, NULL, 'Stress responsive A/B Barrel Domain', NULL, 'Dabb', NULL, NULL, NULL, 6),
(2059, NULL, 'PF08447', NULL, NULL, 'PAS fold', NULL, 'PAS_3', NULL, NULL, NULL, 6),
(2060, NULL, 'PF05887', NULL, NULL, 'Procyclic acidic repetitive protein (PARP)', NULL, 'Trypan_PARP', NULL, NULL, NULL, 6),
(2061, NULL, 'PF03296', NULL, NULL, 'Poxvirus poly(A) polymerase nucleotidyltransferase domain', NULL, 'Pox_polyA_pol', NULL, NULL, NULL, 6),
(2062, NULL, 'PF10648', NULL, NULL, 'Immunoglobulin-like domain of bacterial spore germination', NULL, 'Gmad2', NULL, NULL, NULL, 6),
(2063, NULL, 'PF00124', NULL, NULL, 'Photosynthetic reaction centre protein', NULL, 'Photo_RC', NULL, NULL, NULL, 6),
(2064, NULL, 'PF08275', NULL, NULL, 'DNA primase catalytic core, N-terminal domain', NULL, 'Toprim_N', NULL, NULL, NULL, 6),
(2065, NULL, 'PF10092', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2330)', NULL, 'DUF2330', NULL, NULL, NULL, 6),
(2066, NULL, 'PF00354', NULL, NULL, 'Pentaxin family', NULL, 'Pentaxin', NULL, NULL, NULL, 6),
(2067, NULL, 'PF08269', NULL, NULL, 'Cache domain', NULL, 'dCache_2', NULL, NULL, NULL, 6),
(2068, NULL, 'PF12974', NULL, NULL, 'ABC transporter, phosphonate, periplasmic substrate-binding protein', NULL, 'Phosphonate-bd', NULL, NULL, NULL, 6),
(2069, NULL, 'PF15773', NULL, NULL, 'Domain of unknown function (DUF4701)', NULL, 'DUF4701', NULL, NULL, NULL, 6),
(2070, NULL, 'PF11381', NULL, NULL, 'Protein of unknown function (DUF3185)', NULL, 'DUF3185', NULL, NULL, NULL, 6),
(2071, NULL, 'PF06394', NULL, NULL, 'Pepsin inhibitor-3-like repeated domain', NULL, 'Pepsin-I3', NULL, NULL, NULL, 6),
(2072, NULL, 'PF16825', NULL, NULL, 'IGP family C-type lectin domain', NULL, 'DUF5075', NULL, NULL, NULL, 6),
(2073, NULL, 'PF03688', NULL, NULL, 'Nepovirus coat protein, C-terminal domain', NULL, 'Nepo_coat_C', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2074, NULL, 'PF16170', NULL, NULL, 'Domain of unknown function (DUF4873)', NULL, 'DUF4873', NULL, NULL, NULL, 6),
(2075, NULL, 'PF15332', NULL, NULL, 'Lck-interacting transmembrane adapter 1', NULL, 'LIME1', NULL, NULL, NULL, 6),
(2076, NULL, 'PF12178', NULL, NULL, 'Chromosome passenger complex (CPC) protein INCENP N terminal', NULL, 'INCENP_N', NULL, NULL, NULL, 6),
(2077, NULL, 'PF15529', NULL, NULL, 'Bacterial toxin 24', NULL, 'Ntox24', NULL, NULL, NULL, 6),
(2078, NULL, 'PF10255', NULL, NULL, 'RNA polymerase I-associated factor PAF67', NULL, 'Paf67', NULL, NULL, NULL, 6),
(2079, NULL, 'PF15984', NULL, NULL, 'Bacterial collagen, middle region', NULL, 'Collagen_mid', NULL, NULL, NULL, 6),
(2080, NULL, 'PF14746', NULL, NULL, 'WASH complex subunit 7, C-terminal', NULL, 'WASH-7_C', NULL, NULL, NULL, 6),
(2081, NULL, 'PF12554', NULL, NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', NULL, 'MOZART1', NULL, NULL, NULL, 6),
(2082, NULL, 'PF12981', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3865)', NULL, 'DUF3865', NULL, NULL, NULL, 6),
(2083, NULL, 'PF18221', NULL, NULL, 'Mutator 2 Fork head associated domain', NULL, 'MU2_FHA', NULL, NULL, NULL, 6),
(2084, NULL, 'PF09041', NULL, NULL, 'Aurora-A binding', NULL, 'Aurora-A_bind', NULL, NULL, NULL, 6),
(2085, NULL, 'PF07319', NULL, NULL, 'Primosomal protein DnaI N-terminus', NULL, 'DnaI_N', NULL, NULL, NULL, 6),
(2086, NULL, 'PF07070', NULL, NULL, 'SpoOM protein', NULL, 'Spo0M', NULL, NULL, NULL, 6),
(2087, NULL, 'PF07239', NULL, NULL, 'Outer membrane protein OpcA', NULL, 'OpcA', NULL, NULL, NULL, 6),
(2088, NULL, 'PF19011', NULL, NULL, 'Family of unknown function (DUF5740)', NULL, 'DUF5740', NULL, NULL, NULL, 6),
(2089, NULL, 'PF18933', NULL, NULL, 'PsbP-like protein', NULL, 'PsbP_2', NULL, NULL, NULL, 6),
(2090, NULL, 'PF10797', NULL, NULL, 'Protein of unknown function', NULL, 'YhfT', NULL, NULL, NULL, 6),
(2091, NULL, 'PF06556', NULL, NULL, 'IAP-like protein p27 C-terminus', NULL, 'ASFV_p27', NULL, NULL, NULL, 6),
(2092, NULL, 'PF17053', NULL, NULL, 'Genetic interactor of prohibitin 5', NULL, 'GEP5', NULL, NULL, NULL, 6),
(2093, NULL, 'PF05180', NULL, NULL, 'DNL zinc finger', NULL, 'zf-DNL', NULL, NULL, NULL, 6),
(2094, NULL, 'PF02661', NULL, NULL, 'Fic/DOC family', NULL, 'Fic', NULL, NULL, NULL, 6),
(2095, NULL, 'PF15744', NULL, NULL, 'Uncharacterized protein family UPF0492', NULL, 'UPF0492', NULL, NULL, NULL, 6),
(2096, NULL, 'PF18378', NULL, NULL, 'Nuclear pore protein NUP188 C-terminal domain', NULL, 'Nup188_C', NULL, NULL, NULL, 6),
(2097, NULL, 'PF05090', NULL, NULL, 'Vitamin K-dependent gamma-carboxylase', NULL, 'VKG_Carbox', NULL, NULL, NULL, 6),
(2098, NULL, 'PF14416', NULL, NULL, 'PMR5 N terminal Domain', NULL, 'PMR5N', NULL, NULL, NULL, 6),
(2099, NULL, 'PF15777', NULL, NULL, 'Tryptophan RNA-binding attenuator protein inhibitory protein', NULL, 'Anti-TRAP', NULL, NULL, NULL, 6),
(2100, NULL, 'PF17742', NULL, NULL, 'Family of unknown function (DUF5579)', NULL, 'DUF5579', NULL, NULL, NULL, 6),
(2101, NULL, 'PF08541', NULL, NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III C terminal', NULL, 'ACP_syn_III_C', NULL, NULL, NULL, 6),
(2102, NULL, 'PF05988', NULL, NULL, 'Bacterial protein of unknown function (DUF899)', NULL, 'DUF899', NULL, NULL, NULL, 6),
(2103, NULL, 'PF17566', NULL, NULL, 'Family of unknown function (DUF5472)', NULL, 'DUF5472', NULL, NULL, NULL, 6),
(2104, NULL, 'PF13528', NULL, NULL, 'Glycosyl transferase family 1', NULL, 'Glyco_trans_1_3', NULL, NULL, NULL, 6),
(2105, NULL, 'PF17941', NULL, NULL, 'Polyphosphate kinase C-terminal domain 1', NULL, 'PP_kinase_C_1', NULL, NULL, NULL, 6),
(2106, NULL, 'PF08014', NULL, NULL, 'Domain of unknown function (DUF1704)', NULL, 'DUF1704', NULL, NULL, NULL, 6),
(2107, NULL, 'PF07299', NULL, NULL, 'Elongation factor G-binding protein, N-terminal', NULL, 'EF-G-binding_N', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2108, NULL, 'PF03426', NULL, NULL, 'Carbohydrate binding domain (family 15)', NULL, 'CBM_15', NULL, NULL, NULL, 6),
(2109, NULL, 'PF19049', NULL, NULL, 'SidE DUB domain', NULL, 'SidE_DUB', NULL, NULL, NULL, 6),
(2110, NULL, 'PF16489', NULL, NULL, 'GPCR-Autoproteolysis INducing (GAIN) domain', NULL, 'GAIN', NULL, NULL, NULL, 6),
(2111, NULL, 'PF09673', NULL, NULL, 'Type-F conjugative transfer system pilin assembly protein', NULL, 'TrbC_Ftype', NULL, NULL, NULL, 6),
(2112, NULL, 'PF14305', NULL, NULL, 'TupA-like ATPgrasp', NULL, 'ATPgrasp_TupA', NULL, NULL, NULL, 6),
(2113, NULL, 'PF17042', NULL, NULL, 'Nucleotide-binding C-terminal domain', NULL, 'NBD_C', NULL, NULL, NULL, 6),
(2114, NULL, 'PF10493', NULL, NULL, 'Rough deal protein C-terminal region', NULL, 'Rod_C', NULL, NULL, NULL, 6),
(2115, NULL, 'PF14751', NULL, NULL, 'Domain of unknown function (DUF4474)', NULL, 'DUF4474', NULL, NULL, NULL, 6),
(2116, NULL, 'PF05025', NULL, NULL, 'RbsD / FucU transport protein family', NULL, 'RbsD_FucU', NULL, NULL, NULL, 6),
(2117, NULL, 'PF14389', NULL, NULL, 'Leucine-zipper of ternary complex factor MIP1', NULL, 'Lzipper-MIP1', NULL, NULL, NULL, 6),
(2118, NULL, 'PF09477', NULL, NULL, 'Bacterial type II secretion system chaperone protein (type_III_yscG)', NULL, 'Type_III_YscG', NULL, NULL, NULL, 6),
(2119, NULL, 'PF09928', NULL, NULL, 'Predicted small integral membrane protein (DUF2160)', NULL, 'DUF2160', NULL, NULL, NULL, 6),
(2120, NULL, 'PF07253', NULL, NULL, 'Gypsy protein', NULL, 'Gypsy', NULL, NULL, NULL, 6),
(2121, NULL, 'PF15977', NULL, NULL, 'Winged helix-turn-helix DNA binding', NULL, 'HTH_46', NULL, NULL, NULL, 6),
(2122, NULL, 'PF18043', NULL, NULL, 'T4 RNA ligase 2 C-terminal', NULL, 'T4_Rnl2_C', NULL, NULL, NULL, 6),
(2123, NULL, 'PF06461', NULL, NULL, 'Domain of Unknown Function (DUF1086)', NULL, 'DUF1086', NULL, NULL, NULL, 6),
(2124, NULL, 'PF01509', NULL, NULL, 'TruB family pseudouridylate synthase (N terminal domain)', NULL, 'TruB_N', NULL, NULL, NULL, 6),
(2125, NULL, 'PF13617', NULL, NULL, 'YnbE-like lipoprotein', NULL, 'Lipoprotein_19', NULL, NULL, NULL, 6),
(2126, NULL, 'PF07445', NULL, NULL, 'Primosomal replication protein priC', NULL, 'PriC', NULL, NULL, NULL, 6),
(2127, NULL, 'PF07542', NULL, NULL, 'ATP12 chaperone protein', NULL, 'ATP12', NULL, NULL, NULL, 6),
(2128, NULL, 'PF15312', NULL, NULL, 'Junctional sarcoplasmic reticulum protein', NULL, 'JSRP', NULL, NULL, NULL, 6),
(2129, NULL, 'PF05854', NULL, NULL, 'Non-histone chromosomal protein MC1', NULL, 'MC1', NULL, NULL, NULL, 6),
(2130, NULL, 'PF17593', NULL, NULL, 'Family of unknown function (DUF5490)', NULL, 'DUF5490', NULL, NULL, NULL, 6),
(2131, NULL, 'PF08531', NULL, NULL, 'Alpha-L-rhamnosidase N-terminal domain', NULL, 'Bac_rhamnosid_N', NULL, NULL, NULL, 6),
(2132, NULL, 'PF19101', NULL, NULL, 'Family of unknown function (DUF5788)', NULL, 'DUF5788', NULL, NULL, NULL, 6),
(2133, NULL, 'PF17753', NULL, NULL, 'Ig-fold domain', NULL, 'Ig_mannosidase', NULL, NULL, NULL, 6),
(2134, NULL, 'PF04741', NULL, NULL, 'InvH outer membrane lipoprotein', NULL, 'InvH', NULL, NULL, NULL, 6),
(2135, NULL, 'PF05002', NULL, NULL, 'SGS domain', NULL, 'SGS', NULL, NULL, NULL, 6),
(2136, NULL, 'PF07751', NULL, NULL, 'Abi-like protein', NULL, 'Abi_2', NULL, NULL, NULL, 6),
(2137, NULL, 'PF15466', NULL, NULL, 'Domain of unknown function (DUF4635)', NULL, 'DUF4635', NULL, NULL, NULL, 6),
(2138, NULL, 'PF10448', NULL, NULL, '20S proteasome chaperone assembly proteins 3 and 4', NULL, 'POC3_POC4', NULL, NULL, NULL, 6),
(2139, NULL, 'PF01250', NULL, NULL, 'Ribosomal protein S6', NULL, 'Ribosomal_S6', NULL, NULL, NULL, 6),
(2140, NULL, 'PF06782', NULL, NULL, 'Uncharacterised protein family (UPF0236)', NULL, 'UPF0236', NULL, NULL, NULL, 6),
(2141, NULL, 'PF01306', NULL, NULL, 'LacY proton/sugar symporter', NULL, 'LacY_symp', NULL, NULL, NULL, 6),
(2142, NULL, 'PF03444', NULL, NULL, 'Winged helix-turn-helix transcription repressor, HrcA DNA-binding', NULL, 'HrcA_DNA-bdg', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2143, NULL, 'PF10698', NULL, NULL, 'Protein of unknown function (DUF2505)', NULL, 'DUF2505', NULL, NULL, NULL, 6),
(2144, NULL, 'PF06797', NULL, NULL, 'Protein of unknown function (DUF1229)', NULL, 'DUF1229', NULL, NULL, NULL, 6),
(2145, NULL, 'PF16951', NULL, NULL, 'Putative methionine and alanine importer, small subunit', NULL, 'MaAIMP_sms', NULL, NULL, NULL, 6),
(2146, NULL, 'PF03042', NULL, NULL, 'Birnavirus VP5 protein', NULL, 'Birna_VP5', NULL, NULL, NULL, 6),
(2147, NULL, 'PF02529', NULL, NULL, 'Cytochrome B6-F complex subunit 5', NULL, 'PetG', NULL, NULL, NULL, 6),
(2148, NULL, 'PF11433', NULL, NULL, 'Protein of unknown function (DUF3198)', NULL, 'DUF3198', NULL, NULL, NULL, 6),
(2149, NULL, 'PF02923', NULL, NULL, 'Restriction endonuclease BamHI', NULL, 'BamHI', NULL, NULL, NULL, 6),
(2150, NULL, 'PF02914', NULL, NULL, 'Bacteriophage Mu transposase', NULL, 'DDE_2', NULL, NULL, NULL, 6),
(2151, NULL, 'PF10960', NULL, NULL, 'BhlA holin family', NULL, 'Holin_BhlA', NULL, NULL, NULL, 6),
(2152, NULL, 'PF14446', NULL, NULL, 'Prokaryotic RING finger family 1', NULL, 'Prok-RING_1', NULL, NULL, NULL, 6),
(2153, NULL, 'PF13957', NULL, NULL, 'Toxin YafO, type II toxin-antitoxin system', NULL, 'YafO_toxin', NULL, NULL, NULL, 6),
(2154, NULL, 'PF08204', NULL, NULL, 'CD47 immunoglobulin-like domain', NULL, 'V-set_CD47', NULL, NULL, NULL, 6),
(2155, NULL, 'PF09216', NULL, NULL, 'Pfg27', NULL, 'Pfg27', NULL, NULL, NULL, 6),
(2156, NULL, 'PF02924', NULL, NULL, 'Bacteriophage lambda head decoration protein D', NULL, 'HDPD', NULL, NULL, NULL, 6),
(2157, NULL, 'PF16507', NULL, NULL, 'Proteasome-substrate-size regulator, mid region', NULL, 'BLM10_mid', NULL, NULL, NULL, 6),
(2158, NULL, 'PF09096', NULL, NULL, 'Baseplate structural protein, domain 2', NULL, 'Phage-tail_2', NULL, NULL, NULL, 6),
(2159, NULL, 'PF18846', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 5', NULL, 'baeRF_family5', NULL, NULL, NULL, 6),
(2160, NULL, 'PF09981', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2218)', NULL, 'DUF2218', NULL, NULL, NULL, 6),
(2161, NULL, 'PF18831', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_11', NULL, NULL, NULL, 6),
(2162, NULL, 'PF10778', NULL, NULL, 'Halocarboxylic acid dehydrogenase DehI', NULL, 'DehI', NULL, NULL, NULL, 6),
(2163, NULL, 'PF00278', NULL, NULL, 'Pyridoxal-dependent decarboxylase, C-terminal sheet domain', NULL, 'Orn_DAP_Arg_deC', NULL, NULL, NULL, 6),
(2164, NULL, 'PF17536', NULL, NULL, 'Matrix and Matrix long proteins N-terminal', NULL, 'Mx_ML', NULL, NULL, NULL, 6),
(2165, NULL, 'PF06108', NULL, NULL, 'Protein of unknown function (DUF952)', NULL, 'DUF952', NULL, NULL, NULL, 6),
(2166, NULL, 'PF00918', NULL, NULL, 'Gastrin/cholecystokinin family', NULL, 'Gastrin', NULL, NULL, NULL, 6),
(2167, NULL, 'PF13081', NULL, NULL, 'Domain of unknown function (DUF3941)', NULL, 'DUF3941', NULL, NULL, NULL, 6),
(2168, NULL, 'PF05048', NULL, NULL, 'Periplasmic copper-binding protein (NosD)', NULL, 'NosD', NULL, NULL, NULL, 6),
(2169, NULL, 'PF18105', NULL, NULL, 'PGM1 C-terminal domain', NULL, 'PGM1_C', NULL, NULL, NULL, 6),
(2170, NULL, 'PF04791', NULL, NULL, 'LMBR1-like membrane protein', NULL, 'LMBR1', NULL, NULL, NULL, 6),
(2171, NULL, 'PF07398', NULL, NULL, 'MDMPI C-terminal domain', NULL, 'MDMPI_C', NULL, NULL, NULL, 6),
(2172, NULL, 'PF03017', NULL, NULL, 'TNP1/EN/SPM transposase', NULL, 'Transposase_23', NULL, NULL, NULL, 6),
(2173, NULL, 'PF07529', NULL, NULL, 'HSA', NULL, 'HSA', NULL, NULL, NULL, 6),
(2174, NULL, 'PF11524', NULL, NULL, 'Selenium binding protein', NULL, 'SeleniumBinding', NULL, NULL, NULL, 6),
(2175, NULL, 'PF17542', NULL, NULL, 'Uncharacterized RP853', NULL, 'RP853', NULL, NULL, NULL, 6),
(2176, NULL, 'PF10930', NULL, NULL, 'Protein of unknown function (DUF2737)', NULL, 'DUF2737', NULL, NULL, NULL, 6),
(2177, NULL, 'PF09112', NULL, NULL, 'Peptide-N-glycosidase F, N terminal', NULL, 'N-glycanase_N', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2178, NULL, 'PF07278', NULL, NULL, 'Protein of unknown function (DUF1441)', NULL, 'DUF1441', NULL, NULL, NULL, 6),
(2179, NULL, 'PF13509', NULL, NULL, 'S1 domain', NULL, 'S1_2', NULL, NULL, NULL, 6),
(2180, NULL, 'PF08881', NULL, NULL, 'CVNH domain', NULL, 'CVNH', NULL, NULL, NULL, 6),
(2181, NULL, 'PF00301', NULL, NULL, 'Rubredoxin', NULL, 'Rubredoxin', NULL, NULL, NULL, 6),
(2182, NULL, 'PF13465', NULL, NULL, 'Zinc-finger double domain', NULL, 'zf-H2C2_2', NULL, NULL, NULL, 6),
(2183, NULL, 'PF18842', NULL, NULL, 'Large polyvalent protein associated domain 26', NULL, 'LPD26', NULL, NULL, NULL, 6),
(2184, NULL, 'PF04492', NULL, NULL, 'Bacteriophage replication protein O', NULL, 'Phage_rep_O', NULL, NULL, NULL, 6),
(2185, NULL, 'PF15239', NULL, NULL, 'Domain of unknown function (DUF4586)', NULL, 'DUF4586', NULL, NULL, NULL, 6),
(2186, NULL, 'PF11436', NULL, NULL, 'Protein of unknown function (DUF3199)', NULL, 'DUF3199', NULL, NULL, NULL, 6),
(2187, NULL, 'PF00122', NULL, NULL, 'E1-E2 ATPase', NULL, 'E1-E2_ATPase', NULL, NULL, NULL, 6),
(2188, NULL, 'PF06947', NULL, NULL, 'Protein of unknown function (DUF1290)', NULL, 'DUF1290', NULL, NULL, NULL, 6),
(2189, NULL, 'PF14124', NULL, NULL, 'Domain of unknown function (DUF4291)', NULL, 'DUF4291', NULL, NULL, NULL, 6),
(2190, NULL, 'PF09245', NULL, NULL, 'Mycoplasma arthritidis-derived mitogen', NULL, 'MA-Mit', NULL, NULL, NULL, 6),
(2191, NULL, 'PF05642', NULL, NULL, 'Sporozoite P67 surface antigen', NULL, 'Sporozoite_P67', NULL, NULL, NULL, 6),
(2192, NULL, 'PF15958', NULL, NULL, 'Domain of unknown function (DUF4761)', NULL, 'DUF4761', NULL, NULL, NULL, 6),
(2193, NULL, 'PF13677', NULL, NULL, 'Membrane MotB of proton-channel complex MotA/MotB', NULL, 'MotB_plug', NULL, NULL, NULL, 6),
(2194, NULL, 'PF13444', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_5', NULL, NULL, NULL, 6),
(2195, NULL, 'PF09924', NULL, NULL, 'Uncharacterised conserved protein (DUF2156)', NULL, 'DUF2156', NULL, NULL, NULL, 6),
(2196, NULL, 'PF17329', NULL, NULL, 'Family of unknown function (DUF5367)', NULL, 'DUF5367', NULL, NULL, NULL, 6),
(2197, NULL, 'PF18636', NULL, NULL, 'Mitochondrial morphogenesis protein SLD7 N-terminal domain', NULL, 'Sld7_N', NULL, NULL, NULL, 6),
(2198, NULL, 'PF15416', NULL, NULL, 'Domain of unknown function (DUF4623)', NULL, 'DUF4623', NULL, NULL, NULL, 6),
(2199, NULL, 'PF15910', NULL, NULL, 'ICOS V-set domain', NULL, 'V-set_2', NULL, NULL, NULL, 6),
(2200, NULL, 'PF07556', NULL, NULL, 'Protein of unknown function (DUF1538)', NULL, 'DUF1538', NULL, NULL, NULL, 6),
(2201, NULL, 'PF15449', NULL, NULL, 'Retinal protein', NULL, 'Retinal', NULL, NULL, NULL, 6),
(2202, NULL, 'PF04471', NULL, NULL, 'Restriction endonuclease', NULL, 'Mrr_cat', NULL, NULL, NULL, 6),
(2203, NULL, 'PF16295', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_10', NULL, NULL, NULL, 6),
(2204, NULL, 'PF07593', NULL, NULL, 'ASPIC and UnbV', NULL, 'UnbV_ASPIC', NULL, NULL, NULL, 6),
(2205, NULL, 'PF03709', NULL, NULL, 'Orn/Lys/Arg decarboxylase, N-terminal domain', NULL, 'OKR_DC_1_N', NULL, NULL, NULL, 6),
(2206, NULL, 'PF04177', NULL, NULL, 'TAP42-like family', NULL, 'TAP42', NULL, NULL, NULL, 6),
(2207, NULL, 'PF08063', NULL, NULL, 'PADR1 (NUC008) domain', NULL, 'PADR1', NULL, NULL, NULL, 6),
(2208, NULL, 'PF16183', NULL, NULL, 'Kinesin-associated', NULL, 'Kinesin_assoc', NULL, NULL, NULL, 6),
(2209, NULL, 'PF02677', NULL, NULL, 'Epoxyqueuosine reductase QueH', NULL, 'QueH', NULL, NULL, NULL, 6),
(2210, NULL, 'PF11296', NULL, NULL, 'Protein of unknown function (DUF3097)', NULL, 'DUF3097', NULL, NULL, NULL, 6),
(2211, NULL, 'PF02320', NULL, NULL, 'Ubiquinol-cytochrome C reductase hinge protein', NULL, 'UCR_hinge', NULL, NULL, NULL, 6),
(2212, NULL, 'PF10386', NULL, NULL, 'Protein of unknown function (DUF2441)', NULL, 'DUF2441', NULL, NULL, NULL, 6),
(2213, NULL, 'PF04060', NULL, NULL, 'Putative Fe-S cluster', NULL, 'FeS', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2214, NULL, 'PF12943', NULL, NULL, 'Protein of unknown function (DUF3839)', NULL, 'DUF3839', NULL, NULL, NULL, 6),
(2215, NULL, 'PF03860', NULL, NULL, 'Domain of Unknown Function (DUF326)', NULL, 'DUF326', NULL, NULL, NULL, 6),
(2216, NULL, 'PF02913', NULL, NULL, 'FAD linked oxidases, C-terminal domain', NULL, 'FAD-oxidase_C', NULL, NULL, NULL, 6),
(2217, NULL, 'PF09825', NULL, NULL, 'Biotin-protein ligase, N terminal', NULL, 'BPL_N', NULL, NULL, NULL, 6),
(2218, NULL, 'PF14596', NULL, NULL, 'STAT6 C-terminal', NULL, 'STAT6_C', NULL, NULL, NULL, 6),
(2219, NULL, 'PF00847', NULL, NULL, 'AP2 domain', NULL, 'AP2', NULL, NULL, NULL, 6),
(2220, NULL, 'PF05724', NULL, NULL, 'Thiopurine S-methyltransferase (TPMT)', NULL, 'TPMT', NULL, NULL, NULL, 6),
(2221, NULL, 'PF18820', NULL, NULL, 'Bdellovibrio Beta-sandwich', NULL, 'BD_b_sandwich', NULL, NULL, NULL, 6),
(2222, NULL, 'PF06021', NULL, NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase', NULL, 'Gly_acyl_tr_N', NULL, NULL, NULL, 6),
(2223, NULL, 'PF13692', NULL, NULL, 'Glycosyl transferases group 1', NULL, 'Glyco_trans_1_4', NULL, NULL, NULL, 6),
(2224, NULL, 'PF07428', NULL, NULL, '15-O-acetyltransferase Tri3', NULL, 'Tri3', NULL, NULL, NULL, 6),
(2225, NULL, 'PF00982', NULL, NULL, 'Glycosyltransferase family 20', NULL, 'Glyco_transf_20', NULL, NULL, NULL, 6),
(2226, NULL, 'PF01406', NULL, NULL, 'tRNA synthetases class I (C) catalytic domain', NULL, 'tRNA-synt_1e', NULL, NULL, NULL, 6),
(2227, NULL, 'PF10682', NULL, NULL, 'Glycoprotein of human cytomegalovirus HHV-5', NULL, 'UL40', NULL, NULL, NULL, 6),
(2228, NULL, 'PF04081', NULL, NULL, 'DNA polymerase delta, subunit 4', NULL, 'DNA_pol_delta_4', NULL, NULL, NULL, 6),
(2229, NULL, 'PF13346', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_5', NULL, NULL, NULL, 6),
(2230, NULL, 'PF18324', NULL, NULL, 'Hypothetical protein TT1725', NULL, 'TT1725', NULL, NULL, NULL, 6),
(2231, NULL, 'PF07996', NULL, NULL, 'Type IV secretion system proteins', NULL, 'T4SS', NULL, NULL, NULL, 6),
(2232, NULL, 'PF17574', NULL, NULL, 'Inhibitor of toxin/antitoxin system (Gp4.5)', NULL, 'TA_inhibitor', NULL, NULL, NULL, 6),
(2233, NULL, 'PF09899', NULL, NULL, 'Putative amidoligase enzyme (DUF2126)', NULL, 'DUF2126', NULL, NULL, NULL, 6),
(2234, NULL, 'PF02663', NULL, NULL, 'FmdE, Molybdenum formylmethanofuran dehydrogenase operon', NULL, 'FmdE', NULL, NULL, NULL, 6),
(2235, NULL, 'PF15274', NULL, NULL, 'Muscular LMNA-interacting protein', NULL, 'MLIP', NULL, NULL, NULL, 6),
(2236, NULL, 'PF11411', NULL, NULL, 'DNA ligase IV', NULL, 'DNA_ligase_IV', NULL, NULL, NULL, 6),
(2237, NULL, 'PF05378', NULL, NULL, 'Hydantoinase/oxoprolinase N-terminal region', NULL, 'Hydant_A_N', NULL, NULL, NULL, 6),
(2238, NULL, 'PF17791', NULL, NULL, 'Macroglobulin domain MG3', NULL, 'MG3', NULL, NULL, NULL, 6),
(2239, NULL, 'PF16222', NULL, NULL, 'Domain of unknown function (DUF4881)', NULL, 'DUF4881', NULL, NULL, NULL, 6),
(2240, NULL, 'PF16450', NULL, NULL, 'Proteasomal ATPase OB C-terminal domain', NULL, 'Prot_ATP_ID_OB', NULL, NULL, NULL, 6),
(2241, NULL, 'PF17434', NULL, NULL, 'Family of unknown function (DUF5413)', NULL, 'DUF5413', NULL, NULL, NULL, 6),
(2242, NULL, 'PF12919', NULL, NULL, 'TcdA/TcdB catalytic glycosyltransferase domain', NULL, 'TcdA_TcdB', NULL, NULL, NULL, 6),
(2243, NULL, 'PF08926', NULL, NULL, 'Domain of unknown function (DUF1908)', NULL, 'DUF1908', NULL, NULL, NULL, 6),
(2244, NULL, 'PF14244', NULL, NULL, 'gag-polypeptide of LTR copia-type', NULL, 'Retrotran_gag_3', NULL, NULL, NULL, 6),
(2245, NULL, 'PF00974', NULL, NULL, 'Rhabdovirus spike glycoprotein', NULL, 'Rhabdo_glycop', NULL, NULL, NULL, 6),
(2246, NULL, 'PF11345', NULL, NULL, 'Protein of unknown function (DUF3147)', NULL, 'DUF3147', NULL, NULL, NULL, 6),
(2247, NULL, 'PF17651', NULL, NULL, 'RACo middle region', NULL, 'Raco_middle', NULL, NULL, NULL, 6),
(2248, NULL, 'PF04598', NULL, NULL, 'Gasdermin pore forming domain', NULL, 'Gasdermin', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2249, NULL, 'PF03209', NULL, NULL, 'PUCC protein', NULL, 'PUCC', NULL, NULL, NULL, 6),
(2250, NULL, 'PF03748', NULL, NULL, 'Flagellar basal body-associated protein FliL', NULL, 'FliL', NULL, NULL, NULL, 6),
(2251, NULL, 'PF07664', NULL, NULL, 'Ferrous iron transport protein B C terminus', NULL, 'FeoB_C', NULL, NULL, NULL, 6),
(2252, NULL, 'PF04553', NULL, NULL, 'Tis11B like protein, N terminus', NULL, 'Tis11B_N', NULL, NULL, NULL, 6),
(2253, NULL, 'PF12934', NULL, NULL, 'FTO C-terminal domain', NULL, 'FTO_CTD', NULL, NULL, NULL, 6),
(2254, NULL, 'PF09327', NULL, NULL, 'Domain of unknown function (DUF1983)', NULL, 'DUF1983', NULL, NULL, NULL, 6),
(2255, NULL, 'PF00402', NULL, NULL, 'Calponin family repeat', NULL, 'Calponin', NULL, NULL, NULL, 6),
(2256, NULL, 'PF10692', NULL, NULL, 'Protein of unknown function (DUF2498)', NULL, 'DUF2498', NULL, NULL, NULL, 6),
(2257, NULL, 'PF03197', NULL, NULL, 'Bacteriophage FRD2 protein', NULL, 'FRD2', NULL, NULL, NULL, 6),
(2258, NULL, 'PF01620', NULL, NULL, 'Ribonuclease (pollen allergen)', NULL, 'Pollen_allerg_2', NULL, NULL, NULL, 6),
(2259, NULL, 'PF02988', NULL, NULL, 'Phospholipase A2 inhibitor', NULL, 'PLA2_inh', NULL, NULL, NULL, 6),
(2260, NULL, 'PF01120', NULL, NULL, 'Alpha-L-fucosidase', NULL, 'Alpha_L_fucos', NULL, NULL, NULL, 6),
(2261, NULL, 'PF07742', NULL, NULL, 'BTG family', NULL, 'BTG', NULL, NULL, NULL, 6),
(2262, NULL, 'PF03467', NULL, NULL, 'Smg-4/UPF3 family', NULL, 'Smg4_UPF3', NULL, NULL, NULL, 6),
(2263, NULL, 'PF00336', NULL, NULL, 'DNA polymerase (viral) C-terminal domain', NULL, 'DNA_pol_viral_C', NULL, NULL, NULL, 6),
(2264, NULL, 'PF08956', NULL, NULL, 'Domain of unknown function (DUF1869)', NULL, 'DUF1869', NULL, NULL, NULL, 6),
(2265, NULL, 'PF00465', NULL, NULL, 'Iron-containing alcohol dehydrogenase', NULL, 'Fe-ADH', NULL, NULL, NULL, 6),
(2266, NULL, 'PF00084', NULL, NULL, 'Sushi repeat (SCR repeat)', NULL, 'Sushi', NULL, NULL, NULL, 6),
(2267, NULL, 'PF00262', NULL, NULL, 'Calreticulin family', NULL, 'Calreticulin', NULL, NULL, NULL, 6),
(2268, NULL, 'PF00827', NULL, NULL, 'Ribosomal L15', NULL, 'Ribosomal_L15e', NULL, NULL, NULL, 6),
(2269, NULL, 'PF04865', NULL, NULL, 'Baseplate J-like protein', NULL, 'Baseplate_J', NULL, NULL, NULL, 6),
(2270, NULL, 'PF17449', NULL, NULL, 'Uncharacterized YrzK-like', NULL, 'YrzK', NULL, NULL, NULL, 6),
(2271, NULL, 'PF01304', NULL, NULL, 'Gas vesicles protein GVPc repeated domain', NULL, 'Gas_vesicle_C', NULL, NULL, NULL, 6),
(2272, NULL, 'PF01803', NULL, NULL, 'LIM-domain binding protein', NULL, 'LIM_bind', NULL, NULL, NULL, 6),
(2273, NULL, 'PF09726', NULL, NULL, 'Macoilin family', NULL, 'Macoilin', NULL, NULL, NULL, 6),
(2274, NULL, 'PF19096', NULL, NULL, 'Family of unknown function (DUF5784)', NULL, 'DUF5784', NULL, NULL, NULL, 6),
(2275, NULL, 'PF04936', NULL, NULL, 'Protein of unknown function (DUF658)', NULL, 'DUF658', NULL, NULL, NULL, 6),
(2276, NULL, 'PF08801', NULL, NULL, 'Nup133 N terminal like', NULL, 'Nucleoporin_N', NULL, NULL, NULL, 6),
(2277, NULL, 'PF03449', NULL, NULL, 'Transcription elongation factor, N-terminal', NULL, 'GreA_GreB_N', NULL, NULL, NULL, 6),
(2278, NULL, 'PF04509', NULL, NULL, 'CheC-like family', NULL, 'CheC', NULL, NULL, NULL, 6),
(2279, NULL, 'PF17659', NULL, NULL, 'Family of unknown function (DUF5521)', NULL, 'DUF5521', NULL, NULL, NULL, 6),
(2280, NULL, 'PF09517', NULL, NULL, 'Eco29kI restriction endonuclease', NULL, 'RE_Eco29kI', NULL, NULL, NULL, 6),
(2281, NULL, 'PF17470', NULL, NULL, 'Phage gene product 45.2', NULL, 'Gp45_2', NULL, NULL, NULL, 6),
(2282, NULL, 'PF15194', NULL, NULL, 'TMEM191C family', NULL, 'TMEM191C', NULL, NULL, NULL, 6),
(2283, NULL, 'PF19172', NULL, NULL, 'Family of unknown function (DUF5854)', NULL, 'DUF5854', NULL, NULL, NULL, 6),
(2284, NULL, 'PF11249', NULL, NULL, 'Protein of unknown function (DUF3047)', NULL, 'DUF3047', NULL, NULL, NULL, 6),
(2285, NULL, 'PF16442', NULL, NULL, 'Domain of unknown function (DUF5039)', NULL, 'DUF5039', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2286, NULL, 'PF02124', NULL, NULL, 'Marek''s disease glycoprotein A', NULL, 'Marek_A', NULL, NULL, NULL, 6),
(2287, NULL, 'PF14512', NULL, NULL, 'Putative TM nitroreductase', NULL, 'TM1586_NiRdase', NULL, NULL, NULL, 6),
(2288, NULL, 'PF14930', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain II', NULL, 'Qn_am_d_aII', NULL, NULL, NULL, 6),
(2289, NULL, 'PF07728', NULL, NULL, 'AAA domain (dynein-related subfamily)', NULL, 'AAA_5', NULL, NULL, NULL, 6),
(2290, NULL, 'PF02070', NULL, NULL, 'Neuromedin U', NULL, 'NMU', NULL, NULL, NULL, 6),
(2291, NULL, 'PF10755', NULL, NULL, 'Protein of unknown function (DUF2585)', NULL, 'DUF2585', NULL, NULL, NULL, 6),
(2292, NULL, 'PF05137', NULL, NULL, 'Fimbrial assembly protein (PilN)', NULL, 'PilN', NULL, NULL, NULL, 6),
(2293, NULL, 'PF19043', NULL, NULL, 'Nuclear cap binding complex subunit CBP66', NULL, 'CBP66', NULL, NULL, NULL, 6),
(2294, NULL, 'PF08543', NULL, NULL, 'Phosphomethylpyrimidine kinase', NULL, 'Phos_pyr_kin', NULL, NULL, NULL, 6),
(2295, NULL, 'PF08055', NULL, NULL, 'Tryptophan leader peptide', NULL, 'Trp_leader1', NULL, NULL, NULL, 6),
(2296, NULL, 'PF00639', NULL, NULL, 'PPIC-type PPIASE domain', NULL, 'Rotamase', NULL, NULL, NULL, 6),
(2297, NULL, 'PF13743', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin_5', NULL, NULL, NULL, 6),
(2298, NULL, 'PF09234', NULL, NULL, 'Domain of unknown function (DUF1963)', NULL, 'DUF1963', NULL, NULL, NULL, 6),
(2299, NULL, 'PF14315', NULL, NULL, 'Domain of unknown function (DUF4380)', NULL, 'DUF4380', NULL, NULL, NULL, 6),
(2300, NULL, 'PF09307', NULL, NULL, 'CLIP, MHC2 interacting', NULL, 'MHC2-interact', NULL, NULL, NULL, 6),
(2301, NULL, 'PF11722', NULL, NULL, 'CCCH zinc finger in TRM13 protein', NULL, 'zf-TRM13_CCCH', NULL, NULL, NULL, 6),
(2302, NULL, 'PF00524', NULL, NULL, 'E1 Protein, N terminal domain', NULL, 'PPV_E1_N', NULL, NULL, NULL, 6),
(2303, NULL, 'PF11621', NULL, NULL, 'C3 binding domain 4 of IgG-bind protein SBI', NULL, 'Sbi-IV', NULL, NULL, NULL, 6),
(2304, NULL, 'PF16022', NULL, NULL, 'Domain of unknown function (DUF4783)', NULL, 'DUF4783', NULL, NULL, NULL, 6),
(2305, NULL, 'PF02623', NULL, NULL, 'FliW protein', NULL, 'FliW', NULL, NULL, NULL, 6),
(2306, NULL, 'PF16620', NULL, NULL, 'Unstructured linker between I-set domains 2 and 3 on MYLCK', NULL, '23ISL', NULL, NULL, NULL, 6),
(2307, NULL, 'PF03084', NULL, NULL, 'Reoviral Sigma1/Sigma2 family', NULL, 'Sigma_1_2', NULL, NULL, NULL, 6),
(2308, NULL, 'PF10471', NULL, NULL, 'Anaphase-promoting complex APC subunit CDC26', NULL, 'ANAPC_CDC26', NULL, NULL, NULL, 6),
(2309, NULL, 'PF13119', NULL, NULL, 'Domain of unknown function (DUF3973)', NULL, 'DUF3973', NULL, NULL, NULL, 6),
(2310, NULL, 'PF17342', NULL, NULL, 'Family of unknown function (DUF5372)', NULL, 'DUF5372', NULL, NULL, NULL, 6),
(2311, NULL, 'PF04172', NULL, NULL, 'LrgB-like family', NULL, 'LrgB', NULL, NULL, NULL, 6),
(2312, NULL, 'PF11382', NULL, NULL, 'Copper transport outer membrane protein, MctB', NULL, 'MctB', NULL, NULL, NULL, 6),
(2313, NULL, 'PF18304', NULL, NULL, 'SabA N-terminal extracellular adhesion domain', NULL, 'SabA_adhesion', NULL, NULL, NULL, 6),
(2314, NULL, 'PF10204', NULL, NULL, 'Dual oxidase maturation factor', NULL, 'DuoxA', NULL, NULL, NULL, 6),
(2315, NULL, 'PF09554', NULL, NULL, 'HaeII restriction endonuclease', NULL, 'RE_HaeII', NULL, NULL, NULL, 6),
(2316, NULL, 'PF13852', NULL, NULL, 'Protein of unknown function (DUF4197)', NULL, 'DUF4197', NULL, NULL, NULL, 6),
(2317, NULL, 'PF14181', NULL, NULL, 'YqfQ-like protein', NULL, 'YqfQ', NULL, NULL, NULL, 6),
(2318, NULL, 'PF05430', NULL, NULL, 'S-adenosyl-L-methionine-dependent methyltransferase', NULL, 'Methyltransf_30', NULL, NULL, NULL, 6),
(2319, NULL, 'PF06334', NULL, NULL, 'Orthopoxvirus A47 protein', NULL, 'Orthopox_A47', NULL, NULL, NULL, 6),
(2320, NULL, 'PF12978', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3862)', NULL, 'DUF3862', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2321, NULL, 'PF17471', NULL, NULL, 'Gene product 63', NULL, 'GP63', NULL, NULL, NULL, 6),
(2322, NULL, 'PF16349', NULL, NULL, 'Domain of unknown function (DUF4978)', NULL, 'DUF4978', NULL, NULL, NULL, 6),
(2323, NULL, 'PF00735', NULL, NULL, 'Septin', NULL, 'Septin', NULL, NULL, NULL, 6),
(2324, NULL, 'PF16747', NULL, NULL, 'Surface-adhesin protein E', NULL, 'Adhesin_E', NULL, NULL, NULL, 6),
(2325, NULL, 'PF18229', NULL, NULL, 'N-acetyl-beta-D-glucosaminidase N-terminal domain', NULL, 'GcnA_N', NULL, NULL, NULL, 6),
(2326, NULL, 'PF13968', NULL, NULL, 'Domain of unknown function (DUF4220)', NULL, 'DUF4220', NULL, NULL, NULL, 6),
(2327, NULL, 'PF15185', NULL, NULL, 'Bcl-2-modifying factor, apoptosis', NULL, 'BMF', NULL, NULL, NULL, 6),
(2328, NULL, 'PF15915', NULL, NULL, 'GAF and HTH_10 associated domain', NULL, 'BAT', NULL, NULL, NULL, 6),
(2329, NULL, 'PF14019', NULL, NULL, 'Protein of unknown function (DUF4235)', NULL, 'DUF4235', NULL, NULL, NULL, 6),
(2330, NULL, 'PF03196', NULL, NULL, 'Protein of unknown function, DUF261', NULL, 'DUF261', NULL, NULL, NULL, 6),
(2331, NULL, 'PF16843', NULL, NULL, 'Binding domain to Get4 on Get5, Golgi to ER traffic protein', NULL, 'Get5_bdg', NULL, NULL, NULL, 6),
(2332, NULL, 'PF18810', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease2', NULL, 'PBECR2', NULL, NULL, NULL, 6),
(2333, NULL, 'PF03872', NULL, NULL, 'Anti sigma-E protein RseA, N-terminal domain', NULL, 'RseA_N', NULL, NULL, NULL, 6),
(2334, NULL, 'PF00907', NULL, NULL, 'T-box', NULL, 'T-box', NULL, NULL, NULL, 6),
(2335, NULL, 'PF18261', NULL, NULL, 'Rpn9 C-terminal helix', NULL, 'Rpn9_C', NULL, NULL, NULL, 6),
(2336, NULL, 'PF04572', NULL, NULL, 'Alpha 1,4-glycosyltransferase conserved region', NULL, 'Gb3_synth', NULL, NULL, NULL, 6),
(2337, NULL, 'PF18051', NULL, NULL, '26S proteasome non-ATPase regulatory subunit RPN1 C-terminal', NULL, 'RPN1_C', NULL, NULL, NULL, 6),
(2338, NULL, 'PF11313', NULL, NULL, 'Protein of unknown function (DUF3116)', NULL, 'DUF3116', NULL, NULL, NULL, 6),
(2339, NULL, 'PF10608', NULL, NULL, 'Polyubiquitination (PEST) N-terminal domain of MAGUK', NULL, 'MAGUK_N_PEST', NULL, NULL, NULL, 6),
(2340, NULL, 'PF02069', NULL, NULL, 'Prokaryotic metallothionein', NULL, 'Metallothio_Pro', NULL, NULL, NULL, 6),
(2341, NULL, 'PF04502', NULL, NULL, 'Family of unknown function (DUF572)', NULL, 'DUF572', NULL, NULL, NULL, 6),
(2342, NULL, 'PF01695', NULL, NULL, 'IstB-like ATP binding protein', NULL, 'IstB_IS21', NULL, NULL, NULL, 6),
(2343, NULL, 'PF10509', NULL, NULL, 'Galactokinase galactose-binding signature', NULL, 'GalKase_gal_bdg', NULL, NULL, NULL, 6),
(2344, NULL, 'PF09350', NULL, NULL, 'Domain of unknown function (DUF1992)', NULL, 'DUF1992', NULL, NULL, NULL, 6),
(2345, NULL, 'PF07853', NULL, NULL, 'Protein of unknown function (DUF1648)', NULL, 'DUF1648', NULL, NULL, NULL, 6),
(2346, NULL, 'PF14734', NULL, NULL, 'Domain of unknown function (DUF4469) with IG-like fold', NULL, 'DUF4469', NULL, NULL, NULL, 6),
(2347, NULL, 'PF18111', NULL, NULL, 'Retinitis pigmentosa G-protein regulator interacting C-terminal', NULL, 'RPGR1_C', NULL, NULL, NULL, 6),
(2348, NULL, 'PF08731', NULL, NULL, 'Transcription factor AFT', NULL, 'AFT', NULL, NULL, NULL, 6),
(2349, NULL, 'PF08255', NULL, NULL, 'Trp-operon Leader Peptide', NULL, 'Leader_Trp', NULL, NULL, NULL, 6),
(2350, NULL, 'PF04182', NULL, NULL, 'B-block binding subunit of TFIIIC', NULL, 'B-block_TFIIIC', NULL, NULL, NULL, 6),
(2351, NULL, 'PF14853', NULL, NULL, 'Fis1 C-terminal tetratricopeptide repeat', NULL, 'Fis1_TPR_C', NULL, NULL, NULL, 6),
(2352, NULL, 'PF01555', NULL, NULL, 'DNA methylase', NULL, 'N6_N4_Mtase', NULL, NULL, NULL, 6),
(2353, NULL, 'PF01522', NULL, NULL, 'Polysaccharide deacetylase', NULL, 'Polysacc_deac_1', NULL, NULL, NULL, 6),
(2354, NULL, 'PF06071', NULL, NULL, 'Protein of unknown function (DUF933)', NULL, 'YchF-GTPase_C', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2355, NULL, 'PF03212', NULL, NULL, 'Pertactin', NULL, 'Pertactin', NULL, NULL, NULL, 6),
(2356, NULL, 'PF12557', NULL, NULL, 'Cob(I)alamin adenosyltransferase N terminal', NULL, 'Co_AT_N', NULL, NULL, NULL, 6),
(2357, NULL, 'PF16511', NULL, NULL, 'N-terminal or F0 domain of Talin-head FERM', NULL, 'FERM_f0', NULL, NULL, NULL, 6),
(2358, NULL, 'PF15253', NULL, NULL, 'SCL-interrupting locus protein N-terminus', NULL, 'STIL_N', NULL, NULL, NULL, 6),
(2359, NULL, 'PF00734', NULL, NULL, 'Fungal cellulose binding domain', NULL, 'CBM_1', NULL, NULL, NULL, 6),
(2360, NULL, 'PF10845', NULL, NULL, 'Protein of unknown function (DUF2576)', NULL, 'DUF2576', NULL, NULL, NULL, 6),
(2361, NULL, 'PF16655', NULL, NULL, 'PhoD-like phosphatase, N-terminal domain', NULL, 'PhoD_N', NULL, NULL, NULL, 6),
(2362, NULL, 'PF07461', NULL, NULL, 'Nicotine adenine dinucleotide glycohydrolase (NADase)', NULL, 'NADase_NGA', NULL, NULL, NULL, 6),
(2363, NULL, 'PF07516', NULL, NULL, 'SecA Wing and Scaffold domain', NULL, 'SecA_SW', NULL, NULL, NULL, 6),
(2364, NULL, 'PF00285', NULL, NULL, 'Citrate synthase, C-terminal domain', NULL, 'Citrate_synt', NULL, NULL, NULL, 6),
(2365, NULL, 'PF07084', NULL, NULL, 'Thyroid hormone-inducible hepatic protein Spot 14', NULL, 'Spot_14', NULL, NULL, NULL, 6),
(2366, NULL, 'PF13619', NULL, NULL, 'KTSC domain', NULL, 'KTSC', NULL, NULL, NULL, 6),
(2367, NULL, 'PF07122', NULL, NULL, 'Variable length PCR target protein (VLPT)', NULL, 'VLPT', NULL, NULL, NULL, 6),
(2368, NULL, 'PF13901', NULL, NULL, 'Putative zinc-RING and/or ribbon', NULL, 'zf-RING_9', NULL, NULL, NULL, 6),
(2369, NULL, 'PF19169', NULL, NULL, 'Family of unknown function (DUF5851)', NULL, 'DUF5851', NULL, NULL, NULL, 6),
(2370, NULL, 'PF10544', NULL, NULL, 'T5orf172 domain', NULL, 'T5orf172', NULL, NULL, NULL, 6),
(2371, NULL, 'PF16667', NULL, NULL, 'Unstructured region 10 on multiple PDZ protein', NULL, 'MPDZ_u10', NULL, NULL, NULL, 6),
(2372, NULL, 'PF13597', NULL, NULL, 'Anaerobic ribonucleoside-triphosphate reductase', NULL, 'NRDD', NULL, NULL, NULL, 6),
(2373, NULL, 'PF15616', NULL, NULL, 'TerY-C metal binding domain', NULL, 'TerY_C', NULL, NULL, NULL, 6),
(2374, NULL, 'PF15745', NULL, NULL, 'AP-1 complex-associated regulatory protein', NULL, 'AP1AR', NULL, NULL, NULL, 6),
(2375, NULL, 'PF08061', NULL, NULL, 'P68HR (NUC004) repeat', NULL, 'P68HR', NULL, NULL, NULL, 6),
(2376, NULL, 'PF11912', NULL, NULL, 'Protein of unknown function (DUF3430)', NULL, 'DUF3430', NULL, NULL, NULL, 6),
(2377, NULL, 'PF07797', NULL, NULL, 'Protein of unknown function (DUF1639)', NULL, 'DUF1639', NULL, NULL, NULL, 6),
(2378, NULL, 'PF03690', NULL, NULL, 'Uncharacterised protein family (UPF0160)', NULL, 'UPF0160', NULL, NULL, NULL, 6),
(2379, NULL, 'PF14394', NULL, NULL, 'Domain of unknown function (DUF4423)', NULL, 'DUF4423', NULL, NULL, NULL, 6),
(2380, NULL, 'PF17588', NULL, NULL, 'Family of unknown function (DUF5486)', NULL, 'DUF5486', NULL, NULL, NULL, 6),
(2381, NULL, 'PF02787', NULL, NULL, 'Carbamoyl-phosphate synthetase large chain, oligomerisation domain', NULL, 'CPSase_L_D3', NULL, NULL, NULL, 6),
(2382, NULL, 'PF10635', NULL, NULL, 'DisA bacterial checkpoint controller linker region', NULL, 'DisA-linker', NULL, NULL, NULL, 6),
(2383, NULL, 'PF03420', NULL, NULL, 'Prohead core protein serine protease', NULL, 'Peptidase_S77', NULL, NULL, NULL, 6),
(2384, NULL, 'PF16870', NULL, NULL, '2-oxoglutarate dehydrogenase C-terminal', NULL, 'OxoGdeHyase_C', NULL, NULL, NULL, 6),
(2385, NULL, 'PF13971', NULL, NULL, 'Meiosis-specific protein Mei4', NULL, 'Mei4', NULL, NULL, NULL, 6),
(2386, NULL, 'PF10267', NULL, NULL, 'Predicted transmembrane and coiled-coil 2 protein', NULL, 'Tmemb_cc2', NULL, NULL, NULL, 6),
(2387, NULL, 'PF10062', NULL, NULL, 'Predicted secreted protein (DUF2300)', NULL, 'DUF2300', NULL, NULL, NULL, 6),
(2388, NULL, 'PF07520', NULL, NULL, 'Virulence factor SrfB', NULL, 'SrfB', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2389, NULL, 'PF00521', NULL, NULL, 'DNA gyrase/topoisomerase IV, subunit A', NULL, 'DNA_topoisoIV', NULL, NULL, NULL, 6),
(2390, NULL, 'PF10850', NULL, NULL, 'Protein of unknown function (DUF2653)', NULL, 'DUF2653', NULL, NULL, NULL, 6),
(2391, NULL, 'PF12396', NULL, NULL, 'Protein of unknown function (DUF3659)', NULL, 'DUF3659', NULL, NULL, NULL, 6),
(2392, NULL, 'PF10680', NULL, NULL, 'RNA polymerase I specific transcription initiation factor', NULL, 'RRN9', NULL, NULL, NULL, 6),
(2393, NULL, 'PF15644', NULL, NULL, 'Papain fold toxin 1, glutamine deamidase', NULL, 'Gln_amidase', NULL, NULL, NULL, 6),
(2394, NULL, 'PF14821', NULL, NULL, 'Threonine synthase N terminus', NULL, 'Thr_synth_N', NULL, NULL, NULL, 6),
(2395, NULL, 'PF05304', NULL, NULL, 'Protein of unknown function (DUF728)', NULL, 'DUF728', NULL, NULL, NULL, 6),
(2396, NULL, 'PF07657', NULL, NULL, 'N terminus of Notch ligand', NULL, 'MNNL', NULL, NULL, NULL, 6),
(2397, NULL, 'PF09609', NULL, NULL, 'CRISPR-associated protein, GSU0054 family (Cas_GSU0054)', NULL, 'Cas_GSU0054', NULL, NULL, NULL, 6),
(2398, NULL, 'PF17643', NULL, NULL, 'Type VI secretion system, TssR', NULL, 'TssR', NULL, NULL, NULL, 6),
(2399, NULL, 'PF03425', NULL, NULL, 'Carbohydrate binding domain (family 11)', NULL, 'CBM_11', NULL, NULL, NULL, 6),
(2400, NULL, 'PF04351', NULL, NULL, 'Pilus assembly protein, PilP', NULL, 'PilP', NULL, NULL, NULL, 6),
(2401, NULL, 'PF01246', NULL, NULL, 'Ribosomal protein L24e', NULL, 'Ribosomal_L24e', NULL, NULL, NULL, 6),
(2402, NULL, 'PF11025', NULL, NULL, 'Glycoprotein GP40 of Cryptosporidium', NULL, 'GP40', NULL, NULL, NULL, 6),
(2403, NULL, 'PF16986', NULL, NULL, 'Heavy-metal resistance protein CzcE', NULL, 'CzcE', NULL, NULL, NULL, 6),
(2404, NULL, 'PF01194', NULL, NULL, 'RNA polymerases N / 8 kDa subunit', NULL, 'RNA_pol_N', NULL, NULL, NULL, 6),
(2405, NULL, 'PF07051', NULL, NULL, 'Ovarian carcinoma immunoreactive antigen (OCIA)', NULL, 'OCIA', NULL, NULL, NULL, 6),
(2406, NULL, 'PF16290', NULL, NULL, 'Domain of unknown function (DUF4936)', NULL, 'DUF4936', NULL, NULL, NULL, 6),
(2407, NULL, 'PF06788', NULL, NULL, 'Uncharacterised protein family (UPF0257)', NULL, 'UPF0257', NULL, NULL, NULL, 6),
(2408, NULL, 'PF13152', NULL, NULL, 'Protein of unknown function (DUF3967)', NULL, 'DUF3967', NULL, NULL, NULL, 6),
(2409, NULL, 'PF15814', NULL, NULL, 'Protein family FAM199X', NULL, 'FAM199X', NULL, NULL, NULL, 6),
(2410, NULL, 'PF15394', NULL, NULL, 'Domain of unknown function (DUF4616)', NULL, 'DUF4616', NULL, NULL, NULL, 6),
(2411, NULL, 'PF01478', NULL, NULL, 'Type IV leader peptidase family', NULL, 'Peptidase_A24', NULL, NULL, NULL, 6),
(2412, NULL, 'PF01110', NULL, NULL, 'Ciliary neurotrophic factor', NULL, 'CNTF', NULL, NULL, NULL, 6),
(2413, NULL, 'PF01596', NULL, NULL, 'O-methyltransferase', NULL, 'Methyltransf_3', NULL, NULL, NULL, 6),
(2414, NULL, 'PF07756', NULL, NULL, 'Protein of unknown function (DUF1612)', NULL, 'DUF1612', NULL, NULL, NULL, 6),
(2415, NULL, 'PF05564', NULL, NULL, 'Dormancy/auxin associated protein', NULL, 'Auxin_repressed', NULL, NULL, NULL, 6),
(2416, NULL, 'PF09652', NULL, NULL, 'Putative CRISPR-associated protein (Cas_VVA1548)', NULL, 'Cas_VVA1548', NULL, NULL, NULL, 6),
(2417, NULL, 'PF05202', NULL, NULL, 'Recombinase Flp protein', NULL, 'Flp_C', NULL, NULL, NULL, 6),
(2418, NULL, 'PF03491', NULL, NULL, 'Serotonin (5-HT) neurotransmitter transporter, N-terminus', NULL, '5HT_transport_N', NULL, NULL, NULL, 6),
(2419, NULL, 'PF04121', NULL, NULL, 'Nuclear pore protein 84 / 107', NULL, 'Nup84_Nup100', NULL, NULL, NULL, 6),
(2420, NULL, 'PF05565', NULL, NULL, 'Siphovirus Gp157', NULL, 'Sipho_Gp157', NULL, NULL, NULL, 6),
(2421, NULL, 'PF16801', NULL, NULL, 'Dimerisation domain of Male-specific-Lethal 1', NULL, 'MSL1_dimer', NULL, NULL, NULL, 6),
(2422, NULL, 'PF01307', NULL, NULL, 'Plant viral movement protein', NULL, 'Plant_vir_prot', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2423, NULL, 'PF14243', NULL, NULL, 'ATP-grasp domain, R2K clade family 3', NULL, 'R2K_3', NULL, NULL, NULL, 6),
(2424, NULL, 'PF00267', NULL, NULL, 'Gram-negative porin', NULL, 'Porin_1', NULL, NULL, NULL, 6),
(2425, NULL, 'PF04530', NULL, NULL, 'Viral Beta C/D like family', NULL, 'Viral_Beta_CD', NULL, NULL, NULL, 6),
(2426, NULL, 'PF02398', NULL, NULL, 'Coronavirus protein 7', NULL, 'Corona_7', NULL, NULL, NULL, 6),
(2427, NULL, 'PF08828', NULL, NULL, 'Doublesex dimerisation domain', NULL, 'DSX_dimer', NULL, NULL, NULL, 6),
(2428, NULL, 'PF02012', NULL, NULL, 'BNR/Asp-box repeat', NULL, 'BNR', NULL, NULL, NULL, 6),
(2429, NULL, 'PF01599', NULL, NULL, 'Ribosomal protein S27a', NULL, 'Ribosomal_S27', NULL, NULL, NULL, 6),
(2430, NULL, 'PF08285', NULL, NULL, 'Dolichol-phosphate mannosyltransferase subunit 3 (DPM3)', NULL, 'DPM3', NULL, NULL, NULL, 6),
(2431, NULL, 'PF11658', NULL, NULL, 'Cellulose biosynthesis protein BcsG', NULL, 'CBP_BcsG', NULL, NULL, NULL, 6),
(2432, NULL, 'PF10915', NULL, NULL, 'Protein of unknown function (DUF2709)', NULL, 'DUF2709', NULL, NULL, NULL, 6),
(2433, NULL, 'PF13128', NULL, NULL, 'Protein of unknown function (DUF3954)', NULL, 'DUF3954', NULL, NULL, NULL, 6),
(2434, NULL, 'PF09102', NULL, NULL, 'Exotoxin A, targeting', NULL, 'Exotox-A_target', NULL, NULL, NULL, 6),
(2435, NULL, 'PF14947', NULL, NULL, 'Winged helix-turn-helix', NULL, 'HTH_45', NULL, NULL, NULL, 6),
(2436, NULL, 'PF10979', NULL, NULL, 'Protein of unknown function (DUF2786)', NULL, 'DUF2786', NULL, NULL, NULL, 6),
(2437, NULL, 'PF03805', NULL, NULL, 'Cytoadherence-linked asexual protein', NULL, 'CLAG', NULL, NULL, NULL, 6),
(2438, NULL, 'PF14970', NULL, NULL, 'Domain of unknown function (DUF4509)', NULL, 'DUF4509', NULL, NULL, NULL, 6),
(2439, NULL, 'PF02687', NULL, NULL, 'FtsX-like permease family', NULL, 'FtsX', NULL, NULL, NULL, 6),
(2440, NULL, 'PF11607', NULL, NULL, 'Protein of unknown function (DUF3247)', NULL, 'DUF3247', NULL, NULL, NULL, 6),
(2441, NULL, 'PF02599', NULL, NULL, 'Global regulator protein family', NULL, 'CsrA', NULL, NULL, NULL, 6),
(2442, NULL, 'PF14616', NULL, NULL, 'Domain of unknown function (DUF4451)', NULL, 'DUF4451', NULL, NULL, NULL, 6),
(2443, NULL, 'PF04557', NULL, NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 2', NULL, 'tRNA_synt_1c_R2', NULL, NULL, NULL, 6),
(2444, NULL, 'PF19178', NULL, NULL, 'Family of unknown function (DUF5860)', NULL, 'DUF5860', NULL, NULL, NULL, 6),
(2445, NULL, 'PF12161', NULL, NULL, 'HsdM N-terminal domain', NULL, 'HsdM_N', NULL, NULL, NULL, 6),
(2446, NULL, 'PF15942', NULL, NULL, 'Domain of unknown function (DUF4751)', NULL, 'DUF4751', NULL, NULL, NULL, 6),
(2447, NULL, 'PF14055', NULL, NULL, 'NVEALA protein', NULL, 'NVEALA', NULL, NULL, NULL, 6),
(2448, NULL, 'PF02806', NULL, NULL, 'Alpha amylase, C-terminal all-beta domain', NULL, 'Alpha-amylase_C', NULL, NULL, NULL, 6),
(2449, NULL, 'PF06037', NULL, NULL, 'Bacterial protein of unknown function (DUF922)', NULL, 'DUF922', NULL, NULL, NULL, 6),
(2450, NULL, 'PF02876', NULL, NULL, 'Staphylococcal/Streptococcal toxin, beta-grasp domain', NULL, 'Stap_Strp_tox_C', NULL, NULL, NULL, 6),
(2451, NULL, 'PF08101', NULL, NULL, 'Domain of unknown function (DUF1708)', NULL, 'DUF1708', NULL, NULL, NULL, 6),
(2452, NULL, 'PF15232', NULL, NULL, 'Domain of unknown function (DUF4585)', NULL, 'DUF4585', NULL, NULL, NULL, 6),
(2453, NULL, 'PF17620', NULL, NULL, 'Family of unknown function', NULL, 'ORF45', NULL, NULL, NULL, 6),
(2454, NULL, 'PF19034', NULL, NULL, 'RNase LS, bacterial toxin C terminal', NULL, 'RnlA-toxin_C', NULL, NULL, NULL, 6),
(2455, NULL, 'PF11149', NULL, NULL, 'Protein of unknown function (DUF2924)', NULL, 'DUF2924', NULL, NULL, NULL, 6),
(2456, NULL, 'PF03317', NULL, NULL, 'ELF protein', NULL, 'ELF', NULL, NULL, NULL, 6),
(2457, NULL, 'PF18313', NULL, NULL, 'Thiolase-like protein type 1 additional C-terminal domain', NULL, 'TLP1_add_C', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2458, NULL, 'PF08499', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase N-terminal', NULL, 'PDEase_I_N', NULL, NULL, NULL, 6),
(2459, NULL, 'PF16446', NULL, NULL, 'Domain of unknown function (DUF5043)', NULL, 'DUF5043', NULL, NULL, NULL, 6),
(2460, NULL, 'PF01757', NULL, NULL, 'Acyltransferase family', NULL, 'Acyl_transf_3', NULL, NULL, NULL, 6),
(2461, NULL, 'PF15201', NULL, NULL, 'Progressive rod-cone degeneration', NULL, 'Rod_cone_degen', NULL, NULL, NULL, 6),
(2462, NULL, 'PF09529', NULL, NULL, 'Integral membrane protein (intg_mem_TP0381)', NULL, 'Intg_mem_TP0381', NULL, NULL, NULL, 6),
(2463, NULL, 'PF02771', NULL, NULL, 'Acyl-CoA dehydrogenase, N-terminal domain', NULL, 'Acyl-CoA_dh_N', NULL, NULL, NULL, 6),
(2464, NULL, 'PF18141', NULL, NULL, 'Domain of unknown function (DUF5599)', NULL, 'DUF5599', NULL, NULL, NULL, 6),
(2465, NULL, 'PF13889', NULL, NULL, 'Chromosome segregation during meiosis', NULL, 'Chromosome_seg', NULL, NULL, NULL, 6),
(2466, NULL, 'PF12096', NULL, NULL, 'Protein of unknown function (DUF3572)', NULL, 'DUF3572', NULL, NULL, NULL, 6),
(2467, NULL, 'PF02294', NULL, NULL, '7kD DNA-binding domain', NULL, '7kD_DNA_binding', NULL, NULL, NULL, 6),
(2468, NULL, 'PF15822', NULL, NULL, 'MAPK-interacting and spindle-stabilising protein-like', NULL, 'MISS', NULL, NULL, NULL, 6),
(2469, NULL, 'PF00344', NULL, NULL, 'SecY translocase', NULL, 'SecY', NULL, NULL, NULL, 6),
(2470, NULL, 'PF01535', NULL, NULL, 'PPR repeat', NULL, 'PPR', NULL, NULL, NULL, 6),
(2471, NULL, 'PF12328', NULL, NULL, 'Rpp20 subunit of nuclear RNase MRP and P', NULL, 'Rpp20', NULL, NULL, NULL, 6),
(2472, NULL, 'PF10336', NULL, NULL, 'Protein of unknown function (DUF2420)', NULL, 'DUF2420', NULL, NULL, NULL, 6),
(2473, NULL, 'PF16769', NULL, NULL, 'MCM3AP domain of GANP', NULL, 'MCM3AP_GANP', NULL, NULL, NULL, 6),
(2474, NULL, 'PF05022', NULL, NULL, 'SRP40, C-terminal domain', NULL, 'SRP40_C', NULL, NULL, NULL, 6),
(2475, NULL, 'PF02308', NULL, NULL, 'MgtC family', NULL, 'MgtC', NULL, NULL, NULL, 6),
(2476, NULL, 'PF15103', NULL, NULL, 'G0/G1 switch protein 2', NULL, 'G0-G1_switch_2', NULL, NULL, NULL, 6),
(2477, NULL, 'PF13384', NULL, NULL, 'Homeodomain-like domain', NULL, 'HTH_23', NULL, NULL, NULL, 6),
(2478, NULL, 'PF10922', NULL, NULL, 'Protein of unknown function (DUF2745)', NULL, 'DUF2745', NULL, NULL, NULL, 6),
(2479, NULL, 'PF09090', NULL, NULL, 'MIF4G like', NULL, 'MIF4G_like_2', NULL, NULL, NULL, 6),
(2480, NULL, 'PF13223', NULL, NULL, 'Protein of unknown function (DUF4031)', NULL, 'DUF4031', NULL, NULL, NULL, 6),
(2481, NULL, 'PF02603', NULL, NULL, 'HPr Serine kinase N terminus', NULL, 'Hpr_kinase_N', NULL, NULL, NULL, 6),
(2482, NULL, 'PF17868', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_8', NULL, NULL, NULL, 6),
(2483, NULL, 'PF03564', NULL, NULL, 'Protein of unknown function (DUF1759)', NULL, 'DUF1759', NULL, NULL, NULL, 6),
(2484, NULL, 'PF18725', NULL, NULL, 'SAV2148-like HEPN', NULL, 'HEPN_SAV2148', NULL, NULL, NULL, 6),
(2485, NULL, 'PF15572', NULL, NULL, 'Immunity protein 45', NULL, 'Imm45', NULL, NULL, NULL, 6),
(2486, NULL, 'PF00633', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH', NULL, NULL, NULL, 6),
(2487, NULL, 'PF02467', NULL, NULL, 'Transcription factor WhiB', NULL, 'Whib', NULL, NULL, NULL, 6),
(2488, NULL, 'PF09699', NULL, NULL, 'Doubled CXXCH motif (Paired_CXXCH_1)', NULL, 'Paired_CXXCH_1', NULL, NULL, NULL, 6),
(2489, NULL, 'PF02825', NULL, NULL, 'WWE domain', NULL, 'WWE', NULL, NULL, NULL, 6),
(2490, NULL, 'PF01612', NULL, NULL, '3''-5'' exonuclease', NULL, 'DNA_pol_A_exo1', NULL, NULL, NULL, 6),
(2491, NULL, 'PF03514', NULL, NULL, 'GRAS domain family', NULL, 'GRAS', NULL, NULL, NULL, 6),
(2492, NULL, 'PF14223', NULL, NULL, 'gag-polypeptide of LTR copia-type', NULL, 'Retrotran_gag_2', NULL, NULL, NULL, 6),
(2493, NULL, 'PF04766', NULL, NULL, 'Nucleopolyhedrovirus p26 protein', NULL, 'Baculo_p26', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2494, NULL, 'PF08488', NULL, NULL, 'Wall-associated kinase', NULL, 'WAK', NULL, NULL, NULL, 6),
(2495, NULL, 'PF15515', NULL, NULL, 'MvaI/BcnI restriction endonuclease family', NULL, 'MvaI_BcnI', NULL, NULL, NULL, 6),
(2496, NULL, 'PF02526', NULL, NULL, 'Glycophorin-binding protein', NULL, 'GBP_repeat', NULL, NULL, NULL, 6),
(2497, NULL, 'PF00656', NULL, NULL, 'Caspase domain', NULL, 'Peptidase_C14', NULL, NULL, NULL, 6),
(2498, NULL, 'PF10642', NULL, NULL, 'Mitochondrial import receptor subunit or translocase', NULL, 'Tom5', NULL, NULL, NULL, 6),
(2499, NULL, 'PF18291', NULL, NULL, 'HU domain fused to wHTH, Ig, or Glycine-rich motif', NULL, 'HU-HIG', NULL, NULL, NULL, 6),
(2500, NULL, 'PF05424', NULL, NULL, 'Duffy binding domain', NULL, 'Duffy_binding', NULL, NULL, NULL, 6),
(2501, NULL, 'PF00297', NULL, NULL, 'Ribosomal protein L3', NULL, 'Ribosomal_L3', NULL, NULL, NULL, 6),
(2502, NULL, 'PF17582', NULL, NULL, 'Cytomegalovirus UL20', NULL, 'UL20', NULL, NULL, NULL, 6),
(2503, NULL, 'PF03445', NULL, NULL, 'Putative nucleotidyltransferase DUF294', NULL, 'DUF294', NULL, NULL, NULL, 6),
(2504, NULL, 'PF13062', NULL, NULL, 'Protein of unknown function (DUF3924)', NULL, 'DUF3924', NULL, NULL, NULL, 6),
(2505, NULL, 'PF16231', NULL, NULL, 'Domain of unknown function (DUF4890)', NULL, 'DUF4890', NULL, NULL, NULL, 6),
(2506, NULL, 'PF16481', NULL, NULL, 'Domain of unknown function (DUF5058)', NULL, 'DUF5058', NULL, NULL, NULL, 6),
(2507, NULL, 'PF18868', NULL, NULL, 'Zinc finger C2H2-type, 3 repeats', NULL, 'zf-C2H2_3rep', NULL, NULL, NULL, 6),
(2508, NULL, 'PF16679', NULL, NULL, 'DNA replication factor Cdt1 C-terminal domain', NULL, 'CDT1_C', NULL, NULL, NULL, 6),
(2509, NULL, 'PF06950', NULL, NULL, 'Protein of unknown function (DUF1293)', NULL, 'DUF1293', NULL, NULL, NULL, 6),
(2510, NULL, 'PF04637', NULL, NULL, 'Herpesvirus phosphoprotein 85 (HHV6-7 U14/HCMV UL25)', NULL, 'Herpes_pp85', NULL, NULL, NULL, 6),
(2511, NULL, 'PF00372', NULL, NULL, 'Hemocyanin, copper containing domain', NULL, 'Hemocyanin_M', NULL, NULL, NULL, 6),
(2512, NULL, 'PF05622', NULL, NULL, 'HOOK protein coiled-coil region', NULL, 'HOOK', NULL, NULL, NULL, 6),
(2513, NULL, 'PF00452', NULL, NULL, 'Apoptosis regulator proteins, Bcl-2 family', NULL, 'Bcl-2', NULL, NULL, NULL, 6),
(2514, NULL, 'PF05258', NULL, NULL, 'Dna[CI] antecedent, DciA', NULL, 'DciA', NULL, NULL, NULL, 6),
(2515, NULL, 'PF05369', NULL, NULL, 'Monomethylamine methyltransferase MtmB', NULL, 'MtmB', NULL, NULL, NULL, 6),
(2516, NULL, 'PF17772', NULL, NULL, 'MYST family zinc finger domain', NULL, 'zf-MYST', NULL, NULL, NULL, 6),
(2517, NULL, 'PF08490', NULL, NULL, 'Domain of unknown function (DUF1744)', NULL, 'DUF1744', NULL, NULL, NULL, 6),
(2518, NULL, 'PF18524', NULL, NULL, 'High potential iron-sulfur protein like', NULL, 'HPIP_like', NULL, NULL, NULL, 6),
(2519, NULL, 'PF15303', NULL, NULL, 'E3 ubiquitin-protein ligase Arkadia N-terminus', NULL, 'RNF111_N', NULL, NULL, NULL, 6),
(2520, NULL, 'PF14494', NULL, NULL, 'Domain of unknown function (DUF4436)', NULL, 'DUF4436', NULL, NULL, NULL, 6),
(2521, NULL, 'PF00119', NULL, NULL, 'ATP synthase A chain', NULL, 'ATP-synt_A', NULL, NULL, NULL, 6),
(2522, NULL, 'PF19019', NULL, NULL, 'Phlebovirus glycoprotein G2 C-terminal domain', NULL, 'Phlebo_G2_C', NULL, NULL, NULL, 6),
(2523, NULL, 'PF14491', NULL, NULL, 'Protein of unknown function (DUF4435)', NULL, 'DUF4435', NULL, NULL, NULL, 6),
(2524, NULL, 'PF15429', NULL, NULL, 'Domain of unknown function (DUF4628)', NULL, 'DUF4628', NULL, NULL, NULL, 6),
(2525, NULL, 'PF14047', NULL, NULL, 'Dppa2/4 conserved region', NULL, 'DCR', NULL, NULL, NULL, 6),
(2526, NULL, 'PF09448', NULL, NULL, 'Methylmuconolactone methyl-isomerase', NULL, 'MmlI', NULL, NULL, NULL, 6),
(2527, NULL, 'PF05597', NULL, NULL, 'Poly(hydroxyalcanoate) granule associated protein (phasin)', NULL, 'Phasin', NULL, NULL, NULL, 6),
(2528, NULL, 'PF02284', NULL, NULL, 'Cytochrome c oxidase subunit Va', NULL, 'COX5A', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2529, NULL, 'PF06482', NULL, NULL, 'Collagenase NC10 and Endostatin', NULL, 'Endostatin', NULL, NULL, NULL, 6),
(2530, NULL, 'PF05375', NULL, NULL, 'Pacifastin inhibitor (LCMII)', NULL, 'Pacifastin_I', NULL, NULL, NULL, 6),
(2531, NULL, 'PF01043', NULL, NULL, 'SecA preprotein cross-linking domain', NULL, 'SecA_PP_bind', NULL, NULL, NULL, 6),
(2532, NULL, 'PF15407', NULL, NULL, 'Sporulation protein family 7', NULL, 'Spo7_2_N', NULL, NULL, NULL, 6),
(2533, NULL, 'PF02426', NULL, NULL, 'Muconolactone delta-isomerase', NULL, 'MIase', NULL, NULL, NULL, 6),
(2534, NULL, 'PF05251', NULL, NULL, 'Oligosaccharyltransferase subunit 5', NULL, 'Ost5', NULL, NULL, NULL, 6),
(2535, NULL, 'PF06717', NULL, NULL, 'Protein of unknown function (DUF1202)', NULL, 'DUF1202', NULL, NULL, NULL, 6),
(2536, NULL, 'PF15812', NULL, NULL, 'Melanoregulin', NULL, 'MREG', NULL, NULL, NULL, 6),
(2537, NULL, 'PF17980', NULL, NULL, 'Cysteine rich ADD domain in DNMT3', NULL, 'ADD_DNMT3', NULL, NULL, NULL, 6),
(2538, NULL, 'PF16419', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', NULL, 'CNOT1_HEAT_N', NULL, NULL, NULL, 6),
(2539, NULL, 'PF11735', NULL, NULL, 'Cryptococcal mannosyltransferase 1', NULL, 'CAP59_mtransfer', NULL, NULL, NULL, 6),
(2540, NULL, 'PF05896', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit A (NQRA)', NULL, 'NQRA', NULL, NULL, NULL, 6),
(2541, NULL, 'PF13368', NULL, NULL, 'Topoisomerase C-terminal repeat', NULL, 'Toprim_C_rpt', NULL, NULL, NULL, 6),
(2542, NULL, 'PF03470', NULL, NULL, 'XS zinc finger domain', NULL, 'zf-XS', NULL, NULL, NULL, 6),
(2543, NULL, 'PF02729', NULL, NULL, 'Aspartate/ornithine carbamoyltransferase, carbamoyl-P binding domain', NULL, 'OTCace_N', NULL, NULL, NULL, 6),
(2544, NULL, 'PF16851', NULL, NULL, 'Stomagen', NULL, 'Stomagen', NULL, NULL, NULL, 6),
(2545, NULL, 'PF05308', NULL, NULL, 'Mitochondrial fission regulator', NULL, 'Mito_fiss_reg', NULL, NULL, NULL, 6),
(2546, NULL, 'PF17209', NULL, NULL, 'Hfq protein', NULL, 'Hfq', NULL, NULL, NULL, 6),
(2547, NULL, 'PF13426', NULL, NULL, 'PAS domain', NULL, 'PAS_9', NULL, NULL, NULL, 6),
(2548, NULL, 'PF08976', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_11', NULL, NULL, NULL, 6),
(2549, NULL, 'PF12384', NULL, NULL, 'Ty3 transposon peptidase', NULL, 'Peptidase_A2B', NULL, NULL, NULL, 6),
(2550, NULL, 'PF05185', NULL, NULL, 'PRMT5 arginine-N-methyltransferase', NULL, 'PRMT5', NULL, NULL, NULL, 6),
(2551, NULL, 'PF11498', NULL, NULL, 'Transcriptional activator LAG-3', NULL, 'Activator_LAG-3', NULL, NULL, NULL, 6),
(2552, NULL, 'PF15320', NULL, NULL, 'mRNA cap methylation, RNMT-activating mini protein', NULL, 'RAM', NULL, NULL, NULL, 6),
(2553, NULL, 'PF07689', NULL, NULL, 'KaiB domain', NULL, 'KaiB', NULL, NULL, NULL, 6),
(2554, NULL, 'PF15231', NULL, NULL, 'Variable charge X/Y family', NULL, 'VCX_VCY', NULL, NULL, NULL, 6),
(2555, NULL, 'PF06504', NULL, NULL, 'Replication protein C (RepC)', NULL, 'RepC', NULL, NULL, NULL, 6),
(2556, NULL, 'PF16935', NULL, NULL, 'Putative Holin-like Toxin (Hol-Tox)', NULL, 'Hol_Tox', NULL, NULL, NULL, 6),
(2557, NULL, 'PF01734', NULL, NULL, 'Patatin-like phospholipase', NULL, 'Patatin', NULL, NULL, NULL, 6),
(2558, NULL, 'PF03003', NULL, NULL, 'Pox virus entry-fusion-complex G9/A16', NULL, 'Pox_G9-A16', NULL, NULL, NULL, 6),
(2559, NULL, 'PF06067', NULL, NULL, 'Domain of unknown function (DUF932)', NULL, 'DUF932', NULL, NULL, NULL, 6),
(2560, NULL, 'PF08445', NULL, NULL, 'FR47-like protein', NULL, 'FR47', NULL, NULL, NULL, 6),
(2561, NULL, 'PF19065', NULL, NULL, 'Family of unknown function (DUF5761)', NULL, 'DUF5761', NULL, NULL, NULL, 6),
(2562, NULL, 'PF10483', NULL, NULL, 'Elongator subunit Iki1', NULL, 'Elong_Iki1', NULL, NULL, NULL, 6),
(2563, NULL, 'PF16210', NULL, NULL, 'Keratin type II cytoskeletal 1 tail', NULL, 'Keratin_2_tail', NULL, NULL, NULL, 6),
(2564, NULL, 'PF02027', NULL, NULL, 'RolB/RolC glucosidase family', NULL, 'RolB_RolC', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2565, NULL, 'PF18157', NULL, NULL, 'MID domain of pPIWI_RE', NULL, 'MID_pPIWI_RE', NULL, NULL, NULL, 6),
(2566, NULL, 'PF12231', NULL, NULL, 'Rap1-interacting factor 1 N terminal', NULL, 'Rif1_N', NULL, NULL, NULL, 6),
(2567, NULL, 'PF17576', NULL, NULL, 'Family of unknown function (DUF5480)', NULL, 'DUF5480', NULL, NULL, NULL, 6),
(2568, NULL, 'PF13202', NULL, NULL, 'EF hand', NULL, 'EF-hand_5', NULL, NULL, NULL, 6),
(2569, NULL, 'PF08135', NULL, NULL, 'Major transforming protein E5 family', NULL, 'EPV_E5', NULL, NULL, NULL, 6),
(2570, NULL, 'PF05294', NULL, NULL, 'Scorpion short toxin', NULL, 'Toxin_5', NULL, NULL, NULL, 6),
(2571, NULL, 'PF17382', NULL, NULL, 'Uncharacterized Ycf70-like', NULL, 'Ycf70', NULL, NULL, NULL, 6),
(2572, NULL, 'PF08599', NULL, NULL, 'DNA damage repair protein Nbs1', NULL, 'Nbs1_C', NULL, NULL, NULL, 6),
(2573, NULL, 'PF19201', NULL, NULL, 'Family of unknown function (DUF5873)', NULL, 'DUF5873', NULL, NULL, NULL, 6),
(2574, NULL, 'PF02503', NULL, NULL, 'Polyphosphate kinase middle domain', NULL, 'PP_kinase', NULL, NULL, NULL, 6),
(2575, NULL, 'PF17876', NULL, NULL, 'Cold shock domain', NULL, 'CSD2', NULL, NULL, NULL, 6),
(2576, NULL, 'PF14485', NULL, NULL, 'Domain of unknown function (DUF4431)', NULL, 'DUF4431', NULL, NULL, NULL, 6),
(2577, NULL, 'PF15881', NULL, NULL, 'Domain of unknown function (DUF4734)', NULL, 'DUF4734', NULL, NULL, NULL, 6),
(2578, NULL, 'PF13675', NULL, NULL, 'Type IV pili methyl-accepting chemotaxis transducer N-term', NULL, 'PilJ', NULL, NULL, NULL, 6),
(2579, NULL, 'PF16940', NULL, NULL, 'Chloroplast envelope transporter', NULL, 'Tic110', NULL, NULL, NULL, 6),
(2580, NULL, 'PF06689', NULL, NULL, 'ClpX C4-type zinc finger', NULL, 'zf-C4_ClpX', NULL, NULL, NULL, 6),
(2581, NULL, 'PF14714', NULL, NULL, 'KH-domain-like of EngA bacterial GTPase enzymes, C-terminal', NULL, 'KH_dom-like', NULL, NULL, NULL, 6),
(2582, NULL, 'PF03025', NULL, NULL, 'Papillomavirus E5', NULL, 'Papilloma_E5', NULL, NULL, NULL, 6),
(2583, NULL, 'PF00146', NULL, NULL, 'NADH dehydrogenase', NULL, 'NADHdh', NULL, NULL, NULL, 6),
(2584, NULL, 'PF03911', NULL, NULL, 'Sec61beta family', NULL, 'Sec61_beta', NULL, NULL, NULL, 6),
(2585, NULL, 'PF12918', NULL, NULL, 'TcdB toxin N-terminal helical domain', NULL, 'TcdB_N', NULL, NULL, NULL, 6),
(2586, NULL, 'PF08484', NULL, NULL, 'C-methyltransferase C-terminal domain', NULL, 'Methyltransf_14', NULL, NULL, NULL, 6),
(2587, NULL, 'PF06688', NULL, NULL, 'Protein of unknown function (DUF1187)', NULL, 'DUF1187', NULL, NULL, NULL, 6),
(2588, NULL, 'PF03779', NULL, NULL, 'SPW repeat', NULL, 'SPW', NULL, NULL, NULL, 6),
(2589, NULL, 'PF15079', NULL, NULL, 'Testis-specific protein 35', NULL, 'Tsc35', NULL, NULL, NULL, 6),
(2590, NULL, 'PF02938', NULL, NULL, 'GAD domain', NULL, 'GAD', NULL, NULL, NULL, 6),
(2591, NULL, 'PF17923', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_18', NULL, NULL, NULL, 6),
(2592, NULL, 'PF06300', NULL, NULL, 'Tsp45I type II restriction enzyme', NULL, 'Tsp45I', NULL, NULL, NULL, 6),
(2593, NULL, 'PF14045', NULL, NULL, 'YIEGIA protein', NULL, 'YIEGIA', NULL, NULL, NULL, 6),
(2594, NULL, 'PF10520', NULL, NULL, 'B domain of TMEM189, localisation domain', NULL, 'TMEM189_B_dmain', NULL, NULL, NULL, 6),
(2595, NULL, 'PF08035', NULL, NULL, 'Opioids neuropeptide', NULL, 'Op_neuropeptide', NULL, NULL, NULL, 6),
(2596, NULL, 'PF10103', NULL, NULL, 'Zincin-like metallopeptidase', NULL, 'Zincin_2', NULL, NULL, NULL, 6),
(2597, NULL, 'PF13523', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_8', NULL, NULL, NULL, 6),
(2598, NULL, 'PF14696', NULL, NULL, 'Hydroxyphenylpyruvate dioxygenase, HPPD, N-terminal', NULL, 'Glyoxalase_5', NULL, NULL, NULL, 6),
(2599, NULL, 'PF06667', NULL, NULL, 'Phage shock protein B', NULL, 'PspB', NULL, NULL, NULL, 6),
(2600, NULL, 'PF01452', NULL, NULL, 'Rotavirus non structural protein', NULL, 'Rota_NSP4', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2601, NULL, 'PF06685', NULL, NULL, 'Protein of unknown function (DUF1186)', NULL, 'DUF1186', NULL, NULL, NULL, 6),
(2602, NULL, 'PF04792', NULL, NULL, 'V antigen (LcrV) protein', NULL, 'LcrV', NULL, NULL, NULL, 6),
(2603, NULL, 'PF05892', NULL, NULL, 'Trichovirus coat protein', NULL, 'Tricho_coat', NULL, NULL, NULL, 6),
(2604, NULL, 'PF05218', NULL, NULL, 'Protein of unknown function (DUF713)', NULL, 'DUF713', NULL, NULL, NULL, 6),
(2605, NULL, 'PF03137', NULL, NULL, 'Organic Anion Transporter Polypeptide (OATP) family', NULL, 'OATP', NULL, NULL, NULL, 6),
(2606, NULL, 'PF07816', NULL, NULL, 'Protein of unknown function (DUF1645)', NULL, 'DUF1645', NULL, NULL, NULL, 6),
(2607, NULL, 'PF00550', NULL, NULL, 'Phosphopantetheine attachment site', NULL, 'PP-binding', NULL, NULL, NULL, 6),
(2608, NULL, 'PF11302', NULL, NULL, 'Protein of unknown function (DUF3104)', NULL, 'DUF3104', NULL, NULL, NULL, 6),
(2609, NULL, 'PF17813', NULL, NULL, 'RET Cadherin like domain 4', NULL, 'RET_CLD4', NULL, NULL, NULL, 6),
(2610, NULL, 'PF05761', NULL, NULL, '5'' nucleotidase family', NULL, '5_nucleotid', NULL, NULL, NULL, 6),
(2611, NULL, 'PF18603', NULL, NULL, 'L-amino acid ligase C-terminal domain 2', NULL, 'LAL_C2', NULL, NULL, NULL, 6),
(2612, NULL, 'PF00696', NULL, NULL, 'Amino acid kinase family', NULL, 'AA_kinase', NULL, NULL, NULL, 6),
(2613, NULL, 'PF08144', NULL, NULL, 'CPL (NUC119) domain', NULL, 'CPL', NULL, NULL, NULL, 6),
(2614, NULL, 'PF12263', NULL, NULL, 'Protein of unknown function (DUF3611)', NULL, 'DUF3611', NULL, NULL, NULL, 6),
(2615, NULL, 'PF04473', NULL, NULL, 'Transglutaminase-like domain', NULL, 'DUF553', NULL, NULL, NULL, 6),
(2616, NULL, 'PF07897', NULL, NULL, 'Ethylene-responsive binding factor-associated repression', NULL, 'EAR', NULL, NULL, NULL, 6),
(2617, NULL, 'PF13519', NULL, NULL, 'von Willebrand factor type A domain', NULL, 'VWA_2', NULL, NULL, NULL, 6),
(2618, NULL, 'PF13992', NULL, NULL, 'YecR-like lipoprotein', NULL, 'YecR', NULL, NULL, NULL, 6),
(2619, NULL, 'PF08695', NULL, NULL, 'Cytochrome oxidase complex assembly protein 1', NULL, 'Coa1', NULL, NULL, NULL, 6),
(2620, NULL, 'PF10192', NULL, NULL, 'Rhodopsin-like GPCR transmembrane domain', NULL, 'GpcrRhopsn4', NULL, NULL, NULL, 6),
(2621, NULL, 'PF13814', NULL, NULL, 'Replication-relaxation', NULL, 'Replic_Relax', NULL, NULL, NULL, 6),
(2622, NULL, 'PF04286', NULL, NULL, 'Protein of unknown function (DUF445)', NULL, 'DUF445', NULL, NULL, NULL, 6),
(2623, NULL, 'PF04824', NULL, NULL, 'Conserved region of Rad21 / Rec8 like protein', NULL, 'Rad21_Rec8', NULL, NULL, NULL, 6),
(2624, NULL, 'PF09060', NULL, NULL, 'L27_N', NULL, 'L27_N', NULL, NULL, NULL, 6),
(2625, NULL, 'PF02285', NULL, NULL, 'Cytochrome oxidase c subunit VIII', NULL, 'COX8', NULL, NULL, NULL, 6),
(2626, NULL, 'PF19181', NULL, NULL, 'Family of unknown function (DUF5863)', NULL, 'DUF5863', NULL, NULL, NULL, 6),
(2627, NULL, 'PF02374', NULL, NULL, 'Anion-transporting ATPase', NULL, 'ArsA_ATPase', NULL, NULL, NULL, 6),
(2628, NULL, 'PF00997', NULL, NULL, 'Kappa casein', NULL, 'Casein_kappa', NULL, NULL, NULL, 6),
(2629, NULL, 'PF14824', NULL, NULL, 'Sirohaem biosynthesis protein central', NULL, 'Sirohm_synth_M', NULL, NULL, NULL, 6),
(2630, NULL, 'PF07104', NULL, NULL, 'Protein of unknown function (DUF1366)', NULL, 'DUF1366', NULL, NULL, NULL, 6),
(2631, NULL, 'PF18023', NULL, NULL, 'BDBT FKBP like N-terminal', NULL, 'FKBP_N_2', NULL, NULL, NULL, 6),
(2632, NULL, 'PF03328', NULL, NULL, 'HpcH/HpaI aldolase/citrate lyase family', NULL, 'HpcH_HpaI', NULL, NULL, NULL, 6),
(2633, NULL, 'PF01809', NULL, NULL, 'Putative membrane protein insertion efficiency factor', NULL, 'YidD', NULL, NULL, NULL, 6),
(2634, NULL, 'PF02326', NULL, NULL, 'Plant ATP synthase F0', NULL, 'YMF19', NULL, NULL, NULL, 6),
(2635, NULL, 'PF03547', NULL, NULL, 'Membrane transport protein', NULL, 'Mem_trans', NULL, NULL, NULL, 6),
(2636, NULL, 'PF04423', NULL, NULL, 'Rad50 zinc hook motif', NULL, 'Rad50_zn_hook', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2637, NULL, 'PF09552', NULL, NULL, 'BstXI restriction endonuclease', NULL, 'RE_BstXI', NULL, NULL, NULL, 6),
(2638, NULL, 'PF02937', NULL, NULL, 'Cytochrome c oxidase subunit VIc', NULL, 'COX6C', NULL, NULL, NULL, 6),
(2639, NULL, 'PF02685', NULL, NULL, 'Glucokinase', NULL, 'Glucokinase', NULL, NULL, NULL, 6),
(2640, NULL, 'PF17178', NULL, NULL, 'Membrane-associated sensor', NULL, 'MASE5', NULL, NULL, NULL, 6),
(2641, NULL, 'PF11216', NULL, NULL, 'Protein of unknown function (DUF3012)', NULL, 'DUF3012', NULL, NULL, NULL, 6),
(2642, NULL, 'PF06117', NULL, NULL, 'Enterobacterial protein of unknown function (DUF957)', NULL, 'DUF957', NULL, NULL, NULL, 6),
(2643, NULL, 'PF11667', NULL, NULL, 'Putative zincin peptidase', NULL, 'DUF3267', NULL, NULL, NULL, 6),
(2644, NULL, 'PF13742', NULL, NULL, 'OB-fold nucleic acid binding domain', NULL, 'tRNA_anti_2', NULL, NULL, NULL, 6),
(2645, NULL, 'PF07435', NULL, NULL, 'YycH protein', NULL, 'YycH', NULL, NULL, NULL, 6),
(2646, NULL, 'PF17289', NULL, NULL, 'Terminase RNaseH-like domain', NULL, 'Terminase_6C', NULL, NULL, NULL, 6),
(2647, NULL, 'PF10076', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2313)', NULL, 'DUF2313', NULL, NULL, NULL, 6),
(2648, NULL, 'PF17638', NULL, NULL, 'HCMV UL42', NULL, 'UL42', NULL, NULL, NULL, 6),
(2649, NULL, 'PF00743', NULL, NULL, 'Flavin-binding monooxygenase-like', NULL, 'FMO-like', NULL, NULL, NULL, 6),
(2650, NULL, 'PF18815', NULL, NULL, 'Bacterial antifreeze protein repeat', NULL, 'AFP_2', NULL, NULL, NULL, 6),
(2651, NULL, 'PF18988', NULL, NULL, 'Family of unknown function (DUF5721)', NULL, 'DUF5721', NULL, NULL, NULL, 6),
(2652, NULL, 'PF09249', NULL, NULL, 'tRNA nucleotidyltransferase, second domain', NULL, 'tRNA_NucTransf2', NULL, NULL, NULL, 6),
(2653, NULL, 'PF15374', NULL, NULL, 'Coiled-coil domain-containing protein 71L', NULL, 'CCDC71L', NULL, NULL, NULL, 6),
(2654, NULL, 'PF13940', NULL, NULL, 'Toxin Ldr, type I toxin-antitoxin system', NULL, 'Ldr_toxin', NULL, NULL, NULL, 6),
(2655, NULL, 'PF00528', NULL, NULL, 'Binding-protein-dependent transport system inner membrane component', NULL, 'BPD_transp_1', NULL, NULL, NULL, 6),
(2656, NULL, 'PF17979', NULL, NULL, 'Cysteine rich domain with multizinc binding regions', NULL, 'zf-CRD', NULL, NULL, NULL, 6),
(2657, NULL, 'PF11399', NULL, NULL, 'Protein of unknown function (DUF3192)', NULL, 'DUF3192', NULL, NULL, NULL, 6),
(2658, NULL, 'PF05508', NULL, NULL, 'RanGTP-binding protein', NULL, 'Ran-binding', NULL, NULL, NULL, 6),
(2659, NULL, 'PF12735', NULL, NULL, 'TRAPP trafficking subunit Trs65', NULL, 'Trs65', NULL, NULL, NULL, 6),
(2660, NULL, 'PF12197', NULL, NULL, 'Bacillus cereus group antimicrobial protein', NULL, 'lci', NULL, NULL, NULL, 6),
(2661, NULL, 'PF08066', NULL, NULL, 'PMC2NT (NUC016) domain', NULL, 'PMC2NT', NULL, NULL, NULL, 6),
(2662, NULL, 'PF03669', NULL, NULL, 'Uncharacterised protein family (UPF0139)', NULL, 'UPF0139', NULL, NULL, NULL, 6),
(2663, NULL, 'PF05466', NULL, NULL, 'Brain acid soluble protein 1 (BASP1 protein)', NULL, 'BASP1', NULL, NULL, NULL, 6),
(2664, NULL, 'PF09625', NULL, NULL, 'VP9 protein', NULL, 'VP9', NULL, NULL, NULL, 6),
(2665, NULL, 'PF16582', NULL, NULL, 'Middle domain of thiamine pyrophosphate', NULL, 'TPP_enzyme_M_2', NULL, NULL, NULL, 6),
(2666, NULL, 'PF07712', NULL, NULL, 'Stress up-regulated Nod 19', NULL, 'SURNod19', NULL, NULL, NULL, 6),
(2667, NULL, 'PF10910', NULL, NULL, 'Protein of unknown function (DUF2744)', NULL, 'DUF2744', NULL, NULL, NULL, 6),
(2668, NULL, 'PF04313', NULL, NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', NULL, 'HSDR_N', NULL, NULL, NULL, 6),
(2669, NULL, 'PF13474', NULL, NULL, 'SnoaL-like domain', NULL, 'SnoaL_3', NULL, NULL, NULL, 6),
(2670, NULL, 'PF00478', NULL, NULL, 'IMP dehydrogenase / GMP reductase domain', NULL, 'IMPDH', NULL, NULL, NULL, 6),
(2671, NULL, 'PF18279', NULL, NULL, 'Werner helicase-interacting protein 1 ubiquitin-binding domain', NULL, 'zf-WRNIP1_ubi', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2672, NULL, 'PF12045', NULL, NULL, 'Protein of unknown function (DUF3528)', NULL, 'DUF3528', NULL, NULL, NULL, 6),
(2673, NULL, 'PF12990', NULL, NULL, 'Domain of unknonw function from B. Theta Gene description (DUF3874)', NULL, 'DUF3874', NULL, NULL, NULL, 6),
(2674, NULL, 'PF19200', NULL, NULL, 'DUF871 N-terminal domain', NULL, 'DUF871_N', NULL, NULL, NULL, 6),
(2675, NULL, 'PF00376', NULL, NULL, 'MerR family regulatory protein', NULL, 'MerR', NULL, NULL, NULL, 6),
(2676, NULL, 'PF12631', NULL, NULL, 'MnmE helical domain', NULL, 'MnmE_helical', NULL, NULL, NULL, 6),
(2677, NULL, 'PF16598', NULL, NULL, 'Linker region of enhancer of mRNA-decapping protein 3', NULL, 'Edc3_linker', NULL, NULL, NULL, 6),
(2678, NULL, 'PF13546', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_5', NULL, NULL, NULL, 6),
(2679, NULL, 'PF17707', NULL, NULL, 'Family of unknown function (DUF5553)', NULL, 'DUF5553', NULL, NULL, NULL, 6),
(2680, NULL, 'PF01994', NULL, NULL, 'tRNA ribose 2''-O-methyltransferase, aTrm56', NULL, 'Trm56', NULL, NULL, NULL, 6),
(2681, NULL, 'PF17444', NULL, NULL, 'Uncharacterized YhdX-like', NULL, 'YhdX', NULL, NULL, NULL, 6),
(2682, NULL, 'PF05152', NULL, NULL, 'Protein of unknown function (DUF705)', NULL, 'DUF705', NULL, NULL, NULL, 6),
(2683, NULL, 'PF00165', NULL, NULL, 'Bacterial regulatory helix-turn-helix proteins, AraC family', NULL, 'HTH_AraC', NULL, NULL, NULL, 6),
(2684, NULL, 'PF16898', NULL, NULL, 'C-terminal associated domain of TOPRIM', NULL, 'TOPRIM_C', NULL, NULL, NULL, 6),
(2685, NULL, 'PF12060', NULL, NULL, 'Domain of unknown function (DUF3541)', NULL, 'DUF3541', NULL, NULL, NULL, 6),
(2686, NULL, 'PF18476', NULL, NULL, 'PIN like domain', NULL, 'PIN_8', NULL, NULL, NULL, 6),
(2687, NULL, 'PF17398', NULL, NULL, 'Nodulation protein NolB', NULL, 'NolB', NULL, NULL, NULL, 6),
(2688, NULL, 'PF11692', NULL, NULL, 'Protein of unknown function (DUF3289)', NULL, 'DUF3289', NULL, NULL, NULL, 6),
(2689, NULL, 'PF04025', NULL, NULL, 'Domain of unknown function (DUF370)', NULL, 'DUF370', NULL, NULL, NULL, 6),
(2690, NULL, 'PF04794', NULL, NULL, 'YdjC-like protein', NULL, 'YdjC', NULL, NULL, NULL, 6),
(2691, NULL, 'PF04124', NULL, NULL, 'Dor1-like family', NULL, 'Dor1', NULL, NULL, NULL, 6),
(2692, NULL, 'PF03899', NULL, NULL, 'ATP synthase I chain', NULL, 'ATP-synt_I', NULL, NULL, NULL, 6),
(2693, NULL, 'PF15442', NULL, NULL, 'Domain of unknown function (DUF4629)', NULL, 'DUF4629', NULL, NULL, NULL, 6),
(2694, NULL, 'PF03058', NULL, NULL, 'Sar8.2 family', NULL, 'Sar8_2', NULL, NULL, NULL, 6),
(2695, NULL, 'PF17661', NULL, NULL, 'Family of unknown function (DUF5523)', NULL, 'DUF5523', NULL, NULL, NULL, 6),
(2696, NULL, 'PF09179', NULL, NULL, 'TilS substrate binding domain', NULL, 'TilS', NULL, NULL, NULL, 6),
(2697, NULL, 'PF14366', NULL, NULL, 'Domain of unknown function (DUF4410)', NULL, 'DUF4410', NULL, NULL, NULL, 6),
(2698, NULL, 'PF06022', NULL, NULL, 'Plasmodium variant antigen protein Cir/Yir/Bir', NULL, 'Cir_Bir_Yir', NULL, NULL, NULL, 6),
(2699, NULL, 'PF03656', NULL, NULL, 'Pam16', NULL, 'Pam16', NULL, NULL, NULL, 6),
(2700, NULL, 'PF16033', NULL, NULL, 'Domain of unknown function (DUF4789)', NULL, 'DUF4789', NULL, NULL, NULL, 6),
(2701, NULL, 'PF08726', NULL, NULL, 'Ca2+ insensitive EF hand', NULL, 'EFhand_Ca_insen', NULL, NULL, NULL, 6),
(2702, NULL, 'PF00291', NULL, NULL, 'Pyridoxal-phosphate dependent enzyme', NULL, 'PALP', NULL, NULL, NULL, 6),
(2703, NULL, 'PF02861', NULL, NULL, 'Clp amino terminal domain, pathogenicity island component', NULL, 'Clp_N', NULL, NULL, NULL, 6),
(2704, NULL, 'PF17259', NULL, NULL, 'Family of unknown function (DUF5325)', NULL, 'DUF5325', NULL, NULL, NULL, 6),
(2705, NULL, 'PF00391', NULL, NULL, 'PEP-utilising enzyme, mobile domain', NULL, 'PEP-utilizers', NULL, NULL, NULL, 6),
(2706, NULL, 'PF06246', NULL, NULL, 'Isy1-like splicing family', NULL, 'Isy1', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2707, NULL, 'PF07248', NULL, NULL, 'Protein of unknown function (DUF1431)', NULL, 'DUF1431', NULL, NULL, NULL, 6),
(2708, NULL, 'PF07737', NULL, NULL, 'Anthrax toxin lethal factor, N- and C-terminal domain', NULL, 'ATLF', NULL, NULL, NULL, 6),
(2709, NULL, 'PF04428', NULL, NULL, 'Choline kinase N terminus', NULL, 'Choline_kin_N', NULL, NULL, NULL, 6),
(2710, NULL, 'PF16510', NULL, NULL, 'Phage P22-like portal protein', NULL, 'P22_portal', NULL, NULL, NULL, 6),
(2711, NULL, 'PF08867', NULL, NULL, 'FRG domain', NULL, 'FRG', NULL, NULL, NULL, 6),
(2712, NULL, 'PF02684', NULL, NULL, 'Lipid-A-disaccharide synthetase', NULL, 'LpxB', NULL, NULL, NULL, 6),
(2713, NULL, 'PF10317', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srd', NULL, '7TM_GPCR_Srd', NULL, NULL, NULL, 6),
(2714, NULL, 'PF16327', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmF C-terminal', NULL, 'CcmF_C', NULL, NULL, NULL, 6),
(2715, NULL, 'PF16280', NULL, NULL, 'Domain of unknown function (DUF4928)', NULL, 'DUF4928', NULL, NULL, NULL, 6),
(2716, NULL, 'PF09682', NULL, NULL, 'Bacteriophage holin of superfamily 6 (Holin_LLH)', NULL, 'Phage_holin_6_1', NULL, NULL, NULL, 6),
(2717, NULL, 'PF17664', NULL, NULL, 'Family of unknown function (DUF5526)', NULL, 'DUF5526', NULL, NULL, NULL, 6),
(2718, NULL, 'PF01470', NULL, NULL, 'Pyroglutamyl peptidase', NULL, 'Peptidase_C15', NULL, NULL, NULL, 6),
(2719, NULL, 'PF08038', NULL, NULL, 'TOM7 family', NULL, 'Tom7', NULL, NULL, NULL, 6),
(2720, NULL, 'PF12168', NULL, NULL, 'DNA polymerase III subunits tau domain IV DnaB-binding', NULL, 'DNA_pol3_tau_4', NULL, NULL, NULL, 6),
(2721, NULL, 'PF01563', NULL, NULL, 'Alphavirus E3 glycoprotein', NULL, 'Alpha_E3_glycop', NULL, NULL, NULL, 6),
(2722, NULL, 'PF12766', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Pyridox_oxase_2', NULL, NULL, NULL, 6),
(2723, NULL, 'PF18495', NULL, NULL, 'Antitoxin VbhA', NULL, 'VbhA', NULL, NULL, NULL, 6),
(2724, NULL, 'PF06236', NULL, NULL, 'Tyrosinase co-factor MelC1', NULL, 'MelC1', NULL, NULL, NULL, 6),
(2725, NULL, 'PF01277', NULL, NULL, 'Oleosin', NULL, 'Oleosin', NULL, NULL, NULL, 6),
(2726, NULL, 'PF05787', NULL, NULL, 'Bacterial protein of unknown function (DUF839)', NULL, 'DUF839', NULL, NULL, NULL, 6),
(2727, NULL, 'PF11287', NULL, NULL, 'Protein of unknown function (DUF3088)', NULL, 'DUF3088', NULL, NULL, NULL, 6),
(2728, NULL, 'PF13637', NULL, NULL, 'Ankyrin repeats (many copies)', NULL, 'Ank_4', NULL, NULL, NULL, 6),
(2729, NULL, 'PF11218', NULL, NULL, 'Protein of unknown function (DUF3011)', NULL, 'DUF3011', NULL, NULL, NULL, 6),
(2730, NULL, 'PF15523', NULL, NULL, 'Novel toxin 16', NULL, 'Ntox16', NULL, NULL, NULL, 6),
(2731, NULL, 'PF10153', NULL, NULL, 'rRNA-processing protein Efg1', NULL, 'Efg1', NULL, NULL, NULL, 6),
(2732, NULL, 'PF03724', NULL, NULL, 'META domain', NULL, 'META', NULL, NULL, NULL, 6),
(2733, NULL, 'PF11082', NULL, NULL, 'Protein of unknown function (DUF2880)', NULL, 'DUF2880', NULL, NULL, NULL, 6),
(2734, NULL, 'PF11778', NULL, NULL, 'Septation initiation', NULL, 'SID', NULL, NULL, NULL, 6),
(2735, NULL, 'PF11500', NULL, NULL, 'Spindle pole body formation-associated protein', NULL, 'Cut12', NULL, NULL, NULL, 6),
(2736, NULL, 'PF03889', NULL, NULL, 'Alternative ribosome-rescue factor A', NULL, 'ArfA', NULL, NULL, NULL, 6),
(2737, NULL, 'PF19144', NULL, NULL, 'Family of unknown function (DUF5826)', NULL, 'DUF5826', NULL, NULL, NULL, 6),
(2738, NULL, 'PF05310', NULL, NULL, 'Tenuivirus movement protein', NULL, 'Tenui_NS3', NULL, NULL, NULL, 6),
(2739, NULL, 'PF09766', NULL, NULL, 'Fms-interacting protein/Thoc5', NULL, 'FmiP_Thoc5', NULL, NULL, NULL, 6),
(2740, NULL, 'PF12987', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3871)', NULL, 'DUF3871', NULL, NULL, NULL, 6),
(2741, NULL, 'PF12422', NULL, NULL, 'Condensin II non structural maintenance of chromosomes subunit', NULL, 'Condensin2nSMC', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2742, NULL, 'PF05873', NULL, NULL, 'ATP synthase D chain, mitochondrial (ATP5H)', NULL, 'Mt_ATP-synt_D', NULL, NULL, NULL, 6),
(2743, NULL, 'PF10702', NULL, NULL, 'Protein of unknown function (DUF2507)', NULL, 'DUF2507', NULL, NULL, NULL, 6),
(2744, NULL, 'PF16674', NULL, NULL, 'N-terminal of ubiquitin carboxyl-terminal hydrolase 37', NULL, 'UCH_N', NULL, NULL, NULL, 6),
(2745, NULL, 'PF16096', NULL, NULL, 'Fragile X-related 1 protein C-terminal region 2', NULL, 'FXR_C1', NULL, NULL, NULL, 6),
(2746, NULL, 'PF17324', NULL, NULL, 'BLOC-1 interactor 1', NULL, 'BLI1', NULL, NULL, NULL, 6),
(2747, NULL, 'PF03752', NULL, NULL, 'Short repeats of unknown function', NULL, 'ALF', NULL, NULL, NULL, 6),
(2748, NULL, 'PF00135', NULL, NULL, 'Carboxylesterase family', NULL, 'COesterase', NULL, NULL, NULL, 6),
(2749, NULL, 'PF15243', NULL, NULL, 'Anaphase-promoting complex subunit 15', NULL, 'ANAPC15', NULL, NULL, NULL, 6),
(2750, NULL, 'PF16216', NULL, NULL, 'GxGYxY sequence motif in domain of unknown function N-terminal', NULL, 'GxGYxYP_N', NULL, NULL, NULL, 6),
(2751, NULL, 'PF00459', NULL, NULL, 'Inositol monophosphatase family', NULL, 'Inositol_P', NULL, NULL, NULL, 6),
(2752, NULL, 'PF15681', NULL, NULL, 'Lymphocyte activation family X', NULL, 'LAX', NULL, NULL, NULL, 6),
(2753, NULL, 'PF15412', NULL, NULL, 'Binding domain of Nse4/EID3 to Nse3-MAGE', NULL, 'Nse4-Nse3_bdg', NULL, NULL, NULL, 6),
(2754, NULL, 'PF12256', NULL, NULL, 'Insecticide toxin TcdB middle/N-terminal region', NULL, 'TcdB_toxin_midN', NULL, NULL, NULL, 6),
(2755, NULL, 'PF19088', NULL, NULL, 'TUTase nucleotidyltransferase domain', NULL, 'TUTase', NULL, NULL, NULL, 6),
(2756, NULL, 'PF10580', NULL, NULL, 'Gap junction protein N-terminal region', NULL, 'Neuromodulin_N', NULL, NULL, NULL, 6),
(2757, NULL, 'PF07180', NULL, NULL, 'CaiF/GrlA transcriptional regulator', NULL, 'CaiF_GrlA', NULL, NULL, NULL, 6),
(2758, NULL, 'PF02410', NULL, NULL, 'Ribosomal silencing factor during starvation', NULL, 'RsfS', NULL, NULL, NULL, 6),
(2759, NULL, 'PF06672', NULL, NULL, 'Protein of unknown function (DUF1175)', NULL, 'DUF1175', NULL, NULL, NULL, 6),
(2760, NULL, 'PF05118', NULL, NULL, 'Aspartyl/Asparaginyl beta-hydroxylase', NULL, 'Asp_Arg_Hydrox', NULL, NULL, NULL, 6),
(2761, NULL, 'PF02372', NULL, NULL, 'Interleukin 15', NULL, 'IL15', NULL, NULL, NULL, 6),
(2762, NULL, 'PF03145', NULL, NULL, 'Seven in absentia protein family', NULL, 'Sina', NULL, NULL, NULL, 6),
(2763, NULL, 'PF18002', NULL, NULL, 'T6 antigen Ig like domain', NULL, 'T6_Ig_like', NULL, NULL, NULL, 6),
(2764, NULL, 'PF13903', NULL, NULL, 'PMP-22/EMP/MP20/Claudin tight junction', NULL, 'Claudin_2', NULL, NULL, NULL, 6),
(2765, NULL, 'PF00572', NULL, NULL, 'Ribosomal protein L13', NULL, 'Ribosomal_L13', NULL, NULL, NULL, 6),
(2766, NULL, 'PF18950', NULL, NULL, 'Family of unknown function (DUF5694)', NULL, 'DUF5694', NULL, NULL, NULL, 6),
(2767, NULL, 'PF12743', NULL, NULL, 'Oestrogen-type nuclear receptor final C-terminal', NULL, 'ESR1_C', NULL, NULL, NULL, 6),
(2768, NULL, 'PF12407', NULL, NULL, 'Homeobox protein', NULL, 'Abdominal-A', NULL, NULL, NULL, 6),
(2769, NULL, 'PF12497', NULL, NULL, 'Estrogen receptor beta', NULL, 'ERbeta_N', NULL, NULL, NULL, 6),
(2770, NULL, 'PF13329', NULL, NULL, 'Autophagy-related protein 2 CAD motif', NULL, 'ATG2_CAD', NULL, NULL, NULL, 6),
(2771, NULL, 'PF18370', NULL, NULL, 'Rhamnogalacturonan I lyases beta-sheet domain', NULL, 'RGI_lyase', NULL, NULL, NULL, 6),
(2772, NULL, 'PF17788', NULL, NULL, 'HypF Kae1-like domain', NULL, 'HypF_C', NULL, NULL, NULL, 6),
(2773, NULL, 'PF12975', NULL, NULL, 'Domain of unknown function (DUF3859)', NULL, 'DUF3859', NULL, NULL, NULL, 6),
(2774, NULL, 'PF09957', NULL, NULL, 'Bacterial antitoxin of type II TA system, VapB', NULL, 'VapB_antitoxin', NULL, NULL, NULL, 6),
(2775, NULL, 'PF02500', NULL, NULL, 'Probable DNA packing protein, N-terminus', NULL, 'DNA_pack_N', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2776, NULL, 'PF17693', NULL, NULL, 'Family of unknown function (DUF5539)', NULL, 'DUF5539', NULL, NULL, NULL, 6),
(2777, NULL, 'PF14109', NULL, NULL, 'GldH lipoprotein', NULL, 'GldH_lipo', NULL, NULL, NULL, 6),
(2778, NULL, 'PF01189', NULL, NULL, '16S rRNA methyltransferase RsmB/F', NULL, 'Methyltr_RsmB-F', NULL, NULL, NULL, 6),
(2779, NULL, 'PF08747', NULL, NULL, 'Domain of unknown function (DUF1788)', NULL, 'DUF1788', NULL, NULL, NULL, 6),
(2780, NULL, 'PF14966', NULL, NULL, 'DNA repair REX1-B', NULL, 'DNA_repr_REX1B', NULL, NULL, NULL, 6),
(2781, NULL, 'PF12952', NULL, NULL, 'Domain of unknown function (DUF3841)', NULL, 'DUF3841', NULL, NULL, NULL, 6),
(2782, NULL, 'PF15447', NULL, NULL, 'N-terminal segments of PfEMP1', NULL, 'NTS', NULL, NULL, NULL, 6),
(2783, NULL, 'PF05159', NULL, NULL, 'Capsule polysaccharide biosynthesis protein', NULL, 'Capsule_synth', NULL, NULL, NULL, 6),
(2784, NULL, 'PF18445', NULL, NULL, 'PR zinc knuckle motif', NULL, 'zf_PR_Knuckle', NULL, NULL, NULL, 6),
(2785, NULL, 'PF09627', NULL, NULL, 'PrgU-like protein', NULL, 'PrgU', NULL, NULL, NULL, 6),
(2786, NULL, 'PF16802', NULL, NULL, 'Domain of unknown function (DUF5070)', NULL, 'DUF5070', NULL, NULL, NULL, 6),
(2787, NULL, 'PF17117', NULL, NULL, 'Domain of unknown function (DUF5104)', NULL, 'DUF5104', NULL, NULL, NULL, 6),
(2788, NULL, 'PF01441', NULL, NULL, 'Lipoprotein', NULL, 'Lipoprotein_6', NULL, NULL, NULL, 6),
(2789, NULL, 'PF18402', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_14', NULL, NULL, NULL, 6),
(2790, NULL, 'PF16861', NULL, NULL, 'Carbamoyltransferase C-terminus', NULL, 'Carbam_trans_C', NULL, NULL, NULL, 6),
(2791, NULL, 'PF03769', NULL, NULL, 'Attacin, C-terminal region', NULL, 'Attacin_C', NULL, NULL, NULL, 6),
(2792, NULL, 'PF18264', NULL, NULL, 'CXC domain', NULL, 'preSET_CXC', NULL, NULL, NULL, 6),
(2793, NULL, 'PF07117', NULL, NULL, 'Protein of unknown function (DUF1373)', NULL, 'DUF1373', NULL, NULL, NULL, 6),
(2794, NULL, 'PF00653', NULL, NULL, 'Inhibitor of Apoptosis domain', NULL, 'BIR', NULL, NULL, NULL, 6),
(2795, NULL, 'PF12238', NULL, NULL, 'Merozoite surface antigen 2c', NULL, 'MSA-2c', NULL, NULL, NULL, 6),
(2796, NULL, 'PF18937', NULL, NULL, 'Family of unknown function (DUF5685)', NULL, 'DUF5685', NULL, NULL, NULL, 6),
(2797, NULL, 'PF11918', NULL, NULL, 'N-terminal domain of Peptidase_S41 in eukaryotic IRBP', NULL, 'Peptidase_S41_N', NULL, NULL, NULL, 6),
(2798, NULL, 'PF18765', NULL, NULL, 'Polymerase beta, Nucleotidyltransferase', NULL, 'Polbeta', NULL, NULL, NULL, 6),
(2799, NULL, 'PF13548', NULL, NULL, 'Domain of unknown function (DUF4126)', NULL, 'DUF4126', NULL, NULL, NULL, 6),
(2800, NULL, 'PF13304', NULL, NULL, 'AAA domain, putative AbiEii toxin, Type IV TA system', NULL, 'AAA_21', NULL, NULL, NULL, 6),
(2801, NULL, 'PF15970', NULL, NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', NULL, 'HicB-like_2', NULL, NULL, NULL, 6),
(2802, NULL, 'PF15545', NULL, NULL, 'Bacterial toxin 8', NULL, 'Ntox8', NULL, NULL, NULL, 6),
(2803, NULL, 'PF17814', NULL, NULL, 'LisH-like dimerisation domain', NULL, 'LisH_TPL', NULL, NULL, NULL, 6),
(2804, NULL, 'PF11581', NULL, NULL, 'Antagonist of EGFR signalling, Argos', NULL, 'Argos', NULL, NULL, NULL, 6),
(2805, NULL, 'PF14326', NULL, NULL, 'Domain of unknown function (DUF4384)', NULL, 'DUF4384', NULL, NULL, NULL, 6),
(2806, NULL, 'PF04837', NULL, NULL, 'MbeB-like, N-term conserved region', NULL, 'MbeB_N', NULL, NULL, NULL, 6),
(2807, NULL, 'PF08264', NULL, NULL, 'Anticodon-binding domain of tRNA ligase', NULL, 'Anticodon_1', NULL, NULL, NULL, 6),
(2808, NULL, 'PF17393', NULL, NULL, 'Family of unknown function (DUF5402)', NULL, 'DUF5402', NULL, NULL, NULL, 6),
(2809, NULL, 'PF12448', NULL, NULL, 'Kinesin associated protein', NULL, 'Milton', NULL, NULL, NULL, 6),
(2810, NULL, 'PF01966', NULL, NULL, 'HD domain', NULL, 'HD', NULL, NULL, NULL, 6),
(2811, NULL, 'PF06749', NULL, NULL, 'Protein of unknown function (DUF1218)', NULL, 'DUF1218', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2812, NULL, 'PF05934', NULL, NULL, 'Mid-1-related chloride channel (MCLC)', NULL, 'MCLC', NULL, NULL, NULL, 6),
(2813, NULL, 'PF03353', NULL, NULL, 'Ras-mediated vulval-induction antagonist', NULL, 'Lin-8', NULL, NULL, NULL, 6),
(2814, NULL, 'PF08998', NULL, NULL, 'Bacterial epsilon antitoxin', NULL, 'Epsilon_antitox', NULL, NULL, NULL, 6),
(2815, NULL, 'PF11539', NULL, NULL, 'Protein of unknown function (DUF3228)', NULL, 'DUF3228', NULL, NULL, NULL, 6),
(2816, NULL, 'PF00351', NULL, NULL, 'Biopterin-dependent aromatic amino acid hydroxylase', NULL, 'Biopterin_H', NULL, NULL, NULL, 6),
(2817, NULL, 'PF02841', NULL, NULL, 'Guanylate-binding protein, C-terminal domain', NULL, 'GBP_C', NULL, NULL, NULL, 6),
(2818, NULL, 'PF17790', NULL, NULL, 'Macroglobulin domain MG1', NULL, 'MG1', NULL, NULL, NULL, 6),
(2819, NULL, 'PF08644', NULL, NULL, 'FACT complex subunit (SPT16/CDC68)', NULL, 'SPT16', NULL, NULL, NULL, 6),
(2820, NULL, 'PF09256', NULL, NULL, 'BAFF-R, TALL-1 binding', NULL, 'BaffR-Tall_bind', NULL, NULL, NULL, 6),
(2821, NULL, 'PF08344', NULL, NULL, 'Transient receptor ion channel II', NULL, 'TRP_2', NULL, NULL, NULL, 6),
(2822, NULL, 'PF07201', NULL, NULL, 'HrpJ-like domain', NULL, 'HrpJ', NULL, NULL, NULL, 6),
(2823, NULL, 'PF11734', NULL, NULL, 'TilS substrate C-terminal domain', NULL, 'TilS_C', NULL, NULL, NULL, 6),
(2824, NULL, 'PF12662', NULL, NULL, 'Complement Clr-like EGF-like', NULL, 'cEGF', NULL, NULL, NULL, 6),
(2825, NULL, 'PF07153', NULL, NULL, 'Marek''s disease-like virus SORF3 protein', NULL, 'Marek_SORF3', NULL, NULL, NULL, 6),
(2826, NULL, 'PF18365', NULL, NULL, 'Phosphoinositide phosphatase C-terminal domain', NULL, 'PI_PP_C', NULL, NULL, NULL, 6),
(2827, NULL, 'PF17618', NULL, NULL, 'Uncharacterized Strongylid L4 protein', NULL, 'SL4P', NULL, NULL, NULL, 6),
(2828, NULL, 'PF04448', NULL, NULL, 'Protein of unknown function (DUF551)', NULL, 'DUF551', NULL, NULL, NULL, 6),
(2829, NULL, 'PF18193', NULL, NULL, 'Fibrillin 1 unique N-terminal domain', NULL, 'Fibrillin_U_N', NULL, NULL, NULL, 6),
(2830, NULL, 'PF04275', NULL, NULL, 'Phosphomevalonate kinase', NULL, 'P-mevalo_kinase', NULL, NULL, NULL, 6),
(2831, NULL, 'PF00560', NULL, NULL, 'Leucine Rich Repeat', NULL, 'LRR_1', NULL, NULL, NULL, 6),
(2832, NULL, 'PF07324', NULL, NULL, 'DiGeorge syndrome critical region 6 (DGCR6) protein', NULL, 'DGCR6', NULL, NULL, NULL, 6),
(2833, NULL, 'PF04988', NULL, NULL, 'A-kinase anchoring protein 95 (AKAP95)', NULL, 'AKAP95', NULL, NULL, NULL, 6),
(2834, NULL, 'PF02966', NULL, NULL, 'Mitosis protein DIM1', NULL, 'DIM1', NULL, NULL, NULL, 6),
(2835, NULL, 'PF14771', NULL, NULL, 'Domain of unknown function (DUF4476)', NULL, 'DUF4476', NULL, NULL, NULL, 6),
(2836, NULL, 'PF02704', NULL, NULL, 'Gibberellin regulated protein', NULL, 'GASA', NULL, NULL, NULL, 6),
(2837, NULL, 'PF16664', NULL, NULL, 'Unstructured on SH3 and cysteine-rich domain-containing protein 2', NULL, 'STAC2_u1', NULL, NULL, NULL, 6),
(2838, NULL, 'PF13809', NULL, NULL, 'Tubulin like', NULL, 'Tubulin_2', NULL, NULL, NULL, 6),
(2839, NULL, 'PF15473', NULL, NULL, 'PEST, proteolytic signal-containing nuclear protein family', NULL, 'PCNP', NULL, NULL, NULL, 6),
(2840, NULL, 'PF05279', NULL, NULL, 'Aspartyl beta-hydroxylase N-terminal region', NULL, 'Asp-B-Hydro_N', NULL, NULL, NULL, 6),
(2841, NULL, 'PF02615', NULL, NULL, 'Malate/L-lactate dehydrogenase', NULL, 'Ldh_2', NULL, NULL, NULL, 6),
(2842, NULL, 'PF03131', NULL, NULL, 'bZIP Maf transcription factor', NULL, 'bZIP_Maf', NULL, NULL, NULL, 6),
(2843, NULL, 'PF13117', NULL, NULL, 'Cag pathogenicity island protein Cag12', NULL, 'Cag12', NULL, NULL, NULL, 6),
(2844, NULL, 'PF14610', NULL, NULL, 'Ykl077w/Psg1 (Pma1 Stabilization in Golgi)', NULL, 'Psg1', NULL, NULL, NULL, 6),
(2845, NULL, 'PF17476', NULL, NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 3', NULL, 'Binary_toxB_3', NULL, NULL, NULL, 6),
(2846, NULL, 'PF13317', NULL, NULL, 'Protein of unknown function (DUF4088)', NULL, 'DUF4088', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2847, NULL, 'PF16751', NULL, NULL, 'Anti-sigma-D factor RsdA to sigma factor binding region', NULL, 'RsdA_SigD_bd', NULL, NULL, NULL, 6),
(2848, NULL, 'PF05274', NULL, NULL, 'Occlusion-derived virus envelope protein E25', NULL, 'Baculo_E25', NULL, NULL, NULL, 6),
(2849, NULL, 'PF08189', NULL, NULL, 'Meleagrin/Cygnin family', NULL, 'Meleagrin', NULL, NULL, NULL, 6),
(2850, NULL, 'PF13129', NULL, NULL, 'Protein of unknown function (DUF3953)', NULL, 'DUF3953', NULL, NULL, NULL, 6),
(2851, NULL, 'PF12851', NULL, NULL, 'Oxygenase domain of the 2OGFeDO superfamily', NULL, 'Tet_JBP', NULL, NULL, NULL, 6),
(2852, NULL, 'PF14697', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_21', NULL, NULL, NULL, 6),
(2853, NULL, 'PF02580', NULL, NULL, 'D-Tyr-tRNA(Tyr) deacylase', NULL, 'Tyr_Deacylase', NULL, NULL, NULL, 6),
(2854, NULL, 'PF11051', NULL, NULL, 'Mannosyltransferase putative', NULL, 'Mannosyl_trans3', NULL, NULL, NULL, 6),
(2855, NULL, 'PF13451', NULL, NULL, 'Probable zinc-ribbon domain', NULL, 'zf-trcl', NULL, NULL, NULL, 6),
(2856, NULL, 'PF03901', NULL, NULL, 'Alg9-like mannosyltransferase family', NULL, 'Glyco_transf_22', NULL, NULL, NULL, 6),
(2857, NULL, 'PF00863', NULL, NULL, 'Peptidase family C4', NULL, 'Peptidase_C4', NULL, NULL, NULL, 6),
(2858, NULL, 'PF02566', NULL, NULL, 'OsmC-like protein', NULL, 'OsmC', NULL, NULL, NULL, 6),
(2859, NULL, 'PF14431', NULL, NULL, 'YwqJ-like deaminase', NULL, 'YwqJ-deaminase', NULL, NULL, NULL, 6),
(2860, NULL, 'PF11822', NULL, NULL, 'Domain of unknown function (DUF3342)', NULL, 'DUF3342', NULL, NULL, NULL, 6),
(2861, NULL, 'PF02067', NULL, NULL, 'Metallothionein family 5', NULL, 'Metallothio_5', NULL, NULL, NULL, 6),
(2862, NULL, 'PF06151', NULL, NULL, 'Trehalose receptor', NULL, 'Trehalose_recp', NULL, NULL, NULL, 6),
(2863, NULL, 'PF11989', NULL, NULL, 'Retrograde transport protein Dsl1 C terminal', NULL, 'Dsl1_C', NULL, NULL, NULL, 6),
(2864, NULL, 'PF13488', NULL, NULL, 'Glycine zipper', NULL, 'Gly-zipper_Omp', NULL, NULL, NULL, 6),
(2865, NULL, 'PF11961', NULL, NULL, 'Domain of unknown function (DUF3475)', NULL, 'DUF3475', NULL, NULL, NULL, 6),
(2866, NULL, 'PF04926', NULL, NULL, 'Poly(A) polymerase predicted RNA binding domain', NULL, 'PAP_RNA-bind', NULL, NULL, NULL, 6),
(2867, NULL, 'PF10023', NULL, NULL, 'Putative aminopeptidase', NULL, 'Aminopep', NULL, NULL, NULL, 6),
(2868, NULL, 'PF03340', NULL, NULL, 'Poxvirus rifampicin resistance protein', NULL, 'Pox_Rif', NULL, NULL, NULL, 6),
(2869, NULL, 'PF14282', NULL, NULL, 'FlxA-like protein', NULL, 'FlxA', NULL, NULL, NULL, 6),
(2870, NULL, 'PF10966', NULL, NULL, 'Protein of unknown function (DUF2768)', NULL, 'DUF2768', NULL, NULL, NULL, 6),
(2871, NULL, 'PF13174', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_6', NULL, NULL, NULL, 6),
(2872, NULL, 'PF09020', NULL, NULL, 'YopE, N terminal', NULL, 'YopE_N', NULL, NULL, NULL, 6),
(2873, NULL, 'PF03161', NULL, NULL, 'LAGLIDADG DNA endonuclease family', NULL, 'LAGLIDADG_2', NULL, NULL, NULL, 6),
(2874, NULL, 'PF09082', NULL, NULL, 'Domain of unknown function (DUF1922)', NULL, 'DUF1922', NULL, NULL, NULL, 6),
(2875, NULL, 'PF08293', NULL, NULL, 'Mitochondrial ribosomal subunit S27', NULL, 'MRP-S33', NULL, NULL, NULL, 6),
(2876, NULL, 'PF16284', NULL, NULL, 'Domain of unknown function (DUF4930)', NULL, 'DUF4930', NULL, NULL, NULL, 6),
(2877, NULL, 'PF00787', NULL, NULL, 'PX domain', NULL, 'PX', NULL, NULL, NULL, 6),
(2878, NULL, 'PF06031', NULL, NULL, 'SERTA motif', NULL, 'SERTA', NULL, NULL, NULL, 6),
(2879, NULL, 'PF09347', NULL, NULL, 'Domain of unknown function (DUF1989)', NULL, 'DUF1989', NULL, NULL, NULL, 6),
(2880, NULL, 'PF08859', NULL, NULL, 'DGC domain', NULL, 'DGC', NULL, NULL, NULL, 6),
(2881, NULL, 'PF16980', NULL, NULL, 'Putative citrate transport', NULL, 'CitMHS_2', NULL, NULL, NULL, 6),
(2882, NULL, 'PF15608', NULL, NULL, 'PELOTA RNA binding domain', NULL, 'PELOTA_1', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2883, NULL, 'PF10199', NULL, NULL, 'Alpha and gamma adaptin binding protein p34', NULL, 'Adaptin_binding', NULL, NULL, NULL, 6),
(2884, NULL, 'PF10673', NULL, NULL, 'Protein of unknown function (DUF2487)', NULL, 'DUF2487', NULL, NULL, NULL, 6),
(2885, NULL, 'PF03192', NULL, NULL, 'Pyrococcus protein of unknown function, DUF257', NULL, 'DUF257', NULL, NULL, NULL, 6),
(2886, NULL, 'PF00542', NULL, NULL, 'Ribosomal protein L7/L12 C-terminal domain', NULL, 'Ribosomal_L12', NULL, NULL, NULL, 6),
(2887, NULL, 'PF08719', NULL, NULL, 'NADAR domain', NULL, 'NADAR', NULL, NULL, NULL, 6),
(2888, NULL, 'PF04153', NULL, NULL, 'NOT2 / NOT3 / NOT5 family', NULL, 'NOT2_3_5', NULL, NULL, NULL, 6),
(2889, NULL, 'PF06457', NULL, NULL, 'Ectatomin', NULL, 'Ectatomin', NULL, NULL, NULL, 6),
(2890, NULL, 'PF16230', NULL, NULL, 'Domain of unknown function (DUF4889)', NULL, 'DUF4889', NULL, NULL, NULL, 6),
(2891, NULL, 'PF04387', NULL, NULL, 'Protein tyrosine phosphatase-like protein, PTPLA', NULL, 'PTPLA', NULL, NULL, NULL, 6),
(2892, NULL, 'PF16839', NULL, NULL, 'Nematode antimicrobial peptide', NULL, 'Antimicrobial25', NULL, NULL, NULL, 6),
(2893, NULL, 'PF01208', NULL, NULL, 'Uroporphyrinogen decarboxylase (URO-D)', NULL, 'URO-D', NULL, NULL, NULL, 6),
(2894, NULL, 'PF00998', NULL, NULL, 'Viral RNA dependent RNA polymerase', NULL, 'RdRP_3', NULL, NULL, NULL, 6),
(2895, NULL, 'PF07347', NULL, NULL, 'NADH:ubiquinone oxidoreductase subunit B14.5a (Complex I-B14.5a)', NULL, 'CI-B14_5a', NULL, NULL, NULL, 6),
(2896, NULL, 'PF11291', NULL, NULL, 'Protein of unknown function (DUF3091)', NULL, 'DUF3091', NULL, NULL, NULL, 6),
(2897, NULL, 'PF07952', NULL, NULL, 'Clostridium neurotoxin, Translocation domain', NULL, 'Toxin_trans', NULL, NULL, NULL, 6),
(2898, NULL, 'PF08326', NULL, NULL, 'Acetyl-CoA carboxylase, central region', NULL, 'ACC_central', NULL, NULL, NULL, 6),
(2899, NULL, 'PF02482', NULL, NULL, 'Sigma 54 modulation protein / S30EA ribosomal protein', NULL, 'Ribosomal_S30AE', NULL, NULL, NULL, 6),
(2900, NULL, 'PF00574', NULL, NULL, 'Clp protease', NULL, 'CLP_protease', NULL, NULL, NULL, 6),
(2901, NULL, 'PF16733', NULL, NULL, 'Rhomboid N-terminal domain', NULL, 'NRho', NULL, NULL, NULL, 6),
(2902, NULL, 'PF15751', NULL, NULL, 'FAAP20 FANCA interaction domain', NULL, 'FANCA_interact', NULL, NULL, NULL, 6),
(2903, NULL, 'PF11740', NULL, NULL, 'Plasmid replication region DNA-binding N-term', NULL, 'KfrA_N', NULL, NULL, NULL, 6),
(2904, NULL, 'PF01029', NULL, NULL, 'NusB family', NULL, 'NusB', NULL, NULL, NULL, 6),
(2905, NULL, 'PF12733', NULL, NULL, 'Cadherin-like beta sandwich domain', NULL, 'Cadherin-like', NULL, NULL, NULL, 6),
(2906, NULL, 'PF04555', NULL, NULL, 'Restriction endonuclease XhoI', NULL, 'XhoI', NULL, NULL, NULL, 6),
(2907, NULL, 'PF04232', NULL, NULL, 'Stage V sporulation protein S (SpoVS)', NULL, 'SpoVS', NULL, NULL, NULL, 6),
(2908, NULL, 'PF00261', NULL, NULL, 'Tropomyosin', NULL, 'Tropomyosin', NULL, NULL, NULL, 6),
(2909, NULL, 'PF05044', NULL, NULL, 'Homeo-prospero domain', NULL, 'HPD', NULL, NULL, NULL, 6),
(2910, NULL, 'PF14343', NULL, NULL, 'PrcB C-terminal', NULL, 'PrcB_C', NULL, NULL, NULL, 6),
(2911, NULL, 'PF12057', NULL, NULL, 'BCL2-associated athanogene 6', NULL, 'BAG6', NULL, NULL, NULL, 6),
(2912, NULL, 'PF07470', NULL, NULL, 'Glycosyl Hydrolase Family 88', NULL, 'Glyco_hydro_88', NULL, NULL, NULL, 6),
(2913, NULL, 'PF06215', NULL, NULL, 'Infectious salmon anaemia virus haemagglutinin', NULL, 'ISAV_HA', NULL, NULL, NULL, 6),
(2914, NULL, 'PF17355', NULL, NULL, 'Family of unknown function (DUF5383)', NULL, 'DUF5383', NULL, NULL, NULL, 6),
(2915, NULL, 'PF14218', NULL, NULL, 'Circadian oscillating protein COP23', NULL, 'COP23', NULL, NULL, NULL, 6),
(2916, NULL, 'PF13898', NULL, NULL, 'Domain of unknown function (DUF4205)', NULL, 'DUF4205', NULL, NULL, NULL, 6),
(2917, NULL, 'PF12129', NULL, NULL, 'Male germ-cell putative homeodomain transcription factor', NULL, 'Phtf-FEM1B_bdg', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2918, NULL, 'PF18508', NULL, NULL, 'Zinc finger domain', NULL, 'zf_C2H2_13', NULL, NULL, NULL, 6),
(2919, NULL, 'PF04924', NULL, NULL, 'Poxvirus A6 protein', NULL, 'Pox_A6', NULL, NULL, NULL, 6),
(2920, NULL, 'PF02397', NULL, NULL, 'Bacterial sugar transferase', NULL, 'Bac_transf', NULL, NULL, NULL, 6),
(2921, NULL, 'PF13087', NULL, NULL, 'AAA domain', NULL, 'AAA_12', NULL, NULL, NULL, 6),
(2922, NULL, 'PF08430', NULL, NULL, 'Forkhead N-terminal region', NULL, 'Forkhead_N', NULL, NULL, NULL, 6),
(2923, NULL, 'PF03949', NULL, NULL, 'Malic enzyme, NAD binding domain', NULL, 'Malic_M', NULL, NULL, NULL, 6),
(2924, NULL, 'PF15474', NULL, NULL, 'Meiotically up-regulated gene family', NULL, 'MU117', NULL, NULL, NULL, 6),
(2925, NULL, 'PF08015', NULL, NULL, 'Fungal mating-type pheromone', NULL, 'Pheromone', NULL, NULL, NULL, 6),
(2926, NULL, 'PF09518', NULL, NULL, 'HindIII restriction endonuclease', NULL, 'RE_HindIII', NULL, NULL, NULL, 6),
(2927, NULL, 'PF16266', NULL, NULL, 'Domain of unknown function (DUF4919)', NULL, 'DUF4919', NULL, NULL, NULL, 6),
(2928, NULL, 'PF07675', NULL, NULL, 'Cleaved Adhesin Domain', NULL, 'Cleaved_Adhesin', NULL, NULL, NULL, 6),
(2929, NULL, 'PF11251', NULL, NULL, 'Protein of unknown function (DUF3050)', NULL, 'DUF3050', NULL, NULL, NULL, 6),
(2930, NULL, 'PF07659', NULL, NULL, 'Nucleotide modification associated domain 1', NULL, 'DUF1599', NULL, NULL, NULL, 6),
(2931, NULL, 'PF08659', NULL, NULL, 'KR domain', NULL, 'KR', NULL, NULL, NULL, 6),
(2932, NULL, 'PF13947', NULL, NULL, 'Wall-associated receptor kinase galacturonan-binding', NULL, 'GUB_WAK_bind', NULL, NULL, NULL, 6),
(2933, NULL, 'PF08314', NULL, NULL, 'Secretory pathway protein Sec39', NULL, 'Sec39', NULL, NULL, NULL, 6),
(2934, NULL, 'PF12476', NULL, NULL, 'Protein of unknown function (DUF3696)', NULL, 'DUF3696', NULL, NULL, NULL, 6),
(2935, NULL, 'PF04445', NULL, NULL, 'Putative SAM-dependent methyltransferase', NULL, 'SAM_MT', NULL, NULL, NULL, 6),
(2936, NULL, 'PF03404', NULL, NULL, 'Mo-co oxidoreductase dimerisation domain', NULL, 'Mo-co_dimer', NULL, NULL, NULL, 6),
(2937, NULL, 'PF05283', NULL, NULL, 'Multi-glycosylated core protein 24 (MGC-24), sialomucin', NULL, 'MGC-24', NULL, NULL, NULL, 6),
(2938, NULL, 'PF03885', NULL, NULL, 'Protein of unknown function (DUF327)', NULL, 'DUF327', NULL, NULL, NULL, 6),
(2939, NULL, 'PF13894', NULL, NULL, 'C2H2-type zinc finger', NULL, 'zf-C2H2_4', NULL, NULL, NULL, 6),
(2940, NULL, 'PF11001', NULL, NULL, 'Protein of unknown function (DUF2841)', NULL, 'DUF2841', NULL, NULL, NULL, 6),
(2941, NULL, 'PF15699', NULL, NULL, 'NPR1 interacting', NULL, 'NPR1_interact', NULL, NULL, NULL, 6),
(2942, NULL, 'PF00511', NULL, NULL, 'E2 (early) protein, C terminal', NULL, 'PPV_E2_C', NULL, NULL, NULL, 6),
(2943, NULL, 'PF00599', NULL, NULL, 'Influenza Matrix protein (M2)', NULL, 'Flu_M2', NULL, NULL, NULL, 6),
(2944, NULL, 'PF08613', NULL, NULL, 'Cyclin', NULL, 'Cyclin', NULL, NULL, NULL, 6),
(2945, NULL, 'PF05755', NULL, NULL, 'Rubber elongation factor protein (REF)', NULL, 'REF', NULL, NULL, NULL, 6),
(2946, NULL, 'PF03915', NULL, NULL, 'Actin interacting protein 3', NULL, 'AIP3', NULL, NULL, NULL, 6),
(2947, NULL, 'PF16287', NULL, NULL, 'Domain of unknown function (DUF4933)', NULL, 'DUF4933', NULL, NULL, NULL, 6),
(2948, NULL, 'PF03193', NULL, NULL, 'RsgA GTPase', NULL, 'RsgA_GTPase', NULL, NULL, NULL, 6),
(2949, NULL, 'PF03531', NULL, NULL, 'Structure-specific recognition protein (SSRP1)', NULL, 'SSrecog', NULL, NULL, NULL, 6),
(2950, NULL, 'PF09414', NULL, NULL, 'RNA ligase', NULL, 'RNA_ligase', NULL, NULL, NULL, 6),
(2951, NULL, 'PF18381', NULL, NULL, 'YcaO cyclodehydratase C-terminal domain', NULL, 'YcaO_C', NULL, NULL, NULL, 6),
(2952, NULL, 'PF15048', NULL, NULL, 'Organic solute transporter subunit beta protein', NULL, 'OSTbeta', NULL, NULL, NULL, 6),
(2953, NULL, 'PF09811', NULL, NULL, 'Essential protein Yae1, N terminal', NULL, 'Yae1_N', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2954, NULL, 'PF00950', NULL, NULL, 'ABC 3 transport family', NULL, 'ABC-3', NULL, NULL, NULL, 6),
(2955, NULL, 'PF10941', NULL, NULL, 'Protein of unknown function DUF2620', NULL, 'DUF2620', NULL, NULL, NULL, 6),
(2956, NULL, 'PF15668', NULL, NULL, 'Domain of unknown function (DUF4663)', NULL, 'DUF4663', NULL, NULL, NULL, 6),
(2957, NULL, 'PF18954', NULL, NULL, 'Family of unknown function (DUF5697)', NULL, 'DUF5697', NULL, NULL, NULL, 6),
(2958, NULL, 'PF06279', NULL, NULL, 'Protein of unknown function (DUF1033)', NULL, 'DUF1033', NULL, NULL, NULL, 6),
(2959, NULL, 'PF08114', NULL, NULL, 'ATPase proteolipid family', NULL, 'PMP1_2', NULL, NULL, NULL, 6),
(2960, NULL, 'PF07137', NULL, NULL, 'VDE lipocalin domain', NULL, 'VDE', NULL, NULL, NULL, 6),
(2961, NULL, 'PF07081', NULL, NULL, 'Protein of unknown function (DUF1349)', NULL, 'DUF1349', NULL, NULL, NULL, 6),
(2962, NULL, 'PF04904', NULL, NULL, 'NAB conserved region 1 (NCD1)', NULL, 'NCD1', NULL, NULL, NULL, 6),
(2963, NULL, 'PF10332', NULL, NULL, 'Protein of unknown function (DUF2418)', NULL, 'DUF2418', NULL, NULL, NULL, 6),
(2964, NULL, 'PF17462', NULL, NULL, 'Family of unknown function (DUF5424)', NULL, 'DUF5424', NULL, NULL, NULL, 6),
(2965, NULL, 'PF18772', NULL, NULL, 'APOBEC2', NULL, 'APOBEC2', NULL, NULL, NULL, 6),
(2966, NULL, 'PF02880', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain III', NULL, 'PGM_PMM_III', NULL, NULL, NULL, 6),
(2967, NULL, 'PF08857', NULL, NULL, 'Putative ParB-like nuclease', NULL, 'ParBc_2', NULL, NULL, NULL, 6),
(2968, NULL, 'PF08935', NULL, NULL, 'Viral protein VP4 subunit', NULL, 'VP4_2', NULL, NULL, NULL, 6),
(2969, NULL, 'PF03847', NULL, NULL, 'Transcription initiation factor TFIID subunit A', NULL, 'TFIID_20kDa', NULL, NULL, NULL, 6),
(2970, NULL, 'PF00004', NULL, NULL, 'ATPase family associated with various cellular activities (AAA)', NULL, 'AAA', NULL, NULL, NULL, 6),
(2971, NULL, 'PF15113', NULL, NULL, 'TMEM117 protein family', NULL, 'TMEM117', NULL, NULL, NULL, 6),
(2972, NULL, 'PF11088', NULL, NULL, 'Glycoprotein encoding membrane proteins RL5A and RL6', NULL, 'RL11D', NULL, NULL, NULL, 6),
(2973, NULL, 'PF07358', NULL, NULL, 'Protein of unknown function (DUF1482)', NULL, 'DUF1482', NULL, NULL, NULL, 6),
(2974, NULL, 'PF07258', NULL, NULL, 'COMM domain', NULL, 'COMM_domain', NULL, NULL, NULL, 6),
(2975, NULL, 'PF10768', NULL, NULL, 'Class II flagellar assembly regulator', NULL, 'FliX', NULL, NULL, NULL, 6),
(2976, NULL, 'PF02950', NULL, NULL, 'Conotoxin', NULL, 'Conotoxin', NULL, NULL, NULL, 6),
(2977, NULL, 'PF03786', NULL, NULL, 'D-mannonate dehydratase (UxuA)', NULL, 'UxuA', NULL, NULL, NULL, 6),
(2978, NULL, 'PF13744', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_37', NULL, NULL, NULL, 6),
(2979, NULL, 'PF07889', NULL, NULL, 'Protein of unknown function (DUF1664)', NULL, 'DUF1664', NULL, NULL, NULL, 6),
(2980, NULL, 'PF13560', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_31', NULL, NULL, NULL, 6),
(2981, NULL, 'PF14513', NULL, NULL, 'Diacylglycerol kinase N-terminus', NULL, 'DAG_kinase_N', NULL, NULL, NULL, 6),
(2982, NULL, 'PF01282', NULL, NULL, 'Ribosomal protein S24e', NULL, 'Ribosomal_S24e', NULL, NULL, NULL, 6),
(2983, NULL, 'PF09061', NULL, NULL, 'Stirrup', NULL, 'Stirrup', NULL, NULL, NULL, 6),
(2984, NULL, 'PF02694', NULL, NULL, 'Uncharacterised BCR, YnfA/UPF0060 family', NULL, 'UPF0060', NULL, NULL, NULL, 6),
(2985, NULL, 'PF12821', NULL, NULL, 'Threonine/Serine exporter, ThrE', NULL, 'ThrE_2', NULL, NULL, NULL, 6),
(2986, NULL, 'PF17630', NULL, NULL, 'Family of unknown function (DUF5511)', NULL, 'DUF5511', NULL, NULL, NULL, 6),
(2987, NULL, 'PF14555', NULL, NULL, 'UBA-like domain', NULL, 'UBA_4', NULL, NULL, NULL, 6),
(2988, NULL, 'PF16005', NULL, NULL, 'KH-like RNA-binding domain', NULL, 'MOEP19', NULL, NULL, NULL, 6),
(2989, NULL, 'PF12806', NULL, NULL, 'Acetyl-CoA dehydrogenase C-terminal like', NULL, 'Acyl-CoA_dh_C', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(2990, NULL, 'PF07786', NULL, NULL, 'Protein of unknown function (DUF1624)', NULL, 'DUF1624', NULL, NULL, NULL, 6),
(2991, NULL, 'PF07920', NULL, NULL, 'Protein of unknown function (DUF1684)', NULL, 'DUF1684', NULL, NULL, NULL, 6),
(2992, NULL, 'PF01965', NULL, NULL, 'DJ-1/PfpI family', NULL, 'DJ-1_PfpI', NULL, NULL, NULL, 6),
(2993, NULL, 'PF16422', NULL, NULL, 'Transcription factor COE1 DNA-binding domain', NULL, 'COE1_DBD', NULL, NULL, NULL, 6),
(2994, NULL, 'PF06798', NULL, NULL, 'PrkA serine protein kinase C-terminal domain', NULL, 'PrkA', NULL, NULL, NULL, 6),
(2995, NULL, 'PF17657', NULL, NULL, 'Bacterial DNA polymerase III alpha subunit finger domain', NULL, 'DNA_pol3_finger', NULL, NULL, NULL, 6),
(2996, NULL, 'PF19163', NULL, NULL, 'Family of unknown function (DUF5845)', NULL, 'DUF5845', NULL, NULL, NULL, 6),
(2997, NULL, 'PF08505', NULL, NULL, 'Mitochondrial Myo2 receptor-related protein', NULL, 'MMR1', NULL, NULL, NULL, 6),
(2998, NULL, 'PF08790', NULL, NULL, 'LYAR-type C2HC zinc finger', NULL, 'zf-LYAR', NULL, NULL, NULL, 6),
(2999, NULL, 'PF13586', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_2', NULL, NULL, NULL, 6),
(3000, NULL, 'PF09828', NULL, NULL, 'Chromate resistance exported protein', NULL, 'Chrome_Resist', NULL, NULL, NULL, 6),
(3001, NULL, 'PF18275', NULL, NULL, 'His-Me finger endonuclease beta4-alpha2 domain', NULL, 'His_Me_b4a2', NULL, NULL, NULL, 6),
(3002, NULL, 'PF11775', NULL, NULL, 'Cobalamin biosynthesis protein CobT VWA domain', NULL, 'CobT_C', NULL, NULL, NULL, 6),
(3003, NULL, 'PF05448', NULL, NULL, 'Acetyl xylan esterase (AXE1)', NULL, 'AXE1', NULL, NULL, NULL, 6),
(3004, NULL, 'PF03812', NULL, NULL, '2-keto-3-deoxygluconate permease', NULL, 'KdgT', NULL, NULL, NULL, 6),
(3005, NULL, 'PF00202', NULL, NULL, 'Aminotransferase class-III', NULL, 'Aminotran_3', NULL, NULL, NULL, 6),
(3006, NULL, 'PF11407', NULL, NULL, 'Type II restriction enzyme MunI', NULL, 'RestrictionMunI', NULL, NULL, NULL, 6),
(3007, NULL, 'PF18482', NULL, NULL, 'Fungal Pih1 CS domain', NULL, 'Pih1_fungal_CS', NULL, NULL, NULL, 6),
(3008, NULL, 'PF11333', NULL, NULL, 'Protein of unknown function (DUF3135)', NULL, 'DUF3135', NULL, NULL, NULL, 6),
(3009, NULL, 'PF00609', NULL, NULL, 'Diacylglycerol kinase accessory domain', NULL, 'DAGK_acc', NULL, NULL, NULL, 6),
(3010, NULL, 'PF12215', NULL, NULL, 'beta-glucosidase 2, glycosyl-hydrolase family 116 N-term', NULL, 'Glyco_hydr_116N', NULL, NULL, NULL, 6),
(3011, NULL, 'PF12090', NULL, NULL, 'Spt20 family', NULL, 'Spt20', NULL, NULL, NULL, 6),
(3012, NULL, 'PF00674', NULL, NULL, 'DUP family', NULL, 'DUP', NULL, NULL, NULL, 6),
(3013, NULL, 'PF02874', NULL, NULL, 'ATP synthase alpha/beta family, beta-barrel domain', NULL, 'ATP-synt_ab_N', NULL, NULL, NULL, 6),
(3014, NULL, 'PF10644', NULL, NULL, 'Misato Segment II tubulin-like domain', NULL, 'Misat_Tub_SegII', NULL, NULL, NULL, 6),
(3015, NULL, 'PF08418', NULL, NULL, 'DNA polymerase alpha subunit B N-terminal', NULL, 'Pol_alpha_B_N', NULL, NULL, NULL, 6),
(3016, NULL, 'PF11639', NULL, NULL, 'REDY-like protein HapK', NULL, 'HapK', NULL, NULL, NULL, 6),
(3017, NULL, 'PF02505', NULL, NULL, 'Methyl-coenzyme M reductase operon protein D', NULL, 'MCR_D', NULL, NULL, NULL, 6),
(3018, NULL, 'PF14198', NULL, NULL, 'Transposon-encoded protein TnpV', NULL, 'TnpV', NULL, NULL, NULL, 6),
(3019, NULL, 'PF14377', NULL, NULL, 'Ubiquitin binding region', NULL, 'UBM', NULL, NULL, NULL, 6),
(3020, NULL, 'PF10758', NULL, NULL, 'Protein of unknown function (DUF2586)', NULL, 'DUF2586', NULL, NULL, NULL, 6),
(3021, NULL, 'PF16856', NULL, NULL, 'Cell division control protein 4 dimerisation domain', NULL, 'CDC4_D', NULL, NULL, NULL, 6),
(3022, NULL, 'PF05327', NULL, NULL, 'RNA polymerase I specific transcription initiation factor RRN3', NULL, 'RRN3', NULL, NULL, NULL, 6),
(3023, NULL, 'PF02791', NULL, NULL, 'DDT domain', NULL, 'DDT', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3024, NULL, 'PF16423', NULL, NULL, 'Transcription factor COE1 helix-loop-helix domain', NULL, 'COE1_HLH', NULL, NULL, NULL, 6),
(3025, NULL, 'PF06325', NULL, NULL, 'Ribosomal protein L11 methyltransferase (PrmA)', NULL, 'PrmA', NULL, NULL, NULL, 6),
(3026, NULL, 'PF06367', NULL, NULL, 'Diaphanous FH3 Domain', NULL, 'Drf_FH3', NULL, NULL, NULL, 6),
(3027, NULL, 'PF16612', NULL, NULL, 'C-terminal unstructured region of RGS12', NULL, 'RGS12_usC', NULL, NULL, NULL, 6),
(3028, NULL, 'PF07546', NULL, NULL, 'EMI domain', NULL, 'EMI', NULL, NULL, NULL, 6),
(3029, NULL, 'PF00843', NULL, NULL, 'Arenavirus nucleocapsid N-terminal domain', NULL, 'Arena_nucleocap', NULL, NULL, NULL, 6),
(3030, NULL, 'PF16328', NULL, NULL, 'Domain of unknown function (DUF4961)', NULL, 'DUF4961', NULL, NULL, NULL, 6),
(3031, NULL, 'PF19071', NULL, NULL, 'Family of unknown function (DUF5767)', NULL, 'DUF5767', NULL, NULL, NULL, 6),
(3032, NULL, 'PF09300', NULL, NULL, 'Tectiviridae, minor capsid', NULL, 'Tecti-min-caps', NULL, NULL, NULL, 6),
(3033, NULL, 'PF17717', NULL, NULL, 'Family of unknown function (DUF5562)', NULL, 'DUF5562', NULL, NULL, NULL, 6),
(3034, NULL, 'PF01979', NULL, NULL, 'Amidohydrolase family', NULL, 'Amidohydro_1', NULL, NULL, NULL, 6),
(3035, NULL, 'PF11911', NULL, NULL, 'Protein of unknown function (DUF3429)', NULL, 'DUF3429', NULL, NULL, NULL, 6),
(3036, NULL, 'PF09734', NULL, NULL, 'RNA polymerase III transcription factor (TF)IIIC subunit HTH domain', NULL, 'Tau95', NULL, NULL, NULL, 6),
(3037, NULL, 'PF09236', NULL, NULL, 'Alpha-haemoglobin stabilising protein', NULL, 'AHSP', NULL, NULL, NULL, 6),
(3038, NULL, 'PF11900', NULL, NULL, 'Domain of unknown function (DUF3420)', NULL, 'DUF3420', NULL, NULL, NULL, 6),
(3039, NULL, 'PF14342', NULL, NULL, 'Domain of unknown function (DUF4396)', NULL, 'DUF4396', NULL, NULL, NULL, 6),
(3040, NULL, 'PF02674', NULL, NULL, 'Colicin V production protein', NULL, 'Colicin_V', NULL, NULL, NULL, 6),
(3041, NULL, 'PF03784', NULL, NULL, 'Cyclotide family', NULL, 'Cyclotide', NULL, NULL, NULL, 6),
(3042, NULL, 'PF09276', NULL, NULL, 'Pertussis toxin S5 subunit', NULL, 'Pertus-S5-tox', NULL, NULL, NULL, 6),
(3043, NULL, 'PF10523', NULL, NULL, 'BEN domain', NULL, 'BEN', NULL, NULL, NULL, 6),
(3044, NULL, 'PF14964', NULL, NULL, 'Domain of unknown function (DUF4507)', NULL, 'DUF4507', NULL, NULL, NULL, 6),
(3045, NULL, 'PF06679', NULL, NULL, 'Protein of unknown function (DUF1180)', NULL, 'DUF1180', NULL, NULL, NULL, 6),
(3046, NULL, 'PF02750', NULL, NULL, 'Synapsin, ATP binding domain', NULL, 'Synapsin_C', NULL, NULL, NULL, 6),
(3047, NULL, 'PF15757', NULL, NULL, 'Amelotin', NULL, 'Amelotin', NULL, NULL, NULL, 6),
(3048, NULL, 'PF03642', NULL, NULL, 'MAP domain', NULL, 'MAP', NULL, NULL, NULL, 6),
(3049, NULL, 'PF05864', NULL, NULL, 'Chordopoxvirus DNA-directed RNA polymerase 7 kDa polypeptide (RPO7)', NULL, 'Chordopox_RPO7', NULL, NULL, NULL, 6),
(3050, NULL, 'PF06226', NULL, NULL, 'Protein of unknown function (DUF1007)', NULL, 'DUF1007', NULL, NULL, NULL, 6),
(3051, NULL, 'PF13320', NULL, NULL, 'Domain of unknown function (DUF4091)', NULL, 'DUF4091', NULL, NULL, NULL, 6),
(3052, NULL, 'PF13091', NULL, NULL, 'PLD-like domain', NULL, 'PLDc_2', NULL, NULL, NULL, 6),
(3053, NULL, 'PF11786', NULL, NULL, 'Aft1 HRA domain', NULL, 'Aft1_HRA', NULL, NULL, NULL, 6),
(3054, NULL, 'PF01226', NULL, NULL, 'Formate/nitrite transporter', NULL, 'Form_Nir_trans', NULL, NULL, NULL, 6),
(3055, NULL, 'PF09514', NULL, NULL, 'SSXRD motif', NULL, 'SSXRD', NULL, NULL, NULL, 6),
(3056, NULL, 'PF05912', NULL, NULL, 'Caenorhabditis elegans protein of unknown function (DUF870)', NULL, 'DUF870', NULL, NULL, NULL, 6),
(3057, NULL, 'PF02237', NULL, NULL, 'Biotin protein ligase C terminal domain', NULL, 'BPL_C', NULL, NULL, NULL, 6),
(3058, NULL, 'PF18171', NULL, NULL, 'SLOG in TRPM, prokaryote', NULL, 'LSDAT_prok', NULL, NULL, NULL, 6),
(3059, NULL, 'PF01592', NULL, NULL, 'NifU-like N terminal domain', NULL, 'NifU_N', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3060, NULL, 'PF07145', NULL, NULL, 'Ataxin-2 C-terminal region', NULL, 'PAM2', NULL, NULL, NULL, 6),
(3061, NULL, 'PF00067', NULL, NULL, 'Cytochrome P450', NULL, 'p450', NULL, NULL, NULL, 6),
(3062, NULL, 'PF00083', NULL, NULL, 'Sugar (and other) transporter', NULL, 'Sugar_tr', NULL, NULL, NULL, 6),
(3063, NULL, 'PF00300', NULL, NULL, 'Histidine phosphatase superfamily (branch 1)', NULL, 'His_Phos_1', NULL, NULL, NULL, 6),
(3064, NULL, 'PF16537', NULL, NULL, 'Type II secretion system protein B', NULL, 'T2SSB', NULL, NULL, NULL, 6),
(3065, NULL, 'PF16503', NULL, NULL, 'Zinc-ribbon', NULL, 'zn-ribbon_14', NULL, NULL, NULL, 6),
(3066, NULL, 'PF15354', NULL, NULL, 'Kidney-associated antigen 1', NULL, 'KAAG1', NULL, NULL, NULL, 6),
(3067, NULL, 'PF18671', NULL, NULL, '4-Hydroxyphenylacetate decarboxylase subunit gamma N-terminal', NULL, '4HPAD_g_N', NULL, NULL, NULL, 6),
(3068, NULL, 'PF12442', NULL, NULL, 'Protein of unknown function (DUF3681)', NULL, 'DUF3681', NULL, NULL, NULL, 6),
(3069, NULL, 'PF02737', NULL, NULL, '3-hydroxyacyl-CoA dehydrogenase, NAD binding domain', NULL, '3HCDH_N', NULL, NULL, NULL, 6),
(3070, NULL, 'PF00582', NULL, NULL, 'Universal stress protein family', NULL, 'Usp', NULL, NULL, NULL, 6),
(3071, NULL, 'PF17647', NULL, NULL, 'Family of unknown function (DUF5518)', NULL, 'DUF5518', NULL, NULL, NULL, 6),
(3072, NULL, 'PF18210', NULL, NULL, 'Knl1 RWD C-terminal domain', NULL, 'Knl1_RWD_C', NULL, NULL, NULL, 6),
(3073, NULL, 'PF03260', NULL, NULL, 'Lepidopteran low molecular weight (30 kD) lipoprotein', NULL, 'Lipoprotein_11', NULL, NULL, NULL, 6),
(3074, NULL, 'PF09065', NULL, NULL, 'Haemadin', NULL, 'Haemadin', NULL, NULL, NULL, 6),
(3075, NULL, 'PF04126', NULL, NULL, 'Cyclophilin-like', NULL, 'Cyclophil_like', NULL, NULL, NULL, 6),
(3076, NULL, 'PF13562', NULL, NULL, 'Sugar nucleotidyl transferase', NULL, 'NTP_transf_4', NULL, NULL, NULL, 6),
(3077, NULL, 'PF12651', NULL, NULL, 'Ribbon-helix-helix domain', NULL, 'RHH_3', NULL, NULL, NULL, 6),
(3078, NULL, 'PF17127', NULL, NULL, 'Domain of unknown function (DUF5106)', NULL, 'DUF5106', NULL, NULL, NULL, 6),
(3079, NULL, 'PF04535', NULL, NULL, 'Domain of unknown function (DUF588)', NULL, 'DUF588', NULL, NULL, NULL, 6),
(3080, NULL, 'PF04569', NULL, NULL, 'Protein of unknown function', NULL, 'DUF591', NULL, NULL, NULL, 6),
(3081, NULL, 'PF18439', NULL, NULL, 'Ubiquitin-Binding Zinc Finger', NULL, 'zf_UBZ', NULL, NULL, NULL, 6),
(3082, NULL, 'PF11785', NULL, NULL, 'Aft1 osmotic stress response (OSM) domain', NULL, 'Aft1_OSA', NULL, NULL, NULL, 6),
(3083, NULL, 'PF14108', NULL, NULL, 'Domain of unknown function (DUF4281)', NULL, 'DUF4281', NULL, NULL, NULL, 6),
(3084, NULL, 'PF02152', NULL, NULL, 'Dihydroneopterin aldolase', NULL, 'FolB', NULL, NULL, NULL, 6),
(3085, NULL, 'PF16902', NULL, NULL, 'Type-2 restriction enzyme D3 domain', NULL, 'Type2_restr_D3', NULL, NULL, NULL, 6),
(3086, NULL, 'PF02112', NULL, NULL, 'cAMP phosphodiesterases class-II', NULL, 'PDEase_II', NULL, NULL, NULL, 6),
(3087, NULL, 'PF08216', NULL, NULL, 'Catenin-beta-like, Arm-motif containing nuclear', NULL, 'CTNNBL', NULL, NULL, NULL, 6),
(3088, NULL, 'PF18270', NULL, NULL, 'Virulence factor Evf', NULL, 'Evf', NULL, NULL, NULL, 6),
(3089, NULL, 'PF12814', NULL, NULL, 'Meiotic cell cortex C-terminal pleckstrin homology', NULL, 'Mcp5_PH', NULL, NULL, NULL, 6),
(3090, NULL, 'PF09486', NULL, NULL, 'Bacterial type III secretion protein (HrpB7)', NULL, 'HrpB7', NULL, NULL, NULL, 6),
(3091, NULL, 'PF16640', NULL, NULL, 'Bacterial Ig-like domain (group 3)', NULL, 'Big_3_5', NULL, NULL, NULL, 6),
(3092, NULL, 'PF16641', NULL, NULL, 'CLIP1 zinc knuckle', NULL, 'CLIP1_ZNF', NULL, NULL, NULL, 6),
(3093, NULL, 'PF03050', NULL, NULL, 'Transposase IS66 family', NULL, 'DDE_Tnp_IS66', NULL, NULL, NULL, 6),
(3094, NULL, 'PF16866', NULL, NULL, 'PHD-finger', NULL, 'PHD_4', NULL, NULL, NULL, 6),
(3095, NULL, 'PF01969', NULL, NULL, 'Protein of unknown function DUF111', NULL, 'DUF111', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3096, NULL, 'PF11187', NULL, NULL, 'Protein of unknown function (DUF2974)', NULL, 'DUF2974', NULL, NULL, NULL, 6),
(3097, NULL, 'PF04964', NULL, NULL, 'Flp/Fap pilin component', NULL, 'Flp_Fap', NULL, NULL, NULL, 6),
(3098, NULL, 'PF08008', NULL, NULL, 'Viral cysteine rich', NULL, 'Viral_cys_rich', NULL, NULL, NULL, 6),
(3099, NULL, 'PF11510', NULL, NULL, 'Fanconi Anaemia group E protein FANCE', NULL, 'FA_FANCE', NULL, NULL, NULL, 6),
(3100, NULL, 'PF15109', NULL, NULL, 'TMEM125 protein family', NULL, 'TMEM125', NULL, NULL, NULL, 6),
(3101, NULL, 'PF01209', NULL, NULL, 'ubiE/COQ5 methyltransferase family', NULL, 'Ubie_methyltran', NULL, NULL, NULL, 6),
(3102, NULL, 'PF00952', NULL, NULL, 'Bunyavirus nucleocapsid (N) protein', NULL, 'Bunya_nucleocap', NULL, NULL, NULL, 6),
(3103, NULL, 'PF13803', NULL, NULL, 'Domain of unknown function (DUF4184)', NULL, 'DUF4184', NULL, NULL, NULL, 6),
(3104, NULL, 'PF09767', NULL, NULL, 'Predicted membrane protein (DUF2053)', NULL, 'DUF2053', NULL, NULL, NULL, 6),
(3105, NULL, 'PF08009', NULL, NULL, 'CDP-alcohol phosphatidyltransferase 2', NULL, 'CDP-OH_P_tran_2', NULL, NULL, NULL, 6),
(3106, NULL, 'PF08356', NULL, NULL, 'EF hand associated', NULL, 'EF_assoc_2', NULL, NULL, NULL, 6),
(3107, NULL, 'PF07255', NULL, NULL, 'Benyvirus 14KDa protein', NULL, 'Benyvirus_14KDa', NULL, NULL, NULL, 6),
(3108, NULL, 'PF17484', NULL, NULL, 'N-Lobe handle Tf-binding protein B', NULL, 'TbpB_A', NULL, NULL, NULL, 6),
(3109, NULL, 'PF09968', NULL, NULL, 'Uncharacterized protein domain (DUF2202)', NULL, 'DUF2202', NULL, NULL, NULL, 6),
(3110, NULL, 'PF11537', NULL, NULL, 'Nitrosopumilus output domain 5', NULL, 'NitrOD5', NULL, NULL, NULL, 6),
(3111, NULL, 'PF04872', NULL, NULL, 'Poxvirus L5 protein family', NULL, 'Pox_L5', NULL, NULL, NULL, 6),
(3112, NULL, 'PF03563', NULL, NULL, 'Bunyavirus glycoprotein G2', NULL, 'Bunya_G2', NULL, NULL, NULL, 6),
(3113, NULL, 'PF04100', NULL, NULL, 'Vps53-like, N-terminal', NULL, 'Vps53_N', NULL, NULL, NULL, 6),
(3114, NULL, 'PF08262', NULL, NULL, 'Leucophaea maderae tachykinin-related peptide', NULL, 'Lem_TRP', NULL, NULL, NULL, 6),
(3115, NULL, 'PF00144', NULL, NULL, 'Beta-lactamase', NULL, 'Beta-lactamase', NULL, NULL, NULL, 6),
(3116, NULL, 'PF09151', NULL, NULL, 'Domain of unknown function (DUF1936)', NULL, 'DUF1936', NULL, NULL, NULL, 6),
(3117, NULL, 'PF10358', NULL, NULL, 'N-terminal C2 in EEIG1 and EHBP1 proteins', NULL, 'NT-C2', NULL, NULL, NULL, 6),
(3118, NULL, 'PF17322', NULL, NULL, 'Family of unknown function (DUF5364)', NULL, 'DUF5364', NULL, NULL, NULL, 6),
(3119, NULL, 'PF02157', NULL, NULL, 'Mannose-6-phosphate receptor', NULL, 'Man-6-P_recep', NULL, NULL, NULL, 6),
(3120, NULL, 'PF08526', NULL, NULL, 'Protein-arginine deiminase (PAD) N-terminal domain', NULL, 'PAD_N', NULL, NULL, NULL, 6),
(3121, NULL, 'PF03270', NULL, NULL, 'Protein of unknown function, DUF269', NULL, 'DUF269', NULL, NULL, NULL, 6),
(3122, NULL, 'PF03477', NULL, NULL, 'ATP cone domain', NULL, 'ATP-cone', NULL, NULL, NULL, 6),
(3123, NULL, 'PF03598', NULL, NULL, 'CO dehydrogenase/acetyl-CoA synthase complex beta subunit', NULL, 'CdhC', NULL, NULL, NULL, 6),
(3124, NULL, 'PF06491', NULL, NULL, 'Disulphide isomerase', NULL, 'Disulph_isomer', NULL, NULL, NULL, 6),
(3125, NULL, 'PF15553', NULL, NULL, 'Testis-expressed protein 19', NULL, 'TEX19', NULL, NULL, NULL, 6),
(3126, NULL, 'PF08398', NULL, NULL, 'Parvovirus coat protein VP1', NULL, 'Parvo_coat_N', NULL, NULL, NULL, 6),
(3127, NULL, 'PF15260', NULL, NULL, 'Protein family FAM219A', NULL, 'FAM219A', NULL, NULL, NULL, 6),
(3128, NULL, 'PF07130', NULL, NULL, 'YebG protein', NULL, 'YebG', NULL, NULL, NULL, 6),
(3129, NULL, 'PF13397', NULL, NULL, 'RNA polymerase-binding protein', NULL, 'RbpA', NULL, NULL, NULL, 6),
(3130, NULL, 'PF07702', NULL, NULL, 'UTRA domain', NULL, 'UTRA', NULL, NULL, NULL, 6),
(3131, NULL, 'PF16437', NULL, NULL, 'Domain of unknown function (DUF5034)', NULL, 'DUF5034', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3132, NULL, 'PF04575', NULL, NULL, 'Protein of unknown function (DUF560)', NULL, 'DUF560', NULL, NULL, NULL, 6),
(3133, NULL, 'PF02470', NULL, NULL, 'MlaD protein', NULL, 'MlaD', NULL, NULL, NULL, 6),
(3134, NULL, 'PF04663', NULL, NULL, 'Phenol hydroxylase conserved region', NULL, 'Phenol_monoox', NULL, NULL, NULL, 6),
(3135, NULL, 'PF01409', NULL, NULL, 'tRNA synthetases class II core domain (F)', NULL, 'tRNA-synt_2d', NULL, NULL, NULL, 6),
(3136, NULL, 'PF18425', NULL, NULL, 'Csp protease B prodomain', NULL, 'CspB_prodomain', NULL, NULL, NULL, 6),
(3137, NULL, 'PF12573', NULL, NULL, '2-oxoisovalerate dehydrogenase E1 alpha subunit N terminal', NULL, 'OxoDH_E1alpha_N', NULL, NULL, NULL, 6),
(3138, NULL, 'PF16579', NULL, NULL, 'Adenylate sensor of SNF1-like protein kinase', NULL, 'AdenylateSensor', NULL, NULL, NULL, 6),
(3139, NULL, 'PF18130', NULL, NULL, 'ATP-grasp N-terminal domain', NULL, 'ATPgrasp_N', NULL, NULL, NULL, 6),
(3140, NULL, 'PF18934', NULL, NULL, 'Family of unknown function (DUF5682)', NULL, 'DUF5682', NULL, NULL, NULL, 6),
(3141, NULL, 'PF08057', NULL, NULL, 'Erythromycin resistance leader peptide', NULL, 'Ery_res_leader2', NULL, NULL, NULL, 6),
(3142, NULL, 'PF08922', NULL, NULL, 'Domain of unknown function (DUF1905)', NULL, 'DUF1905', NULL, NULL, NULL, 6),
(3143, NULL, 'PF17949', NULL, NULL, 'FANCM pseudonuclease domain', NULL, 'PND', NULL, NULL, NULL, 6),
(3144, NULL, 'PF09194', NULL, NULL, 'Restriction endonuclease BsobI', NULL, 'Endonuc-BsobI', NULL, NULL, NULL, 6),
(3145, NULL, 'PF09165', NULL, NULL, 'Ubiquinol-cytochrome c reductase 8 kDa, N-terminal', NULL, 'Ubiq-Cytc-red_N', NULL, NULL, NULL, 6),
(3146, NULL, 'PF01301', NULL, NULL, 'Glycosyl hydrolases family 35', NULL, 'Glyco_hydro_35', NULL, NULL, NULL, 6),
(3147, NULL, 'PF05141', NULL, NULL, 'Pyoverdine/dityrosine biosynthesis protein', NULL, 'DIT1_PvcA', NULL, NULL, NULL, 6),
(3148, NULL, 'PF15334', NULL, NULL, 'Aurora kinase A and ninein interacting protein', NULL, 'AIB', NULL, NULL, NULL, 6),
(3149, NULL, 'PF04716', NULL, NULL, 'ETC complex I subunit conserved region', NULL, 'ETC_C1_NDUFA5', NULL, NULL, NULL, 6),
(3150, NULL, 'PF07140', NULL, NULL, 'Interferon gamma receptor (IFNGR1)', NULL, 'IFNGR1', NULL, NULL, NULL, 6),
(3151, NULL, 'PF19108', NULL, NULL, 'Family of unknown function (DUF5795)', NULL, 'DUF5795', NULL, NULL, NULL, 6),
(3152, NULL, 'PF17725', NULL, NULL, 'YAP binding domain', NULL, 'YBD', NULL, NULL, NULL, 6),
(3153, NULL, 'PF11061', NULL, NULL, 'Protein of unknown function (DUF2862)', NULL, 'DUF2862', NULL, NULL, NULL, 6),
(3154, NULL, 'PF12293', NULL, NULL, 'Putative outer membrane core complex of type IVb secretion', NULL, 'T4BSS_DotH_IcmK', NULL, NULL, NULL, 6),
(3155, NULL, 'PF09033', NULL, NULL, 'DNA Fragmentation factor 45kDa, C terminal domain', NULL, 'DFF-C', NULL, NULL, NULL, 6),
(3156, NULL, 'PF07139', NULL, NULL, 'Protein of unknown function (DUF1387)', NULL, 'DUF1387', NULL, NULL, NULL, 6),
(3157, NULL, 'PF10115', NULL, NULL, 'Transcriptional activator HlyU', NULL, 'HlyU', NULL, NULL, NULL, 6),
(3158, NULL, 'PF14216', NULL, NULL, 'Domain of unknown function (DUF4326)', NULL, 'DUF4326', NULL, NULL, NULL, 6),
(3159, NULL, 'PF05269', NULL, NULL, 'Bacteriophage CII protein', NULL, 'Phage_CII', NULL, NULL, NULL, 6),
(3160, NULL, 'PF12034', NULL, NULL, 'Domain of unknown function (DUF3520)', NULL, 'DUF3520', NULL, NULL, NULL, 6),
(3161, NULL, 'PF02917', NULL, NULL, 'Pertussis toxin, subunit 1', NULL, 'Pertussis_S1', NULL, NULL, NULL, 6),
(3162, NULL, 'PF12514', NULL, NULL, 'Protein of unknown function (DUF3718)', NULL, 'DUF3718', NULL, NULL, NULL, 6),
(3163, NULL, 'PF07013', NULL, NULL, 'Protein of unknown function (DUF1314)', NULL, 'DUF1314', NULL, NULL, NULL, 6),
(3164, NULL, 'PF11766', NULL, NULL, 'Cell-wall agglutinin N-terminal ligand-sugar binding', NULL, 'Candida_ALS_N', NULL, NULL, NULL, 6),
(3165, NULL, 'PF18729', NULL, NULL, 'STY4199-like HEPN', NULL, 'HEPN_STY4199', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3166, NULL, 'PF05224', NULL, NULL, 'NDT80 / PhoG like DNA-binding  family', NULL, 'NDT80_PhoG', NULL, NULL, NULL, 6),
(3167, NULL, 'PF06523', NULL, NULL, 'Protein of unknown function (DUF1106)', NULL, 'DUF1106', NULL, NULL, NULL, 6),
(3168, NULL, 'PF07825', NULL, NULL, 'Excisionase-like protein', NULL, 'Exc', NULL, NULL, NULL, 6),
(3169, NULL, 'PF09157', NULL, NULL, 'Pseudouridine synthase II TruB, C-terminal', NULL, 'TruB-C_2', NULL, NULL, NULL, 6),
(3170, NULL, 'PF14002', NULL, NULL, 'YniB-like protein', NULL, 'YniB', NULL, NULL, NULL, 6),
(3171, NULL, 'PF03280', NULL, NULL, 'Proteobacterial lipase chaperone protein', NULL, 'Lipase_chap', NULL, NULL, NULL, 6),
(3172, NULL, 'PF11758', NULL, NULL, 'Aureocin-like type II bacteriocin', NULL, 'Bacteriocin_IIi', NULL, NULL, NULL, 6),
(3173, NULL, 'PF02645', NULL, NULL, 'Uncharacterised protein, DegV family COG1307', NULL, 'DegV', NULL, NULL, NULL, 6),
(3174, NULL, 'PF12366', NULL, NULL, 'Cancer susceptibility candidate 1', NULL, 'Casc1', NULL, NULL, NULL, 6),
(3175, NULL, 'PF00045', NULL, NULL, 'Hemopexin', NULL, 'Hemopexin', NULL, NULL, NULL, 6),
(3176, NULL, 'PF01459', NULL, NULL, 'Eukaryotic porin', NULL, 'Porin_3', NULL, NULL, NULL, 6),
(3177, NULL, 'PF09353', NULL, NULL, 'Domain of unknown function (DUF1995)', NULL, 'DUF1995', NULL, NULL, NULL, 6),
(3178, NULL, 'PF17778', NULL, NULL, 'Beta-lactamase associated winged helix domain', NULL, 'BLACT_WH', NULL, NULL, NULL, 6),
(3179, NULL, 'PF18374', NULL, NULL, 'Enolase N-terminal domain-like', NULL, 'Enolase_like_N', NULL, NULL, NULL, 6),
(3180, NULL, 'PF08868', NULL, NULL, 'YugN-like family', NULL, 'YugN', NULL, NULL, NULL, 6),
(3181, NULL, 'PF01268', NULL, NULL, 'Formate--tetrahydrofolate ligase', NULL, 'FTHFS', NULL, NULL, NULL, 6),
(3182, NULL, 'PF11039', NULL, NULL, 'Protein of unknown function (DUF2824)', NULL, 'DUF2824', NULL, NULL, NULL, 6),
(3183, NULL, 'PF09085', NULL, NULL, 'Adhesion molecule, immunoglobulin-like', NULL, 'Adhes-Ig_like', NULL, NULL, NULL, 6),
(3184, NULL, 'PF14909', NULL, NULL, 'Spermatogenesis-assoc protein 6', NULL, 'SPATA6', NULL, NULL, NULL, 6),
(3185, NULL, 'PF06353', NULL, NULL, 'Protein of unknown function (DUF1062)', NULL, 'DUF1062', NULL, NULL, NULL, 6),
(3186, NULL, 'PF00469', NULL, NULL, 'Negative factor, (F-Protein) or Nef', NULL, 'F-protein', NULL, NULL, NULL, 6),
(3187, NULL, 'PF13995', NULL, NULL, 'YebF-like protein', NULL, 'YebF', NULL, NULL, NULL, 6),
(3188, NULL, 'PF16449', NULL, NULL, 'Fimbrillin MatB', NULL, 'MatB', NULL, NULL, NULL, 6),
(3189, NULL, 'PF04751', NULL, NULL, 'Protein of unknown function (DUF615)', NULL, 'DUF615', NULL, NULL, NULL, 6),
(3190, NULL, 'PF09479', NULL, NULL, 'Listeria-Bacteroides repeat domain (List_Bact_rpt)', NULL, 'Flg_new', NULL, NULL, NULL, 6),
(3191, NULL, 'PF15702', NULL, NULL, 'Hermansky-Pudlak syndrome 6 protein', NULL, 'HPS6', NULL, NULL, NULL, 6),
(3192, NULL, 'PF08085', NULL, NULL, 'Entericidin EcnA/B family', NULL, 'Entericidin', NULL, NULL, NULL, 6),
(3193, NULL, 'PF09105', NULL, NULL, 'Elongation factor SelB, winged helix', NULL, 'SelB-wing_1', NULL, NULL, NULL, 6),
(3194, NULL, 'PF00753', NULL, NULL, 'Metallo-beta-lactamase superfamily', NULL, 'Lactamase_B', NULL, NULL, NULL, 6),
(3195, NULL, 'PF14885', NULL, NULL, 'Hypothetical glycosyl hydrolase family 15', NULL, 'GHL15', NULL, NULL, NULL, 6),
(3196, NULL, 'PF03397', NULL, NULL, 'Rhabdovirus matrix protein', NULL, 'Rhabdo_matrix', NULL, NULL, NULL, 6),
(3197, NULL, 'PF02759', NULL, NULL, 'RUN domain', NULL, 'RUN', NULL, NULL, NULL, 6),
(3198, NULL, 'PF18848', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 6', NULL, 'baeRF_family6', NULL, NULL, NULL, 6),
(3199, NULL, 'PF11906', NULL, NULL, 'Protein of unknown function (DUF3426)', NULL, 'DUF3426', NULL, NULL, NULL, 6),
(3200, NULL, 'PF15230', NULL, NULL, 'Serine/arginine repetitive matrix protein C-terminus', NULL, 'SRRM_C', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3201, NULL, 'PF12955', NULL, NULL, 'Domain of unknown function (DUF3844)', NULL, 'DUF3844', NULL, NULL, NULL, 6),
(3202, NULL, 'PF09104', NULL, NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 3', NULL, 'BRCA-2_OB3', NULL, NULL, NULL, 6),
(3203, NULL, 'PF02072', NULL, NULL, 'Prepro-orexin', NULL, 'Orexin', NULL, NULL, NULL, 6),
(3204, NULL, 'PF07524', NULL, NULL, 'Bromodomain associated', NULL, 'Bromo_TP', NULL, NULL, NULL, 6),
(3205, NULL, 'PF15095', NULL, NULL, 'Interleukin 33', NULL, 'IL33', NULL, NULL, NULL, 6),
(3206, NULL, 'PF00101', NULL, NULL, 'Ribulose bisphosphate carboxylase, small chain', NULL, 'RuBisCO_small', NULL, NULL, NULL, 6),
(3207, NULL, 'PF17667', NULL, NULL, 'Fungal protein kinase', NULL, 'Pkinase_fungal', NULL, NULL, NULL, 6),
(3208, NULL, 'PF17205', NULL, NULL, 'Integrin plexin domain', NULL, 'PSI_integrin', NULL, NULL, NULL, 6),
(3209, NULL, 'PF10664', NULL, NULL, 'Cyanobacterial and plastid NDH-1 subunit M', NULL, 'NdhM', NULL, NULL, NULL, 6),
(3210, NULL, 'PF18223', NULL, NULL, 'Pili PilJ C-terminal domain', NULL, 'PilJ_C', NULL, NULL, NULL, 6),
(3211, NULL, 'PF16583', NULL, NULL, 'Zinc-regulated secreted antivirulence protein C-terminal domain', NULL, 'ZirS_C', NULL, NULL, NULL, 6),
(3212, NULL, 'PF07451', NULL, NULL, 'Stage V sporulation protein AD (SpoVAD)', NULL, 'SpoVAD', NULL, NULL, NULL, 6),
(3213, NULL, 'PF09472', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, F subunit (MtrF)', NULL, 'MtrF', NULL, NULL, NULL, 6),
(3214, NULL, 'PF06011', NULL, NULL, 'Transient receptor potential (TRP) ion channel', NULL, 'TRP', NULL, NULL, NULL, 6),
(3215, NULL, 'PF13379', NULL, NULL, 'NMT1-like family', NULL, 'NMT1_2', NULL, NULL, NULL, 6),
(3216, NULL, 'PF16921', NULL, NULL, 'Tex protein YqgF-like domain', NULL, 'Tex_YqgF', NULL, NULL, NULL, 6),
(3217, NULL, 'PF15047', NULL, NULL, 'Protein of unknown function (DUF4533)', NULL, 'DUF4533', NULL, NULL, NULL, 6),
(3218, NULL, 'PF10653', NULL, NULL, 'Protein gp45 of Bacteriophage A118', NULL, 'Phage-A118_gp45', NULL, NULL, NULL, 6),
(3219, NULL, 'PF10130', NULL, NULL, 'PIN domain', NULL, 'PIN_2', NULL, NULL, NULL, 6),
(3220, NULL, 'PF06825', NULL, NULL, 'Heat shock factor binding protein 1', NULL, 'HSBP1', NULL, NULL, NULL, 6),
(3221, NULL, 'PF14779', NULL, NULL, 'Ciliary BBSome complex subunit 1', NULL, 'BBS1', NULL, NULL, NULL, 6),
(3222, NULL, 'PF15411', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_10', NULL, NULL, NULL, 6),
(3223, NULL, 'PF04566', NULL, NULL, 'RNA polymerase Rpb2, domain 4', NULL, 'RNA_pol_Rpb2_4', NULL, NULL, NULL, 6),
(3224, NULL, 'PF14995', NULL, NULL, 'Transmembrane protein', NULL, 'TMEM107', NULL, NULL, NULL, 6),
(3225, NULL, 'PF05288', NULL, NULL, 'Poxvirus A3L Protein', NULL, 'Pox_A3L', NULL, NULL, NULL, 6),
(3226, NULL, 'PF01610', NULL, NULL, 'Transposase', NULL, 'DDE_Tnp_ISL3', NULL, NULL, NULL, 6),
(3227, NULL, 'PF05979', NULL, NULL, 'Bacterial protein of unknown function (DUF896)', NULL, 'DUF896', NULL, NULL, NULL, 6),
(3228, NULL, 'PF16403', NULL, NULL, 'Domain of unknown function (DUF5011)', NULL, 'DUF5011', NULL, NULL, NULL, 6),
(3229, NULL, 'PF05702', NULL, NULL, 'Herpesvirus UL49.5 envelope/tegument protein', NULL, 'Herpes_UL49_5', NULL, NULL, NULL, 6),
(3230, NULL, 'PF15012', NULL, NULL, 'Domain of unknown function (DUF4519)', NULL, 'DUF4519', NULL, NULL, NULL, 6),
(3231, NULL, 'PF11446', NULL, NULL, 'Protein of unknown function (DUF2897)', NULL, 'DUF2897', NULL, NULL, NULL, 6),
(3232, NULL, 'PF07708', NULL, NULL, 'Tash protein PEST motif', NULL, 'Tash_PEST', NULL, NULL, NULL, 6),
(3233, NULL, 'PF03427', NULL, NULL, 'Carbohydrate binding domain (family 19)', NULL, 'CBM_19', NULL, NULL, NULL, 6),
(3234, NULL, 'PF09432', NULL, NULL, 'Tho complex subunit THP2', NULL, 'THP2', NULL, NULL, NULL, 6),
(3235, NULL, 'PF15207', NULL, NULL, 'TMEM240 family', NULL, 'TMEM240', NULL, NULL, NULL, 6),
(3236, NULL, 'PF07993', NULL, NULL, 'Male sterility protein', NULL, 'NAD_binding_4', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3237, NULL, 'PF04948', NULL, NULL, 'Poxvirus A51 protein', NULL, 'Pox_A51', NULL, NULL, NULL, 6),
(3238, NULL, 'PF13192', NULL, NULL, 'Thioredoxin domain', NULL, 'Thioredoxin_3', NULL, NULL, NULL, 6),
(3239, NULL, 'PF06974', NULL, NULL, 'WS/DGAT C-terminal domain', NULL, 'WS_DGAT_C', NULL, NULL, NULL, 6),
(3240, NULL, 'PF12195', NULL, NULL, 'Beta barrel domain of bacteriophage endosialidase', NULL, 'End_beta_barrel', NULL, NULL, NULL, 6),
(3241, NULL, 'PF14843', NULL, NULL, 'Growth factor receptor domain IV', NULL, 'GF_recep_IV', NULL, NULL, NULL, 6),
(3242, NULL, 'PF04402', NULL, NULL, 'Protein of unknown function (DUF541)', NULL, 'SIMPL', NULL, NULL, NULL, 6),
(3243, NULL, 'PF13462', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin_4', NULL, NULL, NULL, 6),
(3244, NULL, 'PF02879', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain II', NULL, 'PGM_PMM_II', NULL, NULL, NULL, 6),
(3245, NULL, 'PF02486', NULL, NULL, 'Replication initiation factor', NULL, 'Rep_trans', NULL, NULL, NULL, 6),
(3246, NULL, 'PF00062', NULL, NULL, 'C-type lysozyme/alpha-lactalbumin family', NULL, 'Lys', NULL, NULL, NULL, 6),
(3247, NULL, 'PF03753', NULL, NULL, 'Human herpesvirus 6 immediate early protein', NULL, 'HHV6-IE', NULL, NULL, NULL, 6),
(3248, NULL, 'PF17533', NULL, NULL, 'Family of unknown function (DUF5452)', NULL, 'DUF5452', NULL, NULL, NULL, 6),
(3249, NULL, 'PF11437', NULL, NULL, 'Vanadium-binding protein 2', NULL, 'Vanabin-2', NULL, NULL, NULL, 6),
(3250, NULL, 'PF06189', NULL, NULL, '5''-nucleotidase', NULL, '5-nucleotidase', NULL, NULL, NULL, 6),
(3251, NULL, 'PF13929', NULL, NULL, 'mRNA stabilisation', NULL, 'mRNA_stabil', NULL, NULL, NULL, 6),
(3252, NULL, 'PF02608', NULL, NULL, 'ABC transporter substrate-binding protein PnrA-like', NULL, 'Bmp', NULL, NULL, NULL, 6),
(3253, NULL, 'PF09686', NULL, NULL, 'Plasmid protein of unknown function (Plasmid_RAQPRD)', NULL, 'Plasmid_RAQPRD', NULL, NULL, NULL, 6),
(3254, NULL, 'PF11033', NULL, NULL, 'Competence protein J (ComJ)', NULL, 'ComJ', NULL, NULL, NULL, 6),
(3255, NULL, 'PF01556', NULL, NULL, 'DnaJ C terminal domain', NULL, 'DnaJ_C', NULL, NULL, NULL, 6),
(3256, NULL, 'PF11320', NULL, NULL, 'Protein of unknown function (DUF3122)', NULL, 'DUF3122', NULL, NULL, NULL, 6),
(3257, NULL, 'PF08172', NULL, NULL, 'CASP C terminal', NULL, 'CASP_C', NULL, NULL, NULL, 6),
(3258, NULL, 'PF09843', NULL, NULL, 'Predicted membrane protein (DUF2070)', NULL, 'DUF2070', NULL, NULL, NULL, 6),
(3259, NULL, 'PF12221', NULL, NULL, 'Bacterial membrane protein N terminal', NULL, 'HflK_N', NULL, NULL, NULL, 6),
(3260, NULL, 'PF05518', NULL, NULL, 'Totivirus coat protein', NULL, 'Totivirus_coat', NULL, NULL, NULL, 6),
(3261, NULL, 'PF00928', NULL, NULL, 'Adaptor complexes medium subunit family', NULL, 'Adap_comp_sub', NULL, NULL, NULL, 6),
(3262, NULL, 'PF15843', NULL, NULL, 'Domain of unknown function (DUF4719)', NULL, 'DUF4719', NULL, NULL, NULL, 6),
(3263, NULL, 'PF02115', NULL, NULL, 'RHO protein GDP dissociation inhibitor', NULL, 'Rho_GDI', NULL, NULL, NULL, 6),
(3264, NULL, 'PF06612', NULL, NULL, 'Protein of unknown function (DUF1146)', NULL, 'DUF1146', NULL, NULL, NULL, 6),
(3265, NULL, 'PF05157', NULL, NULL, 'Type II secretion system (T2SS), protein E, N-terminal domain', NULL, 'T2SSE_N', NULL, NULL, NULL, 6),
(3266, NULL, 'PF10902', NULL, NULL, 'WYL_2, Sm-like SH3 beta-barrel fold', NULL, 'WYL_2', NULL, NULL, NULL, 6),
(3267, NULL, 'PF13236', NULL, NULL, 'Clustered mitochondria', NULL, 'CLU', NULL, NULL, NULL, 6),
(3268, NULL, 'PF08574', NULL, NULL, 'Transcription factor Iwr1', NULL, 'Iwr1', NULL, NULL, NULL, 6),
(3269, NULL, 'PF17637', NULL, NULL, 'Family of unknown function (DUF5516)', NULL, 'DUF5516', NULL, NULL, NULL, 6),
(3270, NULL, 'PF14418', NULL, NULL, 'OST-HTH Associated domain', NULL, 'OHA', NULL, NULL, NULL, 6),
(3271, NULL, 'PF01255', NULL, NULL, 'Putative undecaprenyl diphosphate synthase', NULL, 'Prenyltransf', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3272, NULL, 'PF05711', NULL, NULL, 'Macrocin-O-methyltransferase (TylF)', NULL, 'TylF', NULL, NULL, NULL, 6),
(3273, NULL, 'PF17138', NULL, NULL, 'Domain of unknown function (DUF5111)', NULL, 'DUF5111', NULL, NULL, NULL, 6),
(3274, NULL, 'PF15453', NULL, NULL, 'Protein incorporated later into Tight Junctions', NULL, 'Pilt', NULL, NULL, NULL, 6),
(3275, NULL, 'PF17373', NULL, NULL, 'Family of unknown function (DUF5395)', NULL, 'DUF5395', NULL, NULL, NULL, 6),
(3276, NULL, 'PF17815', NULL, NULL, 'PDZ domain', NULL, 'PDZ_3', NULL, NULL, NULL, 6),
(3277, NULL, 'PF14644', NULL, NULL, 'Domain of unknown function (DUF4456)', NULL, 'DUF4456', NULL, NULL, NULL, 6),
(3278, NULL, 'PF17592', NULL, NULL, 'Family of unknown function (DUF5489)', NULL, 'DUF5489', NULL, NULL, NULL, 6),
(3279, NULL, 'PF16212', NULL, NULL, 'Phospholipid-translocating P-type ATPase C-terminal', NULL, 'PhoLip_ATPase_C', NULL, NULL, NULL, 6),
(3280, NULL, 'PF07368', NULL, NULL, 'Protein of unknown function (DUF1487)', NULL, 'DUF1487', NULL, NULL, NULL, 6),
(3281, NULL, 'PF02681', NULL, NULL, 'Divergent PAP2 family', NULL, 'DUF212', NULL, NULL, NULL, 6),
(3282, NULL, 'PF10893', NULL, NULL, 'Protein of unknown function (DUF2724)', NULL, 'DUF2724', NULL, NULL, NULL, 6),
(3283, NULL, 'PF03309', NULL, NULL, 'Type III pantothenate kinase', NULL, 'Pan_kinase', NULL, NULL, NULL, 6),
(3284, NULL, 'PF00398', NULL, NULL, 'Ribosomal RNA adenine dimethylase', NULL, 'RrnaAD', NULL, NULL, NULL, 6),
(3285, NULL, 'PF18069', NULL, NULL, 'DR2241 stabilising domain', NULL, 'DR2241', NULL, NULL, NULL, 6),
(3286, NULL, 'PF02462', NULL, NULL, 'Opacity family porin protein', NULL, 'Opacity', NULL, NULL, NULL, 6),
(3287, NULL, 'PF13670', NULL, NULL, 'Peptidase propeptide and YPEB domain', NULL, 'PepSY_2', NULL, NULL, NULL, 6),
(3288, NULL, 'PF18829', NULL, NULL, 'Importin repeat 6', NULL, 'Importin_rep_6', NULL, NULL, NULL, 6),
(3289, NULL, 'PF13194', NULL, NULL, 'Domain of unknown function (DUF4010)', NULL, 'DUF4010', NULL, NULL, NULL, 6),
(3290, NULL, 'PF17427', NULL, NULL, 'Phage Single-stranded DNA-binding protein', NULL, 'Phi29_Phage_SSB', NULL, NULL, NULL, 6),
(3291, NULL, 'PF17268', NULL, NULL, 'Family of unknown function (DUF5334)', NULL, 'DUF5334', NULL, NULL, NULL, 6),
(3292, NULL, 'PF11660', NULL, NULL, 'Protein of unknown function (DUF3262)', NULL, 'DUF3262', NULL, NULL, NULL, 6),
(3293, NULL, 'PF14297', NULL, NULL, 'Domain of unknown function (DUF4373)', NULL, 'DUF4373', NULL, NULL, NULL, 6),
(3294, NULL, 'PF01368', NULL, NULL, 'DHH family', NULL, 'DHH', NULL, NULL, NULL, 6),
(3295, NULL, 'PF14159', NULL, NULL, 'CAAD domains of cyanobacterial aminoacyl-tRNA synthetase', NULL, 'CAAD', NULL, NULL, NULL, 6),
(3296, NULL, 'PF18837', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_12', NULL, NULL, NULL, 6),
(3297, NULL, 'PF16013', NULL, NULL, 'Domain of unknown function (DUF4781)', NULL, 'DUF4781', NULL, NULL, NULL, 6),
(3298, NULL, 'PF17153', NULL, NULL, 'Periplasmic sensor domain, extracellular', NULL, 'CHASE9', NULL, NULL, NULL, 6),
(3299, NULL, 'PF16484', NULL, NULL, 'Carnitine O-palmitoyltransferase N-terminus', NULL, 'CPT_N', NULL, NULL, NULL, 6),
(3300, NULL, 'PF13437', NULL, NULL, 'HlyD family secretion protein', NULL, 'HlyD_3', NULL, NULL, NULL, 6),
(3301, NULL, 'PF18166', NULL, NULL, 'Predicted pPIWI-associating nuclease', NULL, 'pP_pnuc_2', NULL, NULL, NULL, 6),
(3302, NULL, 'PF01016', NULL, NULL, 'Ribosomal L27 protein', NULL, 'Ribosomal_L27', NULL, NULL, NULL, 6),
(3303, NULL, 'PF08295', NULL, NULL, 'Sin3 family co-repressor', NULL, 'Sin3_corepress', NULL, NULL, NULL, 6),
(3304, NULL, 'PF02594', NULL, NULL, 'Uncharacterised ACR, YggU family COG1872', NULL, 'DUF167', NULL, NULL, NULL, 6),
(3305, NULL, 'PF10872', NULL, NULL, 'Protein of unknown function (DUF2740)', NULL, 'DUF2740', NULL, NULL, NULL, 6),
(3306, NULL, 'PF15399', NULL, NULL, 'Domain of unknown function (DUF4620)', NULL, 'DUF4620', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3307, NULL, 'PF09487', NULL, NULL, 'Bacterial type III secretion protein (HrpB2)', NULL, 'HrpB2', NULL, NULL, NULL, 6),
(3308, NULL, 'PF15264', NULL, NULL, 'Tumour suppressing sub-chromosomal transferable candidate 4', NULL, 'TSSC4', NULL, NULL, NULL, 6),
(3309, NULL, 'PF17685', NULL, NULL, 'Family of unknown function (DUF5533)', NULL, 'DUF5533', NULL, NULL, NULL, 6),
(3310, NULL, 'PF16573', NULL, NULL, 'N-terminal beta-sandwich domain of polyadenylation factor', NULL, 'CLP1_N', NULL, NULL, NULL, 6),
(3311, NULL, 'PF15337', NULL, NULL, 'Vascular protein family Vasculin-like 1', NULL, 'Vasculin', NULL, NULL, NULL, 6),
(3312, NULL, 'PF17673', NULL, NULL, 'Family of unknown function (DUF5532)', NULL, 'DUF5532', NULL, NULL, NULL, 6),
(3313, NULL, 'PF10366', NULL, NULL, 'Vacuolar sorting protein 39 domain 1', NULL, 'Vps39_1', NULL, NULL, NULL, 6),
(3314, NULL, 'PF00218', NULL, NULL, 'Indole-3-glycerol phosphate synthase', NULL, 'IGPS', NULL, NULL, NULL, 6),
(3315, NULL, 'PF13607', NULL, NULL, 'Succinyl-CoA ligase like flavodoxin domain', NULL, 'Succ_CoA_lig', NULL, NULL, NULL, 6),
(3316, NULL, 'PF06173', NULL, NULL, 'Protein of unknown function (DUF986)', NULL, 'DUF986', NULL, NULL, NULL, 6),
(3317, NULL, 'PF03710', NULL, NULL, 'Glutamate-ammonia ligase adenylyltransferase', NULL, 'GlnE', NULL, NULL, NULL, 6),
(3318, NULL, 'PF04769', NULL, NULL, 'Mating-type protein MAT alpha 1 HMG-box', NULL, 'MATalpha_HMGbox', NULL, NULL, NULL, 6),
(3319, NULL, 'PF09171', NULL, NULL, 'N-glycosylase/DNA lyase', NULL, 'AGOG', NULL, NULL, NULL, 6),
(3320, NULL, 'PF17170', NULL, NULL, '6-bladed beta-propeller', NULL, 'DUF5128', NULL, NULL, NULL, 6),
(3321, NULL, 'PF09846', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2073)', NULL, 'DUF2073', NULL, NULL, NULL, 6),
(3322, NULL, 'PF19150', NULL, NULL, 'Family of unknown function (DUF5832)', NULL, 'DUF5832', NULL, NULL, NULL, 6),
(3323, NULL, 'PF04977', NULL, NULL, 'Septum formation initiator', NULL, 'DivIC', NULL, NULL, NULL, 6),
(3324, NULL, 'PF07540', NULL, NULL, 'Nucleolar complex-associated protein', NULL, 'NOC3p', NULL, NULL, NULL, 6),
(3325, NULL, 'PF15153', NULL, NULL, 'Cytokine-like protein 1', NULL, 'CYTL1', NULL, NULL, NULL, 6),
(3326, NULL, 'PF03855', NULL, NULL, 'M-factor', NULL, 'M-factor', NULL, NULL, NULL, 6),
(3327, NULL, 'PF06470', NULL, NULL, 'SMC proteins Flexible Hinge Domain', NULL, 'SMC_hinge', NULL, NULL, NULL, 6),
(3328, NULL, 'PF17688', NULL, NULL, 'Family of unknown function (DUF5536)', NULL, 'DUF5536', NULL, NULL, NULL, 6),
(3329, NULL, 'PF17880', NULL, NULL, 'Yos9 dimerzation domain', NULL, 'Yos9_DD', NULL, NULL, NULL, 6),
(3330, NULL, 'PF10887', NULL, NULL, 'Protein of unknown function (DUF2686)', NULL, 'DUF2686', NULL, NULL, NULL, 6),
(3331, NULL, 'PF10613', NULL, NULL, 'Ligated ion channel L-glutamate- and glycine-binding site', NULL, 'Lig_chan-Glu_bd', NULL, NULL, NULL, 6),
(3332, NULL, 'PF05124', NULL, NULL, 'S-layer like family, C-terminal region', NULL, 'S_layer_C', NULL, NULL, NULL, 6),
(3333, NULL, 'PF15688', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 2', NULL, 'NRIP1_repr_2', NULL, NULL, NULL, 6),
(3334, NULL, 'PF14437', NULL, NULL, 'MafB19-like deaminase', NULL, 'MafB19-deam', NULL, NULL, NULL, 6),
(3335, NULL, 'PF15944', NULL, NULL, 'Domain of unknown function (DUF4752)', NULL, 'DUF4752', NULL, NULL, NULL, 6),
(3336, NULL, 'PF13878', NULL, NULL, 'zinc-finger of acetyl-transferase ESCO', NULL, 'zf-C2H2_3', NULL, NULL, NULL, 6),
(3337, NULL, 'PF18631', NULL, NULL, 'Cucumopine synthase C-terminal helical bundle domain', NULL, 'Cucumopine_C', NULL, NULL, NULL, 6),
(3338, NULL, 'PF18662', NULL, NULL, 'Cch helix turn helix domain', NULL, 'HTH_56', NULL, NULL, NULL, 6),
(3339, NULL, 'PF11220', NULL, NULL, 'Protein of unknown function (DUF3015)', NULL, 'DUF3015', NULL, NULL, NULL, 6),
(3340, NULL, 'PF04388', NULL, NULL, 'Hamartin protein', NULL, 'Hamartin', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3341, NULL, 'PF15215', NULL, NULL, 'Follicular dendritic cell secreted peptide', NULL, 'FDC-SP', NULL, NULL, NULL, 6),
(3342, NULL, 'PF05582', NULL, NULL, 'YabG peptidase U57', NULL, 'Peptidase_U57', NULL, NULL, NULL, 6),
(3343, NULL, 'PF11070', NULL, NULL, 'Protein of unknown function (DUF2871)', NULL, 'DUF2871', NULL, NULL, NULL, 6),
(3344, NULL, 'PF10246', NULL, NULL, 'Mitochondrial ribosomal protein MRP-S35', NULL, 'MRP-S35', NULL, NULL, NULL, 6),
(3345, NULL, 'PF10388', NULL, NULL, 'EAL-domain associated signalling protein domain', NULL, 'YkuI_C', NULL, NULL, NULL, 6),
(3346, NULL, 'PF03575', NULL, NULL, 'Peptidase family S51', NULL, 'Peptidase_S51', NULL, NULL, NULL, 6),
(3347, NULL, 'PF07968', NULL, NULL, 'Leukocidin/Hemolysin toxin family', NULL, 'Leukocidin', NULL, NULL, NULL, 6),
(3348, NULL, 'PF04969', NULL, NULL, 'CS domain', NULL, 'CS', NULL, NULL, NULL, 6),
(3349, NULL, 'PF02745', NULL, NULL, 'Methyl-coenzyme M reductase alpha subunit, N-terminal domain', NULL, 'MCR_alpha_N', NULL, NULL, NULL, 6),
(3350, NULL, 'PF18136', NULL, NULL, 'DNA mitochondrial polymerase exonuclease domain', NULL, 'DNApol_Exo', NULL, NULL, NULL, 6),
(3351, NULL, 'PF11506', NULL, NULL, 'Protein of unknown function (DUF3217)', NULL, 'DUF3217', NULL, NULL, NULL, 6),
(3352, NULL, 'PF13794', NULL, NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)-like', NULL, 'MiaE_2', NULL, NULL, NULL, 6),
(3353, NULL, 'PF10788', NULL, NULL, 'Protein of unknown function (DUF2603)', NULL, 'DUF2603', NULL, NULL, NULL, 6),
(3354, NULL, 'PF06350', NULL, NULL, 'Hormone-sensitive lipase (HSL) N-terminus', NULL, 'HSL_N', NULL, NULL, NULL, 6),
(3355, NULL, 'PF10862', NULL, NULL, 'FcoT-like thioesterase domain', NULL, 'FcoT', NULL, NULL, NULL, 6),
(3356, NULL, 'PF05320', NULL, NULL, 'Poxvirus DNA-directed RNA polymerase 19 kDa subunit', NULL, 'Pox_RNA_Pol_19', NULL, NULL, NULL, 6),
(3357, NULL, 'PF15015', NULL, NULL, 'Spermatogenesis-associated, N-terminal', NULL, 'NYD-SP12_N', NULL, NULL, NULL, 6),
(3358, NULL, 'PF04520', NULL, NULL, 'Senescence regulator', NULL, 'Senescence_reg', NULL, NULL, NULL, 6),
(3359, NULL, 'PF14504', NULL, NULL, 'CAP-associated N-terminal', NULL, 'CAP_assoc_N', NULL, NULL, NULL, 6),
(3360, NULL, 'PF17045', NULL, NULL, 'Centrosomal protein of 63 kDa', NULL, 'CEP63', NULL, NULL, NULL, 6),
(3361, NULL, 'PF13804', NULL, NULL, 'Retro-transcribing viruses envelope glycoprotein', NULL, 'HERV-K_env_2', NULL, NULL, NULL, 6),
(3362, NULL, 'PF11282', NULL, NULL, 'Protein of unknown function (DUF3082)', NULL, 'DUF3082', NULL, NULL, NULL, 6),
(3363, NULL, 'PF09222', NULL, NULL, 'Fimbrial adhesin F17-AG, lectin domain', NULL, 'Fim-adh_lectin', NULL, NULL, NULL, 6),
(3364, NULL, 'PF07474', NULL, NULL, 'G2F domain', NULL, 'G2F', NULL, NULL, NULL, 6),
(3365, NULL, 'PF02918', NULL, NULL, 'Pertussis toxin, subunit 2 and 3, C-terminal domain', NULL, 'Pertussis_S2S3', NULL, NULL, NULL, 6),
(3366, NULL, 'PF07407', NULL, NULL, 'Seadornavirus VP6 protein', NULL, 'Seadorna_VP6', NULL, NULL, NULL, 6),
(3367, NULL, 'PF04981', NULL, NULL, 'NMD3 family', NULL, 'NMD3', NULL, NULL, NULL, 6),
(3368, NULL, 'PF14033', NULL, NULL, 'Protein of unknown function (DUF4246)', NULL, 'DUF4246', NULL, NULL, NULL, 6),
(3369, NULL, 'PF15325', NULL, NULL, 'Modulator of retrovirus infection', NULL, 'MRI', NULL, NULL, NULL, 6),
(3370, NULL, 'PF13019', NULL, NULL, 'Silencing defective 2 N-terminal ubiquitin domain', NULL, 'Sde2_N_Ubi', NULL, NULL, NULL, 6),
(3371, NULL, 'PF14160', NULL, NULL, 'Centrosome-associated C terminus', NULL, 'FAM110_C', NULL, NULL, NULL, 6),
(3372, NULL, 'PF00658', NULL, NULL, 'Poly-adenylate binding protein, unique domain', NULL, 'PABP', NULL, NULL, NULL, 6),
(3373, NULL, 'PF03916', NULL, NULL, 'Polysulphide reductase, NrfD', NULL, 'NrfD', NULL, NULL, NULL, 6),
(3374, NULL, 'PF09279', NULL, NULL, 'Phosphoinositide-specific phospholipase C, efhand-like', NULL, 'EF-hand_like', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3375, NULL, 'PF06632', NULL, NULL, 'DNA double-strand break repair and V(D)J recombination protein XRCC4', NULL, 'XRCC4', NULL, NULL, NULL, 6),
(3376, NULL, 'PF15157', NULL, NULL, 'Fusion protein IQCJ-SCHIP1 with IQ-like motif', NULL, 'IQCJ-SCHIP1', NULL, NULL, NULL, 6),
(3377, NULL, 'PF18281', NULL, NULL, 'BILBO1 N-terminal domain', NULL, 'BILBO1_N', NULL, NULL, NULL, 6),
(3378, NULL, 'PF06911', NULL, NULL, 'Senescence-associated protein', NULL, 'Senescence', NULL, NULL, NULL, 6),
(3379, NULL, 'PF03513', NULL, NULL, 'Cloacin immunity protein', NULL, 'Cloacin_immun', NULL, NULL, NULL, 6),
(3380, NULL, 'PF12068', NULL, NULL, 'Rab-binding domain (RBD)', NULL, 'PH_RBD', NULL, NULL, NULL, 6),
(3381, NULL, 'PF08915', NULL, NULL, 'Archaea-specific editing domain of threonyl-tRNA synthetase', NULL, 'tRNA-Thr_ED', NULL, NULL, NULL, 6),
(3382, NULL, 'PF03705', NULL, NULL, 'CheR methyltransferase, all-alpha domain', NULL, 'CheR_N', NULL, NULL, NULL, 6),
(3383, NULL, 'PF06326', NULL, NULL, 'Vesiculovirus matrix protein', NULL, 'Vesiculo_matrix', NULL, NULL, NULL, 6),
(3384, NULL, 'PF00962', NULL, NULL, 'Adenosine/AMP deaminase', NULL, 'A_deaminase', NULL, NULL, NULL, 6),
(3385, NULL, 'PF06403', NULL, NULL, 'Lamprin', NULL, 'Lamprin', NULL, NULL, NULL, 6),
(3386, NULL, 'PF19207', NULL, NULL, 'Family of unknown function (DUF5879)', NULL, 'DUF5879', NULL, NULL, NULL, 6),
(3387, NULL, 'PF05342', NULL, NULL, 'M26 IgA1-specific Metallo-endopeptidase N-terminal region', NULL, 'Peptidase_M26_N', NULL, NULL, NULL, 6),
(3388, NULL, 'PF12608', NULL, NULL, 'Type IVb secretion, IcmS, effector-recruitment', NULL, 'T4bSS_IcmS', NULL, NULL, NULL, 6),
(3389, NULL, 'PF05008', NULL, NULL, 'Vesicle transport v-SNARE protein N-terminus', NULL, 'V-SNARE', NULL, NULL, NULL, 6),
(3390, NULL, 'PF15622', NULL, NULL, 'Kinetochore assembly subunit CENP-C N-terminal', NULL, 'CENP_C_N', NULL, NULL, NULL, 6),
(3391, NULL, 'PF13138', NULL, NULL, 'Protein of unknown function (DUF3982)', NULL, 'DUF3982', NULL, NULL, NULL, 6),
(3392, NULL, 'PF15998', NULL, NULL, 'Domain of unknown function (DUF4773)', NULL, 'DUF4773', NULL, NULL, NULL, 6),
(3393, NULL, 'PF16174', NULL, NULL, 'Intracellular hyaluronan-binding protein 4 N-terminal', NULL, 'IHABP4_N', NULL, NULL, NULL, 6),
(3394, NULL, 'PF09178', NULL, NULL, 'Domain of unknown function (DUF1945)', NULL, 'DUF1945', NULL, NULL, NULL, 6),
(3395, NULL, 'PF12916', NULL, NULL, 'Protein of unknown function (DUF3834)', NULL, 'DUF3834', NULL, NULL, NULL, 6),
(3396, NULL, 'PF02340', NULL, NULL, 'PRRSV putative envelope protein', NULL, 'PRRSV_Env', NULL, NULL, NULL, 6),
(3397, NULL, 'PF15729', NULL, NULL, 'Amyotrophic lateral sclerosis 2 candidate 11', NULL, 'ALS2CR11', NULL, NULL, NULL, 6),
(3398, NULL, 'PF16428', NULL, NULL, 'Domain of unknown function (DUF5025)', NULL, 'DUF5025', NULL, NULL, NULL, 6),
(3399, NULL, 'PF04604', NULL, NULL, 'Type-A lantibiotic', NULL, 'L_biotic_typeA', NULL, NULL, NULL, 6),
(3400, NULL, 'PF18885', NULL, NULL, 'Repeat of unknown function (DUF5648)', NULL, 'DUF5648', NULL, NULL, NULL, 6),
(3401, NULL, 'PF14783', NULL, NULL, 'Ciliary BBSome complex subunit 2, middle region', NULL, 'BBS2_Mid', NULL, NULL, NULL, 6),
(3402, NULL, 'PF12351', NULL, NULL, 'Ca2+ regulator and membrane fusion protein Fig1', NULL, 'Fig1', NULL, NULL, NULL, 6),
(3403, NULL, 'PF06599', NULL, NULL, 'Protein of unknown function (DUF1139)', NULL, 'DUF1139', NULL, NULL, NULL, 6),
(3404, NULL, 'PF15753', NULL, NULL, 'Biogenesis of lysosome-related organelles complex 1 subunit 3', NULL, 'BLOC1S3', NULL, NULL, NULL, 6),
(3405, NULL, 'PF17392', NULL, NULL, 'Urocanase C-terminal domain', NULL, 'Urocanase_C', NULL, NULL, NULL, 6),
(3406, NULL, 'PF02476', NULL, NULL, 'US2 family', NULL, 'US2', NULL, NULL, NULL, 6),
(3407, NULL, 'PF05956', NULL, NULL, 'APC basic domain', NULL, 'APC_basic', NULL, NULL, NULL, 6),
(3408, NULL, 'PF05869', NULL, NULL, 'DNA N-6-adenine-methyltransferase (Dam)', NULL, 'Dam', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3409, NULL, 'PF09441', NULL, NULL, 'ARS binding protein 2', NULL, 'Abp2', NULL, NULL, NULL, 6),
(3410, NULL, 'PF07552', NULL, NULL, 'Spore Coat Protein X and V domain', NULL, 'Coat_X', NULL, NULL, NULL, 6),
(3411, NULL, 'PF15281', NULL, NULL, 'Consortin C-terminus', NULL, 'Consortin_C', NULL, NULL, NULL, 6),
(3412, NULL, 'PF04584', NULL, NULL, 'Poxvirus A28 family', NULL, 'Pox_A28', NULL, NULL, NULL, 6),
(3413, NULL, 'PF01926', NULL, NULL, '50S ribosome-binding GTPase', NULL, 'MMR_HSR1', NULL, NULL, NULL, 6),
(3414, NULL, 'PF09989', NULL, NULL, 'CoA enzyme activase uncharacterised domain (DUF2229)', NULL, 'DUF2229', NULL, NULL, NULL, 6),
(3415, NULL, 'PF09687', NULL, NULL, 'Plasmodium RESA N-terminal', NULL, 'PRESAN', NULL, NULL, NULL, 6),
(3416, NULL, 'PF14594', NULL, NULL, 'Siphovirus ReqiPepy6 Gp37-like protein', NULL, 'Sipho_Gp37', NULL, NULL, NULL, 6),
(3417, NULL, 'PF13606', NULL, NULL, 'Ankyrin repeat', NULL, 'Ank_3', NULL, NULL, NULL, 6),
(3418, NULL, 'PF04996', NULL, NULL, 'Succinylarginine dihydrolase', NULL, 'AstB', NULL, NULL, NULL, 6),
(3419, NULL, 'PF03708', NULL, NULL, 'Avian retrovirus envelope protein, gp85', NULL, 'Avian_gp85', NULL, NULL, NULL, 6),
(3420, NULL, 'PF12876', NULL, NULL, 'Sugar-binding cellulase-like', NULL, 'Cellulase-like', NULL, NULL, NULL, 6),
(3421, NULL, 'PF12562', NULL, NULL, 'Protein of unknown function (DUF3746)', NULL, 'DUF3746', NULL, NULL, NULL, 6),
(3422, NULL, 'PF05055', NULL, NULL, 'Protein of unknown function (DUF677)', NULL, 'DUF677', NULL, NULL, NULL, 6),
(3423, NULL, 'PF11168', NULL, NULL, 'Protein of unknown function (DUF2955)', NULL, 'DUF2955', NULL, NULL, NULL, 6),
(3424, NULL, 'PF18383', NULL, NULL, 'Intraflagellar transport 81 calponin homology domain', NULL, 'IFT81_CH', NULL, NULL, NULL, 6),
(3425, NULL, 'PF03102', NULL, NULL, 'NeuB family', NULL, 'NeuB', NULL, NULL, NULL, 6),
(3426, NULL, 'PF07778', NULL, NULL, 'Mis6', NULL, 'CENP-I', NULL, NULL, NULL, 6),
(3427, NULL, 'PF13550', NULL, NULL, 'Putative phage tail protein', NULL, 'Phage-tail_3', NULL, NULL, NULL, 6),
(3428, NULL, 'PF00269', NULL, NULL, 'Small, acid-soluble spore proteins, alpha/beta type', NULL, 'SASP', NULL, NULL, NULL, 6),
(3429, NULL, 'PF15279', NULL, NULL, 'Sine oculis-binding protein', NULL, 'SOBP', NULL, NULL, NULL, 6),
(3430, NULL, 'PF09992', NULL, NULL, 'Phosphodiester glycosidase', NULL, 'NAGPA', NULL, NULL, NULL, 6),
(3431, NULL, 'PF03785', NULL, NULL, 'Peptidase family C25, C terminal ig-like domain', NULL, 'Peptidase_C25_C', NULL, NULL, NULL, 6),
(3432, NULL, 'PF00176', NULL, NULL, 'SNF2 family N-terminal domain', NULL, 'SNF2_N', NULL, NULL, NULL, 6),
(3433, NULL, 'PF17902', NULL, NULL, 'SH3 domain', NULL, 'SH3_10', NULL, NULL, NULL, 6),
(3434, NULL, 'PF01183', NULL, NULL, 'Glycosyl hydrolases family 25', NULL, 'Glyco_hydro_25', NULL, NULL, NULL, 6),
(3435, NULL, 'PF01775', NULL, NULL, 'Ribosomal proteins 50S-L18Ae/60S-L20/60S-L18A', NULL, 'Ribosomal_L18A', NULL, NULL, NULL, 6),
(3436, NULL, 'PF12440', NULL, NULL, 'Melanoma associated antigen family N terminal', NULL, 'MAGE_N', NULL, NULL, NULL, 6),
(3437, NULL, 'PF12674', NULL, NULL, 'Putative zinc ribbon domain', NULL, 'Zn_ribbon_2', NULL, NULL, NULL, 6),
(3438, NULL, 'PF07802', NULL, NULL, 'GCK domain', NULL, 'GCK', NULL, NULL, NULL, 6),
(3439, NULL, 'PF02699', NULL, NULL, 'Preprotein translocase subunit', NULL, 'YajC', NULL, NULL, NULL, 6),
(3440, NULL, 'PF14208', NULL, NULL, 'Domain of unknown function (DUF4320)', NULL, 'DUF4320', NULL, NULL, NULL, 6),
(3441, NULL, 'PF11316', NULL, NULL, 'Putative rhamnosyl transferase', NULL, 'Rhamno_transf', NULL, NULL, NULL, 6),
(3442, NULL, 'PF08272', NULL, NULL, 'Topoisomerase I zinc-ribbon-like', NULL, 'Topo_Zn_Ribbon', NULL, NULL, NULL, 6),
(3443, NULL, 'PF16086', NULL, NULL, 'Domain of unknown function (DUF4816)', NULL, 'DUF4816', NULL, NULL, NULL, 6),
(3444, NULL, 'PF02399', NULL, NULL, 'Origin of replication binding protein', NULL, 'Herpes_ori_bp', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3445, NULL, 'PF13438', NULL, NULL, 'Domain of unknown function (DUF4113)', NULL, 'DUF4113', NULL, NULL, NULL, 6),
(3446, NULL, 'PF18903', NULL, NULL, 'Domain of unknown function (DUF5659)', NULL, 'DUF5659', NULL, NULL, NULL, 6),
(3447, NULL, 'PF03638', NULL, NULL, 'Tesmin/TSO1-like CXC domain, cysteine-rich domain', NULL, 'TCR', NULL, NULL, NULL, 6),
(3448, NULL, 'PF14433', NULL, NULL, 'SUKH-3 immunity protein', NULL, 'SUKH-3', NULL, NULL, NULL, 6),
(3449, NULL, 'PF01982', NULL, NULL, 'Domain of unknown function DUF120', NULL, 'CTP-dep_RFKase', NULL, NULL, NULL, 6),
(3450, NULL, 'PF12889', NULL, NULL, 'Protein of unknown function (DUF3829)', NULL, 'DUF3829', NULL, NULL, NULL, 6),
(3451, NULL, 'PF07888', NULL, NULL, 'Calcium binding and coiled-coil domain (CALCOCO1) like', NULL, 'CALCOCO1', NULL, NULL, NULL, 6),
(3452, NULL, 'PF16125', NULL, NULL, 'Domain of unknown function (DUF4837)', NULL, 'DUF4837', NULL, NULL, NULL, 6),
(3453, NULL, 'PF15478', NULL, NULL, 'Family of unknown function with LKAAEAR motif', NULL, 'LKAAEAR', NULL, NULL, NULL, 6),
(3454, NULL, 'PF19114', NULL, NULL, 'EsV-1-7 cysteine-rich motif', NULL, 'EsV_1_7_cys', NULL, NULL, NULL, 6),
(3455, NULL, 'PF05718', NULL, NULL, 'Poxvirus intermediate transcription factor', NULL, 'Pox_int_trans', NULL, NULL, NULL, 6),
(3456, NULL, 'PF06645', NULL, NULL, 'Microsomal signal peptidase 12 kDa subunit (SPC12)', NULL, 'SPC12', NULL, NULL, NULL, 6),
(3457, NULL, 'PF12964', NULL, NULL, 'Protein of unknown function (DUF3853)', NULL, 'DUF3853', NULL, NULL, NULL, 6),
(3458, NULL, 'PF00051', NULL, NULL, 'Kringle domain', NULL, 'Kringle', NULL, NULL, NULL, 6),
(3459, NULL, 'PF11193', NULL, NULL, 'Protein of unknown function (DUF2812)', NULL, 'DUF2812', NULL, NULL, NULL, 6),
(3460, NULL, 'PF06967', NULL, NULL, 'Mo-dependent nitrogenase C-terminus', NULL, 'Mo-nitro_C', NULL, NULL, NULL, 6),
(3461, NULL, 'PF17743', NULL, NULL, 'Family of unknown function (DUF5580)', NULL, 'DUF5580', NULL, NULL, NULL, 6),
(3462, NULL, 'PF04412', NULL, NULL, 'Aconitase X', NULL, 'AcnX', NULL, NULL, NULL, 6),
(3463, NULL, 'PF03038', NULL, NULL, 'UL95 family', NULL, 'Herpes_UL95', NULL, NULL, NULL, 6),
(3464, NULL, 'PF03832', NULL, NULL, 'WSK motif', NULL, 'WSK', NULL, NULL, NULL, 6),
(3465, NULL, 'PF13916', NULL, NULL, 'PP1-regulatory protein, Phostensin N-terminal', NULL, 'Phostensin_N', NULL, NULL, NULL, 6),
(3466, NULL, 'PF13545', NULL, NULL, 'Crp-like helix-turn-helix domain', NULL, 'HTH_Crp_2', NULL, NULL, NULL, 6),
(3467, NULL, 'PF11113', NULL, NULL, 'Head assembly gene product', NULL, 'Phage_head_chap', NULL, NULL, NULL, 6),
(3468, NULL, 'PF05397', NULL, NULL, 'Mediator complex subunit 15', NULL, 'Med15_fungi', NULL, NULL, NULL, 6),
(3469, NULL, 'PF14420', NULL, NULL, 'Clr5 domain', NULL, 'Clr5', NULL, NULL, NULL, 6),
(3470, NULL, 'PF00130', NULL, NULL, 'Phorbol esters/diacylglycerol binding domain (C1 domain)', NULL, 'C1_1', NULL, NULL, NULL, 6),
(3471, NULL, 'PF12435', NULL, NULL, 'Protein of unknown function (DUF3678)', NULL, 'DUF3678', NULL, NULL, NULL, 6),
(3472, NULL, 'PF01132', NULL, NULL, 'Elongation factor P (EF-P) OB domain', NULL, 'EFP', NULL, NULL, NULL, 6),
(3473, NULL, 'PF03653', NULL, NULL, 'Uncharacterised protein family (UPF0093)', NULL, 'UPF0093', NULL, NULL, NULL, 6),
(3474, NULL, 'PF02682', NULL, NULL, 'Carboxyltransferase domain, subdomain C and D', NULL, 'CT_C_D', NULL, NULL, NULL, 6),
(3475, NULL, 'PF05144', NULL, NULL, 'Phage replication protein CRI', NULL, 'Phage_CRI', NULL, NULL, NULL, 6),
(3476, NULL, 'PF02867', NULL, NULL, 'Ribonucleotide reductase, barrel domain', NULL, 'Ribonuc_red_lgC', NULL, NULL, NULL, 6),
(3477, NULL, 'PF17457', NULL, NULL, 'Family of unknown function (DUF5420)', NULL, 'DUF5420', NULL, NULL, NULL, 6),
(3478, NULL, 'PF09385', NULL, NULL, 'Histidine kinase N terminal', NULL, 'HisK_N', NULL, NULL, NULL, 6),
(3479, NULL, 'PF13326', NULL, NULL, 'Photosystem II Pbs27', NULL, 'PSII_Pbs27', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3480, NULL, 'PF17297', NULL, NULL, 'Phosphoenolpyruvate carboxykinase N-terminal domain', NULL, 'PEPCK_N', NULL, NULL, NULL, 6),
(3481, NULL, 'PF12468', NULL, NULL, 'Type III secretion system leucine rich repeat protein', NULL, 'TTSSLRR', NULL, NULL, NULL, 6),
(3482, NULL, 'PF11950', NULL, NULL, 'Protein of unknown function (DUF3467)', NULL, 'DUF3467', NULL, NULL, NULL, 6),
(3483, NULL, 'PF07912', NULL, NULL, 'ERp29, N-terminal domain', NULL, 'ERp29_N', NULL, NULL, NULL, 6),
(3484, NULL, 'PF03723', NULL, NULL, 'Hemocyanin, ig-like domain', NULL, 'Hemocyanin_C', NULL, NULL, NULL, 6),
(3485, NULL, 'PF10341', NULL, NULL, 'Shelterin complex subunit, TPP1/ACD', NULL, 'TPP1', NULL, NULL, NULL, 6),
(3486, NULL, 'PF13893', NULL, NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', NULL, 'RRM_5', NULL, NULL, NULL, 6),
(3487, NULL, 'PF12490', NULL, NULL, 'Breast carcinoma amplified sequence 3', NULL, 'BCAS3', NULL, NULL, NULL, 6),
(3488, NULL, 'PF16994', NULL, NULL, 'Glycosyl-transferase family 4', NULL, 'Glyco_trans_4_5', NULL, NULL, NULL, 6),
(3489, NULL, 'PF07563', NULL, NULL, 'Protein of unknown function (DUF1541)', NULL, 'DUF1541', NULL, NULL, NULL, 6),
(3490, NULL, 'PF19032', NULL, NULL, 'Intu longin-like domain 2', NULL, 'Intu_longin_2', NULL, NULL, NULL, 6),
(3491, NULL, 'PF14588', NULL, NULL, 'YjgF/chorismate_mutase-like, putative endoribonuclease', NULL, 'YjgF_endoribonc', NULL, NULL, NULL, 6),
(3492, NULL, 'PF00575', NULL, NULL, 'S1 RNA binding domain', NULL, 'S1', NULL, NULL, NULL, 6),
(3493, NULL, 'PF11084', NULL, NULL, 'Protein of unknown function (DUF2621)', NULL, 'DUF2621', NULL, NULL, NULL, 6),
(3494, NULL, 'PF00303', NULL, NULL, 'Thymidylate synthase', NULL, 'Thymidylat_synt', NULL, NULL, NULL, 6),
(3495, NULL, 'PF16182', NULL, NULL, 'Putative adherens-junction anchoring region of AbLIM', NULL, 'AbLIM_anchor', NULL, NULL, NULL, 6),
(3496, NULL, 'PF04670', NULL, NULL, 'Gtr1/RagA G protein conserved region', NULL, 'Gtr1_RagA', NULL, NULL, NULL, 6),
(3497, NULL, 'PF00621', NULL, NULL, 'RhoGEF domain', NULL, 'RhoGEF', NULL, NULL, NULL, 6),
(3498, NULL, 'PF13042', NULL, NULL, 'Protein of unknown function (DUF3902)', NULL, 'DUF3902', NULL, NULL, NULL, 6),
(3499, NULL, 'PF18790', NULL, NULL, 'KfrB protein', NULL, 'KfrB', NULL, NULL, NULL, 6),
(3500, NULL, 'PF15305', NULL, NULL, 'Intraflagellar transport protein 43', NULL, 'IFT43', NULL, NULL, NULL, 6),
(3501, NULL, 'PF13078', NULL, NULL, 'Protein of unknown function (DUF3942)', NULL, 'DUF3942', NULL, NULL, NULL, 6),
(3502, NULL, 'PF09009', NULL, NULL, 'Exotoxin A catalytic', NULL, 'Exotox-A_cataly', NULL, NULL, NULL, 6),
(3503, NULL, 'PF01081', NULL, NULL, 'KDPG and KHG aldolase', NULL, 'Aldolase', NULL, NULL, NULL, 6),
(3504, NULL, 'PF17238', NULL, NULL, 'Family of unknown function (DUF5311)', NULL, 'DUF5311', NULL, NULL, NULL, 6),
(3505, NULL, 'PF16361', NULL, NULL, 'N-terminal of Subtilase family', NULL, 'Peptidase_S8_N', NULL, NULL, NULL, 6),
(3506, NULL, 'PF13324', NULL, NULL, 'Grap2 and cyclin-D-interacting', NULL, 'GCIP', NULL, NULL, NULL, 6),
(3507, NULL, 'PF18736', NULL, NULL, 'HEPN pEK499 p136', NULL, 'pEK499_p136', NULL, NULL, NULL, 6),
(3508, NULL, 'PF02277', NULL, NULL, 'Phosphoribosyltransferase', NULL, 'DBI_PRT', NULL, NULL, NULL, 6),
(3509, NULL, 'PF06303', NULL, NULL, 'MatP N-terminal domain', NULL, 'MatP', NULL, NULL, NULL, 6),
(3510, NULL, 'PF18248', NULL, NULL, 'RalF C-terminal Sec-7 capping domain', NULL, 'RalF_SCD', NULL, NULL, NULL, 6),
(3511, NULL, 'PF18719', NULL, NULL, 'ArlS sensor domain', NULL, 'ArlS_N', NULL, NULL, NULL, 6),
(3512, NULL, 'PF00566', NULL, NULL, 'Rab-GTPase-TBC domain', NULL, 'RabGAP-TBC', NULL, NULL, NULL, 6),
(3513, NULL, 'PF15327', NULL, NULL, 'Tankyrase binding protein C terminal domain', NULL, 'Tankyrase_bdg_C', NULL, NULL, NULL, 6),
(3514, NULL, 'PF16141', NULL, NULL, 'Putative glycoside hydrolase Family 18, chitinase_18', NULL, 'DUF4849', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3515, NULL, 'PF04367', NULL, NULL, 'Protein of unknown function (DUF502)', NULL, 'DUF502', NULL, NULL, NULL, 6),
(3516, NULL, 'PF05175', NULL, NULL, 'Methyltransferase small domain', NULL, 'MTS', NULL, NULL, NULL, 6),
(3517, NULL, 'PF07066', NULL, NULL, 'Lactococcus phage M3 protein', NULL, 'DUF3882', NULL, NULL, NULL, 6),
(3518, NULL, 'PF02417', NULL, NULL, 'Chromate transporter', NULL, 'Chromate_transp', NULL, NULL, NULL, 6),
(3519, NULL, 'PF08340', NULL, NULL, 'Domain of unknown function (DUF1732)', NULL, 'DUF1732', NULL, NULL, NULL, 6),
(3520, NULL, 'PF06796', NULL, NULL, 'Periplasmic nitrate reductase protein NapE', NULL, 'NapE', NULL, NULL, NULL, 6),
(3521, NULL, 'PF05104', NULL, NULL, 'Ribosome receptor lysine/proline rich region', NULL, 'Rib_recp_KP_reg', NULL, NULL, NULL, 6),
(3522, NULL, 'PF01793', NULL, NULL, 'Glycolipid 2-alpha-mannosyltransferase', NULL, 'Glyco_transf_15', NULL, NULL, NULL, 6),
(3523, NULL, 'PF08678', NULL, NULL, 'Rsbr N terminal', NULL, 'Rsbr_N', NULL, NULL, NULL, 6),
(3524, NULL, 'PF01688', NULL, NULL, 'Alphaherpesvirus glycoprotein I', NULL, 'Herpes_gI', NULL, NULL, NULL, 6),
(3525, NULL, 'PF00917', NULL, NULL, 'MATH domain', NULL, 'MATH', NULL, NULL, NULL, 6),
(3526, NULL, 'PF14855', NULL, NULL, 'Pilus-assembly fibrillin subunit, chaperone', NULL, 'PapJ', NULL, NULL, NULL, 6),
(3527, NULL, 'PF06593', NULL, NULL, 'Raspberry bushy dwarf virus coat protein', NULL, 'RBDV_coat', NULL, NULL, NULL, 6),
(3528, NULL, 'PF04284', NULL, NULL, 'Protein of unknown function (DUF441)', NULL, 'DUF441', NULL, NULL, NULL, 6),
(3529, NULL, 'PF00462', NULL, NULL, 'Glutaredoxin', NULL, 'Glutaredoxin', NULL, NULL, NULL, 6),
(3530, NULL, 'PF07752', NULL, NULL, 'S-layer protein', NULL, 'S-layer', NULL, NULL, NULL, 6),
(3531, NULL, 'PF18146', NULL, NULL, 'Damage-inducible protein CinA KH domain', NULL, 'CinA_KH', NULL, NULL, NULL, 6),
(3532, NULL, 'PF05865', NULL, NULL, 'Cypovirus polyhedrin protein', NULL, 'Cypo_polyhedrin', NULL, NULL, NULL, 6),
(3533, NULL, 'PF08438', NULL, NULL, 'GTPase of unknown function C-terminal', NULL, 'MMR_HSR1_C', NULL, NULL, NULL, 6),
(3534, NULL, 'PF06888', NULL, NULL, 'Putative Phosphatase', NULL, 'Put_Phosphatase', NULL, NULL, NULL, 6),
(3535, NULL, 'PF08473', NULL, NULL, 'Neuronal voltage-dependent calcium channel alpha 2acd', NULL, 'VGCC_alpha2', NULL, NULL, NULL, 6),
(3536, NULL, 'PF14290', NULL, NULL, 'Domain of unknown function (DUF4370)', NULL, 'DUF4370', NULL, NULL, NULL, 6),
(3537, NULL, 'PF06920', NULL, NULL, 'Dock homology region 2', NULL, 'DHR-2', NULL, NULL, NULL, 6),
(3538, NULL, 'PF12935', NULL, NULL, 'Vesicle coat trafficking protein Sec16 N-terminus', NULL, 'Sec16_N', NULL, NULL, NULL, 6),
(3539, NULL, 'PF14275', NULL, NULL, 'Domain of unknown function (DUF4362)', NULL, 'DUF4362', NULL, NULL, NULL, 6),
(3540, NULL, 'PF18450', NULL, NULL, 'Zinc Finger domain', NULL, 'zf_C2H2_6', NULL, NULL, NULL, 6),
(3541, NULL, 'PF19154', NULL, NULL, 'Family of unknown function (DUF5836)', NULL, 'DUF5836', NULL, NULL, NULL, 6),
(3542, NULL, 'PF09586', NULL, NULL, 'Bacterial membrane protein YfhO', NULL, 'YfhO', NULL, NULL, NULL, 6),
(3543, NULL, 'PF06448', NULL, NULL, 'Domain of Unknown Function (DUF1081)', NULL, 'DUF1081', NULL, NULL, NULL, 6),
(3544, NULL, 'PF00603', NULL, NULL, 'Influenza RNA-dependent RNA polymerase subunit PA', NULL, 'Flu_PA', NULL, NULL, NULL, 6),
(3545, NULL, 'PF02631', NULL, NULL, 'RecX family', NULL, 'RecX', NULL, NULL, NULL, 6),
(3546, NULL, 'PF00108', NULL, NULL, 'Thiolase, N-terminal domain', NULL, 'Thiolase_N', NULL, NULL, NULL, 6),
(3547, NULL, 'PF08331', NULL, NULL, 'Domain of unknown function (DUF1730)', NULL, 'DUF1730', NULL, NULL, NULL, 6),
(3548, NULL, 'PF04970', NULL, NULL, 'Lecithin retinol acyltransferase', NULL, 'LRAT', NULL, NULL, NULL, 6),
(3549, NULL, 'PF02679', NULL, NULL, '(2R)-phospho-3-sulfolactate synthase (ComA)', NULL, 'ComA', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3550, NULL, 'PF08694', NULL, NULL, 'Ubiquitin-fold modifier-conjugating enzyme 1', NULL, 'UFC1', NULL, NULL, NULL, 6),
(3551, NULL, 'PF07706', NULL, NULL, 'Aminotransferase ubiquitination site', NULL, 'TAT_ubiq', NULL, NULL, NULL, 6),
(3552, NULL, 'PF07746', NULL, NULL, 'Aromatic-ring-opening dioxygenase LigAB, LigA subunit', NULL, 'LigA', NULL, NULL, NULL, 6),
(3553, NULL, 'PF05819', NULL, NULL, 'NolX protein', NULL, 'NolX', NULL, NULL, NULL, 6),
(3554, NULL, 'PF08824', NULL, NULL, 'Serine rich protein interaction domain', NULL, 'Serine_rich', NULL, NULL, NULL, 6),
(3555, NULL, 'PF14231', NULL, NULL, 'GXWXG protein', NULL, 'GXWXG', NULL, NULL, NULL, 6),
(3556, NULL, 'PF03059', NULL, NULL, 'Nicotianamine synthase protein', NULL, 'NAS', NULL, NULL, NULL, 6),
(3557, NULL, 'PF11308', NULL, NULL, 'Glycosyl hydrolases related to GH101 family, GH129', NULL, 'Glyco_hydro_129', NULL, NULL, NULL, 6),
(3558, NULL, 'PF05363', NULL, NULL, 'Herpesvirus US12 family', NULL, 'Herpes_US12', NULL, NULL, NULL, 6),
(3559, NULL, 'PF06088', NULL, NULL, 'Nucleopolyhedrovirus telokin-like protein-20 (TLP20)', NULL, 'TLP-20', NULL, NULL, NULL, 6),
(3560, NULL, 'PF10318', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srh', NULL, '7TM_GPCR_Srh', NULL, NULL, NULL, 6),
(3561, NULL, 'PF00613', NULL, NULL, 'Phosphoinositide 3-kinase family, accessory domain (PIK domain)', NULL, 'PI3Ka', NULL, NULL, NULL, 6),
(3562, NULL, 'PF15317', NULL, NULL, 'Cardiac transcription factor regulator, Developmental protein', NULL, 'Lbh', NULL, NULL, NULL, 6),
(3563, NULL, 'PF17397', NULL, NULL, 'Family of unknown function (DUF5404)', NULL, 'DUF5404', NULL, NULL, NULL, 6),
(3564, NULL, 'PF03174', NULL, NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', NULL, 'CHB_HEX_C', NULL, NULL, NULL, 6),
(3565, NULL, 'PF04523', NULL, NULL, 'Herpes virus tegument protein U30', NULL, 'Herpes_U30', NULL, NULL, NULL, 6),
(3566, NULL, 'PF01171', NULL, NULL, 'PP-loop family', NULL, 'ATP_bind_3', NULL, NULL, NULL, 6),
(3567, NULL, 'PF10112', NULL, NULL, '5-bromo-4-chloroindolyl phosphate hydrolysis protein', NULL, 'Halogen_Hydrol', NULL, NULL, NULL, 6),
(3568, NULL, 'PF07945', NULL, NULL, 'Janus-atracotoxin', NULL, 'Toxin_16', NULL, NULL, NULL, 6),
(3569, NULL, 'PF00894', NULL, NULL, 'Luteovirus coat protein', NULL, 'Luteo_coat', NULL, NULL, NULL, 6),
(3570, NULL, 'PF06134', NULL, NULL, 'L-rhamnose isomerase (RhaA)', NULL, 'RhaA', NULL, NULL, NULL, 6),
(3571, NULL, 'PF04343', NULL, NULL, 'Protein of unknown function, DUF488', NULL, 'DUF488', NULL, NULL, NULL, 6),
(3572, NULL, 'PF08241', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_11', NULL, NULL, NULL, 6),
(3573, NULL, 'PF02196', NULL, NULL, 'Raf-like Ras-binding domain', NULL, 'RBD', NULL, NULL, NULL, 6),
(3574, NULL, 'PF15099', NULL, NULL, 'Phosphoinositide-interacting protein family', NULL, 'PIRT', NULL, NULL, NULL, 6),
(3575, NULL, 'PF09267', NULL, NULL, 'Dictyostelium STAT, coiled coil', NULL, 'Dict-STAT-coil', NULL, NULL, NULL, 6),
(3576, NULL, 'PF00258', NULL, NULL, 'Flavodoxin', NULL, 'Flavodoxin_1', NULL, NULL, NULL, 6),
(3577, NULL, 'PF17853', NULL, NULL, 'GGDEF-like domain', NULL, 'GGDEF_2', NULL, NULL, NULL, 6),
(3578, NULL, 'PF05128', NULL, NULL, 'Domain of unknown function (DUF697)', NULL, 'DUF697', NULL, NULL, NULL, 6),
(3579, NULL, 'PF04900', NULL, NULL, 'Fcf1', NULL, 'Fcf1', NULL, NULL, NULL, 6),
(3580, NULL, 'PF05908', NULL, NULL, 'Poly-gamma-glutamate hydrolase', NULL, 'Gamma_PGA_hydro', NULL, NULL, NULL, 6),
(3581, NULL, 'PF06227', NULL, NULL, 'dsDNA Poxvirus', NULL, 'Poxvirus', NULL, NULL, NULL, 6),
(3582, NULL, 'PF07907', NULL, NULL, 'YibE/F-like protein', NULL, 'YibE_F', NULL, NULL, NULL, 6),
(3583, NULL, 'PF06535', NULL, NULL, 'Repulsive guidance molecule (RGM) N-terminus', NULL, 'RGM_N', NULL, NULL, NULL, 6),
(3584, NULL, 'PF04484', NULL, NULL, 'QWRF family', NULL, 'QWRF', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3585, NULL, 'PF07609', NULL, NULL, 'Protein of unknown function (DUF1572)', NULL, 'DUF1572', NULL, NULL, NULL, 6),
(3586, NULL, 'PF13491', NULL, NULL, '4TM region of DNA translocase FtsK/SpoIIIE', NULL, 'FtsK_4TM', NULL, NULL, NULL, 6),
(3587, NULL, 'PF17974', NULL, NULL, 'Galactose-binding domain-like', NULL, 'GalBD_like', NULL, NULL, NULL, 6),
(3588, NULL, 'PF10221', NULL, NULL, 'Cell cycle and development regulator', NULL, 'DUF2151', NULL, NULL, NULL, 6),
(3589, NULL, 'PF19116', NULL, NULL, 'Domain of unknown function (DUF5801)', NULL, 'DUF5801', NULL, NULL, NULL, 6),
(3590, NULL, 'PF12666', NULL, NULL, 'PrgI family protein', NULL, 'PrgI', NULL, NULL, NULL, 6),
(3591, NULL, 'PF17152', NULL, NULL, 'Periplasmic sensor domain', NULL, 'CHASE8', NULL, NULL, NULL, 6),
(3592, NULL, 'PF05631', NULL, NULL, 'Sugar-tranasporters, 12 TM', NULL, 'MFS_5', NULL, NULL, NULL, 6),
(3593, NULL, 'PF10706', NULL, NULL, 'Aminoglycoside-2''''-adenylyltransferase', NULL, 'Aminoglyc_resit', NULL, NULL, NULL, 6),
(3594, NULL, 'PF03678', NULL, NULL, 'Hexon, adenovirus major coat protein, C-terminal domain', NULL, 'Adeno_hexon_C', NULL, NULL, NULL, 6),
(3595, NULL, 'PF13422', NULL, NULL, 'Domain of unknown function (DUF4110)', NULL, 'DUF4110', NULL, NULL, NULL, 6),
(3596, NULL, 'PF02351', NULL, NULL, 'GDNF/GAS1 domain', NULL, 'GDNF', NULL, NULL, NULL, 6),
(3597, NULL, 'PF17190', NULL, NULL, 'RecG N-terminal helical domain', NULL, 'RecG_N', NULL, NULL, NULL, 6),
(3598, NULL, 'PF11376', NULL, NULL, 'Protein of unknown function (DUF3179)', NULL, 'DUF3179', NULL, NULL, NULL, 6),
(3599, NULL, 'PF11169', NULL, NULL, 'Protein of unknown function (DUF2956)', NULL, 'DUF2956', NULL, NULL, NULL, 6),
(3600, NULL, 'PF14532', NULL, NULL, 'Sigma-54 interaction domain', NULL, 'Sigma54_activ_2', NULL, NULL, NULL, 6),
(3601, NULL, 'PF18684', NULL, NULL, 'Pleurotolysin B C-terminal domain', NULL, 'PlyB_C', NULL, NULL, NULL, 6),
(3602, NULL, 'PF07596', NULL, NULL, 'Protein of unknown function (DUF1559)', NULL, 'SBP_bac_10', NULL, NULL, NULL, 6),
(3603, NULL, 'PF18084', NULL, NULL, 'ARTD15 N-terminal domain', NULL, 'ARTD15_N', NULL, NULL, NULL, 6),
(3604, NULL, 'PF02288', NULL, NULL, 'Dehydratase medium subunit', NULL, 'Dehydratase_MU', NULL, NULL, NULL, 6),
(3605, NULL, 'PF07789', NULL, NULL, 'Protein of unknown function (DUF1627)', NULL, 'DUF1627', NULL, NULL, NULL, 6),
(3606, NULL, 'PF14452', NULL, NULL, 'Multiubiquitin', NULL, 'Multi_ubiq', NULL, NULL, NULL, 6),
(3607, NULL, 'PF14591', NULL, NULL, 'AF0941-like', NULL, 'AF0941-like', NULL, NULL, NULL, 6),
(3608, NULL, 'PF06972', NULL, NULL, 'Protein of unknown function (DUF1296)', NULL, 'DUF1296', NULL, NULL, NULL, 6),
(3609, NULL, 'PF18961', NULL, NULL, 'Domain of unknown function (DUF5703)', NULL, 'DUF5703_N', NULL, NULL, NULL, 6),
(3610, NULL, 'PF14670', NULL, NULL, 'Coagulation Factor Xa inhibitory site', NULL, 'FXa_inhibition', NULL, NULL, NULL, 6),
(3611, NULL, 'PF13678', NULL, NULL, 'NFkB-p65-degrading zinc protease', NULL, 'Peptidase_M85', NULL, NULL, NULL, 6),
(3612, NULL, 'PF14639', NULL, NULL, 'Holliday-junction resolvase-like of SPT6', NULL, 'YqgF', NULL, NULL, NULL, 6),
(3613, NULL, 'PF18195', NULL, NULL, 'GatD N-terminal domain', NULL, 'GatD_N', NULL, NULL, NULL, 6),
(3614, NULL, 'PF09984', NULL, NULL, 'Single cache domain 4', NULL, 'sCache_4', NULL, NULL, NULL, 6),
(3615, NULL, 'PF03703', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_2', NULL, NULL, NULL, 6),
(3616, NULL, 'PF11674', NULL, NULL, 'Protein of unknown function (DUF3270)', NULL, 'DUF3270', NULL, NULL, NULL, 6),
(3617, NULL, 'PF10039', NULL, NULL, 'Predicted integral membrane protein (DUF2275)', NULL, 'DUF2275', NULL, NULL, NULL, 6),
(3618, NULL, 'PF08864', NULL, NULL, 'UPF0302 domain', NULL, 'UPF0302', NULL, NULL, NULL, 6),
(3619, NULL, 'PF13229', NULL, NULL, 'Right handed beta helix region', NULL, 'Beta_helix', NULL, NULL, NULL, 6),
(3620, NULL, 'PF00707', NULL, NULL, 'Translation initiation factor IF-3, C-terminal domain', NULL, 'IF3_C', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3621, NULL, 'PF17426', NULL, NULL, 'Putative Gamma DNA binding protein G5P', NULL, 'Putative_G5P', NULL, NULL, NULL, 6),
(3622, NULL, 'PF04739', NULL, NULL, '5''-AMP-activated protein kinase beta subunit, interaction domain', NULL, 'AMPKBI', NULL, NULL, NULL, 6),
(3623, NULL, 'PF03632', NULL, NULL, 'Glycosyl hydrolase family 65 central catalytic domain', NULL, 'Glyco_hydro_65m', NULL, NULL, NULL, 6),
(3624, NULL, 'PF04773', NULL, NULL, 'FecR protein', NULL, 'FecR', NULL, NULL, NULL, 6),
(3625, NULL, 'PF06423', NULL, NULL, 'GWT1', NULL, 'GWT1', NULL, NULL, NULL, 6),
(3626, NULL, 'PF02507', NULL, NULL, 'Photosystem I reaction centre subunit III', NULL, 'PSI_PsaF', NULL, NULL, NULL, 6),
(3627, NULL, 'PF02119', NULL, NULL, 'Flagellar P-ring protein', NULL, 'FlgI', NULL, NULL, NULL, 6),
(3628, NULL, 'PF05616', NULL, NULL, 'Neisseria meningitidis TspB protein', NULL, 'Neisseria_TspB', NULL, NULL, NULL, 6),
(3629, NULL, 'PF10274', NULL, NULL, 'Parkin co-regulated protein', NULL, 'ParcG', NULL, NULL, NULL, 6),
(3630, NULL, 'PF18325', NULL, NULL, 'Fatty acid synthase subunit alpha Acyl carrier domain', NULL, 'Fas_alpha_ACP', NULL, NULL, NULL, 6),
(3631, NULL, 'PF11239', NULL, NULL, 'Protein of unknown function (DUF3040)', NULL, 'DUF3040', NULL, NULL, NULL, 6),
(3632, NULL, 'PF13436', NULL, NULL, 'Glycine-zipper domain', NULL, 'Gly-zipper_OmpA', NULL, NULL, NULL, 6),
(3633, NULL, 'PF14997', NULL, NULL, 'CECR6/TMEM121 family', NULL, 'CECR6_TMEM121', NULL, NULL, NULL, 6),
(3634, NULL, 'PF03737', NULL, NULL, 'Aldolase/RraA', NULL, 'RraA-like', NULL, NULL, NULL, 6),
(3635, NULL, 'PF02702', NULL, NULL, 'Osmosensitive K+ channel His kinase sensor domain', NULL, 'KdpD', NULL, NULL, NULL, 6),
(3636, NULL, 'PF03566', NULL, NULL, 'Peptidase family A21', NULL, 'Peptidase_A21', NULL, NULL, NULL, 6),
(3637, NULL, 'PF02778', NULL, NULL, 'tRNA intron endonuclease, N-terminal domain', NULL, 'tRNA_int_endo_N', NULL, NULL, NULL, 6),
(3638, NULL, 'PF15203', NULL, NULL, 'TMEM95 family', NULL, 'TMEM95', NULL, NULL, NULL, 6),
(3639, NULL, 'PF12840', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_20', NULL, NULL, NULL, 6),
(3640, NULL, 'PF01096', NULL, NULL, 'Transcription factor S-II (TFIIS)', NULL, 'TFIIS_C', NULL, NULL, NULL, 6),
(3641, NULL, 'PF01168', NULL, NULL, 'Alanine racemase, N-terminal domain', NULL, 'Ala_racemase_N', NULL, NULL, NULL, 6),
(3642, NULL, 'PF04968', NULL, NULL, 'CHORD', NULL, 'CHORD', NULL, NULL, NULL, 6),
(3643, NULL, 'PF11962', NULL, NULL, 'Peptidase_G2, IMC autoproteolytic cleavage domain', NULL, 'Peptidase_G2', NULL, NULL, NULL, 6),
(3644, NULL, 'PF18498', NULL, NULL, 'Domain of unknown function (DUF5618)', NULL, 'DUF5618', NULL, NULL, NULL, 6),
(3645, NULL, 'PF04357', NULL, NULL, 'TamB, inner membrane protein subunit of TAM complex', NULL, 'TamB', NULL, NULL, NULL, 6),
(3646, NULL, 'PF07333', NULL, NULL, 'S locus-related glycoprotein 1 binding pollen coat protein (SLR1-BP)', NULL, 'SLR1-BP', NULL, NULL, NULL, 6),
(3647, NULL, 'PF03255', NULL, NULL, 'Acetyl co-enzyme A carboxylase carboxyltransferase alpha subunit', NULL, 'ACCA', NULL, NULL, NULL, 6),
(3648, NULL, 'PF02940', NULL, NULL, 'mRNA capping enzyme, beta chain', NULL, 'mRNA_triPase', NULL, NULL, NULL, 6),
(3649, NULL, 'PF15494', NULL, NULL, 'Scavenger receptor cysteine-rich domain', NULL, 'SRCR_2', NULL, NULL, NULL, 6),
(3650, NULL, 'PF11430', NULL, NULL, 'Programmed cell death activator EGL-1', NULL, 'EGL-1', NULL, NULL, NULL, 6),
(3651, NULL, 'PF09902', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2129)', NULL, 'DUF2129', NULL, NULL, NULL, 6),
(3652, NULL, 'PF11072', NULL, NULL, 'Protein of unknown function (DUF2859)', NULL, 'DUF2859', NULL, NULL, NULL, 6),
(3653, NULL, 'PF11112', NULL, NULL, 'Pyocin activator protein PrtN', NULL, 'PyocinActivator', NULL, NULL, NULL, 6),
(3654, NULL, 'PF11886', NULL, NULL, 'Translocase of chloroplast 159/132, membrane anchor domain', NULL, 'TOC159_MAD', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3655, NULL, 'PF08084', NULL, NULL, 'PROCT (NUC072) domain', NULL, 'PROCT', NULL, NULL, NULL, 6),
(3656, NULL, 'PF14940', NULL, NULL, 'Transmembrane 219', NULL, 'TMEM219', NULL, NULL, NULL, 6),
(3657, NULL, 'PF02042', NULL, NULL, 'RWP-RK domain', NULL, 'RWP-RK', NULL, NULL, NULL, 6),
(3658, NULL, 'PF04317', NULL, NULL, 'YcjX-like family, DUF463', NULL, 'DUF463', NULL, NULL, NULL, 6),
(3659, NULL, 'PF08744', NULL, NULL, 'Plant transcription factor NOZZLE', NULL, 'NOZZLE', NULL, NULL, NULL, 6),
(3660, NULL, 'PF16916', NULL, NULL, 'Dimerisation domain of Zinc Transporter', NULL, 'ZT_dimer', NULL, NULL, NULL, 6),
(3661, NULL, 'PF14161', NULL, NULL, 'Centrosome-associated N terminus', NULL, 'FAM110_N', NULL, NULL, NULL, 6),
(3662, NULL, 'PF12011', NULL, NULL, 'RNA helicase NPH-II', NULL, 'NPH-II', NULL, NULL, NULL, 6),
(3663, NULL, 'PF10252', NULL, NULL, 'Casein kinase substrate phosphoprotein PP28', NULL, 'PP28', NULL, NULL, NULL, 6),
(3664, NULL, 'PF12472', NULL, NULL, 'Phage related protein', NULL, 'DUF3693', NULL, NULL, NULL, 6),
(3665, NULL, 'PF05171', NULL, NULL, 'Haemin-degrading HemS.ChuX domain', NULL, 'HemS', NULL, NULL, NULL, 6),
(3666, NULL, 'PF07510', NULL, NULL, 'Protein of unknown function (DUF1524)', NULL, 'DUF1524', NULL, NULL, NULL, 6),
(3667, NULL, 'PF09742', NULL, NULL, 'Dyggve-Melchior-Clausen syndrome protein', NULL, 'Dymeclin', NULL, NULL, NULL, 6),
(3668, NULL, 'PF04537', NULL, NULL, 'Herpesvirus UL55 protein', NULL, 'Herpes_UL55', NULL, NULL, NULL, 6),
(3669, NULL, 'PF01358', NULL, NULL, 'Poly A polymerase regulatory subunit', NULL, 'PARP_regulatory', NULL, NULL, NULL, 6),
(3670, NULL, 'PF16273', NULL, NULL, 'Nuclear distribution C domain', NULL, 'NuDC', NULL, NULL, NULL, 6),
(3671, NULL, 'PF11324', NULL, NULL, 'Protein of unknown function (DUF3126)', NULL, 'DUF3126', NULL, NULL, NULL, 6),
(3672, NULL, 'PF07879', NULL, NULL, 'PHB/PHA accumulation regulator DNA-binding domain', NULL, 'PHB_acc_N', NULL, NULL, NULL, 6),
(3673, NULL, 'PF13371', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_9', NULL, NULL, NULL, 6),
(3674, NULL, 'PF04264', NULL, NULL, 'YceI-like domain', NULL, 'YceI', NULL, NULL, NULL, 6),
(3675, NULL, 'PF05061', NULL, NULL, 'Poxvirus A11 Protein', NULL, 'Pox_A11', NULL, NULL, NULL, 6),
(3676, NULL, 'PF05113', NULL, NULL, 'Protein of unknown function (DUF693)', NULL, 'DUF693', NULL, NULL, NULL, 6),
(3677, NULL, 'PF16854', NULL, NULL, 'Vacuolar protein sorting-associated protein 53 C-terminus', NULL, 'VPS53_C', NULL, NULL, NULL, 6),
(3678, NULL, 'PF18845', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 3', NULL, 'baeRF_family3', NULL, NULL, NULL, 6),
(3679, NULL, 'PF08110', NULL, NULL, 'Ocellatin family', NULL, 'Antimicrobial15', NULL, NULL, NULL, 6),
(3680, NULL, 'PF06174', NULL, NULL, 'Protein of unknown function (DUF987)', NULL, 'DUF987', NULL, NULL, NULL, 6),
(3681, NULL, 'PF19209', NULL, NULL, 'Coronavirus spike glycoprotein S1, C-terminal', NULL, 'CoV_S1_C', NULL, NULL, NULL, 6),
(3682, NULL, 'PF00717', NULL, NULL, 'Peptidase S24-like', NULL, 'Peptidase_S24', NULL, NULL, NULL, 6),
(3683, NULL, 'PF03800', NULL, NULL, 'Nuf2 family', NULL, 'Nuf2', NULL, NULL, NULL, 6),
(3684, NULL, 'PF16175', NULL, NULL, 'Domain of unknown function (DUF4875)', NULL, 'DUF4875', NULL, NULL, NULL, 6),
(3685, NULL, 'PF14706', NULL, NULL, 'Transposase DNA-binding', NULL, 'Tnp_DNA_bind', NULL, NULL, NULL, 6),
(3686, NULL, 'PF12480', NULL, NULL, 'Protein of unknown function (DUF3699)', NULL, 'DUF3699', NULL, NULL, NULL, 6),
(3687, NULL, 'PF08955', NULL, NULL, 'BofC C-terminal domain', NULL, 'BofC_C', NULL, NULL, NULL, 6),
(3688, NULL, 'PF00758', NULL, NULL, 'Erythropoietin/thrombopoietin', NULL, 'EPO_TPO', NULL, NULL, NULL, 6),
(3689, NULL, 'PF12704', NULL, NULL, 'MacB-like periplasmic core domain', NULL, 'MacB_PCD', NULL, NULL, NULL, 6),
(3690, NULL, 'PF07111', NULL, NULL, 'Alpha helical coiled-coil rod protein (HCR)', NULL, 'HCR', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3691, NULL, 'PF02882', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, NAD(P)-binding domain', NULL, 'THF_DHG_CYH_C', NULL, NULL, NULL, 6),
(3692, NULL, 'PF19031', NULL, NULL, 'First Longin domain of INTU, CCZ1 and HPS4', NULL, 'Intu_longin_1', NULL, NULL, NULL, 6),
(3693, NULL, 'PF13656', NULL, NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', NULL, 'RNA_pol_L_2', NULL, NULL, NULL, 6),
(3694, NULL, 'PF07004', NULL, NULL, 'Sperm-tail PG-rich repeat', NULL, 'SHIPPO-rpt', NULL, NULL, NULL, 6),
(3695, NULL, 'PF15323', NULL, NULL, 'Developmental protein', NULL, 'Ashwin', NULL, NULL, NULL, 6),
(3696, NULL, 'PF16675', NULL, NULL, 'KIX-binding domain of forkhead box O, CR2', NULL, 'FOXO_KIX_bdg', NULL, NULL, NULL, 6),
(3697, NULL, 'PF12693', NULL, NULL, 'GspL periplasmic domain', NULL, 'GspL_C', NULL, NULL, NULL, 6),
(3698, NULL, 'PF17843', NULL, NULL, 'MycE methyltransferase N-terminal', NULL, 'MycE_N', NULL, NULL, NULL, 6),
(3699, NULL, 'PF12144', NULL, NULL, 'Eukaryotic Mediator 12 catenin-binding domain', NULL, 'Med12-PQL', NULL, NULL, NULL, 6),
(3700, NULL, 'PF00280', NULL, NULL, 'Potato inhibitor I family', NULL, 'potato_inhibit', NULL, NULL, NULL, 6),
(3701, NULL, 'PF09423', NULL, NULL, 'PhoD-like phosphatase', NULL, 'PhoD', NULL, NULL, NULL, 6),
(3702, NULL, 'PF16934', NULL, NULL, 'Two-component Enterococcus faecalis cytolysin (EFC)', NULL, 'Mersacidin', NULL, NULL, NULL, 6),
(3703, NULL, 'PF05868', NULL, NULL, 'Rotavirus major outer capsid protein VP7', NULL, 'Rotavirus_VP7', NULL, NULL, NULL, 6),
(3704, NULL, 'PF05307', NULL, NULL, 'Bundlin', NULL, 'Bundlin', NULL, NULL, NULL, 6),
(3705, NULL, 'PF08509', NULL, NULL, 'Adenylate cyclase G-alpha binding domain', NULL, 'Ad_cyc_g-alpha', NULL, NULL, NULL, 6),
(3706, NULL, 'PF13899', NULL, NULL, 'Thioredoxin-like', NULL, 'Thioredoxin_7', NULL, NULL, NULL, 6),
(3707, NULL, 'PF16153', NULL, NULL, 'Domain of unknown function (DUF4861)', NULL, 'DUF4861', NULL, NULL, NULL, 6),
(3708, NULL, 'PF06116', NULL, NULL, 'Transcriptional activator RinB', NULL, 'RinB', NULL, NULL, NULL, 6),
(3709, NULL, 'PF11422', NULL, NULL, 'Initiator binding protein 39 kDa', NULL, 'IBP39', NULL, NULL, NULL, 6),
(3710, NULL, 'PF16939', NULL, NULL, 'Putative porin', NULL, 'Porin_6', NULL, NULL, NULL, 6),
(3711, NULL, 'PF04210', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit G', NULL, 'MtrG', NULL, NULL, NULL, 6),
(3712, NULL, 'PF02046', NULL, NULL, 'Cytochrome c oxidase subunit VIa', NULL, 'COX6A', NULL, NULL, NULL, 6),
(3713, NULL, 'PF03940', NULL, NULL, 'Male specific sperm protein', NULL, 'MSSP', NULL, NULL, NULL, 6),
(3714, NULL, 'PF03341', NULL, NULL, 'Poxvirus mRNA capping enzyme, small subunit', NULL, 'Pox_mRNA-cap', NULL, NULL, NULL, 6),
(3715, NULL, 'PF04496', NULL, NULL, 'Herpesvirus UL35 family', NULL, 'Herpes_UL35', NULL, NULL, NULL, 6),
(3716, NULL, 'PF10780', NULL, NULL, '39S ribosomal protein L53/MRP-L53', NULL, 'MRP_L53', NULL, NULL, NULL, 6),
(3717, NULL, 'PF12647', NULL, NULL, 'RNHCP domain', NULL, 'RNHCP', NULL, NULL, NULL, 6),
(3718, NULL, 'PF17896', NULL, NULL, 'Replicase polyprotein 1a N-terminal domain', NULL, 'Nsp2a_N', NULL, NULL, NULL, 6),
(3719, NULL, 'PF00942', NULL, NULL, 'Cellulose binding domain', NULL, 'CBM_3', NULL, NULL, NULL, 6),
(3720, NULL, 'PF08982', NULL, NULL, 'Domain of unknown function (DUF1857)', NULL, 'DUF1857', NULL, NULL, NULL, 6),
(3721, NULL, 'PF09877', NULL, NULL, 'Predicted membrane protein (DUF2104)', NULL, 'DUF2104', NULL, NULL, NULL, 6),
(3722, NULL, 'PF08472', NULL, NULL, 'Sucrose-6-phosphate phosphohydrolase C-terminal', NULL, 'S6PP_C', NULL, NULL, NULL, 6),
(3723, NULL, 'PF15127', NULL, NULL, 'Small membrane A-kinase anchor protein', NULL, 'SmAKAP', NULL, NULL, NULL, 6),
(3724, NULL, 'PF04660', NULL, NULL, 'Nanovirus coat protein', NULL, 'Nanovirus_coat', NULL, NULL, NULL, 6),
(3725, NULL, 'PF12491', NULL, NULL, 'Apolipoprotein B100 C terminal', NULL, 'ApoB100_C', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3726, NULL, 'PF17803', NULL, NULL, 'Bacterial cadherin-like domain', NULL, 'Cadherin_4', NULL, NULL, NULL, 6),
(3727, NULL, 'PF16406', NULL, NULL, 'Domain of unknown function (DUF5014)', NULL, 'DUF5014', NULL, NULL, NULL, 6),
(3728, NULL, 'PF04309', NULL, NULL, 'Glycerol-3-phosphate responsive antiterminator', NULL, 'G3P_antiterm', NULL, NULL, NULL, 6),
(3729, NULL, 'PF14687', NULL, NULL, 'Domain of unknown function (DUF4460)', NULL, 'DUF4460', NULL, NULL, NULL, 6),
(3730, NULL, 'PF15848', NULL, NULL, 'Odontogenesis associated phosphoprotein', NULL, 'ODAPH', NULL, NULL, NULL, 6),
(3731, NULL, 'PF18489', NULL, NULL, 'Alpha helical domain', NULL, 'Alpha_Helical', NULL, NULL, NULL, 6),
(3732, NULL, 'PF16150', NULL, NULL, 'Domain of unknown function (DUF4858)', NULL, 'DUF4858', NULL, NULL, NULL, 6),
(3733, NULL, 'PF18687', NULL, NULL, 'Family of unknown function (DUF5637)', NULL, 'DUF5637', NULL, NULL, NULL, 6),
(3734, NULL, 'PF11803', NULL, NULL, 'UDP-glucuronate decarboxylase N-terminal', NULL, 'UXS1_N', NULL, NULL, NULL, 6),
(3735, NULL, 'PF07845', NULL, NULL, 'Protein of unknown function (DUF1636)', NULL, 'DUF1636', NULL, NULL, NULL, 6),
(3736, NULL, 'PF08485', NULL, NULL, 'Polysaccharide biosynthesis protein C-terminal', NULL, 'Polysacc_syn_2C', NULL, NULL, NULL, 6),
(3737, NULL, 'PF05520', NULL, NULL, 'Citrus tristeza virus P18 protein', NULL, 'Citrus_P18', NULL, NULL, NULL, 6),
(3738, NULL, 'PF15307', NULL, NULL, 'Sperm acrosome-associated protein 7', NULL, 'SPACA7', NULL, NULL, NULL, 6),
(3739, NULL, 'PF12040', NULL, NULL, 'Domain of unknown function (DUF3526)', NULL, 'DUF3526', NULL, NULL, NULL, 6),
(3740, NULL, 'PF14157', NULL, NULL, 'YmzC-like protein', NULL, 'YmzC', NULL, NULL, NULL, 6),
(3741, NULL, 'PF04868', NULL, NULL, 'Retinal cGMP phosphodiesterase, gamma subunit', NULL, 'PDE6_gamma', NULL, NULL, NULL, 6),
(3742, NULL, 'PF17656', NULL, NULL, 'FlgA N-terminal domain', NULL, 'ChapFlgA_N', NULL, NULL, NULL, 6),
(3743, NULL, 'PF11428', NULL, NULL, 'Protein of unknown function (DUF3196)', NULL, 'DUF3196', NULL, NULL, NULL, 6),
(3744, NULL, 'PF00512', NULL, NULL, 'His Kinase A (phospho-acceptor) domain', NULL, 'HisKA', NULL, NULL, NULL, 6),
(3745, NULL, 'PF07187', NULL, NULL, 'Protein of unknown function (DUF1405)', NULL, 'DUF1405', NULL, NULL, NULL, 6),
(3746, NULL, 'PF16684', NULL, NULL, 'Telomere resolvase', NULL, 'Telomere_res', NULL, NULL, NULL, 6),
(3747, NULL, 'PF08610', NULL, NULL, 'Peroxisomal membrane protein (Pex16)', NULL, 'Pex16', NULL, NULL, NULL, 6),
(3748, NULL, 'PF15040', NULL, NULL, 'Humanin family', NULL, 'Humanin', NULL, NULL, NULL, 6),
(3749, NULL, 'PF16303', NULL, NULL, 'Domain of unknown function (DUF4945)', NULL, 'DUF4945', NULL, NULL, NULL, 6),
(3750, NULL, 'PF15124', NULL, NULL, 'FANCD2 opposite strand protein', NULL, 'FANCD2OS', NULL, NULL, NULL, 6),
(3751, NULL, 'PF17832', NULL, NULL, 'Pre-PUA-like domain', NULL, 'Pre-PUA', NULL, NULL, NULL, 6),
(3752, NULL, 'PF09143', NULL, NULL, 'AvrPphF-ORF-2', NULL, 'AvrPphF-ORF-2', NULL, NULL, NULL, 6),
(3753, NULL, 'PF01077', NULL, NULL, 'Nitrite and sulphite reductase 4Fe-4S domain', NULL, 'NIR_SIR', NULL, NULL, NULL, 6),
(3754, NULL, 'PF10491', NULL, NULL, 'NLS-binding and DNA-binding and dimerisation domains of Nrf1', NULL, 'Nrf1_DNA-bind', NULL, NULL, NULL, 6),
(3755, NULL, 'PF15956', NULL, NULL, 'Domain of unknown function (DUF4760)', NULL, 'DUF4760', NULL, NULL, NULL, 6),
(3756, NULL, 'PF11995', NULL, NULL, 'Domain of unknown function (DUF3490)', NULL, 'DUF3490', NULL, NULL, NULL, 6),
(3757, NULL, 'PF03512', NULL, NULL, 'Glycosyl hydrolase family 52', NULL, 'Glyco_hydro_52', NULL, NULL, NULL, 6),
(3758, NULL, 'PF13780', NULL, NULL, 'Domain of unknown function (DUF4176)', NULL, 'DUF4176', NULL, NULL, NULL, 6),
(3759, NULL, 'PF17200', NULL, NULL, 'Single Cache domain 2', NULL, 'sCache_2', NULL, NULL, NULL, 6),
(3760, NULL, 'PF00869', NULL, NULL, 'Flavivirus glycoprotein, central and dimerisation domains', NULL, 'Flavi_glycoprot', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3761, NULL, 'PF14235', NULL, NULL, 'Domain of unknown function (DUF4337)', NULL, 'DUF4337', NULL, NULL, NULL, 6),
(3762, NULL, 'PF17134', NULL, NULL, 'Domain of unknown function (DUF5109)', NULL, 'DUF5109', NULL, NULL, NULL, 6),
(3763, NULL, 'PF18983', NULL, NULL, 'Family of unknown function (DUF5717)C-terminal', NULL, 'DUF5717', NULL, NULL, NULL, 6),
(3764, NULL, 'PF10537', NULL, NULL, 'ATP-utilising chromatin assembly and remodelling N-terminal', NULL, 'WAC_Acf1_DNA_bd', NULL, NULL, NULL, 6),
(3765, NULL, 'PF03579', NULL, NULL, 'Small hydrophobic protein', NULL, 'SHP', NULL, NULL, NULL, 6),
(3766, NULL, 'PF15806', NULL, NULL, 'Domain of unknown function (DUF4707)', NULL, 'DUF4707', NULL, NULL, NULL, 6),
(3767, NULL, 'PF03323', NULL, NULL, 'Bacillus/Clostridium GerA spore germination protein', NULL, 'GerA', NULL, NULL, NULL, 6),
(3768, NULL, 'PF14077', NULL, NULL, 'Alternative WD40 repeat motif', NULL, 'WD40_alt', NULL, NULL, NULL, 6),
(3769, NULL, 'PF11278', NULL, NULL, 'Protein of unknown function (DUF3079)', NULL, 'DUF3079', NULL, NULL, NULL, 6),
(3770, NULL, 'PF15006', NULL, NULL, 'Domain of unknown function (DUF4517)', NULL, 'DUF4517', NULL, NULL, NULL, 6),
(3771, NULL, 'PF10469', NULL, NULL, 'AKAP7 2''5'' RNA ligase-like domain', NULL, 'AKAP7_NLS', NULL, NULL, NULL, 6),
(3772, NULL, 'PF13069', NULL, NULL, 'Protein of unknown function (DUF3933)', NULL, 'DUF3933', NULL, NULL, NULL, 6),
(3773, NULL, 'PF00204', NULL, NULL, 'DNA gyrase B', NULL, 'DNA_gyraseB', NULL, NULL, NULL, 6),
(3774, NULL, 'PF13439', NULL, NULL, 'Glycosyltransferase Family 4', NULL, 'Glyco_transf_4', NULL, NULL, NULL, 6),
(3775, NULL, 'PF08004', NULL, NULL, 'Protein of unknown function (DUF1699)', NULL, 'DUF1699', NULL, NULL, NULL, 6),
(3776, NULL, 'PF16071', NULL, NULL, 'Domain of unknown function (DUF4812)', NULL, 'DUF4812', NULL, NULL, NULL, 6),
(3777, NULL, 'PF06268', NULL, NULL, 'Fascin domain', NULL, 'Fascin', NULL, NULL, NULL, 6),
(3778, NULL, 'PF10454', NULL, NULL, 'Protein of unknown function (DUF2458)', NULL, 'DUF2458', NULL, NULL, NULL, 6),
(3779, NULL, 'PF07965', NULL, NULL, 'Integrin beta tail domain', NULL, 'Integrin_B_tail', NULL, NULL, NULL, 6),
(3780, NULL, 'PF11131', NULL, NULL, 'Rap-phr extracellular signalling', NULL, 'PhrC_PhrF', NULL, NULL, NULL, 6),
(3781, NULL, 'PF14931', NULL, NULL, 'Intraflagellar transport complex B, subunit 20', NULL, 'IFT20', NULL, NULL, NULL, 6),
(3782, NULL, 'PF00464', NULL, NULL, 'Serine hydroxymethyltransferase', NULL, 'SHMT', NULL, NULL, NULL, 6),
(3783, NULL, 'PF01118', NULL, NULL, 'Semialdehyde dehydrogenase, NAD binding domain', NULL, 'Semialdhyde_dh', NULL, NULL, NULL, 6),
(3784, NULL, 'PF10676', NULL, NULL, 'Spore germination protein gerPA/gerPF', NULL, 'gerPA', NULL, NULL, NULL, 6),
(3785, NULL, 'PF00102', NULL, NULL, 'Protein-tyrosine phosphatase', NULL, 'Y_phosphatase', NULL, NULL, NULL, 6),
(3786, NULL, 'PF04290', NULL, NULL, 'Tripartite ATP-independent periplasmic transporters, DctQ component', NULL, 'DctQ', NULL, NULL, NULL, 6),
(3787, NULL, 'PF09262', NULL, NULL, 'Peroxisome biogenesis factor 1, N-terminal', NULL, 'PEX-1N', NULL, NULL, NULL, 6),
(3788, NULL, 'PF05136', NULL, NULL, 'Phage portal protein, lambda family', NULL, 'Phage_portal_2', NULL, NULL, NULL, 6),
(3789, NULL, 'PF10884', NULL, NULL, 'Protein of unknown function (DUF2683)', NULL, 'DUF2683', NULL, NULL, NULL, 6),
(3790, NULL, 'PF12911', NULL, NULL, 'N-terminal TM domain of oligopeptide transport permease C', NULL, 'OppC_N', NULL, NULL, NULL, 6),
(3791, NULL, 'PF11464', NULL, NULL, 'Rabenosyn Rab binding domain', NULL, 'Rbsn', NULL, NULL, NULL, 6),
(3792, NULL, 'PF17525', NULL, NULL, 'Family of unknown function (DUF5447)', NULL, 'DUF5447', NULL, NULL, NULL, 6),
(3793, NULL, 'PF07606', NULL, NULL, 'Protein of unknown function (DUF1569)', NULL, 'DUF1569', NULL, NULL, NULL, 6),
(3794, NULL, 'PF02604', NULL, NULL, 'Antitoxin Phd_YefM, type II toxin-antitoxin system', NULL, 'PhdYeFM_antitox', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3795, NULL, 'PF11064', NULL, NULL, 'Protein of unknown function (DUF2865)', NULL, 'DUF2865', NULL, NULL, NULL, 6),
(3796, NULL, 'PF17294', NULL, NULL, 'Uncharacterised lipoprotein family', NULL, 'Lipoprotein_22', NULL, NULL, NULL, 6),
(3797, NULL, 'PF19153', NULL, NULL, 'Family of unknown function (DUF5835)', NULL, 'DUF5835', NULL, NULL, NULL, 6),
(3798, NULL, 'PF05340', NULL, NULL, 'Protein of unknown function (DUF740)', NULL, 'DUF740', NULL, NULL, NULL, 6),
(3799, NULL, 'PF18150', NULL, NULL, 'Domain of unknown function (DUF5600)', NULL, 'DUF5600', NULL, NULL, NULL, 6),
(3800, NULL, 'PF19035', NULL, NULL, 'CCN3 Nov like TSP1 domain', NULL, 'TSP1_CCN', NULL, NULL, NULL, 6),
(3801, NULL, 'PF11483', NULL, NULL, 'Protein of unknown function (DUF3209)', NULL, 'DUF3209', NULL, NULL, NULL, 6),
(3802, NULL, 'PF03701', NULL, NULL, 'Uncharacterised protein family (UPF0181)', NULL, 'UPF0181', NULL, NULL, NULL, 6),
(3803, NULL, 'PF17037', NULL, NULL, 'Cellulose biosynthesis protein BcsO', NULL, 'CBP_BcsO', NULL, NULL, NULL, 6),
(3804, NULL, 'PF18838', NULL, NULL, 'Large polyvalent protein associated domain 23', NULL, 'LPD23', NULL, NULL, NULL, 6),
(3805, NULL, 'PF02302', NULL, NULL, 'PTS system, Lactose/Cellobiose specific IIB subunit', NULL, 'PTS_IIB', NULL, NULL, NULL, 6),
(3806, NULL, 'PF16867', NULL, NULL, 'Dimethlysulfonioproprionate lyase', NULL, 'DMSP_lyase', NULL, NULL, NULL, 6),
(3807, NULL, 'PF14600', NULL, NULL, 'Cellulose-binding domain', NULL, 'CBM_5_12_2', NULL, NULL, NULL, 6),
(3808, NULL, 'PF00333', NULL, NULL, 'Ribosomal protein S5, N-terminal domain', NULL, 'Ribosomal_S5', NULL, NULL, NULL, 6),
(3809, NULL, 'PF01367', NULL, NULL, '5''-3'' exonuclease, C-terminal SAM fold', NULL, '5_3_exonuc', NULL, NULL, NULL, 6),
(3810, NULL, 'PF14025', NULL, NULL, 'Protein of unknown function (DUF4241)', NULL, 'DUF4241', NULL, NULL, NULL, 6),
(3811, NULL, 'PF00773', NULL, NULL, 'RNB domain', NULL, 'RNB', NULL, NULL, NULL, 6),
(3812, NULL, 'PF16366', NULL, NULL, 'Cytoplasmic polyadenylation element-binding protein ZZ domain', NULL, 'CEBP_ZZ', NULL, NULL, NULL, 6),
(3813, NULL, 'PF13646', NULL, NULL, 'HEAT repeats', NULL, 'HEAT_2', NULL, NULL, NULL, 6),
(3814, NULL, 'PF08813', NULL, NULL, 'Phage tail tube protein, TTP', NULL, 'Phage_tail_3', NULL, NULL, NULL, 6),
(3815, NULL, 'PF14010', NULL, NULL, 'Phosphoenolpyruvate carboxylase', NULL, 'PEPcase_2', NULL, NULL, NULL, 6),
(3816, NULL, 'PF15646', NULL, NULL, 'Restriction endonuclease fold toxin 2', NULL, 'Tox-REase-2', NULL, NULL, NULL, 6),
(3817, NULL, 'PF09224', NULL, NULL, 'Domain of unknown function (DUF1961)', NULL, 'DUF1961', NULL, NULL, NULL, 6),
(3818, NULL, 'PF13833', NULL, NULL, 'EF-hand domain pair', NULL, 'EF-hand_8', NULL, NULL, NULL, 6),
(3819, NULL, 'PF09264', NULL, NULL, 'Vibrio cholerae sialidase, lectin insertion', NULL, 'Sial-lect-inser', NULL, NULL, NULL, 6),
(3820, NULL, 'PF09227', NULL, NULL, 'Domain of unknown function (DUF1962)', NULL, 'DUF1962', NULL, NULL, NULL, 6),
(3821, NULL, 'PF14646', NULL, NULL, 'MYCBP-associated protein family', NULL, 'MYCBPAP', NULL, NULL, NULL, 6),
(3822, NULL, 'PF18254', NULL, NULL, 'HMW1 domain 2', NULL, 'HMw1_D2', NULL, NULL, NULL, 6),
(3823, NULL, 'PF03825', NULL, NULL, 'Nucleoside H+ symporter', NULL, 'Nuc_H_symport', NULL, NULL, NULL, 6),
(3824, NULL, 'PF18610', NULL, NULL, 'Periplasmic binding protein domain', NULL, 'Peripla_BP_7', NULL, NULL, NULL, 6),
(3825, NULL, 'PF03999', NULL, NULL, 'Microtubule associated protein (MAP65/ASE1 family)', NULL, 'MAP65_ASE1', NULL, NULL, NULL, 6),
(3826, NULL, 'PF16341', NULL, NULL, 'Domain of unknown function (DUF4971)', NULL, 'DUF4971', NULL, NULL, NULL, 6),
(3827, NULL, 'PF13774', NULL, NULL, 'Regulated-SNARE-like domain', NULL, 'Longin', NULL, NULL, NULL, 6),
(3828, NULL, 'PF16703', NULL, NULL, 'Domain of unknown function (DUF5064)', NULL, 'DUF5064', NULL, NULL, NULL, 6),
(3829, NULL, 'PF07537', NULL, NULL, 'CamS sex pheromone cAM373 precursor', NULL, 'CamS', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3830, NULL, 'PF08993', NULL, NULL, 'T4 gene Gp59 loader of gp41 DNA helicase', NULL, 'T4_Gp59_N', NULL, NULL, NULL, 6),
(3831, NULL, 'PF06269', NULL, NULL, 'Protein of unknown function (DUF1029)', NULL, 'DUF1029', NULL, NULL, NULL, 6),
(3832, NULL, 'PF11273', NULL, NULL, 'Protein of unknown function (DUF3073)', NULL, 'DUF3073', NULL, NULL, NULL, 6),
(3833, NULL, 'PF08537', NULL, NULL, 'Fungal Nap binding protein NBP1', NULL, 'NBP1', NULL, NULL, NULL, 6),
(3834, NULL, 'PF16490', NULL, NULL, 'Putative oxidoreductase C terminal domain', NULL, 'Oxidoreduct_C', NULL, NULL, NULL, 6),
(3835, NULL, 'PF14379', NULL, NULL, 'MYB-CC type transfactor, LHEQLE motif', NULL, 'Myb_CC_LHEQLE', NULL, NULL, NULL, 6),
(3836, NULL, 'PF08908', NULL, NULL, 'Domain of unknown function (DUF1852)', NULL, 'DUF1852', NULL, NULL, NULL, 6),
(3837, NULL, 'PF13300', NULL, NULL, 'Domain of unknown function (DUF4078)', NULL, 'DUF4078', NULL, NULL, NULL, 6),
(3838, NULL, 'PF00601', NULL, NULL, 'Influenza non-structural protein (NS2)', NULL, 'Flu_NS2', NULL, NULL, NULL, 6),
(3839, NULL, 'PF03177', NULL, NULL, 'Non-repetitive/WGA-negative nucleoporin C-terminal', NULL, 'Nucleoporin_C', NULL, NULL, NULL, 6),
(3840, NULL, 'PF08605', NULL, NULL, 'Fungal Rad9-like Rad53-binding', NULL, 'Rad9_Rad53_bind', NULL, NULL, NULL, 6),
(3841, NULL, 'PF17963', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_9', NULL, NULL, NULL, 6),
(3842, NULL, 'PF13643', NULL, NULL, 'Domain of unknown function (DUF4145)', NULL, 'DUF4145', NULL, NULL, NULL, 6),
(3843, NULL, 'PF04403', NULL, NULL, 'Paraquat-inducible protein A', NULL, 'PqiA', NULL, NULL, NULL, 6),
(3844, NULL, 'PF05591', NULL, NULL, 'Type VI secretion system, VipA, VC_A0107 or Hcp2', NULL, 'T6SS_VipA', NULL, NULL, NULL, 6),
(3845, NULL, 'PF14851', NULL, NULL, 'FAM176 family', NULL, 'FAM176', NULL, NULL, NULL, 6),
(3846, NULL, 'PF13631', NULL, NULL, 'Cytochrome b(N-terminal)/b6/petB', NULL, 'Cytochrom_B_N_2', NULL, NULL, NULL, 6),
(3847, NULL, 'PF05464', NULL, NULL, 'Phi-29-like late genes activator (early protein GP4)', NULL, 'Phi-29_GP4', NULL, NULL, NULL, 6),
(3848, NULL, 'PF00645', NULL, NULL, 'Poly(ADP-ribose) polymerase and DNA-Ligase Zn-finger region', NULL, 'zf-PARP', NULL, NULL, NULL, 6),
(3849, NULL, 'PF07767', NULL, NULL, 'Nop53 (60S ribosomal biogenesis)', NULL, 'Nop53', NULL, NULL, NULL, 6),
(3850, NULL, 'PF08618', NULL, NULL, 'Transcription factor Opi1', NULL, 'Opi1', NULL, NULL, NULL, 6),
(3851, NULL, 'PF09834', NULL, NULL, 'Predicted membrane protein (DUF2061)', NULL, 'DUF2061', NULL, NULL, NULL, 6),
(3852, NULL, 'PF15294', NULL, NULL, 'Leucine zipper', NULL, 'Leu_zip', NULL, NULL, NULL, 6),
(3853, NULL, 'PF00400', NULL, NULL, 'WD domain, G-beta repeat', NULL, 'WD40', NULL, NULL, NULL, 6),
(3854, NULL, 'PF14415', NULL, NULL, 'Domain of unknown function (DUF4424)', NULL, 'DUF4424', NULL, NULL, NULL, 6),
(3855, NULL, 'PF11773', NULL, NULL, 'Type II secretory pathway pseudopilin', NULL, 'PulG', NULL, NULL, NULL, 6),
(3856, NULL, 'PF15277', NULL, NULL, 'Exocyst complex component SEC3 N-terminal PIP2 binding PH', NULL, 'Sec3-PIP2_bind', NULL, NULL, NULL, 6),
(3857, NULL, 'PF15119', NULL, NULL, 'Apolipoprotein C4', NULL, 'APOC4', NULL, NULL, NULL, 6),
(3858, NULL, 'PF04504', NULL, NULL, 'Protein of unknown function, DUF573', NULL, 'DUF573', NULL, NULL, NULL, 6),
(3859, NULL, 'PF03071', NULL, NULL, 'GNT-I family', NULL, 'GNT-I', NULL, NULL, NULL, 6),
(3860, NULL, 'PF11727', NULL, NULL, 'Invariant surface glycoprotein', NULL, 'ISG65-75', NULL, NULL, NULL, 6),
(3861, NULL, 'PF06858', NULL, NULL, 'Nucleolar GTP-binding protein 1 (NOG1)', NULL, 'NOG1', NULL, NULL, NULL, 6),
(3862, NULL, 'PF14804', NULL, NULL, 'Jag N-terminus', NULL, 'Jag_N', NULL, NULL, NULL, 6),
(3863, NULL, 'PF04859', NULL, NULL, 'Plant protein of unknown function (DUF641)', NULL, 'DUF641', NULL, NULL, NULL, 6),
(3864, NULL, 'PF03647', NULL, NULL, 'Transmembrane proteins 14C', NULL, 'Tmemb_14', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3865, NULL, 'PF11630', NULL, NULL, 'Protein of unknown function (DUF3254)', NULL, 'DUF3254', NULL, NULL, NULL, 6),
(3866, NULL, 'PF00024', NULL, NULL, 'PAN domain', NULL, 'PAN_1', NULL, NULL, NULL, 6),
(3867, NULL, 'PF12629', NULL, NULL, 'Poxvirus poly(A) polymerase C-terminal domain', NULL, 'Pox_polyA_pol_C', NULL, NULL, NULL, 6),
(3868, NULL, 'PF08141', NULL, NULL, 'Small acid-soluble spore protein H family', NULL, 'SspH', NULL, NULL, NULL, 6),
(3869, NULL, 'PF17735', NULL, NULL, 'Biofilm surface layer A', NULL, 'BslA', NULL, NULL, NULL, 6),
(3870, NULL, 'PF05919', NULL, NULL, 'Mitovirus RNA-dependent RNA polymerase', NULL, 'Mitovir_RNA_pol', NULL, NULL, NULL, 6),
(3871, NULL, 'PF13156', NULL, NULL, 'Restriction endonuclease', NULL, 'Mrr_cat_2', NULL, NULL, NULL, 6),
(3872, NULL, 'PF08159', NULL, NULL, 'NUC153 domain', NULL, 'NUC153', NULL, NULL, NULL, 6),
(3873, NULL, 'PF15809', NULL, NULL, 'Simian taste bud-specific gene product family', NULL, 'STG', NULL, NULL, NULL, 6),
(3874, NULL, 'PF00034', NULL, NULL, 'Cytochrome c', NULL, 'Cytochrom_C', NULL, NULL, NULL, 6),
(3875, NULL, 'PF03092', NULL, NULL, 'BT1 family', NULL, 'BT1', NULL, NULL, NULL, 6),
(3876, NULL, 'PF10564', NULL, NULL, 'Sialic-acid binding micronemal adhesive repeat', NULL, 'MAR_sialic_bdg', NULL, NULL, NULL, 6),
(3877, NULL, 'PF05023', NULL, NULL, 'Phytochelatin synthase', NULL, 'Phytochelatin', NULL, NULL, NULL, 6),
(3878, NULL, 'PF12863', NULL, NULL, 'Domain of unknown function (DUF3821)', NULL, 'DUF3821', NULL, NULL, NULL, 6),
(3879, NULL, 'PF08470', NULL, NULL, 'Nontoxic nonhaemagglutinin C-terminal', NULL, 'NTNH_C', NULL, NULL, NULL, 6),
(3880, NULL, 'PF01062', NULL, NULL, 'Bestrophin, RFP-TM, chloride channel', NULL, 'Bestrophin', NULL, NULL, NULL, 6),
(3881, NULL, 'PF01302', NULL, NULL, 'CAP-Gly domain', NULL, 'CAP_GLY', NULL, NULL, NULL, 6),
(3882, NULL, 'PF07203', NULL, NULL, 'Protein of unknown function (DUF1412)', NULL, 'DUF1412', NULL, NULL, NULL, 6),
(3883, NULL, 'PF14411', NULL, NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved LHH', NULL, 'LHH', NULL, NULL, NULL, 6),
(3884, NULL, 'PF03932', NULL, NULL, 'CutC family', NULL, 'CutC', NULL, NULL, NULL, 6),
(3885, NULL, 'PF05501', NULL, NULL, 'Domain of unknown function (DUF755)', NULL, 'DUF755', NULL, NULL, NULL, 6),
(3886, NULL, 'PF08452', NULL, NULL, 'DNA polymerase family B exonuclease domain, N-terminal', NULL, 'DNAP_B_exo_N', NULL, NULL, NULL, 6),
(3887, NULL, 'PF14647', NULL, NULL, 'FAM91 N-terminus', NULL, 'FAM91_N', NULL, NULL, NULL, 6),
(3888, NULL, 'PF09617', NULL, NULL, 'CRISPR-associated protein GSU0053 (Cas_GSU0053)', NULL, 'Cas_GSU0053', NULL, NULL, NULL, 6),
(3889, NULL, 'PF16427', NULL, NULL, 'Domain of unknown function (DUF5024)', NULL, 'DUF5024', NULL, NULL, NULL, 6),
(3890, NULL, 'PF02249', NULL, NULL, 'Methyl-coenzyme M reductase alpha subunit, C-terminal domain', NULL, 'MCR_alpha', NULL, NULL, NULL, 6),
(3891, NULL, 'PF01807', NULL, NULL, 'CHC2 zinc finger', NULL, 'zf-CHC2', NULL, NULL, NULL, 6),
(3892, NULL, 'PF07810', NULL, NULL, 'TMC domain', NULL, 'TMC', NULL, NULL, NULL, 6),
(3893, NULL, 'PF03795', NULL, NULL, 'YCII-related domain', NULL, 'YCII', NULL, NULL, NULL, 6),
(3894, NULL, 'PF10425', NULL, NULL, 'C-terminus of bacterial fibrinogen-binding adhesin', NULL, 'SdrG_C_C', NULL, NULL, NULL, 6),
(3895, NULL, 'PF13918', NULL, NULL, 'PLD-like domain', NULL, 'PLDc_3', NULL, NULL, NULL, 6),
(3896, NULL, 'PF13553', NULL, NULL, 'Function to find', NULL, 'FIIND', NULL, NULL, NULL, 6),
(3897, NULL, 'PF11270', NULL, NULL, 'Protein of unknown function (DUF3070)', NULL, 'DUF3070', NULL, NULL, NULL, 6),
(3898, NULL, 'PF15550', NULL, NULL, 'Draxin', NULL, 'Draxin', NULL, NULL, NULL, 6),
(3899, NULL, 'PF07719', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_2', NULL, NULL, NULL, 6),
(3900, NULL, 'PF04075', NULL, NULL, 'F420H(2)-dependent quinone reductase', NULL, 'F420H2_quin_red', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3901, NULL, 'PF02260', NULL, NULL, 'FATC domain', NULL, 'FATC', NULL, NULL, NULL, 6),
(3902, NULL, 'PF12081', NULL, NULL, 'GldM N-terminal domain', NULL, 'GldM_N', NULL, NULL, NULL, 6),
(3903, NULL, 'PF15982', NULL, NULL, 'N-terminal cysteine-rich region of Transmembrane protein 135', NULL, 'TMEM135_C_rich', NULL, NULL, NULL, 6),
(3904, NULL, 'PF07292', NULL, NULL, 'Nmi/IFP 35 domain (NID)', NULL, 'NID', NULL, NULL, NULL, 6),
(3905, NULL, 'PF17165', NULL, NULL, 'Domain of unknown function (DUF5121)', NULL, 'DUF5121', NULL, NULL, NULL, 6),
(3906, NULL, 'PF17124', NULL, NULL, 'ThiJ/PfpI family-like', NULL, 'ThiJ_like', NULL, NULL, NULL, 6),
(3907, NULL, 'PF13173', NULL, NULL, 'AAA domain', NULL, 'AAA_14', NULL, NULL, NULL, 6),
(3908, NULL, 'PF09181', NULL, NULL, 'Prolyl-tRNA synthetase, C-terminal', NULL, 'ProRS-C_2', NULL, NULL, NULL, 6),
(3909, NULL, 'PF00114', NULL, NULL, 'Pilin (bacterial filament)', NULL, 'Pilin', NULL, NULL, NULL, 6),
(3910, NULL, 'PF15897', NULL, NULL, 'Domain of unknown function (DUF4741)', NULL, 'DUF4741', NULL, NULL, NULL, 6),
(3911, NULL, 'PF18160', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain family 5', NULL, 'SLATT_5', NULL, NULL, NULL, 6),
(3912, NULL, 'PF06850', NULL, NULL, 'PHB de-polymerase C-terminus', NULL, 'PHB_depo_C', NULL, NULL, NULL, 6),
(3913, NULL, 'PF02812', NULL, NULL, 'Glu/Leu/Phe/Val dehydrogenase, dimerisation domain', NULL, 'ELFV_dehydrog_N', NULL, NULL, NULL, 6),
(3914, NULL, 'PF02710', NULL, NULL, 'Hemagglutinin domain of haemagglutinin-esterase-fusion glycoprotein', NULL, 'Hema_HEFG', NULL, NULL, NULL, 6),
(3915, NULL, 'PF12311', NULL, NULL, 'Protein of unknown function (DUF3632)', NULL, 'DUF3632', NULL, NULL, NULL, 6),
(3916, NULL, 'PF07684', NULL, NULL, 'NOTCH protein', NULL, 'NODP', NULL, NULL, NULL, 6),
(3917, NULL, 'PF13280', NULL, NULL, 'WYL domain', NULL, 'WYL', NULL, NULL, NULL, 6),
(3918, NULL, 'PF12867', NULL, NULL, 'DinB superfamily', NULL, 'DinB_2', NULL, NULL, NULL, 6),
(3919, NULL, 'PF09379', NULL, NULL, 'FERM N-terminal domain', NULL, 'FERM_N', NULL, NULL, NULL, 6),
(3920, NULL, 'PF17270', NULL, NULL, 'Family of unknown function (DUF5336)', NULL, 'DUF5336', NULL, NULL, NULL, 6),
(3921, NULL, 'PF17458', NULL, NULL, 'Family of unknown function (DUF5421)', NULL, 'DUF5421', NULL, NULL, NULL, 6),
(3922, NULL, 'PF12240', NULL, NULL, 'Angiomotin C terminal', NULL, 'Angiomotin_C', NULL, NULL, NULL, 6),
(3923, NULL, 'PF09775', NULL, NULL, 'Keratinocyte-associated protein 2', NULL, 'Keratin_assoc', NULL, NULL, NULL, 6),
(3924, NULL, 'PF00014', NULL, NULL, 'Kunitz/Bovine pancreatic trypsin inhibitor domain', NULL, 'Kunitz_BPTI', NULL, NULL, NULL, 6),
(3925, NULL, 'PF11029', NULL, NULL, 'DAZ associated protein 2 (DAZAP2)', NULL, 'DAZAP2', NULL, NULL, NULL, 6),
(3926, NULL, 'PF12157', NULL, NULL, 'Protein of unknown function (DUF3591)', NULL, 'DUF3591', NULL, NULL, NULL, 6),
(3927, NULL, 'PF08124', NULL, NULL, 'Polysaccharide lyase family 8, N terminal alpha-helical domain', NULL, 'Lyase_8_N', NULL, NULL, NULL, 6),
(3928, NULL, 'PF00401', NULL, NULL, 'ATP synthase, Delta/Epsilon chain, long alpha-helix domain', NULL, 'ATP-synt_DE', NULL, NULL, NULL, 6),
(3929, NULL, 'PF13402', NULL, NULL, 'Peptidase M60, enhancin and enhancin-like', NULL, 'Peptidase_M60', NULL, NULL, NULL, 6),
(3930, NULL, 'PF13417', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N_3', NULL, NULL, NULL, 6),
(3931, NULL, 'PF02719', NULL, NULL, 'Polysaccharide biosynthesis protein', NULL, 'Polysacc_synt_2', NULL, NULL, NULL, 6),
(3932, NULL, 'PF09254', NULL, NULL, 'Restriction endonuclease FokI, C terminal', NULL, 'Endonuc-FokI_C', NULL, NULL, NULL, 6),
(3933, NULL, 'PF06876', NULL, NULL, 'Plant self-incompatibility response (SCRL) protein', NULL, 'SCRL', NULL, NULL, NULL, 6),
(3934, NULL, 'PF13475', NULL, NULL, 'Domain of unknown function (DUF4116)', NULL, 'DUF4116', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3935, NULL, 'PF09526', NULL, NULL, 'Probable metal-binding protein (DUF2387)', NULL, 'DUF2387', NULL, NULL, NULL, 6),
(3936, NULL, 'PF09680', NULL, NULL, 'Family of unknown function', NULL, 'YjcZ_2', NULL, NULL, NULL, 6),
(3937, NULL, 'PF12109', NULL, NULL, 'CXCR4 Chemokine receptor N terminal', NULL, 'CXCR4_N', NULL, NULL, NULL, 6),
(3938, NULL, 'PF07654', NULL, NULL, 'Immunoglobulin C1-set domain', NULL, 'C1-set', NULL, NULL, NULL, 6),
(3939, NULL, 'PF05846', NULL, NULL, 'Chordopoxvirus A15 protein', NULL, 'Chordopox_A15', NULL, NULL, NULL, 6),
(3940, NULL, 'PF01933', NULL, NULL, 'Uncharacterised protein family UPF0052', NULL, 'UPF0052', NULL, NULL, NULL, 6),
(3941, NULL, 'PF10268', NULL, NULL, 'Predicted transmembrane protein 161AB', NULL, 'Tmemb_161AB', NULL, NULL, NULL, 6),
(3942, NULL, 'PF17213', NULL, NULL, 'Hydin Adenylate kinase-like domain', NULL, 'Hydin_ADK', NULL, NULL, NULL, 6),
(3943, NULL, 'PF10645', NULL, NULL, 'Carbohydrate binding', NULL, 'Carb_bind', NULL, NULL, NULL, 6),
(3944, NULL, 'PF15380', NULL, NULL, 'Domain of unknown function (DUF4607)', NULL, 'DUF4607', NULL, NULL, NULL, 6),
(3945, NULL, 'PF18840', NULL, NULL, 'Large polyvalent protein associated domain 25', NULL, 'LPD25', NULL, NULL, NULL, 6),
(3946, NULL, 'PF05473', NULL, NULL, 'UL45 protein, carbohydrate-binding C-type lectin-like', NULL, 'UL45', NULL, NULL, NULL, 6),
(3947, NULL, 'PF13251', NULL, NULL, 'Domain of unknown function (DUF4042)', NULL, 'DUF4042', NULL, NULL, NULL, 6),
(3948, NULL, 'PF14810', NULL, NULL, 'Patch-forming domain C2 of tRNA-guanine transglycosylase', NULL, 'TGT_C2', NULL, NULL, NULL, 6),
(3949, NULL, 'PF04273', NULL, NULL, 'Putative phosphatase (DUF442)', NULL, 'DUF442', NULL, NULL, NULL, 6),
(3950, NULL, 'PF00508', NULL, NULL, 'E2 (early) protein, N terminal', NULL, 'PPV_E2_N', NULL, NULL, NULL, 6),
(3951, NULL, 'PF17983', NULL, NULL, 'Trypsin inhibitors 1,2 and 3', NULL, 'Tryp_inh', NULL, NULL, NULL, 6),
(3952, NULL, 'PF10521', NULL, NULL, 'Tti2 family', NULL, 'Tti2', NULL, NULL, NULL, 6),
(3953, NULL, 'PF03293', NULL, NULL, 'Poxvirus DNA-directed RNA polymerase, 18 kD subunit', NULL, 'Pox_RNA_pol', NULL, NULL, NULL, 6),
(3954, NULL, 'PF17524', NULL, NULL, 'Anti-sigma factor CnrY', NULL, 'CnrY', NULL, NULL, NULL, 6),
(3955, NULL, 'PF03352', NULL, NULL, 'Methyladenine glycosylase', NULL, 'Adenine_glyco', NULL, NULL, NULL, 6),
(3956, NULL, 'PF14132', NULL, NULL, 'Domain of unknown function (DUF4299)', NULL, 'DUF4299', NULL, NULL, NULL, 6),
(3957, NULL, 'PF17356', NULL, NULL, 'Phage-like element PBSX protein XtrA', NULL, 'PBSX_XtrA', NULL, NULL, NULL, 6),
(3958, NULL, 'PF02864', NULL, NULL, 'STAT protein, DNA binding domain', NULL, 'STAT_bind', NULL, NULL, NULL, 6),
(3959, NULL, 'PF17103', NULL, NULL, 'Stealth protein CR4, conserved region 4', NULL, 'Stealth_CR4', NULL, NULL, NULL, 6),
(3960, NULL, 'PF14863', NULL, NULL, 'Alkyl sulfatase dimerisation', NULL, 'Alkyl_sulf_dimr', NULL, NULL, NULL, 6),
(3961, NULL, 'PF00367', NULL, NULL, 'phosphotransferase system, EIIB', NULL, 'PTS_EIIB', NULL, NULL, NULL, 6),
(3962, NULL, 'PF08972', NULL, NULL, 'Domain of unknown function (DUF1902)', NULL, 'DUF1902', NULL, NULL, NULL, 6),
(3963, NULL, 'PF02541', NULL, NULL, 'Ppx/GppA phosphatase family', NULL, 'Ppx-GppA', NULL, NULL, NULL, 6),
(3964, NULL, 'PF15200', NULL, NULL, 'Keratinocyte differentiation-associated', NULL, 'KRTDAP', NULL, NULL, NULL, 6),
(3965, NULL, 'PF06023', NULL, NULL, 'CRISPR-associated exonuclease Csa1', NULL, 'Csa1', NULL, NULL, NULL, 6),
(3966, NULL, 'PF01158', NULL, NULL, 'Ribosomal protein L36e', NULL, 'Ribosomal_L36e', NULL, NULL, NULL, 6),
(3967, NULL, 'PF05907', NULL, NULL, 'Eukaryotic protein of unknown function (DUF866)', NULL, 'DUF866', NULL, NULL, NULL, 6),
(3968, NULL, 'PF07595', NULL, NULL, 'Planctomycete extracellular', NULL, 'Planc_extracel', NULL, NULL, NULL, 6),
(3969, NULL, 'PF09166', NULL, NULL, 'Biliverdin reductase, catalytic', NULL, 'Biliv-reduc_cat', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(3970, NULL, 'PF12267', NULL, NULL, 'Protein of unknown function (DUF3614)', NULL, 'DUF3614', NULL, NULL, NULL, 6),
(3971, NULL, 'PF04921', NULL, NULL, 'XAP5, circadian clock regulator', NULL, 'XAP5', NULL, NULL, NULL, 6),
(3972, NULL, 'PF18672', NULL, NULL, 'Family of unknown function (DUF5634) N-terminal domain', NULL, 'DUF5634_N', NULL, NULL, NULL, 6),
(3973, NULL, 'PF12633', NULL, NULL, 'Adenylate cyclase NT domain', NULL, 'Adenyl_cycl_N', NULL, NULL, NULL, 6),
(3974, NULL, 'PF00693', NULL, NULL, 'Thymidine kinase from herpesvirus', NULL, 'Herpes_TK', NULL, NULL, NULL, 6),
(3975, NULL, 'PF05840', NULL, NULL, 'Bacteriophage replication gene A protein (GPA)', NULL, 'Phage_GPA', NULL, NULL, NULL, 6),
(3976, NULL, 'PF02949', NULL, NULL, '7tm Odorant receptor', NULL, '7tm_6', NULL, NULL, NULL, 6),
(3977, NULL, 'PF14680', NULL, NULL, 'FANCI helical domain 2', NULL, 'FANCI_HD2', NULL, NULL, NULL, 6),
(3978, NULL, 'PF00665', NULL, NULL, 'Integrase core domain', NULL, 'rve', NULL, NULL, NULL, 6),
(3979, NULL, 'PF02543', NULL, NULL, 'Carbamoyltransferase N-terminus', NULL, 'Carbam_trans_N', NULL, NULL, NULL, 6),
(3980, NULL, 'PF00723', NULL, NULL, 'Glycosyl hydrolases family 15', NULL, 'Glyco_hydro_15', NULL, NULL, NULL, 6),
(3981, NULL, 'PF09688', NULL, NULL, 'Protein of unknown function (Wx5_PLAF3D7)', NULL, 'Wx5_PLAF3D7', NULL, NULL, NULL, 6),
(3982, NULL, 'PF16106', NULL, NULL, 'Domain of unknown function (DUF4824)', NULL, 'DUF4824', NULL, NULL, NULL, 6),
(3983, NULL, 'PF18290', NULL, NULL, 'Nudix hydrolase domain', NULL, 'Nudix_hydro', NULL, NULL, NULL, 6),
(3984, NULL, 'PF09428', NULL, NULL, 'Fungal protein of unknown function (DUF2011)', NULL, 'DUF2011', NULL, NULL, NULL, 6),
(3985, NULL, 'PF05677', NULL, NULL, 'Chlamydia CHLPS protein (DUF818)', NULL, 'DUF818', NULL, NULL, NULL, 6),
(3986, NULL, 'PF14618', NULL, NULL, 'Domain of unknown function (DUF4452)', NULL, 'DUF4452', NULL, NULL, NULL, 6),
(3987, NULL, 'PF04676', NULL, NULL, 'Protein similar to CwfJ C-terminus 2', NULL, 'CwfJ_C_2', NULL, NULL, NULL, 6),
(3988, NULL, 'PF07045', NULL, NULL, 'Domain of unknown function (DUF1330)', NULL, 'DUF1330', NULL, NULL, NULL, 6),
(3989, NULL, 'PF11396', NULL, NULL, 'Putative beta-lactamase-inhibitor-like, PepSY-like', NULL, 'PepSY_like', NULL, NULL, NULL, 6),
(3990, NULL, 'PF07698', NULL, NULL, '7TM receptor with intracellular HD hydrolase', NULL, '7TM-7TMR_HD', NULL, NULL, NULL, 6),
(3991, NULL, 'PF05276', NULL, NULL, 'SH3 domain-binding protein 5 (SH3BP5)', NULL, 'SH3BP5', NULL, NULL, NULL, 6),
(3992, NULL, 'PF15901', NULL, NULL, 'Sortilin, neurotensin receptor 3, C-terminal', NULL, 'Sortilin_C', NULL, NULL, NULL, 6),
(3993, NULL, 'PF07007', NULL, NULL, 'Lysozyme inhibitor LprI', NULL, 'LprI', NULL, NULL, NULL, 6),
(3994, NULL, 'PF15640', NULL, NULL, 'Metallopeptidase toxin 4', NULL, 'Tox-MPTase4', NULL, NULL, NULL, 6),
(3995, NULL, 'PF07573', NULL, NULL, 'Nitrogen regulatory protein AreA N terminus', NULL, 'AreA_N', NULL, NULL, NULL, 6),
(3996, NULL, 'PF19162', NULL, NULL, 'Family of unknown function (DUF5844)', NULL, 'DUF5844', NULL, NULL, NULL, 6),
(3997, NULL, 'PF18501', NULL, NULL, 'Alpha helical recognition lobe domain', NULL, 'REC1', NULL, NULL, NULL, 6),
(3998, NULL, 'PF01702', NULL, NULL, 'Queuine tRNA-ribosyltransferase', NULL, 'TGT', NULL, NULL, NULL, 6),
(3999, NULL, 'PF09241', NULL, NULL, 'Herpesviridae viral cyclin', NULL, 'Herp-Cyclin', NULL, NULL, NULL, 6),
(4000, NULL, 'PF16992', NULL, NULL, 'DNA-directed RNA polymerase, subunit G', NULL, 'RNA_pol_RpbG', NULL, NULL, NULL, 6),
(4001, NULL, 'PF02414', NULL, NULL, 'Borrelia ORF-A', NULL, 'Borrelia_orfA', NULL, NULL, NULL, 6),
(4002, NULL, 'PF18616', NULL, NULL, 'CDI immunity proteins', NULL, 'CdiI_3', NULL, NULL, NULL, 6),
(4003, NULL, 'PF07330', NULL, NULL, 'Protein of unknown function (DUF1467)', NULL, 'DUF1467', NULL, NULL, NULL, 6),
(4004, NULL, 'PF19120', NULL, NULL, 'Family of unknown function (DUF5804)', NULL, 'DUF5804', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4005, NULL, 'PF01758', NULL, NULL, 'Sodium Bile acid symporter family', NULL, 'SBF', NULL, NULL, NULL, 6),
(4006, NULL, 'PF01894', NULL, NULL, 'Uncharacterised protein family UPF0047', NULL, 'UPF0047', NULL, NULL, NULL, 6),
(4007, NULL, 'PF18037', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_5', NULL, NULL, NULL, 6),
(4008, NULL, 'PF13228', NULL, NULL, 'Domain of unknown function (DUF4037)', NULL, 'DUF4037', NULL, NULL, NULL, 6),
(4009, NULL, 'PF05097', NULL, NULL, 'Protein of unknown function (DUF688)', NULL, 'DUF688', NULL, NULL, NULL, 6),
(4010, NULL, 'PF09040', NULL, NULL, 'Gastric H+/K+-ATPase, N terminal domain', NULL, 'H-K_ATPase_N', NULL, NULL, NULL, 6),
(4011, NULL, 'PF16028', NULL, NULL, 'Solute carrier family 3 member 2 N-terminus', NULL, 'SLC3A2_N', NULL, NULL, NULL, 6),
(4012, NULL, 'PF16685', NULL, NULL, 'zinc RING finger of MSL2', NULL, 'zf-RING_10', NULL, NULL, NULL, 6),
(4013, NULL, 'PF06547', NULL, NULL, 'Protein of unknown function (DUF1117)', NULL, 'DUF1117', NULL, NULL, NULL, 6),
(4014, NULL, 'PF18812', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease3', NULL, 'PBECR3', NULL, NULL, NULL, 6),
(4015, NULL, 'PF05924', NULL, NULL, 'SAMP Motif', NULL, 'SAMP', NULL, NULL, NULL, 6),
(4016, NULL, 'PF15450', NULL, NULL, 'Coiled-coil domain-containing protein 154', NULL, 'CCDC154', NULL, NULL, NULL, 6),
(4017, NULL, 'PF16424', NULL, NULL, 'Domain of unknown function (DUF5021)', NULL, 'DUF5021', NULL, NULL, NULL, 6),
(4018, NULL, 'PF09017', NULL, NULL, 'Microbial transglutaminase', NULL, 'Transglut_prok', NULL, NULL, NULL, 6),
(4019, NULL, 'PF16982', NULL, NULL, 'Putative Flagellin, Flp1-like, domain', NULL, 'Flp1_like', NULL, NULL, NULL, 6),
(4020, NULL, 'PF02310', NULL, NULL, 'B12 binding domain', NULL, 'B12-binding', NULL, NULL, NULL, 6),
(4021, NULL, 'PF12904', NULL, NULL, 'Putative collagen-binding domain of a collagenase', NULL, 'Collagen_bind_2', NULL, NULL, NULL, 6),
(4022, NULL, 'PF11505', NULL, NULL, 'Protein of unknown function (DUF3216)', NULL, 'DUF3216', NULL, NULL, NULL, 6),
(4023, NULL, 'PF07033', NULL, NULL, 'Orthopoxvirus B11R protein', NULL, 'Orthopox_B11R', NULL, NULL, NULL, 6),
(4024, NULL, 'PF06296', NULL, NULL, 'RelE toxin of RelE / RelB toxin-antitoxin system', NULL, 'RelE', NULL, NULL, NULL, 6),
(4025, NULL, 'PF09364', NULL, NULL, 'XFP N-terminal domain', NULL, 'XFP_N', NULL, NULL, NULL, 6),
(4026, NULL, 'PF18424', NULL, NULL, 'Alpha-Dystroglycan N-terminal domain 2', NULL, 'a_DG1_N2', NULL, NULL, NULL, 6),
(4027, NULL, 'PF11757', NULL, NULL, 'Suppressor of RNA silencing P21-like N-terminal domain', NULL, 'RSS_P20', NULL, NULL, NULL, 6),
(4028, NULL, 'PF15943', NULL, NULL, 'Putative antitoxin of bacterial toxin-antitoxin system, YdaS/YdaT', NULL, 'YdaS_antitoxin', NULL, NULL, NULL, 6),
(4029, NULL, 'PF01447', NULL, NULL, 'Thermolysin metallopeptidase, catalytic domain', NULL, 'Peptidase_M4', NULL, NULL, NULL, 6),
(4030, NULL, 'PF06649', NULL, NULL, 'Protein of unknown function (DUF1161)', NULL, 'DUF1161', NULL, NULL, NULL, 6),
(4031, NULL, 'PF08017', NULL, NULL, 'Fibrinogen binding protein', NULL, 'Fibrinogen_BP', NULL, NULL, NULL, 6),
(4032, NULL, 'PF01611', NULL, NULL, 'Filovirus glycoprotein', NULL, 'Filo_glycop', NULL, NULL, NULL, 6),
(4033, NULL, 'PF16412', NULL, NULL, 'Domain of unknown function (DUF5020)', NULL, 'DUF5020', NULL, NULL, NULL, 6),
(4034, NULL, 'PF16695', NULL, NULL, 'Type VI secretion system (T6SS), amidase immunity protein', NULL, 'Tai4', NULL, NULL, NULL, 6),
(4035, NULL, 'PF01393', NULL, NULL, 'Chromo shadow domain', NULL, 'Chromo_shadow', NULL, NULL, NULL, 6),
(4036, NULL, 'PF07774', NULL, NULL, 'ER membrane protein complex subunit 1, C-terminal', NULL, 'EMC1_C', NULL, NULL, NULL, 6),
(4037, NULL, 'PF11031', NULL, NULL, 'Bacteriophage T holin', NULL, 'Phage_holin_T', NULL, NULL, NULL, 6),
(4038, NULL, 'PF17581', NULL, NULL, 'Family of unknown function (DUF5483)', NULL, 'DUF5483', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4039, NULL, 'PF04485', NULL, NULL, 'Phycobilisome degradation protein nblA', NULL, 'NblA', NULL, NULL, NULL, 6),
(4040, NULL, 'PF00807', NULL, NULL, 'Apidaecin', NULL, 'Apidaecin', NULL, NULL, NULL, 6),
(4041, NULL, 'PF01995', NULL, NULL, 'NrpR regulatory domains NRD1 and 2', NULL, 'NRD1_2', NULL, NULL, NULL, 6),
(4042, NULL, 'PF08324', NULL, NULL, 'PUL domain', NULL, 'PUL', NULL, NULL, NULL, 6),
(4043, NULL, 'PF03600', NULL, NULL, 'Citrate transporter', NULL, 'CitMHS', NULL, NULL, NULL, 6),
(4044, NULL, 'PF02107', NULL, NULL, 'Flagellar L-ring protein', NULL, 'FlgH', NULL, NULL, NULL, 6),
(4045, NULL, 'PF17156', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES2', NULL, NULL, NULL, 6),
(4046, NULL, 'PF11321', NULL, NULL, 'Protein of unknown function (DUF3123)', NULL, 'DUF3123', NULL, NULL, NULL, 6),
(4047, NULL, 'PF03203', NULL, NULL, 'MerC mercury resistance protein', NULL, 'MerC', NULL, NULL, NULL, 6),
(4048, NULL, 'PF16250', NULL, NULL, 'Domain of unknown function (DUF4907)', NULL, 'DUF4907', NULL, NULL, NULL, 6),
(4049, NULL, 'PF17389', NULL, NULL, 'Bacterial alpha-L-rhamnosidase 6 hairpin glycosidase domain', NULL, 'Bac_rhamnosid6H', NULL, NULL, NULL, 6),
(4050, NULL, 'PF03167', NULL, NULL, 'Uracil DNA glycosylase superfamily', NULL, 'UDG', NULL, NULL, NULL, 6),
(4051, NULL, 'PF14480', NULL, NULL, 'DNA polymerase III polC-type N-terminus I', NULL, 'DNA_pol3_a_NI', NULL, NULL, NULL, 6),
(4052, NULL, 'PF05338', NULL, NULL, 'Protein of unknown function (DUF717)', NULL, 'DUF717', NULL, NULL, NULL, 6),
(4053, NULL, 'PF02257', NULL, NULL, 'RFX DNA-binding domain', NULL, 'RFX_DNA_binding', NULL, NULL, NULL, 6),
(4054, NULL, 'PF13876', NULL, NULL, 'Phage protein (N4 Gp49/phage Sf6 gene 66) family', NULL, 'Phage_gp49_66', NULL, NULL, NULL, 6),
(4055, NULL, 'PF14921', NULL, NULL, 'Adenomatosis polyposis coli down-regulated 1', NULL, 'APCDDC', NULL, NULL, NULL, 6),
(4056, NULL, 'PF02030', NULL, NULL, 'Hypothetical lipoprotein (MG045 family)', NULL, 'Lipoprotein_8', NULL, NULL, NULL, 6),
(4057, NULL, 'PF03251', NULL, NULL, 'Tymovirus 45/70Kd protein', NULL, 'Tymo_45kd_70kd', NULL, NULL, NULL, 6),
(4058, NULL, 'PF05969', NULL, NULL, 'Photosystem II complex subunit Ycf12', NULL, 'PSII_Ycf12', NULL, NULL, NULL, 6),
(4059, NULL, 'PF10290', NULL, NULL, 'Glycine-rich protein domain (DUF2403)', NULL, 'DUF2403', NULL, NULL, NULL, 6),
(4060, NULL, 'PF16109', NULL, NULL, 'Domain of unknown function (DUF4827)', NULL, 'DUF4827', NULL, NULL, NULL, 6),
(4061, NULL, 'PF07929', NULL, NULL, 'Plasmid pRiA4b ORF-3-like protein', NULL, 'PRiA4_ORF3', NULL, NULL, NULL, 6),
(4062, NULL, 'PF04976', NULL, NULL, 'DMSO reductase anchor subunit (DmsC)', NULL, 'DmsC', NULL, NULL, NULL, 6),
(4063, NULL, 'PF10273', NULL, NULL, 'Pre-rRNA-processing protein TSR2', NULL, 'WGG', NULL, NULL, NULL, 6),
(4064, NULL, 'PF07048', NULL, NULL, 'Protein of unknown function (DUF1331)', NULL, 'DUF1331', NULL, NULL, NULL, 6),
(4065, NULL, 'PF04526', NULL, NULL, 'Protein of unknown function (DUF568)', NULL, 'DUF568', NULL, NULL, NULL, 6),
(4066, NULL, 'PF00507', NULL, NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase, chain 3', NULL, 'Oxidored_q4', NULL, NULL, NULL, 6),
(4067, NULL, 'PF10080', NULL, NULL, 'Predicted membrane protein (DUF2318)', NULL, 'DUF2318', NULL, NULL, NULL, 6),
(4068, NULL, 'PF12292', NULL, NULL, 'Protein of unknown function (DUF3624)', NULL, 'DUF3624', NULL, NULL, NULL, 6),
(4069, NULL, 'PF00248', NULL, NULL, 'Aldo/keto reductase family', NULL, 'Aldo_ket_red', NULL, NULL, NULL, 6),
(4070, NULL, 'PF18042', NULL, NULL, 'ORF 12 gene product N-terminal', NULL, 'ORF_12_N', NULL, NULL, NULL, 6),
(4071, NULL, 'PF08676', NULL, NULL, 'MutL C terminal dimerisation domain', NULL, 'MutL_C', NULL, NULL, NULL, 6),
(4072, NULL, 'PF12496', NULL, NULL, 'Bcl2-/adenovirus E1B nineteen kDa-interacting protein 2', NULL, 'BNIP2', NULL, NULL, NULL, 6),
(4073, NULL, 'PF01785', NULL, NULL, 'Closterovirus coat protein', NULL, 'Closter_coat', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4074, NULL, 'PF09522', NULL, NULL, 'R.Pab1 restriction endonuclease', NULL, 'RE_R_Pab1', NULL, NULL, NULL, 6),
(4075, NULL, 'PF18843', NULL, NULL, 'Large polyvalent protein associated domain 28', NULL, 'LPD28', NULL, NULL, NULL, 6),
(4076, NULL, 'PF14767', NULL, NULL, 'Replication protein A interacting middle', NULL, 'RPA_interact_M', NULL, NULL, NULL, 6),
(4077, NULL, 'PF03852', NULL, NULL, 'DNA mismatch endonuclease Vsr', NULL, 'Vsr', NULL, NULL, NULL, 6),
(4078, NULL, 'PF07197', NULL, NULL, 'Protein of unknown function (DUF1409)', NULL, 'DUF1409', NULL, NULL, NULL, 6),
(4079, NULL, 'PF16047', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial22', NULL, NULL, NULL, 6),
(4080, NULL, 'PF10441', NULL, NULL, 'Urb2/Npa2 family', NULL, 'Urb2', NULL, NULL, NULL, 6),
(4081, NULL, 'PF03233', NULL, NULL, 'Aphid transmission protein', NULL, 'Cauli_AT', NULL, NULL, NULL, 6),
(4082, NULL, 'PF14330', NULL, NULL, 'Domain of unknown function (DUF4387)', NULL, 'DUF4387', NULL, NULL, NULL, 6),
(4083, NULL, 'PF11840', NULL, NULL, 'Protein of unknown function (DUF3360)', NULL, 'DUF3360', NULL, NULL, NULL, 6),
(4084, NULL, 'PF05592', NULL, NULL, 'Bacterial alpha-L-rhamnosidase concanavalin-like domain', NULL, 'Bac_rhamnosid', NULL, NULL, NULL, 6),
(4085, NULL, 'PF19136', NULL, NULL, 'Family of unknown function (DUF5819)', NULL, 'DUF5819', NULL, NULL, NULL, 6),
(4086, NULL, 'PF01322', NULL, NULL, 'Cytochrome C''', NULL, 'Cytochrom_C_2', NULL, NULL, NULL, 6),
(4087, NULL, 'PF09779', NULL, NULL, 'Ima1 N-terminal domain', NULL, 'Ima1_N', NULL, NULL, NULL, 6),
(4088, NULL, 'PF05647', NULL, NULL, 'Tandem-repeating region of mucin, epiglycanin-like', NULL, 'Epiglycanin_TR', NULL, NULL, NULL, 6),
(4089, NULL, 'PF11461', NULL, NULL, 'Rab interacting lysosomal protein', NULL, 'RILP', NULL, NULL, NULL, 6),
(4090, NULL, 'PF18293', NULL, NULL, 'Caprin-1 dimerization domain', NULL, 'Caprin-1_dimer', NULL, NULL, NULL, 6),
(4091, NULL, 'PF00864', NULL, NULL, 'ATP P2X receptor', NULL, 'P2X_receptor', NULL, NULL, NULL, 6),
(4092, NULL, 'PF17220', NULL, NULL, 'Protein of unknown function (DUF5137)', NULL, 'DUF5137', NULL, NULL, NULL, 6),
(4093, NULL, 'PF02465', NULL, NULL, 'Flagellar hook-associated protein 2 N-terminus', NULL, 'FliD_N', NULL, NULL, NULL, 6),
(4094, NULL, 'PF17967', NULL, NULL, 'Pullulanase N2 domain', NULL, 'Pullulanase_N2', NULL, NULL, NULL, 6),
(4095, NULL, 'PF14683', NULL, NULL, 'Polysaccharide lyase family 4, domain III', NULL, 'CBM-like', NULL, NULL, NULL, 6),
(4096, NULL, 'PF10406', NULL, NULL, 'Transcription factor TFIID complex subunit 8 C-term', NULL, 'TAF8_C', NULL, NULL, NULL, 6),
(4097, NULL, 'PF16483', NULL, NULL, 'Beta-1,3-glucanase', NULL, 'Glyco_hydro_64', NULL, NULL, NULL, 6),
(4098, NULL, 'PF18040', NULL, NULL, 'beta porphyranase A C-terminal', NULL, 'BPA_C', NULL, NULL, NULL, 6),
(4099, NULL, 'PF01067', NULL, NULL, 'Calpain large subunit, domain III', NULL, 'Calpain_III', NULL, NULL, NULL, 6),
(4100, NULL, 'PF11143', NULL, NULL, 'Protein of unknown function (DUF2919)', NULL, 'DUF2919', NULL, NULL, NULL, 6),
(4101, NULL, 'PF11814', NULL, NULL, 'Peptidase_C39 like family', NULL, 'DUF3335', NULL, NULL, NULL, 6),
(4102, NULL, 'PF07959', NULL, NULL, 'L-fucokinase', NULL, 'Fucokinase', NULL, NULL, NULL, 6),
(4103, NULL, 'PF14135', NULL, NULL, 'Domain of unknown function (DUF4302)', NULL, 'DUF4302', NULL, NULL, NULL, 6),
(4104, NULL, 'PF18547', NULL, NULL, 'Halobacterial output domain 2', NULL, 'HalOD2', NULL, NULL, NULL, 6),
(4105, NULL, 'PF04599', NULL, NULL, 'Poxvirus G5 protein', NULL, 'Pox_G5', NULL, NULL, NULL, 6),
(4106, NULL, 'PF02083', NULL, NULL, 'Urotensin II', NULL, 'Urotensin_II', NULL, NULL, NULL, 6),
(4107, NULL, 'PF18680', NULL, NULL, 'Plasmodium host cell traversal SPECT1', NULL, 'SPECT1', NULL, NULL, NULL, 6),
(4108, NULL, 'PF10482', NULL, NULL, 'Tumour-suppressor protein CtIP N-terminal domain', NULL, 'CtIP_N', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4109, NULL, 'PF11283', NULL, NULL, 'Protein of unknown function (DUF3084)', NULL, 'DUF3084', NULL, NULL, NULL, 6),
(4110, NULL, 'PF09889', NULL, NULL, 'Uncharacterized protein containing a Zn-ribbon (DUF2116)', NULL, 'DUF2116', NULL, NULL, NULL, 6),
(4111, NULL, 'PF16796', NULL, NULL, 'Microtubule binding', NULL, 'Microtub_bd', NULL, NULL, NULL, 6),
(4112, NULL, 'PF03588', NULL, NULL, 'Leucyl/phenylalanyl-tRNA protein transferase', NULL, 'Leu_Phe_trans', NULL, NULL, NULL, 6),
(4113, NULL, 'PF04276', NULL, NULL, 'Protein of unknown function (DUF443)', NULL, 'DUF443', NULL, NULL, NULL, 6),
(4114, NULL, 'PF15719', NULL, NULL, 'Domain of unknown function (DUF4674)', NULL, 'DUF4674', NULL, NULL, NULL, 6),
(4115, NULL, 'PF16977', NULL, NULL, 'C-terminal domain of apextrin', NULL, 'ApeC', NULL, NULL, NULL, 6),
(4116, NULL, 'PF07553', NULL, NULL, 'Host cell surface-exposed lipoprotein', NULL, 'Lipoprotein_Ltp', NULL, NULL, NULL, 6),
(4117, NULL, 'PF09346', NULL, NULL, 'SMI1 / KNR4 family (SUKH-1)', NULL, 'SMI1_KNR4', NULL, NULL, NULL, 6),
(4118, NULL, 'PF15440', NULL, NULL, 'THRAP3/BCLAF1 family', NULL, 'THRAP3_BCLAF1', NULL, NULL, NULL, 6),
(4119, NULL, 'PF03698', NULL, NULL, 'Uncharacterised protein family (UPF0180)', NULL, 'UPF0180', NULL, NULL, NULL, 6),
(4120, NULL, 'PF16915', NULL, NULL, 'Annelid erythrocruorin linker subunit C-terminus', NULL, 'Eryth_link_C', NULL, NULL, NULL, 6),
(4121, NULL, 'PF04615', NULL, NULL, 'Utp14 protein', NULL, 'Utp14', NULL, NULL, NULL, 6),
(4122, NULL, 'PF02026', NULL, NULL, 'RyR domain', NULL, 'RyR', NULL, NULL, NULL, 6),
(4123, NULL, 'PF15204', NULL, NULL, 'Kita-kyushu lung cancer antigen 1', NULL, 'KKLCAg1', NULL, NULL, NULL, 6),
(4124, NULL, 'PF11720', NULL, NULL, 'Peptidase inhibitor I78 family', NULL, 'Inhibitor_I78', NULL, NULL, NULL, 6),
(4125, NULL, 'PF07759', NULL, NULL, 'Protein of unknown function (DUF1615)', NULL, 'DUF1615', NULL, NULL, NULL, 6),
(4126, NULL, 'PF18693', NULL, NULL, 'TRAM domain', NULL, 'TRAM_2', NULL, NULL, NULL, 6),
(4127, NULL, 'PF17184', NULL, NULL, 'Rit1 N-terminal domain', NULL, 'Rit1_C', NULL, NULL, NULL, 6),
(4128, NULL, 'PF04295', NULL, NULL, 'D-galactarate dehydratase / Altronate hydrolase, C terminus', NULL, 'GD_AH_C', NULL, NULL, NULL, 6),
(4129, NULL, 'PF04816', NULL, NULL, 'tRNA (adenine(22)-N(1))-methyltransferase', NULL, 'TrmK', NULL, NULL, NULL, 6),
(4130, NULL, 'PF11200', NULL, NULL, 'Protein of unknown function (DUF2981)', NULL, 'DUF2981', NULL, NULL, NULL, 6),
(4131, NULL, 'PF00954', NULL, NULL, 'S-locus glycoprotein domain', NULL, 'S_locus_glycop', NULL, NULL, NULL, 6),
(4132, NULL, 'PF16543', NULL, NULL, 'DRG Family Regulatory Proteins, Tma46', NULL, 'DFRP_C', NULL, NULL, NULL, 6),
(4133, NULL, 'PF18025', NULL, NULL, 'Alpha-(1,3)-fucosyltransferase FucT N-terminal domain', NULL, 'FucT_N', NULL, NULL, NULL, 6),
(4134, NULL, 'PF18626', NULL, NULL, 'Glutaminase', NULL, 'Gln_deamidase_2', NULL, NULL, NULL, 6),
(4135, NULL, 'PF16392', NULL, NULL, 'Ig-like domain', NULL, 'DUF5001', NULL, NULL, NULL, 6),
(4136, NULL, 'PF13828', NULL, NULL, 'Domain of unknown function (DUF4190)', NULL, 'DUF4190', NULL, NULL, NULL, 6),
(4137, NULL, 'PF17111', NULL, NULL, 'Fungal N-terminal domain of STAND proteins', NULL, 'Helo_like_N', NULL, NULL, NULL, 6),
(4138, NULL, 'PF16516', NULL, NULL, 'Leucine zipper of domain CC2 of NEMO, NF-kappa-B essential modulator', NULL, 'CC2-LZ', NULL, NULL, NULL, 6),
(4139, NULL, 'PF14538', NULL, NULL, 'Raptor N-terminal CASPase like domain', NULL, 'Raptor_N', NULL, NULL, NULL, 6),
(4140, NULL, 'PF13198', NULL, NULL, 'Protein of unknown function (DUF4014)', NULL, 'DUF4014', NULL, NULL, NULL, 6),
(4141, NULL, 'PF18781', NULL, NULL, 'Phage spike trimer', NULL, 'Phage_spike_2', NULL, NULL, NULL, 6),
(4142, NULL, 'PF17797', NULL, NULL, 'RL domain', NULL, 'RL', NULL, NULL, NULL, 6),
(4143, NULL, 'PF16066', NULL, NULL, 'Domain of unknown function (DUF4808)', NULL, 'DUF4808', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4144, NULL, 'PF16929', NULL, NULL, 'Accessory Sec system GspB-transporter', NULL, 'Asp2', NULL, NULL, NULL, 6),
(4145, NULL, 'PF19027', NULL, NULL, 'Family of unknown function (DUF5752)', NULL, 'DUF5752', NULL, NULL, NULL, 6),
(4146, NULL, 'PF18654', NULL, NULL, 'LegC3 N-terminal coiled-coil domain', NULL, 'LegC3_N', NULL, NULL, NULL, 6),
(4147, NULL, 'PF15356', NULL, NULL, 'Psoriasis susceptibility locus 2', NULL, 'SPR1', NULL, NULL, NULL, 6),
(4148, NULL, 'PF01974', NULL, NULL, 'tRNA intron endonuclease, catalytic C-terminal domain', NULL, 'tRNA_int_endo', NULL, NULL, NULL, 6),
(4149, NULL, 'PF07848', NULL, NULL, 'PaaX-like protein', NULL, 'PaaX', NULL, NULL, NULL, 6),
(4150, NULL, 'PF11057', NULL, NULL, 'Cortexin of kidney', NULL, 'Cortexin', NULL, NULL, NULL, 6),
(4151, NULL, 'PF06894', NULL, NULL, 'Bacteriophage lambda tail assembly chaperone, TAC, protein G', NULL, 'Phage_TAC_2', NULL, NULL, NULL, 6),
(4152, NULL, 'PF14214', NULL, NULL, 'Helitron helicase-like domain at N-terminus', NULL, 'Helitron_like_N', NULL, NULL, NULL, 6),
(4153, NULL, 'PF11588', NULL, NULL, 'Protein of unknown function (DUF3243)', NULL, 'DUF3243', NULL, NULL, NULL, 6),
(4154, NULL, 'PF00643', NULL, NULL, 'B-box zinc finger', NULL, 'zf-B_box', NULL, NULL, NULL, 6),
(4155, NULL, 'PF15024', NULL, NULL, 'Glycosyltransferase family 18', NULL, 'Glyco_transf_18', NULL, NULL, NULL, 6),
(4156, NULL, 'PF16945', NULL, NULL, 'Putative lactococcus lactis phage r1t holin', NULL, 'Phage_r1t_holin', NULL, NULL, NULL, 6),
(4157, NULL, 'PF01153', NULL, NULL, 'Glypican', NULL, 'Glypican', NULL, NULL, NULL, 6),
(4158, NULL, 'PF02925', NULL, NULL, 'Bacteriophage scaffolding protein D', NULL, 'gpD', NULL, NULL, NULL, 6),
(4159, NULL, 'PF17118', NULL, NULL, 'Domain of unknown function (DUF5105)', NULL, 'DUF5105', NULL, NULL, NULL, 6),
(4160, NULL, 'PF01938', NULL, NULL, 'TRAM domain', NULL, 'TRAM', NULL, NULL, NULL, 6),
(4161, NULL, 'PF16924', NULL, NULL, 'Dipicolinate synthase subunit A N-terminal domain', NULL, 'DpaA_N', NULL, NULL, NULL, 6),
(4162, NULL, 'PF02391', NULL, NULL, 'MoaE protein', NULL, 'MoaE', NULL, NULL, NULL, 6),
(4163, NULL, 'PF05130', NULL, NULL, 'FlgN protein', NULL, 'FlgN', NULL, NULL, NULL, 6),
(4164, NULL, 'PF15420', NULL, NULL, 'Alpha/beta-hydrolase family N-terminus', NULL, 'Abhydrolase_9_N', NULL, NULL, NULL, 6),
(4165, NULL, 'PF14174', NULL, NULL, 'YycC-like protein', NULL, 'YycC', NULL, NULL, NULL, 6),
(4166, NULL, 'PF09384', NULL, NULL, 'UTP15 C terminal', NULL, 'UTP15_C', NULL, NULL, NULL, 6),
(4167, NULL, 'PF02928', NULL, NULL, 'C5HC2 zinc finger', NULL, 'zf-C5HC2', NULL, NULL, NULL, 6),
(4168, NULL, 'PF15131', NULL, NULL, 'Domain of unknown function (DUF4567)', NULL, 'DUF4567', NULL, NULL, NULL, 6),
(4169, NULL, 'PF05686', NULL, NULL, 'Glycosyl transferase family 90', NULL, 'Glyco_transf_90', NULL, NULL, NULL, 6),
(4170, NULL, 'PF09798', NULL, NULL, 'DNA damage checkpoint protein', NULL, 'LCD1', NULL, NULL, NULL, 6),
(4171, NULL, 'PF17084', NULL, NULL, 'Topoisomerase I damage affected protein 11', NULL, 'TDA11', NULL, NULL, NULL, 6),
(4172, NULL, 'PF18401', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_13', NULL, NULL, NULL, 6),
(4173, NULL, 'PF07442', NULL, NULL, 'Ponericin', NULL, 'Ponericin', NULL, NULL, NULL, 6),
(4174, NULL, 'PF17665', NULL, NULL, 'Family of unknown function (DUF5527)', NULL, 'DUF5527', NULL, NULL, NULL, 6),
(4175, NULL, 'PF02537', NULL, NULL, 'CrcB-like protein, Camphor Resistance (CrcB)', NULL, 'CRCB', NULL, NULL, NULL, 6),
(4176, NULL, 'PF10764', NULL, NULL, 'Inhibitor of sigma-G Gin', NULL, 'Gin', NULL, NULL, NULL, 6),
(4177, NULL, 'PF01410', NULL, NULL, 'Fibrillar collagen C-terminal domain', NULL, 'COLFI', NULL, NULL, NULL, 6),
(4178, NULL, 'PF17544', NULL, NULL, 'Family of unknown function (DUF5460)', NULL, 'DUF5460', NULL, NULL, NULL, 6),
(4179, NULL, 'PF15658', NULL, NULL, 'Latrotoxin C-terminal domain', NULL, 'Latrotoxin_C', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4180, NULL, 'PF17847', NULL, NULL, 'Glucose ABC transporter C-terminal domain', NULL, 'GlcV_C_terminal', NULL, NULL, NULL, 6),
(4181, NULL, 'PF12628', NULL, NULL, 'Falstatin, cysteine peptidase inhibitor', NULL, 'Inhibitor_I71', NULL, NULL, NULL, 6),
(4182, NULL, 'PF16318', NULL, NULL, 'Domain of unknown function (DUF4957)', NULL, 'DUF4957', NULL, NULL, NULL, 6),
(4183, NULL, 'PF04062', NULL, NULL, 'ARP2/3 complex ARPC3 (21 kDa) subunit', NULL, 'P21-Arc', NULL, NULL, NULL, 6),
(4184, NULL, 'PF09396', NULL, NULL, 'Thrombin light chain', NULL, 'Thrombin_light', NULL, NULL, NULL, 6),
(4185, NULL, 'PF05933', NULL, NULL, 'Fungal ATP synthase protein 8 (A6L)', NULL, 'Fun_ATP-synt_8', NULL, NULL, NULL, 6),
(4186, NULL, 'PF18176', NULL, NULL, 'KptA in kinetoplastid DICER domain', NULL, 'KptA_kDCL', NULL, NULL, NULL, 6),
(4187, NULL, 'PF15789', NULL, NULL, 'Hyphally regulated cell wall GPI-anchored protein 1', NULL, 'Hyr1', NULL, NULL, NULL, 6),
(4188, NULL, 'PF16270', NULL, NULL, 'Lipocalin-like domain (DUF4923)', NULL, 'DUF4923', NULL, NULL, NULL, 6),
(4189, NULL, 'PF14003', NULL, NULL, 'YlbE-like protein', NULL, 'YlbE', NULL, NULL, NULL, 6),
(4190, NULL, 'PF12897', NULL, NULL, 'Alanine-glyoxylate amino-transferase', NULL, 'Aminotran_MocR', NULL, NULL, NULL, 6),
(4191, NULL, 'PF03311', NULL, NULL, 'Cornichon protein', NULL, 'Cornichon', NULL, NULL, NULL, 6),
(4192, NULL, 'PF02558', NULL, NULL, 'Ketopantoate reductase PanE/ApbA', NULL, 'ApbA', NULL, NULL, NULL, 6),
(4193, NULL, 'PF18059', NULL, NULL, 'Csd3 N-terminal', NULL, 'Csd3_N', NULL, NULL, NULL, 6),
(4194, NULL, 'PF00581', NULL, NULL, 'Rhodanese-like domain', NULL, 'Rhodanese', NULL, NULL, NULL, 6),
(4195, NULL, 'PF03721', NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, NAD binding domain', NULL, 'UDPG_MGDP_dh_N', NULL, NULL, NULL, 6),
(4196, NULL, 'PF01638', NULL, NULL, 'HxlR-like helix-turn-helix', NULL, 'HxlR', NULL, NULL, NULL, 6),
(4197, NULL, 'PF16135', NULL, NULL, 'Tify domain binding domain', NULL, 'TDBD', NULL, NULL, NULL, 6),
(4198, NULL, 'PF18722', NULL, NULL, 'MazG C-terminal domain', NULL, 'MazG_C', NULL, NULL, NULL, 6),
(4199, NULL, 'PF16479', NULL, NULL, 'Domain of unknown function (DUF5056)', NULL, 'DUF5056', NULL, NULL, NULL, 6),
(4200, NULL, 'PF06054', NULL, NULL, 'Competence protein CoiA-like family', NULL, 'CoiA', NULL, NULL, NULL, 6),
(4201, NULL, 'PF19157', NULL, NULL, 'Family of unknown function (DUF5839)', NULL, 'DUF5839', NULL, NULL, NULL, 6),
(4202, NULL, 'PF14971', NULL, NULL, 'Domain of unknown function (DUF4510)', NULL, 'DUF4510', NULL, NULL, NULL, 6),
(4203, NULL, 'PF10883', NULL, NULL, 'Protein of unknown function (DUF2681)', NULL, 'DUF2681', NULL, NULL, NULL, 6),
(4204, NULL, 'PF10940', NULL, NULL, 'Protein of unknown function (DUF2618)', NULL, 'DUF2618', NULL, NULL, NULL, 6),
(4205, NULL, 'PF03453', NULL, NULL, 'MoeA N-terminal region (domain I and II)', NULL, 'MoeA_N', NULL, NULL, NULL, 6),
(4206, NULL, 'PF05368', NULL, NULL, 'NmrA-like family', NULL, 'NmrA', NULL, NULL, NULL, 6),
(4207, NULL, 'PF17211', NULL, NULL, 'VHL box domain', NULL, 'VHL_C', NULL, NULL, NULL, 6),
(4208, NULL, 'PF06157', NULL, NULL, 'Protein of unknown function (DUF973)', NULL, 'DUF973', NULL, NULL, NULL, 6),
(4209, NULL, 'PF06430', NULL, NULL, 'Lactococcus lactis RepB C-terminus', NULL, 'L_lactis_RepB_C', NULL, NULL, NULL, 6),
(4210, NULL, 'PF04528', NULL, NULL, 'Adenovirus early E4 34 kDa protein conserved region', NULL, 'Adeno_E4_34', NULL, NULL, NULL, 6),
(4211, NULL, 'PF03239', NULL, NULL, 'Iron permease FTR1 family', NULL, 'FTR1', NULL, NULL, NULL, 6),
(4212, NULL, 'PF00293', NULL, NULL, 'NUDIX domain', NULL, 'NUDIX', NULL, NULL, NULL, 6),
(4213, NULL, 'PF11246', NULL, NULL, 'Base plate wedge protein 53', NULL, 'Phage_gp53', NULL, NULL, NULL, 6),
(4214, NULL, 'PF06734', NULL, NULL, 'UL97', NULL, 'UL97', NULL, NULL, NULL, 6),
(4215, NULL, 'PF15758', NULL, NULL, 'Histidine-rich carboxyl terminus protein 1', NULL, 'HRCT1', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4216, NULL, 'PF15017', NULL, NULL, 'Putative WW-binding domain and destruction box', NULL, 'WRNPLPNID', NULL, NULL, NULL, 6),
(4217, NULL, 'PF14308', NULL, NULL, 'X-domain of DnaJ-containing', NULL, 'DnaJ-X', NULL, NULL, NULL, 6),
(4218, NULL, 'PF17222', NULL, NULL, 'Viral cysteine endopeptidase C107', NULL, 'Peptidase_C107', NULL, NULL, NULL, 6),
(4219, NULL, 'PF16306', NULL, NULL, 'Domain of unknown function (DUF4948)', NULL, 'DUF4948', NULL, NULL, NULL, 6),
(4220, NULL, 'PF05057', NULL, NULL, 'Putative serine esterase (DUF676)', NULL, 'DUF676', NULL, NULL, NULL, 6),
(4221, NULL, 'PF10911', NULL, NULL, 'Protein of unknown function (DUF2717)', NULL, 'DUF2717', NULL, NULL, NULL, 6),
(4222, NULL, 'PF16750', NULL, NULL, 'Sensor domain of 2-component histidine kinase', NULL, 'HK_sensor', NULL, NULL, NULL, 6),
(4223, NULL, 'PF01091', NULL, NULL, 'PTN/MK heparin-binding protein family, C-terminal domain', NULL, 'PTN_MK_C', NULL, NULL, NULL, 6),
(4224, NULL, 'PF16923', NULL, NULL, 'Glycosyl hydrolase family 63 N-terminal domain', NULL, 'Glyco_hydro_63N', NULL, NULL, NULL, 6),
(4225, NULL, 'PF13539', NULL, NULL, 'D-alanyl-D-alanine carboxypeptidase', NULL, 'Peptidase_M15_4', NULL, NULL, NULL, 6),
(4226, NULL, 'PF10601', NULL, NULL, 'LITAF-like zinc ribbon domain', NULL, 'zf-LITAF-like', NULL, NULL, NULL, 6),
(4227, NULL, 'PF08797', NULL, NULL, 'HIRAN domain', NULL, 'HIRAN', NULL, NULL, NULL, 6),
(4228, NULL, 'PF18630', NULL, NULL, 'Peptidase M60 C-terminal domain', NULL, 'Peptidase_M60_C', NULL, NULL, NULL, 6),
(4229, NULL, 'PF14857', NULL, NULL, 'TMEM151 family', NULL, 'TMEM151', NULL, NULL, NULL, 6),
(4230, NULL, 'PF06444', NULL, NULL, 'NADH dehydrogenase subunit 2 C-terminus', NULL, 'NADH_dehy_S2_C', NULL, NULL, NULL, 6),
(4231, NULL, 'PF09727', NULL, NULL, 'Cortactin-binding protein-2', NULL, 'CortBP2', NULL, NULL, NULL, 6),
(4232, NULL, 'PF09947', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2180)', NULL, 'DUF2180', NULL, NULL, NULL, 6),
(4233, NULL, 'PF00284', NULL, NULL, 'Lumenal portion of Cytochrome b559, alpha (gene psbE) subunit', NULL, 'Cytochrom_B559a', NULL, NULL, NULL, 6),
(4234, NULL, 'PF11198', NULL, NULL, 'Protein of unknown function (DUF2857)', NULL, 'DUF2857', NULL, NULL, NULL, 6),
(4235, NULL, 'PF04106', NULL, NULL, 'Autophagy protein Apg5', NULL, 'APG5', NULL, NULL, NULL, 6),
(4236, NULL, 'PF11035', NULL, NULL, 'Small nuclear RNA activating complex subunit 2, SNAP190 Myb', NULL, 'SnAPC_2_like', NULL, NULL, NULL, 6),
(4237, NULL, 'PF04647', NULL, NULL, 'Accessory gene regulator B', NULL, 'AgrB', NULL, NULL, NULL, 6),
(4238, NULL, 'PF18224', NULL, NULL, 'ToxB N-terminal domain', NULL, 'ToxB_N', NULL, NULL, NULL, 6),
(4239, NULL, 'PF11114', NULL, NULL, 'Minor capsid protein', NULL, 'Minor_capsid_2', NULL, NULL, NULL, 6),
(4240, NULL, 'PF10141', NULL, NULL, 'Single-strand DNA-specific exonuclease, C terminal domain', NULL, 'ssDNA-exonuc_C', NULL, NULL, NULL, 6),
(4241, NULL, 'PF09474', NULL, NULL, 'Type III secretion system YscX (type_III_YscX)', NULL, 'Type_III_YscX', NULL, NULL, NULL, 6),
(4242, NULL, 'PF07836', NULL, NULL, 'DmpG-like communication domain', NULL, 'DmpG_comm', NULL, NULL, NULL, 6),
(4243, NULL, 'PF04447', NULL, NULL, 'Protein of unknown function (DUF550)', NULL, 'DUF550', NULL, NULL, NULL, 6),
(4244, NULL, 'PF17248', NULL, NULL, 'Family of unknown function (DUF5317)', NULL, 'DUF5317', NULL, NULL, NULL, 6),
(4245, NULL, 'PF12289', NULL, NULL, 'Rotavirus VP1 C-terminal domain', NULL, 'Rotavirus_VP1', NULL, NULL, NULL, 6),
(4246, NULL, 'PF06773', NULL, NULL, 'Bim protein N-terminus', NULL, 'Bim_N', NULL, NULL, NULL, 6),
(4247, NULL, 'PF16591', NULL, NULL, 'Helical bimodular sensor domain', NULL, 'HBM', NULL, NULL, NULL, 6),
(4248, NULL, 'PF10323', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srv', NULL, '7TM_GPCR_Srv', NULL, NULL, NULL, 6),
(4249, NULL, 'PF16288', NULL, NULL, 'Domain of unknown function (DUF4934)', NULL, 'DUF4934', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4250, NULL, 'PF08212', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_2', NULL, NULL, NULL, 6),
(4251, NULL, 'PF09715', NULL, NULL, 'Plasmodium protein of unknown function (Plasmod_dom_1)', NULL, 'Plasmod_dom_1', NULL, NULL, NULL, 6),
(4252, NULL, 'PF17318', NULL, NULL, 'Family of unknown function (DUF5361)', NULL, 'DUF5361', NULL, NULL, NULL, 6),
(4253, NULL, 'PF00598', NULL, NULL, 'Influenza Matrix protein (M1)', NULL, 'Flu_M1', NULL, NULL, NULL, 6),
(4254, NULL, 'PF05407', NULL, NULL, 'Rubella virus endopeptidase', NULL, 'Peptidase_C27', NULL, NULL, NULL, 6),
(4255, NULL, 'PF14743', NULL, NULL, 'DNA ligase OB-like domain', NULL, 'DNA_ligase_OB_2', NULL, NULL, NULL, 6),
(4256, NULL, 'PF13211', NULL, NULL, 'Protein of unknown function (DUF4019)', NULL, 'DUF4019', NULL, NULL, NULL, 6),
(4257, NULL, 'PF07547', NULL, NULL, 'RSD-2 N-terminal domain', NULL, 'RSD-2', NULL, NULL, NULL, 6),
(4258, NULL, 'PF17423', NULL, NULL, 'Swarming motility protein', NULL, 'SwrA', NULL, NULL, NULL, 6),
(4259, NULL, 'PF07909', NULL, NULL, 'Protein of unknown function (DUF1663)', NULL, 'DUF1663', NULL, NULL, NULL, 6),
(4260, NULL, 'PF08930', NULL, NULL, 'Domain of unknown function (DUF1912)', NULL, 'DUF1912', NULL, NULL, NULL, 6),
(4261, NULL, 'PF11656', NULL, NULL, 'YjbD family (DUF3811)', NULL, 'DUF3811', NULL, NULL, NULL, 6),
(4262, NULL, 'PF00517', NULL, NULL, 'Retroviral envelope protein', NULL, 'GP41', NULL, NULL, NULL, 6),
(4263, NULL, 'PF07975', NULL, NULL, 'TFIIH C1-like domain', NULL, 'C1_4', NULL, NULL, NULL, 6),
(4264, NULL, 'PF17897', NULL, NULL, 'Vanadium chloroperoxidase N-terminal domain', NULL, 'VCPO_N', NULL, NULL, NULL, 6),
(4265, NULL, 'PF04649', NULL, NULL, 'Mycoplasma hyorhinis VlpA repeat', NULL, 'VlpA_repeat', NULL, NULL, NULL, 6),
(4266, NULL, 'PF11920', NULL, NULL, 'Protein of unknown function (DUF3438)', NULL, 'DUF3438', NULL, NULL, NULL, 6),
(4267, NULL, 'PF12768', NULL, NULL, 'Cortical protein marker for cell polarity', NULL, 'Rax2', NULL, NULL, NULL, 6),
(4268, NULL, 'PF16737', NULL, NULL, 'PHD finger protein 12 MRG binding domain', NULL, 'PHF12_MRG_bd', NULL, NULL, NULL, 6),
(4269, NULL, 'PF05725', NULL, NULL, 'FNIP Repeat', NULL, 'FNIP', NULL, NULL, NULL, 6),
(4270, NULL, 'PF07457', NULL, NULL, 'Protein of unknown function (DUF1516)', NULL, 'DUF1516', NULL, NULL, NULL, 6),
(4271, NULL, 'PF04376', NULL, NULL, 'Arginine-tRNA-protein transferase, N terminus', NULL, 'ATE_N', NULL, NULL, NULL, 6),
(4272, NULL, 'PF17973', NULL, NULL, 'Bacterial Alpha-2-macroglobulin MG10 domain', NULL, 'bMG10', NULL, NULL, NULL, 6),
(4273, NULL, 'PF06471', NULL, NULL, 'Coronavirus guanine-N7 methyltransferase', NULL, 'CoV_Methyltr_1', NULL, NULL, NULL, 6),
(4274, NULL, 'PF13434', NULL, NULL, 'L-lysine 6-monooxygenase (NADPH-requiring)', NULL, 'K_oxygenase', NULL, NULL, NULL, 6),
(4275, NULL, 'PF09362', NULL, NULL, 'Domain of unknown function (DUF1996)', NULL, 'DUF1996', NULL, NULL, NULL, 6),
(4276, NULL, 'PF05593', NULL, NULL, 'RHS Repeat', NULL, 'RHS_repeat', NULL, NULL, NULL, 6),
(4277, NULL, 'PF17154', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES3', NULL, NULL, NULL, 6),
(4278, NULL, 'PF01801', NULL, NULL, 'Cytomegalovirus glycoprotein L', NULL, 'Cytomega_gL', NULL, NULL, NULL, 6),
(4279, NULL, 'PF16998', NULL, NULL, '17 kDa outer membrane surface antigen', NULL, '17kDa_Anti_2', NULL, NULL, NULL, 6),
(4280, NULL, 'PF13620', NULL, NULL, 'Carboxypeptidase regulatory-like domain', NULL, 'CarboxypepD_reg', NULL, NULL, NULL, 6),
(4281, NULL, 'PF01018', NULL, NULL, 'GTP1/OBG', NULL, 'GTP1_OBG', NULL, NULL, NULL, 6),
(4282, NULL, 'PF09446', NULL, NULL, 'VMA21-like domain', NULL, 'VMA21', NULL, NULL, NULL, 6),
(4283, NULL, 'PF12411', NULL, NULL, 'Choline sulfatase enzyme C terminal', NULL, 'Choline_sulf_C', NULL, NULL, NULL, 6),
(4284, NULL, 'PF15023', NULL, NULL, 'Protein of unknown function (DUF4523)', NULL, 'DUF4523', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4285, NULL, 'PF04734', NULL, NULL, 'Neutral/alkaline non-lysosomal ceramidase, N-terminal', NULL, 'Ceramidase_alk', NULL, NULL, NULL, 6),
(4286, NULL, 'PF10952', NULL, NULL, 'Protein of unknown function (DUF2753)', NULL, 'DUF2753', NULL, NULL, NULL, 6),
(4287, NULL, 'PF04747', NULL, NULL, 'Protein of unknown function, DUF612', NULL, 'DUF612', NULL, NULL, NULL, 6),
(4288, NULL, 'PF01022', NULL, NULL, 'Bacterial regulatory protein, arsR family', NULL, 'HTH_5', NULL, NULL, NULL, 6),
(4289, NULL, 'PF09370', NULL, NULL, 'Phosphoenolpyruvate hydrolase-like', NULL, 'PEP_hydrolase', NULL, NULL, NULL, 6),
(4290, NULL, 'PF04255', NULL, NULL, 'Protein of unknown function (DUF433)', NULL, 'DUF433', NULL, NULL, NULL, 6),
(4291, NULL, 'PF05145', NULL, NULL, 'Transition state regulatory protein AbrB', NULL, 'AbrB', NULL, NULL, NULL, 6),
(4292, NULL, 'PF14387', NULL, NULL, 'Domain of unknown function (DUF4418)', NULL, 'DUF4418', NULL, NULL, NULL, 6),
(4293, NULL, 'PF10646', NULL, NULL, 'Sporulation and spore germination', NULL, 'Germane', NULL, NULL, NULL, 6),
(4294, NULL, 'PF01093', NULL, NULL, 'Clusterin', NULL, 'Clusterin', NULL, NULL, NULL, 6),
(4295, NULL, 'PF07085', NULL, NULL, 'DRTGG domain', NULL, 'DRTGG', NULL, NULL, NULL, 6),
(4296, NULL, 'PF03670', NULL, NULL, 'Uncharacterised protein family (UPF0184)', NULL, 'UPF0184', NULL, NULL, NULL, 6),
(4297, NULL, 'PF04702', NULL, NULL, 'Vicilin N terminal region', NULL, 'Vicilin_N', NULL, NULL, NULL, 6),
(4298, NULL, 'PF04854', NULL, NULL, 'Protein of unknown function, DUF624', NULL, 'DUF624', NULL, NULL, NULL, 6),
(4299, NULL, 'PF18994', NULL, NULL, 'Prophage endopeptidase tail N-terminal domain', NULL, 'Prophage_tailD1', NULL, NULL, NULL, 6),
(4300, NULL, 'PF19184', NULL, NULL, 'Family of unknown function (DUF5866)', NULL, 'DUF5866', NULL, NULL, NULL, 6),
(4301, NULL, 'PF02158', NULL, NULL, 'Neuregulin intracellular region', NULL, 'Neuregulin', NULL, NULL, NULL, 6),
(4302, NULL, 'PF03992', NULL, NULL, 'Antibiotic biosynthesis monooxygenase', NULL, 'ABM', NULL, NULL, NULL, 6),
(4303, NULL, 'PF15598', NULL, NULL, 'Immunity protein 61', NULL, 'Imm61', NULL, NULL, NULL, 6),
(4304, NULL, 'PF14559', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_19', NULL, NULL, NULL, 6),
(4305, NULL, 'PF03841', NULL, NULL, 'L-seryl-tRNA selenium transferase', NULL, 'SelA', NULL, NULL, NULL, 6),
(4306, NULL, 'PF09160', NULL, NULL, 'FimH, mannose binding', NULL, 'FimH_man-bind', NULL, NULL, NULL, 6),
(4307, NULL, 'PF12879', NULL, NULL, 'SICA C-terminal inner membrane domain', NULL, 'SICA_C', NULL, NULL, NULL, 6),
(4308, NULL, 'PF06364', NULL, NULL, 'Protein of unknown function (DUF1068)', NULL, 'DUF1068', NULL, NULL, NULL, 6),
(4309, NULL, 'PF06980', NULL, NULL, 'Protein of unknown function (DUF1302)', NULL, 'DUF1302', NULL, NULL, NULL, 6),
(4310, NULL, 'PF07073', NULL, NULL, 'Modulator of Rho-dependent transcription termination (ROF)', NULL, 'ROF', NULL, NULL, NULL, 6),
(4311, NULL, 'PF17110', NULL, NULL, 'Subunit 11 of the general transcription factor TFIIH', NULL, 'TFB6', NULL, NULL, NULL, 6),
(4312, NULL, 'PF01778', NULL, NULL, 'Ribosomal L28e protein family', NULL, 'Ribosomal_L28e', NULL, NULL, NULL, 6),
(4313, NULL, 'PF11142', NULL, NULL, 'Protein of unknown function (DUF2917)', NULL, 'DUF2917', NULL, NULL, NULL, 6),
(4314, NULL, 'PF01549', NULL, NULL, 'ShK domain-like', NULL, 'ShK', NULL, NULL, NULL, 6),
(4315, NULL, 'PF07438', NULL, NULL, 'Protein of unknown function (DUF1514)', NULL, 'DUF1514', NULL, NULL, NULL, 6),
(4316, NULL, 'PF18298', NULL, NULL, 'NusG additional domain', NULL, 'NusG_add', NULL, NULL, NULL, 6),
(4317, NULL, 'PF06969', NULL, NULL, 'HemN C-terminal domain', NULL, 'HemN_C', NULL, NULL, NULL, 6),
(4318, NULL, 'PF14628', NULL, NULL, 'Domain of unknown function (DUF4454)', NULL, 'DUF4454', NULL, NULL, NULL, 6),
(4319, NULL, 'PF01094', NULL, NULL, 'Receptor family ligand binding region', NULL, 'ANF_receptor', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4320, NULL, 'PF16563', NULL, NULL, 'Coiled-coil and interaction region of P66A and P66B with MBD2', NULL, 'P66_CC', NULL, NULL, NULL, 6),
(4321, NULL, 'PF03423', NULL, NULL, 'Carbohydrate binding domain (family 25)', NULL, 'CBM_25', NULL, NULL, NULL, 6),
(4322, NULL, 'PF12993', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3877)', NULL, 'DUF3877', NULL, NULL, NULL, 6),
(4323, NULL, 'PF08874', NULL, NULL, 'Domain of unknown function (DUF1835)', NULL, 'DUF1835', NULL, NULL, NULL, 6),
(4324, NULL, 'PF06823', NULL, NULL, 'Protein of unknown function (DUF1236)', NULL, 'DUF1236', NULL, NULL, NULL, 6),
(4325, NULL, 'PF06812', NULL, NULL, 'ImpA, N-terminal, type VI secretion system', NULL, 'ImpA_N', NULL, NULL, NULL, 6),
(4326, NULL, 'PF02008', NULL, NULL, 'CXXC zinc finger domain', NULL, 'zf-CXXC', NULL, NULL, NULL, 6),
(4327, NULL, 'PF02479', NULL, NULL, 'Herpesvirus immediate early protein', NULL, 'Herpes_IE68', NULL, NULL, NULL, 6),
(4328, NULL, 'PF17913', NULL, NULL, 'FHA domain', NULL, 'FHA_2', NULL, NULL, NULL, 6),
(4329, NULL, 'PF06261', NULL, NULL, 'Actinobacillus actinomycetemcomitans leukotoxin activator LktC', NULL, 'LktC', NULL, NULL, NULL, 6),
(4330, NULL, 'PF17006', NULL, NULL, 'Domain of unknown function (DUF5087)', NULL, 'DUF5087', NULL, NULL, NULL, 6),
(4331, NULL, 'PF03335', NULL, NULL, 'Phage tail fibre repeat', NULL, 'Phage_fiber', NULL, NULL, NULL, 6),
(4332, NULL, 'PF11846', NULL, NULL, 'Virulence factor membrane-bound polymerase, C-terminal', NULL, 'Wzy_C_2', NULL, NULL, NULL, 6),
(4333, NULL, 'PF07484', NULL, NULL, 'Phage Tail Collar Domain', NULL, 'Collar', NULL, NULL, NULL, 6),
(4334, NULL, 'PF01195', NULL, NULL, 'Peptidyl-tRNA hydrolase', NULL, 'Pept_tRNA_hydro', NULL, NULL, NULL, 6),
(4335, NULL, 'PF11936', NULL, NULL, 'Domain of unknown function (DUF3454)', NULL, 'DUF3454', NULL, NULL, NULL, 6),
(4336, NULL, 'PF01417', NULL, NULL, 'ENTH domain', NULL, 'ENTH', NULL, NULL, NULL, 6),
(4337, NULL, 'PF14442', NULL, NULL, 'Bd3614-like deaminase N-terminal', NULL, 'Bd3614_N', NULL, NULL, NULL, 6),
(4338, NULL, 'PF12321', NULL, NULL, 'Protein of unknown function (DUF3634)', NULL, 'DUF3634', NULL, NULL, NULL, 6),
(4339, NULL, 'PF08372', NULL, NULL, 'Plant phosphoribosyltransferase C-terminal', NULL, 'PRT_C', NULL, NULL, NULL, 6),
(4340, NULL, 'PF09212', NULL, NULL, 'Carbohydrate binding module 27', NULL, 'CBM27', NULL, NULL, NULL, 6),
(4341, NULL, 'PF14850', NULL, NULL, 'DNA-binding domain of Proline dehydrogenase', NULL, 'Pro_dh-DNA_bdg', NULL, NULL, NULL, 6),
(4342, NULL, 'PF17157', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES4', NULL, NULL, NULL, 6),
(4343, NULL, 'PF03189', NULL, NULL, 'Otopetrin', NULL, 'Otopetrin', NULL, NULL, NULL, 6),
(4344, NULL, 'PF12383', NULL, NULL, 'Severe acute respiratory syndrome coronavirus 3b protein', NULL, 'SARS_3b', NULL, NULL, NULL, 6),
(4345, NULL, 'PF12004', NULL, NULL, 'Domain of unknown function (DUF3498)', NULL, 'DUF3498', NULL, NULL, NULL, 6),
(4346, NULL, 'PF11677', NULL, NULL, 'Protein of unknown function (DUF3273)', NULL, 'DUF3273', NULL, NULL, NULL, 6),
(4347, NULL, 'PF01456', NULL, NULL, 'Mucin-like glycoprotein', NULL, 'Mucin', NULL, NULL, NULL, 6),
(4348, NULL, 'PF14576', NULL, NULL, 'Sieve element occlusion N-terminus', NULL, 'SEO_N', NULL, NULL, NULL, 6),
(4349, NULL, 'PF05770', NULL, NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase ATP-grasp domain', NULL, 'Ins134_P3_kin', NULL, NULL, NULL, 6),
(4350, NULL, 'PF12274', NULL, NULL, 'Protein of unknown function (DUF3615)', NULL, 'DUF3615', NULL, NULL, NULL, 6),
(4351, NULL, 'PF10965', NULL, NULL, 'Protein of unknown function (DUF2767)', NULL, 'DUF2767', NULL, NULL, NULL, 6),
(4352, NULL, 'PF07071', NULL, NULL, 'KDGP aldolase', NULL, 'KDGP_aldolase', NULL, NULL, NULL, 6),
(4353, NULL, 'PF14455', NULL, NULL, 'Predicted metal binding domain', NULL, 'Metal_CEHH', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4354, NULL, 'PF10563', NULL, NULL, 'Putative carbonic anhydrase', NULL, 'CA_like', NULL, NULL, NULL, 6),
(4355, NULL, 'PF13499', NULL, NULL, 'EF-hand domain pair', NULL, 'EF-hand_7', NULL, NULL, NULL, 6),
(4356, NULL, 'PF02361', NULL, NULL, 'Cobalt transport protein', NULL, 'CbiQ', NULL, NULL, NULL, 6),
(4357, NULL, 'PF09425', NULL, NULL, 'Jas motif', NULL, 'Jas_motif', NULL, NULL, NULL, 6),
(4358, NULL, 'PF03129', NULL, NULL, 'Anticodon binding domain', NULL, 'HGTP_anticodon', NULL, NULL, NULL, 6),
(4359, NULL, 'PF00015', NULL, NULL, 'Methyl-accepting chemotaxis protein (MCP) signalling domain', NULL, 'MCPsignal', NULL, NULL, NULL, 6),
(4360, NULL, 'PF03553', NULL, NULL, 'Na+/H+ antiporter family', NULL, 'Na_H_antiporter', NULL, NULL, NULL, 6),
(4361, NULL, 'PF01475', NULL, NULL, 'Ferric uptake regulator family', NULL, 'FUR', NULL, NULL, NULL, 6),
(4362, NULL, 'PF04626', NULL, NULL, 'Dec-1 protein, C terminal region', NULL, 'DEC-1_C', NULL, NULL, NULL, 6),
(4363, NULL, 'PF15636', NULL, NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin', NULL, 'Tox-GHH', NULL, NULL, NULL, 6),
(4364, NULL, 'PF13880', NULL, NULL, 'ESCO1/2 acetyl-transferase', NULL, 'Acetyltransf_13', NULL, NULL, NULL, 6),
(4365, NULL, 'PF00106', NULL, NULL, 'short chain dehydrogenase', NULL, 'adh_short', NULL, NULL, NULL, 6),
(4366, NULL, 'PF14428', NULL, NULL, 'SCP1.201-like deaminase', NULL, 'SCP1201-deam', NULL, NULL, NULL, 6),
(4367, NULL, 'PF14802', NULL, NULL, 'TMEM192 family', NULL, 'TMEM192', NULL, NULL, NULL, 6),
(4368, NULL, 'PF16587', NULL, NULL, '17 kDa common-antigen outer membrane protein', NULL, 'DUF5061', NULL, NULL, NULL, 6),
(4369, NULL, 'PF11939', NULL, NULL, '[NiFe]-hydrogenase assembly, chaperone, HybE', NULL, 'NiFe-hyd_HybE', NULL, NULL, NULL, 6),
(4370, NULL, 'PF10532', NULL, NULL, 'Plant specific N-all beta domain', NULL, 'Plant_all_beta', NULL, NULL, NULL, 6),
(4371, NULL, 'PF09969', NULL, NULL, 'Uncharacterized conserved protein (DUF2203)', NULL, 'DUF2203', NULL, NULL, NULL, 6),
(4372, NULL, 'PF07110', NULL, NULL, 'EthD domain', NULL, 'EthD', NULL, NULL, NULL, 6),
(4373, NULL, 'PF13469', NULL, NULL, 'Sulfotransferase family', NULL, 'Sulfotransfer_3', NULL, NULL, NULL, 6),
(4374, NULL, 'PF15398', NULL, NULL, 'Domain of unknown function (DUF4619)', NULL, 'DUF4619', NULL, NULL, NULL, 6),
(4375, NULL, 'PF18438', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal domain 1', NULL, 'Glyco_hydro_38', NULL, NULL, NULL, 6),
(4376, NULL, 'PF06102', NULL, NULL, 'rRNA biogenesis protein RRP36', NULL, 'RRP36', NULL, NULL, NULL, 6),
(4377, NULL, 'PF08355', NULL, NULL, 'EF hand associated', NULL, 'EF_assoc_1', NULL, NULL, NULL, 6),
(4378, NULL, 'PF02304', NULL, NULL, 'Scaffold protein B', NULL, 'Phage_B', NULL, NULL, NULL, 6),
(4379, NULL, 'PF00684', NULL, NULL, 'DnaJ central domain', NULL, 'DnaJ_CXXCXGXG', NULL, NULL, NULL, 6),
(4380, NULL, 'PF08820', NULL, NULL, 'Domain of unknown function (DUF1803)', NULL, 'DUF1803', NULL, NULL, NULL, 6),
(4381, NULL, 'PF02064', NULL, NULL, 'MAS20 protein import receptor', NULL, 'MAS20', NULL, NULL, NULL, 6),
(4382, NULL, 'PF13844', NULL, NULL, 'Glycosyl transferase family 41', NULL, 'Glyco_transf_41', NULL, NULL, NULL, 6),
(4383, NULL, 'PF06643', NULL, NULL, 'Protein of unknown function (DUF1158)', NULL, 'DUF1158', NULL, NULL, NULL, 6),
(4384, NULL, 'PF04266', NULL, NULL, 'ASCH domain', NULL, 'ASCH', NULL, NULL, NULL, 6),
(4385, NULL, 'PF02971', NULL, NULL, 'Formiminotransferase domain', NULL, 'FTCD', NULL, NULL, NULL, 6),
(4386, NULL, 'PF14566', NULL, NULL, 'Inositol hexakisphosphate', NULL, 'PTPlike_phytase', NULL, NULL, NULL, 6),
(4387, NULL, 'PF07882', NULL, NULL, 'L-fucose isomerase, second N-terminal domain', NULL, 'Fucose_iso_N2', NULL, NULL, NULL, 6),
(4388, NULL, 'PF12369', NULL, NULL, 'Gonadotropin hormone receptor transmembrane region', NULL, 'GnHR_trans', NULL, NULL, NULL, 6),
(4389, NULL, 'PF17595', NULL, NULL, 'Family of unknown function (DUF5491)', NULL, 'DUF5491', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4390, NULL, 'PF09919', NULL, NULL, 'Uncharacterized conserved protein (DUF2149)', NULL, 'DUF2149', NULL, NULL, NULL, 6),
(4391, NULL, 'PF14112', NULL, NULL, 'Immunity protein 22', NULL, 'DUF4284', NULL, NULL, NULL, 6),
(4392, NULL, 'PF11004', NULL, NULL, '3-deoxy-D-manno-oct-2-ulosonic acid (Kdo) hydroxylase', NULL, 'Kdo_hydroxy', NULL, NULL, NULL, 6),
(4393, NULL, 'PF17325', NULL, NULL, 'Stationary phase protein 4', NULL, 'SPG4', NULL, NULL, NULL, 6),
(4394, NULL, 'PF01946', NULL, NULL, 'Thi4 family', NULL, 'Thi4', NULL, NULL, NULL, 6),
(4395, NULL, 'PF18154', NULL, NULL, 'REase associating with pPIWI_RE', NULL, 'pPIWI_RE_REase', NULL, NULL, NULL, 6),
(4396, NULL, 'PF02181', NULL, NULL, 'Formin Homology 2 Domain', NULL, 'FH2', NULL, NULL, NULL, 6),
(4397, NULL, 'PF11160', NULL, NULL, 'Hypervirulence associated proteins TUDOR domain', NULL, 'Hva1_TUDOR', NULL, NULL, NULL, 6),
(4398, NULL, 'PF10863', NULL, NULL, 'Nucleolar protein 19', NULL, 'NOP19', NULL, NULL, NULL, 6),
(4399, NULL, 'PF18017', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_4', NULL, NULL, NULL, 6),
(4400, NULL, 'PF19208', NULL, NULL, 'Family of unknown function (DUF5880)', NULL, 'DUF5880', NULL, NULL, NULL, 6),
(4401, NULL, 'PF10127', NULL, NULL, 'RNA repair pathway DNA polymerase beta family', NULL, 'RlaP', NULL, NULL, NULL, 6),
(4402, NULL, 'PF03235', NULL, NULL, 'Protein of unknown function DUF262', NULL, 'DUF262', NULL, NULL, NULL, 6),
(4403, NULL, 'PF15511', NULL, NULL, 'Centromere kinetochore component CENP-T histone fold', NULL, 'CENP-T_C', NULL, NULL, NULL, 6),
(4404, NULL, 'PF01243', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Putative_PNPOx', NULL, NULL, NULL, 6),
(4405, NULL, 'PF18405', NULL, NULL, 'Mitochondrial SLC25 homolog', NULL, 'SLC25_like', NULL, NULL, NULL, 6),
(4406, NULL, 'PF11420', NULL, NULL, 'Bacteriocin subtilosin A', NULL, 'Subtilosin_A', NULL, NULL, NULL, 6),
(4407, NULL, 'PF02205', NULL, NULL, 'WH2 motif', NULL, 'WH2', NULL, NULL, NULL, 6),
(4408, NULL, 'PF08798', NULL, NULL, 'CRISPR associated protein', NULL, 'CRISPR_assoc', NULL, NULL, NULL, 6),
(4409, NULL, 'PF07680', NULL, NULL, 'TQO small subunit DoxA', NULL, 'DoxA', NULL, NULL, NULL, 6),
(4410, NULL, 'PF12997', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3881)', NULL, 'DUF3881', NULL, NULL, NULL, 6),
(4411, NULL, 'PF06237', NULL, NULL, 'Protein of unknown function (DUF1011)', NULL, 'DUF1011', NULL, NULL, NULL, 6),
(4412, NULL, 'PF13805', NULL, NULL, 'Eisosome component PIL1', NULL, 'Pil1', NULL, NULL, NULL, 6),
(4413, NULL, 'PF06289', NULL, NULL, 'Flagellar and Swarming motility proteins', NULL, 'FlbD', NULL, NULL, NULL, 6),
(4414, NULL, 'PF14414', NULL, NULL, 'A nuclease of the HNH/ENDO VII superfamily with conserved WHH', NULL, 'WHH', NULL, NULL, NULL, 6),
(4415, NULL, 'PF09930', NULL, NULL, 'Predicted transporter (DUF2162)', NULL, 'DUF2162', NULL, NULL, NULL, 6),
(4416, NULL, 'PF12944', NULL, NULL, 'Hepatitis A virus viral protein VP', NULL, 'HAV_VP', NULL, NULL, NULL, 6),
(4417, NULL, 'PF00347', NULL, NULL, 'Ribosomal protein L6', NULL, 'Ribosomal_L6', NULL, NULL, NULL, 6),
(4418, NULL, 'PF16735', NULL, NULL, 'Unconventional myosin-X coiled coil domain', NULL, 'MYO10_CC', NULL, NULL, NULL, 6),
(4419, NULL, 'PF02605', NULL, NULL, 'Photosystem I reaction centre subunit XI', NULL, 'PsaL', NULL, NULL, NULL, 6),
(4420, NULL, 'PF11519', NULL, NULL, 'Protein of unknown function (DUF3222)', NULL, 'DUF3222', NULL, NULL, NULL, 6),
(4421, NULL, 'PF12580', NULL, NULL, 'Tripeptidyl peptidase II', NULL, 'TPPII', NULL, NULL, NULL, 6),
(4422, NULL, 'PF06940', NULL, NULL, 'Domain of unknown function (DUF1287)', NULL, 'DUF1287', NULL, NULL, NULL, 6),
(4423, NULL, 'PF00148', NULL, NULL, 'Nitrogenase component 1 type Oxidoreductase', NULL, 'Oxidored_nitro', NULL, NULL, NULL, 6),
(4424, NULL, 'PF12654', NULL, NULL, 'Domain of unknown function (DUF3786)', NULL, 'DUF3786', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4425, NULL, 'PF11673', NULL, NULL, 'Protein of unknown function (DUF3269)', NULL, 'DUF3269', NULL, NULL, NULL, 6),
(4426, NULL, 'PF16721', NULL, NULL, 'Zinc-finger like, probable DNA-binding', NULL, 'zf-H3C2', NULL, NULL, NULL, 6),
(4427, NULL, 'PF18306', NULL, NULL, 'SLOG cluster4 family', NULL, 'LDcluster4', NULL, NULL, NULL, 6),
(4428, NULL, 'PF04607', NULL, NULL, 'Region found in RelA / SpoT proteins', NULL, 'RelA_SpoT', NULL, NULL, NULL, 6),
(4429, NULL, 'PF10590', NULL, NULL, 'Pyridoxine 5''-phosphate oxidase C-terminal dimerisation region', NULL, 'PNP_phzG_C', NULL, NULL, NULL, 6),
(4430, NULL, 'PF17539', NULL, NULL, 'Family of unknown function (DUF5456)', NULL, 'DUF5456', NULL, NULL, NULL, 6),
(4431, NULL, 'PF12721', NULL, NULL, 'RIP homotypic interaction motif', NULL, 'RHIM', NULL, NULL, NULL, 6),
(4432, NULL, 'PF18112', NULL, NULL, 'Autophagy receptor zinc finger-C2H2 domain', NULL, 'Zn-C2H2_12', NULL, NULL, NULL, 6),
(4433, NULL, 'PF13446', NULL, NULL, 'A repeated domain in UCH-protein', NULL, 'RPT', NULL, NULL, NULL, 6),
(4434, NULL, 'PF13013', NULL, NULL, 'F-box-like domain', NULL, 'F-box-like_2', NULL, NULL, NULL, 6),
(4435, NULL, 'PF00276', NULL, NULL, 'Ribosomal protein L23', NULL, 'Ribosomal_L23', NULL, NULL, NULL, 6),
(4436, NULL, 'PF01628', NULL, NULL, 'HrcA protein C terminal domain', NULL, 'HrcA', NULL, NULL, NULL, 6),
(4437, NULL, 'PF18756', NULL, NULL, 'Nucleotide modification associated domain 4', NULL, 'Nmad4', NULL, NULL, NULL, 6),
(4438, NULL, 'PF16332', NULL, NULL, 'Domain of unknown function (DUF4962)', NULL, 'DUF4962', NULL, NULL, NULL, 6),
(4439, NULL, 'PF18534', NULL, NULL, 'Helical bundle domain', NULL, 'HBD', NULL, NULL, NULL, 6),
(4440, NULL, 'PF03377', NULL, NULL, 'TAL effector repeat', NULL, 'TAL_effector', NULL, NULL, NULL, 6),
(4441, NULL, 'PF03520', NULL, NULL, 'KCNQ voltage-gated potassium channel', NULL, 'KCNQ_channel', NULL, NULL, NULL, 6),
(4442, NULL, 'PF06375', NULL, NULL, 'AP-3 complex subunit delta-1', NULL, 'AP3D1', NULL, NULL, NULL, 6),
(4443, NULL, 'PF02610', NULL, NULL, 'L-arabinose isomerase', NULL, 'Arabinose_Isome', NULL, NULL, NULL, 6),
(4444, NULL, 'PF02561', NULL, NULL, 'Flagellar protein FliS', NULL, 'FliS', NULL, NULL, NULL, 6),
(4445, NULL, 'PF04281', NULL, NULL, 'Mitochondrial import receptor subunit Tom22', NULL, 'Tom22', NULL, NULL, NULL, 6),
(4446, NULL, 'PF05852', NULL, NULL, 'Gammaherpesvirus protein of unknown function (DUF848)', NULL, 'DUF848', NULL, NULL, NULL, 6),
(4447, NULL, 'PF07387', NULL, NULL, 'Seadornavirus VP7', NULL, 'Seadorna_VP7', NULL, NULL, NULL, 6),
(4448, NULL, 'PF09860', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2087)', NULL, 'DUF2087', NULL, NULL, NULL, 6),
(4449, NULL, 'PF16331', NULL, NULL, 'TolA binding protein trimerisation', NULL, 'TolA_bind_tri', NULL, NULL, NULL, 6),
(4450, NULL, 'PF15582', NULL, NULL, 'Immunity protein 65', NULL, 'Imm65', NULL, NULL, NULL, 6),
(4451, NULL, 'PF10869', NULL, NULL, 'Protein of unknown function (DUF2666)', NULL, 'DUF2666', NULL, NULL, NULL, 6),
(4452, NULL, 'PF14016', NULL, NULL, 'Protein of unknown function (DUF4232)', NULL, 'DUF4232', NULL, NULL, NULL, 6),
(4453, NULL, 'PF17265', NULL, NULL, 'Family of unknown function (DUF5331)', NULL, 'DUF5331', NULL, NULL, NULL, 6),
(4454, NULL, 'PF18574', NULL, NULL, 'C2HC Zing finger domain', NULL, 'zf_C2HC_14', NULL, NULL, NULL, 6),
(4455, NULL, 'PF09281', NULL, NULL, 'Taq polymerase, exonuclease', NULL, 'Taq-exonuc', NULL, NULL, NULL, 6),
(4456, NULL, 'PF03146', NULL, NULL, 'Agrin NtA domain', NULL, 'NtA', NULL, NULL, NULL, 6),
(4457, NULL, 'PF00013', NULL, NULL, 'KH domain', NULL, 'KH_1', NULL, NULL, NULL, 6),
(4458, NULL, 'PF02305', NULL, NULL, 'Capsid protein (F protein)', NULL, 'Phage_F', NULL, NULL, NULL, 6),
(4459, NULL, 'PF07029', NULL, NULL, 'CryBP1 protein', NULL, 'CryBP1', NULL, NULL, NULL, 6),
(4460, NULL, 'PF09739', NULL, NULL, 'Mini-chromosome maintenance replisome factor', NULL, 'MCM_bind', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4461, NULL, 'PF17493', NULL, NULL, 'Family of unknown function (DUF5428)', NULL, 'DUF5428', NULL, NULL, NULL, 6),
(4462, NULL, 'PF14665', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, phosphorylation-site', NULL, 'RICTOR_phospho', NULL, NULL, NULL, 6),
(4463, NULL, 'PF15913', NULL, NULL, 'Furin-like repeat, cysteine-rich', NULL, 'Furin-like_2', NULL, NULL, NULL, 6),
(4464, NULL, 'PF01265', NULL, NULL, 'Cytochrome c/c1 heme lyase', NULL, 'Cyto_heme_lyase', NULL, NULL, NULL, 6),
(4465, NULL, 'PF17926', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_21', NULL, NULL, NULL, 6),
(4466, NULL, 'PF03571', NULL, NULL, 'Peptidase family M49', NULL, 'Peptidase_M49', NULL, NULL, NULL, 6),
(4467, NULL, 'PF05234', NULL, NULL, 'UAF complex subunit Rrn10', NULL, 'UAF_Rrn10', NULL, NULL, NULL, 6),
(4468, NULL, 'PF15788', NULL, NULL, 'Domain of unknown function (DUF4705)', NULL, 'DUF4705', NULL, NULL, NULL, 6),
(4469, NULL, 'PF05785', NULL, NULL, 'Rho-activating domain of cytotoxic necrotizing factor', NULL, 'CNF1', NULL, NULL, NULL, 6),
(4470, NULL, 'PF09480', NULL, NULL, 'Type III secretion system protein PrgH-EprH (PrgH)', NULL, 'PrgH', NULL, NULL, NULL, 6),
(4471, NULL, 'PF19204', NULL, NULL, 'Family of unknown function (DUF5876)', NULL, 'DUF5876', NULL, NULL, NULL, 6),
(4472, NULL, 'PF01985', NULL, NULL, 'CRS1 / YhbY (CRM) domain', NULL, 'CRS1_YhbY', NULL, NULL, NULL, 6),
(4473, NULL, 'PF19018', NULL, NULL, 'Vanin C-terminal domain', NULL, 'Vanin_C', NULL, NULL, NULL, 6),
(4474, NULL, 'PF01140', NULL, NULL, 'Matrix protein (MA), p15', NULL, 'Gag_MA', NULL, NULL, NULL, 6),
(4475, NULL, 'PF03793', NULL, NULL, 'PASTA domain', NULL, 'PASTA', NULL, NULL, NULL, 6),
(4476, NULL, 'PF02794', NULL, NULL, 'RTX toxin acyltransferase family', NULL, 'HlyC', NULL, NULL, NULL, 6),
(4477, NULL, 'PF11805', NULL, NULL, 'Protein of unknown function (DUF3326)', NULL, 'DUF3326', NULL, NULL, NULL, 6),
(4478, NULL, 'PF00251', NULL, NULL, 'Glycosyl hydrolases family 32 N-terminal domain', NULL, 'Glyco_hydro_32N', NULL, NULL, NULL, 6),
(4479, NULL, 'PF02625', NULL, NULL, 'XdhC and CoxI family', NULL, 'XdhC_CoxI', NULL, NULL, NULL, 6),
(4480, NULL, 'PF07602', NULL, NULL, 'Protein of unknown function (DUF1565)', NULL, 'DUF1565', NULL, NULL, NULL, 6),
(4481, NULL, 'PF17757', NULL, NULL, 'UvrB interaction domain', NULL, 'UvrB_inter', NULL, NULL, NULL, 6),
(4482, NULL, 'PF13572', NULL, NULL, 'Domain of unknown function (DUF4134)', NULL, 'DUF4134', NULL, NULL, NULL, 6),
(4483, NULL, 'PF15899', NULL, NULL, 'BNR-Asp box repeat', NULL, 'BNR_6', NULL, NULL, NULL, 6),
(4484, NULL, 'PF12984', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3868)', NULL, 'DUF3868', NULL, NULL, NULL, 6),
(4485, NULL, 'PF17370', NULL, NULL, 'Family of unknown function (DUF5392)', NULL, 'DUF5392', NULL, NULL, NULL, 6),
(4486, NULL, 'PF09191', NULL, NULL, 'CD4, extracellular', NULL, 'CD4-extracel', NULL, NULL, NULL, 6),
(4487, NULL, 'PF00472', NULL, NULL, 'RF-1 domain', NULL, 'RF-1', NULL, NULL, NULL, 6),
(4488, NULL, 'PF17569', NULL, NULL, 'Family of unknown function (DUF5475)', NULL, 'DUF5475', NULL, NULL, NULL, 6),
(4489, NULL, 'PF07429', NULL, NULL, '4-alpha-L-fucosyltransferase glycosyl transferase group 56', NULL, 'Glyco_transf_56', NULL, NULL, NULL, 6),
(4490, NULL, 'PF12961', NULL, NULL, 'Domain of unknown function (DUF3850)', NULL, 'DUF3850', NULL, NULL, NULL, 6),
(4491, NULL, 'PF09567', NULL, NULL, 'MamI restriction endonuclease', NULL, 'RE_MamI', NULL, NULL, NULL, 6),
(4492, NULL, 'PF18362', NULL, NULL, 'Tri-helix bundle domain', NULL, 'THB', NULL, NULL, NULL, 6),
(4493, NULL, 'PF05890', NULL, NULL, 'Eukaryotic rRNA processing protein EBP2', NULL, 'Ebp2', NULL, NULL, NULL, 6),
(4494, NULL, 'PF10507', NULL, NULL, 'Transmembrane protein 65', NULL, 'TMEM65', NULL, NULL, NULL, 6),
(4495, NULL, 'PF07355', NULL, NULL, 'Glycine/sarcosine/betaine reductase selenoprotein B (GRDB)', NULL, 'GRDB', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4496, NULL, 'PF17230', NULL, NULL, 'Family of unknown function (DUF5304)', NULL, 'DUF5304', NULL, NULL, NULL, 6),
(4497, NULL, 'PF11594', NULL, NULL, 'Mediator complex subunit 28', NULL, 'Med28', NULL, NULL, NULL, 6),
(4498, NULL, 'PF08278', NULL, NULL, 'DNA primase DnaG DnaB-binding', NULL, 'DnaG_DnaB_bind', NULL, NULL, NULL, 6),
(4499, NULL, 'PF13575', NULL, NULL, 'Domain of unknown function (DUF4135)', NULL, 'DUF4135', NULL, NULL, NULL, 6),
(4500, NULL, 'PF00357', NULL, NULL, 'Integrin alpha cytoplasmic region', NULL, 'Integrin_alpha', NULL, NULL, NULL, 6),
(4501, NULL, 'PF10335', NULL, NULL, 'Putative nucleotidyltransferase substrate binding domain', NULL, 'DUF294_C', NULL, NULL, NULL, 6),
(4502, NULL, 'PF03649', NULL, NULL, 'Uncharacterised protein family (UPF0014)', NULL, 'UPF0014', NULL, NULL, NULL, 6),
(4503, NULL, 'PF11695', NULL, NULL, 'Domain of unknown function (DUF3291)', NULL, 'DUF3291', NULL, NULL, NULL, 6),
(4504, NULL, 'PF11587', NULL, NULL, 'Major prion protein bPrPp - N terminal', NULL, 'Prion_bPrPp', NULL, NULL, NULL, 6),
(4505, NULL, 'PF15801', NULL, NULL, 'zf-MYND-like zinc finger, mRNA-binding', NULL, 'zf-C6H2', NULL, NULL, NULL, 6),
(4506, NULL, 'PF08665', NULL, NULL, 'PglZ domain', NULL, 'PglZ', NULL, NULL, NULL, 6),
(4507, NULL, 'PF12206', NULL, NULL, 'Domain of unknown function (DUF3599)', NULL, 'DUF3599', NULL, NULL, NULL, 6),
(4508, NULL, 'PF09272', NULL, NULL, 'Hepsin, SRCR domain', NULL, 'Hepsin-SRCR', NULL, NULL, NULL, 6),
(4509, NULL, 'PF11561', NULL, NULL, 'Single strand annealing-weakened 1', NULL, 'Saw1', NULL, NULL, NULL, 6),
(4510, NULL, 'PF05628', NULL, NULL, 'Borrelia membrane protein P13', NULL, 'Borrelia_P13', NULL, NULL, NULL, 6),
(4511, NULL, 'PF09690', NULL, NULL, 'Plasmodium yoelii subtelomeric region (PYST-C1)', NULL, 'PYST-C1', NULL, NULL, NULL, 6),
(4512, NULL, 'PF12545', NULL, NULL, 'Filamentous haemagglutinin family outer membrane protein', NULL, 'DUF3739', NULL, NULL, NULL, 6),
(4513, NULL, 'PF16225', NULL, NULL, 'Domain of unknown function (DUF4884)', NULL, 'DUF4884', NULL, NULL, NULL, 6),
(4514, NULL, 'PF04378', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase D, RlmJ', NULL, 'RsmJ', NULL, NULL, NULL, 6),
(4515, NULL, 'PF02892', NULL, NULL, 'BED zinc finger', NULL, 'zf-BED', NULL, NULL, NULL, 6),
(4516, NULL, 'PF01560', NULL, NULL, 'Hepatitis C virus non-structural protein E2/NS1', NULL, 'HCV_NS1', NULL, NULL, NULL, 6),
(4517, NULL, 'PF11640', NULL, NULL, 'Telomere-length maintenance and DNA damage repair', NULL, 'TAN', NULL, NULL, NULL, 6),
(4518, NULL, 'PF10165', NULL, NULL, 'Guanine nucleotide exchange factor synembryn', NULL, 'Ric8', NULL, NULL, NULL, 6),
(4519, NULL, 'PF07896', NULL, NULL, 'Protein of unknown function (DUF1674)', NULL, 'DUF1674', NULL, NULL, NULL, 6),
(4520, NULL, 'PF08809', NULL, NULL, 'Phage related hypothetical protein (DUF1799)', NULL, 'DUF1799', NULL, NULL, NULL, 6),
(4521, NULL, 'PF16356', NULL, NULL, 'Domain of unknown function (DUF4983)', NULL, 'DUF4983', NULL, NULL, NULL, 6),
(4522, NULL, 'PF04931', NULL, NULL, 'DNA polymerase phi', NULL, 'DNA_pol_phi', NULL, NULL, NULL, 6),
(4523, NULL, 'PF18447', NULL, NULL, 'Fibronectin type III domain', NULL, 'FN3_7', NULL, NULL, NULL, 6),
(4524, NULL, 'PF03402', NULL, NULL, 'Vomeronasal organ pheromone receptor family, V1R', NULL, 'V1R', NULL, NULL, NULL, 6),
(4525, NULL, 'PF08440', NULL, NULL, 'Potyviridae polyprotein', NULL, 'Poty_PP', NULL, NULL, NULL, 6),
(4526, NULL, 'PF07647', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_2', NULL, NULL, NULL, 6),
(4527, NULL, 'PF16262', NULL, NULL, 'Domain of unknown function (DUF4916)', NULL, 'DUF4916', NULL, NULL, NULL, 6),
(4528, NULL, 'PF18917', NULL, NULL, 'Domain of unknown function (DUF5668)', NULL, 'DUF5668', NULL, NULL, NULL, 6),
(4529, NULL, 'PF16463', NULL, NULL, 'Phage tail tube protein family', NULL, 'Phage_TTP_13', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4530, NULL, 'PF01300', NULL, NULL, 'Telomere recombination', NULL, 'Sua5_yciO_yrdC', NULL, NULL, NULL, 6),
(4531, NULL, 'PF14404', NULL, NULL, 'Ribosomally synthesized peptide in Streptomyces species', NULL, 'Strep_pep', NULL, NULL, NULL, 6),
(4532, NULL, 'PF13038', NULL, NULL, 'Domain of unknown function (DUF3899)', NULL, 'DUF3899', NULL, NULL, NULL, 6),
(4533, NULL, 'PF01887', NULL, NULL, 'S-adenosyl-l-methionine hydroxide adenosyltransferase', NULL, 'SAM_adeno_trans', NULL, NULL, NULL, 6),
(4534, NULL, 'PF00237', NULL, NULL, 'Ribosomal protein L22p/L17e', NULL, 'Ribosomal_L22', NULL, NULL, NULL, 6),
(4535, NULL, 'PF04382', NULL, NULL, 'SAB domain', NULL, 'SAB', NULL, NULL, NULL, 6),
(4536, NULL, 'PF18024', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_50', NULL, NULL, NULL, 6),
(4537, NULL, 'PF07584', NULL, NULL, 'Aerotolerance regulator N-terminal', NULL, 'BatA', NULL, NULL, NULL, 6),
(4538, NULL, 'PF00047', NULL, NULL, 'Immunoglobulin domain', NULL, 'ig', NULL, NULL, NULL, 6),
(4539, NULL, 'PF05211', NULL, NULL, 'Neuraminyllactose-binding hemagglutinin precursor (NLBH)', NULL, 'NLBH', NULL, NULL, NULL, 6),
(4540, NULL, 'PF13318', NULL, NULL, 'Protein of unknown function (DUF4089)', NULL, 'DUF4089', NULL, NULL, NULL, 6),
(4541, NULL, 'PF06170', NULL, NULL, 'Protein of unknown function (DUF983)', NULL, 'DUF983', NULL, NULL, NULL, 6),
(4542, NULL, 'PF10969', NULL, NULL, 'Protein of unknown function (DUF2771)', NULL, 'DUF2771', NULL, NULL, NULL, 6),
(4543, NULL, 'PF06578', NULL, NULL, 'YOP proteins translocation protein K (YscK)', NULL, 'YscK', NULL, NULL, NULL, 6),
(4544, NULL, 'PF13647', NULL, NULL, 'Glycosyl hydrolase family 80 of chitosanase A', NULL, 'Glyco_hydro_80', NULL, NULL, NULL, 6),
(4545, NULL, 'PF07859', NULL, NULL, 'alpha/beta hydrolase fold', NULL, 'Abhydrolase_3', NULL, NULL, NULL, 6),
(4546, NULL, 'PF10508', NULL, NULL, 'Proteasome non-ATPase 26S subunit', NULL, 'Proteasom_PSMB', NULL, NULL, NULL, 6),
(4547, NULL, 'PF14178', NULL, NULL, 'YppF-like protein', NULL, 'YppF', NULL, NULL, NULL, 6),
(4548, NULL, 'PF10903', NULL, NULL, 'Protein of unknown function (DUF2691)', NULL, 'DUF2691', NULL, NULL, NULL, 6),
(4549, NULL, 'PF12054', NULL, NULL, 'Domain of unknown function (DUF3535)', NULL, 'DUF3535', NULL, NULL, NULL, 6),
(4550, NULL, 'PF15068', NULL, NULL, 'FAM101 family', NULL, 'FAM101', NULL, NULL, NULL, 6),
(4551, NULL, 'PF08690', NULL, NULL, 'GET complex subunit GET2', NULL, 'GET2', NULL, NULL, NULL, 6),
(4552, NULL, 'PF17229', NULL, NULL, 'Serine/threonine-protein kinase SMG1 N-terminal', NULL, 'SMG1_N', NULL, NULL, NULL, 6),
(4553, NULL, 'PF01614', NULL, NULL, 'Bacterial transcriptional regulator', NULL, 'IclR', NULL, NULL, NULL, 6),
(4554, NULL, 'PF11838', NULL, NULL, 'ERAP1-like C-terminal domain', NULL, 'ERAP1_C', NULL, NULL, NULL, 6),
(4555, NULL, 'PF14717', NULL, NULL, 'Domain of unknown function (DUF4465)', NULL, 'DUF4465', NULL, NULL, NULL, 6),
(4556, NULL, 'PF12848', NULL, NULL, 'ABC transporter', NULL, 'ABC_tran_Xtn', NULL, NULL, NULL, 6),
(4557, NULL, 'PF10265', NULL, NULL, 'Mitoguardin', NULL, 'Miga', NULL, NULL, NULL, 6),
(4558, NULL, 'PF03611', NULL, NULL, 'PTS system sugar-specific permease component', NULL, 'EIIC-GAT', NULL, NULL, NULL, 6),
(4559, NULL, 'PF02585', NULL, NULL, 'GlcNAc-PI de-N-acetylase', NULL, 'PIG-L', NULL, NULL, NULL, 6),
(4560, NULL, 'PF10100', NULL, NULL, 'Staphylopine dehydrogenase', NULL, 'Staph_opine_DH', NULL, NULL, NULL, 6),
(4561, NULL, 'PF00803', NULL, NULL, '3A/RNA2 movement protein family', NULL, '3A', NULL, NULL, NULL, 6),
(4562, NULL, 'PF14649', NULL, NULL, 'Spatacsin C-terminus', NULL, 'Spatacsin_C', NULL, NULL, NULL, 6),
(4563, NULL, 'PF08703', NULL, NULL, 'PLC-beta C terminal', NULL, 'PLC-beta_C', NULL, NULL, NULL, 6),
(4564, NULL, 'PF15538', NULL, NULL, 'Bacterial toxin 46', NULL, 'Ntox46', NULL, NULL, NULL, 6),
(4565, NULL, 'PF16091', NULL, NULL, 'Domain of unknown function (DUF4820)', NULL, 'DUF4820', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4566, NULL, 'PF01665', NULL, NULL, 'Rotavirus non-structural protein NSP3', NULL, 'Rota_NSP3', NULL, NULL, NULL, 6),
(4567, NULL, 'PF01220', NULL, NULL, 'Dehydroquinase class II', NULL, 'DHquinase_II', NULL, NULL, NULL, 6),
(4568, NULL, 'PF12322', NULL, NULL, 'T4 bacteriophage base plate protein', NULL, 'T4_baseplate', NULL, NULL, NULL, 6),
(4569, NULL, 'PF02634', NULL, NULL, 'FdhD/NarQ family', NULL, 'FdhD-NarQ', NULL, NULL, NULL, 6),
(4570, NULL, 'PF00421', NULL, NULL, 'Photosystem II protein', NULL, 'PSII', NULL, NULL, NULL, 6),
(4571, NULL, 'PF08343', NULL, NULL, 'Ribonucleotide reductase N-terminal', NULL, 'RNR_N', NULL, NULL, NULL, 6),
(4572, NULL, 'PF06568', NULL, NULL, 'Domain of unknown function (DUF1127)', NULL, 'DUF1127', NULL, NULL, NULL, 6),
(4573, NULL, 'PF09147', NULL, NULL, 'Domain of unknown function (DUF1933)', NULL, 'DUF1933', NULL, NULL, NULL, 6),
(4574, NULL, 'PF18768', NULL, NULL, 'RNPP family C-terminal domain', NULL, 'RNPP_C', NULL, NULL, NULL, 6),
(4575, NULL, 'PF08325', NULL, NULL, 'WLM domain', NULL, 'WLM', NULL, NULL, NULL, 6),
(4576, NULL, 'PF17761', NULL, NULL, 'DUF1016 N-terminal domain', NULL, 'DUF1016_N', NULL, NULL, NULL, 6),
(4577, NULL, 'PF11497', NULL, NULL, 'NADH-quinone oxidoreductase chain 15', NULL, 'NADH_Oxid_Nqo15', NULL, NULL, NULL, 6),
(4578, NULL, 'PF11240', NULL, NULL, 'Protein of unknown function (DUF3042)', NULL, 'DUF3042', NULL, NULL, NULL, 6),
(4579, NULL, 'PF18531', NULL, NULL, 'Polo box domain', NULL, 'Polo_box_2', NULL, NULL, NULL, 6),
(4580, NULL, 'PF05425', NULL, NULL, 'Copper resistance protein D', NULL, 'CopD', NULL, NULL, NULL, 6),
(4581, NULL, 'PF09572', NULL, NULL, 'XamI restriction endonuclease', NULL, 'RE_XamI', NULL, NULL, NULL, 6),
(4582, NULL, 'PF12306', NULL, NULL, 'Inclusion body protein', NULL, 'PixA', NULL, NULL, NULL, 6),
(4583, NULL, 'PF07918', NULL, NULL, 'CAP160 repeat', NULL, 'CAP160', NULL, NULL, NULL, 6),
(4584, NULL, 'PF19175', NULL, NULL, 'Family of unknown function (DUF5857)', NULL, 'DUF5857', NULL, NULL, NULL, 6),
(4585, NULL, 'PF08090', NULL, NULL, 'Heat stable E.coli enterotoxin 1', NULL, 'Enterotoxin_HS1', NULL, NULL, NULL, 6),
(4586, NULL, 'PF09412', NULL, NULL, 'Endoribonuclease XendoU', NULL, 'XendoU', NULL, NULL, NULL, 6),
(4587, NULL, 'PF08143', NULL, NULL, 'CBFNT (NUC161) domain', NULL, 'CBFNT', NULL, NULL, NULL, 6),
(4588, NULL, 'PF06565', NULL, NULL, 'DUF1126 PH-like domain', NULL, 'DUF1126', NULL, NULL, NULL, 6),
(4589, NULL, 'PF01847', NULL, NULL, 'VHL beta domain', NULL, 'VHL', NULL, NULL, NULL, 6),
(4590, NULL, 'PF15933', NULL, NULL, 'Antitoxin to bacterial toxin RNase LS or RnlA', NULL, 'RnlB_antitoxin', NULL, NULL, NULL, 6),
(4591, NULL, 'PF08738', NULL, NULL, 'Gon7 family', NULL, 'Gon7', NULL, NULL, NULL, 6),
(4592, NULL, 'PF04418', NULL, NULL, 'Domain of unknown function (DUF543)', NULL, 'DUF543', NULL, NULL, NULL, 6),
(4593, NULL, 'PF09512', NULL, NULL, 'Thiamine-precursor transporter protein (ThiW)', NULL, 'ThiW', NULL, NULL, NULL, 6),
(4594, NULL, 'PF12083', NULL, NULL, 'Domain of unknown function (DUF3560)', NULL, 'DUF3560', NULL, NULL, NULL, 6),
(4595, NULL, 'PF08711', NULL, NULL, 'TFIIS helical bundle-like domain', NULL, 'Med26', NULL, NULL, NULL, 6),
(4596, NULL, 'PF13802', NULL, NULL, 'Galactose mutarotase-like', NULL, 'Gal_mutarotas_2', NULL, NULL, NULL, 6),
(4597, NULL, 'PF00385', NULL, NULL, 'Chromo (CHRromatin Organisation MOdifier) domain', NULL, 'Chromo', NULL, NULL, NULL, 6),
(4598, NULL, 'PF18454', NULL, NULL, 'Major tropism determinant N-terminal domain', NULL, 'Mtd_N', NULL, NULL, NULL, 6),
(4599, NULL, 'PF02018', NULL, NULL, 'Carbohydrate binding domain', NULL, 'CBM_4_9', NULL, NULL, NULL, 6),
(4600, NULL, 'PF03333', NULL, NULL, 'Adhesin biosynthesis transcription regulatory protein', NULL, 'PapB', NULL, NULL, NULL, 6),
(4601, NULL, 'PF01259', NULL, NULL, 'SAICAR synthetase', NULL, 'SAICAR_synt', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4602, NULL, 'PF08650', NULL, NULL, 'DASH complex subunit Dad4', NULL, 'DASH_Dad4', NULL, NULL, NULL, 6),
(4603, NULL, 'PF04370', NULL, NULL, 'Domain of unknown function (DUF508)', NULL, 'DUF508', NULL, NULL, NULL, 6),
(4604, NULL, 'PF10266', NULL, NULL, 'Hereditary spastic paraplegia protein strumpellin', NULL, 'Strumpellin', NULL, NULL, NULL, 6),
(4605, NULL, 'PF08969', NULL, NULL, 'USP8 dimerisation domain', NULL, 'USP8_dimer', NULL, NULL, NULL, 6),
(4606, NULL, 'PF00924', NULL, NULL, 'Mechanosensitive ion channel', NULL, 'MS_channel', NULL, NULL, NULL, 6),
(4607, NULL, 'PF19077', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_13', NULL, NULL, NULL, 6),
(4608, NULL, 'PF13056', NULL, NULL, 'Protein of unknown function (DUF3918)', NULL, 'DUF3918', NULL, NULL, NULL, 6),
(4609, NULL, 'PF06677', NULL, NULL, 'Sjogren''s syndrome/scleroderma autoantigen 1 (Autoantigen p27)', NULL, 'Auto_anti-p27', NULL, NULL, NULL, 6),
(4610, NULL, 'PF14064', NULL, NULL, 'HmuY protein', NULL, 'HmuY', NULL, NULL, NULL, 6),
(4611, NULL, 'PF06979', NULL, NULL, 'Assembly, mitochondrial proton-transport ATP synth complex', NULL, 'TMEM70', NULL, NULL, NULL, 6),
(4612, NULL, 'PF12968', NULL, NULL, 'Domain of Unknown Function (DUF3856)', NULL, 'DUF3856', NULL, NULL, NULL, 6),
(4613, NULL, 'PF07869', NULL, NULL, 'Protein of unknown function (DUF1656)', NULL, 'DUF1656', NULL, NULL, NULL, 6),
(4614, NULL, 'PF00505', NULL, NULL, 'HMG (high mobility group) box', NULL, 'HMG_box', NULL, NULL, NULL, 6),
(4615, NULL, 'PF09521', NULL, NULL, 'NgoPII restriction endonuclease', NULL, 'RE_NgoPII', NULL, NULL, NULL, 6),
(4616, NULL, 'PF18653', NULL, NULL, 'Arcadin 1', NULL, 'Arcadin_1', NULL, NULL, NULL, 6),
(4617, NULL, 'PF14553', NULL, NULL, 'YqbF, hypothetical protein domain', NULL, 'YqbF', NULL, NULL, NULL, 6),
(4618, NULL, 'PF03947', NULL, NULL, 'Ribosomal Proteins L2, C-terminal domain', NULL, 'Ribosomal_L2_C', NULL, NULL, NULL, 6),
(4619, NULL, 'PF13481', NULL, NULL, 'AAA domain', NULL, 'AAA_25', NULL, NULL, NULL, 6),
(4620, NULL, 'PF00094', NULL, NULL, 'von Willebrand factor type D domain', NULL, 'VWD', NULL, NULL, NULL, 6),
(4621, NULL, 'PF15584', NULL, NULL, 'Immunity protein 72', NULL, 'Imm72', NULL, NULL, NULL, 6),
(4622, NULL, 'PF07971', NULL, NULL, 'Glycosyl hydrolase family 92', NULL, 'Glyco_hydro_92', NULL, NULL, NULL, 6),
(4623, NULL, 'PF04093', NULL, NULL, 'rod shape-determining protein MreD', NULL, 'MreD', NULL, NULL, NULL, 6),
(4624, NULL, 'PF13683', NULL, NULL, 'Integrase core domain', NULL, 'rve_3', NULL, NULL, NULL, 6),
(4625, NULL, 'PF10691', NULL, NULL, 'Protein of unknown function (DUF2497)', NULL, 'DUF2497', NULL, NULL, NULL, 6),
(4626, NULL, 'PF15903', NULL, NULL, 'Filopodia upregulated, FAM65', NULL, 'PL48', NULL, NULL, NULL, 6),
(4627, NULL, 'PF17799', NULL, NULL, 'Rrp7 RRM-like N-terminal domain', NULL, 'RRM_Rrp7', NULL, NULL, NULL, 6),
(4628, NULL, 'PF00181', NULL, NULL, 'Ribosomal Proteins L2, RNA binding domain', NULL, 'Ribosomal_L2', NULL, NULL, NULL, 6),
(4629, NULL, 'PF08715', NULL, NULL, 'Coronavirus papain-like peptidase', NULL, 'CoV_peptidase', NULL, NULL, NULL, 6),
(4630, NULL, 'PF07095', NULL, NULL, 'Intracellular growth attenuator protein IgaA', NULL, 'IgaA', NULL, NULL, NULL, 6),
(4631, NULL, 'PF03851', NULL, NULL, 'UV-endonuclease UvdE', NULL, 'UvdE', NULL, NULL, NULL, 6),
(4632, NULL, 'PF06363', NULL, NULL, 'Picornaviridae P3A protein', NULL, 'Picorna_P3A', NULL, NULL, NULL, 6),
(4633, NULL, 'PF09405', NULL, NULL, 'CASC3/Barentsz eIF4AIII binding', NULL, 'Btz', NULL, NULL, NULL, 6),
(4634, NULL, 'PF01780', NULL, NULL, 'Ribosomal L37ae protein family', NULL, 'Ribosomal_L37ae', NULL, NULL, NULL, 6),
(4635, NULL, 'PF09794', NULL, NULL, 'Transport protein Avl9', NULL, 'Avl9', NULL, NULL, NULL, 6),
(4636, NULL, 'PF01512', NULL, NULL, 'Respiratory-chain NADH dehydrogenase 51 Kd subunit', NULL, 'Complex1_51K', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4637, NULL, 'PF14943', NULL, NULL, 'Mitochondrial ribosome subunit S26', NULL, 'MRP-S26', NULL, NULL, NULL, 6),
(4638, NULL, 'PF04059', NULL, NULL, 'RNA recognition motif 2', NULL, 'RRM_2', NULL, NULL, NULL, 6),
(4639, NULL, 'PF14367', NULL, NULL, 'Domain of unknown function (DUF4411)', NULL, 'DUF4411', NULL, NULL, NULL, 6),
(4640, NULL, 'PF15815', NULL, NULL, 'E3 ubiquitin-protein ligase makorin, C-terminal', NULL, 'MKRN1_C', NULL, NULL, NULL, 6),
(4641, NULL, 'PF10033', NULL, NULL, 'Autophagy-related protein 13', NULL, 'ATG13', NULL, NULL, NULL, 6),
(4642, NULL, 'PF02035', NULL, NULL, 'Coagulin', NULL, 'Coagulin', NULL, NULL, NULL, 6),
(4643, NULL, 'PF17174', NULL, NULL, 'Domain of unknown function (DUF5130)', NULL, 'DUF5130', NULL, NULL, NULL, 6),
(4644, NULL, 'PF17626', NULL, NULL, 'Inclusion membrane protein F', NULL, 'IncF', NULL, NULL, NULL, 6),
(4645, NULL, 'PF09409', NULL, NULL, 'PUB domain', NULL, 'PUB', NULL, NULL, NULL, 6),
(4646, NULL, 'PF05285', NULL, NULL, 'SDA1', NULL, 'SDA1', NULL, NULL, NULL, 6),
(4647, NULL, 'PF05332', NULL, NULL, 'Protein of unknown function (DUF743)', NULL, 'DUF743', NULL, NULL, NULL, 6),
(4648, NULL, 'PF06552', NULL, NULL, 'Plant specific mitochondrial import receptor subunit TOM20', NULL, 'TOM20_plant', NULL, NULL, NULL, 6),
(4649, NULL, 'PF12032', NULL, NULL, 'Regulatory CLIP domain of proteinases', NULL, 'CLIP', NULL, NULL, NULL, 6),
(4650, NULL, 'PF15372', NULL, NULL, 'Domain of unknown function (DUF4600)', NULL, 'DUF4600', NULL, NULL, NULL, 6),
(4651, NULL, 'PF01107', NULL, NULL, 'Viral movement protein (MP)', NULL, 'MP', NULL, NULL, NULL, 6),
(4652, NULL, 'PF04919', NULL, NULL, 'Protein of unknown function (DUF655)', NULL, 'DUF655', NULL, NULL, NULL, 6),
(4653, NULL, 'PF17199', NULL, NULL, 'Protein of unknown function (DUF5136)', NULL, 'DUF5136', NULL, NULL, NULL, 6),
(4654, NULL, 'PF14207', NULL, NULL, 'DpnD/PcfM-like protein', NULL, 'DpnD-PcfM', NULL, NULL, NULL, 6),
(4655, NULL, 'PF07288', NULL, NULL, 'Protein of unknown function (DUF1447)', NULL, 'DUF1447', NULL, NULL, NULL, 6),
(4656, NULL, 'PF11342', NULL, NULL, 'Protein of unknown function (DUF3144)', NULL, 'DUF3144', NULL, NULL, NULL, 6),
(4657, NULL, 'PF14042', NULL, NULL, 'Domain of unknown function (DUF4247)', NULL, 'DUF4247', NULL, NULL, NULL, 6),
(4658, NULL, 'PF18077', NULL, NULL, 'Domain of unknown function (DUF5595)', NULL, 'DUF5595', NULL, NULL, NULL, 6),
(4659, NULL, 'PF07037', NULL, NULL, 'Putative transcription regulator (DUF1323)', NULL, 'DUF1323', NULL, NULL, NULL, 6),
(4660, NULL, 'PF04823', NULL, NULL, 'Herpesvirus UL49 tegument protein', NULL, 'Herpes_UL49_2', NULL, NULL, NULL, 6),
(4661, NULL, 'PF14705', NULL, NULL, 'Costars', NULL, 'Costars', NULL, NULL, NULL, 6),
(4662, NULL, 'PF12500', NULL, NULL, 'TRSP domain C terminus to PRTase_2', NULL, 'TRSP', NULL, NULL, NULL, 6),
(4663, NULL, 'PF17827', NULL, NULL, 'PrmC N-terminal domain', NULL, 'PrmC_N', NULL, NULL, NULL, 6),
(4664, NULL, 'PF15867', NULL, NULL, 'Dynein attachment factor N-terminus', NULL, 'Dynein_attach_N', NULL, NULL, NULL, 6),
(4665, NULL, 'PF09637', NULL, NULL, 'Med18 protein', NULL, 'Med18', NULL, NULL, NULL, 6),
(4666, NULL, 'PF15912', NULL, NULL, 'Virilizer, N-terminal', NULL, 'VIR_N', NULL, NULL, NULL, 6),
(4667, NULL, 'PF11002', NULL, NULL, 'RFPL defining motif (RDM)', NULL, 'RDM', NULL, NULL, NULL, 6),
(4668, NULL, 'PF12099', NULL, NULL, 'Protein of unknown function (DUF3575)', NULL, 'DUF3575', NULL, NULL, NULL, 6),
(4669, NULL, 'PF04235', NULL, NULL, 'Protein of unknown function (DUF418)', NULL, 'DUF418', NULL, NULL, NULL, 6),
(4670, NULL, 'PF05748', NULL, NULL, 'Rubella membrane glycoprotein E1', NULL, 'Rubella_E1', NULL, NULL, NULL, 6),
(4671, NULL, 'PF02350', NULL, NULL, 'UDP-N-acetylglucosamine 2-epimerase', NULL, 'Epimerase_2', NULL, NULL, NULL, 6),
(4672, NULL, 'PF06722', NULL, NULL, 'Protein of unknown function (DUF1205)', NULL, 'DUF1205', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4673, NULL, 'PF16019', NULL, NULL, 'Cysteine/serine-rich nuclear protein N-terminus', NULL, 'CSRNP_N', NULL, NULL, NULL, 6),
(4674, NULL, 'PF09744', NULL, NULL, 'JNK_SAPK-associated protein-1', NULL, 'Jnk-SapK_ap_N', NULL, NULL, NULL, 6),
(4675, NULL, 'PF01311', NULL, NULL, 'Bacterial export proteins, family 1', NULL, 'Bac_export_1', NULL, NULL, NULL, 6),
(4676, NULL, 'PF02770', NULL, NULL, 'Acyl-CoA dehydrogenase, middle domain', NULL, 'Acyl-CoA_dh_M', NULL, NULL, NULL, 6),
(4677, NULL, 'PF14286', NULL, NULL, 'DHHW protein', NULL, 'DHHW', NULL, NULL, NULL, 6),
(4678, NULL, 'PF07026', NULL, NULL, 'Protein of unknown function (DUF1317)', NULL, 'DUF1317', NULL, NULL, NULL, 6),
(4679, NULL, 'PF11410', NULL, NULL, 'Antifungal peptide', NULL, 'Antifungal_pept', NULL, NULL, NULL, 6),
(4680, NULL, 'PF15162', NULL, NULL, 'Domain of unknown function (DUF4580)', NULL, 'DUF4580', NULL, NULL, NULL, 6),
(4681, NULL, 'PF06789', NULL, NULL, 'MINAR1 C-terminal domain', NULL, 'MINAR1_C', NULL, NULL, NULL, 6),
(4682, NULL, 'PF19179', NULL, NULL, 'Family of unknown function (DUF5861)', NULL, 'DUF5861', NULL, NULL, NULL, 6),
(4683, NULL, 'PF18519', NULL, NULL, 'SAGA-associated factor 11 N-terminal domain', NULL, 'Sgf11_N', NULL, NULL, NULL, 6),
(4684, NULL, 'PF07298', NULL, NULL, 'NnrU protein', NULL, 'NnrU', NULL, NULL, NULL, 6),
(4685, NULL, 'PF13923', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4_2', NULL, NULL, NULL, 6),
(4686, NULL, 'PF04363', NULL, NULL, 'Protein of unknown function (DUF496)', NULL, 'DUF496', NULL, NULL, NULL, 6),
(4687, NULL, 'PF08779', NULL, NULL, 'Betacoronavirus NS7A protein', NULL, 'bCoV_NS7A', NULL, NULL, NULL, 6),
(4688, NULL, 'PF04279', NULL, NULL, 'Intracellular septation protein A', NULL, 'IspA', NULL, NULL, NULL, 6),
(4689, NULL, 'PF14620', NULL, NULL, 'YpeB sporulation', NULL, 'YPEB', NULL, NULL, NULL, 6),
(4690, NULL, 'PF03428', NULL, NULL, 'Replication protein C N-terminal domain', NULL, 'RP-C', NULL, NULL, NULL, 6),
(4691, NULL, 'PF09646', NULL, NULL, 'Gp37 protein', NULL, 'Gp37', NULL, NULL, NULL, 6),
(4692, NULL, 'PF16475', NULL, NULL, 'Domain of unknown function (DUF5052)', NULL, 'DUF5052', NULL, NULL, NULL, 6),
(4693, NULL, 'PF08943', NULL, NULL, 'CsiD', NULL, 'CsiD', NULL, NULL, NULL, 6),
(4694, NULL, 'PF08552', NULL, NULL, 'Inositolphosphorylceramide synthase subunit Kei1', NULL, 'Kei1', NULL, NULL, NULL, 6),
(4695, NULL, 'PF06833', NULL, NULL, 'Malonate decarboxylase gamma subunit (MdcE)', NULL, 'MdcE', NULL, NULL, NULL, 6),
(4696, NULL, 'PF17283', NULL, NULL, 'SprT-like zinc ribbon domain', NULL, 'Zn_ribbon_SprT', NULL, NULL, NULL, 6),
(4697, NULL, 'PF17081', NULL, NULL, 'Suppressor of PMA 1-7 protein', NULL, 'SOP4', NULL, NULL, NULL, 6),
(4698, NULL, 'PF03739', NULL, NULL, 'Lipopolysaccharide export system permease LptF/LptG', NULL, 'LptF_LptG', NULL, NULL, NULL, 6),
(4699, NULL, 'PF04735', NULL, NULL, 'Baculovirus DNA helicase', NULL, 'Baculo_helicase', NULL, NULL, NULL, 6),
(4700, NULL, 'PF05220', NULL, NULL, 'MgpC protein precursor', NULL, 'MgpC', NULL, NULL, NULL, 6),
(4701, NULL, 'PF08049', NULL, NULL, 'IlvB leader peptide', NULL, 'IlvB_leader', NULL, NULL, NULL, 6),
(4702, NULL, 'PF19046', NULL, NULL, 'GM130 C-terminal binding motif', NULL, 'GM130_C', NULL, NULL, NULL, 6),
(4703, NULL, 'PF00591', NULL, NULL, 'Glycosyl transferase family, a/b domain', NULL, 'Glycos_transf_3', NULL, NULL, NULL, 6),
(4704, NULL, 'PF00383', NULL, NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', NULL, 'dCMP_cyt_deam_1', NULL, NULL, NULL, 6),
(4705, NULL, 'PF08933', NULL, NULL, 'Domain of unknown function (DUF1864)', NULL, 'DUF1864', NULL, NULL, NULL, 6),
(4706, NULL, 'PF17367', NULL, NULL, 'NiFe-hydrogenase-type-3 Eha complex subunit A', NULL, 'NiFe_hyd_3_EhaA', NULL, NULL, NULL, 6),
(4707, NULL, 'PF07500', NULL, NULL, 'Transcription factor S-II (TFIIS), central domain', NULL, 'TFIIS_M', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4708, NULL, 'PF10995', NULL, NULL, 'Cellulose biosynthesis GIL', NULL, 'CBP_GIL', NULL, NULL, NULL, 6),
(4709, NULL, 'PF09936', NULL, NULL, 'SAM-dependent RNA methyltransferase', NULL, 'Methyltrn_RNA_4', NULL, NULL, NULL, 6),
(4710, NULL, 'PF15489', NULL, NULL, 'CST, telomere maintenance, complex subunit CTC1', NULL, 'CTC1', NULL, NULL, NULL, 6),
(4711, NULL, 'PF04005', NULL, NULL, 'Hus1-like protein', NULL, 'Hus1', NULL, NULL, NULL, 6),
(4712, NULL, 'PF00821', NULL, NULL, 'Phosphoenolpyruvate carboxykinase C-terminal P-loop domain', NULL, 'PEPCK_GTP', NULL, NULL, NULL, 6),
(4713, NULL, 'PF14065', NULL, NULL, 'Protein of unknown function (DUF4255)', NULL, 'DUF4255', NULL, NULL, NULL, 6),
(4714, NULL, 'PF12715', NULL, NULL, 'Abhydrolase family', NULL, 'Abhydrolase_7', NULL, NULL, NULL, 6),
(4715, NULL, 'PF08376', NULL, NULL, 'Nitrate and nitrite sensing', NULL, 'NIT', NULL, NULL, NULL, 6),
(4716, NULL, 'PF15764', NULL, NULL, 'Domain of unknown function (DUF4693)', NULL, 'DUF4693', NULL, NULL, NULL, 6),
(4717, NULL, 'PF00530', NULL, NULL, 'Scavenger receptor cysteine-rich domain', NULL, 'SRCR', NULL, NULL, NULL, 6),
(4718, NULL, 'PF15862', NULL, NULL, 'Coilin N-terminus', NULL, 'Coilin_N', NULL, NULL, NULL, 6),
(4719, NULL, 'PF08102', NULL, NULL, 'Scorpion antimicrobial peptide', NULL, 'Antimicrobial_7', NULL, NULL, NULL, 6),
(4720, NULL, 'PF18788', NULL, NULL, 'Defence against restriction A N-terminal', NULL, 'DarA_N', NULL, NULL, NULL, 6),
(4721, NULL, 'PF08180', NULL, NULL, 'B melanoma antigen family', NULL, 'BAGE', NULL, NULL, NULL, 6),
(4722, NULL, 'PF02650', NULL, NULL, 'WhiA C-terminal HTH domain', NULL, 'HTH_WhiA', NULL, NULL, NULL, 6),
(4723, NULL, 'PF10431', NULL, NULL, 'C-terminal, D2-small domain, of ClpB protein', NULL, 'ClpB_D2-small', NULL, NULL, NULL, 6),
(4724, NULL, 'PF09439', NULL, NULL, 'Signal recognition particle receptor beta subunit', NULL, 'SRPRB', NULL, NULL, NULL, 6),
(4725, NULL, 'PF00531', NULL, NULL, 'Death domain', NULL, 'Death', NULL, NULL, NULL, 6),
(4726, NULL, 'PF05482', NULL, NULL, 'Serendipity locus alpha protein (SRY-A)', NULL, 'Serendipity_A', NULL, NULL, NULL, 6),
(4727, NULL, 'PF03725', NULL, NULL, '3'' exoribonuclease family, domain 2', NULL, 'RNase_PH_C', NULL, NULL, NULL, 6),
(4728, NULL, 'PF00659', NULL, NULL, 'POLO box duplicated region', NULL, 'POLO_box', NULL, NULL, NULL, 6),
(4729, NULL, 'PF04756', NULL, NULL, 'OST3 / OST6 family, transporter family', NULL, 'OST3_OST6', NULL, NULL, NULL, 6),
(4730, NULL, 'PF09700', NULL, NULL, 'CRISPR-associated protein (Cas_Cmr3)', NULL, 'Cas_Cmr3', NULL, NULL, NULL, 6),
(4731, NULL, 'PF03908', NULL, NULL, 'Sec20', NULL, 'Sec20', NULL, NULL, NULL, 6),
(4732, NULL, 'PF18453', NULL, NULL, 'Oligomerization domain of C4b-binding protein alpha', NULL, 'C4bp_oligo', NULL, NULL, NULL, 6),
(4733, NULL, 'PF16896', NULL, NULL, 'Phosphogluconate dehydrogenase (decarboxylating) C-term', NULL, 'PGDH_C', NULL, NULL, NULL, 6),
(4734, NULL, 'PF11975', NULL, NULL, 'Family 4 glycosyl hydrolase C-terminal domain', NULL, 'Glyco_hydro_4C', NULL, NULL, NULL, 6),
(4735, NULL, 'PF07587', NULL, NULL, 'Protein of unknown function (DUF1553)', NULL, 'PSD1', NULL, NULL, NULL, 6),
(4736, NULL, 'PF15960', NULL, NULL, 'Domain of unknown function (DUF4763)', NULL, 'DUF4763', NULL, NULL, NULL, 6),
(4737, NULL, 'PF06608', NULL, NULL, 'Protein of unknown function (DUF1143)', NULL, 'DUF1143', NULL, NULL, NULL, 6),
(4738, NULL, 'PF07558', NULL, NULL, 'Shugoshin N-terminal coiled-coil region', NULL, 'Shugoshin_N', NULL, NULL, NULL, 6),
(4739, NULL, 'PF00306', NULL, NULL, 'ATP synthase alpha/beta chain, C terminal domain', NULL, 'ATP-synt_ab_C', NULL, NULL, NULL, 6),
(4740, NULL, 'PF14050', NULL, NULL, 'N-terminal conserved domain of Nudc.', NULL, 'Nudc_N', NULL, NULL, NULL, 6),
(4741, NULL, 'PF10796', NULL, NULL, 'Sigma-S stabilisation anti-adaptor protein', NULL, 'Anti-adapt_IraP', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4742, NULL, 'PF00833', NULL, NULL, 'Ribosomal S17', NULL, 'Ribosomal_S17e', NULL, NULL, NULL, 6),
(4743, NULL, 'PF13294', NULL, NULL, 'Domain of unknown function (DUF4075)', NULL, 'DUF4075', NULL, NULL, NULL, 6),
(4744, NULL, 'PF07700', NULL, NULL, 'Haem-NO-binding', NULL, 'HNOB', NULL, NULL, NULL, 6),
(4745, NULL, 'PF05571', NULL, NULL, 'JNK1/MAPK8-associated membrane protein', NULL, 'JAMP', NULL, NULL, NULL, 6),
(4746, NULL, 'PF04101', NULL, NULL, 'Glycosyltransferase family 28 C-terminal domain', NULL, 'Glyco_tran_28_C', NULL, NULL, NULL, 6),
(4747, NULL, 'PF14784', NULL, NULL, 'C-terminal domain of the ECSIT protein', NULL, 'ECSIT_C', NULL, NULL, NULL, 6),
(4748, NULL, 'PF11985', NULL, NULL, 'Protein of unknown function (DUF3486)', NULL, 'DUF3486', NULL, NULL, NULL, 6),
(4749, NULL, 'PF12217', NULL, NULL, 'Catalytic beta propeller domain of bacteriophage endosialidase', NULL, 'End_beta_propel', NULL, NULL, NULL, 6),
(4750, NULL, 'PF01849', NULL, NULL, 'NAC domain', NULL, 'NAC', NULL, NULL, NULL, 6),
(4751, NULL, 'PF12945', NULL, NULL, 'Flagellar protein YcgR', NULL, 'YcgR_2', NULL, NULL, NULL, 6),
(4752, NULL, 'PF05716', NULL, NULL, 'A-kinase anchor protein 110 kDa (AKAP 110)', NULL, 'AKAP_110', NULL, NULL, NULL, 6),
(4753, NULL, 'PF13220', NULL, NULL, 'Protein of unknown function (DUF4028)', NULL, 'DUF4028', NULL, NULL, NULL, 6),
(4754, NULL, 'PF13531', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_11', NULL, NULL, NULL, 6),
(4755, NULL, 'PF03658', NULL, NULL, 'RnfH family Ubiquitin', NULL, 'Ub-RnfH', NULL, NULL, NULL, 6),
(4756, NULL, 'PF09898', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2125)', NULL, 'DUF2125', NULL, NULL, NULL, 6),
(4757, NULL, 'PF12182', NULL, NULL, 'Bacterial lipoprotein', NULL, 'DUF3642', NULL, NULL, NULL, 6),
(4758, NULL, 'PF13424', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_12', NULL, NULL, NULL, 6),
(4759, NULL, 'PF03975', NULL, NULL, 'CheD chemotactic sensory transduction', NULL, 'CheD', NULL, NULL, NULL, 6),
(4760, NULL, 'PF16985', NULL, NULL, 'Domain of unknown function (DUF5086)', NULL, 'DUF5086', NULL, NULL, NULL, 6),
(4761, NULL, 'PF09111', NULL, NULL, 'SLIDE', NULL, 'SLIDE', NULL, NULL, NULL, 6),
(4762, NULL, 'PF08860', NULL, NULL, 'Domain of unknown function (DUF1827)', NULL, 'DUF1827', NULL, NULL, NULL, 6),
(4763, NULL, 'PF13700', NULL, NULL, 'Domain of unknown function (DUF4158)', NULL, 'DUF4158', NULL, NULL, NULL, 6),
(4764, NULL, 'PF09306', NULL, NULL, 'Bacteriophage, scaffolding protein', NULL, 'Phage-scaffold', NULL, NULL, NULL, 6),
(4765, NULL, 'PF07992', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase', NULL, 'Pyr_redox_2', NULL, NULL, NULL, 6),
(4766, NULL, 'PF07874', NULL, NULL, 'Prophage protein (DUF1660)', NULL, 'DUF1660', NULL, NULL, NULL, 6),
(4767, NULL, 'PF15198', NULL, NULL, 'Dexamethasone-induced', NULL, 'Dexa_ind', NULL, NULL, NULL, 6),
(4768, NULL, 'PF12664', NULL, NULL, 'Protein of unknown function (DUF3789)', NULL, 'DUF3789', NULL, NULL, NULL, 6),
(4769, NULL, 'PF12849', NULL, NULL, 'PBP superfamily domain', NULL, 'PBP_like_2', NULL, NULL, NULL, 6),
(4770, NULL, 'PF07718', NULL, NULL, 'Coatomer beta C-terminal region', NULL, 'Coatamer_beta_C', NULL, NULL, NULL, 6),
(4771, NULL, 'PF10924', NULL, NULL, 'Protein of unknown function (DUF2711)', NULL, 'DUF2711', NULL, NULL, NULL, 6),
(4772, NULL, 'PF10921', NULL, NULL, 'Protein of unknown function (DUF2710)', NULL, 'DUF2710', NULL, NULL, NULL, 6),
(4773, NULL, 'PF10166', NULL, NULL, 'Uncharacterised conserved protein (DUF2368)', NULL, 'DUF2368', NULL, NULL, NULL, 6),
(4774, NULL, 'PF11189', NULL, NULL, 'Protein of unknown function (DUF2973)', NULL, 'DUF2973', NULL, NULL, NULL, 6),
(4775, NULL, 'PF02611', NULL, NULL, 'CDP-diacylglycerol pyrophosphatase', NULL, 'CDH', NULL, NULL, NULL, 6),
(4776, NULL, 'PF08845', NULL, NULL, 'Toxin SymE, type I toxin-antitoxin system', NULL, 'SymE_toxin', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4777, NULL, 'PF19097', NULL, NULL, 'Snu56-like U1 small nuclear ribonucleoprotein component', NULL, 'Snu56_snRNP', NULL, NULL, NULL, 6),
(4778, NULL, 'PF09287', NULL, NULL, 'CEP-1, DNA binding', NULL, 'CEP1-DNA_bind', NULL, NULL, NULL, 6),
(4779, NULL, 'PF08545', NULL, NULL, '3-Oxoacyl-[acyl-carrier-protein (ACP)] synthase III', NULL, 'ACP_syn_III', NULL, NULL, NULL, 6),
(4780, NULL, 'PF05181', NULL, NULL, 'XPA protein C-terminus', NULL, 'XPA_C', NULL, NULL, NULL, 6),
(4781, NULL, 'PF15792', NULL, NULL, 'Lung adenoma susceptibility protein 2', NULL, 'LAS2', NULL, NULL, NULL, 6),
(4782, NULL, 'PF17288', NULL, NULL, 'Terminase RNAseH like domain', NULL, 'Terminase_3C', NULL, NULL, NULL, 6),
(4783, NULL, 'PF12484', NULL, NULL, 'PPE-SVP subfamily C-terminal region', NULL, 'PPE-SVP', NULL, NULL, NULL, 6),
(4784, NULL, 'PF09829', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2057)', NULL, 'DUF2057', NULL, NULL, NULL, 6),
(4785, NULL, 'PF10999', NULL, NULL, 'Protein of unknown function (DUF2839)', NULL, 'DUF2839', NULL, NULL, NULL, 6),
(4786, NULL, 'PF12020', NULL, NULL, 'TAFA family', NULL, 'TAFA', NULL, NULL, NULL, 6),
(4787, NULL, 'PF04718', NULL, NULL, 'Mitochondrial ATP synthase g subunit', NULL, 'ATP-synt_G', NULL, NULL, NULL, 6),
(4788, NULL, 'PF02527', NULL, NULL, 'rRNA small subunit methyltransferase G', NULL, 'GidB', NULL, NULL, NULL, 6),
(4789, NULL, 'PF10803', NULL, NULL, 'Spore germination GerPB', NULL, 'GerPB', NULL, NULL, NULL, 6),
(4790, NULL, 'PF18922', NULL, NULL, 'Protein of unknown function (DUF5672)', NULL, 'DUF5672', NULL, NULL, NULL, 6),
(4791, NULL, 'PF04547', NULL, NULL, 'Calcium-activated chloride channel', NULL, 'Anoctamin', NULL, NULL, NULL, 6),
(4792, NULL, 'PF11186', NULL, NULL, 'Protein of unknown function (DUF2972)', NULL, 'DUF2972', NULL, NULL, NULL, 6),
(4793, NULL, 'PF02154', NULL, NULL, 'Flagellar motor switch protein FliM', NULL, 'FliM', NULL, NULL, NULL, 6),
(4794, NULL, 'PF01917', NULL, NULL, 'Archaebacterial flagellin', NULL, 'Arch_flagellin', NULL, NULL, NULL, 6),
(4795, NULL, 'PF17214', NULL, NULL, 'KH domain', NULL, 'KH_7', NULL, NULL, NULL, 6),
(4796, NULL, 'PF17700', NULL, NULL, 'Family of unknown function (DUF5546)', NULL, 'DUF5546', NULL, NULL, NULL, 6),
(4797, NULL, 'PF07000', NULL, NULL, 'Protein of unknown function (DUF1308)', NULL, 'DUF1308', NULL, NULL, NULL, 6),
(4798, NULL, 'PF16375', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4986', NULL, NULL, NULL, 6),
(4799, NULL, 'PF02854', NULL, NULL, 'MIF4G domain', NULL, 'MIF4G', NULL, NULL, NULL, 6),
(4800, NULL, 'PF11232', NULL, NULL, 'Mediator complex subunit 25 PTOV activation and synapsin 2', NULL, 'Med25', NULL, NULL, NULL, 6),
(4801, NULL, 'PF13497', NULL, NULL, 'Domain of unknown function (DUF4121)', NULL, 'DUF4121', NULL, NULL, NULL, 6),
(4802, NULL, 'PF13687', NULL, NULL, 'Domain of unknown function (DUF4153)', NULL, 'DUF4153', NULL, NULL, NULL, 6),
(4803, NULL, 'PF08076', NULL, NULL, 'Tetracycline resistance determinant leader peptide', NULL, 'TetM_leader', NULL, NULL, NULL, 6),
(4804, NULL, 'PF01252', NULL, NULL, 'Signal peptidase (SPase) II', NULL, 'Peptidase_A8', NULL, NULL, NULL, 6),
(4805, NULL, 'PF10426', NULL, NULL, 'Recombination-activating protein 1 zinc-finger domain', NULL, 'zf-RAG1', NULL, NULL, NULL, 6),
(4806, NULL, 'PF18182', NULL, NULL, 'minimal CRISPR polymerase domain', NULL, 'mCpol', NULL, NULL, NULL, 6),
(4807, NULL, 'PF13102', NULL, NULL, 'Phage integrase SAM-like domain', NULL, 'Phage_int_SAM_5', NULL, NULL, NULL, 6),
(4808, NULL, 'PF19062', NULL, NULL, 'Family of unknown function (DUF5758)', NULL, 'DUF5758', NULL, NULL, NULL, 6),
(4809, NULL, 'PF16778', NULL, NULL, 'Phage tail assembly chaperone protein', NULL, 'Phage_tail_APC', NULL, NULL, NULL, 6),
(4810, NULL, 'PF12644', NULL, NULL, 'Protein of unknown function (DUF3782)', NULL, 'DUF3782', NULL, NULL, NULL, 6),
(4811, NULL, 'PF08847', NULL, NULL, 'Chlororespiratory reduction 6', NULL, 'Crr6', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4812, NULL, 'PF04033', NULL, NULL, 'Domain of unknown function (DUF365)', NULL, 'DUF365', NULL, NULL, NULL, 6),
(4813, NULL, 'PF14543', NULL, NULL, 'Xylanase inhibitor N-terminal', NULL, 'TAXi_N', NULL, NULL, NULL, 6),
(4814, NULL, 'PF14036', NULL, NULL, 'YlaH-like protein', NULL, 'YlaH', NULL, NULL, NULL, 6),
(4815, NULL, 'PF18064', NULL, NULL, 'Centromere-binding protein ParB C-terminal', NULL, 'ParB_C', NULL, NULL, NULL, 6),
(4816, NULL, 'PF06050', NULL, NULL, '2-hydroxyglutaryl-CoA dehydratase, D-component', NULL, 'HGD-D', NULL, NULL, NULL, 6),
(4817, NULL, 'PF05617', NULL, NULL, 'Prolamin-like', NULL, 'Prolamin_like', NULL, NULL, NULL, 6),
(4818, NULL, 'PF09795', NULL, NULL, 'Autophagy-related protein 31', NULL, 'Atg31', NULL, NULL, NULL, 6),
(4819, NULL, 'PF19166', NULL, NULL, 'Family of unknown function (DUF5848)', NULL, 'DUF5848', NULL, NULL, NULL, 6),
(4820, NULL, 'PF18942', NULL, NULL, 'Family of unknown function (DUF5689)', NULL, 'DUF5689', NULL, NULL, NULL, 6),
(4821, NULL, 'PF07832', NULL, NULL, 'Cfr10I/Bse634I restriction endonuclease', NULL, 'Bse634I', NULL, NULL, NULL, 6),
(4822, NULL, 'PF02749', NULL, NULL, 'Quinolinate phosphoribosyl transferase, N-terminal domain', NULL, 'QRPTase_N', NULL, NULL, NULL, 6),
(4823, NULL, 'PF13308', NULL, NULL, 'YARHG domain', NULL, 'YARHG', NULL, NULL, NULL, 6),
(4824, NULL, 'PF00304', NULL, NULL, 'Gamma-thionin family', NULL, 'Gamma-thionin', NULL, NULL, NULL, 6),
(4825, NULL, 'PF00522', NULL, NULL, 'VPR/VPX protein', NULL, 'VPR', NULL, NULL, NULL, 6),
(4826, NULL, 'PF05762', NULL, NULL, 'VWA domain containing CoxE-like protein', NULL, 'VWA_CoxE', NULL, NULL, NULL, 6),
(4827, NULL, 'PF05751', NULL, NULL, 'FixH', NULL, 'FixH', NULL, NULL, NULL, 6),
(4828, NULL, 'PF08266', NULL, NULL, 'Cadherin-like', NULL, 'Cadherin_2', NULL, NULL, NULL, 6),
(4829, NULL, 'PF04815', NULL, NULL, 'Sec23/Sec24 helical domain', NULL, 'Sec23_helical', NULL, NULL, NULL, 6),
(4830, NULL, 'PF03148', NULL, NULL, 'Tektin family', NULL, 'Tektin', NULL, NULL, NULL, 6),
(4831, NULL, 'PF13390', NULL, NULL, 'Protein of unknown function (DUF4108)', NULL, 'DUF4108', NULL, NULL, NULL, 6),
(4832, NULL, 'PF05484', NULL, NULL, 'LRV protein FeS4 cluster', NULL, 'LRV_FeS', NULL, NULL, NULL, 6),
(4833, NULL, 'PF02334', NULL, NULL, 'Replication terminator protein', NULL, 'RTP', NULL, NULL, NULL, 6),
(4834, NULL, 'PF07413', NULL, NULL, 'Betaherpesvirus immediate-early glycoprotein UL37', NULL, 'Herpes_UL37_2', NULL, NULL, NULL, 6),
(4835, NULL, 'PF00549', NULL, NULL, 'CoA-ligase', NULL, 'Ligase_CoA', NULL, NULL, NULL, 6),
(4836, NULL, 'PF04655', NULL, NULL, 'Aminoglycoside/hydroxyurea antibiotic resistance kinase', NULL, 'APH_6_hur', NULL, NULL, NULL, 6),
(4837, NULL, 'PF19093', NULL, NULL, 'Family of unknown function (DUF5781)', NULL, 'DUF5781', NULL, NULL, NULL, 6),
(4838, NULL, 'PF06705', NULL, NULL, 'SF-assemblin/beta giardin', NULL, 'SF-assemblin', NULL, NULL, NULL, 6),
(4839, NULL, 'PF18256', NULL, NULL, 'Co-chaperone HscB tetracysteine metal binding motif', NULL, 'HscB_4_cys', NULL, NULL, NULL, 6),
(4840, NULL, 'PF05572', NULL, NULL, 'Pregnancy-associated plasma protein-A', NULL, 'Peptidase_M43', NULL, NULL, NULL, 6),
(4841, NULL, 'PF13079', NULL, NULL, 'Protein of unknown function (DUF3916)', NULL, 'DUF3916', NULL, NULL, NULL, 6),
(4842, NULL, 'PF04337', NULL, NULL, 'Protein of unknown function, DUF480', NULL, 'DUF480', NULL, NULL, NULL, 6),
(4843, NULL, 'PF09787', NULL, NULL, 'Golgin subfamily A member 5', NULL, 'Golgin_A5', NULL, NULL, NULL, 6),
(4844, NULL, 'PF02667', NULL, NULL, 'Short chain fatty acid transporter', NULL, 'SCFA_trans', NULL, NULL, NULL, 6),
(4845, NULL, 'PF15714', NULL, NULL, 'Stage V sporulation protein T C-terminal, transcription factor', NULL, 'SpoVT_C', NULL, NULL, NULL, 6),
(4846, NULL, 'PF09074', NULL, NULL, 'Mer2', NULL, 'Mer2', NULL, NULL, NULL, 6),
(4847, NULL, 'PF19076', NULL, NULL, 'Surface adhesin CshA repetitive domain', NULL, 'CshA_repeat', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4848, NULL, 'PF13713', NULL, NULL, 'Transcription factor BRX N-terminal domain', NULL, 'BRX_N', NULL, NULL, NULL, 6),
(4849, NULL, 'PF01927', NULL, NULL, 'Mut7-C RNAse domain', NULL, 'Mut7-C', NULL, NULL, NULL, 6),
(4850, NULL, 'PF06868', NULL, NULL, 'Protein of unknown function (DUF1257)', NULL, 'DUF1257', NULL, NULL, NULL, 6),
(4851, NULL, 'PF10512', NULL, NULL, 'Cell division cycle-associated protein 8', NULL, 'Borealin', NULL, NULL, NULL, 6),
(4852, NULL, 'PF18899', NULL, NULL, 'Domain of unknown function (DUF5655)', NULL, 'DUF5655', NULL, NULL, NULL, 6),
(4853, NULL, 'PF10444', NULL, NULL, 'Nbl1 / Borealin N terminal', NULL, 'Nbl1_Borealin_N', NULL, NULL, NULL, 6),
(4854, NULL, 'PF02114', NULL, NULL, 'Phosducin', NULL, 'Phosducin', NULL, NULL, NULL, 6),
(4855, NULL, 'PF11367', NULL, NULL, 'Protein of unknown function (DUF3168)', NULL, 'DUF3168', NULL, NULL, NULL, 6),
(4856, NULL, 'PF18733', NULL, NULL, 'LA2681-like HEPN', NULL, 'HEPN_LA2681', NULL, NULL, NULL, 6),
(4857, NULL, 'PF10161', NULL, NULL, 'Putative mitochondrial precursor protein', NULL, 'DDDD', NULL, NULL, NULL, 6),
(4858, NULL, 'PF00506', NULL, NULL, 'Influenza virus nucleoprotein', NULL, 'Flu_NP', NULL, NULL, NULL, 6),
(4859, NULL, 'PF12770', NULL, NULL, 'CHAT domain', NULL, 'CHAT', NULL, NULL, NULL, 6),
(4860, NULL, 'PF12627', NULL, NULL, 'Probable RNA and SrmB- binding site of polymerase A', NULL, 'PolyA_pol_RNAbd', NULL, NULL, NULL, 6),
(4861, NULL, 'PF12452', NULL, NULL, 'Protein of unknown function (DUF3685)', NULL, 'DUF3685', NULL, NULL, NULL, 6),
(4862, NULL, 'PF01080', NULL, NULL, 'Presenilin', NULL, 'Presenilin', NULL, NULL, NULL, 6),
(4863, NULL, 'PF01457', NULL, NULL, 'Leishmanolysin', NULL, 'Peptidase_M8', NULL, NULL, NULL, 6),
(4864, NULL, 'PF14224', NULL, NULL, 'Domain of unknown function (DUF4331)', NULL, 'DUF4331', NULL, NULL, NULL, 6),
(4865, NULL, 'PF16645', NULL, NULL, 'Unstructured region on Pneumococcal histidine triad protein', NULL, 'PHtD_u1', NULL, NULL, NULL, 6),
(4866, NULL, 'PF07109', NULL, NULL, 'Magnesium-protoporphyrin IX methyltransferase C-terminus', NULL, 'Mg-por_mtran_C', NULL, NULL, NULL, 6),
(4867, NULL, 'PF00629', NULL, NULL, 'MAM domain, meprin/A5/mu', NULL, 'MAM', NULL, NULL, NULL, 6),
(4868, NULL, 'PF09123', NULL, NULL, 'Domain of unknown function (DUF1931)', NULL, 'DUF1931', NULL, NULL, NULL, 6),
(4869, NULL, 'PF18032', NULL, NULL, 'Photoprotection regulator fluorescence recovery protein', NULL, 'FRP', NULL, NULL, NULL, 6),
(4870, NULL, 'PF16954', NULL, NULL, 'Haem-transporter, endosomal/lysosomal, haem-responsive gene', NULL, 'HRG', NULL, NULL, NULL, 6),
(4871, NULL, 'PF18433', NULL, NULL, 'Domain of unknown function (DUF5610)', NULL, 'DUF5610', NULL, NULL, NULL, 6),
(4872, NULL, 'PF04688', NULL, NULL, 'SPP1 phage holin', NULL, 'Holin_SPP1', NULL, NULL, NULL, 6),
(4873, NULL, 'PF16177', NULL, NULL, 'Acetyl-coenzyme A synthetase N-terminus', NULL, 'ACAS_N', NULL, NULL, NULL, 6),
(4874, NULL, 'PF17261', NULL, NULL, 'Family of unknown function (DUF5327)', NULL, 'DUF5327', NULL, NULL, NULL, 6),
(4875, NULL, 'PF13702', NULL, NULL, 'Lysozyme-like', NULL, 'Lysozyme_like', NULL, NULL, NULL, 6),
(4876, NULL, 'PF14845', NULL, NULL, 'beta-acetyl hexosaminidase like', NULL, 'Glycohydro_20b2', NULL, NULL, NULL, 6),
(4877, NULL, 'PF09608', NULL, NULL, 'Putative transmembrane protein (Alph_Pro_TM)', NULL, 'Alph_Pro_TM', NULL, NULL, NULL, 6),
(4878, NULL, 'PF03442', NULL, NULL, 'Carbohydrate binding domain X2', NULL, 'CBM_X2', NULL, NULL, NULL, 6),
(4879, NULL, 'PF00520', NULL, NULL, 'Ion transport protein', NULL, 'Ion_trans', NULL, NULL, NULL, 6),
(4880, NULL, 'PF17955', NULL, NULL, 'Cas6b N-terminal domain', NULL, 'Cas6b_N', NULL, NULL, NULL, 6),
(4881, NULL, 'PF12713', NULL, NULL, 'Domain of unknown function (DUF3806)', NULL, 'DUF3806', NULL, NULL, NULL, 6),
(4882, NULL, 'PF09520', NULL, NULL, 'Type II restriction endonuclease, TdeIII', NULL, 'RE_TdeIII', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4883, NULL, 'PF04503', NULL, NULL, 'Single-stranded DNA binding protein, SSDP', NULL, 'SSDP', NULL, NULL, NULL, 6),
(4884, NULL, 'PF08901', NULL, NULL, 'Protein of unknown function (DUF1847)', NULL, 'DUF1847', NULL, NULL, NULL, 6),
(4885, NULL, 'PF12883', NULL, NULL, 'Protein of unknown function (DUF3828)', NULL, 'DUF3828', NULL, NULL, NULL, 6),
(4886, NULL, 'PF11303', NULL, NULL, 'Protein of unknown function (DUF3105)', NULL, 'DUF3105', NULL, NULL, NULL, 6),
(4887, NULL, 'PF06306', NULL, NULL, 'Beta-1,4-N-acetylgalactosaminyltransferase (CgtA)', NULL, 'CgtA', NULL, NULL, NULL, 6),
(4888, NULL, 'PF15142', NULL, NULL, 'INCA1', NULL, 'INCA1', NULL, NULL, NULL, 6),
(4889, NULL, 'PF11977', NULL, NULL, 'Zc3h12a-like Ribonuclease NYN domain', NULL, 'RNase_Zc3h12a', NULL, NULL, NULL, 6),
(4890, NULL, 'PF07503', NULL, NULL, 'HypF finger', NULL, 'zf-HYPF', NULL, NULL, NULL, 6),
(4891, NULL, 'PF06034', NULL, NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF919)', NULL, 'DUF919', NULL, NULL, NULL, 6),
(4892, NULL, 'PF18382', NULL, NULL, 'Formin N-terminal GTPase-binding domain', NULL, 'Formin_GBD_N', NULL, NULL, NULL, 6),
(4893, NULL, 'PF05774', NULL, NULL, 'Herpesvirus helicase-primase complex component', NULL, 'Herpes_heli_pri', NULL, NULL, NULL, 6),
(4894, NULL, 'PF08785', NULL, NULL, 'Ku C terminal domain like', NULL, 'Ku_PK_bind', NULL, NULL, NULL, 6),
(4895, NULL, 'PF07150', NULL, NULL, 'Protein of unknown function (DUF1390)', NULL, 'DUF1390', NULL, NULL, NULL, 6),
(4896, NULL, 'PF08068', NULL, NULL, 'DKCLD (NUC011) domain', NULL, 'DKCLD', NULL, NULL, NULL, 6),
(4897, NULL, 'PF17912', NULL, NULL, 'MalK OB fold domain', NULL, 'OB_MalK', NULL, NULL, NULL, 6),
(4898, NULL, 'PF05050', NULL, NULL, 'Methyltransferase FkbM domain', NULL, 'Methyltransf_21', NULL, NULL, NULL, 6),
(4899, NULL, 'PF04951', NULL, NULL, 'D-aminopeptidase', NULL, 'Peptidase_M55', NULL, NULL, NULL, 6),
(4900, NULL, 'PF11654', NULL, NULL, 'Non-classical export protein 1', NULL, 'NCE101', NULL, NULL, NULL, 6),
(4901, NULL, 'PF06381', NULL, NULL, 'Protein of unknown function (DUF1073)', NULL, 'DUF1073', NULL, NULL, NULL, 6),
(4902, NULL, 'PF12979', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3863)', NULL, 'DUF3863', NULL, NULL, NULL, 6),
(4903, NULL, 'PF18035', NULL, NULL, 'Bap31/Bap29 cytoplasmic coiled-coil domain', NULL, 'Bap31_Bap29_C', NULL, NULL, NULL, 6),
(4904, NULL, 'PF00286', NULL, NULL, 'Viral coat protein', NULL, 'Flexi_CP', NULL, NULL, NULL, 6),
(4905, NULL, 'PF07160', NULL, NULL, 'Spindle and kinetochore-associated protein 1', NULL, 'SKA1', NULL, NULL, NULL, 6),
(4906, NULL, 'PF00056', NULL, NULL, 'lactate/malate dehydrogenase, NAD binding domain', NULL, 'Ldh_1_N', NULL, NULL, NULL, 6),
(4907, NULL, 'PF00587', NULL, NULL, 'tRNA synthetase class II core domain (G, H, P, S and T)', NULL, 'tRNA-synt_2b', NULL, NULL, NULL, 6),
(4908, NULL, 'PF11513', NULL, NULL, 'Thermoplasma acidophilum protein TA0956', NULL, 'TA0956', NULL, NULL, NULL, 6),
(4909, NULL, 'PF01588', NULL, NULL, 'Putative tRNA binding domain', NULL, 'tRNA_bind', NULL, NULL, NULL, 6),
(4910, NULL, 'PF15328', NULL, NULL, 'Putative GRINL1B complex locus protein 2', NULL, 'GCOM2', NULL, NULL, NULL, 6),
(4911, NULL, 'PF07425', NULL, NULL, 'Pardaxin', NULL, 'Pardaxin', NULL, NULL, NULL, 6),
(4912, NULL, 'PF04083', NULL, NULL, 'Partial alpha/beta-hydrolase lipase region', NULL, 'Abhydro_lipase', NULL, NULL, NULL, 6),
(4913, NULL, 'PF05986', NULL, NULL, 'ADAM-TS Spacer 1', NULL, 'ADAM_spacer1', NULL, NULL, NULL, 6),
(4914, NULL, 'PF18213', NULL, NULL, 'SUB1 protease Prodomain ProdP9', NULL, 'SUB1_ProdP9', NULL, NULL, NULL, 6),
(4915, NULL, 'PF05182', NULL, NULL, 'Fip1 motif', NULL, 'Fip1', NULL, NULL, NULL, 6),
(4916, NULL, 'PF14221', NULL, NULL, 'Domain of unknown function (DUF4330)', NULL, 'DUF4330', NULL, NULL, NULL, 6),
(4917, NULL, 'PF17422', NULL, NULL, 'Family of unknown function (DUF5410)', NULL, 'DUF5410', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4918, NULL, 'PF11617', NULL, NULL, 'Putative metal-binding motif', NULL, 'Cu-binding_MopE', NULL, NULL, NULL, 6),
(4919, NULL, 'PF04788', NULL, NULL, 'Protein of unknown function (DUF620)', NULL, 'DUF620', NULL, NULL, NULL, 6),
(4920, NULL, 'PF10839', NULL, NULL, 'Protein of unknown function (DUF2647)', NULL, 'DUF2647', NULL, NULL, NULL, 6),
(4921, NULL, 'PF16990', NULL, NULL, 'Carbohydrate binding module (family 35)', NULL, 'CBM_35', NULL, NULL, NULL, 6),
(4922, NULL, 'PF10981', NULL, NULL, 'Protein of unknown function (DUF2788)', NULL, 'DUF2788', NULL, NULL, NULL, 6),
(4923, NULL, 'PF18929', NULL, NULL, 'Family of unknown function (DUF5678)', NULL, 'DUF5678', NULL, NULL, NULL, 6),
(4924, NULL, 'PF00064', NULL, NULL, 'Neuraminidase', NULL, 'Neur', NULL, NULL, NULL, 6),
(4925, NULL, 'PF18612', NULL, NULL, 'Bacterial Alpha amylase C-terminal domain', NULL, 'Bac_A_amyl_C', NULL, NULL, NULL, 6),
(4926, NULL, 'PF09758', NULL, NULL, 'Uncharacterised conserved protein', NULL, 'FPL', NULL, NULL, NULL, 6),
(4927, NULL, 'PF11016', NULL, NULL, 'Protein of unknown function (DUF2854)', NULL, 'DUF2854', NULL, NULL, NULL, 6),
(4928, NULL, 'PF17420', NULL, NULL, 'Superinfection exclusion gene product 17', NULL, 'GP17', NULL, NULL, NULL, 6),
(4929, NULL, 'PF05563', NULL, NULL, 'Salmonella plasmid virulence protein SpvD', NULL, 'SpvD', NULL, NULL, NULL, 6),
(4930, NULL, 'PF03351', NULL, NULL, 'DOMON domain', NULL, 'DOMON', NULL, NULL, NULL, 6),
(4931, NULL, 'PF16562', NULL, NULL, 'N-terminal domain of E3 ubiquitin-protein ligase HECW1 and 2', NULL, 'HECW_N', NULL, NULL, NULL, 6),
(4932, NULL, 'PF15793', NULL, NULL, 'Protein family FAM35, C-terminal', NULL, 'FAM35_C', NULL, NULL, NULL, 6),
(4933, NULL, 'PF05925', NULL, NULL, 'Enterobacterial virulence protein IpgD', NULL, 'IpgD', NULL, NULL, NULL, 6),
(4934, NULL, 'PF16211', NULL, NULL, 'C-terminus of histone H2A', NULL, 'Histone_H2A_C', NULL, NULL, NULL, 6),
(4935, NULL, 'PF13638', NULL, NULL, 'PIN domain', NULL, 'PIN_4', NULL, NULL, NULL, 6),
(4936, NULL, 'PF01914', NULL, NULL, 'MarC family integral membrane protein', NULL, 'MarC', NULL, NULL, NULL, 6),
(4937, NULL, 'PF14289', NULL, NULL, 'Domain of unknown function (DUF4369)', NULL, 'DUF4369', NULL, NULL, NULL, 6),
(4938, NULL, 'PF17704', NULL, NULL, 'Family of unknown function (DUF5550)', NULL, 'DUF5550', NULL, NULL, NULL, 6),
(4939, NULL, 'PF11809', NULL, NULL, 'Domain of unknown function (DUF3330)', NULL, 'DUF3330', NULL, NULL, NULL, 6),
(4940, NULL, 'PF18526', NULL, NULL, 'Thymine dioxygenase JBP1 DNA-binding domain', NULL, 'DB_JBP1', NULL, NULL, NULL, 6),
(4941, NULL, 'PF13817', NULL, NULL, 'IS66 C-terminal element', NULL, 'DDE_Tnp_IS66_C', NULL, NULL, NULL, 6),
(4942, NULL, 'PF15443', NULL, NULL, 'Domain of unknown function (DUF4630)', NULL, 'DUF4630', NULL, NULL, NULL, 6),
(4943, NULL, 'PF16264', NULL, NULL, 'SatD family (SatD)', NULL, 'SatD', NULL, NULL, NULL, 6),
(4944, NULL, 'PF12229', NULL, NULL, 'Putative peptidoglycan binding domain', NULL, 'PG_binding_4', NULL, NULL, NULL, 6),
(4945, NULL, 'PF13612', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_3', NULL, NULL, NULL, 6),
(4946, NULL, 'PF08183', NULL, NULL, 'Stage V sporulation protein family', NULL, 'SpoV', NULL, NULL, NULL, 6),
(4947, NULL, 'PF03988', NULL, NULL, 'Repeat of Unknown Function (DUF347)', NULL, 'DUF347', NULL, NULL, NULL, 6),
(4948, NULL, 'PF06941', NULL, NULL, '5'' nucleotidase, deoxy (Pyrimidine), cytosolic type C protein (NT5C)', NULL, 'NT5C', NULL, NULL, NULL, 6),
(4949, NULL, 'PF06790', NULL, NULL, 'Uncharacterised protein family (UPF0259)', NULL, 'UPF0259', NULL, NULL, NULL, 6),
(4950, NULL, 'PF09704', NULL, NULL, 'CRISPR-associated protein (Cas_Cas5)', NULL, 'Cas_Cas5d', NULL, NULL, NULL, 6),
(4951, NULL, 'PF09564', NULL, NULL, 'NgoBV restriction endonuclease', NULL, 'RE_NgoBV', NULL, NULL, NULL, 6),
(4952, NULL, 'PF10993', NULL, NULL, 'Protein of unknown function (DUF2818)', NULL, 'DUF2818', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4953, NULL, 'PF13159', NULL, NULL, 'Domain of unknown function (DUF3994)', NULL, 'DUF3994', NULL, NULL, NULL, 6),
(4954, NULL, 'PF07309', NULL, NULL, 'Flagellar protein FlaF', NULL, 'FlaF', NULL, NULL, NULL, 6),
(4955, NULL, 'PF09419', NULL, NULL, 'Mitochondrial PGP phosphatase', NULL, 'PGP_phosphatase', NULL, NULL, NULL, 6),
(4956, NULL, 'PF02697', NULL, NULL, 'Putative antitoxin', NULL, 'VAPB_antitox', NULL, NULL, NULL, 6),
(4957, NULL, 'PF01878', NULL, NULL, 'EVE domain', NULL, 'EVE', NULL, NULL, NULL, 6),
(4958, NULL, 'PF08632', NULL, NULL, 'Activator of mitotic machinery Cdc14 phosphatase activation C-term', NULL, 'Zds_C', NULL, NULL, NULL, 6),
(4959, NULL, 'PF09667', NULL, NULL, 'Domain of unknown function (DUF2028)', NULL, 'DUF2028', NULL, NULL, NULL, 6),
(4960, NULL, 'PF08358', NULL, NULL, 'Carlavirus coat', NULL, 'Flexi_CP_N', NULL, NULL, NULL, 6),
(4961, NULL, 'PF01875', NULL, NULL, 'Memo-like protein', NULL, 'Memo', NULL, NULL, NULL, 6),
(4962, NULL, 'PF01718', NULL, NULL, 'Orbivirus non-structural protein NS1, or hydrophobic tubular protein', NULL, 'Orbi_NS1', NULL, NULL, NULL, 6),
(4963, NULL, 'PF14621', NULL, NULL, 'RFX5 DNA-binding domain', NULL, 'RFX5_DNA_bdg', NULL, NULL, NULL, 6),
(4964, NULL, 'PF08710', NULL, NULL, 'Coronavirus replicase NSP9', NULL, 'CoV_NSP9', NULL, NULL, NULL, 6),
(4965, NULL, 'PF01005', NULL, NULL, 'Flavivirus non-structural protein NS2A', NULL, 'Flavi_NS2A', NULL, NULL, NULL, 6),
(4966, NULL, 'PF12108', NULL, NULL, 'Splicing factor SF3a60 binding domain', NULL, 'SF3a60_bindingd', NULL, NULL, NULL, 6),
(4967, NULL, 'PF01950', NULL, NULL, 'Fructose-1,6-bisphosphatase', NULL, 'FBPase_3', NULL, NULL, NULL, 6),
(4968, NULL, 'PF06952', NULL, NULL, 'PsiA protein', NULL, 'PsiA', NULL, NULL, NULL, 6),
(4969, NULL, 'PF03073', NULL, NULL, 'TspO/MBR family', NULL, 'TspO_MBR', NULL, NULL, NULL, 6),
(4970, NULL, 'PF00079', NULL, NULL, 'Serpin (serine protease inhibitor)', NULL, 'Serpin', NULL, NULL, NULL, 6),
(4971, NULL, 'PF09622', NULL, NULL, 'Putative integral membrane protein (DUF2391)', NULL, 'DUF2391', NULL, NULL, NULL, 6),
(4972, NULL, 'PF04414', NULL, NULL, 'D-aminoacyl-tRNA deacylase', NULL, 'tRNA_deacylase', NULL, NULL, NULL, 6),
(4973, NULL, 'PF09190', NULL, NULL, 'DALR domain', NULL, 'DALR_2', NULL, NULL, NULL, 6),
(4974, NULL, 'PF17185', NULL, NULL, 'NlpE C-terminal OB domain', NULL, 'NlpE_C', NULL, NULL, NULL, 6),
(4975, NULL, 'PF03151', NULL, NULL, 'Triose-phosphate Transporter family', NULL, 'TPT', NULL, NULL, NULL, 6),
(4976, NULL, 'PF12047', NULL, NULL, 'Cytosine specific DNA methyltransferase replication foci domain', NULL, 'DNMT1-RFD', NULL, NULL, NULL, 6),
(4977, NULL, 'PF11069', NULL, NULL, 'Cilia- and flagella-associated protein 298', NULL, 'CFAP298', NULL, NULL, NULL, 6),
(4978, NULL, 'PF08352', NULL, NULL, 'Oligopeptide/dipeptide transporter, C-terminal region', NULL, 'oligo_HPY', NULL, NULL, NULL, 6),
(4979, NULL, 'PF06321', NULL, NULL, 'Major fimbrial subunit protein (FimA)', NULL, 'P_gingi_FimA', NULL, NULL, NULL, 6),
(4980, NULL, 'PF11713', NULL, NULL, 'Peptidase C80 family', NULL, 'Peptidase_C80', NULL, NULL, NULL, 6),
(4981, NULL, 'PF07069', NULL, NULL, 'Porcine reproductive and respiratory syndrome virus 2b', NULL, 'PRRSV_2b', NULL, NULL, NULL, 6),
(4982, NULL, 'PF10685', NULL, NULL, 'Stress-induced bacterial acidophilic repeat motif', NULL, 'KGG', NULL, NULL, NULL, 6),
(4983, NULL, 'PF09629', NULL, NULL, 'YorP protein', NULL, 'YorP', NULL, NULL, NULL, 6),
(4984, NULL, 'PF11055', NULL, NULL, 'Glucose signalling factor 2', NULL, 'Gsf2', NULL, NULL, NULL, 6),
(4985, NULL, 'PF17497', NULL, NULL, 'Family of unknown function (DUF5432)', NULL, 'DUF5432', NULL, NULL, NULL, 6),
(4986, NULL, 'PF06146', NULL, NULL, 'Phosphate-starvation-inducible E', NULL, 'PsiE', NULL, NULL, NULL, 6),
(4987, NULL, 'PF02969', NULL, NULL, 'TATA box binding protein associated factor (TAF)', NULL, 'TAF', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(4988, NULL, 'PF19104', NULL, NULL, 'Family of unknown function (DUF5791)', NULL, 'DUF5791', NULL, NULL, NULL, 6),
(4989, NULL, 'PF07093', NULL, NULL, 'SGT1 protein', NULL, 'SGT1', NULL, NULL, NULL, 6),
(4990, NULL, 'PF08062', NULL, NULL, 'P120R (NUC006) repeat', NULL, 'P120R', NULL, NULL, NULL, 6),
(4991, NULL, 'PF06366', NULL, NULL, 'Flagellar protein FlhE', NULL, 'FlhE', NULL, NULL, NULL, 6),
(4992, NULL, 'PF04435', NULL, NULL, 'Domain of unknown function (DUF545)', NULL, 'SPK', NULL, NULL, NULL, 6),
(4993, NULL, 'PF06687', NULL, NULL, 'SUR7/PalI family', NULL, 'SUR7', NULL, NULL, NULL, 6),
(4994, NULL, 'PF14957', NULL, NULL, 'Cdc42 effector', NULL, 'BORG_CEP', NULL, NULL, NULL, 6),
(4995, NULL, 'PF04754', NULL, NULL, 'Putative transposase, YhgA-like', NULL, 'Transposase_31', NULL, NULL, NULL, 6),
(4996, NULL, 'PF17122', NULL, NULL, 'Zinc-finger', NULL, 'zf-C3H2C3', NULL, NULL, NULL, 6),
(4997, NULL, 'PF02052', NULL, NULL, 'Gallidermin', NULL, 'Gallidermin', NULL, NULL, NULL, 6),
(4998, NULL, 'PF03264', NULL, NULL, 'NapC/NirT cytochrome c family, N-terminal region', NULL, 'Cytochrom_NNT', NULL, NULL, NULL, 6),
(4999, NULL, 'PF06616', NULL, NULL, 'BsuBI/PstI restriction endonuclease domain', NULL, 'BsuBI_PstI_RE', NULL, NULL, NULL, 6),
(5000, NULL, 'PF18704', NULL, NULL, 'Chromatin organization modifier domain 2', NULL, 'Chromo_2', NULL, NULL, NULL, 6),
(5001, NULL, 'PF03880', NULL, NULL, 'DbpA RNA binding domain', NULL, 'DbpA', NULL, NULL, NULL, 6),
(5002, NULL, 'PF04459', NULL, NULL, 'Protein of unknown function (DUF512)', NULL, 'DUF512', NULL, NULL, NULL, 6),
(5003, NULL, 'PF12457', NULL, NULL, 'Tuftelin interacting protein N terminal', NULL, 'TIP_N', NULL, NULL, NULL, 6),
(5004, NULL, 'PF11412', NULL, NULL, 'Disulphide bond corrector protein DsbC', NULL, 'DsbC', NULL, NULL, NULL, 6),
(5005, NULL, 'PF15811', NULL, NULL, 'Small VCP/p97-interacting protein', NULL, 'SVIP', NULL, NULL, NULL, 6),
(5006, NULL, 'PF09186', NULL, NULL, 'Domain of unknown function (DUF1949)', NULL, 'DUF1949', NULL, NULL, NULL, 6),
(5007, NULL, 'PF10589', NULL, NULL, 'NADH-ubiquinone oxidoreductase-F iron-sulfur binding region', NULL, 'NADH_4Fe-4S', NULL, NULL, NULL, 6),
(5008, NULL, 'PF07148', NULL, NULL, 'Maltose operon periplasmic protein precursor (MalM)', NULL, 'MalM', NULL, NULL, NULL, 6),
(5009, NULL, 'PF14968', NULL, NULL, 'Coiled coil protein 84', NULL, 'CCDC84', NULL, NULL, NULL, 6),
(5010, NULL, 'PF10282', NULL, NULL, 'Lactonase, 7-bladed beta-propeller', NULL, 'Lactonase', NULL, NULL, NULL, 6),
(5011, NULL, 'PF01108', NULL, NULL, 'Tissue factor', NULL, 'Tissue_fac', NULL, NULL, NULL, 6),
(5012, NULL, 'PF05232', NULL, NULL, 'Chlorhexidine efflux transporter', NULL, 'BTP', NULL, NULL, NULL, 6),
(5013, NULL, 'PF03964', NULL, NULL, 'Chorion family 2', NULL, 'Chorion_2', NULL, NULL, NULL, 6),
(5014, NULL, 'PF13563', NULL, NULL, '2''-5'' RNA ligase superfamily', NULL, '2_5_RNA_ligase2', NULL, NULL, NULL, 6),
(5015, NULL, 'PF13835', NULL, NULL, 'Domain of unknown function (DUF4194)', NULL, 'DUF4194', NULL, NULL, NULL, 6),
(5016, NULL, 'PF05038', NULL, NULL, 'Cytochrome Cytochrome b558 alpha-subunit', NULL, 'Cytochrom_B558a', NULL, NULL, NULL, 6),
(5017, NULL, 'PF04597', NULL, NULL, 'Ribophorin I', NULL, 'Ribophorin_I', NULL, NULL, NULL, 6),
(5018, NULL, 'PF13671', NULL, NULL, 'AAA domain', NULL, 'AAA_33', NULL, NULL, NULL, 6),
(5019, NULL, 'PF17636', NULL, NULL, 'Viral Unique Long protein 21a', NULL, 'UL21a', NULL, NULL, NULL, 6),
(5020, NULL, 'PF16165', NULL, NULL, 'Ferlin C-terminus', NULL, 'Ferlin_C', NULL, NULL, NULL, 6),
(5021, NULL, 'PF18242', NULL, NULL, 'Legionella ubiquitin-specific protease A domain', NULL, 'LupA', NULL, NULL, NULL, 6),
(5022, NULL, 'PF01414', NULL, NULL, 'Delta serrate ligand', NULL, 'DSL', NULL, NULL, NULL, 6),
(5023, NULL, 'PF01424', NULL, NULL, 'R3H domain', NULL, 'R3H', NULL, NULL, NULL, 6),
(5024, NULL, 'PF16298', NULL, NULL, 'Domain of unknown function (DUF4940)', NULL, 'DUF4940', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5025, NULL, 'PF07905', NULL, NULL, 'Purine catabolism regulatory protein-like family', NULL, 'PucR', NULL, NULL, NULL, 6),
(5026, NULL, 'PF09286', NULL, NULL, 'Pro-kumamolisin, activation domain', NULL, 'Pro-kuma_activ', NULL, NULL, NULL, 6),
(5027, NULL, 'PF15100', NULL, NULL, 'TMEM187 protein family', NULL, 'TMEM187', NULL, NULL, NULL, 6),
(5028, NULL, 'PF15152', NULL, NULL, 'Kisspeptin', NULL, 'Kisspeptin', NULL, NULL, NULL, 6),
(5029, NULL, 'PF18502', NULL, NULL, '54S ribosomal protein L8 C-terminal domain', NULL, 'Mrpl_C', NULL, NULL, NULL, 6),
(5030, NULL, 'PF14637', NULL, NULL, 'Folliculin-interacting protein middle domain', NULL, 'FNIP_M', NULL, NULL, NULL, 6),
(5031, NULL, 'PF14229', NULL, NULL, 'Domain of unknown function (DUF4332)', NULL, 'DUF4332', NULL, NULL, NULL, 6),
(5032, NULL, 'PF15813', NULL, NULL, 'Domain of unknown function (DUF4708)', NULL, 'DUF4708', NULL, NULL, NULL, 6),
(5033, NULL, 'PF19138', NULL, NULL, 'Family of unknown function (DUF5821)', NULL, 'DUF5821', NULL, NULL, NULL, 6),
(5034, NULL, 'PF11423', NULL, NULL, 'Regulatory protein Mnt', NULL, 'Repressor_Mnt', NULL, NULL, NULL, 6),
(5035, NULL, 'PF15827', NULL, NULL, 'UPF0730 unknown protein family', NULL, 'UPF0730', NULL, NULL, NULL, 6),
(5036, NULL, 'PF12641', NULL, NULL, 'Flavodoxin domain', NULL, 'Flavodoxin_3', NULL, NULL, NULL, 6),
(5037, NULL, 'PF01044', NULL, NULL, 'Vinculin family', NULL, 'Vinculin', NULL, NULL, NULL, 6),
(5038, NULL, 'PF14828', NULL, NULL, 'Amnionless', NULL, 'Amnionless', NULL, NULL, NULL, 6),
(5039, NULL, 'PF18682', NULL, NULL, 'Pilin A4', NULL, 'PilA4', NULL, NULL, NULL, 6),
(5040, NULL, 'PF04878', NULL, NULL, 'Baculovirus P48 protein', NULL, 'Baculo_p48', NULL, NULL, NULL, 6),
(5041, NULL, 'PF11139', NULL, NULL, 'Sap, sulfolipid-1-addressing protein', NULL, 'SfLAP', NULL, NULL, NULL, 6),
(5042, NULL, 'PF10573', NULL, NULL, 'Uncharacterised protein family UPF0561', NULL, 'UPF0561', NULL, NULL, NULL, 6),
(5043, NULL, 'PF09214', NULL, NULL, 'Bacteriophage Prd1, adsorption protein P2', NULL, 'Prd1-P2', NULL, NULL, NULL, 6),
(5044, NULL, 'PF18851', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 8', NULL, 'baeRF_family8', NULL, NULL, NULL, 6),
(5045, NULL, 'PF02953', NULL, NULL, 'Tim10/DDP family zinc finger', NULL, 'zf-Tim10_DDP', NULL, NULL, NULL, 6),
(5046, NULL, 'PF02364', NULL, NULL, '1,3-beta-glucan synthase component', NULL, 'Glucan_synthase', NULL, NULL, NULL, 6),
(5047, NULL, 'PF08260', NULL, NULL, 'Insect kinin peptide', NULL, 'Kinin', NULL, NULL, NULL, 6),
(5048, NULL, 'PF17965', NULL, NULL, 'Mucin binding domain', NULL, 'MucBP_2', NULL, NULL, NULL, 6),
(5049, NULL, 'PF00866', NULL, NULL, 'Ring hydroxylating beta subunit', NULL, 'Ring_hydroxyl_B', NULL, NULL, NULL, 6),
(5050, NULL, 'PF09269', NULL, NULL, 'Domain of unknown function (DUF1967)', NULL, 'DUF1967', NULL, NULL, NULL, 6),
(5051, NULL, 'PF12113', NULL, NULL, 'SVM protein signal sequence', NULL, 'SVM_signal', NULL, NULL, NULL, 6),
(5052, NULL, 'PF09489', NULL, NULL, 'Probable cobalt transporter subunit (CbtB)', NULL, 'CbtB', NULL, NULL, NULL, 6),
(5053, NULL, 'PF17577', NULL, NULL, 'ECORI-T site', NULL, 'ETM', NULL, NULL, NULL, 6),
(5054, NULL, 'PF00697', NULL, NULL, 'N-(5''phosphoribosyl)anthranilate (PRA) isomerase', NULL, 'PRAI', NULL, NULL, NULL, 6),
(5055, NULL, 'PF02209', NULL, NULL, 'Villin headpiece domain', NULL, 'VHP', NULL, NULL, NULL, 6),
(5056, NULL, 'PF10832', NULL, NULL, 'Protein of unknown function (DUF2559)', NULL, 'DUF2559', NULL, NULL, NULL, 6),
(5057, NULL, 'PF01691', NULL, NULL, 'Adenovirus E1B 19K protein / small t-antigen', NULL, 'Adeno_E1B_19K', NULL, NULL, NULL, 6),
(5058, NULL, 'PF05077', NULL, NULL, 'Protein of unknown function (DUF678)', NULL, 'DUF678', NULL, NULL, NULL, 6),
(5059, NULL, 'PF05199', NULL, NULL, 'GMC oxidoreductase', NULL, 'GMC_oxred_C', NULL, NULL, NULL, 6),
(5060, NULL, 'PF10278', NULL, NULL, 'Mediator of RNA pol II transcription subunit 19', NULL, 'Med19', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5061, NULL, 'PF06197', NULL, NULL, 'Protein of unknown function (DUF998)', NULL, 'DUF998', NULL, NULL, NULL, 6),
(5062, NULL, 'PF10674', NULL, NULL, 'Protein of unknown function (DUF2488)', NULL, 'Ycf54', NULL, NULL, NULL, 6),
(5063, NULL, 'PF12114', NULL, NULL, 'Period protein 2/3C-terminal region', NULL, 'Period_C', NULL, NULL, NULL, 6),
(5064, NULL, 'PF13723', NULL, NULL, 'Beta-ketoacyl synthase, N-terminal domain', NULL, 'Ketoacyl-synt_2', NULL, NULL, NULL, 6),
(5065, NULL, 'PF04843', NULL, NULL, 'Herpesvirus tegument protein, N-terminal conserved region', NULL, 'Herpes_teg_N', NULL, NULL, NULL, 6),
(5066, NULL, 'PF12080', NULL, NULL, 'GldM C-terminal domain', NULL, 'GldM_C', NULL, NULL, NULL, 6),
(5067, NULL, 'PF01214', NULL, NULL, 'Casein kinase II regulatory subunit', NULL, 'CK_II_beta', NULL, NULL, NULL, 6),
(5068, NULL, 'PF12000', NULL, NULL, 'Glycosyl transferase family 4 group', NULL, 'Glyco_trans_4_3', NULL, NULL, NULL, 6),
(5069, NULL, 'PF04051', NULL, NULL, 'Transport protein particle (TRAPP) component', NULL, 'TRAPP', NULL, NULL, NULL, 6),
(5070, NULL, 'PF08500', NULL, NULL, 'Tombusvirus p33', NULL, 'Tombus_P33', NULL, NULL, NULL, 6),
(5071, NULL, 'PF16988', NULL, NULL, 'Vacuolar protein sorting 36 NZF-N zinc-finger domain', NULL, 'Vps36-NZF-N', NULL, NULL, NULL, 6),
(5072, NULL, 'PF01467', NULL, NULL, 'Cytidylyltransferase-like', NULL, 'CTP_transf_like', NULL, NULL, NULL, 6),
(5073, NULL, 'PF18163', NULL, NULL, 'SLOG cluster2', NULL, 'LD_cluster2', NULL, NULL, NULL, 6),
(5074, NULL, 'PF16657', NULL, NULL, 'Maltogenic Amylase, C-terminal domain', NULL, 'Malt_amylase_C', NULL, NULL, NULL, 6),
(5075, NULL, 'PF02110', NULL, NULL, 'Hydroxyethylthiazole kinase family', NULL, 'HK', NULL, NULL, NULL, 6),
(5076, NULL, 'PF16171', NULL, NULL, 'Centromere kinetochore component CENP-T N-terminus', NULL, 'CENP-T_N', NULL, NULL, NULL, 6),
(5077, NULL, 'PF16283', NULL, NULL, 'Domain of unknown function (DUF4929)', NULL, 'DUF4929', NULL, NULL, NULL, 6),
(5078, NULL, 'PF13295', NULL, NULL, 'Domain of unknown function (DUF4077)', NULL, 'DUF4077', NULL, NULL, NULL, 6),
(5079, NULL, 'PF09333', NULL, NULL, 'Autophagy-related protein C terminal domain', NULL, 'ATG_C', NULL, NULL, NULL, 6),
(5080, NULL, 'PF15560', NULL, NULL, 'Immunity protein 12', NULL, 'Imm12', NULL, NULL, NULL, 6),
(5081, NULL, 'PF05917', NULL, NULL, 'Helicobacter pylori protein of unknown function (DUF874)', NULL, 'DUF874', NULL, NULL, NULL, 6),
(5082, NULL, 'PF16621', NULL, NULL, 'SH3 terminal domain of 2nd SH3 on Neutrophil cytosol factor 1', NULL, 'NECFESHC', NULL, NULL, NULL, 6),
(5083, NULL, 'PF05842', NULL, NULL, 'Euplotes octocarinatus mating pheromone protein', NULL, 'Euplotes_phero', NULL, NULL, NULL, 6),
(5084, NULL, 'PF03963', NULL, NULL, 'Flagellar hook capping protein - N-terminal region', NULL, 'FlgD', NULL, NULL, NULL, 6),
(5085, NULL, 'PF08437', NULL, NULL, 'Glycosyl transferase family 8 C-terminal', NULL, 'Glyco_transf_8C', NULL, NULL, NULL, 6),
(5086, NULL, 'PF05299', NULL, NULL, 'M61 glycyl aminopeptidase', NULL, 'Peptidase_M61', NULL, NULL, NULL, 6),
(5087, NULL, 'PF06401', NULL, NULL, 'Alpha-2-macroglobulin RAP, C-terminal domain', NULL, 'Alpha-2-MRAP_C', NULL, NULL, NULL, 6),
(5088, NULL, 'PF05248', NULL, NULL, 'Adenovirus E3A', NULL, 'Adeno_E3A', NULL, NULL, NULL, 6),
(5089, NULL, 'PF05052', NULL, NULL, 'MerE protein', NULL, 'MerE', NULL, NULL, NULL, 6),
(5090, NULL, 'PF14252', NULL, NULL, 'Domain of unknown function (DUF4347)', NULL, 'DUF4347', NULL, NULL, NULL, 6),
(5091, NULL, 'PF14183', NULL, NULL, 'YwpF-like protein', NULL, 'YwpF', NULL, NULL, NULL, 6),
(5092, NULL, 'PF06109', NULL, NULL, 'Haemolysin E (HlyE)', NULL, 'HlyE', NULL, NULL, NULL, 6),
(5093, NULL, 'PF12155', NULL, NULL, 'NADH dehydrogenase subunit 2 N-terminal', NULL, 'NADHdh-2_N', NULL, NULL, NULL, 6),
(5094, NULL, 'PF16693', NULL, NULL, 'Inner membrane component of T3SS, periplasmic domain', NULL, 'Yop-YscD_ppl', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5095, NULL, 'PF13503', NULL, NULL, 'Domain of unknown function (DUF4123)', NULL, 'DUF4123', NULL, NULL, NULL, 6),
(5096, NULL, 'PF00488', NULL, NULL, 'MutS domain V', NULL, 'MutS_V', NULL, NULL, NULL, 6),
(5097, NULL, 'PF01855', NULL, NULL, 'Pyruvate flavodoxin/ferredoxin oxidoreductase, thiamine diP-bdg', NULL, 'POR_N', NULL, NULL, NULL, 6),
(5098, NULL, 'PF06603', NULL, NULL, 'UpxZ family of transcription anti-terminator antagonists', NULL, 'UpxZ', NULL, NULL, NULL, 6),
(5099, NULL, 'PF02179', NULL, NULL, 'BAG domain', NULL, 'BAG', NULL, NULL, NULL, 6),
(5100, NULL, 'PF13748', NULL, NULL, 'ABC transporter transmembrane region', NULL, 'ABC_membrane_3', NULL, NULL, NULL, 6),
(5101, NULL, 'PF03759', NULL, NULL, 'PRONE (Plant-specific Rop nucleotide exchanger)', NULL, 'PRONE', NULL, NULL, NULL, 6),
(5102, NULL, 'PF18006', NULL, NULL, 'O-phosphoseryl-tRNA synthetase C-terminal domain', NULL, 'SepRS_C', NULL, NULL, NULL, 6),
(5103, NULL, 'PF09334', NULL, NULL, 'tRNA synthetases class I (M)', NULL, 'tRNA-synt_1g', NULL, NULL, NULL, 6),
(5104, NULL, 'PF12765', NULL, NULL, 'HEAT repeat associated with sister chromatid cohesion', NULL, 'Cohesin_HEAT', NULL, NULL, NULL, 6),
(5105, NULL, 'PF08242', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_12', NULL, NULL, NULL, 6),
(5106, NULL, 'PF11119', NULL, NULL, 'Protein of unknown function (DUF2633)', NULL, 'DUF2633', NULL, NULL, NULL, 6),
(5107, NULL, 'PF00059', NULL, NULL, 'Lectin C-type domain', NULL, 'Lectin_C', NULL, NULL, NULL, 6),
(5108, NULL, 'PF07106', NULL, NULL, 'TBPIP/Hop2 winged helix domain', NULL, 'TBPIP', NULL, NULL, NULL, 6),
(5109, NULL, 'PF09363', NULL, NULL, 'XFP C-terminal domain', NULL, 'XFP_C', NULL, NULL, NULL, 6),
(5110, NULL, 'PF10276', NULL, NULL, 'Zinc-finger domain', NULL, 'zf-CHCC', NULL, NULL, NULL, 6),
(5111, NULL, 'PF01658', NULL, NULL, 'Myo-inositol-1-phosphate synthase', NULL, 'Inos-1-P_synth', NULL, NULL, NULL, 6),
(5112, NULL, 'PF08463', NULL, NULL, 'EcoEI R protein C-terminal', NULL, 'EcoEI_R_C', NULL, NULL, NULL, 6),
(5113, NULL, 'PF18766', NULL, NULL, 'SWI2/SNF2 ATPase', NULL, 'SWI2_SNF2', NULL, NULL, NULL, 6),
(5114, NULL, 'PF01624', NULL, NULL, 'MutS domain I', NULL, 'MutS_I', NULL, NULL, NULL, 6),
(5115, NULL, 'PF15149', NULL, NULL, 'Cation channel sperm-associated protein subunit beta protein family', NULL, 'CATSPERB', NULL, NULL, NULL, 6),
(5116, NULL, 'PF06097', NULL, NULL, 'Bacterial protein of unknown function (DUF945)', NULL, 'DUF945', NULL, NULL, NULL, 6),
(5117, NULL, 'PF13431', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_17', NULL, NULL, NULL, 6),
(5118, NULL, 'PF06027', NULL, NULL, 'Solute carrier family 35', NULL, 'SLC35F', NULL, NULL, NULL, 6),
(5119, NULL, 'PF05782', NULL, NULL, 'Extracellular matrix protein 1 (ECM1)', NULL, 'ECM1', NULL, NULL, NULL, 6),
(5120, NULL, 'PF17384', NULL, NULL, 'RimP C-terminal SH3 domain', NULL, 'DUF150_C', NULL, NULL, NULL, 6),
(5121, NULL, 'PF02192', NULL, NULL, 'PI3-kinase family, p85-binding domain', NULL, 'PI3K_p85B', NULL, NULL, NULL, 6),
(5122, NULL, 'PF02574', NULL, NULL, 'Homocysteine S-methyltransferase', NULL, 'S-methyl_trans', NULL, NULL, NULL, 6),
(5123, NULL, 'PF07393', NULL, NULL, 'Exocyst complex component Sec10', NULL, 'Sec10', NULL, NULL, NULL, 6),
(5124, NULL, 'PF10517', NULL, NULL, 'Electron transfer DM13', NULL, 'DM13', NULL, NULL, NULL, 6),
(5125, NULL, 'PF12061', NULL, NULL, 'Late blight resistance protein R1', NULL, 'NB-LRR', NULL, NULL, NULL, 6),
(5126, NULL, 'PF01453', NULL, NULL, 'D-mannose binding lectin', NULL, 'B_lectin', NULL, NULL, NULL, 6),
(5127, NULL, 'PF15498', NULL, NULL, 'Nephrin and CD2AP-binding protein, Dendrin', NULL, 'Dendrin', NULL, NULL, NULL, 6),
(5128, NULL, 'PF08895', NULL, NULL, 'Domain of unknown function (DUF1840)', NULL, 'DUF1840', NULL, NULL, NULL, 6),
(5129, NULL, 'PF13142', NULL, NULL, 'Domain of unknown function (DUF3960)', NULL, 'DUF3960', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5130, NULL, 'PF01558', NULL, NULL, 'Pyruvate ferredoxin/flavodoxin oxidoreductase', NULL, 'POR', NULL, NULL, NULL, 6),
(5131, NULL, 'PF04359', NULL, NULL, 'Protein of unknown function (DUF493)', NULL, 'DUF493', NULL, NULL, NULL, 6),
(5132, NULL, 'PF04262', NULL, NULL, 'Glutamate-cysteine ligase', NULL, 'Glu_cys_ligase', NULL, NULL, NULL, 6),
(5133, NULL, 'PF12495', NULL, NULL, 'Vegetative insecticide protein 3A N terminal', NULL, 'Vip3A_N', NULL, NULL, NULL, 6),
(5134, NULL, 'PF09869', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2096)', NULL, 'DUF2096', NULL, NULL, NULL, 6),
(5135, NULL, 'PF06328', NULL, NULL, 'Ig-like C2-type domain', NULL, 'Lep_receptor_Ig', NULL, NULL, NULL, 6),
(5136, NULL, 'PF03815', NULL, NULL, 'LCCL domain', NULL, 'LCCL', NULL, NULL, NULL, 6),
(5137, NULL, 'PF13205', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_5', NULL, NULL, NULL, 6),
(5138, NULL, 'PF15318', NULL, NULL, 'Putative Bcl-2 like protein of testis', NULL, 'Bclt', NULL, NULL, NULL, 6),
(5139, NULL, 'PF06810', NULL, NULL, 'Phage minor structural protein GP20', NULL, 'Phage_GP20', NULL, NULL, NULL, 6),
(5140, NULL, 'PF03495', NULL, NULL, 'Clostridial binary toxin B/anthrax toxin PA Ca-binding domain', NULL, 'Binary_toxB', NULL, NULL, NULL, 6),
(5141, NULL, 'PF16554', NULL, NULL, 'Dimerisation domain of d-ornithine 4,5-aminomutase', NULL, 'OAM_dimer', NULL, NULL, NULL, 6),
(5142, NULL, 'PF16326', NULL, NULL, 'ABC transporter C-terminal domain', NULL, 'ABC_tran_CTD', NULL, NULL, NULL, 6),
(5143, NULL, 'PF05937', NULL, NULL, 'EB-1 Binding Domain', NULL, 'EB1_binding', NULL, NULL, NULL, 6),
(5144, NULL, 'PF09632', NULL, NULL, 'Rac1-binding domain', NULL, 'Rac1', NULL, NULL, NULL, 6),
(5145, NULL, 'PF06248', NULL, NULL, 'Centromere/kinetochore Zw10', NULL, 'Zw10', NULL, NULL, NULL, 6),
(5146, NULL, 'PF00557', NULL, NULL, 'Metallopeptidase family M24', NULL, 'Peptidase_M24', NULL, NULL, NULL, 6),
(5147, NULL, 'PF18354', NULL, NULL, 'CarS bacterial SH3 domain', NULL, 'SH3_18', NULL, NULL, NULL, 6),
(5148, NULL, 'PF04580', NULL, NULL, 'Chordopoxvirinae D3 protein', NULL, 'Pox_D3', NULL, NULL, NULL, 6),
(5149, NULL, 'PF08093', NULL, NULL, 'Magi 5 toxic peptide family', NULL, 'Toxin_23', NULL, NULL, NULL, 6),
(5150, NULL, 'PF01941', NULL, NULL, 'S-adenosylmethionine synthetase (AdoMet synthetase)', NULL, 'AdoMet_Synthase', NULL, NULL, NULL, 6),
(5151, NULL, 'PF15507', NULL, NULL, 'Domain of unknown function (DUF4649)', NULL, 'DUF4649', NULL, NULL, NULL, 6),
(5152, NULL, 'PF15548', NULL, NULL, 'Domain of unknown function (DUF4655)', NULL, 'DUF4655', NULL, NULL, NULL, 6),
(5153, NULL, 'PF09985', NULL, NULL, 'C-terminal binding-module, SLH-like, of glucodextranase', NULL, 'Glucodextran_C', NULL, NULL, NULL, 6),
(5154, NULL, 'PF11707', NULL, NULL, 'Ribosome 60S biogenesis N-terminal', NULL, 'Npa1', NULL, NULL, NULL, 6),
(5155, NULL, 'PF13993', NULL, NULL, 'YccJ-like protein', NULL, 'YccJ', NULL, NULL, NULL, 6),
(5156, NULL, 'PF11804', NULL, NULL, 'Protein of unknown function (DUF3325)', NULL, 'DUF3325', NULL, NULL, NULL, 6),
(5157, NULL, 'PF17849', NULL, NULL, 'Dis3-like cold-shock domain 2 (CSD2)', NULL, 'OB_Dis3', NULL, NULL, NULL, 6),
(5158, NULL, 'PF15392', NULL, NULL, 'Joubert syndrome-associated', NULL, 'Joubert', NULL, NULL, NULL, 6),
(5159, NULL, 'PF18804', NULL, NULL, 'CxC3 like cysteine cluster associated with KDZ transposases', NULL, 'CxC3', NULL, NULL, NULL, 6),
(5160, NULL, 'PF13355', NULL, NULL, 'Protein of unknown function (DUF4101)', NULL, 'DUF4101', NULL, NULL, NULL, 6),
(5161, NULL, 'PF00339', NULL, NULL, 'Arrestin (or S-antigen), N-terminal domain', NULL, 'Arrestin_N', NULL, NULL, NULL, 6),
(5162, NULL, 'PF15220', NULL, NULL, 'Hypoxia-inducible lipid droplet-associated', NULL, 'HILPDA', NULL, NULL, NULL, 6),
(5163, NULL, 'PF04391', NULL, NULL, 'Protein of unknown function (DUF533)', NULL, 'DUF533', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5164, NULL, 'PF06752', NULL, NULL, 'Enhancer of Polycomb C-terminus', NULL, 'E_Pc_C', NULL, NULL, NULL, 6),
(5165, NULL, 'PF15689', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 3', NULL, 'NRIP1_repr_3', NULL, NULL, NULL, 6),
(5166, NULL, 'PF14356', NULL, NULL, 'Domain of unknown function (DUF4403)', NULL, 'DUF4403', NULL, NULL, NULL, 6),
(5167, NULL, 'PF15782', NULL, NULL, 'Gene regulated by oestrogen in breast cancer', NULL, 'GREB1', NULL, NULL, NULL, 6),
(5168, NULL, 'PF17781', NULL, NULL, 'RPN1/RPN2 N-terminal domain', NULL, 'RPN1_RPN2_N', NULL, NULL, NULL, 6),
(5169, NULL, 'PF06864', NULL, NULL, 'Pilin accessory protein (PilO)', NULL, 'PAP_PilO', NULL, NULL, NULL, 6),
(5170, NULL, 'PF15205', NULL, NULL, 'Placenta-specific protein 9', NULL, 'PLAC9', NULL, NULL, NULL, 6),
(5171, NULL, 'PF16368', NULL, NULL, 'Cytoplasmic polyadenylation element-binding protein 1 N-terminus', NULL, 'CEBP1_N', NULL, NULL, NULL, 6),
(5172, NULL, 'PF17391', NULL, NULL, 'Urocanase N-terminal domain', NULL, 'Urocanase_N', NULL, NULL, NULL, 6),
(5173, NULL, 'PF15094', NULL, NULL, 'Domain of unknown function (DUF4556)', NULL, 'DUF4556', NULL, NULL, NULL, 6),
(5174, NULL, 'PF14359', NULL, NULL, 'Domain of unknown function (DUF4406)', NULL, 'DUF4406', NULL, NULL, NULL, 6),
(5175, NULL, 'PF11231', NULL, NULL, 'Protein of unknown function (DUF3034)', NULL, 'DUF3034', NULL, NULL, NULL, 6),
(5176, NULL, 'PF14265', NULL, NULL, 'Domain of unknown function (DUF4355)', NULL, 'DUF4355', NULL, NULL, NULL, 6),
(5177, NULL, 'PF11081', NULL, NULL, 'Protein of unknown function (DUF2890)', NULL, 'DUF2890', NULL, NULL, NULL, 6),
(5178, NULL, 'PF13059', NULL, NULL, 'Protein of unknown function (DUF3992)', NULL, 'DUF3922', NULL, NULL, NULL, 6),
(5179, NULL, 'PF06536', NULL, NULL, 'Avian adenovirus fibre, N-terminal', NULL, 'Av_adeno_fibre', NULL, NULL, NULL, 6),
(5180, NULL, 'PF04710', NULL, NULL, 'Pellino', NULL, 'Pellino', NULL, NULL, NULL, 6),
(5181, NULL, 'PF10048', NULL, NULL, 'Predicted integral membrane protein (DUF2282)', NULL, 'DUF2282', NULL, NULL, NULL, 6),
(5182, NULL, 'PF10490', NULL, NULL, 'Rb-binding domain of kinetochore protein Cenp-F/LEK1', NULL, 'CENP-F_C_Rb_bdg', NULL, NULL, NULL, 6),
(5183, NULL, 'PF15870', NULL, NULL, 'ElonginA binding-protein 1', NULL, 'EloA-BP1', NULL, NULL, NULL, 6),
(5184, NULL, 'PF16473', NULL, NULL, '3'' exoribonuclease, RNase T-like', NULL, 'DUF5051', NULL, NULL, NULL, 6),
(5185, NULL, 'PF00438', NULL, NULL, 'S-adenosylmethionine synthetase, N-terminal domain', NULL, 'S-AdoMet_synt_N', NULL, NULL, NULL, 6),
(5186, NULL, 'PF15872', NULL, NULL, 'Serine-rich and transmembrane domain-containing protein 1', NULL, 'SRTM1', NULL, NULL, NULL, 6),
(5187, NULL, 'PF13057', NULL, NULL, 'Protein of unknown function (DUF3919)', NULL, 'DUF3919', NULL, NULL, NULL, 6),
(5188, NULL, 'PF02613', NULL, NULL, 'Nitrate reductase delta subunit', NULL, 'Nitrate_red_del', NULL, NULL, NULL, 6),
(5189, NULL, 'PF09025', NULL, NULL, 'YopR, type III needle-polymerisation regulator', NULL, 'T3SS_needle_reg', NULL, NULL, NULL, 6),
(5190, NULL, 'PF18159', NULL, NULL, 'SMODS-associating 4TM effector domain', NULL, 'S_4TM', NULL, NULL, NULL, 6),
(5191, NULL, 'PF17571', NULL, NULL, 'Family of unknown function (DUF5477)', NULL, 'DUF5477', NULL, NULL, NULL, 6),
(5192, NULL, 'PF12963', NULL, NULL, 'Protein of unknown function (DUF3852)', NULL, 'DUF3852', NULL, NULL, NULL, 6),
(5193, NULL, 'PF02097', NULL, NULL, 'Filoviridae VP35', NULL, 'Filo_VP35', NULL, NULL, NULL, 6),
(5194, NULL, 'PF15409', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_8', NULL, NULL, NULL, 6),
(5195, NULL, 'PF15057', NULL, NULL, 'Domain of unknown function (DUF4537)', NULL, 'DUF4537', NULL, NULL, NULL, 6),
(5196, NULL, 'PF17564', NULL, NULL, 'Family of unknown function (DUF5470)', NULL, 'DUF5470', NULL, NULL, NULL, 6),
(5197, NULL, 'PF10896', NULL, NULL, 'Protein of unknown function (DUF2714)', NULL, 'DUF2714', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5198, NULL, 'PF18300', NULL, NULL, 'Domain of unknown function (DUF5604)', NULL, 'DUF5604', NULL, NULL, NULL, 6),
(5199, NULL, 'PF03686', NULL, NULL, 'Uncharacterised protein family (UPF0146)', NULL, 'UPF0146', NULL, NULL, NULL, 6),
(5200, NULL, 'PF14090', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_39', NULL, NULL, NULL, 6),
(5201, NULL, 'PF14162', NULL, NULL, 'YozD-like protein', NULL, 'YozD', NULL, NULL, NULL, 6),
(5202, NULL, 'PF00120', NULL, NULL, 'Glutamine synthetase, catalytic domain', NULL, 'Gln-synt_C', NULL, NULL, NULL, 6),
(5203, NULL, 'PF03464', NULL, NULL, 'eRF1 domain 2', NULL, 'eRF1_2', NULL, NULL, NULL, 6),
(5204, NULL, 'PF04265', NULL, NULL, 'Thiamin pyrophosphokinase, vitamin B1 binding domain', NULL, 'TPK_B1_binding', NULL, NULL, NULL, 6),
(5205, NULL, 'PF12834', NULL, NULL, 'Phage integrase, N-terminal', NULL, 'Phage_int_SAM_2', NULL, NULL, NULL, 6),
(5206, NULL, 'PF09606', NULL, NULL, 'ARC105 or Med15 subunit of Mediator complex non-fungal', NULL, 'Med15', NULL, NULL, NULL, 6),
(5207, NULL, 'PF00449', NULL, NULL, 'Urease alpha-subunit, N-terminal domain', NULL, 'Urease_alpha', NULL, NULL, NULL, 6),
(5208, NULL, 'PF09459', NULL, NULL, 'Ethylbenzene dehydrogenase', NULL, 'EB_dh', NULL, NULL, NULL, 6),
(5209, NULL, 'PF17680', NULL, NULL, 'FlgO protein', NULL, 'FlgO', NULL, NULL, NULL, 6),
(5210, NULL, 'PF01476', NULL, NULL, 'LysM domain', NULL, 'LysM', NULL, NULL, NULL, 6),
(5211, NULL, 'PF10285', NULL, NULL, 'Luciferase catalytic domain', NULL, 'Luciferase_cat', NULL, NULL, NULL, 6),
(5212, NULL, 'PF13714', NULL, NULL, 'Phosphoenolpyruvate phosphomutase', NULL, 'PEP_mutase', NULL, NULL, NULL, 6),
(5213, NULL, 'PF19203', NULL, NULL, 'Family of unknown function (DUF5875)', NULL, 'DUF5875', NULL, NULL, NULL, 6),
(5214, NULL, 'PF04458', NULL, NULL, 'Protein of unknown function (DUF505)', NULL, 'DUF505', NULL, NULL, NULL, 6),
(5215, NULL, 'PF15571', NULL, NULL, 'Immunity protein 44', NULL, 'Imm44', NULL, NULL, NULL, 6),
(5216, NULL, 'PF07715', NULL, NULL, 'TonB-dependent Receptor Plug Domain', NULL, 'Plug', NULL, NULL, NULL, 6),
(5217, NULL, 'PF00552', NULL, NULL, 'Integrase DNA binding domain', NULL, 'IN_DBD_C', NULL, NULL, NULL, 6),
(5218, NULL, 'PF10029', NULL, NULL, 'Predicted periplasmic protein (DUF2271)', NULL, 'DUF2271', NULL, NULL, NULL, 6),
(5219, NULL, 'PF02264', NULL, NULL, 'LamB porin', NULL, 'LamB', NULL, NULL, NULL, 6),
(5220, NULL, 'PF07827', NULL, NULL, 'KNTase C-terminal domain', NULL, 'KNTase_C', NULL, NULL, NULL, 6),
(5221, NULL, 'PF10468', NULL, NULL, 'Carboxypeptidase inhibitor I68', NULL, 'Inhibitor_I68', NULL, NULL, NULL, 6),
(5222, NULL, 'PF09221', NULL, NULL, 'Bacteriocin class IId cyclical uberolysin-like', NULL, 'Bacteriocin_IId', NULL, NULL, NULL, 6),
(5223, NULL, 'PF05219', NULL, NULL, 'DREV methyltransferase', NULL, 'DREV', NULL, NULL, NULL, 6),
(5224, NULL, 'PF13524', NULL, NULL, 'Glycosyl transferases group 1', NULL, 'Glyco_trans_1_2', NULL, NULL, NULL, 6),
(5225, NULL, 'PF08261', NULL, NULL, 'Carcinustatin peptide', NULL, 'Carcinustatin', NULL, NULL, NULL, 6),
(5226, NULL, 'PF15121', NULL, NULL, 'TMEM71 protein family', NULL, 'TMEM71', NULL, NULL, NULL, 6),
(5227, NULL, 'PF15691', NULL, NULL, 'Protein phosphatase 1 regulatory subunit 32', NULL, 'PPP1R32', NULL, NULL, NULL, 6),
(5228, NULL, 'PF10260', NULL, NULL, 'Uncharacterized conserved domain (SAYSvFN)', NULL, 'SAYSvFN', NULL, NULL, NULL, 6),
(5229, NULL, 'PF07282', NULL, NULL, 'Putative transposase DNA-binding domain', NULL, 'OrfB_Zn_ribbon', NULL, NULL, NULL, 6),
(5230, NULL, 'PF01166', NULL, NULL, 'TSC-22/dip/bun family', NULL, 'TSC22', NULL, NULL, NULL, 6),
(5231, NULL, 'PF17535', NULL, NULL, 'Family of unknown function (DUF5454)', NULL, 'DUF5454', NULL, NULL, NULL, 6),
(5232, NULL, 'PF11628', NULL, NULL, 'T-cell surface glycoprotein CD3 zeta chain', NULL, 'TCR_zetazeta', NULL, NULL, NULL, 6),
(5233, NULL, 'PF06271', NULL, NULL, 'RDD family', NULL, 'RDD', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5234, NULL, 'PF10041', NULL, NULL, 'Uncharacterized conserved protein (DUF2277)', NULL, 'DUF2277', NULL, NULL, NULL, 6),
(5235, NULL, 'PF13848', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_6', NULL, NULL, NULL, 6),
(5236, NULL, 'PF05991', NULL, NULL, 'YacP-like NYN domain', NULL, 'NYN_YacP', NULL, NULL, NULL, 6),
(5237, NULL, 'PF10393', NULL, NULL, 'Trimeric coiled-coil oligomerisation domain of matrilin', NULL, 'Matrilin_ccoil', NULL, NULL, NULL, 6),
(5238, NULL, 'PF06270', NULL, NULL, 'Protein of unknown function (DUF1030)', NULL, 'DUF1030', NULL, NULL, NULL, 6),
(5239, NULL, 'PF01230', NULL, NULL, 'HIT domain', NULL, 'HIT', NULL, NULL, NULL, 6),
(5240, NULL, 'PF04860', NULL, NULL, 'Phage portal protein', NULL, 'Phage_portal', NULL, NULL, NULL, 6),
(5241, NULL, 'PF13749', NULL, NULL, 'Putative ATP-dependent DNA helicase recG C-terminal', NULL, 'HATPase_c_4', NULL, NULL, NULL, 6),
(5242, NULL, 'PF04041', NULL, NULL, 'beta-1,4-mannooligosaccharide phosphorylase', NULL, 'Glyco_hydro_130', NULL, NULL, NULL, 6),
(5243, NULL, 'PF00230', NULL, NULL, 'Major intrinsic protein', NULL, 'MIP', NULL, NULL, NULL, 6),
(5244, NULL, 'PF13871', NULL, NULL, 'C-terminal domain on Strawberry notch homologue', NULL, 'Helicase_C_4', NULL, NULL, NULL, 6),
(5245, NULL, 'PF14514', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_9', NULL, NULL, NULL, 6),
(5246, NULL, 'PF04510', NULL, NULL, 'Family of unknown function (DUF577)', NULL, 'DUF577', NULL, NULL, NULL, 6),
(5247, NULL, 'PF07305', NULL, NULL, 'Protein of unknown function (DUF1454)', NULL, 'DUF1454', NULL, NULL, NULL, 6),
(5248, NULL, 'PF13085', NULL, NULL, '2Fe-2S iron-sulfur cluster binding domain', NULL, 'Fer2_3', NULL, NULL, NULL, 6),
(5249, NULL, 'PF05011', NULL, NULL, 'Lariat debranching enzyme, C-terminal domain', NULL, 'DBR1', NULL, NULL, NULL, 6),
(5250, NULL, 'PF14627', NULL, NULL, 'Domain of unknown function (DUF4453)', NULL, 'DUF4453', NULL, NULL, NULL, 6),
(5251, NULL, 'PF01431', NULL, NULL, 'Peptidase family M13', NULL, 'Peptidase_M13', NULL, NULL, NULL, 6),
(5252, NULL, 'PF05939', NULL, NULL, 'Phage minor tail protein', NULL, 'Phage_min_tail', NULL, NULL, NULL, 6),
(5253, NULL, 'PF03835', NULL, NULL, 'Rad4 transglutaminase-like domain', NULL, 'Rad4', NULL, NULL, NULL, 6),
(5254, NULL, 'PF03029', NULL, NULL, 'Conserved hypothetical ATP binding protein', NULL, 'ATP_bind_1', NULL, NULL, NULL, 6),
(5255, NULL, 'PF04475', NULL, NULL, 'Protein of unknown function (DUF555)', NULL, 'DUF555', NULL, NULL, NULL, 6),
(5256, NULL, 'PF03055', NULL, NULL, 'Retinal pigment epithelial membrane protein', NULL, 'RPE65', NULL, NULL, NULL, 6),
(5257, NULL, 'PF02092', NULL, NULL, 'Glycyl-tRNA synthetase beta subunit', NULL, 'tRNA_synt_2f', NULL, NULL, NULL, 6),
(5258, NULL, 'PF12637', NULL, NULL, 'TSCPD domain', NULL, 'TSCPD', NULL, NULL, NULL, 6),
(5259, NULL, 'PF06630', NULL, NULL, 'Enterobacterial exodeoxyribonuclease VIII', NULL, 'Exonuc_VIII', NULL, NULL, NULL, 6),
(5260, NULL, 'PF09781', NULL, NULL, 'NADH:ubiquinone oxidoreductase, NDUFB5/SGDH subunit', NULL, 'NDUF_B5', NULL, NULL, NULL, 6),
(5261, NULL, 'PF06254', NULL, NULL, 'Putative bacterial toxin ydaT', NULL, 'YdaT_toxin', NULL, NULL, NULL, 6),
(5262, NULL, 'PF08967', NULL, NULL, 'Domain of unknown function (DUF1884)', NULL, 'DUF1884', NULL, NULL, NULL, 6),
(5263, NULL, 'PF07713', NULL, NULL, 'Protein of unknown function (DUF1604)', NULL, 'DUF1604', NULL, NULL, NULL, 6),
(5264, NULL, 'PF09107', NULL, NULL, 'Elongation factor SelB, winged helix', NULL, 'SelB-wing_3', NULL, NULL, NULL, 6),
(5265, NULL, 'PF16148', NULL, NULL, 'Domain of unknown function (DUF4856)', NULL, 'DUF4856', NULL, NULL, NULL, 6),
(5266, NULL, 'PF06570', NULL, NULL, 'Protein of unknown function (DUF1129)', NULL, 'DUF1129', NULL, NULL, NULL, 6),
(5267, NULL, 'PF10629', NULL, NULL, 'Protein of unknown function (DUF2475)', NULL, 'DUF2475', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5268, NULL, 'PF14762', NULL, NULL, 'Hermansky-Pudlak syndrome 3, middle region', NULL, 'HPS3_Mid', NULL, NULL, NULL, 6),
(5269, NULL, 'PF10036', NULL, NULL, 'RNA transcription, translation and transport factor protein', NULL, 'RLL', NULL, NULL, NULL, 6),
(5270, NULL, 'PF16770', NULL, NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', NULL, 'RTT107_BRCT_5', NULL, NULL, NULL, 6),
(5271, NULL, 'PF07887', NULL, NULL, 'Calmodulin binding protein-like', NULL, 'Calmodulin_bind', NULL, NULL, NULL, 6),
(5272, NULL, 'PF11830', NULL, NULL, 'Domain of unknown function (DUF3350)', NULL, 'DUF3350', NULL, NULL, NULL, 6),
(5273, NULL, 'PF08638', NULL, NULL, 'Mediator complex subunit MED14', NULL, 'Med14', NULL, NULL, NULL, 6),
(5274, NULL, 'PF03002', NULL, NULL, 'Somatostatin/Cortistatin family', NULL, 'Somatostatin', NULL, NULL, NULL, 6),
(5275, NULL, 'PF10004', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2247)', NULL, 'DUF2247', NULL, NULL, NULL, 6),
(5276, NULL, 'PF00683', NULL, NULL, 'TB domain', NULL, 'TB', NULL, NULL, NULL, 6),
(5277, NULL, 'PF18971', NULL, NULL, 'CagA protein', NULL, 'CagA_N', NULL, NULL, NULL, 6),
(5278, NULL, 'PF01947', NULL, NULL, 'p-hydroxybenzoic acid synthase', NULL, 'DUF98', NULL, NULL, NULL, 6),
(5279, NULL, 'PF02905', NULL, NULL, 'Epstein Barr virus nuclear antigen-1, DNA-binding domain', NULL, 'EBV-NA1', NULL, NULL, NULL, 6),
(5280, NULL, 'PF10617', NULL, NULL, 'Protein of unknown function (DUF2474)', NULL, 'DUF2474', NULL, NULL, NULL, 6),
(5281, NULL, 'PF17830', NULL, NULL, 'STI1 domain', NULL, 'STI1', NULL, NULL, NULL, 6),
(5282, NULL, 'PF02559', NULL, NULL, 'CarD-like/TRCF domain', NULL, 'CarD_CdnL_TRCF', NULL, NULL, NULL, 6),
(5283, NULL, 'PF15115', NULL, NULL, 'Domain of unknown function with conserved HDNR motif', NULL, 'HDNR', NULL, NULL, NULL, 6),
(5284, NULL, 'PF18506', NULL, NULL, 'RelB Antitoxin alpha helical domain', NULL, 'RelB_N', NULL, NULL, NULL, 6),
(5285, NULL, 'PF11315', NULL, NULL, 'Mediator complex subunit 30', NULL, 'Med30', NULL, NULL, NULL, 6),
(5286, NULL, 'PF18715', NULL, NULL, 'Phage spike trimer', NULL, 'Phage_spike', NULL, NULL, NULL, 6),
(5287, NULL, 'PF05458', NULL, NULL, 'Cd27 binding protein (Siva)', NULL, 'Siva', NULL, NULL, NULL, 6),
(5288, NULL, 'PF15918', NULL, NULL, 'Domain of unknown function (DUF4744)', NULL, 'DUF4744', NULL, NULL, NULL, 6),
(5289, NULL, 'PF03082', NULL, NULL, 'Male accessory gland secretory protein', NULL, 'MAGSP', NULL, NULL, NULL, 6),
(5290, NULL, 'PF18875', NULL, NULL, 'AF4 interaction motif', NULL, 'AF4_int', NULL, NULL, NULL, 6),
(5291, NULL, 'PF18137', NULL, NULL, 'Origin recognition complex winged helix C-terminal', NULL, 'ORC_WH_C', NULL, NULL, NULL, 6),
(5292, NULL, 'PF19040', NULL, NULL, 'SGNH domain (fused to AT3 domains)', NULL, 'SGNH', NULL, NULL, NULL, 6),
(5293, NULL, 'PF18436', NULL, NULL, 'Helical box domain of E3 ubiquitin-protein ligase HECW1', NULL, 'HECW1_helix', NULL, NULL, NULL, 6),
(5294, NULL, 'PF07285', NULL, NULL, 'Protein of unknown function (DUF1444)', NULL, 'DUF1444', NULL, NULL, NULL, 6),
(5295, NULL, 'PF15583', NULL, NULL, 'Immunity protein 68', NULL, 'Imm68', NULL, NULL, NULL, 6),
(5296, NULL, 'PF12658', NULL, NULL, 'Telomere capping, CST complex subunit', NULL, 'Ten1', NULL, NULL, NULL, 6),
(5297, NULL, 'PF16213', NULL, NULL, 'Dimerisation and cyclophilin-binding domain of Mon2', NULL, 'DCB', NULL, NULL, NULL, 6),
(5298, NULL, 'PF00348', NULL, NULL, 'Polyprenyl synthetase', NULL, 'polyprenyl_synt', NULL, NULL, NULL, 6),
(5299, NULL, 'PF09903', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2130)', NULL, 'DUF2130', NULL, NULL, NULL, 6),
(5300, NULL, 'PF17186', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_9', NULL, NULL, NULL, 6),
(5301, NULL, 'PF10585', NULL, NULL, 'Ubiquitin-activating enzyme active site', NULL, 'UBA_e1_thiolCys', NULL, NULL, NULL, 6),
(5302, NULL, 'PF07086', NULL, NULL, 'Jagunal, ER re-organisation during oogenesis', NULL, 'Jagunal', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5303, NULL, 'PF09317', NULL, NULL, 'Domain of unknown function (DUF1974)', NULL, 'DUF1974', NULL, NULL, NULL, 6),
(5304, NULL, 'PF02203', NULL, NULL, 'Tar ligand binding domain homologue', NULL, 'TarH', NULL, NULL, NULL, 6),
(5305, NULL, 'PF13882', NULL, NULL, 'Bravo-like intracellular region', NULL, 'Bravo_FIGEY', NULL, NULL, NULL, 6),
(5306, NULL, 'PF02459', NULL, NULL, 'Adenoviral DNA terminal protein', NULL, 'Adeno_terminal', NULL, NULL, NULL, 6),
(5307, NULL, 'PF18147', NULL, NULL, 'Suv3 C-terminal domain 1', NULL, 'Suv3_C_1', NULL, NULL, NULL, 6),
(5308, NULL, 'PF15367', NULL, NULL, 'Calcium-binding and spermatid-specific protein 1', NULL, 'CABS1', NULL, NULL, NULL, 6),
(5309, NULL, 'PF03902', NULL, NULL, 'Gal4-like dimerisation domain', NULL, 'Gal4_dimer', NULL, NULL, NULL, 6),
(5310, NULL, 'PF02576', NULL, NULL, 'RimP N-terminal domain', NULL, 'DUF150', NULL, NULL, NULL, 6),
(5311, NULL, 'PF09155', NULL, NULL, 'Domain of unknown function (DUF1940)', NULL, 'DUF1940', NULL, NULL, NULL, 6),
(5312, NULL, 'PF17609', NULL, NULL, 'Family of unknown function', NULL, 'HCMV_UL124', NULL, NULL, NULL, 6),
(5313, NULL, 'PF07914', NULL, NULL, 'Protein of unknown function (DUF1679)', NULL, 'DUF1679', NULL, NULL, NULL, 6),
(5314, NULL, 'PF06729', NULL, NULL, 'Kinetochore component, CENP-R', NULL, 'CENP-R', NULL, NULL, NULL, 6),
(5315, NULL, 'PF04497', NULL, NULL, 'Poxviridae protein', NULL, 'Pox_E2-like', NULL, NULL, NULL, 6),
(5316, NULL, 'PF07768', NULL, NULL, 'PVL ORF-50-like family', NULL, 'PVL_ORF50', NULL, NULL, NULL, 6),
(5317, NULL, 'PF16912', NULL, NULL, 'Glucose dehydrogenase C-terminus', NULL, 'Glu_dehyd_C', NULL, NULL, NULL, 6),
(5318, NULL, 'PF14571', NULL, NULL, 'Stress-induced protein Di19, C-terminal', NULL, 'Di19_C', NULL, NULL, NULL, 6),
(5319, NULL, 'PF07679', NULL, NULL, 'Immunoglobulin I-set domain', NULL, 'I-set', NULL, NULL, NULL, 6),
(5320, NULL, 'PF03509', NULL, NULL, 'Gap junction alpha-8 protein (Cx50)', NULL, 'Connexin50', NULL, NULL, NULL, 6),
(5321, NULL, 'PF05084', NULL, NULL, 'Granule antigen protein (GRA6)', NULL, 'GRA6', NULL, NULL, NULL, 6),
(5322, NULL, 'PF09573', NULL, NULL, 'TaqI restriction endonuclease', NULL, 'RE_TaqI', NULL, NULL, NULL, 6),
(5323, NULL, 'PF16087', NULL, NULL, 'Helix-turn-helix domain (DUF4817)', NULL, 'DUF4817', NULL, NULL, NULL, 6),
(5324, NULL, 'PF01646', NULL, NULL, 'Herpes virus proteins UL24 and UL76', NULL, 'Herpes_UL24', NULL, NULL, NULL, 6),
(5325, NULL, 'PF15690', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 4', NULL, 'NRIP1_repr_4', NULL, NULL, NULL, 6),
(5326, NULL, 'PF18036', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_4', NULL, NULL, NULL, 6),
(5327, NULL, 'PF10013', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2256)', NULL, 'DUF2256', NULL, NULL, NULL, 6),
(5328, NULL, 'PF01398', NULL, NULL, 'JAB1/Mov34/MPN/PAD-1 ubiquitin protease', NULL, 'JAB', NULL, NULL, NULL, 6),
(5329, NULL, 'PF19183', NULL, NULL, 'Family of unknown function (DUF5865)', NULL, 'DUF5865', NULL, NULL, NULL, 6),
(5330, NULL, 'PF15723', NULL, NULL, 'Motility quorum-sensing regulator, toxin of MqsA', NULL, 'MqsR_toxin', NULL, NULL, NULL, 6),
(5331, NULL, 'PF11488', NULL, NULL, 'Transcriptional regulatory protein LGE1', NULL, 'Lge1', NULL, NULL, NULL, 6),
(5332, NULL, 'PF11941', NULL, NULL, 'Domain of unknown function (DUF3459)', NULL, 'DUF3459', NULL, NULL, NULL, 6),
(5333, NULL, 'PF08235', NULL, NULL, 'LNS2 (Lipin/Ned1/Smp2)', NULL, 'LNS2', NULL, NULL, NULL, 6),
(5334, NULL, 'PF03379', NULL, NULL, 'CcmB protein', NULL, 'CcmB', NULL, NULL, NULL, 6),
(5335, NULL, 'PF12691', NULL, NULL, 'Bacteriophage minor capsid protein', NULL, 'Minor_capsid_3', NULL, NULL, NULL, 6),
(5336, NULL, 'PF15062', NULL, NULL, 'Haemopoietic lineage transmembrane helix', NULL, 'ARL6IP6', NULL, NULL, NULL, 6),
(5337, NULL, 'PF00445', NULL, NULL, 'Ribonuclease T2 family', NULL, 'Ribonuclease_T2', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5338, NULL, 'PF06384', NULL, NULL, 'Beta-catenin-interacting protein ICAT', NULL, 'ICAT', NULL, NULL, NULL, 6),
(5339, NULL, 'PF16097', NULL, NULL, 'Fragile X-related 1 protein C-terminal region 3', NULL, 'FXR_C3', NULL, NULL, NULL, 6),
(5340, NULL, 'PF07927', NULL, NULL, 'HicA toxin of bacterial toxin-antitoxin,', NULL, 'HicA_toxin', NULL, NULL, NULL, 6),
(5341, NULL, 'PF18355', NULL, NULL, 'Domain of unknown function (DUF5607)', NULL, 'DUF5607', NULL, NULL, NULL, 6),
(5342, NULL, 'PF02394', NULL, NULL, 'Interleukin-1 propeptide', NULL, 'IL1_propep', NULL, NULL, NULL, 6),
(5343, NULL, 'PF11052', NULL, NULL, 'Trans-sialidase of Trypanosoma hydrophobic C-terminal', NULL, 'Tr-sialidase_C', NULL, NULL, NULL, 6),
(5344, NULL, 'PF13642', NULL, NULL, 'protein structure with unknown function', NULL, 'DUF4144', NULL, NULL, NULL, 6),
(5345, NULL, 'PF04954', NULL, NULL, 'Siderophore-interacting protein', NULL, 'SIP', NULL, NULL, NULL, 6),
(5346, NULL, 'PF17063', NULL, NULL, 'Phenol-soluble modulin alpha 4 peptide', NULL, 'Psm4', NULL, NULL, NULL, 6),
(5347, NULL, 'PF17374', NULL, NULL, 'Family of unknown function (DUF5396)', NULL, 'DUF5396', NULL, NULL, NULL, 6),
(5348, NULL, 'PF03089', NULL, NULL, 'Recombination activating protein 2', NULL, 'RAG2', NULL, NULL, NULL, 6),
(5349, NULL, 'PF11729', NULL, NULL, 'nodavirus capsid protein', NULL, 'Capsid-VNN', NULL, NULL, NULL, 6),
(5350, NULL, 'PF09117', NULL, NULL, 'MiAMP1', NULL, 'MiAMP1', NULL, NULL, NULL, 6),
(5351, NULL, 'PF07316', NULL, NULL, 'Protein of unknown function (DUF1463)', NULL, 'DUF1463', NULL, NULL, NULL, 6),
(5352, NULL, 'PF01170', NULL, NULL, 'Putative RNA methylase family UPF0020', NULL, 'UPF0020', NULL, NULL, NULL, 6),
(5353, NULL, 'PF01087', NULL, NULL, 'Galactose-1-phosphate uridyl transferase, N-terminal domain', NULL, 'GalP_UDP_transf', NULL, NULL, NULL, 6),
(5354, NULL, 'PF00182', NULL, NULL, 'Chitinase class I', NULL, 'Glyco_hydro_19', NULL, NULL, NULL, 6),
(5355, NULL, 'PF08283', NULL, NULL, 'Geminivirus rep protein central domain', NULL, 'Gemini_AL1_M', NULL, NULL, NULL, 6),
(5356, NULL, 'PF16926', NULL, NULL, 'Archaeal 4TM region of histidine kinase', NULL, 'HisKA_4TM', NULL, NULL, NULL, 6),
(5357, NULL, 'PF12254', NULL, NULL, 'DNA polymerase alpha subunit p180 N terminal', NULL, 'DNA_pol_alpha_N', NULL, NULL, NULL, 6),
(5358, NULL, 'PF06110', NULL, NULL, 'Eukaryotic protein of unknown function (DUF953)', NULL, 'DUF953', NULL, NULL, NULL, 6),
(5359, NULL, 'PF13915', NULL, NULL, 'Domain of unknown function (DUF4210)', NULL, 'DUF4210', NULL, NULL, NULL, 6),
(5360, NULL, 'PF06440', NULL, NULL, 'DNA polymerase III, theta subunit', NULL, 'DNA_pol3_theta', NULL, NULL, NULL, 6),
(5361, NULL, 'PF12739', NULL, NULL, 'ER-Golgi trafficking TRAPP I complex 85 kDa subunit', NULL, 'TRAPPC-Trs85', NULL, NULL, NULL, 6),
(5362, NULL, 'PF05635', NULL, NULL, '23S rRNA-intervening sequence protein', NULL, '23S_rRNA_IVP', NULL, NULL, NULL, 6),
(5363, NULL, 'PF06139', NULL, NULL, 'BphX-like', NULL, 'BphX', NULL, NULL, NULL, 6),
(5364, NULL, 'PF18921', NULL, NULL, 'Cyanophycin synthase-like N-terminal domain', NULL, 'Cyanophycin_syn', NULL, NULL, NULL, 6),
(5365, NULL, 'PF00986', NULL, NULL, 'DNA gyrase B subunit, carboxyl terminus', NULL, 'DNA_gyraseB_C', NULL, NULL, NULL, 6),
(5366, NULL, 'PF07607', NULL, NULL, 'Protein of unknown function (DUF1570)', NULL, 'DUF1570', NULL, NULL, NULL, 6),
(5367, NULL, 'PF14962', NULL, NULL, 'Mitochondria Localisation Sequence', NULL, 'AIF-MLS', NULL, NULL, NULL, 6),
(5368, NULL, 'PF00741', NULL, NULL, 'Gas vesicle protein', NULL, 'Gas_vesicle', NULL, NULL, NULL, 6),
(5369, NULL, 'PF00737', NULL, NULL, 'Photosystem II 10 kDa phosphoprotein', NULL, 'PsbH', NULL, NULL, NULL, 6),
(5370, NULL, 'PF05535', NULL, NULL, 'Chromadorea ALT protein', NULL, 'Chromadorea_ALT', NULL, NULL, NULL, 6),
(5371, NULL, 'PF15282', NULL, NULL, 'BMP-2-inducible protein kinase C-terminus', NULL, 'BMP2K_C', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5372, NULL, 'PF18948', NULL, NULL, 'Family of unknown function (DUF5692)', NULL, 'DUF5692', NULL, NULL, NULL, 6),
(5373, NULL, 'PF09988', NULL, NULL, 'Uncharacterized metal-binding protein (DUF2227)', NULL, 'DUF2227', NULL, NULL, NULL, 6),
(5374, NULL, 'PF05590', NULL, NULL, 'Xylella fastidiosa protein of unknown function (DUF769)', NULL, 'DUF769', NULL, NULL, NULL, 6),
(5375, NULL, 'PF01607', NULL, NULL, 'Chitin binding Peritrophin-A domain', NULL, 'CBM_14', NULL, NULL, NULL, 6),
(5376, NULL, 'PF12745', NULL, NULL, 'Anticodon binding domain of tRNAs', NULL, 'HGTP_anticodon2', NULL, NULL, NULL, 6),
(5377, NULL, 'PF14905', NULL, NULL, 'Outer membrane protein beta-barrel family', NULL, 'OMP_b-brl_3', NULL, NULL, NULL, 6),
(5378, NULL, 'PF02098', NULL, NULL, 'Tick histamine binding protein', NULL, 'His_binding', NULL, NULL, NULL, 6),
(5379, NULL, 'PF02453', NULL, NULL, 'Reticulon', NULL, 'Reticulon', NULL, NULL, NULL, 6),
(5380, NULL, 'PF17793', NULL, NULL, 'ANC1 homology domain (AHD)', NULL, 'AHD', NULL, NULL, NULL, 6),
(5381, NULL, 'PF03606', NULL, NULL, 'C4-dicarboxylate anaerobic carrier', NULL, 'DcuC', NULL, NULL, NULL, 6),
(5382, NULL, 'PF00096', NULL, NULL, 'Zinc finger, C2H2 type', NULL, 'zf-C2H2', NULL, NULL, NULL, 6),
(5383, NULL, 'PF13314', NULL, NULL, 'Domain of unknown function (DUF4083)', NULL, 'DUF4083', NULL, NULL, NULL, 6),
(5384, NULL, 'PF06001', NULL, NULL, 'Domain of Unknown Function (DUF902)', NULL, 'DUF902', NULL, NULL, NULL, 6),
(5385, NULL, 'PF12269', NULL, NULL, 'CpG binding protein zinc finger C terminal domain', NULL, 'zf-CpG_bind_C', NULL, NULL, NULL, 6),
(5386, NULL, 'PF07228', NULL, NULL, 'Stage II sporulation protein E (SpoIIE)', NULL, 'SpoIIE', NULL, NULL, NULL, 6),
(5387, NULL, 'PF03707', NULL, NULL, 'Bacterial signalling protein N terminal repeat', NULL, 'MHYT', NULL, NULL, NULL, 6),
(5388, NULL, 'PF00752', NULL, NULL, 'XPG N-terminal domain', NULL, 'XPG_N', NULL, NULL, NULL, 6),
(5389, NULL, 'PF09458', NULL, NULL, 'H-type lectin domain', NULL, 'H_lectin', NULL, NULL, NULL, 6),
(5390, NULL, 'PF14781', NULL, NULL, 'Ciliary BBSome complex subunit 2, N-terminal', NULL, 'BBS2_N', NULL, NULL, NULL, 6),
(5391, NULL, 'PF14062', NULL, NULL, 'Domain of unknown function (DUF4253)', NULL, 'DUF4253', NULL, NULL, NULL, 6),
(5392, NULL, 'PF15265', NULL, NULL, 'FAM196 family', NULL, 'FAM196', NULL, NULL, NULL, 6),
(5393, NULL, 'PF01790', NULL, NULL, 'Prolipoprotein diacylglyceryl transferase', NULL, 'LGT', NULL, NULL, NULL, 6),
(5394, NULL, 'PF09695', NULL, NULL, 'Bacterial protein of unknown function (YtfJ_HI0045)', NULL, 'YtfJ_HI0045', NULL, NULL, NULL, 6),
(5395, NULL, 'PF05016', NULL, NULL, 'ParE toxin of type II toxin-antitoxin system, parDE', NULL, 'ParE_toxin', NULL, NULL, NULL, 6),
(5396, NULL, 'PF14727', NULL, NULL, 'PTHB1 N-terminus', NULL, 'PHTB1_N', NULL, NULL, NULL, 6),
(5397, NULL, 'PF10810', NULL, NULL, 'Protein of unknown function (DUF2545)', NULL, 'DUF2545', NULL, NULL, NULL, 6),
(5398, NULL, 'PF11807', NULL, NULL, 'Mycotoxin biosynthesis protein UstYa', NULL, 'UstYa', NULL, NULL, NULL, 6),
(5399, NULL, 'PF09895', NULL, NULL, 'RecB-family nuclease (DUF2122)', NULL, 'DUF2122', NULL, NULL, NULL, 6),
(5400, NULL, 'PF05388', NULL, NULL, 'Carboxypeptidase Y pro-peptide', NULL, 'Carbpep_Y_N', NULL, NULL, NULL, 6),
(5401, NULL, 'PF15046', NULL, NULL, 'Protein of unknown function (DUF4532)', NULL, 'DUF4532', NULL, NULL, NULL, 6),
(5402, NULL, 'PF08637', NULL, NULL, 'ATP synthase regulation protein NCA2', NULL, 'NCA2', NULL, NULL, NULL, 6),
(5403, NULL, 'PF12430', NULL, NULL, 'Abscisic acid G-protein coupled receptor', NULL, 'ABA_GPCR', NULL, NULL, NULL, 6),
(5404, NULL, 'PF13024', NULL, NULL, 'Protein of unknown function (DUF3884)', NULL, 'DUF3884', NULL, NULL, NULL, 6),
(5405, NULL, 'PF00393', NULL, NULL, '6-phosphogluconate dehydrogenase, C-terminal domain', NULL, '6PGD', NULL, NULL, NULL, 6),
(5406, NULL, 'PF12590', NULL, NULL, 'Acyl-ATP thioesterase', NULL, 'Acyl-thio_N', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5407, NULL, 'PF01426', NULL, NULL, 'BAH domain', NULL, 'BAH', NULL, NULL, NULL, 6),
(5408, NULL, 'PF04732', NULL, NULL, 'Intermediate filament head (DNA binding) region', NULL, 'Filament_head', NULL, NULL, NULL, 6),
(5409, NULL, 'PF18194', NULL, NULL, 'Exoribonuclease 1 Domain-3', NULL, 'Xrn1_D3', NULL, NULL, NULL, 6),
(5410, NULL, 'PF07321', NULL, NULL, 'Type III secretion protein YscO', NULL, 'YscO', NULL, NULL, NULL, 6),
(5411, NULL, 'PF10350', NULL, NULL, 'Putative death-receptor fusion protein (DUF2428)', NULL, 'DUF2428', NULL, NULL, NULL, 6),
(5412, NULL, 'PF14057', NULL, NULL, 'GGGtGRT protein', NULL, 'GGGtGRT', NULL, NULL, NULL, 6),
(5413, NULL, 'PF16958', NULL, NULL, 'Pre-mRNA-splicing factor PRP9 N-terminus', NULL, 'PRP9_N', NULL, NULL, NULL, 6),
(5414, NULL, 'PF01278', NULL, NULL, 'Omptin family', NULL, 'Omptin', NULL, NULL, NULL, 6),
(5415, NULL, 'PF15469', NULL, NULL, 'Exocyst complex component Sec5', NULL, 'Sec5', NULL, NULL, NULL, 6),
(5416, NULL, 'PF12533', NULL, NULL, 'Neuronal helix-loop-helix transcription factor', NULL, 'Neuro_bHLH', NULL, NULL, NULL, 6),
(5417, NULL, 'PF13362', NULL, NULL, 'Toprim domain', NULL, 'Toprim_3', NULL, NULL, NULL, 6),
(5418, NULL, 'PF04488', NULL, NULL, 'Glycosyltransferase sugar-binding region containing DXD motif', NULL, 'Gly_transf_sug', NULL, NULL, NULL, 6),
(5419, NULL, 'PF18730', NULL, NULL, 'Cthe_2314-like HEPN', NULL, 'HEPN_Cthe2314', NULL, NULL, NULL, 6),
(5420, NULL, 'PF15727', NULL, NULL, 'Domain of unknown function (DUF4678)', NULL, 'DUF4678', NULL, NULL, NULL, 6),
(5421, NULL, 'PF09711', NULL, NULL, 'CRISPR-associated protein (Cas_Csn2)', NULL, 'Cas_Csn2', NULL, NULL, NULL, 6),
(5422, NULL, 'PF09162', NULL, NULL, 'Tap, RNA-binding', NULL, 'Tap-RNA_bind', NULL, NULL, NULL, 6),
(5423, NULL, 'PF12774', NULL, NULL, 'Hydrolytic ATP binding site of dynein motor region', NULL, 'AAA_6', NULL, NULL, NULL, 6),
(5424, NULL, 'PF03475', NULL, NULL, '3-alpha domain', NULL, '3-alpha', NULL, NULL, NULL, 6),
(5425, NULL, 'PF13596', NULL, NULL, 'PAS domain', NULL, 'PAS_10', NULL, NULL, NULL, 6),
(5426, NULL, 'PF14137', NULL, NULL, 'Domain of unknown function (DUF4304)', NULL, 'DUF4304', NULL, NULL, NULL, 6),
(5427, NULL, 'PF10824', NULL, NULL, 'Excreted virulence factor EspC, type VII ESX diderm', NULL, 'T7SS_ESX_EspC', NULL, NULL, NULL, 6),
(5428, NULL, 'PF11341', NULL, NULL, 'Protein of unknown function (DUF3143)', NULL, 'DUF3143', NULL, NULL, NULL, 6),
(5429, NULL, 'PF03403', NULL, NULL, 'Platelet-activating factor acetylhydrolase, isoform II', NULL, 'PAF-AH_p_II', NULL, NULL, NULL, 6),
(5430, NULL, 'PF05777', NULL, NULL, 'Drosophila accessory gland-specific peptide 26Ab (Acp26Ab)', NULL, 'Acp26Ab', NULL, NULL, NULL, 6),
(5431, NULL, 'PF10667', NULL, NULL, 'Protein of unknown function (DUF2486)', NULL, 'DUF2486', NULL, NULL, NULL, 6),
(5432, NULL, 'PF03226', NULL, NULL, 'Yippee zinc-binding/DNA-binding /Mis18, centromere assembly', NULL, 'Yippee-Mis18', NULL, NULL, NULL, 6),
(5433, NULL, 'PF14613', NULL, NULL, 'Protein of unknown function (DUF4449)', NULL, 'DUF4449', NULL, NULL, NULL, 6),
(5434, NULL, 'PF16714', NULL, NULL, 'Tyrosyl-tRNA synthetase C-terminal domain', NULL, 'TyrRSs_C', NULL, NULL, NULL, 6),
(5435, NULL, 'PF12095', NULL, NULL, 'Protein CHLORORESPIRATORY REDUCTION 7', NULL, 'CRR7', NULL, NULL, NULL, 6),
(5436, NULL, 'PF03116', NULL, NULL, 'NQR2, RnfD, RnfE family', NULL, 'NQR2_RnfD_RnfE', NULL, NULL, NULL, 6),
(5437, NULL, 'PF15770', NULL, NULL, 'Domain of unknown function (DUF4699)', NULL, 'DUF4699', NULL, NULL, NULL, 6),
(5438, NULL, 'PF12722', NULL, NULL, 'High-temperature-induced dauer-formation protein', NULL, 'Hid1', NULL, NULL, NULL, 6),
(5439, NULL, 'PF09238', NULL, NULL, 'Interleukin-4 receptor alpha chain, N-terminal', NULL, 'IL4Ra_N', NULL, NULL, NULL, 6),
(5440, NULL, 'PF04078', NULL, NULL, 'Cell differentiation family, Rcd1-like', NULL, 'Rcd1', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5441, NULL, 'PF03109', NULL, NULL, 'ABC1 family', NULL, 'ABC1', NULL, NULL, NULL, 6),
(5442, NULL, 'PF11988', NULL, NULL, 'Retrograde transport protein Dsl1 N terminal', NULL, 'Dsl1_N', NULL, NULL, NULL, 6),
(5443, NULL, 'PF11793', NULL, NULL, 'FANCL C-terminal domain', NULL, 'FANCL_C', NULL, NULL, NULL, 6),
(5444, NULL, 'PF10612', NULL, NULL, 'Spore coat protein Z', NULL, 'Spore-coat_CotZ', NULL, NULL, NULL, 6),
(5445, NULL, 'PF14583', NULL, NULL, 'Oligogalacturonate lyase', NULL, 'Pectate_lyase22', NULL, NULL, NULL, 6),
(5446, NULL, 'PF13605', NULL, NULL, 'Domain of unknown function (DUF4141)', NULL, 'DUF4141', NULL, NULL, NULL, 6),
(5447, NULL, 'PF15413', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_11', NULL, NULL, NULL, 6),
(5448, NULL, 'PF05281', NULL, NULL, 'Neuroendocrine protein 7B2 precursor (Secretogranin V)', NULL, 'Secretogranin_V', NULL, NULL, NULL, 6),
(5449, NULL, 'PF02085', NULL, NULL, 'Class III cytochrome C family', NULL, 'Cytochrom_CIII', NULL, NULL, NULL, 6),
(5450, NULL, 'PF06304', NULL, NULL, 'Protein of unknown function (DUF1048)', NULL, 'DUF1048', NULL, NULL, NULL, 6),
(5451, NULL, 'PF00705', NULL, NULL, 'Proliferating cell nuclear antigen, N-terminal domain', NULL, 'PCNA_N', NULL, NULL, NULL, 6),
(5452, NULL, 'PF04362', NULL, NULL, 'Bacterial Fe(2+) trafficking', NULL, 'Iron_traffic', NULL, NULL, NULL, 6),
(5453, NULL, 'PF07863', NULL, NULL, 'Homologues of TraJ from Bacteroides conjugative transposon', NULL, 'CtnDOT_TraJ', NULL, NULL, NULL, 6),
(5454, NULL, 'PF19195', NULL, NULL, 'Family of unknown function (DUF5870)', NULL, 'DUF5870', NULL, NULL, NULL, 6),
(5455, NULL, 'PF14230', NULL, NULL, 'Domain of unknown function (DUF4333)', NULL, 'DUF4333', NULL, NULL, NULL, 6),
(5456, NULL, 'PF18968', NULL, NULL, 'Family of unknown function (DUF5707)', NULL, 'DUF5707', NULL, NULL, NULL, 6),
(5457, NULL, 'PF12024', NULL, NULL, 'Domain of unknown function (DUF3512)', NULL, 'DUF3512', NULL, NULL, NULL, 6),
(5458, NULL, 'PF12291', NULL, NULL, 'Protein of unknown function (DUF3623)', NULL, 'DUF3623', NULL, NULL, NULL, 6),
(5459, NULL, 'PF16724', NULL, NULL, 'T4-like virus Myoviridae tail sheath stabiliser', NULL, 'T4-gp15_tss', NULL, NULL, NULL, 6),
(5460, NULL, 'PF13291', NULL, NULL, 'ACT domain', NULL, 'ACT_4', NULL, NULL, NULL, 6),
(5461, NULL, 'PF14721', NULL, NULL, 'Apoptosis-inducing factor, mitochondrion-associated, C-term', NULL, 'AIF_C', NULL, NULL, NULL, 6),
(5462, NULL, 'PF09180', NULL, NULL, 'Prolyl-tRNA synthetase, C-terminal', NULL, 'ProRS-C_1', NULL, NULL, NULL, 6),
(5463, NULL, 'PF15963', NULL, NULL, 'Myb DNA-binding like', NULL, 'Myb_DNA-bind_7', NULL, NULL, NULL, 6),
(5464, NULL, 'PF14104', NULL, NULL, 'Domain of unknown function (DUF4277)', NULL, 'DUF4277', NULL, NULL, NULL, 6),
(5465, NULL, 'PF10079', NULL, NULL, 'Bacillithiol biosynthesis BshC', NULL, 'BshC', NULL, NULL, NULL, 6),
(5466, NULL, 'PF16157', NULL, NULL, 'Domain of unknown function (DUF4865)', NULL, 'DUF4865', NULL, NULL, NULL, 6),
(5467, NULL, 'PF15009', NULL, NULL, 'Transmembrane protein 173', NULL, 'TMEM173', NULL, NULL, NULL, 6),
(5468, NULL, 'PF12980', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3864)', NULL, 'DUF3864', NULL, NULL, NULL, 6),
(5469, NULL, 'PF17713', NULL, NULL, 'Family of unknown function (DUF5558)', NULL, 'DUF5558', NULL, NULL, NULL, 6),
(5470, NULL, 'PF01578', NULL, NULL, 'Cytochrome C assembly protein', NULL, 'Cytochrom_C_asm', NULL, NULL, NULL, 6),
(5471, NULL, 'PF18196', NULL, NULL, 'Chromodomain helicase DNA-binding domain 1', NULL, 'Cdh1_DBD_1', NULL, NULL, NULL, 6),
(5472, NULL, 'PF13549', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_5', NULL, NULL, NULL, 6),
(5473, NULL, 'PF11937', NULL, NULL, 'Protein of unknown function (DUF3455)', NULL, 'DUF3455', NULL, NULL, NULL, 6),
(5474, NULL, 'PF06014', NULL, NULL, 'Bacterial protein of unknown function (DUF910)', NULL, 'DUF910', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5475, NULL, 'PF10609', NULL, NULL, 'NUBPL iron-transfer P-loop NTPase', NULL, 'ParA', NULL, NULL, NULL, 6),
(5476, NULL, 'PF18623', NULL, NULL, 'TnsE C-terminal domain', NULL, 'TnsE_C', NULL, NULL, NULL, 6),
(5477, NULL, 'PF06820', NULL, NULL, 'Putative prophage tail fibre C-terminus', NULL, 'Phage_fiber_C', NULL, NULL, NULL, 6),
(5478, NULL, 'PF17267', NULL, NULL, 'Family of unknown function (DUF5333)', NULL, 'DUF5333', NULL, NULL, NULL, 6),
(5479, NULL, 'PF00167', NULL, NULL, 'Fibroblast growth factor', NULL, 'FGF', NULL, NULL, NULL, 6),
(5480, NULL, 'PF15182', NULL, NULL, 'Otospiralin', NULL, 'OTOS', NULL, NULL, NULL, 6),
(5481, NULL, 'PF10291', NULL, NULL, 'Muniscin C-terminal mu homology domain', NULL, 'muHD', NULL, NULL, NULL, 6),
(5482, NULL, 'PF08227', NULL, NULL, 'DASH complex subunit Hsk3 like', NULL, 'DASH_Hsk3', NULL, NULL, NULL, 6),
(5483, NULL, 'PF17777', NULL, NULL, 'Insertion domain in 60S ribosomal protein L10P', NULL, 'RL10P_insert', NULL, NULL, NULL, 6),
(5484, NULL, 'PF04500', NULL, NULL, 'FLYWCH zinc finger domain', NULL, 'FLYWCH', NULL, NULL, NULL, 6),
(5485, NULL, 'PF10457', NULL, NULL, 'Cholesterol-capturing domain', NULL, 'MENTAL', NULL, NULL, NULL, 6),
(5486, NULL, 'PF12656', NULL, NULL, 'G-patch domain', NULL, 'G-patch_2', NULL, NULL, NULL, 6),
(5487, NULL, 'PF07565', NULL, NULL, 'Band 3 cytoplasmic domain', NULL, 'Band_3_cyto', NULL, NULL, NULL, 6),
(5488, NULL, 'PF15627', NULL, NULL, 'CEP76 C2 domain', NULL, 'CEP76-C2', NULL, NULL, NULL, 6),
(5489, NULL, 'PF15499', NULL, NULL, 'Ubiquitin-specific peptidase-like, SUMO isopeptidase', NULL, 'Peptidase_C98', NULL, NULL, NULL, 6),
(5490, NULL, 'PF02813', NULL, NULL, 'Retroviral M domain', NULL, 'Retro_M', NULL, NULL, NULL, 6),
(5491, NULL, 'PF04822', NULL, NULL, 'Takusan', NULL, 'Takusan', NULL, NULL, NULL, 6),
(5492, NULL, 'PF15816', NULL, NULL, 'Transmembrane protein 82', NULL, 'TMEM82', NULL, NULL, NULL, 6),
(5493, NULL, 'PF13183', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_8', NULL, NULL, NULL, 6),
(5494, NULL, 'PF11799', NULL, NULL, 'impB/mucB/samB family C-terminal domain', NULL, 'IMS_C', NULL, NULL, NULL, 6),
(5495, NULL, 'PF13983', NULL, NULL, 'YsaB-like lipoprotein', NULL, 'YsaB', NULL, NULL, NULL, 6),
(5496, NULL, 'PF16320', NULL, NULL, 'Ribosomal protein L7/L12 dimerisation domain', NULL, 'Ribosomal_L12_N', NULL, NULL, NULL, 6),
(5497, NULL, 'PF06769', NULL, NULL, 'YoeB-like toxin of bacterial type II toxin-antitoxin system', NULL, 'YoeB_toxin', NULL, NULL, NULL, 6),
(5498, NULL, 'PF05944', NULL, NULL, 'Phage small terminase subunit', NULL, 'Phage_term_smal', NULL, NULL, NULL, 6),
(5499, NULL, 'PF16590', NULL, NULL, 'Exocrine gland-secreting peptide', NULL, 'ESP', NULL, NULL, NULL, 6),
(5500, NULL, 'PF16342', NULL, NULL, 'Domain of unknown function (DUF4972)', NULL, 'DUF4972', NULL, NULL, NULL, 6),
(5501, NULL, 'PF17838', NULL, NULL, 'PH domain', NULL, 'PH_16', NULL, NULL, NULL, 6),
(5502, NULL, 'PF04071', NULL, NULL, 'Cysteine-rich small domain', NULL, 'zf-like', NULL, NULL, NULL, 6),
(5503, NULL, 'PF07401', NULL, NULL, 'Bovine Lentivirus VIF protein', NULL, 'Lenti_VIF_2', NULL, NULL, NULL, 6),
(5504, NULL, 'PF12125', NULL, NULL, 'D domain of beta-TrCP', NULL, 'Beta-TrCP_D', NULL, NULL, NULL, 6),
(5505, NULL, 'PF17600', NULL, NULL, 'Family of unknown function (DUF5496)', NULL, 'DUF5496', NULL, NULL, NULL, 6),
(5506, NULL, 'PF14426', NULL, NULL, 'Immunity protein Imm2', NULL, 'Imm2', NULL, NULL, NULL, 6),
(5507, NULL, 'PF06315', NULL, NULL, 'Isocitrate dehydrogenase kinase/phosphatase (AceK)', NULL, 'AceK', NULL, NULL, NULL, 6),
(5508, NULL, 'PF01632', NULL, NULL, 'Ribosomal protein L35', NULL, 'Ribosomal_L35p', NULL, NULL, NULL, 6),
(5509, NULL, 'PF06786', NULL, NULL, 'Uncharacterised protein family (UPF0253)', NULL, 'UPF0253', NULL, NULL, NULL, 6),
(5510, NULL, 'PF14984', NULL, NULL, 'CD24 protein', NULL, 'CD24', NULL, NULL, NULL, 6),
(5511, NULL, 'PF09729', NULL, NULL, 'Gti1/Pac2 family', NULL, 'Gti1_Pac2', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5512, NULL, 'PF07042', NULL, NULL, 'TrfA protein', NULL, 'TrfA', NULL, NULL, NULL, 6),
(5513, NULL, 'PF05559', NULL, NULL, 'Protein of unknown function (DUF763)', NULL, 'DUF763', NULL, NULL, NULL, 6),
(5514, NULL, 'PF06779', NULL, NULL, 'Uncharacterised MFS-type transporter YbfB', NULL, 'MFS_4', NULL, NULL, NULL, 6),
(5515, NULL, 'PF13921', NULL, NULL, 'Myb-like DNA-binding domain', NULL, 'Myb_DNA-bind_6', NULL, NULL, NULL, 6),
(5516, NULL, 'PF17770', NULL, NULL, 'Ribonuclease J C-terminal domain', NULL, 'RNase_J_C', NULL, NULL, NULL, 6),
(5517, NULL, 'PF18739', NULL, NULL, 'Apea-like HEPN', NULL, 'HEPN_Apea', NULL, NULL, NULL, 6),
(5518, NULL, 'PF11306', NULL, NULL, 'Protein of unknown function (DUF3108)', NULL, 'DUF3108', NULL, NULL, NULL, 6),
(5519, NULL, 'PF00729', NULL, NULL, 'Viral coat protein (S domain)', NULL, 'Viral_coat', NULL, NULL, NULL, 6),
(5520, NULL, 'PF09128', NULL, NULL, 'Regulator of G protein signalling-like domain', NULL, 'RGS-like', NULL, NULL, NULL, 6),
(5521, NULL, 'PF11671', NULL, NULL, 'Complementary sex determiner protein', NULL, 'Apis_Csd', NULL, NULL, NULL, 6),
(5522, NULL, 'PF00992', NULL, NULL, 'Troponin', NULL, 'Troponin', NULL, NULL, NULL, 6),
(5523, NULL, 'PF02637', NULL, NULL, 'GatB domain', NULL, 'GatB_Yqey', NULL, NULL, NULL, 6),
(5524, NULL, 'PF01877', NULL, NULL, 'RNA binding', NULL, 'RNA_binding', NULL, NULL, NULL, 6),
(5525, NULL, 'PF00938', NULL, NULL, 'Lipoprotein', NULL, 'Lipoprotein_3', NULL, NULL, NULL, 6),
(5526, NULL, 'PF01359', NULL, NULL, 'Transposase (partial DDE domain)', NULL, 'Transposase_1', NULL, NULL, NULL, 6),
(5527, NULL, 'PF16253', NULL, NULL, 'Domain of unknown function (DUF4909)', NULL, 'DUF4909', NULL, NULL, NULL, 6),
(5528, NULL, 'PF02108', NULL, NULL, 'Flagellar assembly protein FliH', NULL, 'FliH', NULL, NULL, NULL, 6),
(5529, NULL, 'PF00799', NULL, NULL, 'Geminivirus Rep catalytic domain', NULL, 'Gemini_AL1', NULL, NULL, NULL, 6),
(5530, NULL, 'PF16542', NULL, NULL, 'PNKP adenylyltransferase domain, ligase domain', NULL, 'PNKP_ligase', NULL, NULL, NULL, 6),
(5531, NULL, 'PF18107', NULL, NULL, 'Fission yeast centromere protein N-terminal domain', NULL, 'HTH_ABP1_N', NULL, NULL, NULL, 6),
(5532, NULL, 'PF16823', NULL, NULL, 'Atypical PilZ domain, cyclic di-GMP receptor', NULL, 'PilZ_2', NULL, NULL, NULL, 6),
(5533, NULL, 'PF00268', NULL, NULL, 'Ribonucleotide reductase, small chain', NULL, 'Ribonuc_red_sm', NULL, NULL, NULL, 6),
(5534, NULL, 'PF00104', NULL, NULL, 'Ligand-binding domain of nuclear hormone receptor', NULL, 'Hormone_recep', NULL, NULL, NULL, 6),
(5535, NULL, 'PF14257', NULL, NULL, 'Domain of unknown function (DUF4349)', NULL, 'DUF4349', NULL, NULL, NULL, 6),
(5536, NULL, 'PF05066', NULL, NULL, 'HB1, ASXL, restriction endonuclease HTH domain', NULL, 'HARE-HTH', NULL, NULL, NULL, 6),
(5537, NULL, 'PF12976', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3860)', NULL, 'DUF3860', NULL, NULL, NULL, 6),
(5538, NULL, 'PF00808', NULL, NULL, 'Histone-like transcription factor (CBF/NF-Y) and archaeal histone', NULL, 'CBFD_NFYB_HMF', NULL, NULL, NULL, 6),
(5539, NULL, 'PF05453', NULL, NULL, 'BmTXKS1/BmP02 toxin family', NULL, 'Toxin_6', NULL, NULL, NULL, 6),
(5540, NULL, 'PF09208', NULL, NULL, 'Restriction endonuclease MspI', NULL, 'Endonuc-MspI', NULL, NULL, NULL, 6),
(5541, NULL, 'PF05215', NULL, NULL, 'Spiralin', NULL, 'Spiralin', NULL, NULL, NULL, 6),
(5542, NULL, 'PF09863', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2090)', NULL, 'DUF2090', NULL, NULL, NULL, 6),
(5543, NULL, 'PF11845', NULL, NULL, 'Protein of unknown function (DUF3365)', NULL, 'DUF3365', NULL, NULL, NULL, 6),
(5544, NULL, 'PF19075', NULL, NULL, 'Family of unknown function (DUF5771)', NULL, 'DUF5771', NULL, NULL, NULL, 6),
(5545, NULL, 'PF01660', NULL, NULL, 'Viral methyltransferase', NULL, 'Vmethyltransf', NULL, NULL, NULL, 6),
(5546, NULL, 'PF15569', NULL, NULL, 'Immunity protein 40', NULL, 'Imm40', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5547, NULL, 'PF12243', NULL, NULL, 'CTD kinase subunit gamma CTK3', NULL, 'CTK3', NULL, NULL, NULL, 6),
(5548, NULL, 'PF04001', NULL, NULL, 'Transcription factor Vhr1', NULL, 'Vhr1', NULL, NULL, NULL, 6),
(5549, NULL, 'PF13769', NULL, NULL, 'Virulence factor', NULL, 'Virulence_fact', NULL, NULL, NULL, 6),
(5550, NULL, 'PF13621', NULL, NULL, 'Cupin-like domain', NULL, 'Cupin_8', NULL, NULL, NULL, 6),
(5551, NULL, 'PF03677', NULL, NULL, 'Uncharacterised protein family (UPF0137)', NULL, 'UPF0137', NULL, NULL, NULL, 6),
(5552, NULL, 'PF02206', NULL, NULL, 'Domain of unknown function', NULL, 'WSN', NULL, NULL, NULL, 6),
(5553, NULL, 'PF12744', NULL, NULL, 'Autophagy protein Atg19, Atg8-binding', NULL, 'ATG19_autophagy', NULL, NULL, NULL, 6),
(5554, NULL, 'PF12558', NULL, NULL, 'ATP-binding cassette cobalt transporter', NULL, 'DUF3744', NULL, NULL, NULL, 6),
(5555, NULL, 'PF02439', NULL, NULL, 'Adenovirus E3 region protein CR2', NULL, 'Adeno_E3_CR2', NULL, NULL, NULL, 6),
(5556, NULL, 'PF01594', NULL, NULL, 'AI-2E family transporter', NULL, 'AI-2E_transport', NULL, NULL, NULL, 6),
(5557, NULL, 'PF11030', NULL, NULL, 'Nucleocapsid protein N', NULL, 'Nucleocapsid-N', NULL, NULL, NULL, 6),
(5558, NULL, 'PF14202', NULL, NULL, 'Transposon-encoded protein TnpW', NULL, 'TnpW', NULL, NULL, NULL, 6),
(5559, NULL, 'PF01883', NULL, NULL, 'Iron-sulfur cluster assembly protein', NULL, 'FeS_assembly_P', NULL, NULL, NULL, 6),
(5560, NULL, 'PF12659', NULL, NULL, 'Telomere capping C-terminal wHTH', NULL, 'Stn1_C', NULL, NULL, NULL, 6),
(5561, NULL, 'PF00593', NULL, NULL, 'TonB dependent receptor', NULL, 'TonB_dep_Rec', NULL, NULL, NULL, 6),
(5562, NULL, 'PF16850', NULL, NULL, 'Peptidase inhibitor I66', NULL, 'Inhibitor_I66', NULL, NULL, NULL, 6),
(5563, NULL, 'PF06572', NULL, NULL, 'Protein of unknown function (DUF1131)', NULL, 'DUF1131', NULL, NULL, NULL, 6),
(5564, NULL, 'PF11996', NULL, NULL, 'Protein of unknown function (DUF3491)', NULL, 'DUF3491', NULL, NULL, NULL, 6),
(5565, NULL, 'PF08046', NULL, NULL, 'IlvGEDA operon leader peptide', NULL, 'IlvGEDA_leader', NULL, NULL, NULL, 6),
(5566, NULL, 'PF02226', NULL, NULL, 'Picornavirus coat protein (VP4)', NULL, 'Pico_P1A', NULL, NULL, NULL, 6),
(5567, NULL, 'PF18927', NULL, NULL, 'Glycosyl-4,4''-diaponeurosporenoate acyltransferase', NULL, 'CrtO', NULL, NULL, NULL, 6),
(5568, NULL, 'PF05829', NULL, NULL, 'Adenovirus late L2 mu core protein (Protein X)', NULL, 'Adeno_PX', NULL, NULL, NULL, 6),
(5569, NULL, 'PF13284', NULL, NULL, 'Domain of unknown function (DUF4072)', NULL, 'DUF4072', NULL, NULL, NULL, 6),
(5570, NULL, 'PF06800', NULL, NULL, 'Sugar transport protein', NULL, 'Sugar_transport', NULL, NULL, NULL, 6),
(5571, NULL, 'PF07936', NULL, NULL, 'Potassium-channel blocking toxin', NULL, 'Defensin_4', NULL, NULL, NULL, 6),
(5572, NULL, 'PF18151', NULL, NULL, 'Domain of unknown function (DUF5601)', NULL, 'DUF5601', NULL, NULL, NULL, 6),
(5573, NULL, 'PF09756', NULL, NULL, 'DDRGK domain', NULL, 'DDRGK', NULL, NULL, NULL, 6),
(5574, NULL, 'PF06651', NULL, NULL, 'Protein of unknown function (DUF1163)', NULL, 'DUF1163', NULL, NULL, NULL, 6),
(5575, NULL, 'PF11397', NULL, NULL, 'Glycosyltransferase (GlcNAc)', NULL, 'GlcNAc', NULL, NULL, NULL, 6),
(5576, NULL, 'PF12033', NULL, NULL, 'Protein of unknown function (DUF3519)', NULL, 'DUF3519', NULL, NULL, NULL, 6),
(5577, NULL, 'PF16742', NULL, NULL, 'N-terminus of interleukin 17 receptor D', NULL, 'IL17R_D_N', NULL, NULL, NULL, 6),
(5578, NULL, 'PF11279', NULL, NULL, 'Protein of unknown function (DUF3080)', NULL, 'DUF3080', NULL, NULL, NULL, 6),
(5579, NULL, 'PF01597', NULL, NULL, 'Glycine cleavage H-protein', NULL, 'GCV_H', NULL, NULL, NULL, 6),
(5580, NULL, 'PF08684', NULL, NULL, 'DNA mimic ocr', NULL, 'ocr', NULL, NULL, NULL, 6),
(5581, NULL, 'PF00526', NULL, NULL, 'Dictyostelium (slime mold) repeat', NULL, 'Dicty_CTDC', NULL, NULL, NULL, 6),
(5582, NULL, 'PF04803', NULL, NULL, 'Cor1/Xlr/Xmr conserved region', NULL, 'Cor1', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5583, NULL, 'PF13036', NULL, NULL, 'Peptidoglycan-synthase activator LpoB', NULL, 'LpoB', NULL, NULL, NULL, 6),
(5584, NULL, 'PF07699', NULL, NULL, 'Putative ephrin-receptor like', NULL, 'Ephrin_rec_like', NULL, NULL, NULL, 6),
(5585, NULL, 'PF18334', NULL, NULL, 'Exoribonuclease Xrn1 D2/D3 domain', NULL, 'XRN1_D2_D3', NULL, NULL, NULL, 6),
(5586, NULL, 'PF10675', NULL, NULL, 'Protein of unknown function (DUF2489)', NULL, 'DUF2489', NULL, NULL, NULL, 6),
(5587, NULL, 'PF03313', NULL, NULL, 'Serine dehydratase alpha chain', NULL, 'SDH_alpha', NULL, NULL, NULL, 6),
(5588, NULL, 'PF04248', NULL, NULL, 'Domain of unknown function (DUF427)', NULL, 'NTP_transf_9', NULL, NULL, NULL, 6),
(5589, NULL, 'PF00790', NULL, NULL, 'VHS domain', NULL, 'VHS', NULL, NULL, NULL, 6),
(5590, NULL, 'PF13722', NULL, NULL, '5TM C-terminal transporter carbon starvation CstA', NULL, 'CstA_5TM', NULL, NULL, NULL, 6),
(5591, NULL, 'PF04899', NULL, NULL, 'MbeD/MobD like', NULL, 'MbeD_MobD', NULL, NULL, NULL, 6),
(5592, NULL, 'PF04945', NULL, NULL, 'YHS domain', NULL, 'YHS', NULL, NULL, NULL, 6),
(5593, NULL, 'PF19115', NULL, NULL, 'Family of unknown function (DUF5800)', NULL, 'DUF5800', NULL, NULL, NULL, 6),
(5594, NULL, 'PF17932', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_24', NULL, NULL, NULL, 6),
(5595, NULL, 'PF01769', NULL, NULL, 'Divalent cation transporter', NULL, 'MgtE', NULL, NULL, NULL, 6),
(5596, NULL, 'PF04138', NULL, NULL, 'GtrA-like protein', NULL, 'GtrA', NULL, NULL, NULL, 6),
(5597, NULL, 'PF11467', NULL, NULL, 'Lens epithelium-derived growth factor (LEDGF)', NULL, 'LEDGF', NULL, NULL, NULL, 6),
(5598, NULL, 'PF10319', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srj', NULL, '7TM_GPCR_Srj', NULL, NULL, NULL, 6),
(5599, NULL, 'PF06092', NULL, NULL, 'Enterobacterial putative membrane protein (DUF943)', NULL, 'DUF943', NULL, NULL, NULL, 6),
(5600, NULL, 'PF17189', NULL, NULL, 'Glycosyl hydrolase family 30 beta sandwich domain', NULL, 'Glyco_hydro_30C', NULL, NULL, NULL, 6),
(5601, NULL, 'PF06428', NULL, NULL, 'GDP/GTP exchange factor Sec2p', NULL, 'Sec2p', NULL, NULL, NULL, 6),
(5602, NULL, 'PF12368', NULL, NULL, 'Rhodanase C-terminal', NULL, 'Rhodanese_C', NULL, NULL, NULL, 6),
(5603, NULL, 'PF09763', NULL, NULL, 'Exocyst complex component Sec3', NULL, 'Sec3_C', NULL, NULL, NULL, 6),
(5604, NULL, 'PF10506', NULL, NULL, 'PDZ domain of MCC-2 bdg protein for Usher syndrome', NULL, 'MCC-bdg_PDZ', NULL, NULL, NULL, 6),
(5605, NULL, 'PF13961', NULL, NULL, 'Domain of unknown function (DUF4219)', NULL, 'DUF4219', NULL, NULL, NULL, 6),
(5606, NULL, 'PF15410', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_9', NULL, NULL, NULL, 6),
(5607, NULL, 'PF15656', NULL, NULL, 'Toxin with a H, D/N and C signature', NULL, 'Tox-HDC', NULL, NULL, NULL, 6),
(5608, NULL, 'PF18724', NULL, NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 2', NULL, 'aGPT-Pplase2', NULL, NULL, NULL, 6),
(5609, NULL, 'PF04399', NULL, NULL, 'Glutaredoxin 2, C terminal domain', NULL, 'Glutaredoxin2_C', NULL, NULL, NULL, 6),
(5610, NULL, 'PF12298', NULL, NULL, 'Eukaryotic mitochondrial regulator protein', NULL, 'Bot1p', NULL, NULL, NULL, 6),
(5611, NULL, 'PF01700', NULL, NULL, 'Orbivirus VP3 (T2) protein', NULL, 'Orbi_VP3', NULL, NULL, NULL, 6),
(5612, NULL, 'PF07424', NULL, NULL, 'TrbM', NULL, 'TrbM', NULL, NULL, NULL, 6),
(5613, NULL, 'PF15045', NULL, NULL, 'Clathrin-binding box of Aftiphilin, vesicle trafficking', NULL, 'Clathrin_bdg', NULL, NULL, NULL, 6),
(5614, NULL, 'PF02424', NULL, NULL, 'ApbE family', NULL, 'ApbE', NULL, NULL, NULL, 6),
(5615, NULL, 'PF17198', NULL, NULL, 'Spirocyclase AveC-like', NULL, 'AveC_like', NULL, NULL, NULL, 6),
(5616, NULL, 'PF00944', NULL, NULL, 'Alphavirus core protein', NULL, 'Peptidase_S3', NULL, NULL, NULL, 6),
(5617, NULL, 'PF08471', NULL, NULL, 'Class II vitamin B12-dependent ribonucleotide reductase', NULL, 'Ribonuc_red_2_N', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5618, NULL, 'PF19081', NULL, NULL, 'Ig-like domain CHU_C associated', NULL, 'Ig_7', NULL, NULL, NULL, 6),
(5619, NULL, 'PF00730', NULL, NULL, 'HhH-GPD superfamily base excision DNA repair protein', NULL, 'HhH-GPD', NULL, NULL, NULL, 6),
(5620, NULL, 'PF11999', NULL, NULL, 'Ice-binding-like', NULL, 'Ice_binding', NULL, NULL, NULL, 6),
(5621, NULL, 'PF10169', NULL, NULL, 'Learning-associated protein', NULL, 'Laps', NULL, NULL, NULL, 6),
(5622, NULL, 'PF08450', NULL, NULL, 'SMP-30/Gluconolactonase/LRE-like region', NULL, 'SGL', NULL, NULL, NULL, 6),
(5623, NULL, 'PF04056', NULL, NULL, 'Ssl1-like', NULL, 'Ssl1', NULL, NULL, NULL, 6),
(5624, NULL, 'PF12089', NULL, NULL, 'Transmembrane domain of unknown function (DUF3566)', NULL, 'DUF3566', NULL, NULL, NULL, 6),
(5625, NULL, 'PF05680', NULL, NULL, 'ATP synthase E chain', NULL, 'ATP-synt_E', NULL, NULL, NULL, 6),
(5626, NULL, 'PF03783', NULL, NULL, 'Curli production assembly/transport component CsgG', NULL, 'CsgG', NULL, NULL, NULL, 6),
(5627, NULL, 'PF09116', NULL, NULL, 'gp45 sliding clamp, C terminal', NULL, 'gp45-slide_C', NULL, NULL, NULL, 6),
(5628, NULL, 'PF05879', NULL, NULL, 'Root hair defective 3 GTP-binding protein (RHD3)', NULL, 'RHD3', NULL, NULL, NULL, 6),
(5629, NULL, 'PF09247', NULL, NULL, 'TATA box-binding protein binding', NULL, 'TBP-binding', NULL, NULL, NULL, 6),
(5630, NULL, 'PF16634', NULL, NULL, 'Unstructured region on APC between APC_crr and SAMP', NULL, 'APC_u13', NULL, NULL, NULL, 6),
(5631, NULL, 'PF08247', NULL, NULL, 'ENOD40 protein', NULL, 'ENOD40', NULL, NULL, NULL, 6),
(5632, NULL, 'PF11319', NULL, NULL, 'Type VI secretion system VasI, EvfG, VC_A0118', NULL, 'VasI', NULL, NULL, NULL, 6),
(5633, NULL, 'PF16893', NULL, NULL, 'Fibronectin type III domain', NULL, 'fn3_2', NULL, NULL, NULL, 6),
(5634, NULL, 'PF00077', NULL, NULL, 'Retroviral aspartyl protease', NULL, 'RVP', NULL, NULL, NULL, 6),
(5635, NULL, 'PF14294', NULL, NULL, 'Domain of unknown function (DUF4372)', NULL, 'DUF4372', NULL, NULL, NULL, 6),
(5636, NULL, 'PF00073', NULL, NULL, 'picornavirus capsid protein', NULL, 'Rhv', NULL, NULL, NULL, 6),
(5637, NULL, 'PF02477', NULL, NULL, 'Nucleocapsid N protein', NULL, 'Nairo_nucleo', NULL, NULL, NULL, 6),
(5638, NULL, 'PF06276', NULL, NULL, 'Ferric iron reductase FhuF-like transporter', NULL, 'FhuF', NULL, NULL, NULL, 6),
(5639, NULL, 'PF17043', NULL, NULL, 'Mating type protein 1-1-2 of unknown function', NULL, 'MAT1-1-2', NULL, NULL, NULL, 6),
(5640, NULL, 'PF11486', NULL, NULL, 'Protein of unknown function (DUF3212)', NULL, 'DUF3212', NULL, NULL, NULL, 6),
(5641, NULL, 'PF17594', NULL, NULL, 'Phage Tail fiber assembly helper gene product 57', NULL, 'GP57', NULL, NULL, NULL, 6),
(5642, NULL, 'PF08251', NULL, NULL, 'Mastoparan peptide', NULL, 'Mastoparan_2', NULL, NULL, NULL, 6),
(5643, NULL, 'PF04764', NULL, NULL, 'Protein of unknown function (DUF613)', NULL, 'DUF613', NULL, NULL, NULL, 6),
(5644, NULL, 'PF01295', NULL, NULL, 'Adenylate cyclase, class-I', NULL, 'Adenylate_cycl', NULL, NULL, NULL, 6),
(5645, NULL, 'PF11716', NULL, NULL, 'Mycothiol maleylpyruvate isomerase N-terminal domain', NULL, 'MDMPI_N', NULL, NULL, NULL, 6),
(5646, NULL, 'PF18062', NULL, NULL, 'Restriction endonuclease AspBHI N-terminal', NULL, 'RE_AspBHI_N', NULL, NULL, NULL, 6),
(5647, NULL, 'PF18175', NULL, NULL, 'CCDC81-like prokaryotic HU domain 2', NULL, 'HU-CCDC81_bac_2', NULL, NULL, NULL, 6),
(5648, NULL, 'PF06532', NULL, NULL, 'Negative regulator of sigma F', NULL, 'NrsF', NULL, NULL, NULL, 6),
(5649, NULL, 'PF18451', NULL, NULL, 'Contact-dependent growth inhibition CdiA C-terminal domain', NULL, 'CdiA_C', NULL, NULL, NULL, 6),
(5650, NULL, 'PF10913', NULL, NULL, 'Protein of unknown function (DUF2706)', NULL, 'DUF2706', NULL, NULL, NULL, 6),
(5651, NULL, 'PF17910', NULL, NULL, 'FeoB cytosolic helical domain', NULL, 'FeoB_Cyto', NULL, NULL, NULL, 6),
(5652, NULL, 'PF09660', NULL, NULL, 'Protein of unknown function (DUF2397)', NULL, 'DUF2397', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5653, NULL, 'PF06755', NULL, NULL, 'CbtA_toxin of type IV toxin-antitoxin system', NULL, 'CbtA_toxin', NULL, NULL, NULL, 6),
(5654, NULL, 'PF04308', NULL, NULL, 'Ribonuclease H-like', NULL, 'RNaseH_like', NULL, NULL, NULL, 6),
(5655, NULL, 'PF08115', NULL, NULL, 'SFI toxin family', NULL, 'Toxin_28', NULL, NULL, NULL, 6),
(5656, NULL, 'PF18644', NULL, NULL, 'Phage integrase SAM-like domain', NULL, 'Phage_int_SAM_6', NULL, NULL, NULL, 6),
(5657, NULL, 'PF18255', NULL, NULL, 'DNA processing protein A sterile alpha motif domain', NULL, 'SAM_DrpA', NULL, NULL, NULL, 6),
(5658, NULL, 'PF16546', NULL, NULL, 'Homodimerisation domain of SGTA', NULL, 'SGTA_dimer', NULL, NULL, NULL, 6),
(5659, NULL, 'PF09698', NULL, NULL, 'Geobacter CxxxxCH...CXXCH motif (GSu_C4xC__C2xCH)', NULL, 'GSu_C4xC__C2xCH', NULL, NULL, NULL, 6),
(5660, NULL, 'PF04935', NULL, NULL, 'Surfeit locus protein 6', NULL, 'SURF6', NULL, NULL, NULL, 6),
(5661, NULL, 'PF17346', NULL, NULL, 'Family of unknown function (DUF5376)', NULL, 'DUF5376', NULL, NULL, NULL, 6),
(5662, NULL, 'PF05648', NULL, NULL, 'Peroxisomal biogenesis factor 11 (PEX11)', NULL, 'PEX11', NULL, NULL, NULL, 6),
(5663, NULL, 'PF15876', NULL, NULL, 'Domain of unknown function (DUF4732)', NULL, 'DUF4732', NULL, NULL, NULL, 6),
(5664, NULL, 'PF17586', NULL, NULL, 'Family of unknown function (DUF5485)', NULL, 'DUF5485', NULL, NULL, NULL, 6),
(5665, NULL, 'PF02824', NULL, NULL, 'TGS domain', NULL, 'TGS', NULL, NULL, NULL, 6),
(5666, NULL, 'PF13924', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_5', NULL, NULL, NULL, 6),
(5667, NULL, 'PF07397', NULL, NULL, 'Repeat of unknown function (DUF1502)', NULL, 'DUF1502', NULL, NULL, NULL, 6),
(5668, NULL, 'PF08168', NULL, NULL, 'NUC205 domain', NULL, 'NUC205', NULL, NULL, NULL, 6),
(5669, NULL, 'PF10256', NULL, NULL, 'Golgin subfamily A member 7/ERF4 family', NULL, 'Erf4', NULL, NULL, NULL, 6),
(5670, NULL, 'PF08628', NULL, NULL, 'Sorting nexin C terminal', NULL, 'Nexin_C', NULL, NULL, NULL, 6),
(5671, NULL, 'PF13721', NULL, NULL, 'SecD export protein N-terminal TM region', NULL, 'SecD-TM1', NULL, NULL, NULL, 6),
(5672, NULL, 'PF12044', NULL, NULL, 'Putative peptidase family', NULL, 'Metallopep', NULL, NULL, NULL, 6),
(5673, NULL, 'PF07732', NULL, NULL, 'Multicopper oxidase', NULL, 'Cu-oxidase_3', NULL, NULL, NULL, 6),
(5674, NULL, 'PF04333', NULL, NULL, 'MlaA lipoprotein', NULL, 'MlaA', NULL, NULL, NULL, 6),
(5675, NULL, 'PF09153', NULL, NULL, 'Domain of unknown function (DUF1938)', NULL, 'DUF1938', NULL, NULL, NULL, 6),
(5676, NULL, 'PF03562', NULL, NULL, 'MltA specific insert domain', NULL, 'MltA', NULL, NULL, NULL, 6),
(5677, NULL, 'PF06374', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit b14.5b (NDUFC2)', NULL, 'NDUF_C2', NULL, NULL, NULL, 6),
(5678, NULL, 'PF04611', NULL, NULL, 'Mating type protein A alpha Y mating type dependent binding region', NULL, 'AalphaY_MDB', NULL, NULL, NULL, 6),
(5679, NULL, 'PF09535', NULL, NULL, 'Protein of unknown function (Gmx_para_CXXCG)', NULL, 'Gmx_para_CXXCG', NULL, NULL, NULL, 6),
(5680, NULL, 'PF02332', NULL, NULL, 'Methane/Phenol/Toluene Hydroxylase', NULL, 'Phenol_Hydrox', NULL, NULL, NULL, 6),
(5681, NULL, 'PF11402', NULL, NULL, 'Antifungal protein', NULL, 'Antifungal_prot', NULL, NULL, NULL, 6),
(5682, NULL, 'PF14030', NULL, NULL, 'Protein of unknown function (DUF4245)', NULL, 'DUF4245', NULL, NULL, NULL, 6),
(5683, NULL, 'PF02218', NULL, NULL, 'Repeat in HS1/Cortactin', NULL, 'HS1_rep', NULL, NULL, NULL, 6),
(5684, NULL, 'PF11312', NULL, NULL, 'Putative SAM-dependent methyltransferase', NULL, 'Methyltransf_34', NULL, NULL, NULL, 6),
(5685, NULL, 'PF16317', NULL, NULL, 'Glycosyl hydrolase family 99', NULL, 'Glyco_hydro_99', NULL, NULL, NULL, 6),
(5686, NULL, 'PF08595', NULL, NULL, 'RXT2-like, N-terminal', NULL, 'RXT2_N', NULL, NULL, NULL, 6),
(5687, NULL, 'PF13667', NULL, NULL, 'ThiC-associated domain', NULL, 'ThiC-associated', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5688, NULL, 'PF02562', NULL, NULL, 'PhoH-like protein', NULL, 'PhoH', NULL, NULL, NULL, 6),
(5689, NULL, 'PF07875', NULL, NULL, 'Coat F domain', NULL, 'Coat_F', NULL, NULL, NULL, 6),
(5690, NULL, 'PF08448', NULL, NULL, 'PAS fold', NULL, 'PAS_4', NULL, NULL, NULL, 6),
(5691, NULL, 'PF18522', NULL, NULL, 'Domain of unknown function (DUF5620)', NULL, 'DUF5620', NULL, NULL, NULL, 6),
(5692, NULL, 'PF02579', NULL, NULL, 'Dinitrogenase iron-molybdenum cofactor', NULL, 'Nitro_FeMo-Co', NULL, NULL, NULL, 6),
(5693, NULL, 'PF15624', NULL, NULL, 'Kinetochore CENP-C fungal homologue, Mif2, N-terminal', NULL, 'Mif2_N', NULL, NULL, NULL, 6),
(5694, NULL, 'PF18336', NULL, NULL, 'Fragile X mental retardation Tudor domain', NULL, 'Tudor_FRX1', NULL, NULL, NULL, 6),
(5695, NULL, 'PF11923', NULL, NULL, 'NFACT protein C-terminal domain', NULL, 'NFACT-C', NULL, NULL, NULL, 6),
(5696, NULL, 'PF01353', NULL, NULL, 'Green fluorescent protein', NULL, 'GFP', NULL, NULL, NULL, 6),
(5697, NULL, 'PF15973', NULL, NULL, 'Domain of unknown function (DUF4766)', NULL, 'DUF4766', NULL, NULL, NULL, 6),
(5698, NULL, 'PF18932', NULL, NULL, 'Family of unknown function (DUF5681)', NULL, 'DUF5681', NULL, NULL, NULL, 6),
(5699, NULL, 'PF15521', NULL, NULL, 'Novel toxin 11', NULL, 'Ntox11', NULL, NULL, NULL, 6),
(5700, NULL, 'PF05610', NULL, NULL, 'Protein of unknown function (DUF779)', NULL, 'DUF779', NULL, NULL, NULL, 6),
(5701, NULL, 'PF05080', NULL, NULL, 'Protein of unknown function (DUF681)', NULL, 'DUF681', NULL, NULL, NULL, 6),
(5702, NULL, 'PF06288', NULL, NULL, 'Protein of unknown function (DUF1040)', NULL, 'DUF1040', NULL, NULL, NULL, 6),
(5703, NULL, 'PF10334', NULL, NULL, 'Aromatic acid exporter family member 2', NULL, 'ArAE_2', NULL, NULL, NULL, 6),
(5704, NULL, 'PF12755', NULL, NULL, 'Vacuolar 14 Fab1-binding region', NULL, 'Vac14_Fab1_bd', NULL, NULL, NULL, 6),
(5705, NULL, 'PF03215', NULL, NULL, 'Rad17 P-loop domain', NULL, 'Rad17', NULL, NULL, NULL, 6),
(5706, NULL, 'PF16251', NULL, NULL, 'Betacoronavirus nucleic acid-binding (NAR)', NULL, 'bCoV_NAR', NULL, NULL, NULL, 6),
(5707, NULL, 'PF01048', NULL, NULL, 'Phosphorylase superfamily', NULL, 'PNP_UDP_1', NULL, NULL, NULL, 6),
(5708, NULL, 'PF08408', NULL, NULL, 'DNA polymerase family B viral insert', NULL, 'DNA_pol_B_3', NULL, NULL, NULL, 6),
(5709, NULL, 'PF17550', NULL, NULL, 'Family of unknown function', NULL, 'PsaF', NULL, NULL, NULL, 6),
(5710, NULL, 'PF02933', NULL, NULL, 'Cell division protein 48 (CDC48), domain 2', NULL, 'CDC48_2', NULL, NULL, NULL, 6),
(5711, NULL, 'PF02089', NULL, NULL, 'Palmitoyl protein thioesterase', NULL, 'Palm_thioest', NULL, NULL, NULL, 6),
(5712, NULL, 'PF12122', NULL, NULL, 'Cytoplasmic N-terminal domain of rhomboid serine protease', NULL, 'Rhomboid_N', NULL, NULL, NULL, 6),
(5713, NULL, 'PF04444', NULL, NULL, 'Catechol dioxygenase N terminus', NULL, 'Dioxygenase_N', NULL, NULL, NULL, 6),
(5714, NULL, 'PF16971', NULL, NULL, 'Rough colony protein B, tight adherence - tad - subunit', NULL, 'RcpB', NULL, NULL, NULL, 6),
(5715, NULL, 'PF07902', NULL, NULL, 'gp58-like protein', NULL, 'Gp58', NULL, NULL, NULL, 6),
(5716, NULL, 'PF17683', NULL, NULL, 'TFIIF, beta subunit N-terminus', NULL, 'TFIIF_beta_N', NULL, NULL, NULL, 6),
(5717, NULL, 'PF18127', NULL, NULL, 'Domain of unknown function (DUF5598)', NULL, 'DUF5598', NULL, NULL, NULL, 6),
(5718, NULL, 'PF11724', NULL, NULL, 'YvbH-like oligomerisation region', NULL, 'YvbH_ext', NULL, NULL, NULL, 6),
(5719, NULL, 'PF13965', NULL, NULL, 'dsRNA-gated channel SID-1', NULL, 'SID-1_RNA_chan', NULL, NULL, NULL, 6),
(5720, NULL, 'PF10046', NULL, NULL, 'Biogenesis of lysosome-related organelles complex-1 subunit 2', NULL, 'BLOC1_2', NULL, NULL, NULL, 6),
(5721, NULL, 'PF03511', NULL, NULL, 'Fanconi anaemia group A protein', NULL, 'Fanconi_A', NULL, NULL, NULL, 6),
(5722, NULL, 'PF00981', NULL, NULL, 'Rotavirus RNA-binding Protein 53 (NS53)', NULL, 'Rota_NS53', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5723, NULL, 'PF02782', NULL, NULL, 'FGGY family of carbohydrate kinases, C-terminal domain', NULL, 'FGGY_C', NULL, NULL, NULL, 6),
(5724, NULL, 'PF13068', NULL, NULL, 'Protein of unknown function (DUF3932)', NULL, 'DUF3932', NULL, NULL, NULL, 6),
(5725, NULL, 'PF06460', NULL, NULL, 'Coronavirus 2''-O-methyltransferase', NULL, 'CoV_Methyltr_2', NULL, NULL, NULL, 6),
(5726, NULL, 'PF18882', NULL, NULL, 'Family of unknown function (DUF5647)', NULL, 'DUF5647', NULL, NULL, NULL, 6),
(5727, NULL, 'PF02160', NULL, NULL, 'Cauliflower mosaic virus peptidase (A3)', NULL, 'Peptidase_A3', NULL, NULL, NULL, 6),
(5728, NULL, 'PF09361', NULL, NULL, 'Phasin protein', NULL, 'Phasin_2', NULL, NULL, NULL, 6),
(5729, NULL, 'PF10654', NULL, NULL, 'Protein of unknown function (DUF2481)', NULL, 'DUF2481', NULL, NULL, NULL, 6),
(5730, NULL, 'PF08016', NULL, NULL, 'Polycystin cation channel', NULL, 'PKD_channel', NULL, NULL, NULL, 6),
(5731, NULL, 'PF00872', NULL, NULL, 'Transposase, Mutator family', NULL, 'Transposase_mut', NULL, NULL, NULL, 6),
(5732, NULL, 'PF07976', NULL, NULL, 'Phenol hydroxylase, C-terminal dimerisation domain', NULL, 'Phe_hydrox_dim', NULL, NULL, NULL, 6),
(5733, NULL, 'PF10475', NULL, NULL, 'Vacuolar-sorting protein 54, of GARP complex', NULL, 'Vps54_N', NULL, NULL, NULL, 6),
(5734, NULL, 'PF12465', NULL, NULL, 'Proteasome beta subunits C terminal', NULL, 'Pr_beta_C', NULL, NULL, NULL, 6),
(5735, NULL, 'PF14496', NULL, NULL, 'C-terminal novel E3 ligase, LRR-interacting', NULL, 'NEL', NULL, NULL, NULL, 6),
(5736, NULL, 'PF13746', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_18', NULL, NULL, NULL, 6),
(5737, NULL, 'PF12871', NULL, NULL, 'Pre-mRNA-splicing factor 38-associated hydrophilic C-term', NULL, 'PRP38_assoc', NULL, NULL, NULL, 6),
(5738, NULL, 'PF01403', NULL, NULL, 'Sema domain', NULL, 'Sema', NULL, NULL, NULL, 6),
(5739, NULL, 'PF08432', NULL, NULL, 'AAA-ATPase Vps4-associated protein 1', NULL, 'Vfa1', NULL, NULL, NULL, 6),
(5740, NULL, 'PF01264', NULL, NULL, 'Chorismate synthase', NULL, 'Chorismate_synt', NULL, NULL, NULL, 6),
(5741, NULL, 'PF13577', NULL, NULL, 'SnoaL-like domain', NULL, 'SnoaL_4', NULL, NULL, NULL, 6),
(5742, NULL, 'PF10567', NULL, NULL, 'RNA-recognition motif', NULL, 'Nab6_mRNP_bdg', NULL, NULL, NULL, 6),
(5743, NULL, 'PF11873', NULL, NULL, 'Membrane-bound lytic murein transglycosylase C, N-terminal domain', NULL, 'Mltc_N', NULL, NULL, NULL, 6),
(5744, NULL, 'PF06143', NULL, NULL, 'Baculovirus 11 kDa family', NULL, 'Baculo_11_kDa', NULL, NULL, NULL, 6),
(5745, NULL, 'PF11650', NULL, NULL, 'P22 tail accessory factor', NULL, 'P22_Tail-4', NULL, NULL, NULL, 6),
(5746, NULL, 'PF18360', NULL, NULL, 'Heterogeneous nuclear ribonucleoprotein Q acidic domain', NULL, 'hnRNP_Q_AcD', NULL, NULL, NULL, 6),
(5747, NULL, 'PF12102', NULL, NULL, 'MrcB-like, N-terminal domain', NULL, 'MrcB_N', NULL, NULL, NULL, 6),
(5748, NULL, 'PF18058', NULL, NULL, 'SbsC C-terminal domain', NULL, 'SbsC_C', NULL, NULL, NULL, 6),
(5749, NULL, 'PF02586', NULL, NULL, 'SOS response associated peptidase (SRAP)', NULL, 'SRAP', NULL, NULL, NULL, 6),
(5750, NULL, 'PF12314', NULL, NULL, 'Inner membrane complex protein', NULL, 'IMCp', NULL, NULL, NULL, 6),
(5751, NULL, 'PF08350', NULL, NULL, 'Domain of unknown function (DUF1724)', NULL, 'DUF1724', NULL, NULL, NULL, 6),
(5752, NULL, 'PF08558', NULL, NULL, 'Telomere repeat binding factor (TRF)', NULL, 'TRF', NULL, NULL, NULL, 6),
(5753, NULL, 'PF09582', NULL, NULL, 'Iron only nitrogenase protein AnfO (AnfO_nitrog)', NULL, 'AnfO_nitrog', NULL, NULL, NULL, 6),
(5754, NULL, 'PF15389', NULL, NULL, 'Domain of unknown function (DUF4612)', NULL, 'DUF4612', NULL, NULL, NULL, 6),
(5755, NULL, 'PF15635', NULL, NULL, 'GHH signature containing HNH/Endo VII superfamily nuclease toxin  2', NULL, 'Tox-GHH2', NULL, NULL, NULL, 6),
(5756, NULL, 'PF13233', NULL, NULL, 'Complex1_LYR-like', NULL, 'Complex1_LYR_2', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5757, NULL, 'PF10222', NULL, NULL, 'Uncharacterized conserved protein (DUF2152)', NULL, 'DUF2152', NULL, NULL, NULL, 6),
(5758, NULL, 'PF04113', NULL, NULL, 'Gpi16 subunit, GPI transamidase component', NULL, 'Gpi16', NULL, NULL, NULL, 6),
(5759, NULL, 'PF03743', NULL, NULL, 'Bacterial conjugation TrbI-like protein', NULL, 'TrbI', NULL, NULL, NULL, 6),
(5760, NULL, 'PF13004', NULL, NULL, 'Putative binding domain, N-terminal', NULL, 'BACON', NULL, NULL, NULL, 6),
(5761, NULL, 'PF13715', NULL, NULL, 'CarboxypepD_reg-like domain', NULL, 'CarbopepD_reg_2', NULL, NULL, NULL, 6),
(5762, NULL, 'PF03487', NULL, NULL, 'Interleukin-13', NULL, 'IL13', NULL, NULL, NULL, 6),
(5763, NULL, 'PF10345', NULL, NULL, 'Cohesin loading factor', NULL, 'Cohesin_load', NULL, NULL, NULL, 6),
(5764, NULL, 'PF09558', NULL, NULL, 'Protein of unknown function (DUF2375)', NULL, 'DUF2375', NULL, NULL, NULL, 6),
(5765, NULL, 'PF01600', NULL, NULL, 'Coronavirus spike glycoprotein S1', NULL, 'CoV_S1', NULL, NULL, NULL, 6),
(5766, NULL, 'PF07990', NULL, NULL, 'Nucleic acid binding protein NABP', NULL, 'NABP', NULL, NULL, NULL, 6),
(5767, NULL, 'PF11653', NULL, NULL, 'Bacteriophage T7 virion assembly protein', NULL, 'VirionAssem_T7', NULL, NULL, NULL, 6),
(5768, NULL, 'PF15975', NULL, NULL, 'Flotillin', NULL, 'Flot', NULL, NULL, NULL, 6),
(5769, NULL, 'PF11743', NULL, NULL, 'Protein of unknown function (DUF3301)', NULL, 'DUF3301', NULL, NULL, NULL, 6),
(5770, NULL, 'PF02757', NULL, NULL, 'YLP motif', NULL, 'YLP', NULL, NULL, NULL, 6),
(5771, NULL, 'PF03350', NULL, NULL, 'Uncharacterized protein family, UPF0114', NULL, 'UPF0114', NULL, NULL, NULL, 6),
(5772, NULL, 'PF05538', NULL, NULL, 'Campylobacter major outer membrane protein', NULL, 'Campylo_MOMP', NULL, NULL, NULL, 6),
(5773, NULL, 'PF02496', NULL, NULL, 'ABA/WDS induced protein', NULL, 'ABA_WDS', NULL, NULL, NULL, 6),
(5774, NULL, 'PF05845', NULL, NULL, 'Bacterial phosphonate metabolism protein (PhnH)', NULL, 'PhnH', NULL, NULL, NULL, 6),
(5775, NULL, 'PF19193', NULL, NULL, 'Tectonin domain', NULL, 'Tectonin', NULL, NULL, NULL, 6),
(5776, NULL, 'PF03530', NULL, NULL, 'Calcium-activated SK potassium channel', NULL, 'SK_channel', NULL, NULL, NULL, 6),
(5777, NULL, 'PF17310', NULL, NULL, 'Family of unknown function (DUF5357)', NULL, 'DUF5357', NULL, NULL, NULL, 6),
(5778, NULL, 'PF19117', NULL, NULL, 'Mitochondrial import 2', NULL, 'Mim2', NULL, NULL, NULL, 6),
(5779, NULL, 'PF04253', NULL, NULL, 'Transferrin receptor-like dimerisation domain', NULL, 'TFR_dimer', NULL, NULL, NULL, 6),
(5780, NULL, 'PF11592', NULL, NULL, 'Central core of the bacterial effector protein AvrPto', NULL, 'AvrPto', NULL, NULL, NULL, 6),
(5781, NULL, 'PF19129', NULL, NULL, 'Family of unknown function (DUF5812)', NULL, 'DUF5812', NULL, NULL, NULL, 6),
(5782, NULL, 'PF14476', NULL, NULL, 'Petal formation-expressed', NULL, 'Chloroplast_duf', NULL, NULL, NULL, 6),
(5783, NULL, 'PF11954', NULL, NULL, 'Domain of unknown function (DUF3471)', NULL, 'DUF3471', NULL, NULL, NULL, 6),
(5784, NULL, 'PF17029', NULL, NULL, 'Domain of unknown function (DUF5100)', NULL, 'DUF5100', NULL, NULL, NULL, 6),
(5785, NULL, 'PF01387', NULL, NULL, 'Synuclein', NULL, 'Synuclein', NULL, NULL, NULL, 6),
(5786, NULL, 'PF11683', NULL, NULL, 'Protein of unknown function (DUF3278)', NULL, 'DUF3278', NULL, NULL, NULL, 6),
(5787, NULL, 'PF03045', NULL, NULL, 'DAN domain', NULL, 'DAN', NULL, NULL, NULL, 6),
(5788, NULL, 'PF06449', NULL, NULL, 'Mitochondrial domain of unknown function (DUF1082)', NULL, 'DUF1082', NULL, NULL, NULL, 6),
(5789, NULL, 'PF00652', NULL, NULL, 'Ricin-type beta-trefoil lectin domain', NULL, 'Ricin_B_lectin', NULL, NULL, NULL, 6),
(5790, NULL, 'PF05134', NULL, NULL, 'Type II secretion system (T2SS), protein L', NULL, 'T2SSL', NULL, NULL, NULL, 6),
(5791, NULL, 'PF07839', NULL, NULL, 'Plant calmodulin-binding domain', NULL, 'CaM_binding', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5792, NULL, 'PF07205', NULL, NULL, 'Domain of unknown function (DUF1413)', NULL, 'DUF1413', NULL, NULL, NULL, 6),
(5793, NULL, 'PF17023', NULL, NULL, 'Domain of unknown function (DUF5098)', NULL, 'DUF5098', NULL, NULL, NULL, 6),
(5794, NULL, 'PF17729', NULL, NULL, 'Family of unknown function (DUF5569)', NULL, 'DUF5569', NULL, NULL, NULL, 6),
(5795, NULL, 'PF11928', NULL, NULL, 'Early growth response N-terminal domain', NULL, 'DUF3446', NULL, NULL, NULL, 6),
(5796, NULL, 'PF10849', NULL, NULL, 'Protein of unknown function (DUF2654)', NULL, 'DUF2654', NULL, NULL, NULL, 6),
(5797, NULL, 'PF15740', NULL, NULL, 'Protein phosphatase 1 regulatory subunit 26 N-terminus', NULL, 'PPP1R26_N', NULL, NULL, NULL, 6),
(5798, NULL, 'PF13861', NULL, NULL, 'FlgD Tudor-like domain', NULL, 'FLgD_tudor', NULL, NULL, NULL, 6),
(5799, NULL, 'PF05736', NULL, NULL, 'OprF membrane domain', NULL, 'OprF', NULL, NULL, NULL, 6),
(5800, NULL, 'PF19225', NULL, NULL, 'Spo16 protein', NULL, 'Spo16', NULL, NULL, NULL, 6),
(5801, NULL, 'PF11347', NULL, NULL, 'Protein of unknown function (DUF3148)', NULL, 'DUF3148', NULL, NULL, NULL, 6),
(5802, NULL, 'PF07886', NULL, NULL, 'BA14K-like protein', NULL, 'BA14K', NULL, NULL, NULL, 6),
(5803, NULL, 'PF10247', NULL, NULL, 'Reactive mitochondrial oxygen species modulator 1', NULL, 'Romo1', NULL, NULL, NULL, 6),
(5804, NULL, 'PF00622', NULL, NULL, 'SPRY domain', NULL, 'SPRY', NULL, NULL, NULL, 6),
(5805, NULL, 'PF15208', NULL, NULL, 'Rab15 effector', NULL, 'Rab15_effector', NULL, NULL, NULL, 6),
(5806, NULL, 'PF12198', NULL, NULL, 'Theoretical tuberculin protein', NULL, 'Tuberculin', NULL, NULL, NULL, 6),
(5807, NULL, 'PF00219', NULL, NULL, 'Insulin-like growth factor binding protein', NULL, 'IGFBP', NULL, NULL, NULL, 6),
(5808, NULL, 'PF13413', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_25', NULL, NULL, NULL, 6),
(5809, NULL, 'PF12995', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3879)', NULL, 'DUF3879', NULL, NULL, NULL, 6),
(5810, NULL, 'PF02798', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N', NULL, NULL, NULL, 6),
(5811, NULL, 'PF16206', NULL, NULL, 'C-terminal region of Mon2 protein', NULL, 'Mon2_C', NULL, NULL, NULL, 6),
(5812, NULL, 'PF09217', NULL, NULL, 'Restriction endonuclease EcoRII, N-terminal', NULL, 'EcoRII-N', NULL, NULL, NULL, 6),
(5813, NULL, 'PF00955', NULL, NULL, 'HCO3- transporter family', NULL, 'HCO3_cotransp', NULL, NULL, NULL, 6),
(5814, NULL, 'PF12048', NULL, NULL, 'Protein of unknown function (DUF3530)', NULL, 'DUF3530', NULL, NULL, NULL, 6),
(5815, NULL, 'PF16371', NULL, NULL, 'N terminal of Calcineurin-like phosphoesterase', NULL, 'MetallophosN', NULL, NULL, NULL, 6),
(5816, NULL, 'PF14662', NULL, NULL, 'Coiled-coil region of CCDC155 or KASH', NULL, 'KASH_CCD', NULL, NULL, NULL, 6),
(5817, NULL, 'PF14578', NULL, NULL, 'Elongation factor Tu domain 4', NULL, 'GTP_EFTU_D4', NULL, NULL, NULL, 6),
(5818, NULL, 'PF03702', NULL, NULL, 'Anhydro-N-acetylmuramic acid kinase', NULL, 'AnmK', NULL, NULL, NULL, 6),
(5819, NULL, 'PF17366', NULL, NULL, 'A-agglutinin-binding subunit Aga2', NULL, 'AGA2', NULL, NULL, NULL, 6),
(5820, NULL, 'PF05899', NULL, NULL, 'Protein of unknown function (DUF861)', NULL, 'Cupin_3', NULL, NULL, NULL, 6),
(5821, NULL, 'PF15283', NULL, NULL, 'Domain of unknown function (DUF4595) with porin-like fold', NULL, 'DUF4595', NULL, NULL, NULL, 6),
(5822, NULL, 'PF13767', NULL, NULL, 'Domain of unknown function (DUF4168)', NULL, 'DUF4168', NULL, NULL, NULL, 6),
(5823, NULL, 'PF11871', NULL, NULL, 'Domain of unknown function (DUF3391)', NULL, 'DUF3391', NULL, NULL, NULL, 6),
(5824, NULL, 'PF04740', NULL, NULL, 'LXG domain of WXG superfamily', NULL, 'LXG', NULL, NULL, NULL, 6),
(5825, NULL, 'PF13092', NULL, NULL, 'Kinetochore complex Sim4 subunit Fta1', NULL, 'CENP-L', NULL, NULL, NULL, 6),
(5826, NULL, 'PF00615', NULL, NULL, 'Regulator of G protein signaling domain', NULL, 'RGS', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5827, NULL, 'PF11538', NULL, NULL, 'Snurportin1', NULL, 'Snurportin1', NULL, NULL, NULL, 6),
(5828, NULL, 'PF08025', NULL, NULL, 'Spider antimicrobial peptide', NULL, 'Antimicrobial_3', NULL, NULL, NULL, 6),
(5829, NULL, 'PF12572', NULL, NULL, 'Protein of unknown function (DUF3752)', NULL, 'DUF3752', NULL, NULL, NULL, 6),
(5830, NULL, 'PF01844', NULL, NULL, 'HNH endonuclease', NULL, 'HNH', NULL, NULL, NULL, 6),
(5831, NULL, 'PF18464', NULL, NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', NULL, 'PCSK9_C2', NULL, NULL, NULL, 6),
(5832, NULL, 'PF03307', NULL, NULL, 'Adenovirus 15.3kD protein in E3 region', NULL, 'Adeno_E3_15_3', NULL, NULL, NULL, 6),
(5833, NULL, 'PF07861', NULL, NULL, 'WisP family N-Terminal Region', NULL, 'WND', NULL, NULL, NULL, 6),
(5834, NULL, 'PF07252', NULL, NULL, 'Protein of unknown function (DUF1433)', NULL, 'DUF1433', NULL, NULL, NULL, 6),
(5835, NULL, 'PF11736', NULL, NULL, 'Protein of unknown function (DUF3299)', NULL, 'DUF3299', NULL, NULL, NULL, 6),
(5836, NULL, 'PF10513', NULL, NULL, 'Enhancer of polycomb-like', NULL, 'EPL1', NULL, NULL, NULL, 6),
(5837, NULL, 'PF03918', NULL, NULL, 'Cytochrome C biogenesis protein', NULL, 'CcmH', NULL, NULL, NULL, 6),
(5838, NULL, 'PF08353', NULL, NULL, 'Domain of unknown function (DUF1727)', NULL, 'DUF1727', NULL, NULL, NULL, 6),
(5839, NULL, 'PF12443', NULL, NULL, 'AT-hook-containing transcription factor', NULL, 'AKNA', NULL, NULL, NULL, 6),
(5840, NULL, 'PF14519', NULL, NULL, 'Macro-like domain', NULL, 'Macro_2', NULL, NULL, NULL, 6),
(5841, NULL, 'PF00078', NULL, NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', NULL, 'RVT_1', NULL, NULL, NULL, 6),
(5842, NULL, 'PF19085', NULL, NULL, 'Choline-binding repeat', NULL, 'Choline_bind_2', NULL, NULL, NULL, 6),
(5843, NULL, 'PF12695', NULL, NULL, 'Alpha/beta hydrolase family', NULL, 'Abhydrolase_5', NULL, NULL, NULL, 6),
(5844, NULL, 'PF17070', NULL, NULL, '30S ribosomal protein Thx', NULL, 'Thx', NULL, NULL, NULL, 6),
(5845, NULL, 'PF04582', NULL, NULL, 'Reovirus sigma C capsid protein C-terminal domain', NULL, 'Reo_sigmaC', NULL, NULL, NULL, 6),
(5846, NULL, 'PF01111', NULL, NULL, 'Cyclin-dependent kinase regulatory subunit', NULL, 'CKS', NULL, NULL, NULL, 6),
(5847, NULL, 'PF14874', NULL, NULL, 'Flagellar-associated PapD-like', NULL, 'PapD-like', NULL, NULL, NULL, 6),
(5848, NULL, 'PF03731', NULL, NULL, 'Ku70/Ku80 N-terminal alpha/beta domain', NULL, 'Ku_N', NULL, NULL, NULL, 6),
(5849, NULL, 'PF07683', NULL, NULL, 'Cobalamin synthesis protein cobW C-terminal domain', NULL, 'CobW_C', NULL, NULL, NULL, 6),
(5850, NULL, 'PF01144', NULL, NULL, 'Coenzyme A transferase', NULL, 'CoA_trans', NULL, NULL, NULL, 6),
(5851, NULL, 'PF03623', NULL, NULL, 'Focal adhesion targeting region', NULL, 'Focal_AT', NULL, NULL, NULL, 6),
(5852, NULL, 'PF16145', NULL, NULL, 'Domain of unknown function (DUF4853)', NULL, 'DUF4853', NULL, NULL, NULL, 6),
(5853, NULL, 'PF06516', NULL, NULL, 'Purine nucleoside permease (NUP)', NULL, 'NUP', NULL, NULL, NULL, 6),
(5854, NULL, 'PF17155', NULL, NULL, 'Gammaproteobacterial periplasmic sensor domain', NULL, 'GAPES1', NULL, NULL, NULL, 6),
(5855, NULL, 'PF15612', NULL, NULL, 'WSTF, HB1, Itc1p, MBD9 motif 1', NULL, 'WHIM1', NULL, NULL, NULL, 6),
(5856, NULL, 'PF18414', NULL, NULL, 'C2H2 type zinc-finger', NULL, 'zf_C2H2_10', NULL, NULL, NULL, 6),
(5857, NULL, 'PF03258', NULL, NULL, 'Baculovirus FP protein', NULL, 'Baculo_FP', NULL, NULL, NULL, 6),
(5858, NULL, 'PF12246', NULL, NULL, 'Temperature dependent protein affecting M2 dsRNA replication', NULL, 'MKT1_C', NULL, NULL, NULL, 6),
(5859, NULL, 'PF16569', NULL, NULL, 'Gram-positive pilin backbone subunit 2, Cna-B-like domain', NULL, 'GramPos_pilinBB', NULL, NULL, NULL, 6),
(5860, NULL, 'PF07481', NULL, NULL, 'Domain of Unknown Function (DUF1521)', NULL, 'DUF1521', NULL, NULL, NULL, 6),
(5861, NULL, 'PF14236', NULL, NULL, 'Domain of unknown function (DUF4338)', NULL, 'DUF4338', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5862, NULL, 'PF18474', NULL, NULL, 'Family of unknown function (DUF5614)', NULL, 'DUF5614', NULL, NULL, NULL, 6),
(5863, NULL, 'PF12680', NULL, NULL, 'SnoaL-like domain', NULL, 'SnoaL_2', NULL, NULL, NULL, 6),
(5864, NULL, 'PF11731', NULL, NULL, 'Pathogenicity locus', NULL, 'Cdd1', NULL, NULL, NULL, 6),
(5865, NULL, 'PF14906', NULL, NULL, 'Domain of unknown function (DUF4495)', NULL, 'DUF4495', NULL, NULL, NULL, 6),
(5866, NULL, 'PF06341', NULL, NULL, 'Protein of unknown function (DUF1056)', NULL, 'DUF1056', NULL, NULL, NULL, 6),
(5867, NULL, 'PF02957', NULL, NULL, 'TT viral ORF2', NULL, 'TT_ORF2', NULL, NULL, NULL, 6),
(5868, NULL, 'PF18373', NULL, NULL, 'Spectrin like domain', NULL, 'Spectrin_like', NULL, NULL, NULL, 6),
(5869, NULL, 'PF17377', NULL, NULL, 'Family of unknown function (DUF5399)', NULL, 'DUF5399', NULL, NULL, NULL, 6),
(5870, NULL, 'PF08604', NULL, NULL, 'Nucleoporin Nup153-like', NULL, 'Nup153', NULL, NULL, NULL, 6),
(5871, NULL, 'PF05079', NULL, NULL, 'Protein of unknown function (DUF680)', NULL, 'DUF680', NULL, NULL, NULL, 6),
(5872, NULL, 'PF01508', NULL, NULL, 'Paramecium surface antigen domain', NULL, 'Paramecium_SA', NULL, NULL, NULL, 6),
(5873, NULL, 'PF05100', NULL, NULL, 'Phage minor tail protein L', NULL, 'Phage_tail_L', NULL, NULL, NULL, 6),
(5874, NULL, 'PF00935', NULL, NULL, 'Ribosomal protein L44', NULL, 'Ribosomal_L44', NULL, NULL, NULL, 6),
(5875, NULL, 'PF07464', NULL, NULL, 'Apolipophorin-III precursor (apoLp-III)', NULL, 'ApoLp-III', NULL, NULL, NULL, 6),
(5876, NULL, 'PF06629', NULL, NULL, 'MltA-interacting protein MipA', NULL, 'MipA', NULL, NULL, NULL, 6),
(5877, NULL, 'PF19145', NULL, NULL, 'Family of unknown function (DUF5827)', NULL, 'DUF5827', NULL, NULL, NULL, 6),
(5878, NULL, 'PF09070', NULL, NULL, 'PFU (PLAA family ubiquitin binding)', NULL, 'PFU', NULL, NULL, NULL, 6),
(5879, NULL, 'PF13165', NULL, NULL, 'Six-cysteine peptide SCIFF', NULL, 'SCIFF', NULL, NULL, NULL, 6),
(5880, NULL, 'PF11006', NULL, NULL, 'Protein of unknown function (DUF2845)', NULL, 'DUF2845', NULL, NULL, NULL, 6),
(5881, NULL, 'PF09904', NULL, NULL, 'Winged helix-turn helix', NULL, 'HTH_43', NULL, NULL, NULL, 6),
(5882, NULL, 'PF08598', NULL, NULL, 'Sds3-like', NULL, 'Sds3', NULL, NULL, NULL, 6),
(5883, NULL, 'PF15561', NULL, NULL, 'Immunity protein 15', NULL, 'Imm15', NULL, NULL, NULL, 6),
(5884, NULL, 'PF09481', NULL, NULL, 'CRISPR-associated protein Cse1 (CRISPR_cse1)', NULL, 'CRISPR_Cse1', NULL, NULL, NULL, 6),
(5885, NULL, 'PF15724', NULL, NULL, 'TMEM119 family', NULL, 'TMEM119', NULL, NULL, NULL, 6),
(5886, NULL, 'PF11821', NULL, NULL, 'Protein of unknown function (DUF3341)', NULL, 'DUF3341', NULL, NULL, NULL, 6),
(5887, NULL, 'PF15805', NULL, NULL, 'Acidic C-terminal region of sodium channel modifier 1 SCNM1', NULL, 'SCNM1_acidic', NULL, NULL, NULL, 6),
(5888, NULL, 'PF16875', NULL, NULL, 'Glycosyl hydrolase family 36 N-terminal domain', NULL, 'Glyco_hydro_36N', NULL, NULL, NULL, 6),
(5889, NULL, 'PF04415', NULL, NULL, 'Protein of unknown function (DUF515)', NULL, 'DUF515', NULL, NULL, NULL, 6),
(5890, NULL, 'PF16139', NULL, NULL, 'Domain of unknown function (DUF4847)', NULL, 'DUF4847', NULL, NULL, NULL, 6),
(5891, NULL, 'PF01613', NULL, NULL, 'Flavin reductase like domain', NULL, 'Flavin_Reduct', NULL, NULL, NULL, 6),
(5892, NULL, 'PF09255', NULL, NULL, 'Caf1 Capsule antigen', NULL, 'Antig_Caf1', NULL, NULL, NULL, 6),
(5893, NULL, 'PF18884', NULL, NULL, 'Bacterial TSP3 repeat', NULL, 'TSP3_bac', NULL, NULL, NULL, 6),
(5894, NULL, 'PF11787', NULL, NULL, 'Aft1 HRR domain', NULL, 'Aft1_HRR', NULL, NULL, NULL, 6),
(5895, NULL, 'PF04665', NULL, NULL, 'Poxvirus A32 protein', NULL, 'Pox_A32', NULL, NULL, NULL, 6),
(5896, NULL, 'PF07724', NULL, NULL, 'AAA domain (Cdc48 subfamily)', NULL, 'AAA_2', NULL, NULL, NULL, 6),
(5897, NULL, 'PF00624', NULL, NULL, 'Flocculin repeat', NULL, 'Flocculin', NULL, NULL, NULL, 6),
(5898, NULL, 'PF02718', NULL, NULL, 'Herpesvirus UL31-like protein', NULL, 'Herpes_UL31', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5899, NULL, 'PF13107', NULL, NULL, 'Protein of unknown function (DUF3964)', NULL, 'DUF3964', NULL, NULL, NULL, 6),
(5900, NULL, 'PF16997', NULL, NULL, 'Wap1 domain', NULL, 'Wap1', NULL, NULL, NULL, 6),
(5901, NULL, 'PF16093', NULL, NULL, 'Proteasome assembly chaperone 4', NULL, 'PAC4', NULL, NULL, NULL, 6),
(5902, NULL, 'PF11105', NULL, NULL, 'Arthropod cardioacceleratory peptide 2a', NULL, 'CCAP', NULL, NULL, NULL, 6),
(5903, NULL, 'PF18120', NULL, NULL, 'Domain of unknown function (DUF5597)', NULL, 'DUF5597', NULL, NULL, NULL, 6),
(5904, NULL, 'PF18471', NULL, NULL, 'Ribosomal L27 protein C-terminal domain', NULL, 'Ribosomal_L27_C', NULL, NULL, NULL, 6),
(5905, NULL, 'PF17585', NULL, NULL, 'Accessory recombination function protein', NULL, 'Phage_Arf', NULL, NULL, NULL, 6),
(5906, NULL, 'PF17093', NULL, NULL, 'Penicillin-binding protein N-terminus', NULL, 'PBP_N', NULL, NULL, NULL, 6),
(5907, NULL, 'PF13086', NULL, NULL, 'AAA domain', NULL, 'AAA_11', NULL, NULL, NULL, 6),
(5908, NULL, 'PF06294', NULL, NULL, 'CH-like domain in sperm protein', NULL, 'CH_2', NULL, NULL, NULL, 6),
(5909, NULL, 'PF09634', NULL, NULL, 'Protein of unknown function (DUF2025)', NULL, 'DUF2025', NULL, NULL, NULL, 6),
(5910, NULL, 'PF14515', NULL, NULL, 'Haem-oxygenase-associated N-terminal helices', NULL, 'HOASN', NULL, NULL, NULL, 6),
(5911, NULL, 'PF12485', NULL, NULL, 'Lymphocyte signaling adaptor protein', NULL, 'SLY', NULL, NULL, NULL, 6),
(5912, NULL, 'PF07273', NULL, NULL, 'Protein of unknown function (DUF1439)', NULL, 'DUF1439', NULL, NULL, NULL, 6),
(5913, NULL, 'PF16528', NULL, NULL, 'Exocyst component 84 C-terminal', NULL, 'Exo84_C', NULL, NULL, NULL, 6),
(5914, NULL, 'PF09515', NULL, NULL, 'Thiamine transporter protein (Thia_YuaJ)', NULL, 'Thia_YuaJ', NULL, NULL, NULL, 6),
(5915, NULL, 'PF15199', NULL, NULL, 'D-amino acid oxidase activator', NULL, 'DAOA', NULL, NULL, NULL, 6),
(5916, NULL, 'PF02974', NULL, NULL, 'Protease inhibitor Inh', NULL, 'Inh', NULL, NULL, NULL, 6),
(5917, NULL, 'PF00002', NULL, NULL, '7 transmembrane receptor (Secretin family)', NULL, '7tm_2', NULL, NULL, NULL, 6),
(5918, NULL, 'PF15769', NULL, NULL, 'Domain of unknown function (DUF4698)', NULL, 'DUF4698', NULL, NULL, NULL, 6),
(5919, NULL, 'PF17486', NULL, NULL, 'Cystine knot toxins', NULL, 'Cys_Knot_tox', NULL, NULL, NULL, 6),
(5920, NULL, 'PF13250', NULL, NULL, 'Domain of unknown function (DUF4041)', NULL, 'DUF4041', NULL, NULL, NULL, 6),
(5921, NULL, 'PF03305', NULL, NULL, 'Mycoplasma MG185/MG260 protein', NULL, 'Lipoprotein_X', NULL, NULL, NULL, 6),
(5922, NULL, 'PF02348', NULL, NULL, 'Cytidylyltransferase', NULL, 'CTP_transf_3', NULL, NULL, NULL, 6),
(5923, NULL, 'PF07379', NULL, NULL, 'Protein of unknown function (DUF1494)', NULL, 'DUF1494', NULL, NULL, NULL, 6),
(5924, NULL, 'PF01270', NULL, NULL, 'Glycosyl hydrolases family 8', NULL, 'Glyco_hydro_8', NULL, NULL, NULL, 6),
(5925, NULL, 'PF07795', NULL, NULL, 'Protein of unknown function (DUF1635)', NULL, 'DUF1635', NULL, NULL, NULL, 6),
(5926, NULL, 'PF12803', NULL, NULL, 'mRNA (guanine-7-)methyltransferase (G-7-MTase)', NULL, 'G-7-MTase', NULL, NULL, NULL, 6),
(5927, NULL, 'PF18844', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 2', NULL, 'baeRF_family2', NULL, NULL, NULL, 6),
(5928, NULL, 'PF17312', NULL, NULL, 'Bacteriocin helveticin-J', NULL, 'Helveticin_J', NULL, NULL, NULL, 6),
(5929, NULL, 'PF11389', NULL, NULL, 'Leptospira porin protein OmpL1', NULL, 'Porin_OmpL1', NULL, NULL, NULL, 6),
(5930, NULL, 'PF13442', NULL, NULL, 'Cytochrome C oxidase, cbb3-type, subunit III', NULL, 'Cytochrome_CBB3', NULL, NULL, NULL, 6),
(5931, NULL, 'PF11487', NULL, NULL, 'Type II restriction enzyme SfiI', NULL, 'RestrictionSfiI', NULL, NULL, NULL, 6),
(5932, NULL, 'PF10145', NULL, NULL, 'Phage-related minor tail protein', NULL, 'PhageMin_Tail', NULL, NULL, NULL, 6),
(5933, NULL, 'PF02494', NULL, NULL, 'HYR domain', NULL, 'HYR', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5934, NULL, 'PF02071', NULL, NULL, 'Aromatic-di-Alanine (AdAR) repeat', NULL, 'NSF', NULL, NULL, NULL, 6),
(5935, NULL, 'PF03201', NULL, NULL, 'H2-forming N5,N10-methylene-tetrahydromethanopterin dehydrogenase', NULL, 'HMD', NULL, NULL, NULL, 6),
(5936, NULL, 'PF03286', NULL, NULL, 'Pox virus Ag35 surface protein', NULL, 'Pox_Ag35', NULL, NULL, NULL, 6),
(5937, NULL, 'PF16824', NULL, NULL, 'C-terminal carbohydrate-binding module', NULL, 'CBM_26', NULL, NULL, NULL, 6),
(5938, NULL, 'PF02945', NULL, NULL, 'Recombination endonuclease VII', NULL, 'Endonuclease_7', NULL, NULL, NULL, 6),
(5939, NULL, 'PF04622', NULL, NULL, 'ERG2 and Sigma1 receptor like protein', NULL, 'ERG2_Sigma1R', NULL, NULL, NULL, 6),
(5940, NULL, 'PF06131', NULL, NULL, 'Schizosaccharomyces pombe repeat of unknown function (DUF963)', NULL, 'DUF963', NULL, NULL, NULL, 6),
(5941, NULL, 'PF13033', NULL, NULL, 'Protein of unknown function (DUF3894)', NULL, 'DUF3894', NULL, NULL, NULL, 6),
(5942, NULL, 'PF16304', NULL, NULL, 'Domain of unknown function (DUF4946)', NULL, 'DUF4946', NULL, NULL, NULL, 6),
(5943, NULL, 'PF03756', NULL, NULL, 'A-factor biosynthesis hotdog domain', NULL, 'AfsA', NULL, NULL, NULL, 6),
(5944, NULL, 'PF09343', NULL, NULL, 'Conserved hypothetical protein 2217 (DUF2460)', NULL, 'DUF2460', NULL, NULL, NULL, 6),
(5945, NULL, 'PF00172', NULL, NULL, 'Fungal Zn(2)-Cys(6) binuclear cluster domain', NULL, 'Zn_clus', NULL, NULL, NULL, 6),
(5946, NULL, 'PF03820', NULL, NULL, 'Sideroflexins', NULL, 'SFXNs', NULL, NULL, NULL, 6),
(5947, NULL, 'PF14278', NULL, NULL, 'Transcriptional regulator C-terminal region', NULL, 'TetR_C_8', NULL, NULL, NULL, 6),
(5948, NULL, 'PF19083', NULL, NULL, 'Family of unknown function (DUF5774)', NULL, 'DUF5774', NULL, NULL, NULL, 6),
(5949, NULL, 'PF02338', NULL, NULL, 'OTU-like cysteine protease', NULL, 'OTU', NULL, NULL, NULL, 6),
(5950, NULL, 'PF02013', NULL, NULL, 'Cellulose or protein binding domain', NULL, 'CBM_10', NULL, NULL, NULL, 6),
(5951, NULL, 'PF15081', NULL, NULL, 'Domain of unknown function (DUF4548)', NULL, 'DUF4548', NULL, NULL, NULL, 6),
(5952, NULL, 'PF18566', NULL, NULL, 'Linalool dehydratase/isomerase', NULL, 'Ldi', NULL, NULL, NULL, 6),
(5953, NULL, 'PF13686', NULL, NULL, 'DsrE/DsrF/DrsH-like family', NULL, 'DrsE_2', NULL, NULL, NULL, 6),
(5954, NULL, 'PF00985', NULL, NULL, 'Merozoite Surface Antigen 2 (MSA-2) family', NULL, 'MSA_2', NULL, NULL, NULL, 6),
(5955, NULL, 'PF01905', NULL, NULL, 'CRISPR-associated negative auto-regulator DevR/Csa2', NULL, 'DevR', NULL, NULL, NULL, 6),
(5956, NULL, 'PF00820', NULL, NULL, 'Borrelia lipoprotein', NULL, 'Lipoprotein_1', NULL, NULL, NULL, 6),
(5957, NULL, 'PF17309', NULL, NULL, 'Family of unknown function (DUF5356)', NULL, 'DUF5356', NULL, NULL, NULL, 6),
(5958, NULL, 'PF18411', NULL, NULL, 'Annexin-like domain', NULL, 'Annexin_like', NULL, NULL, NULL, 6),
(5959, NULL, 'PF03722', NULL, NULL, 'Hemocyanin, all-alpha domain', NULL, 'Hemocyanin_N', NULL, NULL, NULL, 6),
(5960, NULL, 'PF18117', NULL, NULL, 'Enhanced disease susceptibility 1 protein EP domain', NULL, 'EDS1_EP', NULL, NULL, NULL, 6),
(5961, NULL, 'PF12669', NULL, NULL, 'FeoB-associated Cys-rich membrane protein', NULL, 'FeoB_associated', NULL, NULL, NULL, 6),
(5962, NULL, 'PF05875', NULL, NULL, 'Ceramidase', NULL, 'Ceramidase', NULL, NULL, NULL, 6),
(5963, NULL, 'PF02831', NULL, NULL, 'gpW', NULL, 'gpW', NULL, NULL, NULL, 6),
(5964, NULL, 'PF18258', NULL, NULL, 'Interleukin-4 inducing immunoglobulin-binding domain', NULL, 'IL4_i_Ig', NULL, NULL, NULL, 6),
(5965, NULL, 'PF03934', NULL, NULL, 'Type II secretion system (T2SS), protein K', NULL, 'T2SSK', NULL, NULL, NULL, 6),
(5966, NULL, 'PF11000', NULL, NULL, 'Protein of unknown function (DUF2840)', NULL, 'DUF2840', NULL, NULL, NULL, 6),
(5967, NULL, 'PF12409', NULL, NULL, 'P5-type ATPase cation transporter', NULL, 'P5-ATPase', NULL, NULL, NULL, 6),
(5968, NULL, 'PF10853', NULL, NULL, 'Protein of unknown function (DUF2650)', NULL, 'DUF2650', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(5969, NULL, 'PF11163', NULL, NULL, 'Protein of unknown function (DUF2947)', NULL, 'DUF2947', NULL, NULL, NULL, 6),
(5970, NULL, 'PF00711', NULL, NULL, 'Beta defensin', NULL, 'Defensin_beta', NULL, NULL, NULL, 6),
(5971, NULL, 'PF17816', NULL, NULL, 'PDZ domain', NULL, 'PDZ_4', NULL, NULL, NULL, 6),
(5972, NULL, 'PF13764', NULL, NULL, 'E3 ubiquitin-protein ligase UBR4', NULL, 'E3_UbLigase_R4', NULL, NULL, NULL, 6),
(5973, NULL, 'PF10288', NULL, NULL, 'Cytoplasmic tRNA 2-thiolation protein 2', NULL, 'CTU2', NULL, NULL, NULL, 6),
(5974, NULL, 'PF16154', NULL, NULL, 'Domain of unknown function (DUF4862)', NULL, 'DUF4862', NULL, NULL, NULL, 6),
(5975, NULL, 'PF11568', NULL, NULL, 'Mediator complex subunit 29', NULL, 'Med29', NULL, NULL, NULL, 6),
(5976, NULL, 'PF14752', NULL, NULL, 'Retinol binding protein receptor', NULL, 'RBP_receptor', NULL, NULL, NULL, 6),
(5977, NULL, 'PF03715', NULL, NULL, 'Noc2p family', NULL, 'Noc2', NULL, NULL, NULL, 6),
(5978, NULL, 'PF03299', NULL, NULL, 'Transcription factor AP-2', NULL, 'TF_AP-2', NULL, NULL, NULL, 6),
(5979, NULL, 'PF00350', NULL, NULL, 'Dynamin family', NULL, 'Dynamin_N', NULL, NULL, NULL, 6),
(5980, NULL, 'PF08282', NULL, NULL, 'haloacid dehalogenase-like hydrolase', NULL, 'Hydrolase_3', NULL, NULL, NULL, 6),
(5981, NULL, 'PF06771', NULL, NULL, 'Viral Desmoplakin N-terminus', NULL, 'Desmo_N', NULL, NULL, NULL, 6),
(5982, NULL, 'PF14523', NULL, NULL, 'Syntaxin-like protein', NULL, 'Syntaxin_2', NULL, NULL, NULL, 6),
(5983, NULL, 'PF16099', NULL, NULL, 'Recq-mediated genome instability protein 1, C-terminal OB-fold', NULL, 'RMI1_C', NULL, NULL, NULL, 6),
(5984, NULL, 'PF07380', NULL, NULL, 'Pneumovirus M2 protein', NULL, 'Pneumo_M2', NULL, NULL, NULL, 6),
(5985, NULL, 'PF11065', NULL, NULL, 'Protein of unknown function (DUF2866)', NULL, 'DUF2866', NULL, NULL, NULL, 6),
(5986, NULL, 'PF10164', NULL, NULL, 'Uncharacterized conserved protein (DUF2367)', NULL, 'DUF2367', NULL, NULL, NULL, 6),
(5987, NULL, 'PF02429', NULL, NULL, 'Peridinin-chlorophyll A binding protein', NULL, 'PCP', NULL, NULL, NULL, 6),
(5988, NULL, 'PF11076', NULL, NULL, 'Putative inner membrane protein YbhQ', NULL, 'YbhQ', NULL, NULL, NULL, 6),
(5989, NULL, 'PF06942', NULL, NULL, 'GlpM protein', NULL, 'GlpM', NULL, NULL, NULL, 6),
(5990, NULL, 'PF09257', NULL, NULL, 'BCMA, TALL-1 binding', NULL, 'BCMA-Tall_bind', NULL, NULL, NULL, 6),
(5991, NULL, 'PF09205', NULL, NULL, 'Domain of unknown function (DUF1955)', NULL, 'DUF1955', NULL, NULL, NULL, 6),
(5992, NULL, 'PF12579', NULL, NULL, 'Protein of unknown function (DUF3755)', NULL, 'DUF3755', NULL, NULL, NULL, 6),
(5993, NULL, 'PF09431', NULL, NULL, 'Protein of unknown function (DUF2013)', NULL, 'DUF2013', NULL, NULL, NULL, 6),
(5994, NULL, 'PF13793', NULL, NULL, 'N-terminal domain of ribose phosphate pyrophosphokinase', NULL, 'Pribosyltran_N', NULL, NULL, NULL, 6),
(5995, NULL, 'PF17884', NULL, NULL, 'Domain of unknown function (DUF5591)', NULL, 'DUF5591', NULL, NULL, NULL, 6),
(5996, NULL, 'PF03074', NULL, NULL, 'Glutamate-cysteine ligase', NULL, 'GCS', NULL, NULL, NULL, 6),
(5997, NULL, 'PF08789', NULL, NULL, 'PBCV-specific basic adaptor domain', NULL, 'PBCV_basic_adap', NULL, NULL, NULL, 6),
(5998, NULL, 'PF14299', NULL, NULL, 'Phloem protein 2', NULL, 'PP2', NULL, NULL, NULL, 6),
(5999, NULL, 'PF10099', NULL, NULL, 'Anti-sigma-K factor rskA', NULL, 'RskA', NULL, NULL, NULL, 6),
(6000, NULL, 'PF10030', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2272)', NULL, 'DUF2272', NULL, NULL, NULL, 6),
(6001, NULL, 'PF18953', NULL, NULL, 'SAP domain-containing new25', NULL, 'SAP_new25', NULL, NULL, NULL, 6),
(6002, NULL, 'PF11698', NULL, NULL, 'V-ATPase subunit H', NULL, 'V-ATPase_H_C', NULL, NULL, NULL, 6),
(6003, NULL, 'PF06411', NULL, NULL, 'HdeA/HdeB family', NULL, 'HdeA', NULL, NULL, NULL, 6),
(6004, NULL, 'PF04614', NULL, NULL, 'Pex19 protein family', NULL, 'Pex19', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6005, NULL, 'PF09084', NULL, NULL, 'NMT1/THI5 like', NULL, 'NMT1', NULL, NULL, NULL, 6),
(6006, NULL, 'PF08846', NULL, NULL, 'Domain of unknown function (DUF1816)', NULL, 'DUF1816', NULL, NULL, NULL, 6),
(6007, NULL, 'PF17095', NULL, NULL, 'Spectrin-binding region of Ca2+-Calmodulin', NULL, 'CAMSAP_CC1', NULL, NULL, NULL, 6),
(6008, NULL, 'PF03836', NULL, NULL, 'RasGAP C-terminus', NULL, 'RasGAP_C', NULL, NULL, NULL, 6),
(6009, NULL, 'PF08456', NULL, NULL, 'Viral methyltransferase C-terminal', NULL, 'Vmethyltransf_C', NULL, NULL, NULL, 6),
(6010, NULL, 'PF00771', NULL, NULL, 'FHIPEP family', NULL, 'FHIPEP', NULL, NULL, NULL, 6),
(6011, NULL, 'PF06152', NULL, NULL, 'Phage minor capsid protein 2', NULL, 'Phage_min_cap2', NULL, NULL, NULL, 6),
(6012, NULL, 'PF01297', NULL, NULL, 'Zinc-uptake complex component A periplasmic', NULL, 'ZnuA', NULL, NULL, NULL, 6),
(6013, NULL, 'PF03878', NULL, NULL, 'YIF1', NULL, 'YIF1', NULL, NULL, NULL, 6),
(6014, NULL, 'PF07224', NULL, NULL, 'Chlorophyllase', NULL, 'Chlorophyllase', NULL, NULL, NULL, 6),
(6015, NULL, 'PF18572', NULL, NULL, 'Trehalose-6-phosphate phosphatase N-terminal helical bundle domain', NULL, 'T6PP_N', NULL, NULL, NULL, 6),
(6016, NULL, 'PF10111', NULL, NULL, 'Glycosyltransferase like family 2', NULL, 'Glyco_tranf_2_2', NULL, NULL, NULL, 6),
(6017, NULL, 'PF07850', NULL, NULL, 'Renin receptor-like protein', NULL, 'Renin_r', NULL, NULL, NULL, 6),
(6018, NULL, 'PF04472', NULL, NULL, 'Cell division protein SepF', NULL, 'SepF', NULL, NULL, NULL, 6),
(6019, NULL, 'PF14153', NULL, NULL, 'Spore coat protein CotO', NULL, 'Spore_coat_CotO', NULL, NULL, NULL, 6),
(6020, NULL, 'PF19130', NULL, NULL, 'Family of unknown function (DUF5813)', NULL, 'DUF5813', NULL, NULL, NULL, 6),
(6021, NULL, 'PF10261', NULL, NULL, 'Inositol phospholipid synthesis and fat-storage-inducing TM', NULL, 'Scs3p', NULL, NULL, NULL, 6),
(6022, NULL, 'PF14864', NULL, NULL, 'Alkyl sulfatase C-terminal', NULL, 'Alkyl_sulf_C', NULL, NULL, NULL, 6),
(6023, NULL, 'PF16584', NULL, NULL, 'Outer membrane lipoprotein carrier protein LolA', NULL, 'LolA_2', NULL, NULL, NULL, 6),
(6024, NULL, 'PF16961', NULL, NULL, 'Putative OmpA-OmpF-like porin family', NULL, 'OmpA_like', NULL, NULL, NULL, 6),
(6025, NULL, 'PF10307', NULL, NULL, 'HAD domain family 1 in Swiss Army Knife RNA repair proteins', NULL, 'HAD_SAK_1', NULL, NULL, NULL, 6),
(6026, NULL, 'PF17930', NULL, NULL, 'LpxI N-terminal domain', NULL, 'LpxI_N', NULL, NULL, NULL, 6),
(6027, NULL, 'PF08756', NULL, NULL, 'YfkB-like domain', NULL, 'YfkB', NULL, NULL, NULL, 6),
(6028, NULL, 'PF13425', NULL, NULL, 'O-antigen ligase like membrane protein', NULL, 'O-antigen_lig', NULL, NULL, NULL, 6),
(6029, NULL, 'PF05006', NULL, NULL, 'Per os infectivity factor 3', NULL, 'PIF3', NULL, NULL, NULL, 6),
(6030, NULL, 'PF11138', NULL, NULL, 'Protein of unknown function (DUF2911)', NULL, 'DUF2911', NULL, NULL, NULL, 6),
(6031, NULL, 'PF13895', NULL, NULL, 'Immunoglobulin domain', NULL, 'Ig_2', NULL, NULL, NULL, 6),
(6032, NULL, 'PF15581', NULL, NULL, 'Immunity protein 58', NULL, 'Imm58', NULL, NULL, NULL, 6),
(6033, NULL, 'PF08258', NULL, NULL, 'WWamide peptide', NULL, 'WWamide', NULL, NULL, NULL, 6),
(6034, NULL, 'PF05733', NULL, NULL, 'Tenuivirus/Phlebovirus nucleocapsid protein', NULL, 'Tenui_N', NULL, NULL, NULL, 6),
(6035, NULL, 'PF14302', NULL, NULL, 'Domain of unknown function (DUF4377)', NULL, 'DUF4377', NULL, NULL, NULL, 6),
(6036, NULL, 'PF18609', NULL, NULL, 'Exuperantia SAM-like domain', NULL, 'SAM_Exu', NULL, NULL, NULL, 6),
(6037, NULL, 'PF10163', NULL, NULL, 'Transcription factor e(y)2', NULL, 'EnY2', NULL, NULL, NULL, 6),
(6038, NULL, 'PF11686', NULL, NULL, 'Protein of unknown function (DUF3283)', NULL, 'DUF3283', NULL, NULL, NULL, 6),
(6039, NULL, 'PF16877', NULL, NULL, 'Domain of unknown function (DUF5078)', NULL, 'DUF5078', NULL, NULL, NULL, 6),
(6040, NULL, 'PF10244', NULL, NULL, 'Mitochondrial ribosomal subunit', NULL, 'MRP-L51', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6041, NULL, 'PF07297', NULL, NULL, 'Dolichol phosphate-mannose biosynthesis regulatory protein (DPM2)', NULL, 'DPM2', NULL, NULL, NULL, 6),
(6042, NULL, 'PF13783', NULL, NULL, 'Domain of unknown function (DUF4177)', NULL, 'DUF4177', NULL, NULL, NULL, 6),
(6043, NULL, 'PF11620', NULL, NULL, 'GA-binding protein alpha chain', NULL, 'GABP-alpha', NULL, NULL, NULL, 6),
(6044, NULL, 'PF08830', NULL, NULL, 'Protein of unknown function (DUF1806)', NULL, 'DUF1806', NULL, NULL, NULL, 6),
(6045, NULL, 'PF06554', NULL, NULL, 'Olfactory marker protein', NULL, 'Olfactory_mark', NULL, NULL, NULL, 6),
(6046, NULL, 'PF05112', NULL, NULL, 'Baculovirus P47 protein', NULL, 'Baculo_p47', NULL, NULL, NULL, 6),
(6047, NULL, 'PF13298', NULL, NULL, 'DNA polymerase Ligase (LigD)', NULL, 'LigD_N', NULL, NULL, NULL, 6),
(6048, NULL, 'PF02947', NULL, NULL, 'flt3 ligand', NULL, 'Flt3_lig', NULL, NULL, NULL, 6),
(6049, NULL, 'PF16673', NULL, NULL, 'TNF receptor-associated factor BIRC3 binding domain', NULL, 'TRAF_BIRC3_bd', NULL, NULL, NULL, 6),
(6050, NULL, 'PF06006', NULL, NULL, 'Bacterial protein of unknown function (DUF905)', NULL, 'DUF905', NULL, NULL, NULL, 6),
(6051, NULL, 'PF10110', NULL, NULL, 'Membrane domain of glycerophosphoryl diester phosphodiesterase', NULL, 'GPDPase_memb', NULL, NULL, NULL, 6),
(6052, NULL, 'PF14094', NULL, NULL, 'Domain of unknown function (DUF4272)', NULL, 'DUF4272', NULL, NULL, NULL, 6),
(6053, NULL, 'PF02337', NULL, NULL, 'Retroviral GAG p10 protein', NULL, 'Gag_p10', NULL, NULL, NULL, 6),
(6054, NULL, 'PF17146', NULL, NULL, 'PIN domain of ribonuclease', NULL, 'PIN_6', NULL, NULL, NULL, 6),
(6055, NULL, 'PF03035', NULL, NULL, 'Calicivirus putative RNA polymerase/capsid protein', NULL, 'RNA_capsid', NULL, NULL, NULL, 6),
(6056, NULL, 'PF17144', NULL, NULL, 'Ribosomal large subunit proteins 60S L5, and 50S L18', NULL, 'Ribosomal_L5e', NULL, NULL, NULL, 6),
(6057, NULL, 'PF15601', NULL, NULL, 'Immunity protein 70', NULL, 'Imm70', NULL, NULL, NULL, 6),
(6058, NULL, 'PF09050', NULL, NULL, 'Stannin unstructured linker', NULL, 'SNN_linker', NULL, NULL, NULL, 6),
(6059, NULL, 'PF02994', NULL, NULL, 'L1 transposable element RBD-like domain', NULL, 'Transposase_22', NULL, NULL, NULL, 6),
(6060, NULL, 'PF09422', NULL, NULL, 'WTX protein', NULL, 'WTX', NULL, NULL, NULL, 6),
(6061, NULL, 'PF08107', NULL, NULL, 'Pleurocidin family', NULL, 'Antimicrobial12', NULL, NULL, NULL, 6),
(6062, NULL, 'PF00842', NULL, NULL, 'Alanine racemase, C-terminal domain', NULL, 'Ala_racemase_C', NULL, NULL, NULL, 6),
(6063, NULL, 'PF02344', NULL, NULL, 'Myc leucine zipper domain', NULL, 'Myc-LZ', NULL, NULL, NULL, 6),
(6064, NULL, 'PF07410', NULL, NULL, 'Streptococcus thermophilus bacteriophage Gp111 protein', NULL, 'Phage_Gp111', NULL, NULL, NULL, 6),
(6065, NULL, 'PF15735', NULL, NULL, 'Domain of unknown function (DUF4683)', NULL, 'DUF4683', NULL, NULL, NULL, 6),
(6066, NULL, 'PF07213', NULL, NULL, 'DAP10 membrane protein', NULL, 'DAP10', NULL, NULL, NULL, 6),
(6067, NULL, 'PF11523', NULL, NULL, 'Protein of unknown function (DUF3223)', NULL, 'DUF3223', NULL, NULL, NULL, 6),
(6068, NULL, 'PF14988', NULL, NULL, 'Domain of unknown function (DUF4515)', NULL, 'DUF4515', NULL, NULL, NULL, 6),
(6069, NULL, 'PF01904', NULL, NULL, 'Protein of unknown function DUF72', NULL, 'DUF72', NULL, NULL, NULL, 6),
(6070, NULL, 'PF05578', NULL, NULL, 'Pestivirus NS3 polyprotein peptidase S31', NULL, 'Peptidase_S31', NULL, NULL, NULL, 6),
(6071, NULL, 'PF06148', NULL, NULL, 'COG (conserved oligomeric Golgi) complex component, COG2', NULL, 'COG2', NULL, NULL, NULL, 6),
(6072, NULL, 'PF11253', NULL, NULL, 'Protein of unknown function (DUF3052)', NULL, 'DUF3052', NULL, NULL, NULL, 6),
(6073, NULL, 'PF05586', NULL, NULL, 'Anthrax receptor C-terminus region', NULL, 'Ant_C', NULL, NULL, NULL, 6),
(6074, NULL, 'PF06597', NULL, NULL, 'Clostridium P-47 protein', NULL, 'Clostridium_P47', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6075, NULL, 'PF06281', NULL, NULL, 'Protein of unknown function (DUF1035)', NULL, 'DUF1035', NULL, NULL, NULL, 6),
(6076, NULL, 'PF14914', NULL, NULL, 'LRRC37A/B like protein 1 C-terminal domain', NULL, 'LRRC37AB_C', NULL, NULL, NULL, 6),
(6077, NULL, 'PF01121', NULL, NULL, 'Dephospho-CoA kinase', NULL, 'CoaE', NULL, NULL, NULL, 6),
(6078, NULL, 'PF13200', NULL, NULL, 'Putative glycosyl hydrolase domain', NULL, 'DUF4015', NULL, NULL, NULL, 6),
(6079, NULL, 'PF00970', NULL, NULL, 'Oxidoreductase FAD-binding domain', NULL, 'FAD_binding_6', NULL, NULL, NULL, 6),
(6080, NULL, 'PF10733', NULL, NULL, 'Protein of unknown function (DUF2525)', NULL, 'DUF2525', NULL, NULL, NULL, 6),
(6081, NULL, 'PF01824', NULL, NULL, 'MatK/TrnK amino terminal region', NULL, 'MatK_N', NULL, NULL, NULL, 6),
(6082, NULL, 'PF03410', NULL, NULL, 'Metallopeptidase from vaccinia pox', NULL, 'Peptidase_M44', NULL, NULL, NULL, 6),
(6083, NULL, 'PF04525', NULL, NULL, 'LURP-one-related', NULL, 'LOR', NULL, NULL, NULL, 6),
(6084, NULL, 'PF05117', NULL, NULL, 'Family of unknown function (DUF695)', NULL, 'DUF695', NULL, NULL, NULL, 6),
(6085, NULL, 'PF04131', NULL, NULL, 'Putative N-acetylmannosamine-6-phosphate epimerase', NULL, 'NanE', NULL, NULL, NULL, 6),
(6086, NULL, 'PF04111', NULL, NULL, 'Apg6 BARA domain', NULL, 'APG6', NULL, NULL, NULL, 6),
(6087, NULL, 'PF07065', NULL, NULL, 'D123', NULL, 'D123', NULL, NULL, NULL, 6),
(6088, NULL, 'PF07535', NULL, NULL, 'DBF zinc finger', NULL, 'zf-DBF', NULL, NULL, NULL, 6),
(6089, NULL, 'PF18238', NULL, NULL, 'LnmK N-terminal Hot Dog Fold domain', NULL, 'LnmK_N_HDF', NULL, NULL, NULL, 6),
(6090, NULL, 'PF00382', NULL, NULL, 'Transcription factor TFIIB repeat', NULL, 'TFIIB', NULL, NULL, NULL, 6),
(6091, NULL, 'PF00726', NULL, NULL, 'Interleukin 10', NULL, 'IL10', NULL, NULL, NULL, 6),
(6092, NULL, 'PF16908', NULL, NULL, 'Vacuolar sorting-associated protein 13, N-terminal', NULL, 'VPS13', NULL, NULL, NULL, 6),
(6093, NULL, 'PF11646', NULL, NULL, 'Protein of unknown function DUF3258', NULL, 'DUF3258', NULL, NULL, NULL, 6),
(6094, NULL, 'PF07455', NULL, NULL, 'Phage polarity suppression protein (Psu)', NULL, 'Psu', NULL, NULL, NULL, 6),
(6095, NULL, 'PF17413', NULL, NULL, 'Outer membrane lipoprotein virB7', NULL, 'VirB7', NULL, NULL, NULL, 6),
(6096, NULL, 'PF04207', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit D', NULL, 'MtrD', NULL, NULL, NULL, 6),
(6097, NULL, 'PF00145', NULL, NULL, 'C-5 cytosine-specific DNA methylase', NULL, 'DNA_methylase', NULL, NULL, NULL, 6),
(6098, NULL, 'PF09226', NULL, NULL, 'Restriction endonuclease HincII', NULL, 'Endonuc-HincII', NULL, NULL, NULL, 6),
(6099, NULL, 'PF16492', NULL, NULL, 'Cadherin cytoplasmic C-terminal', NULL, 'Cadherin_C_2', NULL, NULL, NULL, 6),
(6100, NULL, 'PF09109', NULL, NULL, 'Switch protein XOL-1, GHMP-like', NULL, 'Xol-1_GHMP-like', NULL, NULL, NULL, 6),
(6101, NULL, 'PF02982', NULL, NULL, 'Scytalone dehydratase', NULL, 'Scytalone_dh', NULL, NULL, NULL, 6),
(6102, NULL, 'PF05272', NULL, NULL, 'Virulence-associated protein E', NULL, 'VirE', NULL, NULL, NULL, 6),
(6103, NULL, 'PF02739', NULL, NULL, '5''-3'' exonuclease, N-terminal resolvase-like domain', NULL, '5_3_exonuc_N', NULL, NULL, NULL, 6),
(6104, NULL, 'PF09523', NULL, NULL, 'Protein of unknown function (DUF2390)', NULL, 'DUF2390', NULL, NULL, NULL, 6),
(6105, NULL, 'PF15120', NULL, NULL, 'Sperm acrosome-associated protein 9', NULL, 'SPACA9', NULL, NULL, NULL, 6),
(6106, NULL, 'PF11236', NULL, NULL, 'Protein of unknown function (DUF3037)', NULL, 'DUF3037', NULL, NULL, NULL, 6),
(6107, NULL, 'PF00158', NULL, NULL, 'Sigma-54 interaction domain', NULL, 'Sigma54_activat', NULL, NULL, NULL, 6),
(6108, NULL, 'PF17483', NULL, NULL, 'C-lobe handle domain of Tf-binding protein B', NULL, 'TbpB_C', NULL, NULL, NULL, 6),
(6109, NULL, 'PF15475', NULL, NULL, 'Transmembrane protein C12orf23, UPF0444', NULL, 'UPF0444', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6110, NULL, 'PF02471', NULL, NULL, 'Borrelia outer surface protein E', NULL, 'OspE', NULL, NULL, NULL, 6),
(6111, NULL, 'PF10917', NULL, NULL, 'Fungus-induced protein', NULL, 'Fungus-induced', NULL, NULL, NULL, 6),
(6112, NULL, 'PF04832', NULL, NULL, 'SOUL heme-binding protein', NULL, 'SOUL', NULL, NULL, NULL, 6),
(6113, NULL, 'PF13338', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin', NULL, 'AbiEi_4', NULL, NULL, NULL, 6),
(6114, NULL, 'PF16718', NULL, NULL, 'Immunity factor for SPN', NULL, 'IFS', NULL, NULL, NULL, 6),
(6115, NULL, 'PF02460', NULL, NULL, 'Patched family', NULL, 'Patched', NULL, NULL, NULL, 6),
(6116, NULL, 'PF11777', NULL, NULL, 'Protein of unknown function (DUF3316)', NULL, 'DUF3316', NULL, NULL, NULL, 6),
(6117, NULL, 'PF04574', NULL, NULL, 'Protein of unknown function (DUF592)', NULL, 'DUF592', NULL, NULL, NULL, 6),
(6118, NULL, 'PF12283', NULL, NULL, 'Bacteriophage protein K', NULL, 'Protein_K', NULL, NULL, NULL, 6),
(6119, NULL, 'PF13559', NULL, NULL, 'Domain of unknown function (DUF4129)', NULL, 'DUF4129', NULL, NULL, NULL, 6),
(6120, NULL, 'PF15705', NULL, NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, N-term', NULL, 'TMEM132D_N', NULL, NULL, NULL, 6),
(6121, NULL, 'PF04057', NULL, NULL, 'Replication factor-A protein 1, N-terminal domain', NULL, 'Rep-A_N', NULL, NULL, NULL, 6),
(6122, NULL, 'PF07293', NULL, NULL, 'Protein of unknown function (DUF1450)', NULL, 'DUF1450', NULL, NULL, NULL, 6),
(6123, NULL, 'PF15967', NULL, NULL, 'Nucleoporin FG repeated region', NULL, 'Nucleoporin_FG2', NULL, NULL, NULL, 6),
(6124, NULL, 'PF01469', NULL, NULL, 'Pentapeptide repeats (8 copies)', NULL, 'Pentapeptide_2', NULL, NULL, NULL, 6),
(6125, NULL, 'PF12137', NULL, NULL, 'RNA polymerase recycling family C-terminal', NULL, 'RapA_C', NULL, NULL, NULL, 6),
(6126, NULL, 'PF05589', NULL, NULL, 'Protein of unknown function (DUF768)', NULL, 'DUF768', NULL, NULL, NULL, 6),
(6127, NULL, 'PF07313', NULL, NULL, 'Protein of unknown function (DUF1460)', NULL, 'DUF1460', NULL, NULL, NULL, 6),
(6128, NULL, 'PF02900', NULL, NULL, 'Catalytic LigB subunit of aromatic ring-opening dioxygenase', NULL, 'LigB', NULL, NULL, NULL, 6),
(6129, NULL, 'PF16501', NULL, NULL, 'S phase cyclin A-associated protein in the endoplasmic reticulum', NULL, 'SCAPER_N', NULL, NULL, NULL, 6),
(6130, NULL, 'PF16011', NULL, NULL, 'Carbohydrate-binding family 9', NULL, 'CBM9_2', NULL, NULL, NULL, 6),
(6131, NULL, 'PF04107', NULL, NULL, 'Glutamate-cysteine ligase family 2(GCS2)', NULL, 'GCS2', NULL, NULL, NULL, 6),
(6132, NULL, 'PF02911', NULL, NULL, 'Formyl transferase, C-terminal domain', NULL, 'Formyl_trans_C', NULL, NULL, NULL, 6),
(6133, NULL, 'PF01797', NULL, NULL, 'Transposase IS200 like', NULL, 'Y1_Tnp', NULL, NULL, NULL, 6),
(6134, NULL, 'PF16117', NULL, NULL, 'Domain of unknown function (DUF4833)', NULL, 'DUF4833', NULL, NULL, NULL, 6),
(6135, NULL, 'PF12445', NULL, NULL, 'Flagellin protein', NULL, 'FliC', NULL, NULL, NULL, 6),
(6136, NULL, 'PF06456', NULL, NULL, 'Arfaptin-like domain', NULL, 'Arfaptin', NULL, NULL, NULL, 6),
(6137, NULL, 'PF19070', NULL, NULL, 'Family of unknown function (DUF5766)', NULL, 'DUF5766', NULL, NULL, NULL, 6),
(6138, NULL, 'PF17051', NULL, NULL, 'Cytochrome C oxidase assembly factor 2', NULL, 'COA2', NULL, NULL, NULL, 6),
(6139, NULL, 'PF04259', NULL, NULL, 'Small, acid-soluble spore protein, gamma-type', NULL, 'SASP_gamma', NULL, NULL, NULL, 6),
(6140, NULL, 'PF04993', NULL, NULL, 'TfoX N-terminal domain', NULL, 'TfoX_N', NULL, NULL, NULL, 6),
(6141, NULL, 'PF08480', NULL, NULL, 'Disaggregatase related', NULL, 'Disaggr_assoc', NULL, NULL, NULL, 6),
(6142, NULL, 'PF06094', NULL, NULL, 'Gamma-glutamyl cyclotransferase, AIG2-like', NULL, 'GGACT', NULL, NULL, NULL, 6),
(6143, NULL, 'PF15996', NULL, NULL, 'Arginine/serine-rich protein PNISR', NULL, 'PNISR', NULL, NULL, NULL, 6),
(6144, NULL, 'PF09948', NULL, NULL, 'Predicted metal-binding integral membrane protein (DUF2182)', NULL, 'DUF2182', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6145, NULL, 'PF11327', NULL, NULL, 'Egh16-like virulence factor', NULL, 'Egh16-like', NULL, NULL, NULL, 6),
(6146, NULL, 'PF12111', NULL, NULL, 'Polyribonucleotide phosphorylase C terminal', NULL, 'PNPase_C', NULL, NULL, NULL, 6),
(6147, NULL, 'PF08564', NULL, NULL, 'Cdc37 C terminal domain', NULL, 'CDC37_C', NULL, NULL, NULL, 6),
(6148, NULL, 'PF05826', NULL, NULL, 'Phospholipase A2', NULL, 'Phospholip_A2_2', NULL, NULL, NULL, 6),
(6149, NULL, 'PF17834', NULL, NULL, 'Beta-sandwich domain in beta galactosidase', NULL, 'GHD', NULL, NULL, NULL, 6),
(6150, NULL, 'PF00467', NULL, NULL, 'KOW motif', NULL, 'KOW', NULL, NULL, NULL, 6),
(6151, NULL, 'PF00967', NULL, NULL, 'Barwin family', NULL, 'Barwin', NULL, NULL, NULL, 6),
(6152, NULL, 'PF19107', NULL, NULL, 'Family of unknown function (DUF5794)', NULL, 'DUF5794', NULL, NULL, NULL, 6),
(6153, NULL, 'PF12969', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3857)', NULL, 'DUF3857', NULL, NULL, NULL, 6),
(6154, NULL, 'PF15147', NULL, NULL, 'Domain of unknown function (DUF4578)', NULL, 'DUF4578', NULL, NULL, NULL, 6),
(6155, NULL, 'PF13955', NULL, NULL, 'Toxin Fst, type I toxin-antitoxin system', NULL, 'Fst_toxin', NULL, NULL, NULL, 6),
(6156, NULL, 'PF09325', NULL, NULL, 'Vps5 C terminal like', NULL, 'Vps5', NULL, NULL, NULL, 6),
(6157, NULL, 'PF16201', NULL, NULL, 'Nucleolar pre-ribosomal-associated protein 1', NULL, 'NopRA1', NULL, NULL, NULL, 6),
(6158, NULL, 'PF14113', NULL, NULL, 'Type VI secretion system (T6SS), amidase effector protein 4', NULL, 'Tae4', NULL, NULL, NULL, 6),
(6159, NULL, 'PF09101', NULL, NULL, 'Exotoxin A binding', NULL, 'Exotox-A_bind', NULL, NULL, NULL, 6),
(6160, NULL, 'PF00406', NULL, NULL, 'Adenylate kinase', NULL, 'ADK', NULL, NULL, NULL, 6),
(6161, NULL, 'PF06745', NULL, NULL, 'KaiC', NULL, 'ATPase', NULL, NULL, NULL, 6),
(6162, NULL, 'PF17573', NULL, NULL, 'GA-like domain', NULL, 'GA-like', NULL, NULL, NULL, 6),
(6163, NULL, 'PF17175', NULL, NULL, 'Modulator of levamisole receptor-1', NULL, 'MOLO1', NULL, NULL, NULL, 6),
(6164, NULL, 'PF16184', NULL, NULL, 'Cadherin-like', NULL, 'Cadherin_3', NULL, NULL, NULL, 6),
(6165, NULL, 'PF01023', NULL, NULL, 'S-100/ICaBP type calcium binding domain', NULL, 'S_100', NULL, NULL, NULL, 6),
(6166, NULL, 'PF16095', NULL, NULL, 'C-terminal of Roc, COR, domain', NULL, 'COR', NULL, NULL, NULL, 6),
(6167, NULL, 'PF16781', NULL, NULL, 'Domain of unknown function (DUF5068)', NULL, 'DUF5068', NULL, NULL, NULL, 6),
(6168, NULL, 'PF01523', NULL, NULL, 'Putative modulator of DNA gyrase', NULL, 'PmbA_TldD', NULL, NULL, NULL, 6),
(6169, NULL, 'PF01231', NULL, NULL, 'Indoleamine 2,3-dioxygenase', NULL, 'IDO', NULL, NULL, NULL, 6),
(6170, NULL, 'PF15972', NULL, NULL, 'Unpaired protein', NULL, 'Unpaired', NULL, NULL, NULL, 6),
(6171, NULL, 'PF08403', NULL, NULL, 'Amino acid permease N-terminal', NULL, 'AA_permease_N', NULL, NULL, NULL, 6),
(6172, NULL, 'PF17996', NULL, NULL, 'Carbohydrate esterase 2 N-terminal', NULL, 'CE2_N', NULL, NULL, NULL, 6),
(6173, NULL, 'PF15730', NULL, NULL, 'Domain of unknown function (DUF4680)', NULL, 'DUF4680', NULL, NULL, NULL, 6),
(6174, NULL, 'PF12527', NULL, NULL, 'Protein of unknown function (DUF3727)', NULL, 'DUF3727', NULL, NULL, NULL, 6),
(6175, NULL, 'PF07422', NULL, NULL, 'Sexual stage antigen s48/45 domain', NULL, 's48_45', NULL, NULL, NULL, 6),
(6176, NULL, 'PF14441', NULL, NULL, 'OTT_1508-like deaminase', NULL, 'OTT_1508_deam', NULL, NULL, NULL, 6),
(6177, NULL, 'PF14769', NULL, NULL, 'Flagellar C1a complex subunit C1a-32', NULL, 'CLAMP', NULL, NULL, NULL, 6),
(6178, NULL, 'PF10395', NULL, NULL, 'Utp8 family', NULL, 'Utp8', NULL, NULL, NULL, 6),
(6179, NULL, 'PF10086', NULL, NULL, 'YhfC intramembrane metalloprotease', NULL, 'YhfC', NULL, NULL, NULL, 6),
(6180, NULL, 'PF11948', NULL, NULL, 'Protein of unknown function (DUF3465)', NULL, 'DUF3465', NULL, NULL, NULL, 6),
(6181, NULL, 'PF01842', NULL, NULL, 'ACT domain', NULL, 'ACT', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6182, NULL, 'PF06802', NULL, NULL, 'Protein of unknown function (DUF1231)', NULL, 'DUF1231', NULL, NULL, NULL, 6),
(6183, NULL, 'PF17439', NULL, NULL, 'Family of unknown function (DUF5418)', NULL, 'DUF5418', NULL, NULL, NULL, 6),
(6184, NULL, 'PF02053', NULL, NULL, 'Gene 66 (IR5) protein', NULL, 'Gene66', NULL, NULL, NULL, 6),
(6185, NULL, 'PF01312', NULL, NULL, 'FlhB HrpN YscU SpaS Family', NULL, 'Bac_export_2', NULL, NULL, NULL, 6),
(6186, NULL, 'PF13747', NULL, NULL, 'Domain of unknown function (DUF4164)', NULL, 'DUF4164', NULL, NULL, NULL, 6),
(6187, NULL, 'PF11597', NULL, NULL, 'Mediator complex subunit 13 N-terminal', NULL, 'Med13_N', NULL, NULL, NULL, 6),
(6188, NULL, 'PF13922', NULL, NULL, 'PHD domain of transcriptional enhancer, Asx', NULL, 'PHD_3', NULL, NULL, NULL, 6),
(6189, NULL, 'PF13912', NULL, NULL, 'C2H2-type zinc finger', NULL, 'zf-C2H2_6', NULL, NULL, NULL, 6),
(6190, NULL, 'PF05273', NULL, NULL, 'Poxvirus RNA polymerase 22 kDa subunit', NULL, 'Pox_RNA_Pol_22', NULL, NULL, NULL, 6),
(6191, NULL, 'PF19022', NULL, NULL, 'Family of unknown function (DUF5748)', NULL, 'DUF5748', NULL, NULL, NULL, 6),
(6192, NULL, 'PF18070', NULL, NULL, 'CRISPR-Cas9 PI domain', NULL, 'Cas9_PI2', NULL, NULL, NULL, 6),
(6193, NULL, 'PF09771', NULL, NULL, 'Transmembrane protein 188', NULL, 'Tmemb_18A', NULL, NULL, NULL, 6),
(6194, NULL, 'PF08750', NULL, NULL, 'CNP1-like family', NULL, 'CNP1', NULL, NULL, NULL, 6),
(6195, NULL, 'PF07488', NULL, NULL, 'Glycosyl hydrolase family 67 middle domain', NULL, 'Glyco_hydro_67M', NULL, NULL, NULL, 6),
(6196, NULL, 'PF14619', NULL, NULL, 'Snf2-ATP coupling, chromatin remodelling complex', NULL, 'SnAC', NULL, NULL, NULL, 6),
(6197, NULL, 'PF15266', NULL, NULL, 'Domain of unknown function (DUF4594)', NULL, 'DUF4594', NULL, NULL, NULL, 6),
(6198, NULL, 'PF14819', NULL, NULL, 'Nitrile reductase, 7-cyano-7-deazaguanine-reductase N-term', NULL, 'QueF_N', NULL, NULL, NULL, 6),
(6199, NULL, 'PF12697', NULL, NULL, 'Alpha/beta hydrolase family', NULL, 'Abhydrolase_6', NULL, NULL, NULL, 6),
(6200, NULL, 'PF05688', NULL, NULL, 'Bacterial Immunoglobulin-like 21', NULL, 'BIg21', NULL, NULL, NULL, 6),
(6201, NULL, 'PF12640', NULL, NULL, 'UPF0489 domain', NULL, 'UPF0489', NULL, NULL, NULL, 6),
(6202, NULL, 'PF18902', NULL, NULL, 'Domain of unknown function (DUF5658)', NULL, 'DUF5658', NULL, NULL, NULL, 6),
(6203, NULL, 'PF10481', NULL, NULL, 'Cenp-F N-terminal domain', NULL, 'CENP-F_N', NULL, NULL, NULL, 6),
(6204, NULL, 'PF16704', NULL, NULL, 'Rab binding domain', NULL, 'Rab_bind', NULL, NULL, NULL, 6),
(6205, NULL, 'PF14675', NULL, NULL, 'FANCI solenoid 1', NULL, 'FANCI_S1', NULL, NULL, NULL, 6),
(6206, NULL, 'PF01547', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_1', NULL, NULL, NULL, 6),
(6207, NULL, 'PF10003', NULL, NULL, 'Integral membrane protein (DUF2244)', NULL, 'DUF2244', NULL, NULL, NULL, 6),
(6208, NULL, 'PF17767', NULL, NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) N-terminal domain', NULL, 'NAPRTase_N', NULL, NULL, NULL, 6),
(6209, NULL, 'PF03527', NULL, NULL, 'RHS protein', NULL, 'RHS', NULL, NULL, NULL, 6),
(6210, NULL, 'PF17724', NULL, NULL, 'Family of unknown function (DUF5568)', NULL, 'DUF5568', NULL, NULL, NULL, 6),
(6211, NULL, 'PF02377', NULL, NULL, 'Dishevelled specific domain', NULL, 'Dishevelled', NULL, NULL, NULL, 6),
(6212, NULL, 'PF13089', NULL, NULL, 'Polyphosphate kinase N-terminal domain', NULL, 'PP_kinase_N', NULL, NULL, NULL, 6),
(6213, NULL, 'PF10138', NULL, NULL, 'vWA found in TerF C terminus', NULL, 'vWA-TerF-like', NULL, NULL, NULL, 6),
(6214, NULL, 'PF02195', NULL, NULL, 'ParB-like nuclease domain', NULL, 'ParBc', NULL, NULL, NULL, 6),
(6215, NULL, 'PF13843', NULL, NULL, 'Transposase IS4', NULL, 'DDE_Tnp_1_7', NULL, NULL, NULL, 6),
(6216, NULL, 'PF16085', NULL, NULL, 'Bacteriophage holin Hol, superfamily III', NULL, 'Phage_holin_3_5', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6217, NULL, 'PF10279', NULL, NULL, 'Latarcin precursor', NULL, 'Latarcin', NULL, NULL, NULL, 6),
(6218, NULL, 'PF12939', NULL, NULL, 'Domain of unknown function (DUF3837)', NULL, 'DUF3837', NULL, NULL, NULL, 6),
(6219, NULL, 'PF06640', NULL, NULL, 'P protein C-terminus', NULL, 'P_C', NULL, NULL, NULL, 6),
(6220, NULL, 'PF10355', NULL, NULL, 'Protein of unknown function (Ytp1)', NULL, 'Ytp1', NULL, NULL, NULL, 6),
(6221, NULL, 'PF14528', NULL, NULL, 'LAGLIDADG-like domain', NULL, 'LAGLIDADG_3', NULL, NULL, NULL, 6),
(6222, NULL, 'PF13906', NULL, NULL, 'C-terminus of AA_permease', NULL, 'AA_permease_C', NULL, NULL, NULL, 6),
(6223, NULL, 'PF11469', NULL, NULL, 'Ribonuclease III', NULL, 'Ribonucleas_3_2', NULL, NULL, NULL, 6),
(6224, NULL, 'PF13484', NULL, NULL, '4Fe-4S double cluster binding domain', NULL, 'Fer4_16', NULL, NULL, NULL, 6),
(6225, NULL, 'PF15053', NULL, NULL, 'Mjmu-R1-like protein family', NULL, 'Njmu-R1', NULL, NULL, NULL, 6),
(6226, NULL, 'PF01421', NULL, NULL, 'Reprolysin (M12B) family zinc metalloprotease', NULL, 'Reprolysin', NULL, NULL, NULL, 6),
(6227, NULL, 'PF00614', NULL, NULL, 'Phospholipase D Active site motif', NULL, 'PLDc', NULL, NULL, NULL, 6),
(6228, NULL, 'PF11364', NULL, NULL, 'Protein of unknown function (DUF3165)', NULL, 'DUF3165', NULL, NULL, NULL, 6),
(6229, NULL, 'PF11978', NULL, NULL, 'Shoulder domain', NULL, 'MVP_shoulder', NULL, NULL, NULL, 6),
(6230, NULL, 'PF12900', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Pyridox_ox_2', NULL, NULL, NULL, 6),
(6231, NULL, 'PF14742', NULL, NULL, 'N-terminal domain of (some) glycogen debranching enzymes', NULL, 'GDE_N_bis', NULL, NULL, NULL, 6),
(6232, NULL, 'PF17072', NULL, NULL, 'Torovirinae spike glycoprotein', NULL, 'Spike_torovirin', NULL, NULL, NULL, 6),
(6233, NULL, 'PF07100', NULL, NULL, 'Anabaena sensory rhodopsin transducer', NULL, 'ASRT', NULL, NULL, NULL, 6),
(6234, NULL, 'PF01415', NULL, NULL, 'Interleukin 7', NULL, 'IL7', NULL, NULL, NULL, 6),
(6235, NULL, 'PF16745', NULL, NULL, 'RsgA N-terminal domain', NULL, 'RsgA_N', NULL, NULL, NULL, 6),
(6236, NULL, 'PF17290', NULL, NULL, 'Arenavirus nucleocapsid C-terminal domain', NULL, 'Arena_ncap_C', NULL, NULL, NULL, 6),
(6237, NULL, 'PF16242', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase like', NULL, 'Pyrid_ox_like', NULL, NULL, NULL, 6),
(6238, NULL, 'PF16140', NULL, NULL, 'Domain of unknown function (DUF4848)', NULL, 'DUF4848', NULL, NULL, NULL, 6),
(6239, NULL, 'PF12587', NULL, NULL, 'Protein of unknown function (DUF3761)', NULL, 'DUF3761', NULL, NULL, NULL, 6),
(6240, NULL, 'PF04229', NULL, NULL, 'GrpB protein', NULL, 'GrpB', NULL, NULL, NULL, 6),
(6241, NULL, 'PF10583', NULL, NULL, 'Involucrin of squamous epithelia N-terminus', NULL, 'Involucrin_N', NULL, NULL, NULL, 6),
(6242, NULL, 'PF00736', NULL, NULL, 'EF-1 guanine nucleotide exchange domain', NULL, 'EF1_GNE', NULL, NULL, NULL, 6),
(6243, NULL, 'PF17960', NULL, NULL, 'TIG domain', NULL, 'TIG_plexin', NULL, NULL, NULL, 6),
(6244, NULL, 'PF07371', NULL, NULL, 'Protein of unknown function (DUF1490)', NULL, 'DUF1490', NULL, NULL, NULL, 6),
(6245, NULL, 'PF04168', NULL, NULL, 'A predicted alpha-helical domain with a conserved ER motif.', NULL, 'Alpha-E', NULL, NULL, NULL, 6),
(6246, NULL, 'PF09922', NULL, NULL, 'Cell wall-active antibiotics response 4TMS YvqF', NULL, 'DUF2154', NULL, NULL, NULL, 6),
(6247, NULL, 'PF13565', NULL, NULL, 'Homeodomain-like domain', NULL, 'HTH_32', NULL, NULL, NULL, 6),
(6248, NULL, 'PF15615', NULL, NULL, 'TerB-C domain', NULL, 'TerB_C', NULL, NULL, NULL, 6),
(6249, NULL, 'PF11536', NULL, NULL, 'Protein of unknown function (DUF3226)', NULL, 'DUF3226', NULL, NULL, NULL, 6),
(6250, NULL, 'PF07626', NULL, NULL, 'Protein of unknown function (DUF1587)', NULL, 'PSD3', NULL, NULL, NULL, 6),
(6251, NULL, 'PF02104', NULL, NULL, 'SURF1 family', NULL, 'SURF1', NULL, NULL, NULL, 6),
(6252, NULL, 'PF12466', NULL, NULL, 'Glutamate dehydrogenase N terminal', NULL, 'GDH_N', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6253, NULL, 'PF03000', NULL, NULL, 'NPH3 family', NULL, 'NPH3', NULL, NULL, NULL, 6),
(6254, NULL, 'PF18867', NULL, NULL, 'HEPN-like integron domain', NULL, 'HEPN-like_int', NULL, NULL, NULL, 6),
(6255, NULL, 'PF11715', NULL, NULL, 'Nucleoporin Nup120/160', NULL, 'Nup160', NULL, NULL, NULL, 6),
(6256, NULL, 'PF02751', NULL, NULL, 'Transcription initiation factor IIA, gamma subunit', NULL, 'TFIIA_gamma_C', NULL, NULL, NULL, 6),
(6257, NULL, 'PF03437', NULL, NULL, 'BtpA family', NULL, 'BtpA', NULL, NULL, NULL, 6),
(6258, NULL, 'PF12724', NULL, NULL, 'Flavodoxin domain', NULL, 'Flavodoxin_5', NULL, NULL, NULL, 6),
(6259, NULL, 'PF18047', NULL, NULL, 'PatG Domain', NULL, 'PatG_D', NULL, NULL, NULL, 6),
(6260, NULL, 'PF17731', NULL, NULL, 'Family of unknown function (DUF5570)', NULL, 'DUF5570', NULL, NULL, NULL, 6),
(6261, NULL, 'PF12341', NULL, NULL, 'Minichromosome loss protein, Mcl1, middle region', NULL, 'Mcl1_mid', NULL, NULL, NULL, 6),
(6262, NULL, 'PF13554', NULL, NULL, 'Bacteriophage related domain of unknown function', NULL, 'DUF4128', NULL, NULL, NULL, 6),
(6263, NULL, 'PF03105', NULL, NULL, 'SPX domain', NULL, 'SPX', NULL, NULL, NULL, 6),
(6264, NULL, 'PF12317', NULL, NULL, 'Intraflagellar transport complex B protein 46 C terminal', NULL, 'IFT46_B_C', NULL, NULL, NULL, 6),
(6265, NULL, 'PF01869', NULL, NULL, 'BadF/BadG/BcrA/BcrD ATPase family', NULL, 'BcrAD_BadFG', NULL, NULL, NULL, 6),
(6266, NULL, 'PF05633', NULL, NULL, 'Protein BYPASS1-related', NULL, 'BPS1', NULL, NULL, NULL, 6),
(6267, NULL, 'PF03133', NULL, NULL, 'Tubulin-tyrosine ligase family', NULL, 'TTL', NULL, NULL, NULL, 6),
(6268, NULL, 'PF05348', NULL, NULL, 'Proteasome maturation factor UMP1', NULL, 'UMP1', NULL, NULL, NULL, 6),
(6269, NULL, 'PF06126', NULL, NULL, 'Herpesvirus Latent membrane protein 2', NULL, 'Herpes_LAMP2', NULL, NULL, NULL, 6),
(6270, NULL, 'PF08274', NULL, NULL, 'PhnA Zinc-Ribbon', NULL, 'YjdM_Zn_Ribbon', NULL, NULL, NULL, 6),
(6271, NULL, 'PF19218', NULL, NULL, 'Coronavirus replicase NSP3, C-terminal', NULL, 'CoV_NSP3_C', NULL, NULL, NULL, 6),
(6272, NULL, 'PF01544', NULL, NULL, 'CorA-like Mg2+ transporter protein', NULL, 'CorA', NULL, NULL, NULL, 6),
(6273, NULL, 'PF17301', NULL, NULL, 'Putative lipoprotein LpqV', NULL, 'LpqV', NULL, NULL, NULL, 6),
(6274, NULL, 'PF01488', NULL, NULL, 'Shikimate / quinate 5-dehydrogenase', NULL, 'Shikimate_DH', NULL, NULL, NULL, 6),
(6275, NULL, 'PF18204', NULL, NULL, 'PGF-CTERM motif', NULL, 'PGF-CTERM', NULL, NULL, NULL, 6),
(6276, NULL, 'PF01205', NULL, NULL, 'Uncharacterized protein family UPF0029', NULL, 'UPF0029', NULL, NULL, NULL, 6),
(6277, NULL, 'PF08237', NULL, NULL, 'PE-PPE domain', NULL, 'PE-PPE', NULL, NULL, NULL, 6),
(6278, NULL, 'PF04260', NULL, NULL, 'Protein of unknown function (DUF436)', NULL, 'DUF436', NULL, NULL, NULL, 6),
(6279, NULL, 'PF08300', NULL, NULL, 'Hepatitis C virus non-structural 5a zinc finger domain', NULL, 'HCV_NS5a_1a', NULL, NULL, NULL, 6),
(6280, NULL, 'PF01724', NULL, NULL, 'Domain of unknown function DUF29', NULL, 'DUF29', NULL, NULL, NULL, 6),
(6281, NULL, 'PF03384', NULL, NULL, 'Drosophila protein of unknown function, DUF287', NULL, 'DUF287', NULL, NULL, NULL, 6),
(6282, NULL, 'PF17906', NULL, NULL, 'HTH domain in Mos1 transposase', NULL, 'HTH_48', NULL, NULL, NULL, 6),
(6283, NULL, 'PF18363', NULL, NULL, 'Phosphoinositide phosphatase insertion domain', NULL, 'PI_PP_I', NULL, NULL, NULL, 6),
(6284, NULL, 'PF06098', NULL, NULL, 'Radial spoke protein 3', NULL, 'Radial_spoke_3', NULL, NULL, NULL, 6),
(6285, NULL, 'PF10021', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2263)', NULL, 'DUF2263', NULL, NULL, NULL, 6),
(6286, NULL, 'PF17518', NULL, NULL, 'Family of unknown function (DUF5443)', NULL, 'DUF5443', NULL, NULL, NULL, 6),
(6287, NULL, 'PF05660', NULL, NULL, 'Coxiella burnetii protein of unknown function (DUF807)', NULL, 'DUF807', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6288, NULL, 'PF03924', NULL, NULL, 'CHASE domain', NULL, 'CHASE', NULL, NULL, NULL, 6),
(6289, NULL, 'PF01513', NULL, NULL, 'ATP-NAD kinase', NULL, 'NAD_kinase', NULL, NULL, NULL, 6),
(6290, NULL, 'PF16040', NULL, NULL, 'Domain of unknown function (DUF4792)', NULL, 'DUF4792', NULL, NULL, NULL, 6),
(6291, NULL, 'PF17418', NULL, NULL, 'Sporulation delaying protein SdpA', NULL, 'SdpA', NULL, NULL, NULL, 6),
(6292, NULL, 'PF10087', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2325)', NULL, 'DUF2325', NULL, NULL, NULL, 6),
(6293, NULL, 'PF08469', NULL, NULL, 'Nucleoside triphosphatase I C-terminal', NULL, 'NPHI_C', NULL, NULL, NULL, 6),
(6294, NULL, 'PF00995', NULL, NULL, 'Sec1 family', NULL, 'Sec1', NULL, NULL, NULL, 6),
(6295, NULL, 'PF01030', NULL, NULL, 'Receptor L domain', NULL, 'Recep_L_domain', NULL, NULL, NULL, 6),
(6296, NULL, 'PF04039', NULL, NULL, 'Domain related to MnhB subunit of Na+/H+ antiporter', NULL, 'MnhB', NULL, NULL, NULL, 6),
(6297, NULL, 'PF18632', NULL, NULL, 'Family of unknown function (DUF5630)', NULL, 'DUF5630', NULL, NULL, NULL, 6),
(6298, NULL, 'PF13310', NULL, NULL, 'Virulence protein RhuM family', NULL, 'Virulence_RhuM', NULL, NULL, NULL, 6),
(6299, NULL, 'PF11199', NULL, NULL, 'Protein of unknown function (DUF2891)', NULL, 'DUF2891', NULL, NULL, NULL, 6),
(6300, NULL, 'PF05176', NULL, NULL, 'ATP10 protein', NULL, 'ATP-synt_10', NULL, NULL, NULL, 6),
(6301, NULL, 'PF19013', NULL, NULL, 'Family of unknown function (DUF5742)', NULL, 'DUF5742', NULL, NULL, NULL, 6),
(6302, NULL, 'PF17207', NULL, NULL, 'MCM OB domain', NULL, 'MCM_OB', NULL, NULL, NULL, 6),
(6303, NULL, 'PF09450', NULL, NULL, 'Domain of unknown function (DUF2019)', NULL, 'DUF2019', NULL, NULL, NULL, 6),
(6304, NULL, 'PF09886', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2113)', NULL, 'DUF2113', NULL, NULL, NULL, 6),
(6305, NULL, 'PF18805', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_10', NULL, NULL, NULL, 6),
(6306, NULL, 'PF15925', NULL, NULL, 'SOSS complex subunit C', NULL, 'SOSSC', NULL, NULL, NULL, 6),
(6307, NULL, 'PF15428', NULL, NULL, 'Immunity protein 26', NULL, 'Imm26', NULL, NULL, NULL, 6),
(6308, NULL, 'PF10722', NULL, NULL, 'Putative bacterial sensory transduction regulator', NULL, 'YbjN', NULL, NULL, NULL, 6),
(6309, NULL, 'PF07198', NULL, NULL, 'Protein of unknown function (DUF1410)', NULL, 'DUF1410', NULL, NULL, NULL, 6),
(6310, NULL, 'PF00941', NULL, NULL, 'FAD binding domain in molybdopterin dehydrogenase', NULL, 'FAD_binding_5', NULL, NULL, NULL, 6),
(6311, NULL, 'PF15458', NULL, NULL, 'Nineteen complex-related protein 2', NULL, 'NTR2', NULL, NULL, NULL, 6),
(6312, NULL, 'PF14517', NULL, NULL, 'Tachylectin', NULL, 'Tachylectin', NULL, NULL, NULL, 6),
(6313, NULL, 'PF06938', NULL, NULL, 'Protein of unknown function (DUF1285)', NULL, 'DUF1285', NULL, NULL, NULL, 6),
(6314, NULL, 'PF18740', NULL, NULL, 'EC042_2821-lke REase', NULL, 'EC042_2821', NULL, NULL, NULL, 6),
(6315, NULL, 'PF17508', NULL, NULL, 'Microcin V bacteriocin', NULL, 'MccV', NULL, NULL, NULL, 6),
(6316, NULL, 'PF06260', NULL, NULL, 'Protein of unknown function (DUF1024)', NULL, 'DUF1024', NULL, NULL, NULL, 6),
(6317, NULL, 'PF01954', NULL, NULL, 'Protein of unknown function DUF104', NULL, 'DUF104', NULL, NULL, NULL, 6),
(6318, NULL, 'PF06370', NULL, NULL, 'Protein of unknown function (DUF1069)', NULL, 'DUF1069', NULL, NULL, NULL, 6),
(6319, NULL, 'PF06675', NULL, NULL, 'Protein of unknown function (DUF1177)', NULL, 'DUF1177', NULL, NULL, NULL, 6),
(6320, NULL, 'PF15717', NULL, NULL, 'Pericentriolar material 1 C terminus', NULL, 'PCM1_C', NULL, NULL, NULL, 6),
(6321, NULL, 'PF06543', NULL, NULL, 'Lactococcus bacteriophage repressor', NULL, 'Lac_bphage_repr', NULL, NULL, NULL, 6),
(6322, NULL, 'PF18889', NULL, NULL, 'Beta helix repeat', NULL, 'Beta_helix_3', NULL, NULL, NULL, 6),
(6323, NULL, 'PF01320', NULL, NULL, 'Colicin immunity protein / pyocin immunity protein', NULL, 'Colicin_Pyocin', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6324, NULL, 'PF01788', NULL, NULL, 'PsbJ', NULL, 'PsbJ', NULL, NULL, NULL, 6),
(6325, NULL, 'PF09995', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2236)', NULL, 'DUF2236', NULL, NULL, NULL, 6),
(6326, NULL, 'PF03776', NULL, NULL, 'Septum formation topological specificity factor MinE', NULL, 'MinE', NULL, NULL, NULL, 6),
(6327, NULL, 'PF07012', NULL, NULL, 'Curlin associated repeat', NULL, 'Curlin_rpt', NULL, NULL, NULL, 6),
(6328, NULL, 'PF14399', NULL, NULL, 'Butirosin biosynthesis protein H, N-terminal', NULL, 'BtrH_N', NULL, NULL, NULL, 6),
(6329, NULL, 'PF14273', NULL, NULL, 'Domain of unknown function (DUF4360)', NULL, 'DUF4360', NULL, NULL, NULL, 6),
(6330, NULL, 'PF05813', NULL, NULL, 'Orthopoxvirus F7 protein', NULL, 'Orthopox_F7', NULL, NULL, NULL, 6),
(6331, NULL, 'PF14128', NULL, NULL, 'Domain of unknown function (DUF4295)', NULL, 'DUF4295', NULL, NULL, NULL, 6),
(6332, NULL, 'PF09773', NULL, NULL, 'Meckelin (Transmembrane protein 67)', NULL, 'Meckelin', NULL, NULL, NULL, 6),
(6333, NULL, 'PF00221', NULL, NULL, 'Aromatic amino acid lyase', NULL, 'Lyase_aromatic', NULL, NULL, NULL, 6),
(6334, NULL, 'PF01483', NULL, NULL, 'Proprotein convertase P-domain', NULL, 'P_proprotein', NULL, NULL, NULL, 6),
(6335, NULL, 'PF18108', NULL, NULL, 'QSOX Trx-like domain', NULL, 'QSOX_Trx1', NULL, NULL, NULL, 6),
(6336, NULL, 'PF06393', NULL, NULL, 'BH3 interacting domain (BID)', NULL, 'BID', NULL, NULL, NULL, 6),
(6337, NULL, 'PF15551', NULL, NULL, 'Domain of unknown function (DUF4656)', NULL, 'DUF4656', NULL, NULL, NULL, 6),
(6338, NULL, 'PF02146', NULL, NULL, 'Sir2 family', NULL, 'SIR2', NULL, NULL, NULL, 6),
(6339, NULL, 'PF10745', NULL, NULL, 'Protein of unknown function (DUF2530)', NULL, 'DUF2530', NULL, NULL, NULL, 6),
(6340, NULL, 'PF12320', NULL, NULL, 'Type 5 capsule protein repressor C-terminal domain', NULL, 'SbcD_C', NULL, NULL, NULL, 6),
(6341, NULL, 'PF15932', NULL, NULL, 'Domain of unknown function (DUF4748)', NULL, 'DUF4748', NULL, NULL, NULL, 6),
(6342, NULL, 'PF19165', NULL, NULL, 'Family of unknown function (DUF5847)', NULL, 'DUF5847', NULL, NULL, NULL, 6),
(6343, NULL, 'PF17362', NULL, NULL, 'Family of unknown function', NULL, 'pXO2-34', NULL, NULL, NULL, 6),
(6344, NULL, 'PF11406', NULL, NULL, 'Antimicrobial peptide tachystatin A', NULL, 'Tachystatin_A', NULL, NULL, NULL, 6),
(6345, NULL, 'PF16549', NULL, NULL, 'Type II secretion system (T2SS) pilotin, S protein', NULL, 'T2SSS_2', NULL, NULL, NULL, 6),
(6346, NULL, 'PF16832', NULL, NULL, 'Erythroid krueppel-like transcription factor, transactivation 1', NULL, 'EKLF_TAD1', NULL, NULL, NULL, 6),
(6347, NULL, 'PF18384', NULL, NULL, 'Unkempt Zinc finger domain 1 (Znf1)', NULL, 'zf_CCCH_5', NULL, NULL, NULL, 6),
(6348, NULL, 'PF00712', NULL, NULL, 'DNA polymerase III beta subunit, N-terminal domain', NULL, 'DNA_pol3_beta', NULL, NULL, NULL, 6),
(6349, NULL, 'PF01491', NULL, NULL, 'Frataxin-like domain', NULL, 'Frataxin_Cyay', NULL, NULL, NULL, 6),
(6350, NULL, 'PF03409', NULL, NULL, 'Transmembrane glycoprotein', NULL, 'Glycoprotein', NULL, NULL, NULL, 6),
(6351, NULL, 'PF18458', NULL, NULL, 'Xeroderma pigmentosum group B helicase damage recognition domain', NULL, 'XPB_DRD', NULL, NULL, NULL, 6),
(6352, NULL, 'PF08842', NULL, NULL, 'Fimbrillin-A associated anchor proteins Mfa1 and Mfa2', NULL, 'Mfa2', NULL, NULL, NULL, 6),
(6353, NULL, 'PF02518', NULL, NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', NULL, 'HATPase_c', NULL, NULL, NULL, 6),
(6354, NULL, 'PF04457', NULL, NULL, 'MJ1316 RNA cyclic group end recognition domain', NULL, 'MJ1316', NULL, NULL, NULL, 6),
(6355, NULL, 'PF07370', NULL, NULL, 'Protein of unknown function (DUF1489)', NULL, 'DUF1489', NULL, NULL, NULL, 6),
(6356, NULL, 'PF17179', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_22', NULL, NULL, NULL, 6),
(6357, NULL, 'PF10570', NULL, NULL, 'Myelin-PO cytoplasmic C-term p65 binding region', NULL, 'Myelin-PO_C', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6358, NULL, 'PF07274', NULL, NULL, 'Protein of unknown function (DUF1440)', NULL, 'DUF1440', NULL, NULL, NULL, 6),
(6359, NULL, 'PF04765', NULL, NULL, 'Protein of unknown function (DUF616)', NULL, 'DUF616', NULL, NULL, NULL, 6),
(6360, NULL, 'PF05659', NULL, NULL, 'Arabidopsis broad-spectrum mildew resistance protein RPW8', NULL, 'RPW8', NULL, NULL, NULL, 6),
(6361, NULL, 'PF00791', NULL, NULL, 'ZU5 domain', NULL, 'ZU5', NULL, NULL, NULL, 6),
(6362, NULL, 'PF06814', NULL, NULL, 'Lung seven transmembrane receptor', NULL, 'Lung_7-TM_R', NULL, NULL, NULL, 6),
(6363, NULL, 'PF18706', NULL, NULL, 'D-ribitol-5-phosphate cytidylyltransferase C-terminal domain', NULL, 'ISPD_C', NULL, NULL, NULL, 6),
(6364, NULL, 'PF04662', NULL, NULL, 'Luteovirus P0 protein', NULL, 'Luteo_PO', NULL, NULL, NULL, 6),
(6365, NULL, 'PF13506', NULL, NULL, 'Glycosyl transferase family 21', NULL, 'Glyco_transf_21', NULL, NULL, NULL, 6),
(6366, NULL, 'PF00607', NULL, NULL, 'gag gene protein p24 (core nucleocapsid protein)', NULL, 'Gag_p24', NULL, NULL, NULL, 6),
(6367, NULL, 'PF02894', NULL, NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', NULL, 'GFO_IDH_MocA_C', NULL, NULL, NULL, 6),
(6368, NULL, 'PF04478', NULL, NULL, 'Mid2 like cell wall stress sensor', NULL, 'Mid2', NULL, NULL, NULL, 6),
(6369, NULL, 'PF05667', NULL, NULL, 'Protein of unknown function (DUF812)', NULL, 'DUF812', NULL, NULL, NULL, 6),
(6370, NULL, 'PF13460', NULL, NULL, 'NAD(P)H-binding', NULL, 'NAD_binding_10', NULL, NULL, NULL, 6),
(6371, NULL, 'PF04142', NULL, NULL, 'Nucleotide-sugar transporter', NULL, 'Nuc_sug_transp', NULL, NULL, NULL, 6),
(6372, NULL, 'PF14937', NULL, NULL, 'Domain of unknown function (DUF4500)', NULL, 'DUF4500', NULL, NULL, NULL, 6),
(6373, NULL, 'PF03374', NULL, NULL, 'Phage antirepressor protein KilAC domain', NULL, 'ANT', NULL, NULL, NULL, 6),
(6374, NULL, 'PF09861', NULL, NULL, 'Lactate racemase N-terminal domain', NULL, 'Lar_N', NULL, NULL, NULL, 6),
(6375, NULL, 'PF08157', NULL, NULL, 'NUC129 domain', NULL, 'NUC129', NULL, NULL, NULL, 6),
(6376, NULL, 'PF02984', NULL, NULL, 'Cyclin, C-terminal domain', NULL, 'Cyclin_C', NULL, NULL, NULL, 6),
(6377, NULL, 'PF16762', NULL, NULL, 'Ribbon-helix-helix domain', NULL, 'RHH_6', NULL, NULL, NULL, 6),
(6378, NULL, 'PF15922', NULL, NULL, 'YjeJ-like', NULL, 'YjeJ', NULL, NULL, NULL, 6),
(6379, NULL, 'PF08351', NULL, NULL, 'Domain of unknown function (DUF1726)', NULL, 'DUF1726', NULL, NULL, NULL, 6),
(6380, NULL, 'PF13287', NULL, NULL, 'Fn3 associated', NULL, 'Fn3_assoc', NULL, NULL, NULL, 6),
(6381, NULL, 'PF02761', NULL, NULL, 'CBL proto-oncogene N-terminus, EF hand-like domain', NULL, 'Cbl_N2', NULL, NULL, NULL, 6),
(6382, NULL, 'PF04877', NULL, NULL, 'HrpZ', NULL, 'Harpin', NULL, NULL, NULL, 6),
(6383, NULL, 'PF00519', NULL, NULL, 'Papillomavirus helicase', NULL, 'PPV_E1_C', NULL, NULL, NULL, 6),
(6384, NULL, 'PF07062', NULL, NULL, 'Clc-like', NULL, 'Clc-like', NULL, NULL, NULL, 6),
(6385, NULL, 'PF13351', NULL, NULL, 'Protein of unknown function (DUF4099)', NULL, 'DUF4099', NULL, NULL, NULL, 6),
(6386, NULL, 'PF12211', NULL, NULL, 'Low molecular weight S layer protein N terminal', NULL, 'LMWSLP_N', NULL, NULL, NULL, 6),
(6387, NULL, 'PF04695', NULL, NULL, 'Pex14 N-terminal domain', NULL, 'Pex14_N', NULL, NULL, NULL, 6),
(6388, NULL, 'PF07463', NULL, NULL, 'NUMOD4 motif', NULL, 'NUMOD4', NULL, NULL, NULL, 6),
(6389, NULL, 'PF13827', NULL, NULL, 'Domain of unknown function (DUF4189)', NULL, 'DUF4189', NULL, NULL, NULL, 6),
(6390, NULL, 'PF13265', NULL, NULL, 'Protein of unknown function (DUF4056)', NULL, 'DUF4056', NULL, NULL, NULL, 6),
(6391, NULL, 'PF14179', NULL, NULL, 'YppG-like protein', NULL, 'YppG', NULL, NULL, NULL, 6),
(6392, NULL, 'PF08051', NULL, NULL, 'Erythromycin resistance leader peptide', NULL, 'Ery_res_leader1', NULL, NULL, NULL, 6),
(6393, NULL, 'PF07785', NULL, NULL, 'Protein of unknown function (DUF1623)', NULL, 'DUF1623', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6394, NULL, 'PF16748', NULL, NULL, 'Inscuteable LGN-binding domain', NULL, 'INSC_LBD', NULL, NULL, NULL, 6),
(6395, NULL, 'PF07678', NULL, NULL, 'A-macroglobulin TED domain', NULL, 'TED_complement', NULL, NULL, NULL, 6),
(6396, NULL, 'PF19050', NULL, NULL, 'PhoD related phosphatase', NULL, 'PhoD_2', NULL, NULL, NULL, 6),
(6397, NULL, 'PF06413', NULL, NULL, 'Neugrin', NULL, 'Neugrin', NULL, NULL, NULL, 6),
(6398, NULL, 'PF05505', NULL, NULL, 'Ebola nucleoprotein', NULL, 'Ebola_NP', NULL, NULL, NULL, 6),
(6399, NULL, 'PF06100', NULL, NULL, 'MCRA family', NULL, 'MCRA', NULL, NULL, NULL, 6),
(6400, NULL, 'PF13801', NULL, NULL, 'Heavy-metal resistance', NULL, 'Metal_resist', NULL, NULL, NULL, 6),
(6401, NULL, 'PF11261', NULL, NULL, 'Interferon regulatory factor 2-binding protein zinc finger', NULL, 'IRF-2BP1_2', NULL, NULL, NULL, 6),
(6402, NULL, 'PF01764', NULL, NULL, 'Lipase (class 3)', NULL, 'Lipase_3', NULL, NULL, NULL, 6),
(6403, NULL, 'PF07226', NULL, NULL, 'Protein of unknown function (DUF1422)', NULL, 'DUF1422', NULL, NULL, NULL, 6),
(6404, NULL, 'PF12948', NULL, NULL, 'MSP7-like protein C-terminal domain', NULL, 'MSP7_C', NULL, NULL, NULL, 6),
(6405, NULL, 'PF18707', NULL, NULL, 'Interleukin-2 receptor subunit beta N-terminal domain 1', NULL, 'IL2RB_N1', NULL, NULL, NULL, 6),
(6406, NULL, 'PF08586', NULL, NULL, 'RSC complex, Rsc14/Ldb7 subunit', NULL, 'Rsc14', NULL, NULL, NULL, 6),
(6407, NULL, 'PF11685', NULL, NULL, 'Protein of unknown function (DUF3281)', NULL, 'DUF3281', NULL, NULL, NULL, 6),
(6408, NULL, 'PF13124', NULL, NULL, 'Protein of unknown function (DUF3963)', NULL, 'DUF3963', NULL, NULL, NULL, 6),
(6409, NULL, 'PF13330', NULL, NULL, 'Mucin-2 protein WxxW repeating region', NULL, 'Mucin2_WxxW', NULL, NULL, NULL, 6),
(6410, NULL, 'PF06235', NULL, NULL, 'NADH dehydrogenase subunit 4L (NAD4L)', NULL, 'NAD4L', NULL, NULL, NULL, 6),
(6411, NULL, 'PF11332', NULL, NULL, 'Protein of unknown function (DUF3134)', NULL, 'DUF3134', NULL, NULL, NULL, 6),
(6412, NULL, 'PF12731', NULL, NULL, 'Mating-type protein beta 1', NULL, 'Mating_N', NULL, NULL, NULL, 6),
(6413, NULL, 'PF17538', NULL, NULL, 'DNA Binding Domain (C-terminal) Leafy/Floricaula', NULL, 'C_LFY_FLO', NULL, NULL, NULL, 6),
(6414, NULL, 'PF08921', NULL, NULL, 'Domain of unknown function (DUF1904)', NULL, 'DUF1904', NULL, NULL, NULL, 6),
(6415, NULL, 'PF00605', NULL, NULL, 'Interferon regulatory factor transcription factor', NULL, 'IRF', NULL, NULL, NULL, 6),
(6416, NULL, 'PF17997', NULL, NULL, 'Insecticidal delta-endotoxin CryIA(c) domain 5', NULL, 'Cry1Ac_D5', NULL, NULL, NULL, 6),
(6417, NULL, 'PF02785', NULL, NULL, 'Biotin carboxylase C-terminal domain', NULL, 'Biotin_carb_C', NULL, NULL, NULL, 6),
(6418, NULL, 'PF03135', NULL, NULL, 'CagE, TrbE, VirB family, component of type IV transporter system', NULL, 'CagE_TrbE_VirB', NULL, NULL, NULL, 6),
(6419, NULL, 'PF16976', NULL, NULL, 'Flp pilus assembly protein RcpC/CpaB', NULL, 'RcpC', NULL, NULL, NULL, 6),
(6420, NULL, 'PF11158', NULL, NULL, 'Protein of unknown function (DUF2938)', NULL, 'DUF2938', NULL, NULL, NULL, 6),
(6421, NULL, 'PF02565', NULL, NULL, 'Recombination protein O C terminal', NULL, 'RecO_C', NULL, NULL, NULL, 6),
(6422, NULL, 'PF00689', NULL, NULL, 'Cation transporting ATPase, C-terminus', NULL, 'Cation_ATPase_C', NULL, NULL, NULL, 6),
(6423, NULL, 'PF16189', NULL, NULL, 'Creatinase/Prolidase N-terminal domain', NULL, 'Creatinase_N_2', NULL, NULL, NULL, 6),
(6424, NULL, 'PF10524', NULL, NULL, 'Nuclear factor I protein pre-N-terminus', NULL, 'NfI_DNAbd_pre-N', NULL, NULL, NULL, 6),
(6425, NULL, 'PF12599', NULL, NULL, 'Protein of unknown function (DUF3768)', NULL, 'DUF3768', NULL, NULL, NULL, 6),
(6426, NULL, 'PF15654', NULL, NULL, 'Toxin with a conserved tryptophan and TIP tripeptide motif', NULL, 'Tox-WTIP', NULL, NULL, NULL, 6),
(6427, NULL, 'PF04432', NULL, NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit C terminus', NULL, 'FrhB_FdhB_C', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6428, NULL, 'PF04704', NULL, NULL, 'Zfx / Zfy transcription activation region', NULL, 'Zfx_Zfy_act', NULL, NULL, NULL, 6),
(6429, NULL, 'PF00266', NULL, NULL, 'Aminotransferase class-V', NULL, 'Aminotran_5', NULL, NULL, NULL, 6),
(6430, NULL, 'PF15587', NULL, NULL, 'Immunity protein 9', NULL, 'Imm9', NULL, NULL, NULL, 6),
(6431, NULL, 'PF18774', NULL, NULL, 'APOBEC4-like -AID/APOBEC-deaminase', NULL, 'APOBEC4_like', NULL, NULL, NULL, 6),
(6432, NULL, 'PF09837', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2064)', NULL, 'DUF2064', NULL, NULL, NULL, 6),
(6433, NULL, 'PF06923', NULL, NULL, 'Glucitol operon activator protein (GutM)', NULL, 'GutM', NULL, NULL, NULL, 6),
(6434, NULL, 'PF12672', NULL, NULL, 'Protein of unknown function (DUF3793)', NULL, 'DUF3793', NULL, NULL, NULL, 6),
(6435, NULL, 'PF17958', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_13', NULL, NULL, NULL, 6),
(6436, NULL, 'PF07787', NULL, NULL, 'Transmembrane protein 43', NULL, 'TMEM43', NULL, NULL, NULL, 6),
(6437, NULL, 'PF18066', NULL, NULL, 'Phage ABA sandwich domain', NULL, 'Phage_ABA_S', NULL, NULL, NULL, 6),
(6438, NULL, 'PF09167', NULL, NULL, 'Domain of unknown function (DUF1942)', NULL, 'DUF1942', NULL, NULL, NULL, 6),
(6439, NULL, 'PF03185', NULL, NULL, 'Calcium-activated potassium channel, beta subunit', NULL, 'CaKB', NULL, NULL, NULL, 6),
(6440, NULL, 'PF07204', NULL, NULL, 'Orthoreovirus membrane fusion protein p10', NULL, 'Orthoreo_P10', NULL, NULL, NULL, 6),
(6441, NULL, 'PF05305', NULL, NULL, 'Protein of unknown function (DUF732)', NULL, 'DUF732', NULL, NULL, NULL, 6),
(6442, NULL, 'PF13051', NULL, NULL, 'Protein of unknown function (DUF3912)', NULL, 'DUF3912', NULL, NULL, NULL, 6),
(6443, NULL, 'PF09912', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2141)', NULL, 'DUF2141', NULL, NULL, NULL, 6),
(6444, NULL, 'PF03172', NULL, NULL, 'HSR domain', NULL, 'HSR', NULL, NULL, NULL, 6),
(6445, NULL, 'PF13543', NULL, NULL, 'SAM like domain present in kinase suppressor RAS 1', NULL, 'SAM_KSR1', NULL, NULL, NULL, 6),
(6446, NULL, 'PF17235', NULL, NULL, 'STD1/MTH1', NULL, 'STD1', NULL, NULL, NULL, 6),
(6447, NULL, 'PF09188', NULL, NULL, 'Domain of unknown function (DUF1951)', NULL, 'DUF1951', NULL, NULL, NULL, 6),
(6448, NULL, 'PF09819', NULL, NULL, 'ABC-type cobalt transport system, permease component', NULL, 'ABC_cobalt', NULL, NULL, NULL, 6),
(6449, NULL, 'PF16075', NULL, NULL, 'Domain of unknown function (DUF4815)', NULL, 'DUF4815', NULL, NULL, NULL, 6),
(6450, NULL, 'PF03883', NULL, NULL, 'Peroxide stress protein YaaA', NULL, 'H2O2_YaaD', NULL, NULL, NULL, 6),
(6451, NULL, 'PF04780', NULL, NULL, 'Protein of unknown function (DUF629)', NULL, 'DUF629', NULL, NULL, NULL, 6),
(6452, NULL, 'PF02779', NULL, NULL, 'Transketolase, pyrimidine binding domain', NULL, 'Transket_pyr', NULL, NULL, NULL, 6),
(6453, NULL, 'PF02019', NULL, NULL, 'WIF domain', NULL, 'WIF', NULL, NULL, NULL, 6),
(6454, NULL, 'PF17142', NULL, NULL, 'Domain of unknown function (DUF5115)', NULL, 'DUF5115', NULL, NULL, NULL, 6),
(6455, NULL, 'PF01296', NULL, NULL, 'Galanin', NULL, 'Galanin', NULL, NULL, NULL, 6),
(6456, NULL, 'PF11784', NULL, NULL, 'Protein of unknown function (DUF3320)', NULL, 'DUF3320', NULL, NULL, NULL, 6),
(6457, NULL, 'PF15184', NULL, NULL, 'Mitochondrial import receptor subunit TOM6 homolog', NULL, 'TOM6p', NULL, NULL, NULL, 6),
(6458, NULL, 'PF14011', NULL, NULL, 'EspG family', NULL, 'ESX-1_EspG', NULL, NULL, NULL, 6),
(6459, NULL, 'PF18480', NULL, NULL, 'Domain of unknown function (DUF5615)', NULL, 'DUF5615', NULL, NULL, NULL, 6),
(6460, NULL, 'PF06290', NULL, NULL, 'Plasmid SOS inhibition protein (PsiB)', NULL, 'PsiB', NULL, NULL, NULL, 6),
(6461, NULL, 'PF17352', NULL, NULL, 'Male Flower Specific protein 18', NULL, 'MFS18', NULL, NULL, NULL, 6),
(6462, NULL, 'PF05923', NULL, NULL, 'APC repeat', NULL, 'APC_r', NULL, NULL, NULL, 6),
(6463, NULL, 'PF06990', NULL, NULL, 'Galactose-3-O-sulfotransferase', NULL, 'Gal-3-0_sulfotr', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6464, NULL, 'PF13695', NULL, NULL, 'Zinc-binding domain', NULL, 'zf-3CxxC', NULL, NULL, NULL, 6),
(6465, NULL, 'PF02028', NULL, NULL, 'BCCT, betaine/carnitine/choline family transporter', NULL, 'BCCT', NULL, NULL, NULL, 6),
(6466, NULL, 'PF03284', NULL, NULL, 'Phenazine biosynthesis protein A/B', NULL, 'PHZA_PHZB', NULL, NULL, NULL, 6),
(6467, NULL, 'PF07568', NULL, NULL, 'Histidine kinase', NULL, 'HisKA_2', NULL, NULL, NULL, 6),
(6468, NULL, 'PF11759', NULL, NULL, 'Keratin-associated matrix', NULL, 'KRTAP', NULL, NULL, NULL, 6),
(6469, NULL, 'PF05851', NULL, NULL, 'Lentivirus virion infectivity factor (VIF)', NULL, 'Lentivirus_VIF', NULL, NULL, NULL, 6),
(6470, NULL, 'PF15111', NULL, NULL, 'TMEM101 protein family', NULL, 'TMEM101', NULL, NULL, NULL, 6),
(6471, NULL, 'PF17354', NULL, NULL, 'Family of unknown function (DUF5382)', NULL, 'DUF5382', NULL, NULL, NULL, 6),
(6472, NULL, 'PF12275', NULL, NULL, 'Protein of unknown function (DUF3616)', NULL, 'DUF3616', NULL, NULL, NULL, 6),
(6473, NULL, 'PF15833', NULL, NULL, 'Domain of unknown function (DUF4714)', NULL, 'DUF4714', NULL, NULL, NULL, 6),
(6474, NULL, 'PF14794', NULL, NULL, 'Domain of unknown function (DUF4479)', NULL, 'DUF4479', NULL, NULL, NULL, 6),
(6475, NULL, 'PF17877', NULL, NULL, 'DIS3-like exonuclease 2 C terminal', NULL, 'Dis3l2_C_term', NULL, NULL, NULL, 6),
(6476, NULL, 'PF00020', NULL, NULL, 'TNFR/NGFR cysteine-rich region', NULL, 'TNFR_c6', NULL, NULL, NULL, 6),
(6477, NULL, 'PF18216', NULL, NULL, 'N-formyltransferase dimerization C-terminal domain', NULL, 'N_formyltrans_C', NULL, NULL, NULL, 6),
(6478, NULL, 'PF08948', NULL, NULL, 'Domain of unknown function (DUF1859)', NULL, 'DUF1859', NULL, NULL, NULL, 6),
(6479, NULL, 'PF05444', NULL, NULL, 'Protein of unknown function (DUF753)', NULL, 'DUF753', NULL, NULL, NULL, 6),
(6480, NULL, 'PF17410', NULL, NULL, 'Subtelomeric Variable Open Reading frame', NULL, 'Stevor', NULL, NULL, NULL, 6),
(6481, NULL, 'PF00610', NULL, NULL, 'Domain found in Dishevelled, Egl-10, and Pleckstrin (DEP)', NULL, 'DEP', NULL, NULL, NULL, 6),
(6482, NULL, 'PF02137', NULL, NULL, 'Adenosine-deaminase (editase) domain', NULL, 'A_deamin', NULL, NULL, NULL, 6),
(6483, NULL, 'PF16520', NULL, NULL, 'ssRNA-binding matrix protein of Bornaviridae', NULL, 'BDV_M', NULL, NULL, NULL, 6),
(6484, NULL, 'PF13212', NULL, NULL, 'Domain of unknown function (DUF4020)', NULL, 'DUF4020', NULL, NULL, NULL, 6),
(6485, NULL, 'PF01957', NULL, NULL, 'NfeD-like C-terminal, partner-binding', NULL, 'NfeD', NULL, NULL, NULL, 6),
(6486, NULL, 'PF02306', NULL, NULL, 'Major spike protein (G protein)', NULL, 'Phage_G', NULL, NULL, NULL, 6),
(6487, NULL, 'PF07983', NULL, NULL, 'X8 domain', NULL, 'X8', NULL, NULL, NULL, 6),
(6488, NULL, 'PF06362', NULL, NULL, 'Protein of unknown function (DUF1067)', NULL, 'DUF1067', NULL, NULL, NULL, 6),
(6489, NULL, 'PF18007', NULL, NULL, 'Domain of unknown function (DUF5593)', NULL, 'DUF5593', NULL, NULL, NULL, 6),
(6490, NULL, 'PF03006', NULL, NULL, 'Haemolysin-III related', NULL, 'HlyIII', NULL, NULL, NULL, 6),
(6491, NULL, 'PF11077', NULL, NULL, 'Protein of unknown function (DUF2616)', NULL, 'DUF2616', NULL, NULL, NULL, 6),
(6492, NULL, 'PF01608', NULL, NULL, 'I/LWEQ domain', NULL, 'I_LWEQ', NULL, NULL, NULL, 6),
(6493, NULL, 'PF14043', NULL, NULL, 'WVELL protein', NULL, 'WVELL', NULL, NULL, NULL, 6),
(6494, NULL, 'PF05478', NULL, NULL, 'Prominin', NULL, 'Prominin', NULL, NULL, NULL, 6),
(6495, NULL, 'PF02079', NULL, NULL, 'Nuclear transition protein 1', NULL, 'TP1', NULL, NULL, NULL, 6),
(6496, NULL, 'PF08005', NULL, NULL, 'PHR domain', NULL, 'PHR', NULL, NULL, NULL, 6),
(6497, NULL, 'PF02592', NULL, NULL, 'Putative vitamin uptake transporter', NULL, 'Vut_1', NULL, NULL, NULL, 6),
(6498, NULL, 'PF06330', NULL, NULL, 'Trichodiene synthase (TRI5)', NULL, 'TRI5', NULL, NULL, NULL, 6),
(6499, NULL, 'PF10739', NULL, NULL, 'Protein of unknown function (DUF2550)', NULL, 'DUF2550', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6500, NULL, 'PF16074', NULL, NULL, 'Type IV Pilus-assembly protein W', NULL, 'PilW', NULL, NULL, NULL, 6),
(6501, NULL, 'PF05186', NULL, NULL, 'Dpy-30 motif', NULL, 'Dpy-30', NULL, NULL, NULL, 6),
(6502, NULL, 'PF07365', NULL, NULL, 'Alpha conotoxin precursor', NULL, 'Toxin_8', NULL, NULL, NULL, 6),
(6503, NULL, 'PF01378', NULL, NULL, 'B domain', NULL, 'IgG_binding_B', NULL, NULL, NULL, 6),
(6504, NULL, 'PF02358', NULL, NULL, 'Trehalose-phosphatase', NULL, 'Trehalose_PPase', NULL, NULL, NULL, 6),
(6505, NULL, 'PF13652', NULL, NULL, 'Putative quorum-sensing-regulated virulence factor', NULL, 'QSregVF', NULL, NULL, NULL, 6),
(6506, NULL, 'PF00340', NULL, NULL, 'Interleukin-1 / 18', NULL, 'IL1', NULL, NULL, NULL, 6),
(6507, NULL, 'PF00072', NULL, NULL, 'Response regulator receiver domain', NULL, 'Response_reg', NULL, NULL, NULL, 6),
(6508, NULL, 'PF10217', NULL, NULL, 'Uncharacterized conserved protein (DUF2039)', NULL, 'DUF2039', NULL, NULL, NULL, 6),
(6509, NULL, 'PF04809', NULL, NULL, 'HupH hydrogenase expression protein, C-terminal conserved region', NULL, 'HupH_C', NULL, NULL, NULL, 6),
(6510, NULL, 'PF04536', NULL, NULL, 'TPM domain', NULL, 'TPM_phosphatase', NULL, NULL, NULL, 6),
(6511, NULL, 'PF14760', NULL, NULL, 'Rnk N-terminus', NULL, 'Rnk_N', NULL, NULL, NULL, 6),
(6512, NULL, 'PF05594', NULL, NULL, 'Haemagluttinin repeat', NULL, 'Fil_haemagg', NULL, NULL, NULL, 6),
(6513, NULL, 'PF09492', NULL, NULL, 'Pectic acid lyase', NULL, 'Pec_lyase', NULL, NULL, NULL, 6),
(6514, NULL, 'PF05880', NULL, NULL, 'Fijivirus 64 kDa capsid protein', NULL, 'Fiji_64_capsid', NULL, NULL, NULL, 6),
(6515, NULL, 'PF14440', NULL, NULL, 'Xanthomonas XOO_2897-like deaminase', NULL, 'XOO_2897-deam', NULL, NULL, NULL, 6),
(6516, NULL, 'PF18907', NULL, NULL, 'Family of unknown function (DUF5662)', NULL, 'DUF5662', NULL, NULL, NULL, 6),
(6517, NULL, 'PF09002', NULL, NULL, 'Domain of unknown function (DUF1887)', NULL, 'DUF1887', NULL, NULL, NULL, 6),
(6518, NULL, 'PF02412', NULL, NULL, 'Thrombospondin type 3 repeat', NULL, 'TSP_3', NULL, NULL, NULL, 6),
(6519, NULL, 'PF05467', NULL, NULL, 'Herpesvirus glycoprotein U47', NULL, 'Herpes_U47', NULL, NULL, NULL, 6),
(6520, NULL, 'PF00423', NULL, NULL, 'Haemagglutinin-neuraminidase', NULL, 'HN', NULL, NULL, NULL, 6),
(6521, NULL, 'PF04873', NULL, NULL, 'Ethylene insensitive 3', NULL, 'EIN3', NULL, NULL, NULL, 6),
(6522, NULL, 'PF09079', NULL, NULL, 'CDC6, C terminal winged helix domain', NULL, 'Cdc6_C', NULL, NULL, NULL, 6),
(6523, NULL, 'PF00429', NULL, NULL, 'ENV polyprotein (coat polyprotein)', NULL, 'TLV_coat', NULL, NULL, NULL, 6),
(6524, NULL, 'PF05704', NULL, NULL, 'Capsular polysaccharide synthesis protein', NULL, 'Caps_synth', NULL, NULL, NULL, 6),
(6525, NULL, 'PF05651', NULL, NULL, 'Putative sugar diacid recognition', NULL, 'Diacid_rec', NULL, NULL, NULL, 6),
(6526, NULL, 'PF11280', NULL, NULL, 'Protein of unknown function (DUF3081)', NULL, 'DUF3081', NULL, NULL, NULL, 6),
(6527, NULL, 'PF10148', NULL, NULL, 'Schwannomin-interacting protein 1', NULL, 'SCHIP-1', NULL, NULL, NULL, 6),
(6528, NULL, 'PF15821', NULL, NULL, 'Domain of unknown function (DUF4709)', NULL, 'DUF4709', NULL, NULL, NULL, 6),
(6529, NULL, 'PF00246', NULL, NULL, 'Zinc carboxypeptidase', NULL, 'Peptidase_M14', NULL, NULL, NULL, 6),
(6530, NULL, 'PF03354', NULL, NULL, 'Phage Terminase', NULL, 'Terminase_1', NULL, NULL, NULL, 6),
(6531, NULL, 'PF11529', NULL, NULL, 'Melampsora lini avirulence protein AvrL567-A', NULL, 'AvrL567-A', NULL, NULL, NULL, 6),
(6532, NULL, 'PF05357', NULL, NULL, 'Phage Coat Protein A', NULL, 'Phage_Coat_A', NULL, NULL, NULL, 6),
(6533, NULL, 'PF10376', NULL, NULL, 'Double-strand recombination repair protein', NULL, 'Mei5', NULL, NULL, NULL, 6),
(6534, NULL, 'PF14796', NULL, NULL, 'Clathrin-adaptor complex-3 beta-1 subunit C-terminal', NULL, 'AP3B1_C', NULL, NULL, NULL, 6),
(6535, NULL, 'PF11889', NULL, NULL, 'Domain of unknown function (DUF3409)', NULL, 'DUF3409', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6536, NULL, 'PF12131', NULL, NULL, 'Protein of unknown function (DUF3586)', NULL, 'DUF3586', NULL, NULL, NULL, 6),
(6537, NULL, 'PF04942', NULL, NULL, 'CC domain', NULL, 'CC', NULL, NULL, NULL, 6),
(6538, NULL, 'PF04516', NULL, NULL, 'CP2 transcription factor', NULL, 'CP2', NULL, NULL, NULL, 6),
(6539, NULL, 'PF17715', NULL, NULL, 'Family of unknown function (DUF5560)', NULL, 'DUF5560', NULL, NULL, NULL, 6),
(6540, NULL, 'PF18240', NULL, NULL, 'Photosystem II Psb31 protein', NULL, 'PSII_Pbs31', NULL, NULL, NULL, 6),
(6541, NULL, 'PF06193', NULL, NULL, 'Orthopoxvirus A5L protein-like', NULL, 'Orthopox_A5L', NULL, NULL, NULL, 6),
(6542, NULL, 'PF16474', NULL, NULL, 'Kinase non-catalytic C-lobe domain', NULL, 'KIND', NULL, NULL, NULL, 6),
(6543, NULL, 'PF17977', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_13', NULL, NULL, NULL, 6),
(6544, NULL, 'PF05188', NULL, NULL, 'MutS domain II', NULL, 'MutS_II', NULL, NULL, NULL, 6),
(6545, NULL, 'PF12325', NULL, NULL, 'TATA element modulatory factor 1 TATA binding', NULL, 'TMF_TATA_bd', NULL, NULL, NULL, 6),
(6546, NULL, 'PF08903', NULL, NULL, 'Domain of unknown function (DUF1846)', NULL, 'DUF1846', NULL, NULL, NULL, 6),
(6547, NULL, 'PF13075', NULL, NULL, 'Protein of unknown function (DUF3939)', NULL, 'DUF3939', NULL, NULL, NULL, 6),
(6548, NULL, 'PF16699', NULL, NULL, 'Cleavage stimulation factor subunit 1, dimerisation domain', NULL, 'CSTF1_dimer', NULL, NULL, NULL, 6),
(6549, NULL, 'PF08007', NULL, NULL, 'Cupin superfamily protein', NULL, 'Cupin_4', NULL, NULL, NULL, 6),
(6550, NULL, 'PF16014', NULL, NULL, 'Histone deacetylase complex subunit SAP130 C-terminus', NULL, 'SAP130_C', NULL, NULL, NULL, 6),
(6551, NULL, 'PF17806', NULL, NULL, 'Sarcosine oxidase A3 domain', NULL, 'SO_alpha_A3', NULL, NULL, NULL, 6),
(6552, NULL, 'PF00334', NULL, NULL, 'Nucleoside diphosphate kinase', NULL, 'NDK', NULL, NULL, NULL, 6),
(6553, NULL, 'PF15110', NULL, NULL, 'TMEM141 protein family', NULL, 'TMEM141', NULL, NULL, NULL, 6),
(6554, NULL, 'PF13137', NULL, NULL, 'Protein of unknown function (DUF3983)', NULL, 'DUF3983', NULL, NULL, NULL, 6),
(6555, NULL, 'PF06392', NULL, NULL, 'Acid shock protein repeat', NULL, 'Asr', NULL, NULL, NULL, 6),
(6556, NULL, 'PF09391', NULL, NULL, 'Protein of unknown function (DUF2000)', NULL, 'DUF2000', NULL, NULL, NULL, 6),
(6557, NULL, 'PF01349', NULL, NULL, 'Flavivirus non-structural protein NS4B', NULL, 'Flavi_NS4B', NULL, NULL, NULL, 6),
(6558, NULL, 'PF04152', NULL, NULL, 'Mre11 DNA-binding presumed domain', NULL, 'Mre11_DNA_bind', NULL, NULL, NULL, 6),
(6559, NULL, 'PF10747', NULL, NULL, 'Sporulation inhibitor of replication protein SirA', NULL, 'SirA', NULL, NULL, NULL, 6),
(6560, NULL, 'PF12205', NULL, NULL, 'G protein-coupled receptor kinase-interacting protein 1 C term', NULL, 'GIT1_C', NULL, NULL, NULL, 6),
(6561, NULL, 'PF14344', NULL, NULL, 'Domain of unknown function (DUF4397)', NULL, 'DUF4397', NULL, NULL, NULL, 6),
(6562, NULL, 'PF15446', NULL, NULL, 'PHD/FYVE-zinc-finger like domain', NULL, 'zf-PHD-like', NULL, NULL, NULL, 6),
(6563, NULL, 'PF09132', NULL, NULL, 'BmKX', NULL, 'BmKX', NULL, NULL, NULL, 6),
(6564, NULL, 'PF01083', NULL, NULL, 'Cutinase', NULL, 'Cutinase', NULL, NULL, NULL, 6),
(6565, NULL, 'PF10175', NULL, NULL, 'M-phase phosphoprotein 6', NULL, 'MPP6', NULL, NULL, NULL, 6),
(6566, NULL, 'PF01395', NULL, NULL, 'PBP/GOBP family', NULL, 'PBP_GOBP', NULL, NULL, NULL, 6),
(6567, NULL, 'PF03993', NULL, NULL, 'Domain of Unknown Function (DUF349)', NULL, 'DUF349', NULL, NULL, NULL, 6),
(6568, NULL, 'PF16517', NULL, NULL, 'Novel Ras effector 1 C-terminal SARAH (Sav/Rassf/Hpo) domain', NULL, 'Nore1-SARAH', NULL, NULL, NULL, 6),
(6569, NULL, 'PF15148', NULL, NULL, 'Apolipoprotein F', NULL, 'Apolipo_F', NULL, NULL, NULL, 6),
(6570, NULL, 'PF00612', NULL, NULL, 'IQ calmodulin-binding motif', NULL, 'IQ', NULL, NULL, NULL, 6),
(6571, NULL, 'PF08909', NULL, NULL, 'Domain of unknown function (DUF1854)', NULL, 'DUF1854', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6572, NULL, 'PF00111', NULL, NULL, '2Fe-2S iron-sulfur cluster binding domain', NULL, 'Fer2', NULL, NULL, NULL, 6),
(6573, NULL, 'PF06030', NULL, NULL, 'Bacterial protein of unknown function (DUF916)', NULL, 'DUF916', NULL, NULL, NULL, 6),
(6574, NULL, 'PF12153', NULL, NULL, 'LPS binding domain of CAP18 (C terminal)', NULL, 'CAP18_C', NULL, NULL, NULL, 6),
(6575, NULL, 'PF03292', NULL, NULL, 'Poxvirus P4B major core protein', NULL, 'Pox_P4B', NULL, NULL, NULL, 6),
(6576, NULL, 'PF08677', NULL, NULL, 'GP11 baseplate wedge protein', NULL, 'GP11', NULL, NULL, NULL, 6),
(6577, NULL, 'PF01516', NULL, NULL, 'Orbivirus helicase VP6', NULL, 'Orbi_VP6', NULL, NULL, NULL, 6),
(6578, NULL, 'PF05584', NULL, NULL, 'Sulfolobus plasmid regulatory protein', NULL, 'Sulfolobus_pRN', NULL, NULL, NULL, 6),
(6579, NULL, 'PF19069', NULL, NULL, 'Family of unknown function (DUF5765)', NULL, 'DUF5765', NULL, NULL, NULL, 6),
(6580, NULL, 'PF07906', NULL, NULL, 'ShET2 enterotoxin, N-terminal region', NULL, 'Toxin_15', NULL, NULL, NULL, 6),
(6581, NULL, 'PF11898', NULL, NULL, 'Domain of unknown function (DUF3418)', NULL, 'DUF3418', NULL, NULL, NULL, 6),
(6582, NULL, 'PF07617', NULL, NULL, 'Protein of unknown function (DUF1579)', NULL, 'DUF1579', NULL, NULL, NULL, 6),
(6583, NULL, 'PF02210', NULL, NULL, 'Laminin G domain', NULL, 'Laminin_G_2', NULL, NULL, NULL, 6),
(6584, NULL, 'PF14954', NULL, NULL, 'Limb expression 1', NULL, 'LIX1', NULL, NULL, NULL, 6),
(6585, NULL, 'PF02420', NULL, NULL, 'Insect antifreeze protein repeat', NULL, 'AFP', NULL, NULL, NULL, 6),
(6586, NULL, 'PF05085', NULL, NULL, 'Protein of unknown function (DUF685)', NULL, 'DUF685', NULL, NULL, NULL, 6),
(6587, NULL, 'PF10665', NULL, NULL, 'Minor capsid protein', NULL, 'Minor_capsid_1', NULL, NULL, NULL, 6),
(6588, NULL, 'PF14973', NULL, NULL, 'TERF1-interacting nuclear factor 2 N-terminus', NULL, 'TINF2_N', NULL, NULL, NULL, 6),
(6589, NULL, 'PF11453', NULL, NULL, 'Protein of unknown function (DUF2950)', NULL, 'DUF2950', NULL, NULL, NULL, 6),
(6590, NULL, 'PF01514', NULL, NULL, 'Secretory protein of YscJ/FliF family', NULL, 'YscJ_FliF', NULL, NULL, NULL, 6),
(6591, NULL, 'PF16593', NULL, NULL, 'Bridge helix of CRISPR-associated endonuclease Cas9', NULL, 'Cas9-BH', NULL, NULL, NULL, 6),
(6592, NULL, 'PF18030', NULL, NULL, 'RimK PreATP-grasp domain', NULL, 'Rimk_N', NULL, NULL, NULL, 6),
(6593, NULL, 'PF14861', NULL, NULL, 'Plant antimicrobial peptide', NULL, 'Antimicrobial21', NULL, NULL, NULL, 6),
(6594, NULL, 'PF14892', NULL, NULL, 'Domain of unknown function (DUF4490)', NULL, 'DUF4490', NULL, NULL, NULL, 6),
(6595, NULL, 'PF17883', NULL, NULL, 'MBG domain', NULL, 'MBG', NULL, NULL, NULL, 6),
(6596, NULL, 'PF06083', NULL, NULL, 'Interleukin-17', NULL, 'IL17', NULL, NULL, NULL, 6),
(6597, NULL, 'PF03789', NULL, NULL, 'ELK domain', NULL, 'ELK', NULL, NULL, NULL, 6),
(6598, NULL, 'PF16089', NULL, NULL, 'Domain of unknown function (DUF4818)', NULL, 'DUF4818', NULL, NULL, NULL, 6),
(6599, NULL, 'PF10729', NULL, NULL, 'Cell division activator CedA', NULL, 'CedA', NULL, NULL, NULL, 6),
(6600, NULL, 'PF13122', NULL, NULL, 'Protein of unknown function (DUF3977)', NULL, 'DUF3977', NULL, NULL, NULL, 6),
(6601, NULL, 'PF08132', NULL, NULL, 'S-adenosyl-l-methionine decarboxylase leader peptide', NULL, 'AdoMetDC_leader', NULL, NULL, NULL, 6),
(6602, NULL, 'PF13143', NULL, NULL, 'Protein of unknown function (DUF3986)', NULL, 'DUF3986', NULL, NULL, NULL, 6),
(6603, NULL, 'PF02269', NULL, NULL, 'Transcription initiation factor IID, 18kD subunit', NULL, 'TFIID-18kDa', NULL, NULL, NULL, 6),
(6604, NULL, 'PF08081', NULL, NULL, 'RBM1CTR (NUC064) family', NULL, 'RBM1CTR', NULL, NULL, NULL, 6),
(6605, NULL, 'PF15541', NULL, NULL, 'Bacterial toxin 4', NULL, 'Ntox4', NULL, NULL, NULL, 6),
(6606, NULL, 'PF08276', NULL, NULL, 'PAN-like domain', NULL, 'PAN_2', NULL, NULL, NULL, 6),
(6607, NULL, 'PF18853', NULL, NULL, 'Large polyvalent protein associated domain 37', NULL, 'LPD37', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6608, NULL, 'PF07219', NULL, NULL, 'HemY protein N-terminus', NULL, 'HemY_N', NULL, NULL, NULL, 6),
(6609, NULL, 'PF14704', NULL, NULL, 'Dermatopontin', NULL, 'DERM', NULL, NULL, NULL, 6),
(6610, NULL, 'PF19156', NULL, NULL, 'Family of unknown function (DUF5838)', NULL, 'DUF5838', NULL, NULL, NULL, 6),
(6611, NULL, 'PF12327', NULL, NULL, 'FtsZ family, C-terminal domain', NULL, 'FtsZ_C', NULL, NULL, NULL, 6),
(6612, NULL, 'PF06416', NULL, NULL, 'Effector protein NleG', NULL, 'T3SS_NleG', NULL, NULL, NULL, 6),
(6613, NULL, 'PF08496', NULL, NULL, 'Peptidase family S49 N-terminal', NULL, 'Peptidase_S49_N', NULL, NULL, NULL, 6),
(6614, NULL, 'PF10550', NULL, NULL, 'Conantokin toxin', NULL, 'Toxin_36', NULL, NULL, NULL, 6),
(6615, NULL, 'PF14037', NULL, NULL, 'YoqO-like protein', NULL, 'YoqO', NULL, NULL, NULL, 6),
(6616, NULL, 'PF09332', NULL, NULL, 'Mcm10 replication factor', NULL, 'Mcm10', NULL, NULL, NULL, 6),
(6617, NULL, 'PF05658', NULL, NULL, 'Head domain of trimeric autotransporter adhesin', NULL, 'YadA_head', NULL, NULL, NULL, 6),
(6618, NULL, 'PF17950', NULL, NULL, 'S-adenosylmethionine decarboxylase N -terminal', NULL, 'SpmSyn_N', NULL, NULL, NULL, 6),
(6619, NULL, 'PF12174', NULL, NULL, 'RCD1-SRO-TAF4 (RST) plant domain', NULL, 'RST', NULL, NULL, NULL, 6),
(6620, NULL, 'PF17907', NULL, NULL, 'AWS domain', NULL, 'AWS', NULL, NULL, NULL, 6),
(6621, NULL, 'PF17461', NULL, NULL, 'Family of unknown function (DUF5423)', NULL, 'DUF5423', NULL, NULL, NULL, 6),
(6622, NULL, 'PF13103', NULL, NULL, 'TonB C terminal', NULL, 'TonB_2', NULL, NULL, NULL, 6),
(6623, NULL, 'PF17276', NULL, NULL, 'Family of unknown function (DUF5341)', NULL, 'DUF5341', NULL, NULL, NULL, 6),
(6624, NULL, 'PF06776', NULL, NULL, 'Invasion associated locus B (IalB) protein', NULL, 'IalB', NULL, NULL, NULL, 6),
(6625, NULL, 'PF14424', NULL, NULL, 'The  BURPS668_1122 family of deaminases', NULL, 'Toxin-deaminase', NULL, NULL, NULL, 6),
(6626, NULL, 'PF03572', NULL, NULL, 'Peptidase family S41', NULL, 'Peptidase_S41', NULL, NULL, NULL, 6),
(6627, NULL, 'PF16588', NULL, NULL, 'C2H2 zinc-finger', NULL, 'zf-C2H2_10', NULL, NULL, NULL, 6),
(6628, NULL, 'PF12853', NULL, NULL, 'C-terminal of NADH-ubiquinone oxidoreductase 21 kDa subunit', NULL, 'NADH_u_ox_C', NULL, NULL, NULL, 6),
(6629, NULL, 'PF05664', NULL, NULL, 'Unc-13 homolog', NULL, 'UNC_13_homolog', NULL, NULL, NULL, 6),
(6630, NULL, 'PF16235', NULL, NULL, 'Domain of unknown function (DUF4894)', NULL, 'DUF4894', NULL, NULL, NULL, 6),
(6631, NULL, 'PF07217', NULL, NULL, 'Heterokaryon incompatibility protein Het-C', NULL, 'Het-C', NULL, NULL, NULL, 6),
(6632, NULL, 'PF08377', NULL, NULL, 'MAP2/Tau projection domain', NULL, 'MAP2_projctn', NULL, NULL, NULL, 6),
(6633, NULL, 'PF17015', NULL, NULL, 'Domain of unknown function (DUF5094)', NULL, 'DUF5094', NULL, NULL, NULL, 6),
(6634, NULL, 'PF12070', NULL, NULL, 'Protein SCAI', NULL, 'SCAI', NULL, NULL, NULL, 6),
(6635, NULL, 'PF13274', NULL, NULL, 'Protein of unknown function (DUF4065)', NULL, 'DUF4065', NULL, NULL, NULL, 6),
(6636, NULL, 'PF01247', NULL, NULL, 'Ribosomal protein L35Ae', NULL, 'Ribosomal_L35Ae', NULL, NULL, NULL, 6),
(6637, NULL, 'PF09282', NULL, NULL, 'Mago binding', NULL, 'Mago-bind', NULL, NULL, NULL, 6),
(6638, NULL, 'PF13699', NULL, NULL, 'Domain of unknown function (DUF4157)', NULL, 'DUF4157', NULL, NULL, NULL, 6),
(6639, NULL, 'PF07044', NULL, NULL, 'Protein of unknown function (DUF1329)', NULL, 'DUF1329', NULL, NULL, NULL, 6),
(6640, NULL, 'PF01901', NULL, NULL, 'Putative O-antigen polymerase', NULL, 'O_anti_polymase', NULL, NULL, NULL, 6),
(6641, NULL, 'PF18169', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 6', NULL, 'SLATT_6', NULL, NULL, NULL, 6),
(6642, NULL, 'PF17621', NULL, NULL, 'Family of unknown function (DUF5508)', NULL, 'DUF5508', NULL, NULL, NULL, 6),
(6643, NULL, 'PF02977', NULL, NULL, 'Carboxypeptidase A inhibitor', NULL, 'CarbpepA_inh', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6644, NULL, 'PF09290', NULL, NULL, 'Prokaryotic acetaldehyde dehydrogenase, dimerisation', NULL, 'AcetDehyd-dimer', NULL, NULL, NULL, 6),
(6645, NULL, 'PF10504', NULL, NULL, 'Protein of unknown function (DUF2452)', NULL, 'DUF2452', NULL, NULL, NULL, 6),
(6646, NULL, 'PF10160', NULL, NULL, 'Predicted membrane protein', NULL, 'Tmemb_40', NULL, NULL, NULL, 6),
(6647, NULL, 'PF13435', NULL, NULL, 'Cytochrome c554 and c-prime', NULL, 'Cytochrome_C554', NULL, NULL, NULL, 6),
(6648, NULL, 'PF13047', NULL, NULL, 'Protein of unknown function (DUF3907)', NULL, 'DUF3907', NULL, NULL, NULL, 6),
(6649, NULL, 'PF16834', NULL, NULL, 'Shu complex component Csm2, DNA-binding', NULL, 'CSM2', NULL, NULL, NULL, 6),
(6650, NULL, 'PF18357', NULL, NULL, 'Diphteria toxin repressor SH3 domain', NULL, 'DtxR', NULL, NULL, NULL, 6),
(6651, NULL, 'PF00161', NULL, NULL, 'Ribosome inactivating protein', NULL, 'RIP', NULL, NULL, NULL, 6),
(6652, NULL, 'PF09852', NULL, NULL, 'Predicted membrane protein (DUF2079)', NULL, 'DUF2079', NULL, NULL, NULL, 6),
(6653, NULL, 'PF07369', NULL, NULL, 'Protein of unknown function (DUF1488)', NULL, 'DUF1488', NULL, NULL, NULL, 6),
(6654, NULL, 'PF11676', NULL, NULL, 'Protein of unknown function (DUF3272)', NULL, 'DUF3272', NULL, NULL, NULL, 6),
(6655, NULL, 'PF18713', NULL, NULL, 'Domain of unknown function (DUF5645)', NULL, 'DUF5645', NULL, NULL, NULL, 6),
(6656, NULL, 'PF15072', NULL, NULL, 'Domain of unknown function (DUF4539)', NULL, 'DUF4539', NULL, NULL, NULL, 6),
(6657, NULL, 'PF18830', NULL, NULL, 'Large polyvalent protein-associated domain 16', NULL, 'LPD16', NULL, NULL, NULL, 6),
(6658, NULL, 'PF08226', NULL, NULL, 'Domain of unknown function (DUF1720)', NULL, 'DUF1720', NULL, NULL, NULL, 6),
(6659, NULL, 'PF03245', NULL, NULL, 'Bacteriophage Rz lysis protein', NULL, 'Phage_lysis', NULL, NULL, NULL, 6),
(6660, NULL, 'PF18641', NULL, NULL, 'LidA long coiled-coil domain', NULL, 'LidA_Long_CC', NULL, NULL, NULL, 6),
(6661, NULL, 'PF10183', NULL, NULL, 'ESSS subunit of NADH:ubiquinone oxidoreductase (complex I)', NULL, 'ESSS', NULL, NULL, NULL, 6),
(6662, NULL, 'PF15920', NULL, NULL, 'N-terminal of Junction-mediating and WASP homolog-associated', NULL, 'WHAMM-JMY_N', NULL, NULL, NULL, 6),
(6663, NULL, 'PF14188', NULL, NULL, 'Domain of unknown function (DUF4311)', NULL, 'DUF4311', NULL, NULL, NULL, 6),
(6664, NULL, 'PF18647', NULL, NULL, 'Alpha-galactosyl-binding fungal lectin', NULL, 'Fungal_lectin_2', NULL, NULL, NULL, 6),
(6665, NULL, 'PF10996', NULL, NULL, 'Beta-Casp domain', NULL, 'Beta-Casp', NULL, NULL, NULL, 6),
(6666, NULL, 'PF03967', NULL, NULL, 'Photosynthetic reaction centre, H-chain N-terminal region', NULL, 'PRCH', NULL, NULL, NULL, 6),
(6667, NULL, 'PF16602', NULL, NULL, 'Linker region of USP19 deubiquitinase', NULL, 'USP19_linker', NULL, NULL, NULL, 6),
(6668, NULL, 'PF14584', NULL, NULL, 'Protein of unknown function (DUF4446)', NULL, 'DUF4446', NULL, NULL, NULL, 6),
(6669, NULL, 'PF16827', NULL, NULL, 'zinc-finger', NULL, 'zf-HC3', NULL, NULL, NULL, 6),
(6670, NULL, 'PF17824', NULL, NULL, 'Family of unknown function (DUF5586)', NULL, 'DUF5586', NULL, NULL, NULL, 6),
(6671, NULL, 'PF08387', NULL, NULL, 'FBD', NULL, 'FBD', NULL, NULL, NULL, 6),
(6672, NULL, 'PF02484', NULL, NULL, 'Rhabdovirus Non-virion protein', NULL, 'Rhabdo_NV', NULL, NULL, NULL, 6),
(6673, NULL, 'PF06681', NULL, NULL, 'Protein of unknown function (DUF1182)', NULL, 'DUF1182', NULL, NULL, NULL, 6),
(6674, NULL, 'PF18797', NULL, NULL, 'Adenomatous polyposis coli (APC) repeat', NULL, 'APC_rep', NULL, NULL, NULL, 6),
(6675, NULL, 'PF12850', NULL, NULL, 'Calcineurin-like phosphoesterase superfamily domain', NULL, 'Metallophos_2', NULL, NULL, NULL, 6),
(6676, NULL, 'PF05322', NULL, NULL, 'NINE Protein', NULL, 'NinE', NULL, NULL, NULL, 6),
(6677, NULL, 'PF01813', NULL, NULL, 'ATP synthase subunit D', NULL, 'ATP-synt_D', NULL, NULL, NULL, 6),
(6678, NULL, 'PF02691', NULL, NULL, 'Vacuolating cyotoxin', NULL, 'VacA', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6679, NULL, 'PF17699', NULL, NULL, 'Family of unknown function (DUF5545)', NULL, 'DUF5545', NULL, NULL, NULL, 6),
(6680, NULL, 'PF17407', NULL, NULL, 'Nrap protein domain 6', NULL, 'Nrap_D6', NULL, NULL, NULL, 6),
(6681, NULL, 'PF04234', NULL, NULL, 'CopC domain', NULL, 'CopC', NULL, NULL, NULL, 6),
(6682, NULL, 'PF07653', NULL, NULL, 'Variant SH3 domain', NULL, 'SH3_2', NULL, NULL, NULL, 6),
(6683, NULL, 'PF17607', NULL, NULL, 'Family of unknown function (DUF5503)', NULL, 'DUF5503', NULL, NULL, NULL, 6),
(6684, NULL, 'PF01500', NULL, NULL, 'Keratin, high sulfur B2 protein', NULL, 'Keratin_B2', NULL, NULL, NULL, 6),
(6685, NULL, 'PF13855', NULL, NULL, 'Leucine rich repeat', NULL, 'LRR_8', NULL, NULL, NULL, 6),
(6686, NULL, 'PF16292', NULL, NULL, 'Domain of unknown function (DUF4938)', NULL, 'DUF4938', NULL, NULL, NULL, 6),
(6687, NULL, 'PF14691', NULL, NULL, 'Dihydroprymidine dehydrogenase domain II, 4Fe-4S cluster', NULL, 'Fer4_20', NULL, NULL, NULL, 6),
(6688, NULL, 'PF03910', NULL, NULL, 'Adenovirus minor core protein PV', NULL, 'Adeno_PV', NULL, NULL, NULL, 6),
(6689, NULL, 'PF00136', NULL, NULL, 'DNA polymerase family B', NULL, 'DNA_pol_B', NULL, NULL, NULL, 6),
(6690, NULL, 'PF12718', NULL, NULL, 'Tropomyosin like', NULL, 'Tropomyosin_1', NULL, NULL, NULL, 6),
(6691, NULL, 'PF15673', NULL, NULL, 'Circadian-associated transcriptional repressor', NULL, 'Ciart', NULL, NULL, NULL, 6),
(6692, NULL, 'PF05874', NULL, NULL, 'Pheromone biosynthesis activating neuropeptide (PBAN)', NULL, 'PBAN', NULL, NULL, NULL, 6),
(6693, NULL, 'PF15798', NULL, NULL, 'Proline-rich AKT1 substrate 1', NULL, 'PRAS', NULL, NULL, NULL, 6),
(6694, NULL, 'PF05010', NULL, NULL, 'Transforming acidic coiled-coil-containing protein (TACC), C-terminal', NULL, 'TACC_C', NULL, NULL, NULL, 6),
(6695, NULL, 'PF18891', NULL, NULL, 'FANCL UBC-like domain 3', NULL, 'FANCL_d3', NULL, NULL, NULL, 6),
(6696, NULL, 'PF01440', NULL, NULL, 'Geminivirus AL2 protein', NULL, 'Gemini_AL2', NULL, NULL, NULL, 6),
(6697, NULL, 'PF14797', NULL, NULL, 'Serine-rich region of AP3B1, clathrin-adaptor complex', NULL, 'SEEEED', NULL, NULL, NULL, 6),
(6698, NULL, 'PF16914', NULL, NULL, 'Bacterial transcriptional repressor C-terminal', NULL, 'TetR_C_12', NULL, NULL, NULL, 6),
(6699, NULL, 'PF12577', NULL, NULL, 'PPAR gamma N-terminal region', NULL, 'PPARgamma_N', NULL, NULL, NULL, 6),
(6700, NULL, 'PF05413', NULL, NULL, 'Putative closterovirus papain-like endopeptidase', NULL, 'Peptidase_C34', NULL, NULL, NULL, 6),
(6701, NULL, 'PF14029', NULL, NULL, 'Protein of unknown function (DUF4244)', NULL, 'DUF4244', NULL, NULL, NULL, 6),
(6702, NULL, 'PF00716', NULL, NULL, 'Assemblin (Peptidase family S21)', NULL, 'Peptidase_S21', NULL, NULL, NULL, 6),
(6703, NULL, 'PF15566', NULL, NULL, 'Immunity protein 32', NULL, 'Imm32', NULL, NULL, NULL, 6),
(6704, NULL, 'PF02265', NULL, NULL, 'S1/P1 Nuclease', NULL, 'S1-P1_nuclease', NULL, NULL, NULL, 6),
(6705, NULL, 'PF17984', NULL, NULL, 'Telomerase reverse transcriptase thumb DNA binding domain', NULL, 'TERT_thumb', NULL, NULL, NULL, 6),
(6706, NULL, 'PF10078', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2316)', NULL, 'DUF2316', NULL, NULL, NULL, 6),
(6707, NULL, 'PF02422', NULL, NULL, 'Keratin', NULL, 'Keratin', NULL, NULL, NULL, 6),
(6708, NULL, 'PF06233', NULL, NULL, 'Usg-like family', NULL, 'Usg', NULL, NULL, NULL, 6),
(6709, NULL, 'PF02211', NULL, NULL, 'Nitrile hydratase beta subunit', NULL, 'NHase_beta', NULL, NULL, NULL, 6),
(6710, NULL, 'PF00474', NULL, NULL, 'Sodium:solute symporter family', NULL, 'SSF', NULL, NULL, NULL, 6),
(6711, NULL, 'PF12397', NULL, NULL, 'U3 small nucleolar RNA-associated protein 10', NULL, 'U3snoRNP10', NULL, NULL, NULL, 6),
(6712, NULL, 'PF05732', NULL, NULL, 'Firmicute plasmid replication protein (RepL)', NULL, 'RepL', NULL, NULL, NULL, 6),
(6713, NULL, 'PF15703', NULL, NULL, 'Linker for activation of T-cells family member 2', NULL, 'LAT2', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6714, NULL, 'PF01435', NULL, NULL, 'Peptidase family M48', NULL, 'Peptidase_M48', NULL, NULL, NULL, 6),
(6715, NULL, 'PF05756', NULL, NULL, 'S-antigen protein', NULL, 'S-antigen', NULL, NULL, NULL, 6),
(6716, NULL, 'PF02329', NULL, NULL, 'Histidine carboxylase PI chain', NULL, 'HDC', NULL, NULL, NULL, 6),
(6717, NULL, 'PF15493', NULL, NULL, 'Domain of unknown function, YrpD', NULL, 'YrpD', NULL, NULL, NULL, 6),
(6718, NULL, 'PF14537', NULL, NULL, 'Cytochrome c3', NULL, 'Cytochrom_c3_2', NULL, NULL, NULL, 6),
(6719, NULL, 'PF01576', NULL, NULL, 'Myosin tail', NULL, 'Myosin_tail_1', NULL, NULL, NULL, 6),
(6720, NULL, 'PF10598', NULL, NULL, 'RNA recognition motif of the spliceosomal PrP8', NULL, 'RRM_4', NULL, NULL, NULL, 6),
(6721, NULL, 'PF16002', NULL, NULL, 'Headcase protein', NULL, 'Headcase', NULL, NULL, NULL, 6),
(6722, NULL, 'PF04798', NULL, NULL, 'Baculovirus 19 kDa protein conserved region', NULL, 'Baculo_19', NULL, NULL, NULL, 6),
(6723, NULL, 'PF16440', NULL, NULL, 'Domain of unknown function (DUF5037)', NULL, 'DUF5037', NULL, NULL, NULL, 6),
(6724, NULL, 'PF18416', NULL, NULL, 'N-acetylglucosamine binding protein domain 2', NULL, 'GbpA_2', NULL, NULL, NULL, 6),
(6725, NULL, 'PF18746', NULL, NULL, 'Alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 3', NULL, 'aGPT-Pplase3', NULL, NULL, NULL, 6),
(6726, NULL, 'PF00324', NULL, NULL, 'Amino acid permease', NULL, 'AA_permease', NULL, NULL, NULL, 6),
(6727, NULL, 'PF13353', NULL, NULL, '4Fe-4S single cluster domain', NULL, 'Fer4_12', NULL, NULL, NULL, 6),
(6728, NULL, 'PF09239', NULL, NULL, 'Topoisomerase VI B subunit, transducer', NULL, 'Topo-VIb_trans', NULL, NULL, NULL, 6),
(6729, NULL, 'PF16268', NULL, NULL, 'Domain of unknown function (DUF4921)', NULL, 'DUF4921', NULL, NULL, NULL, 6),
(6730, NULL, 'PF01861', NULL, NULL, 'Branched-chain polyamine synthase A C-terminal domain', NULL, 'DUF43', NULL, NULL, NULL, 6),
(6731, NULL, 'PF02607', NULL, NULL, 'B12 binding domain', NULL, 'B12-binding_2', NULL, NULL, NULL, 6),
(6732, NULL, 'PF18642', NULL, NULL, 'Immunomodulating metalloprotease helical domain', NULL, 'IMPa_helical', NULL, NULL, NULL, 6),
(6733, NULL, 'PF02421', NULL, NULL, 'Ferrous iron transport protein B', NULL, 'FeoB_N', NULL, NULL, NULL, 6),
(6734, NULL, 'PF06764', NULL, NULL, 'Protein of unknown function (DUF1223)', NULL, 'DUF1223', NULL, NULL, NULL, 6),
(6735, NULL, 'PF12233', NULL, NULL, 'Human adult T cell leukemia/lymphoma virus protein', NULL, 'p12I', NULL, NULL, NULL, 6),
(6736, NULL, 'PF08664', NULL, NULL, 'YcbB domain', NULL, 'YcbB', NULL, NULL, NULL, 6),
(6737, NULL, 'PF08723', NULL, NULL, 'Gag protein p15', NULL, 'Gag_p15', NULL, NULL, NULL, 6),
(6738, NULL, 'PF14661', NULL, NULL, 'HAUS augmin-like complex subunit 6 N-terminus', NULL, 'HAUS6_N', NULL, NULL, NULL, 6),
(6739, NULL, 'PF11520', NULL, NULL, 'Chromatin protein Cren7', NULL, 'Cren7', NULL, NULL, NULL, 6),
(6740, NULL, 'PF16530', NULL, NULL, 'Infectious hypodermal and haematopoietic necrosis virus, capsid', NULL, 'IHHNV_capsid', NULL, NULL, NULL, 6),
(6741, NULL, 'PF07244', NULL, NULL, 'Surface antigen variable number repeat', NULL, 'POTRA', NULL, NULL, NULL, 6),
(6742, NULL, 'PF13510', NULL, NULL, '2Fe-2S iron-sulfur cluster binding domain', NULL, 'Fer2_4', NULL, NULL, NULL, 6),
(6743, NULL, 'PF10147', NULL, NULL, 'Growth arrest and DNA-damage-inducible proteins-interacting protein 1', NULL, 'CR6_interact', NULL, NULL, NULL, 6),
(6744, NULL, 'PF11125', NULL, NULL, 'Protein of unknown function (DUF2830)', NULL, 'DUF2830', NULL, NULL, NULL, 6),
(6745, NULL, 'PF12619', NULL, NULL, 'Mini-chromosome maintenance protein 2', NULL, 'MCM2_N', NULL, NULL, NULL, 6),
(6746, NULL, 'PF16881', NULL, NULL, 'N-terminal domain of lipoyl synthase of Radical_SAM family', NULL, 'LIAS_N', NULL, NULL, NULL, 6),
(6747, NULL, 'PF12778', NULL, NULL, 'PXPV repeat (3 copies)', NULL, 'PXPV', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6748, NULL, 'PF03315', NULL, NULL, 'Serine dehydratase beta chain', NULL, 'SDH_beta', NULL, NULL, NULL, 6),
(6749, NULL, 'PF03206', NULL, NULL, 'Nitrogen fixation protein NifW', NULL, 'NifW', NULL, NULL, NULL, 6),
(6750, NULL, 'PF09511', NULL, NULL, 'RNA ligase', NULL, 'RNA_lig_T4_1', NULL, NULL, NULL, 6),
(6751, NULL, 'PF14500', NULL, NULL, 'Dos2-interacting transcription regulator of RNA-Pol-II', NULL, 'MMS19_N', NULL, NULL, NULL, 6),
(6752, NULL, 'PF00763', NULL, NULL, 'Tetrahydrofolate dehydrogenase/cyclohydrolase, catalytic domain', NULL, 'THF_DHG_CYH', NULL, NULL, NULL, 6),
(6753, NULL, 'PF17492', NULL, NULL, 'Delta Ctenitoxins', NULL, 'D_CNTX', NULL, NULL, NULL, 6),
(6754, NULL, 'PF14739', NULL, NULL, 'Domain of unknown function (DUF4472)', NULL, 'DUF4472', NULL, NULL, NULL, 6),
(6755, NULL, 'PF17421', NULL, NULL, 'Family of unknown function (DUF5409)', NULL, 'DUF5409', NULL, NULL, NULL, 6),
(6756, NULL, 'PF10455', NULL, NULL, 'Bin/amphiphysin/Rvs domain for vesicular trafficking', NULL, 'BAR_2', NULL, NULL, NULL, 6),
(6757, NULL, 'PF15251', NULL, NULL, 'Domain of unknown function (DUF4588)', NULL, 'DUF4588', NULL, NULL, NULL, 6),
(6758, NULL, 'PF14360', NULL, NULL, 'PAP2 superfamily C-terminal', NULL, 'PAP2_C', NULL, NULL, NULL, 6),
(6759, NULL, 'PF17873', NULL, NULL, 'Replicase polyprotein 1ab', NULL, 'Rep_1B', NULL, NULL, NULL, 6),
(6760, NULL, 'PF11710', NULL, NULL, 'G protein-coupled glucose receptor regulating Gpa2', NULL, 'Git3', NULL, NULL, NULL, 6),
(6761, NULL, 'PF08494', NULL, NULL, 'DEAD/H associated', NULL, 'DEAD_assoc', NULL, NULL, NULL, 6),
(6762, NULL, 'PF17917', NULL, NULL, 'RNase H-like domain found in reverse transcriptase', NULL, 'RT_RNaseH', NULL, NULL, NULL, 6),
(6763, NULL, 'PF08154', NULL, NULL, 'NLE (NUC135) domain', NULL, 'NLE', NULL, NULL, NULL, 6),
(6764, NULL, 'PF16439', NULL, NULL, 'Domain of unknown function (DUF5036)', NULL, 'DUF5036', NULL, NULL, NULL, 6),
(6765, NULL, 'PF01759', NULL, NULL, 'UNC-6/NTR/C345C module', NULL, 'NTR', NULL, NULL, NULL, 6),
(6766, NULL, 'PF15938', NULL, NULL, 'Domain of unknown function (DUF4750)', NULL, 'DUF4750', NULL, NULL, NULL, 6),
(6767, NULL, 'PF06646', NULL, NULL, 'High affinity transport system protein p37', NULL, 'Mycoplasma_p37', NULL, NULL, NULL, 6),
(6768, NULL, 'PF15985', NULL, NULL, 'KH domain', NULL, 'KH_6', NULL, NULL, NULL, 6),
(6769, NULL, 'PF11797', NULL, NULL, 'Protein of unknown function C-terminal (DUF3324)', NULL, 'DUF3324', NULL, NULL, NULL, 6),
(6770, NULL, 'PF10525', NULL, NULL, 'Engrailed homeobox C-terminal signature domain', NULL, 'Engrail_1_C_sig', NULL, NULL, NULL, 6),
(6771, NULL, 'PF04994', NULL, NULL, 'TfoX C-terminal domain', NULL, 'TfoX_C', NULL, NULL, NULL, 6),
(6772, NULL, 'PF19221', NULL, NULL, 'MELT motif', NULL, 'MELT', NULL, NULL, NULL, 6),
(6773, NULL, 'PF15132', NULL, NULL, 'Domain of unknown function (DUF4568)', NULL, 'DUF4568', NULL, NULL, NULL, 6),
(6774, NULL, 'PF09471', NULL, NULL, 'IgA Peptidase M64', NULL, 'Peptidase_M64', NULL, NULL, NULL, 6),
(6775, NULL, 'PF09308', NULL, NULL, 'LuxQ, periplasmic', NULL, 'LuxQ-periplasm', NULL, NULL, NULL, 6),
(6776, NULL, 'PF01636', NULL, NULL, 'Phosphotransferase enzyme family', NULL, 'APH', NULL, NULL, NULL, 6),
(6777, NULL, 'PF15961', NULL, NULL, 'Domain of unknown function (DUF4764)', NULL, 'DUF4764', NULL, NULL, NULL, 6),
(6778, NULL, 'PF00440', NULL, NULL, 'Bacterial regulatory proteins, tetR family', NULL, 'TetR_N', NULL, NULL, NULL, 6),
(6779, NULL, 'PF15621', NULL, NULL, 'Proline-rich submaxillary gland androgen-regulated family', NULL, 'PROL5-SMR', NULL, NULL, NULL, 6),
(6780, NULL, 'PF05848', NULL, NULL, 'CtsR N-terminal HTH domain', NULL, 'CtsR', NULL, NULL, NULL, 6),
(6781, NULL, 'PF04708', NULL, NULL, 'Poxvirus F16 protein', NULL, 'Pox_F16', NULL, NULL, NULL, 6),
(6782, NULL, 'PF10794', NULL, NULL, 'Protein of unknown function (DUF2606)', NULL, 'DUF2606', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6783, NULL, 'PF03976', NULL, NULL, 'Polyphosphate kinase 2 (PPK2)', NULL, 'PPK2', NULL, NULL, NULL, 6),
(6784, NULL, 'PF00909', NULL, NULL, 'Ammonium Transporter Family', NULL, 'Ammonium_transp', NULL, NULL, NULL, 6),
(6785, NULL, 'PF04505', NULL, NULL, 'Interferon-induced transmembrane protein', NULL, 'CD225', NULL, NULL, NULL, 6),
(6786, NULL, 'PF11542', NULL, NULL, 'Mitochondrial division protein 1', NULL, 'Mdv1', NULL, NULL, NULL, 6),
(6787, NULL, 'PF00209', NULL, NULL, 'Sodium:neurotransmitter symporter family', NULL, 'SNF', NULL, NULL, NULL, 6),
(6788, NULL, 'PF05125', NULL, NULL, 'Phage major capsid protein, P2 family', NULL, 'Phage_cap_P2', NULL, NULL, NULL, 6),
(6789, NULL, 'PF01876', NULL, NULL, 'RNase P subunit p30', NULL, 'RNase_P_p30', NULL, NULL, NULL, 6),
(6790, NULL, 'PF18009', NULL, NULL, '4Fe-4S iron-sulfur cluster binding domain', NULL, 'Fer4_23', NULL, NULL, NULL, 6),
(6791, NULL, 'PF16920', NULL, NULL, 'Tyrosine-protein kinase receptor C2 Ig-like domain', NULL, 'TPKR_C2', NULL, NULL, NULL, 6),
(6792, NULL, 'PF18863', NULL, NULL, 'AbiJ N-terminal domain 4', NULL, 'AbiJ_NTD4', NULL, NULL, NULL, 6),
(6793, NULL, 'PF06145', NULL, NULL, 'Coronavirus nonstructural protein NS1', NULL, 'Corona_NS1', NULL, NULL, NULL, 6),
(6794, NULL, 'PF05955', NULL, NULL, 'Equine herpesvirus glycoprotein gp2', NULL, 'Herpes_gp2', NULL, NULL, NULL, 6),
(6795, NULL, 'PF18657', NULL, NULL, 'YDG domain', NULL, 'YDG', NULL, NULL, NULL, 6),
(6796, NULL, 'PF05543', NULL, NULL, 'Staphopain peptidase C47', NULL, 'Peptidase_C47', NULL, NULL, NULL, 6),
(6797, NULL, 'PF15877', NULL, NULL, 'Transmembrane protein family 232', NULL, 'TMEM232', NULL, NULL, NULL, 6),
(6798, NULL, 'PF18650', NULL, NULL, 'Immunomodulating metalloprotease N-terminal domain', NULL, 'IMPa_N_2', NULL, NULL, NULL, 6),
(6799, NULL, 'PF12922', NULL, NULL, 'non-SMC mitotic condensation complex subunit 1, N-term', NULL, 'Cnd1_N', NULL, NULL, NULL, 6),
(6800, NULL, 'PF00480', NULL, NULL, 'ROK family', NULL, 'ROK', NULL, NULL, NULL, 6),
(6801, NULL, 'PF10093', NULL, NULL, 'Elongation-Factor P (EF-P) rhamnosyltransferase EarP', NULL, 'EarP', NULL, NULL, NULL, 6),
(6802, NULL, 'PF08633', NULL, NULL, 'Rox3 mediator complex subunit', NULL, 'Rox3', NULL, NULL, NULL, 6),
(6803, NULL, 'PF18694', NULL, NULL, 'Transactive response DNA-binding protein N-terminal domain', NULL, 'TDP43_N', NULL, NULL, NULL, 6),
(6804, NULL, 'PF11530', NULL, NULL, 'Minor type IV pilin, PilX', NULL, 'Pilin_PilX', NULL, NULL, NULL, 6),
(6805, NULL, 'PF08902', NULL, NULL, 'Domain of unknown function (DUF1848)', NULL, 'DUF1848', NULL, NULL, NULL, 6),
(6806, NULL, 'PF16168', NULL, NULL, 'Adhesin of bacterial autotransporter system, probable stalk', NULL, 'AIDA', NULL, NULL, NULL, 6),
(6807, NULL, 'PF03170', NULL, NULL, 'Bacterial cellulose synthase subunit', NULL, 'BcsB', NULL, NULL, NULL, 6),
(6808, NULL, 'PF14978', NULL, NULL, 'Mitochondrial ribosome protein 63', NULL, 'MRP-63', NULL, NULL, NULL, 6),
(6809, NULL, 'PF18305', NULL, NULL, '3'' to 5'' exonuclease C-terminal domain', NULL, 'DNA_pol_A_exoN', NULL, NULL, NULL, 6),
(6810, NULL, 'PF11028', NULL, NULL, 'Protein of unknown function (DUF2723)', NULL, 'DUF2723', NULL, NULL, NULL, 6),
(6811, NULL, 'PF19038', NULL, NULL, 'Third Longin domain of FUZ, MON1 and HPS1', NULL, 'Fuz_longin_3', NULL, NULL, NULL, 6),
(6812, NULL, 'PF05644', NULL, NULL, 'Mitochondrial and peroxisomal fission factor Mff', NULL, 'Miff', NULL, NULL, NULL, 6),
(6813, NULL, 'PF00427', NULL, NULL, 'Phycobilisome Linker polypeptide', NULL, 'PBS_linker_poly', NULL, NULL, NULL, 6),
(6814, NULL, 'PF02395', NULL, NULL, 'Immunoglobulin A1 protease', NULL, 'Peptidase_S6', NULL, NULL, NULL, 6),
(6815, NULL, 'PF06957', NULL, NULL, 'Coatomer (COPI) alpha subunit C-terminus', NULL, 'COPI_C', NULL, NULL, NULL, 6),
(6816, NULL, 'PF08546', NULL, NULL, 'Ketopantoate reductase PanE/ApbA C terminal', NULL, 'ApbA_C', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6817, NULL, 'PF10009', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2252)', NULL, 'DUF2252', NULL, NULL, NULL, 6),
(6818, NULL, 'PF12785', NULL, NULL, 'Variant erythrocyte surface antigen-1', NULL, 'VESA1_N', NULL, NULL, NULL, 6),
(6819, NULL, 'PF07696', NULL, NULL, '7TMR-DISM extracellular 2', NULL, '7TMR-DISMED2', NULL, NULL, NULL, 6),
(6820, NULL, 'PF15225', NULL, NULL, 'Interleukin 32', NULL, 'IL32', NULL, NULL, NULL, 6),
(6821, NULL, 'PF01989', NULL, NULL, 'Aconitase X swivel domain', NULL, 'DUF126', NULL, NULL, NULL, 6),
(6822, NULL, 'PF15783', NULL, NULL, 'Fibrous sheath-interacting protein 2', NULL, 'FSIP2', NULL, NULL, NULL, 6),
(6823, NULL, 'PF09015', NULL, NULL, 'NgoMIV restriction enzyme', NULL, 'NgoMIV_restric', NULL, NULL, NULL, 6),
(6824, NULL, 'PF02517', NULL, NULL, 'CPBP intramembrane metalloprotease', NULL, 'CPBP', NULL, NULL, NULL, 6),
(6825, NULL, 'PF16132', NULL, NULL, 'Domain of unknown function (DUF4843)', NULL, 'DUF4843', NULL, NULL, NULL, 6),
(6826, NULL, 'PF07849', NULL, NULL, 'Protein of unknown function (DUF1641)', NULL, 'DUF1641', NULL, NULL, NULL, 6),
(6827, NULL, 'PF11235', NULL, NULL, 'Mediator complex subunit 25 synapsin 1', NULL, 'Med25_SD1', NULL, NULL, NULL, 6),
(6828, NULL, 'PF14527', NULL, NULL, 'WhiA LAGLIDADG-like domain', NULL, 'LAGLIDADG_WhiA', NULL, NULL, NULL, 6),
(6829, NULL, 'PF06977', NULL, NULL, 'SdiA-regulated', NULL, 'SdiA-regulated', NULL, NULL, NULL, 6),
(6830, NULL, 'PF12767', NULL, NULL, 'Transcriptional regulator of RNA polII, SAGA, subunit', NULL, 'SAGA-Tad1', NULL, NULL, NULL, 6),
(6831, NULL, 'PF02799', NULL, NULL, 'Myristoyl-CoA:protein N-myristoyltransferase, C-terminal domain', NULL, 'NMT_C', NULL, NULL, NULL, 6),
(6832, NULL, 'PF17670', NULL, NULL, 'Family of unknown function (DUF5530)', NULL, 'DUF5530', NULL, NULL, NULL, 6),
(6833, NULL, 'PF10616', NULL, NULL, 'Protein of unknown function (DUF2471)', NULL, 'DUF2471', NULL, NULL, NULL, 6),
(6834, NULL, 'PF08289', NULL, NULL, 'Influenza Matrix protein (M1) C-terminal domain', NULL, 'Flu_M1_C', NULL, NULL, NULL, 6),
(6835, NULL, 'PF00150', NULL, NULL, 'Cellulase (glycosyl hydrolase family 5)', NULL, 'Cellulase', NULL, NULL, NULL, 6),
(6836, NULL, 'PF12996', NULL, NULL, 'DUF based on E. rectale Gene description (DUF3880)', NULL, 'DUF3880', NULL, NULL, NULL, 6),
(6837, NULL, 'PF15438', NULL, NULL, 'Antigenic membrane protein of phytoplasma', NULL, 'Phyto-Amp', NULL, NULL, NULL, 6),
(6838, NULL, 'PF17506', NULL, NULL, 'Family of unknown function (DUF5438)', NULL, 'DUF5438', NULL, NULL, NULL, 6),
(6839, NULL, 'PF16683', NULL, NULL, 'Transglutaminase elicitor', NULL, 'TGase_elicitor', NULL, NULL, NULL, 6),
(6840, NULL, 'PF10837', NULL, NULL, 'Protein of unknown function (DUF2575)', NULL, 'DUF2575', NULL, NULL, NULL, 6),
(6841, NULL, 'PF14689', NULL, NULL, 'Sensor_kinase_SpoOB-type, alpha-helical domain', NULL, 'SPOB_a', NULL, NULL, NULL, 6),
(6842, NULL, 'PF02973', NULL, NULL, 'Sialidase, N-terminal domain', NULL, 'Sialidase', NULL, NULL, NULL, 6),
(6843, NULL, 'PF02303', NULL, NULL, 'Helix-destabilising protein', NULL, 'Phage_DNA_bind', NULL, NULL, NULL, 6),
(6844, NULL, 'PF05649', NULL, NULL, 'Peptidase family M13', NULL, 'Peptidase_M13_N', NULL, NULL, NULL, 6),
(6845, NULL, 'PF00329', NULL, NULL, 'Respiratory-chain NADH dehydrogenase, 30 Kd subunit', NULL, 'Complex1_30kDa', NULL, NULL, NULL, 6),
(6846, NULL, 'PF13127', NULL, NULL, 'Protein of unknown function (DUF3955)', NULL, 'DUF3955', NULL, NULL, NULL, 6),
(6847, NULL, 'PF12791', NULL, NULL, 'Anti-sigma factor N-terminus', NULL, 'RsgI_N', NULL, NULL, NULL, 6),
(6848, NULL, 'PF11176', NULL, NULL, 'Translation machinery-associated protein 16', NULL, 'Tma16', NULL, NULL, NULL, 6),
(6849, NULL, 'PF17722', NULL, NULL, 'Family of unknown function (DUF5567)', NULL, 'DUF5567', NULL, NULL, NULL, 6),
(6850, NULL, 'PF03321', NULL, NULL, 'GH3 auxin-responsive promoter', NULL, 'GH3', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6851, NULL, 'PF07030', NULL, NULL, 'Protein of unknown function (DUF1320)', NULL, 'DUF1320', NULL, NULL, NULL, 6),
(6852, NULL, 'PF09931', NULL, NULL, 'Uncharacterized conserved protein (DUF2163)', NULL, 'DUF2163', NULL, NULL, NULL, 6),
(6853, NULL, 'PF09278', NULL, NULL, 'MerR, DNA binding', NULL, 'MerR-DNA-bind', NULL, NULL, NULL, 6),
(6854, NULL, 'PF08589', NULL, NULL, 'Fungal protein of unknown function (DUF1770)', NULL, 'DUF1770', NULL, NULL, NULL, 6),
(6855, NULL, 'PF07984', NULL, NULL, 'Nucleotidyltransferase', NULL, 'NTP_transf_7', NULL, NULL, NULL, 6),
(6856, NULL, 'PF13360', NULL, NULL, 'PQQ-like domain', NULL, 'PQQ_2', NULL, NULL, NULL, 6),
(6857, NULL, 'PF15568', NULL, NULL, 'Immunity protein 39', NULL, 'Imm39', NULL, NULL, NULL, 6),
(6858, NULL, 'PF11409', NULL, NULL, 'Smad anchor for receptor activation (SARA)', NULL, 'SARA', NULL, NULL, NULL, 6),
(6859, NULL, 'PF03711', NULL, NULL, 'Orn/Lys/Arg decarboxylase, C-terminal domain', NULL, 'OKR_DC_1_C', NULL, NULL, NULL, 6),
(6860, NULL, 'PF01423', NULL, NULL, 'LSM domain', NULL, 'LSM', NULL, NULL, NULL, 6),
(6861, NULL, 'PF13627', NULL, NULL, 'Prokaryotic lipoprotein-attachment site', NULL, 'LPAM_2', NULL, NULL, NULL, 6),
(6862, NULL, 'PF09270', NULL, NULL, 'Beta-trefoil DNA-binding domain', NULL, 'BTD', NULL, NULL, NULL, 6),
(6863, NULL, 'PF05359', NULL, NULL, 'Domain of Unknown Function (DUF748)', NULL, 'DUF748', NULL, NULL, NULL, 6),
(6864, NULL, 'PF18874', NULL, NULL, 'QPE domain', NULL, 'QPE', NULL, NULL, NULL, 6),
(6865, NULL, 'PF12394', NULL, NULL, 'Protein FAM135', NULL, 'DUF3657', NULL, NULL, NULL, 6),
(6866, NULL, 'PF11503', NULL, NULL, 'Protein of unknown function (DUF3215)', NULL, 'DUF3215', NULL, NULL, NULL, 6),
(6867, NULL, 'PF15235', NULL, NULL, 'G protein-regulated inducer of neurite outgrowth C-terminus', NULL, 'GRIN_C', NULL, NULL, NULL, 6),
(6868, NULL, 'PF18690', NULL, NULL, 'Family of unknown function (DUF5639)', NULL, 'DUF5639', NULL, NULL, NULL, 6),
(6869, NULL, 'PF19105', NULL, NULL, 'Family of unknown function (DUF5792)', NULL, 'DUF5792', NULL, NULL, NULL, 6),
(6870, NULL, 'PF11331', NULL, NULL, 'Probable zinc-ribbon domain', NULL, 'zinc_ribbon_12', NULL, NULL, NULL, 6),
(6871, NULL, 'PF16465', NULL, NULL, 'Domain of unknown function (DUF5046)', NULL, 'DUF5046', NULL, NULL, NULL, 6),
(6872, NULL, 'PF13858', NULL, NULL, 'Protein of unknown function (DUF4199)', NULL, 'DUF4199', NULL, NULL, NULL, 6),
(6873, NULL, 'PF12356', NULL, NULL, 'Baculoviral IAP repeat-containing protein 6', NULL, 'BIRC6', NULL, NULL, NULL, 6),
(6874, NULL, 'PF15894', NULL, NULL, 'Inhibitor of glucose uptake transporter SgrT', NULL, 'SgrT', NULL, NULL, NULL, 6),
(6875, NULL, 'PF16203', NULL, NULL, 'ERCC3/RAD25/XPB C-terminal helicase', NULL, 'ERCC3_RAD25_C', NULL, NULL, NULL, 6),
(6876, NULL, 'PF06625', NULL, NULL, 'Protein of unknown function (DUF1151)', NULL, 'DUF1151', NULL, NULL, NULL, 6),
(6877, NULL, 'PF13158', NULL, NULL, 'Protein of unknown function (DUF3993)', NULL, 'DUF3993', NULL, NULL, NULL, 6),
(6878, NULL, 'PF13066', NULL, NULL, 'Protein of unknown function (DUF3929)', NULL, 'DUF3929', NULL, NULL, NULL, 6),
(6879, NULL, 'PF17274', NULL, NULL, 'Family of unknown function (DUF5339)', NULL, 'DUF5339', NULL, NULL, NULL, 6),
(6880, NULL, 'PF18962', NULL, NULL, 'Secretion system C-terminal sorting domain', NULL, 'Por_Secre_tail', NULL, NULL, NULL, 6),
(6881, NULL, 'PF16039', NULL, NULL, 'Domain of unknown function (DUF4791)', NULL, 'DUF4791', NULL, NULL, NULL, 6),
(6882, NULL, 'PF07687', NULL, NULL, 'Peptidase dimerisation domain', NULL, 'M20_dimer', NULL, NULL, NULL, 6),
(6883, NULL, 'PF12561', NULL, NULL, 'ToxR activated gene A lipoprotein domain', NULL, 'TagA', NULL, NULL, NULL, 6),
(6884, NULL, 'PF19004', NULL, NULL, 'Family of unknown function (DUF5733)', NULL, 'DUF5733', NULL, NULL, NULL, 6),
(6885, NULL, 'PF11121', NULL, NULL, 'Protein of unknown function (DUF2639)', NULL, 'DUF2639', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6886, NULL, 'PF18900', NULL, NULL, 'Protein of unknown function (DUF5656)', NULL, 'DUF5656', NULL, NULL, NULL, 6),
(6887, NULL, 'PF17091', NULL, NULL, 'Inovirus G7P protein', NULL, 'Tail_VII', NULL, NULL, NULL, 6),
(6888, NULL, 'PF07536', NULL, NULL, 'HWE histidine kinase', NULL, 'HWE_HK', NULL, NULL, NULL, 6),
(6889, NULL, 'PF06472', NULL, NULL, 'ABC transporter transmembrane region 2', NULL, 'ABC_membrane_2', NULL, NULL, NULL, 6),
(6890, NULL, 'PF07794', NULL, NULL, 'Protein of unknown function (DUF1633)', NULL, 'DUF1633', NULL, NULL, NULL, 6),
(6891, NULL, 'PF11045', NULL, NULL, 'Putative inner membrane protein of Enterobacteriaceae', NULL, 'YbjM', NULL, NULL, NULL, 6),
(6892, NULL, 'PF13002', NULL, NULL, 'Arrestin_N terminal like', NULL, 'LDB19', NULL, NULL, NULL, 6),
(6893, NULL, 'PF17385', NULL, NULL, 'Lacto-N-biose phosphorylase central domain', NULL, 'LBP_M', NULL, NULL, NULL, 6),
(6894, NULL, 'PF05524', NULL, NULL, 'PEP-utilising enzyme, N-terminal', NULL, 'PEP-utilisers_N', NULL, NULL, NULL, 6),
(6895, NULL, 'PF04092', NULL, NULL, 'SRS domain', NULL, 'SAG', NULL, NULL, NULL, 6),
(6896, NULL, 'PF02405', NULL, NULL, 'Permease MlaE', NULL, 'MlaE', NULL, NULL, NULL, 6),
(6897, NULL, 'PF05054', NULL, NULL, 'Autographa californica nuclear polyhedrosis virus (AcMNPV) protein', NULL, 'AcMNPV_Ac109', NULL, NULL, NULL, 6),
(6898, NULL, 'PF15676', NULL, NULL, 'Six6 opposite strand transcript 1 family', NULL, 'S6OS1', NULL, NULL, NULL, 6),
(6899, NULL, 'PF11454', NULL, NULL, 'Protein of unknown function (DUF3016)', NULL, 'DUF3016', NULL, NULL, NULL, 6),
(6900, NULL, 'PF17296', NULL, NULL, 'Arenavirus cap snatching domain', NULL, 'ArenaCapSnatch', NULL, NULL, NULL, 6),
(6901, NULL, 'PF10208', NULL, NULL, 'Degradation arginine-rich protein for mis-folding', NULL, 'Armet', NULL, NULL, NULL, 6),
(6902, NULL, 'PF10548', NULL, NULL, 'P22AR C-terminal domain', NULL, 'P22_AR_C', NULL, NULL, NULL, 6),
(6903, NULL, 'PF11566', NULL, NULL, 'PI31 proteasome regulator N-terminal', NULL, 'PI31_Prot_N', NULL, NULL, NULL, 6),
(6904, NULL, 'PF05210', NULL, NULL, 'Sprouty protein (Spry)', NULL, 'Sprouty', NULL, NULL, NULL, 6),
(6905, NULL, 'PF13920', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4_3', NULL, NULL, NULL, 6),
(6906, NULL, 'PF07745', NULL, NULL, 'Glycosyl hydrolase family 53', NULL, 'Glyco_hydro_53', NULL, NULL, NULL, 6),
(6907, NULL, 'PF08384', NULL, NULL, 'Pro-opiomelanocortin, N-terminal region', NULL, 'NPP', NULL, NULL, NULL, 6),
(6908, NULL, 'PF06899', NULL, NULL, 'WzyE protein, O-antigen assembly polymerase', NULL, 'WzyE', NULL, NULL, NULL, 6),
(6909, NULL, 'PF12371', NULL, NULL, 'Transmembrane protein 131-like', NULL, 'TMEM131_like', NULL, NULL, NULL, 6),
(6910, NULL, 'PF10828', NULL, NULL, 'Protein of unknown function (DUF2570)', NULL, 'DUF2570', NULL, NULL, NULL, 6),
(6911, NULL, 'PF00325', NULL, NULL, 'Bacterial regulatory proteins, crp family', NULL, 'Crp', NULL, NULL, NULL, 6),
(6912, NULL, 'PF13333', NULL, NULL, 'Integrase core domain', NULL, 'rve_2', NULL, NULL, NULL, 6),
(6913, NULL, 'PF07846', NULL, NULL, 'Metallothionein family', NULL, 'Metallothio_Cad', NULL, NULL, NULL, 6),
(6914, NULL, 'PF01289', NULL, NULL, 'Thiol-activated cytolysin', NULL, 'Thiol_cytolysin', NULL, NULL, NULL, 6),
(6915, NULL, 'PF16455', NULL, NULL, 'Ubiquitin-binding domain', NULL, 'UBD', NULL, NULL, NULL, 6),
(6916, NULL, 'PF02873', NULL, NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase, C-terminal domain', NULL, 'MurB_C', NULL, NULL, NULL, 6),
(6917, NULL, 'PF13551', NULL, NULL, 'Winged helix-turn helix', NULL, 'HTH_29', NULL, NULL, NULL, 6),
(6918, NULL, 'PF15683', NULL, NULL, 'Testis development-related protein', NULL, 'TDRP', NULL, NULL, NULL, 6),
(6919, NULL, 'PF14470', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_3', NULL, NULL, NULL, 6),
(6920, NULL, 'PF08627', NULL, NULL, 'CRT-like, chloroquine-resistance transporter-like', NULL, 'CRT-like', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6921, NULL, 'PF12620', NULL, NULL, 'Protein of unknown function (DUF3778)', NULL, 'DUF3778', NULL, NULL, NULL, 6),
(6922, NULL, 'PF11190', NULL, NULL, 'Protein of unknown function (DUF2976)', NULL, 'DUF2976', NULL, NULL, NULL, 6),
(6923, NULL, 'PF09654', NULL, NULL, 'Protein of unknown function (DUF2396)', NULL, 'DUF2396', NULL, NULL, NULL, 6),
(6924, NULL, 'PF17938', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_29', NULL, NULL, NULL, 6),
(6925, NULL, 'PF04820', NULL, NULL, 'Tryptophan halogenase', NULL, 'Trp_halogenase', NULL, NULL, NULL, 6),
(6926, NULL, 'PF15888', NULL, NULL, 'Folded gastrulation N-terminus', NULL, 'FOG_N', NULL, NULL, NULL, 6),
(6927, NULL, 'PF16727', NULL, NULL, 'DNA repair protein REV1 C-terminal domain', NULL, 'REV1_C', NULL, NULL, NULL, 6),
(6928, NULL, 'PF13331', NULL, NULL, 'Domain of unknown function (DUF4093)', NULL, 'DUF4093', NULL, NULL, NULL, 6),
(6929, NULL, 'PF02847', NULL, NULL, 'MA3 domain', NULL, 'MA3', NULL, NULL, NULL, 6),
(6930, NULL, 'PF05830', NULL, NULL, 'Nodulation protein Z (NodZ)', NULL, 'NodZ', NULL, NULL, NULL, 6),
(6931, NULL, 'PF05531', NULL, NULL, 'Nucleopolyhedrovirus P10 protein', NULL, 'NPV_P10', NULL, NULL, NULL, 6),
(6932, NULL, 'PF14335', NULL, NULL, 'Domain of unknown function (DUF4391)', NULL, 'DUF4391', NULL, NULL, NULL, 6),
(6933, NULL, 'PF18467', NULL, NULL, 'Domain of unknown function (DUF5613)', NULL, 'DUF5613', NULL, NULL, NULL, 6),
(6934, NULL, 'PF10562', NULL, NULL, 'Calmodulin-binding domain C0 of NMDA receptor NR1 subunit', NULL, 'CaM_bdg_C0', NULL, NULL, NULL, 6),
(6935, NULL, 'PF10477', NULL, NULL, 'Nucleocytoplasmic shuttling protein for mRNA cap-binding EIF4E', NULL, 'EIF4E-T', NULL, NULL, NULL, 6),
(6936, NULL, 'PF17465', NULL, NULL, 'Chemokine-like protein, HHV-6 U83 gene product', NULL, 'U83', NULL, NULL, NULL, 6),
(6937, NULL, 'PF19041', NULL, NULL, 'Nuclear cap binding complex subunit CBP30', NULL, 'CBP30', NULL, NULL, NULL, 6),
(6938, NULL, 'PF17491', NULL, NULL, 'Spider Toxins mu-diguetoxin-1 a, b and c', NULL, 'm_DGTX_Dc1a_b_c', NULL, NULL, NULL, 6),
(6939, NULL, 'PF00725', NULL, NULL, '3-hydroxyacyl-CoA dehydrogenase, C-terminal domain', NULL, '3HCDH', NULL, NULL, NULL, 6),
(6940, NULL, 'PF16204', NULL, NULL, 'BDHCT-box associated domain on Bloom syndrome protein', NULL, 'BDHCT_assoc', NULL, NULL, NULL, 6),
(6941, NULL, 'PF12170', NULL, NULL, 'DNA polymerase III tau subunit V interacting with alpha', NULL, 'DNA_pol3_tau_5', NULL, NULL, NULL, 6),
(6942, NULL, 'PF16448', NULL, NULL, 'LapD/MoxY periplasmic domain', NULL, 'LapD_MoxY_N', NULL, NULL, NULL, 6),
(6943, NULL, 'PF02656', NULL, NULL, 'Domain of unknown function (DUF202)', NULL, 'DUF202', NULL, NULL, NULL, 6),
(6944, NULL, 'PF02768', NULL, NULL, 'DNA polymerase III beta subunit, C-terminal domain', NULL, 'DNA_pol3_beta_3', NULL, NULL, NULL, 6),
(6945, NULL, 'PF14022', NULL, NULL, 'Protein of unknown function (DUF4238)', NULL, 'DUF4238', NULL, NULL, NULL, 6),
(6946, NULL, 'PF13359', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_Tnp_4', NULL, NULL, NULL, 6),
(6947, NULL, 'PF00294', NULL, NULL, 'pfkB family carbohydrate kinase', NULL, 'PfkB', NULL, NULL, NULL, 6),
(6948, NULL, 'PF04438', NULL, NULL, 'HIT zinc finger', NULL, 'zf-HIT', NULL, NULL, NULL, 6),
(6949, NULL, 'PF01388', NULL, NULL, 'ARID/BRIGHT DNA binding domain', NULL, 'ARID', NULL, NULL, NULL, 6),
(6950, NULL, 'PF15159', NULL, NULL, 'Phosphatidylinositol N-acetylglucosaminyltransferase subunit Y', NULL, 'PIG-Y', NULL, NULL, NULL, 6),
(6951, NULL, 'PF05092', NULL, NULL, 'Per os infectivity', NULL, 'PIF', NULL, NULL, NULL, 6),
(6952, NULL, 'PF11589', NULL, NULL, 'Domain of unknown function (DUF3244)', NULL, 'DUF3244', NULL, NULL, NULL, 6),
(6953, NULL, 'PF18681', NULL, NULL, 'Family of unknown function (DUF5634)', NULL, 'DUF5634', NULL, NULL, NULL, 6),
(6954, NULL, 'PF05730', NULL, NULL, 'CFEM domain', NULL, 'CFEM', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6955, NULL, 'PF03866', NULL, NULL, 'Hydrophobic abundant protein (HAP)', NULL, 'HAP', NULL, NULL, NULL, 6),
(6956, NULL, 'PF02150', NULL, NULL, 'RNA polymerases M/15 Kd subunit', NULL, 'RNA_POL_M_15KD', NULL, NULL, NULL, 6),
(6957, NULL, 'PF08512', NULL, NULL, 'Histone chaperone Rttp106-like', NULL, 'Rtt106', NULL, NULL, NULL, 6),
(6958, NULL, 'PF03392', NULL, NULL, 'Insect pheromone-binding family, A10/OS-D', NULL, 'OS-D', NULL, NULL, NULL, 6),
(6959, NULL, 'PF04338', NULL, NULL, 'Protein of unknown function, DUF481', NULL, 'DUF481', NULL, NULL, NULL, 6),
(6960, NULL, 'PF10551', NULL, NULL, 'MULE transposase domain', NULL, 'MULE', NULL, NULL, NULL, 6),
(6961, NULL, 'PF15626', NULL, NULL, 'single CXXC unit', NULL, 'mono-CXXC', NULL, NULL, NULL, 6),
(6962, NULL, 'PF09939', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2171)', NULL, 'DUF2171', NULL, NULL, NULL, 6),
(6963, NULL, 'PF14748', NULL, NULL, 'Pyrroline-5-carboxylate reductase dimerisation', NULL, 'P5CR_dimer', NULL, NULL, NULL, 6),
(6964, NULL, 'PF06056', NULL, NULL, 'Putative ATPase subunit of terminase (gpP-like)', NULL, 'Terminase_5', NULL, NULL, NULL, 6),
(6965, NULL, 'PF06709', NULL, NULL, 'Protein of unknown function (DUF1196)', NULL, 'DUF1196', NULL, NULL, NULL, 6),
(6966, NULL, 'PF18760', NULL, NULL, 'ADP-Ribosyltransferase in polyvalent proteins', NULL, 'ART-PolyVal', NULL, NULL, NULL, 6),
(6967, NULL, 'PF12686', NULL, NULL, 'Protein of unknown function (DUF3800)', NULL, 'DUF3800', NULL, NULL, NULL, 6),
(6968, NULL, 'PF16016', NULL, NULL, 'VAD1 Analog of StAR-related lipid transfer domain', NULL, 'VASt', NULL, NULL, NULL, 6),
(6969, NULL, 'PF09539', NULL, NULL, 'Protein of unknown function (DUF2385)', NULL, 'DUF2385', NULL, NULL, NULL, 6),
(6970, NULL, 'PF15754', NULL, NULL, 'Sperm equatorial segment protein 1', NULL, 'SPESP1', NULL, NULL, NULL, 6),
(6971, NULL, 'PF18078', NULL, NULL, 'Thioredoxin-like SNTX domain', NULL, 'Thioredoxin_11', NULL, NULL, NULL, 6),
(6972, NULL, 'PF11349', NULL, NULL, 'Protein of unknown function (DUF3151)', NULL, 'DUF3151', NULL, NULL, NULL, 6),
(6973, NULL, 'PF03213', NULL, NULL, 'Poxvirus P35 protein', NULL, 'Pox_P35', NULL, NULL, NULL, 6),
(6974, NULL, 'PF09581', NULL, NULL, 'Stage III sporulation protein AF (Spore_III_AF)', NULL, 'Spore_III_AF', NULL, NULL, NULL, 6),
(6975, NULL, 'PF09258', NULL, NULL, 'Glycosyl transferase family 64 domain', NULL, 'Glyco_transf_64', NULL, NULL, NULL, 6),
(6976, NULL, 'PF16061', NULL, NULL, 'Domain of unknown function (DUF4803)', NULL, 'DUF4803', NULL, NULL, NULL, 6),
(6977, NULL, 'PF06477', NULL, NULL, 'Protein of unknown function (DUF1091)', NULL, 'DUF1091', NULL, NULL, NULL, 6),
(6978, NULL, 'PF11914', NULL, NULL, 'Domain of unknown function (DUF3432)', NULL, 'DUF3432', NULL, NULL, NULL, 6),
(6979, NULL, 'PF04612', NULL, NULL, 'Type II secretion system (T2SS), protein M', NULL, 'T2SSM', NULL, NULL, NULL, 6),
(6980, NULL, 'PF13977', NULL, NULL, 'BetI-type transcriptional repressor, C-terminal', NULL, 'TetR_C_6', NULL, NULL, NULL, 6),
(6981, NULL, 'PF03123', NULL, NULL, 'CAT RNA binding domain', NULL, 'CAT_RBD', NULL, NULL, NULL, 6),
(6982, NULL, 'PF02720', NULL, NULL, 'Domain of unknown function (DUF222)', NULL, 'DUF222', NULL, NULL, NULL, 6),
(6983, NULL, 'PF06356', NULL, NULL, 'Protein of unknown function (DUF1064)', NULL, 'DUF1064', NULL, NULL, NULL, 6),
(6984, NULL, 'PF02287', NULL, NULL, 'Dehydratase small subunit', NULL, 'Dehydratase_SU', NULL, NULL, NULL, 6),
(6985, NULL, 'PF07102', NULL, NULL, 'Protein of unknown function (DUF1364)', NULL, 'DUF1364', NULL, NULL, NULL, 6),
(6986, NULL, 'PF06243', NULL, NULL, 'Phenylacetic acid degradation B', NULL, 'PaaB', NULL, NULL, NULL, 6),
(6987, NULL, 'PF16278', NULL, NULL, 'C2HE / C2H2 / C2HC zinc-binding finger', NULL, 'zf-C2HE', NULL, NULL, NULL, 6),
(6988, NULL, 'PF15734', NULL, NULL, 'Migration and invasion-inhibitory', NULL, 'MIIP', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(6989, NULL, 'PF05678', NULL, NULL, 'VQ motif', NULL, 'VQ', NULL, NULL, NULL, 6),
(6990, NULL, 'PF02431', NULL, NULL, 'Chalcone-flavanone isomerase', NULL, 'Chalcone', NULL, NULL, NULL, 6),
(6991, NULL, 'PF00778', NULL, NULL, 'DIX domain', NULL, 'DIX', NULL, NULL, NULL, 6),
(6992, NULL, 'PF18941', NULL, NULL, 'Family of unknown function (DUF5688)', NULL, 'DUF5688', NULL, NULL, NULL, 6),
(6993, NULL, 'PF18507', NULL, NULL, 'WW domain', NULL, 'WW_1', NULL, NULL, NULL, 6),
(6994, NULL, 'PF16576', NULL, NULL, 'Barrel-sandwich domain of CusB or HlyD membrane-fusion', NULL, 'HlyD_D23', NULL, NULL, NULL, 6),
(6995, NULL, 'PF14550', NULL, NULL, 'Putative phage serine protease XkdF', NULL, 'Peptidase_S78_2', NULL, NULL, NULL, 6),
(6996, NULL, 'PF08615', NULL, NULL, 'Ribonuclease H2 non-catalytic subunit (Ylr154p-like)', NULL, 'RNase_H2_suC', NULL, NULL, NULL, 6),
(6997, NULL, 'PF16755', NULL, NULL, 'Nucleoporin or Nuclear pore complex subunit NUP214=Nup159', NULL, 'NUP214', NULL, NULL, NULL, 6),
(6998, NULL, 'PF14075', NULL, NULL, 'Ubinuclein conserved middle domain', NULL, 'UBN_AB', NULL, NULL, NULL, 6),
(6999, NULL, 'PF03348', NULL, NULL, 'Serine incorporator (Serinc)', NULL, 'Serinc', NULL, NULL, NULL, 6),
(7000, NULL, 'PF14097', NULL, NULL, 'Stage V sporulation protein AE1', NULL, 'SpoVAE', NULL, NULL, NULL, 6),
(7001, NULL, 'PF02670', NULL, NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase', NULL, 'DXP_reductoisom', NULL, NULL, NULL, 6),
(7002, NULL, 'PF01725', NULL, NULL, 'Ham1 family', NULL, 'Ham1p_like', NULL, NULL, NULL, 6),
(7003, NULL, 'PF15401', NULL, NULL, 'Tryptophan-ring motif of head of Trimeric autotransporter adhesin', NULL, 'TAA-Trp-ring', NULL, NULL, NULL, 6),
(7004, NULL, 'PF11015', NULL, NULL, 'Protein of unknown function (DUF2853)', NULL, 'DUF2853', NULL, NULL, NULL, 6),
(7005, NULL, 'PF03373', NULL, NULL, 'Octapeptide repeat', NULL, 'Octapeptide', NULL, NULL, NULL, 6),
(7006, NULL, 'PF17866', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_6', NULL, NULL, NULL, 6),
(7007, NULL, 'PF11694', NULL, NULL, 'Protein of unknown function (DUF3290)', NULL, 'DUF3290', NULL, NULL, NULL, 6),
(7008, NULL, 'PF12401', NULL, NULL, 'Protein of unknown function (DUF3662)', NULL, 'DUF3662', NULL, NULL, NULL, 6),
(7009, NULL, 'PF16857', NULL, NULL, 'RNA polymerase inhibitor', NULL, 'RNA_pol_inhib', NULL, NULL, NULL, 6),
(7010, NULL, 'PF17856', NULL, NULL, 'TIP49 AAA-lid domain', NULL, 'TIP49_C', NULL, NULL, NULL, 6),
(7011, NULL, 'PF05463', NULL, NULL, 'Sclerostin (SOST)', NULL, 'Sclerostin', NULL, NULL, NULL, 6),
(7012, NULL, 'PF15414', NULL, NULL, 'Protein of unknown function (DUF4621)', NULL, 'DUF4621', NULL, NULL, NULL, 6),
(7013, NULL, 'PF04858', NULL, NULL, 'TH1 protein', NULL, 'TH1', NULL, NULL, NULL, 6),
(7014, NULL, 'PF08837', NULL, NULL, 'Protein of unknown function (DUF1810)', NULL, 'DUF1810', NULL, NULL, NULL, 6),
(7015, NULL, 'PF15480', NULL, NULL, 'Domain of unknown function (DUF4640)', NULL, 'DUF4640', NULL, NULL, NULL, 6),
(7016, NULL, 'PF01279', NULL, NULL, 'Parathyroid hormone family', NULL, 'Parathyroid', NULL, NULL, NULL, 6),
(7017, NULL, 'PF18841', NULL, NULL, 'Beta solenoid repeat from Dextranase', NULL, 'B_solenoid_dext', NULL, NULL, NULL, 6),
(7018, NULL, 'PF16261', NULL, NULL, 'Domain of unknown function (DUF4915)', NULL, 'DUF4915', NULL, NULL, NULL, 6),
(7019, NULL, 'PF13841', NULL, NULL, 'Beta defensin', NULL, 'Defensin_beta_2', NULL, NULL, NULL, 6),
(7020, NULL, 'PF15336', NULL, NULL, 'Autism susceptibility gene 2 protein', NULL, 'Auts2', NULL, NULL, NULL, 6),
(7021, NULL, 'PF18767', NULL, NULL, 'Activation induced deaminase', NULL, 'AID', NULL, NULL, NULL, 6),
(7022, NULL, 'PF04151', NULL, NULL, 'Bacterial pre-peptidase C-terminal domain', NULL, 'PPC', NULL, NULL, NULL, 6),
(7023, NULL, 'PF09997', NULL, NULL, 'Predicted membrane protein (DUF2238)', NULL, 'DUF2238', NULL, NULL, NULL, 6),
(7024, NULL, 'PF04136', NULL, NULL, 'Sec34-like family', NULL, 'Sec34', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7025, NULL, 'PF05936', NULL, NULL, 'Bacterial Type VI secretion, VC_A0110, EvfL, ImpJ, VasE', NULL, 'T6SS_VasE', NULL, NULL, NULL, 6),
(7026, NULL, 'PF16712', NULL, NULL, 'Coiled-coil regions of plant-specific actin-binding protein', NULL, 'SCAB_CC', NULL, NULL, NULL, 6),
(7027, NULL, 'PF12626', NULL, NULL, 'Polymerase A arginine-rich C-terminus', NULL, 'PolyA_pol_arg_C', NULL, NULL, NULL, 6),
(7028, NULL, 'PF14098', NULL, NULL, 'Small, acid-soluble spore protein I', NULL, 'SSPI', NULL, NULL, NULL, 6),
(7029, NULL, 'PF18888', NULL, NULL, 'Repeat of unknown function (DUF5650)', NULL, 'DUF5650', NULL, NULL, NULL, 6),
(7030, NULL, 'PF00789', NULL, NULL, 'UBX domain', NULL, 'UBX', NULL, NULL, NULL, 6),
(7031, NULL, 'PF14950', NULL, NULL, 'Domain of unknown function (DUF4502)', NULL, 'DUF4502', NULL, NULL, NULL, 6),
(7032, NULL, 'PF05400', NULL, NULL, 'Flagellar protein FliT', NULL, 'FliT', NULL, NULL, NULL, 6),
(7033, NULL, 'PF00471', NULL, NULL, 'Ribosomal protein L33', NULL, 'Ribosomal_L33', NULL, NULL, NULL, 6),
(7034, NULL, 'PF12652', NULL, NULL, 'CotJB protein', NULL, 'CotJB', NULL, NULL, NULL, 6),
(7035, NULL, 'PF18757', NULL, NULL, 'Nucleotide modification associated domain 5', NULL, 'Nmad5', NULL, NULL, NULL, 6),
(7036, NULL, 'PF15522', NULL, NULL, 'Novel toxin 14', NULL, 'Ntox14', NULL, NULL, NULL, 6),
(7037, NULL, 'PF10419', NULL, NULL, 'TFIIIC subunit triple barrel domain', NULL, 'TFIIIC_sub6', NULL, NULL, NULL, 6),
(7038, NULL, 'PF01109', NULL, NULL, 'Granulocyte-macrophage colony-stimulating factor', NULL, 'GM_CSF', NULL, NULL, NULL, 6),
(7039, NULL, 'PF04031', NULL, NULL, 'Las1-like', NULL, 'Las1', NULL, NULL, NULL, 6),
(7040, NULL, 'PF17857', NULL, NULL, 'AAA+ lid domain', NULL, 'AAA_lid_1', NULL, NULL, NULL, 6),
(7041, NULL, 'PF16885', NULL, NULL, 'Voltage-gated calcium channel subunit alpha, C-term', NULL, 'CAC1F_C', NULL, NULL, NULL, 6),
(7042, NULL, 'PF11507', NULL, NULL, 'Ebola virus-specific transcription factor VP30', NULL, 'Transcript_VP30', NULL, NULL, NULL, 6),
(7043, NULL, 'PF12786', NULL, NULL, 'GB virus C genotype envelope', NULL, 'GBV-C_env', NULL, NULL, NULL, 6),
(7044, NULL, 'PF01786', NULL, NULL, 'Alternative oxidase', NULL, 'AOX', NULL, NULL, NULL, 6),
(7045, NULL, 'PF10060', NULL, NULL, 'Uncharacterized membrane protein (DUF2298)', NULL, 'DUF2298', NULL, NULL, NULL, 6),
(7046, NULL, 'PF01635', NULL, NULL, 'Coronavirus M matrix/glycoprotein', NULL, 'CoV_M', NULL, NULL, NULL, 6),
(7047, NULL, 'PF00456', NULL, NULL, 'Transketolase, thiamine diphosphate binding domain', NULL, 'Transketolase_N', NULL, NULL, NULL, 6),
(7048, NULL, 'PF17498', NULL, NULL, 'Family of unknown function (DUF5433)', NULL, 'DUF5433', NULL, NULL, NULL, 6),
(7049, NULL, 'PF17952', NULL, NULL, 'Cas6 N-terminal domain', NULL, 'Cas6_N', NULL, NULL, NULL, 6),
(7050, NULL, 'PF09867', NULL, NULL, 'TagF N-terminal domain, Type VI secretion system-associated', NULL, 'TagF_N', NULL, NULL, NULL, 6),
(7051, NULL, 'PF14983', NULL, NULL, 'Domain of unknown function (DUF4513)', NULL, 'DUF4513', NULL, NULL, NULL, 6),
(7052, NULL, 'PF12510', NULL, NULL, 'Smoothelin cytoskeleton protein', NULL, 'Smoothelin', NULL, NULL, NULL, 6),
(7053, NULL, 'PF07027', NULL, NULL, 'Protein of unknown function (DUF1318)', NULL, 'DUF1318', NULL, NULL, NULL, 6),
(7054, NULL, 'PF15444', NULL, NULL, 'Transmembrane protein 247', NULL, 'TMEM247', NULL, NULL, NULL, 6),
(7055, NULL, 'PF13016', NULL, NULL, 'Cys-rich Gliadin N-terminal', NULL, 'Gliadin', NULL, NULL, NULL, 6),
(7056, NULL, 'PF00238', NULL, NULL, 'Ribosomal protein L14p/L23e', NULL, 'Ribosomal_L14', NULL, NULL, NULL, 6),
(7057, NULL, 'PF05568', NULL, NULL, 'African swine fever virus J13L protein', NULL, 'ASFV_J13L', NULL, NULL, NULL, 6),
(7058, NULL, 'PF01000', NULL, NULL, 'RNA polymerase Rpb3/RpoA insert domain', NULL, 'RNA_pol_A_bac', NULL, NULL, NULL, 6),
(7059, NULL, 'PF04099', NULL, NULL, 'Sybindin-like family', NULL, 'Sybindin', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7060, NULL, 'PF14383', NULL, NULL, 'DUF761-associated sequence motif', NULL, 'VARLMGL', NULL, NULL, NULL, 6),
(7061, NULL, 'PF01686', NULL, NULL, 'Adenovirus penton base protein', NULL, 'Adeno_Penton_B', NULL, NULL, NULL, 6),
(7062, NULL, 'PF01364', NULL, NULL, 'Peptidase family C25', NULL, 'Peptidase_C25', NULL, NULL, NULL, 6),
(7063, NULL, 'PF09122', NULL, NULL, 'Domain of unknown function (DUF1930)', NULL, 'DUF1930', NULL, NULL, NULL, 6),
(7064, NULL, 'PF05604', NULL, NULL, 'Protein of unknown function (DUF776)', NULL, 'DUF776', NULL, NULL, NULL, 6),
(7065, NULL, 'PF10209', NULL, NULL, 'Uncharacterized conserved protein (DUF2340)', NULL, 'DUF2340', NULL, NULL, NULL, 6),
(7066, NULL, 'PF03597', NULL, NULL, 'Cytochrome oxidase maturation protein cbb3-type', NULL, 'FixS', NULL, NULL, NULL, 6),
(7067, NULL, 'PF03383', NULL, NULL, 'Caenorhabditis serpentine receptor-like protein, class xa', NULL, 'Serpentine_r_xa', NULL, NULL, NULL, 6),
(7068, NULL, 'PF01115', NULL, NULL, 'F-actin capping protein, beta subunit', NULL, 'F_actin_cap_B', NULL, NULL, NULL, 6),
(7069, NULL, 'PF13514', NULL, NULL, 'AAA domain', NULL, 'AAA_27', NULL, NULL, NULL, 6),
(7070, NULL, 'PF16090', NULL, NULL, 'Domain of unknown function (DUF4819)', NULL, 'DUF4819', NULL, NULL, NULL, 6),
(7071, NULL, 'PF17558', NULL, NULL, 'Androgenic gland hormone', NULL, 'AGH', NULL, NULL, NULL, 6),
(7072, NULL, 'PF05449', NULL, NULL, 'Putative 3TM holin, Phage_holin_3', NULL, 'Phage_holin_3_7', NULL, NULL, NULL, 6),
(7073, NULL, 'PF17202', NULL, NULL, 'Single cache domain 3', NULL, 'sCache_3_3', NULL, NULL, NULL, 6),
(7074, NULL, 'PF09772', NULL, NULL, 'Transmembrane protein 26', NULL, 'Tmem26', NULL, NULL, NULL, 6),
(7075, NULL, 'PF02666', NULL, NULL, 'Phosphatidylserine decarboxylase', NULL, 'PS_Dcarbxylase', NULL, NULL, NULL, 6),
(7076, NULL, 'PF01616', NULL, NULL, 'Orbivirus NS3', NULL, 'Orbi_NS3', NULL, NULL, NULL, 6),
(7077, NULL, 'PF01639', NULL, NULL, 'Viral family 110', NULL, 'v110', NULL, NULL, NULL, 6),
(7078, NULL, 'PF05728', NULL, NULL, 'Uncharacterised protein family (UPF0227)', NULL, 'UPF0227', NULL, NULL, NULL, 6),
(7079, NULL, 'PF14872', NULL, NULL, 'Hypothetical glycoside hydrolase 5', NULL, 'GHL5', NULL, NULL, NULL, 6),
(7080, NULL, 'PF08990', NULL, NULL, 'Erythronolide synthase docking domain', NULL, 'Docking', NULL, NULL, NULL, 6),
(7081, NULL, 'PF11827', NULL, NULL, 'Protein of unknown function (DUF3347)', NULL, 'DUF3347', NULL, NULL, NULL, 6),
(7082, NULL, 'PF05110', NULL, NULL, 'AF-4 proto-oncoprotein N-terminal region', NULL, 'AF-4', NULL, NULL, NULL, 6),
(7083, NULL, 'PF11718', NULL, NULL, 'Pre-mRNA 3''-end-processing endonuclease polyadenylation factor C-term', NULL, 'CPSF73-100_C', NULL, NULL, NULL, 6),
(7084, NULL, 'PF08966', NULL, NULL, 'Domain of unknown function (DUF1882)', NULL, 'DUF1882', NULL, NULL, NULL, 6),
(7085, NULL, 'PF10510', NULL, NULL, 'Phosphatidylinositol-glycan biosynthesis class S protein', NULL, 'PIG-S', NULL, NULL, NULL, 6),
(7086, NULL, 'PF09966', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2200)', NULL, 'DUF2200', NULL, NULL, NULL, 6),
(7087, NULL, 'PF08037', NULL, NULL, 'Attractin family', NULL, 'Attractin', NULL, NULL, NULL, 6),
(7088, NULL, 'PF08224', NULL, NULL, 'Domain of unknown function (DUF1719)', NULL, 'DUF1719', NULL, NULL, NULL, 6),
(7089, NULL, 'PF02893', NULL, NULL, 'GRAM domain', NULL, 'GRAM', NULL, NULL, NULL, 6),
(7090, NULL, 'PF16122', NULL, NULL, '40S ribosomal protein SA C-terminus', NULL, '40S_SA_C', NULL, NULL, NULL, 6),
(7091, NULL, 'PF10704', NULL, NULL, 'Protein of unknown function (DUF2508)', NULL, 'DUF2508', NULL, NULL, NULL, 6),
(7092, NULL, 'PF18621', NULL, NULL, 'Family of unknown function (DUF5628)', NULL, 'DUF5628', NULL, NULL, NULL, 6),
(7093, NULL, 'PF02163', NULL, NULL, 'Peptidase family M50', NULL, 'Peptidase_M50', NULL, NULL, NULL, 6),
(7094, NULL, 'PF04043', NULL, NULL, 'Plant invertase/pectin methylesterase inhibitor', NULL, 'PMEI', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7095, NULL, 'PF17662', NULL, NULL, 'Family of unknown function (DUF5524)', NULL, 'DUF5524', NULL, NULL, NULL, 6),
(7096, NULL, 'PF13382', NULL, NULL, 'Adenine deaminase C-terminal domain', NULL, 'Adenine_deam_C', NULL, NULL, NULL, 6),
(7097, NULL, 'PF18852', NULL, NULL, 'Large polyvalent protein associated domain 34', NULL, 'LPD34', NULL, NULL, NULL, 6),
(7098, NULL, 'PF00961', NULL, NULL, 'LAGLIDADG endonuclease', NULL, 'LAGLIDADG_1', NULL, NULL, NULL, 6),
(7099, NULL, 'PF14140', NULL, NULL, 'YpzI-like protein', NULL, 'YpzI', NULL, NULL, NULL, 6),
(7100, NULL, 'PF03320', NULL, NULL, 'Bacterial fructose-1,6-bisphosphatase, glpX-encoded', NULL, 'FBPase_glpX', NULL, NULL, NULL, 6),
(7101, NULL, 'PF10865', NULL, NULL, 'Domain of unknown function (DUF2703)', NULL, 'DUF2703', NULL, NULL, NULL, 6),
(7102, NULL, 'PF11350', NULL, NULL, 'Protein of unknown function (DUF3152)', NULL, 'DUF3152', NULL, NULL, NULL, 6),
(7103, NULL, 'PF15993', NULL, NULL, 'Fuseless', NULL, 'Fuseless', NULL, NULL, NULL, 6),
(7104, NULL, 'PF01777', NULL, NULL, 'Ribosomal L27e protein family', NULL, 'Ribosomal_L27e', NULL, NULL, NULL, 6),
(7105, NULL, 'PF10102', NULL, NULL, 'Domain of unknown function (DUF2341)', NULL, 'DUF2341', NULL, NULL, NULL, 6),
(7106, NULL, 'PF15567', NULL, NULL, 'Immunity protein 35', NULL, 'Imm35', NULL, NULL, NULL, 6),
(7107, NULL, 'PF03120', NULL, NULL, 'NAD-dependent DNA ligase OB-fold domain', NULL, 'DNA_ligase_OB', NULL, NULL, NULL, 6),
(7108, NULL, 'PF14800', NULL, NULL, 'Domain of unknown function (DUF4481)', NULL, 'DUF4481', NULL, NULL, NULL, 6),
(7109, NULL, 'PF00066', NULL, NULL, 'LNR domain', NULL, 'Notch', NULL, NULL, NULL, 6),
(7110, NULL, 'PF00290', NULL, NULL, 'Tryptophan synthase alpha chain', NULL, 'Trp_syntA', NULL, NULL, NULL, 6),
(7111, NULL, 'PF16678', NULL, NULL, 'HOIP UBA domain pair', NULL, 'HOIP-UBA', NULL, NULL, NULL, 6),
(7112, NULL, 'PF03195', NULL, NULL, 'Lateral organ boundaries (LOB) domain', NULL, 'LOB', NULL, NULL, NULL, 6),
(7113, NULL, 'PF00499', NULL, NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 6', NULL, 'Oxidored_q3', NULL, NULL, NULL, 6),
(7114, NULL, 'PF05638', NULL, NULL, 'Type VI secretion system effector, Hcp', NULL, 'T6SS_HCP', NULL, NULL, NULL, 6),
(7115, NULL, 'PF13498', NULL, NULL, 'Domain of unknown function (DUF4122)', NULL, 'DUF4122', NULL, NULL, NULL, 6),
(7116, NULL, 'PF11540', NULL, NULL, 'Cytoplasmic dynein 1 intermediate chain 2', NULL, 'Dynein_IC2', NULL, NULL, NULL, 6),
(7117, NULL, 'PF13691', NULL, NULL, 'tRNase Z endonuclease', NULL, 'Lactamase_B_4', NULL, NULL, NULL, 6),
(7118, NULL, 'PF13000', NULL, NULL, 'Acetyl-coenzyme A transporter 1', NULL, 'Acatn', NULL, NULL, NULL, 6),
(7119, NULL, 'PF06869', NULL, NULL, 'Protein of unknown function (DUF1258)', NULL, 'DUF1258', NULL, NULL, NULL, 6),
(7120, NULL, 'PF17061', NULL, NULL, 'PARM', NULL, 'PARM', NULL, NULL, NULL, 6),
(7121, NULL, 'PF12072', NULL, NULL, 'RNase Y N-terminal region', NULL, 'RNase_Y_N', NULL, NULL, NULL, 6),
(7122, NULL, 'PF08889', NULL, NULL, 'WbqC-like protein family', NULL, 'WbqC', NULL, NULL, NULL, 6),
(7123, NULL, 'PF08298', NULL, NULL, 'PrkA AAA domain', NULL, 'AAA_PrkA', NULL, NULL, NULL, 6),
(7124, NULL, 'PF10844', NULL, NULL, 'Protein of unknown function (DUF2577)', NULL, 'DUF2577', NULL, NULL, NULL, 6),
(7125, NULL, 'PF04789', NULL, NULL, 'Protein of unknown function (DUF621)', NULL, 'DUF621', NULL, NULL, NULL, 6),
(7126, NULL, 'PF03347', NULL, NULL, 'Vibrio thermostable direct hemolysin', NULL, 'TDH', NULL, NULL, NULL, 6),
(7127, NULL, 'PF03493', NULL, NULL, 'Calcium-activated BK potassium channel alpha subunit', NULL, 'BK_channel_a', NULL, NULL, NULL, 6),
(7128, NULL, 'PF13540', NULL, NULL, 'Regulator of chromosome condensation (RCC1) repeat', NULL, 'RCC1_2', NULL, NULL, NULL, 6),
(7129, NULL, 'PF15088', NULL, NULL, 'NADH dehydrogenase [ubiquinone] 1 subunit C1, mitochondrial', NULL, 'NADH_dh_m_C1', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7130, NULL, 'PF13868', NULL, NULL, 'Trichohyalin-plectin-homology domain', NULL, 'TPH', NULL, NULL, NULL, 6),
(7131, NULL, 'PF19039', NULL, NULL, 'ASK kinase PH domain', NULL, 'ASK_PH', NULL, NULL, NULL, 6),
(7132, NULL, 'PF02763', NULL, NULL, 'Diphtheria toxin, C domain', NULL, 'Diphtheria_C', NULL, NULL, NULL, 6),
(7133, NULL, 'PF01097', NULL, NULL, 'Arthropod defensin', NULL, 'Defensin_2', NULL, NULL, NULL, 6),
(7134, NULL, 'PF01010', NULL, NULL, 'NADH-dehyrogenase subunit F, TMs, (complex I) C-terminus', NULL, 'Proton_antipo_C', NULL, NULL, NULL, 6),
(7135, NULL, 'PF07390', NULL, NULL, 'Mycoplasma P30 protein', NULL, 'P30', NULL, NULL, NULL, 6),
(7136, NULL, 'PF17069', NULL, NULL, 'Arginine/Serine-Rich protein 1', NULL, 'RSRP', NULL, NULL, NULL, 6),
(7137, NULL, 'PF11298', NULL, NULL, 'Protein of unknown function (DUF3099)', NULL, 'DUF3099', NULL, NULL, NULL, 6),
(7138, NULL, 'PF00703', NULL, NULL, 'Glycosyl hydrolases family 2', NULL, 'Glyco_hydro_2', NULL, NULL, NULL, 6),
(7139, NULL, 'PF11813', NULL, NULL, 'Protein of unknown function (DUF3334)', NULL, 'DUF3334', NULL, NULL, NULL, 6),
(7140, NULL, 'PF05839', NULL, NULL, 'Apc13p protein', NULL, 'Apc13p', NULL, NULL, NULL, 6),
(7141, NULL, 'PF05405', NULL, NULL, 'Mitochondrial ATP synthase B chain precursor (ATP-synt_B)', NULL, 'Mt_ATP-synt_B', NULL, NULL, NULL, 6),
(7142, NULL, 'PF07166', NULL, NULL, 'Protein of unknown function (DUF1398)', NULL, 'DUF1398', NULL, NULL, NULL, 6),
(7143, NULL, 'PF00876', NULL, NULL, 'Innexin', NULL, 'Innexin', NULL, NULL, NULL, 6),
(7144, NULL, 'PF00537', NULL, NULL, 'Scorpion toxin-like domain', NULL, 'Toxin_3', NULL, NULL, NULL, 6),
(7145, NULL, 'PF10096', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2334)', NULL, 'DUF2334', NULL, NULL, NULL, 6),
(7146, NULL, 'PF06241', NULL, NULL, 'Castor and Pollux, part of voltage-gated ion channel', NULL, 'Castor_Poll_mid', NULL, NULL, NULL, 6),
(7147, NULL, 'PF09097', NULL, NULL, 'Baseplate structural protein, domain 1', NULL, 'Phage-tail_1', NULL, NULL, NULL, 6),
(7148, NULL, 'PF09721', NULL, NULL, 'Transmembrane exosortase (Exosortase_EpsH)', NULL, 'Exosortase_EpsH', NULL, NULL, NULL, 6),
(7149, NULL, 'PF14756', NULL, NULL, 'Peptidase_C33-associated domain', NULL, 'Pdase_C33_assoc', NULL, NULL, NULL, 6),
(7150, NULL, 'PF19090', NULL, NULL, 'Family of unknown function (DUF5778)', NULL, 'DUF5778', NULL, NULL, NULL, 6),
(7151, NULL, 'PF01068', NULL, NULL, 'ATP dependent DNA ligase domain', NULL, 'DNA_ligase_A_M', NULL, NULL, NULL, 6),
(7152, NULL, 'PF07295', NULL, NULL, 'Zinc-ribbon containing domain', NULL, 'DUF1451', NULL, NULL, NULL, 6),
(7153, NULL, 'PF04898', NULL, NULL, 'Glutamate synthase central domain', NULL, 'Glu_syn_central', NULL, NULL, NULL, 6),
(7154, NULL, 'PF09311', NULL, NULL, 'Rabaptin-like protein', NULL, 'Rab5-bind', NULL, NULL, NULL, 6),
(7155, NULL, 'PF11431', NULL, NULL, 'Membrane transport protein MerF', NULL, 'Transport_MerF', NULL, NULL, NULL, 6),
(7156, NULL, 'PF03157', NULL, NULL, 'High molecular weight glutenin subunit', NULL, 'Glutenin_hmw', NULL, NULL, NULL, 6),
(7157, NULL, 'PF05091', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit 7 (eIF-3)', NULL, 'eIF-3_zeta', NULL, NULL, NULL, 6),
(7158, NULL, 'PF15373', NULL, NULL, 'Domain of unknown function (DUF4601)', NULL, 'DUF4601', NULL, NULL, NULL, 6),
(7159, NULL, 'PF09940', NULL, NULL, 'Domain of unknown function (DUF2172)', NULL, 'DUF2172', NULL, NULL, NULL, 6),
(7160, NULL, 'PF04008', NULL, NULL, 'Adenosine specific kinase', NULL, 'Adenosine_kin', NULL, NULL, NULL, 6),
(7161, NULL, 'PF11612', NULL, NULL, 'Type II secretion system (T2SS), protein J', NULL, 'T2SSJ', NULL, NULL, NULL, 6),
(7162, NULL, 'PF04371', NULL, NULL, 'Porphyromonas-type peptidyl-arginine deiminase', NULL, 'PAD_porph', NULL, NULL, NULL, 6),
(7163, NULL, 'PF04781', NULL, NULL, 'Protein of unknown function (DUF627)', NULL, 'DUF627', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7164, NULL, 'PF02520', NULL, NULL, 'Domain of unknown function DUF148', NULL, 'DUF148', NULL, NULL, NULL, 6),
(7165, NULL, 'PF06252', NULL, NULL, 'Protein of unknown function (DUF1018)', NULL, 'DUF1018', NULL, NULL, NULL, 6),
(7166, NULL, 'PF05164', NULL, NULL, 'Cell division protein ZapA', NULL, 'ZapA', NULL, NULL, NULL, 6),
(7167, NULL, 'PF11383', NULL, NULL, 'Protein of unknown function (DUF3187)', NULL, 'DUF3187', NULL, NULL, NULL, 6),
(7168, NULL, 'PF17523', NULL, NULL, 'MinK-related peptide, potassium channel accessory sub-unit protein 4', NULL, 'MPS-4', NULL, NULL, NULL, 6),
(7169, NULL, 'PF01515', NULL, NULL, 'Phosphate acetyl/butaryl transferase', NULL, 'PTA_PTB', NULL, NULL, NULL, 6),
(7170, NULL, 'PF00448', NULL, NULL, 'SRP54-type protein, GTPase domain', NULL, 'SRP54', NULL, NULL, NULL, 6),
(7171, NULL, 'PF12898', NULL, NULL, 'Stc1 domain', NULL, 'Stc1', NULL, NULL, NULL, 6),
(7172, NULL, 'PF17260', NULL, NULL, 'Family of unknown function (DUF5326)', NULL, 'DUF5326', NULL, NULL, NULL, 6),
(7173, NULL, 'PF08987', NULL, NULL, 'Protein of unknown function (DUF1892)', NULL, 'DUF1892', NULL, NULL, NULL, 6),
(7174, NULL, 'PF05426', NULL, NULL, 'Alginate lyase', NULL, 'Alginate_lyase', NULL, NULL, NULL, 6),
(7175, NULL, 'PF11711', NULL, NULL, 'Inner membrane protein import complex subunit Tim54', NULL, 'Tim54', NULL, NULL, NULL, 6),
(7176, NULL, 'PF14901', NULL, NULL, 'Cleavage inducing molecular chaperone', NULL, 'Jiv90', NULL, NULL, NULL, 6),
(7177, NULL, 'PF10825', NULL, NULL, 'Protein of unknown function (DUF2752)', NULL, 'DUF2752', NULL, NULL, NULL, 6),
(7178, NULL, 'PF12583', NULL, NULL, 'Tripeptidyl peptidase II N terminal', NULL, 'TPPII_N', NULL, NULL, NULL, 6),
(7179, NULL, 'PF12970', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3858)', NULL, 'DUF3858', NULL, NULL, NULL, 6),
(7180, NULL, 'PF16719', NULL, NULL, 'SAWADEE domain', NULL, 'SAWADEE', NULL, NULL, NULL, 6),
(7181, NULL, 'PF16761', NULL, NULL, 'Transcription-silencing protein, cryptic loci regulator Clr2', NULL, 'Clr2_transil', NULL, NULL, NULL, 6),
(7182, NULL, 'PF00195', NULL, NULL, 'Chalcone and stilbene synthases, N-terminal domain', NULL, 'Chal_sti_synt_N', NULL, NULL, NULL, 6),
(7183, NULL, 'PF01416', NULL, NULL, 'tRNA pseudouridine synthase', NULL, 'PseudoU_synth_1', NULL, NULL, NULL, 6),
(7184, NULL, 'PF07396', NULL, NULL, 'Phosphate-selective porin O and P', NULL, 'Porin_O_P', NULL, NULL, NULL, 6),
(7185, NULL, 'PF19174', NULL, NULL, 'Family of unknown function (DUF5856)', NULL, 'DUF5856', NULL, NULL, NULL, 6),
(7186, NULL, 'PF13297', NULL, NULL, 'Telomere stability C-terminal', NULL, 'Telomere_Sde2_2', NULL, NULL, NULL, 6),
(7187, NULL, 'PF06551', NULL, NULL, 'Protein of unknown function (DUF1120)', NULL, 'DUF1120', NULL, NULL, NULL, 6),
(7188, NULL, 'PF18747', NULL, NULL, 'P-loop Nucleotide Kinase2', NULL, 'Ploopntkinase2', NULL, NULL, NULL, 6),
(7189, NULL, 'PF13601', NULL, NULL, 'Winged helix DNA-binding domain', NULL, 'HTH_34', NULL, NULL, NULL, 6),
(7190, NULL, 'PF04342', NULL, NULL, 'Putative member of DMT superfamily (DUF486)', NULL, 'DMT_6', NULL, NULL, NULL, 6),
(7191, NULL, 'PF02487', NULL, NULL, 'CLN3 protein', NULL, 'CLN3', NULL, NULL, NULL, 6),
(7192, NULL, 'PF19058', NULL, NULL, 'Family of unknown function (DUF5754)', NULL, 'DUF5754', NULL, NULL, NULL, 6),
(7193, NULL, 'PF02540', NULL, NULL, 'NAD synthase', NULL, 'NAD_synthase', NULL, NULL, NULL, 6),
(7194, NULL, 'PF14072', NULL, NULL, 'DNA-sulfur modification-associated', NULL, 'DndB', NULL, NULL, NULL, 6),
(7195, NULL, 'PF11632', NULL, NULL, 'Lactococcin G-beta', NULL, 'LcnG-beta', NULL, NULL, NULL, 6),
(7196, NULL, 'PF08861', NULL, NULL, 'Domain of unknown function DUF1828', NULL, 'DUF1828', NULL, NULL, NULL, 6),
(7197, NULL, 'PF17909', NULL, NULL, 'Htr2 transmembrane domain', NULL, 'Htr2', NULL, NULL, NULL, 6),
(7198, NULL, 'PF08808', NULL, NULL, 'RES domain', NULL, 'RES', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7199, NULL, 'PF08984', NULL, NULL, 'Domain of unknown function (DUF1858)', NULL, 'DUF1858', NULL, NULL, NULL, 6),
(7200, NULL, 'PF11457', NULL, NULL, 'Protein of unknown function (DUF3021)', NULL, 'DUF3021', NULL, NULL, NULL, 6),
(7201, NULL, 'PF04595', NULL, NULL, 'Poxvirus I6-like family', NULL, 'Pox_I6', NULL, NULL, NULL, 6),
(7202, NULL, 'PF06283', NULL, NULL, 'Trehalose utilisation', NULL, 'ThuA', NULL, NULL, NULL, 6),
(7203, NULL, 'PF03004', NULL, NULL, 'Plant transposase (Ptta/En/Spm family)', NULL, 'Transposase_24', NULL, NULL, NULL, 6),
(7204, NULL, 'PF09870', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2097)', NULL, 'DUF2097', NULL, NULL, NULL, 6),
(7205, NULL, 'PF15192', NULL, NULL, 'TMEM213 family', NULL, 'TMEM213', NULL, NULL, NULL, 6),
(7206, NULL, 'PF00596', NULL, NULL, 'Class II Aldolase and Adducin N-terminal domain', NULL, 'Aldolase_II', NULL, NULL, NULL, 6),
(7207, NULL, 'PF18418', NULL, NULL, 'Ankyrin ubiquitin-binding domain', NULL, 'AnkUBD', NULL, NULL, NULL, 6),
(7208, NULL, 'PF08349', NULL, NULL, 'Protein of unknown function (DUF1722)', NULL, 'DUF1722', NULL, NULL, NULL, 6),
(7209, NULL, 'PF13256', NULL, NULL, 'Domain of unknown function (DUF4047)', NULL, 'DUF4047', NULL, NULL, NULL, 6),
(7210, NULL, 'PF10440', NULL, NULL, 'Ubiquitin-binding WIYLD domain', NULL, 'WIYLD', NULL, NULL, NULL, 6),
(7211, NULL, 'PF00431', NULL, NULL, 'CUB domain', NULL, 'CUB', NULL, NULL, NULL, 6),
(7212, NULL, 'PF11880', NULL, NULL, 'Domain of unknown function (DUF3400)', NULL, 'DUF3400', NULL, NULL, NULL, 6),
(7213, NULL, 'PF11181', NULL, NULL, 'Heat induced stress protein YflT', NULL, 'YflT', NULL, NULL, NULL, 6),
(7214, NULL, 'PF10630', NULL, NULL, 'Protein of unknown function (DUF2476)', NULL, 'DUF2476', NULL, NULL, NULL, 6),
(7215, NULL, 'PF15914', NULL, NULL, 'FAM193 family C-terminal', NULL, 'FAM193_C', NULL, NULL, NULL, 6),
(7216, NULL, 'PF00264', NULL, NULL, 'Common central domain of tyrosinase', NULL, 'Tyrosinase', NULL, NULL, NULL, 6),
(7217, NULL, 'PF07958', NULL, NULL, 'Protein of unknown function (DUF1688)', NULL, 'DUF1688', NULL, NULL, NULL, 6),
(7218, NULL, 'PF12530', NULL, NULL, 'Protein of unknown function (DUF3730)', NULL, 'DUF3730', NULL, NULL, NULL, 6),
(7219, NULL, 'PF15763', NULL, NULL, 'Regulator of human erythroid cell expansion (RHEX)', NULL, 'DUF4692', NULL, NULL, NULL, 6),
(7220, NULL, 'PF16384', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4993', NULL, NULL, NULL, 6),
(7221, NULL, 'PF01645', NULL, NULL, 'Conserved region in glutamate synthase', NULL, 'Glu_synthase', NULL, NULL, NULL, 6),
(7222, NULL, 'PF02375', NULL, NULL, 'jmjN domain', NULL, 'JmjN', NULL, NULL, NULL, 6),
(7223, NULL, 'PF08590', NULL, NULL, 'Domain of unknown function (DUF1771)', NULL, 'DUF1771', NULL, NULL, NULL, 6),
(7224, NULL, 'PF06579', NULL, NULL, 'Caenorhabditis elegans ly-6-related protein', NULL, 'Ly-6_related', NULL, NULL, NULL, 6),
(7225, NULL, 'PF06564', NULL, NULL, 'Cellulose biosynthesis protein BcsQ', NULL, 'CBP_BcsQ', NULL, NULL, NULL, 6),
(7226, NULL, 'PF19061', NULL, NULL, 'Family of unknown function (DUF5757)', NULL, 'DUF5757', NULL, NULL, NULL, 6),
(7227, NULL, 'PF09509', NULL, NULL, 'Protein of unknown function (Hypoth_ymh)', NULL, 'Hypoth_Ymh', NULL, NULL, NULL, 6),
(7228, NULL, 'PF01967', NULL, NULL, 'MoaC family', NULL, 'MoaC', NULL, NULL, NULL, 6),
(7229, NULL, 'PF17929', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_34', NULL, NULL, NULL, 6),
(7230, NULL, 'PF15257', NULL, NULL, 'Domain of unknown function (DUF4590)', NULL, 'DUF4590', NULL, NULL, NULL, 6),
(7231, NULL, 'PF04684', NULL, NULL, 'BAF1 / ABF1 chromatin reorganising factor', NULL, 'BAF1_ABF1', NULL, NULL, NULL, 6),
(7232, NULL, 'PF16660', NULL, NULL, 'PHD finger protein 20-like protein 1', NULL, 'PHD20L1_u1', NULL, NULL, NULL, 6),
(7233, NULL, 'PF04940', NULL, NULL, 'Sensors of blue-light using FAD', NULL, 'BLUF', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7234, NULL, 'PF15994', NULL, NULL, 'Domain of unknown function (DUF4770)', NULL, 'DUF4770', NULL, NULL, NULL, 6),
(7235, NULL, 'PF15964', NULL, NULL, 'Centrosomal colon cancer autoantigen protein family', NULL, 'CCCAP', NULL, NULL, NULL, 6),
(7236, NULL, 'PF12055', NULL, NULL, 'Domain of unknown function (DUF3536)', NULL, 'DUF3536', NULL, NULL, NULL, 6),
(7237, NULL, 'PF13954', NULL, NULL, 'PapC N-terminal domain', NULL, 'PapC_N', NULL, NULL, NULL, 6),
(7238, NULL, 'PF05296', NULL, NULL, 'Taste receptor protein (TAS2R)', NULL, 'TAS2R', NULL, NULL, NULL, 6),
(7239, NULL, 'PF04564', NULL, NULL, 'U-box domain', NULL, 'U-box', NULL, NULL, NULL, 6),
(7240, NULL, 'PF06569', NULL, NULL, 'Protein of unknown function (DUF1128)', NULL, 'DUF1128', NULL, NULL, NULL, 6),
(7241, NULL, 'PF09768', NULL, NULL, 'Peptidase M76 family', NULL, 'Peptidase_M76', NULL, NULL, NULL, 6),
(7242, NULL, 'PF16024', NULL, NULL, 'Domain of unknown function (DUF4785)', NULL, 'DUF4785', NULL, NULL, NULL, 6),
(7243, NULL, 'PF12348', NULL, NULL, 'CLASP N terminal', NULL, 'CLASP_N', NULL, NULL, NULL, 6),
(7244, NULL, 'PF00680', NULL, NULL, 'Viral RNA-dependent RNA polymerase', NULL, 'RdRP_1', NULL, NULL, NULL, 6),
(7245, NULL, 'PF00437', NULL, NULL, 'Type II/IV secretion system protein', NULL, 'T2SSE', NULL, NULL, NULL, 6),
(7246, NULL, 'PF10992', NULL, NULL, 'Epiplasmin protein', NULL, 'Epiplasmin', NULL, NULL, NULL, 6),
(7247, NULL, 'PF18243', NULL, NULL, 'Metal-independent restriction enzyme BfiI DNA binding domain', NULL, 'BfiI_DBD', NULL, NULL, NULL, 6),
(7248, NULL, 'PF14854', NULL, NULL, 'Leucine rich adaptor protein', NULL, 'LURAP', NULL, NULL, NULL, 6),
(7249, NULL, 'PF11779', NULL, NULL, 'Small subunit of serine palmitoyltransferase-like', NULL, 'SPT_ssu-like', NULL, NULL, NULL, 6),
(7250, NULL, 'PF15819', NULL, NULL, 'Fin bud initiation factor homologue', NULL, 'Fibin', NULL, NULL, NULL, 6),
(7251, NULL, 'PF06652', NULL, NULL, 'Methuselah N-terminus', NULL, 'Methuselah_N', NULL, NULL, NULL, 6),
(7252, NULL, 'PF03728', NULL, NULL, 'Viral DNA-binding protein, zinc binding domain', NULL, 'Viral_DNA_Zn_bi', NULL, NULL, NULL, 6),
(7253, NULL, 'PF12309', NULL, NULL, 'KIF-1 binding protein C terminal', NULL, 'KBP_C', NULL, NULL, NULL, 6),
(7254, NULL, 'PF07094', NULL, NULL, 'Protein of unknown function (DUF1357)', NULL, 'DUF1357', NULL, NULL, NULL, 6),
(7255, NULL, 'PF03778', NULL, NULL, 'Protein of unknown function (DUF321)', NULL, 'DUF321', NULL, NULL, NULL, 6),
(7256, NULL, 'PF17957', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_7', NULL, NULL, NULL, 6),
(7257, NULL, 'PF02641', NULL, NULL, 'Uncharacterized ACR, COG1993', NULL, 'DUF190', NULL, NULL, NULL, 6),
(7258, NULL, 'PF07864', NULL, NULL, 'Protein of unknown function (DUF1651)', NULL, 'DUF1651', NULL, NULL, NULL, 6),
(7259, NULL, 'PF01309', NULL, NULL, 'Equine arteritis virus small envelope glycoprotein', NULL, 'EAV_GS', NULL, NULL, NULL, 6),
(7260, NULL, 'PF17176', NULL, NULL, 'tRNA-binding domain', NULL, 'tRNA_bind_3', NULL, NULL, NULL, 6),
(7261, NULL, 'PF11067', NULL, NULL, 'Protein of unknown function (DUF2868)', NULL, 'DUF2868', NULL, NULL, NULL, 6),
(7262, NULL, 'PF03040', NULL, NULL, 'CemA family', NULL, 'CemA', NULL, NULL, NULL, 6),
(7263, NULL, 'PF08732', NULL, NULL, 'HIM1', NULL, 'HIM1', NULL, NULL, NULL, 6),
(7264, NULL, 'PF18181', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 1', NULL, 'SLATT_1', NULL, NULL, NULL, 6),
(7265, NULL, 'PF18963', NULL, NULL, 'Family of unknown function (DUF5703)', NULL, 'DUF5703', NULL, NULL, NULL, 6),
(7266, NULL, 'PF14295', NULL, NULL, 'PAN domain', NULL, 'PAN_4', NULL, NULL, NULL, 6),
(7267, NULL, 'PF18060', NULL, NULL, 'F actin bundling C terminal', NULL, 'F_actin_bund_C', NULL, NULL, NULL, 6),
(7268, NULL, 'PF13222', NULL, NULL, 'Protein of unknown function (DUF4030)', NULL, 'DUF4030', NULL, NULL, NULL, 6),
(7269, NULL, 'PF12436', NULL, NULL, 'ICP0-binding domain of Ubiquitin-specific protease 7', NULL, 'USP7_ICP0_bdg', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7270, NULL, 'PF11828', NULL, NULL, 'Protein of unknown function (DUF3348)', NULL, 'DUF3348', NULL, NULL, NULL, 6),
(7271, NULL, 'PF06255', NULL, NULL, 'Neisseria toxin MafB', NULL, 'MafB', NULL, NULL, NULL, 6),
(7272, NULL, 'PF01315', NULL, NULL, 'Aldehyde oxidase and xanthine dehydrogenase, a/b hammerhead domain', NULL, 'Ald_Xan_dh_C', NULL, NULL, NULL, 6),
(7273, NULL, 'PF08840', NULL, NULL, 'BAAT / Acyl-CoA thioester hydrolase C terminal', NULL, 'BAAT_C', NULL, NULL, NULL, 6),
(7274, NULL, 'PF04326', NULL, NULL, 'Putative DNA-binding domain', NULL, 'AlbA_2', NULL, NULL, NULL, 6),
(7275, NULL, 'PF04673', NULL, NULL, 'Polyketide synthesis cyclase', NULL, 'Cyclase_polyket', NULL, NULL, NULL, 6),
(7276, NULL, 'PF13711', NULL, NULL, 'Domain of unknown function (DUF4160)', NULL, 'DUF4160', NULL, NULL, NULL, 6),
(7277, NULL, 'PF16681', NULL, NULL, 'Ig-like domain on T-cell surface glycoprotein CD3 epsilon chain', NULL, 'Ig_5', NULL, NULL, NULL, 6),
(7278, NULL, 'PF08138', NULL, NULL, 'Sex peptide (SP) family', NULL, 'Sex_peptide', NULL, NULL, NULL, 6),
(7279, NULL, 'PF03806', NULL, NULL, 'AbgT putative transporter family', NULL, 'ABG_transport', NULL, NULL, NULL, 6),
(7280, NULL, 'PF15667', NULL, NULL, 'Protein of unknown function with motif GDWWSH', NULL, 'GDWWSH', NULL, NULL, NULL, 6),
(7281, NULL, 'PF10390', NULL, NULL, 'RNA polymerase II elongation factor ELL', NULL, 'ELL', NULL, NULL, NULL, 6),
(7282, NULL, 'PF14993', NULL, NULL, 'Neuropeptide S precursor protein', NULL, 'Neuropeptide_S', NULL, NULL, NULL, 6),
(7283, NULL, 'PF06213', NULL, NULL, 'Cobalamin biosynthesis protein CobT', NULL, 'CobT', NULL, NULL, NULL, 6),
(7284, NULL, 'PF11984', NULL, NULL, 'Protein of unknown function (DUF3485)', NULL, 'DUF3485', NULL, NULL, NULL, 6),
(7285, NULL, 'PF10963', NULL, NULL, 'Phage tail assembly chaperone', NULL, 'Phage_TAC_10', NULL, NULL, NULL, 6),
(7286, NULL, 'PF01987', NULL, NULL, 'Mitochondrial biogenesis AIM24', NULL, 'AIM24', NULL, NULL, NULL, 6),
(7287, NULL, 'PF13203', NULL, NULL, 'Putative metallopeptidase domain', NULL, 'DUF2201_N', NULL, NULL, NULL, 6),
(7288, NULL, 'PF18054', NULL, NULL, 'CEL-III C-terminal', NULL, 'CEL_III_C', NULL, NULL, NULL, 6),
(7289, NULL, 'PF03388', NULL, NULL, 'Legume-like lectin family', NULL, 'Lectin_leg-like', NULL, NULL, NULL, 6),
(7290, NULL, 'PF00169', NULL, NULL, 'PH domain', NULL, 'PH', NULL, NULL, NULL, 6),
(7291, NULL, 'PF07265', NULL, NULL, 'Tapetum specific protein TAP35/TAP44', NULL, 'TAP35_44', NULL, NULL, NULL, 6),
(7292, NULL, 'PF02216', NULL, NULL, 'B domain', NULL, 'B', NULL, NULL, NULL, 6),
(7293, NULL, 'PF02244', NULL, NULL, 'Carboxypeptidase activation peptide', NULL, 'Propep_M14', NULL, NULL, NULL, 6),
(7294, NULL, 'PF01872', NULL, NULL, 'RibD C-terminal domain', NULL, 'RibD_C', NULL, NULL, NULL, 6),
(7295, NULL, 'PF11751', NULL, NULL, 'Type IX secretion system membrane protein PorP/SprF', NULL, 'PorP_SprF', NULL, NULL, NULL, 6),
(7296, NULL, 'PF15105', NULL, NULL, 'TMEM61 protein family', NULL, 'TMEM61', NULL, NULL, NULL, 6),
(7297, NULL, 'PF09137', NULL, NULL, 'Glucodextranase, domain N', NULL, 'Glucodextran_N', NULL, NULL, NULL, 6),
(7298, NULL, 'PF03108', NULL, NULL, 'MuDR family transposase', NULL, 'DBD_Tnp_Mut', NULL, NULL, NULL, 6),
(7299, NULL, 'PF01329', NULL, NULL, 'Pterin 4 alpha carbinolamine dehydratase', NULL, 'Pterin_4a', NULL, NULL, NULL, 6),
(7300, NULL, 'PF15780', NULL, NULL, 'Abnormal spindle-like microcephaly-assoc''d, ASPM-SPD-2-Hydin', NULL, 'ASH', NULL, NULL, NULL, 6),
(7301, NULL, 'PF00112', NULL, NULL, 'Papain family cysteine protease', NULL, 'Peptidase_C1', NULL, NULL, NULL, 6),
(7302, NULL, 'PF18923', NULL, NULL, 'Domain of unknown function (DUF5673)', NULL, 'DUF5673', NULL, NULL, NULL, 6),
(7303, NULL, 'PF00252', NULL, NULL, 'Ribosomal protein L16p/L10e', NULL, 'Ribosomal_L16', NULL, NULL, NULL, 6),
(7304, NULL, 'PF11888', NULL, NULL, 'Protein of unknown function (DUF3408)', NULL, 'DUF3408', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7305, NULL, 'PF12521', NULL, NULL, 'Protein of unknown function (DUF3724)', NULL, 'DUF3724', NULL, NULL, NULL, 6),
(7306, NULL, 'PF05404', NULL, NULL, 'Translocon-associated protein, delta subunit precursor (TRAP-delta)', NULL, 'TRAP-delta', NULL, NULL, NULL, 6),
(7307, NULL, 'PF14831', NULL, NULL, 'Domain of unknown function (DUF4484)', NULL, 'DUF4484', NULL, NULL, NULL, 6),
(7308, NULL, 'PF06177', NULL, NULL, 'QueT transporter', NULL, 'QueT', NULL, NULL, NULL, 6),
(7309, NULL, 'PF18721', NULL, NULL, 'CxC6 like cysteine cluster associated with KDZ transposases', NULL, 'CxC6', NULL, NULL, NULL, 6),
(7310, NULL, 'PF07893', NULL, NULL, 'Protein of unknown function (DUF1668)', NULL, 'DUF1668', NULL, NULL, NULL, 6),
(7311, NULL, 'PF01601', NULL, NULL, 'Coronavirus spike glycoprotein S2', NULL, 'CoV_S2', NULL, NULL, NULL, 6),
(7312, NULL, 'PF17192', NULL, NULL, 'MukF middle domain', NULL, 'MukF_M', NULL, NULL, NULL, 6),
(7313, NULL, 'PF09349', NULL, NULL, 'OHCU decarboxylase', NULL, 'OHCU_decarbox', NULL, NULL, NULL, 6),
(7314, NULL, 'PF00392', NULL, NULL, 'Bacterial regulatory proteins, gntR family', NULL, 'GntR', NULL, NULL, NULL, 6),
(7315, NULL, 'PF08152', NULL, NULL, 'GUCT (NUC152) domain', NULL, 'GUCT', NULL, NULL, NULL, 6),
(7316, NULL, 'PF04577', NULL, NULL, 'Protein of unknown function (DUF563)', NULL, 'DUF563', NULL, NULL, NULL, 6),
(7317, NULL, 'PF00092', NULL, NULL, 'von Willebrand factor type A domain', NULL, 'VWA', NULL, NULL, NULL, 6),
(7318, NULL, 'PF12535', NULL, NULL, 'Hydrolase of X-linked nucleoside diphosphate N terminal', NULL, 'Nudix_N', NULL, NULL, NULL, 6),
(7319, NULL, 'PF02073', NULL, NULL, 'Thermophilic metalloprotease (M29)', NULL, 'Peptidase_M29', NULL, NULL, NULL, 6),
(7320, NULL, 'PF07377', NULL, NULL, 'Protein of unknown function (DUF1493)', NULL, 'DUF1493', NULL, NULL, NULL, 6),
(7321, NULL, 'PF13463', NULL, NULL, 'Winged helix DNA-binding domain', NULL, 'HTH_27', NULL, NULL, NULL, 6),
(7322, NULL, 'PF07502', NULL, NULL, 'MANEC domain', NULL, 'MANEC', NULL, NULL, NULL, 6),
(7323, NULL, 'PF09037', NULL, NULL, 'Stf0 sulphotransferase', NULL, 'Sulphotransf', NULL, NULL, NULL, 6),
(7324, NULL, 'PF16219', NULL, NULL, 'Domain of unknown function (DUF4879)', NULL, 'DUF4879', NULL, NULL, NULL, 6),
(7325, NULL, 'PF08177', NULL, NULL, 'Small acid-soluble spore protein N family', NULL, 'SspN', NULL, NULL, NULL, 6),
(7326, NULL, 'PF17344', NULL, NULL, 'Family of unknown function (DUF5374)', NULL, 'DUF5374', NULL, NULL, NULL, 6),
(7327, NULL, 'PF00806', NULL, NULL, 'Pumilio-family RNA binding repeat', NULL, 'PUF', NULL, NULL, NULL, 6),
(7328, NULL, 'PF00620', NULL, NULL, 'RhoGAP domain', NULL, 'RhoGAP', NULL, NULL, NULL, 6),
(7329, NULL, 'PF16369', NULL, NULL, 'C-terminal lipocalin-like domain', NULL, 'GH43_C', NULL, NULL, NULL, 6),
(7330, NULL, 'PF00861', NULL, NULL, 'Ribosomal L18 of archaea, bacteria, mitoch. and chloroplast', NULL, 'Ribosomal_L18p', NULL, NULL, NULL, 6),
(7331, NULL, 'PF16498', NULL, NULL, 'SWIRM-associated domain at the C-terminal', NULL, 'SWIRM-assoc_3', NULL, NULL, NULL, 6),
(7332, NULL, 'PF04202', NULL, NULL, 'Foot protein 3', NULL, 'Mfp-3', NULL, NULL, NULL, 6),
(7333, NULL, 'PF04091', NULL, NULL, 'Exocyst complex subunit Sec15-like', NULL, 'Sec15', NULL, NULL, NULL, 6),
(7334, NULL, 'PF00859', NULL, NULL, 'CTF/NF-I family transcription modulation region', NULL, 'CTF_NFI', NULL, NULL, NULL, 6),
(7335, NULL, 'PF08491', NULL, NULL, 'Squalene epoxidase', NULL, 'SE', NULL, NULL, NULL, 6),
(7336, NULL, 'PF06061', NULL, NULL, 'Baculoviridae ME53', NULL, 'Baculo_ME53', NULL, NULL, NULL, 6),
(7337, NULL, 'PF17561', NULL, NULL, 'Type VI secretion system, TssO', NULL, 'TssO', NULL, NULL, NULL, 6),
(7338, NULL, 'PF13123', NULL, NULL, 'Protein of unknown function (DUF3978)', NULL, 'DUF3978', NULL, NULL, NULL, 6),
(7339, NULL, 'PF16399', NULL, NULL, 'Intron-binding protein aquarius N-terminus', NULL, 'Aquarius_N', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7340, NULL, 'PF11129', NULL, NULL, 'Rev protein of equine infectious anaemia virus', NULL, 'EIAV_Rev', NULL, NULL, NULL, 6),
(7341, NULL, 'PF13179', NULL, NULL, 'Family of unknown function (DUF4006)', NULL, 'DUF4006', NULL, NULL, NULL, 6),
(7342, NULL, 'PF17337', NULL, NULL, 'Galactose-inhibitable lectin 35 kDa subunit', NULL, 'Gal_GalNac_35kD', NULL, NULL, NULL, 6),
(7343, NULL, 'PF18065', NULL, NULL, 'PatG C-terminal', NULL, 'PatG_C', NULL, NULL, NULL, 6),
(7344, NULL, 'PF19067', NULL, NULL, 'Family of unknown function (DUF5763)', NULL, 'DUF5763', NULL, NULL, NULL, 6),
(7345, NULL, 'PF08359', NULL, NULL, 'YsiA-like protein, C-terminal region', NULL, 'TetR_C_4', NULL, NULL, NULL, 6),
(7346, NULL, 'PF17944', NULL, NULL, 'Arginine decarboxylase C-terminal helical extension', NULL, 'Arg_decarbox_C', NULL, NULL, NULL, 6),
(7347, NULL, 'PF13588', NULL, NULL, 'Type I restriction enzyme R protein N terminus (HSDR_N)', NULL, 'HSDR_N_2', NULL, NULL, NULL, 6),
(7348, NULL, 'PF01980', NULL, NULL, 'tRNA-methyltransferase O', NULL, 'TrmO', NULL, NULL, NULL, 6),
(7349, NULL, 'PF10075', NULL, NULL, 'CSN8/PSMD8/EIF3K family', NULL, 'CSN8_PSD8_EIF3K', NULL, NULL, NULL, 6),
(7350, NULL, 'PF16734', NULL, NULL, 'Type IV pilin-like G and H, putative', NULL, 'Pilin_GH', NULL, NULL, NULL, 6),
(7351, NULL, 'PF07979', NULL, NULL, 'Intimin C-type lectin domain', NULL, 'Intimin_C', NULL, NULL, NULL, 6),
(7352, NULL, 'PF08886', NULL, NULL, 'Glutamate-cysteine ligase', NULL, 'GshA', NULL, NULL, NULL, 6),
(7353, NULL, 'PF14603', NULL, NULL, 'Helically-extended SH3 domain', NULL, 'hSH3', NULL, NULL, NULL, 6),
(7354, NULL, 'PF02217', NULL, NULL, 'Origin of replication binding protein', NULL, 'T_Ag_DNA_bind', NULL, NULL, NULL, 6),
(7355, NULL, 'PF01998', NULL, NULL, 'Protein of unknown function DUF131', NULL, 'DUF131', NULL, NULL, NULL, 6),
(7356, NULL, 'PF01644', NULL, NULL, 'Chitin synthase', NULL, 'Chitin_synth_1', NULL, NULL, NULL, 6),
(7357, NULL, 'PF05481', NULL, NULL, 'Mycobacterium 19 kDa lipoprotein antigen', NULL, 'Myco_19_kDa', NULL, NULL, NULL, 6),
(7358, NULL, 'PF06958', NULL, NULL, 'S-type Pyocin', NULL, 'Pyocin_S', NULL, NULL, NULL, 6),
(7359, NULL, 'PF10757', NULL, NULL, 'Biofilm formation regulator YbaJ', NULL, 'YbaJ', NULL, NULL, NULL, 6),
(7360, NULL, 'PF07344', NULL, NULL, 'Amastin surface glycoprotein', NULL, 'Amastin', NULL, NULL, NULL, 6),
(7361, NULL, 'PF05696', NULL, NULL, 'Protein of unknown function (DUF826)', NULL, 'DUF826', NULL, NULL, NULL, 6),
(7362, NULL, 'PF12276', NULL, NULL, 'Protein of unknown function (DUF3617)', NULL, 'DUF3617', NULL, NULL, NULL, 6),
(7363, NULL, 'PF07327', NULL, NULL, 'Neuroparsin', NULL, 'Neuroparsin', NULL, NULL, NULL, 6),
(7364, NULL, 'PF09641', NULL, NULL, 'Protein of unknown function (DUF2026)', NULL, 'DUF2026', NULL, NULL, NULL, 6),
(7365, NULL, 'PF01174', NULL, NULL, 'SNO glutamine amidotransferase family', NULL, 'SNO', NULL, NULL, NULL, 6),
(7366, NULL, 'PF15073', NULL, NULL, 'Spermatogenesis-associated protein 48', NULL, 'SPATA48', NULL, NULL, NULL, 6),
(7367, NULL, 'PF03905', NULL, NULL, 'Coronavirus non-structural protein NS4', NULL, 'Corona_NS4', NULL, NULL, NULL, 6),
(7368, NULL, 'PF10232', NULL, NULL, 'Mediator of RNA polymerase II transcription complex subunit 8', NULL, 'Med8', NULL, NULL, NULL, 6),
(7369, NULL, 'PF18487', NULL, NULL, 'Thrombospondin type 1 repeat', NULL, 'TSR', NULL, NULL, NULL, 6),
(7370, NULL, 'PF07280', NULL, NULL, 'Per os infectivity factor AC110', NULL, 'Ac110_PIF', NULL, NULL, NULL, 6),
(7371, NULL, 'PF16936', NULL, NULL, 'Putative holin', NULL, 'Holin_9', NULL, NULL, NULL, 6),
(7372, NULL, 'PF16880', NULL, NULL, 'N-terminal EH-domain containing protein', NULL, 'EHD_N', NULL, NULL, NULL, 6),
(7373, NULL, 'PF05460', NULL, NULL, 'Origin recognition complex subunit 6 (ORC6)', NULL, 'ORC6', NULL, NULL, NULL, 6),
(7374, NULL, 'PF08268', NULL, NULL, 'F-box associated domain', NULL, 'FBA_3', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7375, NULL, 'PF01471', NULL, NULL, 'Putative peptidoglycan binding domain', NULL, 'PG_binding_1', NULL, NULL, NULL, 6),
(7376, NULL, 'PF03158', NULL, NULL, 'Multigene family 530 protein', NULL, 'DUF249', NULL, NULL, NULL, 6),
(7377, NULL, 'PF12870', NULL, NULL, 'Domain of unknown function (DUF4878)', NULL, 'DUF4878', NULL, NULL, NULL, 6),
(7378, NULL, 'PF15762', NULL, NULL, 'Domain of unknown function (DUF4691)', NULL, 'DUF4691', NULL, NULL, NULL, 6),
(7379, NULL, 'PF06360', NULL, NULL, 'Euplotes raikovi mating pheromone', NULL, 'E_raikovi_mat', NULL, NULL, NULL, 6),
(7380, NULL, 'PF13669', NULL, NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', NULL, 'Glyoxalase_4', NULL, NULL, NULL, 6),
(7381, NULL, 'PF17044', NULL, NULL, 'Borrelial persistence in ticks protein A', NULL, 'BPTA', NULL, NULL, NULL, 6),
(7382, NULL, 'PF12223', NULL, NULL, 'Protein of unknown function (DUF3602)', NULL, 'DUF3602', NULL, NULL, NULL, 6),
(7383, NULL, 'PF18437', NULL, NULL, 'Nup54 C-terminal interacting domain', NULL, 'Nup54_C', NULL, NULL, NULL, 6),
(7384, NULL, 'PF13529', NULL, NULL, 'Peptidase_C39 like family', NULL, 'Peptidase_C39_2', NULL, NULL, NULL, 6),
(7385, NULL, 'PF13521', NULL, NULL, 'AAA domain', NULL, 'AAA_28', NULL, NULL, NULL, 6),
(7386, NULL, 'PF07351', NULL, NULL, 'Protein of unknown function (DUF1480)', NULL, 'DUF1480', NULL, NULL, NULL, 6),
(7387, NULL, 'PF00828', NULL, NULL, 'Ribosomal proteins 50S-L15, 50S-L18e, 60S-L27A', NULL, 'Ribosomal_L27A', NULL, NULL, NULL, 6),
(7388, NULL, 'PF18394', NULL, NULL, 'TANK-binding kinase 1 coiled-coil domain 1', NULL, 'TBK1_CCD1', NULL, NULL, NULL, 6),
(7389, NULL, 'PF18749', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 3', NULL, 'SNAD3', NULL, NULL, NULL, 6),
(7390, NULL, 'PF03421', NULL, NULL, 'YopJ Serine/Threonine acetyltransferase', NULL, 'Acetyltransf_14', NULL, NULL, NULL, 6),
(7391, NULL, 'PF18792', NULL, NULL, 'Ubiquitous surface protein adhesin repeat', NULL, 'UspA1_rep', NULL, NULL, NULL, 6),
(7392, NULL, 'PF11237', NULL, NULL, 'Protein of unknown function (DUF3038)', NULL, 'DUF3038', NULL, NULL, NULL, 6),
(7393, NULL, 'PF03369', NULL, NULL, 'Herpesvirus UL3 protein', NULL, 'Herpes_UL3', NULL, NULL, NULL, 6),
(7394, NULL, 'PF16966', NULL, NULL, 'Porin-like glycoporin RafY', NULL, 'Porin_8', NULL, NULL, NULL, 6),
(7395, NULL, 'PF14372', NULL, NULL, 'Domain of unknown function (DUF4413)', NULL, 'DUF4413', NULL, NULL, NULL, 6),
(7396, NULL, 'PF08983', NULL, NULL, 'Domain of unknown function (DUF1856)', NULL, 'DUF1856', NULL, NULL, NULL, 6),
(7397, NULL, 'PF02272', NULL, NULL, 'DHHA1 domain', NULL, 'DHHA1', NULL, NULL, NULL, 6),
(7398, NULL, 'PF11872', NULL, NULL, 'Protein of unknown function (DUF3392)', NULL, 'DUF3392', NULL, NULL, NULL, 6),
(7399, NULL, 'PF05208', NULL, NULL, 'ALG3 protein', NULL, 'ALG3', NULL, NULL, NULL, 6),
(7400, NULL, 'PF17641', NULL, NULL, 'Ancylostoma-associated secreted protein related', NULL, 'ASPRs', NULL, NULL, NULL, 6),
(7401, NULL, 'PF18675', NULL, NULL, 'Heparinase II C-terminal domain', NULL, 'HepII_C', NULL, NULL, NULL, 6),
(7402, NULL, 'PF10135', NULL, NULL, 'Rod binding protein', NULL, 'Rod-binding', NULL, NULL, NULL, 6),
(7403, NULL, 'PF06476', NULL, NULL, 'Protein of unknown function (DUF1090)', NULL, 'DUF1090', NULL, NULL, NULL, 6),
(7404, NULL, 'PF17425', NULL, NULL, 'Arylsulfotransferase Ig-like domain', NULL, 'Arylsulfotran_N', NULL, NULL, NULL, 6),
(7405, NULL, 'PF19147', NULL, NULL, 'Family of unknown function (DUF5829)', NULL, 'DUF5829', NULL, NULL, NULL, 6),
(7406, NULL, 'PF12795', NULL, NULL, 'Mechanosensitive ion channel porin domain', NULL, 'MscS_porin', NULL, NULL, NULL, 6),
(7407, NULL, 'PF09305', NULL, NULL, 'TACI, cysteine-rich domain', NULL, 'TACI-CRD2', NULL, NULL, NULL, 6),
(7408, NULL, 'PF13613', NULL, NULL, 'Helix-turn-helix of DDE superfamily endonuclease', NULL, 'HTH_Tnp_4', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7409, NULL, 'PF15669', NULL, NULL, 'Coiled-coil domain-containing protein 24 family', NULL, 'CCDC24', NULL, NULL, NULL, 6),
(7410, NULL, 'PF18862', NULL, NULL, 'ApeA N-terminal domain 1', NULL, 'ApeA_NTD1', NULL, NULL, NULL, 6),
(7411, NULL, 'PF05244', NULL, NULL, 'Brucella outer membrane protein 2', NULL, 'Brucella_OMP2', NULL, NULL, NULL, 6),
(7412, NULL, 'PF09631', NULL, NULL, 'Sen15 protein', NULL, 'Sen15', NULL, NULL, NULL, 6),
(7413, NULL, 'PF11596', NULL, NULL, 'Protein of unknown function (DUF3246)', NULL, 'DUF3246', NULL, NULL, NULL, 6),
(7414, NULL, 'PF14589', NULL, NULL, 'Polysulfide reductase', NULL, 'NrfD_2', NULL, NULL, NULL, 6),
(7415, NULL, 'PF12653', NULL, NULL, 'Protein of unknown function (DUF3785)', NULL, 'DUF3785', NULL, NULL, NULL, 6),
(7416, NULL, 'PF11655', NULL, NULL, 'Protein of unknown function (DUF2589)', NULL, 'DUF2589', NULL, NULL, NULL, 6),
(7417, NULL, 'PF06087', NULL, NULL, 'Tyrosyl-DNA phosphodiesterase', NULL, 'Tyr-DNA_phospho', NULL, NULL, NULL, 6),
(7418, NULL, 'PF14187', NULL, NULL, 'Domain of unknown function (DUF4310)', NULL, 'DUF4310', NULL, NULL, NULL, 6),
(7419, NULL, 'PF16334', NULL, NULL, 'Domain of unknown function (DUF4964)', NULL, 'DUF4964', NULL, NULL, NULL, 6),
(7420, NULL, 'PF00039', NULL, NULL, 'Fibronectin type I domain', NULL, 'fn1', NULL, NULL, NULL, 6),
(7421, NULL, 'PF07232', NULL, NULL, 'Putative rep protein (DUF1424)', NULL, 'DUF1424', NULL, NULL, NULL, 6),
(7422, NULL, 'PF09273', NULL, NULL, 'Rubisco LSMT substrate-binding', NULL, 'Rubis-subs-bind', NULL, NULL, NULL, 6),
(7423, NULL, 'PF00792', NULL, NULL, 'Phosphoinositide 3-kinase C2', NULL, 'PI3K_C2', NULL, NULL, NULL, 6),
(7424, NULL, 'PF14832', NULL, NULL, 'Putative oxalocrotonate tautomerase enzyme', NULL, 'Tautomerase_3', NULL, NULL, NULL, 6),
(7425, NULL, 'PF01973', NULL, NULL, 'Protein of unknown function DUF115', NULL, 'MAF_flag10', NULL, NULL, NULL, 6),
(7426, NULL, 'PF06113', NULL, NULL, 'Brain and reproductive organ-expressed protein (BRE)', NULL, 'BRE', NULL, NULL, NULL, 6),
(7427, NULL, 'PF04627', NULL, NULL, 'Mitochondrial ATP synthase epsilon chain', NULL, 'ATP-synt_Eps', NULL, NULL, NULL, 6),
(7428, NULL, 'PF19084', NULL, NULL, 'Family of unknown function (DUF5775)', NULL, 'DUF5775', NULL, NULL, NULL, 6),
(7429, NULL, 'PF00881', NULL, NULL, 'Nitroreductase family', NULL, 'Nitroreductase', NULL, NULL, NULL, 6),
(7430, NULL, 'PF18909', NULL, NULL, 'Siphovirus protein of unknown function (DUF5664)', NULL, 'DUF5664', NULL, NULL, NULL, 6),
(7431, NULL, 'PF02253', NULL, NULL, 'Phospholipase A1', NULL, 'PLA1', NULL, NULL, NULL, 6),
(7432, NULL, 'PF05401', NULL, NULL, 'Nodulation protein S (NodS)', NULL, 'NodS', NULL, NULL, NULL, 6),
(7433, NULL, 'PF13973', NULL, NULL, 'Domain of unknown function (DUF4222)', NULL, 'DUF4222', NULL, NULL, NULL, 6),
(7434, NULL, 'PF03633', NULL, NULL, 'Glycosyl hydrolase family 65, C-terminal domain', NULL, 'Glyco_hydro_65C', NULL, NULL, NULL, 6),
(7435, NULL, 'PF05231', NULL, NULL, 'MASE1', NULL, 'MASE1', NULL, NULL, NULL, 6),
(7436, NULL, 'PF06434', NULL, NULL, 'Aconitate hydratase 2 N-terminus', NULL, 'Aconitase_2_N', NULL, NULL, NULL, 6),
(7437, NULL, 'PF05548', NULL, NULL, 'Gametolysin peptidase M11', NULL, 'Peptidase_M11', NULL, NULL, NULL, 6),
(7438, NULL, 'PF09429', NULL, NULL, 'WW domain binding protein 11', NULL, 'Wbp11', NULL, NULL, NULL, 6),
(7439, NULL, 'PF03344', NULL, NULL, 'Daxx N-terminal Rassf1C-interacting domain', NULL, 'Daxx', NULL, NULL, NULL, 6),
(7440, NULL, 'PF10696', NULL, NULL, 'Protein of unknown function (DUF2501)', NULL, 'DUF2501', NULL, NULL, NULL, 6),
(7441, NULL, 'PF15694', NULL, NULL, 'Mediator complex subunit 26 middle domain', NULL, 'Med26_M', NULL, NULL, NULL, 6),
(7442, NULL, 'PF09790', NULL, NULL, 'Hyccin', NULL, 'Hyccin', NULL, NULL, NULL, 6),
(7443, NULL, 'PF16833', NULL, NULL, 'Erythroid krueppel-like transcription factor, transactivation 2', NULL, 'EKLF_TAD2', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7444, NULL, 'PF08457', NULL, NULL, 'Sfi1 spindle body protein', NULL, 'Sfi1', NULL, NULL, NULL, 6),
(7445, NULL, 'PF08019', NULL, NULL, 'Phosphoethanolamine transferase EptA/EptB', NULL, 'EptA_B_N', NULL, NULL, NULL, 6),
(7446, NULL, 'PF16137', NULL, NULL, 'Domain of unknown function (DUF4845)', NULL, 'DUF4845', NULL, NULL, NULL, 6),
(7447, NULL, 'PF16453', NULL, NULL, 'PH domain', NULL, 'IQ_SEC7_PH', NULL, NULL, NULL, 6),
(7448, NULL, 'PF11820', NULL, NULL, 'Protein of unknown function (DUF3339)', NULL, 'DUF3339', NULL, NULL, NULL, 6),
(7449, NULL, 'PF08904', NULL, NULL, 'EipB-like', NULL, 'EipB_like', NULL, NULL, NULL, 6),
(7450, NULL, 'PF18913', NULL, NULL, 'Fructose-1-6-bisphosphatase, C-terminal domain', NULL, 'FBPase_C', NULL, NULL, NULL, 6),
(7451, NULL, 'PF16291', NULL, NULL, 'Domain of unknown function (DUF4937', NULL, 'DUF4937', NULL, NULL, NULL, 6),
(7452, NULL, 'PF16984', NULL, NULL, 'Group 7 allergen', NULL, 'Grp7_allergen', NULL, NULL, NULL, 6),
(7453, NULL, 'PF01040', NULL, NULL, 'UbiA prenyltransferase family', NULL, 'UbiA', NULL, NULL, NULL, 6),
(7454, NULL, 'PF16297', NULL, NULL, 'Domain of unknown function (DUF4939)', NULL, 'DUF4939', NULL, NULL, NULL, 6),
(7455, NULL, 'PF03188', NULL, NULL, 'Eukaryotic cytochrome b561', NULL, 'Cytochrom_B561', NULL, NULL, NULL, 6),
(7456, NULL, 'PF00564', NULL, NULL, 'PB1 domain', NULL, 'PB1', NULL, NULL, NULL, 6),
(7457, NULL, 'PF06404', NULL, NULL, 'Phytosulfokine precursor protein (PSK)', NULL, 'PSK', NULL, NULL, NULL, 6),
(7458, NULL, 'PF02820', NULL, NULL, 'mbt repeat', NULL, 'MBT', NULL, NULL, NULL, 6),
(7459, NULL, 'PF10018', NULL, NULL, 'Vitamin-D-receptor interacting Mediator subunit 4', NULL, 'Med4', NULL, NULL, NULL, 6),
(7460, NULL, 'PF07691', NULL, NULL, 'PA14 domain', NULL, 'PA14', NULL, NULL, NULL, 6),
(7461, NULL, 'PF05844', NULL, NULL, 'YopD protein', NULL, 'YopD', NULL, NULL, NULL, 6),
(7462, NULL, 'PF12135', NULL, NULL, 'Plasmodium repeat family', NULL, 'Plasmo_rep', NULL, NULL, NULL, 6),
(7463, NULL, 'PF13430', NULL, NULL, 'Domain of unknown function (DUF4112)', NULL, 'DUF4112', NULL, NULL, NULL, 6),
(7464, NULL, 'PF14380', NULL, NULL, 'Wall-associated receptor kinase C-terminal', NULL, 'WAK_assoc', NULL, NULL, NULL, 6),
(7465, NULL, 'PF01783', NULL, NULL, 'Ribosomal L32p protein family', NULL, 'Ribosomal_L32p', NULL, NULL, NULL, 6),
(7466, NULL, 'PF06469', NULL, NULL, 'Domain of Unknown Function (DUF1088)', NULL, 'DUF1088', NULL, NULL, NULL, 6),
(7467, NULL, 'PF16394', NULL, NULL, 'Domain of unknown function (DUF5003)', NULL, 'DUF5003', NULL, NULL, NULL, 6),
(7468, NULL, 'PF11726', NULL, NULL, 'Inovirus Gp2', NULL, 'Inovirus_Gp2', NULL, NULL, NULL, 6),
(7469, NULL, 'PF17295', NULL, NULL, 'Domain of unknown function (DUF5348)', NULL, 'DUF5348', NULL, NULL, NULL, 6),
(7470, NULL, 'PF08065', NULL, NULL, 'KI67R (NUC007) repeat', NULL, 'KI67R', NULL, NULL, NULL, 6),
(7471, NULL, 'PF03927', NULL, NULL, 'NapD protein', NULL, 'NapD', NULL, NULL, NULL, 6),
(7472, NULL, 'PF08099', NULL, NULL, 'Scorpion calcine family', NULL, 'Toxin_27', NULL, NULL, NULL, 6),
(7473, NULL, 'PF16466', NULL, NULL, 'Domain of unknown function (DUF5047)', NULL, 'DUF5047', NULL, NULL, NULL, 6),
(7474, NULL, 'PF02010', NULL, NULL, 'REJ domain', NULL, 'REJ', NULL, NULL, NULL, 6),
(7475, NULL, 'PF13044', NULL, NULL, 'Fusion glycoprotein F0, Isavirus', NULL, 'Fusion_F0', NULL, NULL, NULL, 6),
(7476, NULL, 'PF15071', NULL, NULL, 'Transmembrane family 220, helix', NULL, 'TMEM220', NULL, NULL, NULL, 6),
(7477, NULL, 'PF08277', NULL, NULL, 'PAN-like domain', NULL, 'PAN_3', NULL, NULL, NULL, 6),
(7478, NULL, 'PF11458', NULL, NULL, 'Membrane-integrating protein Mistic', NULL, 'Mistic', NULL, NULL, NULL, 6),
(7479, NULL, 'PF17071', NULL, NULL, 'Outer capsid protein VP7', NULL, 'Capsid_VP7', NULL, NULL, NULL, 6),
(7480, NULL, 'PF10052', NULL, NULL, 'Protein of unknown function (DUF2288)', NULL, 'DUF2288', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7481, NULL, 'PF16911', NULL, NULL, 'Phthiocerol/phthiodiolone dimycocerosyl transferase C-terminus', NULL, 'PapA_C', NULL, NULL, NULL, 6),
(7482, NULL, 'PF02638', NULL, NULL, 'Glycosyl hydrolase-like 10', NULL, 'GHL10', NULL, NULL, NULL, 6),
(7483, NULL, 'PF02049', NULL, NULL, 'Flagellar hook-basal body complex protein FliE', NULL, 'FliE', NULL, NULL, NULL, 6),
(7484, NULL, 'PF14434', NULL, NULL, 'Immunity protein Imm6', NULL, 'Imm6', NULL, NULL, NULL, 6),
(7485, NULL, 'PF06683', NULL, NULL, 'Protein of unknown function (DUF1184)', NULL, 'DUF1184', NULL, NULL, NULL, 6),
(7486, NULL, 'PF09398', NULL, NULL, 'FOP N terminal dimerisation domain', NULL, 'FOP_dimer', NULL, NULL, NULL, 6),
(7487, NULL, 'PF17822', NULL, NULL, 'Family of unknown function (DUF5584)', NULL, 'DUF5584', NULL, NULL, NULL, 6),
(7488, NULL, 'PF16169', NULL, NULL, 'Domain of unknown function (DUF4872)', NULL, 'DUF4872', NULL, NULL, NULL, 6),
(7489, NULL, 'PF09722', NULL, NULL, 'Protein of unknown function (DUF2384)', NULL, 'DUF2384', NULL, NULL, NULL, 6),
(7490, NULL, 'PF02183', NULL, NULL, 'Homeobox associated leucine zipper', NULL, 'HALZ', NULL, NULL, NULL, 6),
(7491, NULL, 'PF10572', NULL, NULL, 'UPF0556 domain', NULL, 'UPF0556', NULL, NULL, NULL, 6),
(7492, NULL, 'PF14093', NULL, NULL, 'Domain of unknown function (DUF4271)', NULL, 'DUF4271', NULL, NULL, NULL, 6),
(7493, NULL, 'PF13547', NULL, NULL, 'GTA TIM-barrel-like domain', NULL, 'GTA_TIM', NULL, NULL, NULL, 6),
(7494, NULL, 'PF03263', NULL, NULL, 'Cucumovirus protein 2B', NULL, 'Cucumo_2B', NULL, NULL, NULL, 6),
(7495, NULL, 'PF04680', NULL, NULL, 'Opioid growth factor receptor repeat', NULL, 'OGFr_III', NULL, NULL, NULL, 6),
(7496, NULL, 'PF04108', NULL, NULL, 'Autophagy protein Apg17', NULL, 'APG17', NULL, NULL, NULL, 6),
(7497, NULL, 'PF09460', NULL, NULL, 'Saf-pilin pilus formation protein', NULL, 'Saf-Nte_pilin', NULL, NULL, NULL, 6),
(7498, NULL, 'PF00840', NULL, NULL, 'Glycosyl hydrolase family 7', NULL, 'Glyco_hydro_7', NULL, NULL, NULL, 6),
(7499, NULL, 'PF01570', NULL, NULL, 'Flavivirus polyprotein propeptide', NULL, 'Flavi_propep', NULL, NULL, NULL, 6),
(7500, NULL, 'PF06348', NULL, NULL, 'Protein of unknown function (DUF1059)', NULL, 'DUF1059', NULL, NULL, NULL, 6),
(7501, NULL, 'PF02440', NULL, NULL, 'Adenovirus E3 region protein CR1', NULL, 'Adeno_E3_CR1', NULL, NULL, NULL, 6),
(7502, NULL, 'PF00302', NULL, NULL, 'Chloramphenicol acetyltransferase', NULL, 'CAT', NULL, NULL, NULL, 6),
(7503, NULL, 'PF09265', NULL, NULL, 'Cytokinin dehydrogenase 1, FAD and cytokinin binding', NULL, 'Cytokin-bind', NULL, NULL, NULL, 6),
(7504, NULL, 'PF06342', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF1057)', NULL, 'DUF1057', NULL, NULL, NULL, 6),
(7505, NULL, 'PF14723', NULL, NULL, 'Sperm-specific antigen 2 C-terminus', NULL, 'SSFA2_C', NULL, NULL, NULL, 6),
(7506, NULL, 'PF04862', NULL, NULL, 'Protein of unknown function (DUF642)', NULL, 'DUF642', NULL, NULL, NULL, 6),
(7507, NULL, 'PF18750', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 4', NULL, 'SNAD4', NULL, NULL, NULL, 6),
(7508, NULL, 'PF12319', NULL, NULL, 'Tryptophan-Threonine-rich plasmodium antigen C terminal', NULL, 'TryThrA_C', NULL, NULL, NULL, 6),
(7509, NULL, 'PF13358', NULL, NULL, 'DDE superfamily endonuclease', NULL, 'DDE_3', NULL, NULL, NULL, 6),
(7510, NULL, 'PF07731', NULL, NULL, 'Multicopper oxidase', NULL, 'Cu-oxidase_2', NULL, NULL, NULL, 6),
(7511, NULL, 'PF07386', NULL, NULL, 'Protein of unknown function (DUF1499)', NULL, 'DUF1499', NULL, NULL, NULL, 6),
(7512, NULL, 'PF17180', NULL, NULL, 'Zinc-binding domain', NULL, 'zf-3CxxC_2', NULL, NULL, NULL, 6),
(7513, NULL, 'PF00829', NULL, NULL, 'Ribosomal prokaryotic L21 protein', NULL, 'Ribosomal_L21p', NULL, NULL, NULL, 6),
(7514, NULL, 'PF01717', NULL, NULL, 'Cobalamin-independent synthase, Catalytic domain', NULL, 'Meth_synt_2', NULL, NULL, NULL, 6),
(7515, NULL, 'PF04194', NULL, NULL, 'Programmed cell death protein 2, C-terminal putative domain', NULL, 'PDCD2_C', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7516, NULL, 'PF11162', NULL, NULL, 'Protein of unknown function (DUF2946)', NULL, 'DUF2946', NULL, NULL, NULL, 6),
(7517, NULL, 'PF15634', NULL, NULL, 'HYE1 signature containing ADP-ribosyltransferase', NULL, 'Tox-ART-HYE1', NULL, NULL, NULL, 6),
(7518, NULL, 'PF03576', NULL, NULL, 'Peptidase family S58', NULL, 'Peptidase_S58', NULL, NULL, NULL, 6),
(7519, NULL, 'PF11504', NULL, NULL, 'Colicin Ia', NULL, 'Colicin_Ia', NULL, NULL, NULL, 6),
(7520, NULL, 'PF08989', NULL, NULL, 'Domain of unknown function (DUF1896)', NULL, 'DUF1896', NULL, NULL, NULL, 6),
(7521, NULL, 'PF05415', NULL, NULL, 'Beet necrotic yellow vein furovirus-type papain-like endopeptidase', NULL, 'Peptidase_C36', NULL, NULL, NULL, 6),
(7522, NULL, 'PF07364', NULL, NULL, 'Metallopeptidase family M81', NULL, 'DUF1485', NULL, NULL, NULL, 6),
(7523, NULL, 'PF13698', NULL, NULL, 'Domain of unknown function (DUF4156)', NULL, 'DUF4156', NULL, NULL, NULL, 6),
(7524, NULL, 'PF02838', NULL, NULL, 'Glycosyl hydrolase family 20, domain 2', NULL, 'Glyco_hydro_20b', NULL, NULL, NULL, 6),
(7525, NULL, 'PF17654', NULL, NULL, 'Selenocysteine tRNA 1 associated proteins', NULL, 'Trnau1ap', NULL, NULL, NULL, 6),
(7526, NULL, 'PF15146', NULL, NULL, 'Fanconi anemia-associated', NULL, 'FANCAA', NULL, NULL, NULL, 6),
(7527, NULL, 'PF12543', NULL, NULL, 'Protein of unknown function (DUF3738)', NULL, 'DUF3738', NULL, NULL, NULL, 6),
(7528, NULL, 'PF09483', NULL, NULL, 'Type III secretion protein (HpaP)', NULL, 'HpaP', NULL, NULL, NULL, 6),
(7529, NULL, 'PF02290', NULL, NULL, 'Signal recognition particle 14kD protein', NULL, 'SRP14', NULL, NULL, NULL, 6),
(7530, NULL, 'PF08333', NULL, NULL, 'Protein of unknown function (DUF1725)', NULL, 'DUF1725', NULL, NULL, NULL, 6),
(7531, NULL, 'PF16226', NULL, NULL, 'Domain of unknown function (DUF4885)', NULL, 'DUF4885', NULL, NULL, NULL, 6),
(7532, NULL, 'PF17972', NULL, NULL, 'Bacterial Alpha-2-macroglobulin MG5 domain', NULL, 'bMG5', NULL, NULL, NULL, 6),
(7533, NULL, 'PF04521', NULL, NULL, 'ssRNA positive strand viral 18kD cysteine rich protein', NULL, 'Viral_P18', NULL, NULL, NULL, 6),
(7534, NULL, 'PF17879', NULL, NULL, 'DNA ligase C-terminal domain', NULL, 'DNA_ligase_C', NULL, NULL, NULL, 6),
(7535, NULL, 'PF09674', NULL, NULL, 'Protein of unknown function (DUF2400)', NULL, 'DUF2400', NULL, NULL, NULL, 6),
(7536, NULL, 'PF13105', NULL, NULL, 'Protein of unknown function (DUF3959)', NULL, 'DUF3959', NULL, NULL, NULL, 6),
(7537, NULL, 'PF02074', NULL, NULL, 'Carboxypeptidase Taq (M32) metallopeptidase', NULL, 'Peptidase_M32', NULL, NULL, NULL, 6),
(7538, NULL, 'PF08201', NULL, NULL, 'BssC/TutF protein', NULL, 'BssC_TutF', NULL, NULL, NULL, 6),
(7539, NULL, 'PF13959', NULL, NULL, 'Domain of unknown function (DUF4217)', NULL, 'DUF4217', NULL, NULL, NULL, 6),
(7540, NULL, 'PF03052', NULL, NULL, 'Adenoviral protein L1 52/55-kDa', NULL, 'Adeno_52K', NULL, NULL, NULL, 6),
(7541, NULL, 'PF08104', NULL, NULL, 'Ponericin L family', NULL, 'Antimicrobial_9', NULL, NULL, NULL, 6),
(7542, NULL, 'PF17002', NULL, NULL, 'Domain of unknown function (DUF5089)', NULL, 'DUF5089', NULL, NULL, NULL, 6),
(7543, NULL, 'PF10185', NULL, NULL, 'Chaperone for wingless signalling and trafficking of LDL receptor', NULL, 'Mesd', NULL, NULL, NULL, 6),
(7544, NULL, 'PF15233', NULL, NULL, 'Synaptonemal complex central element protein 1', NULL, 'SYCE1', NULL, NULL, NULL, 6),
(7545, NULL, 'PF12489', NULL, NULL, 'Nuclear coactivator', NULL, 'ARA70', NULL, NULL, NULL, 6),
(7546, NULL, 'PF08641', NULL, NULL, 'Kinetochore protein Mis14 like', NULL, 'Mis14', NULL, NULL, NULL, 6),
(7547, NULL, 'PF02811', NULL, NULL, 'PHP domain', NULL, 'PHP', NULL, NULL, NULL, 6),
(7548, NULL, 'PF08250', NULL, NULL, 'Sperm-activating peptides', NULL, 'Sperm_act_pep', NULL, NULL, NULL, 6),
(7549, NULL, 'PF07826', NULL, NULL, 'IMP cyclohydrolase-like protein', NULL, 'IMP_cyclohyd', NULL, NULL, NULL, 6),
(7550, NULL, 'PF14624', NULL, NULL, 'VWA / Hh  protein intein-like', NULL, 'Vwaint', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7551, NULL, 'PF04479', NULL, NULL, 'RTA1 like protein', NULL, 'RTA1', NULL, NULL, NULL, 6),
(7552, NULL, 'PF09114', NULL, NULL, 'Transcription factor MotA, activation domain', NULL, 'MotA_activ', NULL, NULL, NULL, 6),
(7553, NULL, 'PF15140', NULL, NULL, 'Domain of unknown function (DUF4573)', NULL, 'DUF4573', NULL, NULL, NULL, 6),
(7554, NULL, 'PF12073', NULL, NULL, 'Protein of unknown function (DUF3553)', NULL, 'DUF3553', NULL, NULL, NULL, 6),
(7555, NULL, 'PF13516', NULL, NULL, 'Leucine Rich repeat', NULL, 'LRR_6', NULL, NULL, NULL, 6),
(7556, NULL, 'PF08870', NULL, NULL, 'DNA sulphur modification protein DndE', NULL, 'DndE', NULL, NULL, NULL, 6),
(7557, NULL, 'PF02689', NULL, NULL, 'Helicase', NULL, 'Herpes_Helicase', NULL, NULL, NULL, 6),
(7558, NULL, 'PF03879', NULL, NULL, 'Cgr1 family', NULL, 'Cgr1', NULL, NULL, NULL, 6),
(7559, NULL, 'PF15382', NULL, NULL, 'Domain of unknown function (DUF4609)', NULL, 'DUF4609', NULL, NULL, NULL, 6),
(7560, NULL, 'PF13650', NULL, NULL, 'Aspartyl protease', NULL, 'Asp_protease_2', NULL, NULL, NULL, 6),
(7561, NULL, 'PF03254', NULL, NULL, 'Xyloglucan fucosyltransferase', NULL, 'XG_FTase', NULL, NULL, NULL, 6),
(7562, NULL, 'PF11603', NULL, NULL, 'Regulatory protein Sir1', NULL, 'Sir1', NULL, NULL, NULL, 6),
(7563, NULL, 'PF18387', NULL, NULL, 'Zinc-fingers and homeoboxes C2H2 finger domain', NULL, 'zf_C2H2_ZHX', NULL, NULL, NULL, 6),
(7564, NULL, 'PF06176', NULL, NULL, 'Lipopolysaccharide core biosynthesis protein (WaaY)', NULL, 'WaaY', NULL, NULL, NULL, 6),
(7565, NULL, 'PF03580', NULL, NULL, 'Herpesvirus UL14-like protein', NULL, 'Herpes_UL14', NULL, NULL, NULL, 6),
(7566, NULL, 'PF18800', NULL, NULL, 'Attenuator of Hedgehog', NULL, 'Atthog', NULL, NULL, NULL, 6),
(7567, NULL, 'PF09923', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2155)', NULL, 'DUF2155', NULL, NULL, NULL, 6),
(7568, NULL, 'PF14580', NULL, NULL, 'Leucine-rich repeat', NULL, 'LRR_9', NULL, NULL, NULL, 6),
(7569, NULL, 'PF18110', NULL, NULL, 'BRCC36 C-terminal helical domain', NULL, 'BRCC36_C', NULL, NULL, NULL, 6),
(7570, NULL, 'PF03826', NULL, NULL, 'OAR motif', NULL, 'OAR', NULL, NULL, NULL, 6),
(7571, NULL, 'PF01261', NULL, NULL, 'Xylose isomerase-like TIM barrel', NULL, 'AP_endonuc_2', NULL, NULL, NULL, 6),
(7572, NULL, 'PF01754', NULL, NULL, 'A20-like zinc finger', NULL, 'zf-A20', NULL, NULL, NULL, 6),
(7573, NULL, 'PF01480', NULL, NULL, 'PWI domain', NULL, 'PWI', NULL, NULL, NULL, 6),
(7574, NULL, 'PF12528', NULL, NULL, 'Type II secretion prepilin peptidase dependent protein C', NULL, 'T2SSppdC', NULL, NULL, NULL, 6),
(7575, NULL, 'PF17882', NULL, NULL, 'OAA-family lectin sugar binding domain', NULL, 'SBD', NULL, NULL, NULL, 6),
(7576, NULL, 'PF05624', NULL, NULL, 'Lipolysis stimulated receptor (LSR)', NULL, 'LSR', NULL, NULL, NULL, 6),
(7577, NULL, 'PF05323', NULL, NULL, 'Poxvirus A21 Protein', NULL, 'Pox_A21', NULL, NULL, NULL, 6),
(7578, NULL, 'PF18789', NULL, NULL, 'Defence against restriction A C-terminal', NULL, 'DarA_C', NULL, NULL, NULL, 6),
(7579, NULL, 'PF15505', NULL, NULL, 'Domain of unknown function (DUF4648)', NULL, 'DUF4648', NULL, NULL, NULL, 6),
(7580, NULL, 'PF13616', NULL, NULL, 'PPIC-type PPIASE domain', NULL, 'Rotamase_3', NULL, NULL, NULL, 6),
(7581, NULL, 'PF07811', NULL, NULL, 'TadE-like protein', NULL, 'TadE', NULL, NULL, NULL, 6),
(7582, NULL, 'PF11929', NULL, NULL, 'Domain of unknown function (DUF3447)', NULL, 'DUF3447', NULL, NULL, NULL, 6),
(7583, NULL, 'PF03342', NULL, NULL, 'Rhabdovirus M1 matrix protein (M1 polymerase-associated protein)', NULL, 'Rhabdo_M1', NULL, NULL, NULL, 6),
(7584, NULL, 'PF03549', NULL, NULL, 'Translocated intimin receptor (Tir) intimin-binding domain', NULL, 'Tir_receptor_M', NULL, NULL, NULL, 6),
(7585, NULL, 'PF18220', NULL, NULL, 'Adhesin BspA variable domain', NULL, 'BspA_v', NULL, NULL, NULL, 6),
(7586, NULL, 'PF10801', NULL, NULL, 'Protein of unknown function (DUF2537)', NULL, 'DUF2537', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7587, NULL, 'PF16928', NULL, NULL, 'DNA/protein translocase of phage P22 injectosome', NULL, 'Inj_translocase', NULL, NULL, NULL, 6),
(7588, NULL, 'PF18799', NULL, NULL, 'Large polyvalent protein-associated domain 5', NULL, 'LPD5', NULL, NULL, NULL, 6),
(7589, NULL, 'PF17182', NULL, NULL, 'OSK domain', NULL, 'OSK', NULL, NULL, NULL, 6),
(7590, NULL, 'PF04074', NULL, NULL, 'YhcH/YjgK/YiaL', NULL, 'DUF386', NULL, NULL, NULL, 6),
(7591, NULL, 'PF03330', NULL, NULL, 'Lytic transglycolase', NULL, 'DPBB_1', NULL, NULL, NULL, 6),
(7592, NULL, 'PF17617', NULL, NULL, 'Viral unique short region 10', NULL, 'US10', NULL, NULL, NULL, 6),
(7593, NULL, 'PF01323', NULL, NULL, 'DSBA-like thioredoxin domain', NULL, 'DSBA', NULL, NULL, NULL, 6),
(7594, NULL, 'PF05382', NULL, NULL, 'Bacteriophage peptidoglycan hydrolase', NULL, 'Amidase_5', NULL, NULL, NULL, 6),
(7595, NULL, 'PF10104', NULL, NULL, 'Di-sulfide bridge nucleocytoplasmic transport domain', NULL, 'Brr6_like_C_C', NULL, NULL, NULL, 6),
(7596, NULL, 'PF11641', NULL, NULL, 'Glycosylphosphatidylinositol-anchored merozoite surface protein', NULL, 'Antigen_Bd37', NULL, NULL, NULL, 6),
(7597, NULL, 'PF11140', NULL, NULL, 'Protein of unknown function (DUF2913)', NULL, 'DUF2913', NULL, NULL, NULL, 6),
(7598, NULL, 'PF12226', NULL, NULL, 'Turkey astrovirus capsid protein', NULL, 'Astro_capsid_p', NULL, NULL, NULL, 6),
(7599, NULL, 'PF16046', NULL, NULL, 'FAM76 protein', NULL, 'FAM76', NULL, NULL, NULL, 6),
(7600, NULL, 'PF00846', NULL, NULL, 'Hantavirus nucleocapsid protein', NULL, 'Hanta_nucleocap', NULL, NULL, NULL, 6),
(7601, NULL, 'PF19089', NULL, NULL, 'Membrane bound beta barrel domain (DUF5777)', NULL, 'DUF5777', NULL, NULL, NULL, 6),
(7602, NULL, 'PF08580', NULL, NULL, 'Yeast cortical protein KAR9', NULL, 'KAR9', NULL, NULL, NULL, 6),
(7603, NULL, 'PF08594', NULL, NULL, 'Uncharacterised protein family (UPF0300)', NULL, 'UPF0300', NULL, NULL, NULL, 6),
(7604, NULL, 'PF09958', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2192)', NULL, 'DUF2192', NULL, NULL, NULL, 6),
(7605, NULL, 'PF12390', NULL, NULL, 'Selenocysteine synthase N terminal', NULL, 'Se-cys_synth_N', NULL, NULL, NULL, 6),
(7606, NULL, 'PF08793', NULL, NULL, '2-cysteine adaptor domain', NULL, '2C_adapt', NULL, NULL, NULL, 6),
(7607, NULL, 'PF12994', NULL, NULL, 'Domain of unknown function, E. rectale Gene description (DUF3878)', NULL, 'DUF3878', NULL, NULL, NULL, 6),
(7608, NULL, 'PF00732', NULL, NULL, 'GMC oxidoreductase', NULL, 'GMC_oxred_N', NULL, NULL, NULL, 6),
(7609, NULL, 'PF17194', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin N-terminal domain', NULL, 'AbiEi_3_N', NULL, NULL, NULL, 6),
(7610, NULL, 'PF14321', NULL, NULL, 'Domain of unknown function (DUF4382)', NULL, 'DUF4382', NULL, NULL, NULL, 6),
(7611, NULL, 'PF00964', NULL, NULL, 'Elicitin', NULL, 'Elicitin', NULL, NULL, NULL, 6),
(7612, NULL, 'PF06335', NULL, NULL, 'Protein of unknown function (DUF1054)', NULL, 'DUF1054', NULL, NULL, NULL, 6),
(7613, NULL, 'PF01666', NULL, NULL, 'DX module', NULL, 'DX', NULL, NULL, NULL, 6),
(7614, NULL, 'PF14423', NULL, NULL, 'Immunity protein Imm5', NULL, 'Imm5', NULL, NULL, NULL, 6),
(7615, NULL, 'PF14448', NULL, NULL, 'Nuclease N terminal', NULL, 'Nuc_N', NULL, NULL, NULL, 6),
(7616, NULL, 'PF14015', NULL, NULL, 'Protein of unknown function (DUF4231)', NULL, 'DUF4231', NULL, NULL, NULL, 6),
(7617, NULL, 'PF09621', NULL, NULL, 'Type III secretion system regulator (LcrR)', NULL, 'LcrR', NULL, NULL, NULL, 6),
(7618, NULL, 'PF01127', NULL, NULL, 'Succinate dehydrogenase/Fumarate reductase transmembrane subunit', NULL, 'Sdh_cyt', NULL, NULL, NULL, 6),
(7619, NULL, 'PF08566', NULL, NULL, 'Mitochondrial import protein Pam17', NULL, 'Pam17', NULL, NULL, NULL, 6),
(7620, NULL, 'PF15834', NULL, NULL, 'Testis highly expressed protein 4', NULL, 'THEG4', NULL, NULL, NULL, 6),
(7621, NULL, 'PF01851', NULL, NULL, 'Proteasome/cyclosome repeat', NULL, 'PC_rep', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7622, NULL, 'PF06320', NULL, NULL, 'GCN5-like protein 1 (GCN5L1)', NULL, 'GCN5L1', NULL, NULL, NULL, 6),
(7623, NULL, 'PF10445', NULL, NULL, 'Protein of unknown function (DUF2456)', NULL, 'DUF2456', NULL, NULL, NULL, 6),
(7624, NULL, 'PF14657', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_4', NULL, NULL, NULL, 6),
(7625, NULL, 'PF10541', NULL, NULL, 'Nuclear envelope localisation domain', NULL, 'KASH', NULL, NULL, NULL, 6),
(7626, NULL, 'PF19226', NULL, NULL, 'DisA glycoprotein', NULL, 'DisA', NULL, NULL, NULL, 6),
(7627, NULL, 'PF05060', NULL, NULL, 'N-acetylglucosaminyltransferase II (MGAT2)', NULL, 'MGAT2', NULL, NULL, NULL, 6),
(7628, NULL, 'PF00602', NULL, NULL, 'Influenza RNA-dependent RNA polymerase subunit PB1', NULL, 'Flu_PB1', NULL, NULL, NULL, 6),
(7629, NULL, 'PF13740', NULL, NULL, 'ACT domain', NULL, 'ACT_6', NULL, NULL, NULL, 6),
(7630, NULL, 'PF00060', NULL, NULL, 'Ligand-gated ion channel', NULL, 'Lig_chan', NULL, NULL, NULL, 6),
(7631, NULL, 'PF17587', NULL, NULL, 'Discriminator of mRNA degradation', NULL, 'Dmd', NULL, NULL, NULL, 6),
(7632, NULL, 'PF09467', NULL, NULL, 'Hypothetical protein Yopt', NULL, 'Yopt', NULL, NULL, NULL, 6),
(7633, NULL, 'PF03122', NULL, NULL, 'Herpes virus major capsid protein', NULL, 'Herpes_MCP', NULL, NULL, NULL, 6),
(7634, NULL, 'PF14963', NULL, NULL, 'Calcium signal-modulating cyclophilin ligand', NULL, 'CAML', NULL, NULL, NULL, 6),
(7635, NULL, 'PF01235', NULL, NULL, 'Sodium:alanine symporter family', NULL, 'Na_Ala_symp', NULL, NULL, NULL, 6),
(7636, NULL, 'PF03766', NULL, NULL, 'Remorin, N-terminal region', NULL, 'Remorin_N', NULL, NULL, NULL, 6),
(7637, NULL, 'PF01371', NULL, NULL, 'Trp repressor protein', NULL, 'Trp_repressor', NULL, NULL, NULL, 6),
(7638, NULL, 'PF03256', NULL, NULL, 'Anaphase-promoting complex, subunit 10 (APC10)', NULL, 'ANAPC10', NULL, NULL, NULL, 6),
(7639, NULL, 'PF10841', NULL, NULL, 'Protein of unknown function (DUF2644)', NULL, 'DUF2644', NULL, NULL, NULL, 6),
(7640, NULL, 'PF05507', NULL, NULL, 'Microfibril-associated glycoprotein (MAGP)', NULL, 'MAGP', NULL, NULL, NULL, 6),
(7641, NULL, 'PF14815', NULL, NULL, 'NUDIX domain', NULL, 'NUDIX_4', NULL, NULL, NULL, 6),
(7642, NULL, 'PF16083', NULL, NULL, 'LydA holin phage, holin superfamily III', NULL, 'Phage_holin_3_3', NULL, NULL, NULL, 6),
(7643, NULL, 'PF12902', NULL, NULL, 'Ferritin-like', NULL, 'Ferritin-like', NULL, NULL, NULL, 6),
(7644, NULL, 'PF08542', NULL, NULL, 'Replication factor C C-terminal domain', NULL, 'Rep_fac_C', NULL, NULL, NULL, 6),
(7645, NULL, 'PF08681', NULL, NULL, 'Protein of unknown function (DUF1778)', NULL, 'DUF1778', NULL, NULL, NULL, 6),
(7646, NULL, 'PF00319', NULL, NULL, 'SRF-type transcription factor (DNA-binding and dimerisation domain)', NULL, 'SRF-TF', NULL, NULL, NULL, 6),
(7647, NULL, 'PF04817', NULL, NULL, 'Umbravirus long distance movement (LDM) family', NULL, 'Umbravirus_LDM', NULL, NULL, NULL, 6),
(7648, NULL, 'PF10257', NULL, NULL, 'Retinoic acid induced 16-like protein', NULL, 'RAI16-like', NULL, NULL, NULL, 6),
(7649, NULL, 'PF16534', NULL, NULL, 'Ubiquitin-like oligomerisation domain of SATB', NULL, 'ULD', NULL, NULL, NULL, 6),
(7650, NULL, 'PF00781', NULL, NULL, 'Diacylglycerol kinase catalytic domain', NULL, 'DAGK_cat', NULL, NULL, NULL, 6),
(7651, NULL, 'PF05512', NULL, NULL, 'AWPM-19-like family', NULL, 'AWPM-19', NULL, NULL, NULL, 6),
(7652, NULL, 'PF02624', NULL, NULL, 'YcaO cyclodehydratase, ATP-ad Mg2+-binding', NULL, 'YcaO', NULL, NULL, NULL, 6),
(7653, NULL, 'PF06623', NULL, NULL, 'MHC_I C-terminus', NULL, 'MHC_I_C', NULL, NULL, NULL, 6),
(7654, NULL, 'PF19140', NULL, NULL, 'Family of unknown function (DUF5823)', NULL, 'DUF5823', NULL, NULL, NULL, 6),
(7655, NULL, 'PF15134', NULL, NULL, 'Domain of unknown function (DUF4570)', NULL, 'DUF4570', NULL, NULL, NULL, 6),
(7656, NULL, 'PF06181', NULL, NULL, 'Urate oxidase N-terminal', NULL, 'Urate_ox_N', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7657, NULL, 'PF13010', NULL, NULL, 'Primase helical domain', NULL, 'pRN1_helical', NULL, NULL, NULL, 6),
(7658, NULL, 'PF13960', NULL, NULL, 'Domain of unknown function (DUF4218)', NULL, 'DUF4218', NULL, NULL, NULL, 6),
(7659, NULL, 'PF07161', NULL, NULL, 'LppX_LprAFG lipoprotein', NULL, 'LppX_LprAFG', NULL, NULL, NULL, 6),
(7660, NULL, 'PF01722', NULL, NULL, 'BolA-like protein', NULL, 'BolA', NULL, NULL, NULL, 6),
(7661, NULL, 'PF12505', NULL, NULL, 'Protein of unknown function (DUF3712)', NULL, 'DUF3712', NULL, NULL, NULL, 6),
(7662, NULL, 'PF15288', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_6', NULL, NULL, NULL, 6),
(7663, NULL, 'PF02376', NULL, NULL, 'CUT domain', NULL, 'CUT', NULL, NULL, NULL, 6),
(7664, NULL, 'PF12810', NULL, NULL, 'Glycine rich protein', NULL, 'Gly_rich', NULL, NULL, NULL, 6),
(7665, NULL, 'PF10961', NULL, NULL, 'Selenoprotein SelK_SelG', NULL, 'SelK_SelG', NULL, NULL, NULL, 6),
(7666, NULL, 'PF01384', NULL, NULL, 'Phosphate transporter family', NULL, 'PHO4', NULL, NULL, NULL, 6),
(7667, NULL, 'PF02706', NULL, NULL, 'Chain length determinant protein', NULL, 'Wzz', NULL, NULL, NULL, 6),
(7668, NULL, 'PF14868', NULL, NULL, 'Domain of unknown function (DUF4487)', NULL, 'DUF4487', NULL, NULL, NULL, 6),
(7669, NULL, 'PF10843', NULL, NULL, 'Respiratory growth induced protein 1', NULL, 'RGI1', NULL, NULL, NULL, 6),
(7670, NULL, 'PF15180', NULL, NULL, 'Neuropeptides B and W', NULL, 'NPBW', NULL, NULL, NULL, 6),
(7671, NULL, 'PF10880', NULL, NULL, 'Protein of unknown function (DUF2673)', NULL, 'DUF2673', NULL, NULL, NULL, 6),
(7672, NULL, 'PF10082', NULL, NULL, 'Putative beta-barrel porin 2', NULL, 'BBP2_2', NULL, NULL, NULL, 6),
(7673, NULL, 'PF03589', NULL, NULL, 'Antitermination protein', NULL, 'Antiterm', NULL, NULL, NULL, 6),
(7674, NULL, 'PF08436', NULL, NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase C-terminal domain', NULL, 'DXP_redisom_C', NULL, NULL, NULL, 6),
(7675, NULL, 'PF15887', NULL, NULL, 'Putative zinc-binding metallo-peptidase', NULL, 'Peptidase_Mx', NULL, NULL, NULL, 6),
(7676, NULL, 'PF14898', NULL, NULL, 'Domain of unknown function (DUF4491)', NULL, 'DUF4491', NULL, NULL, NULL, 6),
(7677, NULL, 'PF17401', NULL, NULL, 'Family of unknown function (DUF5407)', NULL, 'DUF5407', NULL, NULL, NULL, 6),
(7678, NULL, 'PF17940', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_31', NULL, NULL, NULL, 6),
(7679, NULL, 'PF18806', NULL, NULL, 'Importin 13 repeat', NULL, 'Importin_rep_3', NULL, NULL, NULL, 6),
(7680, NULL, 'PF04956', NULL, NULL, 'TrbC/VIRB2 pilin', NULL, 'TrbC', NULL, NULL, NULL, 6),
(7681, NULL, 'PF15252', NULL, NULL, 'Domain of unknown function (DUF4589)', NULL, 'DUF4589', NULL, NULL, NULL, 6),
(7682, NULL, 'PF05391', NULL, NULL, 'Lsm interaction motif', NULL, 'Lsm_interact', NULL, NULL, NULL, 6),
(7683, NULL, 'PF00166', NULL, NULL, 'Chaperonin 10 Kd subunit', NULL, 'Cpn10', NULL, NULL, NULL, 6),
(7684, NULL, 'PF15577', NULL, NULL, 'Spc7_C2', NULL, 'Spc7_C2', NULL, NULL, NULL, 6),
(7685, NULL, 'PF09836', NULL, NULL, 'Putative DNA-binding domain', NULL, 'DUF2063', NULL, NULL, NULL, 6),
(7686, NULL, 'PF14471', NULL, NULL, 'Domain of unknown function (DUF4428)', NULL, 'DUF4428', NULL, NULL, NULL, 6),
(7687, NULL, 'PF07964', NULL, NULL, 'Rec10 / Red1', NULL, 'Red1', NULL, NULL, NULL, 6),
(7688, NULL, 'PF00253', NULL, NULL, 'Ribosomal protein S14p/S29e', NULL, 'Ribosomal_S14', NULL, NULL, NULL, 6),
(7689, NULL, 'PF08614', NULL, NULL, 'Autophagy protein 16 (ATG16)', NULL, 'ATG16', NULL, NULL, NULL, 6),
(7690, NULL, 'PF09612', NULL, NULL, 'Bacterial protein of unknown function (HtrL_YibB)', NULL, 'HtrL_YibB', NULL, NULL, NULL, 6),
(7691, NULL, 'PF11550', NULL, NULL, 'Intracellular growth locus C protein', NULL, 'IglC', NULL, NULL, NULL, 6),
(7692, NULL, 'PF06138', NULL, NULL, 'Chordopoxvirus E11 protein', NULL, 'Chordopox_E11', NULL, NULL, NULL, 6),
(7693, NULL, 'PF02755', NULL, NULL, 'RPEL repeat', NULL, 'RPEL', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7694, NULL, 'PF09719', NULL, NULL, 'Putative redox-active protein (C_GCAxxG_C_C)', NULL, 'C_GCAxxG_C_C', NULL, NULL, NULL, 6),
(7695, NULL, 'PF02582', NULL, NULL, 'Uncharacterised ACR, YagE family COG1723', NULL, 'DUF155', NULL, NULL, NULL, 6),
(7696, NULL, 'PF03037', NULL, NULL, 'Kinetoplastid membrane protein 11', NULL, 'KMP11', NULL, NULL, NULL, 6),
(7697, NULL, 'PF16557', NULL, NULL, 'CUT1-like DNA-binding domain of SATB', NULL, 'CUTL', NULL, NULL, NULL, 6),
(7698, NULL, 'PF14818', NULL, NULL, 'Domain of unknown function (DUF4482)', NULL, 'DUF4482', NULL, NULL, NULL, 6),
(7699, NULL, 'PF05540', NULL, NULL, 'Serpulina hyodysenteriae variable surface protein', NULL, 'Serpulina_VSP', NULL, NULL, NULL, 6),
(7700, NULL, 'PF09193', NULL, NULL, 'Cholecystokinin A receptor, N-terminal', NULL, 'CholecysA-Rec_N', NULL, NULL, NULL, 6),
(7701, NULL, 'PF09032', NULL, NULL, 'Siah interacting protein, N terminal', NULL, 'Siah-Interact_N', NULL, NULL, NULL, 6),
(7702, NULL, 'PF06201', NULL, NULL, 'PITH domain', NULL, 'PITH', NULL, NULL, NULL, 6),
(7703, NULL, 'PF01548', NULL, NULL, 'Transposase', NULL, 'DEDD_Tnp_IS110', NULL, NULL, NULL, 6),
(7704, NULL, 'PF04589', NULL, NULL, 'RFX1 transcription activation region', NULL, 'RFX1_trans_act', NULL, NULL, NULL, 6),
(7705, NULL, 'PF03763', NULL, NULL, 'Remorin, C-terminal region', NULL, 'Remorin_C', NULL, NULL, NULL, 6),
(7706, NULL, 'PF11998', NULL, NULL, 'Low psii accumulation1 / Rep27', NULL, 'DUF3493', NULL, NULL, NULL, 6),
(7707, NULL, 'PF10802', NULL, NULL, 'Protein of unknown function (DUF2540)', NULL, 'DUF2540', NULL, NULL, NULL, 6),
(7708, NULL, 'PF04561', NULL, NULL, 'RNA polymerase Rpb2, domain 2', NULL, 'RNA_pol_Rpb2_2', NULL, NULL, NULL, 6),
(7709, NULL, 'PF16010', NULL, NULL, 'Cytochrome domain of cellobiose dehydrogenase', NULL, 'CDH-cyt', NULL, NULL, NULL, 6),
(7710, NULL, 'PF15947', NULL, NULL, 'Domain of unknown function (DUF4755)', NULL, 'DUF4755', NULL, NULL, NULL, 6),
(7711, NULL, 'PF16185', NULL, NULL, 'Mitochondrial ABC-transporter N-terminal five TM region', NULL, 'MTABC_N', NULL, NULL, NULL, 6),
(7712, NULL, 'PF12696', NULL, NULL, 'TraM recognition site of TraD and TraG', NULL, 'TraG-D_C', NULL, NULL, NULL, 6),
(7713, NULL, 'PF18466', NULL, NULL, 'Glutamate--tRNA ligase N-terminal domain', NULL, 'GluRS_N', NULL, NULL, NULL, 6),
(7714, NULL, 'PF07557', NULL, NULL, 'Shugoshin C terminus', NULL, 'Shugoshin_C', NULL, NULL, NULL, 6),
(7715, NULL, 'PF15227', NULL, NULL, 'zinc finger of C3HC4-type, RING', NULL, 'zf-C3HC4_4', NULL, NULL, NULL, 6),
(7716, NULL, 'PF15892', NULL, NULL, 'BNR repeat-containing family member', NULL, 'BNR_4', NULL, NULL, NULL, 6),
(7717, NULL, 'PF15141', NULL, NULL, 'Ubiquinol-cytochrome-c reductase complex assembly factor 3', NULL, 'UQCC3', NULL, NULL, NULL, 6),
(7718, NULL, 'PF16330', NULL, NULL, 'MukB hinge domain', NULL, 'MukB_hinge', NULL, NULL, NULL, 6),
(7719, NULL, 'PF16462', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_14', NULL, NULL, NULL, 6),
(7720, NULL, 'PF17009', NULL, NULL, 'Domain of unknown function (DUF5090)', NULL, 'DUF5090', NULL, NULL, NULL, 6),
(7721, NULL, 'PF16156', NULL, NULL, 'Domain of unknown function (DUF4864)', NULL, 'DUF4864', NULL, NULL, NULL, 6),
(7722, NULL, 'PF09199', NULL, NULL, 'Staphylococcal superantigen-like OB-fold domain', NULL, 'SSL_OB', NULL, NULL, NULL, 6),
(7723, NULL, 'PF07749', NULL, NULL, 'Endoplasmic reticulum protein ERp29, C-terminal domain', NULL, 'ERp29', NULL, NULL, NULL, 6),
(7724, NULL, 'PF05719', NULL, NULL, 'Golgi phosphoprotein 3 (GPP34)', NULL, 'GPP34', NULL, NULL, NULL, 6),
(7725, NULL, 'PF06624', NULL, NULL, 'Ribosome associated membrane protein RAMP4', NULL, 'RAMP4', NULL, NULL, NULL, 6),
(7726, NULL, 'PF01464', NULL, NULL, 'Transglycosylase SLT domain', NULL, 'SLT', NULL, NULL, NULL, 6),
(7727, NULL, 'PF02448', NULL, NULL, 'L71 family', NULL, 'L71', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7728, NULL, 'PF06418', NULL, NULL, 'CTP synthase N-terminus', NULL, 'CTP_synth_N', NULL, NULL, NULL, 6),
(7729, NULL, 'PF12571', NULL, NULL, 'Phage tail-collar fibre protein', NULL, 'DUF3751', NULL, NULL, NULL, 6),
(7730, NULL, 'PF10380', NULL, NULL, 'Transcription factor CRF1', NULL, 'CRF1', NULL, NULL, NULL, 6),
(7731, NULL, 'PF04870', NULL, NULL, 'Moulting cycle', NULL, 'Moulting_cycle', NULL, NULL, NULL, 6),
(7732, NULL, 'PF03314', NULL, NULL, 'Protein of unknown function, DUF273', NULL, 'DUF273', NULL, NULL, NULL, 6),
(7733, NULL, 'PF11148', NULL, NULL, 'Protein of unknown function (DUF2922)', NULL, 'DUF2922', NULL, NULL, NULL, 6),
(7734, NULL, 'PF10012', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2255)', NULL, 'DUF2255', NULL, NULL, NULL, 6),
(7735, NULL, 'PF16725', NULL, NULL, 'Nucleolin binding domain', NULL, 'Nucleolin_bd', NULL, NULL, NULL, 6),
(7736, NULL, 'PF00695', NULL, NULL, 'Major surface antigen from hepadnavirus', NULL, 'vMSA', NULL, NULL, NULL, 6),
(7737, NULL, 'PF17490', NULL, NULL, 'L1 transposable element dsRBD-like domain', NULL, 'Tnp_22_dsRBD', NULL, NULL, NULL, 6),
(7738, NULL, 'PF12133', NULL, NULL, 'Betacoronavirus NS6 protein', NULL, 'bCoV_NS6', NULL, NULL, NULL, 6),
(7739, NULL, 'PF11159', NULL, NULL, 'Protein of unknown function (DUF2939)', NULL, 'DUF2939', NULL, NULL, NULL, 6),
(7740, NULL, 'PF16519', NULL, NULL, 'Tetramerisation domain of TRPM', NULL, 'TRPM_tetra', NULL, NULL, NULL, 6),
(7741, NULL, 'PF16420', NULL, NULL, 'Ubiquitin-like modifier-activating enzyme ATG7 N-terminus', NULL, 'ATG7_N', NULL, NULL, NULL, 6),
(7742, NULL, 'PF08702', NULL, NULL, 'Fibrinogen alpha/beta chain family', NULL, 'Fib_alpha', NULL, NULL, NULL, 6),
(7743, NULL, 'PF09697', NULL, NULL, 'Protein of unknown function (Porph_ging)', NULL, 'Porph_ging', NULL, NULL, NULL, 6),
(7744, NULL, 'PF13998', NULL, NULL, 'MgrB protein', NULL, 'MgrB', NULL, NULL, NULL, 6),
(7745, NULL, 'PF18638', NULL, NULL, 'Cysteine-Rich Protective Antigen 6 bladed domain', NULL, 'CyRPA', NULL, NULL, NULL, 6),
(7746, NULL, 'PF07913', NULL, NULL, 'Protein of unknown function (DUF1678)', NULL, 'DUF1678', NULL, NULL, NULL, 6),
(7747, NULL, 'PF08928', NULL, NULL, 'Domain of unknown function (DUF1910)', NULL, 'DUF1910', NULL, NULL, NULL, 6),
(7748, NULL, 'PF09231', NULL, NULL, 'Rice dwarf virus p3', NULL, 'RDV-p3', NULL, NULL, NULL, 6),
(7749, NULL, 'PF13934', NULL, NULL, 'Nuclear pore complex assembly', NULL, 'ELYS', NULL, NULL, NULL, 6),
(7750, NULL, 'PF18915', NULL, NULL, 'Domain of unknown function (DUF5667)', NULL, 'DUF5667', NULL, NULL, NULL, 6),
(7751, NULL, 'PF16218', NULL, NULL, 'Peptidase family C101', NULL, 'Peptidase_C101', NULL, NULL, NULL, 6),
(7752, NULL, 'PF15087', NULL, NULL, 'Protein of unknown function (DUF4551)', NULL, 'DUF4551', NULL, NULL, NULL, 6),
(7753, NULL, 'PF09498', NULL, NULL, 'Protein of unknown function (DUF2388)', NULL, 'DUF2388', NULL, NULL, NULL, 6),
(7754, NULL, 'PF10206', NULL, NULL, 'Mitochondrial F1F0-ATP synthase, subunit f', NULL, 'WRW', NULL, NULL, NULL, 6),
(7755, NULL, 'PF00772', NULL, NULL, 'DnaB-like helicase N terminal domain', NULL, 'DnaB', NULL, NULL, NULL, 6),
(7756, NULL, 'PF02887', NULL, NULL, 'Pyruvate kinase, alpha/beta domain', NULL, 'PK_C', NULL, NULL, NULL, 6),
(7757, NULL, 'PF04540', NULL, NULL, 'Herpesvirus UL51 protein', NULL, 'Herpes_UL51', NULL, NULL, NULL, 6),
(7758, NULL, 'PF16357', NULL, NULL, 'Putative PepSY_TM-like', NULL, 'PepSY_TM_like_2', NULL, NULL, NULL, 6),
(7759, NULL, 'PF04770', NULL, NULL, 'ZF-HD protein dimerisation region', NULL, 'ZF-HD_dimer', NULL, NULL, NULL, 6),
(7760, NULL, 'PF05841', NULL, NULL, 'Apc15p protein', NULL, 'Apc15p', NULL, NULL, NULL, 6),
(7761, NULL, 'PF00040', NULL, NULL, 'Fibronectin type II domain', NULL, 'fn2', NULL, NULL, NULL, 6),
(7762, NULL, 'PF11439', NULL, NULL, 'Type III secretion system filament chaperone CesA', NULL, 'T3SchapCesA', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7763, NULL, 'PF08768', NULL, NULL, 'Domain of unknown function (DUF1794)', NULL, 'DUF1794', NULL, NULL, NULL, 6),
(7764, NULL, 'PF12927', NULL, NULL, 'Domain of unknown function (DUF3835)', NULL, 'DUF3835', NULL, NULL, NULL, 6),
(7765, NULL, 'PF04731', NULL, NULL, 'Caudal like protein activation region', NULL, 'Caudal_act', NULL, NULL, NULL, 6),
(7766, NULL, 'PF03496', NULL, NULL, 'ADP-ribosyltransferase exoenzyme', NULL, 'ADPrib_exo_Tox', NULL, NULL, NULL, 6),
(7767, NULL, 'PF00414', NULL, NULL, 'Neuraxin and MAP1B repeat', NULL, 'MAP1B_neuraxin', NULL, NULL, NULL, 6),
(7768, NULL, 'PF17331', NULL, NULL, 'GFD1 mRNA transport factor', NULL, 'GFD1', NULL, NULL, NULL, 6),
(7769, NULL, 'PF11563', NULL, NULL, 'Protoglobin', NULL, 'Protoglobin', NULL, NULL, NULL, 6),
(7770, NULL, 'PF06514', NULL, NULL, 'Photosystem II 12 kDa extrinsic protein (PsbU)', NULL, 'PsbU', NULL, NULL, NULL, 6),
(7771, NULL, 'PF12547', NULL, NULL, 'Capicua transcriptional repressor modulator', NULL, 'ATXN-1_C', NULL, NULL, NULL, 6),
(7772, NULL, 'PF11387', NULL, NULL, 'Protein of unknown function (DUF2795)', NULL, 'DUF2795', NULL, NULL, NULL, 6),
(7773, NULL, 'PF08052', NULL, NULL, 'PyrBI operon leader peptide', NULL, 'PyrBI_leader', NULL, NULL, NULL, 6),
(7774, NULL, 'PF16547', NULL, NULL, 'Proteasome-substrate-size regulator, N-terminal', NULL, 'BLM10_N', NULL, NULL, NULL, 6),
(7775, NULL, 'PF13067', NULL, NULL, 'Protein of unknown function (DUF3930)', NULL, 'DUF3930', NULL, NULL, NULL, 6),
(7776, NULL, 'PF18478', NULL, NULL, 'PIN like domain', NULL, 'PIN_10', NULL, NULL, NULL, 6),
(7777, NULL, 'PF18613', NULL, NULL, 'Tyrosine kinase receptor A trans-membrane domain', NULL, 'TrkA_TMD', NULL, NULL, NULL, 6),
(7778, NULL, 'PF03539', NULL, NULL, 'Spumavirus aspartic protease (A9)', NULL, 'Spuma_A9PTase', NULL, NULL, NULL, 6),
(7779, NULL, 'PF02336', NULL, NULL, 'Capsid protein VP4', NULL, 'Denso_VP4', NULL, NULL, NULL, 6),
(7780, NULL, 'PF10901', NULL, NULL, 'Protein of unknown function (DUF2690)', NULL, 'DUF2690', NULL, NULL, NULL, 6),
(7781, NULL, 'PF13247', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_11', NULL, NULL, NULL, 6),
(7782, NULL, 'PF17521', NULL, NULL, 'Honey bee peptides', NULL, 'Secapin', NULL, NULL, NULL, 6),
(7783, NULL, 'PF00397', NULL, NULL, 'WW domain', NULL, 'WW', NULL, NULL, NULL, 6),
(7784, NULL, 'PF12315', NULL, NULL, 'Protein DA1', NULL, 'DA1-like', NULL, NULL, NULL, 6),
(7785, NULL, 'PF13720', NULL, NULL, 'Udp N-acetylglucosamine O-acyltransferase; Domain 2', NULL, 'Acetyltransf_11', NULL, NULL, NULL, 6),
(7786, NULL, 'PF02325', NULL, NULL, 'YGGT family', NULL, 'YGGT', NULL, NULL, NULL, 6),
(7787, NULL, 'PF11245', NULL, NULL, 'Protein of unknown function (DUF2544)', NULL, 'DUF2544', NULL, NULL, NULL, 6),
(7788, NULL, 'PF13101', NULL, NULL, 'Protein of unknown function (DUF3945)', NULL, 'DUF3945', NULL, NULL, NULL, 6),
(7789, NULL, 'PF17360', NULL, NULL, 'Family of unknown function (DUF5386)', NULL, 'DUF5386', NULL, NULL, NULL, 6),
(7790, NULL, 'PF18752', NULL, NULL, 'Dictyosteliid AID/APOBEC-like Deaminase', NULL, 'DAAD', NULL, NULL, NULL, 6),
(7791, NULL, 'PF04672', NULL, NULL, 'S-adenosyl methyltransferase', NULL, 'Methyltransf_19', NULL, NULL, NULL, 6),
(7792, NULL, 'PF07580', NULL, NULL, 'M26 IgA1-specific Metallo-endopeptidase C-terminal region', NULL, 'Peptidase_M26_C', NULL, NULL, NULL, 6),
(7793, NULL, 'PF06527', NULL, NULL, 'TniQ', NULL, 'TniQ', NULL, NULL, NULL, 6),
(7794, NULL, 'PF01343', NULL, NULL, 'Peptidase family S49', NULL, 'Peptidase_S49', NULL, NULL, NULL, 6),
(7795, NULL, 'PF15488', NULL, NULL, 'Domain of unknown function (DUF4645)', NULL, 'DUF4645', NULL, NULL, NULL, 6),
(7796, NULL, 'PF04842', NULL, NULL, 'Plant protein of unknown function (DUF639)', NULL, 'DUF639', NULL, NULL, NULL, 6),
(7797, NULL, 'PF19099', NULL, NULL, 'Family of unknown function (DUF5786)', NULL, 'DUF5786', NULL, NULL, NULL, 6),
(7798, NULL, 'PF04812', NULL, NULL, 'Hepatocyte nuclear factor 1 (HNF-1), beta isoform C terminus', NULL, 'HNF-1B_C', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7799, NULL, 'PF18091', NULL, NULL, 'E3 Ubiquitin Ligase RBR C-terminal domain', NULL, 'E3_UbLigase_RBR', NULL, NULL, NULL, 6),
(7800, NULL, 'PF01868', NULL, NULL, 'Domain of unknown function UPF0086', NULL, 'UPF0086', NULL, NULL, NULL, 6),
(7801, NULL, 'PF09887', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2114)', NULL, 'DUF2114', NULL, NULL, NULL, 6),
(7802, NULL, 'PF03668', NULL, NULL, 'P-loop ATPase protein family', NULL, 'ATP_bind_2', NULL, NULL, NULL, 6),
(7803, NULL, 'PF18619', NULL, NULL, 'GPCR-Autoproteolysis-INducing (GAIN) subdomain A', NULL, 'GAIN_A', NULL, NULL, NULL, 6),
(7804, NULL, 'PF11440', NULL, NULL, 'DNA alpha-glucosyltransferase', NULL, 'AGT', NULL, NULL, NULL, 6),
(7805, NULL, 'PF01740', NULL, NULL, 'STAS domain', NULL, 'STAS', NULL, NULL, NULL, 6),
(7806, NULL, 'PF01507', NULL, NULL, 'Phosphoadenosine phosphosulfate reductase family', NULL, 'PAPS_reduct', NULL, NULL, NULL, 6),
(7807, NULL, 'PF16672', NULL, NULL, 'Ragulator complex protein LAMTOR5', NULL, 'LAMTOR5', NULL, NULL, NULL, 6),
(7808, NULL, 'PF10324', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srw', NULL, '7TM_GPCR_Srw', NULL, NULL, NULL, 6),
(7809, NULL, 'PF10001', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2242)', NULL, 'DUF2242', NULL, NULL, NULL, 6),
(7810, NULL, 'PF09762', NULL, NULL, 'CCDC93, coiled-coil domain', NULL, 'CCDC93_CC', NULL, NULL, NULL, 6),
(7811, NULL, 'PF17966', NULL, NULL, 'Mub B2-like domain', NULL, 'Mub_B2', NULL, NULL, NULL, 6),
(7812, NULL, 'PF03684', NULL, NULL, 'Uncharacterised protein family (UPF0179)', NULL, 'UPF0179', NULL, NULL, NULL, 6),
(7813, NULL, 'PF10927', NULL, NULL, 'Protein of unknown function (DUF2738)', NULL, 'DUF2738', NULL, NULL, NULL, 6),
(7814, NULL, 'PF08321', NULL, NULL, 'PPP5 TPR repeat region', NULL, 'PPP5', NULL, NULL, NULL, 6),
(7815, NULL, 'PF03474', NULL, NULL, 'DMRTA motif', NULL, 'DMA', NULL, NULL, NULL, 6),
(7816, NULL, 'PF16930', NULL, NULL, 'Putative porin', NULL, 'Porin_5', NULL, NULL, NULL, 6),
(7817, NULL, 'PF06559', NULL, NULL, '2''-deoxycytidine 5''-triphosphate deaminase (DCD)', NULL, 'DCD', NULL, NULL, NULL, 6),
(7818, NULL, 'PF01581', NULL, NULL, 'FMRFamide related peptide family', NULL, 'FARP', NULL, NULL, NULL, 6),
(7819, NULL, 'PF04851', NULL, NULL, 'Type III restriction enzyme, res subunit', NULL, 'ResIII', NULL, NULL, NULL, 6),
(7820, NULL, 'PF17915', NULL, NULL, 'Reverse gyrase zinc finger', NULL, 'zf_Rg', NULL, NULL, NULL, 6),
(7821, NULL, 'PF05996', NULL, NULL, 'Ferredoxin-dependent bilin reductase', NULL, 'Fe_bilin_red', NULL, NULL, NULL, 6),
(7822, NULL, 'PF08323', NULL, NULL, 'Starch synthase catalytic domain', NULL, 'Glyco_transf_5', NULL, NULL, NULL, 6),
(7823, NULL, 'PF12376', NULL, NULL, 'Protein of unknown function (DUF3654)', NULL, 'DUF3654', NULL, NULL, NULL, 6),
(7824, NULL, 'PF04055', NULL, NULL, 'Radical SAM superfamily', NULL, 'Radical_SAM', NULL, NULL, NULL, 6),
(7825, NULL, 'PF06622', NULL, NULL, 'SepQ protein', NULL, 'SepQ', NULL, NULL, NULL, 6),
(7826, NULL, 'PF17390', NULL, NULL, 'Bacterial alpha-L-rhamnosidase C-terminal domain', NULL, 'Bac_rhamnosid_C', NULL, NULL, NULL, 6),
(7827, NULL, 'PF11761', NULL, NULL, 'Cobalamin biosynthesis central region', NULL, 'CbiG_mid', NULL, NULL, NULL, 6),
(7828, NULL, 'PF18910', NULL, NULL, 'Domain of unknown function (DUF5665)', NULL, 'DUF5665', NULL, NULL, NULL, 6),
(7829, NULL, 'PF18911', NULL, NULL, 'PKD domain', NULL, 'PKD_4', NULL, NULL, NULL, 6),
(7830, NULL, 'PF16305', NULL, NULL, 'Domain of unknown function (DUF4947)', NULL, 'DUF4947', NULL, NULL, NULL, 6),
(7831, NULL, 'PF03884', NULL, NULL, 'DNA gyrase inhibitor YacG', NULL, 'YacG', NULL, NULL, NULL, 6),
(7832, NULL, 'PF11666', NULL, NULL, 'Protein of unknown function (DUF2933)', NULL, 'DUF2933', NULL, NULL, NULL, 6),
(7833, NULL, 'PF11752', NULL, NULL, 'Protein of unknown function (DUF3309)', NULL, 'DUF3309', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7834, NULL, 'PF14623', NULL, NULL, 'Hint-domain', NULL, 'Vint', NULL, NULL, NULL, 6),
(7835, NULL, 'PF01401', NULL, NULL, 'Angiotensin-converting enzyme', NULL, 'Peptidase_M2', NULL, NULL, NULL, 6),
(7836, NULL, 'PF03551', NULL, NULL, 'Transcriptional regulator PadR-like family', NULL, 'PadR', NULL, NULL, NULL, 6),
(7837, NULL, 'PF02117', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Sra', NULL, '7TM_GPCR_Sra', NULL, NULL, NULL, 6),
(7838, NULL, 'PF14844', NULL, NULL, 'PH domain associated with Beige/BEACH', NULL, 'PH_BEACH', NULL, NULL, NULL, 6),
(7839, NULL, 'PF18115', NULL, NULL, 'DNA repair protein Crb2 Tudor domain', NULL, 'Tudor_3', NULL, NULL, NULL, 6),
(7840, NULL, 'PF14130', NULL, NULL, 'Domain of unknown function (DUF4297)', NULL, 'DUF4297', NULL, NULL, NULL, 6),
(7841, NULL, 'PF13023', NULL, NULL, 'HD domain', NULL, 'HD_3', NULL, NULL, NULL, 6),
(7842, NULL, 'PF08421', NULL, NULL, 'Putative zinc binding domain', NULL, 'Methyltransf_13', NULL, NULL, NULL, 6),
(7843, NULL, 'PF17129', NULL, NULL, 'C-terminal domain of metallo-carboxypeptidase', NULL, 'Peptidase_M99_C', NULL, NULL, NULL, 6),
(7844, NULL, 'PF10600', NULL, NULL, 'PDZ-associated domain of NMDA receptors', NULL, 'PDZ_assoc', NULL, NULL, NULL, 6),
(7845, NULL, 'PF08169', NULL, NULL, 'RBB1NT (NUC162) domain', NULL, 'RBB1NT', NULL, NULL, NULL, 6),
(7846, NULL, 'PF01330', NULL, NULL, 'RuvA N terminal domain', NULL, 'RuvA_N', NULL, NULL, NULL, 6),
(7847, NULL, 'PF11570', NULL, NULL, 'Coiled-coil receptor-binding R-domain of colicin E2', NULL, 'E2R135', NULL, NULL, NULL, 6),
(7848, NULL, 'PF00809', NULL, NULL, 'Pterin binding enzyme', NULL, 'Pterin_bind', NULL, NULL, NULL, 6),
(7849, NULL, 'PF18762', NULL, NULL, 'Serine/Threonine/Tyrosine Kinase found in polyvalent proteins', NULL, 'Kinase-PolyVal', NULL, NULL, NULL, 6),
(7850, NULL, 'PF15287', NULL, NULL, 'KRBA1 family repeat', NULL, 'KRBA1', NULL, NULL, NULL, 6),
(7851, NULL, 'PF10312', NULL, NULL, 'Conserved mid region of cactin', NULL, 'Cactin_mid', NULL, NULL, NULL, 6),
(7852, NULL, 'PF13315', NULL, NULL, 'Protein of unknown function (DUF4085)', NULL, 'DUF4085', NULL, NULL, NULL, 6),
(7853, NULL, 'PF07306', NULL, NULL, 'Protein of unknown function (DUF1455)', NULL, 'DUF1455', NULL, NULL, NULL, 6),
(7854, NULL, 'PF07515', NULL, NULL, 'Putative conjugal transfer nickase/helicase TraI C-term', NULL, 'TraI_2_C', NULL, NULL, NULL, 6),
(7855, NULL, 'PF16646', NULL, NULL, 'Axin-1 tankyrase binding domain', NULL, 'AXIN1_TNKS_BD', NULL, NULL, NULL, 6),
(7856, NULL, 'PF19026', NULL, NULL, 'HYPK UBA domain', NULL, 'HYPK_UBA', NULL, NULL, NULL, 6),
(7857, NULL, 'PF06931', NULL, NULL, 'Mastadenovirus E4 ORF3 protein', NULL, 'Adeno_E4_ORF3', NULL, NULL, NULL, 6),
(7858, NULL, 'PF06019', NULL, NULL, 'Phage GP30.8 protein', NULL, 'Phage_30_8', NULL, NULL, NULL, 6),
(7859, NULL, 'PF03762', NULL, NULL, 'Vitelline membrane outer layer protein I (VOMI)', NULL, 'VOMI', NULL, NULL, NULL, 6),
(7860, NULL, 'PF01061', NULL, NULL, 'ABC-2 type transporter', NULL, 'ABC2_membrane', NULL, NULL, NULL, 6),
(7861, NULL, 'PF10050', NULL, NULL, 'Predicted metal-binding protein (DUF2284)', NULL, 'DUF2284', NULL, NULL, NULL, 6),
(7862, NULL, 'PF14028', NULL, NULL, 'Lantibiotic biosynthesis dehydratase C-term', NULL, 'Lant_dehydr_C', NULL, NULL, NULL, 6),
(7863, NULL, 'PF12330', NULL, NULL, 'Haspin like kinase domain', NULL, 'Haspin_kinase', NULL, NULL, NULL, 6),
(7864, NULL, 'PF15562', NULL, NULL, 'Immunity protein 17', NULL, 'Imm17', NULL, NULL, NULL, 6),
(7865, NULL, 'PF02061', NULL, NULL, 'Lambda Phage CIII', NULL, 'Lambda_CIII', NULL, NULL, NULL, 6),
(7866, NULL, 'PF07399', NULL, NULL, 'Putative Na+/H+ antiporter', NULL, 'Na_H_antiport_3', NULL, NULL, NULL, 6),
(7867, NULL, 'PF18347', NULL, NULL, 'Domain of unknown function (DUF5606)', NULL, 'DUF5606', NULL, NULL, NULL, 6),
(7868, NULL, 'PF18119', NULL, NULL, 'RIG-I receptor C-terminal domain', NULL, 'RIG-I_C', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7869, NULL, 'PF00433', NULL, NULL, 'Protein kinase C terminal domain', NULL, 'Pkinase_C', NULL, NULL, NULL, 6),
(7870, NULL, 'PF06757', NULL, NULL, 'Insect allergen related repeat, nitrile-specifier detoxification', NULL, 'Ins_allergen_rp', NULL, NULL, NULL, 6),
(7871, NULL, 'PF06179', NULL, NULL, 'Surfeit locus protein 5 subunit 22 of Mediator complex', NULL, 'Med22', NULL, NULL, NULL, 6),
(7872, NULL, 'PF18802', NULL, NULL, 'CxC1 like cysteine cluster associated with KDZ transposases', NULL, 'CxC1', NULL, NULL, NULL, 6),
(7873, NULL, 'PF17970', NULL, NULL, 'Bacterial Alpha-2-macroglobulin MG1 domain', NULL, 'bMG1', NULL, NULL, NULL, 6),
(7874, NULL, 'PF10597', NULL, NULL, 'U5-snRNA binding site 2 of PrP8', NULL, 'U5_2-snRNA_bdg', NULL, NULL, NULL, 6),
(7875, NULL, 'PF15652', NULL, NULL, 'HNH/Endo VII superfamily toxin with a SHH signature', NULL, 'Tox-SHH', NULL, NULL, NULL, 6),
(7876, NULL, 'PF03830', NULL, NULL, 'PTS system sorbose subfamily IIB component', NULL, 'PTSIIB_sorb', NULL, NULL, NULL, 6),
(7877, NULL, 'PF16348', NULL, NULL, 'Coronavirus replicase NSP4, C-terminal', NULL, 'CoV_NSP4_C', NULL, NULL, NULL, 6),
(7878, NULL, 'PF13213', NULL, NULL, 'Protein of unknown function (DUF4021)', NULL, 'DUF4021', NULL, NULL, NULL, 6),
(7879, NULL, 'PF15421', NULL, NULL, 'Putative polysaccharide deacetylase', NULL, 'Polysacc_deac_3', NULL, NULL, NULL, 6),
(7880, NULL, 'PF03834', NULL, NULL, 'Binding domain of DNA repair protein Ercc1 (rad10/Swi10)', NULL, 'Rad10', NULL, NULL, NULL, 6),
(7881, NULL, 'PF09545', NULL, NULL, 'AccI restriction endonuclease', NULL, 'RE_AccI', NULL, NULL, NULL, 6),
(7882, NULL, 'PF12632', NULL, NULL, 'Mysoin-binding motif of peroxisomes', NULL, 'Vezatin', NULL, NULL, NULL, 6),
(7883, NULL, 'PF05634', NULL, NULL, 'APO RNA-binding', NULL, 'APO_RNA-bind', NULL, NULL, NULL, 6),
(7884, NULL, 'PF08961', NULL, NULL, 'Nuclear receptor-binding factor 2, autophagy regulator', NULL, 'NRBF2', NULL, NULL, NULL, 6),
(7885, NULL, 'PF04023', NULL, NULL, 'FeoA domain', NULL, 'FeoA', NULL, NULL, NULL, 6),
(7886, NULL, 'PF14945', NULL, NULL, 'Normal lung function maintenance, Low in Lung Cancer 1 protein', NULL, 'LLC1', NULL, NULL, NULL, 6),
(7887, NULL, 'PF08887', NULL, NULL, 'GAD-like domain', NULL, 'GAD-like', NULL, NULL, NULL, 6),
(7888, NULL, 'PF07340', NULL, NULL, 'Cytomegalovirus IE1 protein', NULL, 'Herpes_IE1', NULL, NULL, NULL, 6),
(7889, NULL, 'PF10037', NULL, NULL, 'Mitochondrial 28S ribosomal protein S27', NULL, 'MRP-S27', NULL, NULL, NULL, 6),
(7890, NULL, 'PF05254', NULL, NULL, 'Uncharacterised protein family (UPF0203)', NULL, 'UPF0203', NULL, NULL, NULL, 6),
(7891, NULL, 'PF05980', NULL, NULL, 'Toxin 7', NULL, 'Toxin_7', NULL, NULL, NULL, 6),
(7892, NULL, 'PF06668', NULL, NULL, 'Inter-alpha-trypsin inhibitor heavy chain C-terminus', NULL, 'ITI_HC_C', NULL, NULL, NULL, 6),
(7893, NULL, 'PF09371', NULL, NULL, 'Tex-like protein N-terminal domain', NULL, 'Tex_N', NULL, NULL, NULL, 6),
(7894, NULL, 'PF02384', NULL, NULL, 'N-6 DNA Methylase', NULL, 'N6_Mtase', NULL, NULL, NULL, 6),
(7895, NULL, 'PF08092', NULL, NULL, 'Magi peptide toxin family', NULL, 'Toxin_22', NULL, NULL, NULL, 6),
(7896, NULL, 'PF11005', NULL, NULL, 'Protein of unknown function (DUF2844)', NULL, 'DUF2844', NULL, NULL, NULL, 6),
(7897, NULL, 'PF12180', NULL, NULL, 'TSG101 and ALIX binding domain of CEP55', NULL, 'EABR', NULL, NULL, NULL, 6),
(7898, NULL, 'PF17141', NULL, NULL, 'Domain of unknown function (DUF5114)', NULL, 'DUF5114', NULL, NULL, NULL, 6),
(7899, NULL, 'PF07431', NULL, NULL, 'Protein of unknown function (DUF1512)', NULL, 'DUF1512', NULL, NULL, NULL, 6),
(7900, NULL, 'PF11398', NULL, NULL, 'Protein of unknown function (DUF2813)', NULL, 'DUF2813', NULL, NULL, NULL, 6),
(7901, NULL, 'PF12493', NULL, NULL, 'Protein of unknown function (DUF3709)', NULL, 'DUF3709', NULL, NULL, NULL, 6),
(7902, NULL, 'PF05089', NULL, NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) tim-barrel domain', NULL, 'NAGLU', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7903, NULL, 'PF15128', NULL, NULL, 'T-cell leukemia translocation-altered', NULL, 'T_cell_tran_alt', NULL, NULL, NULL, 6),
(7904, NULL, 'PF12391', NULL, NULL, 'Protocatechuate 3,4-dioxygenase beta subunit N terminal', NULL, 'PCDO_beta_N', NULL, NULL, NULL, 6),
(7905, NULL, 'PF11863', NULL, NULL, 'Protein of unknown function (DUF3383)', NULL, 'DUF3383', NULL, NULL, NULL, 6),
(7906, NULL, 'PF10479', NULL, NULL, 'Fragile site-associated protein C-terminus', NULL, 'FSA_C', NULL, NULL, NULL, 6),
(7907, NULL, 'PF14574', NULL, NULL, 'C-terminal domain of RACo the ASKHA domain', NULL, 'RACo_C_ter', NULL, NULL, NULL, 6),
(7908, NULL, 'PF18008', NULL, NULL, 'Replication initiator protein A C-terminal domain', NULL, 'Bac_RepA_C', NULL, NULL, NULL, 6),
(7909, NULL, 'PF10396', NULL, NULL, 'GTP-binding protein TrmE N-terminus', NULL, 'TrmE_N', NULL, NULL, NULL, 6),
(7910, NULL, 'PF08941', NULL, NULL, 'USP8 interacting', NULL, 'USP8_interact', NULL, NULL, NULL, 6),
(7911, NULL, 'PF00988', NULL, NULL, 'Carbamoyl-phosphate synthase small chain, CPSase domain', NULL, 'CPSase_sm_chain', NULL, NULL, NULL, 6),
(7912, NULL, 'PF14106', NULL, NULL, 'Domain of unknown function (DUF4279)', NULL, 'DUF4279', NULL, NULL, NULL, 6),
(7913, NULL, 'PF18645', NULL, NULL, 'Family of unknown function (DUF5631)', NULL, 'DUF5631', NULL, NULL, NULL, 6),
(7914, NULL, 'PF15139', NULL, NULL, 'Domain of unknown function (DUF4572)', NULL, 'DUF4572', NULL, NULL, NULL, 6),
(7915, NULL, 'PF13321', NULL, NULL, 'Domain of unknown function (DUF4084)', NULL, 'DUF4084', NULL, NULL, NULL, 6),
(7916, NULL, 'PF00198', NULL, NULL, '2-oxoacid dehydrogenases acyltransferase (catalytic domain)', NULL, '2-oxoacid_dh', NULL, NULL, NULL, 6),
(7917, NULL, 'PF09187', NULL, NULL, 'RNA-directed DNA methylation 1', NULL, 'RdDM_RDM1', NULL, NULL, NULL, 6),
(7918, NULL, 'PF07354', NULL, NULL, 'Zona-pellucida-binding protein (Sp38)', NULL, 'Sp38', NULL, NULL, NULL, 6),
(7919, NULL, 'PF04938', NULL, NULL, 'Survival motor neuron (SMN) interacting protein 1 (SIP1)', NULL, 'SIP1', NULL, NULL, NULL, 6),
(7920, NULL, 'PF05818', NULL, NULL, 'Enterobacterial TraT complement resistance protein', NULL, 'TraT', NULL, NULL, NULL, 6),
(7921, NULL, 'PF02343', NULL, NULL, 'TRA-1 regulated protein R03H10.4', NULL, 'TRA-1_regulated', NULL, NULL, NULL, 6),
(7922, NULL, 'PF12775', NULL, NULL, 'P-loop containing dynein motor region', NULL, 'AAA_7', NULL, NULL, NULL, 6),
(7923, NULL, 'PF02323', NULL, NULL, 'Egg-laying hormone precursor', NULL, 'ELH', NULL, NULL, NULL, 6),
(7924, NULL, 'PF01160', NULL, NULL, 'Vertebrate endogenous opioids neuropeptide', NULL, 'Opiods_neuropep', NULL, NULL, NULL, 6),
(7925, NULL, 'PF06309', NULL, NULL, 'Torsin', NULL, 'Torsin', NULL, NULL, NULL, 6),
(7926, NULL, 'PF08174', NULL, NULL, 'Cell division protein anillin', NULL, 'Anillin', NULL, NULL, NULL, 6),
(7927, NULL, 'PF00660', NULL, NULL, 'Seripauperin and TIP1 family', NULL, 'SRP1_TIP1', NULL, NULL, NULL, 6),
(7928, NULL, 'PF11466', NULL, NULL, 'Prion-like protein Doppel', NULL, 'Doppel', NULL, NULL, NULL, 6),
(7929, NULL, 'PF12381', NULL, NULL, 'Tungro spherical virus-type peptidase', NULL, 'Peptidase_C3G', NULL, NULL, NULL, 6),
(7930, NULL, 'PF04610', NULL, NULL, 'TrbL/VirB6 plasmid conjugal transfer protein', NULL, 'TrbL', NULL, NULL, NULL, 6),
(7931, NULL, 'PF14551', NULL, NULL, 'MCM N-terminal domain', NULL, 'MCM_N', NULL, NULL, NULL, 6),
(7932, NULL, 'PF17433', NULL, NULL, 'Glycosyl hydrolase family 49 N-terminal Ig-like domain', NULL, 'Glyco_hydro_49N', NULL, NULL, NULL, 6),
(7933, NULL, 'PF00835', NULL, NULL, 'SNAP-25 family', NULL, 'SNAP-25', NULL, NULL, NULL, 6),
(7934, NULL, 'PF03336', NULL, NULL, 'Poxvirus C4/C10 protein', NULL, 'Pox_C4_C10', NULL, NULL, NULL, 6),
(7935, NULL, 'PF11946', NULL, NULL, 'Domain of unknown function (DUF3463)', NULL, 'DUF3463', NULL, NULL, NULL, 6),
(7936, NULL, 'PF09913', NULL, NULL, 'Predicted membrane protein (DUF2142)', NULL, 'DUF2142', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7937, NULL, 'PF03022', NULL, NULL, 'Major royal jelly protein', NULL, 'MRJP', NULL, NULL, NULL, 6),
(7938, NULL, 'PF05423', NULL, NULL, 'Mycobacterium membrane protein', NULL, 'Mycobact_memb', NULL, NULL, NULL, 6),
(7939, NULL, 'PF17227', NULL, NULL, 'Family of unknown function (DUF5302)', NULL, 'DUF5302', NULL, NULL, NULL, 6),
(7940, NULL, 'PF04777', NULL, NULL, 'Erv1 / Alr family', NULL, 'Evr1_Alr', NULL, NULL, NULL, 6),
(7941, NULL, 'PF06822', NULL, NULL, 'Protein of unknown function (DUF1235)', NULL, 'DUF1235', NULL, NULL, NULL, 6),
(7942, NULL, 'PF18894', NULL, NULL, 'Putative phage metallopeptidase', NULL, 'PhageMetallopep', NULL, NULL, NULL, 6),
(7943, NULL, 'PF01571', NULL, NULL, 'Aminomethyltransferase folate-binding domain', NULL, 'GCV_T', NULL, NULL, NULL, 6),
(7944, NULL, 'PF10856', NULL, NULL, 'Protein of unknown function (DUF2678)', NULL, 'DUF2678', NULL, NULL, NULL, 6),
(7945, NULL, 'PF05681', NULL, NULL, 'Fumarate hydratase (Fumerase)', NULL, 'Fumerase', NULL, NULL, NULL, 6),
(7946, NULL, 'PF09782', NULL, NULL, 'NADH:ubiquinone oxidoreductase, NDUFB6/B17 subunit', NULL, 'NDUF_B6', NULL, NULL, NULL, 6),
(7947, NULL, 'PF15427', NULL, NULL, 'S100P-binding protein', NULL, 'S100PBPR', NULL, NULL, NULL, 6),
(7948, NULL, 'PF15686', NULL, NULL, 'Lysine-rich CEACAM1 co-isolated protein family', NULL, 'LYRIC', NULL, NULL, NULL, 6),
(7949, NULL, 'PF03641', NULL, NULL, 'Possible lysine decarboxylase', NULL, 'Lysine_decarbox', NULL, NULL, NULL, 6),
(7950, NULL, 'PF09668', NULL, NULL, 'Aspartyl protease', NULL, 'Asp_protease', NULL, NULL, NULL, 6),
(7951, NULL, 'PF02956', NULL, NULL, 'TT viral orf 1', NULL, 'TT_ORF1', NULL, NULL, NULL, 6),
(7952, NULL, 'PF04997', NULL, NULL, 'RNA polymerase Rpb1, domain 1', NULL, 'RNA_pol_Rpb1_1', NULL, NULL, NULL, 6),
(7953, NULL, 'PF03125', NULL, NULL, 'C. elegans Sre G protein-coupled chemoreceptor', NULL, 'Sre', NULL, NULL, NULL, 6),
(7954, NULL, 'PF04146', NULL, NULL, 'YT521-B-like domain', NULL, 'YTH', NULL, NULL, NULL, 6),
(7955, NULL, 'PF15832', NULL, NULL, 'FAM27 D and E protein family', NULL, 'FAM27', NULL, NULL, NULL, 6),
(7956, NULL, 'PF17981', NULL, NULL, 'Cysteine Rich ADD domain', NULL, 'ADD_ATRX', NULL, NULL, NULL, 6),
(7957, NULL, 'PF11468', NULL, NULL, 'Aromatic prenyltransferase Orf2', NULL, 'PTase_Orf2', NULL, NULL, NULL, 6),
(7958, NULL, 'PF00953', NULL, NULL, 'Glycosyl transferase family 4', NULL, 'Glycos_transf_4', NULL, NULL, NULL, 6),
(7959, NULL, 'PF09043', NULL, NULL, 'D-Lysine 5,6-aminomutase TIM-barrel domain of alpha subunit', NULL, 'Lys-AminoMut_A', NULL, NULL, NULL, 6),
(7960, NULL, 'PF09476', NULL, NULL, 'Pilus biogenesis CpaD protein (pilus_cpaD)', NULL, 'Pilus_CpaD', NULL, NULL, NULL, 6),
(7961, NULL, 'PF05306', NULL, NULL, 'Protein of unknown function (DUF733)', NULL, 'DUF733', NULL, NULL, NULL, 6),
(7962, NULL, 'PF10579', NULL, NULL, 'Rapsyn N-terminal myristoylation and linker region', NULL, 'Rapsyn_N', NULL, NULL, NULL, 6),
(7963, NULL, 'PF18352', NULL, NULL, 'Phage protein Gp138 N-terminal domain', NULL, 'Gp138_N', NULL, NULL, NULL, 6),
(7964, NULL, 'PF16067', NULL, NULL, 'Domain of unknown function (DUF4809)', NULL, 'DUF4809', NULL, NULL, NULL, 6),
(7965, NULL, 'PF02796', NULL, NULL, 'Helix-turn-helix domain of resolvase', NULL, 'HTH_7', NULL, NULL, NULL, 6),
(7966, NULL, 'PF16343', NULL, NULL, 'Domain of unknown function (DUF4973)', NULL, 'DUF4973', NULL, NULL, NULL, 6),
(7967, NULL, 'PF08980', NULL, NULL, 'Domain of unknown function (DUF1883)', NULL, 'DUF1883', NULL, NULL, NULL, 6),
(7968, NULL, 'PF18652', NULL, NULL, 'Adhesin P1 N-terminal domain', NULL, 'Adhesin_P1_N', NULL, NULL, NULL, 6),
(7969, NULL, 'PF18759', NULL, NULL, 'Plavaka transposase', NULL, 'Plavaka', NULL, NULL, NULL, 6),
(7970, NULL, 'PF03501', NULL, NULL, 'Plectin/S10 domain', NULL, 'S10_plectin', NULL, NULL, NULL, 6),
(7971, NULL, 'PF08396', NULL, NULL, 'Spider toxin omega agatoxin/Tx1 family', NULL, 'Toxin_34', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(7972, NULL, 'PF16409', NULL, NULL, 'Domain of unknown function (DUF5017)', NULL, 'DUF5017', NULL, NULL, NULL, 6),
(7973, NULL, 'PF17359', NULL, NULL, 'Family of unknown function (DUF5385)', NULL, 'DUF5385', NULL, NULL, NULL, 6),
(7974, NULL, 'PF13017', NULL, NULL, 'piRNA pathway germ-plasm component', NULL, 'Maelstrom', NULL, NULL, NULL, 6),
(7975, NULL, 'PF14272', NULL, NULL, 'Glycine-rich SFCGS', NULL, 'Gly_rich_SFCGS', NULL, NULL, NULL, 6),
(7976, NULL, 'PF01752', NULL, NULL, 'Collagenase', NULL, 'Peptidase_M9', NULL, NULL, NULL, 6),
(7977, NULL, 'PF17368', NULL, NULL, 'Spore morphogenesis and germination YwcE', NULL, 'YwcE', NULL, NULL, NULL, 6),
(7978, NULL, 'PF11763', NULL, NULL, 'Cell-wall adhesin ligand-binding C-terminal', NULL, 'DIPSY', NULL, NULL, NULL, 6),
(7979, NULL, 'PF13979', NULL, NULL, 'SopA-like catalytic domain', NULL, 'SopA_C', NULL, NULL, NULL, 6),
(7980, NULL, 'PF00126', NULL, NULL, 'Bacterial regulatory helix-turn-helix protein, lysR family', NULL, 'HTH_1', NULL, NULL, NULL, 6),
(7981, NULL, 'PF17191', NULL, NULL, 'RecG wedge domain', NULL, 'RecG_wedge', NULL, NULL, NULL, 6),
(7982, NULL, 'PF00836', NULL, NULL, 'Stathmin family', NULL, 'Stathmin', NULL, NULL, NULL, 6),
(7983, NULL, 'PF03238', NULL, NULL, 'ESAG protein', NULL, 'ESAG1', NULL, NULL, NULL, 6),
(7984, NULL, 'PF00822', NULL, NULL, 'PMP-22/EMP/MP20/Claudin family', NULL, 'PMP22_Claudin', NULL, NULL, NULL, 6),
(7985, NULL, 'PF17482', NULL, NULL, 'Phage tail sheath C-terminal domain', NULL, 'Phage_sheath_1C', NULL, NULL, NULL, 6),
(7986, NULL, 'PF12854', NULL, NULL, 'PPR repeat', NULL, 'PPR_1', NULL, NULL, NULL, 6),
(7987, NULL, 'PF17021', NULL, NULL, 'Putative double-strand recombination repair-like', NULL, 'Mei5_like', NULL, NULL, NULL, 6),
(7988, NULL, 'PF11584', NULL, NULL, 'Proteinaceous host-selective toxin ToxA', NULL, 'Toxin_ToxA', NULL, NULL, NULL, 6),
(7989, NULL, 'PF08468', NULL, NULL, 'Methyltransferase small domain N-terminal', NULL, 'MTS_N', NULL, NULL, NULL, 6),
(7990, NULL, 'PF11622', NULL, NULL, 'Protein of unknown function (DUF3251)', NULL, 'DUF3251', NULL, NULL, NULL, 6),
(7991, NULL, 'PF16401', NULL, NULL, 'Domain of unknown function (DUF5009)', NULL, 'DUF5009', NULL, NULL, NULL, 6),
(7992, NULL, 'PF03223', NULL, NULL, 'V-ATPase subunit C', NULL, 'V-ATPase_C', NULL, NULL, NULL, 6),
(7993, NULL, 'PF13604', NULL, NULL, 'AAA domain', NULL, 'AAA_30', NULL, NULL, NULL, 6),
(7994, NULL, 'PF18015', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_19', NULL, NULL, NULL, 6),
(7995, NULL, 'PF16115', NULL, NULL, 'Domain of unknown function (DUF4831)', NULL, 'DUF4831', NULL, NULL, NULL, 6),
(7996, NULL, 'PF01564', NULL, NULL, 'Spermine/spermidine synthase domain', NULL, 'Spermine_synth', NULL, NULL, NULL, 6),
(7997, NULL, 'PF08368', NULL, NULL, 'FAST kinase-like protein, subdomain 2', NULL, 'FAST_2', NULL, NULL, NULL, 6),
(7998, NULL, 'PF13712', NULL, NULL, 'Glycosyltransferase like family', NULL, 'Glyco_tranf_2_5', NULL, NULL, NULL, 6),
(7999, NULL, 'PF09976', NULL, NULL, 'Tetratricopeptide repeat-like domain', NULL, 'TPR_21', NULL, NULL, NULL, 6),
(8000, NULL, 'PF08776', NULL, NULL, 'VASP tetramerisation domain', NULL, 'VASP_tetra', NULL, NULL, NULL, 6),
(8001, NULL, 'PF01968', NULL, NULL, 'Hydantoinase/oxoprolinase', NULL, 'Hydantoinase_A', NULL, NULL, NULL, 6),
(8002, NULL, 'PF11781', NULL, NULL, 'Zinc-finger of RNA-polymerase I-specific TFIIB, Rrn7', NULL, 'zf-RRN7', NULL, NULL, NULL, 6),
(8003, NULL, 'PF01494', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_3', NULL, NULL, NULL, 6),
(8004, NULL, 'PF01326', NULL, NULL, 'Pyruvate phosphate dikinase, AMP/ATP-binding domain', NULL, 'PPDK_N', NULL, NULL, NULL, 6),
(8005, NULL, 'PF10566', NULL, NULL, 'Glycoside hydrolase 97', NULL, 'Glyco_hydro_97', NULL, NULL, NULL, 6),
(8006, NULL, 'PF10816', NULL, NULL, 'Domain of unknown function (DUF2760)', NULL, 'DUF2760', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8007, NULL, 'PF12103', NULL, NULL, 'Surface lipoprotein of Spirochaetales order', NULL, 'Lipl32', NULL, NULL, NULL, 6),
(8008, NULL, 'PF01889', NULL, NULL, 'Membrane protein of unknown function DUF63', NULL, 'DUF63', NULL, NULL, NULL, 6),
(8009, NULL, 'PF14493', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_40', NULL, NULL, NULL, 6),
(8010, NULL, 'PF19196', NULL, NULL, 'Family of unknown function (DUF5871)', NULL, 'DUF5871', NULL, NULL, NULL, 6),
(8011, NULL, 'PF13757', NULL, NULL, 'Vault protein inter-alpha-trypsin domain', NULL, 'VIT_2', NULL, NULL, NULL, 6),
(8012, NULL, 'PF13788', NULL, NULL, 'Domain of unknown function (DUF4180)', NULL, 'DUF4180', NULL, NULL, NULL, 6),
(8013, NULL, 'PF00618', NULL, NULL, 'RasGEF N-terminal motif', NULL, 'RasGEF_N', NULL, NULL, NULL, 6),
(8014, NULL, 'PF13696', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_2', NULL, NULL, NULL, 6),
(8015, NULL, 'PF12792', NULL, NULL, 'CSS motif domain associated with EAL', NULL, 'CSS-motif', NULL, NULL, NULL, 6),
(8016, NULL, 'PF13641', NULL, NULL, 'Glycosyltransferase like family 2', NULL, 'Glyco_tranf_2_3', NULL, NULL, NULL, 6),
(8017, NULL, 'PF06824', NULL, NULL, 'Metal-independent alpha-mannosidase (GH125)', NULL, 'Glyco_hydro_125', NULL, NULL, NULL, 6),
(8018, NULL, 'PF04012', NULL, NULL, 'PspA/IM30 family', NULL, 'PspA_IM30', NULL, NULL, NULL, 6),
(8019, NULL, 'PF02222', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp', NULL, NULL, NULL, 6),
(8020, NULL, 'PF09683', NULL, NULL, 'Bacteriocin (Lactococcin_972)', NULL, 'Lactococcin_972', NULL, NULL, NULL, 6),
(8021, NULL, 'PF15349', NULL, NULL, 'DDB1- and CUL4-associated factor 16', NULL, 'DCA16', NULL, NULL, NULL, 6),
(8022, NULL, 'PF11474', NULL, NULL, 'Telomerase reverse transcriptase TEN domain', NULL, 'N-Term_TEN', NULL, NULL, NULL, 6),
(8023, NULL, 'PF12464', NULL, NULL, 'Maltose acetyltransferase', NULL, 'Mac', NULL, NULL, NULL, 6),
(8024, NULL, 'PF16845', NULL, NULL, 'Aspartic acid proteinase inhibitor', NULL, 'SQAPI', NULL, NULL, NULL, 6),
(8025, NULL, 'PF18535', NULL, NULL, 'Gal11 activator-binding domain (ABD1)', NULL, 'Gal11_ABD1', NULL, NULL, NULL, 6),
(8026, NULL, 'PF16431', NULL, NULL, 'Domain of unknown function (DUF5028)', NULL, 'DUF5028', NULL, NULL, NULL, 6),
(8027, NULL, 'PF17669', NULL, NULL, 'Family of unknown function (DUF5529)', NULL, 'DUF5529', NULL, NULL, NULL, 6),
(8028, NULL, 'PF14368', NULL, NULL, 'Probable lipid transfer', NULL, 'LTP_2', NULL, NULL, NULL, 6),
(8029, NULL, 'PF09950', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2184)', NULL, 'DUF2184', NULL, NULL, NULL, 6),
(8030, NULL, 'PF11172', NULL, NULL, 'Protein of unknown function (DUF2959)', NULL, 'DUF2959', NULL, NULL, NULL, 6),
(8031, NULL, 'PF05717', NULL, NULL, 'IS66 Orf2 like protein', NULL, 'TnpB_IS66', NULL, NULL, NULL, 6),
(8032, NULL, 'PF15345', NULL, NULL, 'Transmembrane protein 51', NULL, 'TMEM51', NULL, NULL, NULL, 6),
(8033, NULL, 'PF06376', NULL, NULL, 'Arabinogalactan peptide', NULL, 'AGP', NULL, NULL, NULL, 6),
(8034, NULL, 'PF10950', NULL, NULL, 'Organ specific protein', NULL, 'Organ_specific', NULL, NULL, NULL, 6),
(8035, NULL, 'PF10854', NULL, NULL, 'Protein of unknown function (DUF2649)', NULL, 'DUF2649', NULL, NULL, NULL, 6),
(8036, NULL, 'PF10344', NULL, NULL, 'Mitochondrial protein from FMP27', NULL, 'Fmp27', NULL, NULL, NULL, 6),
(8037, NULL, 'PF09402', NULL, NULL, 'Man1-Src1p-C-terminal domain', NULL, 'MSC', NULL, NULL, NULL, 6),
(8038, NULL, 'PF14478', NULL, NULL, 'Domain of unknown function (DUF4430)', NULL, 'DUF4430', NULL, NULL, NULL, 6),
(8039, NULL, 'PF07671', NULL, NULL, 'Protein of unknown function (DUF1601)', NULL, 'DUF1601', NULL, NULL, NULL, 6),
(8040, NULL, 'PF13756', NULL, NULL, 'Stimulus-sensing domain', NULL, 'Stimulus_sens_1', NULL, NULL, NULL, 6),
(8041, NULL, 'PF10069', NULL, NULL, 'Sensory domain in DIguanylate Cyclases and Two-component system', NULL, 'DICT', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8042, NULL, 'PF16363', NULL, NULL, 'GDP-mannose 4,6 dehydratase', NULL, 'GDP_Man_Dehyd', NULL, NULL, NULL, 6),
(8043, NULL, 'PF08072', NULL, NULL, 'BDHCT (NUC031) domain', NULL, 'BDHCT', NULL, NULL, NULL, 6),
(8044, NULL, 'PF00724', NULL, NULL, 'NADH:flavin oxidoreductase / NADH oxidase family', NULL, 'Oxidored_FMN', NULL, NULL, NULL, 6),
(8045, NULL, 'PF04117', NULL, NULL, 'Mpv17 / PMP22 family', NULL, 'Mpv17_PMP22', NULL, NULL, NULL, 6),
(8046, NULL, 'PF10959', NULL, NULL, 'Protein of unknown function (DUF2761)', NULL, 'DUF2761', NULL, NULL, NULL, 6),
(8047, NULL, 'PF15728', NULL, NULL, 'Domain of unknown function (DUF4679)', NULL, 'DUF4679', NULL, NULL, NULL, 6),
(8048, NULL, 'PF18358', NULL, NULL, 'Histone methyltransferase Tudor domain', NULL, 'Tudor_4', NULL, NULL, NULL, 6),
(8049, NULL, 'PF05984', NULL, NULL, 'Cytomegalovirus UL20A protein', NULL, 'Cytomega_UL20A', NULL, NULL, NULL, 6),
(8050, NULL, 'PF11258', NULL, NULL, 'Protein of unknown function (DUF3048) N-terminal domain', NULL, 'DUF3048', NULL, NULL, NULL, 6),
(8051, NULL, 'PF03183', NULL, NULL, 'Borrelia repeat protein', NULL, 'Borrelia_rep', NULL, NULL, NULL, 6),
(8052, NULL, 'PF08427', NULL, NULL, 'Domain of unknown function (DUF1741)', NULL, 'DUF1741', NULL, NULL, NULL, 6),
(8053, NULL, 'PF18020', NULL, NULL, 'TIG domain found in plexin', NULL, 'TIG_2', NULL, NULL, NULL, 6),
(8054, NULL, 'PF07824', NULL, NULL, 'Type III secretion chaperone domain', NULL, 'Chaperone_III', NULL, NULL, NULL, 6),
(8055, NULL, 'PF05225', NULL, NULL, 'helix-turn-helix, Psq domain', NULL, 'HTH_psq', NULL, NULL, NULL, 6),
(8056, NULL, 'PF16717', NULL, NULL, 'Ribosome-associated complex head domain', NULL, 'RAC_head', NULL, NULL, NULL, 6),
(8057, NULL, 'PF06917', NULL, NULL, 'Periplasmic pectate lyase', NULL, 'Pectate_lyase_2', NULL, NULL, NULL, 6),
(8058, NULL, 'PF09548', NULL, NULL, 'Stage III sporulation protein AB (spore_III_AB)', NULL, 'Spore_III_AB', NULL, NULL, NULL, 6),
(8059, NULL, 'PF08570', NULL, NULL, 'Protein of unknown function (DUF1761)', NULL, 'DUF1761', NULL, NULL, NULL, 6),
(8060, NULL, 'PF14201', NULL, NULL, 'Domain of unknown function (DUF4318)', NULL, 'DUF4318', NULL, NULL, NULL, 6),
(8061, NULL, 'PF18052', NULL, NULL, 'Rx N-terminal domain', NULL, 'Rx_N', NULL, NULL, NULL, 6),
(8062, NULL, 'PF05527', NULL, NULL, 'Domain of unknown function (DUF758)', NULL, 'DUF758', NULL, NULL, NULL, 6),
(8063, NULL, 'PF18001', NULL, NULL, 'Interleukin-13 receptor subunit alpha Ig-like domain', NULL, 'Il13Ra_Ig', NULL, NULL, NULL, 6),
(8064, NULL, 'PF15455', NULL, NULL, 'Proline-rich 19', NULL, 'Pro-rich_19', NULL, NULL, NULL, 6),
(8065, NULL, 'PF16038', NULL, NULL, 'TMIE protein', NULL, 'TMIE', NULL, NULL, NULL, 6),
(8066, NULL, 'PF10531', NULL, NULL, 'SLBB domain', NULL, 'SLBB', NULL, NULL, NULL, 6),
(8067, NULL, 'PF13939', NULL, NULL, 'Toxin TisB, type I toxin-antitoxin system', NULL, 'TisB_toxin', NULL, NULL, NULL, 6),
(8068, NULL, 'PF18881', NULL, NULL, 'Family of unknown function (DUF5646)', NULL, 'DUF5646', NULL, NULL, NULL, 6),
(8069, NULL, 'PF06042', NULL, NULL, 'Nucleotidyltransferase', NULL, 'NTP_transf_6', NULL, NULL, NULL, 6),
(8070, NULL, 'PF10253', NULL, NULL, 'Mitotic checkpoint regulator, MAD2B-interacting', NULL, 'PRCC', NULL, NULL, NULL, 6),
(8071, NULL, 'PF06323', NULL, NULL, 'Phage antitermination protein Q', NULL, 'Phage_antiter_Q', NULL, NULL, NULL, 6),
(8072, NULL, 'PF18978', NULL, NULL, 'Family of unknown function (DUF5714)', NULL, 'DUF5714', NULL, NULL, NULL, 6),
(8073, NULL, 'PF00027', NULL, NULL, 'Cyclic nucleotide-binding domain', NULL, 'cNMP_binding', NULL, NULL, NULL, 6),
(8074, NULL, 'PF06159', NULL, NULL, 'Protein of unknown function (DUF974)', NULL, 'DUF974', NULL, NULL, NULL, 6),
(8075, NULL, 'PF01873', NULL, NULL, 'Domain found in IF2B/IF5', NULL, 'eIF-5_eIF-2B', NULL, NULL, NULL, 6),
(8076, NULL, 'PF04340', NULL, NULL, 'Protein of unknown function, DUF484', NULL, 'DUF484', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8077, NULL, 'PF12312', NULL, NULL, 'Nepovirus subgroup A polyprotein', NULL, 'NeA_P2', NULL, NULL, NULL, 6),
(8078, NULL, 'PF01366', NULL, NULL, 'Herpesvirus processing and transport protein', NULL, 'PRTP', NULL, NULL, NULL, 6),
(8079, NULL, 'PF11825', NULL, NULL, 'Nuclear/hormone receptor activator site AF-1', NULL, 'Nuc_recep-AF1', NULL, NULL, NULL, 6),
(8080, NULL, 'PF07814', NULL, NULL, 'Wings apart-like protein regulation of heterochromatin', NULL, 'WAPL', NULL, NULL, NULL, 6),
(8081, NULL, 'PF07522', NULL, NULL, 'DNA repair metallo-beta-lactamase', NULL, 'DRMBL', NULL, NULL, NULL, 6),
(8082, NULL, 'PF04188', NULL, NULL, 'Mannosyltransferase (PIG-V)', NULL, 'Mannosyl_trans2', NULL, NULL, NULL, 6),
(8083, NULL, 'PF15590', NULL, NULL, 'Immunity protein 27', NULL, 'Imm27', NULL, NULL, NULL, 6),
(8084, NULL, 'PF12138', NULL, NULL, 'Spherulation-specific family 4', NULL, 'Spherulin4', NULL, NULL, NULL, 6),
(8085, NULL, 'PF13891', NULL, NULL, 'Potential DNA-binding domain', NULL, 'zf-C3Hc3H', NULL, NULL, NULL, 6),
(8086, NULL, 'PF08855', NULL, NULL, 'Domain of unknown function (DUF1825)', NULL, 'DUF1825', NULL, NULL, NULL, 6),
(8087, NULL, 'PF01882', NULL, NULL, 'Protein of unknown function DUF58', NULL, 'DUF58', NULL, NULL, NULL, 6),
(8088, NULL, 'PF09816', NULL, NULL, 'RNA polymerase II transcription elongation factor', NULL, 'EAF', NULL, NULL, NULL, 6),
(8089, NULL, 'PF12362', NULL, NULL, 'DNA polymerase III gamma and tau subunits C terminal', NULL, 'DUF3646', NULL, NULL, NULL, 6),
(8090, NULL, 'PF00939', NULL, NULL, 'Sodium:sulfate symporter transmembrane region', NULL, 'Na_sulph_symp', NULL, NULL, NULL, 6),
(8091, NULL, 'PF04596', NULL, NULL, 'Poxvirus protein F15', NULL, 'Pox_F15', NULL, NULL, NULL, 6),
(8092, NULL, 'PF07378', NULL, NULL, 'Flagellar protein FlbT', NULL, 'FlbT', NULL, NULL, NULL, 6),
(8093, NULL, 'PF08254', NULL, NULL, 'Threonine leader peptide', NULL, 'Leader_Thr', NULL, NULL, NULL, 6),
(8094, NULL, 'PF11921', NULL, NULL, 'Domain of unknown function (DUF3439)', NULL, 'DUF3439', NULL, NULL, NULL, 6),
(8095, NULL, 'PF05895', NULL, NULL, 'Siphovirus protein of unknown function (DUF859)', NULL, 'DUF859', NULL, NULL, NULL, 6),
(8096, NULL, 'PF05361', NULL, NULL, 'PKC-activated protein phosphatase-1 inhibitor', NULL, 'PP1_inhibitor', NULL, NULL, NULL, 6),
(8097, NULL, 'PF06954', NULL, NULL, 'Resistin', NULL, 'Resistin', NULL, NULL, NULL, 6),
(8098, NULL, 'PF14786', NULL, NULL, 'Tube Death domain', NULL, 'Death_2', NULL, NULL, NULL, 6),
(8099, NULL, 'PF10857', NULL, NULL, 'Protein of unknown function (DUF2701)', NULL, 'DUF2701', NULL, NULL, NULL, 6),
(8100, NULL, 'PF17872', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_10', NULL, NULL, NULL, 6),
(8101, NULL, 'PF07729', NULL, NULL, 'FCD domain', NULL, 'FCD', NULL, NULL, NULL, 6),
(8102, NULL, 'PF12776', NULL, NULL, 'Myb/SANT-like DNA-binding domain', NULL, 'Myb_DNA-bind_3', NULL, NULL, NULL, 6),
(8103, NULL, 'PF01699', NULL, NULL, 'Sodium/calcium exchanger protein', NULL, 'Na_Ca_ex', NULL, NULL, NULL, 6),
(8104, NULL, 'PF12410', NULL, NULL, 'Poxvirus DNA dependent RNA polymerase 30kDa subunit', NULL, 'rpo30_N', NULL, NULL, NULL, 6),
(8105, NULL, 'PF12067', NULL, NULL, 'Sox 17/18 central domain', NULL, 'Sox17_18_mid', NULL, NULL, NULL, 6),
(8106, NULL, 'PF16415', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 CAF1-binding domain', NULL, 'CNOT1_CAF1_bind', NULL, NULL, NULL, 6),
(8107, NULL, 'PF03749', NULL, NULL, 'Sugar fermentation stimulation protein RE domain', NULL, 'SfsA', NULL, NULL, NULL, 6),
(8108, NULL, 'PF01041', NULL, NULL, 'DegT/DnrJ/EryC1/StrS aminotransferase family', NULL, 'DegT_DnrJ_EryC1', NULL, NULL, NULL, 6),
(8109, NULL, 'PF08360', NULL, NULL, 'QacR-like protein, C-terminal region', NULL, 'TetR_C_5', NULL, NULL, NULL, 6),
(8110, NULL, 'PF06451', NULL, NULL, 'Moricin', NULL, 'Moricin', NULL, NULL, NULL, 6),
(8111, NULL, 'PF03811', NULL, NULL, 'InsA N-terminal domain', NULL, 'Zn_Tnp_IS1', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8112, NULL, 'PF11254', NULL, NULL, 'Protein of unknown function (DUF3053)', NULL, 'DUF3053', NULL, NULL, NULL, 6),
(8113, NULL, 'PF13872', NULL, NULL, 'P-loop containing NTP hydrolase pore-1', NULL, 'AAA_34', NULL, NULL, NULL, 6),
(8114, NULL, 'PF17336', NULL, NULL, 'Family of unknown function (DUF5368)', NULL, 'DUF5368', NULL, NULL, NULL, 6),
(8115, NULL, 'PF17188', NULL, NULL, 'MucB/RseB C-terminal domain', NULL, 'MucB_RseB_C', NULL, NULL, NULL, 6),
(8116, NULL, 'PF18784', NULL, NULL, 'CRM1 / Exportin repeat 2', NULL, 'CRM1_repeat_2', NULL, NULL, NULL, 6),
(8117, NULL, 'PF11576', NULL, NULL, 'Protein of unknown function (DUF3236)', NULL, 'DUF3236', NULL, NULL, NULL, 6),
(8118, NULL, 'PF06438', NULL, NULL, 'Heme-binding protein A (HasA)', NULL, 'HasA', NULL, NULL, NULL, 6),
(8119, NULL, 'PF03505', NULL, NULL, 'Clostridium enterotoxin', NULL, 'Clenterotox', NULL, NULL, NULL, 6),
(8120, NULL, 'PF08814', NULL, NULL, 'XisH protein', NULL, 'XisH', NULL, NULL, NULL, 6),
(8121, NULL, 'PF08896', NULL, NULL, 'Domain of unknown function (DUF1842)', NULL, 'DUF1842', NULL, NULL, NULL, 6),
(8122, NULL, 'PF13885', NULL, NULL, 'Keratin, high sulfur B2 protein', NULL, 'Keratin_B2_2', NULL, NULL, NULL, 6),
(8123, NULL, 'PF07496', NULL, NULL, 'CW-type Zinc Finger', NULL, 'zf-CW', NULL, NULL, NULL, 6),
(8124, NULL, 'PF06228', NULL, NULL, 'Haem utilisation ChuX/HutX', NULL, 'ChuX_HutX', NULL, NULL, NULL, 6),
(8125, NULL, 'PF13175', NULL, NULL, 'AAA ATPase domain', NULL, 'AAA_15', NULL, NULL, NULL, 6),
(8126, NULL, 'PF05579', NULL, NULL, 'Equine arteritis virus serine endopeptidase S32', NULL, 'Peptidase_S32', NULL, NULL, NULL, 6),
(8127, NULL, 'PF17079', NULL, NULL, 'Male-specific protein scotti', NULL, 'SOTI', NULL, NULL, NULL, 6),
(8128, NULL, 'PF05284', NULL, NULL, 'Protein of unknown function (DUF736)', NULL, 'DUF736', NULL, NULL, NULL, 6),
(8129, NULL, 'PF03771', NULL, NULL, 'Domain of unknown function (DUF317)', NULL, 'SPDY', NULL, NULL, NULL, 6),
(8130, NULL, 'PF10325', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srz', NULL, '7TM_GPCR_Srz', NULL, NULL, NULL, 6),
(8131, NULL, 'PF05158', NULL, NULL, 'RNA polymerase Rpc34 subunit', NULL, 'RNA_pol_Rpc34', NULL, NULL, NULL, 6),
(8132, NULL, 'PF15135', NULL, NULL, 'Uncharacterised protein UPF0515', NULL, 'UPF0515', NULL, NULL, NULL, 6),
(8133, NULL, 'PF01562', NULL, NULL, 'Reprolysin family propeptide', NULL, 'Pep_M12B_propep', NULL, NULL, NULL, 6),
(8134, NULL, 'PF17431', NULL, NULL, 'Uncharacterized YmpT-like', NULL, 'YpmT', NULL, NULL, NULL, 6),
(8135, NULL, 'PF06918', NULL, NULL, 'Protein of unknown function (DUF1280)', NULL, 'DUF1280', NULL, NULL, NULL, 6),
(8136, NULL, 'PF03985', NULL, NULL, 'Paf1', NULL, 'Paf1', NULL, NULL, NULL, 6),
(8137, NULL, 'PF11485', NULL, NULL, 'Protein of unknown function (DUF3211)', NULL, 'DUF3211', NULL, NULL, NULL, 6),
(8138, NULL, 'PF07343', NULL, NULL, 'Protein of unknown function (DUF1475)', NULL, 'DUF1475', NULL, NULL, NULL, 6),
(8139, NULL, 'PF06256', NULL, NULL, 'Nucleopolyhedrovirus LEF-12 protein', NULL, 'Nucleo_LEF-12', NULL, NULL, NULL, 6),
(8140, NULL, 'PF07815', NULL, NULL, 'Abl-interactor HHR', NULL, 'Abi_HHR', NULL, NULL, NULL, 6),
(8141, NULL, 'PF14923', NULL, NULL, 'Coiled-coil protein 142', NULL, 'CCDC142', NULL, NULL, NULL, 6),
(8142, NULL, 'PF18536', NULL, NULL, 'Domain of unknown function (DUF5623)', NULL, 'DUF5623', NULL, NULL, NULL, 6),
(8143, NULL, 'PF14039', NULL, NULL, 'YusW-like protein', NULL, 'YusW', NULL, NULL, NULL, 6),
(8144, NULL, 'PF13232', NULL, NULL, 'Complex1_LYR-like', NULL, 'Complex1_LYR_1', NULL, NULL, NULL, 6),
(8145, NULL, 'PF00175', NULL, NULL, 'Oxidoreductase NAD-binding domain', NULL, 'NAD_binding_1', NULL, NULL, NULL, 6),
(8146, NULL, 'PF11394', NULL, NULL, 'Protein of unknown function (DUF2875)', NULL, 'DUF2875', NULL, NULL, NULL, 6),
(8147, NULL, 'PF06051', NULL, NULL, 'Domain of Unknown Function (DUF928)', NULL, 'DUF928', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8148, NULL, 'PF08441', NULL, NULL, 'Integrin alpha', NULL, 'Integrin_alpha2', NULL, NULL, NULL, 6),
(8149, NULL, 'PF15650', NULL, NULL, 'Restriction endonuclease fold toxin 9', NULL, 'Tox-REase-9', NULL, NULL, NULL, 6),
(8150, NULL, 'PF03232', NULL, NULL, 'Ubiquinone biosynthesis protein COQ7', NULL, 'COQ7', NULL, NULL, NULL, 6),
(8151, NULL, 'PF15366', NULL, NULL, 'Domain of unknown function (DUF4597)', NULL, 'DUF4597', NULL, NULL, NULL, 6),
(8152, NULL, 'PF08854', NULL, NULL, 'Domain of unknown function (DUF1824)', NULL, 'DUF1824', NULL, NULL, NULL, 6),
(8153, NULL, 'PF18100', NULL, NULL, 'Phosphodiesterase 4 upstream conserved regions (UCR)', NULL, 'PDE4_UCR', NULL, NULL, NULL, 6),
(8154, NULL, 'PF09878', NULL, NULL, 'Predicted membrane protein (DUF2105)', NULL, 'DUF2105', NULL, NULL, NULL, 6),
(8155, NULL, 'PF06803', NULL, NULL, 'Protein of unknown function (DUF1232)', NULL, 'DUF1232', NULL, NULL, NULL, 6),
(8156, NULL, 'PF14924', NULL, NULL, 'Protein of unknown function (DUF4497)', NULL, 'DUF4497', NULL, NULL, NULL, 6),
(8157, NULL, 'PF08654', NULL, NULL, 'DASH complex subunit Dad2', NULL, 'DASH_Dad2', NULL, NULL, NULL, 6),
(8158, NULL, 'PF08461', NULL, NULL, 'Ribonuclease R winged-helix domain', NULL, 'HTH_12', NULL, NULL, NULL, 6),
(8159, NULL, 'PF12937', NULL, NULL, 'F-box-like', NULL, 'F-box-like', NULL, NULL, NULL, 6),
(8160, NULL, 'PF01799', NULL, NULL, '[2Fe-2S] binding domain', NULL, 'Fer2_2', NULL, NULL, NULL, 6),
(8161, NULL, 'PF16207', NULL, NULL, 'RAWUL domain RING finger- and  WD40-associated ubiquitin-like', NULL, 'RAWUL', NULL, NULL, NULL, 6),
(8162, NULL, 'PF13772', NULL, NULL, 'AIG2-like family', NULL, 'AIG2_2', NULL, NULL, NULL, 6),
(8163, NULL, 'PF05587', NULL, NULL, 'Anthrax receptor extracellular domain', NULL, 'Anth_Ig', NULL, NULL, NULL, 6),
(8164, NULL, 'PF01352', NULL, NULL, 'KRAB box', NULL, 'KRAB', NULL, NULL, NULL, 6),
(8165, NULL, 'PF18803', NULL, NULL, 'CxC2 like cysteine cluster associated with KDZ transposases', NULL, 'CxC2', NULL, NULL, NULL, 6),
(8166, NULL, 'PF14688', NULL, NULL, 'Domain of unknown function (DUF4461)', NULL, 'DUF4461', NULL, NULL, NULL, 6),
(8167, NULL, 'PF18019', NULL, NULL, 'HD domain', NULL, 'HD_6', NULL, NULL, NULL, 6),
(8168, NULL, 'PF15340', NULL, NULL, 'Cooperator of PRMT5 family', NULL, 'COPR5', NULL, NULL, NULL, 6),
(8169, NULL, 'PF13104', NULL, NULL, 'Protein of unknown function (DUF3956)', NULL, 'DUF3956', NULL, NULL, NULL, 6),
(8170, NULL, 'PF12585', NULL, NULL, 'Protein of unknown function (DUF3759)', NULL, 'DUF3759', NULL, NULL, NULL, 6),
(8171, NULL, 'PF11971', NULL, NULL, 'CAMSAP CH domain', NULL, 'CAMSAP_CH', NULL, NULL, NULL, 6),
(8172, NULL, 'PF00312', NULL, NULL, 'Ribosomal protein S15', NULL, 'Ribosomal_S15', NULL, NULL, NULL, 6),
(8173, NULL, 'PF13919', NULL, NULL, 'Asx homology domain', NULL, 'ASXH', NULL, NULL, NULL, 6),
(8174, NULL, 'PF18688', NULL, NULL, 'Family of unknown function (DUF5638)', NULL, 'DUF5638', NULL, NULL, NULL, 6),
(8175, NULL, 'PF10212', NULL, NULL, 'Predicted coiled-coil domain-containing protein', NULL, 'TTKRSYEDQ', NULL, NULL, NULL, 6),
(8176, NULL, 'PF09986', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2225)', NULL, 'DUF2225', NULL, NULL, NULL, 6),
(8177, NULL, 'PF16577', NULL, NULL, 'UBA domain', NULL, 'UBA_5', NULL, NULL, NULL, 6),
(8178, NULL, 'PF14788', NULL, NULL, 'EF hand', NULL, 'EF-hand_10', NULL, NULL, NULL, 6),
(8179, NULL, 'PF16026', NULL, NULL, 'Mitochondria-eating protein', NULL, 'MIEAP', NULL, NULL, NULL, 6),
(8180, NULL, 'PF13710', NULL, NULL, 'ACT domain', NULL, 'ACT_5', NULL, NULL, NULL, 6),
(8181, NULL, 'PF18505', NULL, NULL, 'Domain of unknown function (DUF5619)', NULL, 'DUF5619', NULL, NULL, NULL, 6),
(8182, NULL, 'PF09064', NULL, NULL, 'Thrombomodulin like fifth domain, EGF-like', NULL, 'Tme5_EGF_like', NULL, NULL, NULL, 6),
(8183, NULL, 'PF14782', NULL, NULL, 'Ciliary BBSome complex subunit 2, C-terminal', NULL, 'BBS2_C', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8184, NULL, 'PF13396', NULL, NULL, 'Phospholipase_D-nuclease N-terminal', NULL, 'PLDc_N', NULL, NULL, NULL, 6),
(8185, NULL, 'PF16351', NULL, NULL, 'Domain of unknown function (DUF4979)', NULL, 'DUF4979', NULL, NULL, NULL, 6),
(8186, NULL, 'PF04998', NULL, NULL, 'RNA polymerase Rpb1, domain 5', NULL, 'RNA_pol_Rpb1_5', NULL, NULL, NULL, 6),
(8187, NULL, 'PF04685', NULL, NULL, 'Glycosyl-hydrolase family 116, catalytic region', NULL, 'DUF608', NULL, NULL, NULL, 6),
(8188, NULL, 'PF07842', NULL, NULL, 'GC-rich sequence DNA-binding factor-like protein', NULL, 'GCFC', NULL, NULL, NULL, 6),
(8189, NULL, 'PF16694', NULL, NULL, 'Cytochrome P460', NULL, 'Cytochrome_P460', NULL, NULL, NULL, 6),
(8190, NULL, 'PF19212', NULL, NULL, 'Coronavirus replicase NSP2, C-terminal', NULL, 'CoV_NSP2_C', NULL, NULL, NULL, 6),
(8191, NULL, 'PF05346', NULL, NULL, 'Eukaryotic membrane protein family', NULL, 'DUF747', NULL, NULL, NULL, 6),
(8192, NULL, 'PF09003', NULL, NULL, 'Bacteriophage lambda integrase, Arm DNA-binding domain', NULL, 'Arm-DNA-bind_1', NULL, NULL, NULL, 6),
(8193, NULL, 'PF04863', NULL, NULL, 'Alliinase EGF-like domain', NULL, 'EGF_alliinase', NULL, NULL, NULL, 6),
(8194, NULL, 'PF12308', NULL, NULL, 'Neurogenesis glycoprotein', NULL, 'Noelin-1', NULL, NULL, NULL, 6),
(8195, NULL, 'PF10452', NULL, NULL, 'TORC1 subunit TCO89', NULL, 'TCO89', NULL, NULL, NULL, 6),
(8196, NULL, 'PF12646', NULL, NULL, 'Domain of unknown function (DUF3783)', NULL, 'DUF3783', NULL, NULL, NULL, 6),
(8197, NULL, 'PF14129', NULL, NULL, 'Domain of unknown function (DUF4296)', NULL, 'DUF4296', NULL, NULL, NULL, 6),
(8198, NULL, 'PF12204', NULL, NULL, 'Domain of unknown function (DUF3598)', NULL, 'DUF3598', NULL, NULL, NULL, 6),
(8199, NULL, 'PF14464', NULL, NULL, 'Prokaryotic homologs of the JAB domain', NULL, 'Prok-JAB', NULL, NULL, NULL, 6),
(8200, NULL, 'PF08806', NULL, NULL, 'Sep15/SelM redox domain', NULL, 'Sep15_SelM', NULL, NULL, NULL, 6),
(8201, NULL, 'PF13372', NULL, NULL, 'Alginate export', NULL, 'Alginate_exp', NULL, NULL, NULL, 6),
(8202, NULL, 'PF13834', NULL, NULL, 'Domain of unknown function (DUF4193)', NULL, 'DUF4193', NULL, NULL, NULL, 6),
(8203, NULL, 'PF19021', NULL, NULL, 'Family of unknown function (DUF5747)', NULL, 'DUF5747', NULL, NULL, NULL, 6),
(8204, NULL, 'PF12088', NULL, NULL, 'Protein of unknown function (DUF3565)', NULL, 'DUF3565', NULL, NULL, NULL, 6),
(8205, NULL, 'PF02187', NULL, NULL, 'Growth-Arrest-Specific Protein 2 Domain', NULL, 'GAS2', NULL, NULL, NULL, 6),
(8206, NULL, 'PF09000', NULL, NULL, 'Cytotoxic', NULL, 'Cytotoxic', NULL, NULL, NULL, 6),
(8207, NULL, 'PF03843', NULL, NULL, 'Outer membrane lipoprotein Slp family', NULL, 'Slp', NULL, NULL, NULL, 6),
(8208, NULL, 'PF09338', NULL, NULL, 'Glycine/sarcosine/betaine reductase component B subunits', NULL, 'Gly_reductase', NULL, NULL, NULL, 6),
(8209, NULL, 'PF13838', NULL, NULL, 'Clathrin-H-link', NULL, 'Clathrin_H_link', NULL, NULL, NULL, 6),
(8210, NULL, 'PF18010', NULL, NULL, 'Cry35Ab1 HTH C-terminal domain', NULL, 'HTH_49', NULL, NULL, NULL, 6),
(8211, NULL, 'PF09949', NULL, NULL, 'Uncharacterized conserved protein (DUF2183)', NULL, 'DUF2183', NULL, NULL, NULL, 6),
(8212, NULL, 'PF09746', NULL, NULL, 'Tumour-associated protein', NULL, 'Membralin', NULL, NULL, NULL, 6),
(8213, NULL, 'PF02872', NULL, NULL, '5''-nucleotidase, C-terminal domain', NULL, '5_nucleotid_C', NULL, NULL, NULL, 6),
(8214, NULL, 'PF14547', NULL, NULL, 'Hydrophobic seed protein', NULL, 'Hydrophob_seed', NULL, NULL, NULL, 6),
(8215, NULL, 'PF12624', NULL, NULL, 'N-terminal region of Chorein or VPS13', NULL, 'Chorein_N', NULL, NULL, NULL, 6),
(8216, NULL, 'PF12725', NULL, NULL, 'Protein of unknown function (DUF3810)', NULL, 'DUF3810', NULL, NULL, NULL, 6),
(8217, NULL, 'PF17818', NULL, NULL, 'Keratinocyte-associated gene product', NULL, 'KCT2', NULL, NULL, NULL, 6),
(8218, NULL, 'PF16244', NULL, NULL, 'Domain of unknown function (DUF4901)', NULL, 'DUF4901', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8219, NULL, 'PF01492', NULL, NULL, 'Geminivirus C4 protein', NULL, 'Gemini_C4', NULL, NULL, NULL, 6),
(8220, NULL, 'PF19056', NULL, NULL, 'WD40 repeated domain', NULL, 'WD40_2', NULL, NULL, NULL, 6),
(8221, NULL, 'PF16585', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_8', NULL, NULL, NULL, 6),
(8222, NULL, 'PF10042', NULL, NULL, 'Uncharacterized conserved protein (DUF2278)', NULL, 'DUF2278', NULL, NULL, NULL, 6),
(8223, NULL, 'PF05314', NULL, NULL, 'Baculovirus occlusion-derived virus envelope protein EC27', NULL, 'Baculo_ODV-E27', NULL, NULL, NULL, 6),
(8224, NULL, 'PF12064', NULL, NULL, 'Protein kinase C-binding protein 1', NULL, 'DUF3544', NULL, NULL, NULL, 6),
(8225, NULL, 'PF08527', NULL, NULL, 'Protein-arginine deiminase (PAD) middle domain', NULL, 'PAD_M', NULL, NULL, NULL, 6),
(8226, NULL, 'PF02450', NULL, NULL, 'Lecithin:cholesterol acyltransferase', NULL, 'LCAT', NULL, NULL, NULL, 6),
(8227, NULL, 'PF03187', NULL, NULL, 'Corona nucleocapsid I protein', NULL, 'Corona_I', NULL, NULL, NULL, 6),
(8228, NULL, 'PF12772', NULL, NULL, 'Growth hormone receptor binding', NULL, 'GHBP', NULL, NULL, NULL, 6),
(8229, NULL, 'PF05396', NULL, NULL, 'Phage T7 capsid assembly protein', NULL, 'Phage_T7_Capsid', NULL, NULL, NULL, 6),
(8230, NULL, 'PF06490', NULL, NULL, 'Flagellar regulatory protein FleQ', NULL, 'FleQ', NULL, NULL, NULL, 6),
(8231, NULL, 'PF17468', NULL, NULL, 'Phage gene product 52', NULL, 'GP52', NULL, NULL, NULL, 6),
(8232, NULL, 'PF06574', NULL, NULL, 'FAD synthetase', NULL, 'FAD_syn', NULL, NULL, NULL, 6),
(8233, NULL, 'PF17159', NULL, NULL, 'Membrane-associated sensor domain', NULL, 'MASE3', NULL, NULL, NULL, 6),
(8234, NULL, 'PF13391', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_2', NULL, NULL, NULL, 6),
(8235, NULL, 'PF10264', NULL, NULL, 'Winged helix Storkhead-box1 domain', NULL, 'Stork_head', NULL, NULL, NULL, 6),
(8236, NULL, 'PF00388', NULL, NULL, 'Phosphatidylinositol-specific phospholipase C, X domain', NULL, 'PI-PLC-X', NULL, NULL, NULL, 6),
(8237, NULL, 'PF12288', NULL, NULL, 'Carboxysome shell peptide mid-region', NULL, 'CsoS2_M', NULL, NULL, NULL, 6),
(8238, NULL, 'PF07405', NULL, NULL, 'Protein of unknown function (DUF1506)', NULL, 'DUF1506', NULL, NULL, NULL, 6),
(8239, NULL, 'PF01839', NULL, NULL, 'FG-GAP repeat', NULL, 'FG-GAP', NULL, NULL, NULL, 6),
(8240, NULL, 'PF05418', NULL, NULL, 'Apovitellenin I (Apo-VLDL-II)', NULL, 'Apo-VLDL-II', NULL, NULL, NULL, 6),
(8241, NULL, 'PF17121', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4_5', NULL, NULL, NULL, 6),
(8242, NULL, 'PF08176', NULL, NULL, 'Small acid-soluble spore protein K family', NULL, 'SspK', NULL, NULL, NULL, 6),
(8243, NULL, 'PF11042', NULL, NULL, 'Protein of unknown function (DUF2750)', NULL, 'DUF2750', NULL, NULL, NULL, 6),
(8244, NULL, 'PF14652', NULL, NULL, 'Domain of unknown function (DUF4457)', NULL, 'DUF4457', NULL, NULL, NULL, 6),
(8245, NULL, 'PF09049', NULL, NULL, 'Stannin transmembrane', NULL, 'SNN_transmemb', NULL, NULL, NULL, 6),
(8246, NULL, 'PF08117', NULL, NULL, 'Ptu family', NULL, 'Toxin_30', NULL, NULL, NULL, 6),
(8247, NULL, 'PF07314', NULL, NULL, 'Protein of unknown function (DUF1461)', NULL, 'DUF1461', NULL, NULL, NULL, 6),
(8248, NULL, 'PF05685', NULL, NULL, 'Putative restriction endonuclease', NULL, 'Uma2', NULL, NULL, NULL, 6),
(8249, NULL, 'PF00153', NULL, NULL, 'Mitochondrial carrier protein', NULL, 'Mito_carr', NULL, NULL, NULL, 6),
(8250, NULL, 'PF10090', NULL, NULL, 'Histidine phosphotransferase C-terminal domain', NULL, 'HPTransfase', NULL, NULL, NULL, 6),
(8251, NULL, 'PF13114', NULL, NULL, 'RecO N terminal', NULL, 'RecO_N_2', NULL, NULL, NULL, 6),
(8252, NULL, 'PF15479', NULL, NULL, 'Domain of unknown function (DUF4639)', NULL, 'DUF4639', NULL, NULL, NULL, 6),
(8253, NULL, 'PF01063', NULL, NULL, 'Amino-transferase class IV', NULL, 'Aminotran_4', NULL, NULL, NULL, 6),
(8254, NULL, 'PF10035', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2179)', NULL, 'DUF2179', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8255, NULL, 'PF12760', NULL, NULL, 'Transposase zinc-ribbon domain', NULL, 'Zn_Tnp_IS1595', NULL, NULL, NULL, 6),
(8256, NULL, 'PF10028', NULL, NULL, 'Predicted integral membrane protein (DUF2270)', NULL, 'DUF2270', NULL, NULL, NULL, 6),
(8257, NULL, 'PF17447', NULL, NULL, 'Uncharacterized YkpC-like', NULL, 'YkpC', NULL, NULL, NULL, 6),
(8258, NULL, 'PF09493', NULL, NULL, 'Tryptophan-rich protein (DUF2389)', NULL, 'DUF2389', NULL, NULL, NULL, 6),
(8259, NULL, 'PF11041', NULL, NULL, 'Protein of unknown function (DUF2612)', NULL, 'DUF2612', NULL, NULL, NULL, 6),
(8260, NULL, 'PF14465', NULL, NULL, 'NFRKB Winged Helix-like', NULL, 'NFRKB_winged', NULL, NULL, NULL, 6),
(8261, NULL, 'PF17133', NULL, NULL, 'Domain of unknown function (DUF5108)', NULL, 'DUF5108', NULL, NULL, NULL, 6),
(8262, NULL, 'PF16147', NULL, NULL, 'Domain of unknown function (DUF4855)', NULL, 'DUF4855', NULL, NULL, NULL, 6),
(8263, NULL, 'PF07790', NULL, NULL, 'Archaeal Type IV pilin, N-terminal', NULL, 'Pilin_N', NULL, NULL, NULL, 6),
(8264, NULL, 'PF14827', NULL, NULL, 'Double sensory domain of two-component sensor kinase', NULL, 'dCache_3', NULL, NULL, NULL, 6),
(8265, NULL, 'PF11987', NULL, NULL, 'Translation-initiation factor 2', NULL, 'IF-2', NULL, NULL, NULL, 6),
(8266, NULL, 'PF03892', NULL, NULL, 'Nitrate reductase cytochrome c-type subunit (NapB)', NULL, 'NapB', NULL, NULL, NULL, 6),
(8267, NULL, 'PF04288', NULL, NULL, 'MukE-like family', NULL, 'MukE', NULL, NULL, NULL, 6),
(8268, NULL, 'PF09845', NULL, NULL, 'Zn-ribbon containing protein', NULL, 'DUF2072', NULL, NULL, NULL, 6),
(8269, NULL, 'PF15078', NULL, NULL, 'Domain of unknown function (DUF4545)', NULL, 'DUF4545', NULL, NULL, NULL, 6),
(8270, NULL, 'PF06275', NULL, NULL, 'Protein of unknown function (DUF1031)', NULL, 'DUF1031', NULL, NULL, NULL, 6),
(8271, NULL, 'PF00265', NULL, NULL, 'Thymidine kinase', NULL, 'TK', NULL, NULL, NULL, 6),
(8272, NULL, 'PF00185', NULL, NULL, 'Aspartate/ornithine carbamoyltransferase, Asp/Orn binding domain', NULL, 'OTCace', NULL, NULL, NULL, 6),
(8273, NULL, 'PF00933', NULL, NULL, 'Glycosyl hydrolase family 3 N terminal domain', NULL, 'Glyco_hydro_3', NULL, NULL, NULL, 6),
(8274, NULL, 'PF03998', NULL, NULL, 'Utp11 protein', NULL, 'Utp11', NULL, NULL, NULL, 6),
(8275, NULL, 'PF13282', NULL, NULL, 'Domain of unknown function (DUF4070)', NULL, 'DUF4070', NULL, NULL, NULL, 6),
(8276, NULL, 'PF03500', NULL, NULL, 'Cellulose synthase subunit D', NULL, 'Cellsynth_D', NULL, NULL, NULL, 6),
(8277, NULL, 'PF10465', NULL, NULL, 'PinA peptidase inhibitor', NULL, 'Inhibitor_I24', NULL, NULL, NULL, 6),
(8278, NULL, 'PF16700', NULL, NULL, 'Synphilin-1 alpha-Synuclein-binding domain', NULL, 'SNCAIP_SNCA_bd', NULL, NULL, NULL, 6),
(8279, NULL, 'PF02321', NULL, NULL, 'Outer membrane efflux protein', NULL, 'OEP', NULL, NULL, NULL, 6),
(8280, NULL, 'PF11737', NULL, NULL, 'Protein of unknown function (DUF3300)', NULL, 'DUF3300', NULL, NULL, NULL, 6),
(8281, NULL, 'PF12698', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_3', NULL, NULL, NULL, 6),
(8282, NULL, 'PF12316', NULL, NULL, 'Segment polarity protein dishevelled (Dsh) C terminal', NULL, 'Dsh_C', NULL, NULL, NULL, 6),
(8283, NULL, 'PF16410', NULL, NULL, 'Domain of unknown function (DUF5018)', NULL, 'DUF5018', NULL, NULL, NULL, 6),
(8284, NULL, 'PF15648', NULL, NULL, 'Restriction endonuclease fold toxin 5', NULL, 'Tox-REase-5', NULL, NULL, NULL, 6),
(8285, NULL, 'PF16624', NULL, NULL, 'Unstructured region upstream of a zinc-finger', NULL, 'zf-C2H2_assoc2', NULL, NULL, NULL, 6),
(8286, NULL, 'PF08474', NULL, NULL, 'Myelin transcription factor 1', NULL, 'MYT1', NULL, NULL, NULL, 6),
(8287, NULL, 'PF02781', NULL, NULL, 'Glucose-6-phosphate dehydrogenase, C-terminal domain', NULL, 'G6PD_C', NULL, NULL, NULL, 6),
(8288, NULL, 'PF12973', NULL, NULL, 'ChrR Cupin-like domain', NULL, 'Cupin_7', NULL, NULL, NULL, 6),
(8289, NULL, 'PF06267', NULL, NULL, 'Family of unknown function (DUF1028)', NULL, 'DUF1028', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8290, NULL, 'PF04122', NULL, NULL, 'ell wall binding domain 2 (CWB2)', NULL, 'CW_binding_2', NULL, NULL, NULL, 6),
(8291, NULL, 'PF06631', NULL, NULL, 'Protein of unknown function (DUF1154)', NULL, 'DUF1154', NULL, NULL, NULL, 6),
(8292, NULL, 'PF18124', NULL, NULL, 'Kindlin-2 N-terminal domain', NULL, 'Kindlin_2_N', NULL, NULL, NULL, 6),
(8293, NULL, 'PF05653', NULL, NULL, 'Magnesium transporter NIPA', NULL, 'Mg_trans_NIPA', NULL, NULL, NULL, 6),
(8294, NULL, 'PF18732', NULL, NULL, 'HEPN like, Abia C-terminal domain', NULL, 'HEPN_AbiA_CTD', NULL, NULL, NULL, 6),
(8295, NULL, 'PF00887', NULL, NULL, 'Acyl CoA binding protein', NULL, 'ACBP', NULL, NULL, NULL, 6),
(8296, NULL, 'PF10415', NULL, NULL, 'Fumarase C C-terminus', NULL, 'FumaraseC_C', NULL, NULL, NULL, 6),
(8297, NULL, 'PF19198', NULL, NULL, 'RsaA N-terminal domain', NULL, 'RsaA_NTD', NULL, NULL, NULL, 6),
(8298, NULL, 'PF14287', NULL, NULL, 'Domain of unknown function (DUF4368)', NULL, 'DUF4368', NULL, NULL, NULL, 6),
(8299, NULL, 'PF05499', NULL, NULL, 'DNA methyltransferase 1-associated protein 1 (DMAP1)', NULL, 'DMAP1', NULL, NULL, NULL, 6),
(8300, NULL, 'PF07577', NULL, NULL, 'Domain of Unknown Function (DUF1547)', NULL, 'DUF1547', NULL, NULL, NULL, 6),
(8301, NULL, 'PF11227', NULL, NULL, 'Protein of unknown function (DUF3025)', NULL, 'DUF3025', NULL, NULL, NULL, 6),
(8302, NULL, 'PF06902', NULL, NULL, 'Divergent 4Fe-4S mono-cluster', NULL, 'Fer4_19', NULL, NULL, NULL, 6),
(8303, NULL, 'PF14249', NULL, NULL, 'Tocopherol cyclase', NULL, 'Tocopherol_cycl', NULL, NULL, NULL, 6),
(8304, NULL, 'PF06103', NULL, NULL, 'Bacterial protein of unknown function (DUF948)', NULL, 'DUF948', NULL, NULL, NULL, 6),
(8305, NULL, 'PF02899', NULL, NULL, 'Phage integrase, N-terminal SAM-like domain', NULL, 'Phage_int_SAM_1', NULL, NULL, NULL, 6),
(8306, NULL, 'PF01141', NULL, NULL, 'Gag polyprotein, inner coat protein p12', NULL, 'Gag_p12', NULL, NULL, NULL, 6),
(8307, NULL, 'PF10193', NULL, NULL, 'Telomere length regulation protein', NULL, 'Telomere_reg-2', NULL, NULL, NULL, 6),
(8308, NULL, 'PF02262', NULL, NULL, 'CBL proto-oncogene N-terminal domain 1', NULL, 'Cbl_N', NULL, NULL, NULL, 6),
(8309, NULL, 'PF10741', NULL, NULL, 'Type II secretion system (T2SS), protein M subtype b', NULL, 'T2SSM_b', NULL, NULL, NULL, 6),
(8310, NULL, 'PF15645', NULL, NULL, 'Dermonecrotoxin of the Papain-like fold', NULL, 'Tox-PLDMTX', NULL, NULL, NULL, 6),
(8311, NULL, 'PF09127', NULL, NULL, 'Leukotriene A4 hydrolase, C-terminal', NULL, 'Leuk-A4-hydro_C', NULL, NULL, NULL, 6),
(8312, NULL, 'PF06848', NULL, NULL, 'Disaggregatase related repeat', NULL, 'Disaggr_repeat', NULL, NULL, NULL, 6),
(8313, NULL, 'PF03648', NULL, NULL, 'Glycosyl hydrolase family 67 N-terminus', NULL, 'Glyco_hydro_67N', NULL, NULL, NULL, 6),
(8314, NULL, 'PF09589', NULL, NULL, 'HrpA pilus formation protein', NULL, 'HrpA_pilin', NULL, NULL, NULL, 6),
(8315, NULL, 'PF17668', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_17', NULL, NULL, NULL, 6),
(8316, NULL, 'PF10049', NULL, NULL, 'Protein of unknown function (DUF2283)', NULL, 'DUF2283', NULL, NULL, NULL, 6),
(8317, NULL, 'PF11244', NULL, NULL, 'Mediator complex subunit 25 C-terminal NR box-containing', NULL, 'Med25_NR-box', NULL, NULL, NULL, 6),
(8318, NULL, 'PF01669', NULL, NULL, 'Myelin basic protein', NULL, 'Myelin_MBP', NULL, NULL, NULL, 6),
(8319, NULL, 'PF12093', NULL, NULL, 'Betacoronavirus NS8 protein', NULL, 'bCoV_NS8', NULL, NULL, NULL, 6),
(8320, NULL, 'PF00001', NULL, NULL, '7 transmembrane receptor (rhodopsin family)', NULL, '7tm_1', NULL, NULL, NULL, 6),
(8321, NULL, 'PF00949', NULL, NULL, 'Peptidase S7, Flavivirus NS3 serine protease', NULL, 'Peptidase_S7', NULL, NULL, NULL, 6),
(8322, NULL, 'PF18811', NULL, NULL, 'Dipeptidyl peptidase IV (DPP IV) low complexity region', NULL, 'DPPIV_rep', NULL, NULL, NULL, 6),
(8323, NULL, 'PF14085', NULL, NULL, 'Domain of unknown function (DUF4265)', NULL, 'DUF4265', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8324, NULL, 'PF13449', NULL, NULL, 'Esterase-like activity of phytase', NULL, 'Phytase-like', NULL, NULL, NULL, 6),
(8325, NULL, 'PF16910', NULL, NULL, 'Repeating coiled region of VPS13', NULL, 'VPS13_mid_rpt', NULL, NULL, NULL, 6),
(8326, NULL, 'PF16527', NULL, NULL, 'Two-component sensor protein CpxA, periplasmic domain', NULL, 'CpxA_peri', NULL, NULL, NULL, 6),
(8327, NULL, 'PF12284', NULL, NULL, 'Hox protein A13 N terminal', NULL, 'HoxA13_N', NULL, NULL, NULL, 6),
(8328, NULL, 'PF01356', NULL, NULL, 'Alpha amylase inhibitor', NULL, 'A_amylase_inhib', NULL, NULL, NULL, 6),
(8329, NULL, 'PF11455', NULL, NULL, 'Protein  of unknown function (DUF3018)', NULL, 'DUF3018', NULL, NULL, NULL, 6),
(8330, NULL, 'PF03636', NULL, NULL, 'Glycosyl hydrolase family 65, N-terminal domain', NULL, 'Glyco_hydro_65N', NULL, NULL, NULL, 6),
(8331, NULL, 'PF14956', NULL, NULL, 'Domain of unknown function (DUF4505)', NULL, 'DUF4505', NULL, NULL, NULL, 6),
(8332, NULL, 'PF16146', NULL, NULL, 'Domain of unknown function (DUF4854)', NULL, 'DUF4854', NULL, NULL, NULL, 6),
(8333, NULL, 'PF02934', NULL, NULL, 'GatB/GatE catalytic domain', NULL, 'GatB_N', NULL, NULL, NULL, 6),
(8334, NULL, 'PF18067', NULL, NULL, 'Lipase C-terminal domain', NULL, 'Lipase_C', NULL, NULL, NULL, 6),
(8335, NULL, 'PF07949', NULL, NULL, 'YbbR-like protein', NULL, 'YbbR', NULL, NULL, NULL, 6),
(8336, NULL, 'PF01910', NULL, NULL, 'Thiamine-binding protein', NULL, 'Thiamine_BP', NULL, NULL, NULL, 6),
(8337, NULL, 'PF19217', NULL, NULL, 'Coronavirus replicase NSP4, N-terminal', NULL, 'CoV_NSP4_N', NULL, NULL, NULL, 6),
(8338, NULL, 'PF07342', NULL, NULL, 'Protein of unknown function (DUF1474)', NULL, 'DUF1474', NULL, NULL, NULL, 6),
(8339, NULL, 'PF15316', NULL, NULL, 'MyoD family inhibitor', NULL, 'MDFI', NULL, NULL, NULL, 6),
(8340, NULL, 'PF16313', NULL, NULL, 'Met-zincin', NULL, 'DUF4953', NULL, NULL, NULL, 6),
(8341, NULL, 'PF17513', NULL, NULL, 'Family of unknown function (DUF5441)', NULL, 'DUF5441', NULL, NULL, NULL, 6),
(8342, NULL, 'PF11272', NULL, NULL, 'Protein of unknown function (DUF3072)', NULL, 'DUF3072', NULL, NULL, NULL, 6),
(8343, NULL, 'PF00477', NULL, NULL, 'Small hydrophilic plant seed protein', NULL, 'LEA_5', NULL, NULL, NULL, 6),
(8344, NULL, 'PF18385', NULL, NULL, 'T-lymphoma invasion and metastasis CC-Ex domain', NULL, 'Tiam_CC_Ex', NULL, NULL, NULL, 6),
(8345, NULL, 'PF16457', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_12', NULL, NULL, NULL, 6),
(8346, NULL, 'PF09077', NULL, NULL, 'Mu B transposition protein, C terminal', NULL, 'Phage-MuB_C', NULL, NULL, NULL, 6),
(8347, NULL, 'PF14614', NULL, NULL, 'Domain of unknown function (DUF4450)', NULL, 'DUF4450', NULL, NULL, NULL, 6),
(8348, NULL, 'PF19131', NULL, NULL, 'Family of unknown function (DUF5814)', NULL, 'DUF5814', NULL, NULL, NULL, 6),
(8349, NULL, 'PF17376', NULL, NULL, 'Family of unknown function (DUF5398)', NULL, 'DUF5398', NULL, NULL, NULL, 6),
(8350, NULL, 'PF18614', NULL, NULL, 'RNase II-type exonuclease C-terminal S1 domain', NULL, 'RNase_II_C_S1', NULL, NULL, NULL, 6),
(8351, NULL, 'PF18791', NULL, NULL, 'Transport inhibitor response 1 protein domain', NULL, 'Transp_inhibit', NULL, NULL, NULL, 6),
(8352, NULL, 'PF06057', NULL, NULL, 'Bacterial virulence protein (VirJ)', NULL, 'VirJ', NULL, NULL, NULL, 6),
(8353, NULL, 'PF10401', NULL, NULL, 'Interferon-regulatory factor 3', NULL, 'IRF-3', NULL, NULL, NULL, 6),
(8354, NULL, 'PF04856', NULL, NULL, 'Securin sister-chromatid separation inhibitor', NULL, 'Securin', NULL, NULL, NULL, 6),
(8355, NULL, 'PF06400', NULL, NULL, 'Alpha-2-macroglobulin RAP, N-terminal domain', NULL, 'Alpha-2-MRAP_N', NULL, NULL, NULL, 6),
(8356, NULL, 'PF08811', NULL, NULL, 'Protein of unknown function (DUF1800)', NULL, 'DUF1800', NULL, NULL, NULL, 6),
(8357, NULL, 'PF18410', NULL, NULL, 'Basic tilted helix bundle domain', NULL, 'BTHB', NULL, NULL, NULL, 6),
(8358, NULL, 'PF05676', NULL, NULL, 'NADH-ubiquinone oxidoreductase B18 subunit (NDUFB7)', NULL, 'NDUF_B7', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8359, NULL, 'PF14000', NULL, NULL, 'DNA packaging protein FI', NULL, 'Packaging_FI', NULL, NULL, NULL, 6),
(8360, NULL, 'PF07576', NULL, NULL, 'BRCA1-associated protein 2', NULL, 'BRAP2', NULL, NULL, NULL, 6),
(8361, NULL, 'PF09655', NULL, NULL, 'Conserved nitrate reductase-associated protein (Nitr_red_assoc)', NULL, 'Nitr_red_assoc', NULL, NULL, NULL, 6),
(8362, NULL, 'PF13684', NULL, NULL, 'Dihydroxyacetone kinase family', NULL, 'Dak1_2', NULL, NULL, NULL, 6),
(8363, NULL, 'PF13789', NULL, NULL, 'Domain of unknown function (DUF4181)', NULL, 'DUF4181', NULL, NULL, NULL, 6),
(8364, NULL, 'PF03432', NULL, NULL, 'Relaxase/Mobilisation nuclease domain', NULL, 'Relaxase', NULL, NULL, NULL, 6),
(8365, NULL, 'PF09154', NULL, NULL, 'Domain of unknown function (DUF1939)', NULL, 'DUF1939', NULL, NULL, NULL, 6),
(8366, NULL, 'PF09774', NULL, NULL, 'Caffeine-induced death protein 2', NULL, 'Cid2', NULL, NULL, NULL, 6),
(8367, NULL, 'PF10043', NULL, NULL, 'Predicted periplasmic lipoprotein (DUF2279)', NULL, 'DUF2279', NULL, NULL, NULL, 6),
(8368, NULL, 'PF09536', NULL, NULL, 'Protein of unknown function (DUF2378)', NULL, 'DUF2378', NULL, NULL, NULL, 6),
(8369, NULL, 'PF19030', NULL, NULL, 'Thrombospondin type 1 domain', NULL, 'TSP1_ADAMTS', NULL, NULL, NULL, 6),
(8370, NULL, 'PF07047', NULL, NULL, 'Optic atrophy 3 protein (OPA3)', NULL, 'OPA3', NULL, NULL, NULL, 6),
(8371, NULL, 'PF07372', NULL, NULL, 'Protein of unknown function (DUF1491)', NULL, 'DUF1491', NULL, NULL, NULL, 6),
(8372, NULL, 'PF06842', NULL, NULL, 'Protein of unknown function (DUF1242)', NULL, 'DUF1242', NULL, NULL, NULL, 6),
(8373, NULL, 'PF13660', NULL, NULL, 'Domain of unknown function (DUF4147)', NULL, 'DUF4147', NULL, NULL, NULL, 6),
(8374, NULL, 'PF16107', NULL, NULL, 'Domain of unknown function (DUF4825)', NULL, 'DUF4825', NULL, NULL, NULL, 6),
(8375, NULL, 'PF18828', NULL, NULL, 'Large polyvalent-protein-associated domain 15', NULL, 'LPD15', NULL, NULL, NULL, 6),
(8376, NULL, 'PF00149', NULL, NULL, 'Calcineurin-like phosphoesterase', NULL, 'Metallophos', NULL, NULL, NULL, 6),
(8377, NULL, 'PF10467', NULL, NULL, 'Peptidase inhibitor clitocypin', NULL, 'Inhibitor_I48', NULL, NULL, NULL, 6),
(8378, NULL, 'PF07856', NULL, NULL, 'Mediator of CRAC channel activity', NULL, 'Orai-1', NULL, NULL, NULL, 6),
(8379, NULL, 'PF18575', NULL, NULL, 'HAMP N-terminal domain 3', NULL, 'HAMP_N3', NULL, NULL, NULL, 6),
(8380, NULL, 'PF05679', NULL, NULL, 'Chondroitin N-acetylgalactosaminyltransferase', NULL, 'CHGN', NULL, NULL, NULL, 6),
(8381, NULL, 'PF00761', NULL, NULL, 'Polyomavirus coat protein', NULL, 'Polyoma_coat2', NULL, NULL, NULL, 6),
(8382, NULL, 'PF00754', NULL, NULL, 'F5/8 type C domain', NULL, 'F5_F8_type_C', NULL, NULL, NULL, 6),
(8383, NULL, 'PF06234', NULL, NULL, 'Toluene-4-monooxygenase system protein B (TmoB)', NULL, 'TmoB', NULL, NULL, NULL, 6),
(8384, NULL, 'PF14139', NULL, NULL, 'YpzG-like protein', NULL, 'YpzG', NULL, NULL, NULL, 6),
(8385, NULL, 'PF04677', NULL, NULL, 'Protein similar to CwfJ C-terminus 1', NULL, 'CwfJ_C_1', NULL, NULL, NULL, 6),
(8386, NULL, 'PF00012', NULL, NULL, 'Hsp70 protein', NULL, 'HSP70', NULL, NULL, NULL, 6),
(8387, NULL, 'PF11075', NULL, NULL, 'Protein of unknown function VcgC/VcgE (DUF2780)', NULL, 'DUF2780', NULL, NULL, NULL, 6),
(8388, NULL, 'PF06881', NULL, NULL, 'RNA polymerase II transcription factor SIII (Elongin) subunit A', NULL, 'Elongin_A', NULL, NULL, NULL, 6),
(8389, NULL, 'PF01285', NULL, NULL, 'TEA/ATTS domain', NULL, 'TEA', NULL, NULL, NULL, 6),
(8390, NULL, 'PF14412', NULL, NULL, 'A nuclease family of the HNH/ENDO VII superfamily with conserved AHH', NULL, 'AHH', NULL, NULL, NULL, 6),
(8391, NULL, 'PF14061', NULL, NULL, 'Polycomb-like MTF2 factor 2', NULL, 'Mtf2_C', NULL, NULL, NULL, 6),
(8392, NULL, 'PF09243', NULL, NULL, 'Mitochondrial small ribosomal subunit Rsm22', NULL, 'Rsm22', NULL, NULL, NULL, 6),
(8393, NULL, 'PF07459', NULL, NULL, 'CTX phage RstB protein', NULL, 'CTX_RstB', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8394, NULL, 'PF06908', NULL, NULL, 'YspA SLOG family', NULL, 'YpsA', NULL, NULL, NULL, 6),
(8395, NULL, 'PF00074', NULL, NULL, 'Pancreatic ribonuclease', NULL, 'RnaseA', NULL, NULL, NULL, 6),
(8396, NULL, 'PF15855', NULL, NULL, 'Domain of unknown function (DUF4726)', NULL, 'DUF4726', NULL, NULL, NULL, 6),
(8397, NULL, 'PF07925', NULL, NULL, 'Reovirus RNA-dependent RNA polymerase lambda 3', NULL, 'RdRP_5', NULL, NULL, NULL, 6),
(8398, NULL, 'PF08696', NULL, NULL, 'DNA replication factor Dna2', NULL, 'Dna2', NULL, NULL, NULL, 6),
(8399, NULL, 'PF12408', NULL, NULL, 'Ribose-5-phosphate isomerase', NULL, 'DUF3666', NULL, NULL, NULL, 6),
(8400, NULL, 'PF03401', NULL, NULL, 'Tripartite tricarboxylate transporter family receptor', NULL, 'TctC', NULL, NULL, NULL, 6),
(8401, NULL, 'PF00973', NULL, NULL, 'Paramyxovirus nucleocapsid protein', NULL, 'Paramyxo_ncap', NULL, NULL, NULL, 6),
(8402, NULL, 'PF15080', NULL, NULL, 'Domain of unknown function (DUF4547)', NULL, 'DUF4547', NULL, NULL, NULL, 6),
(8403, NULL, 'PF04871', NULL, NULL, 'Uso1 / p115 like vesicle tethering protein, C terminal region', NULL, 'Uso1_p115_C', NULL, NULL, NULL, 6),
(8404, NULL, 'PF02185', NULL, NULL, 'Hr1 repeat', NULL, 'HR1', NULL, NULL, NULL, 6),
(8405, NULL, 'PF16540', NULL, NULL, 'Arf6-interacting domain of mitotic kinesin-like protein 1', NULL, 'MKLP1_Arf_bdg', NULL, NULL, NULL, 6),
(8406, NULL, 'PF03113', NULL, NULL, 'Respiratory synctial virus non-structural protein NS2', NULL, 'RSV_NS2', NULL, NULL, NULL, 6),
(8407, NULL, 'PF17893', NULL, NULL, 'CRISPR-associated endonuclease Cas9 beta-hairpin domain', NULL, 'Cas9_b_hairpin', NULL, NULL, NULL, 6),
(8408, NULL, 'PF07352', NULL, NULL, 'Bacteriophage Mu Gam like protein', NULL, 'Phage_Mu_Gam', NULL, NULL, NULL, 6),
(8409, NULL, 'PF00616', NULL, NULL, 'GTPase-activator protein for Ras-like GTPase', NULL, 'RasGAP', NULL, NULL, NULL, 6),
(8410, NULL, 'PF10633', NULL, NULL, 'NPCBM-associated, NEW3 domain of alpha-galactosidase', NULL, 'NPCBM_assoc', NULL, NULL, NULL, 6),
(8411, NULL, 'PF07934', NULL, NULL, '8-oxoguanine DNA glycosylase, N-terminal domain', NULL, 'OGG_N', NULL, NULL, NULL, 6),
(8412, NULL, 'PF18079', NULL, NULL, 'Archaeal glycosylation protein B long peripheral domain', NULL, 'AglB_L1', NULL, NULL, NULL, 6),
(8413, NULL, 'PF04542', NULL, NULL, 'Sigma-70 region 2', NULL, 'Sigma70_r2', NULL, NULL, NULL, 6),
(8414, NULL, 'PF07899', NULL, NULL, 'Frigida-like protein', NULL, 'Frigida', NULL, NULL, NULL, 6),
(8415, NULL, 'PF07359', NULL, NULL, 'Liver-expressed antimicrobial peptide 2 precursor (LEAP-2)', NULL, 'LEAP-2', NULL, NULL, NULL, 6),
(8416, NULL, 'PF14156', NULL, NULL, 'Antirepressor AbbA', NULL, 'AbbA_antirepres', NULL, NULL, NULL, 6),
(8417, NULL, 'PF10763', NULL, NULL, 'Protein of unknown function (DUF2584)', NULL, 'DUF2584', NULL, NULL, NULL, 6),
(8418, NULL, 'PF17361', NULL, NULL, 'Family of unknown function (DUF5387)', NULL, 'DUF5387', NULL, NULL, NULL, 6),
(8419, NULL, 'PF13860', NULL, NULL, 'FlgD Ig-like domain', NULL, 'FlgD_ig', NULL, NULL, NULL, 6),
(8420, NULL, 'PF06929', NULL, NULL, 'Rotavirus VP3 protein', NULL, 'Rotavirus_VP3', NULL, NULL, NULL, 6),
(8421, NULL, 'PF08454', NULL, NULL, 'RyR and IP3R Homology associated', NULL, 'RIH_assoc', NULL, NULL, NULL, 6),
(8422, NULL, 'PF07884', NULL, NULL, 'Vitamin K epoxide reductase family', NULL, 'VKOR', NULL, NULL, NULL, 6),
(8423, NULL, 'PF14472', NULL, NULL, 'Domain of unknown function (DUF4429)', NULL, 'DUF4429', NULL, NULL, NULL, 6),
(8424, NULL, 'PF04345', NULL, NULL, 'Chorismate lyase', NULL, 'Chor_lyase', NULL, NULL, NULL, 6),
(8425, NULL, 'PF15032', NULL, NULL, 'Protein of unknown function (DUF4529)', NULL, 'DUF4529', NULL, NULL, NULL, 6),
(8426, NULL, 'PF13149', NULL, NULL, 'Fimbrillin-like', NULL, 'Mfa_like_1', NULL, NULL, NULL, 6),
(8427, NULL, 'PF16220', NULL, NULL, 'Domain of unknown function (DUF4880)', NULL, 'DUF4880', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8428, NULL, 'PF06808', NULL, NULL, 'Tripartite ATP-independent periplasmic transporter, DctM component', NULL, 'DctM', NULL, NULL, NULL, 6),
(8429, NULL, 'PF04294', NULL, NULL, 'VanW like protein', NULL, 'VanW', NULL, NULL, NULL, 6),
(8430, NULL, 'PF06775', NULL, NULL, 'Putative adipose-regulatory protein (Seipin)', NULL, 'Seipin', NULL, NULL, NULL, 6),
(8431, NULL, 'PF16059', NULL, NULL, 'Domain of unknown function (DUF4801)', NULL, 'DUF4801', NULL, NULL, NULL, 6),
(8432, NULL, 'PF11535', NULL, NULL, 'Calcium binding', NULL, 'Calci_bind_CcbP', NULL, NULL, NULL, 6),
(8433, NULL, 'PF06955', NULL, NULL, 'Xyloglucan endo-transglycosylase (XET) C-terminus', NULL, 'XET_C', NULL, NULL, NULL, 6),
(8434, NULL, 'PF12301', NULL, NULL, 'CD99 antigen like protein 2', NULL, 'CD99L2', NULL, NULL, NULL, 6),
(8435, NULL, 'PF00314', NULL, NULL, 'Thaumatin family', NULL, 'Thaumatin', NULL, NULL, NULL, 6),
(8436, NULL, 'PF04551', NULL, NULL, 'GcpE protein', NULL, 'GcpE', NULL, NULL, NULL, 6),
(8437, NULL, 'PF18340', NULL, NULL, 'DNA relaxase TraI 2B/2B-like domain', NULL, 'TraI_2B', NULL, NULL, NULL, 6),
(8438, NULL, 'PF15532', NULL, NULL, 'Bacterial toxin 30', NULL, 'Ntox30', NULL, NULL, NULL, 6),
(8439, NULL, 'PF15273', NULL, NULL, 'NHS-like', NULL, 'NHS', NULL, NULL, NULL, 6),
(8440, NULL, 'PF09297', NULL, NULL, 'NADH pyrophosphatase zinc ribbon domain', NULL, 'zf-NADH-PPase', NULL, NULL, NULL, 6),
(8441, NULL, 'PF10095', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2333)', NULL, 'DUF2333', NULL, NULL, NULL, 6),
(8442, NULL, 'PF17578', NULL, NULL, 'Family of unknown function (DUF5481)', NULL, 'DUF5481', NULL, NULL, NULL, 6),
(8443, NULL, 'PF11534', NULL, NULL, 'Hexameric tyrosine-coordinated heme protein (HTHP)', NULL, 'HTHP', NULL, NULL, NULL, 6),
(8444, NULL, 'PF14811', NULL, NULL, 'Protein of unknown function TPD sequence-motif', NULL, 'TPD', NULL, NULL, NULL, 6),
(8445, NULL, 'PF06368', NULL, NULL, 'Methylaspartate mutase E chain (MutE)', NULL, 'Met_asp_mut_E', NULL, NULL, NULL, 6),
(8446, NULL, 'PF07608', NULL, NULL, 'Protein of unknown function (DUF1571)', NULL, 'DUF1571', NULL, NULL, NULL, 6),
(8447, NULL, 'PF06489', NULL, NULL, 'Orthopoxvirus A49R protein', NULL, 'Orthopox_A49R', NULL, NULL, NULL, 6),
(8448, NULL, 'PF10878', NULL, NULL, 'Protein of unknown function (DUF2672)', NULL, 'DUF2672', NULL, NULL, NULL, 6),
(8449, NULL, 'PF03180', NULL, NULL, 'NLPA lipoprotein', NULL, 'Lipoprotein_9', NULL, NULL, NULL, 6),
(8450, NULL, 'PF07284', NULL, NULL, '2-vinyl bacteriochlorophyllide hydratase (BCHF)', NULL, 'BCHF', NULL, NULL, NULL, 6),
(8451, NULL, 'PF18234', NULL, NULL, 'Violacein biosynthetic enzyme VioE', NULL, 'VioE', NULL, NULL, NULL, 6),
(8452, NULL, 'PF07744', NULL, NULL, 'SPOC domain', NULL, 'SPOC', NULL, NULL, NULL, 6),
(8453, NULL, 'PF13277', NULL, NULL, 'YmdB-like protein', NULL, 'YmdB', NULL, NULL, NULL, 6),
(8454, NULL, 'PF05489', NULL, NULL, 'Phage Tail Protein X', NULL, 'Phage_tail_X', NULL, NULL, NULL, 6),
(8455, NULL, 'PF08997', NULL, NULL, 'Ubiquinol-cytochrome C reductase complex, 6.4kD protein', NULL, 'UCR_6-4kD', NULL, NULL, NULL, 6),
(8456, NULL, 'PF12694', NULL, NULL, 'Circularly permutated YpsA SLOG family', NULL, 'cpYpsA', NULL, NULL, NULL, 6),
(8457, NULL, 'PF10364', NULL, NULL, 'Putative capsular polysaccharide synthesis protein', NULL, 'NKWYS', NULL, NULL, NULL, 6),
(8458, NULL, 'PF13628', NULL, NULL, 'Domain of unknown function (DUF4142)', NULL, 'DUF4142', NULL, NULL, NULL, 6),
(8459, NULL, 'PF03441', NULL, NULL, 'FAD binding domain of DNA photolyase', NULL, 'FAD_binding_7', NULL, NULL, NULL, 6),
(8460, NULL, 'PF07807', NULL, NULL, 'RED-like protein C-terminal region', NULL, 'RED_C', NULL, NULL, NULL, 6),
(8461, NULL, 'PF08655', NULL, NULL, 'DASH complex subunit Ask1', NULL, 'DASH_Ask1', NULL, NULL, NULL, 6),
(8462, NULL, 'PF02897', NULL, NULL, 'Prolyl oligopeptidase, N-terminal beta-propeller domain', NULL, 'Peptidase_S9_N', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8463, NULL, 'PF09099', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain III', NULL, 'Qn_am_d_aIII', NULL, NULL, NULL, 6),
(8464, NULL, 'PF10297', NULL, NULL, 'Minimal binding motif of Hap4 for binding to Hap2/3/5', NULL, 'Hap4_Hap_bind', NULL, NULL, NULL, 6),
(8465, NULL, 'PF17563', NULL, NULL, 'Cupiennin', NULL, 'Cu', NULL, NULL, NULL, 6),
(8466, NULL, 'PF08510', NULL, NULL, 'PIG-P', NULL, 'PIG-P', NULL, NULL, NULL, 6),
(8467, NULL, 'PF10446', NULL, NULL, 'Protein of unknown function (DUF2457)', NULL, 'DUF2457', NULL, NULL, NULL, 6),
(8468, NULL, 'PF11426', NULL, NULL, 'Tn7 transposition regulator TnsC', NULL, 'Tn7_TnsC_Int', NULL, NULL, NULL, 6),
(8469, NULL, 'PF16771', NULL, NULL, 'Regulator of Ty1 transposition protein 107 BRCT domain', NULL, 'RTT107_BRCT_6', NULL, NULL, NULL, 6),
(8470, NULL, 'PF12714', NULL, NULL, 'TILa domain', NULL, 'TILa', NULL, NULL, NULL, 6),
(8471, NULL, 'PF11188', NULL, NULL, 'Protein of unknown function (DUF2975)', NULL, 'DUF2975', NULL, NULL, NULL, 6),
(8472, NULL, 'PF03977', NULL, NULL, 'Na+-transporting oxaloacetate decarboxylase beta subunit', NULL, 'OAD_beta', NULL, NULL, NULL, 6),
(8473, NULL, 'PF16665', NULL, NULL, 'Unstructured region on nuclear receptor coactivator protein', NULL, 'NCOA_u2', NULL, NULL, NULL, 6),
(8474, NULL, 'PF07806', NULL, NULL, 'Nodule-specific GRP repeat', NULL, 'Nod_GRP', NULL, NULL, NULL, 6),
(8475, NULL, 'PF07286', NULL, NULL, 'Protein of unknown function (DUF1445)', NULL, 'DUF1445', NULL, NULL, NULL, 6),
(8476, NULL, 'PF17291', NULL, NULL, 'N-terminal domain of M60-like peptidases', NULL, 'M60-like_N', NULL, NULL, NULL, 6),
(8477, NULL, 'PF10558', NULL, NULL, 'Mitochondrial 18 KDa protein (MTP18)', NULL, 'MTP18', NULL, NULL, NULL, 6),
(8478, NULL, 'PF11913', NULL, NULL, 'Protein of unknown function (DUF3431)', NULL, 'DUF3431', NULL, NULL, NULL, 6),
(8479, NULL, 'PF08876', NULL, NULL, 'Domain of unknown function (DUF1836)', NULL, 'DUF1836', NULL, NULL, NULL, 6),
(8480, NULL, 'PF04642', NULL, NULL, 'Protein of unknown function, DUF601', NULL, 'DUF601', NULL, NULL, NULL, 6),
(8481, NULL, 'PF09059', NULL, NULL, 'TyeA', NULL, 'TyeA', NULL, NULL, NULL, 6),
(8482, NULL, 'PF11314', NULL, NULL, 'Protein of unknown function (DUF3117)', NULL, 'DUF3117', NULL, NULL, NULL, 6),
(8483, NULL, 'PF16784', NULL, NULL, 'Putative HNHc nuclease', NULL, 'HNHc_6', NULL, NULL, NULL, 6),
(8484, NULL, 'PF15602', NULL, NULL, 'Immunity protein 71', NULL, 'Imm71', NULL, NULL, NULL, 6),
(8485, NULL, 'PF16842', NULL, NULL, 'Occluded RNA-recognition motif', NULL, 'RRM_occluded', NULL, NULL, NULL, 6),
(8486, NULL, 'PF16539', NULL, NULL, 'Flagellar assembly protein T, middle domain', NULL, 'FlgT_M', NULL, NULL, NULL, 6),
(8487, NULL, 'PF02088', NULL, NULL, 'Ornatin', NULL, 'Ornatin', NULL, NULL, NULL, 6),
(8488, NULL, 'PF03765', NULL, NULL, 'CRAL/TRIO, N-terminal domain', NULL, 'CRAL_TRIO_N', NULL, NULL, NULL, 6),
(8489, NULL, 'PF03727', NULL, NULL, 'Hexokinase', NULL, 'Hexokinase_2', NULL, NULL, NULL, 6),
(8490, NULL, 'PF00042', NULL, NULL, 'Globin', NULL, 'Globin', NULL, NULL, NULL, 6),
(8491, NULL, 'PF06897', NULL, NULL, 'Protein of unknown function (DUF1269)', NULL, 'DUF1269', NULL, NULL, NULL, 6),
(8492, NULL, 'PF15355', NULL, NULL, 'Stretch-responsive small skeletal muscle X protein, Chisel', NULL, 'Chisel', NULL, NULL, NULL, 6),
(8493, NULL, 'PF14911', NULL, NULL, 'S-phase genomic integrity recombination mediator, C-terminal', NULL, 'MMS22L_C', NULL, NULL, NULL, 6),
(8494, NULL, 'PF02172', NULL, NULL, 'KIX domain', NULL, 'KIX', NULL, NULL, NULL, 6),
(8495, NULL, 'PF17947', NULL, NULL, 'Four helical bundle domain', NULL, '4HB', NULL, NULL, NULL, 6),
(8496, NULL, 'PF13522', NULL, NULL, 'Glutamine amidotransferase domain', NULL, 'GATase_6', NULL, NULL, NULL, 6),
(8497, NULL, 'PF08555', NULL, NULL, 'Eukaryotic family of unknown function (DUF1754)', NULL, 'DUF1754', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8498, NULL, 'PF08985', NULL, NULL, 'DP-EP family', NULL, 'DP-EP', NULL, NULL, NULL, 6),
(8499, NULL, 'PF00910', NULL, NULL, 'RNA helicase', NULL, 'RNA_helicase', NULL, NULL, NULL, 6),
(8500, NULL, 'PF04013', NULL, NULL, 'Putative SAM-dependent RNA methyltransferase', NULL, 'Methyltrn_RNA_2', NULL, NULL, NULL, 6),
(8501, NULL, 'PF04576', NULL, NULL, 'Zein-binding', NULL, 'Zein-binding', NULL, NULL, NULL, 6),
(8502, NULL, 'PF08229', NULL, NULL, 'ER membrane protein SH3', NULL, 'SHR3_chaperone', NULL, NULL, NULL, 6),
(8503, NULL, 'PF10011', NULL, NULL, 'Predicted membrane protein (DUF2254)', NULL, 'DUF2254', NULL, NULL, NULL, 6),
(8504, NULL, 'PF00559', NULL, NULL, 'Retroviral Vif (Viral infectivity) protein', NULL, 'Vif', NULL, NULL, NULL, 6),
(8505, NULL, 'PF04567', NULL, NULL, 'RNA polymerase Rpb2, domain 5', NULL, 'RNA_pol_Rpb2_5', NULL, NULL, NULL, 6),
(8506, NULL, 'PF05203', NULL, NULL, 'Hom_end-associated Hint', NULL, 'Hom_end_hint', NULL, NULL, NULL, 6),
(8507, NULL, 'PF03356', NULL, NULL, 'Viral late protein H2', NULL, 'Pox_LP_H2', NULL, NULL, NULL, 6),
(8508, NULL, 'PF10409', NULL, NULL, 'C2 domain of PTEN tumour-suppressor protein', NULL, 'PTEN_C2', NULL, NULL, NULL, 6),
(8509, NULL, 'PF11478', NULL, NULL, 'Antimicrobial chitin binding protein tachystatin B', NULL, 'Tachystatin_B', NULL, NULL, NULL, 6),
(8510, NULL, 'PF17130', NULL, NULL, 'beta-barrel domain of carboxypeptidase M99', NULL, 'Peptidase_M99_m', NULL, NULL, NULL, 6),
(8511, NULL, 'PF00529', NULL, NULL, 'HlyD membrane-fusion protein of T1SS', NULL, 'HlyD', NULL, NULL, NULL, 6),
(8512, NULL, 'PF04959', NULL, NULL, 'Arsenite-resistance protein 2', NULL, 'ARS2', NULL, NULL, NULL, 6),
(8513, NULL, 'PF07443', NULL, NULL, 'HepA-related protein (HARP)', NULL, 'HARP', NULL, NULL, NULL, 6),
(8514, NULL, 'PF15579', NULL, NULL, 'Immunity protein 52', NULL, 'Imm52', NULL, NULL, NULL, 6),
(8515, NULL, 'PF15845', NULL, NULL, 'Cysteine-rich C-terminal 1 family', NULL, 'NICE-1', NULL, NULL, NULL, 6),
(8516, NULL, 'PF05910', NULL, NULL, 'Plant protein of unknown function (DUF868)', NULL, 'DUF868', NULL, NULL, NULL, 6),
(8517, NULL, 'PF17008', NULL, NULL, 'Domain of unknown function (DUF5088)', NULL, 'DUF5088', NULL, NULL, NULL, 6),
(8518, NULL, 'PF04643', NULL, NULL, 'Motilin/ghrelin-associated peptide', NULL, 'Motilin_assoc', NULL, NULL, NULL, 6),
(8519, NULL, 'PF08428', NULL, NULL, 'Rib domain', NULL, 'Rib', NULL, NULL, NULL, 6),
(8520, NULL, 'PF10077', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2314)', NULL, 'DUF2314', NULL, NULL, NULL, 6),
(8521, NULL, 'PF16592', NULL, NULL, 'REC lobe of CRISPR-associated endonuclease Cas9', NULL, 'Cas9_REC', NULL, NULL, NULL, 6),
(8522, NULL, 'PF02159', NULL, NULL, 'Oestrogen receptor', NULL, 'Oest_recep', NULL, NULL, NULL, 6),
(8523, NULL, 'PF01530', NULL, NULL, 'Zinc finger, C2HC type', NULL, 'zf-C2HC', NULL, NULL, NULL, 6),
(8524, NULL, 'PF13257', NULL, NULL, 'Domain of unknown function (DUF4048)', NULL, 'DUF4048', NULL, NULL, NULL, 6),
(8525, NULL, 'PF07307', NULL, NULL, 'Heptaprenyl diphosphate synthase (HEPPP synthase) subunit 1', NULL, 'HEPPP_synt_1', NULL, NULL, NULL, 6),
(8526, NULL, 'PF05195', NULL, NULL, 'Aminopeptidase P, N-terminal domain', NULL, 'AMP_N', NULL, NULL, NULL, 6),
(8527, NULL, 'PF06266', NULL, NULL, 'HrpF protein', NULL, 'HrpF', NULL, NULL, NULL, 6),
(8528, NULL, 'PF13731', NULL, NULL, 'WxL domain surface cell wall-binding', NULL, 'WxL', NULL, NULL, NULL, 6),
(8529, NULL, 'PF02224', NULL, NULL, 'Cytidylate kinase', NULL, 'Cytidylate_kin', NULL, NULL, NULL, 6),
(8530, NULL, 'PF07363', NULL, NULL, 'Protein of unknown function (DUF1484)', NULL, 'DUF1484', NULL, NULL, NULL, 6),
(8531, NULL, 'PF04028', NULL, NULL, 'Domain of unknown function (DUF374)', NULL, 'DUF374', NULL, NULL, NULL, 6),
(8532, NULL, 'PF19173', NULL, NULL, 'Family of unknown function (DUF5855)', NULL, 'DUF5855', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8533, NULL, 'PF14417', NULL, NULL, 'MEDS: MEthanogen/methylotroph, DcmR Sensory domain', NULL, 'MEDS', NULL, NULL, NULL, 6),
(8534, NULL, 'PF07149', NULL, NULL, 'Pes-10', NULL, 'Pes-10', NULL, NULL, NULL, 6),
(8535, NULL, 'PF13106', NULL, NULL, 'Domain of unknown function (DUF3961)', NULL, 'DUF3961', NULL, NULL, NULL, 6),
(8536, NULL, 'PF03609', NULL, NULL, 'PTS system sorbose-specific iic component', NULL, 'EII-Sor', NULL, NULL, NULL, 6),
(8537, NULL, 'PF00483', NULL, NULL, 'Nucleotidyl transferase', NULL, 'NTP_transferase', NULL, NULL, NULL, 6),
(8538, NULL, 'PF13639', NULL, NULL, 'Ring finger domain', NULL, 'zf-RING_2', NULL, NULL, NULL, 6),
(8539, NULL, 'PF15672', NULL, NULL, 'Cell-membrane associated Mucin15', NULL, 'Mucin15', NULL, NULL, NULL, 6),
(8540, NULL, 'PF15520', NULL, NULL, 'Novel toxin 10', NULL, 'Ntox10', NULL, NULL, NULL, 6),
(8541, NULL, 'PF06282', NULL, NULL, 'Protein of unknown function (DUF1036)', NULL, 'DUF1036', NULL, NULL, NULL, 6),
(8542, NULL, 'PF14763', NULL, NULL, 'Hermansky-Pudlak syndrome 3, C-terminal', NULL, 'HPS3_C', NULL, NULL, NULL, 6),
(8543, NULL, 'PF15628', NULL, NULL, 'RRM in Demeter', NULL, 'RRM_DME', NULL, NULL, NULL, 6),
(8544, NULL, 'PF12179', NULL, NULL, 'I-kappa-kinase-beta NEMO binding domain', NULL, 'IKKbetaNEMObind', NULL, NULL, NULL, 6),
(8545, NULL, 'PF18695', NULL, NULL, 'Cytosolic phospholipases A2 C2-domain', NULL, 'cPLA2_C2', NULL, NULL, NULL, 6),
(8546, NULL, 'PF07711', NULL, NULL, 'Rab geranylgeranyl transferase alpha-subunit, insert domain', NULL, 'RabGGT_insert', NULL, NULL, NULL, 6),
(8547, NULL, 'PF18093', NULL, NULL, 'tRNA methyltransferase 5 N-terminal domain', NULL, 'Trm5_N', NULL, NULL, NULL, 6),
(8548, NULL, 'PF17534', NULL, NULL, 'Family of unknown function (DUF5453)', NULL, 'DUF5453', NULL, NULL, NULL, 6),
(8549, NULL, 'PF01331', NULL, NULL, 'mRNA capping enzyme, catalytic domain', NULL, 'mRNA_cap_enzyme', NULL, NULL, NULL, 6),
(8550, NULL, 'PF16903', NULL, NULL, 'Major capsid protein N-terminus', NULL, 'Capsid_N', NULL, NULL, NULL, 6),
(8551, NULL, 'PF06925', NULL, NULL, 'Monogalactosyldiacylglycerol (MGDG) synthase', NULL, 'MGDG_synth', NULL, NULL, NULL, 6),
(8552, NULL, 'PF00125', NULL, NULL, 'Core histone H2A/H2B/H3/H4', NULL, 'Histone', NULL, NULL, NULL, 6),
(8553, NULL, 'PF03604', NULL, NULL, 'DNA directed RNA polymerase, 7 kDa subunit', NULL, 'DNA_RNApol_7kD', NULL, NULL, NULL, 6),
(8554, NULL, 'PF07615', NULL, NULL, 'YKOF-related Family', NULL, 'Ykof', NULL, NULL, NULL, 6),
(8555, NULL, 'PF18568', NULL, NULL, 'TRIM C-terminal subgroup One Signature domain', NULL, 'COS', NULL, NULL, NULL, 6),
(8556, NULL, 'PF11575', NULL, NULL, 'FhuF 2Fe-2S C-terminal domain', NULL, 'FhuF_C', NULL, NULL, NULL, 6),
(8557, NULL, 'PF15452', NULL, NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', NULL, 'NYAP_C', NULL, NULL, NULL, 6),
(8558, NULL, 'PF08937', NULL, NULL, 'MTH538 TIR-like domain (DUF1863)', NULL, 'DUF1863', NULL, NULL, NULL, 6),
(8559, NULL, 'PF12568', NULL, NULL, 'Acetyltransferase (GNAT) domain, PanZ', NULL, 'PanZ', NULL, NULL, NULL, 6),
(8560, NULL, 'PF16863', NULL, NULL, 'N-terminal barrel of NtMGAM and CtMGAM, maltase-glucoamylase', NULL, 'NtCtMGAM_N', NULL, NULL, NULL, 6),
(8561, NULL, 'PF14069', NULL, NULL, 'Stage VI sporulation protein F', NULL, 'SpoVIF', NULL, NULL, NULL, 6),
(8562, NULL, 'PF14306', NULL, NULL, 'PUA-like domain', NULL, 'PUA_2', NULL, NULL, NULL, 6),
(8563, NULL, 'PF03363', NULL, NULL, 'Herpesvirus leader protein', NULL, 'Herpes_LP', NULL, NULL, NULL, 6),
(8564, NULL, 'PF12056', NULL, NULL, 'Protein of unknown function (DUF3537)', NULL, 'DUF3537', NULL, NULL, NULL, 6),
(8565, NULL, 'PF02084', NULL, NULL, 'Bindin', NULL, 'Bindin', NULL, NULL, NULL, 6),
(8566, NULL, 'PF17038', NULL, NULL, 'Cellulose biosynthesis protein BcsN', NULL, 'CBP_BcsN', NULL, NULL, NULL, 6),
(8567, NULL, 'PF18634', NULL, NULL, 'RXLR phytopathogen effector protein WY-domain', NULL, 'RXLR_WY', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8568, NULL, 'PF03958', NULL, NULL, 'Bacterial type II/III secretion system short domain', NULL, 'Secretin_N', NULL, NULL, NULL, 6),
(8569, NULL, 'PF01465', NULL, NULL, 'GRIP domain', NULL, 'GRIP', NULL, NULL, NULL, 6),
(8570, NULL, 'PF12777', NULL, NULL, 'Microtubule-binding stalk of dynein motor', NULL, 'MT', NULL, NULL, NULL, 6),
(8571, NULL, 'PF05229', NULL, NULL, 'Spore Coat Protein U domain', NULL, 'SCPU', NULL, NULL, NULL, 6),
(8572, NULL, 'PF19202', NULL, NULL, 'Family of unknown function (DUF5874)', NULL, 'DUF5874', NULL, NULL, NULL, 6),
(8573, NULL, 'PF16461', NULL, NULL, 'Lambda phage tail tube protein, TTP', NULL, 'Phage_TTP_12', NULL, NULL, NULL, 6),
(8574, NULL, 'PF09689', NULL, NULL, 'Plasmodium yoelii repeat (PY_rept_46)', NULL, 'PY_rept_46', NULL, NULL, NULL, 6),
(8575, NULL, 'PF04398', NULL, NULL, 'Protein of unknown function, DUF538', NULL, 'DUF538', NULL, NULL, NULL, 6),
(8576, NULL, 'PF04857', NULL, NULL, 'CAF1 family ribonuclease', NULL, 'CAF1', NULL, NULL, NULL, 6),
(8577, NULL, 'PF11133', NULL, NULL, 'Head fiber protein', NULL, 'Phage_head_fibr', NULL, NULL, NULL, 6),
(8578, NULL, 'PF08271', NULL, NULL, 'TFIIB zinc-binding', NULL, 'TF_Zn_Ribbon', NULL, NULL, NULL, 6),
(8579, NULL, 'PF02939', NULL, NULL, 'UcrQ family', NULL, 'UcrQ', NULL, NULL, NULL, 6),
(8580, NULL, 'PF15172', NULL, NULL, 'Prolactin-releasing peptide', NULL, 'Prolactin_RP', NULL, NULL, NULL, 6),
(8581, NULL, 'PF16438', NULL, NULL, 'Domain of unknown function (DUF5035)', NULL, 'DUF5035', NULL, NULL, NULL, 6),
(8582, NULL, 'PF10724', NULL, NULL, 'Protein of unknown function (DUF2516)', NULL, 'DUF2516', NULL, NULL, NULL, 6),
(8583, NULL, 'PF15649', NULL, NULL, 'Restriction endonuclease fold toxin 7', NULL, 'Tox-REase-7', NULL, NULL, NULL, 6),
(8584, NULL, 'PF01017', NULL, NULL, 'STAT protein, all-alpha domain', NULL, 'STAT_alpha', NULL, NULL, NULL, 6),
(8585, NULL, 'PF14711', NULL, NULL, 'Respiratory nitrate reductase beta C-terminal', NULL, 'Nitr_red_bet_C', NULL, NULL, NULL, 6),
(8586, NULL, 'PF11418', NULL, NULL, 'Phi29 scaffolding protein', NULL, 'Scaffolding_pro', NULL, NULL, NULL, 6),
(8587, NULL, 'PF04617', NULL, NULL, 'Hox9 activation region', NULL, 'Hox9_act', NULL, NULL, NULL, 6),
(8588, NULL, 'PF01781', NULL, NULL, 'Ribosomal L38e protein family', NULL, 'Ribosomal_L38e', NULL, NULL, NULL, 6),
(8589, NULL, 'PF01134', NULL, NULL, 'Glucose inhibited division protein A', NULL, 'GIDA', NULL, NULL, NULL, 6),
(8590, NULL, 'PF16452', NULL, NULL, 'Bacteriophage CI repressor C-terminal domain', NULL, 'Phage_CI_C', NULL, NULL, NULL, 6),
(8591, NULL, 'PF15629', NULL, NULL, 'Permuted single zf-CXXC unit', NULL, 'Perm-CXXC', NULL, NULL, NULL, 6),
(8592, NULL, 'PF17865', NULL, NULL, 'Midasin AAA lid domain', NULL, 'AAA_lid_5', NULL, NULL, NULL, 6),
(8593, NULL, 'PF14564', NULL, NULL, 'Membrane binding', NULL, 'Membrane_bind', NULL, NULL, NULL, 6),
(8594, NULL, 'PF13680', NULL, NULL, 'Protein of unknown function (DUF4152)', NULL, 'DUF4152', NULL, NULL, NULL, 6),
(8595, NULL, 'PF02138', NULL, NULL, 'Beige/BEACH domain', NULL, 'Beach', NULL, NULL, NULL, 6),
(8596, NULL, 'PF10639', NULL, NULL, 'Putative transmembrane family 234', NULL, 'TMEM234', NULL, NULL, NULL, 6),
(8597, NULL, 'PF11281', NULL, NULL, 'Protein of unknown function (DUF3083)', NULL, 'DUF3083', NULL, NULL, NULL, 6),
(8598, NULL, 'PF18039', NULL, NULL, 'UBA-like domain', NULL, 'UBA_6', NULL, NULL, NULL, 6),
(8599, NULL, 'PF10433', NULL, NULL, 'Mono-functional DNA-alkylating methyl methanesulfonate N-term', NULL, 'MMS1_N', NULL, NULL, NULL, 6),
(8600, NULL, 'PF05381', NULL, NULL, 'Tymovirus endopeptidase', NULL, 'Peptidase_C21', NULL, NULL, NULL, 6),
(8601, NULL, 'PF06724', NULL, NULL, 'Domain of Unknown Function (DUF1206)', NULL, 'DUF1206', NULL, NULL, NULL, 6),
(8602, NULL, 'PF08572', NULL, NULL, 'pre-mRNA processing factor 3 (PRP3)', NULL, 'PRP3', NULL, NULL, NULL, 6),
(8603, NULL, 'PF13468', NULL, NULL, 'Glyoxalase-like domain', NULL, 'Glyoxalase_3', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8604, NULL, 'PF06877', NULL, NULL, 'Regulator of ribonuclease activity B', NULL, 'RraB', NULL, NULL, NULL, 6),
(8605, NULL, 'PF06750', NULL, NULL, 'Bacterial Peptidase A24 N-terminal domain', NULL, 'DiS_P_DiS', NULL, NULL, NULL, 6),
(8606, NULL, 'PF00500', NULL, NULL, 'L1 (late) protein', NULL, 'Late_protein_L1', NULL, NULL, NULL, 6),
(8607, NULL, 'PF05822', NULL, NULL, 'Pyrimidine 5''-nucleotidase (UMPH-1)', NULL, 'UMPH-1', NULL, NULL, NULL, 6),
(8608, NULL, 'PF11297', NULL, NULL, 'Protein of unknown function (DUF3098)', NULL, 'DUF3098', NULL, NULL, NULL, 6),
(8609, NULL, 'PF01840', NULL, NULL, 'TCL1/MTCP1 family', NULL, 'TCL1_MTCP1', NULL, NULL, NULL, 6),
(8610, NULL, 'PF18677', NULL, NULL, 'Archaellum regulatory network B, C-terminal domain', NULL, 'ArnB_C', NULL, NULL, NULL, 6),
(8611, NULL, 'PF11997', NULL, NULL, 'Domain of unknown function (DUF3492)', NULL, 'DUF3492', NULL, NULL, NULL, 6),
(8612, NULL, 'PF03822', NULL, NULL, 'NAF domain', NULL, 'NAF', NULL, NULL, NULL, 6),
(8613, NULL, 'PF10529', NULL, NULL, 'Histidine-rich Calcium-binding repeat region', NULL, 'Hist_rich_Ca-bd', NULL, NULL, NULL, 6),
(8614, NULL, 'PF01843', NULL, NULL, 'DIL domain', NULL, 'DIL', NULL, NULL, NULL, 6),
(8615, NULL, 'PF04411', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_7', NULL, NULL, NULL, 6),
(8616, NULL, 'PF14534', NULL, NULL, 'Domain of unknown function (DUF4440)', NULL, 'DUF4440', NULL, NULL, NULL, 6),
(8617, NULL, 'PF11521', NULL, NULL, 'C-terminal general transcription factor TFIIE alpha', NULL, 'TFIIE-A_C', NULL, NULL, NULL, 6),
(8618, NULL, 'PF02413', NULL, NULL, 'Caudovirales tail fibre assembly protein, lambda gpK', NULL, 'Caudo_TAP', NULL, NULL, NULL, 6),
(8619, NULL, 'PF10806', NULL, NULL, 'SAM35, subunit of SAM coomplex', NULL, 'SAM35', NULL, NULL, NULL, 6),
(8620, NULL, 'PF11990', NULL, NULL, 'Protein of unknown function (DUF3487)', NULL, 'DUF3487', NULL, NULL, NULL, 6),
(8621, NULL, 'PF12584', NULL, NULL, 'Trafficking protein particle complex subunit 10, TRAPPC10', NULL, 'TRAPPC10', NULL, NULL, NULL, 6),
(8622, NULL, 'PF06468', NULL, NULL, 'Spondin_N', NULL, 'Spond_N', NULL, NULL, NULL, 6),
(8623, NULL, 'PF13996', NULL, NULL, 'YobH-like protein', NULL, 'YobH', NULL, NULL, NULL, 6),
(8624, NULL, 'PF00641', NULL, NULL, 'Zn-finger in Ran binding protein and others', NULL, 'zf-RanBP', NULL, NULL, NULL, 6),
(8625, NULL, 'PF02991', NULL, NULL, 'Autophagy protein Atg8 ubiquitin like', NULL, 'Atg8', NULL, NULL, NULL, 6),
(8626, NULL, 'PF02441', NULL, NULL, 'Flavoprotein', NULL, 'Flavoprotein', NULL, NULL, NULL, 6),
(8627, NULL, 'PF18241', NULL, NULL, 'Flax-rust effector AvrM-A', NULL, 'AvrM-A', NULL, NULL, NULL, 6),
(8628, NULL, 'PF02730', NULL, NULL, 'Aldehyde ferredoxin oxidoreductase, N-terminal domain', NULL, 'AFOR_N', NULL, NULL, NULL, 6),
(8629, NULL, 'PF02993', NULL, NULL, 'Minor capsid protein VI', NULL, 'MCPVI', NULL, NULL, NULL, 6),
(8630, NULL, 'PF16933', NULL, NULL, 'Putative exopolysaccharide Exporter (EPS-E)', NULL, 'PelG', NULL, NULL, NULL, 6),
(8631, NULL, 'PF15415', NULL, NULL, 'Fimbrillin-like', NULL, 'Mfa_like_2', NULL, NULL, NULL, 6),
(8632, NULL, 'PF02675', NULL, NULL, 'S-adenosylmethionine decarboxylase', NULL, 'AdoMet_dc', NULL, NULL, NULL, 6),
(8633, NULL, 'PF01437', NULL, NULL, 'Plexin repeat', NULL, 'PSI', NULL, NULL, NULL, 6),
(8634, NULL, 'PF11014', NULL, NULL, 'Protein of unknown function (DUF2852)', NULL, 'DUF2852', NULL, NULL, NULL, 6),
(8635, NULL, 'PF16155', NULL, NULL, 'Domain of unknown function (DUF4863)', NULL, 'DUF4863', NULL, NULL, NULL, 6),
(8636, NULL, 'PF10798', NULL, NULL, 'Biofilm development protein YmgB/AriR', NULL, 'YmgB', NULL, NULL, NULL, 6),
(8637, NULL, 'PF17817', NULL, NULL, 'PDZ domain', NULL, 'PDZ_5', NULL, NULL, NULL, 6),
(8638, NULL, 'PF04046', NULL, NULL, 'PSP', NULL, 'PSP', NULL, NULL, NULL, 6),
(8639, NULL, 'PF16025', NULL, NULL, 'Calcium-dependent calmodulin binding', NULL, 'CALM_bind', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8640, NULL, 'PF17505', NULL, NULL, 'Family of unknown function (DUF5437)', NULL, 'DUF5437', NULL, NULL, NULL, 6),
(8641, NULL, 'PF14401', NULL, NULL, 'RimK-like ATPgrasp N-terminal domain', NULL, 'RLAN', NULL, NULL, NULL, 6),
(8642, NULL, 'PF07465', NULL, NULL, 'Photosystem I protein M (PsaM)', NULL, 'PsaM', NULL, NULL, NULL, 6),
(8643, NULL, 'PF10615', NULL, NULL, 'Protein of unknown function (DUF2470)', NULL, 'DUF2470', NULL, NULL, NULL, 6),
(8644, NULL, 'PF07279', NULL, NULL, 'Protein of unknown function (DUF1442)', NULL, 'DUF1442', NULL, NULL, NULL, 6),
(8645, NULL, 'PF08682', NULL, NULL, 'Putative endonuclease, protein of unknown function (DUF1780)', NULL, 'DUF1780', NULL, NULL, NULL, 6),
(8646, NULL, 'PF10251', NULL, NULL, 'Presenilin enhancer-2 subunit of gamma secretase', NULL, 'PEN-2', NULL, NULL, NULL, 6),
(8647, NULL, 'PF00755', NULL, NULL, 'Choline/Carnitine o-acyltransferase', NULL, 'Carn_acyltransf', NULL, NULL, NULL, 6),
(8648, NULL, 'PF13589', NULL, NULL, 'Histidine kinase-, DNA gyrase B-, and HSP90-like ATPase', NULL, 'HATPase_c_3', NULL, NULL, NULL, 6),
(8649, NULL, 'PF15600', NULL, NULL, 'Immunity protein 64', NULL, 'Imm64', NULL, NULL, NULL, 6),
(8650, NULL, 'PF16813', NULL, NULL, 'CRISPR-associated protein Csn2 subfamily St', NULL, 'Cas_St_Csn2', NULL, NULL, NULL, 6),
(8651, NULL, 'PF14251', NULL, NULL, 'Domain of unknown function (DUF4346)', NULL, 'DUF4346', NULL, NULL, NULL, 6),
(8652, NULL, 'PF07538', NULL, NULL, 'Clostridial hydrophobic W', NULL, 'ChW', NULL, NULL, NULL, 6),
(8653, NULL, 'PF06847', NULL, NULL, 'Archaeal Peptidase A24 C-terminus Type II', NULL, 'Arc_PepC_II', NULL, NULL, NULL, 6),
(8654, NULL, 'PF18233', NULL, NULL, 'Cdc13 OB4 dimerization domain', NULL, 'Cdc13_OB4_dimer', NULL, NULL, NULL, 6),
(8655, NULL, 'PF16858', NULL, NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, C-term', NULL, 'CNDH2_C', NULL, NULL, NULL, 6),
(8656, NULL, 'PF04217', NULL, NULL, 'Protein of unknown function, DUF412', NULL, 'DUF412', NULL, NULL, NULL, 6),
(8657, NULL, 'PF05858', NULL, NULL, 'Bovine immunodeficiency virus surface protein (SU)', NULL, 'BIV_Env', NULL, NULL, NULL, 6),
(8658, NULL, 'PF11611', NULL, NULL, 'Domain of unknown function (DUF4352)', NULL, 'DUF4352', NULL, NULL, NULL, 6),
(8659, NULL, 'PF15701', NULL, NULL, 'Domain of unknown function (DUF4668)', NULL, 'DUF4668', NULL, NULL, NULL, 6),
(8660, NULL, 'PF10994', NULL, NULL, 'Protein of unknown function (DUF2817)', NULL, 'DUF2817', NULL, NULL, NULL, 6),
(8661, NULL, 'PF09706', NULL, NULL, 'CRISPR-associated protein (Cas_CXXC_CXXC)', NULL, 'Cas_CXXC_CXXC', NULL, NULL, NULL, 6),
(8662, NULL, 'PF14403', NULL, NULL, 'Circularly permuted ATP-grasp type 2', NULL, 'CP_ATPgrasp_2', NULL, NULL, NULL, 6),
(8663, NULL, 'PF08858', NULL, NULL, 'IDEAL domain', NULL, 'IDEAL', NULL, NULL, NULL, 6),
(8664, NULL, 'PF04052', NULL, NULL, 'TolB amino-terminal domain', NULL, 'TolB_N', NULL, NULL, NULL, 6),
(8665, NULL, 'PF14813', NULL, NULL, 'NADH dehydrogenase 1 beta subcomplex subunit 2', NULL, 'NADH_B2', NULL, NULL, NULL, 6),
(8666, NULL, 'PF00769', NULL, NULL, 'Ezrin/radixin/moesin family', NULL, 'ERM', NULL, NULL, NULL, 6),
(8667, NULL, 'PF06758', NULL, NULL, 'Olduvai domain', NULL, 'Olduvai', NULL, NULL, NULL, 6),
(8668, NULL, 'PF06549', NULL, NULL, 'Protein of unknown function (DUF1118)', NULL, 'DUF1118', NULL, NULL, NULL, 6),
(8669, NULL, 'PF03994', NULL, NULL, 'Domain of Unknown Function (DUF350)', NULL, 'DUF350', NULL, NULL, NULL, 6),
(8670, NULL, 'PF17809', NULL, NULL, 'UPA domain', NULL, 'UPA_2', NULL, NULL, NULL, 6),
(8671, NULL, 'PF04004', NULL, NULL, 'Leo1-like protein', NULL, 'Leo1', NULL, NULL, NULL, 6),
(8672, NULL, 'PF16504', NULL, NULL, 'Putative virion membrane protein of plant and insect virus', NULL, 'SP24', NULL, NULL, NULL, 6),
(8673, NULL, 'PF15214', NULL, NULL, 'Peroxisomal testis-specific protein 1', NULL, 'PXT1', NULL, NULL, NULL, 6),
(8674, NULL, 'PF02438', NULL, NULL, 'Late 100kD protein', NULL, 'Adeno_100', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8675, NULL, 'PF06399', NULL, NULL, 'GTP cyclohydrolase I feedback regulatory protein (GFRP)', NULL, 'GFRP', NULL, NULL, NULL, 6),
(8676, NULL, 'PF17345', NULL, NULL, 'Family of unknown function (DUF5375)', NULL, 'DUF5375', NULL, NULL, NULL, 6),
(8677, NULL, 'PF19028', NULL, NULL, 'Spondin-like TSP1 domain', NULL, 'TSP1_spondin', NULL, NULL, NULL, 6),
(8678, NULL, 'PF00366', NULL, NULL, 'Ribosomal protein S17', NULL, 'Ribosomal_S17', NULL, NULL, NULL, 6),
(8679, NULL, 'PF04339', NULL, NULL, 'Peptidogalycan biosysnthesis/recognition', NULL, 'FemAB_like', NULL, NULL, NULL, 6),
(8680, NULL, 'PF16611', NULL, NULL, 'Unstructured region between RBD and GoLoco', NULL, 'RGS12_us2', NULL, NULL, NULL, 6),
(8681, NULL, 'PF04361', NULL, NULL, 'Protein of unknown function (DUF494)', NULL, 'DUF494', NULL, NULL, NULL, 6),
(8682, NULL, 'PF00025', NULL, NULL, 'ADP-ribosylation factor family', NULL, 'Arf', NULL, NULL, NULL, 6),
(8683, NULL, 'PF01112', NULL, NULL, 'Asparaginase', NULL, 'Asparaginase_2', NULL, NULL, NULL, 6),
(8684, NULL, 'PF05046', NULL, NULL, 'Mitochondrial large subunit ribosomal protein (Img2)', NULL, 'Img2', NULL, NULL, NULL, 6),
(8685, NULL, 'PF14336', NULL, NULL, 'Domain of unknown function (DUF4392)', NULL, 'DUF4392', NULL, NULL, NULL, 6),
(8686, NULL, 'PF03175', NULL, NULL, 'DNA polymerase type B, organellar and viral', NULL, 'DNA_pol_B_2', NULL, NULL, NULL, 6),
(8687, NULL, 'PF15607', NULL, NULL, 'Bacterial toxin 44', NULL, 'Ntox44', NULL, NULL, NULL, 6),
(8688, NULL, 'PF03683', NULL, NULL, 'Uncharacterised protein family (UPF0175)', NULL, 'UPF0175', NULL, NULL, NULL, 6),
(8689, NULL, 'PF10503', NULL, NULL, 'Esterase PHB depolymerase', NULL, 'Esterase_PHB', NULL, NULL, NULL, 6),
(8690, NULL, 'PF09577', NULL, NULL, 'Sporulation protein YpjB (SpoYpjB)', NULL, 'Spore_YpjB', NULL, NULL, NULL, 6),
(8691, NULL, 'PF17714', NULL, NULL, 'Family of unknown function (DUF5559)', NULL, 'DUF5559', NULL, NULL, NULL, 6),
(8692, NULL, 'PF06924', NULL, NULL, 'Protein of unknown function (DUF1281)', NULL, 'DUF1281', NULL, NULL, NULL, 6),
(8693, NULL, 'PF08136', NULL, NULL, '30S ribosomal protein subunit S22 family', NULL, 'Ribosomal_S22', NULL, NULL, NULL, 6),
(8694, NULL, 'PF02985', NULL, NULL, 'HEAT repeat', NULL, 'HEAT', NULL, NULL, NULL, 6),
(8695, NULL, 'PF03419', NULL, NULL, 'Sporulation factor SpoIIGA', NULL, 'Peptidase_U4', NULL, NULL, NULL, 6),
(8696, NULL, 'PF13234', NULL, NULL, 'rRNA-processing arch domain', NULL, 'rRNA_proc-arch', NULL, NULL, NULL, 6),
(8697, NULL, 'PF10958', NULL, NULL, 'Protein of unknown function (DUF2759)', NULL, 'DUF2759', NULL, NULL, NULL, 6),
(8698, NULL, 'PF02843', NULL, NULL, 'Phosphoribosylglycinamide synthetase, C domain', NULL, 'GARS_C', NULL, NULL, NULL, 6),
(8699, NULL, 'PF00788', NULL, NULL, 'Ras association (RalGDS/AF-6) domain', NULL, 'RA', NULL, NULL, NULL, 6),
(8700, NULL, 'PF11127', NULL, NULL, 'Protein of unknown function (DUF2892)', NULL, 'DUF2892', NULL, NULL, NULL, 6),
(8701, NULL, 'PF12687', NULL, NULL, 'Protein of unknown function (DUF3801)', NULL, 'DUF3801', NULL, NULL, NULL, 6),
(8702, NULL, 'PF02569', NULL, NULL, 'Pantoate-beta-alanine ligase', NULL, 'Pantoate_ligase', NULL, NULL, NULL, 6),
(8703, NULL, 'PF12899', NULL, NULL, 'Alkaline and neutral invertase', NULL, 'Glyco_hydro_100', NULL, NULL, NULL, 6),
(8704, NULL, 'PF14191', NULL, NULL, 'YodL-like', NULL, 'YodL', NULL, NULL, NULL, 6),
(8705, NULL, 'PF18309', NULL, NULL, 'Argonaute PAZ domain', NULL, 'Ago_PAZ', NULL, NULL, NULL, 6),
(8706, NULL, 'PF04054', NULL, NULL, 'CCR4-Not complex component, Not1', NULL, 'Not1', NULL, NULL, NULL, 6),
(8707, NULL, 'PF09636', NULL, NULL, 'XkdW protein', NULL, 'XkdW', NULL, NULL, NULL, 6),
(8708, NULL, 'PF14822', NULL, NULL, 'Vasohibin', NULL, 'Vasohibin', NULL, NULL, NULL, 6),
(8709, NULL, 'PF07311', NULL, NULL, 'Dodecin', NULL, 'Dodecin', NULL, NULL, NULL, 6),
(8710, NULL, 'PF10898', NULL, NULL, 'Protein of unknown function (DUF2716)', NULL, 'DUF2716', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8711, NULL, 'PF10250', NULL, NULL, 'GDP-fucose protein O-fucosyltransferase', NULL, 'O-FucT', NULL, NULL, NULL, 6),
(8712, NULL, 'PF08029', NULL, NULL, 'HisG, C-terminal domain', NULL, 'HisG_C', NULL, NULL, NULL, 6),
(8713, NULL, 'PF06337', NULL, NULL, 'DUSP domain', NULL, 'DUSP', NULL, NULL, NULL, 6),
(8714, NULL, 'PF01185', NULL, NULL, 'Fungal hydrophobin', NULL, 'Hydrophobin', NULL, NULL, NULL, 6),
(8715, NULL, 'PF11938', NULL, NULL, 'TLR4 regulator and MIR-interacting MSAP', NULL, 'DUF3456', NULL, NULL, NULL, 6),
(8716, NULL, 'PF12264', NULL, NULL, 'Waikavirus capsid protein 1', NULL, 'Waikav_capsid_1', NULL, NULL, NULL, 6),
(8717, NULL, 'PF07967', NULL, NULL, 'C3HC zinc finger-like', NULL, 'zf-C3HC', NULL, NULL, NULL, 6),
(8718, NULL, 'PF16680', NULL, NULL, 'T-cell surface glycoprotein CD3 delta chain', NULL, 'Ig_4', NULL, NULL, NULL, 6),
(8719, NULL, 'PF18689', NULL, NULL, 'Primase X', NULL, 'PriX', NULL, NULL, NULL, 6),
(8720, NULL, 'PF01902', NULL, NULL, 'Diphthamide synthase', NULL, 'Diphthami_syn_2', NULL, NULL, NULL, 6),
(8721, NULL, 'PF10128', NULL, NULL, 'Glucose-6-phosphate dehydrogenase subunit', NULL, 'OpcA_G6PD_assem', NULL, NULL, NULL, 6),
(8722, NULL, 'PF00345', NULL, NULL, 'Pili and flagellar-assembly chaperone, PapD N-terminal domain', NULL, 'PapD_N', NULL, NULL, NULL, 6),
(8723, NULL, 'PF16032', NULL, NULL, 'Domain of unknown function (DUF4788)', NULL, 'DUF4788', NULL, NULL, NULL, 6),
(8724, NULL, 'PF18957', NULL, NULL, 'Long Rib domain', NULL, 'RibLong', NULL, NULL, NULL, 6),
(8725, NULL, 'PF04559', NULL, NULL, 'Herpesvirus UL17 protein', NULL, 'Herpes_UL17', NULL, NULL, NULL, 6),
(8726, NULL, 'PF10339', NULL, NULL, 'Yeast-specific zinc responsive', NULL, 'Vel1p', NULL, NULL, NULL, 6),
(8727, NULL, 'PF05150', NULL, NULL, 'Legionella pneumophila major outer membrane protein precursor', NULL, 'Legionella_OMP', NULL, NULL, NULL, 6),
(8728, NULL, 'PF08313', NULL, NULL, 'SCA7, zinc-binding domain', NULL, 'SCA7', NULL, NULL, NULL, 6),
(8729, NULL, 'PF06125', NULL, NULL, 'Bacterial protein of unknown function (DUF961)', NULL, 'DUF961', NULL, NULL, NULL, 6),
(8730, NULL, 'PF05105', NULL, NULL, 'Bacteriophage holin family', NULL, 'Phage_holin_4_1', NULL, NULL, NULL, 6),
(8731, NULL, 'PF08220', NULL, NULL, 'DeoR-like helix-turn-helix domain', NULL, 'HTH_DeoR', NULL, NULL, NULL, 6),
(8732, NULL, 'PF11517', NULL, NULL, 'Nuclear abundant poly(A) RNA-bind protein 2 (Nab2)', NULL, 'Nab2', NULL, NULL, NULL, 6),
(8733, NULL, 'PF11836', NULL, NULL, 'Phage tail tube protein, GTA-gp10', NULL, 'Phage_TAC_11', NULL, NULL, NULL, 6),
(8734, NULL, 'PF15250', NULL, NULL, 'Raftlin', NULL, 'Raftlin', NULL, NULL, NULL, 6),
(8735, NULL, 'PF13511', NULL, NULL, 'Domain of unknown function (DUF4124)', NULL, 'DUF4124', NULL, NULL, NULL, 6),
(8736, NULL, 'PF13180', NULL, NULL, 'PDZ domain', NULL, 'PDZ_2', NULL, NULL, NULL, 6),
(8737, NULL, 'PF00490', NULL, NULL, 'Delta-aminolevulinic acid dehydratase', NULL, 'ALAD', NULL, NULL, NULL, 6),
(8738, NULL, 'PF12151', NULL, NULL, 'Mannan-binding protein', NULL, 'MVL', NULL, NULL, NULL, 6),
(8739, NULL, 'PF16070', NULL, NULL, 'Transmembrane protein family 132', NULL, 'TMEM132', NULL, NULL, NULL, 6),
(8740, NULL, 'PF18723', NULL, NULL, 'alpha-glutamyl/putrescinyl thymine pyrophosphorylase clade 1', NULL, 'aGPT-Pplase1', NULL, NULL, NULL, 6),
(8741, NULL, 'PF05438', NULL, NULL, 'Thyrotropin-releasing hormone (TRH)', NULL, 'TRH', NULL, NULL, NULL, 6),
(8742, NULL, 'PF16617', NULL, NULL, 'Intersectin and clathrin adaptor AP2 binding region', NULL, 'INTAP', NULL, NULL, NULL, 6),
(8743, NULL, 'PF13157', NULL, NULL, 'Protein of unknown function (DUF3992)', NULL, 'DUF3992', NULL, NULL, NULL, 6),
(8744, NULL, 'PF16191', NULL, NULL, 'Ubiquitin-activating enzyme E1 four-helix bundle', NULL, 'E1_4HB', NULL, NULL, NULL, 6),
(8745, NULL, 'PF06754', NULL, NULL, 'Phosphonate metabolism protein PhnG', NULL, 'PhnG', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8746, NULL, 'PF16623', NULL, NULL, 'Unstructured linker region between on GAS7 protein', NULL, 'WW_FCH_linker', NULL, NULL, NULL, 6),
(8747, NULL, 'PF02077', NULL, NULL, 'SURF4 family', NULL, 'SURF4', NULL, NULL, NULL, 6),
(8748, NULL, 'PF16642', NULL, NULL, 'Unstructured region on Potassium channel subunit alpha KvLQT2', NULL, 'KCNQ2_u3', NULL, NULL, NULL, 6),
(8749, NULL, 'PF12667', NULL, NULL, 'NigD-like N-terminal OB domain', NULL, 'NigD_N', NULL, NULL, NULL, 6),
(8750, NULL, 'PF07600', NULL, NULL, 'Protein of unknown function (DUF1564)', NULL, 'DUF1564', NULL, NULL, NULL, 6),
(8751, NULL, 'PF00412', NULL, NULL, 'LIM domain', NULL, 'LIM', NULL, NULL, NULL, 6),
(8752, NULL, 'PF00853', NULL, NULL, 'Runt domain', NULL, 'Runt', NULL, NULL, NULL, 6),
(8753, NULL, 'PF07206', NULL, NULL, 'Baculovirus late expression factor 10 (LEF-10)', NULL, 'Baculo_LEF-10', NULL, NULL, NULL, 6),
(8754, NULL, 'PF16798', NULL, NULL, 'Domain of unknown function (DUF5069)', NULL, 'DUF5069', NULL, NULL, NULL, 6),
(8755, NULL, 'PF16862', NULL, NULL, 'Glycosyl hydrolase family 79 C-terminal beta domain', NULL, 'Glyco_hydro_79C', NULL, NULL, NULL, 6),
(8756, NULL, 'PF16682', NULL, NULL, 'CXC domain of E3 ubiquitin-protein ligase MSL2', NULL, 'MSL2-CXC', NULL, NULL, NULL, 6),
(8757, NULL, 'PF13673', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_10', NULL, NULL, NULL, 6),
(8758, NULL, 'PF03782', NULL, NULL, 'AMOP domain', NULL, 'AMOP', NULL, NULL, NULL, 6),
(8759, NULL, 'PF17556', NULL, NULL, 'MIT-like atracotoxin family', NULL, 'MIT_LIKE_ACTX', NULL, NULL, NULL, 6),
(8760, NULL, 'PF15165', NULL, NULL, 'Meiotic recombination protein REC114-like', NULL, 'REC114-like', NULL, NULL, NULL, 6),
(8761, NULL, 'PF03713', NULL, NULL, 'Domain of unknown function (DUF305)', NULL, 'DUF305', NULL, NULL, NULL, 6),
(8762, NULL, 'PF16836', NULL, NULL, 'Shu complex component Psy3, DNA-binding description', NULL, 'PSY3', NULL, NULL, NULL, 6),
(8763, NULL, 'PF09778', NULL, NULL, 'Guanylylate cyclase', NULL, 'Guanylate_cyc_2', NULL, NULL, NULL, 6),
(8764, NULL, 'PF02466', NULL, NULL, 'Tim17/Tim22/Tim23/Pmp24 family', NULL, 'Tim17', NULL, NULL, NULL, 6),
(8765, NULL, 'PF01113', NULL, NULL, 'Dihydrodipicolinate reductase, N-terminus', NULL, 'DapB_N', NULL, NULL, NULL, 6),
(8766, NULL, 'PF01299', NULL, NULL, 'Lysosome-associated membrane glycoprotein (Lamp)', NULL, 'Lamp', NULL, NULL, NULL, 6),
(8767, NULL, 'PF16236', NULL, NULL, 'Domain of unknown function (DUF4895)', NULL, 'DUF4895', NULL, NULL, NULL, 6),
(8768, NULL, 'PF03186', NULL, NULL, 'CobD/Cbib protein', NULL, 'CobD_Cbib', NULL, NULL, NULL, 6),
(8769, NULL, 'PF11374', NULL, NULL, 'Protein of unknown function (DUF3176)', NULL, 'DUF3176', NULL, NULL, NULL, 6),
(8770, NULL, 'PF02443', NULL, NULL, 'Circovirus capsid protein', NULL, 'Circo_capsid', NULL, NULL, NULL, 6),
(8771, NULL, 'PF03631', NULL, NULL, 'Virulence factor BrkB', NULL, 'Virul_fac_BrkB', NULL, NULL, NULL, 6),
(8772, NULL, 'PF16757', NULL, NULL, 'Alpha-L-fucosidase C-terminal domain', NULL, 'Fucosidase_C', NULL, NULL, NULL, 6),
(8773, NULL, 'PF15786', NULL, NULL, 'PET assembly of cytochrome c oxidase, mitochondrial', NULL, 'PET117', NULL, NULL, NULL, 6),
(8774, NULL, 'PF13542', NULL, NULL, 'Helix-turn-helix domain of transposase family ISL3', NULL, 'HTH_Tnp_ISL3', NULL, NULL, NULL, 6),
(8775, NULL, 'PF17010', NULL, NULL, 'Domain of unknown function (DUF5092)', NULL, 'DUF5092', NULL, NULL, NULL, 6),
(8776, NULL, 'PF06863', NULL, NULL, 'Protein of unknown function (DUF1254)', NULL, 'DUF1254', NULL, NULL, NULL, 6),
(8777, NULL, 'PF14725', NULL, NULL, 'Domain of unknown function (DUF4466)', NULL, 'DUF4466', NULL, NULL, NULL, 6),
(8778, NULL, 'PF01895', NULL, NULL, 'PhoU domain', NULL, 'PhoU', NULL, NULL, NULL, 6),
(8779, NULL, 'PF02481', NULL, NULL, 'DNA recombination-mediator protein A', NULL, 'DNA_processg_A', NULL, NULL, NULL, 6),
(8780, NULL, 'PF04223', NULL, NULL, 'Citrate lyase, alpha subunit (CitF)', NULL, 'CitF', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8781, NULL, 'PF16252', NULL, NULL, 'Domain of unknown function (DUF4908)', NULL, 'DUF4908', NULL, NULL, NULL, 6),
(8782, NULL, 'PF01602', NULL, NULL, 'Adaptin N terminal region', NULL, 'Adaptin_N', NULL, NULL, NULL, 6),
(8783, NULL, 'PF18465', NULL, NULL, 'Rieske 3Fe-4S', NULL, 'Rieske_3', NULL, NULL, NULL, 6),
(8784, NULL, 'PF17679', NULL, NULL, 'gp37/Dip protein', NULL, 'Dip', NULL, NULL, NULL, 6),
(8785, NULL, 'PF03431', NULL, NULL, 'RNA replicase, beta-chain', NULL, 'RNA_replicase_B', NULL, NULL, NULL, 6),
(8786, NULL, 'PF06690', NULL, NULL, 'Protein of unknown function (DUF1188)', NULL, 'DUF1188', NULL, NULL, NULL, 6),
(8787, NULL, 'PF14716', NULL, NULL, 'Helix-hairpin-helix domain', NULL, 'HHH_8', NULL, NULL, NULL, 6),
(8788, NULL, 'PF16060', NULL, NULL, 'Domain of unknown function (DUF4802)', NULL, 'DUF4802', NULL, NULL, NULL, 6),
(8789, NULL, 'PF02317', NULL, NULL, 'NAD/NADP octopine/nopaline dehydrogenase, alpha-helical domain', NULL, 'Octopine_DH', NULL, NULL, NULL, 6),
(8790, NULL, 'PF03534', NULL, NULL, 'Salmonella virulence plasmid 65kDa B protein', NULL, 'SpvB', NULL, NULL, NULL, 6),
(8791, NULL, 'PF07264', NULL, NULL, 'Etoposide-induced protein 2.4 (EI24)', NULL, 'EI24', NULL, NULL, NULL, 6),
(8792, NULL, 'PF12950', NULL, NULL, 'TaqI-like C-terminal specificity domain', NULL, 'TaqI_C', NULL, NULL, NULL, 6),
(8793, NULL, 'PF00825', NULL, NULL, 'Ribonuclease P', NULL, 'Ribonuclease_P', NULL, NULL, NULL, 6),
(8794, NULL, 'PF18088', NULL, NULL, 'Glycoside Hydrolase 20C C-terminal domain', NULL, 'Glyco_H_20C_C', NULL, NULL, NULL, 6),
(8795, NULL, 'PF12682', NULL, NULL, 'Flavodoxin', NULL, 'Flavodoxin_4', NULL, NULL, NULL, 6),
(8796, NULL, 'PF18133', NULL, NULL, 'Hydrogen maturase F tetramerization domain', NULL, 'HydF_tetramer', NULL, NULL, NULL, 6),
(8797, NULL, 'PF02741', NULL, NULL, 'FTR, proximal lobe', NULL, 'FTR_C', NULL, NULL, NULL, 6),
(8798, NULL, 'PF10129', NULL, NULL, 'OpgC protein', NULL, 'OpgC_C', NULL, NULL, NULL, 6),
(8799, NULL, 'PF04830', NULL, NULL, 'Possible hemagglutinin (DUF637)', NULL, 'DUF637', NULL, NULL, NULL, 6),
(8800, NULL, 'PF17217', NULL, NULL, 'UPA domain', NULL, 'UPA', NULL, NULL, NULL, 6),
(8801, NULL, 'PF14650', NULL, NULL, 'FAM75 family', NULL, 'FAM75', NULL, NULL, NULL, 6),
(8802, NULL, 'PF17275', NULL, NULL, 'Family of unknown function (DUF5340)', NULL, 'DUF5340', NULL, NULL, NULL, 6),
(8803, NULL, 'PF17945', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall_4', NULL, NULL, NULL, 6),
(8804, NULL, 'PF01232', NULL, NULL, 'Mannitol dehydrogenase Rossmann domain', NULL, 'Mannitol_dh', NULL, NULL, NULL, 6),
(8805, NULL, 'PF16878', NULL, NULL, 'Transcriptional regulator, SIX1, N-terminal SD domain', NULL, 'SIX1_SD', NULL, NULL, NULL, 6),
(8806, NULL, 'PF04167', NULL, NULL, 'Protein of unknown function (DUF402)', NULL, 'DUF402', NULL, NULL, NULL, 6),
(8807, NULL, 'PF00457', NULL, NULL, 'Glycosyl hydrolases family 11', NULL, 'Glyco_hydro_11', NULL, NULL, NULL, 6),
(8808, NULL, 'PF02055', NULL, NULL, 'Glycosyl hydrolase family 30 TIM-barrel domain', NULL, 'Glyco_hydro_30', NULL, NULL, NULL, 6),
(8809, NULL, 'PF00255', NULL, NULL, 'Glutathione peroxidase', NULL, 'GSHPx', NULL, NULL, NULL, 6),
(8810, NULL, 'PF03746', NULL, NULL, 'LamB/YcsF family', NULL, 'LamB_YcsF', NULL, NULL, NULL, 6),
(8811, NULL, 'PF17601', NULL, NULL, 'Family of unknown function (DUF5497)', NULL, 'DUF5497', NULL, NULL, NULL, 6),
(8812, NULL, 'PF01771', NULL, NULL, 'Viral alkaline exonuclease', NULL, 'Viral_alk_exo', NULL, NULL, NULL, 6),
(8813, NULL, 'PF15101', NULL, NULL, 'Telomere-associated protein TERB2', NULL, 'TERB2', NULL, NULL, NULL, 6),
(8814, NULL, 'PF05883', NULL, NULL, 'Baculovirus U-box/Ring-like domain', NULL, 'Baculo_RING', NULL, NULL, NULL, 6),
(8815, NULL, 'PF11472', NULL, NULL, 'Protein of unknown function (DUF3206)', NULL, 'DUF3206', NULL, NULL, NULL, 6),
(8816, NULL, 'PF01228', NULL, NULL, 'Glycine radical', NULL, 'Gly_radical', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8817, NULL, 'PF12388', NULL, NULL, 'Dual-action HEIGH metallo-peptidase', NULL, 'Peptidase_M57', NULL, NULL, NULL, 6),
(8818, NULL, 'PF12977', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3861)', NULL, 'DUF3861', NULL, NULL, NULL, 6),
(8819, NULL, 'PF16227', NULL, NULL, 'Domain of unknown function (DUF4886)', NULL, 'DUF4886', NULL, NULL, NULL, 6),
(8820, NULL, 'PF07935', NULL, NULL, 'ORF D-335-like protein', NULL, 'SSV1_ORF_D-335', NULL, NULL, NULL, 6),
(8821, NULL, 'PF17698', NULL, NULL, 'Family of unknown function (DUF5544)', NULL, 'DUF5544', NULL, NULL, NULL, 6),
(8822, NULL, 'PF13618', NULL, NULL, 'Gluconate 2-dehydrogenase subunit 3', NULL, 'Gluconate_2-dh3', NULL, NULL, NULL, 6),
(8823, NULL, 'PF17823', NULL, NULL, 'Family of unknown function (DUF5585)', NULL, 'DUF5585', NULL, NULL, NULL, 6),
(8824, NULL, 'PF00068', NULL, NULL, 'Phospholipase A2', NULL, 'Phospholip_A2_1', NULL, NULL, NULL, 6),
(8825, NULL, 'PF18916', NULL, NULL, 'Lycopene cyclase', NULL, 'Lycopene_cyc', NULL, NULL, NULL, 6),
(8826, NULL, 'PF05280', NULL, NULL, 'Flagellar transcriptional activator (FlhC)', NULL, 'FlhC', NULL, NULL, NULL, 6),
(8827, NULL, 'PF11585', NULL, NULL, 'Insect antimicrobial peptide, stomoxyn', NULL, 'Stomoxyn', NULL, NULL, NULL, 6),
(8828, NULL, 'PF07101', NULL, NULL, 'Protein of unknown function (DUF1363)', NULL, 'DUF1363', NULL, NULL, NULL, 6),
(8829, NULL, 'PF13635', NULL, NULL, 'Domain of unknown function (DUF4143)', NULL, 'DUF4143', NULL, NULL, NULL, 6),
(8830, NULL, 'PF16931', NULL, NULL, 'Putative phage holin', NULL, 'Phage_holin_8', NULL, NULL, NULL, 6),
(8831, NULL, 'PF17440', NULL, NULL, 'Thiol-activated cytolysin beta sandwich domain', NULL, 'Thiol_cytolys_C', NULL, NULL, NULL, 6),
(8832, NULL, 'PF11905', NULL, NULL, 'Domain of unknown function (DUF3425)', NULL, 'DUF3425', NULL, NULL, NULL, 6),
(8833, NULL, 'PF10032', NULL, NULL, 'Phosphate transport (Pho88)', NULL, 'Pho88', NULL, NULL, NULL, 6),
(8834, NULL, 'PF07158', NULL, NULL, 'Dicarboxylate carrier protein MatC N-terminus', NULL, 'MatC_N', NULL, NULL, NULL, 6),
(8835, NULL, 'PF06708', NULL, NULL, 'Protein of unknown function (DUF1195)', NULL, 'DUF1195', NULL, NULL, NULL, 6),
(8836, NULL, 'PF01804', NULL, NULL, 'Penicillin amidase', NULL, 'Penicil_amidase', NULL, NULL, NULL, 6),
(8837, NULL, 'PF04176', NULL, NULL, 'TIP41-like family', NULL, 'TIP41', NULL, NULL, NULL, 6),
(8838, NULL, 'PF10505', NULL, NULL, 'NMDA receptor-regulated gene protein 2 C-terminus', NULL, 'NARG2_C', NULL, NULL, NULL, 6),
(8839, NULL, 'PF05558', NULL, NULL, 'DREPP plasma membrane polypeptide', NULL, 'DREPP', NULL, NULL, NULL, 6),
(8840, NULL, 'PF06525', NULL, NULL, 'Sulfocyanin (SoxE) domain', NULL, 'SoxE', NULL, NULL, NULL, 6),
(8841, NULL, 'PF08043', NULL, NULL, 'Xin repeat', NULL, 'Xin', NULL, NULL, NULL, 6),
(8842, NULL, 'PF12915', NULL, NULL, 'Protein of unknown function (DUF3833)', NULL, 'DUF3833', NULL, NULL, NULL, 6),
(8843, NULL, 'PF03031', NULL, NULL, 'NLI interacting factor-like phosphatase', NULL, 'NIF', NULL, NULL, NULL, 6),
(8844, NULL, 'PF09106', NULL, NULL, 'Elongation factor SelB, winged helix', NULL, 'SelB-wing_2', NULL, NULL, NULL, 6),
(8845, NULL, 'PF06713', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_4', NULL, NULL, NULL, 6),
(8846, NULL, 'PF15768', NULL, NULL, 'Coiled-coil domain-containing protein 190', NULL, 'CC190', NULL, NULL, NULL, 6),
(8847, NULL, 'PF04020', NULL, NULL, 'Mycobacterial 4 TMS phage holin, superfamily IV', NULL, 'Phage_holin_4_2', NULL, NULL, NULL, 6),
(8848, NULL, 'PF10357', NULL, NULL, 'Domain of Kin17 curved DNA-binding protein', NULL, 'Kin17_mid', NULL, NULL, NULL, 6),
(8849, NULL, 'PF06878', NULL, NULL, 'Pkip-1 protein', NULL, 'Pkip-1', NULL, NULL, NULL, 6),
(8850, NULL, 'PF17271', NULL, NULL, 'TcfC Usher-like barrel domain', NULL, 'Usher_TcfC', NULL, NULL, NULL, 6),
(8851, NULL, 'PF05949', NULL, NULL, 'Bacterial protein of unknown function (DUF881)', NULL, 'DUF881', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8852, NULL, 'PF07356', NULL, NULL, 'Protein of unknown function (DUF1481)', NULL, 'DUF1481', NULL, NULL, NULL, 6),
(8853, NULL, 'PF17402', NULL, NULL, 'Family of unknown function (DUF5408)', NULL, 'DUF5408', NULL, NULL, NULL, 6),
(8854, NULL, 'PF03208', NULL, NULL, 'PRA1 family protein', NULL, 'PRA1', NULL, NULL, NULL, 6),
(8855, NULL, 'PF00595', NULL, NULL, 'PDZ domain', NULL, 'PDZ', NULL, NULL, NULL, 6),
(8856, NULL, 'PF10578', NULL, NULL, 'Seminal vesicle protein repeat', NULL, 'SVS_QK', NULL, NULL, NULL, 6),
(8857, NULL, 'PF02301', NULL, NULL, 'HORMA domain', NULL, 'HORMA', NULL, NULL, NULL, 6),
(8858, NULL, 'PF08400', NULL, NULL, 'Prophage tail fibre N-terminal', NULL, 'phage_tail_N', NULL, NULL, NULL, 6),
(8859, NULL, 'PF13049', NULL, NULL, 'Protein of unknown function (DUF3910)', NULL, 'DUF3910', NULL, NULL, NULL, 6),
(8860, NULL, 'PF07564', NULL, NULL, 'Domain of Unknown Function (DUF1542)', NULL, 'DUF1542', NULL, NULL, NULL, 6),
(8861, NULL, 'PF01286', NULL, NULL, 'XPA protein N-terminal', NULL, 'XPA_N', NULL, NULL, NULL, 6),
(8862, NULL, 'PF10879', NULL, NULL, 'Protein of unknown function (DUF2674)', NULL, 'DUF2674', NULL, NULL, NULL, 6),
(8863, NULL, 'PF07793', NULL, NULL, 'Protein of unknown function (DUF1631)', NULL, 'DUF1631', NULL, NULL, NULL, 6),
(8864, NULL, 'PF13193', NULL, NULL, 'AMP-binding enzyme C-terminal domain', NULL, 'AMP-binding_C', NULL, NULL, NULL, 6),
(8865, NULL, 'PF14535', NULL, NULL, 'AMP-binding enzyme C-terminal domain', NULL, 'AMP-binding_C_2', NULL, NULL, NULL, 6),
(8866, NULL, 'PF10830', NULL, NULL, 'Protein of unknown function (DUF2553)', NULL, 'DUF2553', NULL, NULL, NULL, 6),
(8867, NULL, 'PF09209', NULL, NULL, 'HTH-type transcriptional dual regulator CecR, C-terminal domain', NULL, 'CecR_C', NULL, NULL, NULL, 6),
(8868, NULL, 'PF05353', NULL, NULL, 'Delta Atracotoxin', NULL, 'Atracotoxin', NULL, NULL, NULL, 6),
(8869, NULL, 'PF07002', NULL, NULL, 'Copine', NULL, 'Copine', NULL, NULL, NULL, 6),
(8870, NULL, 'PF16860', NULL, NULL, 'CHCH-CHCH-like Cx9C, IMS import disulfide relay-system,', NULL, 'CX9C', NULL, NULL, NULL, 6),
(8871, NULL, 'PF02005', NULL, NULL, 'N2,N2-dimethylguanosine tRNA methyltransferase', NULL, 'TRM', NULL, NULL, NULL, 6),
(8872, NULL, 'PF06609', NULL, NULL, 'Fungal trichothecene efflux pump (TRI12)', NULL, 'TRI12', NULL, NULL, NULL, 6),
(8873, NULL, 'PF11983', NULL, NULL, 'Membrane-attachment and polymerisation-promoting switch', NULL, 'DUF3484', NULL, NULL, NULL, 6),
(8874, NULL, 'PF14587', NULL, NULL, 'O-Glycosyl hydrolase family 30', NULL, 'Glyco_hydr_30_2', NULL, NULL, NULL, 6),
(8875, NULL, 'PF16259', NULL, NULL, 'Domain of unknown function (DUF4913)', NULL, 'DUF4913', NULL, NULL, NULL, 6),
(8876, NULL, 'PF15919', NULL, NULL, 'HicB_like antitoxin of bacterial toxin-antitoxin system', NULL, 'HicB_lk_antitox', NULL, NULL, NULL, 6),
(8877, NULL, 'PF13536', NULL, NULL, 'Putative multidrug resistance efflux transporter', NULL, 'EmrE', NULL, NULL, NULL, 6),
(8878, NULL, 'PF07475', NULL, NULL, 'HPr Serine kinase C-terminal domain', NULL, 'Hpr_kinase_C', NULL, NULL, NULL, 6),
(8879, NULL, 'PF13725', NULL, NULL, 'Possible tRNA binding domain', NULL, 'tRNA_bind_2', NULL, NULL, NULL, 6),
(8880, NULL, 'PF14014', NULL, NULL, 'Protein of unknown function (DUF4230)', NULL, 'DUF4230', NULL, NULL, NULL, 6),
(8881, NULL, 'PF08243', NULL, NULL, 'SPT2 chromatin protein', NULL, 'SPT2', NULL, NULL, NULL, 6),
(8882, NULL, 'PF04427', NULL, NULL, 'Brix domain', NULL, 'Brix', NULL, NULL, NULL, 6),
(8883, NULL, 'PF08056', NULL, NULL, 'Tryptophan operon leader peptide', NULL, 'Trp_leader2', NULL, NULL, NULL, 6),
(8884, NULL, 'PF13846', NULL, NULL, 'Domain of unknown function (DUF4196)', NULL, 'DUF4196', NULL, NULL, NULL, 6),
(8885, NULL, 'PF18924', NULL, NULL, 'Protein of unknown function (DUF5674)', NULL, 'DUF5674', NULL, NULL, NULL, 6),
(8886, NULL, 'PF11340', NULL, NULL, 'Protein of unknown function (DUF3142)', NULL, 'DUF3142', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8887, NULL, 'PF09218', NULL, NULL, 'Domain of unknown function (DUF1959)', NULL, 'DUF1959', NULL, NULL, NULL, 6),
(8888, NULL, 'PF15186', NULL, NULL, 'Testis-expressed sequence 13 protein family', NULL, 'TEX13', NULL, NULL, NULL, 6),
(8889, NULL, 'PF01996', NULL, NULL, 'F420-0:Gamma-glutamyl ligase', NULL, 'F420_ligase', NULL, NULL, NULL, 6),
(8890, NULL, 'PF05977', NULL, NULL, 'Transmembrane secretion effector', NULL, 'MFS_3', NULL, NULL, NULL, 6),
(8891, NULL, 'PF14374', NULL, NULL, '60S ribosomal protein L4 C-terminal domain', NULL, 'Ribos_L4_asso_C', NULL, NULL, NULL, 6),
(8892, NULL, 'PF14392', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_4', NULL, NULL, NULL, 6),
(8893, NULL, 'PF03103', NULL, NULL, 'Domain of unknown function (DUF243)', NULL, 'DUF243', NULL, NULL, NULL, 6),
(8894, NULL, 'PF13754', NULL, NULL, 'Domain of unknown function', NULL, 'Big_3_4', NULL, NULL, NULL, 6),
(8895, NULL, 'PF18463', NULL, NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', NULL, 'PCSK9_C3', NULL, NULL, NULL, 6),
(8896, NULL, 'PF03085', NULL, NULL, 'Rhoptry-associated protein 1 (RAP-1)', NULL, 'RAP-1', NULL, NULL, NULL, 6),
(8897, NULL, 'PF00515', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_1', NULL, NULL, NULL, 6),
(8898, NULL, 'PF14032', NULL, NULL, 'PknH-like extracellular domain', NULL, 'PknH_C', NULL, NULL, NULL, 6),
(8899, NULL, 'PF16900', NULL, NULL, 'Replication protein A OB domain', NULL, 'REPA_OB_2', NULL, NULL, NULL, 6),
(8900, NULL, 'PF03106', NULL, NULL, 'WRKY DNA -binding domain', NULL, 'WRKY', NULL, NULL, NULL, 6),
(8901, NULL, 'PF01262', NULL, NULL, 'Alanine dehydrogenase/PNT, C-terminal domain', NULL, 'AlaDh_PNT_C', NULL, NULL, NULL, 6),
(8902, NULL, 'PF04395', NULL, NULL, 'Poxvirus B22R protein', NULL, 'Poxvirus_B22R', NULL, NULL, NULL, 6),
(8903, NULL, 'PF06595', NULL, NULL, 'Borna disease virus P24 protein', NULL, 'BDV_P24', NULL, NULL, NULL, 6),
(8904, NULL, 'PF17580', NULL, NULL, 'Group B Rotavirus Non-structural protein 5', NULL, 'GBR_NSP5', NULL, NULL, NULL, 6),
(8905, NULL, 'PF07521', NULL, NULL, 'Zn-dependent metallo-hydrolase RNA specificity domain', NULL, 'RMMBL', NULL, NULL, NULL, 6),
(8906, NULL, 'PF14195', NULL, NULL, 'Domain of unknown function (DUF4316)', NULL, 'DUF4316', NULL, NULL, NULL, 6),
(8907, NULL, 'PF04703', NULL, NULL, 'FaeA-like protein', NULL, 'FaeA', NULL, NULL, NULL, 6),
(8908, NULL, 'PF02043', NULL, NULL, 'Bacteriochlorophyll C binding protein', NULL, 'Bac_chlorC', NULL, NULL, NULL, 6),
(8909, NULL, 'PF07627', NULL, NULL, 'Protein of unknown function (DUF1588)', NULL, 'PSCyt3', NULL, NULL, NULL, 6),
(8910, NULL, 'PF09603', NULL, NULL, 'Fibrobacter succinogenes major domain (Fib_succ_major)', NULL, 'Fib_succ_major', NULL, NULL, NULL, 6),
(8911, NULL, 'PF00701', NULL, NULL, 'Dihydrodipicolinate synthetase family', NULL, 'DHDPS', NULL, NULL, NULL, 6),
(8912, NULL, 'PF15946', NULL, NULL, 'Domain of unknown function (DUF4754)', NULL, 'DUF4754', NULL, NULL, NULL, 6),
(8913, NULL, 'PF02388', NULL, NULL, 'FemAB family', NULL, 'FemAB', NULL, NULL, NULL, 6),
(8914, NULL, 'PF10027', NULL, NULL, 'Predicted integral membrane protein (DUF2269)', NULL, 'DUF2269', NULL, NULL, NULL, 6),
(8915, NULL, 'PF16925', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_13', NULL, NULL, NULL, 6),
(8916, NULL, 'PF01484', NULL, NULL, 'Nematode cuticle collagen N-terminal domain', NULL, 'Col_cuticle_N', NULL, NULL, NULL, 6),
(8917, NULL, 'PF03893', NULL, NULL, 'Lipase 3 N-terminal region', NULL, 'Lipase3_N', NULL, NULL, NULL, 6),
(8918, NULL, 'PF04353', NULL, NULL, 'Regulator of RNA polymerase sigma(70) subunit, Rsd/AlgQ', NULL, 'Rsd_AlgQ', NULL, NULL, NULL, 6),
(8919, NULL, 'PF18139', NULL, NULL, 'SLOG in TRPM', NULL, 'LSDAT_euk', NULL, NULL, NULL, 6),
(8920, NULL, 'PF06096', NULL, NULL, 'Baculoviridae 8.2 KDa protein', NULL, 'Baculo_8kDa', NULL, NULL, NULL, 6),
(8921, NULL, 'PF08577', NULL, NULL, 'PI31 proteasome regulator', NULL, 'PI31_Prot_C', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8922, NULL, 'PF01099', NULL, NULL, 'Uteroglobin family', NULL, 'Uteroglobin', NULL, NULL, NULL, 6),
(8923, NULL, 'PF18317', NULL, NULL, 'Shikimate 5''-dehydrogenase C-terminal domain', NULL, 'SDH_C', NULL, NULL, NULL, 6),
(8924, NULL, 'PF10711', NULL, NULL, 'Hypothetical protein (DUF2513)', NULL, 'DUF2513', NULL, NULL, NULL, 6),
(8925, NULL, 'PF05017', NULL, NULL, 'TMP repeat', NULL, 'TMP', NULL, NULL, NULL, 6),
(8926, NULL, 'PF15761', NULL, NULL, 'Immortalisation up-regulated protein', NULL, 'IMUP', NULL, NULL, NULL, 6),
(8927, NULL, 'PF00441', NULL, NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', NULL, 'Acyl-CoA_dh_1', NULL, NULL, NULL, 6),
(8928, NULL, 'PF11226', NULL, NULL, 'Protein of unknown function (DUF3022)', NULL, 'DUF3022', NULL, NULL, NULL, 6),
(8929, NULL, 'PF11288', NULL, NULL, 'Protein of unknown function (DUF3089)', NULL, 'DUF3089', NULL, NULL, NULL, 6),
(8930, NULL, 'PF10846', NULL, NULL, 'Protein of unknown function (DUF2722)', NULL, 'DUF2722', NULL, NULL, NULL, 6),
(8931, NULL, 'PF15319', NULL, NULL, 'RAD9, RAD1, HUS1-interacting nuclear orphan protein', NULL, 'RHINO', NULL, NULL, NULL, 6),
(8932, NULL, 'PF03013', NULL, NULL, 'Pyrimidine dimer DNA glycosylase', NULL, 'Pyr_excise', NULL, NULL, NULL, 6),
(8933, NULL, 'PF02921', NULL, NULL, 'Ubiquinol cytochrome reductase transmembrane region', NULL, 'UCR_TM', NULL, NULL, NULL, 6),
(8934, NULL, 'PF07447', NULL, NULL, 'Matrix protein VP40', NULL, 'VP40', NULL, NULL, NULL, 6),
(8935, NULL, 'PF11583', NULL, NULL, 'P-aminobenzoate N-oxygenase AurF', NULL, 'AurF', NULL, NULL, NULL, 6),
(8936, NULL, 'PF06830', NULL, NULL, 'Root cap', NULL, 'Root_cap', NULL, NULL, NULL, 6),
(8937, NULL, 'PF09285', NULL, NULL, 'Elongation factor P, C-terminal', NULL, 'Elong-fact-P_C', NULL, NULL, NULL, 6),
(8938, NULL, 'PF16163', NULL, NULL, 'Domain of unknown function (DUF4869)', NULL, 'DUF4869', NULL, NULL, NULL, 6),
(8939, NULL, 'PF18033', NULL, NULL, 'SpuA C-terminal', NULL, 'SpuA_C', NULL, NULL, NULL, 6),
(8940, NULL, 'PF01789', NULL, NULL, 'PsbP', NULL, 'PsbP', NULL, NULL, NULL, 6),
(8941, NULL, 'PF11897', NULL, NULL, 'Protein of unknown function (DUF3417)', NULL, 'DUF3417', NULL, NULL, NULL, 6),
(8942, NULL, 'PF04606', NULL, NULL, 'Ogr/Delta-like zinc finger', NULL, 'Ogr_Delta', NULL, NULL, NULL, 6),
(8943, NULL, 'PF11476', NULL, NULL, 'Toxoplasma gondii micronemal protein 1 TgMIC1', NULL, 'TgMIC1', NULL, NULL, NULL, 6),
(8944, NULL, 'PF06821', NULL, NULL, 'Serine hydrolase', NULL, 'Ser_hydrolase', NULL, NULL, NULL, 6),
(8945, NULL, 'PF09092', NULL, NULL, 'Lyase, N terminal', NULL, 'Lyase_N', NULL, NULL, NULL, 6),
(8946, NULL, 'PF12596', NULL, NULL, '87kDa Transposase', NULL, 'Tnp_P_element_C', NULL, NULL, NULL, 6),
(8947, NULL, 'PF14453', NULL, NULL, 'ThiS-like ubiquitin', NULL, 'ThiS-like', NULL, NULL, NULL, 6),
(8948, NULL, 'PF07661', NULL, NULL, 'MORN repeat variant', NULL, 'MORN_2', NULL, NULL, NULL, 6),
(8949, NULL, 'PF14899', NULL, NULL, 'Domain of unknown function (DUF4492)', NULL, 'DUF4492', NULL, NULL, NULL, 6),
(8950, NULL, 'PF14848', NULL, NULL, 'DNA-binding domain', NULL, 'HU-DNA_bdg', NULL, NULL, NULL, 6),
(8951, NULL, 'PF19068', NULL, NULL, 'Family of unknown function (DUF5764)', NULL, 'DUF5764', NULL, NULL, NULL, 6),
(8952, NULL, 'PF09864', NULL, NULL, 'Membrane-bound lysozyme-inhibitor of c-type lysozyme', NULL, 'MliC', NULL, NULL, NULL, 6),
(8953, NULL, 'PF12130', NULL, NULL, 'Bivalent Mical/EHBP Rab binding domain', NULL, 'DUF3585', NULL, NULL, NULL, 6),
(8954, NULL, 'PF10549', NULL, NULL, 'ORF11CD3 domain', NULL, 'ORF11CD3', NULL, NULL, NULL, 6),
(8955, NULL, 'PF14357', NULL, NULL, 'Domain of unknown function (DUF4404)', NULL, 'DUF4404', NULL, NULL, NULL, 6),
(8956, NULL, 'PF01373', NULL, NULL, 'Glycosyl hydrolase family 14', NULL, 'Glyco_hydro_14', NULL, NULL, NULL, 6),
(8957, NULL, 'PF04631', NULL, NULL, 'Per os infectivity factor 2', NULL, 'PIF2', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8958, NULL, 'PF01735', NULL, NULL, 'Lysophospholipase catalytic domain', NULL, 'PLA2_B', NULL, NULL, NULL, 6),
(8959, NULL, 'PF04619', NULL, NULL, 'Dr-family adhesin', NULL, 'Adhesin_Dr', NULL, NULL, NULL, 6),
(8960, NULL, 'PF10836', NULL, NULL, 'Protein of unknown function (DUF2574)', NULL, 'DUF2574', NULL, NULL, NULL, 6),
(8961, NULL, 'PF10306', NULL, NULL, 'Hypothetical protein FLILHELTA', NULL, 'FLILHELTA', NULL, NULL, NULL, 6),
(8962, NULL, 'PF13574', NULL, NULL, 'Metallo-peptidase family M12B Reprolysin-like', NULL, 'Reprolysin_2', NULL, NULL, NULL, 6),
(8963, NULL, 'PF10195', NULL, NULL, 'DNA-binding nuclear phosphoprotein p8', NULL, 'Phospho_p8', NULL, NULL, NULL, 6),
(8964, NULL, 'PF00832', NULL, NULL, 'Ribosomal L39 protein', NULL, 'Ribosomal_L39', NULL, NULL, NULL, 6),
(8965, NULL, 'PF14175', NULL, NULL, 'YaaC-like Protein', NULL, 'YaaC', NULL, NULL, NULL, 6),
(8966, NULL, 'PF11305', NULL, NULL, 'Protein of unknown function (DUF3107)', NULL, 'DUF3107', NULL, NULL, NULL, 6),
(8967, NULL, 'PF10377', NULL, NULL, 'Autophagy-related protein 11', NULL, 'ATG11', NULL, NULL, NULL, 6),
(8968, NULL, 'PF12154', NULL, NULL, 'Glycoprotein B N-terminal antigenic domain of HCMV', NULL, 'HCMVantigenic_N', NULL, NULL, NULL, 6),
(8969, NULL, 'PF13176', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_7', NULL, NULL, NULL, 6),
(8970, NULL, 'PF15882', NULL, NULL, 'Domain of unknown function (DUF4735)', NULL, 'DUF4735', NULL, NULL, NULL, 6),
(8971, NULL, 'PF04793', NULL, NULL, 'BRRF1-like protein', NULL, 'Herpes_BBRF1', NULL, NULL, NULL, 6),
(8972, NULL, 'PF00049', NULL, NULL, 'Insulin/IGF/Relaxin family', NULL, 'Insulin', NULL, NULL, NULL, 6),
(8973, NULL, 'PF13266', NULL, NULL, 'Protein of unknown function (DUF4057)', NULL, 'DUF4057', NULL, NULL, NULL, 6),
(8974, NULL, 'PF08411', NULL, NULL, 'Exonuclease C-terminal', NULL, 'Exonuc_X-T_C', NULL, NULL, NULL, 6),
(8975, NULL, 'PF02754', NULL, NULL, 'Cysteine-rich domain', NULL, 'CCG', NULL, NULL, NULL, 6),
(8976, NULL, 'PF17177', NULL, NULL, 'Pentacotripeptide-repeat region of PRORP', NULL, 'PPR_long', NULL, NULL, NULL, 6),
(8977, NULL, 'PF12536', NULL, NULL, 'Patatin phospholipase', NULL, 'DUF3734', NULL, NULL, NULL, 6),
(8978, NULL, 'PF15869', NULL, NULL, 'TolB-like 6-blade propeller-like', NULL, 'TolB_like', NULL, NULL, NULL, 6),
(8979, NULL, 'PF01383', NULL, NULL, 'CpcD/allophycocyanin linker domain', NULL, 'CpcD', NULL, NULL, NULL, 6),
(8980, NULL, 'PF06259', NULL, NULL, 'Alpha/beta hydrolase', NULL, 'Abhydrolase_8', NULL, NULL, NULL, 6),
(8981, NULL, 'PF10379', NULL, NULL, 'Virulence protein nec1', NULL, 'nec1', NULL, NULL, NULL, 6),
(8982, NULL, 'PF08070', NULL, NULL, 'DTHCT (NUC029) region', NULL, 'DTHCT', NULL, NULL, NULL, 6),
(8983, NULL, 'PF01747', NULL, NULL, 'ATP-sulfurylase', NULL, 'ATP-sulfurylase', NULL, NULL, NULL, 6),
(8984, NULL, 'PF13483', NULL, NULL, 'Beta-lactamase superfamily domain', NULL, 'Lactamase_B_3', NULL, NULL, NULL, 6),
(8985, NULL, 'PF07172', NULL, NULL, 'Glycine rich protein family', NULL, 'GRP', NULL, NULL, NULL, 6),
(8986, NULL, 'PF14163', NULL, NULL, 'Super-infection exclusion protein B', NULL, 'SieB', NULL, NULL, NULL, 6),
(8987, NULL, 'PF07550', NULL, NULL, 'Protein of unknown function (DUF1533)', NULL, 'DUF1533', NULL, NULL, NULL, 6),
(8988, NULL, 'PF05802', NULL, NULL, 'Enterobacterial EspB protein', NULL, 'EspB', NULL, NULL, NULL, 6),
(8989, NULL, 'PF00960', NULL, NULL, 'Neocarzinostatin family', NULL, 'Neocarzinostat', NULL, NULL, NULL, 6),
(8990, NULL, 'PF07163', NULL, NULL, 'Pex26 protein', NULL, 'Pex26', NULL, NULL, NULL, 6),
(8991, NULL, 'PF16068', NULL, NULL, 'Domain of unknown function (DUF4810)', NULL, 'DUF4810', NULL, NULL, NULL, 6),
(8992, NULL, 'PF04293', NULL, NULL, 'SpoVR like protein', NULL, 'SpoVR', NULL, NULL, NULL, 6),
(8993, NULL, 'PF13048', NULL, NULL, 'Protein of unknown function (DUF3908)', NULL, 'DUF3908', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(8994, NULL, 'PF14351', NULL, NULL, 'Domain of unknown function (DUF4401)', NULL, 'DUF4401', NULL, NULL, NULL, 6),
(8995, NULL, 'PF04407', NULL, NULL, 'Protein of unknown function (DUF531)', NULL, 'DUF531', NULL, NULL, NULL, 6),
(8996, NULL, 'PF05172', NULL, NULL, 'Nup53/35/40-type RNA recognition motif', NULL, 'Nup35_RRM', NULL, NULL, NULL, 6),
(8997, NULL, 'PF12010', NULL, NULL, 'Domain of unknown function (DUF3502)', NULL, 'DUF3502', NULL, NULL, NULL, 6),
(8998, NULL, 'PF18639', NULL, NULL, 'Yeast longin domain', NULL, 'Longin_2', NULL, NULL, NULL, 6),
(8999, NULL, 'PF07982', NULL, NULL, 'Herpes UL74 glycoproteins', NULL, 'Herpes_UL74', NULL, NULL, NULL, 6),
(9000, NULL, 'PF16743', NULL, NULL, 'Periplasmic lysozyme inhibitor of I-type lysozyme', NULL, 'PliI', NULL, NULL, NULL, 6),
(9001, NULL, 'PF10789', NULL, NULL, 'Phage RNA polymerase binding, RpbA', NULL, 'Phage_RpbA', NULL, NULL, NULL, 6),
(9002, NULL, 'PF03494', NULL, NULL, 'Beta-amyloid peptide (beta-APP)', NULL, 'Beta-APP', NULL, NULL, NULL, 6),
(9003, NULL, 'PF12268', NULL, NULL, 'Protein of unknown function (DUF3612)', NULL, 'DUF3612', NULL, NULL, NULL, 6),
(9004, NULL, 'PF01474', NULL, NULL, 'Class-II DAHP synthetase family', NULL, 'DAHP_synth_2', NULL, NULL, NULL, 6),
(9005, NULL, 'PF09638', NULL, NULL, 'Ph1570 protein', NULL, 'Ph1570', NULL, NULL, NULL, 6),
(9006, NULL, 'PF10061', NULL, NULL, 'Uncharacterized conserved protein (DUF2299)', NULL, 'DUF2299', NULL, NULL, NULL, 6),
(9007, NULL, 'PF04297', NULL, NULL, 'Putative helix-turn-helix protein, YlxM / p13 like', NULL, 'UPF0122', NULL, NULL, NULL, 6),
(9008, NULL, 'PF18546', NULL, NULL, 'Methanogen output domain 1', NULL, 'MetOD1', NULL, NULL, NULL, 6),
(9009, NULL, 'PF18955', NULL, NULL, 'Domain of unknown function (DUF5698)', NULL, 'DUF5698', NULL, NULL, NULL, 6),
(9010, NULL, 'PF19164', NULL, NULL, 'Family of unknown function (DUF5846)', NULL, 'DUF5846', NULL, NULL, NULL, 6),
(9011, NULL, 'PF12224', NULL, NULL, 'Putative amidoligase enzyme', NULL, 'Amidoligase_2', NULL, NULL, NULL, 6),
(9012, NULL, 'PF08044', NULL, NULL, 'Domain of unknown function (DUF1707)', NULL, 'DUF1707', NULL, NULL, NULL, 6),
(9013, NULL, 'PF16385', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4994', NULL, NULL, NULL, 6),
(9014, NULL, 'PF05693', NULL, NULL, 'Glycogen synthase', NULL, 'Glycogen_syn', NULL, NULL, NULL, 6),
(9015, NULL, 'PF13108', NULL, NULL, 'Protein of unknown function (DUF3969)', NULL, 'DUF3969', NULL, NULL, NULL, 6),
(9016, NULL, 'PF08954', NULL, NULL, 'Trimerisation motif', NULL, 'Trimer_CC', NULL, NULL, NULL, 6),
(9017, NULL, 'PF10474', NULL, NULL, 'Protein of unknown function C-terminus (DUF2451)', NULL, 'DUF2451', NULL, NULL, NULL, 6),
(9018, NULL, 'PF08838', NULL, NULL, 'Protein of unknown function (DUF1811)', NULL, 'DUF1811', NULL, NULL, NULL, 6),
(9019, NULL, 'PF19182', NULL, NULL, 'Family of unknown function (DUF5864)', NULL, 'DUF5864', NULL, NULL, NULL, 6),
(9020, NULL, 'PF11684', NULL, NULL, 'Protein of unknown function (DUF2380)', NULL, 'DUF3280', NULL, NULL, NULL, 6),
(9021, NULL, 'PF13599', NULL, NULL, 'Pentapeptide repeats (9 copies)', NULL, 'Pentapeptide_4', NULL, NULL, NULL, 6),
(9022, NULL, 'PF03856', NULL, NULL, 'Beta-glucosidase (SUN family)', NULL, 'SUN', NULL, NULL, NULL, 6),
(9023, NULL, 'PF02786', NULL, NULL, 'Carbamoyl-phosphate synthase L chain, ATP binding domain', NULL, 'CPSase_L_D2', NULL, NULL, NULL, 6),
(9024, NULL, 'PF11963', NULL, NULL, 'Protein of unknown function (DUF3477)', NULL, 'DUF3477', NULL, NULL, NULL, 6),
(9025, NULL, 'PF08462', NULL, NULL, 'Carmovirus coat protein', NULL, 'Carmo_coat_C', NULL, NULL, NULL, 6),
(9026, NULL, 'PF11360', NULL, NULL, 'Protein of unknown function (DUF3110)', NULL, 'DUF3110', NULL, NULL, NULL, 6),
(9027, NULL, 'PF02406', NULL, NULL, 'MmoB/DmpM family', NULL, 'MmoB_DmpM', NULL, NULL, NULL, 6),
(9028, NULL, 'PF19047', NULL, NULL, 'HOOK domain', NULL, 'HOOK_N', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9029, NULL, 'PF16804', NULL, NULL, 'Domain of unknown function (DUF5071)', NULL, 'DUF5071', NULL, NULL, NULL, 6),
(9030, NULL, 'PF03594', NULL, NULL, 'Benzoate membrane transport protein', NULL, 'BenE', NULL, NULL, NULL, 6),
(9031, NULL, 'PF02182', NULL, NULL, 'SAD/SRA domain', NULL, 'SAD_SRA', NULL, NULL, NULL, 6),
(9032, NULL, 'PF04228', NULL, NULL, 'Putative neutral zinc metallopeptidase', NULL, 'Zn_peptidase', NULL, NULL, NULL, 6),
(9033, NULL, 'PF11663', NULL, NULL, 'Toxin with endonuclease activity, of toxin-antitoxin system', NULL, 'Toxin_YhaV', NULL, NULL, NULL, 6),
(9034, NULL, 'PF11384', NULL, NULL, 'Protein of unknown function (DUF3188)', NULL, 'DUF3188', NULL, NULL, NULL, 6),
(9035, NULL, 'PF04782', NULL, NULL, 'Protein of unknown function (DUF632)', NULL, 'DUF632', NULL, NULL, NULL, 6),
(9036, NULL, 'PF07532', NULL, NULL, 'Bacterial Ig-like domain (group 4)', NULL, 'Big_4', NULL, NULL, NULL, 6),
(9037, NULL, 'PF18758', NULL, NULL, 'Kyakuja-Dileera-Zisupton transposase', NULL, 'KDZ', NULL, NULL, NULL, 6),
(9038, NULL, 'PF10799', NULL, NULL, 'Biofilm formation protein (YliH/bssR)', NULL, 'YliH', NULL, NULL, NULL, 6),
(9039, NULL, 'PF15512', NULL, NULL, 'Chromatin assembly factor complex 1 subunit p60, C-terminal', NULL, 'CAF-1_p60_C', NULL, NULL, NULL, 6),
(9040, NULL, 'PF13813', NULL, NULL, 'Membrane bound O-acyl transferase family', NULL, 'MBOAT_2', NULL, NULL, NULL, 6),
(9041, NULL, 'PF09996', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2237)', NULL, 'DUF2237', NULL, NULL, NULL, 6),
(9042, NULL, 'PF13385', NULL, NULL, 'Concanavalin A-like lectin/glucanases superfamily', NULL, 'Laminin_G_3', NULL, NULL, NULL, 6),
(9043, NULL, 'PF17353', NULL, NULL, 'Family of unknown function (DUF5381)', NULL, 'DUF5381', NULL, NULL, NULL, 6),
(9044, NULL, 'PF04350', NULL, NULL, 'Pilus assembly protein, PilO', NULL, 'PilO', NULL, NULL, NULL, 6),
(9045, NULL, 'PF12988', NULL, NULL, 'TraQ conjugal transfer protein', NULL, 'TraQ_transposon', NULL, NULL, NULL, 6),
(9046, NULL, 'PF13458', NULL, NULL, 'Periplasmic binding protein', NULL, 'Peripla_BP_6', NULL, NULL, NULL, 6),
(9047, NULL, 'PF16853', NULL, NULL, 'Cell division control protein 13 N-terminus', NULL, 'CDC13_N', NULL, NULL, NULL, 6),
(9048, NULL, 'PF07878', NULL, NULL, 'CopG-like RHH_1 or ribbon-helix-helix domain, RHH_5', NULL, 'RHH_5', NULL, NULL, NULL, 6),
(9049, NULL, 'PF11577', NULL, NULL, 'NF-kappa-B essential modulator NEMO', NULL, 'NEMO', NULL, NULL, NULL, 6),
(9050, NULL, 'PF03968', NULL, NULL, 'LptA/(LptD N-terminal domain) LPS transport protein', NULL, 'LptD_N', NULL, NULL, NULL, 6),
(9051, NULL, 'PF02942', NULL, NULL, 'Influenza B non-structural protein (NS1)', NULL, 'Flu_B_NS1', NULL, NULL, NULL, 6),
(9052, NULL, 'PF11091', NULL, NULL, 'Tail-tube assembly protein', NULL, 'T4_tail_cap', NULL, NULL, NULL, 6),
(9053, NULL, 'PF08026', NULL, NULL, 'Bee antimicrobial peptide', NULL, 'Antimicrobial_5', NULL, NULL, NULL, 6),
(9054, NULL, 'PF16706', NULL, NULL, 'Izumo-like Immunoglobulin domain', NULL, 'Izumo-Ig', NULL, NULL, NULL, 6),
(9055, NULL, 'PF09299', NULL, NULL, 'Mu transposase, C-terminal', NULL, 'Mu-transpos_C', NULL, NULL, NULL, 6),
(9056, NULL, 'PF02495', NULL, NULL, 'Triple gene block 3', NULL, 'TGBp3', NULL, NULL, NULL, 6),
(9057, NULL, 'PF02922', NULL, NULL, 'Carbohydrate-binding module 48 (Isoamylase N-terminal domain)', NULL, 'CBM_48', NULL, NULL, NULL, 6),
(9058, NULL, 'PF09275', NULL, NULL, 'Pertussis toxin S4 subunit', NULL, 'Pertus-S4-tox', NULL, NULL, NULL, 6),
(9059, NULL, 'PF12661', NULL, NULL, 'Human growth factor-like EGF', NULL, 'hEGF', NULL, NULL, NULL, 6),
(9060, NULL, 'PF00651', NULL, NULL, 'BTB/POZ domain', NULL, 'BTB', NULL, NULL, NULL, 6),
(9061, NULL, 'PF14474', NULL, NULL, 'RTC4-like domain', NULL, 'RTC4', NULL, NULL, NULL, 6),
(9062, NULL, 'PF14393', NULL, NULL, 'Domain of unknown function (DUF4422)', NULL, 'DUF4422', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9063, NULL, 'PF06483', NULL, NULL, 'Chitinase C', NULL, 'ChiC', NULL, NULL, NULL, 6),
(9064, NULL, 'PF01106', NULL, NULL, 'NifU-like domain', NULL, 'NifU', NULL, NULL, NULL, 6),
(9065, NULL, 'PF08651', NULL, NULL, 'DASH complex subunit Duo1', NULL, 'DASH_Duo1', NULL, NULL, NULL, 6),
(9066, NULL, 'PF11837', NULL, NULL, 'Domain of unknown function (DUF3357)', NULL, 'DUF3357', NULL, NULL, NULL, 6),
(9067, NULL, 'PF18044', NULL, NULL, 'CCCH-type zinc finger', NULL, 'zf-CCCH_4', NULL, NULL, NULL, 6),
(9068, NULL, 'PF13832', NULL, NULL, 'PHD-zinc-finger like domain', NULL, 'zf-HC5HC2H_2', NULL, NULL, NULL, 6),
(9069, NULL, 'PF14013', NULL, NULL, 'MT0933-like antitoxin protein', NULL, 'MT0933_antitox', NULL, NULL, NULL, 6),
(9070, NULL, 'PF11032', NULL, NULL, 'ApoM domain', NULL, 'ApoM', NULL, NULL, NULL, 6),
(9071, NULL, 'PF18371', NULL, NULL, 'Flavin adenine dinucleotide (FAD)-dependent sulfhydryl oxidase', NULL, 'FAD_SOX', NULL, NULL, NULL, 6),
(9072, NULL, 'PF00667', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_1', NULL, NULL, NULL, 6),
(9073, NULL, 'PF02896', NULL, NULL, 'PEP-utilising enzyme, PEP-binding domain', NULL, 'PEP-utilizers_C', NULL, NULL, NULL, 6),
(9074, NULL, 'PF08629', NULL, NULL, 'PDE8 phosphodiesterase', NULL, 'PDE8', NULL, NULL, NULL, 6),
(9075, NULL, 'PF03287', NULL, NULL, 'Poxvirus C7/F8A protein', NULL, 'Pox_C7_F8A', NULL, NULL, NULL, 6),
(9076, NULL, 'PF07769', NULL, NULL, 'psiF repeat', NULL, 'PsiF_repeat', NULL, NULL, NULL, 6),
(9077, NULL, 'PF06834', NULL, NULL, 'TraU protein', NULL, 'TraU', NULL, NULL, NULL, 6),
(9078, NULL, 'PF08199', NULL, NULL, 'Bacteriophage E2-like protein', NULL, 'E2', NULL, NULL, NULL, 6),
(9079, NULL, 'PF00532', NULL, NULL, 'Periplasmic binding proteins and sugar binding domain of LacI family', NULL, 'Peripla_BP_1', NULL, NULL, NULL, 6),
(9080, NULL, 'PF19091', NULL, NULL, 'Family of unknown function (DUF5779)', NULL, 'DUF5779', NULL, NULL, NULL, 6),
(9081, NULL, 'PF12600', NULL, NULL, 'Protein of unknown function (DUF3769)', NULL, 'DUF3769', NULL, NULL, NULL, 6),
(9082, NULL, 'PF13288', NULL, NULL, 'DXP reductoisomerase C-terminal domain', NULL, 'DXPR_C', NULL, NULL, NULL, 6),
(9083, NULL, 'PF06872', NULL, NULL, 'EspG protein', NULL, 'EspG', NULL, NULL, NULL, 6),
(9084, NULL, 'PF11922', NULL, NULL, 'Domain of unknown function (DUF3440)', NULL, 'DUF3440', NULL, NULL, NULL, 6),
(9085, NULL, 'PF07872', NULL, NULL, 'Protein of unknown function (DUF1659)', NULL, 'DUF1659', NULL, NULL, NULL, 6),
(9086, NULL, 'PF01890', NULL, NULL, 'Cobalamin synthesis G C-terminus', NULL, 'CbiG_C', NULL, NULL, NULL, 6),
(9087, NULL, 'PF07275', NULL, NULL, 'Antirestriction protein (ArdA)', NULL, 'ArdA', NULL, NULL, NULL, 6),
(9088, NULL, 'PF09532', NULL, NULL, 'FDF domain', NULL, 'FDF', NULL, NULL, NULL, 6),
(9089, NULL, 'PF18230', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal sub-domain', NULL, 'Glyc_hyd_38C_2', NULL, NULL, NULL, 6),
(9090, NULL, 'PF02464', NULL, NULL, 'Competence-damaged protein', NULL, 'CinA', NULL, NULL, NULL, 6),
(9091, NULL, 'PF07034', NULL, NULL, 'Origin recognition complex (ORC) subunit 3 N-terminus', NULL, 'ORC3_N', NULL, NULL, NULL, 6),
(9092, NULL, 'PF00710', NULL, NULL, 'Asparaginase, N-terminal', NULL, 'Asparaginase', NULL, NULL, NULL, 6),
(9093, NULL, 'PF05496', NULL, NULL, 'Holliday junction DNA helicase RuvB P-loop domain', NULL, 'RuvB_N', NULL, NULL, NULL, 6),
(9094, NULL, 'PF12954', NULL, NULL, 'Protein of unknown function (DUF3843)', NULL, 'DUF3843', NULL, NULL, NULL, 6),
(9095, NULL, 'PF15604', NULL, NULL, 'Novel toxin 15', NULL, 'Ntox15', NULL, NULL, NULL, 6),
(9096, NULL, 'PF18158', NULL, NULL, 'Adaptive response protein AidB N-terminal domain', NULL, 'AidB_N', NULL, NULL, NULL, 6),
(9097, NULL, 'PF10740', NULL, NULL, 'Domain of unknown function (DUF2529)', NULL, 'DUF2529', NULL, NULL, NULL, 6),
(9098, NULL, 'PF11801', NULL, NULL, 'Tom37 C-terminal domain', NULL, 'Tom37_C', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9099, NULL, 'PF10808', NULL, NULL, 'Protein of unknown function (DUF2542)', NULL, 'DUF2542', NULL, NULL, NULL, 6),
(9100, NULL, 'PF04287', NULL, NULL, 'tRNA pseudouridine synthase C', NULL, 'DUF446', NULL, NULL, NULL, 6),
(9101, NULL, 'PF02790', NULL, NULL, 'Cytochrome C oxidase subunit II, transmembrane domain', NULL, 'COX2_TM', NULL, NULL, NULL, 6),
(9102, NULL, 'PF11652', NULL, NULL, 'FAM167', NULL, 'FAM167', NULL, NULL, NULL, 6),
(9103, NULL, 'PF01385', NULL, NULL, 'Probable transposase', NULL, 'OrfB_IS605', NULL, NULL, NULL, 6),
(9104, NULL, 'PF01667', NULL, NULL, 'Ribosomal protein S27', NULL, 'Ribosomal_S27e', NULL, NULL, NULL, 6),
(9105, NULL, 'PF02721', NULL, NULL, 'Domain of unknown function DUF223', NULL, 'DUF223', NULL, NULL, NULL, 6),
(9106, NULL, 'PF09614', NULL, NULL, 'CRISPR-associated protein (Cas_Csy2)', NULL, 'Cas_Csy2', NULL, NULL, NULL, 6),
(9107, NULL, 'PF15258', NULL, NULL, 'Protein family of FAM222A', NULL, 'FAM222A', NULL, NULL, NULL, 6),
(9108, NULL, 'PF07784', NULL, NULL, 'Protein of unknown function (DUF1622)', NULL, 'DUF1622', NULL, NULL, NULL, 6),
(9109, NULL, 'PF08805', NULL, NULL, 'PilS N terminal', NULL, 'PilS', NULL, NULL, NULL, 6),
(9110, NULL, 'PF03114', NULL, NULL, 'BAR domain', NULL, 'BAR', NULL, NULL, NULL, 6),
(9111, NULL, 'PF04193', NULL, NULL, 'PQ loop repeat', NULL, 'PQ-loop', NULL, NULL, NULL, 6),
(9112, NULL, 'PF16810', NULL, NULL, 'RXLR phytopathogen effector protein, Avirulence activity', NULL, 'RXLR', NULL, NULL, NULL, 6),
(9113, NULL, 'PF07054', NULL, NULL, 'Pericardin like repeat', NULL, 'Pericardin_rpt', NULL, NULL, NULL, 6),
(9114, NULL, 'PF09233', NULL, NULL, 'Restriction endonuclease EcoRV', NULL, 'Endonuc-EcoRV', NULL, NULL, NULL, 6),
(9115, NULL, 'PF15514', NULL, NULL, 'Restriction endonuclease ThaI', NULL, 'ThaI', NULL, NULL, NULL, 6),
(9116, NULL, 'PF18316', NULL, NULL, 'S-layer protein SbsC C-terminal domain', NULL, 'S-l_SbsC_C', NULL, NULL, NULL, 6),
(9117, NULL, 'PF06184', NULL, NULL, 'Potexvirus coat protein', NULL, 'Potex_coat', NULL, NULL, NULL, 6),
(9118, NULL, 'PF17608', NULL, NULL, 'Family of unknown function (DUF5504)', NULL, 'DUF5504', NULL, NULL, NULL, 6),
(9119, NULL, 'PF17899', NULL, NULL, 'Peptidase M61 N-terminal domain', NULL, 'Peptidase_M61_N', NULL, NULL, NULL, 6),
(9120, NULL, 'PF07260', NULL, NULL, 'Progressive ankylosis protein (ANKH)', NULL, 'ANKH', NULL, NULL, NULL, 6),
(9121, NULL, 'PF12645', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_16', NULL, NULL, NULL, 6),
(9122, NULL, 'PF11733', NULL, NULL, 'Non-capsid protein NP1', NULL, 'NP1-WLL', NULL, NULL, NULL, 6),
(9123, NULL, 'PF02531', NULL, NULL, 'PsaD', NULL, 'PsaD', NULL, NULL, NULL, 6),
(9124, NULL, 'PF00105', NULL, NULL, 'Zinc finger, C4 type (two domains)', NULL, 'zf-C4', NULL, NULL, NULL, 6),
(9125, NULL, 'PF13566', NULL, NULL, 'Domain of unknown function (DUF4130', NULL, 'DUF4130', NULL, NULL, NULL, 6),
(9126, NULL, 'PF04855', NULL, NULL, 'SNF5 / SMARCB1 / INI1', NULL, 'SNF5', NULL, NULL, NULL, 6),
(9127, NULL, 'PF08831', NULL, NULL, 'Class II MHC-associated invariant chain trimerisation domain', NULL, 'MHCassoc_trimer', NULL, NULL, NULL, 6),
(9128, NULL, 'PF16079', NULL, NULL, 'Phage holin family Hol44, in holin superfamily V', NULL, 'Phage_holin_5_2', NULL, NULL, NULL, 6),
(9129, NULL, 'PF17441', NULL, NULL, 'Family of unknown function (DUF5419)', NULL, 'DUF5419', NULL, NULL, NULL, 6),
(9130, NULL, 'PF14253', NULL, NULL, 'Bacteriophage abortive infection AbiH', NULL, 'AbiH', NULL, NULL, NULL, 6),
(9131, NULL, 'PF18379', NULL, NULL, 'FERM F1 ubiquitin-like domain', NULL, 'FERM_F1', NULL, NULL, NULL, 6),
(9132, NULL, 'PF08521', NULL, NULL, 'Two-component sensor kinase N-terminal', NULL, '2CSK_N', NULL, NULL, NULL, 6),
(9133, NULL, 'PF05493', NULL, NULL, 'ATP synthase subunit H', NULL, 'ATP_synt_H', NULL, NULL, NULL, 6),
(9134, NULL, 'PF09871', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2098)', NULL, 'DUF2098', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9135, NULL, 'PF16792', NULL, NULL, 'Phage tail base-plate attachment protein of Caudovirales ORF16', NULL, 'Caudo_bapla16', NULL, NULL, NULL, 6),
(9136, NULL, 'PF04148', NULL, NULL, 'Transmembrane adaptor Erv26', NULL, 'Erv26', NULL, NULL, NULL, 6),
(9137, NULL, 'PF11573', NULL, NULL, 'Mediator complex subunit 23', NULL, 'Med23', NULL, NULL, NULL, 6),
(9138, NULL, 'PF00137', NULL, NULL, 'ATP synthase subunit C', NULL, 'ATP-synt_C', NULL, NULL, NULL, 6),
(9139, NULL, 'PF00390', NULL, NULL, 'Malic enzyme, N-terminal domain', NULL, 'malic', NULL, NULL, NULL, 6),
(9140, NULL, 'PF03871', NULL, NULL, 'RNA polymerase Rpb5, N-terminal domain', NULL, 'RNA_pol_Rpb5_N', NULL, NULL, NULL, 6),
(9141, NULL, 'PF05551', NULL, NULL, 'Zinc-binding loop region of homing endonuclease', NULL, 'zf-His_Me_endon', NULL, NULL, NULL, 6),
(9142, NULL, 'PF17395', NULL, NULL, 'Family of unknown function (DUF5403)', NULL, 'DUF5403', NULL, NULL, NULL, 6),
(9143, NULL, 'PF04937', NULL, NULL, 'Protein of unknown function (DUF 659)', NULL, 'DUF659', NULL, NULL, NULL, 6),
(9144, NULL, 'PF06541', NULL, NULL, 'Putative ABC-transporter type IV', NULL, 'ABC_trans_CmpB', NULL, NULL, NULL, 6),
(9145, NULL, 'PF01182', NULL, NULL, 'Glucosamine-6-phosphate isomerases/6-phosphogluconolactonase', NULL, 'Glucosamine_iso', NULL, NULL, NULL, 6),
(9146, NULL, 'PF00082', NULL, NULL, 'Subtilase family', NULL, 'Peptidase_S8', NULL, NULL, NULL, 6),
(9147, NULL, 'PF10742', NULL, NULL, 'Protein of unknown function (DUF2555)', NULL, 'DUF2555', NULL, NULL, NULL, 6),
(9148, NULL, 'PF17572', NULL, NULL, 'Family of unknown function (DUF5478)', NULL, 'DUF5478', NULL, NULL, NULL, 6),
(9149, NULL, 'PF03586', NULL, NULL, 'Herpesvirus UL36 tegument protein', NULL, 'Herpes_UL36', NULL, NULL, NULL, 6),
(9150, NULL, 'PF11101', NULL, NULL, 'Protein of unknown function (DUF2884)', NULL, 'DUF2884', NULL, NULL, NULL, 6),
(9151, NULL, 'PF09156', NULL, NULL, 'Anthrax toxin lethal factor, middle domain', NULL, 'Anthrax-tox_M', NULL, NULL, NULL, 6),
(9152, NULL, 'PF08348', NULL, NULL, 'YheO-like PAS domain', NULL, 'PAS_6', NULL, NULL, NULL, 6),
(9153, NULL, 'PF06496', NULL, NULL, 'Protein of unknown function (DUF1097)', NULL, 'DUF1097', NULL, NULL, NULL, 6),
(9154, NULL, 'PF15112', NULL, NULL, 'Domain of unknown function (DUF4559)', NULL, 'DUF4559', NULL, NULL, NULL, 6),
(9155, NULL, 'PF01751', NULL, NULL, 'Toprim domain', NULL, 'Toprim', NULL, NULL, NULL, 6),
(9156, NULL, 'PF01126', NULL, NULL, 'Heme oxygenase', NULL, 'Heme_oxygenase', NULL, NULL, NULL, 6),
(9157, NULL, 'PF02007', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase MtrH subunit', NULL, 'MtrH', NULL, NULL, NULL, 6),
(9158, NULL, 'PF07061', NULL, NULL, 'Swi5', NULL, 'Swi5', NULL, NULL, NULL, 6),
(9159, NULL, 'PF14686', NULL, NULL, 'Polysaccharide lyase family 4, domain II', NULL, 'fn3_3', NULL, NULL, NULL, 6),
(9160, NULL, 'PF18328', NULL, NULL, 'Fatty acid synthase subunit PfaD N-terminal domain', NULL, 'PfaD_N', NULL, NULL, NULL, 6),
(9161, NULL, 'PF15042', NULL, NULL, 'Late cornified envelope-like proline-rich protein 1', NULL, 'LELP1', NULL, NULL, NULL, 6),
(9162, NULL, 'PF15503', NULL, NULL, 'Protein phosphatase 1 regulatory subunit 35 C-terminus', NULL, 'PPP1R35_C', NULL, NULL, NULL, 6),
(9163, NULL, 'PF15212', NULL, NULL, 'Spermatogenesis-associated protein 19, mitochondrial', NULL, 'SPATA19', NULL, NULL, NULL, 6),
(9164, NULL, 'PF04592', NULL, NULL, 'Selenoprotein P, N terminal region', NULL, 'SelP_N', NULL, NULL, NULL, 6),
(9165, NULL, 'PF08698', NULL, NULL, 'Fcf2 pre-rRNA processing', NULL, 'Fcf2', NULL, NULL, NULL, 6),
(9166, NULL, 'PF08514', NULL, NULL, 'STAG domain', NULL, 'STAG', NULL, NULL, NULL, 6),
(9167, NULL, 'PF05111', NULL, NULL, 'Ameloblastin precursor (Amelin)', NULL, 'Amelin', NULL, NULL, NULL, 6),
(9168, NULL, 'PF06716', NULL, NULL, 'Protein of unknown function (DUF1201)', NULL, 'DUF1201', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9169, NULL, 'PF17171', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_6', NULL, NULL, NULL, 6),
(9170, NULL, 'PF13151', NULL, NULL, 'Protein of unknown function (DUF3990)', NULL, 'DUF3990', NULL, NULL, NULL, 6),
(9171, NULL, 'PF04027', NULL, NULL, 'Domain of unknown function (DUF371)', NULL, 'DUF371', NULL, NULL, NULL, 6),
(9172, NULL, 'PF11217', NULL, NULL, 'Protein of unknown function (DUF3013)', NULL, 'DUF3013', NULL, NULL, NULL, 6),
(9173, NULL, 'PF00386', NULL, NULL, 'C1q domain', NULL, 'C1q', NULL, NULL, NULL, 6),
(9174, NULL, 'PF09011', NULL, NULL, 'HMG-box domain', NULL, 'HMG_box_2', NULL, NULL, NULL, 6),
(9175, NULL, 'PF17898', NULL, NULL, 'Spore germination GerD central core domain', NULL, 'GerD', NULL, NULL, NULL, 6),
(9176, NULL, 'PF05270', NULL, NULL, 'Alpha-L-arabinofuranosidase B (ABFB) domain', NULL, 'AbfB', NULL, NULL, NULL, 6),
(9177, NULL, 'PF00235', NULL, NULL, 'Profilin', NULL, 'Profilin', NULL, NULL, NULL, 6),
(9178, NULL, 'PF13753', NULL, NULL, 'Putative flagellar system-associated repeat', NULL, 'SWM_repeat', NULL, NULL, NULL, 6),
(9179, NULL, 'PF15971', NULL, NULL, 'DolP-mannose mannosyltransferase', NULL, 'Mannosyl_trans4', NULL, NULL, NULL, 6),
(9180, NULL, 'PF07022', NULL, NULL, 'Bacteriophage CI repressor helix-turn-helix domain', NULL, 'Phage_CI_repr', NULL, NULL, NULL, 6),
(9181, NULL, 'PF01891', NULL, NULL, 'Cobalt uptake substrate-specific transmembrane region', NULL, 'CbiM', NULL, NULL, NULL, 6),
(9182, NULL, 'PF03079', NULL, NULL, 'ARD/ARD'' family', NULL, 'ARD', NULL, NULL, NULL, 6),
(9183, NULL, 'PF07559', NULL, NULL, 'Flagellar basal body protein FlaE', NULL, 'FlaE', NULL, NULL, NULL, 6),
(9184, NULL, 'PF13708', NULL, NULL, 'Domain of unknown function (DUF4942)', NULL, 'DUF4942', NULL, NULL, NULL, 6),
(9185, NULL, 'PF07225', NULL, NULL, 'NADH-ubiquinone oxidoreductase B15 subunit (NDUFB4)', NULL, 'NDUF_B4', NULL, NULL, NULL, 6),
(9186, NULL, 'PF07402', NULL, NULL, 'Human herpesvirus U26 protein', NULL, 'Herpes_U26', NULL, NULL, NULL, 6),
(9187, NULL, 'PF09244', NULL, NULL, 'Domain of unknown function (DUF1964)', NULL, 'DUF1964', NULL, NULL, NULL, 6),
(9188, NULL, 'PF14893', NULL, NULL, 'PNMA', NULL, 'PNMA', NULL, NULL, NULL, 6),
(9189, NULL, 'PF01593', NULL, NULL, 'Flavin containing amine oxidoreductase', NULL, 'Amino_oxidase', NULL, NULL, NULL, 6),
(9190, NULL, 'PF01959', NULL, NULL, '3-dehydroquinate synthase II', NULL, 'DHQS', NULL, NULL, NULL, 6),
(9191, NULL, 'PF03965', NULL, NULL, 'Penicillinase repressor', NULL, 'Penicillinase_R', NULL, NULL, NULL, 6),
(9192, NULL, 'PF12847', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_18', NULL, NULL, NULL, 6),
(9193, NULL, 'PF14204', NULL, NULL, 'Ribosomal L18 C-terminal region', NULL, 'Ribosomal_L18_c', NULL, NULL, NULL, 6),
(9194, NULL, 'PF11369', NULL, NULL, 'Protein of unknown function (DUF3160)', NULL, 'DUF3160', NULL, NULL, NULL, 6),
(9195, NULL, 'PF18156', NULL, NULL, 'pPIWI_RE three-gene island domain Y', NULL, 'pPIWI_RE_Y', NULL, NULL, NULL, 6),
(9196, NULL, 'PF15864', NULL, NULL, 'Protein glycosylation ligase', NULL, 'PglL_A', NULL, NULL, NULL, 6),
(9197, NULL, 'PF17706', NULL, NULL, 'Family of unknown function (DUF5552)', NULL, 'DUF5552', NULL, NULL, NULL, 6),
(9198, NULL, 'PF01244', NULL, NULL, 'Membrane dipeptidase (Peptidase family M19)', NULL, 'Peptidase_M19', NULL, NULL, NULL, 6),
(9199, NULL, 'PF02736', NULL, NULL, 'Myosin N-terminal SH3-like domain', NULL, 'Myosin_N', NULL, NULL, NULL, 6),
(9200, NULL, 'PF05611', NULL, NULL, 'Caenorhabditis elegans protein of unknown function (DUF780)', NULL, 'DUF780', NULL, NULL, NULL, 6),
(9201, NULL, 'PF17108', NULL, NULL, 'N-terminal small S protein of HET, non-prionic', NULL, 'HET-S', NULL, NULL, NULL, 6),
(9202, NULL, 'PF15183', NULL, NULL, 'Melanocortin-2 receptor accessory protein family', NULL, 'MRAP', NULL, NULL, NULL, 6),
(9203, NULL, 'PF19213', NULL, NULL, 'Coronavirus replicase NSP6', NULL, 'CoV_NSP6', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9204, NULL, 'PF16648', NULL, NULL, 'Unstructured region on Calpain-3', NULL, 'Calpain_u2', NULL, NULL, NULL, 6),
(9205, NULL, 'PF05661', NULL, NULL, 'Protein of unknown function (DUF808)', NULL, 'DUF808', NULL, NULL, NULL, 6),
(9206, NULL, 'PF09215', NULL, NULL, 'Bacteriophage T4, Gp8', NULL, 'Phage-Gp8', NULL, NULL, NULL, 6),
(9207, NULL, 'PF02935', NULL, NULL, 'Cytochrome c oxidase subunit VIIc', NULL, 'COX7C', NULL, NULL, NULL, 6),
(9208, NULL, 'PF03272', NULL, NULL, 'Putative mucin or carbohydrate-binding module', NULL, 'Mucin_bdg', NULL, NULL, NULL, 6),
(9209, NULL, 'PF15533', NULL, NULL, 'Bacterial toxin 33', NULL, 'Ntox33', NULL, NULL, NULL, 6),
(9210, NULL, 'PF02865', NULL, NULL, 'STAT protein, protein interaction domain', NULL, 'STAT_int', NULL, NULL, NULL, 6),
(9211, NULL, 'PF08219', NULL, NULL, 'Outer membrane protein TOM13', NULL, 'TOM13', NULL, NULL, NULL, 6),
(9212, NULL, 'PF06464', NULL, NULL, 'DMAP1-binding Domain', NULL, 'DMAP_binding', NULL, NULL, NULL, 6),
(9213, NULL, 'PF18908', NULL, NULL, 'Protein of unknown function (DUF5663)', NULL, 'DUF5663', NULL, NULL, NULL, 6),
(9214, NULL, 'PF12192', NULL, NULL, 'Fungal calcium binding protein', NULL, 'CBP', NULL, NULL, NULL, 6),
(9215, NULL, 'PF01159', NULL, NULL, 'Ribosomal protein L6e', NULL, 'Ribosomal_L6e', NULL, NULL, NULL, 6),
(9216, NULL, 'PF18555', NULL, NULL, 'MobL relaxases', NULL, 'MobL', NULL, NULL, NULL, 6),
(9217, NULL, 'PF05758', NULL, NULL, 'Ycf1', NULL, 'Ycf1', NULL, NULL, NULL, 6),
(9218, NULL, 'PF03770', NULL, NULL, 'Inositol polyphosphate kinase', NULL, 'IPK', NULL, NULL, NULL, 6),
(9219, NULL, 'PF14185', NULL, NULL, 'Antitoxin SpoIISB, type II toxin-antitoxin system', NULL, 'SpoIISB_antitox', NULL, NULL, NULL, 6),
(9220, NULL, 'PF06996', NULL, NULL, 'Type VI secretion, TssG', NULL, 'T6SS_TssG', NULL, NULL, NULL, 6),
(9221, NULL, 'PF19014', NULL, NULL, 'Family of unknown function (DUF5743)', NULL, 'DUF5743', NULL, NULL, NULL, 6),
(9222, NULL, 'PF06703', NULL, NULL, 'Microsomal signal peptidase 25 kDa subunit (SPC25)', NULL, 'SPC25', NULL, NULL, NULL, 6),
(9223, NULL, 'PF09588', NULL, NULL, 'YqaJ-like viral recombinase domain', NULL, 'YqaJ', NULL, NULL, NULL, 6),
(9224, NULL, 'PF07723', NULL, NULL, 'Leucine Rich Repeat', NULL, 'LRR_2', NULL, NULL, NULL, 6),
(9225, NULL, 'PF18581', NULL, NULL, 'Synaptonemal complex 2 armadillo-repeat-like domain', NULL, 'SYCP2_ARLD', NULL, NULL, NULL, 6),
(9226, NULL, 'PF13100', NULL, NULL, 'OstA-like protein', NULL, 'OstA_2', NULL, NULL, NULL, 6),
(9227, NULL, 'PF17432', NULL, NULL, 'Domain of unknown function (DUF3458_C) ARM repeats', NULL, 'DUF3458_C', NULL, NULL, NULL, 6),
(9228, NULL, 'PF14959', NULL, NULL, 'gamma-Secretase-activating protein C-term', NULL, 'GSAP-16', NULL, NULL, NULL, 6),
(9229, NULL, 'PF19106', NULL, NULL, 'Family of unknown function (DUF5793)', NULL, 'DUF5793', NULL, NULL, NULL, 6),
(9230, NULL, 'PF00816', NULL, NULL, 'H-NS histone family', NULL, 'Histone_HNS', NULL, NULL, NULL, 6),
(9231, NULL, 'PF16200', NULL, NULL, 'C-terminal region of band_7', NULL, 'Band_7_C', NULL, NULL, NULL, 6),
(9232, NULL, 'PF08994', NULL, NULL, 'T4 gene Gp59 loader of gp41 DNA helicase C-term', NULL, 'T4_Gp59_C', NULL, NULL, NULL, 6),
(9233, NULL, 'PF13401', NULL, NULL, 'AAA domain', NULL, 'AAA_22', NULL, NULL, NULL, 6),
(9234, NULL, 'PF18562', NULL, NULL, 'Cysteine-Rich Interdomain Region 1 gamma', NULL, 'CIDR1_gamma', NULL, NULL, NULL, 6),
(9235, NULL, 'PF01050', NULL, NULL, 'Mannose-6-phosphate isomerase', NULL, 'MannoseP_isomer', NULL, NULL, NULL, 6),
(9236, NULL, 'PF09644', NULL, NULL, 'Mg296 protein', NULL, 'Mg296', NULL, NULL, NULL, 6),
(9237, NULL, 'PF08346', NULL, NULL, 'AntA/AntB antirepressor', NULL, 'AntA', NULL, NULL, NULL, 6),
(9238, NULL, 'PF12107', NULL, NULL, 'Plasminogen (Pg) ligand in fibrinolytic pathway', NULL, 'VEK-30', NULL, NULL, NULL, 6),
(9239, NULL, 'PF05603', NULL, NULL, 'Protein of unknown function (DUF775)', NULL, 'DUF775', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9240, NULL, 'PF00718', NULL, NULL, 'Polyomavirus coat protein', NULL, 'Polyoma_coat', NULL, NULL, NULL, 6),
(9241, NULL, 'PF04805', NULL, NULL, 'E10-like protein conserved region', NULL, 'Pox_E10', NULL, NULL, NULL, 6),
(9242, NULL, 'PF13825', NULL, NULL, 'Paramyxovirus structural protein V/P N-terminus', NULL, 'Paramyxo_P_V_N', NULL, NULL, NULL, 6),
(9243, NULL, 'PF14114', NULL, NULL, 'Domain of unknown function (DUF4286)', NULL, 'DUF4286', NULL, NULL, NULL, 6),
(9244, NULL, 'PF05155', NULL, NULL, 'Phage X family', NULL, 'Phage_X', NULL, NULL, NULL, 6),
(9245, NULL, 'PF17519', NULL, NULL, 'Family of unknown function (DUF5444)', NULL, 'DUF5444', NULL, NULL, NULL, 6),
(9246, NULL, 'PF18187', NULL, NULL, 'TbRIF5 SNase domain 1', NULL, 'RIF5_SNase_1', NULL, NULL, NULL, 6),
(9247, NULL, 'PF09624', NULL, NULL, 'Protein of unknown function (DUF2393)', NULL, 'DUF2393', NULL, NULL, NULL, 6),
(9248, NULL, 'PF01102', NULL, NULL, 'Glycophorin A', NULL, 'Glycophorin_A', NULL, NULL, NULL, 6),
(9249, NULL, 'PF15383', NULL, NULL, 'Transmembrane protein 237', NULL, 'TMEM237', NULL, NULL, NULL, 6),
(9250, NULL, 'PF14292', NULL, NULL, 'SusE outer membrane protein', NULL, 'SusE', NULL, NULL, NULL, 6),
(9251, NULL, 'PF01310', NULL, NULL, 'Adenovirus hexon associated protein, protein VIII', NULL, 'Adeno_PVIII', NULL, NULL, NULL, 6),
(9252, NULL, 'PF14967', NULL, NULL, 'FAM70 protein', NULL, 'FAM70', NULL, NULL, NULL, 6),
(9253, NULL, 'PF13591', NULL, NULL, 'MerR HTH family regulatory protein', NULL, 'MerR_2', NULL, NULL, NULL, 6),
(9254, NULL, 'PF18353', NULL, NULL, 'Phosphoglucose isomerase N-terminal domain', NULL, 'PG_isomerase_N', NULL, NULL, NULL, 6),
(9255, NULL, 'PF08232', NULL, NULL, 'Striatin family', NULL, 'Striatin', NULL, NULL, NULL, 6),
(9256, NULL, 'PF12429', NULL, NULL, 'Protein of unknown function (DUF3676)', NULL, 'DUF3676', NULL, NULL, NULL, 6),
(9257, NULL, 'PF01217', NULL, NULL, 'Clathrin adaptor complex small chain', NULL, 'Clat_adaptor_s', NULL, NULL, NULL, 6),
(9258, NULL, 'PF17663', NULL, NULL, 'Family of unknown function (DUF5525)', NULL, 'DUF5525', NULL, NULL, NULL, 6),
(9259, NULL, 'PF06884', NULL, NULL, 'Protein of unknown function (DUF1264)', NULL, 'DUF1264', NULL, NULL, NULL, 6),
(9260, NULL, 'PF09560', NULL, NULL, 'Sporulation protein YunB (Spo_YunB)', NULL, 'Spore_YunB', NULL, NULL, NULL, 6),
(9261, NULL, 'PF03015', NULL, NULL, 'Male sterility protein', NULL, 'Sterile', NULL, NULL, NULL, 6),
(9262, NULL, 'PF05932', NULL, NULL, 'Tir chaperone protein (CesT) family', NULL, 'CesT', NULL, NULL, NULL, 6),
(9263, NULL, 'PF00983', NULL, NULL, 'Tymovirus coat protein', NULL, 'Tymo_coat', NULL, NULL, NULL, 6),
(9264, NULL, 'PF05316', NULL, NULL, 'Mitochondrial ribosomal protein (VAR1)', NULL, 'VAR1', NULL, NULL, NULL, 6),
(9265, NULL, 'PF09967', NULL, NULL, 'VWA-like domain (DUF2201)', NULL, 'DUF2201', NULL, NULL, NULL, 6),
(9266, NULL, 'PF01732', NULL, NULL, 'Putative peptidase (DUF31)', NULL, 'DUF31', NULL, NULL, NULL, 6),
(9267, NULL, 'PF08399', NULL, NULL, 'VWA N-terminal', NULL, 'VWA_N', NULL, NULL, NULL, 6),
(9268, NULL, 'PF08944', NULL, NULL, 'NADPH oxidase subunit p47Phox, C terminal domain', NULL, 'p47_phox_C', NULL, NULL, NULL, 6),
(9269, NULL, 'PF04746', NULL, NULL, 'Protein of unknown function (DUF575)', NULL, 'DUF575', NULL, NULL, NULL, 6),
(9270, NULL, 'PF01526', NULL, NULL, 'Tn3 transposase DDE domain', NULL, 'DDE_Tnp_Tn3', NULL, NULL, NULL, 6),
(9271, NULL, 'PF03275', NULL, NULL, 'UDP-galactopyranose mutase', NULL, 'GLF', NULL, NULL, NULL, 6),
(9272, NULL, 'PF01656', NULL, NULL, 'CobQ/CobB/MinD/ParA nucleotide binding domain', NULL, 'CbiA', NULL, NULL, NULL, 6),
(9273, NULL, 'PF18403', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_15', NULL, NULL, NULL, 6),
(9274, NULL, 'PF00028', NULL, NULL, 'Cadherin domain', NULL, 'Cadherin', NULL, NULL, NULL, 6),
(9275, NULL, 'PF18440', NULL, NULL, 'Putative GlcNAc-1 phosphotransferase regulatory domain', NULL, 'GlcNAc-1_reg', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9276, NULL, 'PF08171', NULL, NULL, 'Mad3/BUB1 homology region 2', NULL, 'Mad3_BUB1_II', NULL, NULL, NULL, 6),
(9277, NULL, 'PF14942', NULL, NULL, 'Organelle biogenesis, Muted-like protein', NULL, 'Muted', NULL, NULL, NULL, 6),
(9278, NULL, 'PF14007', NULL, NULL, 'YtpI-like protein', NULL, 'YtpI', NULL, NULL, NULL, 6),
(9279, NULL, 'PF04174', NULL, NULL, 'A circularly permuted ATPgrasp', NULL, 'CP_ATPgrasp_1', NULL, NULL, NULL, 6),
(9280, NULL, 'PF08423', NULL, NULL, 'Rad51', NULL, 'Rad51', NULL, NULL, NULL, 6),
(9281, NULL, 'PF01693', NULL, NULL, 'Caulimovirus viroplasmin', NULL, 'Cauli_VI', NULL, NULL, NULL, 6),
(9282, NULL, 'PF17914', NULL, NULL, 'HopA1 effector protein family', NULL, 'HopA1', NULL, NULL, NULL, 6),
(9283, NULL, 'PF18823', NULL, NULL, 'Inorganic Pyrophosphatase', NULL, 'InPase', NULL, NULL, NULL, 6),
(9284, NULL, 'PF05311', NULL, NULL, 'Baculovirus 33KDa late protein (PP31)', NULL, 'Baculo_PP31', NULL, NULL, NULL, 6),
(9285, NULL, 'PF18939', NULL, NULL, 'Family of unknown function (DUF5686)', NULL, 'DUF5686', NULL, NULL, NULL, 6),
(9286, NULL, 'PF18346', NULL, NULL, 'Mind bomb SH3 repeat domain', NULL, 'SH3_15', NULL, NULL, NULL, 6),
(9287, NULL, 'PF11770', NULL, NULL, 'GRB2-binding adapter (GAPT)', NULL, 'GAPT', NULL, NULL, NULL, 6),
(9288, NULL, 'PF18013', NULL, NULL, 'Phage tail lysozyme', NULL, 'Phage_lysozyme2', NULL, NULL, NULL, 6),
(9289, NULL, 'PF09052', NULL, NULL, 'SipA N-terminal domain', NULL, 'SipA', NULL, NULL, NULL, 6),
(9290, NULL, 'PF10070', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2309)', NULL, 'DUF2309', NULL, NULL, NULL, 6),
(9291, NULL, 'PF03484', NULL, NULL, 'tRNA synthetase B5 domain', NULL, 'B5', NULL, NULL, NULL, 6),
(9292, NULL, 'PF09932', NULL, NULL, 'Uncharacterized conserved protein (DUF2164)', NULL, 'DUF2164', NULL, NULL, NULL, 6),
(9293, NULL, 'PF15591', NULL, NULL, 'Immunity protein 31', NULL, 'Imm31', NULL, NULL, NULL, 6),
(9294, NULL, 'PF18134', NULL, NULL, 'Adenylyl/Guanylyl and SMODS C-terminal sensor domain', NULL, 'AGS_C', NULL, NULL, NULL, 6),
(9295, NULL, 'PF10907', NULL, NULL, 'Protein of unknown function (DUF2749)', NULL, 'DUF2749', NULL, NULL, NULL, 6),
(9296, NULL, 'PF04909', NULL, NULL, 'Amidohydrolase', NULL, 'Amidohydro_2', NULL, NULL, NULL, 6),
(9297, NULL, 'PF03153', NULL, NULL, 'Transcription factor IIA, alpha/beta subunit', NULL, 'TFIIA', NULL, NULL, NULL, 6),
(9298, NULL, 'PF01737', NULL, NULL, 'YCF9', NULL, 'Ycf9', NULL, NULL, NULL, 6),
(9299, NULL, 'PF01007', NULL, NULL, 'Inward rectifier potassium channel transmembrane domain', NULL, 'IRK', NULL, NULL, NULL, 6),
(9300, NULL, 'PF08875', NULL, NULL, 'Domain of unknown function (DUF1833)', NULL, 'DUF1833', NULL, NULL, NULL, 6),
(9301, NULL, 'PF13050', NULL, NULL, 'Protein of unknown function (DUF3911)', NULL, 'DUF3911', NULL, NULL, NULL, 6),
(9302, NULL, 'PF02731', NULL, NULL, 'SKIP/SNW domain', NULL, 'SKIP_SNW', NULL, NULL, NULL, 6),
(9303, NULL, 'PF12966', NULL, NULL, 'N-ATPase, AtpR subunit', NULL, 'AtpR', NULL, NULL, NULL, 6),
(9304, NULL, 'PF14385', NULL, NULL, 'Domain of unknown function (DUF4416)', NULL, 'DUF4416', NULL, NULL, NULL, 6),
(9305, NULL, 'PF05005', NULL, NULL, 'Janus/Ocnus family (Ocnus)', NULL, 'Ocnus', NULL, NULL, NULL, 6),
(9306, NULL, 'PF16596', NULL, NULL, 'Disordered region downstream of MFMR', NULL, 'MFMR_assoc', NULL, NULL, NULL, 6),
(9307, NULL, 'PF03278', NULL, NULL, 'IpaB/EvcA family', NULL, 'IpaB_EvcA', NULL, NULL, NULL, 6),
(9308, NULL, 'PF02833', NULL, NULL, 'DHHA2 domain', NULL, 'DHHA2', NULL, NULL, NULL, 6),
(9309, NULL, 'PF00563', NULL, NULL, 'EAL domain', NULL, 'EAL', NULL, NULL, NULL, 6),
(9310, NULL, 'PF17924', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_19', NULL, NULL, NULL, 6),
(9311, NULL, 'PF11115', NULL, NULL, 'Protein of unknown function (DUF2623)', NULL, 'DUF2623', NULL, NULL, NULL, 6),
(9312, NULL, 'PF10967', NULL, NULL, 'Protein of unknown function (DUF2769)', NULL, 'DUF2769', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9313, NULL, 'PF06835', NULL, NULL, 'Lipopolysaccharide-assembly, LptC-related', NULL, 'LptC', NULL, NULL, NULL, 6),
(9314, NULL, 'PF09543', NULL, NULL, 'Protein of unknown function (DUF2379)', NULL, 'DUF2379', NULL, NULL, NULL, 6),
(9315, NULL, 'PF18260', NULL, NULL, 'Nuclear polyadenylated RNA-binding 2 protein CCCH zinc finger 1', NULL, 'Nab2p_Zf1', NULL, NULL, NULL, 6),
(9316, NULL, 'PF11339', NULL, NULL, 'Protein of unknown function (DUF3141)', NULL, 'DUF3141', NULL, NULL, NULL, 6),
(9317, NULL, 'PF05670', NULL, NULL, 'NFACT protein RNA binding domain', NULL, 'NFACT-R_1', NULL, NULL, NULL, 6),
(9318, NULL, 'PF05625', NULL, NULL, 'PAXNEB protein', NULL, 'PAXNEB', NULL, NULL, NULL, 6),
(9319, NULL, 'PF15927', NULL, NULL, 'Cancer susceptibility candidate 1 N-terminus', NULL, 'Casc1_N', NULL, NULL, NULL, 6),
(9320, NULL, 'PF07833', NULL, NULL, 'Copper amine oxidase N-terminal domain', NULL, 'Cu_amine_oxidN1', NULL, NULL, NULL, 6),
(9321, NULL, 'PF11348', NULL, NULL, 'Protein of unknown function (DUF3150)', NULL, 'DUF3150', NULL, NULL, NULL, 6),
(9322, NULL, 'PF01363', NULL, NULL, 'FYVE zinc finger', NULL, 'FYVE', NULL, NULL, NULL, 6),
(9323, NULL, 'PF13981', NULL, NULL, 'SopA-like central domain', NULL, 'SopA', NULL, NULL, NULL, 6),
(9324, NULL, 'PF18985', NULL, NULL, 'Family of unknown function (DUF5718)', NULL, 'DUF5718', NULL, NULL, NULL, 6),
(9325, NULL, 'PF18311', NULL, NULL, 'Exosome complex exonuclease Rrp40 N-terminal domain', NULL, 'Rrp40_N', NULL, NULL, NULL, 6),
(9326, NULL, 'PF11812', NULL, NULL, 'Domain of unknown function (DUF3333)', NULL, 'DUF3333', NULL, NULL, NULL, 6),
(9327, NULL, 'PF04225', NULL, NULL, 'Opacity-associated protein A LysM-like domain', NULL, 'OapA', NULL, NULL, NULL, 6),
(9328, NULL, 'PF17520', NULL, NULL, 'Family of unknown function (DUF5445)', NULL, 'DUF5445', NULL, NULL, NULL, 6),
(9329, NULL, 'PF03517', NULL, NULL, 'Regulator of volume decrease after cellular swelling', NULL, 'Voldacs', NULL, NULL, NULL, 6),
(9330, NULL, 'PF09732', NULL, NULL, 'Cactus-binding C-terminus of cactin protein', NULL, 'CactinC_cactus', NULL, NULL, NULL, 6),
(9331, NULL, 'PF03587', NULL, NULL, 'EMG1/NEP1 methyltransferase', NULL, 'EMG1', NULL, NULL, NULL, 6),
(9332, NULL, 'PF17315', NULL, NULL, 'Found in mitochondrial proteome', NULL, 'FMP23', NULL, NULL, NULL, 6),
(9333, NULL, 'PF18776', NULL, NULL, 'Hexapeptide repeat including loop', NULL, 'Hexapep_loop', NULL, NULL, NULL, 6),
(9334, NULL, 'PF10553', NULL, NULL, 'MSV199 domain', NULL, 'MSV199', NULL, NULL, NULL, 6),
(9335, NULL, 'PF11860', NULL, NULL, 'N-acetylmuramidase', NULL, 'Muramidase', NULL, NULL, NULL, 6),
(9336, NULL, 'PF09941', NULL, NULL, 'Uncharacterized conserved protein (DUF2173)', NULL, 'DUF2173', NULL, NULL, NULL, 6),
(9337, NULL, 'PF14932', NULL, NULL, 'HAUS augmin-like complex subunit 3', NULL, 'HAUS-augmin3', NULL, NULL, NULL, 6),
(9338, NULL, 'PF00923', NULL, NULL, 'Transaldolase/Fructose-6-phosphate aldolase', NULL, 'TAL_FSA', NULL, NULL, NULL, 6),
(9339, NULL, 'PF19122', NULL, NULL, 'Family of unknown function (DUF5806)', NULL, 'DUF5806', NULL, NULL, NULL, 6),
(9340, NULL, 'PF08970', NULL, NULL, 'Sporulation inhibitor A', NULL, 'Sda', NULL, NULL, NULL, 6),
(9341, NULL, 'PF18876', NULL, NULL, 'AF-4 proto-oncoprotein C-terminal region', NULL, 'AF-4_C', NULL, NULL, NULL, 6),
(9342, NULL, 'PF06963', NULL, NULL, 'Ferroportin1 (FPN1)', NULL, 'FPN1', NULL, NULL, NULL, 6),
(9343, NULL, 'PF17650', NULL, NULL, 'RACo linker region', NULL, 'RACo_linker', NULL, NULL, NULL, 6),
(9344, NULL, 'PF03471', NULL, NULL, 'Transporter associated domain', NULL, 'CorC_HlyC', NULL, NULL, NULL, 6),
(9345, NULL, 'PF13387', NULL, NULL, 'Domain of unknown function (DUF4105)', NULL, 'DUF4105', NULL, NULL, NULL, 6),
(9346, NULL, 'PF00839', NULL, NULL, 'Cysteine rich repeat', NULL, 'Cys_rich_FGFR', NULL, NULL, NULL, 6),
(9347, NULL, 'PF01434', NULL, NULL, 'Peptidase family M41', NULL, 'Peptidase_M41', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9348, NULL, 'PF06890', NULL, NULL, 'Bacteriophage Mu Gp45 spike protein', NULL, 'Phage_Mu_Gp45', NULL, NULL, NULL, 6),
(9349, NULL, 'PF00573', NULL, NULL, 'Ribosomal protein L4/L1 family', NULL, 'Ribosomal_L4', NULL, NULL, NULL, 6),
(9350, NULL, 'PF06206', NULL, NULL, 'CpeT/CpcT family (DUF1001)', NULL, 'CpeT', NULL, NULL, NULL, 6),
(9351, NULL, 'PF06542', NULL, NULL, 'Regulator protein PHA-1', NULL, 'PHA-1', NULL, NULL, NULL, 6),
(9352, NULL, 'PF11024', NULL, NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi region 4', NULL, 'DGF-1_4', NULL, NULL, NULL, 6),
(9353, NULL, 'PF07820', NULL, NULL, 'TraC-like protein', NULL, 'TraC', NULL, NULL, NULL, 6),
(9354, NULL, 'PF10051', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2286)', NULL, 'DUF2286', NULL, NULL, NULL, 6),
(9355, NULL, 'PF14799', NULL, NULL, 'FAM195 family', NULL, 'FAM195', NULL, NULL, NULL, 6),
(9356, NULL, 'PF08769', NULL, NULL, 'Sporulation initiation factor Spo0A C terminal', NULL, 'Spo0A_C', NULL, NULL, NULL, 6),
(9357, NULL, 'PF14177', NULL, NULL, 'YkyB-like protein', NULL, 'YkyB', NULL, NULL, NULL, 6),
(9358, NULL, 'PF06017', NULL, NULL, 'Unconventional myosin tail, actin- and lipid-binding', NULL, 'Myosin_TH1', NULL, NULL, NULL, 6),
(9359, NULL, 'PF16101', NULL, NULL, 'Proline-rich membrane anchor 1', NULL, 'PRIMA1', NULL, NULL, NULL, 6),
(9360, NULL, 'PF05605', NULL, NULL, 'Drought induced 19 protein (Di19), zinc-binding', NULL, 'zf-Di19', NULL, NULL, NULL, 6),
(9361, NULL, 'PF02660', NULL, NULL, 'Glycerol-3-phosphate acyltransferase', NULL, 'G3P_acyltransf', NULL, NULL, NULL, 6),
(9362, NULL, 'PF12986', NULL, NULL, 'Domain of unknown function (DUF3870)', NULL, 'DUF3870', NULL, NULL, NULL, 6),
(9363, NULL, 'PF02369', NULL, NULL, 'Bacterial Ig-like domain (group 1)', NULL, 'Big_1', NULL, NULL, NULL, 6),
(9364, NULL, 'PF07821', NULL, NULL, 'Alpha-amylase C-terminal beta-sheet domain', NULL, 'Alpha-amyl_C2', NULL, NULL, NULL, 6),
(9365, NULL, 'PF16889', NULL, NULL, 'Heparinase II/III N-terminus', NULL, 'Hepar_II_III_N', NULL, NULL, NULL, 6),
(9366, NULL, 'PF03400', NULL, NULL, 'IS1 transposase', NULL, 'DDE_Tnp_IS1', NULL, NULL, NULL, 6),
(9367, NULL, 'PF09789', NULL, NULL, 'Uncharacterized coiled-coil protein (DUF2353)', NULL, 'DUF2353', NULL, NULL, NULL, 6),
(9368, NULL, 'PF14590', NULL, NULL, 'Domain of unknown function (DUF4447)', NULL, 'DUF4447', NULL, NULL, NULL, 6),
(9369, NULL, 'PF14006', NULL, NULL, 'YqzL-like protein', NULL, 'YqzL', NULL, NULL, NULL, 6),
(9370, NULL, 'PF16749', NULL, NULL, 'Arterivirus nonstructural protein 7 alpha', NULL, 'Arteri_nsp7a', NULL, NULL, NULL, 6),
(9371, NULL, 'PF17951', NULL, NULL, 'Fatty acid synthase meander beta sheet domain', NULL, 'FAS_meander', NULL, NULL, NULL, 6),
(9372, NULL, 'PF10765', NULL, NULL, 'Protein of unknown function (DUF2591)', NULL, 'DUF2591', NULL, NULL, NULL, 6),
(9373, NULL, 'PF03210', NULL, NULL, 'Paramyxovirus P/V phosphoprotein C-terminal', NULL, 'Paramyx_P_V_C', NULL, NULL, NULL, 6),
(9374, NULL, 'PF10943', NULL, NULL, 'Protein of unknown function (DUF2632)', NULL, 'DUF2632', NULL, NULL, NULL, 6),
(9375, NULL, 'PF10270', NULL, NULL, 'Membrane magnesium transporter', NULL, 'MMgT', NULL, NULL, NULL, 6),
(9376, NULL, 'PF02366', NULL, NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', NULL, 'PMT', NULL, NULL, NULL, 6),
(9377, NULL, 'PF17135', NULL, NULL, 'Ribosomal protein 60S L18 and 50S L18e', NULL, 'Ribosomal_L18', NULL, NULL, NULL, 6),
(9378, NULL, 'PF18337', NULL, NULL, 'RapA N-terminal Tudor like domain', NULL, 'Tudor_RapA', NULL, NULL, NULL, 6),
(9379, NULL, 'PF14510', NULL, NULL, 'ABC-transporter N-terminal', NULL, 'ABC_trans_N', NULL, NULL, NULL, 6),
(9380, NULL, 'PF06588', NULL, NULL, 'Muskelin N-terminus', NULL, 'Muskelin_N', NULL, NULL, NULL, 6),
(9381, NULL, 'PF00460', NULL, NULL, 'Flagella basal body rod protein', NULL, 'Flg_bb_rod', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9382, NULL, 'PF02278', NULL, NULL, 'Polysaccharide lyase family 8, super-sandwich domain', NULL, 'Lyase_8', NULL, NULL, NULL, 6),
(9383, NULL, 'PF05093', NULL, NULL, 'Cytokine-induced anti-apoptosis inhibitor 1, Fe-S biogenesis', NULL, 'CIAPIN1', NULL, NULL, NULL, 6),
(9384, NULL, 'PF17258', NULL, NULL, 'Family of unknown function (DUF5324)', NULL, 'DUF5324', NULL, NULL, NULL, 6),
(9385, NULL, 'PF13316', NULL, NULL, 'Protein of unknown function (DUF4087)', NULL, 'DUF4087', NULL, NULL, NULL, 6),
(9386, NULL, 'PF08486', NULL, NULL, 'Stage II sporulation protein', NULL, 'SpoIID', NULL, NULL, NULL, 6),
(9387, NULL, 'PF17078', NULL, NULL, 'SWI5-dependent HO expression protein 3', NULL, 'SHE3', NULL, NULL, NULL, 6),
(9388, NULL, 'PF06324', NULL, NULL, 'Pigment-dispersing hormone (PDH)', NULL, 'Pigment_DH', NULL, NULL, NULL, 6),
(9389, NULL, 'PF18087', NULL, NULL, 'Rubisco Assembly chaperone C-terminal domain', NULL, 'RuBisCo_chap_C', NULL, NULL, NULL, 6),
(9390, NULL, 'PF01192', NULL, NULL, 'RNA polymerase Rpb6', NULL, 'RNA_pol_Rpb6', NULL, NULL, NULL, 6),
(9391, NULL, 'PF03360', NULL, NULL, 'Glycosyltransferase family 43', NULL, 'Glyco_transf_43', NULL, NULL, NULL, 6),
(9392, NULL, 'PF17473', NULL, NULL, 'Family of unknown function (DUF5426)', NULL, 'DUF5426', NULL, NULL, NULL, 6),
(9393, NULL, 'PF01774', NULL, NULL, 'UreD urease accessory protein', NULL, 'UreD', NULL, NULL, NULL, 6),
(9394, NULL, 'PF12798', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_3', NULL, NULL, NULL, 6),
(9395, NULL, 'PF03922', NULL, NULL, 'OmpW family', NULL, 'OmpW', NULL, NULL, NULL, 6),
(9396, NULL, 'PF02995', NULL, NULL, 'Protein of unknown function (DUF229)', NULL, 'DUF229', NULL, NULL, NULL, 6),
(9397, NULL, 'PF05030', NULL, NULL, 'SSXT protein (N-terminal region)', NULL, 'SSXT', NULL, NULL, NULL, 6),
(9398, NULL, 'PF08692', NULL, NULL, 'Mitochondrial protein Pet20', NULL, 'Pet20', NULL, NULL, NULL, 6),
(9399, NULL, 'PF06986', NULL, NULL, 'Type-1V conjugative transfer system mating pair stabilisation', NULL, 'TraN', NULL, NULL, NULL, 6),
(9400, NULL, 'PF19060', NULL, NULL, 'Family of unknown function (DUF5756)', NULL, 'DUF5756', NULL, NULL, NULL, 6),
(9401, NULL, 'PF03010', NULL, NULL, 'GP4', NULL, 'GP4', NULL, NULL, NULL, 6),
(9402, NULL, 'PF13429', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_15', NULL, NULL, NULL, 6),
(9403, NULL, 'PF06971', NULL, NULL, 'Putative DNA-binding protein N-terminus', NULL, 'Put_DNA-bind_N', NULL, NULL, NULL, 6),
(9404, NULL, 'PF04280', NULL, NULL, 'Tim44-like domain', NULL, 'Tim44', NULL, NULL, NULL, 6),
(9405, NULL, 'PF01487', NULL, NULL, 'Type I 3-dehydroquinase', NULL, 'DHquinase_I', NULL, NULL, NULL, 6),
(9406, NULL, 'PF03578', NULL, NULL, 'HGWP repeat', NULL, 'HGWP', NULL, NULL, NULL, 6),
(9407, NULL, 'PF06119', NULL, NULL, 'Nidogen-like', NULL, 'NIDO', NULL, NULL, NULL, 6),
(9408, NULL, 'PF02665', NULL, NULL, 'Nitrate reductase gamma subunit', NULL, 'Nitrate_red_gam', NULL, NULL, NULL, 6),
(9409, NULL, 'PF09796', NULL, NULL, 'Ubiquinol-cytochrome-c reductase complex subunit (QCR10)', NULL, 'QCR10', NULL, NULL, NULL, 6),
(9410, NULL, 'PF01808', NULL, NULL, 'AICARFT/IMPCHase bienzyme', NULL, 'AICARFT_IMPCHas', NULL, NULL, NULL, 6),
(9411, NULL, 'PF09330', NULL, NULL, 'D-lactate dehydrogenase, membrane binding', NULL, 'Lact-deh-memb', NULL, NULL, NULL, 6),
(9412, NULL, 'PF00208', NULL, NULL, 'Glutamate/Leucine/Phenylalanine/Valine dehydrogenase', NULL, 'ELFV_dehydrog', NULL, NULL, NULL, 6),
(9413, NULL, 'PF18462', NULL, NULL, 'Domain of unknown function (DUF5612)', NULL, 'DUF5612', NULL, NULL, NULL, 6),
(9414, NULL, 'PF17854', NULL, NULL, 'FtsK alpha domain', NULL, 'FtsK_alpha', NULL, NULL, NULL, 6),
(9415, NULL, 'PF01540', NULL, NULL, 'Adhesin lipoprotein', NULL, 'Lipoprotein_7', NULL, NULL, NULL, 6),
(9416, NULL, 'PF08523', NULL, NULL, 'Multiprotein bridging factor 1', NULL, 'MBF1', NULL, NULL, NULL, 6),
(9417, NULL, 'PF15776', NULL, NULL, 'Proline-rich protein family 22', NULL, 'PRR22', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9418, NULL, 'PF12515', NULL, NULL, 'Ca2+-ATPase N terminal autoinhibitory domain', NULL, 'CaATP_NAI', NULL, NULL, NULL, 6),
(9419, NULL, 'PF13440', NULL, NULL, 'Polysaccharide biosynthesis protein', NULL, 'Polysacc_synt_3', NULL, NULL, NULL, 6),
(9420, NULL, 'PF12451', NULL, NULL, 'Vacuolar protein sorting protein 11 C terminal', NULL, 'VPS11_C', NULL, NULL, NULL, 6),
(9421, NULL, 'PF00362', NULL, NULL, 'Integrin beta chain VWA domain', NULL, 'Integrin_beta', NULL, NULL, NULL, 6),
(9422, NULL, 'PF13807', NULL, NULL, 'G-rich domain on putative tyrosine kinase', NULL, 'GNVR', NULL, NULL, NULL, 6),
(9423, NULL, 'PF06128', NULL, NULL, 'Shigella flexneri OspC protein', NULL, 'Shigella_OspC', NULL, NULL, NULL, 6),
(9424, NULL, 'PF17125', NULL, NULL, 'N-terminal domain of 16S rRNA methyltransferase RsmF', NULL, 'Methyltr_RsmF_N', NULL, NULL, NULL, 6),
(9425, NULL, 'PF18591', NULL, NULL, 'Immune Mapped Protein 2 (IMP2) C-terminal domain', NULL, 'IMP2_C', NULL, NULL, NULL, 6),
(9426, NULL, 'PF07578', NULL, NULL, 'Lipid A Biosynthesis N-terminal domain', NULL, 'LAB_N', NULL, NULL, NULL, 6),
(9427, NULL, 'PF10888', NULL, NULL, 'Protein of unknown function (DUF2742)', NULL, 'DUF2742', NULL, NULL, NULL, 6),
(9428, NULL, 'PF04573', NULL, NULL, 'Signal peptidase subunit', NULL, 'SPC22', NULL, NULL, NULL, 6),
(9429, NULL, 'PF07165', NULL, NULL, 'Protein of unknown function (DUF1397)', NULL, 'DUF1397', NULL, NULL, NULL, 6),
(9430, NULL, 'PF04474', NULL, NULL, 'Protein of unknown function (DUF554)', NULL, 'DUF554', NULL, NULL, NULL, 6),
(9431, NULL, 'PF00765', NULL, NULL, 'Autoinducer synthase', NULL, 'Autoind_synth', NULL, NULL, NULL, 6),
(9432, NULL, 'PF09862', NULL, NULL, 'Protein of unknown function (DUF2089)', NULL, 'DUF2089', NULL, NULL, NULL, 6),
(9433, NULL, 'PF14056', NULL, NULL, 'Domain of unknown function (DUF4250)', NULL, 'DUF4250', NULL, NULL, NULL, 6),
(9434, NULL, 'PF05427', NULL, NULL, 'Acidic fibroblast growth factor binding (FIBP)', NULL, 'FIBP', NULL, NULL, NULL, 6),
(9435, NULL, 'PF00766', NULL, NULL, 'Electron transfer flavoprotein FAD-binding domain', NULL, 'ETF_alpha', NULL, NULL, NULL, 6),
(9436, NULL, 'PF09822', NULL, NULL, 'ABC-type uncharacterized transport system', NULL, 'ABC_transp_aux', NULL, NULL, NULL, 6),
(9437, NULL, 'PF10744', NULL, NULL, 'Mediator of RNA polymerase II transcription subunit 1', NULL, 'Med1', NULL, NULL, NULL, 6),
(9438, NULL, 'PF12393', NULL, NULL, 'Dr family adhesin', NULL, 'Dr_adhesin', NULL, NULL, NULL, 6),
(9439, NULL, 'PF17409', NULL, NULL, 'MoaF C-terminal domain', NULL, 'MoaF_C', NULL, NULL, NULL, 6),
(9440, NULL, 'PF03450', NULL, NULL, 'CO dehydrogenase flavoprotein C-terminal domain', NULL, 'CO_deh_flav_C', NULL, NULL, NULL, 6),
(9441, NULL, 'PF14258', NULL, NULL, 'Domain of unknown function (DUF4350)', NULL, 'DUF4350', NULL, NULL, NULL, 6),
(9442, NULL, 'PF14456', NULL, NULL, 'Alpha-helical domain 2', NULL, 'alpha-hel2', NULL, NULL, NULL, 6),
(9443, NULL, 'PF05420', NULL, NULL, 'Cellulose synthase operon protein C C-terminus (BCSC_C)', NULL, 'BCSC_C', NULL, NULL, NULL, 6),
(9444, NULL, 'PF02767', NULL, NULL, 'DNA polymerase III beta subunit, central domain', NULL, 'DNA_pol3_beta_2', NULL, NULL, NULL, 6),
(9445, NULL, 'PF08862', NULL, NULL, 'Domain of unknown function DUF1829', NULL, 'DUF1829', NULL, NULL, NULL, 6),
(9446, NULL, 'PF12342', NULL, NULL, 'Protein of unknown function (DUF3640)', NULL, 'DUF3640', NULL, NULL, NULL, 6),
(9447, NULL, 'PF10243', NULL, NULL, 'Microtubule-binding protein MIP-T3 CH-like domain', NULL, 'MIP-T3', NULL, NULL, NULL, 6),
(9448, NULL, 'PF12727', NULL, NULL, 'PBP superfamily domain', NULL, 'PBP_like', NULL, NULL, NULL, 6),
(9449, NULL, 'PF16995', NULL, NULL, 'Transmembrane region of lysyl-tRNA synthetase', NULL, 'tRNA-synt_2_TM', NULL, NULL, NULL, 6),
(9450, NULL, 'PF03506', NULL, NULL, 'Influenza C non-structural protein (NS1)', NULL, 'Flu_C_NS1', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9451, NULL, 'PF01327', NULL, NULL, 'Polypeptide deformylase', NULL, 'Pep_deformylase', NULL, NULL, NULL, 6),
(9452, NULL, 'PF03176', NULL, NULL, 'MMPL family', NULL, 'MMPL', NULL, NULL, NULL, 6),
(9453, NULL, 'PF07747', NULL, NULL, 'MTH865-like family', NULL, 'MTH865', NULL, NULL, NULL, 6),
(9454, NULL, 'PF09645', NULL, NULL, 'F-112 protein', NULL, 'F-112', NULL, NULL, NULL, 6),
(9455, NULL, 'PF02106', NULL, NULL, 'Fanconi anaemia group C protein', NULL, 'Fanconi_C', NULL, NULL, NULL, 6),
(9456, NULL, 'PF15161', NULL, NULL, 'Neuropeptide-like', NULL, 'Neuropep_like', NULL, NULL, NULL, 6),
(9457, NULL, 'PF18421', NULL, NULL, 'Peptidase family M23 N-terminal domain', NULL, 'Peptidase_M23_N', NULL, NULL, NULL, 6),
(9458, NULL, 'PF01021', NULL, NULL, 'TYA transposon protein', NULL, 'TYA', NULL, NULL, NULL, 6),
(9459, NULL, 'PF03773', NULL, NULL, 'Predicted permease', NULL, 'ArsP_1', NULL, NULL, NULL, 6),
(9460, NULL, 'PF05832', NULL, NULL, 'Eukaryotic protein of unknown function (DUF846)', NULL, 'DUF846', NULL, NULL, NULL, 6),
(9461, NULL, 'PF03689', NULL, NULL, 'Nepovirus coat protein, N-terminal domain', NULL, 'Nepo_coat_N', NULL, NULL, NULL, 6),
(9462, NULL, 'PF07028', NULL, NULL, 'Protein of unknown function (DUF1319)', NULL, 'DUF1319', NULL, NULL, NULL, 6),
(9463, NULL, 'PF08006', NULL, NULL, 'Protein of unknown function (DUF1700)', NULL, 'DUF1700', NULL, NULL, NULL, 6),
(9464, NULL, 'PF13076', NULL, NULL, 'Fur-regulated basic protein A', NULL, 'Fur_reg_FbpA', NULL, NULL, NULL, 6),
(9465, NULL, 'PF13058', NULL, NULL, 'Protein of unknown function (DUF3920)', NULL, 'DUF3920', NULL, NULL, NULL, 6),
(9466, NULL, 'PF17812', NULL, NULL, 'RET Cadherin like domain 3', NULL, 'RET_CLD3', NULL, NULL, NULL, 6),
(9467, NULL, 'PF03488', NULL, NULL, 'Nematode insulin-related peptide beta type', NULL, 'Ins_beta', NULL, NULL, NULL, 6),
(9468, NULL, 'PF10005', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc-ribbon_6', NULL, NULL, NULL, 6),
(9469, NULL, 'PF17489', NULL, NULL, 'L1 transposable element trimerization domain', NULL, 'Tnp_22_trimer', NULL, NULL, NULL, 6),
(9470, NULL, 'PF03439', NULL, NULL, 'Early transcription elongation factor of RNA pol II, NGN section', NULL, 'Spt5-NGN', NULL, NULL, NULL, 6),
(9471, NULL, 'PF14915', NULL, NULL, 'CCDC144C protein coiled-coil region', NULL, 'CCDC144C', NULL, NULL, NULL, 6),
(9472, NULL, 'PF00379', NULL, NULL, 'Insect cuticle protein', NULL, 'Chitin_bind_4', NULL, NULL, NULL, 6),
(9473, NULL, 'PF00782', NULL, NULL, 'Dual specificity phosphatase, catalytic domain', NULL, 'DSPc', NULL, NULL, NULL, 6),
(9474, NULL, 'PF04806', NULL, NULL, 'EspF protein repeat', NULL, 'EspF', NULL, NULL, NULL, 6),
(9475, NULL, 'PF15580', NULL, NULL, 'Immunity protein 53', NULL, 'Imm53', NULL, NULL, NULL, 6),
(9476, NULL, 'PF14925', NULL, NULL, 'Domain of unknown function', NULL, 'HPHLAWLY', NULL, NULL, NULL, 6),
(9477, NULL, 'PF12931', NULL, NULL, 'Sec23-binding domain of Sec16', NULL, 'Sec16_C', NULL, NULL, NULL, 6),
(9478, NULL, 'PF06280', NULL, NULL, 'Fn3-like domain', NULL, 'fn3_5', NULL, NULL, NULL, 6),
(9479, NULL, 'PF03955', NULL, NULL, 'Adenovirus hexon-associated protein (IX)', NULL, 'Adeno_PIX', NULL, NULL, NULL, 6),
(9480, NULL, 'PF03331', NULL, NULL, 'UDP-3-O-acyl N-acetylglycosamine deacetylase', NULL, 'LpxC', NULL, NULL, NULL, 6),
(9481, NULL, 'PF06165', NULL, NULL, 'Glycosyltransferase family 36', NULL, 'Glyco_transf_36', NULL, NULL, NULL, 6),
(9482, NULL, 'PF16260', NULL, NULL, 'Domain of unknown function (DUF4914)', NULL, 'DUF4914', NULL, NULL, NULL, 6),
(9483, NULL, 'PF11262', NULL, NULL, 'Transcription factor/nuclear export subunit protein 2', NULL, 'Tho2', NULL, NULL, NULL, 6),
(9484, NULL, 'PF13795', NULL, NULL, 'HupE / UreJ protein', NULL, 'HupE_UreJ_2', NULL, NULL, NULL, 6),
(9485, NULL, 'PF05147', NULL, NULL, 'Lanthionine synthetase C-like protein', NULL, 'LANC_like', NULL, NULL, NULL, 6),
(9486, NULL, 'PF00022', NULL, NULL, 'Actin', NULL, 'Actin', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9487, NULL, 'PF16942', NULL, NULL, 'Putative cyclic bacteriocin', NULL, 'CclA_1', NULL, NULL, NULL, 6),
(9488, NULL, 'PF18701', NULL, NULL, 'Family of unknown function (DUF5641)', NULL, 'DUF5641', NULL, NULL, NULL, 6),
(9489, NULL, 'PF15755', NULL, NULL, 'Domain of unknown function (DUF4689)', NULL, 'DUF4689', NULL, NULL, NULL, 6),
(9490, NULL, 'PF10500', NULL, NULL, 'Nuclear RNA-splicing-associated protein', NULL, 'SR-25', NULL, NULL, NULL, 6),
(9491, NULL, 'PF02626', NULL, NULL, 'Carboxyltransferase domain, subdomain A and B', NULL, 'CT_A_B', NULL, NULL, NULL, 6),
(9492, NULL, 'PF11429', NULL, NULL, 'Colicin D', NULL, 'Colicin_D', NULL, NULL, NULL, 6),
(9493, NULL, 'PF10838', NULL, NULL, 'Protein of unknown function (DUF2677)', NULL, 'DUF2677', NULL, NULL, NULL, 6),
(9494, NULL, 'PF00931', NULL, NULL, 'NB-ARC domain', NULL, 'NB-ARC', NULL, NULL, NULL, 6),
(9495, NULL, 'PF01293', NULL, NULL, 'Phosphoenolpyruvate carboxykinase', NULL, 'PEPCK_ATP', NULL, NULL, NULL, 6),
(9496, NULL, 'PF06064', NULL, NULL, 'Host-nuclease inhibitor protein Gam', NULL, 'Gam', NULL, NULL, NULL, 6),
(9497, NULL, 'PF15133', NULL, NULL, 'Domain of unknown function (DUF4569)', NULL, 'DUF4569', NULL, NULL, NULL, 6),
(9498, NULL, 'PF10384', NULL, NULL, 'Centromere protein Scm3', NULL, 'Scm3', NULL, NULL, NULL, 6),
(9499, NULL, 'PF17858', NULL, NULL, 'Platypus intermediate defensin-like peptide', NULL, 'Defensin_int', NULL, NULL, NULL, 6),
(9500, NULL, 'PF06856', NULL, NULL, 'Protein of unknown function (DUF1251)', NULL, 'DUF1251', NULL, NULL, NULL, 6),
(9501, NULL, 'PF07131', NULL, NULL, 'Protein of unknown function (DUF1382)', NULL, 'DUF1382', NULL, NULL, NULL, 6),
(9502, NULL, 'PF09326', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit G, C-terminal', NULL, 'NADH_dhqG_C', NULL, NULL, NULL, 6),
(9503, NULL, 'PF10462', NULL, NULL, 'Peptidase M66', NULL, 'Peptidase_M66', NULL, NULL, NULL, 6),
(9504, NULL, 'PF15386', NULL, NULL, 'Drosophila Tantalus-like', NULL, 'Tantalus', NULL, NULL, NULL, 6),
(9505, NULL, 'PF17488', NULL, NULL, 'Herpesvirus glycoprotein H C-terminal domain', NULL, 'Herpes_glycoH_C', NULL, NULL, NULL, 6),
(9506, NULL, 'PF08746', NULL, NULL, 'RING-like domain', NULL, 'zf-RING-like', NULL, NULL, NULL, 6),
(9507, NULL, 'PF18244', NULL, NULL, 'Cellulose-binding protein CttA N-terminal domain', NULL, 'CttA_N', NULL, NULL, NULL, 6),
(9508, NULL, 'PF15563', NULL, NULL, 'Immunity protein 19', NULL, 'Imm19', NULL, NULL, NULL, 6),
(9509, NULL, 'PF07857', NULL, NULL, 'Transmembrane family, TMEM144 of transporters', NULL, 'TMEM144', NULL, NULL, NULL, 6),
(9510, NULL, 'PF16758', NULL, NULL, 'Herpes-like virus membrane glycoprotein UL141', NULL, 'UL141', NULL, NULL, NULL, 6),
(9511, NULL, 'PF10897', NULL, NULL, 'Protein of unknown function (DUF2713)', NULL, 'DUF2713', NULL, NULL, NULL, 6),
(9512, NULL, 'PF01715', NULL, NULL, 'IPP transferase', NULL, 'IPPT', NULL, NULL, NULL, 6),
(9513, NULL, 'PF17939', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_30', NULL, NULL, NULL, 6),
(9514, NULL, 'PF03393', NULL, NULL, 'Pneumovirus matrix protein', NULL, 'Pneumo_matrix', NULL, NULL, NULL, 6),
(9515, NULL, 'PF02109', NULL, NULL, 'DAD family', NULL, 'DAD', NULL, NULL, NULL, 6),
(9516, NULL, 'PF09098', NULL, NULL, 'Quinohemoprotein amine dehydrogenase A, alpha subunit, haem binding', NULL, 'Dehyd-heme_bind', NULL, NULL, NULL, 6),
(9517, NULL, 'PF09063', NULL, NULL, 'Phage PP7 coat protein', NULL, 'Phage_coat', NULL, NULL, NULL, 6),
(9518, NULL, 'PF16740', NULL, NULL, 'Spindle and kinetochore-associated protein 2', NULL, 'SKA2', NULL, NULL, NULL, 6),
(9519, NULL, 'PF13186', NULL, NULL, 'Iron-sulfur cluster-binding domain', NULL, 'SPASM', NULL, NULL, NULL, 6),
(9520, NULL, 'PF08584', NULL, NULL, 'Ribonuclease P 40kDa (Rpp40) subunit', NULL, 'Ribonuc_P_40', NULL, NULL, NULL, 6),
(9521, NULL, 'PF01539', NULL, NULL, 'Hepatitis C virus envelope glycoprotein E1', NULL, 'HCV_env', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9522, NULL, 'PF02194', NULL, NULL, 'PXA domain', NULL, 'PXA', NULL, NULL, NULL, 6),
(9523, NULL, 'PF01815', NULL, NULL, 'Rop protein', NULL, 'Rop', NULL, NULL, NULL, 6),
(9524, NULL, 'PF06196', NULL, NULL, 'Protein of unknown function (DUF997)', NULL, 'DUF997', NULL, NULL, NULL, 6),
(9525, NULL, 'PF11413', NULL, NULL, 'Hypoxia-inducible factor-1', NULL, 'HIF-1', NULL, NULL, NULL, 6),
(9526, NULL, 'PF01196', NULL, NULL, 'Ribosomal protein L17', NULL, 'Ribosomal_L17', NULL, NULL, NULL, 6),
(9527, NULL, 'PF18569', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_16', NULL, NULL, NULL, 6),
(9528, NULL, 'PF14481', NULL, NULL, 'Type 4 fimbrial biogenesis protein PilY2', NULL, 'Fimbrial_PilY2', NULL, NULL, NULL, 6),
(9529, NULL, 'PF00245', NULL, NULL, 'Alkaline phosphatase', NULL, 'Alk_phosphatase', NULL, NULL, NULL, 6),
(9530, NULL, 'PF14067', NULL, NULL, 'LssY C-terminus', NULL, 'LssY_C', NULL, NULL, NULL, 6),
(9531, NULL, 'PF02151', NULL, NULL, 'UvrB/uvrC motif', NULL, 'UVR', NULL, NULL, NULL, 6),
(9532, NULL, 'PF04049', NULL, NULL, 'Anaphase promoting complex subunit 8 / Cdc23', NULL, 'ANAPC8', NULL, NULL, NULL, 6),
(9533, NULL, 'PF08609', NULL, NULL, 'Nucleotide exchange factor Fes1', NULL, 'Fes1', NULL, NULL, NULL, 6),
(9534, NULL, 'PF04713', NULL, NULL, 'Poxvirus protein I5', NULL, 'Pox_I5', NULL, NULL, NULL, 6),
(9535, NULL, 'PF06028', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF915)', NULL, 'DUF915', NULL, NULL, NULL, 6),
(9536, NULL, 'PF00702', NULL, NULL, 'haloacid dehalogenase-like hydrolase', NULL, 'Hydrolase', NULL, NULL, NULL, 6),
(9537, NULL, 'PF10287', NULL, NULL, 'Putative TOS1-like glycosyl hydrolase (DUF2401)', NULL, 'DUF2401', NULL, NULL, NULL, 6),
(9538, NULL, 'PF00163', NULL, NULL, 'Ribosomal protein S4/S9 N-terminal domain', NULL, 'Ribosomal_S4', NULL, NULL, NULL, 6),
(9539, NULL, 'PF03386', NULL, NULL, 'Early nodulin 93 ENOD93 protein', NULL, 'ENOD93', NULL, NULL, NULL, 6),
(9540, NULL, 'PF12395', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3658', NULL, NULL, NULL, 6),
(9541, NULL, 'PF04943', NULL, NULL, 'Poxvirus F11 protein', NULL, 'Pox_F11', NULL, NULL, NULL, 6),
(9542, NULL, 'PF08576', NULL, NULL, 'Eukaryotic protein of unknown function (DUF1764)', NULL, 'DUF1764', NULL, NULL, NULL, 6),
(9543, NULL, 'PF12097', NULL, NULL, 'Protein of unknown function (DUF3573)', NULL, 'DUF3573', NULL, NULL, NULL, 6),
(9544, NULL, 'PF17671', NULL, NULL, 'Family of unknown function (DUF5531)', NULL, 'DUF5531', NULL, NULL, NULL, 6),
(9545, NULL, 'PF17089', NULL, NULL, 'Uncharacterised protein family', NULL, 'YjbT', NULL, NULL, NULL, 6),
(9546, NULL, 'PF01281', NULL, NULL, 'Ribosomal protein L9, N-terminal domain', NULL, 'Ribosomal_L9_N', NULL, NULL, NULL, 6),
(9547, NULL, 'PF04892', NULL, NULL, 'VanZ like family', NULL, 'VanZ', NULL, NULL, NULL, 6),
(9548, NULL, 'PF06661', NULL, NULL, 'VirE3', NULL, 'VirE3', NULL, NULL, NULL, 6),
(9549, NULL, 'PF19005', NULL, NULL, 'Family of unknown function (DUF5734)', NULL, 'DUF5734', NULL, NULL, NULL, 6),
(9550, NULL, 'PF10231', NULL, NULL, 'Apoptogenic protein 1', NULL, 'DUF2315', NULL, NULL, NULL, 6),
(9551, NULL, 'PF03049', NULL, NULL, 'UL79 family', NULL, 'Herpes_UL79', NULL, NULL, NULL, 6),
(9552, NULL, 'PF18028', NULL, NULL, 'Zmiz1 N-terminal tetratricopeptide repeat domain', NULL, 'Zmiz1_N', NULL, NULL, NULL, 6),
(9553, NULL, 'PF13515', NULL, NULL, 'Fusaric acid resistance protein-like', NULL, 'FUSC_2', NULL, NULL, NULL, 6),
(9554, NULL, 'PF02136', NULL, NULL, 'Nuclear transport factor 2 (NTF2) domain', NULL, 'NTF2', NULL, NULL, NULL, 6),
(9555, NULL, 'PF17168', NULL, NULL, 'Domain of unknown function (DUF5127)', NULL, 'DUF5127', NULL, NULL, NULL, 6),
(9556, NULL, 'PF12843', NULL, NULL, 'Putative quorum-sensing-regulated virulence factor', NULL, 'QSregVF_b', NULL, NULL, NULL, 6),
(9557, NULL, 'PF18620', NULL, NULL, 'Family of unknown function (DUF5627)', NULL, 'DUF5627', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9558, NULL, 'PF18333', NULL, NULL, 'Non-canonical single-stranded DNA-binding domain', NULL, 'ssDNA_DBD', NULL, NULL, NULL, 6),
(9559, NULL, 'PF02029', NULL, NULL, 'Caldesmon', NULL, 'Caldesmon', NULL, NULL, NULL, 6),
(9560, NULL, 'PF00999', NULL, NULL, 'Sodium/hydrogen exchanger family', NULL, 'Na_H_Exchanger', NULL, NULL, NULL, 6),
(9561, NULL, 'PF01822', NULL, NULL, 'WSC domain', NULL, 'WSC', NULL, NULL, NULL, 6),
(9562, NULL, 'PF05544', NULL, NULL, 'Proline racemase', NULL, 'Pro_racemase', NULL, NULL, NULL, 6),
(9563, NULL, 'PF07185', NULL, NULL, 'Protein of unknown function (DUF1404)', NULL, 'DUF1404', NULL, NULL, NULL, 6),
(9564, NULL, 'PF16447', NULL, NULL, 'Domain of unknown function (DUF5044)', NULL, 'DUF5044', NULL, NULL, NULL, 6),
(9565, NULL, 'PF11150', NULL, NULL, 'Protein of unknown function (DUF2927)', NULL, 'DUF2927', NULL, NULL, NULL, 6),
(9566, NULL, 'PF02096', NULL, NULL, '60Kd inner membrane protein', NULL, '60KD_IMP', NULL, NULL, NULL, 6),
(9567, NULL, 'PF12019', NULL, NULL, 'Type II transport protein GspH', NULL, 'GspH', NULL, NULL, NULL, 6),
(9568, NULL, 'PF10831', NULL, NULL, 'Protein of unknown function (DUF2556)', NULL, 'DUF2556', NULL, NULL, NULL, 6),
(9569, NULL, 'PF08583', NULL, NULL, 'Cytochrome c oxidase biogenesis protein Cmc1 like', NULL, 'Cmc1', NULL, NULL, NULL, 6),
(9570, NULL, 'PF18005', NULL, NULL, 'eIF3 subunit M, C-terminal helix', NULL, 'eIF3m_C_helix', NULL, NULL, NULL, 6),
(9571, NULL, 'PF17624', NULL, NULL, 'Family of unknown function', NULL, 'US30', NULL, NULL, NULL, 6),
(9572, NULL, 'PF16638', NULL, NULL, 'Unstructured region on methyltransferase between zinc-fingers', NULL, 'Tristanin_u2', NULL, NULL, NULL, 6),
(9573, NULL, 'PF10978', NULL, NULL, 'Protein of unknown function (DUF2785)', NULL, 'DUF2785', NULL, NULL, NULL, 6),
(9574, NULL, 'PF17285', NULL, NULL, 'PRMT5 TIM barrel domain', NULL, 'PRMT5_TIM', NULL, NULL, NULL, 6),
(9575, NULL, 'PF17335', NULL, NULL, 'Ino80 complex subunit 5', NULL, 'IES5', NULL, NULL, NULL, 6),
(9576, NULL, 'PF02258', NULL, NULL, 'Shiga-like toxin beta subunit', NULL, 'SLT_beta', NULL, NULL, NULL, 6),
(9577, NULL, 'PF03790', NULL, NULL, 'KNOX1 domain', NULL, 'KNOX1', NULL, NULL, NULL, 6),
(9578, NULL, 'PF02998', NULL, NULL, 'Lentiviral Tat protein', NULL, 'Lentiviral_Tat', NULL, NULL, NULL, 6),
(9579, NULL, 'PF02433', NULL, NULL, 'Cytochrome C oxidase, mono-heme subunit/FixO', NULL, 'FixO', NULL, NULL, NULL, 6),
(9580, NULL, 'PF02544', NULL, NULL, '3-oxo-5-alpha-steroid 4-dehydrogenase', NULL, 'Steroid_dh', NULL, NULL, NULL, 6),
(9581, NULL, 'PF16553', NULL, NULL, 'BCORL-PCGF1-binding domain', NULL, 'PUFD', NULL, NULL, NULL, 6),
(9582, NULL, 'PF18344', NULL, NULL, 'Carbohydrate binding module family 32', NULL, 'CBM32', NULL, NULL, NULL, 6),
(9583, NULL, 'PF09113', NULL, NULL, 'Peptide-N-glycosidase F, C terminal', NULL, 'N-glycanase_C', NULL, NULL, NULL, 6),
(9584, NULL, 'PF03502', NULL, NULL, 'Nucleoside-specific channel-forming protein, Tsx', NULL, 'Channel_Tsx', NULL, NULL, NULL, 6),
(9585, NULL, 'PF11493', NULL, NULL, 'Thylakoid soluble phosphoprotein TSP9', NULL, 'TSP9', NULL, NULL, NULL, 6),
(9586, NULL, 'PF03485', NULL, NULL, 'Arginyl tRNA synthetase N terminal domain', NULL, 'Arg_tRNA_synt_N', NULL, NULL, NULL, 6),
(9587, NULL, 'PF10417', NULL, NULL, 'C-terminal domain of 1-Cys peroxiredoxin', NULL, '1-cysPrx_C', NULL, NULL, NULL, 6),
(9588, NULL, 'PF08309', NULL, NULL, 'LVIVD repeat', NULL, 'LVIVD', NULL, NULL, NULL, 6),
(9589, NULL, 'PF13344', NULL, NULL, 'Haloacid dehalogenase-like hydrolase', NULL, 'Hydrolase_6', NULL, NULL, NULL, 6),
(9590, NULL, 'PF07350', NULL, NULL, 'Protein of unknown function (DUF1479)', NULL, 'DUF1479', NULL, NULL, NULL, 6),
(9591, NULL, 'PF19224', NULL, NULL, 'pATOM36 family', NULL, 'pATOM36', NULL, NULL, NULL, 6),
(9592, NULL, 'PF03640', NULL, NULL, 'Secreted repeat of unknown function', NULL, 'Lipoprotein_15', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9593, NULL, 'PF12132', NULL, NULL, 'Protein of unknown function (DUF3587)', NULL, 'DUF3587', NULL, NULL, NULL, 6),
(9594, NULL, 'PF09397', NULL, NULL, 'Ftsk gamma domain', NULL, 'FtsK_gamma', NULL, NULL, NULL, 6),
(9595, NULL, 'PF01117', NULL, NULL, 'Aerolysin toxin', NULL, 'Aerolysin', NULL, NULL, NULL, 6),
(9596, NULL, 'PF14102', NULL, NULL, 'Capsule biosynthesis CapC', NULL, 'Caps_synth_CapC', NULL, NULL, NULL, 6),
(9597, NULL, 'PF03368', NULL, NULL, 'Dicer dimerisation domain', NULL, 'Dicer_dimer', NULL, NULL, NULL, 6),
(9598, NULL, 'PF03953', NULL, NULL, 'Tubulin C-terminal domain', NULL, 'Tubulin_C', NULL, NULL, NULL, 6),
(9599, NULL, 'PF04883', NULL, NULL, 'Bacteriophage HK97-gp10, putative tail-component', NULL, 'HK97-gp10_like', NULL, NULL, NULL, 6),
(9600, NULL, 'PF16629', NULL, NULL, 'Armadillo-associated region on APC', NULL, 'Arm_APC_u3', NULL, NULL, NULL, 6),
(9601, NULL, 'PF03117', NULL, NULL, 'UL49 family', NULL, 'Herpes_UL49_1', NULL, NULL, NULL, 6),
(9602, NULL, 'PF01199', NULL, NULL, 'Ribosomal protein L34e', NULL, 'Ribosomal_L34e', NULL, NULL, NULL, 6),
(9603, NULL, 'PF10923', NULL, NULL, 'P-loop Domain of unknown function (DUF2791)', NULL, 'DUF2791', NULL, NULL, NULL, 6),
(9604, NULL, 'PF11496', NULL, NULL, 'Class II histone deacetylase complex subunits 2 and 3', NULL, 'HDA2-3', NULL, NULL, NULL, 6),
(9605, NULL, 'PF04539', NULL, NULL, 'Sigma-70 region 3', NULL, 'Sigma70_r3', NULL, NULL, NULL, 6),
(9606, NULL, 'PF08086', NULL, NULL, 'Ergtoxin family', NULL, 'Toxin_17', NULL, NULL, NULL, 6),
(9607, NULL, 'PF11675', NULL, NULL, 'Protein of unknown function (DUF3271)', NULL, 'DUF3271', NULL, NULL, NULL, 6),
(9608, NULL, 'PF13629', NULL, NULL, 'Pilus formation protein N terminal region', NULL, 'T2SS-T3SS_pil_N', NULL, NULL, NULL, 6),
(9609, NULL, 'PF10434', NULL, NULL, 'Monopolin complex protein MAM1', NULL, 'MAM1', NULL, NULL, NULL, 6),
(9610, NULL, 'PF10719', NULL, NULL, 'Late competence development protein ComFB', NULL, 'ComFB', NULL, NULL, NULL, 6),
(9611, NULL, 'PF15969', NULL, NULL, 'Intracellular sensor of Lambda phage, Abi component', NULL, 'RexA', NULL, NULL, NULL, 6),
(9612, NULL, 'PF06816', NULL, NULL, 'NOTCH protein', NULL, 'NOD', NULL, NULL, NULL, 6),
(9613, NULL, 'PF07209', NULL, NULL, 'Protein of unknown function (DUF1415)', NULL, 'DUF1415', NULL, NULL, NULL, 6),
(9614, NULL, 'PF11811', NULL, NULL, 'Domain of unknown function (DUF3331)', NULL, 'DUF3331', NULL, NULL, NULL, 6),
(9615, NULL, 'PF00435', NULL, NULL, 'Spectrin repeat', NULL, 'Spectrin', NULL, NULL, NULL, 6),
(9616, NULL, 'PF16062', NULL, NULL, 'Domain of unknown function (DUF4804)', NULL, 'DUF4804', NULL, NULL, NULL, 6),
(9617, NULL, 'PF14744', NULL, NULL, 'WASH complex subunit 7', NULL, 'WASH-7_mid', NULL, NULL, NULL, 6),
(9618, NULL, 'PF04952', NULL, NULL, 'Succinylglutamate desuccinylase / Aspartoacylase family', NULL, 'AstE_AspA', NULL, NULL, NULL, 6),
(9619, NULL, 'PF16271', NULL, NULL, 'Domain of unknown function (DUF4924)', NULL, 'DUF4924', NULL, NULL, NULL, 6),
(9620, NULL, 'PF01940', NULL, NULL, 'Integral membrane protein DUF92', NULL, 'DUF92', NULL, NULL, NULL, 6),
(9621, NULL, 'PF07421', NULL, NULL, 'Neurotensin/neuromedin N precursor', NULL, 'Pro-NT_NN', NULL, NULL, NULL, 6),
(9622, NULL, 'PF14938', NULL, NULL, 'Soluble NSF attachment protein, SNAP', NULL, 'SNAP', NULL, NULL, NULL, 6),
(9623, NULL, 'PF04087', NULL, NULL, 'Domain of unknown function (DUF389)', NULL, 'DUF389', NULL, NULL, NULL, 6),
(9624, NULL, 'PF05608', NULL, NULL, 'Protein of unknown function (DUF778)', NULL, 'DUF778', NULL, NULL, NULL, 6),
(9625, NULL, 'PF09879', NULL, NULL, 'Predicted membrane protein (DUF2106)', NULL, 'DUF2106', NULL, NULL, NULL, 6),
(9626, NULL, 'PF11241', NULL, NULL, 'Protein of unknown function (DUF3043)', NULL, 'DUF3043', NULL, NULL, NULL, 6),
(9627, NULL, 'PF05547', NULL, NULL, 'Immune inhibitor A peptidase M6', NULL, 'Peptidase_M6', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9628, NULL, 'PF18286', NULL, NULL, 'Type III secretion system ExsE', NULL, 'T3SS_ExsE', NULL, NULL, NULL, 6),
(9629, NULL, 'PF14463', NULL, NULL, 'E1 N-terminal domain', NULL, 'E1-N', NULL, NULL, NULL, 6),
(9630, NULL, 'PF00817', NULL, NULL, 'impB/mucB/samB family', NULL, 'IMS', NULL, NULL, NULL, 6),
(9631, NULL, 'PF05577', NULL, NULL, 'Serine carboxypeptidase S28', NULL, 'Peptidase_S28', NULL, NULL, NULL, 6),
(9632, NULL, 'PF07986', NULL, NULL, 'Tubulin binding cofactor C', NULL, 'TBCC', NULL, NULL, NULL, 6),
(9633, NULL, 'PF02347', NULL, NULL, 'Glycine cleavage system P-protein', NULL, 'GDC-P', NULL, NULL, NULL, 6),
(9634, NULL, 'PF07725', NULL, NULL, 'Leucine Rich Repeat', NULL, 'LRR_3', NULL, NULL, NULL, 6),
(9635, NULL, 'PF15957', NULL, NULL, 'Commissureless', NULL, 'Comm', NULL, NULL, NULL, 6),
(9636, NULL, 'PF15343', NULL, NULL, 'Decidual protein induced by progesterone family', NULL, 'DEPP', NULL, NULL, NULL, 6),
(9637, NULL, 'PF06785', NULL, NULL, 'Uncharacterised protein family (UPF0242) N-terminus', NULL, 'UPF0242', NULL, NULL, NULL, 6),
(9638, NULL, 'PF00322', NULL, NULL, 'Endothelin family', NULL, 'Endothelin', NULL, NULL, NULL, 6),
(9639, NULL, 'PF18460', NULL, NULL, 'Heterocyst differentiation regulator C-terminal Hood domain', NULL, 'HetR_C', NULL, NULL, NULL, 6),
(9640, NULL, 'PF16120', NULL, NULL, 'Domain of unknown function (DUF4836)', NULL, 'DUF4836', NULL, NULL, NULL, 6),
(9641, NULL, 'PF06043', NULL, NULL, 'Reovirus P9-like family', NULL, 'Reo_P9', NULL, NULL, NULL, 6),
(9642, NULL, 'PF07114', NULL, NULL, 'Transmembrane protein 126', NULL, 'TMEM126', NULL, NULL, NULL, 6),
(9643, NULL, 'PF06059', NULL, NULL, 'Domain of Unknown Function (DUF930)', NULL, 'DUF930', NULL, NULL, NULL, 6),
(9644, NULL, 'PF15118', NULL, NULL, 'Domain of unknown function (DUF4560)', NULL, 'DUF4560', NULL, NULL, NULL, 6),
(9645, NULL, 'PF14151', NULL, NULL, 'YfhD-like protein', NULL, 'YfhD', NULL, NULL, NULL, 6),
(9646, NULL, 'PF05981', NULL, NULL, 'CreA protein', NULL, 'CreA', NULL, NULL, NULL, 6),
(9647, NULL, 'PF15921', NULL, NULL, 'Coiled-coil domain-containing protein 158', NULL, 'CCDC158', NULL, NULL, NULL, 6),
(9648, NULL, 'PF06919', NULL, NULL, 'Phage Gp30.7 protein', NULL, 'Phage_T4_Gp30_7', NULL, NULL, NULL, 6),
(9649, NULL, 'PF17548', NULL, NULL, 'Histone-like Protein p6', NULL, 'p6', NULL, NULL, NULL, 6),
(9650, NULL, 'PF03525', NULL, NULL, 'Meiotic recombination protein rec114', NULL, 'Meiotic_rec114', NULL, NULL, NULL, 6),
(9651, NULL, 'PF00996', NULL, NULL, 'GDP dissociation inhibitor', NULL, 'GDI', NULL, NULL, NULL, 6),
(9652, NULL, 'PF08388', NULL, NULL, 'Group II intron, maturase-specific domain', NULL, 'GIIM', NULL, NULL, NULL, 6),
(9653, NULL, 'PF09135', NULL, NULL, 'Alb1', NULL, 'Alb1', NULL, NULL, NULL, 6),
(9654, NULL, 'PF04303', NULL, NULL, 'PrpF protein', NULL, 'PrpF', NULL, NULL, NULL, 6),
(9655, NULL, 'PF08879', NULL, NULL, 'WRC', NULL, 'WRC', NULL, NULL, NULL, 6),
(9656, NULL, 'PF12537', NULL, NULL, 'The Golgi pH Regulator (GPHR) Family N-terminal', NULL, 'GPHR_N', NULL, NULL, NULL, 6),
(9657, NULL, 'PF13567', NULL, NULL, 'Domain of unknown function (DUF4131)', NULL, 'DUF4131', NULL, NULL, NULL, 6),
(9658, NULL, 'PF03063', NULL, NULL, 'Prismane/CO dehydrogenase family', NULL, 'Prismane', NULL, NULL, NULL, 6),
(9659, NULL, 'PF03929', NULL, NULL, 'PepSY-associated TM region', NULL, 'PepSY_TM', NULL, NULL, NULL, 6),
(9660, NULL, 'PF08612', NULL, NULL, 'TATA-binding related factor (TRF) of subunit 20 of Mediator complex', NULL, 'Med20', NULL, NULL, NULL, 6),
(9661, NULL, 'PF01206', NULL, NULL, 'Sulfurtransferase TusA', NULL, 'TusA', NULL, NULL, NULL, 6),
(9662, NULL, 'PF05699', NULL, NULL, 'hAT family C-terminal dimerisation region', NULL, 'Dimer_Tnp_hAT', NULL, NULL, NULL, 6),
(9663, NULL, 'PF10835', NULL, NULL, 'Protein of unknown function (DUF2573)', NULL, 'DUF2573', NULL, NULL, NULL, 6),
(9664, NULL, 'PF00578', NULL, NULL, 'AhpC/TSA family', NULL, 'AhpC-TSA', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9665, NULL, 'PF08688', NULL, NULL, 'Apx/Shroom domain ASD1', NULL, 'ASD1', NULL, NULL, NULL, 6),
(9666, NULL, 'PF14918', NULL, NULL, 'MDM2-binding', NULL, 'MTBP_N', NULL, NULL, NULL, 6),
(9667, NULL, 'PF18014', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_18', NULL, NULL, NULL, 6),
(9668, NULL, 'PF18940', NULL, NULL, 'Family of unknown function (DUF5687)', NULL, 'DUF5687', NULL, NULL, NULL, 6),
(9669, NULL, 'PF08163', NULL, NULL, 'NUC194 domain', NULL, 'NUC194', NULL, NULL, NULL, 6),
(9670, NULL, 'PF05315', NULL, NULL, 'ICEA Protein', NULL, 'ICEA', NULL, NULL, NULL, 6),
(9671, NULL, 'PF17277', NULL, NULL, 'Family of unknown function (DUF5342)', NULL, 'DUF5342', NULL, NULL, NULL, 6),
(9672, NULL, 'PF16065', NULL, NULL, 'Domain of unknown function (DUF4807)', NULL, 'DUF4807', NULL, NULL, NULL, 6),
(9673, NULL, 'PF13735', NULL, NULL, 'tRNA nucleotidyltransferase domain 2 putative', NULL, 'tRNA_NucTran2_2', NULL, NULL, NULL, 6),
(9674, NULL, 'PF03387', NULL, NULL, 'Herpesvirus UL46 protein', NULL, 'Herpes_UL46', NULL, NULL, NULL, 6),
(9675, NULL, 'PF05562', NULL, NULL, 'Cold acclimation protein WCOR413', NULL, 'WCOR413', NULL, NULL, NULL, 6),
(9676, NULL, 'PF18102', NULL, NULL, 'Deltex C-terminal domain', NULL, 'DTC', NULL, NULL, NULL, 6),
(9677, NULL, 'PF00455', NULL, NULL, 'DeoR C terminal sensor domain', NULL, 'DeoRC', NULL, NULL, NULL, 6),
(9678, NULL, 'PF18481', NULL, NULL, 'Domain of unknown function (DUF5616)', NULL, 'DUF5616', NULL, NULL, NULL, 6),
(9679, NULL, 'PF06503', NULL, NULL, 'Protein of unknown function (DUF1101)', NULL, 'DUF1101', NULL, NULL, NULL, 6),
(9680, NULL, 'PF14877', NULL, NULL, 'Mitochondrial translation initiation factor', NULL, 'mIF3', NULL, NULL, NULL, 6),
(9681, NULL, 'PF05797', NULL, NULL, 'Yeast trans-acting factor (REP1/REP2)', NULL, 'Rep_4', NULL, NULL, NULL, 6),
(9682, NULL, 'PF04318', NULL, NULL, 'Protein of unknown function (DUF468)', NULL, 'DUF468', NULL, NULL, NULL, 6),
(9683, NULL, 'PF14182', NULL, NULL, 'YgaB-like protein', NULL, 'YgaB', NULL, NULL, NULL, 6),
(9684, NULL, 'PF00562', NULL, NULL, 'RNA polymerase Rpb2, domain 6', NULL, 'RNA_pol_Rpb2_6', NULL, NULL, NULL, 6),
(9685, NULL, 'PF08294', NULL, NULL, 'TIM21', NULL, 'TIM21', NULL, NULL, NULL, 6),
(9686, NULL, 'PF12690', NULL, NULL, 'Intracellular proteinase inhibitor', NULL, 'BsuPI', NULL, NULL, NULL, 6),
(9687, NULL, 'PF09776', NULL, NULL, 'Mitochondrial ribosomal protein L55', NULL, 'Mitoc_L55', NULL, NULL, NULL, 6),
(9688, NULL, 'PF14209', NULL, NULL, 'Domain of unknown function (DUF4321)', NULL, 'DUF4321', NULL, NULL, NULL, 6),
(9689, NULL, 'PF10864', NULL, NULL, 'Protein of unknown function (DUF2663)', NULL, 'DUF2663', NULL, NULL, NULL, 6),
(9690, NULL, 'PF13083', NULL, NULL, 'KH domain', NULL, 'KH_4', NULL, NULL, NULL, 6),
(9691, NULL, 'PF14615', NULL, NULL, 'Ribosome-assembly protein 3', NULL, 'Rsa3', NULL, NULL, NULL, 6),
(9692, NULL, 'PF00296', NULL, NULL, 'Luciferase-like monooxygenase', NULL, 'Bac_luciferase', NULL, NULL, NULL, 6),
(9693, NULL, 'PF14916', NULL, NULL, 'Coiled-coil domain of unknown function', NULL, 'CCDC92', NULL, NULL, NULL, 6),
(9694, NULL, 'PF12926', NULL, NULL, 'Mitotic-spindle organizing gamma-tubulin ring associated', NULL, 'MOZART2', NULL, NULL, NULL, 6),
(9695, NULL, 'PF07881', NULL, NULL, 'L-fucose isomerase, first N-terminal domain', NULL, 'Fucose_iso_N1', NULL, NULL, NULL, 6),
(9696, NULL, 'PF01520', NULL, NULL, 'N-acetylmuramoyl-L-alanine amidase', NULL, 'Amidase_3', NULL, NULL, NULL, 6),
(9697, NULL, 'PF14946', NULL, NULL, 'Domain of unknown function (DUF4501)', NULL, 'DUF4501', NULL, NULL, NULL, 6),
(9698, NULL, 'PF03712', NULL, NULL, 'Copper type II ascorbate-dependent monooxygenase, C-terminal domain', NULL, 'Cu2_monoox_C', NULL, NULL, NULL, 6),
(9699, NULL, 'PF09229', NULL, NULL, 'Activator of Hsp90 ATPase, N-terminal', NULL, 'Aha1_N', NULL, NULL, NULL, 6),
(9700, NULL, 'PF09876', NULL, NULL, 'Predicted metal-binding protein (DUF2103)', NULL, 'DUF2103', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9701, NULL, 'PF18441', NULL, NULL, 'Hen1 La-motif C-terminal domain', NULL, 'Hen1_Lam_C', NULL, NULL, NULL, 6),
(9702, NULL, 'PF09531', NULL, NULL, 'Nucleoporin protein Ndc1-Nup', NULL, 'Ndc1_Nup', NULL, NULL, NULL, 6),
(9703, NULL, 'PF17784', NULL, NULL, 'Sulfotransferase domain', NULL, 'Sulfotransfer_4', NULL, NULL, NULL, 6),
(9704, NULL, 'PF12716', NULL, NULL, 'Nuclear pore assembly and biogenesis', NULL, 'Apq12', NULL, NULL, NULL, 6),
(9705, NULL, 'PF03416', NULL, NULL, 'Peptidase family C54', NULL, 'Peptidase_C54', NULL, NULL, NULL, 6),
(9706, NULL, 'PF04901', NULL, NULL, 'Receptor activity modifying family', NULL, 'RAMP', NULL, NULL, NULL, 6),
(9707, NULL, 'PF17555', NULL, NULL, 'Type VI secretion system, TssN', NULL, 'TssN', NULL, NULL, NULL, 6),
(9708, NULL, 'PF12531', NULL, NULL, 'DNA-K related protein', NULL, 'DUF3731', NULL, NULL, NULL, 6),
(9709, NULL, 'PF03489', NULL, NULL, 'Saposin-like type B, region 2', NULL, 'SapB_2', NULL, NULL, NULL, 6),
(9710, NULL, 'PF16732', NULL, NULL, 'Type IV minor pilin ComP, DNA uptake sequence receptor', NULL, 'ComP_DUS', NULL, NULL, NULL, 6),
(9711, NULL, 'PF13884', NULL, NULL, 'Chaperone of endosialidase', NULL, 'Peptidase_S74', NULL, NULL, NULL, 6),
(9712, NULL, 'PF02852', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase, dimerisation domain', NULL, 'Pyr_redox_dim', NULL, NULL, NULL, 6),
(9713, NULL, 'PF03229', NULL, NULL, 'Alphavirus glycoprotein J', NULL, 'Alpha_GJ', NULL, NULL, NULL, 6),
(9714, NULL, 'PF00895', NULL, NULL, 'ATP synthase protein 8', NULL, 'ATP-synt_8', NULL, NULL, NULL, 6),
(9715, NULL, 'PF05834', NULL, NULL, 'Lycopene cyclase protein', NULL, 'Lycopene_cycl', NULL, NULL, NULL, 6),
(9716, NULL, 'PF09148', NULL, NULL, 'Domain of unknown function (DUF1934)', NULL, 'DUF1934', NULL, NULL, NULL, 6),
(9717, NULL, 'PF13043', NULL, NULL, 'Domain of unknown function (DUF3903)', NULL, 'DUF3903', NULL, NULL, NULL, 6),
(9718, NULL, 'PF00948', NULL, NULL, 'Flavivirus non-structural Protein NS1', NULL, 'Flavi_NS1', NULL, NULL, NULL, 6),
(9719, NULL, 'PF09445', NULL, NULL, 'RNA cap guanine-N2 methyltransferase', NULL, 'Methyltransf_15', NULL, NULL, NULL, 6),
(9720, NULL, 'PF18660', NULL, NULL, 'Tsi6', NULL, 'Tsi6', NULL, NULL, NULL, 6),
(9721, NULL, 'PF19087', NULL, NULL, 'Domain of unknown function (DUF5776)', NULL, 'DUF5776', NULL, NULL, NULL, 6),
(9722, NULL, 'PF18890', NULL, NULL, 'FANCL UBC-like domain 2', NULL, 'FANCL_d2', NULL, NULL, NULL, 6),
(9723, NULL, 'PF05135', NULL, NULL, 'Phage gp6-like head-tail connector protein', NULL, 'Phage_connect_1', NULL, NULL, NULL, 6),
(9724, NULL, 'PF03895', NULL, NULL, 'YadA-like membrane anchor domain', NULL, 'YadA_anchor', NULL, NULL, NULL, 6),
(9725, NULL, 'PF11322', NULL, NULL, 'Protein of unknown function (DUF3124)', NULL, 'DUF3124', NULL, NULL, NULL, 6),
(9726, NULL, 'PF11117', NULL, NULL, 'Protein of unknown function (DUF2626)', NULL, 'DUF2626', NULL, NULL, NULL, 6),
(9727, NULL, 'PF14673', NULL, NULL, 'Domain of unknown function (DUF4459)', NULL, 'DUF4459', NULL, NULL, NULL, 6),
(9728, NULL, 'PF08832', NULL, NULL, 'Steroid receptor coactivator', NULL, 'SRC-1', NULL, NULL, NULL, 6),
(9729, NULL, 'PF18189', NULL, NULL, 'TbRIF5 SNase domain 2', NULL, 'RIF5_SNase_2', NULL, NULL, NULL, 6),
(9730, NULL, 'PF18635', NULL, NULL, 'Epithelial cell adhesion molecule N-terminal domain', NULL, 'EpCAM_N', NULL, NULL, NULL, 6),
(9731, NULL, 'PF04995', NULL, NULL, 'Heme exporter protein D (CcmD)', NULL, 'CcmD', NULL, NULL, NULL, 6),
(9732, NULL, 'PF05975', NULL, NULL, 'Bacterial ABC transporter protein EcsB', NULL, 'EcsB', NULL, NULL, NULL, 6),
(9733, NULL, 'PF12797', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_2', NULL, NULL, NULL, 6),
(9734, NULL, 'PF16324', NULL, NULL, 'Domain of unknown function (DUF4960)', NULL, 'DUF4960', NULL, NULL, NULL, 6),
(9735, NULL, 'PF18538', NULL, NULL, 'Domain of unknown function (DUF5624)', NULL, 'DUF5624', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9736, NULL, 'PF09801', NULL, NULL, 'Integral membrane protein S linking to the trans Golgi network', NULL, 'SYS1', NULL, NULL, NULL, 6),
(9737, NULL, 'PF01657', NULL, NULL, 'Salt stress response/antifungal', NULL, 'Stress-antifung', NULL, NULL, NULL, 6),
(9738, NULL, 'PF12433', NULL, NULL, 'Parvovirus non-structural protein 1', NULL, 'PV_NSP1', NULL, NULL, NULL, 6),
(9739, NULL, 'PF18518', NULL, NULL, 'TcA receptor binding domain', NULL, 'TcA_RBD', NULL, NULL, NULL, 6),
(9740, NULL, 'PF11614', NULL, NULL, 'IG-like fold at C-terminal of FixG, putative oxidoreductase', NULL, 'FixG_C', NULL, NULL, NULL, 6),
(9741, NULL, 'PF18056', NULL, NULL, 'Penicillin Binding Protein 3 Domain', NULL, 'PBP3', NULL, NULL, NULL, 6),
(9742, NULL, 'PF16872', NULL, NULL, 'Putative phage abortive infection protein', NULL, 'putAbiC', NULL, NULL, NULL, 6),
(9743, NULL, 'PF10640', NULL, NULL, 'mRNA capping enzyme N-terminal, ATPase and guanylyltransferase', NULL, 'Pox_ATPase-GT', NULL, NULL, NULL, 6),
(9744, NULL, 'PF01249', NULL, NULL, 'Ribosomal protein S21e', NULL, 'Ribosomal_S21e', NULL, NULL, NULL, 6),
(9745, NULL, 'PF19152', NULL, NULL, 'Family of unknown function (DUF5834)', NULL, 'DUF5834', NULL, NULL, NULL, 6),
(9746, NULL, 'PF08649', NULL, NULL, 'DASH complex subunit Dad1', NULL, 'DASH_Dad1', NULL, NULL, NULL, 6),
(9747, NULL, 'PF12723', NULL, NULL, 'Protein of unknown function (DUF3809)', NULL, 'DUF3809', NULL, NULL, NULL, 6),
(9748, NULL, 'PF17151', NULL, NULL, 'Periplasmic sensor domain', NULL, 'CHASE7', NULL, NULL, NULL, 6),
(9749, NULL, 'PF01583', NULL, NULL, 'Adenylylsulphate kinase', NULL, 'APS_kinase', NULL, NULL, NULL, 6),
(9750, NULL, 'PF06614', NULL, NULL, 'Neuromodulin', NULL, 'Neuromodulin', NULL, NULL, NULL, 6),
(9751, NULL, 'PF18250', NULL, NULL, 'Effector immunity protein Tgi2PP', NULL, 'Tgi2PP', NULL, NULL, NULL, 6),
(9752, NULL, 'PF14324', NULL, NULL, 'PINIT domain', NULL, 'PINIT', NULL, NULL, NULL, 6),
(9753, NULL, 'PF18699', NULL, NULL, 'Mitoribosomal protein mL52', NULL, 'MRPL52', NULL, NULL, NULL, 6),
(9754, NULL, 'PF10447', NULL, NULL, 'Exosome component EXOSC1/CSL4', NULL, 'EXOSC1', NULL, NULL, NULL, 6),
(9755, NULL, 'PF00443', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase', NULL, 'UCH', NULL, NULL, NULL, 6),
(9756, NULL, 'PF18893', NULL, NULL, 'Family of unknown function (DUF5652)', NULL, 'DUF5652', NULL, NULL, NULL, 6),
(9757, NULL, 'PF01242', NULL, NULL, '6-pyruvoyl tetrahydropterin synthase', NULL, 'PTPS', NULL, NULL, NULL, 6),
(9758, NULL, 'PF04433', NULL, NULL, 'SWIRM domain', NULL, 'SWIRM', NULL, NULL, NULL, 6),
(9759, NULL, 'PF08367', NULL, NULL, 'Peptidase M16C associated', NULL, 'M16C_assoc', NULL, NULL, NULL, 6),
(9760, NULL, 'PF00819', NULL, NULL, 'Myotoxin, crotamine', NULL, 'Myotoxins', NULL, NULL, NULL, 6),
(9761, NULL, 'PF15795', NULL, NULL, 'Ectodermal ciliogenesis protein', NULL, 'Spec3', NULL, NULL, NULL, 6),
(9762, NULL, 'PF02383', NULL, NULL, 'SacI homology domain', NULL, 'Syja_N', NULL, NULL, NULL, 6),
(9763, NULL, 'PF12746', NULL, NULL, 'GNAT acetyltransferase', NULL, 'GNAT_acetyltran', NULL, NULL, NULL, 6),
(9764, NULL, 'PF04218', NULL, NULL, 'CENP-B N-terminal DNA-binding domain', NULL, 'CENP-B_N', NULL, NULL, NULL, 6),
(9765, NULL, 'PF17531', NULL, NULL, 'outer-membrane spanin sub-unit', NULL, 'O_Spanin_T7', NULL, NULL, NULL, 6),
(9766, NULL, 'PF00677', NULL, NULL, 'Lumazine binding domain', NULL, 'Lum_binding', NULL, NULL, NULL, 6),
(9767, NULL, 'PF12439', NULL, NULL, 'Glycogen debranching enzyme N terminal', NULL, 'GDE_N', NULL, NULL, NULL, 6),
(9768, NULL, 'PF17092', NULL, NULL, 'Penicillin-binding protein OB-like domain', NULL, 'PCB_OB', NULL, NULL, NULL, 6),
(9769, NULL, 'PF04206', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit E', NULL, 'MtrE', NULL, NULL, NULL, 6),
(9770, NULL, 'PF08506', NULL, NULL, 'Cse1', NULL, 'Cse1', NULL, NULL, NULL, 6),
(9771, NULL, 'PF07189', NULL, NULL, 'Splicing factor 3B subunit 10 (SF3b10)', NULL, 'SF3b10', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9772, NULL, 'PF01052', NULL, NULL, 'Type III flagellar switch regulator (C-ring) FliN C-term', NULL, 'FliMN_C', NULL, NULL, NULL, 6),
(9773, NULL, 'PF15962', NULL, NULL, 'Domain of unknown function (DUF4765)', NULL, 'DUF4765', NULL, NULL, NULL, 6),
(9774, NULL, 'PF15405', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_5', NULL, NULL, NULL, 6),
(9775, NULL, 'PF05417', NULL, NULL, 'Hepatitis E cysteine protease', NULL, 'Peptidase_C41', NULL, NULL, NULL, 6),
(9776, NULL, 'PF01648', NULL, NULL, '4''-phosphopantetheinyl transferase superfamily', NULL, 'ACPS', NULL, NULL, NULL, 6),
(9777, NULL, 'PF13046', NULL, NULL, 'Protein of unknown function (DUF3906)', NULL, 'DUF3906', NULL, NULL, NULL, 6),
(9778, NULL, 'PF01451', NULL, NULL, 'Low molecular weight phosphotyrosine protein phosphatase', NULL, 'LMWPc', NULL, NULL, NULL, 6),
(9779, NULL, 'PF02829', NULL, NULL, '3H domain', NULL, '3H', NULL, NULL, NULL, 6),
(9780, NULL, 'PF09728', NULL, NULL, 'Myosin-like coiled-coil protein', NULL, 'Taxilin', NULL, NULL, NULL, 6),
(9781, NULL, 'PF00692', NULL, NULL, 'dUTPase', NULL, 'dUTPase', NULL, NULL, NULL, 6),
(9782, NULL, 'PF19155', NULL, NULL, 'Family of unknown function (DUF5837)', NULL, 'DUF5837', NULL, NULL, NULL, 6),
(9783, NULL, 'PF02033', NULL, NULL, 'Ribosome-binding factor A', NULL, 'RBFA', NULL, NULL, NULL, 6),
(9784, NULL, 'PF11026', NULL, NULL, 'Protein of unknown function (DUF2721)', NULL, 'DUF2721', NULL, NULL, NULL, 6),
(9785, NULL, 'PF13307', NULL, NULL, 'Helicase C-terminal domain', NULL, 'Helicase_C_2', NULL, NULL, NULL, 6),
(9786, NULL, 'PF08620', NULL, NULL, 'RPAP1-like, C-terminal', NULL, 'RPAP1_C', NULL, NULL, NULL, 6),
(9787, NULL, 'PF11154', NULL, NULL, 'Protein of unknown function (DUF2934)', NULL, 'DUF2934', NULL, NULL, NULL, 6),
(9788, NULL, 'PF01585', NULL, NULL, 'G-patch domain', NULL, 'G-patch', NULL, NULL, NULL, 6),
(9789, NULL, 'PF02655', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_3', NULL, NULL, NULL, 6),
(9790, NULL, 'PF11699', NULL, NULL, 'Mif2/CENP-C like', NULL, 'CENP-C_C', NULL, NULL, NULL, 6),
(9791, NULL, 'PF11325', NULL, NULL, 'Domain of unknown function (DUF3127)', NULL, 'DUF3127', NULL, NULL, NULL, 6),
(9792, NULL, 'PF05062', NULL, NULL, 'RICH domain', NULL, 'RICH', NULL, NULL, NULL, 6),
(9793, NULL, 'PF17975', NULL, NULL, 'Ribonucleotide reductase alpha domain', NULL, 'RNR_Alpha', NULL, NULL, NULL, 6),
(9794, NULL, 'PF02093', NULL, NULL, 'Gag P30 core shell protein', NULL, 'Gag_p30', NULL, NULL, NULL, 6),
(9795, NULL, 'PF18542', NULL, NULL, 'Transcription factor IIB C-terminal module 1', NULL, 'TFIIB_C_1', NULL, NULL, NULL, 6),
(9796, NULL, 'PF09983', NULL, NULL, 'Uncharacterized protein conserved in bacteria C-term(DUF2220)', NULL, 'DUF2220', NULL, NULL, NULL, 6),
(9797, NULL, 'PF07591', NULL, NULL, 'Pretoxin HINT domain', NULL, 'PT-HINT', NULL, NULL, NULL, 6),
(9798, NULL, 'PF18807', NULL, NULL, 'Tripartite Tc toxins repeat', NULL, 'TTc_toxin_rep', NULL, NULL, NULL, 6),
(9799, NULL, 'PF12747', NULL, NULL, 'DdrB-like protein', NULL, 'DdrB', NULL, NULL, NULL, 6),
(9800, NULL, 'PF11678', NULL, NULL, 'Protein of unknown function (DUF3274)', NULL, 'DUF3274', NULL, NULL, NULL, 6),
(9801, NULL, 'PF01991', NULL, NULL, 'ATP synthase (E/31 kDa) subunit', NULL, 'vATP-synt_E', NULL, NULL, NULL, 6),
(9802, NULL, 'PF01082', NULL, NULL, 'Copper type II ascorbate-dependent monooxygenase, N-terminal domain', NULL, 'Cu2_monooxygen', NULL, NULL, NULL, 6),
(9803, NULL, 'PF05321', NULL, NULL, 'Haemolysin expression modulating protein', NULL, 'HHA', NULL, NULL, NULL, 6),
(9804, NULL, 'PF02909', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_1', NULL, NULL, NULL, 6),
(9805, NULL, 'PF14158', NULL, NULL, 'YndJ-like protein', NULL, 'YndJ', NULL, NULL, NULL, 6),
(9806, NULL, 'PF13335', NULL, NULL, 'Magnesium chelatase, subunit ChlI C-terminal', NULL, 'Mg_chelatase_C', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9807, NULL, 'PF12467', NULL, NULL, 'Cucumber mosaic virus 1a protein family', NULL, 'CMV_1a', NULL, NULL, NULL, 6),
(9808, NULL, 'PF10658', NULL, NULL, 'Protein of unknown function (DUF2484)', NULL, 'DUF2484', NULL, NULL, NULL, 6),
(9809, NULL, 'PF18493', NULL, NULL, 'Domain of unknown function (DUF5617)', NULL, 'DUF5617', NULL, NULL, NULL, 6),
(9810, NULL, 'PF09844', NULL, NULL, 'Uncharacterized conserved protein (COG2071)', NULL, 'DUF2071', NULL, NULL, NULL, 6),
(9811, NULL, 'PF05445', NULL, NULL, 'Poxvirus serine/threonine protein kinase', NULL, 'Pox_ser-thr_kin', NULL, NULL, NULL, 6),
(9812, NULL, 'PF10372', NULL, NULL, 'Bacterial membrane-spanning protein N-terminus', NULL, 'YojJ', NULL, NULL, NULL, 6),
(9813, NULL, 'PF05352', NULL, NULL, 'Phage Connector (GP10)', NULL, 'Phage_connector', NULL, NULL, NULL, 6),
(9814, NULL, 'PF05422', NULL, NULL, 'Stress-activated map kinase interacting protein 1 (SIN1)', NULL, 'SIN1', NULL, NULL, NULL, 6),
(9815, NULL, 'PF16575', NULL, NULL, 'mRNA cleavage and polyadenylation factor CLP1 P-loop', NULL, 'CLP1_P', NULL, NULL, NULL, 6),
(9816, NULL, 'PF01502', NULL, NULL, 'Phosphoribosyl-AMP cyclohydrolase', NULL, 'PRA-CH', NULL, NULL, NULL, 6),
(9817, NULL, 'PF01687', NULL, NULL, 'Riboflavin kinase', NULL, 'Flavokinase', NULL, NULL, NULL, 6),
(9818, NULL, 'PF17090', NULL, NULL, 'Uncharacterised protein family', NULL, 'Ytca', NULL, NULL, NULL, 6),
(9819, NULL, 'PF05856', NULL, NULL, 'ARP2/3 complex 20 kDa subunit (ARPC4)', NULL, 'ARPC4', NULL, NULL, NULL, 6),
(9820, NULL, 'PF16012', NULL, NULL, 'Domain of unknown function (DUF4780)', NULL, 'DUF4780', NULL, NULL, NULL, 6),
(9821, NULL, 'PF03068', NULL, NULL, 'Protein-arginine deiminase (PAD)', NULL, 'PAD', NULL, NULL, NULL, 6),
(9822, NULL, 'PF13839', NULL, NULL, 'GDSL/SGNH-like Acyl-Esterase family found in Pmr5 and Cas1p', NULL, 'PC-Esterase', NULL, NULL, NULL, 6),
(9823, NULL, 'PF15517', NULL, NULL, 'TBP-interacting protein N-terminus', NULL, 'TBPIP_N', NULL, NULL, NULL, 6),
(9824, NULL, 'PF12751', NULL, NULL, 'Vacuolar segregation subunit 7', NULL, 'Vac7', NULL, NULL, NULL, 6),
(9825, NULL, 'PF19063', NULL, NULL, 'Family of unknown function (DUF5759)', NULL, 'DUF5759', NULL, NULL, NULL, 6),
(9826, NULL, 'PF14994', NULL, NULL, 'Testis-specific gene 13 protein', NULL, 'TSGA13', NULL, NULL, NULL, 6),
(9827, NULL, 'PF17991', NULL, NULL, 'Thioredoxin like C-terminal domain', NULL, 'Thioredoxin_10', NULL, NULL, NULL, 6),
(9828, NULL, 'PF00916', NULL, NULL, 'Sulfate permease family', NULL, 'Sulfate_transp', NULL, NULL, NULL, 6),
(9829, NULL, 'PF14349', NULL, NULL, 'Motility related/secretion protein', NULL, 'SprA_N', NULL, NULL, NULL, 6),
(9830, NULL, 'PF11668', NULL, NULL, 'HCMV glycoprotein pUL130', NULL, 'Gp_UL130', NULL, NULL, NULL, 6),
(9831, NULL, 'PF16408', NULL, NULL, 'Domain of unknown function (DUF5016)', NULL, 'DUF5016', NULL, NULL, NULL, 6),
(9832, NULL, 'PF05345', NULL, NULL, 'Putative Ig domain', NULL, 'He_PIG', NULL, NULL, NULL, 6),
(9833, NULL, 'PF19187', NULL, NULL, 'PafC helix-turn-helix domain', NULL, 'HTH_PafC', NULL, NULL, NULL, 6),
(9834, NULL, 'PF12508', NULL, NULL, 'Conjugative transposon, TraM', NULL, 'Transposon_TraM', NULL, NULL, NULL, 6),
(9835, NULL, 'PF08416', NULL, NULL, 'Phosphotyrosine-binding domain', NULL, 'PTB', NULL, NULL, NULL, 6),
(9836, NULL, 'PF18986', NULL, NULL, 'Family of unknown function (DUF5719)', NULL, 'DUF5719', NULL, NULL, NULL, 6),
(9837, NULL, 'PF10604', NULL, NULL, 'Polyketide cyclase / dehydrase and lipid transport', NULL, 'Polyketide_cyc2', NULL, NULL, NULL, 6),
(9838, NULL, 'PF08465', NULL, NULL, 'Thymidine kinase from Herpesvirus C-terminal', NULL, 'Herpes_TK_C', NULL, NULL, NULL, 6),
(9839, NULL, 'PF07335', NULL, NULL, 'Fungal chitosanase of glycosyl hydrolase group 75', NULL, 'Glyco_hydro_75', NULL, NULL, NULL, 6),
(9840, NULL, 'PF04086', NULL, NULL, 'Signal recognition particle, alpha subunit, N-terminal', NULL, 'SRP-alpha_N', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9841, NULL, 'PF08866', NULL, NULL, 'Putative amino acid metabolism', NULL, 'DUF1831', NULL, NULL, NULL, 6),
(9842, NULL, 'PF14447', NULL, NULL, 'Prokaryotic RING finger family 4', NULL, 'Prok-RING_4', NULL, NULL, NULL, 6),
(9843, NULL, 'PF17293', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_5', NULL, NULL, NULL, 6),
(9844, NULL, 'PF08963', NULL, NULL, 'Protein of unknown function (DUF1878)', NULL, 'DUF1878', NULL, NULL, NULL, 6),
(9845, NULL, 'PF07730', NULL, NULL, 'Histidine kinase', NULL, 'HisKA_3', NULL, NULL, NULL, 6),
(9846, NULL, 'PF18211', NULL, NULL, 'Csm1 subunit domain B', NULL, 'Csm1_B', NULL, NULL, NULL, 6),
(9847, NULL, 'PF04368', NULL, NULL, 'Protein of unknown function (DUF507)', NULL, 'DUF507', NULL, NULL, NULL, 6),
(9848, NULL, 'PF01284', NULL, NULL, 'Membrane-associating domain', NULL, 'MARVEL', NULL, NULL, NULL, 6),
(9849, NULL, 'PF14186', NULL, NULL, 'Cytoskeletal adhesion', NULL, 'Aida_C2', NULL, NULL, NULL, 6),
(9850, NULL, 'PF07835', NULL, NULL, 'Bacterial aa3 type cytochrome c oxidase subunit IV', NULL, 'COX4_pro_2', NULL, NULL, NULL, 6),
(9851, NULL, 'PF09170', NULL, NULL, 'CST, Suppressor of cdc thirteen homolog, complex subunit STN1', NULL, 'STN1_2', NULL, NULL, NULL, 6),
(9852, NULL, 'PF16644', NULL, NULL, 'Regulatory region of Na+/H+ exchanger NHE binds to calmodulin', NULL, 'NEXCaM_BD', NULL, NULL, NULL, 6),
(9853, NULL, 'PF13418', NULL, NULL, 'Galactose oxidase, central domain', NULL, 'Kelch_4', NULL, NULL, NULL, 6),
(9854, NULL, 'PF07200', NULL, NULL, 'Modifier of rudimentary (Mod(r)) protein', NULL, 'Mod_r', NULL, NULL, NULL, 6),
(9855, NULL, 'PF00577', NULL, NULL, 'Outer membrane usher protein', NULL, 'Usher', NULL, NULL, NULL, 6),
(9856, NULL, 'PF16917', NULL, NULL, 'Biotin/lipoate A/B protein ligase family', NULL, 'BPL_LplA_LipB_2', NULL, NULL, NULL, 6),
(9857, NULL, 'PF12756', NULL, NULL, 'C2H2 type zinc-finger (2 copies)', NULL, 'zf-C2H2_2', NULL, NULL, NULL, 6),
(9858, NULL, 'PF00561', NULL, NULL, 'alpha/beta hydrolase fold', NULL, 'Abhydrolase_1', NULL, NULL, NULL, 6),
(9859, NULL, 'PF18780', NULL, NULL, 'Homing endonuclease repeat', NULL, 'HNH_repeat', NULL, NULL, NULL, 6),
(9860, NULL, 'PF09691', NULL, NULL, 'Type II secretion system pilotin lipoprotein (PulS_OutS)', NULL, 'T2SS_PulS_OutS', NULL, NULL, NULL, 6),
(9861, NULL, 'PF01802', NULL, NULL, 'Herpesvirus VP23 like capsid protein', NULL, 'Herpes_V23', NULL, NULL, NULL, 6),
(9862, NULL, 'PF01586', NULL, NULL, 'Myogenic Basic domain', NULL, 'Basic', NULL, NULL, NULL, 6),
(9863, NULL, 'PF14023', NULL, NULL, 'Protein of unknown function (DUF4239)', NULL, 'DUF4239', NULL, NULL, NULL, 6),
(9864, NULL, 'PF16654', NULL, NULL, 'Diaminopimelic acid dehydrogenase C-terminal domain', NULL, 'DAPDH_C', NULL, NULL, NULL, 6),
(9865, NULL, 'PF17744', NULL, NULL, 'Family of unknown function (DUF5581)', NULL, 'DUF5581', NULL, NULL, NULL, 6),
(9866, NULL, 'PF19033', NULL, NULL, 'Intu longin-like domain 3', NULL, 'Intu_longin_3', NULL, NULL, NULL, 6),
(9867, NULL, 'PF13405', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_6', NULL, NULL, NULL, 6),
(9868, NULL, 'PF01584', NULL, NULL, 'CheW-like domain', NULL, 'CheW', NULL, NULL, NULL, 6),
(9869, NULL, 'PF03257', NULL, NULL, 'Mycoplasma adhesin P1', NULL, 'Adhesin_P1', NULL, NULL, NULL, 6),
(9870, NULL, 'PF04963', NULL, NULL, 'Sigma-54 factor, core binding domain', NULL, 'Sigma54_CBD', NULL, NULL, NULL, 6),
(9871, NULL, 'PF00905', NULL, NULL, 'Penicillin binding protein transpeptidase domain', NULL, 'Transpeptidase', NULL, NULL, NULL, 6),
(9872, NULL, 'PF14862', NULL, NULL, 'Big defensin', NULL, 'Defensin_big', NULL, NULL, NULL, 6),
(9873, NULL, 'PF05709', NULL, NULL, 'Phage tail protein', NULL, 'Sipho_tail', NULL, NULL, NULL, 6),
(9874, NULL, 'PF19143', NULL, NULL, 'OMP85 superfamily', NULL, 'Omp85_2', NULL, NULL, NULL, 6),
(9875, NULL, 'PF14755', NULL, NULL, 'Intracellular membrane remodeller', NULL, 'ER-remodelling', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9876, NULL, 'PF00837', NULL, NULL, 'Iodothyronine deiodinase', NULL, 'T4_deiodinase', NULL, NULL, NULL, 6),
(9877, NULL, 'PF12158', NULL, NULL, 'Protein of unknown function (DUF3592)', NULL, 'DUF3592', NULL, NULL, NULL, 6),
(9878, NULL, 'PF15137', NULL, NULL, 'Domain of unknown function (DUF4571)', NULL, 'DUF4571', NULL, NULL, NULL, 6),
(9879, NULL, 'PF05472', NULL, NULL, 'DNA replication terminus site-binding protein (Ter protein)', NULL, 'Ter', NULL, NULL, NULL, 6),
(9880, NULL, 'PF00226', NULL, NULL, 'DnaJ domain', NULL, 'DnaJ', NULL, NULL, NULL, 6),
(9881, NULL, 'PF14111', NULL, NULL, 'Domain of unknown function (DUF4283)', NULL, 'DUF4283', NULL, NULL, NULL, 6),
(9882, NULL, 'PF09463', NULL, NULL, 'Opy2 protein', NULL, 'Opy2', NULL, NULL, NULL, 6),
(9883, NULL, 'PF09124', NULL, NULL, 'T4 recombination endonuclease VII, dimerisation', NULL, 'Endonuc-dimeris', NULL, NULL, NULL, 6),
(9884, NULL, 'PF05523', NULL, NULL, 'WxcM-like, C-terminal', NULL, 'FdtA', NULL, NULL, NULL, 6),
(9885, NULL, 'PF04358', NULL, NULL, 'DsrC like protein', NULL, 'DsrC', NULL, NULL, NULL, 6),
(9886, NULL, 'PF02653', NULL, NULL, 'Branched-chain amino acid transport system / permease component', NULL, 'BPD_transp_2', NULL, NULL, NULL, 6),
(9887, NULL, 'PF10611', NULL, NULL, 'Protein of unknown function (DUF2469)', NULL, 'DUF2469', NULL, NULL, NULL, 6),
(9888, NULL, 'PF17738', NULL, NULL, 'Family of unknown function (DUF5575)', NULL, 'DUF5575', NULL, NULL, NULL, 6),
(9889, NULL, 'PF11714', NULL, NULL, 'Thrombin inhibitor Madanin', NULL, 'Inhibitor_I53', NULL, NULL, NULL, 6),
(9890, NULL, 'PF03119', NULL, NULL, 'NAD-dependent DNA ligase C4 zinc finger domain', NULL, 'DNA_ligase_ZBD', NULL, NULL, NULL, 6),
(9891, NULL, 'PF08196', NULL, NULL, 'UL2 protein', NULL, 'UL2', NULL, NULL, NULL, 6),
(9892, NULL, 'PF06783', NULL, NULL, 'Uncharacterised protein family (UPF0239)', NULL, 'UPF0239', NULL, NULL, NULL, 6),
(9893, NULL, 'PF19219', NULL, NULL, 'Coronavirus replicase NSP15, N-terminal oligomerisation', NULL, 'CoV_NSP15_N', NULL, NULL, NULL, 6),
(9894, NULL, 'PF16840', NULL, NULL, 'Actin-like protein 7A N-terminus', NULL, 'ACTL7A_N', NULL, NULL, NULL, 6),
(9895, NULL, 'PF15246', NULL, NULL, 'Nck-associated protein 5, Peripheral clock protein', NULL, 'NCKAP5', NULL, NULL, NULL, 6),
(9896, NULL, 'PF16626', NULL, NULL, 'Linking region between Kunitz_BPTI and I-set on papilin', NULL, 'Papilin_u7', NULL, NULL, NULL, 6),
(9897, NULL, 'PF04420', NULL, NULL, 'CHD5-like protein', NULL, 'CHD5', NULL, NULL, NULL, 6),
(9898, NULL, 'PF10259', NULL, NULL, 'Rogdi leucine zipper containing protein', NULL, 'Rogdi_lz', NULL, NULL, NULL, 6),
(9899, NULL, 'PF07433', NULL, NULL, 'Protein of unknown function (DUF1513)', NULL, 'DUF1513', NULL, NULL, NULL, 6),
(9900, NULL, 'PF00669', NULL, NULL, 'Bacterial flagellin N-terminal helical region', NULL, 'Flagellin_N', NULL, NULL, NULL, 6),
(9901, NULL, 'PF15311', NULL, NULL, 'Hydrolethalus syndrome protein 1 C-terminus', NULL, 'HYLS1_C', NULL, NULL, NULL, 6),
(9902, NULL, 'PF06953', NULL, NULL, 'Arsenical resistance operon protein ArsD', NULL, 'ArsD', NULL, NULL, NULL, 6),
(9903, NULL, 'PF10411', NULL, NULL, 'Disulfide bond isomerase protein N-terminus', NULL, 'DsbC_N', NULL, NULL, NULL, 6),
(9904, NULL, 'PF12838', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_7', NULL, NULL, NULL, 6),
(9905, NULL, 'PF06707', NULL, NULL, 'Protein of unknown function (DUF1194)', NULL, 'DUF1194', NULL, NULL, NULL, 6),
(9906, NULL, 'PF11068', NULL, NULL, 'YlqD protein', NULL, 'YlqD', NULL, NULL, NULL, 6),
(9907, NULL, 'PF07039', NULL, NULL, 'SGF29 tudor-like domain', NULL, 'DUF1325', NULL, NULL, NULL, 6),
(9908, NULL, 'PF03250', NULL, NULL, 'Tropomodulin', NULL, 'Tropomodulin', NULL, NULL, NULL, 6),
(9909, NULL, 'PF15262', NULL, NULL, 'Domain of unknown function (DUF4592)', NULL, 'DUF4592', NULL, NULL, NULL, 6),
(9910, NULL, 'PF06365', NULL, NULL, 'CD34/Podocalyxin family', NULL, 'CD34_antigen', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9911, NULL, 'PF13140', NULL, NULL, 'Domain of unknown function (DUF3980)', NULL, 'DUF3980', NULL, NULL, NULL, 6),
(9912, NULL, 'PF01253', NULL, NULL, 'Translation initiation factor SUI1', NULL, 'SUI1', NULL, NULL, NULL, 6),
(9913, NULL, 'PF09053', NULL, NULL, 'CagZ', NULL, 'CagZ', NULL, NULL, NULL, 6),
(9914, NULL, 'PF14713', NULL, NULL, 'Domain of unknown function (DUF4464)', NULL, 'DUF4464', NULL, NULL, NULL, 6),
(9915, NULL, 'PF17547', NULL, NULL, 'Family of unknown function (DUF5462)', NULL, 'DUF5462', NULL, NULL, NULL, 6),
(9916, NULL, 'PF11582', NULL, NULL, 'Protein of unknown function (DUF3240)', NULL, 'DUF3240', NULL, NULL, NULL, 6),
(9917, NULL, 'PF06357', NULL, NULL, 'Omega-atracotoxin', NULL, 'Omega-toxin', NULL, NULL, NULL, 6),
(9918, NULL, 'PF08402', NULL, NULL, 'TOBE domain', NULL, 'TOBE_2', NULL, NULL, NULL, 6),
(9919, NULL, 'PF02319', NULL, NULL, 'E2F/DP family winged-helix DNA-binding domain', NULL, 'E2F_TDP', NULL, NULL, NULL, 6),
(9920, NULL, 'PF16429', NULL, NULL, 'Domain of unknown function (DUF5026)', NULL, 'DUF5026', NULL, NULL, NULL, 6),
(9921, NULL, 'PF12335', NULL, NULL, 'Myotubularin protein', NULL, 'SBF2', NULL, NULL, NULL, 6),
(9922, NULL, 'PF01841', NULL, NULL, 'Transglutaminase-like superfamily', NULL, 'Transglut_core', NULL, NULL, NULL, 6),
(9923, NULL, 'PF07434', NULL, NULL, 'CblD like pilus biogenesis initiator', NULL, 'CblD', NULL, NULL, NULL, 6),
(9924, NULL, 'PF10949', NULL, NULL, 'Protein of unknown function (DUF2777)', NULL, 'DUF2777', NULL, NULL, NULL, 6),
(9925, NULL, 'PF14048', NULL, NULL, 'C-terminal domain of methyl-CpG binding protein 2 and 3', NULL, 'MBD_C', NULL, NULL, NULL, 6),
(9926, NULL, 'PF14413', NULL, NULL, 'Thg1 C terminal domain', NULL, 'Thg1C', NULL, NULL, NULL, 6),
(9927, NULL, 'PF17540', NULL, NULL, 'Family of unknown function (DUF5457)', NULL, 'DUF5457', NULL, NULL, NULL, 6),
(9928, NULL, 'PF10937', NULL, NULL, 'Ribosomal protein S36, mitochondrial', NULL, 'S36_mt', NULL, NULL, NULL, 6),
(9929, NULL, 'PF01272', NULL, NULL, 'Transcription elongation factor, GreA/GreB, C-term', NULL, 'GreA_GreB', NULL, NULL, NULL, 6),
(9930, NULL, 'PF14676', NULL, NULL, 'FANCI solenoid 2', NULL, 'FANCI_S2', NULL, NULL, NULL, 6),
(9931, NULL, 'PF15022', NULL, NULL, 'Protein of unknown function (DUF4522)', NULL, 'DUF4522', NULL, NULL, NULL, 6),
(9932, NULL, 'PF04750', NULL, NULL, 'FAR-17a/AIG1-like protein', NULL, 'Far-17a_AIG1', NULL, NULL, NULL, 6),
(9933, NULL, 'PF15609', NULL, NULL, 'Phosphoribosyl transferase', NULL, 'PRTase_2', NULL, NULL, NULL, 6),
(9934, NULL, 'PF14592', NULL, NULL, 'Chondroitinase B', NULL, 'Chondroitinas_B', NULL, NULL, NULL, 6),
(9935, NULL, 'PF10689', NULL, NULL, 'Protein of unknown function (DUF2496)', NULL, 'DUF2496', NULL, NULL, NULL, 6),
(9936, NULL, 'PF13800', NULL, NULL, 'Sigma factor regulator N-terminal', NULL, 'Sigma_reg_N', NULL, NULL, NULL, 6),
(9937, NULL, 'PF13399', NULL, NULL, 'LytR cell envelope-related transcriptional attenuator', NULL, 'LytR_C', NULL, NULL, NULL, 6),
(9938, NULL, 'PF06537', NULL, NULL, 'Di-haem oxidoreductase, putative peroxidase', NULL, 'DHOR', NULL, NULL, NULL, 6),
(9939, NULL, 'PF00121', NULL, NULL, 'Triosephosphate isomerase', NULL, 'TIM', NULL, NULL, NULL, 6),
(9940, NULL, 'PF13301', NULL, NULL, 'Protein of unknown function (DUF4079)', NULL, 'DUF4079', NULL, NULL, NULL, 6),
(9941, NULL, 'PF18901', NULL, NULL, 'Family of unknown function (DUF5657)', NULL, 'DUF5657', NULL, NULL, NULL, 6),
(9942, NULL, 'PF02475', NULL, NULL, 'Met-10+ like-protein', NULL, 'Met_10', NULL, NULL, NULL, 6),
(9943, NULL, 'PF00800', NULL, NULL, 'Prephenate dehydratase', NULL, 'PDT', NULL, NULL, NULL, 6),
(9944, NULL, 'PF03585', NULL, NULL, 'Herpesvirus ICP4-like protein C-terminal region', NULL, 'Herpes_ICP4_C', NULL, NULL, NULL, 6),
(9945, NULL, 'PF08305', NULL, NULL, 'NPCBM/NEW2 domain', NULL, 'NPCBM', NULL, NULL, NULL, 6),
(9946, NULL, 'PF03868', NULL, NULL, 'Ribosomal protein L6, N-terminal domain', NULL, 'Ribosomal_L6e_N', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9947, NULL, 'PF10292', NULL, NULL, 'Serpentine type 7TM GPCR receptor class ab chemoreceptor', NULL, '7TM_GPCR_Srab', NULL, NULL, NULL, 6),
(9948, NULL, 'PF09855', NULL, NULL, 'Nucleic-acid-binding protein containing Zn-ribbon domain (DUF2082)', NULL, 'zinc_ribbon_13', NULL, NULL, NULL, 6),
(9949, NULL, 'PF15217', NULL, NULL, 'TSC21 family', NULL, 'TSC21', NULL, NULL, NULL, 6),
(9950, NULL, 'PF12522', NULL, NULL, 'Cytomegalovirus glycoprotein N terminal', NULL, 'UL73_N', NULL, NULL, NULL, 6),
(9951, NULL, 'PF03761', NULL, NULL, 'Nematode trypsin-6-like family', NULL, 'DUF316', NULL, NULL, NULL, 6),
(9952, NULL, 'PF14131', NULL, NULL, 'Domain of unknown function (DUF4298)', NULL, 'DUF4298', NULL, NULL, NULL, 6),
(9953, NULL, 'PF02596', NULL, NULL, 'Uncharacterised ArCR, COG2043', NULL, 'DUF169', NULL, NULL, NULL, 6),
(9954, NULL, 'PF17756', NULL, NULL, 'RET Cadherin like domain 1', NULL, 'RET_CLD1', NULL, NULL, NULL, 6),
(9955, NULL, 'PF05325', NULL, NULL, 'Protein of unknown function (DUF730)', NULL, 'DUF730', NULL, NULL, NULL, 6),
(9956, NULL, 'PF02775', NULL, NULL, 'Thiamine pyrophosphate enzyme, C-terminal TPP binding domain', NULL, 'TPP_enzyme_C', NULL, NULL, NULL, 6),
(9957, NULL, 'PF13902', NULL, NULL, 'R3H-associated N-terminal domain', NULL, 'R3H-assoc', NULL, NULL, NULL, 6),
(9958, NULL, 'PF18165', NULL, NULL, 'Predicted pPIWI-associating nuclease', NULL, 'pP_pnuc_1', NULL, NULL, NULL, 6),
(9959, NULL, 'PF11122', NULL, NULL, 'Inner spore coat protein D', NULL, 'Spore-coat_CotD', NULL, NULL, NULL, 6),
(9960, NULL, 'PF07531', NULL, NULL, 'NHR1 homology to TAF', NULL, 'TAFH', NULL, NULL, NULL, 6),
(9961, NULL, 'PF00343', NULL, NULL, 'Carbohydrate phosphorylase', NULL, 'Phosphorylase', NULL, NULL, NULL, 6),
(9962, NULL, 'PF05961', NULL, NULL, 'Chordopoxvirus A13L protein', NULL, 'Chordopox_A13L', NULL, NULL, NULL, 6),
(9963, NULL, 'PF18595', NULL, NULL, 'Designed helical repeat protein 10 domain', NULL, 'DHR10', NULL, NULL, NULL, 6),
(9964, NULL, 'PF14339', NULL, NULL, 'Domain of unknown function (DUF4394)', NULL, 'DUF4394', NULL, NULL, NULL, 6),
(9965, NULL, 'PF12813', NULL, NULL, 'XPG domain containing', NULL, 'XPG_I_2', NULL, NULL, NULL, 6),
(9966, NULL, 'PF12156', NULL, NULL, 'Putative metal-binding domain of cation transport ATPase', NULL, 'ATPase-cat_bd', NULL, NULL, NULL, 6),
(9967, NULL, 'PF15402', NULL, NULL, 'N-terminus of kinetochore NMS complex subunit Spc7', NULL, 'Spc7_N', NULL, NULL, NULL, 6),
(9968, NULL, 'PF03991', NULL, NULL, 'Copper binding octapeptide repeat', NULL, 'Prion_octapep', NULL, NULL, NULL, 6),
(9969, NULL, 'PF15641', NULL, NULL, 'Metallopeptidase toxin 5', NULL, 'Tox-MPTase5', NULL, NULL, NULL, 6),
(9970, NULL, 'PF14052', NULL, NULL, 'Capsule assembly protein Wzi', NULL, 'Caps_assemb_Wzi', NULL, NULL, NULL, 6),
(9971, NULL, 'PF04624', NULL, NULL, 'Dec-1 repeat', NULL, 'Dec-1', NULL, NULL, NULL, 6),
(9972, NULL, 'PF06721', NULL, NULL, 'Protein of unknown function (DUF1204)', NULL, 'DUF1204', NULL, NULL, NULL, 6),
(9973, NULL, 'PF00540', NULL, NULL, 'gag gene protein p17 (matrix protein)', NULL, 'Gag_p17', NULL, NULL, NULL, 6),
(9974, NULL, 'PF07930', NULL, NULL, 'D-aminopeptidase, domain B', NULL, 'DAP_B', NULL, NULL, NULL, 6),
(9975, NULL, 'PF16873', NULL, NULL, 'Putative abortive phage resistance protein AbiGii toxin', NULL, 'AbiGii_2', NULL, NULL, NULL, 6),
(9976, NULL, 'PF14664', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, N-term', NULL, 'RICTOR_N', NULL, NULL, NULL, 6),
(9977, NULL, 'PF15518', NULL, NULL, 'L protein N-terminus', NULL, 'L_protein_N', NULL, NULL, NULL, 6),
(9978, NULL, 'PF12892', NULL, NULL, 'Spy0128-like isopeptide containing domain', NULL, 'FctA', NULL, NULL, NULL, 6),
(9979, NULL, 'PF08244', NULL, NULL, 'Glycosyl hydrolases family 32 C terminal', NULL, 'Glyco_hydro_32C', NULL, NULL, NULL, 6),
(9980, NULL, 'PF17894', NULL, NULL, 'Topo homolgy domain in CRISPR-associated endonuclease Cas9', NULL, 'Cas9_Topo', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(9981, NULL, 'PF16402', NULL, NULL, 'Domain of unknown function (DUF5010)', NULL, 'DUF5010', NULL, NULL, NULL, 6),
(9982, NULL, 'PF13160', NULL, NULL, 'Protein of unknown function (DUF3995)', NULL, 'DUF3995', NULL, NULL, NULL, 6),
(9983, NULL, 'PF01625', NULL, NULL, 'Peptide methionine sulfoxide reductase', NULL, 'PMSR', NULL, NULL, NULL, 6),
(9984, NULL, 'PF17394', NULL, NULL, 'Uncharacterized KleE stable inheritance protein', NULL, 'KleE', NULL, NULL, NULL, 6),
(9985, NULL, 'PF12091', NULL, NULL, 'Protein of unknown function (DUF3567)', NULL, 'DUF3567', NULL, NULL, NULL, 6),
(9986, NULL, 'PF01663', NULL, NULL, 'Type I phosphodiesterase / nucleotide pyrophosphatase', NULL, 'Phosphodiest', NULL, NULL, NULL, 6),
(9987, NULL, 'PF04693', NULL, NULL, 'Archaeal putative transposase ISC1217', NULL, 'DDE_Tnp_2', NULL, NULL, NULL, 6),
(9988, NULL, 'PF06762', NULL, NULL, 'Lipase maturation factor', NULL, 'LMF1', NULL, NULL, NULL, 6),
(9989, NULL, 'PF17034', NULL, NULL, 'Zinc-ribbon like family', NULL, 'zinc_ribbon_16', NULL, NULL, NULL, 6),
(9990, NULL, 'PF02639', NULL, NULL, 'Uncharacterized BCR, YaiI/YqxD family COG1671', NULL, 'DUF188', NULL, NULL, NULL, 6),
(9991, NULL, 'PF12673', NULL, NULL, 'Domain of unknown function (DUF3794)', NULL, 'DUF3794', NULL, NULL, NULL, 6),
(9992, NULL, 'PF00706', NULL, NULL, 'Anenome neurotoxin', NULL, 'Toxin_4', NULL, NULL, NULL, 6),
(9993, NULL, 'PF09920', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2150)', NULL, 'DUF2150', NULL, NULL, NULL, 6),
(9994, NULL, 'PF12160', NULL, NULL, 'Fibrinogen alpha C domain', NULL, 'Fibrinogen_aC', NULL, NULL, NULL, 6),
(9995, NULL, 'PF17736', NULL, NULL, 'C17orf99 Ig domain', NULL, 'Ig_C17orf99', NULL, NULL, NULL, 6),
(9996, NULL, 'PF15647', NULL, NULL, 'Restriction endonuclease fold toxin 3', NULL, 'Tox-REase-3', NULL, NULL, NULL, 6),
(9997, NULL, 'PF00214', NULL, NULL, 'Calcitonin / CGRP / IAPP family', NULL, 'Calc_CGRP_IAPP', NULL, NULL, NULL, 6),
(9998, NULL, 'PF14663', NULL, NULL, 'Rapamycin-insensitive companion of mTOR RasGEF_N domain', NULL, 'RasGEF_N_2', NULL, NULL, NULL, 6),
(9999, NULL, 'PF08147', NULL, NULL, 'DBP10CT (NUC160) domain', NULL, 'DBP10CT', NULL, NULL, NULL, 6),
(10000, NULL, 'PF00628', NULL, NULL, 'PHD-finger', NULL, 'PHD', NULL, NULL, NULL, 6),
(10001, NULL, 'PF06373', NULL, NULL, 'Cocaine and amphetamine regulated transcript protein (CART)', NULL, 'CART', NULL, NULL, NULL, 6),
(10002, NULL, 'PF17509', NULL, NULL, 'Family of unknown function (DUF5440)', NULL, 'DUF5440', NULL, NULL, NULL, 6),
(10003, NULL, 'PF18795', NULL, NULL, 'DNA mismatch repair protein HSM3, N terminal domain', NULL, 'HSM3_N', NULL, NULL, NULL, 6),
(10004, NULL, 'PF13196', NULL, NULL, 'Protein of unknown function (DUF4012)', NULL, 'DUF4012', NULL, NULL, NULL, 6),
(10005, NULL, 'PF02275', NULL, NULL, 'Linear amide C-N hydrolases, choloylglycine hydrolase family', NULL, 'CBAH', NULL, NULL, NULL, 6),
(10006, NULL, 'PF02734', NULL, NULL, 'DAK2 domain', NULL, 'Dak2', NULL, NULL, NULL, 6),
(10007, NULL, 'PF03205', NULL, NULL, 'Molybdopterin guanine dinucleotide synthesis protein B', NULL, 'MobB', NULL, NULL, NULL, 6),
(10008, NULL, 'PF12586', NULL, NULL, 'Protein of unknown function (DUF3760)', NULL, 'DUF3760', NULL, NULL, NULL, 6),
(10009, NULL, 'PF19072', NULL, NULL, 'Family of unknown function (DUF5768)', NULL, 'DUF5768', NULL, NULL, NULL, 6),
(10010, NULL, 'PF05600', NULL, NULL, 'CDK5 regulatory subunit-associated protein 3', NULL, 'DUF773', NULL, NULL, NULL, 6),
(10011, NULL, 'PF17764', NULL, NULL, '3''DNA-binding domain (3''BD)', NULL, 'PriA_3primeBD', NULL, NULL, NULL, 6),
(10012, NULL, 'PF13580', NULL, NULL, 'SIS domain', NULL, 'SIS_2', NULL, NULL, NULL, 6),
(10013, NULL, 'PF17098', NULL, NULL, 'WTAP/Mum2p family', NULL, 'Wtap', NULL, NULL, NULL, 6),
(10014, NULL, 'PF10637', NULL, NULL, 'Oxoglutarate and iron-dependent oxygenase degradation C-term', NULL, 'Ofd1_CTDD', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10015, NULL, 'PF00898', NULL, NULL, 'Orbivirus outer capsid protein VP2', NULL, 'Orbi_VP2', NULL, NULL, NULL, 6),
(10016, NULL, 'PF10398', NULL, NULL, 'Protein of unknown function (DUF2443)', NULL, 'DUF2443', NULL, NULL, NULL, 6),
(10017, NULL, 'PF07272', NULL, NULL, 'Orthoreovirus P17 protein', NULL, 'Orthoreo_P17', NULL, NULL, NULL, 6),
(10018, NULL, 'PF14955', NULL, NULL, 'Mitochondrial ribosome subunit S24', NULL, 'MRP-S24', NULL, NULL, NULL, 6),
(10019, NULL, 'PF00908', NULL, NULL, 'dTDP-4-dehydrorhamnose 3,5-epimerase', NULL, 'dTDP_sugar_isom', NULL, NULL, NULL, 6),
(10020, NULL, 'PF06502', NULL, NULL, 'Equine infectious anaemia virus S2 protein', NULL, 'Equine_IAV_S2', NULL, NULL, NULL, 6),
(10021, NULL, 'PF02738', NULL, NULL, 'Molybdopterin-binding domain of aldehyde dehydrogenase', NULL, 'Ald_Xan_dh_C2', NULL, NULL, NULL, 6),
(10022, NULL, 'PF01845', NULL, NULL, 'CcdB protein', NULL, 'CcdB', NULL, NULL, NULL, 6),
(10023, NULL, 'PF13367', NULL, NULL, 'PrsW family intramembrane metalloprotease', NULL, 'PrsW-protease', NULL, NULL, NULL, 6),
(10024, NULL, 'PF08240', NULL, NULL, 'Alcohol dehydrogenase GroES-like domain', NULL, 'ADH_N', NULL, NULL, NULL, 6),
(10025, NULL, 'PF09873', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2100)', NULL, 'DUF2100', NULL, NULL, NULL, 6),
(10026, NULL, 'PF15696', NULL, NULL, 'RAD51 interacting motif', NULL, 'RAD51_interact', NULL, NULL, NULL, 6),
(10027, NULL, 'PF01429', NULL, NULL, 'Methyl-CpG binding domain', NULL, 'MBD', NULL, NULL, NULL, 6),
(10028, NULL, 'PF14840', NULL, NULL, 'Processivity clamp loader gamma complex DNA pol III C-term', NULL, 'DNA_pol3_delt_C', NULL, NULL, NULL, 6),
(10029, NULL, 'PF09035', NULL, NULL, 'Excisionase from transposon Tn916', NULL, 'Tn916-Xis', NULL, NULL, NULL, 6),
(10030, NULL, 'PF04961', NULL, NULL, 'Formiminotransferase-cyclodeaminase', NULL, 'FTCD_C', NULL, NULL, NULL, 6),
(10031, NULL, 'PF05803', NULL, NULL, 'Chordopoxvirus L2 protein', NULL, 'Chordopox_L2', NULL, NULL, NULL, 6),
(10032, NULL, 'PF11087', NULL, NULL, 'PRD1 phage membrane DNA delivery', NULL, 'PRD1_DD', NULL, NULL, NULL, 6),
(10033, NULL, 'PF02087', NULL, NULL, 'Nitrophorin', NULL, 'Nitrophorin', NULL, NULL, NULL, 6),
(10034, NULL, 'PF18583', NULL, NULL, 'Aminoarabinose transferase C-terminal domain', NULL, 'Arnt_C', NULL, NULL, NULL, 6),
(10035, NULL, 'PF12615', NULL, NULL, 'F sex factor protein N terminal', NULL, 'TraD_N', NULL, NULL, NULL, 6),
(10036, NULL, 'PF03440', NULL, NULL, 'Aerolysin/Pertussis toxin (APT) domain', NULL, 'APT', NULL, NULL, NULL, 6),
(10037, NULL, 'PF11363', NULL, NULL, 'Protein of unknown function (DUF3164)', NULL, 'DUF3164', NULL, NULL, NULL, 6),
(10038, NULL, 'PF01853', NULL, NULL, 'MOZ/SAS family', NULL, 'MOZ_SAS', NULL, NULL, NULL, 6),
(10039, NULL, 'PF07043', NULL, NULL, 'Protein of unknown function (DUF1328)', NULL, 'DUF1328', NULL, NULL, NULL, 6),
(10040, NULL, 'PF08027', NULL, NULL, 'Albumin I chain b', NULL, 'Albumin_I', NULL, NULL, NULL, 6),
(10041, NULL, 'PF12787', NULL, NULL, 'EcsC protein family', NULL, 'EcsC', NULL, NULL, NULL, 6),
(10042, NULL, 'PF18278', NULL, NULL, 'Receptor activator of the NF-KB cysteine-rich repeat domain 2', NULL, 'RANK_CRD_2', NULL, NULL, NULL, 6),
(10043, NULL, 'PF10876', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_9', NULL, NULL, NULL, 6),
(10044, NULL, 'PF08082', NULL, NULL, 'PRO8NT (NUC069), PrP8 N-terminal domain', NULL, 'PRO8NT', NULL, NULL, NULL, 6),
(10045, NULL, 'PF15084', NULL, NULL, 'Domain of unknown function (DUF4550)', NULL, 'DUF4550', NULL, NULL, NULL, 6),
(10046, NULL, 'PF00818', NULL, NULL, 'Ice nucleation protein repeat', NULL, 'Ice_nucleation', NULL, NULL, NULL, 6),
(10047, NULL, 'PF17030', NULL, NULL, 'Putative beta-lactamase-like family', NULL, 'Beta_lactamase3', NULL, NULL, NULL, 6),
(10048, NULL, 'PF05408', NULL, NULL, 'Foot-and-mouth virus L-proteinase', NULL, 'Peptidase_C28', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10049, NULL, 'PF07898', NULL, NULL, 'Protein of unknown function (DUF1676)', NULL, 'DUF1676', NULL, NULL, NULL, 6),
(10050, NULL, 'PF09751', NULL, NULL, 'Nuclear protein Es2', NULL, 'Es2', NULL, NULL, NULL, 6),
(10051, NULL, 'PF18404', NULL, NULL, 'Glucosyltransferase 24', NULL, 'Glyco_transf_24', NULL, NULL, NULL, 6),
(10052, NULL, 'PF07138', NULL, NULL, 'Protein of unknown function (DUF1386)', NULL, 'DUF1386', NULL, NULL, NULL, 6),
(10053, NULL, 'PF14298', NULL, NULL, 'Domain of unknown function (DUF4374)', NULL, 'DUF4374', NULL, NULL, NULL, 6),
(10054, NULL, 'PF10367', NULL, NULL, 'Vacuolar sorting protein 39 domain 2', NULL, 'Vps39_2', NULL, NULL, NULL, 6),
(10055, NULL, 'PF09716', NULL, NULL, 'Malarial early transcribed membrane protein (ETRAMP)', NULL, 'ETRAMP', NULL, NULL, NULL, 6),
(10056, NULL, 'PF08334', NULL, NULL, 'Type II secretion system (T2SS), protein G', NULL, 'T2SSG', NULL, NULL, NULL, 6),
(10057, NULL, 'PF14246', NULL, NULL, 'AefR-like transcriptional repressor, C-terminal domain', NULL, 'TetR_C_7', NULL, NULL, NULL, 6),
(10058, NULL, 'PF07989', NULL, NULL, 'Centrosomin N-terminal motif 1', NULL, 'Cnn_1N', NULL, NULL, NULL, 6),
(10059, NULL, 'PF06857', NULL, NULL, 'Malonate decarboxylase delta subunit (MdcD)', NULL, 'ACP', NULL, NULL, NULL, 6),
(10060, NULL, 'PF11173', NULL, NULL, 'Protein of unknown function (DUF2960)', NULL, 'DUF2960', NULL, NULL, NULL, 6),
(10061, NULL, 'PF12187', NULL, NULL, 'Viral/Archaeal nuclease', NULL, 'VirArc_Nuclease', NULL, NULL, NULL, 6),
(10062, NULL, 'PF03526', NULL, NULL, 'Colicin E1 (microcin) immunity protein', NULL, 'Microcin', NULL, NULL, NULL, 6),
(10063, NULL, 'PF02169', NULL, NULL, 'LPP20 lipoprotein', NULL, 'LPP20', NULL, NULL, NULL, 6),
(10064, NULL, 'PF12421', NULL, NULL, 'Fibronectin type III protein', NULL, 'DUF3672', NULL, NULL, NULL, 6),
(10065, NULL, 'PF02823', NULL, NULL, 'ATP synthase, Delta/Epsilon chain, beta-sandwich domain', NULL, 'ATP-synt_DE_N', NULL, NULL, NULL, 6),
(10066, NULL, 'PF19023', NULL, NULL, 'Family of unknown function (DUF5749)', NULL, 'DUF5749', NULL, NULL, NULL, 6),
(10067, NULL, 'PF08936', NULL, NULL, 'Carboxysome Shell Carbonic Anhydrase', NULL, 'CsoSCA', NULL, NULL, NULL, 6),
(10068, NULL, 'PF01313', NULL, NULL, 'Bacterial export proteins, family 3', NULL, 'Bac_export_3', NULL, NULL, NULL, 6),
(10069, NULL, 'PF10614', NULL, NULL, 'Type VIII secretion system (T8SS), CsgF protein', NULL, 'CsgF', NULL, NULL, NULL, 6),
(10070, NULL, 'PF14376', NULL, NULL, 'Haem-binding domain', NULL, 'Haem_bd', NULL, NULL, NULL, 6),
(10071, NULL, 'PF14068', NULL, NULL, 'Putative membrane protein', NULL, 'YuiB', NULL, NULL, NULL, 6),
(10072, NULL, 'PF17386', NULL, NULL, 'Lacto-N-biose phosphorylase C-terminal domain', NULL, 'LBP_C', NULL, NULL, NULL, 6),
(10073, NULL, 'PF18573', NULL, NULL, 'BclA C-terminal domain', NULL, 'BclA_C', NULL, NULL, NULL, 6),
(10074, NULL, 'PF07199', NULL, NULL, 'Protein of unknown function (DUF1411)', NULL, 'DUF1411', NULL, NULL, NULL, 6),
(10075, NULL, 'PF16053', NULL, NULL, 'Mitochondrial 28S ribosomal protein S34', NULL, 'MRP-S34', NULL, NULL, NULL, 6),
(10076, NULL, 'PF01051', NULL, NULL, 'Initiator Replication protein', NULL, 'Rep_3', NULL, NULL, NULL, 6),
(10077, NULL, 'PF14430', NULL, NULL, 'Immunity protein Imm1', NULL, 'Imm1', NULL, NULL, NULL, 6),
(10078, NULL, 'PF14712', NULL, NULL, 'Snapin/Pallidin', NULL, 'Snapin_Pallidin', NULL, NULL, NULL, 6),
(10079, NULL, 'PF04220', NULL, NULL, 'Der GTPase activator (YihI)', NULL, 'YihI', NULL, NULL, NULL, 6),
(10080, NULL, 'PF05179', NULL, NULL, 'RNA pol II accessory factor, Cdc73 family, C-terminal', NULL, 'CDC73_C', NULL, NULL, NULL, 6),
(10081, NULL, 'PF09036', NULL, NULL, 'Bcr-Abl oncoprotein oligomerisation domain', NULL, 'Bcr-Abl_Oligo', NULL, NULL, NULL, 6),
(10082, NULL, 'PF00600', NULL, NULL, 'Influenza non-structural protein (NS1)', NULL, 'Flu_NS1', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10083, NULL, 'PF12349', NULL, NULL, 'Sterol-sensing domain of SREBP cleavage-activation', NULL, 'Sterol-sensing', NULL, NULL, NULL, 6),
(10084, NULL, 'PF06047', NULL, NULL, 'NF-kappa-B-activating protein C-terminal domain', NULL, 'Nkap_C', NULL, NULL, NULL, 6),
(10085, NULL, 'PF14554', NULL, NULL, 'VEGF heparin-binding domain', NULL, 'VEGF_C', NULL, NULL, NULL, 6),
(10086, NULL, 'PF16044', NULL, NULL, 'Domain of unknown function (DUF4796)', NULL, 'DUF4796', NULL, NULL, NULL, 6),
(10087, NULL, 'PF18813', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease4', NULL, 'PBECR4', NULL, NULL, NULL, 6),
(10088, NULL, 'PF18607', NULL, NULL, 'ParA helix turn helix domain', NULL, 'HTH_54', NULL, NULL, NULL, 6),
(10089, NULL, 'PF07903', NULL, NULL, 'PaRep2a protein', NULL, 'PaRep2a', NULL, NULL, NULL, 6),
(10090, NULL, 'PF06501', NULL, NULL, 'Human herpesvirus U55 protein', NULL, 'Herpes_U55', NULL, NULL, NULL, 6),
(10091, NULL, 'PF00867', NULL, NULL, 'XPG I-region', NULL, 'XPG_I', NULL, NULL, NULL, 6),
(10092, NULL, 'PF14035', NULL, NULL, 'YlzJ-like protein', NULL, 'YlzJ', NULL, NULL, NULL, 6),
(10093, NULL, 'PF10948', NULL, NULL, 'Protein of unknown function (DUF2635)', NULL, 'DUF2635', NULL, NULL, NULL, 6),
(10094, NULL, 'PF06544', NULL, NULL, 'Protein of unknown function (DUF1115)', NULL, 'DUF1115', NULL, NULL, NULL, 6),
(10095, NULL, 'PF10661', NULL, NULL, 'WXG100 protein secretion system (Wss), protein EssA', NULL, 'EssA', NULL, NULL, NULL, 6),
(10096, NULL, 'PF11242', NULL, NULL, 'Protein of unknown function (DUF2774)', NULL, 'DUF2774', NULL, NULL, NULL, 6),
(10097, NULL, 'PF11783', NULL, NULL, 'Cytochrome c bacterial', NULL, 'Cytochrome_cB', NULL, NULL, NULL, 6),
(10098, NULL, 'PF18711', NULL, NULL, 'Toxoflavin-degrading enzyme', NULL, 'TxDE', NULL, NULL, NULL, 6),
(10099, NULL, 'PF11742', NULL, NULL, 'Protein of unknown function (DUF3302)', NULL, 'DUF3302', NULL, NULL, NULL, 6),
(10100, NULL, 'PF15895', NULL, NULL, 'CAAX box cerebral protein 1', NULL, 'CAAX_1', NULL, NULL, NULL, 6),
(10101, NULL, 'PF17249', NULL, NULL, 'Family of unknown function (DUF5318)', NULL, 'DUF5318', NULL, NULL, NULL, 6),
(10102, NULL, 'PF07055', NULL, NULL, 'Enoyl reductase FAD binding domain', NULL, 'Eno-Rase_FAD_bd', NULL, NULL, NULL, 6),
(10103, NULL, 'PF13946', NULL, NULL, 'Domain of unknown function (DUF4214)', NULL, 'DUF4214', NULL, NULL, NULL, 6),
(10104, NULL, 'PF09835', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2062)', NULL, 'DUF2062', NULL, NULL, NULL, 6),
(10105, NULL, 'PF13907', NULL, NULL, 'Domain of unknown function (DUF4208)', NULL, 'DUF4208', NULL, NULL, NULL, 6),
(10106, NULL, 'PF05811', NULL, NULL, 'Eukaryotic protein of unknown function (DUF842)', NULL, 'DUF842', NULL, NULL, NULL, 6),
(10107, NULL, 'PF11972', NULL, NULL, 'HTH DNA binding domain', NULL, 'HTH_13', NULL, NULL, NULL, 6),
(10108, NULL, 'PF01503', NULL, NULL, 'Phosphoribosyl-ATP pyrophosphohydrolase', NULL, 'PRA-PH', NULL, NULL, NULL, 6),
(10109, NULL, 'PF01970', NULL, NULL, 'Tripartite tricarboxylate transporter TctA family', NULL, 'TctA', NULL, NULL, NULL, 6),
(10110, NULL, 'PF09537', NULL, NULL, 'Domain of unknown function (DUF2383)', NULL, 'DUF2383', NULL, NULL, NULL, 6),
(10111, NULL, 'PF06508', NULL, NULL, 'Queuosine biosynthesis protein QueC', NULL, 'QueC', NULL, NULL, NULL, 6),
(10112, NULL, 'PF15360', NULL, NULL, 'APJ endogenous ligand', NULL, 'Apelin', NULL, NULL, NULL, 6),
(10113, NULL, 'PF16767', NULL, NULL, 'Sensor domain of alginate biosynthesis sensor protein KinB', NULL, 'KinB_sensor', NULL, NULL, NULL, 6),
(10114, NULL, 'PF00874', NULL, NULL, 'PRD domain', NULL, 'PRD', NULL, NULL, NULL, 6),
(10115, NULL, 'PF05860', NULL, NULL, 'haemagglutination activity domain', NULL, 'Haemagg_act', NULL, NULL, NULL, 6),
(10116, NULL, 'PF14765', NULL, NULL, 'Polyketide synthase dehydratase', NULL, 'PS-DH', NULL, NULL, NULL, 6),
(10117, NULL, 'PF04327', NULL, NULL, 'Cysteine protease Prp', NULL, 'Peptidase_Prp', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10118, NULL, 'PF00648', NULL, NULL, 'Calpain family cysteine protease', NULL, 'Peptidase_C2', NULL, NULL, NULL, 6),
(10119, NULL, 'PF14531', NULL, NULL, 'Kinase-like', NULL, 'Kinase-like', NULL, NULL, NULL, 6),
(10120, NULL, 'PF12796', NULL, NULL, 'Ankyrin repeats (3 copies)', NULL, 'Ank_2', NULL, NULL, NULL, 6),
(10121, NULL, 'PF15130', NULL, NULL, 'Domain of unknown function (DUF4566)', NULL, 'DUF4566', NULL, NULL, NULL, 6),
(10122, NULL, 'PF11556', NULL, NULL, 'Erythrocyte binding antigen 175', NULL, 'EBA-175_VI', NULL, NULL, NULL, 6),
(10123, NULL, 'PF16208', NULL, NULL, 'Keratin type II head', NULL, 'Keratin_2_head', NULL, NULL, NULL, 6),
(10124, NULL, 'PF17862', NULL, NULL, 'AAA+ lid domain', NULL, 'AAA_lid_3', NULL, NULL, NULL, 6),
(10125, NULL, 'PF10374', NULL, NULL, 'Telomerase activating protein Est1', NULL, 'EST1', NULL, NULL, NULL, 6),
(10126, NULL, 'PF05580', NULL, NULL, 'SpoIVB peptidase S55', NULL, 'Peptidase_S55', NULL, NULL, NULL, 6),
(10127, NULL, 'PF14948', NULL, NULL, 'RESP18 domain', NULL, 'RESP18', NULL, NULL, NULL, 6),
(10128, NULL, 'PF15044', NULL, NULL, 'Mitochondrial function, CLU-N-term', NULL, 'CLU_N', NULL, NULL, NULL, 6),
(10129, NULL, 'PF01975', NULL, NULL, 'Survival protein SurE', NULL, 'SurE', NULL, NULL, NULL, 6),
(10130, NULL, 'PF12852', NULL, NULL, 'Cupin', NULL, 'Cupin_6', NULL, NULL, NULL, 6),
(10131, NULL, 'PF08059', NULL, NULL, 'SEP domain', NULL, 'SEP', NULL, NULL, NULL, 6),
(10132, NULL, 'PF15269', NULL, NULL, 'Zinc-finger', NULL, 'zf-C2H2_7', NULL, NULL, NULL, 6),
(10133, NULL, 'PF02981', NULL, NULL, 'Restriction endonuclease FokI, recognition domain', NULL, 'FokI_N', NULL, NULL, NULL, 6),
(10134, NULL, 'PF18331', NULL, NULL, 'PKHD-type hydroxylase C-terminal domain', NULL, 'PKHD_C', NULL, NULL, NULL, 6),
(10135, NULL, 'PF04010', NULL, NULL, 'Protein of unknown function (DUF357)', NULL, 'DUF357', NULL, NULL, NULL, 6),
(10136, NULL, 'PF05640', NULL, NULL, 'Na,K-Atpase Interacting protein', NULL, 'NKAIN', NULL, NULL, NULL, 6),
(10137, NULL, 'PF04508', NULL, NULL, 'Viral A-type inclusion protein repeat', NULL, 'Pox_A_type_inc', NULL, NULL, NULL, 6),
(10138, NULL, 'PF07566', NULL, NULL, 'Domain of Unknown Function (DUF1543)', NULL, 'DUF1543', NULL, NULL, NULL, 6),
(10139, NULL, 'PF17716', NULL, NULL, 'Family of unknown function (DUF5561)', NULL, 'DUF5561', NULL, NULL, NULL, 6),
(10140, NULL, 'PF18063', NULL, NULL, 'Beta barrel Pore-forming domain', NULL, 'BB_PF', NULL, NULL, NULL, 6),
(10141, NULL, 'PF12426', NULL, NULL, 'RNA dependent RNA polymerase', NULL, 'DUF3674', NULL, NULL, NULL, 6),
(10142, NULL, 'PF05689', NULL, NULL, 'Adhesion domain', NULL, 'InvE_AD', NULL, NULL, NULL, 6),
(10143, NULL, 'PF09313', NULL, NULL, 'Domain of unknown function (DUF1971)', NULL, 'DUF1971', NULL, NULL, NULL, 6),
(10144, NULL, 'PF01900', NULL, NULL, 'Rpp14/Pop5 family', NULL, 'RNase_P_Rpp14', NULL, NULL, NULL, 6),
(10145, NULL, 'PF17755', NULL, NULL, 'UvrA DNA-binding domain', NULL, 'UvrA_DNA-bind', NULL, NULL, NULL, 6),
(10146, NULL, 'PF13490', NULL, NULL, 'Putative zinc-finger', NULL, 'zf-HC2', NULL, NULL, NULL, 6),
(10147, NULL, 'PF19220', NULL, NULL, 'Crescentin protein', NULL, 'Crescentin', NULL, NULL, NULL, 6),
(10148, NULL, 'PF09301', NULL, NULL, 'Domain of unknown function (DUF1970)', NULL, 'DUF1970', NULL, NULL, NULL, 6),
(10149, NULL, 'PF03310', NULL, NULL, 'Caulimovirus DNA-binding protein', NULL, 'Cauli_DNA-bind', NULL, NULL, NULL, 6),
(10150, NULL, 'PF09293', NULL, NULL, 'T4 RNase H, C terminal', NULL, 'RNaseH_C', NULL, NULL, NULL, 6),
(10151, NULL, 'PF09119', NULL, NULL, 'SicP binding', NULL, 'SicP-binding', NULL, NULL, NULL, 6),
(10152, NULL, 'PF06907', NULL, NULL, 'Latexin', NULL, 'Latexin', NULL, NULL, NULL, 6),
(10153, NULL, 'PF02878', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, alpha/beta/alpha domain I', NULL, 'PGM_PMM_I', NULL, NULL, NULL, 6),
(10154, NULL, 'PF16058', NULL, NULL, 'Mucin-like', NULL, 'Mucin-like', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10155, NULL, 'PF17193', NULL, NULL, 'MukF C-terminal domain', NULL, 'MukF_C', NULL, NULL, NULL, 6),
(10156, NULL, 'PF12551', NULL, NULL, 'Poly-beta-hydroxybutyrate polymerase N terminal', NULL, 'PHBC_N', NULL, NULL, NULL, 6),
(10157, NULL, 'PF12278', NULL, NULL, 'Sex determination protein N terminal', NULL, 'SDP_N', NULL, NULL, NULL, 6),
(10158, NULL, 'PF05655', NULL, NULL, 'Pseudomonas avirulence D protein (AvrD)', NULL, 'AvrD', NULL, NULL, NULL, 6),
(10159, NULL, 'PF10852', NULL, NULL, 'Protein of unknown function (DUF2651)', NULL, 'DUF2651', NULL, NULL, NULL, 6),
(10160, NULL, 'PF05721', NULL, NULL, 'Phytanoyl-CoA dioxygenase (PhyH)', NULL, 'PhyH', NULL, NULL, NULL, 6),
(10161, NULL, 'PF10766', NULL, NULL, 'Multidrug efflux pump-associated protein AcrZ', NULL, 'AcrZ', NULL, NULL, NULL, 6),
(10162, NULL, 'PF18428', NULL, NULL, 'BRCA1 C Terminus (BRCT) domain', NULL, 'BRCT_3', NULL, NULL, NULL, 6),
(10163, NULL, 'PF11907', NULL, NULL, 'Domain of unknown function (DUF3427)', NULL, 'DUF3427', NULL, NULL, NULL, 6),
(10164, NULL, 'PF14070', NULL, NULL, 'Putative motility protein', NULL, 'YjfB_motility', NULL, NULL, NULL, 6),
(10165, NULL, 'PF09038', NULL, NULL, 'Tumour suppressor p53-binding protein-1 Tudor', NULL, '53-BP1_Tudor', NULL, NULL, NULL, 6),
(10166, NULL, 'PF00189', NULL, NULL, 'Ribosomal protein S3, C-terminal domain', NULL, 'Ribosomal_S3_C', NULL, NULL, NULL, 6),
(10167, NULL, 'PF02009', NULL, NULL, 'Rifin', NULL, 'RIFIN', NULL, NULL, NULL, 6),
(10168, NULL, 'PF14640', NULL, NULL, 'Transmembrane protein 223', NULL, 'TMEM223', NULL, NULL, NULL, 6),
(10169, NULL, 'PF03552', NULL, NULL, 'Cellulose synthase', NULL, 'Cellulose_synt', NULL, NULL, NULL, 6),
(10170, NULL, 'PF14410', NULL, NULL, 'HNH/ENDO VII superfamily nuclease with conserved GHE residues', NULL, 'GH-E', NULL, NULL, NULL, 6),
(10171, NULL, 'PF14354', NULL, NULL, 'Restriction alleviation protein Lar', NULL, 'Lar_restr_allev', NULL, NULL, NULL, 6),
(10172, NULL, 'PF13527', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_9', NULL, NULL, NULL, 6),
(10173, NULL, 'PF12709', NULL, NULL, 'Fungal Transforming acidic coiled-coil (TACC) proteins', NULL, 'Fungal_TACC', NULL, NULL, NULL, 6),
(10174, NULL, 'PF14895', NULL, NULL, 'Protein phosphatase 1 inhibitor', NULL, 'PPPI_inhib', NULL, NULL, NULL, 6),
(10175, NULL, 'PF05914', NULL, NULL, 'RIB43A', NULL, 'RIB43A', NULL, NULL, NULL, 6),
(10176, NULL, 'PF00323', NULL, NULL, 'Mammalian defensin', NULL, 'Defensin_1', NULL, NULL, NULL, 6),
(10177, NULL, 'PF01983', NULL, NULL, 'Guanylyl transferase CofC like', NULL, 'CofC', NULL, NULL, NULL, 6),
(10178, NULL, 'PF16134', NULL, NULL, 'THO complex subunit 2 N-terminus', NULL, 'THOC2_N', NULL, NULL, NULL, 6),
(10179, NULL, 'PF09083', NULL, NULL, 'Domain of unknown function (DUF1923)', NULL, 'DUF1923', NULL, NULL, NULL, 6),
(10180, NULL, 'PF02389', NULL, NULL, 'Cornifin (SPRR) family', NULL, 'Cornifin', NULL, NULL, NULL, 6),
(10181, NULL, 'PF12051', NULL, NULL, 'Protein of unknown function (DUF3533)', NULL, 'DUF3533', NULL, NULL, NULL, 6),
(10182, NULL, 'PF05595', NULL, NULL, 'Domain of unknown function (DUF771)', NULL, 'DUF771', NULL, NULL, NULL, 6),
(10183, NULL, 'PF10436', NULL, NULL, 'Mitochondrial branched-chain alpha-ketoacid dehydrogenase kinase', NULL, 'BCDHK_Adom3', NULL, NULL, NULL, 6),
(10184, NULL, 'PF12513', NULL, NULL, 'Mitochondrial degradasome RNA helicase subunit C terminal', NULL, 'SUV3_C', NULL, NULL, NULL, 6),
(10185, NULL, 'PF03072', NULL, NULL, 'Domain of unknown function (DUF237)', NULL, 'DUF237', NULL, NULL, NULL, 6),
(10186, NULL, 'PF11047', NULL, NULL, 'Salmonella outer protein D', NULL, 'SopD', NULL, NULL, NULL, 6),
(10187, NULL, 'PF11637', NULL, NULL, 'ATP-dependant DNA helicase UvsW', NULL, 'UvsW', NULL, NULL, NULL, 6),
(10188, NULL, 'PF18712', NULL, NULL, 'Family of unknown function (DUF5644)', NULL, 'DUF5644', NULL, NULL, NULL, 6),
(10189, NULL, 'PF08292', NULL, NULL, 'RNA polymerase III subunit Rpc25', NULL, 'RNA_pol_Rbc25', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10190, NULL, 'PF17615', NULL, NULL, 'Family of unknown function', NULL, 'C166', NULL, NULL, NULL, 6),
(10191, NULL, 'PF18618', NULL, NULL, 'HP0268', NULL, 'HP0268', NULL, NULL, NULL, 6),
(10192, NULL, 'PF18400', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_12', NULL, NULL, NULL, 6),
(10193, NULL, 'PF18390', NULL, NULL, 'Glycogen debranching enzyme C-terminal domain', NULL, 'GlgX_C', NULL, NULL, NULL, 6),
(10194, NULL, 'PF12399', NULL, NULL, 'Branched-chain amino acid ATP-binding cassette transporter', NULL, 'BCA_ABC_TP_C', NULL, NULL, NULL, 6),
(10195, NULL, 'PF18753', NULL, NULL, 'Nucleotide modification associated domain 2', NULL, 'Nmad2', NULL, NULL, NULL, 6),
(10196, NULL, 'PF02149', NULL, NULL, 'Kinase associated domain 1', NULL, 'KA1', NULL, NULL, NULL, 6),
(10197, NULL, 'PF08518', NULL, NULL, 'Spa2 homology domain (SHD) of GIT', NULL, 'GIT_SHD', NULL, NULL, NULL, 6),
(10198, NULL, 'PF02184', NULL, NULL, 'HAT (Half-A-TPR) repeat', NULL, 'HAT', NULL, NULL, NULL, 6),
(10199, NULL, 'PF04149', NULL, NULL, 'Domain of unknown function (DUF397)', NULL, 'DUF397', NULL, NULL, NULL, 6),
(10200, NULL, 'PF18798', NULL, NULL, 'Large polyvalent protein-associated domain 3', NULL, 'LPD3', NULL, NULL, NULL, 6),
(10201, NULL, 'PF00155', NULL, NULL, 'Aminotransferase class I and II', NULL, 'Aminotran_1_2', NULL, NULL, NULL, 6),
(10202, NULL, 'PF16105', NULL, NULL, 'Domain of unknown function (DUF4823)', NULL, 'DUF4823', NULL, NULL, NULL, 6),
(10203, NULL, 'PF03768', NULL, NULL, 'Attacin, N-terminal region', NULL, 'Attacin_N', NULL, NULL, NULL, 6),
(10204, NULL, 'PF08940', NULL, NULL, 'Domain of unknown function (DUF1918)', NULL, 'DUF1918', NULL, NULL, NULL, 6),
(10205, NULL, 'PF01407', NULL, NULL, 'Geminivirus AL3 protein', NULL, 'Gemini_AL3', NULL, NULL, NULL, 6),
(10206, NULL, 'PF00606', NULL, NULL, 'Herpesvirus Glycoprotein B ectodomain', NULL, 'Glycoprotein_B', NULL, NULL, NULL, 6),
(10207, NULL, 'PF04761', NULL, NULL, 'Lactococcus bacteriophage putative transcription regulator', NULL, 'Phage_Treg', NULL, NULL, NULL, 6),
(10208, NULL, 'PF06865', NULL, NULL, 'Pyrimidine/purine nucleoside phosphorylase', NULL, 'Ppnp', NULL, NULL, NULL, 6),
(10209, NULL, 'PF02557', NULL, NULL, 'D-alanyl-D-alanine carboxypeptidase', NULL, 'VanY', NULL, NULL, NULL, 6),
(10210, NULL, 'PF12947', NULL, NULL, 'EGF domain', NULL, 'EGF_3', NULL, NULL, NULL, 6),
(10211, NULL, 'PF12893', NULL, NULL, 'Putative lumazine-binding', NULL, 'Lumazine_bd_2', NULL, NULL, NULL, 6),
(10212, NULL, 'PF19132', NULL, NULL, 'Family of unknown function (DUF5815)', NULL, 'DUF5815', NULL, NULL, NULL, 6),
(10213, NULL, 'PF00694', NULL, NULL, 'Aconitase C-terminal domain', NULL, 'Aconitase_C', NULL, NULL, NULL, 6),
(10214, NULL, 'PF10881', NULL, NULL, 'Protein of unknown function (DUF2726)', NULL, 'DUF2726', NULL, NULL, NULL, 6),
(10215, NULL, 'PF15525', NULL, NULL, 'Domain of unknown function (DUF4652)', NULL, 'DUF4652', NULL, NULL, NULL, 6),
(10216, NULL, 'PF08619', NULL, NULL, 'Alkali metal cation/H+ antiporter Nha1 C terminus', NULL, 'Nha1_C', NULL, NULL, NULL, 6),
(10217, NULL, 'PF08753', NULL, NULL, 'NikR C terminal nickel binding domain', NULL, 'NikR_C', NULL, NULL, NULL, 6),
(10218, NULL, 'PF04795', NULL, NULL, 'PAPA-1-like conserved region', NULL, 'PAPA-1', NULL, NULL, NULL, 6),
(10219, NULL, 'PF15513', NULL, NULL, 'Domain of unknown function (DUF4651)', NULL, 'DUF4651', NULL, NULL, NULL, 6),
(10220, NULL, 'PF08067', NULL, NULL, 'ROKNT (NUC014) domain', NULL, 'ROKNT', NULL, NULL, NULL, 6),
(10221, NULL, 'PF08617', NULL, NULL, 'Kinase binding protein CGI-121', NULL, 'CGI-121', NULL, NULL, NULL, 6),
(10222, NULL, 'PF18376', NULL, NULL, 'Mevalonate 5-diphosphate decarboxylase C-terminal domain', NULL, 'MDD_C', NULL, NULL, NULL, 6),
(10223, NULL, 'PF03829', NULL, NULL, 'PTS system glucitol/sorbitol-specific IIA component', NULL, 'PTSIIA_gutA', NULL, NULL, NULL, 6),
(10224, NULL, 'PF09046', NULL, NULL, 'AvrPtoB E3 ubiquitin ligase', NULL, 'AvrPtoB-E3_ubiq', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10225, NULL, 'PF17475', NULL, NULL, 'Clostridial binary toxin B/anthrax toxin PA domain 2', NULL, 'Binary_toxB_2', NULL, NULL, NULL, 6),
(10226, NULL, 'PF04380', NULL, NULL, 'Membrane fusogenic activity', NULL, 'BMFP', NULL, NULL, NULL, 6),
(10227, NULL, 'PF18144', NULL, NULL, 'Second Messenger Oligonucleotide or Dinucleotide Synthetase domain', NULL, 'SMODS', NULL, NULL, NULL, 6),
(10228, NULL, 'PF03524', NULL, NULL, 'Conjugal transfer protein', NULL, 'CagX', NULL, NULL, NULL, 6),
(10229, NULL, 'PF15451', NULL, NULL, 'Domain of unknown function (DUF4632)', NULL, 'DUF4632', NULL, NULL, NULL, 6),
(10230, NULL, 'PF09189', NULL, NULL, 'Domain of unknown function (DUF1952)', NULL, 'DUF1952', NULL, NULL, NULL, 6),
(10231, NULL, 'PF12216', NULL, NULL, 'Immune evasion protein', NULL, 'm04gp34like', NULL, NULL, NULL, 6),
(10232, NULL, 'PF17106', NULL, NULL, 'Sigma domain on NACHT-NTPases', NULL, 'NACHT_sigma', NULL, NULL, NULL, 6),
(10233, NULL, 'PF14274', NULL, NULL, 'Domain of unknown function (DUF4361)', NULL, 'DUF4361', NULL, NULL, NULL, 6),
(10234, NULL, 'PF04410', NULL, NULL, 'Gar1/Naf1 RNA binding region', NULL, 'Gar1', NULL, NULL, NULL, 6),
(10235, NULL, 'PF14707', NULL, NULL, 'C-terminal region of aryl-sulfatase', NULL, 'Sulfatase_C', NULL, NULL, NULL, 6),
(10236, NULL, 'PF11572', NULL, NULL, 'Protein of unknown function (DUF3234)', NULL, 'DUF3234', NULL, NULL, NULL, 6),
(10237, NULL, 'PF04306', NULL, NULL, 'Protein of unknown function (DUF456)', NULL, 'DUF456', NULL, NULL, NULL, 6),
(10238, NULL, 'PF16974', NULL, NULL, 'High-affinity nitrate transporter accessory', NULL, 'NAR2', NULL, NULL, NULL, 6),
(10239, NULL, 'PF05271', NULL, NULL, 'Tobravirus 2B protein', NULL, 'Tobravirus_2B', NULL, NULL, NULL, 6),
(10240, NULL, 'PF10668', NULL, NULL, 'Phage terminase small subunit', NULL, 'Phage_terminase', NULL, NULL, NULL, 6),
(10241, NULL, 'PF06607', NULL, NULL, 'Prokineticin', NULL, 'Prokineticin', NULL, NULL, NULL, 6),
(10242, NULL, 'PF04916', NULL, NULL, 'Phospholipase B', NULL, 'Phospholip_B', NULL, NULL, NULL, 6),
(10243, NULL, 'PF16589', NULL, NULL, 'BRCT domain, a BRCA1 C-terminus domain', NULL, 'BRCT_2', NULL, NULL, NULL, 6),
(10244, NULL, 'PF15631', NULL, NULL, 'NTF2 fold immunity protein', NULL, 'Imm-NTF2-2', NULL, NULL, NULL, 6),
(10245, NULL, 'PF13999', NULL, NULL, 'MarB protein', NULL, 'MarB', NULL, NULL, NULL, 6),
(10246, NULL, 'PF16848', NULL, NULL, 'Substrate of the Dot/Icm secretion system, putative', NULL, 'SoDot-IcmSS', NULL, NULL, NULL, 6),
(10247, NULL, 'PF05395', NULL, NULL, 'Protein phosphatase inhibitor 1/DARPP-32', NULL, 'DARPP-32', NULL, NULL, NULL, 6),
(10248, NULL, 'PF18683', NULL, NULL, 'Chitinase W immunoglobulin-like domain', NULL, 'ChiW_Ig_like', NULL, NULL, NULL, 6),
(10249, NULL, 'PF16686', NULL, NULL, 'ssDNA-binding domain of telomere protection protein', NULL, 'POT1PC', NULL, NULL, NULL, 6),
(10250, NULL, 'PF06298', NULL, NULL, 'Photosystem II protein Y (PsbY)', NULL, 'PsbY', NULL, NULL, NULL, 6),
(10251, NULL, 'PF10823', NULL, NULL, 'Protein of unknown function (DUF2568)', NULL, 'DUF2568', NULL, NULL, NULL, 6),
(10252, NULL, 'PF08312', NULL, NULL, 'cwf21 domain', NULL, 'cwf21', NULL, NULL, NULL, 6),
(10253, NULL, 'PF07681', NULL, NULL, 'DoxX', NULL, 'DoxX', NULL, NULL, NULL, 6),
(10254, NULL, 'PF16746', NULL, NULL, 'BAR domain of APPL family', NULL, 'BAR_3', NULL, NULL, NULL, 6),
(10255, NULL, 'PF10492', NULL, NULL, 'Nrf1 activator activation site binding domain', NULL, 'Nrf1_activ_bdg', NULL, NULL, NULL, 6),
(10256, NULL, 'PF19161', NULL, NULL, 'Family of unknown function (DUF5843)', NULL, 'DUF5843', NULL, NULL, NULL, 6),
(10257, NULL, 'PF04760', NULL, NULL, 'Translation initiation factor IF-2, N-terminal region', NULL, 'IF2_N', NULL, NULL, NULL, 6),
(10258, NULL, 'PF01076', NULL, NULL, 'Plasmid recombination enzyme', NULL, 'Mob_Pre', NULL, NULL, NULL, 6),
(10259, NULL, 'PF14718', NULL, NULL, 'Soluble lytic murein transglycosylase L domain', NULL, 'SLT_L', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10260, NULL, 'PF18491', NULL, NULL, 'SET and RING associated domain', NULL, 'SRA', NULL, NULL, NULL, 6),
(10261, NULL, 'PF15089', NULL, NULL, 'Domain of unknown function (DUF4552)', NULL, 'DUF4552', NULL, NULL, NULL, 6),
(10262, NULL, 'PF07256', NULL, NULL, 'Protein of unknown function (DUF1435)', NULL, 'DUF1435', NULL, NULL, NULL, 6),
(10263, NULL, 'PF07660', NULL, NULL, 'Secretin and TonB N terminus short domain', NULL, 'STN', NULL, NULL, NULL, 6),
(10264, NULL, 'PF13840', NULL, NULL, 'ACT domain', NULL, 'ACT_7', NULL, NULL, NULL, 6),
(10265, NULL, 'PF11161', NULL, NULL, 'Protein of unknown function (DUF2946)', NULL, 'DUF2944', NULL, NULL, NULL, 6),
(10266, NULL, 'PF11452', NULL, NULL, 'Protein of unknown function (DUF3000)', NULL, 'DUF3000', NULL, NULL, NULL, 6),
(10267, NULL, 'PF01590', NULL, NULL, 'GAF domain', NULL, 'GAF', NULL, NULL, NULL, 6),
(10268, NULL, 'PF16108', NULL, NULL, 'Domain of unknown function (DUF4826)', NULL, 'DUF4826', NULL, NULL, NULL, 6),
(10269, NULL, 'PF07287', NULL, NULL, 'Acyclic terpene utilisation family protein AtuA', NULL, 'AtuA', NULL, NULL, NULL, 6),
(10270, NULL, 'PF02024', NULL, NULL, 'Leptin', NULL, 'Leptin', NULL, NULL, NULL, 6),
(10271, NULL, 'PF16124', NULL, NULL, 'RecQ zinc-binding', NULL, 'RecQ_Zn_bind', NULL, NULL, NULL, 6),
(10272, NULL, 'PF04527', NULL, NULL, 'Drosophila Retinin like protein', NULL, 'Retinin_C', NULL, NULL, NULL, 6),
(10273, NULL, 'PF16136', NULL, NULL, 'Putative nuclear localisation signal', NULL, 'NINJA_B', NULL, NULL, NULL, 6),
(10274, NULL, 'PF02683', NULL, NULL, 'Cytochrome C biogenesis protein transmembrane region', NULL, 'DsbD', NULL, NULL, NULL, 6),
(10275, NULL, 'PF13826', NULL, NULL, 'Domain of unknown function (DUF4188)', NULL, 'DUF4188', NULL, NULL, NULL, 6),
(10276, NULL, 'PF02200', NULL, NULL, 'STE like transcription factor', NULL, 'STE', NULL, NULL, NULL, 6),
(10277, NULL, 'PF01066', NULL, NULL, 'CDP-alcohol phosphatidyltransferase', NULL, 'CDP-OH_P_transf', NULL, NULL, NULL, 6),
(10278, NULL, 'PF12230', NULL, NULL, 'Pre-mRNA splicing factor PRP21 like protein', NULL, 'PRP21_like_P', NULL, NULL, NULL, 6),
(10279, NULL, 'PF10805', NULL, NULL, 'Protein of unknown function (DUF2730)', NULL, 'DUF2730', NULL, NULL, NULL, 6),
(10280, NULL, 'PF09456', NULL, NULL, 'RcsC Alpha-Beta-Loop (ABL)', NULL, 'RcsC', NULL, NULL, NULL, 6),
(10281, NULL, 'PF06638', NULL, NULL, 'Strabismus protein', NULL, 'Strabismus', NULL, NULL, NULL, 6),
(10282, NULL, 'PF01976', NULL, NULL, 'Protein of unknown function DUF116', NULL, 'DUF116', NULL, NULL, NULL, 6),
(10283, NULL, 'PF14277', NULL, NULL, 'Domain of unknown function (DUF4364)', NULL, 'DUF4364', NULL, NULL, NULL, 6),
(10284, NULL, 'PF10618', NULL, NULL, 'Phage tail tube protein', NULL, 'Tail_tube', NULL, NULL, NULL, 6),
(10285, NULL, 'PF14076', NULL, NULL, 'Domain of unknown function (DUF4258)', NULL, 'DUF4258', NULL, NULL, NULL, 6),
(10286, NULL, 'PF14311', NULL, NULL, 'Probable Zinc-ribbon domain', NULL, 'DUF4379', NULL, NULL, NULL, 6),
(10287, NULL, 'PF04120', NULL, NULL, 'Low affinity iron permease', NULL, 'Iron_permease', NULL, NULL, NULL, 6),
(10288, NULL, 'PF16256', NULL, NULL, 'Domain of unknown function (DUF4911)', NULL, 'DUF4911', NULL, NULL, NULL, 6),
(10289, NULL, 'PF08716', NULL, NULL, 'Coronavirus replicase NSP7', NULL, 'CoV_NSP7', NULL, NULL, NULL, 6),
(10290, NULL, 'PF13761', NULL, NULL, 'Domain of unknown function (DUF4166)', NULL, 'DUF4166', NULL, NULL, NULL, 6),
(10291, NULL, 'PF11073', NULL, NULL, 'Rift valley fever virus non structural protein (NSs) like', NULL, 'NSs', NULL, NULL, NULL, 6),
(10292, NULL, 'PF03459', NULL, NULL, 'TOBE domain', NULL, 'TOBE', NULL, NULL, NULL, 6),
(10293, NULL, 'PF05385', NULL, NULL, 'Mastadenovirus early E4 13 kDa protein', NULL, 'Adeno_E4', NULL, NULL, NULL, 6),
(10294, NULL, 'PF06084', NULL, NULL, 'Cytomegalovirus TRL10 protein', NULL, 'Cytomega_TRL10', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10295, NULL, 'PF06431', NULL, NULL, 'Polyomavirus large T antigen C-terminus', NULL, 'Polyoma_lg_T_C', NULL, NULL, NULL, 6),
(10296, NULL, 'PF00919', NULL, NULL, 'Uncharacterized protein family UPF0004', NULL, 'UPF0004', NULL, NULL, NULL, 6),
(10297, NULL, 'PF13945', NULL, NULL, 'Salt tolerance down-regulator', NULL, 'NST1', NULL, NULL, NULL, 6),
(10298, NULL, 'PF14119', NULL, NULL, 'Domain of unknown function (DUF4288)', NULL, 'DUF4288', NULL, NULL, NULL, 6),
(10299, NULL, 'PF01496', NULL, NULL, 'V-type ATPase 116kDa subunit family', NULL, 'V_ATPase_I', NULL, NULL, NULL, 6),
(10300, NULL, 'PF16217', NULL, NULL, 'Peptidase M64 N-terminus', NULL, 'M64_N', NULL, NULL, NULL, 6),
(10301, NULL, 'PF06388', NULL, NULL, 'Protein of unknown function (DUF1075)', NULL, 'DUF1075', NULL, NULL, NULL, 6),
(10302, NULL, 'PF05831', NULL, NULL, 'GAGE protein', NULL, 'GAGE', NULL, NULL, NULL, 6),
(10303, NULL, 'PF07367', NULL, NULL, 'Fungal fruit body lectin', NULL, 'FB_lectin', NULL, NULL, NULL, 6),
(10304, NULL, 'PF19109', NULL, NULL, 'Family of unknown function (DUF5796)', NULL, 'DUF5796', NULL, NULL, NULL, 6),
(10305, NULL, 'PF08794', NULL, NULL, 'Lipoprotein GNA1870 C terminal like', NULL, 'Lipoprot_C', NULL, NULL, NULL, 6),
(10306, NULL, 'PF15011', NULL, NULL, 'Casein Kinase 2 substrate', NULL, 'CK2S', NULL, NULL, NULL, 6),
(10307, NULL, 'PF07238', NULL, NULL, 'PilZ domain', NULL, 'PilZ', NULL, NULL, NULL, 6),
(10308, NULL, 'PF14604', NULL, NULL, 'Variant SH3 domain', NULL, 'SH3_9', NULL, NULL, NULL, 6),
(10309, NULL, 'PF11598', NULL, NULL, 'Cartilage oligomeric matrix protein', NULL, 'COMP', NULL, NULL, NULL, 6),
(10310, NULL, 'PF02832', NULL, NULL, 'Flavivirus glycoprotein, immunoglobulin-like domain', NULL, 'Flavi_glycop_C', NULL, NULL, NULL, 6),
(10311, NULL, 'PF15477', NULL, NULL, 'Small acidic protein family', NULL, 'SMAP', NULL, NULL, NULL, 6),
(10312, NULL, 'PF14776', NULL, NULL, 'Cation-channel complex subunit UNC-79', NULL, 'UNC-79', NULL, NULL, NULL, 6),
(10313, NULL, 'PF05801', NULL, NULL, 'Lagovirus protein of unknown function (DUF840)', NULL, 'DUF840', NULL, NULL, NULL, 6),
(10314, NULL, 'PF17999', NULL, NULL, 'Pullulanase N1-terminal domain', NULL, 'PulA_N1', NULL, NULL, NULL, 6),
(10315, NULL, 'PF00168', NULL, NULL, 'C2 domain', NULL, 'C2', NULL, NULL, NULL, 6),
(10316, NULL, 'PF16663', NULL, NULL, 'Unstructured region on MAGI', NULL, 'MAGI_u1', NULL, NULL, NULL, 6),
(10317, NULL, 'PF11141', NULL, NULL, 'Protein of unknown function (DUF2914)', NULL, 'DUF2914', NULL, NULL, NULL, 6),
(10318, NULL, 'PF04130', NULL, NULL, 'Gamma tubulin complex component C-terminal', NULL, 'GCP_C_terminal', NULL, NULL, NULL, 6),
(10319, NULL, 'PF11823', NULL, NULL, 'Protein of unknown function (DUF3343)', NULL, 'DUF3343', NULL, NULL, NULL, 6),
(10320, NULL, 'PF17666', NULL, NULL, 'Family of unknown function (DUF5528)', NULL, 'DUF5528', NULL, NULL, NULL, 6),
(10321, NULL, 'PF15839', NULL, NULL, 'Testis-expressed sequence 29 protein', NULL, 'TEX29', NULL, NULL, NULL, 6),
(10322, NULL, 'PF10014', NULL, NULL, '2OG-Fe dioxygenase', NULL, '2OG-Fe_Oxy_2', NULL, NULL, NULL, 6),
(10323, NULL, 'PF17485', NULL, NULL, 'Satellite RNA 48 kDa protein', NULL, 'SatRNA_48', NULL, NULL, NULL, 6),
(10324, NULL, 'PF12925', NULL, NULL, 'E2 domain of amyloid precursor protein', NULL, 'APP_E2', NULL, NULL, NULL, 6),
(10325, NULL, 'PF05356', NULL, NULL, 'Inovirus Coat protein B', NULL, 'Phage_Coat_B', NULL, NULL, NULL, 6),
(10326, NULL, 'PF13718', NULL, NULL, 'GNAT acetyltransferase 2', NULL, 'GNAT_acetyltr_2', NULL, NULL, NULL, 6),
(10327, NULL, 'PF12671', NULL, NULL, 'Putative amidase domain', NULL, 'Amidase_6', NULL, NULL, NULL, 6),
(10328, NULL, 'PF11444', NULL, NULL, 'Protein of unknown function (DUF2895)', NULL, 'DUF2895', NULL, NULL, NULL, 6),
(10329, NULL, 'PF02932', NULL, NULL, 'Neurotransmitter-gated ion-channel transmembrane region', NULL, 'Neur_chan_memb', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10330, NULL, 'PF12501', NULL, NULL, 'Phosphate ATP-binding cassette transporter', NULL, 'DUF3708', NULL, NULL, NULL, 6),
(10331, NULL, 'PF17875', NULL, NULL, 'RPA43 OB domain in RNA Pol I', NULL, 'RPA43_OB', NULL, NULL, NULL, 6),
(10332, NULL, 'PF05913', NULL, NULL, 'DUF871 C-terminal domain', NULL, 'DUF871', NULL, NULL, NULL, 6),
(10333, NULL, 'PF14283', NULL, NULL, 'Domain of unknown function (DUF4366)', NULL, 'DUF4366', NULL, NULL, NULL, 6),
(10334, NULL, 'PF10002', NULL, NULL, 'Predicted membrane protein (DUF2243)', NULL, 'DUF2243', NULL, NULL, NULL, 6),
(10335, NULL, 'PF11931', NULL, NULL, 'Domain of unknown function (DUF3449)', NULL, 'DUF3449', NULL, NULL, NULL, 6),
(10336, NULL, 'PF12446', NULL, NULL, 'Protein of unknown function (DUF3682)', NULL, 'DUF3682', NULL, NULL, NULL, 6),
(10337, NULL, 'PF01907', NULL, NULL, 'Ribosomal protein L37e', NULL, 'Ribosomal_L37e', NULL, NULL, NULL, 6),
(10338, NULL, 'PF06590', NULL, NULL, 'PerB protein', NULL, 'PerB', NULL, NULL, NULL, 6),
(10339, NULL, 'PF09563', NULL, NULL, 'LlaJI restriction endonuclease', NULL, 'RE_LlaJI', NULL, NULL, NULL, 6),
(10340, NULL, 'PF00886', NULL, NULL, 'Ribosomal protein S16', NULL, 'Ribosomal_S16', NULL, NULL, NULL, 6),
(10341, NULL, 'PF05235', NULL, NULL, 'CHAD domain', NULL, 'CHAD', NULL, NULL, NULL, 6),
(10342, NULL, 'PF08073', NULL, NULL, 'CHDNT (NUC034) domain', NULL, 'CHDNT', NULL, NULL, NULL, 6),
(10343, NULL, 'PF04032', NULL, NULL, 'RNAse P Rpr2/Rpp21/SNM1 subunit domain', NULL, 'Rpr2', NULL, NULL, NULL, 6),
(10344, NULL, 'PF10311', NULL, NULL, 'Increased loss of mitochondrial DNA protein 1', NULL, 'Ilm1', NULL, NULL, NULL, 6),
(10345, NULL, 'PF10226', NULL, NULL, 'CCDC85 family', NULL, 'CCDC85', NULL, NULL, NULL, 6),
(10346, NULL, 'PF08938', NULL, NULL, 'HBS1 N-terminus', NULL, 'HBS1_N', NULL, NULL, NULL, 6),
(10347, NULL, 'PF15902', NULL, NULL, 'Sortilin, neurotensin receptor 3,', NULL, 'Sortilin-Vps10', NULL, NULL, NULL, 6),
(10348, NULL, 'PF03273', NULL, NULL, 'Baculovirus gp64 envelope glycoprotein family', NULL, 'Baculo_gp64', NULL, NULL, NULL, 6),
(10349, NULL, 'PF11691', NULL, NULL, 'Protein of unknown function (DUF3288)', NULL, 'DUF3288', NULL, NULL, NULL, 6),
(10350, NULL, 'PF12046', NULL, NULL, 'Cofactor assembly of complex C subunit B', NULL, 'CCB1', NULL, NULL, NULL, 6),
(10351, NULL, 'PF00140', NULL, NULL, 'Sigma-70 factor, region 1.2', NULL, 'Sigma70_r1_2', NULL, NULL, NULL, 6),
(10352, NULL, 'PF07720', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_3', NULL, NULL, NULL, 6),
(10353, NULL, 'PF14234', NULL, NULL, 'Domain of unknown function (DUF4336)', NULL, 'DUF4336', NULL, NULL, NULL, 6),
(10354, NULL, 'PF10638', NULL, NULL, 'Spindle body associated protein C-terminus', NULL, 'Sfi1_C', NULL, NULL, NULL, 6),
(10355, NULL, 'PF09885', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2112)', NULL, 'DUF2112', NULL, NULL, NULL, 6),
(10356, NULL, 'PF02296', NULL, NULL, 'Alpha adaptin AP2, C-terminal domain', NULL, 'Alpha_adaptin_C', NULL, NULL, NULL, 6),
(10357, NULL, 'PF02990', NULL, NULL, 'Endomembrane protein 70', NULL, 'EMP70', NULL, NULL, NULL, 6),
(10358, NULL, 'PF18663', NULL, NULL, 'Pallilysin beta barrel domain', NULL, 'Pallilysin', NULL, NULL, NULL, 6),
(10359, NULL, 'PF00770', NULL, NULL, 'Adenovirus endoprotease', NULL, 'Peptidase_C5', NULL, NULL, NULL, 6),
(10360, NULL, 'PF05178', NULL, NULL, 'KRI1-like family', NULL, 'Kri1', NULL, NULL, NULL, 6),
(10361, NULL, 'PF01925', NULL, NULL, 'Sulfite exporter TauE/SafE', NULL, 'TauE', NULL, NULL, NULL, 6),
(10362, NULL, 'PF13121', NULL, NULL, 'Domain of unknown function (DUF3976)', NULL, 'DUF3976', NULL, NULL, NULL, 6),
(10363, NULL, 'PF04827', NULL, NULL, 'Plant transposon protein', NULL, 'Plant_tran', NULL, NULL, NULL, 6),
(10364, NULL, 'PF01198', NULL, NULL, 'Ribosomal protein L31e', NULL, 'Ribosomal_L31e', NULL, NULL, NULL, 6),
(10365, NULL, 'PF03996', NULL, NULL, 'Hemagglutinin esterase', NULL, 'Hema_esterase', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10366, NULL, 'PF07176', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF1400)', NULL, 'DUF1400', NULL, NULL, NULL, 6),
(10367, NULL, 'PF00626', NULL, NULL, 'Gelsolin repeat', NULL, 'Gelsolin', NULL, NULL, NULL, 6),
(10368, NULL, 'PF15596', NULL, NULL, 'Immunity protein 57', NULL, 'Imm57', NULL, NULL, NULL, 6),
(10369, NULL, 'PF03846', NULL, NULL, 'Cell division inhibitor SulA', NULL, 'SulA', NULL, NULL, NULL, 6),
(10370, NULL, 'PF03090', NULL, NULL, 'Replicase family', NULL, 'Replicase', NULL, NULL, NULL, 6),
(10371, NULL, 'PF09430', NULL, NULL, 'Protein of unknown function (DUF2012)', NULL, 'DUF2012', NULL, NULL, NULL, 6),
(10372, NULL, 'PF06573', NULL, NULL, 'Churchill protein', NULL, 'Churchill', NULL, NULL, NULL, 6),
(10373, NULL, 'PF04450', NULL, NULL, 'Peptidase of plants and bacteria', NULL, 'BSP', NULL, NULL, NULL, 6),
(10374, NULL, 'PF04771', NULL, NULL, 'Chicken anaemia virus VP-3 protein', NULL, 'CAV_VP3', NULL, NULL, NULL, 6),
(10375, NULL, 'PF08775', NULL, NULL, 'ParB family', NULL, 'ParB', NULL, NULL, NULL, 6),
(10376, NULL, 'PF03906', NULL, NULL, 'Phage T7 tail fibre protein', NULL, 'Phage_T7_tail', NULL, NULL, NULL, 6),
(10377, NULL, 'PF07981', NULL, NULL, 'Plasmodium repeat_MYXSPDY', NULL, 'Plasmod_MYXSPDY', NULL, NULL, NULL, 6),
(10378, NULL, 'PF04200', NULL, NULL, 'Lipoprotein associated domain', NULL, 'Lipoprotein_17', NULL, NULL, NULL, 6),
(10379, NULL, 'PF08550', NULL, NULL, 'Fungal protein of unknown function (DUF1752)', NULL, 'DUF1752', NULL, NULL, NULL, 6),
(10380, NULL, 'PF01229', NULL, NULL, 'Glycosyl hydrolases family 39', NULL, 'Glyco_hydro_39', NULL, NULL, NULL, 6),
(10381, NULL, 'PF11066', NULL, NULL, 'Protein of unknown function (DUF2867)', NULL, 'DUF2867', NULL, NULL, NULL, 6),
(10382, NULL, 'PF06474', NULL, NULL, 'MltD lipid attachment motif', NULL, 'MLTD_N', NULL, NULL, NULL, 6),
(10383, NULL, 'PF05204', NULL, NULL, 'Homing endonuclease', NULL, 'Hom_end', NULL, NULL, NULL, 6),
(10384, NULL, 'PF17562', NULL, NULL, 'Styelin', NULL, 'Styelin', NULL, NULL, NULL, 6),
(10385, NULL, 'PF15637', NULL, NULL, 'HNH/Endo VII superfamily nuclease toxin with a HHH motif', NULL, 'Tox-HNH-HHH', NULL, NULL, NULL, 6),
(10386, NULL, 'PF11516', NULL, NULL, 'Protein of unknown function (DUF3120)', NULL, 'DUF3220', NULL, NULL, NULL, 6),
(10387, NULL, 'PF10420', NULL, NULL, 'Cytokine interleukin-12p40 C-terminus', NULL, 'IL12p40_C', NULL, NULL, NULL, 6),
(10388, NULL, 'PF01753', NULL, NULL, 'MYND finger', NULL, 'zf-MYND', NULL, NULL, NULL, 6),
(10389, NULL, 'PF06232', NULL, NULL, 'Embryo-specific protein 3, (ATS3)', NULL, 'ATS3', NULL, NULL, NULL, 6),
(10390, NULL, 'PF06691', NULL, NULL, 'Protein of unknown function (DUF1189)', NULL, 'DUF1189', NULL, NULL, NULL, 6),
(10391, NULL, 'PF10972', NULL, NULL, 'Peptidoglycan-binding protein, CsiV', NULL, 'CsiV', NULL, NULL, NULL, 6),
(10392, NULL, 'PF00901', NULL, NULL, 'Orbivirus outer capsid protein VP5', NULL, 'Orbi_VP5', NULL, NULL, NULL, 6),
(10393, NULL, 'PF04811', NULL, NULL, 'Sec23/Sec24 trunk domain', NULL, 'Sec23_trunk', NULL, NULL, NULL, 6),
(10394, NULL, 'PF06429', NULL, NULL, 'Flagellar basal body rod FlgEFG protein C-terminal', NULL, 'Flg_bbr_C', NULL, NULL, NULL, 6),
(10395, NULL, 'PF06029', NULL, NULL, 'AlkA N-terminal domain', NULL, 'AlkA_N', NULL, NULL, NULL, 6),
(10396, NULL, 'PF08287', NULL, NULL, 'Spc19', NULL, 'DASH_Spc19', NULL, NULL, NULL, 6),
(10397, NULL, 'PF08002', NULL, NULL, 'Protein of unknown function (DUF1697)', NULL, 'DUF1697', NULL, NULL, NULL, 6),
(10398, NULL, 'PF02373', NULL, NULL, 'JmjC domain, hydroxylase', NULL, 'JmjC', NULL, NULL, NULL, 6),
(10399, NULL, 'PF17895', NULL, NULL, 'Giardia Dicer N-terminal domain', NULL, 'Dicer_N', NULL, NULL, NULL, 6),
(10400, NULL, 'PF09799', NULL, NULL, 'Predicted membrane protein', NULL, 'Transmemb_17', NULL, NULL, NULL, 6),
(10401, NULL, 'PF04753', NULL, NULL, 'Coronavirus non-structural protein NS12.7 family', NULL, 'Corona_NS12-7', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10402, NULL, 'PF16622', NULL, NULL, 'zinc-finger C2H2-type', NULL, 'zf-C2H2_11', NULL, NULL, NULL, 6),
(10403, NULL, 'PF01784', NULL, NULL, 'NIF3 (NGG1p interacting factor 3)', NULL, 'NIF3', NULL, NULL, NULL, 6),
(10404, NULL, 'PF02936', NULL, NULL, 'Cytochrome c oxidase subunit IV', NULL, 'COX4', NULL, NULL, NULL, 6),
(10405, NULL, 'PF18468', NULL, NULL, 'Phosphofructokinase N-terminal domain yeast', NULL, 'Pfk_N', NULL, NULL, NULL, 6),
(10406, NULL, 'PF01221', NULL, NULL, 'Dynein light chain type 1', NULL, 'Dynein_light', NULL, NULL, NULL, 6),
(10407, NULL, 'PF01944', NULL, NULL, 'Stage II sporulation protein M', NULL, 'SpoIIM', NULL, NULL, NULL, 6),
(10408, NULL, 'PF17692', NULL, NULL, 'Family of unknown function (DUF5538)', NULL, 'DUF5538', NULL, NULL, NULL, 6),
(10409, NULL, 'PF12634', NULL, NULL, 'Inheritance of peroxisomes protein 1', NULL, 'Inp1', NULL, NULL, NULL, 6),
(10410, NULL, 'PF03173', NULL, NULL, 'Putative carbohydrate binding domain', NULL, 'CHB_HEX', NULL, NULL, NULL, 6),
(10411, NULL, 'PF10782', NULL, NULL, 'Zinc-finger', NULL, 'zf-C2HCIx2C', NULL, NULL, NULL, 6),
(10412, NULL, 'PF16372', NULL, NULL, 'Domain of unknown function (DUF4984)', NULL, 'DUF4984', NULL, NULL, NULL, 6),
(10413, NULL, 'PF04449', NULL, NULL, 'CS1 type fimbrial major subunit', NULL, 'Fimbrial_CS1', NULL, NULL, NULL, 6),
(10414, NULL, 'PF05067', NULL, NULL, 'Manganese containing catalase', NULL, 'Mn_catalase', NULL, NULL, NULL, 6),
(10415, NULL, 'PF08116', NULL, NULL, 'PhTx neurotoxin family', NULL, 'Toxin_29', NULL, NULL, NULL, 6),
(10416, NULL, 'PF02635', NULL, NULL, 'DsrE/DsrF-like family', NULL, 'DrsE', NULL, NULL, NULL, 6),
(10417, NULL, 'PF15991', NULL, NULL, 'G-protein pathway suppressor', NULL, 'G_path_suppress', NULL, NULL, NULL, 6),
(10418, NULL, 'PF06436', NULL, NULL, 'Pneumovirus matrix protein 2 (M2)', NULL, 'Pneumovirus_M2', NULL, NULL, NULL, 6),
(10419, NULL, 'PF06873', NULL, NULL, 'Cell surface immobilisation antigen SerH', NULL, 'SerH', NULL, NULL, NULL, 6),
(10420, NULL, 'PF10280', NULL, NULL, 'Mediator complex protein', NULL, 'Med11', NULL, NULL, NULL, 6),
(10421, NULL, 'PF08341', NULL, NULL, 'Thioester domain', NULL, 'TED', NULL, NULL, NULL, 6),
(10422, NULL, 'PF13668', NULL, NULL, 'Ferritin-like domain', NULL, 'Ferritin_2', NULL, NULL, NULL, 6),
(10423, NULL, 'PF14900', NULL, NULL, 'Domain of unknown function (DUF4493)', NULL, 'DUF4493', NULL, NULL, NULL, 6),
(10424, NULL, 'PF18787', NULL, NULL, 'CRM1 / Exportin repeat 3', NULL, 'CRM1_repeat_3', NULL, NULL, NULL, 6),
(10425, NULL, 'PF01863', NULL, NULL, 'Protein of unknown function DUF45', NULL, 'DUF45', NULL, NULL, NULL, 6),
(10426, NULL, 'PF02862', NULL, NULL, 'DDHD domain', NULL, 'DDHD', NULL, NULL, NULL, 6),
(10427, NULL, 'PF12710', NULL, NULL, 'haloacid dehalogenase-like hydrolase', NULL, 'HAD', NULL, NULL, NULL, 6),
(10428, NULL, 'PF09069', NULL, NULL, 'EF-hand', NULL, 'EF-hand_3', NULL, NULL, NULL, 6),
(10429, NULL, 'PF13479', NULL, NULL, 'AAA domain', NULL, 'AAA_24', NULL, NULL, NULL, 6),
(10430, NULL, 'PF13240', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc_ribbon_2', NULL, NULL, NULL, 6),
(10431, NULL, 'PF10870', NULL, NULL, 'Protein of unknown function (DUF2729)', NULL, 'DUF2729', NULL, NULL, NULL, 6),
(10432, NULL, 'PF02891', NULL, NULL, 'MIZ/SP-RING zinc finger', NULL, 'zf-MIZ', NULL, NULL, NULL, 6),
(10433, NULL, 'PF01916', NULL, NULL, 'Deoxyhypusine synthase', NULL, 'DS', NULL, NULL, NULL, 6),
(10434, NULL, 'PF00132', NULL, NULL, 'Bacterial transferase hexapeptide (six repeats)', NULL, 'Hexapep', NULL, NULL, NULL, 6),
(10435, NULL, 'PF18533', NULL, NULL, 'Domain of unknown function (DUF5622)', NULL, 'DUF5622', NULL, NULL, NULL, 6),
(10436, NULL, 'PF02593', NULL, NULL, 'Domain of unknown function', NULL, 'DUF166', NULL, NULL, NULL, 6),
(10437, NULL, 'PF16426', NULL, NULL, 'Domain of unknown function (DUF5023)', NULL, 'DUF5023', NULL, NULL, NULL, 6),
(10438, NULL, 'PF15275', NULL, NULL, 'PEHE domain', NULL, 'PEHE', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10439, NULL, 'PF10813', NULL, NULL, 'Protein of unknown function (DUF2733)', NULL, 'DUF2733', NULL, NULL, NULL, 6),
(10440, NULL, 'PF01405', NULL, NULL, 'Photosystem II reaction centre T protein', NULL, 'PsbT', NULL, NULL, NULL, 6),
(10441, NULL, 'PF17579', NULL, NULL, 'Family of unknown function (DUF5482)', NULL, 'DUF5482', NULL, NULL, NULL, 6),
(10442, NULL, 'PF03858', NULL, NULL, 'Crustacean neurohormone H', NULL, 'Crust_neuro_H', NULL, NULL, NULL, 6),
(10443, NULL, 'PF09579', NULL, NULL, 'Sporulation protein YtfJ (Spore_YtfJ)', NULL, 'Spore_YtfJ', NULL, NULL, NULL, 6),
(10444, NULL, 'PF09853', NULL, NULL, 'Putative transposon-encoded protein (DUF2080)', NULL, 'DUF2080', NULL, NULL, NULL, 6),
(10445, NULL, 'PF16405', NULL, NULL, 'Domain of unknown function (DUF5013)', NULL, 'DUF5013', NULL, NULL, NULL, 6),
(10446, NULL, 'PF12128', NULL, NULL, 'Protein of unknown function (DUF3584)', NULL, 'DUF3584', NULL, NULL, NULL, 6),
(10447, NULL, 'PF16739', NULL, NULL, 'Caspase recruitment domain', NULL, 'CARD_2', NULL, NULL, NULL, 6),
(10448, NULL, 'PF09830', NULL, NULL, 'ATP adenylyltransferase', NULL, 'ATP_transf', NULL, NULL, NULL, 6),
(10449, NULL, 'PF14266', NULL, NULL, 'Putative component of ''biosynthetic module''', NULL, 'YceG_bac', NULL, NULL, NULL, 6),
(10450, NULL, 'PF12520', NULL, NULL, 'Protein of unknown function (DUF3723)', NULL, 'DUF3723', NULL, NULL, NULL, 6),
(10451, NULL, 'PF06166', NULL, NULL, 'Protein of unknown function (DUF979)', NULL, 'DUF979', NULL, NULL, NULL, 6),
(10452, NULL, 'PF17946', NULL, NULL, 'RecC C-terminal domain', NULL, 'RecC_C', NULL, NULL, NULL, 6),
(10453, NULL, 'PF08529', NULL, NULL, 'NusA N-terminal domain', NULL, 'NusA_N', NULL, NULL, NULL, 6),
(10454, NULL, 'PF13400', NULL, NULL, 'Putative Flp pilus-assembly TadE/G-like', NULL, 'Tad', NULL, NULL, NULL, 6),
(10455, NULL, 'PF17139', NULL, NULL, 'Domain of unknown function (DUF5112)', NULL, 'DUF5112', NULL, NULL, NULL, 6),
(10456, NULL, 'PF05621', NULL, NULL, 'Bacterial TniB protein', NULL, 'TniB', NULL, NULL, NULL, 6),
(10457, NULL, 'PF03249', NULL, NULL, 'Type specific antigen', NULL, 'TSA', NULL, NULL, NULL, 6),
(10458, NULL, 'PF12266', NULL, NULL, 'Protein of unknown function (DUF3613)', NULL, 'DUF3613', NULL, NULL, NULL, 6),
(10459, NULL, 'PF11146', NULL, NULL, 'Protein of unknown function (DUF2905)', NULL, 'DUF2905', NULL, NULL, NULL, 6),
(10460, NULL, 'PF11222', NULL, NULL, 'Protein of unknown function (DUF3017)', NULL, 'DUF3017', NULL, NULL, NULL, 6),
(10461, NULL, 'PF09917', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2147)', NULL, 'DUF2147', NULL, NULL, NULL, 6),
(10462, NULL, 'PF08712', NULL, NULL, 'Scaffold protein Nfu/NifU N terminal', NULL, 'Nfu_N', NULL, NULL, NULL, 6),
(10463, NULL, 'PF16652', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_13', NULL, NULL, NULL, 6),
(10464, NULL, 'PF13502', NULL, NULL, 'AsmA-like C-terminal region', NULL, 'AsmA_2', NULL, NULL, NULL, 6),
(10465, NULL, 'PF03714', NULL, NULL, 'Bacterial pullanase-associated domain', NULL, 'PUD', NULL, NULL, NULL, 6),
(10466, NULL, 'PF07087', NULL, NULL, 'Protein of unknown function (DUF1353)', NULL, 'DUF1353', NULL, NULL, NULL, 6),
(10467, NULL, 'PF09478', NULL, NULL, 'Carbohydrate binding domain CBM49', NULL, 'CBM49', NULL, NULL, NULL, 6),
(10468, NULL, 'PF18640', NULL, NULL, 'LepB N-terminal domain', NULL, 'LepB_N', NULL, NULL, NULL, 6),
(10469, NULL, 'PF16300', NULL, NULL, 'Type of WD40 repeat', NULL, 'WD40_4', NULL, NULL, NULL, 6),
(10470, NULL, 'PF16581', NULL, NULL, 'Cytidyltransferase-related C-terminal region', NULL, 'HIGH_NTase1_ass', NULL, NULL, NULL, 6),
(10471, NULL, 'PF18966', NULL, NULL, 'Uncharacterised lipoprotein', NULL, 'Lipoprotein_23', NULL, NULL, NULL, 6),
(10472, NULL, 'PF06939', NULL, NULL, 'Protein of unknown function (DUF1286)', NULL, 'DUF1286', NULL, NULL, NULL, 6),
(10473, NULL, 'PF07865', NULL, NULL, 'Protein of unknown function (DUF1652)', NULL, 'DUF1652', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10474, NULL, 'PF05168', NULL, NULL, 'HEPN domain', NULL, 'HEPN', NULL, NULL, NULL, 6),
(10475, NULL, 'PF01396', NULL, NULL, 'Topoisomerase DNA binding C4 zinc finger', NULL, 'zf-C4_Topoisom', NULL, NULL, NULL, 6),
(10476, NULL, 'PF01552', NULL, NULL, 'Picornavirus 2B protein', NULL, 'Pico_P2B', NULL, NULL, NULL, 6),
(10477, NULL, 'PF11627', NULL, NULL, 'Nuclear factor hnRNPA1', NULL, 'HnRNPA1', NULL, NULL, NULL, 6),
(10478, NULL, 'PF06611', NULL, NULL, 'Protein of unknown function (DUF1145)', NULL, 'DUF1145', NULL, NULL, NULL, 6),
(10479, NULL, 'PF10955', NULL, NULL, 'Protein of unknown function (DUF2757)', NULL, 'DUF2757', NULL, NULL, NULL, 6),
(10480, NULL, 'PF13206', NULL, NULL, 'Trypanosomal VSG domain', NULL, 'VSG_B', NULL, NULL, NULL, 6),
(10481, NULL, 'PF03903', NULL, NULL, 'Phage T4 tail fibre', NULL, 'Phage_T4_gp36', NULL, NULL, NULL, 6),
(10482, NULL, 'PF12959', NULL, NULL, 'Protein of unknown function (DUF3848)', NULL, 'DUF3848', NULL, NULL, NULL, 6),
(10483, NULL, 'PF07353', NULL, NULL, 'Uroplakin II', NULL, 'Uroplakin_II', NULL, NULL, NULL, 6),
(10484, NULL, 'PF13863', NULL, NULL, 'Domain of unknown function (DUF4200)', NULL, 'DUF4200', NULL, NULL, NULL, 6),
(10485, NULL, 'PF18121', NULL, NULL, 'TFA2 Winged helix domain 2', NULL, 'TFA2_Winged_2', NULL, NULL, NULL, 6),
(10486, NULL, 'PF04767', NULL, NULL, 'DNA-binding 11 kDa phosphoprotein', NULL, 'Pox_F17', NULL, NULL, NULL, 6),
(10487, NULL, 'PF18997', NULL, NULL, 'Family of unknown function (DUF5727)', NULL, 'DUF5727', NULL, NULL, NULL, 6),
(10488, NULL, 'PF17686', NULL, NULL, 'Family of unknown function (DUF5534)', NULL, 'DUF5534', NULL, NULL, NULL, 6),
(10489, NULL, 'PF07962', NULL, NULL, 'Replication Fork Protection Component Swi3', NULL, 'Swi3', NULL, NULL, NULL, 6),
(10490, NULL, 'PF07408', NULL, NULL, 'Protein of unknown function (DUF1507)', NULL, 'DUF1507', NULL, NULL, NULL, 6),
(10491, NULL, 'PF15016', NULL, NULL, 'Domain of unknown function (DUF4520)', NULL, 'DUF4520', NULL, NULL, NULL, 6),
(10492, NULL, 'PF17166', NULL, NULL, 'Domain of unknown function (DUF5126)', NULL, 'DUF5126', NULL, NULL, NULL, 6),
(10493, NULL, 'PF01763', NULL, NULL, 'Herpesvirus UL6 like', NULL, 'Herpes_UL6', NULL, NULL, NULL, 6),
(10494, NULL, 'PF16864', NULL, NULL, 'Dimerisation domain', NULL, 'Dimerisation2', NULL, NULL, NULL, 6),
(10495, NULL, 'PF02875', NULL, NULL, 'Mur ligase family, glutamate ligase domain', NULL, 'Mur_ligase_C', NULL, NULL, NULL, 6),
(10496, NULL, 'PF05433', NULL, NULL, 'Glycine zipper 2TM domain', NULL, 'Rick_17kDa_Anti', NULL, NULL, NULL, 6),
(10497, NULL, 'PF08578', NULL, NULL, 'Protein of unknown function (DUF1765)', NULL, 'DUF1765', NULL, NULL, NULL, 6),
(10498, NULL, 'PF03510', NULL, NULL, '2C endopeptidase (C24) cysteine protease family', NULL, 'Peptidase_C24', NULL, NULL, NULL, 6),
(10499, NULL, 'PF17645', NULL, NULL, 'Arylmalonate decarboxylase', NULL, 'Amdase', NULL, NULL, NULL, 6),
(10500, NULL, 'PF03605', NULL, NULL, 'Anaerobic c4-dicarboxylate membrane transporter', NULL, 'DcuA_DcuB', NULL, NULL, NULL, 6),
(10501, NULL, 'PF18785', NULL, NULL, 'Invertebrate-AID/APOBEC-deaminase', NULL, 'Inv-AAD', NULL, NULL, NULL, 6),
(10502, NULL, 'PF09838', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2065)', NULL, 'DUF2065', NULL, NULL, NULL, 6),
(10503, NULL, 'PF04483', NULL, NULL, 'Protein of unknown function (DUF565)', NULL, 'DUF565', NULL, NULL, NULL, 6),
(10504, NULL, 'PF14549', NULL, NULL, 'DNA-binding transcriptional regulator Cro', NULL, 'P22_Cro', NULL, NULL, NULL, 6),
(10505, NULL, 'PF03573', NULL, NULL, 'outer membrane porin, OprD family', NULL, 'OprD', NULL, NULL, NULL, 6),
(10506, NULL, 'PF13598', NULL, NULL, 'Domain of unknown function (DUF4139)', NULL, 'DUF4139', NULL, NULL, NULL, 6),
(10507, NULL, 'PF17886', NULL, NULL, 'HSP20-like domain found in ArsA', NULL, 'ArsA_HSP20', NULL, NULL, NULL, 6),
(10508, NULL, 'PF02773', NULL, NULL, 'S-adenosylmethionine synthetase, C-terminal domain', NULL, 'S-AdoMet_synt_C', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10509, NULL, 'PF01874', NULL, NULL, 'ATP:dephospho-CoA triphosphoribosyl transferase', NULL, 'CitG', NULL, NULL, NULL, 6),
(10510, NULL, 'PF14598', NULL, NULL, 'PAS domain', NULL, 'PAS_11', NULL, NULL, NULL, 6),
(10511, NULL, 'PF13541', NULL, NULL, 'Subunit ChlI of Mg-chelatase', NULL, 'ChlI', NULL, NULL, NULL, 6),
(10512, NULL, 'PF12338', NULL, NULL, 'Ribulose-1,5-bisphosphate carboxylase small subunit', NULL, 'RbcS', NULL, NULL, NULL, 6),
(10513, NULL, 'PF11635', NULL, NULL, 'Mediator complex subunit 16', NULL, 'Med16', NULL, NULL, NULL, 6),
(10514, NULL, 'PF01956', NULL, NULL, 'Integral membrane protein EMC3/TMCO1-like', NULL, 'EMC3_TMCO1', NULL, NULL, NULL, 6),
(10515, NULL, 'PF01446', NULL, NULL, 'Replication protein', NULL, 'Rep_1', NULL, NULL, NULL, 6),
(10516, NULL, 'PF12689', NULL, NULL, 'Acid Phosphatase', NULL, 'Acid_PPase', NULL, NULL, NULL, 6),
(10517, NULL, 'PF07096', NULL, NULL, 'Protein of unknown function (DUF1358)', NULL, 'DUF1358', NULL, NULL, NULL, 6),
(10518, NULL, 'PF10383', NULL, NULL, 'Transcription-silencing protein Clr2', NULL, 'Clr2', NULL, NULL, NULL, 6),
(10519, NULL, 'PF02890', NULL, NULL, 'Borrelia family of unknown function DUF226', NULL, 'DUF226', NULL, NULL, NULL, 6),
(10520, NULL, 'PF16048', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial23', NULL, NULL, NULL, 6),
(10521, NULL, 'PF01274', NULL, NULL, 'Malate synthase', NULL, 'Malate_synthase', NULL, NULL, NULL, 6),
(10522, NULL, 'PF15978', NULL, NULL, 'Tn7-like transposition protein D', NULL, 'TnsD', NULL, NULL, NULL, 6),
(10523, NULL, 'PF17526', NULL, NULL, 'Family of unknown function (DUF5448)', NULL, 'DUF5448', NULL, NULL, NULL, 6),
(10524, NULL, 'PF14468', NULL, NULL, 'Protein of unknown function (DUF4427)', NULL, 'DUF4427', NULL, NULL, NULL, 6),
(10525, NULL, 'PF12524', NULL, NULL, 'dsDNA virus glycoprotein L C terminal', NULL, 'GlyL_C', NULL, NULL, NULL, 6),
(10526, NULL, 'PF03391', NULL, NULL, 'Nepovirus coat protein, central domain', NULL, 'Nepo_coat', NULL, NULL, NULL, 6),
(10527, NULL, 'PF07080', NULL, NULL, 'Protein of unknown function (DUF1348)', NULL, 'DUF1348', NULL, NULL, NULL, 6),
(10528, NULL, 'PF06664', NULL, NULL, 'Wnt-binding factor required for Wnt secretion', NULL, 'MIG-14_Wnt-bd', NULL, NULL, NULL, 6),
(10529, NULL, 'PF01257', NULL, NULL, 'Thioredoxin-like [2Fe-2S] ferredoxin', NULL, '2Fe-2S_thioredx', NULL, NULL, NULL, 6),
(10530, NULL, 'PF02735', NULL, NULL, 'Ku70/Ku80 beta-barrel domain', NULL, 'Ku', NULL, NULL, NULL, 6),
(10531, NULL, 'PF18703', NULL, NULL, 'MALT1 Ig-like domain', NULL, 'MALT1_Ig', NULL, NULL, NULL, 6),
(10532, NULL, 'PF17628', NULL, NULL, 'Inclusion membrane protein D', NULL, 'IncD', NULL, NULL, NULL, 6),
(10533, NULL, 'PF17632', NULL, NULL, 'Family of unknown function (DUF5513)', NULL, 'DUF5513', NULL, NULL, NULL, 6),
(10534, NULL, 'PF08630', NULL, NULL, 'Dfp1/Him1, central region', NULL, 'Dfp1_Him1_M', NULL, NULL, NULL, 6),
(10535, NULL, 'PF15531', NULL, NULL, 'Bacterial toxin 27', NULL, 'Ntox27', NULL, NULL, NULL, 6),
(10536, NULL, 'PF07685', NULL, NULL, 'CobB/CobQ-like glutamine amidotransferase domain', NULL, 'GATase_3', NULL, NULL, NULL, 6),
(10537, NULL, 'PF03142', NULL, NULL, 'Chitin synthase', NULL, 'Chitin_synth_2', NULL, NULL, NULL, 6),
(10538, NULL, 'PF02805', NULL, NULL, 'Metal binding domain of Ada', NULL, 'Ada_Zn_binding', NULL, NULL, NULL, 6),
(10539, NULL, 'PF18553', NULL, NULL, 'PheRS DNA binding domain 3', NULL, 'PheRS_DBD3', NULL, NULL, NULL, 6),
(10540, NULL, 'PF15038', NULL, NULL, 'Jiraiya', NULL, 'Jiraiya', NULL, NULL, NULL, 6),
(10541, NULL, 'PF01830', NULL, NULL, 'Peptidase C7 family', NULL, 'Peptidase_C7', NULL, NULL, NULL, 6),
(10542, NULL, 'PF18896', NULL, NULL, 'Lysozyme like domain', NULL, 'SLT_3', NULL, NULL, NULL, 6),
(10543, NULL, 'PF16991', NULL, NULL, 'Sir4 SID domain', NULL, 'SIR4_SID', NULL, NULL, NULL, 6),
(10544, NULL, 'PF18048', NULL, NULL, 'TNF receptor-associated factor 6 zinc finger 2', NULL, 'TRAF6_Z2', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10545, NULL, 'PF08724', NULL, NULL, 'Rep protein catalytic domain like', NULL, 'Rep_N', NULL, NULL, NULL, 6),
(10546, NULL, 'PF03039', NULL, NULL, 'Interleukin-12 alpha subunit', NULL, 'IL12', NULL, NULL, NULL, 6),
(10547, NULL, 'PF18588', NULL, NULL, 'Polysaccharide biosynthesis enzyme WcbI', NULL, 'WcbI', NULL, NULL, NULL, 6),
(10548, NULL, 'PF10375', NULL, NULL, 'GRAB domain', NULL, 'GRAB', NULL, NULL, NULL, 6),
(10549, NULL, 'PF00685', NULL, NULL, 'Sulfotransferase domain', NULL, 'Sulfotransfer_1', NULL, NULL, NULL, 6),
(10550, NULL, 'PF07021', NULL, NULL, 'Methionine biosynthesis protein MetW', NULL, 'MetW', NULL, NULL, NULL, 6),
(10551, NULL, 'PF06926', NULL, NULL, 'Putative replisome organiser protein C-terminus', NULL, 'Rep_Org_C', NULL, NULL, NULL, 6),
(10552, NULL, 'PF17059', NULL, NULL, 'MgtA leader peptide', NULL, 'MGTL', NULL, NULL, NULL, 6),
(10553, NULL, 'PF11359', NULL, NULL, 'Glycoprotein UL132', NULL, 'gpUL132', NULL, NULL, NULL, 6),
(10554, NULL, 'PF11285', NULL, NULL, 'Protein of unknown function (DUF3086)', NULL, 'DUF3086', NULL, NULL, NULL, 6),
(10555, NULL, 'PF14350', NULL, NULL, 'Beta protein', NULL, 'Beta_protein', NULL, NULL, NULL, 6),
(10556, NULL, 'PF09613', NULL, NULL, 'Bacterial type III secretion protein (HrpB1_HrpK)', NULL, 'HrpB1_HrpK', NULL, NULL, NULL, 6),
(10557, NULL, 'PF07941', NULL, NULL, 'Potassium channel Kv1.4 tandem inactivation domain', NULL, 'K_channel_TID', NULL, NULL, NULL, 6),
(10558, NULL, 'PF07276', NULL, NULL, 'Apopolysialoglycoprotein (PSGP)', NULL, 'PSGP', NULL, NULL, NULL, 6),
(10559, NULL, 'PF08671', NULL, NULL, 'Anti-repressor SinI', NULL, 'SinI', NULL, NULL, NULL, 6),
(10560, NULL, 'PF05278', NULL, NULL, 'Arabidopsis phospholipase-like protein (PEARLI 4)', NULL, 'PEARLI-4', NULL, NULL, NULL, 6),
(10561, NULL, 'PF03613', NULL, NULL, 'PTS system mannose/fructose/sorbose family IID component', NULL, 'EIID-AGA', NULL, NULL, NULL, 6),
(10562, NULL, 'PF16656', NULL, NULL, 'Purple acid Phosphatase, N-terminal domain', NULL, 'Pur_ac_phosph_N', NULL, NULL, NULL, 6),
(10563, NULL, 'PF04454', NULL, NULL, 'Encapsulating protein for peroxidase', NULL, 'Linocin_M18', NULL, NULL, NULL, 6),
(10564, NULL, 'PF05162', NULL, NULL, 'Ribosomal protein L41', NULL, 'Ribosomal_L41', NULL, NULL, NULL, 6),
(10565, NULL, 'PF14164', NULL, NULL, 'YqzH-like protein', NULL, 'YqzH', NULL, NULL, NULL, 6),
(10566, NULL, 'PF18666', NULL, NULL, 'Carbohydrate-binding module 64', NULL, 'CBM64', NULL, NULL, NULL, 6),
(10567, NULL, 'PF00963', NULL, NULL, 'Cohesin domain', NULL, 'Cohesin', NULL, NULL, NULL, 6),
(10568, NULL, 'PF01755', NULL, NULL, 'Glycosyltransferase family 25 (LPS biosynthesis protein)', NULL, 'Glyco_transf_25', NULL, NULL, NULL, 6),
(10569, NULL, 'PF10714', NULL, NULL, 'Late embryogenesis abundant protein 18', NULL, 'LEA_6', NULL, NULL, NULL, 6),
(10570, NULL, 'PF15268', NULL, NULL, 'Dapper', NULL, 'Dapper', NULL, NULL, NULL, 6),
(10571, NULL, 'PF01707', NULL, NULL, 'Peptidase family C9', NULL, 'Peptidase_C9', NULL, NULL, NULL, 6),
(10572, NULL, 'PF13787', NULL, NULL, 'Protein of unknown function with HXXEE motif', NULL, 'HXXEE', NULL, NULL, NULL, 6),
(10573, NULL, 'PF04867', NULL, NULL, 'Protein of unknown function (DUF643)', NULL, 'DUF643', NULL, NULL, NULL, 6),
(10574, NULL, 'PF10429', NULL, NULL, 'Nuclear pore RNA shuttling protein Mtr2', NULL, 'Mtr2', NULL, NULL, NULL, 6),
(10575, NULL, 'PF15050', NULL, NULL, 'SCIMP protein', NULL, 'SCIMP', NULL, NULL, NULL, 6),
(10576, NULL, 'PF15490', NULL, NULL, 'Telomere-capping, CST complex subunit', NULL, 'Ten1_2', NULL, NULL, NULL, 6),
(10577, NULL, 'PF11728', NULL, NULL, 'Putative aromatic acid exporter C-terminal domain', NULL, 'ArAE_1_C', NULL, NULL, NULL, 6),
(10578, NULL, 'PF07937', NULL, NULL, 'Protein of unknown function (DUF1686)', NULL, 'DUF1686', NULL, NULL, NULL, 6),
(10579, NULL, 'PF01280', NULL, NULL, 'Ribosomal protein L19e', NULL, 'Ribosomal_L19e', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10580, NULL, 'PF16669', NULL, NULL, 'Tetratricopeptide repeat protein 5 OB fold domain', NULL, 'TTC5_OB', NULL, NULL, NULL, 6),
(10581, NULL, 'PF15722', NULL, NULL, 'FAM153 family', NULL, 'FAM153', NULL, NULL, NULL, 6),
(10582, NULL, 'PF15173', NULL, NULL, 'FAM180 family', NULL, 'FAM180', NULL, NULL, NULL, 6),
(10583, NULL, 'PF12949', NULL, NULL, 'HeH/LEM domain', NULL, 'HeH', NULL, NULL, NULL, 6),
(10584, NULL, 'PF12836', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_3', NULL, NULL, NULL, 6),
(10585, NULL, 'PF00899', NULL, NULL, 'ThiF family', NULL, 'ThiF', NULL, NULL, NULL, 6),
(10586, NULL, 'PF18323', NULL, NULL, 'Cop9 signalosome subunit 5 C-terminal domain', NULL, 'CSN5_C', NULL, NULL, NULL, 6),
(10587, NULL, 'PF08248', NULL, NULL, 'Tryptophyllin-3 skin active peptide', NULL, 'Tryp_FSAP', NULL, NULL, NULL, 6),
(10588, NULL, 'PF06513', NULL, NULL, 'Repeat of unknown function (DUF1103)', NULL, 'DUF1103', NULL, NULL, NULL, 6),
(10589, NULL, 'PF03230', NULL, NULL, 'Antirestriction protein', NULL, 'Antirestrict', NULL, NULL, NULL, 6),
(10590, NULL, 'PF10502', NULL, NULL, 'Signal peptidase, peptidase S26', NULL, 'Peptidase_S26', NULL, NULL, NULL, 6),
(10591, NULL, 'PF01390', NULL, NULL, 'SEA domain', NULL, 'SEA', NULL, NULL, NULL, 6),
(10592, NULL, 'PF00473', NULL, NULL, 'Corticotropin-releasing factor family', NULL, 'CRF', NULL, NULL, NULL, 6),
(10593, NULL, 'PF14699', NULL, NULL, 'N-terminal domain from the human glycogen debranching enzyme', NULL, 'hGDE_N', NULL, NULL, NULL, 6),
(10594, NULL, 'PF10946', NULL, NULL, 'Protein of unknown function DUF2625', NULL, 'DUF2625', NULL, NULL, NULL, 6),
(10595, NULL, 'PF03345', NULL, NULL, 'Oligosaccharyltransferase 48 kDa subunit beta', NULL, 'DDOST_48kD', NULL, NULL, NULL, 6),
(10596, NULL, 'PF08401', NULL, NULL, 'Domain of unknown function (DUF1738)', NULL, 'DUF1738', NULL, NULL, NULL, 6),
(10597, NULL, 'PF04310', NULL, NULL, 'MukB N-terminal', NULL, 'MukB', NULL, NULL, NULL, 6),
(10598, NULL, 'PF10295', NULL, NULL, 'Uncharacterised protein (DUF2406)', NULL, 'DUF2406', NULL, NULL, NULL, 6),
(10599, NULL, 'PF06670', NULL, NULL, 'Microneme protein Etmic-2', NULL, 'Etmic-2', NULL, NULL, NULL, 6),
(10600, NULL, 'PF04442', NULL, NULL, 'Cytochrome c oxidase assembly protein CtaG/Cox11', NULL, 'CtaG_Cox11', NULL, NULL, NULL, 6),
(10601, NULL, 'PF12459', NULL, NULL, 'D-Ala-teichoic acid biosynthesis protein', NULL, 'DUF3687', NULL, NULL, NULL, 6),
(10602, NULL, 'PF18249', NULL, NULL, 'Calcium binding protein SSO6904', NULL, 'Ca_bind_SSO6904', NULL, NULL, NULL, 6),
(10603, NULL, 'PF01355', NULL, NULL, 'High potential iron-sulfur protein', NULL, 'HIPIP', NULL, NULL, NULL, 6),
(10604, NULL, 'PF05119', NULL, NULL, 'Phage terminase, small subunit', NULL, 'Terminase_4', NULL, NULL, NULL, 6),
(10605, NULL, 'PF18143', NULL, NULL, 'HAD domain in Swiss Army Knife RNA repair proteins', NULL, 'HAD_SAK_2', NULL, NULL, NULL, 6),
(10606, NULL, 'PF18083', NULL, NULL, 'Proline utilization A N-terminal domain', NULL, 'PutA_N', NULL, NULL, NULL, 6),
(10607, NULL, 'PF06780', NULL, NULL, 'Erp protein C-terminus', NULL, 'Erp_C', NULL, NULL, NULL, 6),
(10608, NULL, 'PF03982', NULL, NULL, 'Diacylglycerol acyltransferase', NULL, 'DAGAT', NULL, NULL, NULL, 6),
(10609, NULL, 'PF03466', NULL, NULL, 'LysR substrate binding domain', NULL, 'LysR_substrate', NULL, NULL, NULL, 6),
(10610, NULL, 'PF05970', NULL, NULL, 'PIF1-like helicase', NULL, 'PIF1', NULL, NULL, NULL, 6),
(10611, NULL, 'PF17459', NULL, NULL, 'Family of unknown function (DUF5422)', NULL, 'DUF5422', NULL, NULL, NULL, 6),
(10612, NULL, 'PF10348', NULL, NULL, 'Domain of unknown function (DUF2427)', NULL, 'DUF2427', NULL, NULL, NULL, 6),
(10613, NULL, 'PF11034', NULL, NULL, 'Glucose-repressible protein Grg1', NULL, 'Grg1', NULL, NULL, NULL, 6),
(10614, NULL, 'PF18206', NULL, NULL, 'Porphyranase catalytic subdomain 1', NULL, 'Porphyrn_cat_1', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10615, NULL, 'PF03827', NULL, NULL, 'Orexin receptor type 2', NULL, 'Orexin_rec2', NULL, NULL, NULL, 6),
(10616, NULL, 'PF14250', NULL, NULL, 'AbrB-like transcriptional regulator', NULL, 'AbrB-like', NULL, NULL, NULL, 6),
(10617, NULL, 'PF14645', NULL, NULL, 'Chibby family', NULL, 'Chibby', NULL, NULL, NULL, 6),
(10618, NULL, 'PF07310', NULL, NULL, 'PAS domain', NULL, 'PAS_5', NULL, NULL, NULL, 6),
(10619, NULL, 'PF01064', NULL, NULL, 'Activin types I and II receptor domain', NULL, 'Activin_recp', NULL, NULL, NULL, 6),
(10620, NULL, 'PF16715', NULL, NULL, 'Cyclodipeptide synthase', NULL, 'CDPS', NULL, NULL, NULL, 6),
(10621, NULL, 'PF07733', NULL, NULL, 'Bacterial DNA polymerase III alpha NTPase domain', NULL, 'DNA_pol3_alpha', NULL, NULL, NULL, 6),
(10622, NULL, 'PF16529', NULL, NULL, 'WD40 region of Ge1, enhancer of mRNA-decapping protein', NULL, 'Ge1_WD40', NULL, NULL, NULL, 6),
(10623, NULL, 'PF02230', NULL, NULL, 'Phospholipase/Carboxylesterase', NULL, 'Abhydrolase_2', NULL, NULL, NULL, 6),
(10624, NULL, 'PF03319', NULL, NULL, 'Ethanolamine utilisation protein EutN/carboxysome', NULL, 'EutN_CcmL', NULL, NULL, NULL, 6),
(10625, NULL, 'PF12290', NULL, NULL, 'Protein of unknown function (DUF3802)', NULL, 'DUF3802', NULL, NULL, NULL, 6),
(10626, NULL, 'PF10118', NULL, NULL, 'Predicted metal-dependent hydrolase', NULL, 'Metal_hydrol', NULL, NULL, NULL, 6),
(10627, NULL, 'PF02556', NULL, NULL, 'Preprotein translocase subunit SecB', NULL, 'SecB', NULL, NULL, NULL, 6),
(10628, NULL, 'PF09169', NULL, NULL, 'BRCA2, helical', NULL, 'BRCA-2_helical', NULL, NULL, NULL, 6),
(10629, NULL, 'PF17807', NULL, NULL, 'Variant UBP zinc finger', NULL, 'zf-UBP_var', NULL, NULL, NULL, 6),
(10630, NULL, 'PF10302', NULL, NULL, 'DUF2407 ubiquitin-like domain', NULL, 'DUF2407', NULL, NULL, NULL, 6),
(10631, NULL, 'PF04707', NULL, NULL, 'PRELI-like family', NULL, 'PRELI', NULL, NULL, NULL, 6),
(10632, NULL, 'PF07670', NULL, NULL, 'Nucleoside recognition', NULL, 'Gate', NULL, NULL, NULL, 6),
(10633, NULL, 'PF16221', NULL, NULL, 'winged helix-turn-helix', NULL, 'HTH_47', NULL, NULL, NULL, 6),
(10634, NULL, 'PF11970', NULL, NULL, 'G protein-coupled glucose receptor regulating Gpa2 C-term', NULL, 'GPR_Gpa2_C', NULL, NULL, NULL, 6),
(10635, NULL, 'PF09979', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2213)', NULL, 'DUF2213', NULL, NULL, NULL, 6),
(10636, NULL, 'PF13663', NULL, NULL, 'Domain of unknown function (DUF4148)', NULL, 'DUF4148', NULL, NULL, NULL, 6),
(10637, NULL, 'PF19146', NULL, NULL, 'Family of unknown function (DUF5828)', NULL, 'DUF5828', NULL, NULL, NULL, 6),
(10638, NULL, 'PF09628', NULL, NULL, 'YvfG protein', NULL, 'YvfG', NULL, NULL, NULL, 6),
(10639, NULL, 'PF15384', NULL, NULL, 'PAXX, PAralog of XRCC4 and XLF, also called C9orf142', NULL, 'PAXX', NULL, NULL, NULL, 6),
(10640, NULL, 'PF04661', NULL, NULL, 'Poxvirus I3 ssDNA-binding protein', NULL, 'Pox_I3', NULL, NULL, NULL, 6),
(10641, NULL, 'PF01033', NULL, NULL, 'Somatomedin B domain', NULL, 'Somatomedin_B', NULL, NULL, NULL, 6),
(10642, NULL, 'PF09075', NULL, NULL, 'Heat-stable enterotoxin B, secretory', NULL, 'STb_secrete', NULL, NULL, NULL, 6),
(10643, NULL, 'PF18095', NULL, NULL, 'UPF0242 C-terminal PAS-like domain', NULL, 'PAS_12', NULL, NULL, NULL, 6),
(10644, NULL, 'PF16775', NULL, NULL, 'Target recognition domain of lytic exoenzyme', NULL, 'ZoocinA_TRD', NULL, NULL, NULL, 6),
(10645, NULL, 'PF08635', NULL, NULL, 'Putative oxidoreductase C terminal domain', NULL, 'ox_reductase_C', NULL, NULL, NULL, 6),
(10646, NULL, 'PF13130', NULL, NULL, 'Domain of unknown function (DUF3952)', NULL, 'DUF3952', NULL, NULL, NULL, 6),
(10647, NULL, 'PF10561', NULL, NULL, 'Uncharacterised protein family UPF0565', NULL, 'UPF0565', NULL, NULL, NULL, 6),
(10648, NULL, 'PF10820', NULL, NULL, 'Protein of unknown function (DUF2543)', NULL, 'DUF2543', NULL, NULL, NULL, 6),
(10649, NULL, 'PF07511', NULL, NULL, 'Protein of unknown function (DUF1525)', NULL, 'DUF1525', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10650, NULL, 'PF02944', NULL, NULL, 'BESS motif', NULL, 'BESS', NULL, NULL, NULL, 6),
(10651, NULL, 'PF01124', NULL, NULL, 'MAPEG family', NULL, 'MAPEG', NULL, NULL, NULL, 6),
(10652, NULL, 'PF17850', NULL, NULL, 'CysA C-terminal regulatory domain', NULL, 'CysA_C_terminal', NULL, NULL, NULL, 6),
(10653, NULL, 'PF18174', NULL, NULL, 'CCDC81-like prokaryotic HU domain 1', NULL, 'HU-CCDC81_bac_1', NULL, NULL, NULL, 6),
(10654, NULL, 'PF16969', NULL, NULL, 'RNA-binding signal recognition particle 68', NULL, 'SRP68', NULL, NULL, NULL, 6),
(10655, NULL, 'PF00858', NULL, NULL, 'Amiloride-sensitive sodium channel', NULL, 'ASC', NULL, NULL, NULL, 6),
(10656, NULL, 'PF16609', NULL, NULL, 'SH3-RhoGEF linking unstructured region', NULL, 'SH3-RhoG_link', NULL, NULL, NULL, 6),
(10657, NULL, 'PF05214', NULL, NULL, 'Baculovirus P33', NULL, 'Baculo_p33', NULL, NULL, NULL, 6),
(10658, NULL, 'PF00434', NULL, NULL, 'Glycoprotein VP7', NULL, 'VP7', NULL, NULL, NULL, 6),
(10659, NULL, 'PF12473', NULL, NULL, 'Kinesin protein', NULL, 'DUF3694', NULL, NULL, NULL, 6),
(10660, NULL, 'PF15000', NULL, NULL, 'Tumour suppressor candidate 2', NULL, 'TUSC2', NULL, NULL, NULL, 6),
(10661, NULL, 'PF02415', NULL, NULL, 'Chlamydia polymorphic membrane protein (Chlamydia_PMP) repeat', NULL, 'Chlam_PMP', NULL, NULL, NULL, 6),
(10662, NULL, 'PF17056', NULL, NULL, 'Killer toxin-resistance protein 1', NULL, 'KRE1', NULL, NULL, NULL, 6),
(10663, NULL, 'PF04984', NULL, NULL, 'Phage tail sheath protein subtilisin-like domain', NULL, 'Phage_sheath_1', NULL, NULL, NULL, 6),
(10664, NULL, 'PF05265', NULL, NULL, 'Protein of unknown function (DUF723)', NULL, 'DUF723', NULL, NULL, NULL, 6),
(10665, NULL, 'PF00751', NULL, NULL, 'DM DNA binding domain', NULL, 'DM', NULL, NULL, NULL, 6),
(10666, NULL, 'PF15576', NULL, NULL, 'Domain of unknown function (DUF4661)', NULL, 'DUF4661', NULL, NULL, NULL, 6),
(10667, NULL, 'PF07549', NULL, NULL, 'SecD/SecF GG Motif', NULL, 'Sec_GG', NULL, NULL, NULL, 6),
(10668, NULL, 'PF08118', NULL, NULL, 'Yeast mitochondrial distribution and morphology (MDM) proteins', NULL, 'MDM31_MDM32', NULL, NULL, NULL, 6),
(10669, NULL, 'PF16606', NULL, NULL, 'Unstructured conserved, between two C2H2-type zinc-fingers', NULL, 'zf-C2H2_assoc', NULL, NULL, NULL, 6),
(10670, NULL, 'PF06973', NULL, NULL, 'Domain of unknown function (DUF1297)', NULL, 'DUF1297', NULL, NULL, NULL, 6),
(10671, NULL, 'PF09366', NULL, NULL, 'Protein of unknown function (DUF1997)', NULL, 'DUF1997', NULL, NULL, NULL, 6),
(10672, NULL, 'PF02839', NULL, NULL, 'Carbohydrate binding domain', NULL, 'CBM_5_12', NULL, NULL, NULL, 6),
(10673, NULL, 'PF13611', NULL, NULL, 'Serine peptidase of plant viral polyprotein, P1', NULL, 'Peptidase_S76', NULL, NULL, NULL, 6),
(10674, NULL, 'PF03140', NULL, NULL, 'Plant protein of unknown function', NULL, 'DUF247', NULL, NULL, NULL, 6),
(10675, NULL, 'PF15339', NULL, NULL, 'Acrosome formation-associated factor', NULL, 'Afaf', NULL, NULL, NULL, 6),
(10676, NULL, 'PF14990', NULL, NULL, 'Domain of unknown function (DUF4516)', NULL, 'DUF4516', NULL, NULL, NULL, 6),
(10677, NULL, 'PF04452', NULL, NULL, 'RNA methyltransferase', NULL, 'Methyltrans_RNA', NULL, NULL, NULL, 6),
(10678, NULL, 'PF16036', NULL, NULL, 'Chalcone isomerase-like', NULL, 'Chalcone_3', NULL, NULL, NULL, 6),
(10679, NULL, 'PF12336', NULL, NULL, 'SOX transcription factor', NULL, 'SOXp', NULL, NULL, NULL, 6),
(10680, NULL, 'PF01008', NULL, NULL, 'Initiation factor 2 subunit family', NULL, 'IF-2B', NULL, NULL, NULL, 6),
(10681, NULL, 'PF07315', NULL, NULL, 'Protein of unknown function (DUF1462)', NULL, 'DUF1462', NULL, NULL, NULL, 6),
(10682, NULL, 'PF09897', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2124)', NULL, 'DUF2124', NULL, NULL, NULL, 6),
(10683, NULL, 'PF06686', NULL, NULL, 'Stage III sporulation protein AC/AD protein family', NULL, 'SpoIIIAC', NULL, NULL, NULL, 6),
(10684, NULL, 'PF15418', NULL, NULL, 'Domain of unknown function (DUF4625)', NULL, 'DUF4625', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10685, NULL, 'PF07946', NULL, NULL, 'Protein of unknown function (DUF1682)', NULL, 'DUF1682', NULL, NULL, NULL, 6),
(10686, NULL, 'PF11097', NULL, NULL, 'Protein of unknown function (DUF2883)', NULL, 'DUF2883', NULL, NULL, NULL, 6),
(10687, NULL, 'PF12039', NULL, NULL, 'Protein of unknown function (DUF3525)', NULL, 'DUF3525', NULL, NULL, NULL, 6),
(10688, NULL, 'PF08270', NULL, NULL, 'M protein trans-acting positive regulator (MGA) PRD domain', NULL, 'PRD_Mga', NULL, NULL, NULL, 6),
(10689, NULL, 'PF12862', NULL, NULL, 'Anaphase-promoting complex subunit 5', NULL, 'ANAPC5', NULL, NULL, NULL, 6),
(10690, NULL, 'PF07569', NULL, NULL, 'TUP1-like enhancer of split', NULL, 'Hira', NULL, NULL, NULL, 6),
(10691, NULL, 'PF07418', NULL, NULL, 'Acidic phosphoprotein precursor PCEMA1', NULL, 'PCEMA1', NULL, NULL, NULL, 6),
(10692, NULL, 'PF18218', NULL, NULL, 'Lantibiotic immunity protein Spa1 C-terminal domain', NULL, 'Spa1_C', NULL, NULL, NULL, 6),
(10693, NULL, 'PF11311', NULL, NULL, 'Protein of unknown function (DUF3114)', NULL, 'DUF3114', NULL, NULL, NULL, 6),
(10694, NULL, 'PF00003', NULL, NULL, '7 transmembrane sweet-taste receptor of 3 GCPR', NULL, '7tm_3', NULL, NULL, NULL, 6),
(10695, NULL, 'PF19197', NULL, NULL, 'Family of unknown function (DUF5872)', NULL, 'DUF5872', NULL, NULL, NULL, 6),
(10696, NULL, 'PF04175', NULL, NULL, 'Protein of unknown function (DUF406)', NULL, 'DUF406', NULL, NULL, NULL, 6),
(10697, NULL, 'PF07843', NULL, NULL, 'Protein of unknown function (DUF1634)', NULL, 'DUF1634', NULL, NULL, NULL, 6),
(10698, NULL, 'PF10515', NULL, NULL, 'Beta-amyloid precursor protein C-terminus', NULL, 'APP_amyloid', NULL, NULL, NULL, 6),
(10699, NULL, 'PF07840', NULL, NULL, 'FadR C-terminal domain', NULL, 'FadR_C', NULL, NULL, NULL, 6),
(10700, NULL, 'PF08532', NULL, NULL, 'Beta-galactosidase trimerisation domain', NULL, 'Glyco_hydro_42M', NULL, NULL, NULL, 6),
(10701, NULL, 'PF04950', NULL, NULL, '40S ribosome biogenesis protein Tsr1 and BMS1 C-terminal', NULL, 'RIBIOP_C', NULL, NULL, NULL, 6),
(10702, NULL, 'PF07005', NULL, NULL, 'Sugar-binding N-terminal domain', NULL, 'SBD_N', NULL, NULL, NULL, 6),
(10703, NULL, 'PF01412', NULL, NULL, 'Putative GTPase activating protein for Arf', NULL, 'ArfGap', NULL, NULL, NULL, 6),
(10704, NULL, 'PF07032', NULL, NULL, 'Protein of unknown function (DUF1322)', NULL, 'DUF1322', NULL, NULL, NULL, 6),
(10705, NULL, 'PF10829', NULL, NULL, 'Protein of unknown function (DUF2554)', NULL, 'DUF2554', NULL, NULL, NULL, 6),
(10706, NULL, 'PF01103', NULL, NULL, 'Omp85 superfamily domain', NULL, 'Omp85', NULL, NULL, NULL, 6),
(10707, NULL, 'PF08923', NULL, NULL, 'Mitogen-activated protein kinase kinase 1 interacting', NULL, 'MAPKK1_Int', NULL, NULL, NULL, 6),
(10708, NULL, 'PF17920', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_16', NULL, NULL, NULL, 6),
(10709, NULL, 'PF01059', NULL, NULL, 'NADH-ubiquinone oxidoreductase chain 4, amino terminus', NULL, 'Oxidored_q5_N', NULL, NULL, NULL, 6),
(10710, NULL, 'PF08018', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial_1', NULL, NULL, NULL, 6),
(10711, NULL, 'PF17805', NULL, NULL, 'AsnC-like ligand binding domain', NULL, 'AsnC_trans_reg2', NULL, NULL, NULL, 6),
(10712, NULL, 'PF02713', NULL, NULL, 'Domain of unknown function DUF220', NULL, 'DUF220', NULL, NULL, NULL, 6),
(10713, NULL, 'PF06557', NULL, NULL, 'Protein of unknown function (DUF1122)', NULL, 'DUF1122', NULL, NULL, NULL, 6),
(10714, NULL, 'PF17031', NULL, NULL, 'Domain of unknown function (DUF5101)', NULL, 'DUF5101', NULL, NULL, NULL, 6),
(10715, NULL, 'PF08621', NULL, NULL, 'RPAP1-like, N-terminal', NULL, 'RPAP1_N', NULL, NULL, NULL, 6),
(10716, NULL, 'PF10421', NULL, NULL, '2''-5''-oligoadenylate synthetase 1, domain 2, C-terminus', NULL, 'OAS1_C', NULL, NULL, NULL, 6),
(10717, NULL, 'PF19176', NULL, NULL, 'Family of unknown function (DUF5858)', NULL, 'DUF5858', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10718, NULL, 'PF03130', NULL, NULL, 'PBS lyase HEAT-like repeat', NULL, 'HEAT_PBS', NULL, NULL, NULL, 6),
(10719, NULL, 'PF13189', NULL, NULL, 'Cytidylate kinase-like family', NULL, 'Cytidylate_kin2', NULL, NULL, NULL, 6),
(10720, NULL, 'PF03909', NULL, NULL, 'BSD domain', NULL, 'BSD', NULL, NULL, NULL, 6),
(10721, NULL, 'PF13120', NULL, NULL, 'Domain of unknown function (DUF3974)', NULL, 'DUF3974', NULL, NULL, NULL, 6),
(10722, NULL, 'PF06949', NULL, NULL, 'Protein of unknown function (DUF1292)', NULL, 'DUF1292', NULL, NULL, NULL, 6),
(10723, NULL, 'PF18946', NULL, NULL, 'GpV Apex motif', NULL, 'Apex', NULL, NULL, NULL, 6),
(10724, NULL, 'PF01149', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase N-terminal domain', NULL, 'Fapy_DNA_glyco', NULL, NULL, NULL, 6),
(10725, NULL, 'PF04129', NULL, NULL, 'Vps52 / Sac2 family', NULL, 'Vps52', NULL, NULL, NULL, 6),
(10726, NULL, 'PF10774', NULL, NULL, 'Domain of unknown function (DUF4226)', NULL, 'DUF4226', NULL, NULL, NULL, 6),
(10727, NULL, 'PF18529', NULL, NULL, 'Mitochondrial membrane-anchored proteins', NULL, 'MIX', NULL, NULL, NULL, 6),
(10728, NULL, 'PF05918', NULL, NULL, 'Apoptosis inhibitory protein 5 (API5)', NULL, 'API5', NULL, NULL, NULL, 6),
(10729, NULL, 'PF15496', NULL, NULL, 'Domain of unknown function (DUF4646)', NULL, 'DUF4646', NULL, NULL, NULL, 6),
(10730, NULL, 'PF08771', NULL, NULL, 'FKBP12-rapamycin binding domain', NULL, 'FRB_dom', NULL, NULL, NULL, 6),
(10731, NULL, 'PF08709', NULL, NULL, 'Inositol 1,4,5-trisphosphate/ryanodine receptor', NULL, 'Ins145_P3_rec', NULL, NULL, NULL, 6),
(10732, NULL, 'PF16687', NULL, NULL, 'beta-propeller of ELYS nucleoporin', NULL, 'ELYS-bb', NULL, NULL, NULL, 6),
(10733, NULL, 'PF02002', NULL, NULL, 'TFIIE alpha subunit', NULL, 'TFIIE_alpha', NULL, NULL, NULL, 6),
(10734, NULL, 'PF01466', NULL, NULL, 'Skp1 family, dimerisation domain', NULL, 'Skp1', NULL, NULL, NULL, 6),
(10735, NULL, 'PF12036', NULL, NULL, 'Protein of unknown function (DUF3522)', NULL, 'DUF3522', NULL, NULL, NULL, 6),
(10736, NULL, 'PF14237', NULL, NULL, 'GYF domain 2', NULL, 'GYF_2', NULL, NULL, NULL, 6),
(10737, NULL, 'PF07124', NULL, NULL, 'Phytoreovirus outer capsid protein P8', NULL, 'Phytoreo_P8', NULL, NULL, NULL, 6),
(10738, NULL, 'PF10371', NULL, NULL, 'Domain of unknown function', NULL, 'EKR', NULL, NULL, NULL, 6),
(10739, NULL, 'PF16888', NULL, NULL, 'Domain of unknown function (DUF5082)', NULL, 'DUF5082', NULL, NULL, NULL, 6),
(10740, NULL, 'PF09225', NULL, NULL, 'Restriction endonuclease PvuII', NULL, 'Endonuc-PvuII', NULL, NULL, NULL, 6),
(10741, NULL, 'PF00196', NULL, NULL, 'Bacterial regulatory proteins, luxR family', NULL, 'GerE', NULL, NULL, NULL, 6),
(10742, NULL, 'PF19113', NULL, NULL, 'Family of unknown function (DUF5799)', NULL, 'DUF5799', NULL, NULL, NULL, 6),
(10743, NULL, 'PF18611', NULL, NULL, 'IL-3 receptor alpha chain N-terminal domain', NULL, 'IL3Ra_N', NULL, NULL, NULL, 6),
(10744, NULL, 'PF15272', NULL, NULL, 'Spindle pole body component BBP1, C-terminal', NULL, 'BBP1_C', NULL, NULL, NULL, 6),
(10745, NULL, 'PF05727', NULL, NULL, 'Uncharacterised protein family (UPF0228)', NULL, 'UPF0228', NULL, NULL, NULL, 6),
(10746, NULL, 'PF00389', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, catalytic domain', NULL, '2-Hacid_dh', NULL, NULL, NULL, 6),
(10747, NULL, 'PF04957', NULL, NULL, 'Ribosome modulation factor', NULL, 'RMF', NULL, NULL, NULL, 6),
(10748, NULL, 'PF07376', NULL, NULL, 'Prosystemin', NULL, 'Prosystemin', NULL, NULL, NULL, 6),
(10749, NULL, 'PF00957', NULL, NULL, 'Synaptobrevin', NULL, 'Synaptobrevin', NULL, NULL, NULL, 6),
(10750, NULL, 'PF04301', NULL, NULL, 'Protein of unknown function (DUF452)', NULL, 'DUF452', NULL, NULL, NULL, 6),
(10751, NULL, 'PF10309', NULL, NULL, 'Nuclear cap-binding protein subunit 3', NULL, 'NCBP3', NULL, NULL, NULL, 6),
(10752, NULL, 'PF16037', NULL, NULL, 'Domain of unknown function (DUF4790)', NULL, 'DUF4790', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10753, NULL, 'PF13441', NULL, NULL, 'YMGG-like Gly-zipper', NULL, 'Gly-zipper_YMGG', NULL, NULL, NULL, 6),
(10754, NULL, 'PF09080', NULL, NULL, 'K cyclin, C terminal', NULL, 'K-cyclin_vir_C', NULL, NULL, NULL, 6),
(10755, NULL, 'PF13448', NULL, NULL, 'Domain of unknown function (DUF4114)', NULL, 'DUF4114', NULL, NULL, NULL, 6),
(10756, NULL, 'PF15879', NULL, NULL, 'NADH-ubiquinone oxidoreductase MWFE subunit', NULL, 'MWFE', NULL, NULL, NULL, 6),
(10757, NULL, 'PF05884', NULL, NULL, 'Interactor of ZYG-11', NULL, 'ZYG-11_interact', NULL, NULL, NULL, 6),
(10758, NULL, 'PF07215', NULL, NULL, 'Protein of unknown function (DUF1419)', NULL, 'DUF1419', NULL, NULL, NULL, 6),
(10759, NULL, 'PF03207', NULL, NULL, 'Borrelia outer surface protein D (OspD)', NULL, 'OspD', NULL, NULL, NULL, 6),
(10760, NULL, 'PF04639', NULL, NULL, 'Baculoviral E56 protein, specific to ODV envelope', NULL, 'Baculo_E56', NULL, NULL, NULL, 6),
(10761, NULL, 'PF04689', NULL, NULL, 'DNA binding protein S1FA', NULL, 'S1FA', NULL, NULL, NULL, 6),
(10762, NULL, 'PF06795', NULL, NULL, 'Erythrovirus X protein', NULL, 'Erythrovirus_X', NULL, NULL, NULL, 6),
(10763, NULL, 'PF11037', NULL, NULL, 'Insulin-resistance promoting peptide in skeletal muscle', NULL, 'Musclin', NULL, NULL, NULL, 6),
(10764, NULL, 'PF17064', NULL, NULL, 'Sleepless protein', NULL, 'QVR', NULL, NULL, NULL, 6),
(10765, NULL, 'PF00491', NULL, NULL, 'Arginase family', NULL, 'Arginase', NULL, NULL, NULL, 6),
(10766, NULL, 'PF06818', NULL, NULL, 'Fez1', NULL, 'Fez1', NULL, NULL, NULL, 6),
(10767, NULL, 'PF13997', NULL, NULL, 'YqjK-like protein', NULL, 'YqjK', NULL, NULL, NULL, 6),
(10768, NULL, 'PF06787', NULL, NULL, 'Uncharacterised protein family (UPF0254)', NULL, 'UPF0254', NULL, NULL, NULL, 6),
(10769, NULL, 'PF00514', NULL, NULL, 'Armadillo/beta-catenin-like repeat', NULL, 'Arm', NULL, NULL, NULL, 6),
(10770, NULL, 'PF05532', NULL, NULL, 'CsbD-like', NULL, 'CsbD', NULL, NULL, NULL, 6),
(10771, NULL, 'PF12802', NULL, NULL, 'MarR family', NULL, 'MarR_2', NULL, NULL, NULL, 6),
(10772, NULL, 'PF18528', NULL, NULL, 'RNA editing 3'' terminal uridylyl transferase 2 middle domain', NULL, 'Ret2_MD', NULL, NULL, NULL, 6),
(10773, NULL, 'PF12220', NULL, NULL, 'U1 small nuclear ribonucleoprotein of 70kDa MW N terminal', NULL, 'U1snRNP70_N', NULL, NULL, NULL, 6),
(10774, NULL, 'PF02926', NULL, NULL, 'THUMP domain', NULL, 'THUMP', NULL, NULL, NULL, 6),
(10775, NULL, 'PF01810', NULL, NULL, 'LysE type translocator', NULL, 'LysE', NULL, NULL, NULL, 6),
(10776, NULL, 'PF04889', NULL, NULL, 'Cwf15/Cwc15 cell cycle control protein', NULL, 'Cwf_Cwc_15', NULL, NULL, NULL, 6),
(10777, NULL, 'PF09139', NULL, NULL, 'Phosphatidate cytidylyltransferase, mitochondrial', NULL, 'Tam41_Mmp37', NULL, NULL, NULL, 6),
(10778, NULL, 'PF04066', NULL, NULL, 'Multiple resistance and pH regulation protein F (MrpF / PhaF)', NULL, 'MrpF_PhaF', NULL, NULL, NULL, 6),
(10779, NULL, 'PF08839', NULL, NULL, 'DNA replication factor CDT1 like', NULL, 'CDT1', NULL, NULL, NULL, 6),
(10780, NULL, 'PF11343', NULL, NULL, 'Protein of unknown function (DUF3145)', NULL, 'DUF3145', NULL, NULL, NULL, 6),
(10781, NULL, 'PF00848', NULL, NULL, 'Ring hydroxylating alpha subunit (catalytic domain)', NULL, 'Ring_hydroxyl_A', NULL, NULL, NULL, 6),
(10782, NULL, 'PF14772', NULL, NULL, 'Sperm tail', NULL, 'NYD-SP28', NULL, NULL, NULL, 6),
(10783, NULL, 'PF10938', NULL, NULL, 'YfdX protein', NULL, 'YfdX', NULL, NULL, NULL, 6),
(10784, NULL, 'PF11833', NULL, NULL, 'Protein CHAPERONE-LIKE PROTEIN OF POR1-like', NULL, 'CPP1-like', NULL, NULL, NULL, 6),
(10785, NULL, 'PF13412', NULL, NULL, 'Winged helix-turn-helix DNA-binding', NULL, 'HTH_24', NULL, NULL, NULL, 6),
(10786, NULL, 'PF01561', NULL, NULL, 'Hantavirus/Nairovirus glycoprotein G2', NULL, 'Hanta_G2', NULL, NULL, NULL, 6),
(10787, NULL, 'PF16381', NULL, NULL, 'Coatomer subunit gamma-1 C-terminal appendage platform', NULL, 'Coatomer_g_Cpla', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10788, NULL, 'PF04621', NULL, NULL, 'PEA3 subfamily ETS-domain transcription factor N terminal domain', NULL, 'ETS_PEA3_N', NULL, NULL, NULL, 6),
(10789, NULL, 'PF02132', NULL, NULL, 'RecR protein', NULL, 'RecR', NULL, NULL, NULL, 6),
(10790, NULL, 'PF14285', NULL, NULL, 'Domain of unknown function (DUF4367)', NULL, 'DUF4367', NULL, NULL, NULL, 6),
(10791, NULL, 'PF04628', NULL, NULL, 'Sedlin, N-terminal conserved region', NULL, 'Sedlin_N', NULL, NULL, NULL, 6),
(10792, NULL, 'PF03415', NULL, NULL, 'Clostripain family', NULL, 'Peptidase_C11', NULL, NULL, NULL, 6),
(10793, NULL, 'PF09664', NULL, NULL, 'Protein of unknown function C-terminus (DUF2399)', NULL, 'DUF2399', NULL, NULL, NULL, 6),
(10794, NULL, 'PF08606', NULL, NULL, 'Prp19/Pso4-like', NULL, 'Prp19', NULL, NULL, NULL, 6),
(10795, NULL, 'PF17782', NULL, NULL, 'DprA winged helix domain', NULL, 'DprA_WH', NULL, NULL, NULL, 6),
(10796, NULL, 'PF16765', NULL, NULL, 'Pesticin immunity protein', NULL, 'Pim', NULL, NULL, NULL, 6),
(10797, NULL, 'PF09438', NULL, NULL, 'Domain of unknown function (DUF2017)', NULL, 'DUF2017', NULL, NULL, NULL, 6),
(10798, NULL, 'PF17083', NULL, NULL, 'Nucleolar protein Swm2', NULL, 'Swm2', NULL, NULL, NULL, 6),
(10799, NULL, 'PF00358', NULL, NULL, 'phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 1', NULL, 'PTS_EIIA_1', NULL, NULL, NULL, 6),
(10800, NULL, 'PF07632', NULL, NULL, 'Protein of unknown function (DUF1593)', NULL, 'DUF1593', NULL, NULL, NULL, 6),
(10801, NULL, 'PF16871', NULL, NULL, 'Domain of unknown function (DUF5077)', NULL, 'DUF5077', NULL, NULL, NULL, 6),
(10802, NULL, 'PF00814', NULL, NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase', NULL, 'TsaD', NULL, NULL, NULL, 6),
(10803, NULL, 'PF18847', NULL, NULL, 'Large polyvalent protein associated domain 29', NULL, 'LPD29', NULL, NULL, NULL, 6),
(10804, NULL, 'PF15151', NULL, NULL, 'Response gene to complement 32 protein family', NULL, 'RGCC', NULL, NULL, NULL, 6),
(10805, NULL, 'PF05045', NULL, NULL, 'Rhamnan synthesis protein F', NULL, 'RgpF', NULL, NULL, NULL, 6),
(10806, NULL, 'PF01742', NULL, NULL, 'Clostridial neurotoxin zinc protease', NULL, 'Peptidase_M27', NULL, NULL, NULL, 6),
(10807, NULL, 'PF07575', NULL, NULL, 'Nup85 Nucleoporin', NULL, 'Nucleopor_Nup85', NULL, NULL, NULL, 6),
(10808, NULL, 'PF03418', NULL, NULL, 'Germination protease', NULL, 'Peptidase_A25', NULL, NULL, NULL, 6),
(10809, NULL, 'PF16526', NULL, NULL, 'C-terminal leucine zipper domain of cyclic nucleotide-gated channels', NULL, 'CLZ', NULL, NULL, NULL, 6),
(10810, NULL, 'PF07193', NULL, NULL, 'Protein of unknown function (DUF1408)', NULL, 'DUF1408', NULL, NULL, NULL, 6),
(10811, NULL, 'PF11294', NULL, NULL, 'Protein of unknown function (DUF3095)', NULL, 'DUF3095', NULL, NULL, NULL, 6),
(10812, NULL, 'PF01351', NULL, NULL, 'Ribonuclease HII', NULL, 'RNase_HII', NULL, NULL, NULL, 6),
(10813, NULL, 'PF17762', NULL, NULL, 'HTH domain found in ParB protein', NULL, 'HTH_ParB', NULL, NULL, NULL, 6),
(10814, NULL, 'PF16176', NULL, NULL, 'T-box transcription factor-associated', NULL, 'T-box_assoc', NULL, NULL, NULL, 6),
(10815, NULL, 'PF07940', NULL, NULL, 'Heparinase II/III-like protein', NULL, 'Hepar_II_III', NULL, NULL, NULL, 6),
(10816, NULL, 'PF04272', NULL, NULL, 'Phospholamban', NULL, 'Phospholamban', NULL, NULL, NULL, 6),
(10817, NULL, 'PF11477', NULL, NULL, 'Sialyltransferase PMO188', NULL, 'PM0188', NULL, NULL, NULL, 6),
(10818, NULL, 'PF06932', NULL, NULL, 'Protein of unknown function (DUF1283)', NULL, 'DUF1283', NULL, NULL, NULL, 6),
(10819, NULL, 'PF12084', NULL, NULL, 'Protein of unknown function (DUF3561)', NULL, 'DUF3561', NULL, NULL, NULL, 6),
(10820, NULL, 'PF07068', NULL, NULL, 'Major capsid protein Gp23', NULL, 'Gp23', NULL, NULL, NULL, 6),
(10821, NULL, 'PF17429', NULL, NULL, 'Gene product 70', NULL, 'GP70', NULL, NULL, NULL, 6),
(10822, NULL, 'PF18895', NULL, NULL, 'Type IV secretion system pilin', NULL, 'T4SS_pilin', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10823, NULL, 'PF02127', NULL, NULL, 'Aminopeptidase I zinc metalloprotease (M18)', NULL, 'Peptidase_M18', NULL, NULL, NULL, 6),
(10824, NULL, 'PF15430', NULL, NULL, 'Single domain von Willebrand factor type C', NULL, 'SVWC', NULL, NULL, NULL, 6),
(10825, NULL, 'PF16386', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4995', NULL, NULL, NULL, 6),
(10826, NULL, 'PF05132', NULL, NULL, 'RNA polymerase III RPC4', NULL, 'RNA_pol_Rpc4', NULL, NULL, NULL, 6),
(10827, NULL, 'PF03144', NULL, NULL, 'Elongation factor Tu domain 2', NULL, 'GTP_EFTU_D2', NULL, NULL, NULL, 6),
(10828, NULL, 'PF14307', NULL, NULL, 'Glycosyltransferase WbsX', NULL, 'Glyco_tran_WbsX', NULL, NULL, NULL, 6),
(10829, NULL, 'PF17266', NULL, NULL, 'Family of unknown function (DUF5332)', NULL, 'DUF5332', NULL, NULL, NULL, 6),
(10830, NULL, 'PF09692', NULL, NULL, 'Argonaute siRNA chaperone (ARC) complex subunit Arb1', NULL, 'Arb1', NULL, NULL, NULL, 6),
(10831, NULL, 'PF10709', NULL, NULL, 'Protein of unknown function (DUF2511)', NULL, 'DUF2511', NULL, NULL, NULL, 6),
(10832, NULL, 'PF00571', NULL, NULL, 'CBS domain', NULL, 'CBS', NULL, NULL, NULL, 6),
(10833, NULL, 'PF11665', NULL, NULL, 'Protein of unknown function (DUF3265)', NULL, 'DUF3265', NULL, NULL, NULL, 6),
(10834, NULL, 'PF07473', NULL, NULL, 'Spasmodic peptide gm9a; conotoxin from Conus species', NULL, 'Toxin_11', NULL, NULL, NULL, 6),
(10835, NULL, 'PF16234', NULL, NULL, 'Domain of unknown function (DUF4892)', NULL, 'DUF4892', NULL, NULL, NULL, 6),
(10836, NULL, 'PF16817', NULL, NULL, 'Domain of unknown function (DUF5073)', NULL, 'DUF5073', NULL, NULL, NULL, 6),
(10837, NULL, 'PF17510', NULL, NULL, 'Gene product 44', NULL, 'GP44', NULL, NULL, NULL, 6),
(10838, NULL, 'PF10718', NULL, NULL, 'Hypothetical chloroplast protein Ycf34', NULL, 'Ycf34', NULL, NULL, NULL, 6),
(10839, NULL, 'PF17987', NULL, NULL, 'Phosphoethanolamine N-methyltransferase 2 N-terminal', NULL, 'PMT2_N', NULL, NULL, NULL, 6),
(10840, NULL, 'PF17375', NULL, NULL, 'Family of unknown function (DUF5397)', NULL, 'DUF5397', NULL, NULL, NULL, 6),
(10841, NULL, 'PF03839', NULL, NULL, 'Translocation protein Sec62', NULL, 'Sec62', NULL, NULL, NULL, 6),
(10842, NULL, 'PF07382', NULL, NULL, 'Histone H1-like nucleoprotein HC2', NULL, 'HC2', NULL, NULL, NULL, 6),
(10843, NULL, 'PF17774', NULL, NULL, 'Putative RNA-binding domain in YlmH', NULL, 'YlmH_RBD', NULL, NULL, NULL, 6),
(10844, NULL, 'PF15796', NULL, NULL, 'KELK-motif containing domain of MRCK Ser/Thr protein kinase', NULL, 'KELK', NULL, NULL, NULL, 6),
(10845, NULL, 'PF15236', NULL, NULL, 'Coiled-coil domain-containing protein 66', NULL, 'CCDC66', NULL, NULL, NULL, 6),
(10846, NULL, 'PF01439', NULL, NULL, 'Metallothionein', NULL, 'Metallothio_2', NULL, NULL, NULL, 6),
(10847, NULL, 'PF03873', NULL, NULL, 'Anti sigma-E protein RseA, C-terminal domain', NULL, 'RseA_C', NULL, NULL, NULL, 6),
(10848, NULL, 'PF01708', NULL, NULL, 'Geminivirus putative movement protein', NULL, 'Gemini_mov', NULL, NULL, NULL, 6),
(10849, NULL, 'PF11696', NULL, NULL, 'Protein of unknown function (DUF3292)', NULL, 'DUF3292', NULL, NULL, NULL, 6),
(10850, NULL, 'PF04571', NULL, NULL, 'lipin, N-terminal conserved region', NULL, 'Lipin_N', NULL, NULL, NULL, 6),
(10851, NULL, 'PF12903', NULL, NULL, 'Protein of unknown function (DUF3830)', NULL, 'DUF3830', NULL, NULL, NULL, 6),
(10852, NULL, 'PF10071', NULL, NULL, 'Zn-ribbon-containing, possibly nucleic-acid-binding protein (DUF2310)', NULL, 'DUF2310', NULL, NULL, NULL, 6),
(10853, NULL, 'PF01350', NULL, NULL, 'Flavivirus non-structural protein NS4A', NULL, 'Flavi_NS4A', NULL, NULL, NULL, 6),
(10854, NULL, 'PF12771', NULL, NULL, 'Starch-binding associating with outer membrane', NULL, 'SusD-like_2', NULL, NULL, NULL, 6),
(10855, NULL, 'PF00147', NULL, NULL, 'Fibrinogen beta and gamma chains, C-terminal globular domain', NULL, 'Fibrinogen_C', NULL, NULL, NULL, 6),
(10856, NULL, 'PF06358', NULL, NULL, 'Protein of unknown function (DUF1065)', NULL, 'DUF1065', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10857, NULL, 'PF12423', NULL, NULL, 'Kinesin protein 1B', NULL, 'KIF1B', NULL, NULL, NULL, 6),
(10858, NULL, 'PF13614', NULL, NULL, 'AAA domain', NULL, 'AAA_31', NULL, NULL, NULL, 6),
(10859, NULL, 'PF06180', NULL, NULL, 'Cobalt chelatase (CbiK)', NULL, 'CbiK', NULL, NULL, NULL, 6),
(10860, NULL, 'PF09618', NULL, NULL, 'CRISPR-associated protein (Cas_Csy4)', NULL, 'Cas_Csy4', NULL, NULL, NULL, 6),
(10861, NULL, 'PF05513', NULL, NULL, 'TraA', NULL, 'TraA', NULL, NULL, NULL, 6),
(10862, NULL, 'PF01629', NULL, NULL, 'Domain of unknown function DUF22', NULL, 'DUF22', NULL, NULL, NULL, 6),
(10863, NULL, 'PF11304', NULL, NULL, 'Protein of unknown function (DUF3106)', NULL, 'DUF3106', NULL, NULL, NULL, 6),
(10864, NULL, 'PF12878', NULL, NULL, 'SICA extracellular beta domain', NULL, 'SICA_beta', NULL, NULL, NULL, 6),
(10865, NULL, 'PF06147', NULL, NULL, 'Protein of unknown function (DUF968)', NULL, 'DUF968', NULL, NULL, NULL, 6),
(10866, NULL, 'PF01575', NULL, NULL, 'MaoC like domain', NULL, 'MaoC_dehydratas', NULL, NULL, NULL, 6),
(10867, NULL, 'PF11895', NULL, NULL, 'Fungal peroxidase extension region', NULL, 'Peroxidase_ext', NULL, NULL, NULL, 6),
(10868, NULL, 'PF18319', NULL, NULL, 'PriA DNA helicase Cys-rich region (CRR) domain', NULL, 'PriA_CRR', NULL, NULL, NULL, 6),
(10869, NULL, 'PF12009', NULL, NULL, 'Telomerase ribonucleoprotein complex - RNA binding domain', NULL, 'Telomerase_RBD', NULL, NULL, NULL, 6),
(10870, NULL, 'PF10779', NULL, NULL, 'Haemolysin XhlA', NULL, 'XhlA', NULL, NULL, NULL, 6),
(10871, NULL, 'PF12310', NULL, NULL, 'Transcription factor protein N terminal', NULL, 'Elf-1_N', NULL, NULL, NULL, 6),
(10872, NULL, 'PF01501', NULL, NULL, 'Glycosyl transferase family 8', NULL, 'Glyco_transf_8', NULL, NULL, NULL, 6),
(10873, NULL, 'PF16696', NULL, NULL, 'Zinc finger FYVE domain-containing protein 21 C-terminus', NULL, 'ZFYVE21_C', NULL, NULL, NULL, 6),
(10874, NULL, 'PF03657', NULL, NULL, 'UPF0113 PUA domain', NULL, 'UPF0113', NULL, NULL, NULL, 6),
(10875, NULL, 'PF02649', NULL, NULL, 'Type I GTP cyclohydrolase folE2', NULL, 'GCHY-1', NULL, NULL, NULL, 6),
(10876, NULL, 'PF04127', NULL, NULL, 'DNA / pantothenate metabolism flavoprotein', NULL, 'DFP', NULL, NULL, NULL, 6),
(10877, NULL, 'PF01977', NULL, NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase', NULL, 'UbiD', NULL, NULL, NULL, 6),
(10878, NULL, 'PF18931', NULL, NULL, 'Domain of unknown function (DUF5680)', NULL, 'DUF5680', NULL, NULL, NULL, 6),
(10879, NULL, 'PF18748', NULL, NULL, 'P-loop Nucleotide Kinase1', NULL, 'Ploopntkinase1', NULL, NULL, NULL, 6),
(10880, NULL, 'PF17005', NULL, NULL, 'WD40-like domain', NULL, 'WD40_like', NULL, NULL, NULL, 6),
(10881, NULL, 'PF04011', NULL, NULL, 'LemA family', NULL, 'LemA', NULL, NULL, NULL, 6),
(10882, NULL, 'PF06251', NULL, NULL, 'Capsule biosynthesis GfcC', NULL, 'Caps_synth_GfcC', NULL, NULL, NULL, 6),
(10883, NULL, 'PF09580', NULL, NULL, 'Sporulation lipoprotein YhcN/YlaJ (Spore_YhcN_YlaJ)', NULL, 'Spore_YhcN_YlaJ', NULL, NULL, NULL, 6),
(10884, NULL, 'PF05940', NULL, NULL, 'NnrS protein', NULL, 'NnrS', NULL, NULL, NULL, 6),
(10885, NULL, 'PF04019', NULL, NULL, 'Protein of unknown function (DUF359)', NULL, 'DUF359', NULL, NULL, NULL, 6),
(10886, NULL, 'PF04191', NULL, NULL, 'Phospholipid methyltransferase', NULL, 'PEMT', NULL, NULL, NULL, 6),
(10887, NULL, 'PF01948', NULL, NULL, 'Aspartate carbamoyltransferase regulatory chain, allosteric domain', NULL, 'PyrI', NULL, NULL, NULL, 6),
(10888, NULL, 'PF08181', NULL, NULL, 'DegQ (SacQ) family', NULL, 'DegQ', NULL, NULL, NULL, 6),
(10889, NULL, 'PF08894', NULL, NULL, 'Protein of unknown function (DUF1838)', NULL, 'DUF1838', NULL, NULL, NULL, 6),
(10890, NULL, 'PF11007', NULL, NULL, 'Spore coat associated protein JA (CotJA)', NULL, 'CotJA', NULL, NULL, NULL, 6),
(10891, NULL, 'PF10136', NULL, NULL, 'Site-specific recombinase', NULL, 'SpecificRecomb', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10892, NULL, 'PF07858', NULL, NULL, 'Limonene-1,2-epoxide hydrolase catalytic domain', NULL, 'LEH', NULL, NULL, NULL, 6),
(10893, NULL, 'PF15721', NULL, NULL, 'Annexin-2 receptor', NULL, 'ANXA2R', NULL, NULL, NULL, 6),
(10894, NULL, 'PF02877', NULL, NULL, 'Poly(ADP-ribose) polymerase, regulatory domain', NULL, 'PARP_reg', NULL, NULL, NULL, 6),
(10895, NULL, 'PF00897', NULL, NULL, 'Orbivirus inner capsid protein VP7', NULL, 'Orbi_VP7', NULL, NULL, NULL, 6),
(10896, NULL, 'PF02161', NULL, NULL, 'Progesterone receptor', NULL, 'Prog_receptor', NULL, NULL, NULL, 6),
(10897, NULL, 'PF09736', NULL, NULL, 'Pre-mRNA-splicing factor of RES complex', NULL, 'Bud13', NULL, NULL, NULL, 6),
(10898, NULL, 'PF17085', NULL, NULL, 'Unique cartilage matrix associated protein', NULL, 'UCMA', NULL, NULL, NULL, 6),
(10899, NULL, 'PF07961', NULL, NULL, 'MBA1-like protein', NULL, 'MBA1', NULL, NULL, NULL, 6),
(10900, NULL, 'PF07162', NULL, NULL, 'Ciliary basal body-associated, B9 protein', NULL, 'B9-C2', NULL, NULL, NULL, 6),
(10901, NULL, 'PF00662', NULL, NULL, 'NADH-Ubiquinone oxidoreductase (complex I), chain 5 N-terminus', NULL, 'Proton_antipo_N', NULL, NULL, NULL, 6),
(10902, NULL, 'PF15547', NULL, NULL, 'Steroid receptor-associated and regulated protein', NULL, 'C1ORF64', NULL, NULL, NULL, 6),
(10903, NULL, 'PF15219', NULL, NULL, 'Testis-expressed 12', NULL, 'TEX12', NULL, NULL, NULL, 6),
(10904, NULL, 'PF15875', NULL, NULL, 'Domain of unknown function (DUF4731)', NULL, 'DUF4731', NULL, NULL, NULL, 6),
(10905, NULL, 'PF09206', NULL, NULL, 'Alpha-L-arabinofuranosidase B, catalytic', NULL, 'ArabFuran-catal', NULL, NULL, NULL, 6),
(10906, NULL, 'PF16435', NULL, NULL, 'Domain of unknown function (DUF5032)', NULL, 'DUF5032', NULL, NULL, NULL, 6),
(10907, NULL, 'PF16276', NULL, NULL, 'Nucleophosmin C-terminal domain', NULL, 'NPM1-C', NULL, NULL, NULL, 6),
(10908, NULL, 'PF09547', NULL, NULL, 'Stage IV sporulation protein A (spore_IV_A)', NULL, 'Spore_IV_A', NULL, NULL, NULL, 6),
(10909, NULL, 'PF03741', NULL, NULL, 'Integral membrane protein TerC family', NULL, 'TerC', NULL, NULL, NULL, 6),
(10910, NULL, 'PF15530', NULL, NULL, 'Bacterial toxin 25', NULL, 'Ntox25', NULL, NULL, NULL, 6),
(10911, NULL, 'PF10626', NULL, NULL, 'Conjugative transposon protein TraO', NULL, 'TraO', NULL, NULL, NULL, 6),
(10912, NULL, 'PF09615', NULL, NULL, 'CRISPR-associated protein (Cas_Csy3)', NULL, 'Cas_Csy3', NULL, NULL, NULL, 6),
(10913, NULL, 'PF14987', NULL, NULL, 'NADH dehydrogenase 1 alpha subcomplex subunit 3', NULL, 'NADHdh_A3', NULL, NULL, NULL, 6),
(10914, NULL, 'PF05652', NULL, NULL, 'Scavenger mRNA decapping enzyme (DcpS) N-terminal', NULL, 'DcpS', NULL, NULL, NULL, 6),
(10915, NULL, 'PF09661', NULL, NULL, 'Protein of unknown function (DUF2398)', NULL, 'DUF2398', NULL, NULL, NULL, 6),
(10916, NULL, 'PF10587', NULL, NULL, 'Eukaryotic elongation factor 1 beta central acidic region', NULL, 'EF-1_beta_acid', NULL, NULL, NULL, 6),
(10917, NULL, 'PF10811', NULL, NULL, 'Protein of unknown function (DUF2532)', NULL, 'DUF2532', NULL, NULL, NULL, 6),
(10918, NULL, 'PF04755', NULL, NULL, 'PAP_fibrillin', NULL, 'PAP_fibrillin', NULL, NULL, NULL, 6),
(10919, NULL, 'PF01649', NULL, NULL, 'Ribosomal protein S20', NULL, 'Ribosomal_S20p', NULL, NULL, NULL, 6),
(10920, NULL, 'PF16972', NULL, NULL, 'Na+ channel auxiliary subunit TipE', NULL, 'TipE', NULL, NULL, NULL, 6),
(10921, NULL, 'PF12352', NULL, NULL, 'Snare region anchored in the vesicle membrane C-terminus', NULL, 'V-SNARE_C', NULL, NULL, NULL, 6),
(10922, NULL, 'PF17568', NULL, NULL, 'Family of unknown function (DUF5474)', NULL, 'DUF5474', NULL, NULL, NULL, 6),
(10923, NULL, 'PF18999', NULL, NULL, 'Family of unknown function (DUF5728)', NULL, 'DUF5728', NULL, NULL, NULL, 6),
(10924, NULL, 'PF02171', NULL, NULL, 'Piwi domain', NULL, 'Piwi', NULL, NULL, NULL, 6),
(10925, NULL, 'PF00410', NULL, NULL, 'Ribosomal protein S8', NULL, 'Ribosomal_S8', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10926, NULL, 'PF01128', NULL, NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', NULL, 'IspD', NULL, NULL, NULL, 6),
(10927, NULL, 'PF05722', NULL, NULL, 'Ustilago B locus mating-type protein', NULL, 'Ustilago_mating', NULL, NULL, NULL, 6),
(10928, NULL, 'PF05419', NULL, NULL, 'GUN4-like', NULL, 'GUN4', NULL, NULL, NULL, 6),
(10929, NULL, 'PF10114', NULL, NULL, 'Sensory domain found in PocR', NULL, 'PocR', NULL, NULL, NULL, 6),
(10930, NULL, 'PF18202', NULL, NULL, 'T-Q ester bond containing domain', NULL, 'TQ', NULL, NULL, NULL, 6),
(10931, NULL, 'PF18727', NULL, NULL, 'Alstrom syndrome repeat', NULL, 'ALMS_repeat', NULL, NULL, NULL, 6),
(10932, NULL, 'PF12985', NULL, NULL, 'Domain of unknown function (DUF3869)', NULL, 'DUF3869', NULL, NULL, NULL, 6),
(10933, NULL, 'PF17339', NULL, NULL, 'PH domain', NULL, 'PH_15', NULL, NULL, NULL, 6),
(10934, NULL, 'PF04095', NULL, NULL, 'Nicotinate phosphoribosyltransferase (NAPRTase) family', NULL, 'NAPRTase', NULL, NULL, NULL, 6),
(10935, NULL, 'PF00263', NULL, NULL, 'Bacterial type II and III secretion system protein', NULL, 'Secretin', NULL, NULL, NULL, 6),
(10936, NULL, 'PF12655', NULL, NULL, 'Domain of unknown function (DUF3787)', NULL, 'DUF3787', NULL, NULL, NULL, 6),
(10937, NULL, 'PF08091', NULL, NULL, 'Spider insecticidal peptide', NULL, 'Toxin_21', NULL, NULL, NULL, 6),
(10938, NULL, 'PF16467', NULL, NULL, 'Domain of unknown function (DUF5048)', NULL, 'DUF5048', NULL, NULL, NULL, 6),
(10939, NULL, 'PF00313', NULL, NULL, '''Cold-shock'' DNA-binding domain', NULL, 'CSD', NULL, NULL, NULL, 6),
(10940, NULL, 'PF16691', NULL, NULL, 'Domain of unknown function (DUF5062)', NULL, 'DUF5062', NULL, NULL, NULL, 6),
(10941, NULL, 'PF13632', NULL, NULL, 'Glycosyl transferase family group 2', NULL, 'Glyco_trans_2_3', NULL, NULL, NULL, 6),
(10942, NULL, 'PF06135', NULL, NULL, 'IreB regulatory phosphoprotein', NULL, 'IreB', NULL, NULL, NULL, 6),
(10943, NULL, 'PF16082', NULL, NULL, 'Bacteriophage holin family, superfamily II-like', NULL, 'Phage_holin_2_4', NULL, NULL, NULL, 6),
(10944, NULL, 'PF11093', NULL, NULL, 'Mitochondrial export protein Som1', NULL, 'Mitochondr_Som1', NULL, NULL, NULL, 6),
(10945, NULL, 'PF18951', NULL, NULL, 'Family of unknown function (DUF5695)', NULL, 'DUF5695', NULL, NULL, NULL, 6),
(10946, NULL, 'PF00052', NULL, NULL, 'Laminin B (Domain IV)', NULL, 'Laminin_B', NULL, NULL, NULL, 6),
(10947, NULL, 'PF13982', NULL, NULL, 'YbfN-like lipoprotein', NULL, 'YbfN', NULL, NULL, NULL, 6),
(10948, NULL, 'PF11385', NULL, NULL, 'Protein of unknown function (DUF3189)', NULL, 'DUF3189', NULL, NULL, NULL, 6),
(10949, NULL, 'PF05838', NULL, NULL, 'Glycosyl hydrolase 108', NULL, 'Glyco_hydro_108', NULL, NULL, NULL, 6),
(10950, NULL, 'PF16953', NULL, NULL, 'Protein-only RNase P', NULL, 'PRORP', NULL, NULL, NULL, 6),
(10951, NULL, 'PF16258', NULL, NULL, 'Domain of unknown function (DUF4912)', NULL, 'DUF4912', NULL, NULL, NULL, 6),
(10952, NULL, 'PF04241', NULL, NULL, 'Protein of unknown function (DUF423)', NULL, 'DUF423', NULL, NULL, NULL, 6),
(10953, NULL, 'PF15397', NULL, NULL, 'Domain of unknown function (DUF4618)', NULL, 'DUF4618', NULL, NULL, NULL, 6),
(10954, NULL, 'PF05615', NULL, NULL, 'Tho complex subunit 7', NULL, 'THOC7', NULL, NULL, NULL, 6),
(10955, NULL, 'PF13737', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_5', NULL, NULL, NULL, 6),
(10956, NULL, 'PF09344', NULL, NULL, 'CT1975-like protein', NULL, 'Cas_CT1975', NULL, NULL, NULL, 6),
(10957, NULL, 'PF14092', NULL, NULL, 'Domain of unknown function (DUF4270)', NULL, 'DUF4270', NULL, NULL, NULL, 6),
(10958, NULL, 'PF00489', NULL, NULL, 'Interleukin-6/G-CSF/MGF family', NULL, 'IL6', NULL, NULL, NULL, 6),
(10959, NULL, 'PF16722', NULL, NULL, 'Pathogenicity island protein gp6 in Staphylococcus', NULL, 'SAPIS-gp6', NULL, NULL, NULL, 6),
(10960, NULL, 'PF12962', NULL, NULL, 'Protein of unknown function (DUF3851)', NULL, 'DUF3851', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10961, NULL, 'PF07994', NULL, NULL, 'Myo-inositol-1-phosphate synthase', NULL, 'NAD_binding_5', NULL, NULL, NULL, 6),
(10962, NULL, 'PF01864', NULL, NULL, 'CDP-archaeol synthase', NULL, 'CarS-like', NULL, NULL, NULL, 6),
(10963, NULL, 'PF05201', NULL, NULL, 'Glutamyl-tRNAGlu reductase, N-terminal domain', NULL, 'GlutR_N', NULL, NULL, NULL, 6),
(10964, NULL, 'PF12212', NULL, NULL, 'PAZ domain', NULL, 'PAZ_siRNAbind', NULL, NULL, NULL, 6),
(10965, NULL, 'PF14999', NULL, NULL, 'Shadow of prion protein, neuroprotective', NULL, 'Shadoo', NULL, NULL, NULL, 6),
(10966, NULL, 'PF05153', NULL, NULL, 'Myo-inositol oxygenase', NULL, 'MIOX', NULL, NULL, NULL, 6),
(10967, NULL, 'PF02133', NULL, NULL, 'Permease for cytosine/purines, uracil, thiamine, allantoin', NULL, 'Transp_cyt_pur', NULL, NULL, NULL, 6),
(10968, NULL, 'PF07868', NULL, NULL, 'Protein of unknown function (DUF1655)', NULL, 'DUF1655', NULL, NULL, NULL, 6),
(10969, NULL, 'PF00501', NULL, NULL, 'AMP-binding enzyme', NULL, 'AMP-binding', NULL, NULL, NULL, 6),
(10970, NULL, 'PF08173', NULL, NULL, 'Membrane bound YbgT-like protein', NULL, 'YbgT_YccB', NULL, NULL, NULL, 6),
(10971, NULL, 'PF14816', NULL, NULL, 'Family of unknown function, FAM178', NULL, 'FAM178', NULL, NULL, NULL, 6),
(10972, NULL, 'PF14536', NULL, NULL, 'Domain of unknown function (DUF4441)', NULL, 'DUF4441', NULL, NULL, NULL, 6),
(10973, NULL, 'PF12346', NULL, NULL, 'Holliday junction recognition protein-associated repeat', NULL, 'HJURP_mid', NULL, NULL, NULL, 6),
(10974, NULL, 'PF06013', NULL, NULL, 'Proteins of 100 residues with WXG', NULL, 'WXG100', NULL, NULL, NULL, 6),
(10975, NULL, 'PF17284', NULL, NULL, 'Spermidine synthase tetramerisation domain', NULL, 'Spermine_synt_N', NULL, NULL, NULL, 6),
(10976, NULL, 'PF10964', NULL, NULL, 'Protein of unknown function (DUF2766)', NULL, 'DUF2766', NULL, NULL, NULL, 6),
(10977, NULL, 'PF13472', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase family', NULL, 'Lipase_GDSL_2', NULL, NULL, NULL, 6),
(10978, NULL, 'PF15330', NULL, NULL, 'SHP2-interacting transmembrane adaptor protein, SIT', NULL, 'SIT', NULL, NULL, NULL, 6),
(10979, NULL, 'PF05886', NULL, NULL, 'Orthopoxvirus F8 protein', NULL, 'Orthopox_F8', NULL, NULL, NULL, 6),
(10980, NULL, 'PF01241', NULL, NULL, 'Photosystem I psaG / psaK', NULL, 'PSI_PSAK', NULL, NULL, NULL, 6),
(10981, NULL, 'PF15007', NULL, NULL, 'Centrosomal spindle body, CEP44', NULL, 'CEP44', NULL, NULL, NULL, 6),
(10982, NULL, 'PF10351', NULL, NULL, 'Golgi-body localisation protein domain', NULL, 'Apt1', NULL, NULL, NULL, 6),
(10983, NULL, 'PF16545', NULL, NULL, 'Cerebral cavernous malformation protein, harmonin-homology', NULL, 'CCM2_C', NULL, NULL, NULL, 6),
(10984, NULL, 'PF11060', NULL, NULL, 'Protein of unknown function (DUF2861)', NULL, 'DUF2861', NULL, NULL, NULL, 6),
(10985, NULL, 'PF10327', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Sri', NULL, '7TM_GPCR_Sri', NULL, NULL, NULL, 6),
(10986, NULL, 'PF11213', NULL, NULL, 'Protein of unknown function (DUF3006)', NULL, 'DUF3006', NULL, NULL, NULL, 6),
(10987, NULL, 'PF02919', NULL, NULL, 'Eukaryotic DNA topoisomerase I, DNA binding fragment', NULL, 'Topoisom_I_N', NULL, NULL, NULL, 6),
(10988, NULL, 'PF14991', NULL, NULL, 'Protein melan-A', NULL, 'MLANA', NULL, NULL, NULL, 6),
(10989, NULL, 'PF01525', NULL, NULL, 'Rotavirus NS26', NULL, 'Rota_NS26', NULL, NULL, NULL, 6),
(10990, NULL, 'PF14384', NULL, NULL, 'BrnA antitoxin of type II toxin-antitoxin system', NULL, 'BrnA_antitoxin', NULL, NULL, NULL, 6),
(10991, NULL, 'PF05230', NULL, NULL, 'MASE2 domain', NULL, 'MASE2', NULL, NULL, NULL, 6),
(10992, NULL, 'PF13685', NULL, NULL, 'Iron-containing alcohol dehydrogenase', NULL, 'Fe-ADH_2', NULL, NULL, NULL, 6),
(10993, NULL, 'PF00260', NULL, NULL, 'Protamine P1', NULL, 'Protamine_P1', NULL, NULL, NULL, 6),
(10994, NULL, 'PF15613', NULL, NULL, 'Williams-Beuren syndrome DDT (WSD), D-TOX E motif', NULL, 'WSD', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(10995, NULL, 'PF00845', NULL, NULL, 'Geminivirus BL1 movement protein', NULL, 'Gemini_BL1', NULL, NULL, NULL, 6),
(10996, NULL, 'PF11271', NULL, NULL, 'Porin PorA', NULL, 'PorA', NULL, NULL, NULL, 6),
(10997, NULL, 'PF00959', NULL, NULL, 'Phage lysozyme', NULL, 'Phage_lysozyme', NULL, NULL, NULL, 6),
(10998, NULL, 'PF13719', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc_ribbon_5', NULL, NULL, NULL, 6),
(10999, NULL, 'PF10134', NULL, NULL, 'Replication initiator protein A', NULL, 'RPA', NULL, NULL, NULL, 6),
(11000, NULL, 'PF06292', NULL, NULL, 'Domain of Unknown Function (DUF1041)', NULL, 'DUF1041', NULL, NULL, NULL, 6),
(11001, NULL, 'PF17136', NULL, NULL, 'Ribosomal proteins 50S L24/mitochondrial 39S L24', NULL, 'ribosomal_L24', NULL, NULL, NULL, 6),
(11002, NULL, 'PF16444', NULL, NULL, 'Domain of unknown function (DUF5041)', NULL, 'DUF5041', NULL, NULL, NULL, 6),
(11003, NULL, 'PF10162', NULL, NULL, 'G8 domain', NULL, 'G8', NULL, NULL, NULL, 6),
(11004, NULL, 'PF03016', NULL, NULL, 'Exostosin family', NULL, 'Exostosin', NULL, NULL, NULL, 6),
(11005, NULL, 'PF01071', NULL, NULL, 'Phosphoribosylglycinamide synthetase, ATP-grasp (A) domain', NULL, 'GARS_A', NULL, NULL, NULL, 6),
(11006, NULL, 'PF06130', NULL, NULL, 'Phosphate propanoyltransferase', NULL, 'PTAC', NULL, NULL, NULL, 6),
(11007, NULL, 'PF13963', NULL, NULL, 'Transposase-associated domain', NULL, 'Transpos_assoc', NULL, NULL, NULL, 6),
(11008, NULL, 'PF16199', NULL, NULL, 'Radical_SAM C-terminal domain', NULL, 'Radical_SAM_C', NULL, NULL, NULL, 6),
(11009, NULL, 'PF13432', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_16', NULL, NULL, NULL, 6),
(11010, NULL, 'PF13471', NULL, NULL, 'Transglutaminase-like superfamily', NULL, 'Transglut_core3', NULL, NULL, NULL, 6),
(11011, NULL, 'PF07411', NULL, NULL, 'Domain of unknown function (DUF1508)', NULL, 'DUF1508', NULL, NULL, NULL, 6),
(11012, NULL, 'PF00058', NULL, NULL, 'Low-density lipoprotein receptor repeat class B', NULL, 'Ldl_recept_b', NULL, NULL, NULL, 6),
(11013, NULL, 'PF03481', NULL, NULL, 'Putative GTP-binding controlling metal-binding', NULL, 'SUA5', NULL, NULL, NULL, 6),
(11014, NULL, 'PF03332', NULL, NULL, 'Eukaryotic phosphomannomutase', NULL, 'PMM', NULL, NULL, NULL, 6),
(11015, NULL, 'PF15125', NULL, NULL, 'TMEM238 protein family', NULL, 'TMEM238', NULL, NULL, NULL, 6),
(11016, NULL, 'PF02989', NULL, NULL, 'Lyme disease proteins of unknown function', NULL, 'DUF228', NULL, NULL, NULL, 6),
(11017, NULL, 'PF03945', NULL, NULL, 'delta endotoxin, N-terminal domain', NULL, 'Endotoxin_N', NULL, NULL, NULL, 6),
(11018, NULL, 'PF06114', NULL, NULL, 'IrrE N-terminal-like domain', NULL, 'Peptidase_M78', NULL, NULL, NULL, 6),
(11019, NULL, 'PF19205', NULL, NULL, 'Family of unknown function (DUF5877)', NULL, 'DUF5877', NULL, NULL, NULL, 6),
(11020, NULL, 'PF17172', NULL, NULL, 'Glutathione S-transferase N-terminal domain', NULL, 'GST_N_4', NULL, NULL, NULL, 6),
(11021, NULL, 'PF05221', NULL, NULL, 'S-adenosyl-L-homocysteine hydrolase', NULL, 'AdoHcyase', NULL, NULL, NULL, 6),
(11022, NULL, 'PF03616', NULL, NULL, 'Sodium/glutamate symporter', NULL, 'Glt_symporter', NULL, NULL, NULL, 6),
(11023, NULL, 'PF14770', NULL, NULL, 'Transmembrane protein 18', NULL, 'TMEM18', NULL, NULL, NULL, 6),
(11024, NULL, 'PF18548', NULL, NULL, 'Metanogen output domain 2', NULL, 'MetOD2', NULL, NULL, NULL, 6),
(11025, NULL, 'PF14720', NULL, NULL, 'NiFe/NiFeSe hydrogenase small subunit C-terminal', NULL, 'NiFe_hyd_SSU_C', NULL, NULL, NULL, 6),
(11026, NULL, 'PF18552', NULL, NULL, 'PheRS DNA binding domain 1', NULL, 'PheRS_DBD1', NULL, NULL, NULL, 6),
(11027, NULL, 'PF01137', NULL, NULL, 'RNA 3''-terminal phosphate cyclase', NULL, 'RTC', NULL, NULL, NULL, 6),
(11028, NULL, 'PF03610', NULL, NULL, 'PTS system fructose IIA component', NULL, 'EIIA-man', NULL, NULL, NULL, 6),
(11029, NULL, 'PF02845', NULL, NULL, 'CUE domain', NULL, 'CUE', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11030, NULL, 'PF10167', NULL, NULL, 'BLOC-1-related complex sub-unit 8', NULL, 'BORCS8', NULL, NULL, NULL, 6),
(11031, NULL, 'PF01536', NULL, NULL, 'Adenosylmethionine decarboxylase', NULL, 'SAM_decarbox', NULL, NULL, NULL, 6),
(11032, NULL, 'PF07168', NULL, NULL, 'Ureide permease', NULL, 'Ureide_permease', NULL, NULL, NULL, 6),
(11033, NULL, 'PF08166', NULL, NULL, 'NUC202 domain', NULL, 'NUC202', NULL, NULL, NULL, 6),
(11034, NULL, 'PF04759', NULL, NULL, 'Protein of unknown function, DUF617', NULL, 'DUF617', NULL, NULL, NULL, 6),
(11035, NULL, 'PF17842', NULL, NULL, 'Double-stranded RNA binding domain 2', NULL, 'dsRBD2', NULL, NULL, NULL, 6),
(11036, NULL, 'PF14539', NULL, NULL, 'Domain of unknown function (DUF4442)', NULL, 'DUF4442', NULL, NULL, NULL, 6),
(11037, NULL, 'PF04641', NULL, NULL, 'Rtf2 RING-finger', NULL, 'Rtf2', NULL, NULL, NULL, 6),
(11038, NULL, 'PF04347', NULL, NULL, 'Flagellar biosynthesis protein, FliO', NULL, 'FliO', NULL, NULL, NULL, 6),
(11039, NULL, 'PF06194', NULL, NULL, 'Phage Conserved Open Reading Frame 51', NULL, 'Phage_Orf51', NULL, NULL, NULL, 6),
(11040, NULL, 'PF05435', NULL, NULL, 'Phi-29 DNA terminal protein GP3', NULL, 'Phi-29_GP3', NULL, NULL, NULL, 6),
(11041, NULL, 'PF00644', NULL, NULL, 'Poly(ADP-ribose) polymerase catalytic domain', NULL, 'PARP', NULL, NULL, NULL, 6),
(11042, NULL, 'PF11669', NULL, NULL, 'WW domain-binding protein 1', NULL, 'WBP-1', NULL, NULL, NULL, 6),
(11043, NULL, 'PF15028', NULL, NULL, 'Pre-T-cell antigen receptor', NULL, 'PTCRA', NULL, NULL, NULL, 6),
(11044, NULL, 'PF03515', NULL, NULL, 'Colicin-like bacteriocin tRNase domain', NULL, 'Cloacin', NULL, NULL, NULL, 6),
(11045, NULL, 'PF04307', NULL, NULL, 'LexA-binding, inner membrane-associated putative hydrolase', NULL, 'YdjM', NULL, NULL, NULL, 6),
(11046, NULL, 'PF11151', NULL, NULL, 'Protein of unknown function (DUF2929)', NULL, 'DUF2929', NULL, NULL, NULL, 6),
(11047, NULL, 'PF11228', NULL, NULL, 'Protein of unknown function (DUF3027)', NULL, 'DUF3027', NULL, NULL, NULL, 6),
(11048, NULL, 'PF04616', NULL, NULL, 'Glycosyl hydrolases family 43', NULL, 'Glyco_hydro_43', NULL, NULL, NULL, 6),
(11049, NULL, 'PF01347', NULL, NULL, 'Lipoprotein amino terminal region', NULL, 'Vitellogenin_N', NULL, NULL, NULL, 6),
(11050, NULL, 'PF07112', NULL, NULL, 'Protein of unknown function (DUF1368)', NULL, 'DUF1368', NULL, NULL, NULL, 6),
(11051, NULL, 'PF01455', NULL, NULL, 'HupF/HypC family', NULL, 'HupF_HypC', NULL, NULL, NULL, 6),
(11052, NULL, 'PF14695', NULL, NULL, 'Lines C-terminus', NULL, 'LINES_C', NULL, NULL, NULL, 6),
(11053, NULL, 'PF13709', NULL, NULL, 'Domain of unknown function (DUF4159)', NULL, 'DUF4159', NULL, NULL, NULL, 6),
(11054, NULL, 'PF08565', NULL, NULL, 'Cdc37 Hsp90 binding domain', NULL, 'CDC37_M', NULL, NULL, NULL, 6),
(11055, NULL, 'PF14226', NULL, NULL, 'non-haem dioxygenase in morphine synthesis N-terminal', NULL, 'DIOX_N', NULL, NULL, NULL, 6),
(11056, NULL, 'PF05893', NULL, NULL, 'Acyl-CoA reductase (LuxC)', NULL, 'LuxC', NULL, NULL, NULL, 6),
(11057, NULL, 'PF16690', NULL, NULL, 'Methylmalonic aciduria and homocystinuria type C family', NULL, 'MMACHC', NULL, NULL, NULL, 6),
(11058, NULL, 'PF14461', NULL, NULL, 'Prokaryotic E2 family B', NULL, 'Prok-E2_B', NULL, NULL, NULL, 6),
(11059, NULL, 'PF11463', NULL, NULL, 'R.HinP1I restriction endonuclease', NULL, 'R-HINP1I', NULL, NULL, NULL, 6),
(11060, NULL, 'PF16614', NULL, NULL, 'Unstructured region two on RhoGEF 6 and 7', NULL, 'RhoGEF67_u2', NULL, NULL, NULL, 6),
(11061, NULL, 'PF07517', NULL, NULL, 'SecA DEAD-like domain', NULL, 'SecA_DEAD', NULL, NULL, NULL, 6),
(11062, NULL, 'PF15010', NULL, NULL, 'Putative cell signalling', NULL, 'FAM131', NULL, NULL, NULL, 6),
(11063, NULL, 'PF14364', NULL, NULL, 'Domain of unknown function (DUF4408)', NULL, 'DUF4408', NULL, NULL, NULL, 6),
(11064, NULL, 'PF15076', NULL, NULL, 'Domain of unknown function (DUF4543)', NULL, 'DUF4543', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11065, NULL, 'PF01056', NULL, NULL, 'Myc amino-terminal region', NULL, 'Myc_N', NULL, NULL, NULL, 6),
(11066, NULL, 'PF18602', NULL, NULL, 'Rap1a immunity proteins', NULL, 'Rap1a', NULL, NULL, NULL, 6),
(11067, NULL, 'PF05495', NULL, NULL, 'CHY zinc finger', NULL, 'zf-CHY', NULL, NULL, NULL, 6),
(11068, NULL, 'PF08012', NULL, NULL, 'Protein of unknown function (DUF1702)', NULL, 'DUF1702', NULL, NULL, NULL, 6),
(11069, NULL, 'PF09658', NULL, NULL, 'CRISPR-associated protein (Cas_Csx9)', NULL, 'Cas_Csx9', NULL, NULL, NULL, 6),
(11070, NULL, 'PF12326', NULL, NULL, 'N-glycosylation protein', NULL, 'EOS1', NULL, NULL, NULL, 6),
(11071, NULL, 'PF08383', NULL, NULL, 'Maf N-terminal region', NULL, 'Maf_N', NULL, NULL, NULL, 6),
(11072, NULL, 'PF07222', NULL, NULL, 'Proacrosin binding protein sp32', NULL, 'PBP_sp32', NULL, NULL, NULL, 6),
(11073, NULL, 'PF13134', NULL, NULL, 'Protein of unknown function (DUF3948)', NULL, 'DUF3948', NULL, NULL, NULL, 6),
(11074, NULL, 'PF05820', NULL, NULL, 'Baculoviridae AC81', NULL, 'Ac81', NULL, NULL, NULL, 6),
(11075, NULL, 'PF12242', NULL, NULL, 'NAD(P)H binding domain of trans-2-enoyl-CoA reductase', NULL, 'Eno-Rase_NADH_b', NULL, NULL, NULL, 6),
(11076, NULL, 'PF03472', NULL, NULL, 'Autoinducer binding domain', NULL, 'Autoind_bind', NULL, NULL, NULL, 6),
(11077, NULL, 'PF08123', NULL, NULL, 'Histone methylation protein DOT1', NULL, 'DOT1', NULL, NULL, NULL, 6),
(11078, NULL, 'PF15167', NULL, NULL, 'Domain of unknown function (DUF4581)', NULL, 'DUF4581', NULL, NULL, NULL, 6),
(11079, NULL, 'PF08489', NULL, NULL, 'Domain of unknown function (DUF1743)', NULL, 'DUF1743', NULL, NULL, NULL, 6),
(11080, NULL, 'PF07610', NULL, NULL, 'Protein of unknown function (DUF1573)', NULL, 'DUF1573', NULL, NULL, NULL, 6),
(11081, NULL, 'PF12218', NULL, NULL, 'N terminal extension of bacteriophage endosialidase', NULL, 'End_N_terminal', NULL, NULL, NULL, 6),
(11082, NULL, 'PF05504', NULL, NULL, 'Spore germination B3/ GerAC like, C-terminal', NULL, 'Spore_GerAC', NULL, NULL, NULL, 6),
(11083, NULL, 'PF16352', NULL, NULL, 'Domain of unknown function (DUF4980)', NULL, 'DUF4980', NULL, NULL, NULL, 6),
(11084, NULL, 'PF10547', NULL, NULL, 'P22_AR N-terminal domain', NULL, 'P22_AR_N', NULL, NULL, NULL, 6),
(11085, NULL, 'PF18599', NULL, NULL, 'Limiting CO2-inducible proteins B/C beta carbonyic anhydrases', NULL, 'LCIB_C_CA', NULL, NULL, NULL, 6),
(11086, NULL, 'PF14780', NULL, NULL, 'Domain of unknown function (DUF4477)', NULL, 'DUF4477', NULL, NULL, NULL, 6),
(11087, NULL, 'PF10565', NULL, NULL, 'N-methyl D-aspartate receptor 2B3 C-terminus', NULL, 'NMDAR2_C', NULL, NULL, NULL, 6),
(11088, NULL, 'PF11832', NULL, NULL, 'Protein of unknown function (DUF3352)', NULL, 'DUF3352', NULL, NULL, NULL, 6),
(11089, NULL, 'PF18608', NULL, NULL, 'XIAP-associated factor 1 C-terminal domain', NULL, 'XAF1_C', NULL, NULL, NULL, 6),
(11090, NULL, 'PF06327', NULL, NULL, 'Domain of Unknown Function (DUF1053)', NULL, 'DUF1053', NULL, NULL, NULL, 6),
(11091, NULL, 'PF07317', NULL, NULL, 'Flagellar regulator YcgR', NULL, 'YcgR', NULL, NULL, NULL, 6),
(11092, NULL, 'PF15731', NULL, NULL, 'Antitoxin component of bacterial toxin-antitoxin system, MqsA', NULL, 'MqsA_antitoxin', NULL, NULL, NULL, 6),
(11093, NULL, 'PF12018', NULL, NULL, 'Domain of unknown function', NULL, 'FAP206', NULL, NULL, NULL, 6),
(11094, NULL, 'PF07910', NULL, NULL, 'Peptidase family C78', NULL, 'Peptidase_C78', NULL, NULL, NULL, 6),
(11095, NULL, 'PF11290', NULL, NULL, 'Protein of unknown function (DUF3090)', NULL, 'DUF3090', NULL, NULL, NULL, 6),
(11096, NULL, 'PF07064', NULL, NULL, 'RIC1', NULL, 'RIC1', NULL, NULL, NULL, 6),
(11097, NULL, 'PF02078', NULL, NULL, 'Synapsin, N-terminal domain', NULL, 'Synapsin', NULL, NULL, NULL, 6),
(11098, NULL, 'PF00554', NULL, NULL, 'Rel homology DNA-binding domain', NULL, 'RHD_DNA_bind', NULL, NULL, NULL, 6),
(11099, NULL, 'PF09324', NULL, NULL, 'Domain of unknown function (DUF1981)', NULL, 'DUF1981', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11100, NULL, 'PF11247', NULL, NULL, 'Protein of unknown function (DUF2675)', NULL, 'DUF2675', NULL, NULL, NULL, 6),
(11101, NULL, 'PF06379', NULL, NULL, 'L-rhamnose-proton symport protein (RhaT)', NULL, 'RhaT', NULL, NULL, NULL, 6),
(11102, NULL, 'PF06594', NULL, NULL, 'Haemolysin-type calcium binding protein related domain', NULL, 'HCBP_related', NULL, NULL, NULL, 6),
(11103, NULL, 'PF03478', NULL, NULL, 'Protein of unknown function (DUF295)', NULL, 'DUF295', NULL, NULL, NULL, 6),
(11104, NULL, 'PF14146', NULL, NULL, 'Domain of unknown function (DUF4305)', NULL, 'DUF4305', NULL, NULL, NULL, 6),
(11105, NULL, 'PF13187', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_9', NULL, NULL, NULL, 6),
(11106, NULL, 'PF01086', NULL, NULL, 'Clathrin light chain', NULL, 'Clathrin_lg_ch', NULL, NULL, NULL, 6),
(11107, NULL, 'PF08134', NULL, NULL, 'cIII protein family', NULL, 'cIII', NULL, NULL, NULL, 6),
(11108, NULL, 'PF14792', NULL, NULL, 'DNA polymerase beta palm', NULL, 'DNA_pol_B_palm', NULL, NULL, NULL, 6),
(11109, NULL, 'PF18809', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease1', NULL, 'PBECR1', NULL, NULL, NULL, 6),
(11110, NULL, 'PF04844', NULL, NULL, 'Transcriptional repressor, ovate', NULL, 'Ovate', NULL, NULL, NULL, 6),
(11111, NULL, 'PF12895', NULL, NULL, 'Anaphase-promoting complex, cyclosome, subunit 3', NULL, 'ANAPC3', NULL, NULL, NULL, 6),
(11112, NULL, 'PF12428', NULL, NULL, 'Protein of unknown function (DUF3675)', NULL, 'DUF3675', NULL, NULL, NULL, 6),
(11113, NULL, 'PF17953', NULL, NULL, 'CRISPR Csm4 C-terminal domain', NULL, 'Csm4_C', NULL, NULL, NULL, 6),
(11114, NULL, 'PF07116', NULL, NULL, 'Protein of unknown function (DUF1372)', NULL, 'DUF1372', NULL, NULL, NULL, 6),
(11115, NULL, 'PF17233', NULL, NULL, 'Family of unknown function (DUF5308)', NULL, 'DUF5308', NULL, NULL, NULL, 6),
(11116, NULL, 'PF18232', NULL, NULL, 'Chalcone isomerase N-terminal domain', NULL, 'Chalcone_N', NULL, NULL, NULL, 6),
(11117, NULL, 'PF16319', NULL, NULL, 'Domain of unknown function (DUF4958)', NULL, 'DUF4958', NULL, NULL, NULL, 6),
(11118, NULL, 'PF16586', NULL, NULL, 'Domain of unknown function (DUF5060)', NULL, 'DUF5060', NULL, NULL, NULL, 6),
(11119, NULL, 'PF12337', NULL, NULL, 'Protein of unknown function (DUF3637)', NULL, 'DUF3637', NULL, NULL, NULL, 6),
(11120, NULL, 'PF17648', NULL, NULL, 'Family of unknown function (DUF5519)', NULL, 'DUF5519', NULL, NULL, NULL, 6),
(11121, NULL, 'PF04819', NULL, NULL, 'Family of unknown function (DUF716)', NULL, 'DUF716', NULL, NULL, NULL, 6),
(11122, NULL, 'PF07450', NULL, NULL, 'Formate hydrogenlyase maturation protein HycH', NULL, 'HycH', NULL, NULL, NULL, 6),
(11123, NULL, 'PF09959', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2193)', NULL, 'DUF2193', NULL, NULL, NULL, 6),
(11124, NULL, 'PF15570', NULL, NULL, 'Immunity protein 43', NULL, 'Imm43', NULL, NULL, NULL, 6),
(11125, NULL, 'PF14103', NULL, NULL, 'Domain of unknown function (DUF4276)', NULL, 'DUF4276', NULL, NULL, NULL, 6),
(11126, NULL, 'PF17057', NULL, NULL, 'Poxviridae B3 protein', NULL, 'B3R', NULL, NULL, NULL, 6),
(11127, NULL, 'PF11388', NULL, NULL, 'Phagosome trafficking protein DotA', NULL, 'DotA', NULL, NULL, NULL, 6),
(11128, NULL, 'PF07734', NULL, NULL, 'F-box associated', NULL, 'FBA_1', NULL, NULL, NULL, 6),
(11129, NULL, 'PF16505', NULL, NULL, 'P4 movement protein of Emaravirus, and the 30K superfamily', NULL, 'Emaravirus_P4', NULL, NULL, NULL, 6),
(11130, NULL, 'PF07572', NULL, NULL, 'Bucentaur or craniofacial development', NULL, 'BCNT', NULL, NULL, NULL, 6),
(11131, NULL, 'PF01490', NULL, NULL, 'Transmembrane amino acid transporter protein', NULL, 'Aa_trans', NULL, NULL, NULL, 6),
(11132, NULL, 'PF15129', NULL, NULL, 'FAM150 family', NULL, 'FAM150', NULL, NULL, NULL, 6),
(11133, NULL, 'PF04714', NULL, NULL, 'BCL7, N-terminal conserver region', NULL, 'BCL_N', NULL, NULL, NULL, 6),
(11134, NULL, 'PF12581', NULL, NULL, 'Protein of unknown function (DUF3756)', NULL, 'DUF3756', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11135, NULL, 'PF18824', NULL, NULL, 'Large polyvalent protein-associated domain 11', NULL, 'LPD11', NULL, NULL, NULL, 6),
(11136, NULL, 'PF07985', NULL, NULL, 'SRR1', NULL, 'SRR1', NULL, NULL, NULL, 6),
(11137, NULL, 'PF02044', NULL, NULL, 'Bombesin-like peptide', NULL, 'Bombesin', NULL, NULL, NULL, 6),
(11138, NULL, 'PF13111', NULL, NULL, 'pPIWI_RE module N-terminal domain', NULL, 'pPIWI_RE_X', NULL, NULL, NULL, 6),
(11139, NULL, 'PF14643', NULL, NULL, 'Domain of unknown function (DUF4455)', NULL, 'DUF4455', NULL, NULL, NULL, 6),
(11140, NULL, 'PF14737', NULL, NULL, 'Domain of unknown function (DUF4470)', NULL, 'DUF4470', NULL, NULL, NULL, 6),
(11141, NULL, 'PF05576', NULL, NULL, 'PS-10 peptidase S37', NULL, 'Peptidase_S37', NULL, NULL, NULL, 6),
(11142, NULL, 'PF04196', NULL, NULL, 'Bunyavirus RNA dependent RNA polymerase', NULL, 'Bunya_RdRp', NULL, NULL, NULL, 6),
(11143, NULL, 'PF05958', NULL, NULL, 'tRNA (Uracil-5-)-methyltransferase', NULL, 'tRNA_U5-meth_tr', NULL, NULL, NULL, 6),
(11144, NULL, 'PF10414', NULL, NULL, 'Sirohaem synthase dimerisation region', NULL, 'CysG_dimeriser', NULL, NULL, NULL, 6),
(11145, NULL, 'PF11019', NULL, NULL, 'Protein of unknown function (DUF2608)', NULL, 'DUF2608', NULL, NULL, NULL, 6),
(11146, NULL, 'PF06671', NULL, NULL, 'Repeat of unknown function (DUF1174)', NULL, 'DUF1174', NULL, NULL, NULL, 6),
(11147, NULL, 'PF01227', NULL, NULL, 'GTP cyclohydrolase I', NULL, 'GTP_cyclohydroI', NULL, NULL, NULL, 6),
(11148, NULL, 'PF13084', NULL, NULL, 'Domain of unknown function (DUF3943)', NULL, 'DUF3943', NULL, NULL, NULL, 6),
(11149, NULL, 'PF15992', NULL, NULL, 'Domain of unknown function (DUF4769)', NULL, 'DUF4769', NULL, NULL, NULL, 6),
(11150, NULL, 'PF00193', NULL, NULL, 'Extracellular link domain', NULL, 'Xlink', NULL, NULL, NULL, 6),
(11151, NULL, 'PF10473', NULL, NULL, 'Leucine-rich repeats of kinetochore protein Cenp-F/LEK1', NULL, 'CENP-F_leu_zip', NULL, NULL, NULL, 6),
(11152, NULL, 'PF17878', NULL, NULL, 'Single-stranded DNA-binding protein', NULL, 'ssDBP', NULL, NULL, NULL, 6),
(11153, NULL, 'PF14304', NULL, NULL, 'Transcription termination and cleavage factor C-terminal', NULL, 'CSTF_C', NULL, NULL, NULL, 6),
(11154, NULL, 'PF07011', NULL, NULL, 'Early Flowering 4 domain', NULL, 'Elf4', NULL, NULL, NULL, 6),
(11155, NULL, 'PF02057', NULL, NULL, 'Glycosyl hydrolase family 59', NULL, 'Glyco_hydro_59', NULL, NULL, NULL, 6),
(11156, NULL, 'PF01292', NULL, NULL, 'Prokaryotic cytochrome b561', NULL, 'Ni_hydr_CYTB', NULL, NULL, NULL, 6),
(11157, NULL, 'PF03874', NULL, NULL, 'RNA polymerase Rpb4', NULL, 'RNA_pol_Rpb4', NULL, NULL, NULL, 6),
(11158, NULL, 'PF15524', NULL, NULL, 'Novel toxin 17', NULL, 'Ntox17', NULL, NULL, NULL, 6),
(11159, NULL, 'PF18099', NULL, NULL, 'DUF5010 C-terminal domain', NULL, 'DUF5010_C', NULL, NULL, NULL, 6),
(11160, NULL, 'PF02581', NULL, NULL, 'Thiamine monophosphate synthase', NULL, 'TMP-TENI', NULL, NULL, NULL, 6),
(11161, NULL, 'PF17203', NULL, NULL, 'Single cache domain 3', NULL, 'sCache_3_2', NULL, NULL, NULL, 6),
(11162, NULL, 'PF04476', NULL, NULL, '4-HFC-P synthase', NULL, '4HFCP_synth', NULL, NULL, NULL, 6),
(11163, NULL, 'PF03780', NULL, NULL, 'Asp23 family, cell envelope-related function', NULL, 'Asp23', NULL, NULL, NULL, 6),
(11164, NULL, 'PF00118', NULL, NULL, 'TCP-1/cpn60 chaperonin family', NULL, 'Cpn60_TCP1', NULL, NULL, NULL, 6),
(11165, NULL, 'PF06805', NULL, NULL, 'Bacteriophage lambda tail assembly protein I', NULL, 'Lambda_tail_I', NULL, NULL, NULL, 6),
(11166, NULL, 'PF16571', NULL, NULL, 'FBP C-terminal treble-clef zinc-finger', NULL, 'FBP_C', NULL, NULL, NULL, 6),
(11167, NULL, 'PF02234', NULL, NULL, 'Cyclin-dependent kinase inhibitor', NULL, 'CDI', NULL, NULL, NULL, 6),
(11168, NULL, 'PF19170', NULL, NULL, 'Family of unknown function (DUF5852)', NULL, 'DUF5852', NULL, NULL, NULL, 6),
(11169, NULL, 'PF08748', NULL, NULL, 'Phage tail assembly chaperone', NULL, 'Phage_TAC_4', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11170, NULL, 'PF01084', NULL, NULL, 'Ribosomal protein S18', NULL, 'Ribosomal_S18', NULL, NULL, NULL, 6),
(11171, NULL, 'PF01670', NULL, NULL, 'Glycosyl hydrolase family 12', NULL, 'Glyco_hydro_12', NULL, NULL, NULL, 6),
(11172, NULL, 'PF05494', NULL, NULL, 'MlaC protein', NULL, 'MlaC', NULL, NULL, NULL, 6),
(11173, NULL, 'PF05788', NULL, NULL, 'Orbivirus RNA-dependent RNA polymerase (VP1)', NULL, 'Orbi_VP1', NULL, NULL, NULL, 6),
(11174, NULL, 'PF00673', NULL, NULL, 'ribosomal L5P family C-terminus', NULL, 'Ribosomal_L5_C', NULL, NULL, NULL, 6),
(11175, NULL, 'PF04501', NULL, NULL, 'Baculovirus major capsid protein VP39', NULL, 'Baculo_VP39', NULL, NULL, NULL, 6),
(11176, NULL, 'PF15999', NULL, NULL, 'Domain of unknown function (DUF4774)', NULL, 'DUF4774', NULL, NULL, NULL, 6),
(11177, NULL, 'PF08501', NULL, NULL, 'Shikimate dehydrogenase substrate binding domain', NULL, 'Shikimate_dh_N', NULL, NULL, NULL, 6),
(11178, NULL, 'PF02810', NULL, NULL, 'SEC-C motif', NULL, 'SEC-C', NULL, NULL, NULL, 6),
(11179, NULL, 'PF13705', NULL, NULL, 'TRC8 N-terminal domain', NULL, 'TRC8_N', NULL, NULL, NULL, 6),
(11180, NULL, 'PF15651', NULL, NULL, 'Salivary glad secreted protein domain toxin', NULL, 'Tox-SGS', NULL, NULL, NULL, 6),
(11181, NULL, 'PF04992', NULL, NULL, 'RNA polymerase Rpb1, domain 6', NULL, 'RNA_pol_Rpb1_6', NULL, NULL, NULL, 6),
(11182, NULL, 'PF01394', NULL, NULL, 'Clathrin propeller repeat', NULL, 'Clathrin_propel', NULL, NULL, NULL, 6),
(11183, NULL, 'PF15143', NULL, NULL, 'Domain of unknown function (DUF4575)', NULL, 'DUF4575', NULL, NULL, NULL, 6),
(11184, NULL, 'PF11365', NULL, NULL, 'Protein SOGA', NULL, 'SOGA', NULL, NULL, NULL, 6),
(11185, NULL, 'PF04190', NULL, NULL, 'Protein of unknown function (DUF410)', NULL, 'DUF410', NULL, NULL, NULL, 6),
(11186, NULL, 'PF01519', NULL, NULL, 'Protein of unknown function DUF16', NULL, 'DUF16', NULL, NULL, NULL, 6),
(11187, NULL, 'PF05109', NULL, NULL, 'Herpes virus major outer envelope glycoprotein (BLLF1)', NULL, 'Herpes_BLLF1', NULL, NULL, NULL, 6),
(11188, NULL, 'PF09818', NULL, NULL, 'Predicted ATPase of the ABC class', NULL, 'ABC_ATPase', NULL, NULL, NULL, 6),
(11189, NULL, 'PF00945', NULL, NULL, 'Rhabdovirus nucleocapsid protein', NULL, 'Rhabdo_ncap', NULL, NULL, NULL, 6),
(11190, NULL, 'PF17236', NULL, NULL, 'Family of unknown function (DUF5309)', NULL, 'DUF5309', NULL, NULL, NULL, 6),
(11191, NULL, 'PF14459', NULL, NULL, 'Prokaryotic E2 family C', NULL, 'Prok-E2_C', NULL, NULL, NULL, 6),
(11192, NULL, 'PF04267', NULL, NULL, 'Sarcosine oxidase, delta subunit family', NULL, 'SoxD', NULL, NULL, NULL, 6),
(11193, NULL, 'PF11120', NULL, NULL, 'Cellulose biosynthesis protein BcsF', NULL, 'CBP_BcsF', NULL, NULL, NULL, 6),
(11194, NULL, 'PF03430', NULL, NULL, 'Trans-activating transcriptional regulator', NULL, 'TATR', NULL, NULL, NULL, 6),
(11195, NULL, 'PF06585', NULL, NULL, 'Haemolymph juvenile hormone binding protein (JHBP)', NULL, 'JHBP', NULL, NULL, NULL, 6),
(11196, NULL, 'PF00446', NULL, NULL, 'Gonadotropin-releasing hormone', NULL, 'GnRH', NULL, NULL, NULL, 6),
(11197, NULL, 'PF14432', NULL, NULL, 'DYW family of nucleic acid deaminases', NULL, 'DYW_deaminase', NULL, NULL, NULL, 6),
(11198, NULL, 'PF18457', NULL, NULL, 'Up-Regulated in long-lived daf-2', NULL, 'PUD1_2', NULL, NULL, NULL, 6),
(11199, NULL, 'PF08942', NULL, NULL, 'Domain of unknown function (DUF1919)', NULL, 'DUF1919', NULL, NULL, NULL, 6),
(11200, NULL, 'PF04314', NULL, NULL, 'Copper chaperone PCu(A)C', NULL, 'PCuAC', NULL, NULL, NULL, 6),
(11201, NULL, 'PF12717', NULL, NULL, 'non-SMC mitotic condensation complex subunit 1', NULL, 'Cnd1', NULL, NULL, NULL, 6),
(11202, NULL, 'PF17250', NULL, NULL, 'NADH-ubiquinone oxidoreductase 11 kDa subunit', NULL, 'NDUFB11', NULL, NULL, NULL, 6),
(11203, NULL, 'PF11904', NULL, NULL, 'GPCR-chaperone', NULL, 'GPCR_chapero_1', NULL, NULL, NULL, 6),
(11204, NULL, 'PF00037', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11205, NULL, 'PF18322', NULL, NULL, 'Serine protease Clip domain PPAF-2', NULL, 'CLIP_1', NULL, NULL, NULL, 6),
(11206, NULL, 'PF07129', NULL, NULL, 'Protein of unknown function (DUF1381)', NULL, 'DUF1381', NULL, NULL, NULL, 6),
(11207, NULL, 'PF09320', NULL, NULL, 'Domain of unknown function (DUF1977)', NULL, 'DUF1977', NULL, NULL, NULL, 6),
(11208, NULL, 'PF01650', NULL, NULL, 'Peptidase C13 family', NULL, 'Peptidase_C13', NULL, NULL, NULL, 6),
(11209, NULL, 'PF09905', NULL, NULL, 'DNA-binding protein VF530', NULL, 'VF530', NULL, NULL, NULL, 6),
(11210, NULL, 'PF15093', NULL, NULL, 'Domain of unknown function (DUF4555)', NULL, 'DUF4555', NULL, NULL, NULL, 6),
(11211, NULL, 'PF15898', NULL, NULL, 'cGMP-dependent protein kinase interacting domain', NULL, 'PRKG1_interact', NULL, NULL, NULL, 6),
(11212, NULL, 'PF11945', NULL, NULL, 'WAHD domain of WASH complex', NULL, 'WASH_WAHD', NULL, NULL, NULL, 6),
(11213, NULL, 'PF15310', NULL, NULL, 'Vitamin A-deficiency (VAD) rat model signalling', NULL, 'VAD1-2', NULL, NULL, NULL, 6),
(11214, NULL, 'PF10968', NULL, NULL, 'Protein of unknown function (DUF2770)', NULL, 'DUF2770', NULL, NULL, NULL, 6),
(11215, NULL, 'PF05867', NULL, NULL, 'Protein of unknown function (DUF851)', NULL, 'DUF851', NULL, NULL, NULL, 6),
(11216, NULL, 'PF03960', NULL, NULL, 'ArsC family', NULL, 'ArsC', NULL, NULL, NULL, 6),
(11217, NULL, 'PF18886', NULL, NULL, 'Repeats of unknown function (DUF5649)', NULL, 'DUF5649', NULL, NULL, NULL, 6),
(11218, NULL, 'PF02427', NULL, NULL, 'Photosystem I reaction centre subunit IV / PsaE', NULL, 'PSI_PsaE', NULL, NULL, NULL, 6),
(11219, NULL, 'PF07216', NULL, NULL, 'LcrG protein', NULL, 'LcrG', NULL, NULL, NULL, 6),
(11220, NULL, 'PF00502', NULL, NULL, 'Phycobilisome protein', NULL, 'Phycobilisome', NULL, NULL, NULL, 6),
(11221, NULL, 'PF03612', NULL, NULL, 'Sorbitol phosphotransferase enzyme II N-terminus', NULL, 'EIIBC-GUT_N', NULL, NULL, NULL, 6),
(11222, NULL, 'PF11940', NULL, NULL, 'Domain of unknown function (DUF3458) Ig-like fold', NULL, 'DUF3458', NULL, NULL, NULL, 6),
(11223, NULL, 'PF02952', NULL, NULL, 'L-fucose isomerase, C-terminal domain', NULL, 'Fucose_iso_C', NULL, NULL, NULL, 6),
(11224, NULL, 'PF16263', NULL, NULL, 'Domain of unknown function (DUF4917)', NULL, 'DUF4917', NULL, NULL, NULL, 6),
(11225, NULL, 'PF18783', NULL, NULL, 'Isopullulanase beta-solenoid repeat', NULL, 'IPU_b_solenoid', NULL, NULL, NULL, 6),
(11226, NULL, 'PF03614', NULL, NULL, 'Repressor of phase-1 flagellin', NULL, 'Flag1_repress', NULL, NULL, NULL, 6),
(11227, NULL, 'PF02289', NULL, NULL, 'Cyclohydrolase (MCH)', NULL, 'MCH', NULL, NULL, NULL, 6),
(11228, NULL, 'PF18356', NULL, NULL, 'Domain of unknown function (DUF5608)', NULL, 'DUF5608', NULL, NULL, NULL, 6),
(11229, NULL, 'PF12611', NULL, NULL, 'Putative flagellar', NULL, 'Flagellar_put', NULL, NULL, NULL, 6),
(11230, NULL, 'PF18818', NULL, NULL, 'Zincin-like metallopeptidase', NULL, 'MPTase-PolyVal', NULL, NULL, NULL, 6),
(11231, NULL, 'PF08280', NULL, NULL, 'M protein trans-acting positive regulator (MGA) HTH domain', NULL, 'HTH_Mga', NULL, NULL, NULL, 6),
(11232, NULL, 'PF05876', NULL, NULL, 'Phage terminase large subunit (GpA)', NULL, 'Terminase_GpA', NULL, NULL, NULL, 6),
(11233, NULL, 'PF02075', NULL, NULL, 'Crossover junction endodeoxyribonuclease RuvC', NULL, 'RuvC', NULL, NULL, NULL, 6),
(11234, NULL, 'PF00041', NULL, NULL, 'Fibronectin type III domain', NULL, 'fn3', NULL, NULL, NULL, 6),
(11235, NULL, 'PF11099', NULL, NULL, 'Apoptosis regulator M11L like', NULL, 'M11L', NULL, NULL, NULL, 6),
(11236, NULL, 'PF00110', NULL, NULL, 'wnt family', NULL, 'wnt', NULL, NULL, NULL, 6),
(11237, NULL, 'PF02669', NULL, NULL, 'K+-transporting ATPase, c chain', NULL, 'KdpC', NULL, NULL, NULL, 6),
(11238, NULL, 'PF11986', NULL, NULL, 'Influenza A Proapoptotic protein', NULL, 'PB1-F2', NULL, NULL, NULL, 6),
(11239, NULL, 'PF07271', NULL, NULL, 'Cytadhesin P30/P32', NULL, 'Cytadhesin_P30', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11240, NULL, 'PF01934', NULL, NULL, 'Protein of unknown function DUF86', NULL, 'DUF86', NULL, NULL, NULL, 6),
(11241, NULL, 'PF01392', NULL, NULL, 'Fz domain', NULL, 'Fz', NULL, NULL, NULL, 6),
(11242, NULL, 'PF09793', NULL, NULL, 'Anticodon-binding domain', NULL, 'AD', NULL, NULL, NULL, 6),
(11243, NULL, 'PF10980', NULL, NULL, 'Protein of unknown function (DUF2787)', NULL, 'DUF2787', NULL, NULL, NULL, 6),
(11244, NULL, 'PF01203', NULL, NULL, 'Type II secretion system (T2SS), protein N', NULL, 'T2SSN', NULL, NULL, NULL, 6),
(11245, NULL, 'PF09784', NULL, NULL, 'Mitochondrial ribosomal protein L31', NULL, 'L31', NULL, NULL, NULL, 6),
(11246, NULL, 'PF03463', NULL, NULL, 'eRF1 domain 1', NULL, 'eRF1_1', NULL, NULL, NULL, 6),
(11247, NULL, 'PF01832', NULL, NULL, 'Mannosyl-glycoprotein endo-beta-N-acetylglucosaminidase', NULL, 'Glucosaminidase', NULL, NULL, NULL, 6),
(11248, NULL, 'PF03077', NULL, NULL, 'Putative vacuolating cytotoxin', NULL, 'VacA2', NULL, NULL, NULL, 6),
(11249, NULL, 'PF10190', NULL, NULL, 'Putative transmembrane protein 170', NULL, 'Tmemb_170', NULL, NULL, NULL, 6),
(11250, NULL, 'PF00879', NULL, NULL, 'Defensin propeptide', NULL, 'Defensin_propep', NULL, NULL, NULL, 6),
(11251, NULL, 'PF10370', NULL, NULL, 'Domain of unknown function (DUF2437)', NULL, 'DUF2437', NULL, NULL, NULL, 6),
(11252, NULL, 'PF01078', NULL, NULL, 'Magnesium chelatase, subunit ChlI', NULL, 'Mg_chelatase', NULL, NULL, NULL, 6),
(11253, NULL, 'PF14107', NULL, NULL, 'Domain of unknown function (DUF4280)', NULL, 'DUF4280', NULL, NULL, NULL, 6),
(11254, NULL, 'PF02212', NULL, NULL, 'Dynamin GTPase effector domain', NULL, 'GED', NULL, NULL, NULL, 6),
(11255, NULL, 'PF02259', NULL, NULL, 'FAT domain', NULL, 'FAT', NULL, NULL, NULL, 6),
(11256, NULL, 'PF02986', NULL, NULL, 'Fibronectin binding repeat', NULL, 'Fn_bind', NULL, NULL, NULL, 6),
(11257, NULL, 'PF09375', NULL, NULL, 'Imelysin', NULL, 'Peptidase_M75', NULL, NULL, NULL, 6),
(11258, NULL, 'PF12499', NULL, NULL, 'Pherophorin', NULL, 'DUF3707', NULL, NULL, NULL, 6),
(11259, NULL, 'PF06219', NULL, NULL, 'Protein of unknown function (DUF1005)', NULL, 'DUF1005', NULL, NULL, NULL, 6),
(11260, NULL, 'PF12753', NULL, NULL, 'Nuclear pore complex subunit Nro1', NULL, 'Nro1', NULL, NULL, NULL, 6),
(11261, NULL, 'PF08600', NULL, NULL, 'Rsm1-like', NULL, 'Rsm1', NULL, NULL, NULL, 6),
(11262, NULL, 'PF08245', NULL, NULL, 'Mur ligase middle domain', NULL, 'Mur_ligase_M', NULL, NULL, NULL, 6),
(11263, NULL, 'PF13153', NULL, NULL, 'Protein of unknown function (DUF3985)', NULL, 'DUF3985', NULL, NULL, NULL, 6),
(11264, NULL, 'PF09251', NULL, NULL, 'Salmonella phage P22 tail-spike', NULL, 'PhageP22-tail', NULL, NULL, NULL, 6),
(11265, NULL, 'PF17218', NULL, NULL, 'CBX family C-terminal motif', NULL, 'CBX7_C', NULL, NULL, NULL, 6),
(11266, NULL, 'PF17773', NULL, NULL, 'UPF0176 acylphosphatase like domain', NULL, 'UPF0176_N', NULL, NULL, NULL, 6),
(11267, NULL, 'PF05943', NULL, NULL, 'EvpB/VC_A0108, tail sheath N-terminal domain', NULL, 'VipB', NULL, NULL, NULL, 6),
(11268, NULL, 'PF02980', NULL, NULL, 'Restriction endonuclease FokI, catalytic domain', NULL, 'FokI_C', NULL, NULL, NULL, 6),
(11269, NULL, 'PF02468', NULL, NULL, 'Photosystem II reaction centre N protein (psbN)', NULL, 'PsbN', NULL, NULL, NULL, 6),
(11270, NULL, 'PF16578', NULL, NULL, 'Interleukin 17 receptor D', NULL, 'IL17R_fnIII_D2', NULL, NULL, NULL, 6),
(11271, NULL, 'PF04620', NULL, NULL, 'Flagellar filament outer layer protein Flaa', NULL, 'FlaA', NULL, NULL, NULL, 6),
(11272, NULL, 'PF03861', NULL, NULL, 'ANTAR domain', NULL, 'ANTAR', NULL, NULL, NULL, 6),
(11273, NULL, 'PF10120', NULL, NULL, 'Thiamine-phosphate synthase', NULL, 'ThiP_synth', NULL, NULL, NULL, 6),
(11274, NULL, 'PF04533', NULL, NULL, 'Herpes virus U44 protein', NULL, 'Herpes_U44', NULL, NULL, NULL, 6),
(11275, NULL, 'PF13293', NULL, NULL, 'Domain of unknown function (DUF4074)', NULL, 'DUF4074', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11276, NULL, 'PF02014', NULL, NULL, 'Reeler domain', NULL, 'Reeler', NULL, NULL, NULL, 6),
(11277, NULL, 'PF14429', NULL, NULL, 'C2 domain in Dock180 and Zizimin proteins', NULL, 'DOCK-C2', NULL, NULL, NULL, 6),
(11278, NULL, 'PF18543', NULL, NULL, 'Intracellular delivery domain', NULL, 'ID', NULL, NULL, NULL, 6),
(11279, NULL, 'PF01733', NULL, NULL, 'Nucleoside transporter', NULL, 'Nucleoside_tran', NULL, NULL, NULL, 6),
(11280, NULL, 'PF18906', NULL, NULL, 'Phage tail tube protein', NULL, 'Phage_tube_2', NULL, NULL, NULL, 6),
(11281, NULL, 'PF11356', NULL, NULL, 'Type II secretion system protein C', NULL, 'T2SSC', NULL, NULL, NULL, 6),
(11282, NULL, 'PF12387', NULL, NULL, 'Pestivirus NS2 peptidase', NULL, 'Peptidase_C74', NULL, NULL, NULL, 6),
(11283, NULL, 'PF04422', NULL, NULL, 'Coenzyme F420 hydrogenase/dehydrogenase, beta subunit N-term', NULL, 'FrhB_FdhB_N', NULL, NULL, NULL, 6),
(11284, NULL, 'PF14982', NULL, NULL, 'UPF0731 family', NULL, 'UPF0731', NULL, NULL, NULL, 6),
(11285, NULL, 'PF02300', NULL, NULL, 'Fumarate reductase subunit C', NULL, 'Fumarate_red_C', NULL, NULL, NULL, 6),
(11286, NULL, 'PF17387', NULL, NULL, 'Glycosyl hydrolase family 59 central domain', NULL, 'Glyco_hydro_59M', NULL, NULL, NULL, 6),
(11287, NULL, 'PF11334', NULL, NULL, 'Protein of unknown function (DUF3136)', NULL, 'DUF3136', NULL, NULL, NULL, 6),
(11288, NULL, 'PF04257', NULL, NULL, 'Exodeoxyribonuclease V, gamma subunit', NULL, 'Exonuc_V_gamma', NULL, NULL, NULL, 6),
(11289, NULL, 'PF16100', NULL, NULL, 'RecQ-mediated genome instability protein 2', NULL, 'RMI2', NULL, NULL, NULL, 6),
(11290, NULL, 'PF10542', NULL, NULL, 'Vitelline membrane cysteine-rich region', NULL, 'Vitelline_membr', NULL, NULL, NULL, 6),
(11291, NULL, 'PF02577', NULL, NULL, 'Domain of unknown function (DUF151)', NULL, 'DUF151', NULL, NULL, NULL, 6),
(11292, NULL, 'PF09365', NULL, NULL, 'Conserved hypothetical protein (DUF2461)', NULL, 'DUF2461', NULL, NULL, NULL, 6),
(11293, NULL, 'PF01899', NULL, NULL, 'Na+/H+ ion antiporter subunit', NULL, 'MNHE', NULL, NULL, NULL, 6),
(11294, NULL, 'PF07634', NULL, NULL, 'RtxA repeat', NULL, 'RtxA', NULL, NULL, NULL, 6),
(11295, NULL, 'PF18860', NULL, NULL, 'AbiJ N-terminal domain 3', NULL, 'AbiJ_NTD3', NULL, NULL, NULL, 6),
(11296, NULL, 'PF16879', NULL, NULL, 'C-terminal domain of Sin3a protein', NULL, 'Sin3a_C', NULL, NULL, NULL, 6),
(11297, NULL, 'PF15704', NULL, NULL, 'Mitochondrial ATP synthase subunit', NULL, 'Mt_ATP_synt', NULL, NULL, NULL, 6),
(11298, NULL, 'PF11749', NULL, NULL, 'Protein of unknown function (DUF3305)', NULL, 'DUF3305', NULL, NULL, NULL, 6),
(11299, NULL, 'PF17719', NULL, NULL, 'Family of unknown function (DUF5564)', NULL, 'DUF5564', NULL, NULL, NULL, 6),
(11300, NULL, 'PF03289', NULL, NULL, 'Poxvirus protein I1', NULL, 'Pox_I1', NULL, NULL, NULL, 6),
(11301, NULL, 'PF11753', NULL, NULL, 'Protein of unknwon function (DUF3310)', NULL, 'DUF3310', NULL, NULL, NULL, 6),
(11302, NULL, 'PF13681', NULL, NULL, 'Type IV pilus assembly protein PilX C-term', NULL, 'PilX', NULL, NULL, NULL, 6),
(11303, NULL, 'PF01712', NULL, NULL, 'Deoxynucleoside kinase', NULL, 'dNK', NULL, NULL, NULL, 6),
(11304, NULL, 'PF03070', NULL, NULL, 'TENA/THI-4/PQQC family', NULL, 'TENA_THI-4', NULL, NULL, NULL, 6),
(11305, NULL, 'PF05387', NULL, NULL, 'Chorion family 3', NULL, 'Chorion_3', NULL, NULL, NULL, 6),
(11306, NULL, 'PF00129', NULL, NULL, 'Class I Histocompatibility antigen, domains alpha 1 and 2', NULL, 'MHC_I', NULL, NULL, NULL, 6),
(11307, NULL, 'PF13724', NULL, NULL, 'DNA-binding domain', NULL, 'DNA_binding_2', NULL, NULL, NULL, 6),
(11308, NULL, 'PF03533', NULL, NULL, 'SPO11 homologue', NULL, 'SPO11_like', NULL, NULL, NULL, 6),
(11309, NULL, 'PF09342', NULL, NULL, 'Domain of unknown function (DUF1986)', NULL, 'DUF1986', NULL, NULL, NULL, 6),
(11310, NULL, 'PF10973', NULL, NULL, 'Protein of unknown function (DUF2799)', NULL, 'DUF2799', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11311, NULL, 'PF11338', NULL, NULL, 'Protein of unknown function (DUF3140)', NULL, 'DUF3140', NULL, NULL, NULL, 6),
(11312, NULL, 'PF02970', NULL, NULL, 'Tubulin binding cofactor A', NULL, 'TBCA', NULL, NULL, NULL, 6),
(11313, NULL, 'PF00784', NULL, NULL, 'MyTH4 domain', NULL, 'MyTH4', NULL, NULL, NULL, 6),
(11314, NULL, 'PF11116', NULL, NULL, 'Protein of unknown function (DUF2624)', NULL, 'DUF2624', NULL, NULL, NULL, 6),
(11315, NULL, 'PF13590', NULL, NULL, 'Domain of unknown function (DUF4136)', NULL, 'DUF4136', NULL, NULL, NULL, 6),
(11316, NULL, 'PF16081', NULL, NULL, 'Mycobacterial 2 TMS Phage Holin (M2 Hol) Family', NULL, 'Phage_holin_7_1', NULL, NULL, NULL, 6),
(11317, NULL, 'PF05968', NULL, NULL, 'Bacillus PapR protein', NULL, 'Bacillus_PapR', NULL, NULL, NULL, 6),
(11318, NULL, 'PF00525', NULL, NULL, 'Alpha crystallin A chain, N terminal', NULL, 'Crystallin', NULL, NULL, NULL, 6),
(11319, NULL, 'PF08103', NULL, NULL, 'Uperin family', NULL, 'Antimicrobial_8', NULL, NULL, NULL, 6),
(11320, NULL, 'PF17326', NULL, NULL, 'Family of unknown function (DUF5365)', NULL, 'DUF5365', NULL, NULL, NULL, 6),
(11321, NULL, 'PF03220', NULL, NULL, 'Tombusvirus P19 core protein', NULL, 'Tombus_P19', NULL, NULL, NULL, 6),
(11322, NULL, 'PF10715', NULL, NULL, 'T4-page Endoribonuclease RegB', NULL, 'REGB_T4', NULL, NULL, NULL, 6),
(11323, NULL, 'PF12302', NULL, NULL, 'Protein of unknown function (DUF3629)', NULL, 'DUF3629', NULL, NULL, NULL, 6),
(11324, NULL, 'PF04002', NULL, NULL, 'RadC-like JAB domain', NULL, 'RadC', NULL, NULL, NULL, 6),
(11325, NULL, 'PF00270', NULL, NULL, 'DEAD/DEAH box helicase', NULL, 'DEAD', NULL, NULL, NULL, 6),
(11326, NULL, 'PF10791', NULL, NULL, 'Mitochondrial F1-F0 ATP synthase subunit F of fungi', NULL, 'F1F0-ATPsyn_F', NULL, NULL, NULL, 6),
(11327, NULL, 'PF14838', NULL, NULL, 'Integrator complex subunit 5 C-terminus', NULL, 'INTS5_C', NULL, NULL, NULL, 6),
(11328, NULL, 'PF09831', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2058)', NULL, 'DUF2058', NULL, NULL, NULL, 6),
(11329, NULL, 'PF05623', NULL, NULL, 'Protein of unknown function (DUF789)', NULL, 'DUF789', NULL, NULL, NULL, 6),
(11330, NULL, 'PF00257', NULL, NULL, 'Dehydrin', NULL, 'Dehydrin', NULL, NULL, NULL, 6),
(11331, NULL, 'PF12699', NULL, NULL, 'phiKZ-like phage internal head proteins', NULL, 'phiKZ_IP', NULL, NULL, NULL, 6),
(11332, NULL, 'PF01365', NULL, NULL, 'RIH domain', NULL, 'RYDR_ITPR', NULL, NULL, NULL, 6),
(11333, NULL, 'PF17596', NULL, NULL, 'Family of unknown function (DUF5492)', NULL, 'DUF5492', NULL, NULL, NULL, 6),
(11334, NULL, 'PF01408', NULL, NULL, 'Oxidoreductase family, NAD-binding Rossmann fold', NULL, 'GFO_IDH_MocA', NULL, NULL, NULL, 6),
(11335, NULL, 'PF06427', NULL, NULL, 'UDP-glucose:Glycoprotein Glucosyltransferase', NULL, 'UDP-g_GGTase', NULL, NULL, NULL, 6),
(11336, NULL, 'PF06396', NULL, NULL, 'Angiotensin II, type I receptor-associated protein (AGTRAP)', NULL, 'AGTRAP', NULL, NULL, NULL, 6),
(11337, NULL, 'PF18103', NULL, NULL, 'Retroviral integrase C-terminal SH3 domain', NULL, 'SH3_11', NULL, NULL, NULL, 6),
(11338, NULL, 'PF09345', NULL, NULL, 'Domain of unknown function (DUF1987)', NULL, 'DUF1987', NULL, NULL, NULL, 6),
(11339, NULL, 'PF18074', NULL, NULL, 'Primosomal protein N C-terminal domain', NULL, 'PriA_C', NULL, NULL, NULL, 6),
(11340, NULL, 'PF13986', NULL, NULL, 'Domain of unknown function (DUF4224)', NULL, 'DUF4224', NULL, NULL, NULL, 6),
(11341, NULL, 'PF19135', NULL, NULL, 'Protein of unknown function (DUF5818)', NULL, 'DUF5818', NULL, NULL, NULL, 6),
(11342, NULL, 'PF07938', NULL, NULL, 'Fungal fucose-specific lectin', NULL, 'Fungal_lectin', NULL, NULL, NULL, 6),
(11343, NULL, 'PF14753', NULL, NULL, 'Protein FAM221A/B', NULL, 'FAM221', NULL, NULL, NULL, 6),
(11344, NULL, 'PF08476', NULL, NULL, 'Viral D10 N-terminal', NULL, 'VD10_N', NULL, NULL, NULL, 6),
(11345, NULL, 'PF17300', NULL, NULL, 'Filaments in between nuclei protein-1', NULL, 'FIN1', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11346, NULL, 'PF06081', NULL, NULL, 'Aromatic acid exporter family member 1', NULL, 'ArAE_1', NULL, NULL, NULL, 6),
(11347, NULL, 'PF01212', NULL, NULL, 'Beta-eliminating lyase', NULL, 'Beta_elim_lyase', NULL, NULL, NULL, 6),
(11348, NULL, 'PF09888', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2115)', NULL, 'DUF2115', NULL, NULL, NULL, 6),
(11349, NULL, 'PF04321', NULL, NULL, 'RmlD substrate binding domain', NULL, 'RmlD_sub_bind', NULL, NULL, NULL, 6),
(11350, NULL, 'PF12877', NULL, NULL, 'Domain of unknown function (DUF3827)', NULL, 'DUF3827', NULL, NULL, NULL, 6),
(11351, NULL, 'PF18849', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 7', NULL, 'baeRF_family7', NULL, NULL, NULL, 6),
(11352, NULL, 'PF13420', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_4', NULL, NULL, NULL, 6),
(11353, NULL, 'PF15630', NULL, NULL, 'CENP-S protein', NULL, 'CENP-S', NULL, NULL, NULL, 6),
(11354, NULL, 'PF01269', NULL, NULL, 'Fibrillarin', NULL, 'Fibrillarin', NULL, NULL, NULL, 6),
(11355, NULL, 'PF04991', NULL, NULL, 'LicD family', NULL, 'LicD', NULL, NULL, NULL, 6),
(11356, NULL, 'PF03469', NULL, NULL, 'XH domain', NULL, 'XH', NULL, NULL, NULL, 6),
(11357, NULL, 'PF04084', NULL, NULL, 'Origin recognition complex subunit 2', NULL, 'ORC2', NULL, NULL, NULL, 6),
(11358, NULL, 'PF13688', NULL, NULL, 'Metallo-peptidase family M12', NULL, 'Reprolysin_5', NULL, NULL, NULL, 6),
(11359, NULL, 'PF16350', NULL, NULL, 'FAD dependent oxidoreductase central domain', NULL, 'FAO_M', NULL, NULL, NULL, 6),
(11360, NULL, 'PF06245', NULL, NULL, 'Protein of unknown function (DUF1015)', NULL, 'DUF1015', NULL, NULL, NULL, 6),
(11361, NULL, 'PF18993', NULL, NULL, 'Rv0078B-related antitoxin', NULL, 'Rv0078B', NULL, NULL, NULL, 6),
(11362, NULL, 'PF00174', NULL, NULL, 'Oxidoreductase molybdopterin binding domain', NULL, 'Oxidored_molyb', NULL, NULL, NULL, 6),
(11363, NULL, 'PF16574', NULL, NULL, 'Coiled-coil region of centrosome protein CE290', NULL, 'CEP209_CC5', NULL, NULL, NULL, 6),
(11364, NULL, 'PF03127', NULL, NULL, 'GAT domain', NULL, 'GAT', NULL, NULL, NULL, 6),
(11365, NULL, 'PF18556', NULL, NULL, 'Bacterial Tetracyclin repressor,  C-terminal domain', NULL, 'TetR_C_35', NULL, NULL, NULL, 6),
(11366, NULL, 'PF17993', NULL, NULL, 'Haemagglutinin 70 C-terminal domain', NULL, 'HA70_C', NULL, NULL, NULL, 6),
(11367, NULL, 'PF17705', NULL, NULL, 'Family of unknown function (DUF5551)', NULL, 'DUF5551', NULL, NULL, NULL, 6),
(11368, NULL, 'PF07855', NULL, NULL, 'Autophagy-related protein 101', NULL, 'ATG101', NULL, NULL, NULL, 6),
(11369, NULL, 'PF04098', NULL, NULL, 'Rad52/22 family double-strand break repair protein', NULL, 'Rad52_Rad22', NULL, NULL, NULL, 6),
(11370, NULL, 'PF16909', NULL, NULL, 'Vacuolar-sorting-associated 13 protein C-terminal', NULL, 'VPS13_C', NULL, NULL, NULL, 6),
(11371, NULL, 'PF08426', NULL, NULL, 'ICE2', NULL, 'ICE2', NULL, NULL, NULL, 6),
(11372, NULL, 'PF17450', NULL, NULL, 'Alpha galactosidase A C-terminal beta sandwich domain', NULL, 'Melibiase_2_C', NULL, NULL, NULL, 6),
(11373, NULL, 'PF14325', NULL, NULL, 'Domain of unknown function (DUF4383)', NULL, 'DUF4383', NULL, NULL, NULL, 6),
(11374, NULL, 'PF18928', NULL, NULL, 'Family of unknown function (DUF5677)', NULL, 'DUF5677', NULL, NULL, NULL, 6),
(11375, NULL, 'PF13414', NULL, NULL, 'TPR repeat', NULL, 'TPR_11', NULL, NULL, NULL, 6),
(11376, NULL, 'PF16294', NULL, NULL, 'RNSP1-SAP18 binding (RSB) motif', NULL, 'RSB_motif', NULL, NULL, NULL, 6),
(11377, NULL, 'PF02101', NULL, NULL, 'Ocular albinism type 1 protein', NULL, 'Ocular_alb', NULL, NULL, NULL, 6),
(11378, NULL, 'PF04441', NULL, NULL, 'Poxvirus early transcription factor (VETF), large subunit', NULL, 'Pox_VERT_large', NULL, NULL, NULL, 6),
(11379, NULL, 'PF12534', NULL, NULL, 'Pannexin-like TM region of LRRC8', NULL, 'Pannexin_like', NULL, NULL, NULL, 6),
(11380, NULL, 'PF09553', NULL, NULL, 'Eco47II restriction endonuclease', NULL, 'RE_Eco47II', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11381, NULL, 'PF03378', NULL, NULL, 'CAS/CSE protein, C-terminus', NULL, 'CAS_CSE1', NULL, NULL, NULL, 6),
(11382, NULL, 'PF12989', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3873)', NULL, 'DUF3873', NULL, NULL, NULL, 6),
(11383, NULL, 'PF04421', NULL, NULL, 'Mss4 protein', NULL, 'Mss4', NULL, NULL, NULL, 6),
(11384, NULL, 'PF08863', NULL, NULL, 'YolD-like protein', NULL, 'YolD', NULL, NULL, NULL, 6),
(11385, NULL, 'PF11036', NULL, NULL, 'Virulence promoting factor', NULL, 'YqgB', NULL, NULL, NULL, 6),
(11386, NULL, 'PF11011', NULL, NULL, 'Protein of unknown function (DUF2849)', NULL, 'DUF2849', NULL, NULL, NULL, 6),
(11387, NULL, 'PF15671', NULL, NULL, 'Proline-rich protein family 18', NULL, 'PRR18', NULL, NULL, NULL, 6),
(11388, NULL, 'PF18692', NULL, NULL, 'Family of unknown function (DUF5640)', NULL, 'DUF5640', NULL, NULL, NULL, 6),
(11389, NULL, 'PF03801', NULL, NULL, 'HEC/Ndc80p family', NULL, 'Ndc80_HEC', NULL, NULL, NULL, 6),
(11390, NULL, 'PF08645', NULL, NULL, 'Polynucleotide kinase 3 phosphatase', NULL, 'PNK3P', NULL, NULL, NULL, 6),
(11391, NULL, 'PF03053', NULL, NULL, 'ORF3b coronavirus protein', NULL, 'Corona_NS3b', NULL, NULL, NULL, 6),
(11392, NULL, 'PF18351', NULL, NULL, 'Fungal Argonaute N-terminal domain', NULL, 'Ago_N_1', NULL, NULL, NULL, 6),
(11393, NULL, 'PF03283', NULL, NULL, 'Pectinacetylesterase', NULL, 'PAE', NULL, NULL, NULL, 6),
(11394, NULL, 'PF05486', NULL, NULL, 'Signal recognition particle 9 kDa protein (SRP9)', NULL, 'SRP9-21', NULL, NULL, NULL, 6),
(11395, NULL, 'PF07939', NULL, NULL, 'Protein of unknown function (DUF1685)', NULL, 'DUF1685', NULL, NULL, NULL, 6),
(11396, NULL, 'PF07381', NULL, NULL, 'Winged helix DNA-binding domain (DUF1495)', NULL, 'DUF1495', NULL, NULL, NULL, 6),
(11397, NULL, 'PF00380', NULL, NULL, 'Ribosomal protein S9/S16', NULL, 'Ribosomal_S9', NULL, NULL, NULL, 6),
(11398, NULL, 'PF12053', NULL, NULL, 'N-terminal of Par3 and HAL proteins', NULL, 'Par3_HAL_N_term', NULL, NULL, NULL, 6),
(11399, NULL, 'PF12663', NULL, NULL, 'Protein of unknown function (DUF3788)', NULL, 'DUF3788', NULL, NULL, NULL, 6),
(11400, NULL, 'PF12329', NULL, NULL, 'TATA element modulatory factor 1 DNA binding', NULL, 'TMF_DNA_bd', NULL, NULL, NULL, 6),
(11401, NULL, 'PF12741', NULL, NULL, 'Susd and RagB outer membrane lipoprotein', NULL, 'SusD-like', NULL, NULL, NULL, 6),
(11402, NULL, 'PF02225', NULL, NULL, 'PA domain', NULL, 'PA', NULL, NULL, NULL, 6),
(11403, NULL, 'PF00081', NULL, NULL, 'Iron/manganese superoxide dismutases, alpha-hairpin domain', NULL, 'Sod_Fe_N', NULL, NULL, NULL, 6),
(11404, NULL, 'PF02636', NULL, NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', NULL, 'Methyltransf_28', NULL, NULL, NULL, 6),
(11405, NULL, 'PF00640', NULL, NULL, 'Phosphotyrosine interaction domain (PTB/PID)', NULL, 'PID', NULL, NULL, NULL, 6),
(11406, NULL, 'PF05263', NULL, NULL, 'Protein of unknown function (DUF722)', NULL, 'DUF722', NULL, NULL, NULL, 6),
(11407, NULL, 'PF06819', NULL, NULL, 'Archaeal Peptidase A24 C-terminal Domain', NULL, 'Arc_PepC', NULL, NULL, NULL, 6),
(11408, NULL, 'PF02709', NULL, NULL, 'N-terminal domain of galactosyltransferase', NULL, 'Glyco_transf_7C', NULL, NULL, NULL, 6),
(11409, NULL, 'PF01694', NULL, NULL, 'Rhomboid family', NULL, 'Rhomboid', NULL, NULL, NULL, 6),
(11410, NULL, 'PF10538', NULL, NULL, 'Hantavirus ITAM motif', NULL, 'ITAM_Cys-rich', NULL, NULL, NULL, 6),
(11411, NULL, 'PF02748', NULL, NULL, 'Aspartate carbamoyltransferase regulatory chain, metal binding domain', NULL, 'PyrI_C', NULL, NULL, NULL, 6),
(11412, NULL, 'PF13178', NULL, NULL, 'Protein of unknown function (DUF4005)', NULL, 'DUF4005', NULL, NULL, NULL, 6),
(11413, NULL, 'PF16846', NULL, NULL, 'Centromere DNA-binding protein complex CBF3 subunit B', NULL, 'Cep3', NULL, NULL, NULL, 6),
(11414, NULL, 'PF08386', NULL, NULL, 'TAP-like protein', NULL, 'Abhydrolase_4', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11415, NULL, 'PF08536', NULL, NULL, 'Whirly transcription factor', NULL, 'Whirly', NULL, NULL, NULL, 6),
(11416, NULL, 'PF13230', NULL, NULL, 'Glutamine amidotransferases class-II', NULL, 'GATase_4', NULL, NULL, NULL, 6),
(11417, NULL, 'PF15102', NULL, NULL, 'TMEM154 protein family', NULL, 'TMEM154', NULL, NULL, NULL, 6),
(11418, NULL, 'PF12607', NULL, NULL, 'Protein of unknown function (DUF3772)', NULL, 'DUF3772', NULL, NULL, NULL, 6),
(11419, NULL, 'PF18550', NULL, NULL, 'Nitrososphaera output domain 2', NULL, 'NitrOD2', NULL, NULL, NULL, 6),
(11420, NULL, 'PF18321', NULL, NULL, '3-hydroxybutyryl-CoA dehydrogenase reduced Rossmann-fold domain', NULL, '3HCDH_RFF', NULL, NULL, NULL, 6),
(11421, NULL, 'PF05764', NULL, NULL, 'YL1 nuclear protein', NULL, 'YL1', NULL, NULL, NULL, 6),
(11422, NULL, 'PF02946', NULL, NULL, 'GTF2I-like repeat', NULL, 'GTF2I', NULL, NULL, NULL, 6),
(11423, NULL, 'PF01834', NULL, NULL, 'XRCC1 N terminal domain', NULL, 'XRCC1_N', NULL, NULL, NULL, 6),
(11424, NULL, 'PF02769', NULL, NULL, 'AIR synthase related protein, C-terminal domain', NULL, 'AIRS_C', NULL, NULL, NULL, 6),
(11425, NULL, 'PF10172', NULL, NULL, 'Det1 complexing ubiquitin ligase', NULL, 'DDA1', NULL, NULL, NULL, 6),
(11426, NULL, 'PF04888', NULL, NULL, 'Secretion system effector C (SseC) like family', NULL, 'SseC', NULL, NULL, NULL, 6),
(11427, NULL, 'PF19139', NULL, NULL, 'Family of unknown function (DUF5822)', NULL, 'DUF5822', NULL, NULL, NULL, 6),
(11428, NULL, 'PF07637', NULL, NULL, 'Protein of unknown function (DUF1595)', NULL, 'PSD5', NULL, NULL, NULL, 6),
(11429, NULL, 'PF10985', NULL, NULL, 'Protein of unknown function (DUF2805)', NULL, 'DUF2805', NULL, NULL, NULL, 6),
(11430, NULL, 'PF08186', NULL, NULL, 'Wound-inducible basic protein family', NULL, 'Wound_ind', NULL, NULL, NULL, 6),
(11431, NULL, 'PF03886', NULL, NULL, 'ABC-type transport auxiliary lipoprotein component', NULL, 'ABC_trans_aux', NULL, NULL, NULL, 6),
(11432, NULL, 'PF13334', NULL, NULL, 'Domain of unknown function (DUF4094)', NULL, 'DUF4094', NULL, NULL, NULL, 6),
(11433, NULL, 'PF01565', NULL, NULL, 'FAD binding domain', NULL, 'FAD_binding_4', NULL, NULL, NULL, 6),
(11434, NULL, 'PF06240', NULL, NULL, 'Carbon monoxide dehydrogenase subunit G (CoxG)', NULL, 'COXG', NULL, NULL, NULL, 6),
(11435, NULL, 'PF19121', NULL, NULL, 'Family of unknown function (DUF5805)', NULL, 'DUF5805', NULL, NULL, NULL, 6),
(11436, NULL, 'PF08528', NULL, NULL, 'Whi5 like', NULL, 'Whi5', NULL, NULL, NULL, 6),
(11437, NULL, 'PF11489', NULL, NULL, 'Altered inheritance of mitochondria protein 21', NULL, 'Aim21', NULL, NULL, NULL, 6),
(11438, NULL, 'PF03211', NULL, NULL, 'Pectate lyase', NULL, 'Pectate_lyase', NULL, NULL, NULL, 6),
(11439, NULL, 'PF02628', NULL, NULL, 'Cytochrome oxidase assembly protein', NULL, 'COX15-CtaA', NULL, NULL, NULL, 6),
(11440, NULL, 'PF15856', NULL, NULL, 'Domain of unknown function (DUF4727)', NULL, 'DUF4727', NULL, NULL, NULL, 6),
(11441, NULL, 'PF09575', NULL, NULL, 'Small spore protein J (Spore_SspJ)', NULL, 'Spore_SspJ', NULL, NULL, NULL, 6),
(11442, NULL, 'PF18714', NULL, NULL, 'DNA polymerase II intein Domain IV', NULL, 'PI-TkoII_IV', NULL, NULL, NULL, 6),
(11443, NULL, 'PF14581', NULL, NULL, 'SseB protein C-terminal domain', NULL, 'SseB_C', NULL, NULL, NULL, 6),
(11444, NULL, 'PF09935', NULL, NULL, 'Protein of unknown function (DUF2167)', NULL, 'DUF2167', NULL, NULL, NULL, 6),
(11445, NULL, 'PF07758', NULL, NULL, 'Protein of unknown function (DUF1614)', NULL, 'DUF1614', NULL, NULL, NULL, 6),
(11446, NULL, 'PF01133', NULL, NULL, 'Enhancer of rudimentary', NULL, 'ER', NULL, NULL, NULL, 6),
(11447, NULL, 'PF06742', NULL, NULL, 'Protein of unknown function (DUF1214)', NULL, 'DUF1214', NULL, NULL, NULL, 6),
(11448, NULL, 'PF00794', NULL, NULL, 'PI3-kinase family, ras-binding domain', NULL, 'PI3K_rbd', NULL, NULL, NULL, 6),
(11449, NULL, 'PF08910', NULL, NULL, 'Aida N-terminus', NULL, 'Aida_N', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11450, NULL, 'PF16362', NULL, NULL, 'YaiA protein', NULL, 'YaiA', NULL, NULL, NULL, 6),
(11451, NULL, 'PF09677', NULL, NULL, 'Type-F conjugative transfer system protein (TrbI_Ftype)', NULL, 'TrbI_Ftype', NULL, NULL, NULL, 6),
(11452, NULL, 'PF02742', NULL, NULL, 'Iron dependent repressor, metal binding and dimerisation domain', NULL, 'Fe_dep_repr_C', NULL, NULL, NULL, 6),
(11453, NULL, 'PF03854', NULL, NULL, 'P-11 zinc finger', NULL, 'zf-P11', NULL, NULL, NULL, 6),
(11454, NULL, 'PF03168', NULL, NULL, 'Late embryogenesis abundant protein', NULL, 'LEA_2', NULL, NULL, NULL, 6),
(11455, NULL, 'PF12830', NULL, NULL, 'Sister chromatid cohesion C-terminus', NULL, 'Nipped-B_C', NULL, NULL, NULL, 6),
(11456, NULL, 'PF16451', NULL, NULL, 'Betacoronavirus-like spike glycoprotein S1, N-terminal', NULL, 'bCoV_S1_N', NULL, NULL, NULL, 6),
(11457, NULL, 'PF16786', NULL, NULL, 'Recombination enhancement, RecA-dependent nuclease', NULL, 'RecA_dep_nuc', NULL, NULL, NULL, 6),
(11458, NULL, 'PF14184', NULL, NULL, 'Regulatory protein YrvL', NULL, 'YrvL', NULL, NULL, NULL, 6),
(11459, NULL, 'PF01145', NULL, NULL, 'SPFH domain / Band 7 family', NULL, 'Band_7', NULL, NULL, NULL, 6),
(11460, NULL, 'PF16855', NULL, NULL, 'Small outer capsid protein', NULL, 'Soc', NULL, NULL, NULL, 6),
(11461, NULL, 'PF00271', NULL, NULL, 'Helicase conserved C-terminal domain', NULL, 'Helicase_C', NULL, NULL, NULL, 6),
(11462, NULL, 'PF18301', NULL, NULL, 'pre ATP-grasp 3 domain', NULL, 'preATP-grasp_3', NULL, NULL, NULL, 6),
(11463, NULL, 'PF02461', NULL, NULL, 'Ammonia monooxygenase', NULL, 'AMO', NULL, NULL, NULL, 6),
(11464, NULL, 'PF06053', NULL, NULL, 'Domain of unknown function (DUF929)', NULL, 'DUF929', NULL, NULL, NULL, 6),
(11465, NULL, 'PF12933', NULL, NULL, 'FTO catalytic domain', NULL, 'FTO_NTD', NULL, NULL, NULL, 6),
(11466, NULL, 'PF17007', NULL, NULL, 'HTH-like', NULL, 'HTH_micro', NULL, NULL, NULL, 6),
(11467, NULL, 'PF01627', NULL, NULL, 'Hpt domain', NULL, 'Hpt', NULL, NULL, NULL, 6),
(11468, NULL, 'PF08626', NULL, NULL, 'Transport protein Trs120 or TRAPPC9, TRAPP II complex subunit', NULL, 'TRAPPC9-Trs120', NULL, NULL, NULL, 6),
(11469, NULL, 'PF14666', NULL, NULL, 'Rapamycin-insensitive companion of mTOR, middle domain', NULL, 'RICTOR_M', NULL, NULL, NULL, 6),
(11470, NULL, 'PF00642', NULL, NULL, 'Zinc finger C-x8-C-x5-C-x3-H type (and similar)', NULL, 'zf-CCCH', NULL, NULL, NULL, 6),
(11471, NULL, 'PF10322', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Sru', NULL, '7TM_GPCR_Sru', NULL, NULL, NULL, 6),
(11472, NULL, 'PF10588', NULL, NULL, 'NADH-ubiquinone oxidoreductase-G iron-sulfur binding region', NULL, 'NADH-G_4Fe-4S_3', NULL, NULL, NULL, 6),
(11473, NULL, 'PF18967', NULL, NULL, 'Family of unknown function (DUF5706)', NULL, 'DUF5706', NULL, NULL, NULL, 6),
(11474, NULL, 'PF11080', NULL, NULL, 'Endoribonuclease GhoS', NULL, 'GhoS', NULL, NULL, NULL, 6),
(11475, NULL, 'PF03202', NULL, NULL, 'Putative mycoplasma lipoprotein, C-terminal region', NULL, 'Lipoprotein_10', NULL, NULL, NULL, 6),
(11476, NULL, 'PF16515', NULL, NULL, 'Clathrin-binding domain of Huntingtin-interacting protein 1', NULL, 'HIP1_clath_bdg', NULL, NULL, NULL, 6),
(11477, NULL, 'PF12454', NULL, NULL, 'GPI-anchored cell wall organization protein', NULL, 'Ecm33', NULL, NULL, NULL, 6),
(11478, NULL, 'PF04774', NULL, NULL, 'Hyaluronan / mRNA binding family', NULL, 'HABP4_PAI-RBP1', NULL, NULL, NULL, 6),
(11479, NULL, 'PF16159', NULL, NULL, 'FOXP coiled-coil domain', NULL, 'FOXP-CC', NULL, NULL, NULL, 6),
(11480, NULL, 'PF13608', NULL, NULL, 'Protein P3 of Potyviral polyprotein', NULL, 'Potyvirid-P3', NULL, NULL, NULL, 6),
(11481, NULL, 'PF15056', NULL, NULL, 'Neuritin protein family', NULL, 'NRN1', NULL, NULL, NULL, 6),
(11482, NULL, 'PF18225', NULL, NULL, 'Sensor histidine kinase (AbfS) sensor domain', NULL, 'AbfS_sensor', NULL, NULL, NULL, 6),
(11483, NULL, 'PF09125', NULL, NULL, 'Cytochrome C oxidase subunit II, transmembrane', NULL, 'COX2-transmemb', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11484, NULL, 'PF08999', NULL, NULL, 'Surfactant protein C, N terminal propeptide', NULL, 'SP_C-Propep', NULL, NULL, NULL, 6),
(11485, NULL, 'PF12953', NULL, NULL, 'Domain of unknown function (DUF3842)', NULL, 'DUF3842', NULL, NULL, NULL, 6),
(11486, NULL, 'PF02060', NULL, NULL, 'Slow voltage-gated potassium channel', NULL, 'ISK_Channel', NULL, NULL, NULL, 6),
(11487, NULL, 'PF09005', NULL, NULL, 'Domain of unknown function (DUF1897)', NULL, 'DUF1897', NULL, NULL, NULL, 6),
(11488, NULL, 'PF18898', NULL, NULL, 'Family of unknown function (DUF5654)', NULL, 'DUF5654', NULL, NULL, NULL, 6),
(11489, NULL, 'PF19092', NULL, NULL, 'Family of unknown function (DUF5780)', NULL, 'DUF5780', NULL, NULL, NULL, 6),
(11490, NULL, 'PF14969', NULL, NULL, 'Domain of unknown function (DUF4508)', NULL, 'DUF4508', NULL, NULL, NULL, 6),
(11491, NULL, 'PF09318', NULL, NULL, 'Glycosyl transferase 1 domain A', NULL, 'Glyco_trans_A_1', NULL, NULL, NULL, 6),
(11492, NULL, 'PF13258', NULL, NULL, 'Domain of unknown function (DUF4049)', NULL, 'DUF4049', NULL, NULL, NULL, 6),
(11493, NULL, 'PF06167', NULL, NULL, 'Glucose-regulated metallo-peptidase M90', NULL, 'Peptidase_M90', NULL, NULL, NULL, 6),
(11494, NULL, 'PF08672', NULL, NULL, 'Anaphase promoting complex (APC) subunit 2', NULL, 'ANAPC2', NULL, NULL, NULL, 6),
(11495, NULL, 'PF00331', NULL, NULL, 'Glycosyl hydrolase family 10', NULL, 'Glyco_hydro_10', NULL, NULL, NULL, 6),
(11496, NULL, 'PF17221', NULL, NULL, 'COMMD1 N-terminal domain', NULL, 'COMMD1_N', NULL, NULL, NULL, 6),
(11497, NULL, 'PF02445', NULL, NULL, 'Quinolinate synthetase A protein', NULL, 'NadA', NULL, NULL, NULL, 6),
(11498, NULL, 'PF17088', NULL, NULL, 'Uncharacterised protein family', NULL, 'YCF90', NULL, NULL, NULL, 6),
(11499, NULL, 'PF08345', NULL, NULL, 'Flagellar M-ring protein C-terminal', NULL, 'YscJ_FliF_C', NULL, NULL, NULL, 6),
(11500, NULL, 'PF14386', NULL, NULL, 'Domain of unknown function (DUF4417)', NULL, 'DUF4417', NULL, NULL, NULL, 6),
(11501, NULL, 'PF16102', NULL, NULL, 'ACTH-associated domain', NULL, 'ACTH_assoc', NULL, NULL, NULL, 6),
(11502, NULL, 'PF17472', NULL, NULL, 'Family of unknown function (DUF5425)', NULL, 'DUF5425', NULL, NULL, NULL, 6),
(11503, NULL, 'PF04486', NULL, NULL, 'SchA/CurD like domain', NULL, 'SchA_CurD', NULL, NULL, NULL, 6),
(11504, NULL, 'PF18247', NULL, NULL, 'Flax-rust effector AvrM N-terminal domain', NULL, 'AvrM_N', NULL, NULL, NULL, 6),
(11505, NULL, 'PF09504', NULL, NULL, 'Bsp6I restriction endonuclease', NULL, 'RE_Bsp6I', NULL, NULL, NULL, 6),
(11506, NULL, 'PF12712', NULL, NULL, 'Domain of unknown function (DUF3805)', NULL, 'DUF3805', NULL, NULL, NULL, 6),
(11507, NULL, 'PF03066', NULL, NULL, 'Nucleoplasmin/nucleophosmin domain', NULL, 'Nucleoplasmin', NULL, NULL, NULL, 6),
(11508, NULL, 'PF13584', NULL, NULL, 'BatD DUF11 like domain', NULL, 'BatD', NULL, NULL, NULL, 6),
(11509, NULL, 'PF14031', NULL, NULL, 'Putative serine dehydratase domain', NULL, 'D-ser_dehydrat', NULL, NULL, NULL, 6),
(11510, NULL, 'PF03989', NULL, NULL, 'DNA gyrase C-terminal domain, beta-propeller', NULL, 'DNA_gyraseA_C', NULL, NULL, NULL, 6),
(11511, NULL, 'PF09630', NULL, NULL, 'Domain of unknown function (DUF2024)', NULL, 'DUF2024', NULL, NULL, NULL, 6),
(11512, NULL, 'PF04134', NULL, NULL, 'Protein of unknown function, DUF393', NULL, 'DUF393', NULL, NULL, NULL, 6),
(11513, NULL, 'PF00813', NULL, NULL, 'FliP family', NULL, 'FliP', NULL, NULL, NULL, 6),
(11514, NULL, 'PF00975', NULL, NULL, 'Thioesterase domain', NULL, 'Thioesterase', NULL, NULL, NULL, 6),
(11515, NULL, 'PF12219', NULL, NULL, 'Catalytic domain of bacteriophage endosialidase', NULL, 'End_tail_spike', NULL, NULL, NULL, 6),
(11516, NULL, 'PF18179', NULL, NULL, 'SMODS- and Ubiquitin system-associated 2TM effector domain', NULL, 'SUa-2TM', NULL, NULL, NULL, 6),
(11517, NULL, 'PF17323', NULL, NULL, 'Trans-membrane regulatory protein ToxS', NULL, 'ToxS', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11518, NULL, 'PF02068', NULL, NULL, 'Plant PEC family metallothionein', NULL, 'Metallothio_PEC', NULL, NULL, NULL, 6),
(11519, NULL, 'PF05552', NULL, NULL, 'Conserved TM helix', NULL, 'TM_helix', NULL, NULL, NULL, 6),
(11520, NULL, 'PF15625', NULL, NULL, 'CC2D2A N-terminal C2 domain', NULL, 'CC2D2AN-C2', NULL, NULL, NULL, 6),
(11521, NULL, 'PF19000', NULL, NULL, 'Family of unknown function (DUF5729)', NULL, 'DUF5729', NULL, NULL, NULL, 6),
(11522, NULL, 'PF02250', NULL, NULL, '35kD major secreted virus protein', NULL, 'Orthopox_35kD', NULL, NULL, NULL, 6),
(11523, NULL, 'PF19103', NULL, NULL, 'Family of unknown function (DUF5790)', NULL, 'DUF5790', NULL, NULL, NULL, 6),
(11524, NULL, 'PF11806', NULL, NULL, 'Domain of unknown function (DUF3327)', NULL, 'DUF3327', NULL, NULL, NULL, 6),
(11525, NULL, 'PF08705', NULL, NULL, 'Gag protein p6', NULL, 'Gag_p6', NULL, NULL, NULL, 6),
(11526, NULL, 'PF00210', NULL, NULL, 'Ferritin-like domain', NULL, 'Ferritin', NULL, NULL, NULL, 6),
(11527, NULL, 'PF13978', NULL, NULL, 'Protein of unknown function (DUF4223)', NULL, 'DUF4223', NULL, NULL, NULL, 6),
(11528, NULL, 'PF14436', NULL, NULL, 'Bacterial EndoU nuclease', NULL, 'EndoU_bacteria', NULL, NULL, NULL, 6),
(11529, NULL, 'PF18113', NULL, NULL, 'Rubredoxin binding C-terminal domain', NULL, 'Rbx_binding', NULL, NULL, NULL, 6),
(11530, NULL, 'PF08195', NULL, NULL, 'TRI9 protein', NULL, 'TRI9', NULL, NULL, NULL, 6),
(11531, NULL, 'PF04736', NULL, NULL, 'Eclosion hormone', NULL, 'Eclosion', NULL, NULL, NULL, 6),
(11532, NULL, 'PF00370', NULL, NULL, 'FGGY family of carbohydrate kinases, N-terminal domain', NULL, 'FGGY_N', NULL, NULL, NULL, 6),
(11533, NULL, 'PF04446', NULL, NULL, 'tRNAHis guanylyltransferase', NULL, 'Thg1', NULL, NULL, NULL, 6),
(11534, NULL, 'PF06815', NULL, NULL, 'Reverse transcriptase connection domain', NULL, 'RVT_connect', NULL, NULL, NULL, 6),
(11535, NULL, 'PF13850', NULL, NULL, 'Endoplasmic Reticulum-Golgi Intermediate Compartment (ERGIC)', NULL, 'ERGIC_N', NULL, NULL, NULL, 6),
(11536, NULL, 'PF18970', NULL, NULL, 'Family of unknown function (DUF5709)', NULL, 'DUF5709', NULL, NULL, NULL, 6),
(11537, NULL, 'PF12402', NULL, NULL, 'NocA-like zinc-finger protein 1', NULL, 'nlz1', NULL, NULL, NULL, 6),
(11538, NULL, 'PF03662', NULL, NULL, 'Glycosyl hydrolase family 79, N-terminal domain', NULL, 'Glyco_hydro_79n', NULL, NULL, NULL, 6),
(11539, NULL, 'PF12793', NULL, NULL, 'Sugar transport-related sRNA regulator N-term', NULL, 'SgrR_N', NULL, NULL, NULL, 6),
(11540, NULL, 'PF15483', NULL, NULL, 'Domain of unknown function (DUF4641)', NULL, 'DUF4641', NULL, NULL, NULL, 6),
(11541, NULL, 'PF16828', NULL, NULL, 'GAG-binding domain on surface antigen', NULL, 'GAGBD', NULL, NULL, NULL, 6),
(11542, NULL, 'PF10486', NULL, NULL, 'Phosphoinositide 3-kinase gamma adapter protein p101 subunit', NULL, 'PI3K_1B_p101', NULL, NULL, NULL, 6),
(11543, NULL, 'PF04699', NULL, NULL, 'ARP2/3 complex 16 kDa subunit (p16-Arc)', NULL, 'P16-Arc', NULL, NULL, NULL, 6),
(11544, NULL, 'PF13576', NULL, NULL, 'Pentapeptide repeats (9 copies)', NULL, 'Pentapeptide_3', NULL, NULL, NULL, 6),
(11545, NULL, 'PF07829', NULL, NULL, 'Alpha-A conotoxin PIVA-like protein', NULL, 'Toxin_14', NULL, NULL, NULL, 6),
(11546, NULL, 'PF14903', NULL, NULL, 'WG containing repeat', NULL, 'WG_beta_rep', NULL, NULL, NULL, 6),
(11547, NULL, 'PF04364', NULL, NULL, 'DNA polymerase III chi subunit, HolC', NULL, 'DNA_pol3_chi', NULL, NULL, NULL, 6),
(11548, NULL, 'PF10094', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2332)', NULL, 'DUF2332', NULL, NULL, NULL, 6),
(11549, NULL, 'PF18742', NULL, NULL, 'REase_DpnII-MboI', NULL, 'DpnII-MboI', NULL, NULL, NULL, 6),
(11550, NULL, 'PF07151', NULL, NULL, 'Protein of unknown function (DUF1391)', NULL, 'DUF1391', NULL, NULL, NULL, 6),
(11551, NULL, 'PF02041', NULL, NULL, 'Auxin binding protein', NULL, 'Auxin_BP', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11552, NULL, 'PF17962', NULL, NULL, 'Bacterial macroglobulin domain 6', NULL, 'bMG6', NULL, NULL, NULL, 6),
(11553, NULL, 'PF02011', NULL, NULL, 'Glycosyl hydrolase family 48', NULL, 'Glyco_hydro_48', NULL, NULL, NULL, 6),
(11554, NULL, 'PF02598', NULL, NULL, 'Putative RNA methyltransferase', NULL, 'Methyltrn_RNA_3', NULL, NULL, NULL, 6),
(11555, NULL, 'PF02267', NULL, NULL, 'ADP-ribosyl cyclase', NULL, 'Rib_hydrolayse', NULL, NULL, NULL, 6),
(11556, NULL, 'PF12105', NULL, NULL, 'SpoU, rRNA methylase, C-terminal', NULL, 'SpoU_methylas_C', NULL, NULL, NULL, 6),
(11557, NULL, 'PF17795', NULL, NULL, 'Major Vault Protein Repeat domain', NULL, 'Vault_3', NULL, NULL, NULL, 6),
(11558, NULL, 'PF09865', NULL, NULL, 'Predicted periplasmic protein (DUF2092)', NULL, 'DUF2092', NULL, NULL, NULL, 6),
(11559, NULL, 'PF11137', NULL, NULL, 'Protein of unknown function (DUF2909)', NULL, 'DUF2909', NULL, NULL, NULL, 6),
(11560, NULL, 'PF13799', NULL, NULL, 'Domain of unknown function (DUF4183)', NULL, 'DUF4183', NULL, NULL, NULL, 6),
(11561, NULL, 'PF14807', NULL, NULL, 'Adaptin AP4 complex epsilon appendage platform', NULL, 'AP4E_app_platf', NULL, NULL, NULL, 6),
(11562, NULL, 'PF11180', NULL, NULL, 'Protein of unknown function (DUF2968)', NULL, 'DUF2968', NULL, NULL, NULL, 6),
(11563, NULL, 'PF00815', NULL, NULL, 'Histidinol dehydrogenase', NULL, 'Histidinol_dh', NULL, NULL, NULL, 6),
(11564, NULL, 'PF02866', NULL, NULL, 'lactate/malate dehydrogenase, alpha/beta C-terminal domain', NULL, 'Ldh_1_C', NULL, NULL, NULL, 6),
(11565, NULL, 'PF07947', NULL, NULL, 'YhhN family', NULL, 'YhhN', NULL, NULL, NULL, 6),
(11566, NULL, 'PF11266', NULL, NULL, 'Long-chain fatty aldehyde decarbonylase', NULL, 'Ald_deCOase', NULL, NULL, NULL, 6),
(11567, NULL, 'PF00320', NULL, NULL, 'GATA zinc finger', NULL, 'GATA', NULL, NULL, NULL, 6),
(11568, NULL, 'PF07361', NULL, NULL, 'Cytochrome b562', NULL, 'Cytochrom_B562', NULL, NULL, NULL, 6),
(11569, NULL, 'PF04656', NULL, NULL, 'Pox virus E6 protein', NULL, 'Pox_E6', NULL, NULL, NULL, 6),
(11570, NULL, 'PF07046', NULL, NULL, 'Cytoplasmic repetitive antigen (CRA) like repeat', NULL, 'CRA_rpt', NULL, NULL, NULL, 6),
(11571, NULL, 'PF11829', NULL, NULL, 'Protein of unknown function (DUF3349)', NULL, 'DUF3349', NULL, NULL, NULL, 6),
(11572, NULL, 'PF08234', NULL, NULL, 'Chromosome segregation protein Spc25', NULL, 'Spindle_Spc25', NULL, NULL, NULL, 6),
(11573, NULL, 'PF17925', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_20', NULL, NULL, NULL, 6),
(11574, NULL, 'PF08256', NULL, NULL, 'Aurein-like antibiotic peptide', NULL, 'Antimicrobial20', NULL, NULL, NULL, 6),
(11575, NULL, 'PF05384', NULL, NULL, 'Sensor protein DegS', NULL, 'DegS', NULL, NULL, NULL, 6),
(11576, NULL, 'PF15825', NULL, NULL, 'FAM25 family', NULL, 'FAM25', NULL, NULL, NULL, 6),
(11577, NULL, 'PF11434', NULL, NULL, 'Chemotaxis-inhibiting protein CHIPS', NULL, 'CHIPS', NULL, NULL, NULL, 6),
(11578, NULL, 'PF06150', NULL, NULL, 'ChaB', NULL, 'ChaB', NULL, NULL, NULL, 6),
(11579, NULL, 'PF18702', NULL, NULL, 'Domain of unknown function (DUF5642)', NULL, 'DUF5642', NULL, NULL, NULL, 6),
(11580, NULL, 'PF13763', NULL, NULL, 'Domain of unknown function (DUF4167)', NULL, 'DUF4167', NULL, NULL, NULL, 6),
(11581, NULL, 'PF18744', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 1', NULL, 'SNAD1', NULL, NULL, NULL, 6),
(11582, NULL, 'PF14331', NULL, NULL, 'IcmF-related N-terminal domain', NULL, 'IcmF-related_N', NULL, NULL, NULL, 6),
(11583, NULL, 'PF00365', NULL, NULL, 'Phosphofructokinase', NULL, 'PFK', NULL, NULL, NULL, 6),
(11584, NULL, 'PF14935', NULL, NULL, 'Transmembrane protein 138', NULL, 'TMEM138', NULL, NULL, NULL, 6),
(11585, NULL, 'PF02722', NULL, NULL, 'Major Outer Sheath Protein C-terminal domain', NULL, 'MOSP_C', NULL, NULL, NULL, 6),
(11586, NULL, 'PF17889', NULL, NULL, 'NLRC4 helical domain', NULL, 'NLRC4_HD', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11587, NULL, 'PF02387', NULL, NULL, 'IncFII RepA protein family', NULL, 'IncFII_repA', NULL, NULL, NULL, 6),
(11588, NULL, 'PF00764', NULL, NULL, 'Arginosuccinate synthase', NULL, 'Arginosuc_synth', NULL, NULL, NULL, 6),
(11589, NULL, 'PF05989', NULL, NULL, 'Chordopoxvirus A35R protein', NULL, 'Chordopox_A35R', NULL, NULL, NULL, 6),
(11590, NULL, 'PF00378', NULL, NULL, 'Enoyl-CoA hydratase/isomerase', NULL, 'ECH_1', NULL, NULL, NULL, 6),
(11591, NULL, 'PF07143', NULL, NULL, 'CrtC N-terminal lipocalin domain', NULL, 'CrtC', NULL, NULL, NULL, 6),
(11592, NULL, 'PF01190', NULL, NULL, 'Pollen protein Ole e 1 like', NULL, 'Pollen_Ole_e_1', NULL, NULL, NULL, 6),
(11593, NULL, 'PF13110', NULL, NULL, 'Protein of unknown function (DUF3966)', NULL, 'DUF3966', NULL, NULL, NULL, 6),
(11594, NULL, 'PF06634', NULL, NULL, 'Protein of unknown function (DUF1156)', NULL, 'DUF1156', NULL, NULL, NULL, 6),
(11595, NULL, 'PF13561', NULL, NULL, 'Enoyl-(Acyl carrier protein) reductase', NULL, 'adh_short_C2', NULL, NULL, NULL, 6),
(11596, NULL, 'PF03941', NULL, NULL, 'Inner centromere protein, ARK binding region', NULL, 'INCENP_ARK-bind', NULL, NULL, NULL, 6),
(11597, NULL, 'PF03930', NULL, NULL, 'Recombinase Flp protein N-terminus', NULL, 'Flp_N', NULL, NULL, NULL, 6),
(11598, NULL, 'PF14020', NULL, NULL, 'Protein of unknown function (DUF4236)', NULL, 'DUF4236', NULL, NULL, NULL, 6),
(11599, NULL, 'PF18475', NULL, NULL, 'PIN domain', NULL, 'PIN7', NULL, NULL, NULL, 6),
(11600, NULL, 'PF07154', NULL, NULL, 'Protein of unknown function (DUF1392)', NULL, 'DUF1392', NULL, NULL, NULL, 6),
(11601, NULL, 'PF06475', NULL, NULL, 'Putative glycolipid-binding', NULL, 'Glycolipid_bind', NULL, NULL, NULL, 6),
(11602, NULL, 'PF12783', NULL, NULL, 'Guanine nucleotide exchange factor in Golgi transport N-terminal', NULL, 'Sec7_N', NULL, NULL, NULL, 6),
(11603, NULL, 'PF07813', NULL, NULL, 'LTXXQ motif family protein', NULL, 'LTXXQ', NULL, NULL, NULL, 6),
(11604, NULL, 'PF16094', NULL, NULL, 'Proteasome assembly chaperone 4', NULL, 'PAC1', NULL, NULL, NULL, 6),
(11605, NULL, 'PF09373', NULL, NULL, 'Pseudomurein-binding repeat', NULL, 'PMBR', NULL, NULL, NULL, 6),
(11606, NULL, 'PF17443', NULL, NULL, 'Uncharacterized protein pXO2-72', NULL, 'pXO2-72', NULL, NULL, NULL, 6),
(11607, NULL, 'PF03380', NULL, NULL, 'Caenorhabditis protein of unknown function, DUF282', NULL, 'DUF282', NULL, NULL, NULL, 6),
(11608, NULL, 'PF17515', NULL, NULL, 'Cypovirus polyhedrin', NULL, 'CPV_Polyhedrin', NULL, NULL, NULL, 6),
(11609, NULL, 'PF17634', NULL, NULL, 'Gene product 67', NULL, 'GP67', NULL, NULL, NULL, 6),
(11610, NULL, 'PF02177', NULL, NULL, 'Amyloid A4 N-terminal heparin-binding', NULL, 'APP_N', NULL, NULL, NULL, 6),
(11611, NULL, 'PF15114', NULL, NULL, 'Uncharacterised protein family UPF0640', NULL, 'UPF0640', NULL, NULL, NULL, 6),
(11612, NULL, 'PF11748', NULL, NULL, 'Protein of unknown function (DUF3306)', NULL, 'DUF3306', NULL, NULL, NULL, 6),
(11613, NULL, 'PF07956', NULL, NULL, 'Protein of Unknown function (DUF1690)', NULL, 'DUF1690', NULL, NULL, NULL, 6),
(11614, NULL, 'PF07491', NULL, NULL, 'Protein phosphatase inhibitor', NULL, 'PPI_Ypi1', NULL, NULL, NULL, 6),
(11615, NULL, 'PF12906', NULL, NULL, 'RING-variant domain', NULL, 'RINGv', NULL, NULL, NULL, 6),
(11616, NULL, 'PF07181', NULL, NULL, 'VirC2 protein', NULL, 'VirC2', NULL, NULL, NULL, 6),
(11617, NULL, 'PF10697', NULL, NULL, 'Protein of unknown function (DUF2502)', NULL, 'DUF2502', NULL, NULL, NULL, 6),
(11618, NULL, 'PF15300', NULL, NULL, 'INTS6/SAGE1/DDX26B/CT45 C-terminus', NULL, 'INT_SG_DDX_CT_C', NULL, NULL, NULL, 6),
(11619, NULL, 'PF07999', NULL, NULL, 'Retrotransposon hot spot protein', NULL, 'RHSP', NULL, NULL, NULL, 6),
(11620, NULL, 'PF01468', NULL, NULL, 'GA module', NULL, 'GA', NULL, NULL, NULL, 6),
(11621, NULL, 'PF12941', NULL, NULL, 'HCV NS5a protein C-terminal region', NULL, 'HCV_NS5a_C', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11622, NULL, 'PF01291', NULL, NULL, 'LIF / OSM family', NULL, 'LIF_OSM', NULL, NULL, NULL, 6),
(11623, NULL, 'PF11525', NULL, NULL, 'Copper resistance protein K', NULL, 'CopK', NULL, NULL, NULL, 6),
(11624, NULL, 'PF08815', NULL, NULL, 'Nuclear receptor coactivator', NULL, 'Nuc_rec_co-act', NULL, NULL, NULL, 6),
(11625, NULL, 'PF18670', NULL, NULL, 'V-type ATPase subunit I, N-terminal domain', NULL, 'V_ATPase_I_N', NULL, NULL, NULL, 6),
(11626, NULL, 'PF19006', NULL, NULL, 'Family of unknown function (DUF5735)', NULL, 'DUF5735', NULL, NULL, NULL, 6),
(11627, NULL, 'PF15077', NULL, NULL, 'Membrane-anchored junction protein', NULL, 'MAJIN', NULL, NULL, NULL, 6),
(11628, NULL, 'PF15886', NULL, NULL, 'Carbohydrate binding domain (family 32)', NULL, 'CBM39', NULL, NULL, NULL, 6),
(11629, NULL, 'PF07490', NULL, NULL, 'Translocated intimin receptor (Tir) N-terminus', NULL, 'Tir_receptor_N', NULL, NULL, NULL, 6),
(11630, NULL, 'PF08568', NULL, NULL, 'Uncharacterised protein family, YAP/Alf4/glomulin', NULL, 'Kinetochor_Ybp2', NULL, NULL, NULL, 6),
(11631, NULL, 'PF01458', NULL, NULL, 'SUF system FeS cluster assembly, SufBD', NULL, 'SUFBD', NULL, NULL, NULL, 6),
(11632, NULL, 'PF03921', NULL, NULL, 'Intercellular adhesion molecule (ICAM), N-terminal domain', NULL, 'ICAM_N', NULL, NULL, NULL, 6),
(11633, NULL, 'PF04939', NULL, NULL, 'Ribosome biogenesis regulatory protein (RRS1)', NULL, 'RRS1', NULL, NULL, NULL, 6),
(11634, NULL, 'PF06454', NULL, NULL, 'Protein of unknown function (DUF1084)', NULL, 'DUF1084', NULL, NULL, NULL, 6),
(11635, NULL, 'PF02620', NULL, NULL, 'Large ribosomal RNA subunit accumulation protein YceD', NULL, 'YceD', NULL, NULL, NULL, 6),
(11636, NULL, 'PF02700', NULL, NULL, 'Phosphoribosylformylglycinamidine (FGAM) synthase', NULL, 'PurS', NULL, NULL, NULL, 6),
(11637, NULL, 'PF04694', NULL, NULL, 'Coronavirus ORF3 protein', NULL, 'Corona_3', NULL, NULL, NULL, 6),
(11638, NULL, 'PF13199', NULL, NULL, 'Glycosyl hydrolase family 66', NULL, 'Glyco_hydro_66', NULL, NULL, NULL, 6),
(11639, NULL, 'PF08130', NULL, NULL, 'Type A lantibiotic family', NULL, 'Antimicrobial18', NULL, NULL, NULL, 6),
(11640, NULL, 'PF08662', NULL, NULL, 'Eukaryotic translation initiation factor eIF2A', NULL, 'eIF2A', NULL, NULL, NULL, 6),
(11641, NULL, 'PF02931', NULL, NULL, 'Neurotransmitter-gated ion-channel ligand binding domain', NULL, 'Neur_chan_LBD', NULL, NULL, NULL, 6),
(11642, NULL, 'PF17642', NULL, NULL, 'Hemolysin coregulated protein Hcp (TssD)', NULL, 'TssD', NULL, NULL, NULL, 6),
(11643, NULL, 'PF10762', NULL, NULL, 'Protein of unknown function (DUF2583)', NULL, 'DUF2583', NULL, NULL, NULL, 6),
(11644, NULL, 'PF16491', NULL, NULL, 'CAAX prenyl protease N-terminal, five membrane helices', NULL, 'Peptidase_M48_N', NULL, NULL, NULL, 6),
(11645, NULL, 'PF07230', NULL, NULL, 'Bacteriophage T4-like capsid assembly protein (Gp20)', NULL, 'Peptidase_S80', NULL, NULL, NULL, 6),
(11646, NULL, 'PF00160', NULL, NULL, 'Cyclophilin type peptidyl-prolyl cis-trans isomerase/CLD', NULL, 'Pro_isomerase', NULL, NULL, NULL, 6),
(11647, NULL, 'PF08931', NULL, NULL, 'Receptor-binding protein of phage tail base-plate Siphoviridae, head', NULL, 'Caudo_bapla_RBP', NULL, NULL, NULL, 6),
(11648, NULL, 'PF05127', NULL, NULL, 'Helicase', NULL, 'Helicase_RecD', NULL, NULL, NULL, 6),
(11649, NULL, 'PF18239', NULL, NULL, 'Hemagglutinin I', NULL, 'HA1', NULL, NULL, NULL, 6),
(11650, NULL, 'PF02378', NULL, NULL, 'Phosphotransferase system, EIIC', NULL, 'PTS_EIIC', NULL, NULL, NULL, 6),
(11651, NULL, 'PF17244', NULL, NULL, 'Cell division control protein 24, OB domain 3', NULL, 'CDC24_OB3', NULL, NULL, NULL, 6),
(11652, NULL, 'PF16188', NULL, NULL, 'C-terminal region of peptidase_M24', NULL, 'Peptidase_M24_C', NULL, NULL, NULL, 6),
(11653, NULL, 'PF10756', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_6', NULL, NULL, NULL, 6),
(11654, NULL, 'PF00411', NULL, NULL, 'Ribosomal protein S11', NULL, 'Ribosomal_S11', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11655, NULL, 'PF14074', NULL, NULL, 'Protein of unknown function (DUF4257)', NULL, 'DUF4257', NULL, NULL, NULL, 6),
(11656, NULL, 'PF11353', NULL, NULL, 'Protein of unknown function (DUF3153)', NULL, 'DUF3153', NULL, NULL, NULL, 6),
(11657, NULL, 'PF12638', NULL, NULL, 'Staygreen protein', NULL, 'Staygreen', NULL, NULL, NULL, 6),
(11658, NULL, 'PF15787', NULL, NULL, 'Domain of unknown function (DUF4704)', NULL, 'DUF4704', NULL, NULL, NULL, 6),
(11659, NULL, 'PF05242', NULL, NULL, 'Glycosylation-dependent cell adhesion molecule 1 (GlyCAM-1)', NULL, 'GLYCAM-1', NULL, NULL, NULL, 6),
(11660, NULL, 'PF04787', NULL, NULL, 'Late protein H7', NULL, 'Pox_H7', NULL, NULL, NULL, 6),
(11661, NULL, 'PF13039', NULL, NULL, 'Protein of unknown function (DUF3900)', NULL, 'DUF3900', NULL, NULL, NULL, 6),
(11662, NULL, 'PF15775', NULL, NULL, 'Domain of unknown function (DUF4703)', NULL, 'DUF4703', NULL, NULL, NULL, 6),
(11663, NULL, 'PF06340', NULL, NULL, 'Vibrio cholerae toxin co-regulated pilus biosynthesis protein F', NULL, 'TcpF', NULL, NULL, NULL, 6),
(11664, NULL, 'PF05710', NULL, NULL, 'Coiled coil', NULL, 'Coiled', NULL, NULL, NULL, 6),
(11665, NULL, 'PF03412', NULL, NULL, 'Peptidase C39 family', NULL, 'Peptidase_C39', NULL, NULL, NULL, 6),
(11666, NULL, 'PF05744', NULL, NULL, 'Benyvirus P25/P26 protein', NULL, 'Benyvirus_P25', NULL, NULL, NULL, 6),
(11667, NULL, 'PF06195', NULL, NULL, 'Protein of unknown function (DUF996)', NULL, 'DUF996', NULL, NULL, NULL, 6),
(11668, NULL, 'PF15884', NULL, NULL, 'MICOS complex subunit MIC13, QIL1', NULL, 'QIL1', NULL, NULL, NULL, 6),
(11669, NULL, 'PF13865', NULL, NULL, 'C-terminal duplication domain of Friend of PRMT1', NULL, 'FoP_duplication', NULL, NULL, NULL, 6),
(11670, NULL, 'PF01814', NULL, NULL, 'Hemerythrin HHE cation binding domain', NULL, 'Hemerythrin', NULL, NULL, NULL, 6),
(11671, NULL, 'PF00664', NULL, NULL, 'ABC transporter transmembrane region', NULL, 'ABC_membrane', NULL, NULL, NULL, 6),
(11672, NULL, 'PF12967', NULL, NULL, 'Domain of Unknown Function with PDB structure (DUF3855)', NULL, 'DUF3855', NULL, NULL, NULL, 6),
(11673, NULL, 'PF07548', NULL, NULL, 'Chlamydia polymorphic membrane protein middle domain', NULL, 'ChlamPMP_M', NULL, NULL, NULL, 6),
(11674, NULL, 'PF12864', NULL, NULL, 'Protein of unknown function (DUF3822)', NULL, 'DUF3822', NULL, NULL, NULL, 6),
(11675, NULL, 'PF18981', NULL, NULL, 'Internalin K domain (D3/D4)', NULL, 'InlK_D3', NULL, NULL, NULL, 6),
(11676, NULL, 'PF05099', NULL, NULL, 'Tellurite resistance protein TerB', NULL, 'TerB', NULL, NULL, NULL, 6),
(11677, NULL, 'PF16963', NULL, NULL, 'PelD GGDEF domain', NULL, 'PelD_GGDEF', NULL, NULL, NULL, 6),
(11678, NULL, 'PF16799', NULL, NULL, 'C-terminal membrane-localisation domain of ion-channel, VCN1', NULL, 'VGPC1_C', NULL, NULL, NULL, 6),
(11679, NULL, 'PF02189', NULL, NULL, 'Immunoreceptor tyrosine-based activation motif', NULL, 'ITAM', NULL, NULL, NULL, 6),
(11680, NULL, 'PF00555', NULL, NULL, 'delta endotoxin', NULL, 'Endotoxin_M', NULL, NULL, NULL, 6),
(11681, NULL, 'PF02430', NULL, NULL, 'Apical membrane antigen 1', NULL, 'AMA-1', NULL, NULL, NULL, 6),
(11682, NULL, 'PF07822', NULL, NULL, 'Neurotoxin B-IV-like protein', NULL, 'Toxin_13', NULL, NULL, NULL, 6),
(11683, NULL, 'PF16494', NULL, NULL, 'C-terminal extension of sodium/calcium exchanger domain', NULL, 'Na_Ca_ex_C', NULL, NULL, NULL, 6),
(11684, NULL, 'PF18775', NULL, NULL, 'APOBEC4', NULL, 'APOBEC4', NULL, NULL, NULL, 6),
(11685, NULL, 'PF08958', NULL, NULL, 'Domain of unknown function (DUF1871)', NULL, 'DUF1871', NULL, NULL, NULL, 6),
(11686, NULL, 'PF12526', NULL, NULL, 'Protein of unknown function (DUF3729)', NULL, 'DUF3729', NULL, NULL, NULL, 6),
(11687, NULL, 'PF04233', NULL, NULL, 'Phage Mu protein F like protein', NULL, 'Phage_Mu_F', NULL, NULL, NULL, 6),
(11688, NULL, 'PF17690', NULL, NULL, 'Family of unknown function (DUF5537)', NULL, 'DUF5537', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11689, NULL, 'PF18434', NULL, NULL, 'Kazal-type serine protease inhibitor domain', NULL, 'Kazal_3', NULL, NULL, NULL, 6),
(11690, NULL, 'PF06883', NULL, NULL, 'RNA polymerase I, Rpa2 specific domain', NULL, 'RNA_pol_Rpa2_4', NULL, NULL, NULL, 6),
(11691, NULL, 'PF13530', NULL, NULL, 'Sterol carrier protein domain', NULL, 'SCP2_2', NULL, NULL, NULL, 6),
(11692, NULL, 'PF10228', NULL, NULL, 'Uncharacterised conserved protein (DUF2228)', NULL, 'DUF2228', NULL, NULL, NULL, 6),
(11693, NULL, 'PF18520', NULL, NULL, 'Spindle pole body component 110 C-terminal domain', NULL, 'Spc110_C', NULL, NULL, NULL, 6),
(11694, NULL, 'PF08390', NULL, NULL, 'TRAM1-like protein', NULL, 'TRAM1', NULL, NULL, NULL, 6),
(11695, NULL, 'PF00516', NULL, NULL, 'Envelope glycoprotein GP120', NULL, 'GP120', NULL, NULL, NULL, 6),
(11696, NULL, 'PF00927', NULL, NULL, 'Transglutaminase family, C-terminal ig like domain', NULL, 'Transglut_C', NULL, NULL, NULL, 6),
(11697, NULL, 'PF04332', NULL, NULL, 'Protein of unknown function (DUF475)', NULL, 'DUF475', NULL, NULL, NULL, 6),
(11698, NULL, 'PF05421', NULL, NULL, 'Protein of unknown function (DUF751)', NULL, 'DUF751', NULL, NULL, NULL, 6),
(11699, NULL, 'PF11841', NULL, NULL, 'Domain of unknown function (DUF3361)', NULL, 'DUF3361', NULL, NULL, NULL, 6),
(11700, NULL, 'PF03041', NULL, NULL, 'lef-2', NULL, 'Baculo_LEF-2', NULL, NULL, NULL, 6),
(11701, NULL, 'PF17035', NULL, NULL, 'Bromodomain extra-terminal - transcription regulation', NULL, 'BET', NULL, NULL, NULL, 6),
(11702, NULL, 'PF13221', NULL, NULL, 'Protein of unknown function (DUF4029)', NULL, 'DUF4029', NULL, NULL, NULL, 6),
(11703, NULL, 'PF18956', NULL, NULL, 'Family of unknown function (DUF5699)', NULL, 'DUF5699', NULL, NULL, NULL, 6),
(11704, NULL, 'PF16544', NULL, NULL, 'Homodimerisation region of STAR domain protein', NULL, 'STAR_dimer', NULL, NULL, NULL, 6),
(11705, NULL, 'PF04184', NULL, NULL, 'ST7 protein', NULL, 'ST7', NULL, NULL, NULL, 6),
(11706, NULL, 'PF00882', NULL, NULL, 'Zinc dependent phospholipase C', NULL, 'Zn_dep_PLPC', NULL, NULL, NULL, 6),
(11707, NULL, 'PF08742', NULL, NULL, 'C8 domain', NULL, 'C8', NULL, NULL, NULL, 6),
(11708, NULL, 'PF12872', NULL, NULL, 'OST-HTH/LOTUS domain', NULL, 'OST-HTH', NULL, NULL, NULL, 6),
(11709, NULL, 'PF04204', NULL, NULL, 'Homoserine O-succinyltransferase', NULL, 'HTS', NULL, NULL, NULL, 6),
(11710, NULL, 'PF04848', NULL, NULL, 'Poxvirus A22 protein', NULL, 'Pox_A22', NULL, NULL, NULL, 6),
(11711, NULL, 'PF19222', NULL, NULL, 'Nodavirus Vmethyltransferase', NULL, 'Noda_Vmethyltr', NULL, NULL, NULL, 6),
(11712, NULL, 'PF06129', NULL, NULL, 'Chordopoxvirus G3 protein', NULL, 'Chordopox_G3', NULL, NULL, NULL, 6),
(11713, NULL, 'PF01554', NULL, NULL, 'MatE', NULL, 'MatE', NULL, NULL, NULL, 6),
(11714, NULL, 'PF02958', NULL, NULL, 'Ecdysteroid kinase', NULL, 'EcKinase', NULL, NULL, NULL, 6),
(11715, NULL, 'PF07489', NULL, NULL, 'Translocated intimin receptor (Tir) C-terminus', NULL, 'Tir_receptor_C', NULL, NULL, NULL, 6),
(11716, NULL, 'PF01210', NULL, NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase N-terminus', NULL, 'NAD_Gly3P_dh_N', NULL, NULL, NULL, 6),
(11717, NULL, 'PF14427', NULL, NULL, 'Pput_2613-like deaminase', NULL, 'Pput2613-deam', NULL, NULL, NULL, 6),
(11718, NULL, 'PF03700', NULL, NULL, 'Sorting nexin, N-terminal domain', NULL, 'Sorting_nexin', NULL, NULL, NULL, 6),
(11719, NULL, 'PF18513', NULL, NULL, 'Prodomain subtilisin 2', NULL, 'Pro_sub2', NULL, NULL, NULL, 6),
(11720, NULL, 'PF16166', NULL, NULL, 'Chloroplast import apparatus Tic20-like', NULL, 'TIC20', NULL, NULL, NULL, 6),
(11721, NULL, 'PF11789', NULL, NULL, 'Zinc-finger of the MIZ type in Nse subunit', NULL, 'zf-Nse', NULL, NULL, NULL, 6),
(11722, NULL, 'PF04538', NULL, NULL, 'Brain expressed X-linked like family', NULL, 'BEX', NULL, NULL, NULL, 6),
(11723, NULL, 'PF08817', NULL, NULL, 'WXG100 protein secretion system (Wss), protein YukD', NULL, 'YukD', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11724, NULL, 'PF13136', NULL, NULL, 'Protein of unknown function (DUF3984)', NULL, 'DUF3984', NULL, NULL, NULL, 6),
(11725, NULL, 'PF09055', NULL, NULL, 'Nickel-containing superoxide dismutase', NULL, 'Sod_Ni', NULL, NULL, NULL, 6),
(11726, NULL, 'PF14024', NULL, NULL, 'Protein of unknown function (DUF4240)', NULL, 'DUF4240', NULL, NULL, NULL, 6),
(11727, NULL, 'PF15733', NULL, NULL, 'Domain of unknown function (DUF4682)', NULL, 'DUF4682', NULL, NULL, NULL, 6),
(11728, NULL, 'PF01936', NULL, NULL, 'NYN domain', NULL, 'NYN', NULL, NULL, NULL, 6),
(11729, NULL, 'PF11043', NULL, NULL, 'Protein of unknown function (DUF2856)', NULL, 'DUF2856', NULL, NULL, NULL, 6),
(11730, NULL, 'PF18085', NULL, NULL, 'Maltokinase N-terminal cap domain', NULL, 'Mak_N_cap', NULL, NULL, NULL, 6),
(11731, NULL, 'PF18668', NULL, NULL, 'Tail spike TSP1/Gp66 receptor binding N-terminal domain', NULL, 'Tail_spike_N', NULL, NULL, NULL, 6),
(11732, NULL, 'PF00093', NULL, NULL, 'von Willebrand factor type C domain', NULL, 'VWC', NULL, NULL, NULL, 6),
(11733, NULL, 'PF16797', NULL, NULL, 'Fungal kinase associated-1 domain', NULL, 'Fungal_KA1', NULL, NULL, NULL, 6),
(11734, NULL, 'PF14466', NULL, NULL, 'PLAT/LH2 and C2-like Ca2+-binding lipoprotein', NULL, 'PLCC', NULL, NULL, NULL, 6),
(11735, NULL, 'PF14166', NULL, NULL, 'YueH-like protein', NULL, 'YueH', NULL, NULL, NULL, 6),
(11736, NULL, 'PF18201', NULL, NULL, 'PIH1 CS-like domain', NULL, 'PIH1_CS', NULL, NULL, NULL, 6),
(11737, NULL, 'PF18135', NULL, NULL, 'Type ISP C-terminal specificity domain', NULL, 'Type_ISP_C', NULL, NULL, NULL, 6),
(11738, NULL, 'PF06991', NULL, NULL, 'Microfibril-associated/Pre-mRNA processing', NULL, 'MFAP1', NULL, NULL, NULL, 6),
(11739, NULL, 'PF00672', NULL, NULL, 'HAMP domain', NULL, 'HAMP', NULL, NULL, NULL, 6),
(11740, NULL, 'PF11040', NULL, NULL, 'Dispersed gene family protein 1 of Trypanosoma cruzi C-terminus', NULL, 'DGF-1_C', NULL, NULL, NULL, 6),
(11741, NULL, 'PF00947', NULL, NULL, 'Picornavirus core protein 2A', NULL, 'Pico_P2A', NULL, NULL, NULL, 6),
(11742, NULL, 'PF00142', NULL, NULL, '4Fe-4S iron sulfur cluster binding proteins, NifH/frxC family', NULL, 'Fer4_NifH', NULL, NULL, NULL, 6),
(11743, NULL, 'PF03381', NULL, NULL, 'LEM3 (ligand-effect modulator 3) family / CDC50 family', NULL, 'CDC50', NULL, NULL, NULL, 6),
(11744, NULL, 'PF10472', NULL, NULL, 'eIF2-alpha phosphatase phosphorylation constitutive repressor', NULL, 'CReP_N', NULL, NULL, NULL, 6),
(11745, NULL, 'PF05656', NULL, NULL, 'Protein of unknown function (DUF805)', NULL, 'DUF805', NULL, NULL, NULL, 6),
(11746, NULL, 'PF08464', NULL, NULL, 'Geminivirus AC4/5 conserved region', NULL, 'Gemini_AC4_5_2', NULL, NULL, NULL, 6),
(11747, NULL, 'PF04490', NULL, NULL, 'Poxvirus T4 protein, C terminus', NULL, 'Pox_T4_C', NULL, NULL, NULL, 6),
(11748, NULL, 'PF02238', NULL, NULL, 'Cytochrome c oxidase subunit VII', NULL, 'COX7a', NULL, NULL, NULL, 6),
(11749, NULL, 'PF14066', NULL, NULL, 'Protein of unknown function (DUF4256)', NULL, 'DUF4256', NULL, NULL, NULL, 6),
(11750, NULL, 'PF13055', NULL, NULL, 'Protein of unknown function (DUF3917)', NULL, 'DUF3917', NULL, NULL, NULL, 6),
(11751, NULL, 'PF08986', NULL, NULL, 'Domain of unknown function (DUF1889)', NULL, 'DUF1889', NULL, NULL, NULL, 6),
(11752, NULL, 'PF18585', NULL, NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 2', NULL, 'zf-CCCH_6', NULL, NULL, NULL, 6),
(11753, NULL, 'PF07895', NULL, NULL, 'Protein of unknown function (DUF1673)', NULL, 'DUF1673', NULL, NULL, NULL, 6),
(11754, NULL, 'PF15804', NULL, NULL, 'Coiled-coil domain-containing protein 168', NULL, 'CCDC168_N', NULL, NULL, NULL, 6),
(11755, NULL, 'PF09494', NULL, NULL, 'Slx4 endonuclease', NULL, 'Slx4', NULL, NULL, NULL, 6),
(11756, NULL, 'PF14655', NULL, NULL, 'Rab3 GTPase-activating protein regulatory subunit N-terminus', NULL, 'RAB3GAP2_N', NULL, NULL, NULL, 6),
(11757, NULL, 'PF08492', NULL, NULL, 'SRP72 RNA-binding domain', NULL, 'SRP72', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11758, NULL, 'PF04841', NULL, NULL, 'Vps16, N-terminal region', NULL, 'Vps16_N', NULL, NULL, NULL, 6),
(11759, NULL, 'PF12450', NULL, NULL, 'von Willebrand factor', NULL, 'vWF_A', NULL, NULL, NULL, 6),
(11760, NULL, 'PF02714', NULL, NULL, 'Calcium-dependent channel, 7TM region, putative phosphate', NULL, 'RSN1_7TM', NULL, NULL, NULL, 6),
(11761, NULL, 'PF13171', NULL, NULL, 'Protein of unknown function (DUF4004)', NULL, 'DUF4004', NULL, NULL, NULL, 6),
(11762, NULL, 'PF13739', NULL, NULL, 'Deacetylase PdaC', NULL, 'PdaC', NULL, NULL, NULL, 6),
(11763, NULL, 'PF02469', NULL, NULL, 'Fasciclin domain', NULL, 'Fasciclin', NULL, NULL, NULL, 6),
(11764, NULL, 'PF03556', NULL, NULL, 'Cullin binding', NULL, 'Cullin_binding', NULL, NULL, NULL, 6),
(11765, NULL, 'PF14168', NULL, NULL, 'YjzC-like protein', NULL, 'YjzC', NULL, NULL, NULL, 6),
(11766, NULL, 'PF00883', NULL, NULL, 'Cytosol aminopeptidase family, catalytic domain', NULL, 'Peptidase_M17', NULL, NULL, NULL, 6),
(11767, NULL, 'PF10337', NULL, NULL, 'Putative ER transporter, 6TM, N-terminal', NULL, 'ArAE_2_N', NULL, NULL, NULL, 6),
(11768, NULL, 'PF18801', NULL, NULL, 'response regulator aspartate phosphatase H, N terminal', NULL, 'RapH_N', NULL, NULL, NULL, 6),
(11769, NULL, 'PF00217', NULL, NULL, 'ATP:guanido phosphotransferase, C-terminal catalytic domain', NULL, 'ATP-gua_Ptrans', NULL, NULL, NULL, 6),
(11770, NULL, 'PF13910', NULL, NULL, 'Domain of unknown function (DUF4209)', NULL, 'DUF4209', NULL, NULL, NULL, 6),
(11771, NULL, 'PF05707', NULL, NULL, 'Zonular occludens toxin (Zot)', NULL, 'Zot', NULL, NULL, NULL, 6),
(11772, NULL, 'PF08409', NULL, NULL, 'Domain of unknown function (DUF1736)', NULL, 'DUF1736', NULL, NULL, NULL, 6),
(11773, NULL, 'PF00551', NULL, NULL, 'Formyl transferase', NULL, 'Formyl_trans_N', NULL, NULL, NULL, 6),
(11774, NULL, 'PF15559', NULL, NULL, 'Domain of unknown function (DUF4660)', NULL, 'DUF4660', NULL, NULL, NULL, 6),
(11775, NULL, 'PF00978', NULL, NULL, 'RNA dependent RNA polymerase', NULL, 'RdRP_2', NULL, NULL, NULL, 6),
(11776, NULL, 'PF14203', NULL, NULL, 'Putative transposon-transfer assisting protein', NULL, 'TTRAP', NULL, NULL, NULL, 6),
(11777, NULL, 'PF13191', NULL, NULL, 'AAA ATPase domain', NULL, 'AAA_16', NULL, NULL, NULL, 6),
(11778, NULL, 'PF19167', NULL, NULL, 'Family of unknown function (DUF5849)', NULL, 'DUF5849', NULL, NULL, NULL, 6),
(11779, NULL, 'PF05222', NULL, NULL, 'Alanine dehydrogenase/PNT, N-terminal domain', NULL, 'AlaDh_PNT_N', NULL, NULL, NULL, 6),
(11780, NULL, 'PF15698', NULL, NULL, 'Phosphatase', NULL, 'Phosphatase', NULL, NULL, NULL, 6),
(11781, NULL, 'PF07703', NULL, NULL, 'Alpha-2-macroglobulin bait region domain', NULL, 'A2M_BRD', NULL, NULL, NULL, 6),
(11782, NULL, 'PF16088', NULL, NULL, 'BLOC-1-related complex sub-unit 7', NULL, 'BORCS7', NULL, NULL, NULL, 6),
(11783, NULL, 'PF02836', NULL, NULL, 'Glycosyl hydrolases family 2, TIM barrel domain', NULL, 'Glyco_hydro_2_C', NULL, NULL, NULL, 6),
(11784, NULL, 'PF09399', NULL, NULL, 'Betacoronavirus lipid binding protein', NULL, 'bCoV_lipid_BD', NULL, NULL, NULL, 6),
(11785, NULL, 'PF17257', NULL, NULL, 'Family of unknown function (DUF5323)', NULL, 'DUF5323', NULL, NULL, NULL, 6),
(11786, NULL, 'PF09585', NULL, NULL, 'Conserved hypothetical protein (Lin0512_fam)', NULL, 'Lin0512_fam', NULL, NULL, NULL, 6),
(11787, NULL, 'PF07236', NULL, NULL, 'Phytoreovirus S7 protein', NULL, 'Phytoreo_S7', NULL, NULL, NULL, 6),
(11788, NULL, 'PF01921', NULL, NULL, 'tRNA synthetases class I (K)', NULL, 'tRNA-synt_1f', NULL, NULL, NULL, 6),
(11789, NULL, 'PF00426', NULL, NULL, 'Outer Capsid protein VP4 (Hemagglutinin) Concanavalin-like domain', NULL, 'VP4_haemagglut', NULL, NULL, NULL, 6),
(11790, NULL, 'PF00055', NULL, NULL, 'Laminin N-terminal (Domain VI)', NULL, 'Laminin_N', NULL, NULL, NULL, 6),
(11791, NULL, 'PF14726', NULL, NULL, 'Rotatin, an armadillo repeat protein, centriole functioning', NULL, 'RTTN_N', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11792, NULL, 'PF18101', NULL, NULL, 'Pan3 Pseudokinase domain', NULL, 'Pan3_PK', NULL, NULL, NULL, 6),
(11793, NULL, 'PF16628', NULL, NULL, 'Unstructured region on maltose acetyltransferase', NULL, 'Mac_assoc', NULL, NULL, NULL, 6),
(11794, NULL, 'PF06015', NULL, NULL, 'Chordopoxvirus A30L protein', NULL, 'Chordopox_A30L', NULL, NULL, NULL, 6),
(11795, NULL, 'PF09777', NULL, NULL, 'Osteopetrosis-associated transmembrane protein 1 precursor', NULL, 'OSTMP1', NULL, NULL, NULL, 6),
(11796, NULL, 'PF00904', NULL, NULL, 'Involucrin repeat', NULL, 'Involucrin', NULL, NULL, NULL, 6),
(11797, NULL, 'PF11518', NULL, NULL, 'Protein of unknown function (DUF3221)', NULL, 'DUF3221', NULL, NULL, NULL, 6),
(11798, NULL, 'PF07383', NULL, NULL, 'Protein of unknown function (DUF1496)', NULL, 'DUF1496', NULL, NULL, NULL, 6),
(11799, NULL, 'PF17076', NULL, NULL, 'SBE2, cell-wall formation', NULL, 'SBE2', NULL, NULL, NULL, 6),
(11800, NULL, 'PF09484', NULL, NULL, 'CRISPR-associated protein TM1802 (cas_TM1802)', NULL, 'Cas_TM1802', NULL, NULL, NULL, 6),
(11801, NULL, 'PF16794', NULL, NULL, 'Fibronectin-III type domain', NULL, 'fn3_4', NULL, NULL, NULL, 6),
(11802, NULL, 'PF09390', NULL, NULL, 'Protein of unknown function (DUF1999)', NULL, 'DUF1999', NULL, NULL, NULL, 6),
(11803, NULL, 'PF08048', NULL, NULL, 'Tap RepA1 leader peptide', NULL, 'RepA1_leader', NULL, NULL, NULL, 6),
(11804, NULL, 'PF10346', NULL, NULL, 'Conidiation protein 6', NULL, 'Con-6', NULL, NULL, NULL, 6),
(11805, NULL, 'PF03581', NULL, NULL, 'Herpesvirus UL33-like protein', NULL, 'Herpes_UL33', NULL, NULL, NULL, 6),
(11806, NULL, 'PF06035', NULL, NULL, 'Bacterial transglutaminase-like cysteine proteinase BTLCP', NULL, 'Peptidase_C93', NULL, NULL, NULL, 6),
(11807, NULL, 'PF06738', NULL, NULL, 'Putative threonine/serine exporter', NULL, 'ThrE', NULL, NULL, NULL, 6),
(11808, NULL, 'PF09676', NULL, NULL, 'Type IV conjugative transfer system lipoprotein (TraV)', NULL, 'TraV', NULL, NULL, NULL, 6),
(11809, NULL, 'PF01399', NULL, NULL, 'PCI domain', NULL, 'PCI', NULL, NULL, NULL, 6),
(11810, NULL, 'PF18580', NULL, NULL, 'SUN2 helix-turn-helix domain', NULL, 'HTH_SUN2', NULL, NULL, NULL, 6),
(11811, NULL, 'PF12643', NULL, NULL, 'MazG-like family', NULL, 'MazG-like', NULL, NULL, NULL, 6),
(11812, NULL, 'PF09965', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2199)', NULL, 'DUF2199', NULL, NULL, NULL, 6),
(11813, NULL, 'PF01749', NULL, NULL, 'Importin beta binding domain', NULL, 'IBB', NULL, NULL, NULL, 6),
(11814, NULL, 'PF17825', NULL, NULL, 'Family of unknown function (DUF5587)', NULL, 'DUF5587', NULL, NULL, NULL, 6),
(11815, NULL, 'PF06422', NULL, NULL, 'CDR ABC transporter', NULL, 'PDR_CDR', NULL, NULL, NULL, 6),
(11816, NULL, 'PF15387', NULL, NULL, 'Domain of unknown function (DUF4611)', NULL, 'DUF4611', NULL, NULL, NULL, 6),
(11817, NULL, 'PF12866', NULL, NULL, 'Protein of unknown function (DUF3823) N-terminal domain', NULL, 'DUF3823', NULL, NULL, NULL, 6),
(11818, NULL, 'PF00556', NULL, NULL, 'Antenna complex alpha/beta subunit', NULL, 'LHC', NULL, NULL, NULL, 6),
(11819, NULL, 'PF12163', NULL, NULL, 'DNA replication regulator', NULL, 'HobA', NULL, NULL, NULL, 6),
(11820, NULL, 'PF01929', NULL, NULL, 'Ribosomal protein L14', NULL, 'Ribosomal_L14e', NULL, NULL, NULL, 6),
(11821, NULL, 'PF06740', NULL, NULL, 'Protein of unknown function (DUF1213)', NULL, 'DUF1213', NULL, NULL, NULL, 6),
(11822, NULL, 'PF12548', NULL, NULL, 'Sulfatase protein', NULL, 'DUF3740', NULL, NULL, NULL, 6),
(11823, NULL, 'PF16161', NULL, NULL, 'Domain of unknown function (DUF4867)', NULL, 'DUF4867', NULL, NULL, NULL, 6),
(11824, NULL, 'PF03823', NULL, NULL, 'Neurokinin B', NULL, 'Neurokinin_B', NULL, NULL, NULL, 6),
(11825, NULL, 'PF15661', NULL, NULL, 'C6orf222, uncharacterised family', NULL, 'CF222', NULL, NULL, NULL, 6),
(11826, NULL, 'PF06231', NULL, NULL, 'Protein of unknown function (DUF1010)', NULL, 'DUF1010', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11827, NULL, 'PF17855', NULL, NULL, 'MCM AAA-lid domain', NULL, 'MCM_lid', NULL, NULL, NULL, 6),
(11828, NULL, 'PF15284', NULL, NULL, 'Phage-encoded virulence factor', NULL, 'PAGK', NULL, NULL, NULL, 6),
(11829, NULL, 'PF05412', NULL, NULL, 'Equine arterivirus Nsp2-type cysteine proteinase', NULL, 'Peptidase_C33', NULL, NULL, NULL, 6),
(11830, NULL, 'PF01290', NULL, NULL, 'Thymosin beta-4 family', NULL, 'Thymosin', NULL, NULL, NULL, 6),
(11831, NULL, 'PF10063', NULL, NULL, 'Uncharacterized integral membrane protein (DUF2301)', NULL, 'DUF2301', NULL, NULL, NULL, 6),
(11832, NULL, 'PF06650', NULL, NULL, 'SHR-binding domain of vacuolar-sorting associated protein 13', NULL, 'SHR-BD', NULL, NULL, NULL, 6),
(11833, NULL, 'PF14975', NULL, NULL, 'Domain of unknown function (DUF4512)', NULL, 'DUF4512', NULL, NULL, NULL, 6),
(11834, NULL, 'PF15481', NULL, NULL, 'Chondroitin proteoglycan 4', NULL, 'CPG4', NULL, NULL, NULL, 6),
(11835, NULL, 'PF02765', NULL, NULL, 'Telomeric single stranded DNA binding POT1/CDC13', NULL, 'POT1', NULL, NULL, NULL, 6),
(11836, NULL, 'PF12143', NULL, NULL, 'Protein of unknown function (DUF_B2219)', NULL, 'PPO1_KFDV', NULL, NULL, NULL, 6),
(11837, NULL, 'PF02022', NULL, NULL, 'Integrase Zinc binding domain', NULL, 'Integrase_Zn', NULL, NULL, NULL, 6),
(11838, NULL, 'PF01075', NULL, NULL, 'Glycosyltransferase family 9 (heptosyltransferase)', NULL, 'Glyco_transf_9', NULL, NULL, NULL, 6),
(11839, NULL, 'PF15228', NULL, NULL, 'Death-associated protein', NULL, 'DAP', NULL, NULL, NULL, 6),
(11840, NULL, 'PF13470', NULL, NULL, 'PIN domain', NULL, 'PIN_3', NULL, NULL, NULL, 6),
(11841, NULL, 'PF05140', NULL, NULL, 'ResB-like family', NULL, 'ResB', NULL, NULL, NULL, 6),
(11842, NULL, 'PF08825', NULL, NULL, 'E2 binding domain', NULL, 'E2_bind', NULL, NULL, NULL, 6),
(11843, NULL, 'PF13276', NULL, NULL, 'HTH-like domain', NULL, 'HTH_21', NULL, NULL, NULL, 6),
(11844, NULL, 'PF08443', NULL, NULL, 'RimK-like ATP-grasp domain', NULL, 'RimK', NULL, NULL, NULL, 6),
(11845, NULL, 'PF08905', NULL, NULL, 'Domain of unknown function (DUF1850)', NULL, 'DUF1850', NULL, NULL, NULL, 6),
(11846, NULL, 'PF11616', NULL, NULL, 'WD repeat binding protein EZH2', NULL, 'EZH2_WD-Binding', NULL, NULL, NULL, 6),
(11847, NULL, 'PF14051', NULL, NULL, 'N-terminal domain of DPF2/REQ.', NULL, 'Requiem_N', NULL, NULL, NULL, 6),
(11848, NULL, 'PF03118', NULL, NULL, 'Bacterial RNA polymerase, alpha chain C terminal domain', NULL, 'RNA_pol_A_CTD', NULL, NULL, NULL, 6),
(11849, NULL, 'PF18257', NULL, NULL, 'Disulfide isomerase DsbG N-terminal', NULL, 'DsbG_N', NULL, NULL, NULL, 6),
(11850, NULL, 'PF06317', NULL, NULL, 'Arenavirus RNA polymerase', NULL, 'Arena_RNA_pol', NULL, NULL, NULL, 6),
(11851, NULL, 'PF10936', NULL, NULL, 'Protein of unknown function DUF2617', NULL, 'DUF2617', NULL, NULL, NULL, 6),
(11852, NULL, 'PF09418', NULL, NULL, 'Protein of unknown function (DUF2009)', NULL, 'DUF2009', NULL, NULL, NULL, 6),
(11853, NULL, 'PF12236', NULL, NULL, 'Bacteriophage head to tail connecting protein', NULL, 'Head-tail_con', NULL, NULL, NULL, 6),
(11854, NULL, 'PF18214', NULL, NULL, 'STATa Immunoglobulin-like domain', NULL, 'STATa_Ig', NULL, NULL, NULL, 6),
(11855, NULL, 'PF04226', NULL, NULL, 'Transglycosylase associated protein', NULL, 'Transgly_assoc', NULL, NULL, NULL, 6),
(11856, NULL, 'PF07533', NULL, NULL, 'BRK domain', NULL, 'BRK', NULL, NULL, NULL, 6),
(11857, NULL, 'PF11875', NULL, NULL, 'Domain of unknown function (DUF3395)', NULL, 'DUF3395', NULL, NULL, NULL, 6),
(11858, NULL, 'PF02100', NULL, NULL, 'Ornithine decarboxylase antizyme', NULL, 'ODC_AZ', NULL, NULL, NULL, 6),
(11859, NULL, 'PF11212', NULL, NULL, 'Protein of unknown function (DUF2999)', NULL, 'DUF2999', NULL, NULL, NULL, 6),
(11860, NULL, 'PF01856', NULL, NULL, 'Helicobacter outer membrane protein', NULL, 'HP_OMP', NULL, NULL, NULL, 6),
(11861, NULL, 'PF15476', NULL, NULL, 'Histone deacetylase complex subunit SAP25', NULL, 'SAP25', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11862, NULL, 'PF17937', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_28', NULL, NULL, NULL, 6),
(11863, NULL, 'PF14228', NULL, NULL, 'Cell morphogenesis central region', NULL, 'MOR2-PAG1_mid', NULL, NULL, NULL, 6),
(11864, NULL, 'PF16965', NULL, NULL, 'Ceramide synthase regulator', NULL, 'CSG2', NULL, NULL, NULL, 6),
(11865, NULL, 'PF03246', NULL, NULL, 'Pneumovirus nucleocapsid protein', NULL, 'Pneumo_ncap', NULL, NULL, NULL, 6),
(11866, NULL, 'PF01085', NULL, NULL, 'Hedgehog amino-terminal signalling domain', NULL, 'HH_signal', NULL, NULL, NULL, 6),
(11867, NULL, 'PF07041', NULL, NULL, 'Protein of unknown function (DUF1327)', NULL, 'DUF1327', NULL, NULL, NULL, 6),
(11868, NULL, 'PF10105', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2344)', NULL, 'DUF2344', NULL, NULL, NULL, 6),
(11869, NULL, 'PF18720', NULL, NULL, 'Tenascin EGF domain', NULL, 'EGF_Tenascin', NULL, NULL, NULL, 6),
(11870, NULL, 'PF13890', NULL, NULL, 'Rab3 GTPase-activating protein catalytic subunit', NULL, 'Rab3-GTPase_cat', NULL, NULL, NULL, 6),
(11871, NULL, 'PF08434', NULL, NULL, 'Calcium-activated chloride channel N terminal', NULL, 'CLCA', NULL, NULL, NULL, 6),
(11872, NULL, 'PF00216', NULL, NULL, 'Bacterial DNA-binding protein', NULL, 'Bac_DNA_binding', NULL, NULL, NULL, 6),
(11873, NULL, 'PF05871', NULL, NULL, 'ESCRT-II complex subunit', NULL, 'ESCRT-II', NULL, NULL, NULL, 6),
(11874, NULL, 'PF16565', NULL, NULL, 'Phospholipase D-like domain at C-terminus of MIT', NULL, 'MIT_C', NULL, NULL, NULL, 6),
(11875, NULL, 'PF03227', NULL, NULL, 'Gamma interferon inducible lysosomal thiol reductase (GILT)', NULL, 'GILT', NULL, NULL, NULL, 6),
(11876, NULL, 'PF17158', NULL, NULL, 'Membrane-associated sensor, integral membrane domain', NULL, 'MASE4', NULL, NULL, NULL, 6),
(11877, NULL, 'PF15700', NULL, NULL, 'Domain of unknown function (DUF4667)', NULL, 'DUF4667', NULL, NULL, NULL, 6),
(11878, NULL, 'PF08045', NULL, NULL, 'Cell division control protein 14, SIN component', NULL, 'CDC14', NULL, NULL, NULL, 6),
(11879, NULL, 'PF09743', NULL, NULL, 'E3 UFM1-protein ligase 1', NULL, 'E3_UFM1_ligase', NULL, NULL, NULL, 6),
(11880, NULL, 'PF10081', NULL, NULL, 'Alpha/beta-hydrolase family', NULL, 'Abhydrolase_9', NULL, NULL, NULL, 6),
(11881, NULL, 'PF06859', NULL, NULL, 'Bicoid-interacting protein 3 (Bin3)', NULL, 'Bin3', NULL, NULL, NULL, 6),
(11882, NULL, 'PF08122', NULL, NULL, 'NADH-ubiquinone oxidoreductase B12 subunit family', NULL, 'NDUF_B12', NULL, NULL, NULL, 6),
(11883, NULL, 'PF09029', NULL, NULL, '5-aminolevulinate synthase presequence', NULL, 'Preseq_ALAS', NULL, NULL, NULL, 6),
(11884, NULL, 'PF14974', NULL, NULL, 'Protein C10', NULL, 'P_C10', NULL, NULL, NULL, 6),
(11885, NULL, 'PF03607', NULL, NULL, 'Doublecortin', NULL, 'DCX', NULL, NULL, NULL, 6),
(11886, NULL, 'PF14310', NULL, NULL, 'Fibronectin type III-like domain', NULL, 'Fn3-like', NULL, NULL, NULL, 6),
(11887, NULL, 'PF15537', NULL, NULL, 'Bacterial toxin 43', NULL, 'Ntox43', NULL, NULL, NULL, 6),
(11888, NULL, 'PF07235', NULL, NULL, 'Protein of unknown function (DUF1427)', NULL, 'DUF1427', NULL, NULL, NULL, 6),
(11889, NULL, 'PF17273', NULL, NULL, 'Family of unknown function (DUF5338)', NULL, 'DUF5338', NULL, NULL, NULL, 6),
(11890, NULL, 'PF12260', NULL, NULL, 'Protein-kinase domain of FAM69', NULL, 'PIP49_C', NULL, NULL, NULL, 6),
(11891, NULL, 'PF11329', NULL, NULL, 'Protein of unknown function (DUF3131)', NULL, 'DUF3131', NULL, NULL, NULL, 6),
(11892, NULL, 'PF06441', NULL, NULL, 'Epoxide hydrolase N terminus', NULL, 'EHN', NULL, NULL, NULL, 6),
(11893, NULL, 'PF13133', NULL, NULL, 'Protein of unknown function (DUF3949)', NULL, 'DUF3949', NULL, NULL, NULL, 6),
(11894, NULL, 'PF04514', NULL, NULL, 'Bluetongue virus non-structural protein NS2', NULL, 'BTV_NS2', NULL, NULL, NULL, 6),
(11895, NULL, 'PF16254', NULL, NULL, 'Domain of unknown function (DUF4910)', NULL, 'DUF4910', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11896, NULL, 'PF18987', NULL, NULL, 'Family of unknown function (DUF5720)', NULL, 'DUF5720', NULL, NULL, NULL, 6),
(11897, NULL, 'PF06959', NULL, NULL, 'RecQ helicase protein-like 5 (RecQ5)', NULL, 'RecQ5', NULL, NULL, NULL, 6),
(11898, NULL, 'PF06550', NULL, NULL, 'Signal-peptide peptidase, presenilin aspartyl protease', NULL, 'SPP', NULL, NULL, NULL, 6),
(11899, NULL, 'PF15259', NULL, NULL, 'G-2 and S-phase expressed 1', NULL, 'GTSE1_N', NULL, NULL, NULL, 6),
(11900, NULL, 'PF05712', NULL, NULL, 'MRG', NULL, 'MRG', NULL, NULL, NULL, 6),
(11901, NULL, 'PF02048', NULL, NULL, 'Heat-stable enterotoxin ST', NULL, 'Enterotoxin_ST', NULL, NULL, NULL, 6),
(11902, NULL, 'PF00760', NULL, NULL, 'Cucumovirus coat protein', NULL, 'Cucumo_coat', NULL, NULL, NULL, 6),
(11903, NULL, 'PF06277', NULL, NULL, 'Ethanolamine utilisation protein EutA', NULL, 'EutA', NULL, NULL, NULL, 6),
(11904, NULL, 'PF06817', NULL, NULL, 'Reverse transcriptase thumb domain', NULL, 'RVT_thumb', NULL, NULL, NULL, 6),
(11905, NULL, 'PF12098', NULL, NULL, 'Protein of unknown function (DUF3574)', NULL, 'DUF3574', NULL, NULL, NULL, 6),
(11906, NULL, 'PF02271', NULL, NULL, 'Ubiquinol-cytochrome C reductase complex 14kD subunit', NULL, 'UCR_14kD', NULL, NULL, NULL, 6),
(11907, NULL, 'PF12829', NULL, NULL, 'Transcriptional regulation of mitochondrial recombination', NULL, 'Mhr1', NULL, NULL, NULL, 6),
(11908, NULL, 'PF06312', NULL, NULL, 'Neurexophilin', NULL, 'Neurexophilin', NULL, NULL, NULL, 6),
(11909, NULL, 'PF15713', NULL, NULL, 'Protein tyrosine phosphatase receptor type C-associated', NULL, 'PTPRCAP', NULL, NULL, NULL, 6),
(11910, NULL, 'PF17504', NULL, NULL, 'Family of unknown function (DUF5436)', NULL, 'DUF5436', NULL, NULL, NULL, 6),
(11911, NULL, 'PF02040', NULL, NULL, 'Arsenical pump membrane protein', NULL, 'ArsB', NULL, NULL, NULL, 6),
(11912, NULL, 'PF12738', NULL, NULL, 'twin BRCT domain', NULL, 'PTCB-BRCT', NULL, NULL, NULL, 6),
(11913, NULL, 'PF08249', NULL, NULL, 'Mastoparan protein', NULL, 'Mastoparan', NULL, NULL, NULL, 6),
(11914, NULL, 'PF08036', NULL, NULL, 'Diapausin family of antimicrobial peptide', NULL, 'Antimicrobial_6', NULL, NULL, NULL, 6),
(11915, NULL, 'PF00451', NULL, NULL, 'Scorpion short toxin, BmKK2', NULL, 'Toxin_2', NULL, NULL, NULL, 6),
(11916, NULL, 'PF08281', NULL, NULL, 'Sigma-70, region 4', NULL, 'Sigma70_r4_2', NULL, NULL, NULL, 6),
(11917, NULL, 'PF09204', NULL, NULL, 'Bacterial self-protective colicin-like immunity', NULL, 'Colicin_immun', NULL, NULL, NULL, 6),
(11918, NULL, 'PF15592', NULL, NULL, 'Immunity protein 41', NULL, 'Imm41', NULL, NULL, NULL, 6),
(11919, NULL, 'PF15597', NULL, NULL, 'Immunity protein 59', NULL, 'Imm59', NULL, NULL, NULL, 6),
(11920, NULL, 'PF16123', NULL, NULL, 'Hydroxyacylglutathione hydrolase C-terminus', NULL, 'HAGH_C', NULL, NULL, NULL, 6),
(11921, NULL, 'PF07921', NULL, NULL, 'Fibritin C-terminal region', NULL, 'Fibritin_C', NULL, NULL, NULL, 6),
(11922, NULL, 'PF16103', NULL, NULL, 'Domain of unknown function (DUF4822)', NULL, 'DUF4822', NULL, NULL, NULL, 6),
(11923, NULL, 'PF13238', NULL, NULL, 'AAA domain', NULL, 'AAA_18', NULL, NULL, NULL, 6),
(11924, NULL, 'PF11204', NULL, NULL, 'Protein of unknown function (DUF2985)', NULL, 'DUF2985', NULL, NULL, NULL, 6),
(11925, NULL, 'PF04636', NULL, NULL, 'PA26 p53-induced protein (sestrin)', NULL, 'PA26', NULL, NULL, NULL, 6),
(11926, NULL, 'PF06224', NULL, NULL, 'Winged helix DNA-binding domain', NULL, 'HTH_42', NULL, NULL, NULL, 6),
(11927, NULL, 'PF14758', NULL, NULL, 'Non-essential region of nsp2 of arterivirus polyprotein', NULL, 'NSP2_assoc', NULL, NULL, NULL, 6),
(11928, NULL, 'PF03522', NULL, NULL, 'Solute carrier family 12', NULL, 'SLC12', NULL, NULL, NULL, 6),
(11929, NULL, 'PF03660', NULL, NULL, 'PHF5-like protein', NULL, 'PHF5', NULL, NULL, NULL, 6),
(11930, NULL, 'PF00080', NULL, NULL, 'Copper/zinc superoxide dismutase (SODC)', NULL, 'Sod_Cu', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11931, NULL, 'PF04289', NULL, NULL, 'Protein of unknown function (DUF447)', NULL, 'DUF447', NULL, NULL, NULL, 6),
(11932, NULL, 'PF09977', NULL, NULL, 'Putative Tad-like Flp pilus-assembly', NULL, 'Tad_C', NULL, NULL, NULL, 6),
(11933, NULL, 'PF16441', NULL, NULL, 'Domain of unknown function (DUF5038)', NULL, 'DUF5038', NULL, NULL, NULL, 6),
(11934, NULL, 'PF10749', NULL, NULL, 'Protein of unknown function (DUF2534)', NULL, 'DUF2534', NULL, NULL, NULL, 6),
(11935, NULL, 'PF12117', NULL, NULL, 'Protein of unknown function (DUF3580)', NULL, 'DUF3580', NULL, NULL, NULL, 6),
(11936, NULL, 'PF03791', NULL, NULL, 'KNOX2 domain', NULL, 'KNOX2', NULL, NULL, NULL, 6),
(11937, NULL, 'PF13791', NULL, NULL, 'Sigma factor regulator C-terminal', NULL, 'Sigma_reg_C', NULL, NULL, NULL, 6),
(11938, NULL, 'PF06680', NULL, NULL, 'Protein of unknown function (DUF1181)', NULL, 'DUF1181', NULL, NULL, NULL, 6),
(11939, NULL, 'PF07152', NULL, NULL, 'YaeQ protein', NULL, 'YaeQ', NULL, NULL, NULL, 6),
(11940, NULL, 'PF17150', NULL, NULL, 'C-terminal domain of two-partite extracellular sensor domain', NULL, 'CHASE6_C', NULL, NULL, NULL, 6),
(11941, NULL, 'PF12049', NULL, NULL, 'Protein of unknown function (DUF3531)', NULL, 'DUF3531', NULL, NULL, NULL, 6),
(11942, NULL, 'PF18628', NULL, NULL, 'Viral coat protein P2 N-terminal domain', NULL, 'P2_N', NULL, NULL, NULL, 6),
(11943, NULL, 'PF07177', NULL, NULL, 'Neuralized', NULL, 'Neuralized', NULL, NULL, NULL, 6),
(11944, NULL, 'PF03946', NULL, NULL, 'Ribosomal protein L11, N-terminal domain', NULL, 'Ribosomal_L11_N', NULL, NULL, NULL, 6),
(11945, NULL, 'PF16104', NULL, NULL, 'Formyl peptide receptor-like 1 inhibitory protein', NULL, 'FPRL1_inhibitor', NULL, NULL, NULL, 6),
(11946, NULL, 'PF01432', NULL, NULL, 'Peptidase family M3', NULL, 'Peptidase_M3', NULL, NULL, NULL, 6),
(11947, NULL, 'PF06414', NULL, NULL, 'Zeta toxin', NULL, 'Zeta_toxin', NULL, NULL, NULL, 6),
(11948, NULL, 'PF13034', NULL, NULL, 'Protein of unknown function (DUF3895)', NULL, 'DUF3895', NULL, NULL, NULL, 6),
(11949, NULL, 'PF00213', NULL, NULL, 'ATP synthase delta (OSCP) subunit', NULL, 'OSCP', NULL, NULL, NULL, 6),
(11950, NULL, 'PF10470', NULL, NULL, 'PKA-RI-RII subunit binding domain of A-kinase anchor protein', NULL, 'AKAP7_RIRII_bdg', NULL, NULL, NULL, 6),
(11951, NULL, 'PF16229', NULL, NULL, 'Domain of unknown function (DUF4888)', NULL, 'DUF4888', NULL, NULL, NULL, 6),
(11952, NULL, 'PF09991', NULL, NULL, 'Predicted membrane protein (DUF2232)', NULL, 'DUF2232', NULL, NULL, NULL, 6),
(11953, NULL, 'PF04697', NULL, NULL, 'pinin/SDK conserved region', NULL, 'Pinin_SDK_N', NULL, NULL, NULL, 6),
(11954, NULL, 'PF17025', NULL, NULL, 'Domain of unknown function (DUF5099)', NULL, 'DUF5099', NULL, NULL, NULL, 6),
(11955, NULL, 'PF03214', NULL, NULL, 'Reversibly glycosylated polypeptide', NULL, 'RGP', NULL, NULL, NULL, 6),
(11956, NULL, 'PF04519', NULL, NULL, 'Polymer-forming cytoskeletal', NULL, 'Bactofilin', NULL, NULL, NULL, 6),
(11957, NULL, 'PF13644', NULL, NULL, 'DKNYY family', NULL, 'DKNYY', NULL, NULL, NULL, 6),
(11958, NULL, 'PF07077', NULL, NULL, 'Protein of unknown function (DUF1345)', NULL, 'DUF1345', NULL, NULL, NULL, 6),
(11959, NULL, 'PF07301', NULL, NULL, 'Protein of unknown function (DUF1453)', NULL, 'DUF1453', NULL, NULL, NULL, 6),
(11960, NULL, 'PF18995', NULL, NULL, 'Proteolysis_6 C-terminal', NULL, 'PRT6_C', NULL, NULL, NULL, 6),
(11961, NULL, 'PF12754', NULL, NULL, 'Blt1 N-terminal domain', NULL, 'Blt1', NULL, NULL, NULL, 6),
(11962, NULL, 'PF04285', NULL, NULL, 'Protein of unknown function (DUF444)', NULL, 'DUF444', NULL, NULL, NULL, 6),
(11963, NULL, 'PF13404', NULL, NULL, 'AsnC-type helix-turn-helix domain', NULL, 'HTH_AsnC-type', NULL, NULL, NULL, 6),
(11964, NULL, 'PF10725', NULL, NULL, 'Protein of unknown function (DUF2517)', NULL, 'DUF2517', NULL, NULL, NULL, 6),
(11965, NULL, 'PF07677', NULL, NULL, 'A-macroglobulin receptor binding domain', NULL, 'A2M_recep', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(11966, NULL, 'PF14337', NULL, NULL, 'Abortive infection alpha', NULL, 'Abi_alpha', NULL, NULL, NULL, 6),
(11967, NULL, 'PF01993', NULL, NULL, 'methylene-5,6,7,8-tetrahydromethanopterin dehydrogenase', NULL, 'MTD', NULL, NULL, NULL, 6),
(11968, NULL, 'PF15448', NULL, NULL, 'N-terminal segments of P. falciparum erythrocyte membrane protein', NULL, 'NTS_2', NULL, NULL, NULL, 6),
(11969, NULL, 'PF10258', NULL, NULL, 'PHAX RNA-binding domain', NULL, 'RNA_GG_bind', NULL, NULL, NULL, 6),
(11970, NULL, 'PF07159', NULL, NULL, 'Protein of unknown function (DUF1394)', NULL, 'DUF1394', NULL, NULL, NULL, 6),
(11971, NULL, 'PF09792', NULL, NULL, 'Ubiquitin 3 binding protein But2 C-terminal domain', NULL, 'But2', NULL, NULL, NULL, 6),
(11972, NULL, 'PF08192', NULL, NULL, 'Peptidase family S64', NULL, 'Peptidase_S64', NULL, NULL, NULL, 6),
(11973, NULL, 'PF07469', NULL, NULL, 'Domain of unknown function (DUF1518)', NULL, 'DUF1518', NULL, NULL, NULL, 6),
(11974, NULL, 'PF09566', NULL, NULL, 'SacI restriction endonuclease', NULL, 'RE_SacI', NULL, NULL, NULL, 6),
(11975, NULL, 'PF09678', NULL, NULL, 'Cytochrome c oxidase caa3 assembly factor (Caa3_CtaG)', NULL, 'Caa3_CtaG', NULL, NULL, NULL, 6),
(11976, NULL, 'PF13593', NULL, NULL, 'SBF-like CPA transporter family (DUF4137)', NULL, 'SBF_like', NULL, NULL, NULL, 6),
(11977, NULL, 'PF13261', NULL, NULL, 'Protein of unknown function (DUF4052)', NULL, 'DUF4052', NULL, NULL, NULL, 6),
(11978, NULL, 'PF04018', NULL, NULL, 'Domain of unknown function (DUF368)', NULL, 'DUF368', NULL, NULL, NULL, 6),
(11979, NULL, 'PF12566', NULL, NULL, 'Protein of unknown function (DUF3748)', NULL, 'DUF3748', NULL, NULL, NULL, 6),
(11980, NULL, 'PF14303', NULL, NULL, 'No apical meristem-associated C-terminal domain', NULL, 'NAM-associated', NULL, NULL, NULL, 6),
(11981, NULL, 'PF11882', NULL, NULL, 'Domain of unknown function (DUF3402)', NULL, 'DUF3402', NULL, NULL, NULL, 6),
(11982, NULL, 'PF11712', NULL, NULL, 'Endoplasmic reticulum-based factor for assembly of V-ATPase', NULL, 'Vma12', NULL, NULL, NULL, 6),
(11983, NULL, 'PF01881', NULL, NULL, 'CRISPR associated protein Cas6', NULL, 'Cas_Cas6', NULL, NULL, NULL, 6),
(11984, NULL, 'PF11108', NULL, NULL, 'Viral glycoprotein L', NULL, 'Phage_glycop_gL', NULL, NULL, NULL, 6),
(11985, NULL, 'PF17013', NULL, NULL, 'Putative acetyl-transferase', NULL, 'Acetyltransf_15', NULL, NULL, NULL, 6),
(11986, NULL, 'PF13508', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_7', NULL, NULL, NULL, 6),
(11987, NULL, 'PF05971', NULL, NULL, 'RNA methyltransferase', NULL, 'Methyltransf_10', NULL, NULL, NULL, 6),
(11988, NULL, 'PF08481', NULL, NULL, 'GBS Bsp-like repeat', NULL, 'GBS_Bsp-like', NULL, NULL, NULL, 6),
(11989, NULL, 'PF13286', NULL, NULL, 'Phosphohydrolase-associated domain', NULL, 'HD_assoc', NULL, NULL, NULL, 6),
(11990, NULL, 'PF02173', NULL, NULL, 'pKID domain', NULL, 'pKID', NULL, NULL, NULL, 6),
(11991, NULL, 'PF12353', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit G', NULL, 'eIF3g', NULL, NULL, NULL, 6),
(11992, NULL, 'PF04667', NULL, NULL, 'cAMP-regulated phosphoprotein/endosulfine conserved region', NULL, 'Endosulfine', NULL, NULL, NULL, 6),
(11993, NULL, 'PF03548', NULL, NULL, 'Outer membrane lipoprotein carrier protein LolA', NULL, 'LolA', NULL, NULL, NULL, 6),
(11994, NULL, 'PF10025', NULL, NULL, 'Uncharacterized conserved protein (DUF2267)', NULL, 'DUF2267', NULL, NULL, NULL, 6),
(11995, NULL, 'PF13244', NULL, NULL, 'Domain of unknown function (DUF4040)', NULL, 'DUF4040', NULL, NULL, NULL, 6),
(11996, NULL, 'PF14939', NULL, NULL, 'DDB1-and CUL4-substrate receptor 15, WD repeat', NULL, 'DCAF15_WD40', NULL, NULL, NULL, 6),
(11997, NULL, 'PF14866', NULL, NULL, 'Potassium channel toxin', NULL, 'Toxin_38', NULL, NULL, NULL, 6),
(11998, NULL, 'PF08071', NULL, NULL, 'RS4NT (NUC023) domain', NULL, 'RS4NT', NULL, NULL, NULL, 6),
(11999, NULL, 'PF03907', NULL, NULL, 'Spo7-like protein', NULL, 'Spo7', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12000, NULL, 'PF07541', NULL, NULL, 'Eukaryotic translation initiation factor 2 alpha subunit', NULL, 'EIF_2_alpha', NULL, NULL, NULL, 6),
(12001, NULL, 'PF04197', NULL, NULL, 'Birnavirus RNA dependent RNA polymerase (VP1)', NULL, 'Birna_RdRp', NULL, NULL, NULL, 6),
(12002, NULL, 'PF08729', NULL, NULL, 'HPC2 and ubinuclein domain', NULL, 'HUN', NULL, NULL, NULL, 6),
(12003, NULL, 'PF15883', NULL, NULL, 'Domain of unknown function (DUF4736)', NULL, 'DUF4736', NULL, NULL, NULL, 6),
(12004, NULL, 'PF16391', NULL, NULL, 'Domain of unknown function', NULL, 'DUF5000', NULL, NULL, NULL, 6),
(12005, NULL, 'PF15436', NULL, NULL, 'Plasminogen-binding protein pgbA N-terminal', NULL, 'PGBA_N', NULL, NULL, NULL, 6),
(12006, NULL, 'PF11419', NULL, NULL, 'Protein of unknown function (DUF3194)', NULL, 'DUF3194', NULL, NULL, NULL, 6),
(12007, NULL, 'PF11548', NULL, NULL, 'Protein-tyrosine phosphatase receptor IA-2', NULL, 'Receptor_IA-2', NULL, NULL, NULL, 6),
(12008, NULL, 'PF15674', NULL, NULL, 'Coiled-coil domain-containing protein 23', NULL, 'CCDC23', NULL, NULL, NULL, 6),
(12009, NULL, 'PF10356', NULL, NULL, 'Protein of unknown function (DUF2034)', NULL, 'DUF2034', NULL, NULL, NULL, 6),
(12010, NULL, 'PF15353', NULL, NULL, 'Headcase protein family homologue', NULL, 'HECA', NULL, NULL, NULL, 6),
(12011, NULL, 'PF17674', NULL, NULL, 'HHH domain', NULL, 'HHH_9', NULL, NULL, NULL, 6),
(12012, NULL, 'PF07289', NULL, NULL, 'Bardet-Biedl syndrome 5 protein', NULL, 'BBL5', NULL, NULL, NULL, 6),
(12013, NULL, 'PF05183', NULL, NULL, 'RNA dependent RNA polymerase', NULL, 'RdRP', NULL, NULL, NULL, 6),
(12014, NULL, 'PF06203', NULL, NULL, 'CCT motif', NULL, 'CCT', NULL, NULL, NULL, 6),
(12015, NULL, 'PF13077', NULL, NULL, 'Protein of unknown function (DUF3909)', NULL, 'DUF3909', NULL, NULL, NULL, 6),
(12016, NULL, 'PF06244', NULL, NULL, 'Coiled-coil domain-containing protein 124 /Oxs1', NULL, 'Ccdc124', NULL, NULL, NULL, 6),
(12017, NULL, 'PF01567', NULL, NULL, 'Hantavirus glycoprotein G1', NULL, 'Hanta_G1', NULL, NULL, NULL, 6),
(12018, NULL, 'PF03237', NULL, NULL, 'Terminase-like family', NULL, 'Terminase_6', NULL, NULL, NULL, 6),
(12019, NULL, 'PF17721', NULL, NULL, 'Family of unknown function (DUF5566)', NULL, 'DUF5566', NULL, NULL, NULL, 6),
(12020, NULL, 'PF08273', NULL, NULL, 'Zinc-binding domain of primase-helicase', NULL, 'Prim_Zn_Ribbon', NULL, NULL, NULL, 6),
(12021, NULL, 'PF08919', NULL, NULL, 'F-actin binding', NULL, 'F_actin_bind', NULL, NULL, NULL, 6),
(12022, NULL, 'PF01122', NULL, NULL, 'Eukaryotic cobalamin-binding protein', NULL, 'Cobalamin_bind', NULL, NULL, NULL, 6),
(12023, NULL, 'PF03294', NULL, NULL, 'RNA polymerase-associated transcription specificity factor, Rap94', NULL, 'Pox_Rap94', NULL, NULL, NULL, 6),
(12024, NULL, 'PF11085', NULL, NULL, 'Conserved membrane protein YqhR', NULL, 'YqhR', NULL, NULL, NULL, 6),
(12025, NULL, 'PF14960', NULL, NULL, 'ATP synthase regulation', NULL, 'ATP_synth_reg', NULL, NULL, NULL, 6),
(12026, NULL, 'PF05121', NULL, NULL, 'Gas vesicle protein K', NULL, 'GvpK', NULL, NULL, NULL, 6),
(12027, NULL, 'PF05536', NULL, NULL, 'Neurochondrin', NULL, 'Neurochondrin', NULL, NULL, NULL, 6),
(12028, NULL, 'PF00085', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin', NULL, NULL, NULL, 6),
(12029, NULL, 'PF18369', NULL, NULL, 'Polyketide synthase dimerisation element domain', NULL, 'PKS_DE', NULL, NULL, NULL, 6),
(12030, NULL, 'PF15824', NULL, NULL, 'Spermatogenesis-associated protein 9', NULL, 'SPATA9', NULL, NULL, NULL, 6),
(12031, NULL, 'PF04893', NULL, NULL, 'Yip1 domain', NULL, 'Yip1', NULL, NULL, NULL, 6),
(12032, NULL, 'PF05537', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF759)', NULL, 'DUF759', NULL, NULL, NULL, 6),
(12033, NULL, 'PF17206', NULL, NULL, 'SeqA protein N-terminal domain', NULL, 'SeqA_N', NULL, NULL, NULL, 6),
(12034, NULL, 'PF11111', NULL, NULL, 'Centromere protein M (CENP-M)', NULL, 'CENP-M', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12035, NULL, 'PF12951', NULL, NULL, 'Passenger-associated-transport-repeat', NULL, 'PATR', NULL, NULL, NULL, 6),
(12036, NULL, 'PF01216', NULL, NULL, 'Calsequestrin', NULL, 'Calsequestrin', NULL, NULL, NULL, 6),
(12037, NULL, 'PF09538', NULL, NULL, 'Protein of unknown function (FYDLN_acid)', NULL, 'FYDLN_acid', NULL, NULL, NULL, 6),
(12038, NULL, 'PF06692', NULL, NULL, 'Melon necrotic spot virus P7B protein', NULL, 'MNSV_P7B', NULL, NULL, NULL, 6),
(12039, NULL, 'PF18656', NULL, NULL, 'Family of unknown function (DUF5633)', NULL, 'DUF5633', NULL, NULL, NULL, 6),
(12040, NULL, 'PF18926', NULL, NULL, '2TM family of unknown function (DUF5676)', NULL, 'DUF5676', NULL, NULL, NULL, 6),
(12041, NULL, 'PF14369', NULL, NULL, 'zinc-ribbon', NULL, 'zinc_ribbon_9', NULL, NULL, NULL, 6),
(12042, NULL, 'PF11981', NULL, NULL, 'Domain of unknown function (DUF3482)', NULL, 'DUF3482', NULL, NULL, NULL, 6),
(12043, NULL, 'PF01245', NULL, NULL, 'Ribosomal protein L19', NULL, 'Ribosomal_L19', NULL, NULL, NULL, 6),
(12044, NULL, 'PF11659', NULL, NULL, 'Protein of unknown function (DUF3261)', NULL, 'DUF3261', NULL, NULL, NULL, 6),
(12045, NULL, 'PF14078', NULL, NULL, 'Domain of unknown function (DUF4259)', NULL, 'DUF4259', NULL, NULL, NULL, 6),
(12046, NULL, 'PF05103', NULL, NULL, 'DivIVA protein', NULL, 'DivIVA', NULL, NULL, NULL, 6),
(12047, NULL, 'PF10022', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2264)', NULL, 'DUF2264', NULL, NULL, NULL, 6),
(12048, NULL, 'PF14894', NULL, NULL, 'Lsm C-terminal', NULL, 'Lsm_C', NULL, NULL, NULL, 6),
(12049, NULL, 'PF17740', NULL, NULL, 'Family of unknown function (DUF5577)', NULL, 'DUF5577', NULL, NULL, NULL, 6),
(12050, NULL, 'PF17905', NULL, NULL, 'GLD-3 KH domain 5', NULL, 'KH_10', NULL, NULL, NULL, 6),
(12051, NULL, 'PF00395', NULL, NULL, 'S-layer homology domain', NULL, 'SLH', NULL, NULL, NULL, 6),
(12052, NULL, 'PF10066', NULL, NULL, 'Uncharacterized conserved protein (DUF2304)', NULL, 'DUF2304', NULL, NULL, NULL, 6),
(12053, NULL, 'PF11878', NULL, NULL, 'Domain of unknown function (DUF3398)', NULL, 'DUF3398', NULL, NULL, NULL, 6),
(12054, NULL, 'PF14145', NULL, NULL, 'YrhK-like protein', NULL, 'YrhK', NULL, NULL, NULL, 6),
(12055, NULL, 'PF13980', NULL, NULL, 'Uncharacterised protein family (UPF0370)', NULL, 'UPF0370', NULL, NULL, NULL, 6),
(12056, NULL, 'PF13148', NULL, NULL, 'Protein of unknown function (DUF3987)', NULL, 'DUF3987', NULL, NULL, NULL, 6),
(12057, NULL, 'PF09466', NULL, NULL, 'Hypothetical protein Yqai', NULL, 'Yqai', NULL, NULL, NULL, 6),
(12058, NULL, 'PF01621', NULL, NULL, 'Cell fusion glycoprotein K', NULL, 'Fusion_gly_K', NULL, NULL, NULL, 6),
(12059, NULL, 'PF17820', NULL, NULL, 'PDZ domain', NULL, 'PDZ_6', NULL, NULL, NULL, 6),
(12060, NULL, 'PF16736', NULL, NULL, 'Single Cache-like', NULL, 'sCache_like', NULL, NULL, NULL, 6),
(12061, NULL, 'PF15299', NULL, NULL, 'Amyotrophic lateral sclerosis 2 chromosomal region candidate gene 8', NULL, 'ALS2CR8', NULL, NULL, NULL, 6),
(12062, NULL, 'PF14484', NULL, NULL, 'Fish-specific NACHT associated domain', NULL, 'FISNA', NULL, NULL, NULL, 6),
(12063, NULL, 'PF09851', NULL, NULL, 'Short C-terminal domain', NULL, 'SHOCT', NULL, NULL, NULL, 6),
(12064, NULL, 'PF12815', NULL, NULL, 'Spt5 C-terminal nonapeptide repeat binding Spt4', NULL, 'CTD', NULL, NULL, NULL, 6),
(12065, NULL, 'PF01266', NULL, NULL, 'FAD dependent oxidoreductase', NULL, 'DAO', NULL, NULL, NULL, 6),
(12066, NULL, 'PF01219', NULL, NULL, 'Prokaryotic diacylglycerol kinase', NULL, 'DAGK_prokar', NULL, NULL, NULL, 6),
(12067, NULL, 'PF04894', NULL, NULL, 'Archaeal Nre, N-terminal', NULL, 'Nre_N', NULL, NULL, NULL, 6),
(12068, NULL, 'PF00415', NULL, NULL, 'Regulator of chromosome condensation (RCC1) repeat', NULL, 'RCC1', NULL, NULL, NULL, 6),
(12069, NULL, 'PF10139', NULL, NULL, 'Putative bacterial virulence factor', NULL, 'Virul_Fac', NULL, NULL, NULL, 6),
(12070, NULL, 'PF08151', NULL, NULL, 'FerI (NUC094) domain', NULL, 'FerI', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12071, NULL, 'PF14998', NULL, NULL, 'Transcription Regulator', NULL, 'Ripply', NULL, NULL, NULL, 6),
(12072, NULL, 'PF16374', NULL, NULL, 'Cycle inhibiting factor (CIF)', NULL, 'CIF', NULL, NULL, NULL, 6),
(12073, NULL, 'PF13573', NULL, NULL, 'SprB repeat', NULL, 'SprB', NULL, NULL, NULL, 6),
(12074, NULL, 'PF12928', NULL, NULL, 'tRNA-splicing endonuclease subunit sen54 N-term', NULL, 'tRNA_int_end_N2', NULL, NULL, NULL, 6),
(12075, NULL, 'PF19015', NULL, NULL, 'Family of unknown function (DUF5744)', NULL, 'DUF5744', NULL, NULL, NULL, 6),
(12076, NULL, 'PF17903', NULL, NULL, 'Krr1 KH1 domain', NULL, 'KH_8', NULL, NULL, NULL, 6),
(12077, NULL, 'PF02241', NULL, NULL, 'Methyl-coenzyme M reductase beta subunit, C-terminal domain', NULL, 'MCR_beta', NULL, NULL, NULL, 6),
(12078, NULL, 'PF00844', NULL, NULL, 'Geminivirus coat protein/nuclear export factor BR1 family', NULL, 'Gemini_coat', NULL, NULL, NULL, 6),
(12079, NULL, 'PF18423', NULL, NULL, 'Zinc binding domain', NULL, 'zf_CopZ', NULL, NULL, NULL, 6),
(12080, NULL, 'PF15685', NULL, NULL, 'Gametogenetin', NULL, 'GGN', NULL, NULL, NULL, 6),
(12081, NULL, 'PF10057', NULL, NULL, 'Uncharacterized conserved protein (DUF2294)', NULL, 'DUF2294', NULL, NULL, NULL, 6),
(12082, NULL, 'PF11853', NULL, NULL, 'Protein of unknown function (DUF3373)', NULL, 'DUF3373', NULL, NULL, NULL, 6),
(12083, NULL, 'PF04385', NULL, NULL, 'Domain of unknown function, DUF529', NULL, 'FAINT', NULL, NULL, NULL, 6),
(12084, NULL, 'PF04334', NULL, NULL, 'Protein of unknown function (DUF478)', NULL, 'DUF478', NULL, NULL, NULL, 6),
(12085, NULL, 'PF08917', NULL, NULL, 'Transforming growth factor beta receptor 2 ectodomain', NULL, 'ecTbetaR2', NULL, NULL, NULL, 6),
(12086, NULL, 'PF15326', NULL, NULL, 'Testis expressed sequence 15', NULL, 'TEX15', NULL, NULL, NULL, 6),
(12087, NULL, 'PF05047', NULL, NULL, 'Mitochondrial ribosomal protein L51 / S25 / CI-B8 domain', NULL, 'L51_S25_CI-B8', NULL, NULL, NULL, 6),
(12088, NULL, 'PF09367', NULL, NULL, 'CpeS-like protein', NULL, 'CpeS', NULL, NULL, NULL, 6),
(12089, NULL, 'PF11526', NULL, NULL, 'Subunit of cleavage factor IA Pcf11', NULL, 'CFIA_Pcf11', NULL, NULL, NULL, 6),
(12090, NULL, 'PF15859', NULL, NULL, 'Deleted in esophageal cancer 1 family', NULL, 'DEC1', NULL, NULL, NULL, 6),
(12091, NULL, 'PF08446', NULL, NULL, 'PAS fold', NULL, 'PAS_2', NULL, NULL, NULL, 6),
(12092, NULL, 'PF18858', NULL, NULL, 'Large polyvalent protein associated domain 39', NULL, 'LPD39', NULL, NULL, NULL, 6),
(12093, NULL, 'PF14150', NULL, NULL, 'YesK-like protein', NULL, 'YesK', NULL, NULL, NULL, 6),
(12094, NULL, 'PF18764', NULL, NULL, 'Nitrous oxide reductase propeller repeat', NULL, 'nos_propeller', NULL, NULL, NULL, 6),
(12095, NULL, 'PF05465', NULL, NULL, 'Halobacterial gas vesicle protein C (GVPC) repeat', NULL, 'Halo_GVPC', NULL, NULL, NULL, 6),
(12096, NULL, 'PF08660', NULL, NULL, 'Oligosaccharide biosynthesis protein Alg14 like', NULL, 'Alg14', NULL, NULL, NULL, 6),
(12097, NULL, 'PF09173', NULL, NULL, 'Initiation factor eIF2 gamma, C terminal', NULL, 'eIF2_C', NULL, NULL, NULL, 6),
(12098, NULL, 'PF15889', NULL, NULL, 'Domain of unknown function (DUF4738)', NULL, 'DUF4738', NULL, NULL, NULL, 6),
(12099, NULL, 'PF04270', NULL, NULL, 'Streptococcal histidine triad protein', NULL, 'Strep_his_triad', NULL, NULL, NULL, 6),
(12100, NULL, 'PF05268', NULL, NULL, 'Phage tail fibre adhesin Gp38', NULL, 'GP38', NULL, NULL, NULL, 6),
(12101, NULL, 'PF05766', NULL, NULL, 'Bacteriophage Lambda NinG protein', NULL, 'NinG', NULL, NULL, NULL, 6),
(12102, NULL, 'PF17810', NULL, NULL, 'Arginine decarboxylase helical bundle domain', NULL, 'Arg_decarb_HB', NULL, NULL, NULL, 6),
(12103, NULL, 'PF18330', NULL, NULL, 'Ligase Pab1020 C-terminal region', NULL, 'Lig_C', NULL, NULL, NULL, 6),
(12104, NULL, 'PF03554', NULL, NULL, 'UL73 viral envelope glycoprotein', NULL, 'Herpes_UL73', NULL, NULL, NULL, 6),
(12105, NULL, 'PF09601', NULL, NULL, 'Protein of unknown function (DUF2459)', NULL, 'DUF2459', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12106, NULL, 'PF01218', NULL, NULL, 'Coproporphyrinogen III oxidase', NULL, 'Coprogen_oxidas', NULL, NULL, NULL, 6),
(12107, NULL, 'PF05703', NULL, NULL, 'Auxin canalisation', NULL, 'Auxin_canalis', NULL, NULL, NULL, 6),
(12108, NULL, 'PF00611', NULL, NULL, 'Fes/CIP4, and EFC/F-BAR homology domain', NULL, 'FCH', NULL, NULL, NULL, 6),
(12109, NULL, 'PF16653', NULL, NULL, 'Saccharopine dehydrogenase C-terminal domain', NULL, 'Sacchrp_dh_C', NULL, NULL, NULL, 6),
(12110, NULL, 'PF09971', NULL, NULL, 'Predicted membrane protein (DUF2206)', NULL, 'DUF2206', NULL, NULL, NULL, 6),
(12111, NULL, 'PF05847', NULL, NULL, 'Nucleopolyhedrovirus late expression factor 3 (LEF-3)', NULL, 'Baculo_LEF-3', NULL, NULL, NULL, 6),
(12112, NULL, 'PF08616', NULL, NULL, 'Stabilization of polarity axis', NULL, 'SPA', NULL, NULL, NULL, 6),
(12113, NULL, 'PF14143', NULL, NULL, 'YrhC-like protein', NULL, 'YrhC', NULL, NULL, NULL, 6),
(12114, NULL, 'PF03034', NULL, NULL, 'Phosphatidyl serine synthase', NULL, 'PSS', NULL, NULL, NULL, 6),
(12115, NULL, 'PF04534', NULL, NULL, 'Herpesvirus UL56 protein', NULL, 'Herpes_UL56', NULL, NULL, NULL, 6),
(12116, NULL, 'PF14126', NULL, NULL, 'Domain of unknown function (DUF4293)', NULL, 'DUF4293', NULL, NULL, NULL, 6),
(12117, NULL, 'PF03961', NULL, NULL, 'Flagellar Assembly Protein A', NULL, 'FapA', NULL, NULL, NULL, 6),
(12118, NULL, 'PF01336', NULL, NULL, 'OB-fold nucleic acid binding domain', NULL, 'tRNA_anti-codon', NULL, NULL, NULL, 6),
(12119, NULL, 'PF00220', NULL, NULL, 'Neurohypophysial hormones, N-terminal Domain', NULL, 'Hormone_4', NULL, NULL, NULL, 6),
(12120, NULL, 'PF04717', NULL, NULL, 'Type VI secretion system/phage-baseplate injector OB domain', NULL, 'Phage_base_V', NULL, NULL, NULL, 6),
(12121, NULL, 'PF11012', NULL, NULL, 'Protein of unknown function (DUF2850)', NULL, 'DUF2850', NULL, NULL, NULL, 6),
(12122, NULL, 'PF17369', NULL, NULL, 'Family of unknown function (DUF5391)', NULL, 'DUF5391', NULL, NULL, NULL, 6),
(12123, NULL, 'PF09643', NULL, NULL, 'YopX protein', NULL, 'YopX', NULL, NULL, NULL, 6),
(12124, NULL, 'PF14896', NULL, NULL, 'EmbC C-terminal domain', NULL, 'Arabino_trans_C', NULL, NULL, NULL, 6),
(12125, NULL, 'PF01529', NULL, NULL, 'DHHC palmitoyltransferase', NULL, 'DHHC', NULL, NULL, NULL, 6),
(12126, NULL, 'PF06048', NULL, NULL, 'Domain of unknown function (DUF927)', NULL, 'DUF927', NULL, NULL, NULL, 6),
(12127, NULL, 'PF10116', NULL, NULL, 'Protein required for attachment to host cells', NULL, 'Host_attach', NULL, NULL, NULL, 6),
(12128, NULL, 'PF04079', NULL, NULL, 'Segregation and condensation complex subunit ScpB', NULL, 'SMC_ScpB', NULL, NULL, NULL, 6),
(12129, NULL, 'PF07586', NULL, NULL, 'Protein of unknown function (DUF1552)', NULL, 'HXXSHH', NULL, NULL, NULL, 6),
(12130, NULL, 'PF07497', NULL, NULL, 'Rho termination factor, RNA-binding domain', NULL, 'Rho_RNA_bind', NULL, NULL, NULL, 6),
(12131, NULL, 'PF04405', NULL, NULL, 'Domain of Unknown function (DUF542)', NULL, 'ScdA_N', NULL, NULL, NULL, 6),
(12132, NULL, 'PF10681', NULL, NULL, 'Chaperone for protein-folding within the ER, fungal', NULL, 'Rot1', NULL, NULL, NULL, 6),
(12133, NULL, 'PF07545', NULL, NULL, 'Vestigial/Tondu family', NULL, 'Vg_Tdu', NULL, NULL, NULL, 6),
(12134, NULL, 'PF09906', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2135)', NULL, 'DUF2135', NULL, NULL, NULL, 6),
(12135, NULL, 'PF03382', NULL, NULL, 'Mycoplasma protein of unknown function, DUF285', NULL, 'DUF285', NULL, NULL, NULL, 6),
(12136, NULL, 'PF06777', NULL, NULL, 'Helical and beta-bridge domain', NULL, 'HBB', NULL, NULL, NULL, 6),
(12137, NULL, 'PF10189', NULL, NULL, 'Integrator complex subunit 3', NULL, 'Ints3', NULL, NULL, NULL, 6),
(12138, NULL, 'PF17779', NULL, NULL, 'NOD2 winged helix domain', NULL, 'NOD2_WH', NULL, NULL, NULL, 6),
(12139, NULL, 'PF16069', NULL, NULL, 'Domain of unknown function (DUF4811)', NULL, 'DUF4811', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12140, NULL, 'PF16084', NULL, NULL, 'LydA-holin antagonist', NULL, 'LydB', NULL, NULL, NULL, 6),
(12141, NULL, 'PF18361', NULL, NULL, 'Single stranded DNA-binding protein ss DNA binding domain', NULL, 'ssDBP_DBD', NULL, NULL, NULL, 6),
(12142, NULL, 'PF03978', NULL, NULL, 'Borrelia burgdorferi REV protein', NULL, 'Borrelia_REV', NULL, NULL, NULL, 6),
(12143, NULL, 'PF05894', NULL, NULL, 'Podovirus DNA encapsidation protein (Gp16)', NULL, 'Podovirus_Gp16', NULL, NULL, NULL, 6),
(12144, NULL, 'PF12183', NULL, NULL, 'Restriction endonuclease NotI', NULL, 'NotI', NULL, NULL, NULL, 6),
(12145, NULL, 'PF04278', NULL, NULL, 'Tic22-like family', NULL, 'Tic22', NULL, NULL, NULL, 6),
(12146, NULL, 'PF13082', NULL, NULL, 'Protein of unknown function (DUF3931)', NULL, 'DUF3931', NULL, NULL, NULL, 6),
(12147, NULL, 'PF10944', NULL, NULL, 'Protein of unknown function (DUF2630)', NULL, 'DUF2630', NULL, NULL, NULL, 6),
(12148, NULL, 'PF15779', NULL, NULL, 'Leucine-rich repeat-containing protein 37 family', NULL, 'LRRC37', NULL, NULL, NULL, 6),
(12149, NULL, 'PF03078', NULL, NULL, 'ATHILA ORF-1 family', NULL, 'ATHILA', NULL, NULL, NULL, 6),
(12150, NULL, 'PF02906', NULL, NULL, 'Iron only hydrogenase large subunit, C-terminal domain', NULL, 'Fe_hyd_lg_C', NULL, NULL, NULL, 6),
(12151, NULL, 'PF16164', NULL, NULL, 'VWA N-terminal', NULL, 'VWA_N2', NULL, NULL, NULL, 6),
(12152, NULL, 'PF16702', NULL, NULL, 'Domain of unknown function (DUF5063)', NULL, 'DUF5063', NULL, NULL, NULL, 6),
(12153, NULL, 'PF09994', NULL, NULL, 'Uncharacterized alpha/beta hydrolase domain (DUF2235)', NULL, 'DUF2235', NULL, NULL, NULL, 6),
(12154, NULL, 'PF08253', NULL, NULL, 'Erm Leader peptide', NULL, 'Leader_Erm', NULL, NULL, NULL, 6),
(12155, NULL, 'PF14563', NULL, NULL, 'Domain of unknown function (DUF4444)', NULL, 'DUF4444', NULL, NULL, NULL, 6),
(12156, NULL, 'PF05947', NULL, NULL, 'Type VI secretion system, TssF', NULL, 'T6SS_TssF', NULL, NULL, NULL, 6),
(12157, NULL, 'PF01521', NULL, NULL, 'Iron-sulphur cluster biosynthesis', NULL, 'Fe-S_biosyn', NULL, NULL, NULL, 6),
(12158, NULL, 'PF13869', NULL, NULL, 'Nucleotide hydrolase', NULL, 'NUDIX_2', NULL, NULL, NULL, 6),
(12159, NULL, 'PF12023', NULL, NULL, 'Domain of unknown function (DUF3511)', NULL, 'DUF3511', NULL, NULL, NULL, 6),
(12160, NULL, 'PF09437', NULL, NULL, 'Pombe specific 5TM protein', NULL, 'Pombe_5TM', NULL, NULL, NULL, 6),
(12161, NULL, 'PF14197', NULL, NULL, 'Centrosome localisation domain of PPC89', NULL, 'Cep57_CLD_2', NULL, NULL, NULL, 6),
(12162, NULL, 'PF18245', NULL, NULL, '5-3 exonuclease XRN1 DCP1-binding motif', NULL, 'XRN1_DBM', NULL, NULL, NULL, 6),
(12163, NULL, 'PF01659', NULL, NULL, 'Luteovirus putative VPg genome linked protein', NULL, 'Luteo_Vpg', NULL, NULL, NULL, 6),
(12164, NULL, 'PF00682', NULL, NULL, 'HMGL-like', NULL, 'HMGL-like', NULL, NULL, NULL, 6),
(12165, NULL, 'PF09452', NULL, NULL, 'ESCRT-I subunit Mvb12', NULL, 'Mvb12', NULL, NULL, NULL, 6),
(12166, NULL, 'PF11531', NULL, NULL, 'Coactivator-associated arginine methyltransferase 1 N terminal', NULL, 'CARM1', NULL, NULL, NULL, 6),
(12167, NULL, 'PF16458', NULL, NULL, 'Beta-prism lectin', NULL, 'Beta-prism_lec', NULL, NULL, NULL, 6),
(12168, NULL, 'PF11844', NULL, NULL, 'Domain of unknown function (DUF3364)', NULL, 'DUF3364', NULL, NULL, NULL, 6),
(12169, NULL, 'PF16967', NULL, NULL, 'E-set like domain', NULL, 'TcfC', NULL, NULL, NULL, 6),
(12170, NULL, 'PF05223', NULL, NULL, 'NTF2-like N-terminal transpeptidase domain', NULL, 'MecA_N', NULL, NULL, NULL, 6),
(12171, NULL, 'PF15737', NULL, NULL, 'Domain of unknown function (DUF4685)', NULL, 'DUF4685', NULL, NULL, NULL, 6),
(12172, NULL, 'PF16275', NULL, NULL, 'Splicing factor 1 helix-hairpin domain', NULL, 'SF1-HH', NULL, NULL, NULL, 6),
(12173, NULL, 'PF06127', NULL, NULL, 'Protein of unknown function (DUF962)', NULL, 'DUF962', NULL, NULL, NULL, 6),
(12174, NULL, 'PF03665', NULL, NULL, 'Uncharacterised protein family (UPF0172)', NULL, 'UPF0172', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12175, NULL, 'PF03673', NULL, NULL, 'Uncharacterised protein family (UPF0128)', NULL, 'UPF0128', NULL, NULL, NULL, 6),
(12176, NULL, 'PF01131', NULL, NULL, 'DNA topoisomerase', NULL, 'Topoisom_bac', NULL, NULL, NULL, 6),
(12177, NULL, 'PF03455', NULL, NULL, 'dDENN domain', NULL, 'dDENN', NULL, NULL, NULL, 6),
(12178, NULL, 'PF03914', NULL, NULL, 'CBF/Mak21 family', NULL, 'CBF', NULL, NULL, NULL, 6),
(12179, NULL, 'PF00877', NULL, NULL, 'NlpC/P60 family', NULL, 'NLPC_P60', NULL, NULL, NULL, 6),
(12180, NULL, 'PF10559', NULL, NULL, 'Plug domain of Sec61p', NULL, 'Plug_translocon', NULL, NULL, NULL, 6),
(12181, NULL, 'PF04654', NULL, NULL, 'Protein of unknown function, DUF599', NULL, 'DUF599', NULL, NULL, NULL, 6),
(12182, NULL, 'PF05798', NULL, NULL, 'Bacteriophage FRD3 protein', NULL, 'Phage_FRD3', NULL, NULL, NULL, 6),
(12183, NULL, 'PF18104', NULL, NULL, 'Jumonji domain-containing protein 2A Tudor domain', NULL, 'Tudor_2', NULL, NULL, NULL, 6),
(12184, NULL, 'PF08347', NULL, NULL, 'N-terminal CTNNB1 binding', NULL, 'CTNNB1_binding', NULL, NULL, NULL, 6),
(12185, NULL, 'PF17351', NULL, NULL, 'Family of unknown function (DUF5380)', NULL, 'DUF5380', NULL, NULL, NULL, 6),
(12186, NULL, 'PF18016', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_3', NULL, NULL, NULL, 6),
(12187, NULL, 'PF16378', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4988', NULL, NULL, NULL, 6),
(12188, NULL, 'PF08188', NULL, NULL, 'Spermatozal protamine family', NULL, 'Protamine_3', NULL, NULL, NULL, 6),
(12189, NULL, 'PF01912', NULL, NULL, 'eIF-6 family', NULL, 'eIF-6', NULL, NULL, NULL, 6),
(12190, NULL, 'PF05165', NULL, NULL, 'GTP cyclohydrolase III', NULL, 'GCH_III', NULL, NULL, NULL, 6),
(12191, NULL, 'PF05075', NULL, NULL, 'Protein of unknown function (DUF684)', NULL, 'DUF684', NULL, NULL, NULL, 6),
(12192, NULL, 'PF15018', NULL, NULL, 'TRP-interacting helix', NULL, 'InaF-motif', NULL, NULL, NULL, 6),
(12193, NULL, 'PF15104', NULL, NULL, 'Domain of unknown function (DUF4558)', NULL, 'DUF4558', NULL, NULL, NULL, 6),
(12194, NULL, 'PF13007', NULL, NULL, 'Transposase C of IS166 homeodomain', NULL, 'LZ_Tnp_IS66', NULL, NULL, NULL, 6),
(12195, NULL, 'PF12474', NULL, NULL, 'Polo kinase kinase', NULL, 'PKK', NULL, NULL, NULL, 6),
(12196, NULL, 'PF14136', NULL, NULL, 'Domain of unknown function (DUF4303)', NULL, 'DUF4303', NULL, NULL, NULL, 6),
(12197, NULL, 'PF17891', NULL, NULL, 'Mu-like prophage FluMu N-terminal domain', NULL, 'FluMu_N', NULL, NULL, NULL, 6),
(12198, NULL, 'PF05216', NULL, NULL, 'UNC-50 family', NULL, 'UNC-50', NULL, NULL, NULL, 6),
(12199, NULL, 'PF13070', NULL, NULL, 'Protein of unknown function (DUF3934)', NULL, 'DUF3934', NULL, NULL, NULL, 6),
(12200, NULL, 'PF05390', NULL, NULL, 'Yeast cell wall synthesis protein KRE9/KNH1', NULL, 'KRE9', NULL, NULL, NULL, 6),
(12201, NULL, 'PF17689', NULL, NULL, 'Arabinosyltransferase concanavalin like domain', NULL, 'Arabino_trans_N', NULL, NULL, NULL, 6),
(12202, NULL, 'PF10951', NULL, NULL, 'Protein of unknown function (DUF2776)', NULL, 'DUF2776', NULL, NULL, NULL, 6),
(12203, NULL, 'PF03497', NULL, NULL, 'Anthrax toxin LF subunit', NULL, 'Anthrax_toxA', NULL, NULL, NULL, 6),
(12204, NULL, 'PF02792', NULL, NULL, 'Mago nashi protein', NULL, 'Mago_nashi', NULL, NULL, NULL, 6),
(12205, NULL, 'PF01741', NULL, NULL, 'Large-conductance mechanosensitive channel, MscL', NULL, 'MscL', NULL, NULL, NULL, 6),
(12206, NULL, 'PF19151', NULL, NULL, 'Sublancin', NULL, 'Sublancin', NULL, NULL, NULL, 6),
(12207, NULL, 'PF15041', NULL, NULL, 'Domain of unknown function (DUF4531)', NULL, 'DUF4531', NULL, NULL, NULL, 6),
(12208, NULL, 'PF12708', NULL, NULL, 'Pectate lyase superfamily protein', NULL, 'Pectate_lyase_3', NULL, NULL, NULL, 6),
(12209, NULL, 'PF14787', NULL, NULL, 'GAG-polyprotein viral zinc-finger', NULL, 'zf-CCHC_5', NULL, NULL, NULL, 6),
(12210, NULL, 'PF07240', NULL, NULL, 'Stress-inducible humoral factor Turandot', NULL, 'Turandot', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12211, NULL, 'PF08022', NULL, NULL, 'FAD-binding domain', NULL, 'FAD_binding_8', NULL, NULL, NULL, 6),
(12212, NULL, 'PF00044', NULL, NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, NAD binding domain', NULL, 'Gp_dh_N', NULL, NULL, NULL, 6),
(12213, NULL, 'PF02762', NULL, NULL, 'CBL proto-oncogene N-terminus, SH2-like domain', NULL, 'Cbl_N3', NULL, NULL, NULL, 6),
(12214, NULL, 'PF10868', NULL, NULL, 'Cysteine-rich antifungal protein 2, defensin-like', NULL, 'Defensin_like', NULL, NULL, NULL, 6),
(12215, NULL, 'PF06613', NULL, NULL, 'KorB C-terminal beta-barrel domain', NULL, 'KorB_C', NULL, NULL, NULL, 6),
(12216, NULL, 'PF09812', NULL, NULL, 'Mitochondrial ribosomal protein L28', NULL, 'MRP-L28', NULL, NULL, NULL, 6),
(12217, NULL, 'PF18327', NULL, NULL, 'Proline utilization A proline dehydrogenase N-terminal domain', NULL, 'PRODH', NULL, NULL, NULL, 6),
(12218, NULL, 'PF10008', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2251)', NULL, 'DUF2251', NULL, NULL, NULL, 6),
(12219, NULL, 'PF17456', NULL, NULL, 'Toxin-coregulated pilus protein S', NULL, 'TcpS', NULL, NULL, NULL, 6),
(12220, NULL, 'PF16031', NULL, NULL, 'TonB polyproline region', NULL, 'TonB_N', NULL, NULL, NULL, 6),
(12221, NULL, 'PF00475', NULL, NULL, 'Imidazoleglycerol-phosphate dehydratase', NULL, 'IGPD', NULL, NULL, NULL, 6),
(12222, NULL, 'PF07519', NULL, NULL, 'Tannase and feruloyl esterase', NULL, 'Tannase', NULL, NULL, NULL, 6),
(12223, NULL, 'PF10146', NULL, NULL, 'Zinc finger-containing protein', NULL, 'zf-C4H2', NULL, NULL, NULL, 6),
(12224, NULL, 'PF14521', NULL, NULL, 'Lysine-specific metallo-endopeptidase', NULL, 'Aspzincin_M35', NULL, NULL, NULL, 6),
(12225, NULL, 'PF00657', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase', NULL, 'Lipase_GDSL', NULL, NULL, NULL, 6),
(12226, NULL, 'PF08795', NULL, NULL, 'Putative papain-like cysteine peptidase (DUF1796)', NULL, 'DUF1796', NULL, NULL, NULL, 6),
(12227, NULL, 'PF13779', NULL, NULL, 'Domain of unknown function (DUF4175)', NULL, 'DUF4175', NULL, NULL, NULL, 6),
(12228, NULL, 'PF05602', NULL, NULL, 'Cleft lip and palate transmembrane protein 1 (CLPTM1)', NULL, 'CLPTM1', NULL, NULL, NULL, 6),
(12229, NULL, 'PF03169', NULL, NULL, 'OPT oligopeptide transporter protein', NULL, 'OPT', NULL, NULL, NULL, 6),
(12230, NULL, 'PF06577', NULL, NULL, 'Envelope integrity protein A', NULL, 'EipA', NULL, NULL, NULL, 6),
(12231, NULL, 'PF14009', NULL, NULL, 'Domain of unknown function (DUF4228)', NULL, 'DUF4228', NULL, NULL, NULL, 6),
(12232, NULL, 'PF12598', NULL, NULL, 'T-box transcription factor', NULL, 'TBX', NULL, NULL, NULL, 6),
(12233, NULL, 'PF00097', NULL, NULL, 'Zinc finger, C3HC4 type (RING finger)', NULL, 'zf-C3HC4', NULL, NULL, NULL, 6),
(12234, NULL, 'PF07854', NULL, NULL, 'Protein of unknown function (DUF1646)', NULL, 'DUF1646', NULL, NULL, NULL, 6),
(12235, NULL, 'PF04550', NULL, NULL, 'Phage holin family 2', NULL, 'Phage_holin_3_2', NULL, NULL, NULL, 6),
(12236, NULL, 'PF17328', NULL, NULL, 'Family of unknown function (DUF5366)', NULL, 'DUF5366', NULL, NULL, NULL, 6),
(12237, NULL, 'PF01949', NULL, NULL, 'Protein of unknown function DUF99', NULL, 'DUF99', NULL, NULL, NULL, 6),
(12238, NULL, 'PF10912', NULL, NULL, 'Protein of unknown function (DUF2700)', NULL, 'DUF2700', NULL, NULL, NULL, 6),
(12239, NULL, 'PF04022', NULL, NULL, 'Staphylocoagulase repeat', NULL, 'Staphylcoagulse', NULL, NULL, NULL, 6),
(12240, NULL, 'PF10149', NULL, NULL, 'Transmembrane protein 231', NULL, 'TM231', NULL, NULL, NULL, 6),
(12241, NULL, 'PF18072', NULL, NULL, 'Formylglycinamide ribonucleotide amidotransferase linker domain', NULL, 'FGAR-AT_linker', NULL, NULL, NULL, 6),
(12242, NULL, 'PF08843', NULL, NULL, 'Nucleotidyl transferase AbiEii toxin, Type IV TA system', NULL, 'AbiEii', NULL, NULL, NULL, 6),
(12243, NULL, 'PF11951', NULL, NULL, 'Fungal specific transcription factor domain', NULL, 'Fungal_trans_2', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12244, NULL, 'PF05163', NULL, NULL, 'DinB family', NULL, 'DinB', NULL, NULL, NULL, 6),
(12245, NULL, 'PF12675', NULL, NULL, 'Protein of unknown function (DUF3795)', NULL, 'DUF3795', NULL, NULL, NULL, 6),
(12246, NULL, 'PF14352', NULL, NULL, 'Domain of unknown function (DUF4402)', NULL, 'DUF4402', NULL, NULL, NULL, 6),
(12247, NULL, 'PF05233', NULL, NULL, 'PHB accumulation regulatory domain', NULL, 'PHB_acc', NULL, NULL, NULL, 6),
(12248, NULL, 'PF12262', NULL, NULL, 'Bacterial virulence factor lipase N-terminal', NULL, 'Lipase_bact_N', NULL, NULL, NULL, 6),
(12249, NULL, 'PF00594', NULL, NULL, 'Vitamin K-dependent carboxylation/gamma-carboxyglutamic (GLA) domain', NULL, 'Gla', NULL, NULL, NULL, 6),
(12250, NULL, 'PF15585', NULL, NULL, 'Immunity protein 7', NULL, 'Imm7', NULL, NULL, NULL, 6),
(12251, NULL, 'PF09263', NULL, NULL, 'Peroxisome biogenesis factor 1, N-terminal', NULL, 'PEX-2N', NULL, NULL, NULL, 6),
(12252, NULL, 'PF17417', NULL, NULL, 'Herpesvirus Glycoprotein B PH-like domain', NULL, 'Glycoprot_B_PH2', NULL, NULL, NULL, 6),
(12253, NULL, 'PF01765', NULL, NULL, 'Ribosome recycling factor', NULL, 'RRF', NULL, NULL, NULL, 6),
(12254, NULL, 'PF11209', NULL, NULL, 'LmeA-like phospholipid-binding', NULL, 'LmeA', NULL, NULL, NULL, 6),
(12255, NULL, 'PF10391', NULL, NULL, 'Fingers domain of DNA polymerase lambda', NULL, 'DNA_pol_lambd_f', NULL, NULL, NULL, 6),
(12256, NULL, 'PF04254', NULL, NULL, 'Protein of unknown function (DUF432)', NULL, 'DUF432', NULL, NULL, NULL, 6),
(12257, NULL, 'PF12228', NULL, NULL, 'Protein of unknown function (DUF3604)', NULL, 'DUF3604', NULL, NULL, NULL, 6),
(12258, NULL, 'PF17864', NULL, NULL, 'RuvB AAA lid domain', NULL, 'AAA_lid_4', NULL, NULL, NULL, 6),
(12259, NULL, 'PF13112', NULL, NULL, 'Protein of unknown function (DUF3965)', NULL, 'DUF3965', NULL, NULL, NULL, 6),
(12260, NULL, 'PF05674', NULL, NULL, 'Baculovirus protein of unknown function (DUF816)', NULL, 'DUF816', NULL, NULL, NULL, 6),
(12261, NULL, 'PF09067', NULL, NULL, 'Erythropoietin receptor, ligand binding', NULL, 'EpoR_lig-bind', NULL, NULL, NULL, 6),
(12262, NULL, 'PF15030', NULL, NULL, 'Protein of unknown function (DUF4527)', NULL, 'DUF4527', NULL, NULL, NULL, 6),
(12263, NULL, 'PF09388', NULL, NULL, 'Spo0E like sporulation regulatory protein', NULL, 'SpoOE-like', NULL, NULL, NULL, 6),
(12264, NULL, 'PF14622', NULL, NULL, 'Ribonuclease-III-like', NULL, 'Ribonucleas_3_3', NULL, NULL, NULL, 6),
(12265, NULL, 'PF09962', NULL, NULL, 'Uncharacterized conserved protein (DUF2196)', NULL, 'DUF2196', NULL, NULL, NULL, 6),
(12266, NULL, 'PF11201', NULL, NULL, 'Protein of unknown function (DUF2982)', NULL, 'DUF2982', NULL, NULL, NULL, 6),
(12267, NULL, 'PF00860', NULL, NULL, 'Permease family', NULL, 'Xan_ur_permease', NULL, NULL, NULL, 6),
(12268, NULL, 'PF08757', NULL, NULL, 'CotH kinase protein', NULL, 'CotH', NULL, NULL, NULL, 6),
(12269, NULL, 'PF13267', NULL, NULL, 'Protein of unknown function (DUF4058)', NULL, 'DUF4058', NULL, NULL, NULL, 6),
(12270, NULL, 'PF13285', NULL, NULL, 'Domain of unknown function (DUF4073)', NULL, 'DUF4073', NULL, NULL, NULL, 6),
(12271, NULL, 'PF10443', NULL, NULL, 'RNA12 protein', NULL, 'RNA12', NULL, NULL, NULL, 6),
(12272, NULL, 'PF00053', NULL, NULL, 'Laminin EGF domain', NULL, 'Laminin_EGF', NULL, NULL, NULL, 6),
(12273, NULL, 'PF04238', NULL, NULL, 'Protein of unknown function (DUF420)', NULL, 'DUF420', NULL, NULL, NULL, 6),
(12274, NULL, 'PF10107', NULL, NULL, 'Endonuclease related to archaeal Holliday junction resolvase', NULL, 'Endonuc_Holl', NULL, NULL, NULL, 6),
(12275, NULL, 'PF05669', NULL, NULL, 'SOH1', NULL, 'Med31', NULL, NULL, NULL, 6),
(12276, NULL, 'PF18564', NULL, NULL, 'Glycoside hydrolase family 5 C-terminal domain', NULL, 'Glyco_hydro_5_C', NULL, NULL, NULL, 6),
(12277, NULL, 'PF00482', NULL, NULL, 'Type II secretion system (T2SS), protein F', NULL, 'T2SSF', NULL, NULL, NULL, 6),
(12278, NULL, 'PF09129', NULL, NULL, 'Cholesterol oxidase, substrate-binding', NULL, 'Chol_subst-bind', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12279, NULL, 'PF01728', NULL, NULL, 'FtsJ-like methyltransferase', NULL, 'FtsJ', NULL, NULL, NULL, 6),
(12280, NULL, 'PF04348', NULL, NULL, 'LppC putative lipoprotein', NULL, 'LppC', NULL, NULL, NULL, 6),
(12281, NULL, 'PF01254', NULL, NULL, 'Nuclear transition protein 2', NULL, 'TP2', NULL, NULL, NULL, 6),
(12282, NULL, 'PF02572', NULL, NULL, 'ATP:corrinoid adenosyltransferase BtuR/CobO/CobP', NULL, 'CobA_CobO_BtuR', NULL, NULL, NULL, 6),
(12283, NULL, 'PF04701', NULL, NULL, 'Pox virus D2 protein', NULL, 'Pox_D2', NULL, NULL, NULL, 6),
(12284, NULL, 'PF09197', NULL, NULL, 'Rap1, DNA-binding', NULL, 'Rap1-DNA-bind', NULL, NULL, NULL, 6),
(12285, NULL, 'PF11277', NULL, NULL, 'Mediator complex subunit 24 N-terminal', NULL, 'Med24_N', NULL, NULL, NULL, 6),
(12286, NULL, 'PF14629', NULL, NULL, 'Origin recognition complex (ORC) subunit 4 C-terminus', NULL, 'ORC4_C', NULL, NULL, NULL, 6),
(12287, NULL, 'PF05354', NULL, NULL, 'Phage Head-Tail Attachment', NULL, 'Phage_attach', NULL, NULL, NULL, 6),
(12288, NULL, 'PF06319', NULL, NULL, 'DNA repair protein MmcB-like', NULL, 'MmcB-like', NULL, NULL, NULL, 6),
(12289, NULL, 'PF13904', NULL, NULL, 'Domain of unknown function (DUF4207)', NULL, 'DUF4207', NULL, NULL, NULL, 6),
(12290, NULL, 'PF06540', NULL, NULL, 'Galanin message associated peptide (GMAP)', NULL, 'GMAP', NULL, NULL, NULL, 6),
(12291, NULL, 'PF05734', NULL, NULL, 'Herpesvirus protein of unknown function (DUF832)', NULL, 'DUF832', NULL, NULL, NULL, 6),
(12292, NULL, 'PF05951', NULL, NULL, 'Bacterial protein of unknown function (DUF882)', NULL, 'Peptidase_M15_2', NULL, NULL, NULL, 6),
(12293, NULL, 'PF00719', NULL, NULL, 'Inorganic pyrophosphatase', NULL, 'Pyrophosphatase', NULL, NULL, NULL, 6),
(12294, NULL, 'PF04050', NULL, NULL, 'Up-frameshift suppressor 2', NULL, 'Upf2', NULL, NULL, NULL, 6),
(12295, NULL, 'PF08182', NULL, NULL, 'Pedibin/Hym-346 family', NULL, 'Pedibin', NULL, NULL, NULL, 6),
(12296, NULL, 'PF02166', NULL, NULL, 'Androgen receptor', NULL, 'Androgen_recep', NULL, NULL, NULL, 6),
(12297, NULL, 'PF07192', NULL, NULL, 'SNURF/RPN4 protein', NULL, 'SNURF', NULL, NULL, NULL, 6),
(12298, NULL, 'PF08549', NULL, NULL, 'Fungal domain of unknown function (DUF1750)', NULL, 'SWI-SNF_Ssr4', NULL, NULL, NULL, 6),
(12299, NULL, 'PF08571', NULL, NULL, 'Yos1-like', NULL, 'Yos1', NULL, NULL, NULL, 6),
(12300, NULL, 'PF05377', NULL, NULL, 'Flagella accessory protein C (FlaC)', NULL, 'FlaC_arch', NULL, NULL, NULL, 6),
(12301, NULL, 'PF18497', NULL, NULL, 'Ribonuclease III N-terminal domain', NULL, 'RNase_3_N', NULL, NULL, NULL, 6),
(12302, NULL, 'PF14497', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_3', NULL, NULL, NULL, 6),
(12303, NULL, 'PF18472', NULL, NULL, 'HP1451 C-terminal domain', NULL, 'HP1451_C', NULL, NULL, NULL, 6),
(12304, NULL, 'PF11670', NULL, NULL, 'Major surface protein 1a (MSP1a)', NULL, 'MSP1a', NULL, NULL, NULL, 6),
(12305, NULL, 'PF03030', NULL, NULL, 'Inorganic H+ pyrophosphatase', NULL, 'H_PPase', NULL, NULL, NULL, 6),
(12306, NULL, 'PF01057', NULL, NULL, 'Parvovirus non-structural protein NS1', NULL, 'Parvo_NS1', NULL, NULL, NULL, 6),
(12307, NULL, 'PF13824', NULL, NULL, 'Zinc-finger of mitochondrial splicing suppressor 51', NULL, 'zf-Mss51', NULL, NULL, NULL, 6),
(12308, NULL, 'PF13806', NULL, NULL, 'Rieske-like [2Fe-2S] domain', NULL, 'Rieske_2', NULL, NULL, NULL, 6),
(12309, NULL, 'PF13150', NULL, NULL, 'Conjugative transposon protein TraL', NULL, 'TraL_transposon', NULL, NULL, NULL, 6),
(12310, NULL, 'PF16279', NULL, NULL, 'Domain of unknown function (DUF4927)', NULL, 'DUF4927', NULL, NULL, NULL, 6),
(12311, NULL, 'PF11269', NULL, NULL, 'Protein of unknown function (DUF3069)', NULL, 'DUF3069', NULL, NULL, NULL, 6),
(12312, NULL, 'PF13370', NULL, NULL, '4Fe-4S single cluster domain of Ferredoxin I', NULL, 'Fer4_13', NULL, NULL, NULL, 6),
(12313, NULL, 'PF09824', NULL, NULL, 'ArsR transcriptional regulator', NULL, 'ArsR', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12314, NULL, 'PF17112', NULL, NULL, 'Mitochondrial import receptor subunit Tom6, fungal', NULL, 'Tom6', NULL, NULL, NULL, 6),
(12315, NULL, 'PF18514', NULL, NULL, 'Get5 C-terminal domain', NULL, 'Get5_C', NULL, NULL, NULL, 6),
(12316, NULL, 'PF06417', NULL, NULL, 'Protein of unknown function (DUF1077)', NULL, 'DUF1077', NULL, NULL, NULL, 6),
(12317, NULL, 'PF03060', NULL, NULL, 'Nitronate monooxygenase', NULL, 'NMO', NULL, NULL, NULL, 6),
(12318, NULL, 'PF10249', NULL, NULL, 'NADH-ubiquinone oxidoreductase subunit 10', NULL, 'NDUFB10', NULL, NULL, NULL, 6),
(12319, NULL, 'PF17435', NULL, NULL, 'Family of unknown function (DUF5414)', NULL, 'DUF5414', NULL, NULL, NULL, 6),
(12320, NULL, 'PF10310', NULL, NULL, 'Family of unknown function (DUF5427)', NULL, 'DUF5427', NULL, NULL, NULL, 6),
(12321, NULL, 'PF04986', NULL, NULL, 'Putative transposase', NULL, 'Y2_Tnp', NULL, NULL, NULL, 6),
(12322, NULL, 'PF00979', NULL, NULL, 'Reovirus outer capsid protein, Sigma 3', NULL, 'Reovirus_cap', NULL, NULL, NULL, 6),
(12323, NULL, 'PF06706', NULL, NULL, 'Citrus tristeza virus 6-kDa protein', NULL, 'CTV_P6', NULL, NULL, NULL, 6),
(12324, NULL, 'PF08916', NULL, NULL, 'Phenylalanine zipper', NULL, 'Phe_ZIP', NULL, NULL, NULL, 6),
(12325, NULL, 'PF14979', NULL, NULL, 'Transmembrane 52', NULL, 'TMEM52', NULL, NULL, NULL, 6),
(12326, NULL, 'PF18420', NULL, NULL, 'CSN4/RPN5/eIF3a helix turn helix domain', NULL, 'CSN4_RPN5_eIF3a', NULL, NULL, NULL, 6),
(12327, NULL, 'PF08193', NULL, NULL, 'INO80 complex subunit Ies4', NULL, 'INO80_Ies4', NULL, NULL, NULL, 6),
(12328, NULL, 'PF13842', NULL, NULL, 'DDE_Tnp_1-like zinc-ribbon', NULL, 'Tnp_zf-ribbon_2', NULL, NULL, NULL, 6),
(12329, NULL, 'PF06099', NULL, NULL, 'Phenol hydroxylase subunit', NULL, 'Phenol_hyd_sub', NULL, NULL, NULL, 6),
(12330, NULL, 'PF04097', NULL, NULL, 'Nup93/Nic96', NULL, 'Nic96', NULL, NULL, NULL, 6),
(12331, NULL, 'PF13734', NULL, NULL, 'Spi protease inhibitor', NULL, 'Inhibitor_I69', NULL, NULL, NULL, 6),
(12332, NULL, 'PF01172', NULL, NULL, 'Shwachman-Bodian-Diamond syndrome (SBDS) protein', NULL, 'SBDS', NULL, NULL, NULL, 6),
(12333, NULL, 'PF05257', NULL, NULL, 'CHAP domain', NULL, 'CHAP', NULL, NULL, NULL, 6),
(12334, NULL, 'PF05341', NULL, NULL, 'Per os infectivity factor 6', NULL, 'PIF6', NULL, NULL, NULL, 6),
(12335, NULL, 'PF05789', NULL, NULL, 'Baculovirus VP1054 protein', NULL, 'Baculo_VP1054', NULL, NULL, NULL, 6),
(12336, NULL, 'PF07638', NULL, NULL, 'ECF sigma factor', NULL, 'Sigma70_ECF', NULL, NULL, NULL, 6),
(12337, NULL, 'PF18975', NULL, NULL, 'Family of unknown function (DUF5711)', NULL, 'DUF5711', NULL, NULL, NULL, 6),
(12338, NULL, 'PF17381', NULL, NULL, 'Seminal vesicle secretory proteins 4/5/6', NULL, 'Svs_4_5_6', NULL, NULL, NULL, 6),
(12339, NULL, 'PF08075', NULL, NULL, 'NOPS (NUC059) domain', NULL, 'NOPS', NULL, NULL, NULL, 6),
(12340, NULL, 'PF07072', NULL, NULL, 'Cell division protein', NULL, 'ZapD', NULL, NULL, NULL, 6),
(12341, NULL, 'PF09372', NULL, NULL, 'PRANC domain', NULL, 'PRANC', NULL, NULL, NULL, 6),
(12342, NULL, 'PF12185', NULL, NULL, 'Nup358/RanBP2 E3 ligase domain', NULL, 'IR1-M', NULL, NULL, NULL, 6),
(12343, NULL, 'PF00888', NULL, NULL, 'Cullin family', NULL, 'Cullin', NULL, NULL, NULL, 6),
(12344, NULL, 'PF16149', NULL, NULL, 'Domain of unknown function (DUF4857)', NULL, 'DUF4857', NULL, NULL, NULL, 6),
(12345, NULL, 'PF01579', NULL, NULL, 'Domain of unknown function (DUF19)', NULL, 'DUF19', NULL, NULL, NULL, 6),
(12346, NULL, 'PF01761', NULL, NULL, '3-dehydroquinate synthase', NULL, 'DHQ_synthase', NULL, NULL, NULL, 6),
(12347, NULL, 'PF02330', NULL, NULL, 'Mitochondrial glycoprotein', NULL, 'MAM33', NULL, NULL, NULL, 6),
(12348, NULL, 'PF06287', NULL, NULL, 'Protein of unknown function (DUF1039)', NULL, 'DUF1039', NULL, NULL, NULL, 6),
(12349, NULL, 'PF07901', NULL, NULL, 'Protein of unknown function (DUF1672)', NULL, 'DUF1672', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12350, NULL, 'PF07023', NULL, NULL, 'Protein of unknown function (DUF1315)', NULL, 'DUF1315', NULL, NULL, NULL, 6),
(12351, NULL, 'PF06566', NULL, NULL, 'Chondroitin sulphate attachment domain', NULL, 'Chon_Sulph_att', NULL, NULL, NULL, 6),
(12352, NULL, 'PF10581', NULL, NULL, 'Synapsin N-terminal', NULL, 'Synapsin_N', NULL, NULL, NULL, 6),
(12353, NULL, 'PF08307', NULL, NULL, 'Glycosyl hydrolase family 98 C-terminal domain', NULL, 'Glyco_hydro_98C', NULL, NULL, NULL, 6),
(12354, NULL, 'PF15472', NULL, NULL, 'Domain of unknown function (DUF4638)', NULL, 'DUF4638', NULL, NULL, NULL, 6),
(12355, NULL, 'PF00714', NULL, NULL, 'Interferon gamma', NULL, 'IFN-gamma', NULL, NULL, NULL, 6),
(12356, NULL, 'PF16472', NULL, NULL, 'Domain of unknown function (DUF5050)', NULL, 'DUF5050', NULL, NULL, NULL, 6),
(12357, NULL, 'PF09436', NULL, NULL, 'Domain of unknown function (DUF2016)', NULL, 'DUF2016', NULL, NULL, NULL, 6),
(12358, NULL, 'PF18560', NULL, NULL, 'Lectin like domain', NULL, 'Lectin_like', NULL, NULL, NULL, 6),
(12359, NULL, 'PF05708', NULL, NULL, 'Permuted papain-like amidase enzyme, YaeF/YiiX, C92 family', NULL, 'Peptidase_C92', NULL, NULL, NULL, 6),
(12360, NULL, 'PF13060', NULL, NULL, 'Protein of unknown function (DUF3921)', NULL, 'DUF3921', NULL, NULL, NULL, 6),
(12361, NULL, 'PF02001', NULL, NULL, 'Protein of unknown function  DUF134', NULL, 'DUF134', NULL, NULL, NULL, 6),
(12362, NULL, 'PF10047', NULL, NULL, 'Protein of unknown function (DUF2281)', NULL, 'DUF2281', NULL, NULL, NULL, 6),
(12363, NULL, 'PF04725', NULL, NULL, 'Photosystem II 10 kDa polypeptide PsbR', NULL, 'PsbR', NULL, NULL, NULL, 6),
(12364, NULL, 'PF10298', NULL, NULL, 'WhiA N-terminal LAGLIDADG-like domain', NULL, 'WhiA_N', NULL, NULL, NULL, 6),
(12365, NULL, 'PF09298', NULL, NULL, 'Fumarylacetoacetase N-terminal', NULL, 'FAA_hydrolase_N', NULL, NULL, NULL, 6),
(12366, NULL, 'PF11109', NULL, NULL, 'Orexigenic neuropeptide Qrfp/P518', NULL, 'RFamide_26RFa', NULL, NULL, NULL, 6),
(12367, NULL, 'PF04118', NULL, NULL, 'Dopey, N-terminal', NULL, 'Dopey_N', NULL, NULL, NULL, 6),
(12368, NULL, 'PF08783', NULL, NULL, 'DWNN domain', NULL, 'DWNN', NULL, NULL, NULL, 6),
(12369, NULL, 'PF00017', NULL, NULL, 'SH2 domain', NULL, 'SH2', NULL, NULL, NULL, 6),
(12370, NULL, 'PF09086', NULL, NULL, 'Domain of unknown function (DUF1924)', NULL, 'DUF1924', NULL, NULL, NULL, 6),
(12371, NULL, 'PF04733', NULL, NULL, 'Coatomer epsilon subunit', NULL, 'Coatomer_E', NULL, NULL, NULL, 6),
(12372, NULL, 'PF07394', NULL, NULL, 'Protein of unknown function (DUF1501)', NULL, 'DUF1501', NULL, NULL, NULL, 6),
(12373, NULL, 'PF13679', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_32', NULL, NULL, NULL, 6),
(12374, NULL, 'PF13115', NULL, NULL, 'YtkA-like', NULL, 'YtkA', NULL, NULL, NULL, 6),
(12375, NULL, 'PF18584', NULL, NULL, 'Synaptonemal complex 2 Spt16M-like domain', NULL, 'SYCP2_SLD', NULL, NULL, NULL, 6),
(12376, NULL, 'PF05250', NULL, NULL, 'Uncharacterised protein family (UPF0193)', NULL, 'UPF0193', NULL, NULL, NULL, 6),
(12377, NULL, 'PF16707', NULL, NULL, 'Cag pathogenicity island protein S of Helicobacter pylori', NULL, 'CagS', NULL, NULL, NULL, 6),
(12378, NULL, 'PF14679', NULL, NULL, 'FANCI helical domain 1', NULL, 'FANCI_HD1', NULL, NULL, NULL, 6),
(12379, NULL, 'PF12617', NULL, NULL, 'Iron-Sulfur binding protein C terminal', NULL, 'LdpA_C', NULL, NULL, NULL, 6),
(12380, NULL, 'PF03691', NULL, NULL, 'Uncharacterised protein family (UPF0167)', NULL, 'UPF0167', NULL, NULL, NULL, 6),
(12381, NULL, 'PF05335', NULL, NULL, 'Protein of unknown function (DUF745)', NULL, 'DUF745', NULL, NULL, NULL, 6),
(12382, NULL, 'PF04211', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit C', NULL, 'MtrC', NULL, NULL, NULL, 6),
(12383, NULL, 'PF09292', NULL, NULL, 'Endonuclease VIII-like 1, DNA bind', NULL, 'Neil1-DNA_bind', NULL, NULL, NULL, 6),
(12384, NULL, 'PF02789', NULL, NULL, 'Cytosol aminopeptidase family, N-terminal domain', NULL, 'Peptidase_M17_N', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12385, NULL, 'PF18554', NULL, NULL, 'PheRS DNA binding domain 2', NULL, 'PheRS_DBD2', NULL, NULL, NULL, 6),
(12386, NULL, 'PF09008', NULL, NULL, 'Head binding', NULL, 'Head_binding', NULL, NULL, NULL, 6),
(12387, NULL, 'PF06993', NULL, NULL, 'Protein of unknown function (DUF1304)', NULL, 'DUF1304', NULL, NULL, NULL, 6),
(12388, NULL, 'PF15747', NULL, NULL, 'Domain of unknown function (DUF4687)', NULL, 'DUF4687', NULL, NULL, NULL, 6),
(12389, NULL, 'PF14477', NULL, NULL, 'Membrane-polarising domain of Mso1', NULL, 'Mso1_C', NULL, NULL, NULL, 6),
(12390, NULL, 'PF06962', NULL, NULL, 'Putative rRNA methylase', NULL, 'rRNA_methylase', NULL, NULL, NULL, 6),
(12391, NULL, 'PF08511', NULL, NULL, 'COQ9', NULL, 'COQ9', NULL, NULL, NULL, 6),
(12392, NULL, 'PF06618', NULL, NULL, 'Protein of unknown function (DUF1148)', NULL, 'DUF1148', NULL, NULL, NULL, 6),
(12393, NULL, 'PF01504', NULL, NULL, 'Phosphatidylinositol-4-phosphate 5-Kinase', NULL, 'PIP5K', NULL, NULL, NULL, 6),
(12394, NULL, 'PF16413', NULL, NULL, 'DNA mismatch repair protein Mlh1 C-terminus', NULL, 'Mlh1_C', NULL, NULL, NULL, 6),
(12395, NULL, 'PF07998', NULL, NULL, 'Peptidase family M54', NULL, 'Peptidase_M54', NULL, NULL, NULL, 6),
(12396, NULL, 'PF04529', NULL, NULL, 'Herpesvirus U59 protein', NULL, 'Herpes_U59', NULL, NULL, NULL, 6),
(12397, NULL, 'PF06002', NULL, NULL, 'Alpha-2,3-sialyltransferase (CST-I)', NULL, 'CST-I', NULL, NULL, NULL, 6),
(12398, NULL, 'PF13032', NULL, NULL, 'RNaseH domain of pPIWI_RE', NULL, 'RNaseH_pPIWI_RE', NULL, NULL, NULL, 6),
(12399, NULL, 'PF17086', NULL, NULL, 'Small capsid protein of Herpesviridae', NULL, 'HV_small_capsid', NULL, NULL, NULL, 6),
(12400, NULL, 'PF08011', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_9', NULL, NULL, NULL, 6),
(12401, NULL, 'PF03051', NULL, NULL, 'Peptidase C1-like family', NULL, 'Peptidase_C1_2', NULL, NULL, NULL, 6),
(12402, NULL, 'PF09377', NULL, NULL, 'SBDS protein C-terminal domain', NULL, 'SBDS_C', NULL, NULL, NULL, 6),
(12403, NULL, 'PF10236', NULL, NULL, 'Mitochondrial ribosomal death-associated protein 3', NULL, 'DAP3', NULL, NULL, NULL, 6),
(12404, NULL, 'PF05120', NULL, NULL, 'Gas vesicle protein G', NULL, 'GvpG', NULL, NULL, NULL, 6),
(12405, NULL, 'PF14929', NULL, NULL, 'TAF RNA Polymerase I subunit A', NULL, 'TAF1_subA', NULL, NULL, NULL, 6),
(12406, NULL, 'PF14005', NULL, NULL, 'YpjP-like protein', NULL, 'YpjP', NULL, NULL, NULL, 6),
(12407, NULL, 'PF10932', NULL, NULL, 'Protein of unknown function (DUF2783)', NULL, 'DUF2783', NULL, NULL, NULL, 6),
(12408, NULL, 'PF14058', NULL, NULL, 'PcfK-like protein', NULL, 'PcfK', NULL, NULL, NULL, 6),
(12409, NULL, 'PF14054', NULL, NULL, 'Domain of unknown function (DUF4249)', NULL, 'DUF4249', NULL, NULL, NULL, 6),
(12410, NULL, 'PF12300', NULL, NULL, 'ATP-dependent RNA helicase RhlB', NULL, 'RhlB', NULL, NULL, NULL, 6),
(12411, NULL, 'PF14814', NULL, NULL, 'Bifunctional transglycosylase second domain', NULL, 'UB2H', NULL, NULL, NULL, 6),
(12412, NULL, 'PF16521', NULL, NULL, 'Myosin VI cargo binding domain', NULL, 'Myosin-VI_CBD', NULL, NULL, NULL, 6),
(12413, NULL, 'PF00721', NULL, NULL, 'Virus coat protein (TMV like)', NULL, 'TMV_coat', NULL, NULL, NULL, 6),
(12414, NULL, 'PF04913', NULL, NULL, 'Baculovirus Y142 protein', NULL, 'Baculo_Y142', NULL, NULL, NULL, 6),
(12415, NULL, 'PF11355', NULL, NULL, 'Protein of unknown function (DUF3157)', NULL, 'DUF3157', NULL, NULL, NULL, 6),
(12416, NULL, 'PF15020', NULL, NULL, 'Cation channel sperm-associated protein subunit delta', NULL, 'CATSPERD', NULL, NULL, NULL, 6),
(12417, NULL, 'PF04269', NULL, NULL, 'Protein of unknown function, DUF440', NULL, 'DUF440', NULL, NULL, NULL, 6),
(12418, NULL, 'PF16111', NULL, NULL, 'Domain of unknown function (DUF4829)', NULL, 'DUF4829', NULL, NULL, NULL, 6),
(12419, NULL, 'PF08674', NULL, NULL, 'Acetylcholinesterase tetramerisation domain', NULL, 'AChE_tetra', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12420, NULL, 'PF15333', NULL, NULL, 'TATA box-binding protein-associated factor 1D', NULL, 'TAF1D', NULL, NULL, NULL, 6),
(12421, NULL, 'PF15797', NULL, NULL, 'Domain of unknown function (DUF4706)', NULL, 'DUF4706', NULL, NULL, NULL, 6),
(12422, NULL, 'PF17000', NULL, NULL, 'Accessory secretory protein Sec, Asp5', NULL, 'Asp5', NULL, NULL, NULL, 6),
(12423, NULL, 'PF07247', NULL, NULL, 'Alcohol acetyltransferase', NULL, 'AATase', NULL, NULL, NULL, 6),
(12424, NULL, 'PF09126', NULL, NULL, 'Restriction endonuclease NaeI', NULL, 'NaeI', NULL, NULL, NULL, 6),
(12425, NULL, 'PF04709', NULL, NULL, 'Anti-Mullerian hormone, N terminal region', NULL, 'AMH_N', NULL, NULL, NULL, 6),
(12426, NULL, 'PF01721', NULL, NULL, 'Class II bacteriocin', NULL, 'Bacteriocin_II', NULL, NULL, NULL, 6),
(12427, NULL, 'PF06156', NULL, NULL, 'Initiation control protein YabA', NULL, 'YabA', NULL, NULL, NULL, 6),
(12428, NULL, 'PF18839', NULL, NULL, 'Large polyvalent protein associated domain 24', NULL, 'LPD24', NULL, NULL, NULL, 6),
(12429, NULL, 'PF09095', NULL, NULL, 'Domain of unknown function (DUF1926)', NULL, 'DUF1926', NULL, NULL, NULL, 6),
(12430, NULL, 'PF13040', NULL, NULL, 'Fur-regulated basic protein B', NULL, 'Fur_reg_FbpB', NULL, NULL, NULL, 6),
(12431, NULL, 'PF16460', NULL, NULL, 'Phage tail tube, TTP, lambda-like', NULL, 'Phage_TTP_11', NULL, NULL, NULL, 6),
(12432, NULL, 'PF03134', NULL, NULL, 'TB2/DP1, HVA22 family', NULL, 'TB2_DP1_HVA22', NULL, NULL, NULL, 6),
(12433, NULL, 'PF18484', NULL, NULL, 'Cadmium carbonic anhydrase repeat', NULL, 'CDCA', NULL, NULL, NULL, 6),
(12434, NULL, 'PF05569', NULL, NULL, 'BlaR1 peptidase M56', NULL, 'Peptidase_M56', NULL, NULL, NULL, 6),
(12435, NULL, 'PF12688', NULL, NULL, 'Tetratrico peptide repeat', NULL, 'TPR_5', NULL, NULL, NULL, 6),
(12436, NULL, 'PF01422', NULL, NULL, 'NF-X1 type zinc finger', NULL, 'zf-NF-X1', NULL, NULL, NULL, 6),
(12437, NULL, 'PF17195', NULL, NULL, 'Protein of unknown function (DUF5132)', NULL, 'DUF5132', NULL, NULL, NULL, 6),
(12438, NULL, 'PF17383', NULL, NULL, 'Uncharacterized KorC regulated protein A', NULL, 'kleA_kleC', NULL, NULL, NULL, 6),
(12439, NULL, 'PF05034', NULL, NULL, 'Methylaspartate ammonia-lyase N-terminus', NULL, 'MAAL_N', NULL, NULL, NULL, 6),
(12440, NULL, 'PF17990', NULL, NULL, 'L-Lysine epsilon oxidase N-terminal', NULL, 'LodA_N', NULL, NULL, NULL, 6),
(12441, NULL, 'PF03216', NULL, NULL, 'Rhabdovirus nucleoprotein', NULL, 'Rhabdo_ncap_2', NULL, NULL, NULL, 6),
(12442, NULL, 'PF07302', NULL, NULL, 'AroM protein', NULL, 'AroM', NULL, NULL, NULL, 6),
(12443, NULL, 'PF01239', NULL, NULL, 'Protein prenyltransferase alpha subunit repeat', NULL, 'PPTA', NULL, NULL, NULL, 6),
(12444, NULL, 'PF06026', NULL, NULL, 'Ribose 5-phosphate isomerase A (phosphoriboisomerase A)', NULL, 'Rib_5-P_isom_A', NULL, NULL, NULL, 6),
(12445, NULL, 'PF14155', NULL, NULL, 'Domain of unknown function (DUF4307)', NULL, 'DUF4307', NULL, NULL, NULL, 6),
(12446, NULL, 'PF14473', NULL, NULL, 'RD3 protein', NULL, 'RD3', NULL, NULL, NULL, 6),
(12447, NULL, 'PF13252', NULL, NULL, 'Protein of unknown function (DUF4043)', NULL, 'DUF4043', NULL, NULL, NULL, 6),
(12448, NULL, 'PF07312', NULL, NULL, 'Protein of unknown function (DUF1459)', NULL, 'DUF1459', NULL, NULL, NULL, 6),
(12449, NULL, 'PF08239', NULL, NULL, 'Bacterial SH3 domain', NULL, 'SH3_3', NULL, NULL, NULL, 6),
(12450, NULL, 'PF07765', NULL, NULL, 'KIP1-like protein', NULL, 'KIP1', NULL, NULL, NULL, 6),
(12451, NULL, 'PF07831', NULL, NULL, 'Pyrimidine nucleoside phosphorylase C-terminal domain', NULL, 'PYNP_C', NULL, NULL, NULL, 6),
(12452, NULL, 'PF11250', NULL, NULL, 'Fantastic Four meristem regulator', NULL, 'FAF', NULL, NULL, NULL, 6),
(12453, NULL, 'PF15108', NULL, NULL, 'Voltage-dependent calcium channel gamma-like subunit protein family', NULL, 'TMEM37', NULL, NULL, NULL, 6),
(12454, NULL, 'PF10716', NULL, NULL, 'NADH dehydrogenase transmembrane subunit', NULL, 'NdhL', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12455, NULL, 'PF10536', NULL, NULL, 'Plant mobile domain', NULL, 'PMD', NULL, NULL, NULL, 6),
(12456, NULL, 'PF01972', NULL, NULL, 'Serine dehydrogenase proteinase', NULL, 'SDH_sah', NULL, NULL, NULL, 6),
(12457, NULL, 'PF14122', NULL, NULL, 'YokU-like protein, putative antitoxin', NULL, 'YokU', NULL, NULL, NULL, 6),
(12458, NULL, 'PF13730', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_36', NULL, NULL, NULL, 6),
(12459, NULL, 'PF17831', NULL, NULL, 'Pyruvate dehydrogenase E1 component middle domain', NULL, 'PDH_E1_M', NULL, NULL, NULL, 6),
(12460, NULL, 'PF19194', NULL, NULL, 'Family of unknown function (DUF5869)', NULL, 'DUF5869', NULL, NULL, NULL, 6),
(12461, NULL, 'PF02591', NULL, NULL, 'C4-type zinc ribbon domain', NULL, 'zf-RING_7', NULL, NULL, NULL, 6),
(12462, NULL, 'PF16809', NULL, NULL, 'NleF caspase inhibitor', NULL, 'NleF_casp_inhib', NULL, NULL, NULL, 6),
(12463, NULL, 'PF05228', NULL, NULL, 'CHASE4 domain', NULL, 'CHASE4', NULL, NULL, NULL, 6),
(12464, NULL, 'PF08230', NULL, NULL, 'CW_7 repeat', NULL, 'CW_7', NULL, NULL, NULL, 6),
(12465, NULL, 'PF02488', NULL, NULL, 'Merozoite Antigen', NULL, 'EMA', NULL, NULL, NULL, 6),
(12466, NULL, 'PF18945', NULL, NULL, 'EvpB/VC_A0108, tail sheath gpW/gp25-like domain', NULL, 'VipB_2', NULL, NULL, NULL, 6),
(12467, NULL, 'PF09172', NULL, NULL, 'Domain of unknown function (DUF1943)', NULL, 'DUF1943', NULL, NULL, NULL, 6),
(12468, NULL, 'PF14238', NULL, NULL, 'Domain of unknown function (DUF4340)', NULL, 'DUF4340', NULL, NULL, NULL, 6),
(12469, NULL, 'PF10555', NULL, NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase signature 1', NULL, 'MraY_sig1', NULL, NULL, NULL, 6),
(12470, NULL, 'PF08478', NULL, NULL, 'POTRA domain, FtsQ-type', NULL, 'POTRA_1', NULL, NULL, NULL, 6),
(12471, NULL, 'PF13281', NULL, NULL, 'Domain of unknown function (DUF4071)', NULL, 'DUF4071', NULL, NULL, NULL, 6),
(12472, NULL, 'PF09561', NULL, NULL, 'HpaII restriction endonuclease', NULL, 'RE_HpaII', NULL, NULL, NULL, 6),
(12473, NULL, 'PF10746', NULL, NULL, 'Phage holin T7 family, holin superfamily II', NULL, 'Phage_holin_2_2', NULL, NULL, NULL, 6),
(12474, NULL, 'PF05194', NULL, NULL, 'UreE urease accessory protein, C-terminal domain', NULL, 'UreE_C', NULL, NULL, NULL, 6),
(12475, NULL, 'PF06791', NULL, NULL, 'Prophage tail length tape measure protein', NULL, 'TMP_2', NULL, NULL, NULL, 6),
(12476, NULL, 'PF10150', NULL, NULL, 'Ribonuclease E/G family', NULL, 'RNase_E_G', NULL, NULL, NULL, 6),
(12477, NULL, 'PF15663', NULL, NULL, 'Zinc-finger containing family', NULL, 'zf-CCCH_3', NULL, NULL, NULL, 6),
(12478, NULL, 'PF18259', NULL, NULL, 'Carbohydrate binding module 65 domain 1', NULL, 'CBM65_1', NULL, NULL, NULL, 6),
(12479, NULL, 'PF07261', NULL, NULL, 'Replication initiation and membrane attachment', NULL, 'DnaB_2', NULL, NULL, NULL, 6),
(12480, NULL, 'PF11083', NULL, NULL, 'Lantibiotic streptin immunity protein', NULL, 'Streptin-Immun', NULL, NULL, NULL, 6),
(12481, NULL, 'PF02844', NULL, NULL, 'Phosphoribosylglycinamide synthetase, N domain', NULL, 'GARS_N', NULL, NULL, NULL, 6),
(12482, NULL, 'PF08178', NULL, NULL, 'GnsA/GnsB toxin of bacterial toxin-antitoxin system', NULL, 'GnsAB_toxin', NULL, NULL, NULL, 6),
(12483, NULL, 'PF03559', NULL, NULL, 'NDP-hexose 2,3-dehydratase', NULL, 'Hexose_dehydrat', NULL, NULL, NULL, 6),
(12484, NULL, 'PF01680', NULL, NULL, 'SOR/SNZ family', NULL, 'SOR_SNZ', NULL, NULL, NULL, 6),
(12485, NULL, 'PF09817', NULL, NULL, 'RZZ complex, subunit zwilch', NULL, 'Zwilch', NULL, NULL, NULL, 6),
(12486, NULL, 'PF18186', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain family 4', NULL, 'SLATT_4', NULL, NULL, NULL, 6),
(12487, NULL, 'PF00523', NULL, NULL, 'Fusion glycoprotein F0', NULL, 'Fusion_gly', NULL, NULL, NULL, 6),
(12488, NULL, 'PF17028', NULL, NULL, '8TM Microsporidial transmembrane domain', NULL, '8TM_micro', NULL, NULL, NULL, 6),
(12489, NULL, 'PF17303', NULL, NULL, 'Family of unknown function (DUF5352)', NULL, 'DUF5352', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12490, NULL, 'PF09490', NULL, NULL, 'Probable cobalt transporter subunit (CbtA)', NULL, 'CbtA', NULL, NULL, NULL, 6),
(12491, NULL, 'PF01770', NULL, NULL, 'Reduced folate carrier', NULL, 'Folate_carrier', NULL, NULL, NULL, 6),
(12492, NULL, 'PF14710', NULL, NULL, 'Respiratory nitrate reductase alpha N-terminal', NULL, 'Nitr_red_alph_N', NULL, NULL, NULL, 6),
(12493, NULL, 'PF08507', NULL, NULL, 'COPI associated protein', NULL, 'COPI_assoc', NULL, NULL, NULL, 6),
(12494, NULL, 'PF02447', NULL, NULL, 'GntP family permease', NULL, 'GntP_permease', NULL, NULL, NULL, 6),
(12495, NULL, 'PF09718', NULL, NULL, 'Lambda phage tail tape-measure protein (Tape_meas_lam_C)', NULL, 'Tape_meas_lam_C', NULL, NULL, NULL, 6),
(12496, NULL, 'PF08301', NULL, NULL, 'Hepatitis C virus non-structural 5a domain 1b', NULL, 'HCV_NS5a_1b', NULL, NULL, NULL, 6),
(12497, NULL, 'PF04400', NULL, NULL, '(Na+)-NQR maturation NqrM', NULL, 'NqrM', NULL, NULL, NULL, 6),
(12498, NULL, 'PF09168', NULL, NULL, 'X-Prolyl dipeptidyl aminopeptidase PepX, N-terminal', NULL, 'PepX_N', NULL, NULL, NULL, 6),
(12499, NULL, 'PF14280', NULL, NULL, 'Domain of unknown function (DUF4365)', NULL, 'DUF4365', NULL, NULL, NULL, 6),
(12500, NULL, 'PF10450', NULL, NULL, 'POC1 chaperone', NULL, 'POC1', NULL, NULL, NULL, 6),
(12501, NULL, 'PF03228', NULL, NULL, 'Adenoviral core protein VII', NULL, 'Adeno_VII', NULL, NULL, NULL, 6),
(12502, NULL, 'PF06567', NULL, NULL, 'Neural chondroitin sulphate proteoglycan cytoplasmic domain', NULL, 'Neural_ProG_Cyt', NULL, NULL, NULL, 6),
(12503, NULL, 'PF09261', NULL, NULL, 'Alpha mannosidase middle domain', NULL, 'Alpha-mann_mid', NULL, NULL, NULL, 6),
(12504, NULL, 'PF01723', NULL, NULL, 'Chorion protein', NULL, 'Chorion_1', NULL, NULL, NULL, 6),
(12505, NULL, 'PF08897', NULL, NULL, 'Domain of unknown function (DUF1841)', NULL, 'DUF1841', NULL, NULL, NULL, 6),
(12506, NULL, 'PF09820', NULL, NULL, 'Predicted AAA-ATPase', NULL, 'AAA-ATPase_like', NULL, NULL, NULL, 6),
(12507, NULL, 'PF06522', NULL, NULL, 'NADH-ubiquinone reductase complex 1 MLRQ subunit', NULL, 'B12D', NULL, NULL, NULL, 6),
(12508, NULL, 'PF09765', NULL, NULL, 'FANCL UBC-like domain 1', NULL, 'FANCL_d1', NULL, NULL, NULL, 6),
(12509, NULL, 'PF18731', NULL, NULL, 'Swt1-like HEPN', NULL, 'HEPN_Swt1', NULL, NULL, NULL, 6),
(12510, NULL, 'PF00699', NULL, NULL, 'Urease beta subunit', NULL, 'Urease_beta', NULL, NULL, NULL, 6),
(12511, NULL, 'PF07322', NULL, NULL, 'Seadornavirus Vp10', NULL, 'Seadorna_Vp10', NULL, NULL, NULL, 6),
(12512, NULL, 'PF13243', NULL, NULL, 'Squalene-hopene cyclase C-terminal domain', NULL, 'SQHop_cyclase_C', NULL, NULL, NULL, 6),
(12513, NULL, 'PF03920', NULL, NULL, 'Groucho/TLE N-terminal Q-rich domain', NULL, 'TLE_N', NULL, NULL, NULL, 6),
(12514, NULL, 'PF15123', NULL, NULL, 'Domain of unknown function (DUF4562)', NULL, 'DUF4562', NULL, NULL, NULL, 6),
(12515, NULL, 'PF16432', NULL, NULL, 'Domain of unknown function (DUF5029)', NULL, 'DUF5029', NULL, NULL, NULL, 6),
(12516, NULL, 'PF06008', NULL, NULL, 'Laminin Domain I', NULL, 'Laminin_I', NULL, NULL, NULL, 6),
(12517, NULL, 'PF04982', NULL, NULL, 'HPP family', NULL, 'HPP', NULL, NULL, NULL, 6),
(12518, NULL, 'PF09527', NULL, NULL, 'Putative F0F1-ATPase subunit Ca2+/Mg2+ transporter', NULL, 'ATPase_gene1', NULL, NULL, NULL, 6),
(12519, NULL, 'PF01039', NULL, NULL, 'Carboxyl transferase domain', NULL, 'Carboxyl_trans', NULL, NULL, NULL, 6),
(12520, NULL, 'PF18415', NULL, NULL, 'Histidine kinase receptor ArcB trans-membrane domain', NULL, 'HKR_ArcB_TM', NULL, NULL, NULL, 6),
(12521, NULL, 'PF14641', NULL, NULL, 'Helix-turn-helix DNA-binding domain of SPT6', NULL, 'HTH_44', NULL, NULL, NULL, 6),
(12522, NULL, 'PF02972', NULL, NULL, 'Phycoerythrin, alpha/beta chain', NULL, 'Phycoerythr_ab', NULL, NULL, NULL, 6),
(12523, NULL, 'PF02142', NULL, NULL, 'MGS-like domain', NULL, 'MGS', NULL, NULL, NULL, 6),
(12524, NULL, 'PF12150', NULL, NULL, 'Cytosolic motility protein', NULL, 'MFP2b', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12525, NULL, 'PF06123', NULL, NULL, 'Inner membrane protein CreD', NULL, 'CreD', NULL, NULL, NULL, 6),
(12526, NULL, 'PF15069', NULL, NULL, 'FAM163 family', NULL, 'FAM163', NULL, NULL, NULL, 6),
(12527, NULL, 'PF11405', NULL, NULL, 'Bromelain inhibitor VI', NULL, 'Inhibitor_I67', NULL, NULL, NULL, 6),
(12528, NULL, 'PF06553', NULL, NULL, 'BNIP3', NULL, 'BNIP3', NULL, NULL, NULL, 6),
(12529, NULL, 'PF00681', NULL, NULL, 'Plectin repeat', NULL, 'Plectin', NULL, NULL, NULL, 6),
(12530, NULL, 'PF08818', NULL, NULL, 'Domain of unknown function (DU1801)', NULL, 'DUF1801', NULL, NULL, NULL, 6),
(12531, NULL, 'PF16533', NULL, NULL, 'STIM1 Orai1-activating region', NULL, 'SOAR', NULL, NULL, NULL, 6),
(12532, NULL, 'PF01671', NULL, NULL, 'African swine fever virus multigene family 360 protein', NULL, 'ASFV_360', NULL, NULL, NULL, 6),
(12533, NULL, 'PF07736', NULL, NULL, 'Chorismate mutase type I', NULL, 'CM_1', NULL, NULL, NULL, 6),
(12534, NULL, 'PF08763', NULL, NULL, 'Voltage gated calcium channel IQ domain', NULL, 'Ca_chan_IQ', NULL, NULL, NULL, 6),
(12535, NULL, 'PF10858', NULL, NULL, 'Protein of unknown function (DUF2659)', NULL, 'DUF2659', NULL, NULL, NULL, 6),
(12536, NULL, 'PF05189', NULL, NULL, 'RNA 3''-terminal phosphate cyclase (RTC), insert domain', NULL, 'RTC_insert', NULL, NULL, NULL, 6),
(12537, NULL, 'PF16897', NULL, NULL, 'C-terminal region of MMR_HSR1 domain', NULL, 'MMR_HSR1_Xtn', NULL, NULL, NULL, 6),
(12538, NULL, 'PF04687', NULL, NULL, 'Microvirus H protein (pilot protein)', NULL, 'Microvir_H', NULL, NULL, NULL, 6),
(12539, NULL, 'PF08852', NULL, NULL, 'Protein of unknown function (DUF1822)', NULL, 'DUF1822', NULL, NULL, NULL, 6),
(12540, NULL, 'PF12657', NULL, NULL, 'Transcription factor IIIC subunit delta N-term', NULL, 'TFIIIC_delta', NULL, NULL, NULL, 6),
(12541, NULL, 'PF00070', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase', NULL, 'Pyr_redox', NULL, NULL, NULL, 6),
(12542, NULL, 'PF14860', NULL, NULL, 'DrrA phosphatidylinositol 4-phosphate binding domain', NULL, 'DrrA_P4M', NULL, NULL, NULL, 6),
(12543, NULL, 'PF18665', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_37', NULL, NULL, NULL, 6),
(12544, NULL, 'PF18131', NULL, NULL, 'KN17 SH3-like C-terminal domain', NULL, 'KN17_SH3', NULL, NULL, NULL, 6),
(12545, NULL, 'PF09496', NULL, NULL, 'Cenp-O kinetochore centromere component', NULL, 'CENP-O', NULL, NULL, NULL, 6),
(12546, NULL, 'PF03803', NULL, NULL, 'Scramblase', NULL, 'Scramblase', NULL, NULL, NULL, 6),
(12547, NULL, 'PF08106', NULL, NULL, 'Formaecin family', NULL, 'Antimicrobial11', NULL, NULL, NULL, 6),
(12548, NULL, 'PF12921', NULL, NULL, 'Mitochondrial ATPase expression', NULL, 'ATP13', NULL, NULL, NULL, 6),
(12549, NULL, 'PF12730', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_4', NULL, NULL, NULL, 6),
(12550, NULL, 'PF11373', NULL, NULL, 'Protein of unknown function (DUF3175)', NULL, 'DUF3175', NULL, NULL, NULL, 6),
(12551, NULL, 'PF03457', NULL, NULL, 'Helicase associated domain', NULL, 'HA', NULL, NULL, NULL, 6),
(12552, NULL, 'PF07195', NULL, NULL, 'Flagellar hook-associated protein 2 C-terminus', NULL, 'FliD_C', NULL, NULL, NULL, 6),
(12553, NULL, 'PF17232', NULL, NULL, 'Elicitor peptide 1-7', NULL, 'Pep1_7', NULL, NULL, NULL, 6),
(12554, NULL, 'PF14291', NULL, NULL, 'Domain of unknown function (DUF4371)', NULL, 'DUF4371', NULL, NULL, NULL, 6),
(12555, NULL, 'PF04453', NULL, NULL, 'LPS transport system D', NULL, 'LptD', NULL, NULL, NULL, 6),
(12556, NULL, 'PF04692', NULL, NULL, 'Platelet-derived growth factor, N terminal region', NULL, 'PDGF_N', NULL, NULL, NULL, 6),
(12557, NULL, 'PF15549', NULL, NULL, 'PGC7/Stella/Dppa3 domain', NULL, 'PGC7_Stella', NULL, NULL, NULL, 6),
(12558, NULL, 'PF04960', NULL, NULL, 'Glutaminase', NULL, 'Glutaminase', NULL, NULL, NULL, 6),
(12559, NULL, 'PF08040', NULL, NULL, 'MNLL subunit', NULL, 'NADH_oxidored', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12560, NULL, 'PF08920', NULL, NULL, 'Splicing factor 3B subunit 1', NULL, 'SF3b1', NULL, NULL, NULL, 6),
(12561, NULL, 'PF15930', NULL, NULL, 'Domain of unknown function', NULL, 'YdiH', NULL, NULL, NULL, 6),
(12562, NULL, 'PF00416', NULL, NULL, 'Ribosomal protein S13/S18', NULL, 'Ribosomal_S13', NULL, NULL, NULL, 6),
(12563, NULL, 'PF18648', NULL, NULL, 'Tse2 ADP-ribosyltransferase toxins', NULL, 'ADPRTs_Tse2', NULL, NULL, NULL, 6),
(12564, NULL, 'PF09741', NULL, NULL, 'Uncharacterized conserved protein (DUF2045)', NULL, 'DUF2045', NULL, NULL, NULL, 6),
(12565, NULL, 'PF00428', NULL, NULL, '60s Acidic ribosomal protein', NULL, 'Ribosomal_60s', NULL, NULL, NULL, 6),
(12566, NULL, 'PF06331', NULL, NULL, 'Transcription factor TFIIH complex subunit Tfb5', NULL, 'Tfb5', NULL, NULL, NULL, 6),
(12567, NULL, 'PF13094', NULL, NULL, 'CENP-Q, a CENPA-CAD centromere complex subunit', NULL, 'CENP-Q', NULL, NULL, NULL, 6),
(12568, NULL, 'PF16302', NULL, NULL, 'Domain of unknown function (DUF4944)', NULL, 'DUF4944', NULL, NULL, NULL, 6),
(12569, NULL, 'PF19192', NULL, NULL, 'Response receiver domain', NULL, 'Response_reg_2', NULL, NULL, NULL, 6),
(12570, NULL, 'PF03590', NULL, NULL, 'Aspartate-ammonia ligase', NULL, 'AsnA', NULL, NULL, NULL, 6),
(12571, NULL, 'PF03747', NULL, NULL, 'ADP-ribosylglycohydrolase', NULL, 'ADP_ribosyl_GH', NULL, NULL, NULL, 6),
(12572, NULL, 'PF00646', NULL, NULL, 'F-box domain', NULL, 'F-box', NULL, NULL, NULL, 6),
(12573, NULL, 'PF08109', NULL, NULL, 'Lactocin 705 family', NULL, 'Antimicrobial14', NULL, NULL, NULL, 6),
(12574, NULL, 'PF06530', NULL, NULL, 'Phage antitermination protein Q', NULL, 'Phage_antitermQ', NULL, NULL, NULL, 6),
(12575, NULL, 'PF19199', NULL, NULL, 'Phage major coat protein, Gp8', NULL, 'Phage_coatGP8', NULL, NULL, NULL, 6),
(12576, NULL, 'PF06257', NULL, NULL, 'Biofilm formation stimulator VEG', NULL, 'VEG', NULL, NULL, NULL, 6),
(12577, NULL, 'PF12001', NULL, NULL, 'Domain of unknown function (DUF3496)', NULL, 'DUF3496', NULL, NULL, NULL, 6),
(12578, NULL, 'PF08311', NULL, NULL, 'Mad3/BUB1 homology region 1', NULL, 'Mad3_BUB1_I', NULL, NULL, NULL, 6),
(12579, NULL, 'PF06355', NULL, NULL, 'Aegerolysin', NULL, 'Aegerolysin', NULL, NULL, NULL, 6),
(12580, NULL, 'PF01867', NULL, NULL, 'CRISPR associated protein Cas1', NULL, 'Cas_Cas1', NULL, NULL, NULL, 6),
(12581, NULL, 'PF09268', NULL, NULL, 'Clathrin, heavy-chain linker', NULL, 'Clathrin-link', NULL, NULL, NULL, 6),
(12582, NULL, 'PF14865', NULL, NULL, 'Macin', NULL, 'Macin', NULL, NULL, NULL, 6),
(12583, NULL, 'PF16568', NULL, NULL, 'Tyrosine-rich domain of Sam68', NULL, 'Sam68-YY', NULL, NULL, NULL, 6),
(12584, NULL, 'PF04119', NULL, NULL, 'Heat shock protein 9/12', NULL, 'HSP9_HSP12', NULL, NULL, NULL, 6),
(12585, NULL, 'PF04424', NULL, NULL, 'MINDY deubiquitinase', NULL, 'MINDY_DUB', NULL, NULL, NULL, 6),
(12586, NULL, 'PF00194', NULL, NULL, 'Eukaryotic-type carbonic anhydrase', NULL, 'Carb_anhydrase', NULL, NULL, NULL, 6),
(12587, NULL, 'PF04727', NULL, NULL, 'ELMO/CED-12 family', NULL, 'ELMO_CED12', NULL, NULL, NULL, 6),
(12588, NULL, 'PF16006', NULL, NULL, 'Nucleolar and spindle-associated protein', NULL, 'NUSAP', NULL, NULL, NULL, 6),
(12589, NULL, 'PF03859', NULL, NULL, 'CG-1 domain', NULL, 'CG-1', NULL, NULL, NULL, 6),
(12590, NULL, 'PF05086', NULL, NULL, 'Dictyostelium (Slime Mold) REP protein', NULL, 'Dicty_REP', NULL, NULL, NULL, 6),
(12591, NULL, 'PF04212', NULL, NULL, 'MIT (microtubule interacting and transport) domain', NULL, 'MIT', NULL, NULL, NULL, 6),
(12592, NULL, 'PF07933', NULL, NULL, 'Protein of unknown function (DUF1681)', NULL, 'DUF1681', NULL, NULL, NULL, 6),
(12593, NULL, 'PF06076', NULL, NULL, 'Orthopoxvirus F14 protein', NULL, 'Orthopox_F14', NULL, NULL, NULL, 6),
(12594, NULL, 'PF03821', NULL, NULL, 'Golgi 4-transmembrane spanning transporter', NULL, 'Mtp', NULL, NULL, NULL, 6),
(12595, NULL, 'PF00227', NULL, NULL, 'Proteasome subunit', NULL, 'Proteasome', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12596, NULL, 'PF01643', NULL, NULL, 'Acyl-ACP thioesterase', NULL, 'Acyl-ACP_TE', NULL, NULL, NULL, 6),
(12597, NULL, 'PF17829', NULL, NULL, 'Gylcosyl hydrolase family 115 C-terminal domain', NULL, 'GH115_C', NULL, NULL, NULL, 6),
(12598, NULL, 'PF09185', NULL, NULL, 'Domain of unknown function (DUF1948)', NULL, 'DUF1948', NULL, NULL, NULL, 6),
(12599, NULL, 'PF11835', NULL, NULL, 'RRM-like domain', NULL, 'RRM_8', NULL, NULL, NULL, 6),
(12600, NULL, 'PF13450', NULL, NULL, 'NAD(P)-binding Rossmann-like domain', NULL, 'NAD_binding_8', NULL, NULL, NULL, 6),
(12601, NULL, 'PF07509', NULL, NULL, 'Protein of unknown function (DUF1523)', NULL, 'DUF1523', NULL, NULL, NULL, 6),
(12602, NULL, 'PF03900', NULL, NULL, 'Porphobilinogen deaminase, C-terminal domain', NULL, 'Porphobil_deamC', NULL, NULL, NULL, 6),
(12603, NULL, 'PF05598', NULL, NULL, 'Transposase domain (DUF772)', NULL, 'DUF772', NULL, NULL, NULL, 6),
(12604, NULL, 'PF12769', NULL, NULL, '4TM region of pyridine nucleotide transhydrogenase, mitoch', NULL, 'PNTB_4TM', NULL, NULL, NULL, 6),
(12605, NULL, 'PF18118', NULL, NULL, 'Polycomb repressive complex 2 tri-helical domain', NULL, 'PRC2_HTH_1', NULL, NULL, NULL, 6),
(12606, NULL, 'PF08221', NULL, NULL, 'RNA polymerase III subunit RPC82 helix-turn-helix domain', NULL, 'HTH_9', NULL, NULL, NULL, 6),
(12607, NULL, 'PF00830', NULL, NULL, 'Ribosomal L28 family', NULL, 'Ribosomal_L28', NULL, NULL, NULL, 6),
(12608, NULL, 'PF04826', NULL, NULL, 'Armadillo-like', NULL, 'Arm_2', NULL, NULL, NULL, 6),
(12609, NULL, 'PF17148', NULL, NULL, 'Domain of unknown function (DUF5117)', NULL, 'DUF5117', NULL, NULL, NULL, 6),
(12610, NULL, 'PF17541', NULL, NULL, 'Type VI secretion system, TssC, VipB', NULL, 'TssC', NULL, NULL, NULL, 6),
(12611, NULL, 'PF18288', NULL, NULL, 'Fumarylacetoacetase N-terminal domain 2', NULL, 'FAA_hydro_N_2', NULL, NULL, NULL, 6),
(12612, NULL, 'PF04786', NULL, NULL, 'ssDNA binding protein', NULL, 'Baculo_DNA_bind', NULL, NULL, NULL, 6),
(12613, NULL, 'PF06169', NULL, NULL, 'Protein of unknown function (DUF982)', NULL, 'DUF982', NULL, NULL, NULL, 6),
(12614, NULL, 'PF04082', NULL, NULL, 'Fungal specific transcription factor domain', NULL, 'Fungal_trans', NULL, NULL, NULL, 6),
(12615, NULL, 'PF03096', NULL, NULL, 'Ndr family', NULL, 'Ndr', NULL, NULL, NULL, 6),
(12616, NULL, 'PF17058', NULL, NULL, 'Mitochondrial biogenesis regulation protein 1', NULL, 'MBR1', NULL, NULL, NULL, 6),
(12617, NULL, 'PF13416', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_8', NULL, NULL, NULL, 6),
(12618, NULL, 'PF09393', NULL, NULL, 'Phage tail tube protein', NULL, 'DUF2001', NULL, NULL, NULL, 6),
(12619, NULL, 'PF09953', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2187)', NULL, 'DUF2187', NULL, NULL, NULL, 6),
(12620, NULL, 'PF12116', NULL, NULL, 'Stage III sporulation protein D', NULL, 'SpoIIID', NULL, NULL, NULL, 6),
(12621, NULL, 'PF12481', NULL, NULL, 'Aluminium induced protein', NULL, 'DUF3700', NULL, NULL, NULL, 6),
(12622, NULL, 'PF02542', NULL, NULL, 'YgbB family', NULL, 'YgbB', NULL, NULL, NULL, 6),
(12623, NULL, 'PF17530', NULL, NULL, 'Non-structural protein NS3', NULL, 'NS3', NULL, NULL, NULL, 6),
(12624, NULL, 'PF15588', NULL, NULL, 'Immunity protein 10', NULL, 'Imm10', NULL, NULL, NULL, 6),
(12625, NULL, 'PF03574', NULL, NULL, 'Peptidase family S48', NULL, 'Peptidase_S48', NULL, NULL, NULL, 6),
(12626, NULL, 'PF08588', NULL, NULL, 'Protein of unknown function (DUF1769)', NULL, 'DUF1769', NULL, NULL, NULL, 6),
(12627, NULL, 'PF15270', NULL, NULL, 'Metallo-carboxypeptidase inhibitor', NULL, 'ACI44', NULL, NULL, NULL, 6),
(12628, NULL, 'PF17602', NULL, NULL, 'Family of unknown function (DUF5498)', NULL, 'DUF5498', NULL, NULL, NULL, 6),
(12629, NULL, 'PF05177', NULL, NULL, 'RCSD region', NULL, 'RCSD', NULL, NULL, NULL, 6),
(12630, NULL, 'PF17792', NULL, NULL, 'ThiD2 family', NULL, 'ThiD2', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12631, NULL, 'PF14154', NULL, NULL, 'Domain of unknown function (DUF4306)', NULL, 'DUF4306', NULL, NULL, NULL, 6),
(12632, NULL, 'PF07773', NULL, NULL, 'Protein of unknown function (DUF1619)', NULL, 'DUF1619', NULL, NULL, NULL, 6),
(12633, NULL, 'PF15620', NULL, NULL, 'Centromere assembly component CENP-C middle DNMT3B-binding region', NULL, 'CENP-C_mid', NULL, NULL, NULL, 6),
(12634, NULL, 'PF05973', NULL, NULL, 'Phage derived protein Gp49-like (DUF891)', NULL, 'Gp49', NULL, NULL, NULL, 6),
(12635, NULL, 'PF11089', NULL, NULL, 'Exopolysaccharide production repressor', NULL, 'SyrA', NULL, NULL, NULL, 6),
(12636, NULL, 'PF11645', NULL, NULL, 'PD-(D/E)XK endonuclease', NULL, 'PDDEXK_5', NULL, NULL, NULL, 6),
(12637, NULL, 'PF02632', NULL, NULL, 'BioY family', NULL, 'BioY', NULL, NULL, NULL, 6),
(12638, NULL, 'PF00798', NULL, NULL, 'Arenavirus glycoprotein', NULL, 'Arena_glycoprot', NULL, NULL, NULL, 6),
(12639, NULL, 'PF09662', NULL, NULL, 'Phenylphosphate carboxylase gamma subunit (Phenyl_P_gamma)', NULL, 'Phenyl_P_gamma', NULL, NULL, NULL, 6),
(12640, NULL, 'PF18949', NULL, NULL, 'Family of unknown function (DUF5693)', NULL, 'DUF5693', NULL, NULL, NULL, 6),
(12641, NULL, 'PF18625', NULL, NULL, 'ESX-1 secreted protein B PE domain', NULL, 'EspB_PE', NULL, NULL, NULL, 6),
(12642, NULL, 'PF13837', NULL, NULL, 'Myb/SANT-like DNA-binding domain', NULL, 'Myb_DNA-bind_4', NULL, NULL, NULL, 6),
(12643, NULL, 'PF11219', NULL, NULL, 'Protein of unknown function (DUF3014)', NULL, 'DUF3014', NULL, NULL, NULL, 6),
(12644, NULL, 'PF04103', NULL, NULL, 'CD20-like family', NULL, 'CD20', NULL, NULL, NULL, 6),
(12645, NULL, 'PF00713', NULL, NULL, 'Hirudin', NULL, 'Hirudin', NULL, NULL, NULL, 6),
(12646, NULL, 'PF02902', NULL, NULL, 'Ulp1 protease family, C-terminal catalytic domain', NULL, 'Peptidase_C48', NULL, NULL, NULL, 6),
(12647, NULL, 'PF08872', NULL, NULL, 'KGK domain', NULL, 'KGK', NULL, NULL, NULL, 6),
(12648, NULL, 'PF04748', NULL, NULL, 'Divergent polysaccharide deacetylase', NULL, 'Polysacc_deac_2', NULL, NULL, NULL, 6),
(12649, NULL, 'PF18850', NULL, NULL, 'Large polyvalent protein associated domain 30', NULL, 'LPD30', NULL, NULL, NULL, 6),
(12650, NULL, 'PF06507', NULL, NULL, 'Auxin response factor', NULL, 'Auxin_resp', NULL, NULL, NULL, 6),
(12651, NULL, 'PF12261', NULL, NULL, 'Thermostable hemolysin', NULL, 'T_hemolysin', NULL, NULL, NULL, 6),
(12652, NULL, 'PF01020', NULL, NULL, 'Ribosomal L40e family', NULL, 'Ribosomal_L40e', NULL, NULL, NULL, 6),
(12653, NULL, 'PF18972', NULL, NULL, 'Cns1/TTC4 Wheel domain', NULL, 'Wheel', NULL, NULL, NULL, 6),
(12654, NULL, 'PF11831', NULL, NULL, 'pre-mRNA splicing factor component', NULL, 'Myb_Cef', NULL, NULL, NULL, 6),
(12655, NULL, 'PF15939', NULL, NULL, 'Putative antitoxin of bacterial toxin-antitoxin system', NULL, 'YmcE_antitoxin', NULL, NULL, NULL, 6),
(12656, NULL, 'PF06766', NULL, NULL, 'Fungal hydrophobin', NULL, 'Hydrophobin_2', NULL, NULL, NULL, 6),
(12657, NULL, 'PF04608', NULL, NULL, 'Phosphatidylglycerophosphatase A', NULL, 'PgpA', NULL, NULL, NULL, 6),
(12658, NULL, 'PF18228', NULL, NULL, 'CdiI N-terminal domain', NULL, 'CdiI_N', NULL, NULL, NULL, 6),
(12659, NULL, 'PF05872', NULL, NULL, 'Bacterial protein of unknown function (DUF853)', NULL, 'DUF853', NULL, NULL, NULL, 6),
(12660, NULL, 'PF16818', NULL, NULL, 'Protein SLM4', NULL, 'SLM4', NULL, NULL, NULL, 6),
(12661, NULL, 'PF08175', NULL, NULL, 'Small acid-soluble spore protein O family', NULL, 'SspO', NULL, NULL, NULL, 6),
(12662, NULL, 'PF06377', NULL, NULL, 'Adipokinetic hormone', NULL, 'Adipokin_hormo', NULL, NULL, NULL, 6),
(12663, NULL, 'PF06185', NULL, NULL, 'YecM protein', NULL, 'YecM', NULL, NULL, NULL, 6),
(12664, NULL, 'PF03376', NULL, NULL, 'Adenovirus E3B protein', NULL, 'Adeno_E3B', NULL, NULL, NULL, 6),
(12665, NULL, 'PF17105', NULL, NULL, 'C-terminal domain of bromodomain protein 4', NULL, 'BRD4_CDT', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12666, NULL, 'PF05560', NULL, NULL, 'Bacillus thuringiensis P21 molecular chaperone protein', NULL, 'Bt_P21', NULL, NULL, NULL, 6),
(12667, NULL, 'PF10656', NULL, NULL, 'Hypothetical protein of unknown function (DUF2483)', NULL, 'DUF2483', NULL, NULL, NULL, 6),
(12668, NULL, 'PF02822', NULL, NULL, 'Antistasin family', NULL, 'Antistasin', NULL, NULL, NULL, 6),
(12669, NULL, 'PF08733', NULL, NULL, 'PalH/RIM21', NULL, 'PalH', NULL, NULL, NULL, 6),
(12670, NULL, 'PF15677', NULL, NULL, 'Cell cycle exit and neuronal differentiation protein 1', NULL, 'CEND1', NULL, NULL, NULL, 6),
(12671, NULL, 'PF11847', NULL, NULL, 'Alpha-(1->3)-arabinofuranosyltransferase', NULL, 'DUF3367', NULL, NULL, NULL, 6),
(12672, NULL, 'PF17672', NULL, NULL, 'Family of unknown function (DUF5589)', NULL, 'DUF5589', NULL, NULL, NULL, 6),
(12673, NULL, 'PF09447', NULL, NULL, 'Cnl2/NKP2 family protein', NULL, 'Cnl2_NKP2', NULL, NULL, NULL, 6),
(12674, NULL, 'PF04143', NULL, NULL, 'Sulphur transport', NULL, 'Sulf_transp', NULL, NULL, NULL, 6),
(12675, NULL, 'PF14300', NULL, NULL, 'Domain of unknown function (DUF4375)', NULL, 'DUF4375', NULL, NULL, NULL, 6),
(12676, NULL, 'PF00005', NULL, NULL, 'ABC transporter', NULL, 'ABC_tran', NULL, NULL, NULL, 6),
(12677, NULL, 'PF18794', NULL, NULL, 'DNA mismatch repair protein HSM3, C terminal domain', NULL, 'HSM3_C', NULL, NULL, NULL, 6),
(12678, NULL, 'PF07599', NULL, NULL, 'Protein of unknown function (DUF1563)', NULL, 'DUF1563', NULL, NULL, NULL, 6),
(12679, NULL, 'PF08848', NULL, NULL, 'Domain of unknown function (DUF1818)', NULL, 'DUF1818', NULL, NULL, NULL, 6),
(12680, NULL, 'PF07147', NULL, NULL, 'Mitochondrial 28S ribosomal protein S30 (PDCD9)', NULL, 'PDCD9', NULL, NULL, NULL, 6),
(12681, NULL, 'PF08819', NULL, NULL, 'Domain of unknown function (DUF1802)', NULL, 'DUF1802', NULL, NULL, NULL, 6),
(12682, NULL, 'PF17163', NULL, NULL, 'Domain of unknown function (DUF5125)', NULL, 'DUF5125', NULL, NULL, NULL, 6),
(12683, NULL, 'PF18761', NULL, NULL, 'Heliorhodopsin', NULL, 'Heliorhodopsin', NULL, NULL, NULL, 6),
(12684, NULL, 'PF18779', NULL, NULL, 'Capping Ribonuclease inhibitor Leucine Rich Repeat', NULL, 'LRR_RI_capping', NULL, NULL, NULL, 6),
(12685, NULL, 'PF11104', NULL, NULL, 'Type IV pilus assembly protein PilM;', NULL, 'PilM_2', NULL, NULL, NULL, 6),
(12686, NULL, 'PF17933', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_25', NULL, NULL, NULL, 6),
(12687, NULL, 'PF12833', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_18', NULL, NULL, NULL, 6),
(12688, NULL, 'PF02826', NULL, NULL, 'D-isomer specific 2-hydroxyacid dehydrogenase, NAD binding domain', NULL, '2-Hacid_dh_C', NULL, NULL, NULL, 6),
(12689, NULL, 'PF14867', NULL, NULL, 'Lantibiotic alpha', NULL, 'Lantibiotic_a', NULL, NULL, NULL, 6),
(12690, NULL, 'PF11044', NULL, NULL, 'Plectrovirus spv1-c74 ORF 12 transmembrane protein', NULL, 'TMEMspv1-c74-12', NULL, NULL, NULL, 6),
(12691, NULL, 'PF16635', NULL, NULL, 'Unstructured region on APC between SAMP and APC_crr', NULL, 'APC_u14', NULL, NULL, NULL, 6),
(12692, NULL, 'PF11856', NULL, NULL, 'Protein of unknown function (DUF3376)', NULL, 'DUF3376', NULL, NULL, NULL, 6),
(12693, NULL, 'PF10176', NULL, NULL, 'Protein of unknown function (DUF2370)', NULL, 'DUF2370', NULL, NULL, NULL, 6),
(12694, NULL, 'PF11991', NULL, NULL, 'Tryptophan dimethylallyltransferase', NULL, 'Trp_DMAT', NULL, NULL, NULL, 6),
(12695, NULL, 'PF19024', NULL, NULL, 'Family of unknown function (DUF5750)', NULL, 'DUF5750', NULL, NULL, NULL, 6),
(12696, NULL, 'PF12591', NULL, NULL, 'Protein of unknown function (DUF3762)', NULL, 'DUF3762', NULL, NULL, NULL, 6),
(12697, NULL, 'PF10894', NULL, NULL, 'Protein of unknown function (DUF2689)', NULL, 'DUF2689', NULL, NULL, NULL, 6),
(12698, NULL, 'PF01915', NULL, NULL, 'Glycosyl hydrolase family 3 C-terminal domain', NULL, 'Glyco_hydro_3_C', NULL, NULL, NULL, 6),
(12699, NULL, 'PF14669', NULL, NULL, 'Putative aspartate racemase', NULL, 'Asp_Glu_race_2', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12700, NULL, 'PF01342', NULL, NULL, 'SAND domain', NULL, 'SAND', NULL, NULL, NULL, 6),
(12701, NULL, 'PF01047', NULL, NULL, 'MarR family', NULL, 'MarR', NULL, NULL, NULL, 6),
(12702, NULL, 'PF05928', NULL, NULL, 'Zea mays MURB-like protein (MuDR)', NULL, 'Zea_mays_MuDR', NULL, NULL, NULL, 6),
(12703, NULL, 'PF09651', NULL, NULL, 'CRISPR-associated protein (Cas_APE2256)', NULL, 'Cas_APE2256', NULL, NULL, NULL, 6),
(12704, NULL, 'PF17514', NULL, NULL, 'Family of unknown function (DUF5442)', NULL, 'DUF5442', NULL, NULL, NULL, 6),
(12705, NULL, 'PF13808', NULL, NULL, 'DDE_Tnp_1-associated', NULL, 'DDE_Tnp_1_assoc', NULL, NULL, NULL, 6),
(12706, NULL, 'PF09150', NULL, NULL, 'Orange carotenoid protein, N-terminal', NULL, 'Carot_N', NULL, NULL, NULL, 6),
(12707, NULL, 'PF09158', NULL, NULL, 'Bacteriophage T4 MotA, C-terminal', NULL, 'MotCF', NULL, NULL, NULL, 6),
(12708, NULL, 'PF13847', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_31', NULL, NULL, NULL, 6),
(12709, NULL, 'PF02333', NULL, NULL, 'Phytase', NULL, 'Phytase', NULL, NULL, NULL, 6),
(12710, NULL, 'PF06676', NULL, NULL, 'Protein of unknown function (DUF1178)', NULL, 'DUF1178', NULL, NULL, NULL, 6),
(12711, NULL, 'PF07336', NULL, NULL, 'Putative stress-induced transcription regulator', NULL, 'ABATE', NULL, NULL, NULL, 6),
(12712, NULL, 'PF16831', NULL, NULL, 'CS6 fimbrial subunits A and B, Coli surface antigen 6', NULL, 'CssAB', NULL, NULL, NULL, 6),
(12713, NULL, 'PF07250', NULL, NULL, 'Glyoxal oxidase N-terminus', NULL, 'Glyoxal_oxid_N', NULL, NULL, NULL, 6),
(12714, NULL, 'PF10031', NULL, NULL, 'Small integral membrane protein (DUF2273)', NULL, 'DUF2273', NULL, NULL, NULL, 6),
(12715, NULL, 'PF11862', NULL, NULL, 'Domain of unknown function (DUF3382)', NULL, 'DUF3382', NULL, NULL, NULL, 6),
(12716, NULL, 'PF01003', NULL, NULL, 'Flavivirus capsid protein C', NULL, 'Flavi_capsid', NULL, NULL, NULL, 6),
(12717, NULL, 'PF14542', NULL, NULL, 'GCN5-related N-acetyl-transferase', NULL, 'Acetyltransf_CG', NULL, NULL, NULL, 6),
(12718, NULL, 'PF15209', NULL, NULL, 'Interleukin 31', NULL, 'IL31', NULL, NULL, NULL, 6),
(12719, NULL, 'PF13116', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3971', NULL, NULL, NULL, 6),
(12720, NULL, 'PF03813', NULL, NULL, 'Nrap protein domain 1', NULL, 'Nrap', NULL, NULL, NULL, 6),
(12721, NULL, 'PF05938', NULL, NULL, 'Plant self-incompatibility protein S1', NULL, 'Self-incomp_S1', NULL, NULL, NULL, 6),
(12722, NULL, 'PF18976', NULL, NULL, 'Family of unknown function (DUF5712)', NULL, 'DUF5712', NULL, NULL, NULL, 6),
(12723, NULL, 'PF16650', NULL, NULL, 'Unstructured region on SPEG complex protein', NULL, 'SPEG_u2', NULL, NULL, NULL, 6),
(12724, NULL, 'PF17304', NULL, NULL, 'Family of unknown function (DUF5353)', NULL, 'DUF5353', NULL, NULL, NULL, 6),
(12725, NULL, 'PF13949', NULL, NULL, 'ALIX V-shaped domain binding to HIV', NULL, 'ALIX_LYPXL_bnd', NULL, NULL, NULL, 6),
(12726, NULL, 'PF05902', NULL, NULL, '4.1 protein C-terminal domain (CTD)', NULL, '4_1_CTD', NULL, NULL, NULL, 6),
(12727, NULL, 'PF06178', NULL, NULL, 'Oligogalacturonate-specific porin protein (KdgM)', NULL, 'KdgM', NULL, NULL, NULL, 6),
(12728, NULL, 'PF02504', NULL, NULL, 'Fatty acid synthesis protein', NULL, 'FA_synthesis', NULL, NULL, NULL, 6),
(12729, NULL, 'PF04839', NULL, NULL, 'Plastid and cyanobacterial ribosomal protein (PSRP-3 / Ycf65)', NULL, 'PSRP-3_Ycf65', NULL, NULL, NULL, 6),
(12730, NULL, 'PF03538', NULL, NULL, 'Salmonella virulence plasmid 28.1kDa A protein', NULL, 'VRP1', NULL, NULL, NULL, 6),
(12731, NULL, 'PF06889', NULL, NULL, 'Protein of unknown function (DUF1266)', NULL, 'DUF1266', NULL, NULL, NULL, 6),
(12732, NULL, 'PF08728', NULL, NULL, 'CRT10', NULL, 'CRT10', NULL, NULL, NULL, 6),
(12733, NULL, 'PF10369', NULL, NULL, 'Small subunit of acetolactate synthase', NULL, 'ALS_ss_C', NULL, NULL, NULL, 6),
(12734, NULL, 'PF09881', NULL, NULL, 'Predicted membrane protein (DUF2108)', NULL, 'DUF2108', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12735, NULL, 'PF16118', NULL, NULL, 'Domain of unknown function (DUF4834)', NULL, 'DUF4834', NULL, NULL, NULL, 6),
(12736, NULL, 'PF02690', NULL, NULL, 'Na+/Pi-cotransporter', NULL, 'Na_Pi_cotrans', NULL, NULL, NULL, 6),
(12737, NULL, 'PF13661', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy_4', NULL, NULL, NULL, 6),
(12738, NULL, 'PF13031', NULL, NULL, 'Protein of unknown function (DUF3892)', NULL, 'DUF3892', NULL, NULL, NULL, 6),
(12739, NULL, 'PF09045', NULL, NULL, 'L27_2', NULL, 'L27_2', NULL, NULL, NULL, 6),
(12740, NULL, 'PF02202', NULL, NULL, 'Tachykinin family', NULL, 'Tachykinin', NULL, NULL, NULL, 6),
(12741, NULL, 'PF05738', NULL, NULL, 'Cna protein B-type domain', NULL, 'Cna_B', NULL, NULL, NULL, 6),
(12742, NULL, 'PF03775', NULL, NULL, 'Septum formation inhibitor MinC, C-terminal domain', NULL, 'MinC_C', NULL, NULL, NULL, 6),
(12743, NULL, 'PF14823', NULL, NULL, 'Sirohaem biosynthesis protein C-terminal', NULL, 'Sirohm_synth_C', NULL, NULL, NULL, 6),
(12744, NULL, 'PF08755', NULL, NULL, 'Hemimethylated DNA-binding protein YccV like', NULL, 'YccV-like', NULL, NULL, NULL, 6),
(12745, NULL, 'PF12307', NULL, NULL, 'Protein of unknown function (DUF3631)', NULL, 'DUF3631', NULL, NULL, NULL, 6),
(12746, NULL, 'PF12074', NULL, NULL, 'Generalcontrol nonderepressible 1 (Gcn1) N-terminal', NULL, 'Gcn1_N', NULL, NULL, NULL, 6),
(12747, NULL, 'PF03718', NULL, NULL, 'Glycosyl hydrolase family 49', NULL, 'Glyco_hydro_49', NULL, NULL, NULL, 6),
(12748, NULL, 'PF02252', NULL, NULL, 'Proteasome activator pa28 beta subunit', NULL, 'PA28_beta', NULL, NULL, NULL, 6),
(12749, NULL, 'PF14585', NULL, NULL, 'CagY type 1 repeat', NULL, 'CagY_I', NULL, NULL, NULL, 6),
(12750, NULL, 'PF12914', NULL, NULL, 'SH3 domain of SH3b2 type', NULL, 'SH3_7', NULL, NULL, NULL, 6),
(12751, NULL, 'PF15653', NULL, NULL, 'URI fold toxin 2', NULL, 'Tox-URI2', NULL, NULL, NULL, 6),
(12752, NULL, 'PF03814', NULL, NULL, 'Potassium-transporting ATPase A subunit', NULL, 'KdpA', NULL, NULL, NULL, 6),
(12753, NULL, 'PF12750', NULL, NULL, 'Maff2 family', NULL, 'Maff2', NULL, NULL, NULL, 6),
(12754, NULL, 'PF08370', NULL, NULL, 'Plant PDR ABC transporter associated', NULL, 'PDR_assoc', NULL, NULL, NULL, 6),
(12755, NULL, 'PF11932', NULL, NULL, 'Protein of unknown function (DUF3450)', NULL, 'DUF3450', NULL, NULL, NULL, 6),
(12756, NULL, 'PF03136', NULL, NULL, 'Pup-ligase protein', NULL, 'Pup_ligase', NULL, NULL, NULL, 6),
(12757, NULL, 'PF13512', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_18', NULL, NULL, NULL, 6),
(12758, NULL, 'PF04068', NULL, NULL, 'Possible Fer4-like domain in RNase L inhibitor, RLI', NULL, 'RLI', NULL, NULL, NULL, 6),
(12759, NULL, 'PF15924', NULL, NULL, 'ALG11 mannosyltransferase N-terminus', NULL, 'ALG11_N', NULL, NULL, NULL, 6),
(12760, NULL, 'PF17512', NULL, NULL, 'Metapneumovirus Small hydrophobic protein', NULL, 'Sh_2', NULL, NULL, NULL, 6),
(12761, NULL, 'PF13352', NULL, NULL, 'Protein of unknown function (DUF4100)', NULL, 'DUF4100', NULL, NULL, NULL, 6),
(12762, NULL, 'PF06188', NULL, NULL, 'HrpE/YscL/FliH and V-type ATPase subunit E', NULL, 'HrpE', NULL, NULL, NULL, 6),
(12763, NULL, 'PF01201', NULL, NULL, 'Ribosomal protein S8e', NULL, 'Ribosomal_S8e', NULL, NULL, NULL, 6),
(12764, NULL, 'PF17237', NULL, NULL, 'Family of unknown function (DUF5310)', NULL, 'DUF5310', NULL, NULL, NULL, 6),
(12765, NULL, 'PF04776', NULL, NULL, 'Protein MS5', NULL, 'protein_MS5', NULL, NULL, NULL, 6),
(12766, NULL, 'PF12630', NULL, NULL, 'Poxvirus poly(A) polymerase N-terminal domain', NULL, 'Pox_polyA_pol_N', NULL, NULL, NULL, 6),
(12767, NULL, 'PF04570', NULL, NULL, 'zinc-finger of the FCS-type, C2-C2', NULL, 'zf-FLZ', NULL, NULL, NULL, 6),
(12768, NULL, 'PF10211', NULL, NULL, 'Axonemal dynein light chain', NULL, 'Ax_dynein_light', NULL, NULL, NULL, 6),
(12769, NULL, 'PF03115', NULL, NULL, 'Astrovirus capsid protein precursor', NULL, 'Astro_capsid_N', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12770, NULL, 'PF11401', NULL, NULL, 'Tetrabrachion', NULL, 'Tetrabrachion', NULL, NULL, NULL, 6),
(12771, NULL, 'PF14859', NULL, NULL, 'Colicin M', NULL, 'Colicin_M', NULL, NULL, NULL, 6),
(12772, NULL, 'PF09207', NULL, NULL, 'Yeast killer toxin', NULL, 'Yeast-kill-tox', NULL, NULL, NULL, 6),
(12773, NULL, 'PF18277', NULL, NULL, 'AbrB C-terminal domain', NULL, 'AbrB_C', NULL, NULL, NULL, 6),
(12774, NULL, 'PF10834', NULL, NULL, 'Protein of unknown function (DUF2560)', NULL, 'DUF2560', NULL, NULL, NULL, 6),
(12775, NULL, 'PF06455', NULL, NULL, 'NADH dehydrogenase subunit 5 C-terminus', NULL, 'NADH5_C', NULL, NULL, NULL, 6),
(12776, NULL, 'PF09813', NULL, NULL, 'Coiled-coil domain-containing protein 56', NULL, 'Coiled-coil_56', NULL, NULL, NULL, 6),
(12777, NULL, 'PF02783', NULL, NULL, 'Methyl-coenzyme M reductase beta subunit, N-terminal domain', NULL, 'MCR_beta_N', NULL, NULL, NULL, 6),
(12778, NULL, 'PF16783', NULL, NULL, 'FANCM to MHF binding domain', NULL, 'FANCM-MHF_bd', NULL, NULL, NULL, 6),
(12779, NULL, 'PF06841', NULL, NULL, 'T4-like virus tail tube protein gp19', NULL, 'Phage_T4_gp19', NULL, NULL, NULL, 6),
(12780, NULL, 'PF10543', NULL, NULL, 'ORF6N domain', NULL, 'ORF6N', NULL, NULL, NULL, 6),
(12781, NULL, 'PF02223', NULL, NULL, 'Thymidylate kinase', NULL, 'Thymidylate_kin', NULL, NULL, NULL, 6),
(12782, NULL, 'PF00691', NULL, NULL, 'OmpA family', NULL, 'OmpA', NULL, NULL, NULL, 6),
(12783, NULL, 'PF14886', NULL, NULL, 'FAM183A and FAM183B related', NULL, 'FAM183', NULL, NULL, NULL, 6),
(12784, NULL, 'PF03339', NULL, NULL, 'Poxvirus L3/FP4 protein', NULL, 'Pox_L3_FP4', NULL, NULL, NULL, 6),
(12785, NULL, 'PF11887', NULL, NULL, 'Cholesterol uptake porter CUP1 of Mce4, putative', NULL, 'Mce4_CUP1', NULL, NULL, NULL, 6),
(12786, NULL, 'PF08911', NULL, NULL, 'NUP50 (Nucleoporin 50 kDa)', NULL, 'NUP50', NULL, NULL, NULL, 6),
(12787, NULL, 'PF12576', NULL, NULL, 'Protein of unknown function (DUF3754)', NULL, 'DUF3754', NULL, NULL, NULL, 6),
(12788, NULL, 'PF06488', NULL, NULL, 'Phage tail tube protein', NULL, 'L_lac_phage_MSP', NULL, NULL, NULL, 6),
(12789, NULL, 'PF14505', NULL, NULL, 'Domain of unknown function (DUF4438)', NULL, 'DUF4438', NULL, NULL, NULL, 6),
(12790, NULL, 'PF10752', NULL, NULL, 'Protein of unknown function (DUF2533)', NULL, 'DUF2533', NULL, NULL, NULL, 6),
(12791, NULL, 'PF08720', NULL, NULL, 'Influenza C hemagglutinin stalk', NULL, 'Hema_stalk', NULL, NULL, NULL, 6),
(12792, NULL, 'PF14281', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_4', NULL, NULL, NULL, 6),
(12793, NULL, 'PF15980', NULL, NULL, 'Putative Competence protein ComGF', NULL, 'ComGF', NULL, NULL, NULL, 6),
(12794, NULL, 'PF12427', NULL, NULL, 'Branched-chain amino acid aminotransferase', NULL, 'DUF3665', NULL, NULL, NULL, 6),
(12795, NULL, 'PF10422', NULL, NULL, 'Monopolin complex subunit LRS4', NULL, 'LRS4', NULL, NULL, NULL, 6),
(12796, NULL, 'PF17696', NULL, NULL, 'Family of unknown function (DUF5542)', NULL, 'DUF5542', NULL, NULL, NULL, 6),
(12797, NULL, 'PF09121', NULL, NULL, 'Tower', NULL, 'Tower', NULL, NULL, NULL, 6),
(12798, NULL, 'PF14012', NULL, NULL, 'Protein of unknown function (DUF4229)', NULL, 'DUF4229', NULL, NULL, NULL, 6),
(12799, NULL, 'PF06086', NULL, NULL, 'Orthopoxvirus A26L/A30L protein', NULL, 'Pox_A30L_A26L', NULL, NULL, NULL, 6),
(12800, NULL, 'PF05393', NULL, NULL, 'Human adenovirus early E3A glycoprotein', NULL, 'Hum_adeno_E3A', NULL, NULL, NULL, 6),
(12801, NULL, 'PF04518', NULL, NULL, 'Effector from type III secretion system', NULL, 'Effector_1', NULL, NULL, NULL, 6),
(12802, NULL, 'PF09648', NULL, NULL, 'YycH protein', NULL, 'YycI', NULL, NULL, NULL, 6),
(12803, NULL, 'PF18341', NULL, NULL, 'PSA endolysin C-terminal cell wall binding domain', NULL, 'PSA_CBD', NULL, NULL, NULL, 6),
(12804, NULL, 'PF09134', NULL, NULL, 'Invasin, domain 3', NULL, 'Invasin_D3', NULL, NULL, NULL, 6),
(12805, NULL, 'PF08673', NULL, NULL, 'Phosphoserine phosphatase RsbU, N-terminal domain', NULL, 'RsbU_N', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12806, NULL, 'PF16110', NULL, NULL, 'Domain of unknown function (DUF4828)', NULL, 'DUF4828', NULL, NULL, NULL, 6),
(12807, NULL, 'PF08735', NULL, NULL, 'Putative pyruvate format-lyase activating enzyme (DUF1786)', NULL, 'DUF1786', NULL, NULL, NULL, 6),
(12808, NULL, 'PF10343', NULL, NULL, 'Potential Queuosine, Q, salvage protein family', NULL, 'Q_salvage', NULL, NULL, NULL, 6),
(12809, NULL, 'PF17027', NULL, NULL, 'Histone-fold protein', NULL, 'Bromo_TP_like', NULL, NULL, NULL, 6),
(12810, NULL, 'PF09449', NULL, NULL, 'Domain of unknown function (DUF2020)', NULL, 'DUF2020', NULL, NULL, NULL, 6),
(12811, NULL, 'PF05953', NULL, NULL, 'Allatostatin', NULL, 'Allatostatin', NULL, NULL, NULL, 6),
(12812, NULL, 'PF00779', NULL, NULL, 'BTK motif', NULL, 'BTK', NULL, NULL, NULL, 6),
(12813, NULL, 'PF12400', NULL, NULL, 'STIMATE family', NULL, 'STIMATE', NULL, NULL, NULL, 6),
(12814, NULL, 'PF14989', NULL, NULL, 'Coiled-coil domain containing 32', NULL, 'CCDC32', NULL, NULL, NULL, 6),
(12815, NULL, 'PF01303', NULL, NULL, 'Egg lysin (Sperm-lysin)', NULL, 'Egg_lysin', NULL, NULL, NULL, 6),
(12816, NULL, 'PF08592', NULL, NULL, 'Domain of unknown function (DUF1772)', NULL, 'DUF1772', NULL, NULL, NULL, 6),
(12817, NULL, 'PF08792', NULL, NULL, 'A2L zinc ribbon domain', NULL, 'A2L_zn_ribbon', NULL, NULL, NULL, 6),
(12818, NULL, 'PF10761', NULL, NULL, 'Protein of unknown function (DUF2590)', NULL, 'DUF2590', NULL, NULL, NULL, 6),
(12819, NULL, 'PF00989', NULL, NULL, 'PAS fold', NULL, 'PAS', NULL, NULL, NULL, 6),
(12820, NULL, 'PF15297', NULL, NULL, 'Cytoskeleton-associated protein 2 C-terminus', NULL, 'CKAP2_C', NULL, NULL, NULL, 6),
(12821, NULL, 'PF05197', NULL, NULL, 'TRIC channel', NULL, 'TRIC', NULL, NULL, NULL, 6),
(12822, NULL, 'PF12470', NULL, NULL, 'Suppressor of Fused Gli/Ci N terminal binding domain', NULL, 'SUFU_C', NULL, NULL, NULL, 6),
(12823, NULL, 'PF02920', NULL, NULL, 'DNA binding domain of tn916 integrase', NULL, 'Integrase_DNA', NULL, NULL, NULL, 6),
(12824, NULL, 'PF04170', NULL, NULL, 'NlpE N-terminal domain', NULL, 'NlpE', NULL, NULL, NULL, 6),
(12825, NULL, 'PF15589', NULL, NULL, 'Immunity protein 21', NULL, 'Imm21', NULL, NULL, NULL, 6),
(12826, NULL, 'PF07801', NULL, NULL, 'Protein of unknown function (DUF1647)', NULL, 'DUF1647', NULL, NULL, NULL, 6),
(12827, NULL, 'PF04601', NULL, NULL, 'Domain of unknown function (DUF569)', NULL, 'DUF569', NULL, NULL, NULL, 6),
(12828, NULL, 'PF18172', NULL, NULL, 'LepB GAP domain N-terminal subdomain', NULL, 'LepB_GAP_N', NULL, NULL, NULL, 6),
(12829, NULL, 'PF02031', NULL, NULL, 'Streptomyces extracellular neutral proteinase (M7) family', NULL, 'Peptidase_M7', NULL, NULL, NULL, 6),
(12830, NULL, 'PF04231', NULL, NULL, 'Endonuclease I', NULL, 'Endonuclease_1', NULL, NULL, NULL, 6),
(12831, NULL, 'PF00589', NULL, NULL, 'Phage integrase family', NULL, 'Phage_integrase', NULL, NULL, NULL, 6),
(12832, NULL, 'PF15846', NULL, NULL, 'Domain of unknown function (DUF4720)', NULL, 'DUF4720', NULL, NULL, NULL, 6),
(12833, NULL, 'PF19149', NULL, NULL, 'Family of unknown function (DUF5831)', NULL, 'DUF5831', NULL, NULL, NULL, 6),
(12834, NULL, 'PF13361', NULL, NULL, 'UvrD-like helicase C-terminal domain', NULL, 'UvrD_C', NULL, NULL, NULL, 6),
(12835, NULL, 'PF16003', NULL, NULL, 'Domain of unknown function (DUF4776)', NULL, 'DUF4776', NULL, NULL, NULL, 6),
(12836, NULL, 'PF13493', NULL, NULL, 'Domain of unknown function (DUF4118)', NULL, 'DUF4118', NULL, NULL, NULL, 6),
(12837, NULL, 'PF12347', NULL, NULL, 'Holliday junction regulator protein family C-terminal repeat', NULL, 'HJURP_C', NULL, NULL, NULL, 6),
(12838, NULL, 'PF07782', NULL, NULL, 'DC-STAMP-like protein', NULL, 'DC_STAMP', NULL, NULL, NULL, 6),
(12839, NULL, 'PF18743', NULL, NULL, 'REase_AHJR-like', NULL, 'AHJR-like', NULL, NULL, NULL, 6),
(12840, NULL, 'PF04783', NULL, NULL, 'Protein of unknown function (DUF630)', NULL, 'DUF630', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12841, NULL, 'PF11949', NULL, NULL, 'Protein of unknown function (DUF3466)', NULL, 'DUF3466', NULL, NULL, NULL, 6),
(12842, NULL, 'PF16523', NULL, NULL, 'betaPIX coiled coil', NULL, 'betaPIX_CC', NULL, NULL, NULL, 6),
(12843, NULL, 'PF14842', NULL, NULL, 'FliG N-terminal domain', NULL, 'FliG_N', NULL, NULL, NULL, 6),
(12844, NULL, 'PF17438', NULL, NULL, 'Family of unknown function (DUF5417)', NULL, 'DUF5417', NULL, NULL, NULL, 6),
(12845, NULL, 'PF11465', NULL, NULL, 'Natural killer cell receptor 2B4', NULL, 'Receptor_2B4', NULL, NULL, NULL, 6),
(12846, NULL, 'PF16509', NULL, NULL, 'TrfB plasmid transcriptional repressor', NULL, 'KORA', NULL, NULL, NULL, 6),
(12847, NULL, 'PF08952', NULL, NULL, 'Domain of unknown function (DUF1866)', NULL, 'DUF1866', NULL, NULL, NULL, 6),
(12848, NULL, 'PF17066', NULL, NULL, 'RBPJ-interacting and tubulin associated protein', NULL, 'RITA', NULL, NULL, NULL, 6),
(12849, NULL, 'PF03261', NULL, NULL, 'Cyclin-dependent kinase 5 activator protein', NULL, 'CDK5_activator', NULL, NULL, NULL, 6),
(12850, NULL, 'PF12416', NULL, NULL, 'Cep120 protein', NULL, 'DUF3668', NULL, NULL, NULL, 6),
(12851, NULL, 'PF16192', NULL, NULL, 'C-terminal four TMM region of protein-O-mannosyltransferase', NULL, 'PMT_4TMC', NULL, NULL, NULL, 6),
(12852, NULL, 'PF08782', NULL, NULL, 'c-SKI Smad4 binding domain', NULL, 'c-SKI_SMAD_bind', NULL, NULL, NULL, 6),
(12853, NULL, 'PF16566', NULL, NULL, 'Cell-cycle alteration and expression-elevated protein in tumour', NULL, 'CREPT', NULL, NULL, NULL, 6),
(12854, NULL, 'PF06510', NULL, NULL, 'Protein of unknown function (DUF1102)', NULL, 'DUF1102', NULL, NULL, NULL, 6),
(12855, NULL, 'PF14642', NULL, NULL, 'FAM47 family', NULL, 'FAM47', NULL, NULL, NULL, 6),
(12856, NULL, 'PF02165', NULL, NULL, 'Wilm''s tumour protein', NULL, 'WT1', NULL, NULL, NULL, 6),
(12857, NULL, 'PF04602', NULL, NULL, 'Mycobacterial cell wall arabinan synthesis protein', NULL, 'Arabinose_trans', NULL, NULL, NULL, 6),
(12858, NULL, 'PF10970', NULL, NULL, 'Spore germination protein GerPE', NULL, 'GerPE', NULL, NULL, NULL, 6),
(12859, NULL, 'PF14740', NULL, NULL, 'Domain of unknown function (DUF4471)', NULL, 'DUF4471', NULL, NULL, NULL, 6),
(12860, NULL, 'PF17629', NULL, NULL, 'Family of unknown function (DUF5510)', NULL, 'DUF5510', NULL, NULL, NULL, 6),
(12861, NULL, 'PF15351', NULL, NULL, 'Junctional protein associated with coronary artery disease', NULL, 'JCAD', NULL, NULL, NULL, 6),
(12862, NULL, 'PF11442', NULL, NULL, 'Protein of unknown function (DUF2826)', NULL, 'DUF2826', NULL, NULL, NULL, 6),
(12863, NULL, 'PF15362', NULL, NULL, 'Enamelin', NULL, 'Enamelin', NULL, NULL, NULL, 6),
(12864, NULL, 'PF13974', NULL, NULL, 'YebO-like protein', NULL, 'YebO', NULL, NULL, NULL, 6),
(12865, NULL, 'PF08893', NULL, NULL, 'Domain of unknown function (DUF1839)', NULL, 'DUF1839', NULL, NULL, NULL, 6),
(12866, NULL, 'PF13952', NULL, NULL, 'Domain of unknown function (DUF4216)', NULL, 'DUF4216', NULL, NULL, NULL, 6),
(12867, NULL, 'PF03242', NULL, NULL, 'Late embryogenesis abundant protein', NULL, 'LEA_3', NULL, NULL, NULL, 6),
(12868, NULL, 'PF07056', NULL, NULL, 'Protein of unknown function (DUF1335)', NULL, 'DUF1335', NULL, NULL, NULL, 6),
(12869, NULL, 'PF06970', NULL, NULL, 'Replication initiator protein A (RepA) N-terminus', NULL, 'RepA_N', NULL, NULL, NULL, 6),
(12870, NULL, 'PF05533', NULL, NULL, 'Beet yellows virus-type papain-like endopeptidase C42', NULL, 'Peptidase_C42', NULL, NULL, NULL, 6),
(12871, NULL, 'PF08623', NULL, NULL, 'TATA-binding protein interacting (TIP20)', NULL, 'TIP120', NULL, NULL, NULL, 6),
(12872, NULL, 'PF04114', NULL, NULL, 'Gaa1-like, GPI transamidase component', NULL, 'Gaa1', NULL, NULL, NULL, 6),
(12873, NULL, 'PF01442', NULL, NULL, 'Apolipoprotein A1/A4/E domain', NULL, 'Apolipoprotein', NULL, NULL, NULL, 6),
(12874, NULL, 'PF16938', NULL, NULL, 'Putative phage holin Dp-1', NULL, 'Phage_holin_Dp1', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12875, NULL, 'PF02318', NULL, NULL, 'FYVE-type zinc finger', NULL, 'FYVE_2', NULL, NULL, NULL, 6),
(12876, NULL, 'PF00454', NULL, NULL, 'Phosphatidylinositol 3- and 4-kinase', NULL, 'PI3_PI4_kinase', NULL, NULL, NULL, 6),
(12877, NULL, 'PF08741', NULL, NULL, 'YwhD family', NULL, 'YwhD', NULL, NULL, NULL, 6),
(12878, NULL, 'PF04456', NULL, NULL, 'Protein of unknown function (DUF503)', NULL, 'DUF503', NULL, NULL, NULL, 6),
(12879, NULL, 'PF06903', NULL, NULL, 'VirK protein', NULL, 'VirK', NULL, NULL, NULL, 6),
(12880, NULL, 'PF14834', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_4', NULL, NULL, NULL, 6),
(12881, NULL, 'PF15595', NULL, NULL, 'Immunity protein 51', NULL, 'Imm51', NULL, NULL, NULL, 6),
(12882, NULL, 'PF00143', NULL, NULL, 'Interferon alpha/beta domain', NULL, 'Interferon', NULL, NULL, NULL, 6),
(12883, NULL, 'PF15391', NULL, NULL, 'Domain of unknown function (DUF4614)', NULL, 'DUF4614', NULL, NULL, NULL, 6),
(12884, NULL, 'PF16238', NULL, NULL, 'Domain of unknown function (DUF4897)', NULL, 'DUF4897', NULL, NULL, NULL, 6),
(12885, NULL, 'PF01370', NULL, NULL, 'NAD dependent epimerase/dehydratase family', NULL, 'Epimerase', NULL, NULL, NULL, 6),
(12886, NULL, 'PF17327', NULL, NULL, 'Acyl homoserine lactone synthase', NULL, 'AHL_synthase', NULL, NULL, NULL, 6),
(12887, NULL, 'PF00608', NULL, NULL, 'Adenoviral fibre protein (repeat/shaft region)', NULL, 'Adeno_shaft', NULL, NULL, NULL, 6),
(12888, NULL, 'PF13797', NULL, NULL, 'Post-transcriptional regulator', NULL, 'Post_transc_reg', NULL, NULL, NULL, 6),
(12889, NULL, 'PF13815', NULL, NULL, 'Iguana/Dzip1-like DAZ-interacting protein N-terminal', NULL, 'Dzip-like_N', NULL, NULL, NULL, 6),
(12890, NULL, 'PF00805', NULL, NULL, 'Pentapeptide repeats (8 copies)', NULL, 'Pentapeptide', NULL, NULL, NULL, 6),
(12891, NULL, 'PF17732', NULL, NULL, 'Family of unknown function (DUF5571)', NULL, 'DUF5571', NULL, NULL, NULL, 6),
(12892, NULL, 'PF01430', NULL, NULL, 'Hsp33 protein', NULL, 'HSP33', NULL, NULL, NULL, 6),
(12893, NULL, 'PF03577', NULL, NULL, 'Peptidase family C69', NULL, 'Peptidase_C69', NULL, NULL, NULL, 6),
(12894, NULL, 'PF03523', NULL, NULL, 'Macrophage scavenger receptor', NULL, 'Macscav_rec', NULL, NULL, NULL, 6),
(12895, NULL, 'PF09088', NULL, NULL, 'MIF4G like', NULL, 'MIF4G_like', NULL, NULL, NULL, 6),
(12896, NULL, 'PF00468', NULL, NULL, 'Ribosomal protein L34', NULL, 'Ribosomal_L34', NULL, NULL, NULL, 6),
(12897, NULL, 'PF02978', NULL, NULL, 'Signal peptide binding domain', NULL, 'SRP_SPB', NULL, NULL, NULL, 6),
(12898, NULL, 'PF08094', NULL, NULL, 'Conotoxin TVIIA/GS family', NULL, 'Toxin_24', NULL, NULL, NULL, 6),
(12899, NULL, 'PF12965', NULL, NULL, 'Domain of unknown function (DUF3854)', NULL, 'DUF3854', NULL, NULL, NULL, 6),
(12900, NULL, 'PF03808', NULL, NULL, 'Glycosyl transferase WecB/TagA/CpsF family', NULL, 'Glyco_tran_WecB', NULL, NULL, NULL, 6),
(12901, NULL, 'PF13776', NULL, NULL, 'Domain of unknown function (DUF4172)', NULL, 'DUF4172', NULL, NULL, NULL, 6),
(12902, NULL, 'PF00777', NULL, NULL, 'Glycosyltransferase family 29 (sialyltransferase)', NULL, 'Glyco_transf_29', NULL, NULL, NULL, 6),
(12903, NULL, 'PF15176', NULL, NULL, 'Leucine-rich repeat family 19 TM domain', NULL, 'LRR19-TM', NULL, NULL, NULL, 6),
(12904, NULL, 'PF02263', NULL, NULL, 'Guanylate-binding protein, N-terminal domain', NULL, 'GBP', NULL, NULL, NULL, 6),
(12905, NULL, 'PF13289', NULL, NULL, 'SIR2-like domain', NULL, 'SIR2_2', NULL, NULL, NULL, 6),
(12906, NULL, 'PF06442', NULL, NULL, 'R67 dihydrofolate reductase', NULL, 'DHFR_2', NULL, NULL, NULL, 6),
(12907, NULL, 'PF19189', NULL, NULL, 'Mtf2 family', NULL, 'Mtf2', NULL, NULL, NULL, 6),
(12908, NULL, 'PF17099', NULL, NULL, 'Tryptophan transporter TrpP', NULL, 'TrpP', NULL, NULL, NULL, 6),
(12909, NULL, 'PF12112', NULL, NULL, 'Protein of unknown function (DUF3579)', NULL, 'DUF3579', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12910, NULL, 'PF08223', NULL, NULL, 'PaaX-like protein C-terminal domain', NULL, 'PaaX_C', NULL, NULL, NULL, 6),
(12911, NULL, 'PF11490', NULL, NULL, 'DNA polymerase III polC-type N-terminus II', NULL, 'DNA_pol3_a_NII', NULL, NULL, NULL, 6),
(12912, NULL, 'PF08714', NULL, NULL, 'Formaldehyde-activating enzyme (Fae)', NULL, 'Fae', NULL, NULL, NULL, 6),
(12913, NULL, 'PF02516', NULL, NULL, 'Oligosaccharyl transferase STT3 subunit', NULL, 'STT3', NULL, NULL, NULL, 6),
(12914, NULL, 'PF06372', NULL, NULL, 'Gemin6 protein', NULL, 'Gemin6', NULL, NULL, NULL, 6),
(12915, NULL, 'PF11633', NULL, NULL, 'Betacoronavirus single-stranded poly(A) binding domain', NULL, 'bCoV_SUD_M', NULL, NULL, NULL, 6),
(12916, NULL, 'PF18865', NULL, NULL, 'AbiJ N-terminal domain 5', NULL, 'AbiJ_NTD5', NULL, NULL, NULL, 6),
(12917, NULL, 'PF06209', NULL, NULL, 'Cofactor of BRCA1 (COBRA1)', NULL, 'COBRA1', NULL, NULL, NULL, 6),
(12918, NULL, 'PF04696', NULL, NULL, 'pinin/SDK/memA/ protein conserved region', NULL, 'Pinin_SDK_memA', NULL, NULL, NULL, 6),
(12919, NULL, 'PF15375', NULL, NULL, 'Domain of unknown function (DUF4602)', NULL, 'DUF4602', NULL, NULL, NULL, 6),
(12920, NULL, 'PF18227', NULL, NULL, 'LepB GAP domain C-terminal subdomain', NULL, 'LepB_GAP_C', NULL, NULL, NULL, 6),
(12921, NULL, 'PF13025', NULL, NULL, 'Protein of unknown function (DUF3886)', NULL, 'DUF3886', NULL, NULL, NULL, 6),
(12922, NULL, 'PF05374', NULL, NULL, 'Mu-Conotoxin', NULL, 'Mu-conotoxin', NULL, NULL, NULL, 6),
(12923, NULL, 'PF13386', NULL, NULL, 'Cytochrome C biogenesis protein transmembrane region', NULL, 'DsbD_2', NULL, NULL, NULL, 6),
(12924, NULL, 'PF11174', NULL, NULL, 'Protein of unknown function (DUF2970)', NULL, 'DUF2970', NULL, NULL, NULL, 6),
(12925, NULL, 'PF07750', NULL, NULL, 'GcrA cell cycle regulator', NULL, 'GcrA', NULL, NULL, NULL, 6),
(12926, NULL, 'PF11098', NULL, NULL, 'Chlorosome envelope protein C', NULL, 'Chlorosome_CsmC', NULL, NULL, NULL, 6),
(12927, NULL, 'PF12249', NULL, NULL, 'Arabinofuranosyltransferase A C terminal', NULL, 'AftA_C', NULL, NULL, NULL, 6),
(12928, NULL, 'PF06737', NULL, NULL, 'Transglycosylase-like domain', NULL, 'Transglycosylas', NULL, NULL, NULL, 6),
(12929, NULL, 'PF15082', NULL, NULL, 'Domain of unknown function (DUF4549)', NULL, 'DUF4549', NULL, NULL, NULL, 6),
(12930, NULL, 'PF14091', NULL, NULL, 'Domain of unknown function (DUF4269)', NULL, 'DUF4269', NULL, NULL, NULL, 6),
(12931, NULL, 'PF06862', NULL, NULL, 'Utp25, U3 small nucleolar RNA-associated SSU processome protein 25', NULL, 'UTP25', NULL, NULL, NULL, 6),
(12932, NULL, 'PF17347', NULL, NULL, 'Family of unknown function (DUF5377)', NULL, 'DUF5377', NULL, NULL, NULL, 6),
(12933, NULL, 'PF02020', NULL, NULL, 'eIF4-gamma/eIF5/eIF2-epsilon', NULL, 'W2', NULL, NULL, NULL, 6),
(12934, NULL, 'PF13419', NULL, NULL, 'Haloacid dehalogenase-like hydrolase', NULL, 'HAD_2', NULL, NULL, NULL, 6),
(12935, NULL, 'PF16121', NULL, NULL, '40S ribosomal protein S4 C-terminus', NULL, '40S_S4_C', NULL, NULL, NULL, 6),
(12936, NULL, 'PF00885', NULL, NULL, '6,7-dimethyl-8-ribityllumazine synthase', NULL, 'DMRL_synthase', NULL, NULL, NULL, 6),
(12937, NULL, 'PF00849', NULL, NULL, 'RNA pseudouridylate synthase', NULL, 'PseudoU_synth_2', NULL, NULL, NULL, 6),
(12938, NULL, 'PF17252', NULL, NULL, 'Family of unknown function (DUF5319)', NULL, 'DUF5319', NULL, NULL, NULL, 6),
(12939, NULL, 'PF08210', NULL, NULL, 'APOBEC-like N-terminal domain', NULL, 'APOBEC_N', NULL, NULL, NULL, 6),
(12940, NULL, 'PF02724', NULL, NULL, 'CDC45-like protein', NULL, 'CDC45', NULL, NULL, NULL, 6),
(12941, NULL, 'PF17017', NULL, NULL, 'Aberrant zinc-finger', NULL, 'zf-C2H2_aberr', NULL, NULL, NULL, 6),
(12942, NULL, 'PF00307', NULL, NULL, 'Calponin homology (CH) domain', NULL, 'CH', NULL, NULL, NULL, 6),
(12943, NULL, 'PF16114', NULL, NULL, 'ATP citrate lyase citrate-binding', NULL, 'Citrate_bind', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12944, NULL, 'PF09675', NULL, NULL, 'Chlamydia-phage Chp2 scaffold (Chlamy_scaf)', NULL, 'Chlamy_scaf', NULL, NULL, NULL, 6),
(12945, NULL, 'PF06916', NULL, NULL, 'Protein of unknown function (DUF1279)', NULL, 'DUF1279', NULL, NULL, NULL, 6),
(12946, NULL, 'PF16774', NULL, NULL, 'Baseplate protein', NULL, 'Baseplate', NULL, NULL, NULL, 6),
(12947, NULL, 'PF04681', NULL, NULL, 'Blastomyces yeast-phase-specific protein', NULL, 'Bys1', NULL, NULL, NULL, 6),
(12948, NULL, 'PF02840', NULL, NULL, 'Prp18 domain', NULL, 'Prp18', NULL, NULL, NULL, 6),
(12949, NULL, 'PF13393', NULL, NULL, 'Histidyl-tRNA synthetase', NULL, 'tRNA-synt_His', NULL, NULL, NULL, 6),
(12950, NULL, 'PF07242', NULL, NULL, 'Protein of unknown function (DUF1430)', NULL, 'DUF1430', NULL, NULL, NULL, 6),
(12951, NULL, 'PF01984', NULL, NULL, 'Double-stranded DNA-binding domain', NULL, 'dsDNA_bind', NULL, NULL, NULL, 6),
(12952, NULL, 'PF00009', NULL, NULL, 'Elongation factor Tu GTP binding domain', NULL, 'GTP_EFTU', NULL, NULL, NULL, 6),
(12953, NULL, 'PF19141', NULL, NULL, 'Family of unknown function (DUF5824)', NULL, 'DUF5824', NULL, NULL, NULL, 6),
(12954, NULL, 'PF11170', NULL, NULL, 'Protein of unknown function (DUF2957)', NULL, 'DUF2957', NULL, NULL, NULL, 6),
(12955, NULL, 'PF18149', NULL, NULL, 'N-terminal helicase PWI domain', NULL, 'Helicase_PWI', NULL, NULL, NULL, 6),
(12956, NULL, 'PF03862', NULL, NULL, 'SpoVAC/SpoVAEB sporulation membrane protein', NULL, 'SpoVAC_SpoVAEB', NULL, NULL, NULL, 6),
(12957, NULL, 'PF04920', NULL, NULL, 'Family of unknown function (DUF656)', NULL, 'DUF656', NULL, NULL, NULL, 6),
(12958, NULL, 'PF19112', NULL, NULL, 'Vanillate O-demethylase oxygenase C-terminal domain', NULL, 'VanA_C', NULL, NULL, NULL, 6),
(12959, NULL, 'PF05745', NULL, NULL, 'Chlamydia 15 kDa cysteine-rich outer membrane protein (CRPA)', NULL, 'CRPA', NULL, NULL, NULL, 6),
(12960, NULL, 'PF13602', NULL, NULL, 'Zinc-binding dehydrogenase', NULL, 'ADH_zinc_N_2', NULL, NULL, NULL, 6),
(12961, NULL, 'PF17551', NULL, NULL, 'Family of unknown function (DUF5463)', NULL, 'DUF5463', NULL, NULL, NULL, 6),
(12962, NULL, 'PF06746', NULL, NULL, 'Protein of unknown function (DUF1216)', NULL, 'DUF1216', NULL, NULL, NULL, 6),
(12963, NULL, 'PF13781', NULL, NULL, 'DoxX-like family', NULL, 'DoxX_3', NULL, NULL, NULL, 6),
(12964, NULL, 'PF02521', NULL, NULL, 'Putative outer membrane protein', NULL, 'HP_OMP_2', NULL, NULL, NULL, 6),
(12965, NULL, 'PF04657', NULL, NULL, 'Putative inner membrane exporter, YdcZ', NULL, 'DMT_YdcZ', NULL, NULL, NULL, 6),
(12966, NULL, 'PF09507', NULL, NULL, 'DNA polymerase subunit Cdc27', NULL, 'CDC27', NULL, NULL, NULL, 6),
(12967, NULL, 'PF10871', NULL, NULL, 'Protein of unknown function (DUF2748)', NULL, 'DUF2748', NULL, NULL, NULL, 6),
(12968, NULL, 'PF16314', NULL, NULL, 'Domain of unknown function (DUF4954)', NULL, 'DUF4954', NULL, NULL, NULL, 6),
(12969, NULL, 'PF12886', NULL, NULL, 'Transducer of regulated CREB activity, C terminus', NULL, 'TORC_C', NULL, NULL, NULL, 6),
(12970, NULL, 'PF09230', NULL, NULL, 'DNA fragmentation factor 40 kDa', NULL, 'DFF40', NULL, NULL, NULL, 6),
(12971, NULL, 'PF03682', NULL, NULL, 'Uncharacterised protein family (UPF0158)', NULL, 'UPF0158', NULL, NULL, NULL, 6),
(12972, NULL, 'PF05791', NULL, NULL, 'Bacillus haemolytic enterotoxin (HBL)', NULL, 'Bacillus_HBL', NULL, NULL, NULL, 6),
(12973, NULL, 'PF05687', NULL, NULL, 'BES1/BZR1 plant transcription factor, N-terminal', NULL, 'BES1_N', NULL, NULL, NULL, 6),
(12974, NULL, 'PF13398', NULL, NULL, 'Peptidase M50B-like', NULL, 'Peptidase_M50B', NULL, NULL, NULL, 6),
(12975, NULL, 'PF07468', NULL, NULL, 'Agglutinin domain', NULL, 'Agglutinin', NULL, NULL, NULL, 6),
(12976, NULL, 'PF11919', NULL, NULL, 'Domain of unknown function (DUF3437)', NULL, 'DUF3437', NULL, NULL, NULL, 6),
(12977, NULL, 'PF19191', NULL, NULL, 'HEF_HK domain', NULL, 'HEF_HK', NULL, NULL, NULL, 6),
(12978, NULL, 'PF09340', NULL, NULL, 'Histone acetyltransferase subunit NuA4', NULL, 'NuA4', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(12979, NULL, 'PF04187', NULL, NULL, 'Haem-binding uptake, Tiki superfamily, ChaN', NULL, 'Cofac_haem_bdg', NULL, NULL, NULL, 6),
(12980, NULL, 'PF05627', NULL, NULL, 'Cleavage site for pathogenic type III effector avirulence factor Avr', NULL, 'AvrRpt-cleavage', NULL, NULL, NULL, 6),
(12981, NULL, 'PF06397', NULL, NULL, 'Desulfoferrodoxin, N-terminal domain', NULL, 'Desulfoferrod_N', NULL, NULL, NULL, 6),
(12982, NULL, 'PF03888', NULL, NULL, 'MucB/RseB N-terminal domain', NULL, 'MucB_RseB', NULL, NULL, NULL, 6),
(12983, NULL, 'PF10754', NULL, NULL, 'Protein of unknown function (DUF2569)', NULL, 'DUF2569', NULL, NULL, NULL, 6),
(12984, NULL, 'PF12827', NULL, NULL, 'Peroxisomal biogenesis protein family', NULL, 'Peroxin-22', NULL, NULL, NULL, 6),
(12985, NULL, 'PF06052', NULL, NULL, '3-hydroxyanthranilic acid dioxygenase', NULL, '3-HAO', NULL, NULL, NULL, 6),
(12986, NULL, 'PF12063', NULL, NULL, 'Domain of unknown function (DUF3543)', NULL, 'DUF3543', NULL, NULL, NULL, 6),
(12987, NULL, 'PF17292', NULL, NULL, 'POB3-like N-terminal PH domain', NULL, 'POB3_N', NULL, NULL, NULL, 6),
(12988, NULL, 'PF18287', NULL, NULL, 'Integron Cassette Protein Hfx_Cass5', NULL, 'Hfx_Cass5', NULL, NULL, NULL, 6),
(12989, NULL, 'PF18155', NULL, NULL, 'pPIWI RE three-gene island domain Z', NULL, 'pPIWI_RE_Z', NULL, NULL, NULL, 6),
(12990, NULL, 'PF15619', NULL, NULL, 'Ciliary protein causing Leber congenital amaurosis disease', NULL, 'Lebercilin', NULL, NULL, NULL, 6),
(12991, NULL, 'PF17474', NULL, NULL, 'Tegument protein UL11 homolog', NULL, 'U71', NULL, NULL, NULL, 6),
(12992, NULL, 'PF18551', NULL, NULL, 'Thaumarchaeal output domain 1', NULL, 'TackOD1', NULL, NULL, NULL, 6),
(12993, NULL, 'PF05950', NULL, NULL, 'Orthopoxvirus A36R protein', NULL, 'Orthopox_A36R', NULL, NULL, NULL, 6),
(12994, NULL, 'PF05000', NULL, NULL, 'RNA polymerase Rpb1, domain 4', NULL, 'RNA_pol_Rpb1_4', NULL, NULL, NULL, 6),
(12995, NULL, 'PF07441', NULL, NULL, 'SigmaK-factor processing regulatory protein BofA', NULL, 'BofA', NULL, NULL, NULL, 6),
(12996, NULL, 'PF11739', NULL, NULL, 'Dicarboxylate transport', NULL, 'DctA-YdbH', NULL, NULL, NULL, 6),
(12997, NULL, 'PF07796', NULL, NULL, 'Protein of unknown function (DUF1638)', NULL, 'DUF1638', NULL, NULL, NULL, 6),
(12998, NULL, 'PF17956', NULL, NULL, 'Nicotinate phosphoribosyltransferase C-terminal domain', NULL, 'NAPRTase_C', NULL, NULL, NULL, 6),
(12999, NULL, 'PF05935', NULL, NULL, 'Arylsulfotransferase (ASST)', NULL, 'Arylsulfotrans', NULL, NULL, NULL, 6),
(13000, NULL, 'PF09072', NULL, NULL, 'Translation machinery associated TMA7', NULL, 'TMA7', NULL, NULL, NULL, 6),
(13001, NULL, 'PF13932', NULL, NULL, 'GidA associated domain', NULL, 'GIDA_assoc', NULL, NULL, NULL, 6),
(13002, NULL, 'PF07254', NULL, NULL, 'Membrane-bound toxin component of toxin-antitoxin system', NULL, 'Cpta_toxin', NULL, NULL, NULL, 6),
(13003, NULL, 'PF01074', NULL, NULL, 'Glycosyl hydrolases family 38 N-terminal domain', NULL, 'Glyco_hydro_38N', NULL, NULL, NULL, 6),
(13004, NULL, 'PF10300', NULL, NULL, 'Protein of unknown function (DUF3808)', NULL, 'DUF3808', NULL, NULL, NULL, 6),
(13005, NULL, 'PF18492', NULL, NULL, 'Open reading frame 2 N-terminal domain', NULL, 'ORF_2_N', NULL, NULL, NULL, 6),
(13006, NULL, 'PF11649', NULL, NULL, 'Virus neck protein', NULL, 'T4_neck-protein', NULL, NULL, NULL, 6),
(13007, NULL, 'PF10423', NULL, NULL, 'Bacterial AMP nucleoside phosphorylase N-terminus', NULL, 'AMNp_N', NULL, NULL, NULL, 6),
(13008, NULL, 'PF18372', NULL, NULL, 'Integrin beta epidermal growth factor like domain 1', NULL, 'I-EGF_1', NULL, NULL, NULL, 6),
(13009, NULL, 'PF12479', NULL, NULL, 'Protein of unknown function (DUF3698)', NULL, 'DUF3698', NULL, NULL, NULL, 6),
(13010, NULL, 'PF13065', NULL, NULL, 'Protein of unknown function (DUF3928)', NULL, 'DUF3928', NULL, NULL, NULL, 6),
(13011, NULL, 'PF07373', NULL, NULL, 'CAMP factor (Cfa)', NULL, 'CAMP_factor', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13012, NULL, 'PF03291', NULL, NULL, 'mRNA capping enzyme', NULL, 'Pox_MCEL', NULL, NULL, NULL, 6),
(13013, NULL, 'PF19016', NULL, NULL, 'Domain of unknown function (DUF5745)', NULL, 'DUF5745', NULL, NULL, NULL, 6),
(13014, NULL, 'PF09250', NULL, NULL, 'Bifunctional DNA primase/polymerase, N-terminal', NULL, 'Prim-Pol', NULL, NULL, NULL, 6),
(13015, NULL, 'PF15726', NULL, NULL, 'Domain of unknown function (DUF4677)', NULL, 'DUF4677', NULL, NULL, NULL, 6),
(13016, NULL, 'PF07727', NULL, NULL, 'Reverse transcriptase (RNA-dependent DNA polymerase)', NULL, 'RVT_2', NULL, NULL, NULL, 6),
(13017, NULL, 'PF04491', NULL, NULL, 'Poxvirus T4 protein, N terminus', NULL, 'Pox_T4_N', NULL, NULL, NULL, 6),
(13018, NULL, 'PF12618', NULL, NULL, 'Protein of unknown function (DUF3776)', NULL, 'DUF3776', NULL, NULL, NULL, 6),
(13019, NULL, 'PF10786', NULL, NULL, 'Glucose-6-phosphate 1-dehydrogenase (EC 1.1.1.49)', NULL, 'G6PD_bact', NULL, NULL, NULL, 6),
(13020, NULL, 'PF10977', NULL, NULL, 'Protein of unknown function (DUF2797)', NULL, 'DUF2797', NULL, NULL, NULL, 6),
(13021, NULL, 'PF10545', NULL, NULL, 'Alcohol dehydrogenase transcription factor Myb/SANT-like', NULL, 'MADF_DNA_bdg', NULL, NULL, NULL, 6),
(13022, NULL, 'PF07922', NULL, NULL, 'Glycosyltransferase family 52', NULL, 'Glyco_transf_52', NULL, NULL, NULL, 6),
(13023, NULL, 'PF01321', NULL, NULL, 'Creatinase/Prolidase N-terminal domain', NULL, 'Creatinase_N', NULL, NULL, NULL, 6),
(13024, NULL, 'PF18649', NULL, NULL, 'EcpB C-terminal domain', NULL, 'EcpB_C', NULL, NULL, NULL, 6),
(13025, NULL, 'PF04030', NULL, NULL, 'D-arabinono-1,4-lactone oxidase', NULL, 'ALO', NULL, NULL, NULL, 6),
(13026, NULL, 'PF13373', NULL, NULL, 'DUF2407 C-terminal domain', NULL, 'DUF2407_C', NULL, NULL, NULL, 6),
(13027, NULL, 'PF08925', NULL, NULL, 'Domain of Unknown Function (DUF1907)', NULL, 'DUF1907', NULL, NULL, NULL, 6),
(13028, NULL, 'PF07505', NULL, NULL, 'Protein of unknown function (DUF5131)', NULL, 'DUF5131', NULL, NULL, NULL, 6),
(13029, NULL, 'PF11330', NULL, NULL, 'C-Terminal of 30K viral movement proteins', NULL, '30K_MP_C_Ter', NULL, NULL, NULL, 6),
(13030, NULL, 'PF07598', NULL, NULL, 'Protein of unknown function (DUF1561)', NULL, 'DUF1561', NULL, NULL, NULL, 6),
(13031, NULL, 'PF05816', NULL, NULL, 'Toxic anion resistance protein (TelA)', NULL, 'TelA', NULL, NULL, NULL, 6),
(13032, NULL, 'PF09592', NULL, NULL, 'Protein of unknown function (DUF2031)', NULL, 'DUF2031', NULL, NULL, NULL, 6),
(13033, NULL, 'PF08680', NULL, NULL, 'TATA-box binding', NULL, 'DUF1779', NULL, NULL, NULL, 6),
(13034, NULL, 'PF09671', NULL, NULL, 'Spore coat protein (Spore_GerQ)', NULL, 'Spore_GerQ', NULL, NULL, NULL, 6),
(13035, NULL, 'PF00865', NULL, NULL, 'Osteopontin', NULL, 'Osteopontin', NULL, NULL, NULL, 6),
(13036, NULL, 'PF01798', NULL, NULL, 'snoRNA binding domain, fibrillarin', NULL, 'Nop', NULL, NULL, NULL, 6),
(13037, NULL, 'PF16913', NULL, NULL, 'Purine nucleobase transmembrane transport', NULL, 'PUNUT', NULL, NULL, NULL, 6),
(13038, NULL, 'PF06728', NULL, NULL, 'GPI transamidase subunit PIG-U', NULL, 'PIG-U', NULL, NULL, NULL, 6),
(13039, NULL, 'PF15504', NULL, NULL, 'Domain of unknown function (DUF4647)', NULL, 'DUF4647', NULL, NULL, NULL, 6),
(13040, NULL, 'PF03405', NULL, NULL, 'Fatty acid desaturase', NULL, 'FA_desaturase_2', NULL, NULL, NULL, 6),
(13041, NULL, 'PF04213', NULL, NULL, 'Htaa', NULL, 'HtaA', NULL, NULL, NULL, 6),
(13042, NULL, 'PF15342', NULL, NULL, 'FAM212 family', NULL, 'FAM212', NULL, NULL, NULL, 6),
(13043, NULL, 'PF09089', NULL, NULL, 'Phage short tail fibre protein gp12, middle domain', NULL, 'gp12-short_mid', NULL, NULL, NULL, 6),
(13044, NULL, 'PF13246', NULL, NULL, 'Cation transport ATPase (P-type)', NULL, 'Cation_ATPase', NULL, NULL, NULL, 6),
(13045, NULL, 'PF10084', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2322)', NULL, 'DUF2322', NULL, NULL, NULL, 6),
(13046, NULL, 'PF15495', NULL, NULL, 'Major fimbrial subunit protein type IV, Fimbrillin, C-terminal', NULL, 'Fimbrillin_C', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13047, NULL, 'PF04618', NULL, NULL, 'HD-ZIP protein N terminus', NULL, 'HD-ZIP_N', NULL, NULL, NULL, 6),
(13048, NULL, 'PF00103', NULL, NULL, 'Somatotropin hormone family', NULL, 'Hormone_1', NULL, NULL, NULL, 6),
(13049, NULL, 'PF17251', NULL, NULL, 'Protochlamydia outer membrane protein', NULL, 'Pom', NULL, NULL, NULL, 6),
(13050, NULL, 'PF02006', NULL, NULL, 'Phosphopantothenate/pantothenate synthetase', NULL, 'PPS_PS', NULL, NULL, NULL, 6),
(13051, NULL, 'PF15680', NULL, NULL, 'Orofacial cleft 1 candidate gene 1 protein', NULL, 'OFCC1', NULL, NULL, NULL, 6),
(13052, NULL, 'PF14450', NULL, NULL, 'Cell division protein FtsA', NULL, 'FtsA', NULL, NULL, NULL, 6),
(13053, NULL, 'PF07966', NULL, NULL, 'A1 Propeptide', NULL, 'A1_Propeptide', NULL, NULL, NULL, 6),
(13054, NULL, 'PF16518', NULL, NULL, 'T3SS negative regulator,GrlR', NULL, 'GrlR', NULL, NULL, NULL, 6),
(13055, NULL, 'PF12518', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3721', NULL, NULL, NULL, 6),
(13056, NULL, 'PF03904', NULL, NULL, 'Domain of unknown function (DUF334)', NULL, 'DUF334', NULL, NULL, NULL, 6),
(13057, NULL, 'PF02392', NULL, NULL, 'Ycf4', NULL, 'Ycf4', NULL, NULL, NULL, 6),
(13058, NULL, 'PF03279', NULL, NULL, 'Bacterial lipid A biosynthesis acyltransferase', NULL, 'Lip_A_acyltrans', NULL, NULL, NULL, 6),
(13059, NULL, 'PF06069', NULL, NULL, 'PerC transcriptional activator', NULL, 'PerC', NULL, NULL, NULL, 6),
(13060, NULL, 'PF05792', NULL, NULL, 'Candida agglutinin-like (ALS)', NULL, 'Candida_ALS', NULL, NULL, NULL, 6),
(13061, NULL, 'PF17107', NULL, NULL, 'N-terminal domain on NACHT_NTPase and P-loop NTPases', NULL, 'SesA', NULL, NULL, NULL, 6),
(13062, NULL, 'PF05990', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF900)', NULL, 'DUF900', NULL, NULL, NULL, 6),
(13063, NULL, 'PF02568', NULL, NULL, 'Thiamine biosynthesis protein (ThiI)', NULL, 'ThiI', NULL, NULL, NULL, 6),
(13064, NULL, 'PF02368', NULL, NULL, 'Bacterial Ig-like domain (group 2)', NULL, 'Big_2', NULL, NULL, NULL, 6),
(13065, NULL, 'PF17253', NULL, NULL, 'Family of unknown function (DUF5320)', NULL, 'DUF5320', NULL, NULL, NULL, 6),
(13066, NULL, 'PF01541', NULL, NULL, 'GIY-YIG catalytic domain', NULL, 'GIY-YIG', NULL, NULL, NULL, 6),
(13067, NULL, 'PF16383', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4992', NULL, NULL, NULL, 6),
(13068, NULL, 'PF08965', NULL, NULL, 'Domain of unknown function (DUF1870)', NULL, 'DUF1870', NULL, NULL, NULL, 6),
(13069, NULL, 'PF15240', NULL, NULL, 'Proline-rich', NULL, 'Pro-rich', NULL, NULL, NULL, 6),
(13070, NULL, 'PF04730', NULL, NULL, 'Agrobacterium VirD5 protein', NULL, 'Agro_virD5', NULL, NULL, NULL, 6),
(13071, NULL, 'PF15519', NULL, NULL, 'linker between RRM2 and RRM3 domains in RBM39 protein', NULL, 'RBM39linker', NULL, NULL, NULL, 6),
(13072, NULL, 'PF04758', NULL, NULL, 'Ribosomal protein S30', NULL, 'Ribosomal_S30', NULL, NULL, NULL, 6),
(13073, NULL, 'PF00399', NULL, NULL, 'Yeast PIR protein repeat', NULL, 'PIR', NULL, NULL, NULL, 6),
(13074, NULL, 'PF13887', NULL, NULL, 'Myelin gene regulatory factor -C-terminal domain 1', NULL, 'MRF_C1', NULL, NULL, NULL, 6),
(13075, NULL, 'PF16367', NULL, NULL, 'RNA recognition motif', NULL, 'RRM_7', NULL, NULL, NULL, 6),
(13076, NULL, 'PF13364', NULL, NULL, 'Beta-galactosidase jelly roll domain', NULL, 'BetaGal_dom4_5', NULL, NULL, NULL, 6),
(13077, NULL, 'PF05752', NULL, NULL, 'Calicivirus minor structural protein', NULL, 'Calici_MSP', NULL, NULL, NULL, 6),
(13078, NULL, 'PF13938', NULL, NULL, 'Putative heavy-metal chelation', NULL, 'DUF4213', NULL, NULL, NULL, 6),
(13079, NULL, 'PF14522', NULL, NULL, 'Cytochrome c7 and related cytochrome c', NULL, 'Cytochrome_C7', NULL, NULL, NULL, 6),
(13080, NULL, 'PF11475', NULL, NULL, 'Virion protein N terminal domain', NULL, 'VP_N-CPKC', NULL, NULL, NULL, 6),
(13081, NULL, 'PF00915', NULL, NULL, 'Calicivirus coat protein', NULL, 'Calici_coat', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13082, NULL, 'PF04593', NULL, NULL, 'Selenoprotein P, C terminal region', NULL, 'SelP_C', NULL, NULL, NULL, 6),
(13083, NULL, 'PF17242', NULL, NULL, 'Disordered region of unknown function (DUF5315)', NULL, 'DUF5315', NULL, NULL, NULL, 6),
(13084, NULL, 'PF13750', NULL, NULL, 'Bacterial Ig-like domain (group 3)', NULL, 'Big_3_3', NULL, NULL, NULL, 6),
(13085, NULL, 'PF07078', NULL, NULL, 'Forty-two-three protein', NULL, 'FYTT', NULL, NULL, NULL, 6),
(13086, NULL, 'PF14396', NULL, NULL, 'Cystic fibrosis TM conductance regulator (CFTR), regulator domain', NULL, 'CFTR_R', NULL, NULL, NULL, 6),
(13087, NULL, 'PF12494', NULL, NULL, 'Protein of unknown function (DUF3695)', NULL, 'DUF3695', NULL, NULL, NULL, 6),
(13088, NULL, 'PF10904', NULL, NULL, 'Protein of unknown function (DUF2694)', NULL, 'DUF2694', NULL, NULL, NULL, 6),
(13089, NULL, 'PF16932', NULL, NULL, 'Type IV secretory system, conjugal DNA-protein transfer', NULL, 'T4SS_TraI', NULL, NULL, NULL, 6),
(13090, NULL, 'PF05452', NULL, NULL, 'Clavanin', NULL, 'Clavanin', NULL, NULL, NULL, 6),
(13091, NULL, 'PF05037', NULL, NULL, 'Protein of unknown function (DUF669)', NULL, 'DUF669', NULL, NULL, NULL, 6),
(13092, NULL, 'PF03259', NULL, NULL, 'Roadblock/LC7 domain', NULL, 'Robl_LC7', NULL, NULL, NULL, 6),
(13093, NULL, 'PF11892', NULL, NULL, 'Domain of unknown function (DUF3412)', NULL, 'DUF3412', NULL, NULL, NULL, 6),
(13094, NULL, 'PF11307', NULL, NULL, 'Protein of unknown function (DUF3109)', NULL, 'DUF3109', NULL, NULL, NULL, 6),
(13095, NULL, 'PF06161', NULL, NULL, 'Protein of unknown function (DUF975)', NULL, 'DUF975', NULL, NULL, NULL, 6),
(13096, NULL, 'PF11252', NULL, NULL, 'Protein of unknown function (DUF3051)', NULL, 'DUF3051', NULL, NULL, NULL, 6),
(13097, NULL, 'PF13268', NULL, NULL, 'Protein of unknown function (DUF4059)', NULL, 'DUF4059', NULL, NULL, NULL, 6),
(13098, NULL, 'PF01477', NULL, NULL, 'PLAT/LH2 domain', NULL, 'PLAT', NULL, NULL, NULL, 6),
(13099, NULL, 'PF10373', NULL, NULL, 'Est1 DNA/RNA binding domain', NULL, 'EST1_DNA_bind', NULL, NULL, NULL, 6),
(13100, NULL, 'PF12176', NULL, NULL, 'Methanol-cobalamin methyltransferase B subunit', NULL, 'MtaB', NULL, NULL, NULL, 6),
(13101, NULL, 'PF12701', NULL, NULL, 'Scd6-like Sm domain', NULL, 'LSM14', NULL, NULL, NULL, 6),
(13102, NULL, 'PF18408', NULL, NULL, 'C2H2 Hakai zinc finger domain', NULL, 'zf_Hakai', NULL, NULL, NULL, 6),
(13103, NULL, 'PF10809', NULL, NULL, 'Protein of unknown function (DUF2732)', NULL, 'DUF2732', NULL, NULL, NULL, 6),
(13104, NULL, 'PF08184', NULL, NULL, 'Cuticle protein 7 isoform family', NULL, 'Cuticle_2', NULL, NULL, NULL, 6),
(13105, NULL, 'PF12884', NULL, NULL, 'Transducer of regulated CREB activity, N terminus', NULL, 'TORC_N', NULL, NULL, NULL, 6),
(13106, NULL, 'PF11289', NULL, NULL, 'Betacoronavirus viroporin', NULL, 'bCoV_viroporin', NULL, NULL, NULL, 6),
(13107, NULL, 'PF11522', NULL, NULL, 'Yeast phosphatidylinositol-4-OH kinase Pik1', NULL, 'Pik1', NULL, NULL, NULL, 6),
(13108, NULL, 'PF09925', NULL, NULL, 'Predicted membrane protein (DUF2157)', NULL, 'DUF2157', NULL, NULL, NULL, 6),
(13109, NULL, 'PF13455', NULL, NULL, 'Meiotically up-regulated gene 113', NULL, 'MUG113', NULL, NULL, NULL, 6),
(13110, NULL, 'PF09383', NULL, NULL, 'NIL domain', NULL, 'NIL', NULL, NULL, NULL, 6),
(13111, NULL, 'PF00225', NULL, NULL, 'Kinesin motor domain', NULL, 'Kinesin', NULL, NULL, NULL, 6),
(13112, NULL, 'PF12823', NULL, NULL, 'Domain of unknown function (DUF3817)', NULL, 'DUF3817', NULL, NULL, NULL, 6),
(13113, NULL, 'PF11973', NULL, NULL, 'NQRA C-terminal domain', NULL, 'NQRA_SLBB', NULL, NULL, NULL, 6),
(13114, NULL, 'PF06770', NULL, NULL, 'Actin-rearrangement-inducing factor (Arif-1)', NULL, 'Arif-1', NULL, NULL, NULL, 6),
(13115, NULL, 'PF17333', NULL, NULL, 'Beta defensin 136', NULL, 'DEFB136', NULL, NULL, NULL, 6),
(13116, NULL, 'PF15835', NULL, NULL, 'Domain of unknown function (DUF4715)', NULL, 'DUF4715', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13117, NULL, 'PF09745', NULL, NULL, 'Coiled-coil domain-containing protein 55 (DUF2040)', NULL, 'DUF2040', NULL, NULL, NULL, 6),
(13118, NULL, 'PF18871', NULL, NULL, 'HEPN/Toprim N-terminal domain 1', NULL, 'HEPN_Toprim_N', NULL, NULL, NULL, 6),
(13119, NULL, 'PF00654', NULL, NULL, 'Voltage gated chloride channel', NULL, 'Voltage_CLC', NULL, NULL, NULL, 6),
(13120, NULL, 'PF18827', NULL, NULL, 'Large polyvalent protein-associated domain 14', NULL, 'LPD14', NULL, NULL, NULL, 6),
(13121, NULL, 'PF13862', NULL, NULL, 'p21-C-terminal region-binding protein', NULL, 'BCIP', NULL, NULL, NULL, 6),
(13122, NULL, 'PF10184', NULL, NULL, 'Uncharacterized conserved protein (DUF2358)', NULL, 'DUF2358', NULL, NULL, NULL, 6),
(13123, NULL, 'PF09998', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2239)', NULL, 'DUF2239', NULL, NULL, NULL, 6),
(13124, NULL, 'PF02807', NULL, NULL, 'ATP:guanido phosphotransferase, N-terminal domain', NULL, 'ATP-gua_PtransN', NULL, NULL, NULL, 6),
(13125, NULL, 'PF10956', NULL, NULL, 'Protein of unknown function (DUF2756)', NULL, 'DUF2756', NULL, NULL, NULL, 6),
(13126, NULL, 'PF09956', NULL, NULL, 'Uncharacterized conserved protein (DUF2190)', NULL, 'DUF2190', NULL, NULL, NULL, 6),
(13127, NULL, 'PF15037', NULL, NULL, 'Interleukin-17 receptor extracellular region', NULL, 'IL17_R_N', NULL, NULL, NULL, 6),
(13128, NULL, 'PF00891', NULL, NULL, 'O-methyltransferase domain', NULL, 'Methyltransf_2', NULL, NULL, NULL, 6),
(13129, NULL, 'PF10240', NULL, NULL, 'Multivesicular body subunit 12', NULL, 'DUF2464', NULL, NULL, NULL, 6),
(13130, NULL, 'PF07006', NULL, NULL, 'Protein of unknown function (DUF1310)', NULL, 'DUF1310', NULL, NULL, NULL, 6),
(13131, NULL, 'PF07870', NULL, NULL, 'Protein of unknown function (DUF1657)', NULL, 'DUF1657', NULL, NULL, NULL, 6),
(13132, NULL, 'PF08327', NULL, NULL, 'Activator of Hsp90 ATPase homolog 1-like protein', NULL, 'AHSA1', NULL, NULL, NULL, 6),
(13133, NULL, 'PF11102', NULL, NULL, 'Group 4 capsule polysaccharide lipoprotein gfcB, YjbF', NULL, 'YjbF', NULL, NULL, NULL, 6),
(13134, NULL, 'PF14715', NULL, NULL, 'N-terminal domain of cytochrome oxidase-cbb3, FixP', NULL, 'FixP_N', NULL, NULL, NULL, 6),
(13135, NULL, 'PF11372', NULL, NULL, 'Domain of unknown function (DUF3173)', NULL, 'DUF3173', NULL, NULL, NULL, 6),
(13136, NULL, 'PF02975', NULL, NULL, 'Methylamine dehydrogenase, L chain', NULL, 'Me-amine-dh_L', NULL, NULL, NULL, 6),
(13137, NULL, 'PF07348', NULL, NULL, 'Syd protein (SUKH-2)', NULL, 'Syd', NULL, NULL, NULL, 6),
(13138, NULL, 'PF02502', NULL, NULL, 'Ribose/Galactose Isomerase', NULL, 'LacAB_rpiB', NULL, NULL, NULL, 6),
(13139, NULL, 'PF09859', NULL, NULL, 'Oxygenase, catalysing oxidative methylation of damaged DNA', NULL, 'Oxygenase-NA', NULL, NULL, NULL, 6),
(13140, NULL, 'PF07652', NULL, NULL, 'Flavivirus DEAD domain', NULL, 'Flavi_DEAD', NULL, NULL, NULL, 6),
(13141, NULL, 'PF16849', NULL, NULL, 'Glycosyltransferase family 88', NULL, 'Glyco_transf_88', NULL, NULL, NULL, 6),
(13142, NULL, 'PF16600', NULL, NULL, 'Caskin1 CASK-interaction domain', NULL, 'Caskin1-CID', NULL, NULL, NULL, 6),
(13143, NULL, 'PF17565', NULL, NULL, 'Family of unknown function (DUF5471)', NULL, 'DUF5471', NULL, NULL, NULL, 6),
(13144, NULL, 'PF12910', NULL, NULL, 'Antitoxin of toxin-antitoxin, RelE / RelB, TA system', NULL, 'PHD_like', NULL, NULL, NULL, 6),
(13145, NULL, 'PF15842', NULL, NULL, 'Domain of unknown function (DUF4718)', NULL, 'DUF4718', NULL, NULL, NULL, 6),
(13146, NULL, 'PF06291', NULL, NULL, 'Bor protein', NULL, 'Lambda_Bor', NULL, NULL, NULL, 6),
(13147, NULL, 'PF00164', NULL, NULL, 'Ribosomal protein S12/S23', NULL, 'Ribosom_S12_S23', NULL, NULL, NULL, 6),
(13148, NULL, 'PF17846', NULL, NULL, 'Xrn1 helical domain', NULL, 'XRN_M', NULL, NULL, NULL, 6),
(13149, NULL, 'PF18861', NULL, NULL, 'Transmembrane domain of protein tyrosine phosphatase, receptor type J', NULL, 'PTP_tm', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13150, NULL, 'PF18661', NULL, NULL, 'Avirulence Effector AvrLm4-7', NULL, 'AvrLm4-7', NULL, NULL, NULL, 6),
(13151, NULL, 'PF02349', NULL, NULL, 'Major surface glycoprotein', NULL, 'MSG', NULL, NULL, NULL, 6),
(13152, NULL, 'PF18276', NULL, NULL, 'Tc toxin complex TcA C-terminal TcB-binding domain', NULL, 'TcA_TcB_BD', NULL, NULL, NULL, 6),
(13153, NULL, 'PF11808', NULL, NULL, 'Phosphate regulon sensor protein PhoR', NULL, 'PhoR', NULL, NULL, NULL, 6),
(13154, NULL, 'PF17147', NULL, NULL, 'Pyruvate:ferredoxin oxidoreductase core domain II', NULL, 'PFOR_II', NULL, NULL, NULL, 6),
(13155, NULL, 'PF18310', NULL, NULL, 'Domain of unknown function (DUF5605)', NULL, 'DUF5605', NULL, NULL, NULL, 6),
(13156, NULL, 'PF18444', NULL, NULL, 'RNA recognition motif', NULL, 'RRM_9', NULL, NULL, NULL, 6),
(13157, NULL, 'PF06221', NULL, NULL, 'Putative zinc finger motif, C2HC5-type', NULL, 'zf-C2HC5', NULL, NULL, NULL, 6),
(13158, NULL, 'PF10119', NULL, NULL, 'Predicted methyltransferase regulatory domain', NULL, 'MethyTransf_Reg', NULL, NULL, NULL, 6),
(13159, NULL, 'PF02570', NULL, NULL, 'Precorrin-8X methylmutase', NULL, 'CbiC', NULL, NULL, NULL, 6),
(13160, NULL, 'PF05303', NULL, NULL, 'Protein of unknown function (DUF727)', NULL, 'DUF727', NULL, NULL, NULL, 6),
(13161, NULL, 'PF12244', NULL, NULL, 'Protein of unknown function (DUF3606)', NULL, 'DUF3606', NULL, NULL, NULL, 6),
(13162, NULL, 'PF03635', NULL, NULL, 'Vacuolar protein sorting-associated protein 35', NULL, 'Vps35', NULL, NULL, NULL, 6),
(13163, NULL, 'PF11255', NULL, NULL, 'Protein of unknown function (DUF3054)', NULL, 'DUF3054', NULL, NULL, NULL, 6),
(13164, NULL, 'PF18375', NULL, NULL, 'CDH1/2 SANT-Helical linker 1', NULL, 'CDH1_2_SANT_HL1', NULL, NULL, NULL, 6),
(13165, NULL, 'PF12360', NULL, NULL, 'Paired box protein 7', NULL, 'Pax7', NULL, NULL, NULL, 6),
(13166, NULL, 'PF01176', NULL, NULL, 'Translation initiation factor 1A / IF-1', NULL, 'eIF-1a', NULL, NULL, NULL, 6),
(13167, NULL, 'PF15800', NULL, NULL, 'Clock interacting protein circadian', NULL, 'CiPC', NULL, NULL, NULL, 6),
(13168, NULL, 'PF12324', NULL, NULL, 'Helix-turn-helix domain of alkylmercury lyase', NULL, 'HTH_15', NULL, NULL, NULL, 6),
(13169, NULL, 'PF14190', NULL, NULL, 'Domain of unknown function (DUF4313)', NULL, 'DUF4313', NULL, NULL, NULL, 6),
(13170, NULL, 'PF00538', NULL, NULL, 'linker histone H1 and H5 family', NULL, 'Linker_histone', NULL, NULL, NULL, 6),
(13171, NULL, 'PF11124', NULL, NULL, 'Inorganic phosphate transporter Pho86', NULL, 'Pho86', NULL, NULL, NULL, 6),
(13172, NULL, 'PF08929', NULL, NULL, 'Domain of unknown function (DUF1911)', NULL, 'DUF1911', NULL, NULL, NULL, 6),
(13173, NULL, 'PF01782', NULL, NULL, 'RimM N-terminal domain', NULL, 'RimM', NULL, NULL, NULL, 6),
(13174, NULL, 'PF16531', NULL, NULL, 'Centriolar protein SAS N-terminal', NULL, 'SAS-6_N', NULL, NULL, NULL, 6),
(13175, NULL, 'PF14573', NULL, NULL, 'Acyl-carrier', NULL, 'PP-binding_2', NULL, NULL, NULL, 6),
(13176, NULL, 'PF05794', NULL, NULL, 'T-complex protein 11', NULL, 'Tcp11', NULL, NULL, NULL, 6),
(13177, NULL, 'PF14086', NULL, NULL, 'Domain of unknown function (DUF4266)', NULL, 'DUF4266', NULL, NULL, NULL, 6),
(13178, NULL, 'PF01870', NULL, NULL, 'Archaeal holliday junction resolvase (hjc)', NULL, 'Hjc', NULL, NULL, NULL, 6),
(13179, NULL, 'PF15321', NULL, NULL, 'ATPase family AAA domain containing 4', NULL, 'ATAD4', NULL, NULL, NULL, 6),
(13180, NULL, 'PF11086', NULL, NULL, 'Protein of unknown function (DUF2878)', NULL, 'DUF2878', NULL, NULL, NULL, 6),
(13181, NULL, 'PF14681', NULL, NULL, 'Uracil phosphoribosyltransferase', NULL, 'UPRTase', NULL, NULL, NULL, 6),
(13182, NULL, 'PF14791', NULL, NULL, 'DNA polymerase beta thumb', NULL, 'DNA_pol_B_thumb', NULL, NULL, NULL, 6),
(13183, NULL, 'PF15854', NULL, NULL, 'G-protein coupled receptor ligand 15', NULL, 'GPR15L', NULL, NULL, NULL, 6),
(13184, NULL, 'PF13215', NULL, NULL, 'Protein of unknown function (DUF4023)', NULL, 'DUF4023', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13185, NULL, 'PF08302', NULL, NULL, 'Fungal tRNA ligase phosphodiesterase domain', NULL, 'tRNA_lig_CPD', NULL, NULL, NULL, 6),
(13186, NULL, 'PF03981', NULL, NULL, 'Ubiquinol-cytochrome C chaperone', NULL, 'Ubiq_cyt_C_chap', NULL, NULL, NULL, 6),
(13187, NULL, 'PF12140', NULL, NULL, 'SLED domain', NULL, 'SLED', NULL, NULL, NULL, 6),
(13188, NULL, 'PF02025', NULL, NULL, 'Interleukin 5', NULL, 'IL5', NULL, NULL, NULL, 6),
(13189, NULL, 'PF04711', NULL, NULL, 'Apolipoprotein A-II (ApoA-II)', NULL, 'ApoA-II', NULL, NULL, NULL, 6),
(13190, NULL, 'PF10686', NULL, NULL, 'YspA, cpYpsA-related SLOG family', NULL, 'YAcAr', NULL, NULL, NULL, 6),
(13191, NULL, 'PF07688', NULL, NULL, 'KaiA C-terminal domain', NULL, 'KaiA', NULL, NULL, NULL, 6),
(13192, NULL, 'PF13313', NULL, NULL, 'Domain of unknown function (DUF4082)', NULL, 'DUF4082', NULL, NULL, NULL, 6),
(13193, NULL, 'PF12013', NULL, NULL, 'Orsellinic acid/F9775 biosynthesis cluster protein D', NULL, 'OrsD', NULL, NULL, NULL, 6),
(13194, NULL, 'PF09694', NULL, NULL, 'Bacterial protein of unknown function (Gcw_chp)', NULL, 'Gcw_chp', NULL, NULL, NULL, 6),
(13195, NULL, 'PF02419', NULL, NULL, 'PsbL protein', NULL, 'PsbL', NULL, NULL, NULL, 6),
(13196, NULL, 'PF15959', NULL, NULL, 'Domain of unknown function (DUF4762)', NULL, 'DUF4762', NULL, NULL, NULL, 6),
(13197, NULL, 'PF10385', NULL, NULL, 'RNA polymerase beta subunit external 1 domain', NULL, 'RNA_pol_Rpb2_45', NULL, NULL, NULL, 6),
(13198, NULL, 'PF09152', NULL, NULL, 'Domain of unknown function (DUF1937)', NULL, 'DUF1937', NULL, NULL, NULL, 6),
(13199, NULL, 'PF17269', NULL, NULL, 'Family of unknown function (DUF5335)', NULL, 'DUF5335', NULL, NULL, NULL, 6),
(13200, NULL, 'PF03952', NULL, NULL, 'Enolase, N-terminal domain', NULL, 'Enolase_N', NULL, NULL, NULL, 6),
(13201, NULL, 'PF04155', NULL, NULL, 'Ground-like domain', NULL, 'Ground-like', NULL, NULL, NULL, 6),
(13202, NULL, 'PF11965', NULL, NULL, 'Domain of unknown function (DUF3479)', NULL, 'DUF3479', NULL, NULL, NULL, 6),
(13203, NULL, 'PF12574', NULL, NULL, '120 KDa Rickettsia surface antigen', NULL, '120_Rick_ant', NULL, NULL, NULL, 6),
(13204, NULL, 'PF01701', NULL, NULL, 'Photosystem I reaction centre subunit IX / PsaJ', NULL, 'PSI_PsaJ', NULL, NULL, NULL, 6),
(13205, NULL, 'PF13181', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_8', NULL, NULL, NULL, 6),
(13206, NULL, 'PF02954', NULL, NULL, 'Bacterial regulatory protein, Fis family', NULL, 'HTH_8', NULL, NULL, NULL, 6),
(13207, NULL, 'PF02315', NULL, NULL, 'Methanol dehydrogenase beta subunit', NULL, 'MDH', NULL, NULL, NULL, 6),
(13208, NULL, 'PF16358', NULL, NULL, 'RcsF lipoprotein', NULL, 'RcsF', NULL, NULL, NULL, 6),
(13209, NULL, 'PF12087', NULL, NULL, 'Protein of unknown function (DUF3564)', NULL, 'DUF3564', NULL, NULL, NULL, 6),
(13210, NULL, 'PF14100', NULL, NULL, 'Methane oxygenase PmoA', NULL, 'PmoA', NULL, NULL, NULL, 6),
(13211, NULL, 'PF13603', NULL, NULL, 'Leucyl-tRNA synthetase, Domain 2', NULL, 'tRNA-synt_1_2', NULL, NULL, NULL, 6),
(13212, NULL, 'PF18299', NULL, NULL, 'ATP-grasp domain, R2K clade family 2', NULL, 'R2K_2', NULL, NULL, NULL, 6),
(13213, NULL, 'PF13655', NULL, NULL, 'N-terminal domain of reverse transcriptase', NULL, 'RVT_N', NULL, NULL, NULL, 6),
(13214, NULL, 'PF10159', NULL, NULL, 'Multiple myeloma tumor-associated', NULL, 'MMtag', NULL, NULL, NULL, 6),
(13215, NULL, 'PF06636', NULL, NULL, 'Protein of unknown function (DUF1157)', NULL, 'DUF1157', NULL, NULL, NULL, 6),
(13216, NULL, 'PF07960', NULL, NULL, 'CBP4', NULL, 'CBP4', NULL, NULL, NULL, 6),
(13217, NULL, 'PF09176', NULL, NULL, 'Methylene-tetrahydromethanopterin dehydrogenase, N-terminal', NULL, 'Mpt_N', NULL, NULL, NULL, 6),
(13218, NULL, 'PF12385', NULL, NULL, 'Papain-like cysteine protease AvrRpt2', NULL, 'Peptidase_C70', NULL, NULL, NULL, 6),
(13219, NULL, 'PF16949', NULL, NULL, 'Putative ATP-binding cassette', NULL, 'ABC_tran_2', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13220, NULL, 'PF00134', NULL, NULL, 'Cyclin, N-terminal domain', NULL, 'Cyclin_N', NULL, NULL, NULL, 6),
(13221, NULL, 'PF15710', NULL, NULL, 'Domain of unknown function (DUF4671)', NULL, 'DUF4671', NULL, NULL, NULL, 6),
(13222, NULL, 'PF03583', NULL, NULL, 'Secretory lipase', NULL, 'LIP', NULL, NULL, NULL, 6),
(13223, NULL, 'PF09440', NULL, NULL, 'eIF3 subunit 6 N terminal domain', NULL, 'eIF3_N', NULL, NULL, NULL, 6),
(13224, NULL, 'PF08800', NULL, NULL, 'VirE N-terminal domain', NULL, 'VirE_N', NULL, NULL, NULL, 6),
(13225, NULL, 'PF12201', NULL, NULL, 'Bcl2-interacting killer, BH3-domain containing', NULL, 'bcl-2I13', NULL, NULL, NULL, 6),
(13226, NULL, 'PF08761', NULL, NULL, 'dUTPase', NULL, 'dUTPase_2', NULL, NULL, NULL, 6),
(13227, NULL, 'PF07900', NULL, NULL, 'Protein of unknown function (DUF1670)', NULL, 'DUF1670', NULL, NULL, NULL, 6),
(13228, NULL, 'PF01357', NULL, NULL, 'Expansin C-terminal domain', NULL, 'Expansin_C', NULL, NULL, NULL, 6),
(13229, NULL, 'PF18109', NULL, NULL, 'Ferredoxin I 4Fe-4S cluster domain', NULL, 'Fer4_24', NULL, NULL, NULL, 6),
(13230, NULL, 'PF01739', NULL, NULL, 'CheR methyltransferase, SAM binding domain', NULL, 'CheR', NULL, NULL, NULL, 6),
(13231, NULL, 'PF17204', NULL, NULL, 'Sid-5 family', NULL, 'Sid-5', NULL, NULL, NULL, 6),
(13232, NULL, 'PF09961', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2195)', NULL, 'DUF2195', NULL, NULL, NULL, 6),
(13233, NULL, 'PF13088', NULL, NULL, 'BNR repeat-like domain', NULL, 'BNR_2', NULL, NULL, NULL, 6),
(13234, NULL, 'PF15254', NULL, NULL, 'Coiled-coil domain-containing protein 14', NULL, 'CCDC14', NULL, NULL, NULL, 6),
(13235, NULL, 'PF10873', NULL, NULL, 'Cysteine and tyrosine-rich protein 1', NULL, 'CYYR1', NULL, NULL, NULL, 6),
(13236, NULL, 'PF12273', NULL, NULL, 'Chitin synthesis regulation, resistance to Congo red', NULL, 'RCR', NULL, NULL, NULL, 6),
(13237, NULL, 'PF01569', NULL, NULL, 'PAP2 superfamily', NULL, 'PAP2', NULL, NULL, NULL, 6),
(13238, NULL, 'PF04796', NULL, NULL, 'Plasmid encoded RepA protein', NULL, 'RepA_C', NULL, NULL, NULL, 6),
(13239, NULL, 'PF12313', NULL, NULL, 'NPR1/NIM1 like defence protein C terminal', NULL, 'NPR1_like_C', NULL, NULL, NULL, 6),
(13240, NULL, 'PF05474', NULL, NULL, 'Semenogelin', NULL, 'Semenogelin', NULL, NULL, NULL, 6),
(13241, NULL, 'PF03817', NULL, NULL, 'Malonate transporter MadL subunit', NULL, 'MadL', NULL, NULL, NULL, 6),
(13242, NULL, 'PF07530', NULL, NULL, 'Associated with zinc fingers', NULL, 'PRE_C2HC', NULL, NULL, NULL, 6),
(13243, NULL, 'PF14525', NULL, NULL, 'AraC-binding-like domain', NULL, 'AraC_binding_2', NULL, NULL, NULL, 6),
(13244, NULL, 'PF16054', NULL, NULL, 'Transmembrane protein family 72', NULL, 'TMEM72', NULL, NULL, NULL, 6),
(13245, NULL, 'PF10354', NULL, NULL, 'Domain of unknown function (DUF2431)', NULL, 'DUF2431', NULL, NULL, NULL, 6),
(13246, NULL, 'PF12115', NULL, NULL, 'Salivary protein of 15kDa inhibits CD4+ T cell activation', NULL, 'Salp15', NULL, NULL, NULL, 6),
(13247, NULL, 'PF09335', NULL, NULL, 'SNARE associated Golgi protein', NULL, 'SNARE_assoc', NULL, NULL, NULL, 6),
(13248, NULL, 'PF05541', NULL, NULL, 'Entomopoxvirus spheroidin protein', NULL, 'Spheroidin', NULL, NULL, NULL, 6),
(13249, NULL, 'PF01148', NULL, NULL, 'Cytidylyltransferase family', NULL, 'CTP_transf_1', NULL, NULL, NULL, 6),
(13250, NULL, 'PF10906', NULL, NULL, 'MIOREX complex component 7', NULL, 'Mrx7', NULL, NULL, NULL, 6),
(13251, NULL, 'PF13374', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_10', NULL, NULL, NULL, 6),
(13252, NULL, 'PF07911', NULL, NULL, 'Protein of unknown function (DUF1677)', NULL, 'DUF1677', NULL, NULL, NULL, 6),
(13253, NULL, 'PF01848', NULL, NULL, 'Hok/gef family', NULL, 'HOK_GEF', NULL, NULL, NULL, 6),
(13254, NULL, 'PF07063', NULL, NULL, 'Domain of unknown function (DUF1338)', NULL, 'DUF1338', NULL, NULL, NULL, 6),
(13255, NULL, 'PF07988', NULL, NULL, 'LMSTEN motif', NULL, 'LMSTEN', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13256, NULL, 'PF00360', NULL, NULL, 'Phytochrome region', NULL, 'PHY', NULL, NULL, NULL, 6),
(13257, NULL, 'PF10262', NULL, NULL, 'Rdx family', NULL, 'Rdx', NULL, NULL, NULL, 6),
(13258, NULL, 'PF18029', NULL, NULL, 'Glyoxalase-like domain', NULL, 'Glyoxalase_6', NULL, NULL, NULL, 6),
(13259, NULL, 'PF13948', NULL, NULL, 'Domain of unknown function (DUF4215)', NULL, 'DUF4215', NULL, NULL, NULL, 6),
(13260, NULL, 'PF02153', NULL, NULL, 'Prephenate dehydrogenase', NULL, 'PDH', NULL, NULL, NULL, 6),
(13261, NULL, 'PF05064', NULL, NULL, 'Nsp1-like C-terminal region', NULL, 'Nsp1_C', NULL, NULL, NULL, 6),
(13262, NULL, 'PF18930', NULL, NULL, 'Domain of unknown function (DUF5679)', NULL, 'DUF5679', NULL, NULL, NULL, 6),
(13263, NULL, 'PF04712', NULL, NULL, 'Radial spokehead-like protein', NULL, 'Radial_spoke', NULL, NULL, NULL, 6),
(13264, NULL, 'PF01805', NULL, NULL, 'Surp module', NULL, 'Surp', NULL, NULL, NULL, 6),
(13265, NULL, 'PF11136', NULL, NULL, 'Protein of unknown function (DUF2889)', NULL, 'DUF2889', NULL, NULL, NULL, 6),
(13266, NULL, 'PF08727', NULL, NULL, 'Poliovirus 3A protein like', NULL, 'P3A', NULL, NULL, NULL, 6),
(13267, NULL, 'PF11491', NULL, NULL, 'Protein of unknown function (DUF3213)', NULL, 'DUF3213', NULL, NULL, NULL, 6),
(13268, NULL, 'PF11103', NULL, NULL, 'Protein of unknown function (DUF2887)', NULL, 'DUF2887', NULL, NULL, NULL, 6),
(13269, NULL, 'PF14631', NULL, NULL, 'Fanconi anaemia protein FancD2 nuclease', NULL, 'FancD2', NULL, NULL, NULL, 6),
(13270, NULL, 'PF03781', NULL, NULL, 'Sulfatase-modifying factor enzyme 1', NULL, 'FGE-sulfatase', NULL, NULL, NULL, 6),
(13271, NULL, 'PF12511', NULL, NULL, 'Protein of unknown function (DUF3716)', NULL, 'DUF3716', NULL, NULL, NULL, 6),
(13272, NULL, 'PF11264', NULL, NULL, 'Thylakoid formation protein', NULL, 'ThylakoidFormat', NULL, NULL, NULL, 6),
(13273, NULL, 'PF08977', NULL, NULL, 'Bypass of Forespore C, N terminal', NULL, 'BOFC_N', NULL, NULL, NULL, 6),
(13274, NULL, 'PF05775', NULL, NULL, 'Enterobacteria AfaD invasin protein', NULL, 'AfaD', NULL, NULL, NULL, 6),
(13275, NULL, 'PF12002', NULL, NULL, 'MgsA AAA+ ATPase C terminal', NULL, 'MgsA_C', NULL, NULL, NULL, 6),
(13276, NULL, 'PF15465', NULL, NULL, 'Domain of unknown function (DUF4634)', NULL, 'DUF4634', NULL, NULL, NULL, 6),
(13277, NULL, 'PF09048', NULL, NULL, 'Cro', NULL, 'Cro', NULL, NULL, NULL, 6),
(13278, NULL, 'PF05672', NULL, NULL, 'MAP7 (E-MAP-115) family', NULL, 'MAP7', NULL, NULL, NULL, 6),
(13279, NULL, 'PF04157', NULL, NULL, 'EAP30/Vps36 family', NULL, 'EAP30', NULL, NULL, NULL, 6),
(13280, NULL, 'PF16927', NULL, NULL, 'N-terminal 7TM region of histidine kinase', NULL, 'HisKA_7TM', NULL, NULL, NULL, 6),
(13281, NULL, 'PF13505', NULL, NULL, 'Outer membrane protein beta-barrel domain', NULL, 'OMP_b-brl', NULL, NULL, NULL, 6),
(13282, NULL, 'PF06937', NULL, NULL, 'EURL protein', NULL, 'EURL', NULL, NULL, NULL, 6),
(13283, NULL, 'PF04825', NULL, NULL, 'N terminus of Rad21 / Rec8 like protein', NULL, 'Rad21_Rec8_N', NULL, NULL, NULL, 6),
(13284, NULL, 'PF13473', NULL, NULL, 'Cupredoxin-like domain', NULL, 'Cupredoxin_1', NULL, NULL, NULL, 6),
(13285, NULL, 'PF05041', NULL, NULL, 'Pecanex protein (C-terminus)', NULL, 'Pecanex_C', NULL, NULL, NULL, 6),
(13286, NULL, 'PF12956', NULL, NULL, 'Domain of Unknown Function with PDB structure', NULL, 'DUF3845', NULL, NULL, NULL, 6),
(13287, NULL, 'PF06187', NULL, NULL, 'Protein of unknown function (DUF993)', NULL, 'DUF993', NULL, NULL, NULL, 6),
(13288, NULL, 'PF18735', NULL, NULL, 'RiboL-PSP-HEPN', NULL, 'HEPN_RiboL-PSP', NULL, NULL, NULL, 6),
(13289, NULL, 'PF11769', NULL, NULL, 'Protein of unknown function (DUF3313)', NULL, 'DUF3313', NULL, NULL, NULL, 6),
(13290, NULL, 'PF05588', NULL, NULL, 'Clostridium botulinum HA-17 domain', NULL, 'Botulinum_HA-17', NULL, NULL, NULL, 6),
(13291, NULL, 'PF00188', NULL, NULL, 'Cysteine-rich secretory protein family', NULL, 'CAP', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13292, NULL, 'PF06058', NULL, NULL, 'Dcp1-like decapping family', NULL, 'DCP1', NULL, NULL, NULL, 6),
(13293, NULL, 'PF13623', NULL, NULL, 'SurA N-terminal domain', NULL, 'SurA_N_2', NULL, NULL, NULL, 6),
(13294, NULL, 'PF04384', NULL, NULL, 'Iron-sulphur cluster assembly', NULL, 'Fe-S_assembly', NULL, NULL, NULL, 6),
(13295, NULL, 'PF06576', NULL, NULL, 'Protein of unknown function (DUF1133)', NULL, 'DUF1133', NULL, NULL, NULL, 6),
(13296, NULL, 'PF14498', NULL, NULL, 'Glycosyl hydrolase family 65, N-terminal domain', NULL, 'Glyco_hyd_65N_2', NULL, NULL, NULL, 6),
(13297, NULL, 'PF11796', NULL, NULL, 'Protein of unknown function N-terminus (DUF3323)', NULL, 'DUF3323', NULL, NULL, NULL, 6),
(13298, NULL, 'PF17677', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal beta sandwich domain', NULL, 'Glyco_hydro38C2', NULL, NULL, NULL, 6),
(13299, NULL, 'PF12972', NULL, NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) C-terminal domain', NULL, 'NAGLU_C', NULL, NULL, NULL, 6),
(13300, NULL, 'PF14205', NULL, NULL, 'Cysteine-rich KTR', NULL, 'Cys_rich_KTR', NULL, NULL, NULL, 6),
(13301, NULL, 'PF13873', NULL, NULL, 'Myb/SANT-like DNA-binding domain', NULL, 'Myb_DNA-bind_5', NULL, NULL, NULL, 6),
(13302, NULL, 'PF11839', NULL, NULL, 'Alanine-zipper, major outer membrane lipoprotein', NULL, 'Alanine_zipper', NULL, NULL, NULL, 6),
(13303, NULL, 'PF18590', NULL, NULL, 'Immune Mapped Protein 2 (IMP2) N-terminal domain', NULL, 'IMP2_N', NULL, NULL, NULL, 6),
(13304, NULL, 'PF18199', NULL, NULL, 'Dynein heavy chain C-terminal domain', NULL, 'Dynein_C', NULL, NULL, NULL, 6),
(13305, NULL, 'PF12544', NULL, NULL, 'Lysine-2,3-aminomutase', NULL, 'LAM_C', NULL, NULL, NULL, 6),
(13306, NULL, 'PF07136', NULL, NULL, 'Protein of unknown function (DUF1385)', NULL, 'DUF1385', NULL, NULL, NULL, 6),
(13307, NULL, 'PF11865', NULL, NULL, 'Domain of unknown function (DUF3385)', NULL, 'DUF3385', NULL, NULL, NULL, 6),
(13308, NULL, 'PF15715', NULL, NULL, 'PCNA-associated factor histone like domain', NULL, 'PAF', NULL, NULL, NULL, 6),
(13309, NULL, 'PF13369', NULL, NULL, 'Transglutaminase-like superfamily', NULL, 'Transglut_core2', NULL, NULL, NULL, 6),
(13310, NULL, 'PF02130', NULL, NULL, 'Uncharacterized protein family UPF0054', NULL, 'UPF0054', NULL, NULL, NULL, 6),
(13311, NULL, 'PF13654', NULL, NULL, 'AAA domain', NULL, 'AAA_32', NULL, NULL, NULL, 6),
(13312, NULL, 'PF05370', NULL, NULL, 'Domain of unknown function (DUF749)', NULL, 'DUF749', NULL, NULL, NULL, 6),
(13313, NULL, 'PF06198', NULL, NULL, 'Protein of unknown function (DUF999)', NULL, 'DUF999', NULL, NULL, NULL, 6),
(13314, NULL, 'PF18597', NULL, NULL, 'Myosin X N-terminal SH3 domain', NULL, 'SH3_19', NULL, NULL, NULL, 6),
(13315, NULL, 'PF10933', NULL, NULL, 'Protein of unknown function (DUF2827)', NULL, 'DUF2827', NULL, NULL, NULL, 6),
(13316, NULL, 'PF15891', NULL, NULL, 'Nucleoside 2-deoxyribosyltransferase like', NULL, 'Nuc_deoxyri_tr2', NULL, NULL, NULL, 6),
(13317, NULL, 'PF07694', NULL, NULL, '5TMR of 5TMR-LYT', NULL, '5TM-5TMR_LYT', NULL, NULL, NULL, 6),
(13318, NULL, 'PF11788', NULL, NULL, '39S mitochondrial ribosomal protein L46', NULL, 'MRP-L46', NULL, NULL, NULL, 6),
(13319, NULL, 'PF11564', NULL, NULL, 'Restriction endonuclease BpuJI - N terminal', NULL, 'BpuJI_N', NULL, NULL, NULL, 6),
(13320, NULL, 'PF01418', NULL, NULL, 'Helix-turn-helix domain, rpiR family', NULL, 'HTH_6', NULL, NULL, NULL, 6),
(13321, NULL, 'PF05434', NULL, NULL, 'TMEM9', NULL, 'Tmemb_9', NULL, NULL, NULL, 6),
(13322, NULL, 'PF02764', NULL, NULL, 'Diphtheria toxin, T domain', NULL, 'Diphtheria_T', NULL, NULL, NULL, 6),
(13323, NULL, 'PF15226', NULL, NULL, 'HCF-1 beta-propeller-interacting protein family', NULL, 'HPIP', NULL, NULL, NULL, 6),
(13324, NULL, 'PF18191', NULL, NULL, 'Hydroquinone 1,2-dioxygenase large subunit N-terminal', NULL, 'PnpCD_PnpD_N', NULL, NULL, NULL, 6),
(13325, NULL, 'PF18339', NULL, NULL, 'RapA N-terminal Tudor like domain 1', NULL, 'Tudor_1_RapA', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13326, NULL, 'PF12564', NULL, NULL, 'Type III restriction/modification enzyme methylation subunit', NULL, 'TypeIII_RM_meth', NULL, NULL, NULL, 6),
(13327, NULL, 'PF03687', NULL, NULL, 'Uncharacterised protein family (UPF0164)', NULL, 'UPF0164', NULL, NULL, NULL, 6),
(13328, NULL, 'PF17678', NULL, NULL, 'Glycosyl hydrolase family 92 N-terminal domain', NULL, 'Glyco_hydro_92N', NULL, NULL, NULL, 6),
(13329, NULL, 'PF14378', NULL, NULL, 'PAP2 superfamily', NULL, 'PAP2_3', NULL, NULL, NULL, 6),
(13330, NULL, 'PF05815', NULL, NULL, 'Baculovirus protein of unknown function (DUF844)', NULL, 'DUF844', NULL, NULL, NULL, 6),
(13331, NULL, 'PF15379', NULL, NULL, 'Domain of unknown function (DUF4606)', NULL, 'DUF4606', NULL, NULL, NULL, 6),
(13332, NULL, 'PF02156', NULL, NULL, 'Glycosyl hydrolase family 26', NULL, 'Glyco_hydro_26', NULL, NULL, NULL, 6),
(13333, NULL, 'PF05629', NULL, NULL, 'Nanovirus component 8 (C8) protein', NULL, 'Nanovirus_C8', NULL, NULL, NULL, 6),
(13334, NULL, 'PF06405', NULL, NULL, 'Red chlorophyll catabolite reductase (RCC reductase)', NULL, 'RCC_reductase', NULL, NULL, NULL, 6),
(13335, NULL, 'PF13994', NULL, NULL, 'PgaD-like protein', NULL, 'PgaD', NULL, NULL, NULL, 6),
(13336, NULL, 'PF13249', NULL, NULL, 'Squalene-hopene cyclase N-terminal domain', NULL, 'SQHop_cyclase_N', NULL, NULL, NULL, 6),
(13337, NULL, 'PF09145', NULL, NULL, 'Ubiquitin-associated', NULL, 'Ubiq-assoc', NULL, NULL, NULL, 6),
(13338, NULL, 'PF01376', NULL, NULL, 'Heat-labile enterotoxin beta chain', NULL, 'Enterotoxin_b', NULL, NULL, NULL, 6),
(13339, NULL, 'PF03519', NULL, NULL, 'Invasion protein B family', NULL, 'Invas_SpaK', NULL, NULL, NULL, 6),
(13340, NULL, 'PF13009', NULL, NULL, 'Putative phage integrase', NULL, 'Phage_Integr_2', NULL, NULL, NULL, 6),
(13341, NULL, 'PF15302', NULL, NULL, 'P33 mono-oxygenase', NULL, 'P33MONOX', NULL, NULL, NULL, 6),
(13342, NULL, 'PF12031', NULL, NULL, 'SWI/SNF-like complex subunit BAF250/Osa', NULL, 'BAF250_C', NULL, NULL, NULL, 6),
(13343, NULL, 'PF06956', NULL, NULL, 'Regulator of RNA terminal phosphate cyclase', NULL, 'RtcR', NULL, NULL, NULL, 6),
(13344, NULL, 'PF05999', NULL, NULL, 'Herpesvirus U5-like family', NULL, 'Herpes_U5', NULL, NULL, NULL, 6),
(13345, NULL, 'PF12380', NULL, NULL, 'Gill-associated viral 3C-like peptidase', NULL, 'Peptidase_C62', NULL, NULL, NULL, 6),
(13346, NULL, 'PF02213', NULL, NULL, 'GYF domain', NULL, 'GYF', NULL, NULL, NULL, 6),
(13347, NULL, 'PF01532', NULL, NULL, 'Glycosyl hydrolase family 47', NULL, 'Glyco_hydro_47', NULL, NULL, NULL, 6),
(13348, NULL, 'PF18872', NULL, NULL, 'Daz repeat', NULL, 'Daz', NULL, NULL, NULL, 6),
(13349, NULL, 'PF08354', NULL, NULL, 'Domain of unknown function (DUF1729)', NULL, 'DUF1729', NULL, NULL, NULL, 6),
(13350, NULL, 'PF12788', NULL, NULL, 'YmaF family', NULL, 'YmaF', NULL, NULL, NULL, 6),
(13351, NULL, 'PF13144', NULL, NULL, 'Chaperone for flagella basal body P-ring formation', NULL, 'ChapFlgA', NULL, NULL, NULL, 6),
(13352, NULL, 'PF03327', NULL, NULL, 'Herpesvirus capsid shell protein VP19C', NULL, 'Herpes_VP19C', NULL, NULL, NULL, 6),
(13353, NULL, 'PF07362', NULL, NULL, 'Post-segregation antitoxin CcdA', NULL, 'CcdA', NULL, NULL, NULL, 6),
(13354, NULL, 'PF05454', NULL, NULL, 'Dystroglycan (Dystrophin-associated glycoprotein 1)', NULL, 'DAG1', NULL, NULL, NULL, 6),
(13355, NULL, 'PF14651', NULL, NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', NULL, 'Lipocalin_7', NULL, NULL, NULL, 6),
(13356, NULL, 'PF02129', NULL, NULL, 'X-Pro dipeptidyl-peptidase (S15 family)', NULL, 'Peptidase_S15', NULL, NULL, NULL, 6),
(13357, NULL, 'PF10777', NULL, NULL, 'Inner membrane protein YlaC', NULL, 'YlaC', NULL, NULL, NULL, 6),
(13358, NULL, 'PF08774', NULL, NULL, 'VRR-NUC domain', NULL, 'VRR_NUC', NULL, NULL, NULL, 6),
(13359, NULL, 'PF08949', NULL, NULL, 'Domain of unknown function (DUF1860)', NULL, 'DUF1860', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13360, NULL, 'PF04979', NULL, NULL, 'Protein phosphatase inhibitor 2 (IPP-2)', NULL, 'IPP-2', NULL, NULL, NULL, 6),
(13361, NULL, 'PF18979', NULL, NULL, 'Family of unknown function (DUF5715)', NULL, 'DUF5715', NULL, NULL, NULL, 6),
(13362, NULL, 'PF02535', NULL, NULL, 'ZIP Zinc transporter', NULL, 'Zip', NULL, NULL, NULL, 6),
(13363, NULL, 'PF00875', NULL, NULL, 'DNA photolyase', NULL, 'DNA_photolyase', NULL, NULL, NULL, 6),
(13364, NULL, 'PF08713', NULL, NULL, 'DNA alkylation repair enzyme', NULL, 'DNA_alkylation', NULL, NULL, NULL, 6),
(13365, NULL, 'PF14345', NULL, NULL, 'GDYXXLXY protein', NULL, 'GDYXXLXY', NULL, NULL, NULL, 6),
(13366, NULL, 'PF16249', NULL, NULL, 'Domain of unknown function (DUF4906)', NULL, 'DUF4906', NULL, NULL, NULL, 6),
(13367, NULL, 'PF11386', NULL, NULL, 'Vitelline envelope receptor for lysin', NULL, 'VERL', NULL, NULL, NULL, 6),
(13368, NULL, 'PF06837', NULL, NULL, 'Fijivirus P9-2 protein', NULL, 'Fijivirus_P9-2', NULL, NULL, NULL, 6),
(13369, NULL, 'PF09759', NULL, NULL, 'Spinocerebellar ataxia type 10 protein domain', NULL, 'Atx10homo_assoc', NULL, NULL, NULL, 6),
(13370, NULL, 'PF14176', NULL, NULL, 'YxiJ-like protein', NULL, 'YxiJ', NULL, NULL, NULL, 6),
(13371, NULL, 'PF07308', NULL, NULL, 'Protein of unknown function (DUF1456)', NULL, 'DUF1456', NULL, NULL, NULL, 6),
(13372, NULL, 'PF17943', NULL, NULL, 'Homeobox-cysteine loop-homeobox', NULL, 'HOCHOB', NULL, NULL, NULL, 6),
(13373, NULL, 'PF15177', NULL, NULL, 'Interleukin-28A', NULL, 'IL28A', NULL, NULL, NULL, 6),
(13374, NULL, 'PF12822', NULL, NULL, 'ECF transporter, substrate-specific component', NULL, 'ECF_trnsprt', NULL, NULL, NULL, 6),
(13375, NULL, 'PF15866', NULL, NULL, 'Domain of unknown function (DUF4729)', NULL, 'DUF4729', NULL, NULL, NULL, 6),
(13376, NULL, 'PF14833', NULL, NULL, 'NAD-binding of NADP-dependent 3-hydroxyisobutyrate dehydrogenase', NULL, 'NAD_binding_11', NULL, NULL, NULL, 6),
(13377, NULL, 'PF00317', NULL, NULL, 'Ribonucleotide reductase, all-alpha domain', NULL, 'Ribonuc_red_lgN', NULL, NULL, NULL, 6),
(13378, NULL, 'PF05475', NULL, NULL, 'Pgp3 C-terminal domain', NULL, 'Chlam_vir', NULL, NULL, NULL, 6),
(13379, NULL, 'PF06220', NULL, NULL, 'U1 zinc finger', NULL, 'zf-U1', NULL, NULL, NULL, 6),
(13380, NULL, 'PF18185', NULL, NULL, 'Sir2- and TIR-associating SLOG family', NULL, 'STALD', NULL, NULL, NULL, 6),
(13381, NULL, 'PF01154', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A synthase N terminal', NULL, 'HMG_CoA_synt_N', NULL, NULL, NULL, 6),
(13382, NULL, 'PF04802', NULL, NULL, 'Component of IIS longevity pathway SMK-1', NULL, 'SMK-1', NULL, NULL, NULL, 6),
(13383, NULL, 'PF13962', NULL, NULL, 'Domain of unknown function', NULL, 'PGG', NULL, NULL, NULL, 6),
(13384, NULL, 'PF09356', NULL, NULL, 'Phage conserved hypothetical protein BR0599', NULL, 'Phage_BR0599', NULL, NULL, NULL, 6),
(13385, NULL, 'PF02463', NULL, NULL, 'RecF/RecN/SMC N terminal domain', NULL, 'SMC_N', NULL, NULL, NULL, 6),
(13386, NULL, 'PF00749', NULL, NULL, 'tRNA synthetases class I (E and Q), catalytic domain', NULL, 'tRNA-synt_1c', NULL, NULL, NULL, 6),
(13387, NULL, 'PF11750', NULL, NULL, 'Protein of unknown function (DUF3307)', NULL, 'DUF3307', NULL, NULL, NULL, 6),
(13388, NULL, 'PF09508', NULL, NULL, 'Lacto-N-biose phosphorylase N-terminal TIM barrel domain', NULL, 'Lact_bio_phlase', NULL, NULL, NULL, 6),
(13389, NULL, 'PF17919', NULL, NULL, 'RNase H-like domain found in reverse transcriptase', NULL, 'RT_RNaseH_2', NULL, NULL, NULL, 6),
(13390, NULL, 'PF11443', NULL, NULL, 'Domain of unknown function (DUF2828)', NULL, 'DUF2828', NULL, NULL, NULL, 6),
(13391, NULL, 'PF01960', NULL, NULL, 'ArgJ family', NULL, 'ArgJ', NULL, NULL, NULL, 6),
(13392, NULL, 'PF15188', NULL, NULL, 'Coiled-coil domain-containing protein 167', NULL, 'CCDC-167', NULL, NULL, NULL, 6),
(13393, NULL, 'PF17343', NULL, NULL, 'Family of unknown function (DUF5373)', NULL, 'DUF5373', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13394, NULL, 'PF01704', NULL, NULL, 'UTP--glucose-1-phosphate uridylyltransferase', NULL, 'UDPGP', NULL, NULL, NULL, 6),
(13395, NULL, 'PF14778', NULL, NULL, 'Odorant response abnormal 4-like', NULL, 'ODR4-like', NULL, NULL, NULL, 6),
(13396, NULL, 'PF01871', NULL, NULL, 'AMMECR1', NULL, 'AMMECR1', NULL, NULL, NULL, 6),
(13397, NULL, 'PF03744', NULL, NULL, '6-carboxyhexanoate--CoA ligase', NULL, 'BioW', NULL, NULL, NULL, 6),
(13398, NULL, 'PF17018', NULL, NULL, 'Spore wall protein', NULL, 'MICSWaP', NULL, NULL, NULL, 6),
(13399, NULL, 'PF05609', NULL, NULL, 'Lamina-associated polypeptide 1C (LAP1C)', NULL, 'LAP1C', NULL, NULL, NULL, 6),
(13400, NULL, 'PF08200', NULL, NULL, 'Bacteriophage 1.1 Protein', NULL, 'Phage_1_1', NULL, NULL, NULL, 6),
(13401, NULL, 'PF14607', NULL, NULL, 'N-terminus of Esterase_SGNH_hydro-type', NULL, 'GxDLY', NULL, NULL, NULL, 6),
(13402, NULL, 'PF11903', NULL, NULL, 'ParD-like antitoxin of type II bacterial toxin-antitoxin system', NULL, 'ParD_like', NULL, NULL, NULL, 6),
(13403, NULL, 'PF14329', NULL, NULL, 'Domain of unknown function (DUF4386)', NULL, 'DUF4386', NULL, NULL, NULL, 6),
(13404, NULL, 'PF16670', NULL, NULL, 'Phosphoinositide phospholipase C, Ca2+-dependent', NULL, 'PI-PLC-C1', NULL, NULL, NULL, 6),
(13405, NULL, 'PF14381', NULL, NULL, 'Ethylene-responsive protein kinase Le-CTR1', NULL, 'EDR1', NULL, NULL, NULL, 6),
(13406, NULL, 'PF18140', NULL, NULL, 'Propionyl-coenzyme A carboxylase BT domain', NULL, 'PCC_BT', NULL, NULL, NULL, 6),
(13407, NULL, 'PF12799', NULL, NULL, 'Leucine Rich repeats (2 copies)', NULL, 'LRR_4', NULL, NULL, NULL, 6),
(13408, NULL, 'PF13459', NULL, NULL, '4Fe-4S single cluster domain', NULL, 'Fer4_15', NULL, NULL, NULL, 6),
(13409, NULL, 'PF03067', NULL, NULL, 'Lytic polysaccharide mono-oxygenase, cellulose-degrading', NULL, 'LPMO_10', NULL, NULL, NULL, 6),
(13410, NULL, 'PF17316', NULL, NULL, 'Perilipin protein', NULL, 'Perilipin_2', NULL, NULL, NULL, 6),
(13411, NULL, 'PF15720', NULL, NULL, 'Domain of unknown function (DUF4675)', NULL, 'DUF4675', NULL, NULL, NULL, 6),
(13412, NULL, 'PF03326', NULL, NULL, 'Herpesvirus transcription activation factor (transactivator)', NULL, 'Herpes_TAF50', NULL, NULL, NULL, 6),
(13413, NULL, 'PF07437', NULL, NULL, 'YfaZ precursor', NULL, 'YfaZ', NULL, NULL, NULL, 6),
(13414, NULL, 'PF14667', NULL, NULL, 'Polysaccharide biosynthesis C-terminal domain', NULL, 'Polysacc_synt_C', NULL, NULL, NULL, 6),
(13415, NULL, 'PF12614', NULL, NULL, 'Ribosome recycling factor', NULL, 'RRF_GI', NULL, NULL, NULL, 6),
(13416, NULL, 'PF09890', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2117)', NULL, 'DUF2117', NULL, NULL, NULL, 6),
(13417, NULL, 'PF18517', NULL, NULL, 'Leucine zipper with capping helix domain', NULL, 'LZ3wCH', NULL, NULL, NULL, 6),
(13418, NULL, 'PF12570', NULL, NULL, 'Protein of unknown function (DUF3750)', NULL, 'DUF3750', NULL, NULL, NULL, 6),
(13419, NULL, 'PF04886', NULL, NULL, 'PT repeat', NULL, 'PT', NULL, NULL, NULL, 6),
(13420, NULL, 'PF05694', NULL, NULL, '56kDa selenium binding protein (SBP56)', NULL, 'SBP56', NULL, NULL, NULL, 6),
(13421, NULL, 'PF16996', NULL, NULL, 'Accessory secretory protein Sec Asp4', NULL, 'Asp4', NULL, NULL, NULL, 6),
(13422, NULL, 'PF03462', NULL, NULL, 'PCRF domain', NULL, 'PCRF', NULL, NULL, NULL, 6),
(13423, NULL, 'PF13273', NULL, NULL, 'Protein of unknown function (DUF4064)', NULL, 'DUF4064', NULL, NULL, NULL, 6),
(13424, NULL, 'PF16891', NULL, NULL, 'Serine-threonine protein phosphatase N-terminal domain', NULL, 'STPPase_N', NULL, NULL, NULL, 6),
(13425, NULL, 'PF03479', NULL, NULL, 'Plants and Prokaryotes Conserved (PCC) domain', NULL, 'PCC', NULL, NULL, NULL, 6),
(13426, NULL, 'PF08433', NULL, NULL, 'Chromatin associated protein KTI12', NULL, 'KTI12', NULL, NULL, NULL, 6),
(13427, NULL, 'PF12146', NULL, NULL, 'Serine aminopeptidase, S33', NULL, 'Hydrolase_4', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13428, NULL, 'PF06039', NULL, NULL, 'Malate:quinone oxidoreductase (Mqo)', NULL, 'Mqo', NULL, NULL, NULL, 6),
(13429, NULL, 'PF14884', NULL, NULL, 'Type I membrane glycoproteins cell-cell fusogen', NULL, 'EFF-AFF', NULL, NULL, NULL, 6),
(13430, NULL, 'PF09770', NULL, NULL, 'Topoisomerase II-associated protein PAT1', NULL, 'PAT1', NULL, NULL, NULL, 6),
(13431, NULL, 'PF06861', NULL, NULL, 'BALF1 protein', NULL, 'BALF1', NULL, NULL, NULL, 6),
(13432, NULL, 'PF06338', NULL, NULL, 'ComK protein', NULL, 'ComK', NULL, NULL, NULL, 6),
(13433, NULL, 'PF18090', NULL, NULL, 'Centromere-binding protein HTH domain', NULL, 'SoPB_HTH', NULL, NULL, NULL, 6),
(13434, NULL, 'PF17712', NULL, NULL, 'Family of unknown function (DUF5557)', NULL, 'DUF5557', NULL, NULL, NULL, 6),
(13435, NULL, 'PF00244', NULL, NULL, '14-3-3 protein', NULL, '14-3-3', NULL, NULL, NULL, 6),
(13436, NULL, 'PF06610', NULL, NULL, 'L-alanine exporter', NULL, 'AlaE', NULL, NULL, NULL, 6),
(13437, NULL, 'PF13093', NULL, NULL, 'Kinetochore complex Fta4 of Sim4 subunit, or CENP-50', NULL, 'FTA4', NULL, NULL, NULL, 6),
(13438, NULL, 'PF02276', NULL, NULL, 'Photosynthetic reaction centre cytochrome C subunit', NULL, 'CytoC_RC', NULL, NULL, NULL, 6),
(13439, NULL, 'PF18557', NULL, NULL, 'Anti-sigma factor NepR', NULL, 'NepR', NULL, NULL, NULL, 6),
(13440, NULL, 'PF00031', NULL, NULL, 'Cystatin domain', NULL, 'Cystatin', NULL, NULL, NULL, 6),
(13441, NULL, 'PF02229', NULL, NULL, 'Transcriptional Coactivator p15 (PC4)', NULL, 'PC4', NULL, NULL, NULL, 6),
(13442, NULL, 'PF07179', NULL, NULL, 'SseB protein N-terminal domain', NULL, 'SseB', NULL, NULL, NULL, 6),
(13443, NULL, 'PF07458', NULL, NULL, 'Sperm protein associated with nucleus, mapped to X chromosome', NULL, 'SPAN-X', NULL, NULL, NULL, 6),
(13444, NULL, 'PF04831', NULL, NULL, 'Popeye protein conserved region', NULL, 'Popeye', NULL, NULL, NULL, 6),
(13445, NULL, 'PF03150', NULL, NULL, 'Di-haem cytochrome c peroxidase', NULL, 'CCP_MauG', NULL, NULL, NULL, 6),
(13446, NULL, 'PF15639', NULL, NULL, 'Metallopeptidase toxin 3', NULL, 'Tox-MPTase3', NULL, NULL, NULL, 6),
(13447, NULL, 'PF04065', NULL, NULL, 'Not1 N-terminal domain, CCR4-Not complex component', NULL, 'Not3', NULL, NULL, NULL, 6),
(13448, NULL, 'PF10643', NULL, NULL, 'Photosystem P840 reaction-centre cytochrome c-551', NULL, 'Cytochrome-c551', NULL, NULL, NULL, 6),
(13449, NULL, 'PF00374', NULL, NULL, 'Nickel-dependent hydrogenase', NULL, 'NiFeSe_Hases', NULL, NULL, NULL, 6),
(13450, NULL, 'PF05470', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit 8 N-terminus', NULL, 'eIF-3c_N', NULL, NULL, NULL, 6),
(13451, NULL, 'PF14169', NULL, NULL, 'Cold-inducible protein YdjO', NULL, 'YdjO', NULL, NULL, NULL, 6),
(13452, NULL, 'PF12873', NULL, NULL, 'Domain of unknown function (DUF3825)', NULL, 'DUF3825', NULL, NULL, NULL, 6),
(13453, NULL, 'PF04258', NULL, NULL, 'Signal peptide peptidase', NULL, 'Peptidase_A22B', NULL, NULL, NULL, 6),
(13454, NULL, 'PF07485', NULL, NULL, 'Domain of Unknown Function (DUF1259)', NULL, 'DUF1529', NULL, NULL, NULL, 6),
(13455, NULL, 'PF06301', NULL, NULL, 'Bacteriophage lambda Kil protein', NULL, 'Lambda_Kil', NULL, NULL, NULL, 6),
(13456, NULL, 'PF16073', NULL, NULL, 'Starter unit:ACP transacylase in aflatoxin biosynthesis', NULL, 'SAT', NULL, NULL, NULL, 6),
(13457, NULL, 'PF00229', NULL, NULL, 'TNF(Tumour Necrosis Factor) family', NULL, 'TNF', NULL, NULL, NULL, 6),
(13458, NULL, 'PF14582', NULL, NULL, 'Metallophosphoesterase, calcineurin superfamily', NULL, 'Metallophos_3', NULL, NULL, NULL, 6),
(13459, NULL, 'PF00115', NULL, NULL, 'Cytochrome C and Quinol oxidase polypeptide I', NULL, 'COX1', NULL, NULL, NULL, 6),
(13460, NULL, 'PF00498', NULL, NULL, 'FHA domain', NULL, 'FHA', NULL, NULL, NULL, 6),
(13461, NULL, 'PF07991', NULL, NULL, 'Acetohydroxy acid isomeroreductase, NADPH-binding domain', NULL, 'IlvN', NULL, NULL, NULL, 6),
(13462, NULL, 'PF00937', NULL, NULL, 'Coronavirus nucleocapsid', NULL, 'CoV_nucleocap', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13463, NULL, 'PF18855', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 11', NULL, 'baeRF_family11', NULL, NULL, NULL, 6),
(13464, NULL, 'PF16130', NULL, NULL, 'Domain of unknown function (DUF4842)', NULL, 'DUF4842', NULL, NULL, NULL, 6),
(13465, NULL, 'PF08624', NULL, NULL, 'Chromatin remodelling complex Rsc7/Swp82 subunit', NULL, 'CRC_subunit', NULL, NULL, NULL, 6),
(13466, NULL, 'PF06635', NULL, NULL, 'Nodulation protein NolV', NULL, 'NolV', NULL, NULL, NULL, 6),
(13467, NULL, 'PF10387', NULL, NULL, 'Protein of unknown function (DUF2442)', NULL, 'DUF2442', NULL, NULL, NULL, 6),
(13468, NULL, 'PF09213', NULL, NULL, 'M3', NULL, 'M3', NULL, NULL, NULL, 6),
(13469, NULL, 'PF16730', NULL, NULL, 'DnaG-primase C-terminal, helicase-binding domain', NULL, 'DnaGprimase_HBD', NULL, NULL, NULL, 6),
(13470, NULL, 'PF16017', NULL, NULL, 'BTB/POZ domain', NULL, 'BTB_3', NULL, NULL, NULL, 6),
(13471, NULL, 'PF15218', NULL, NULL, 'Spermatogenesis-associated protein 25', NULL, 'SPATA25', NULL, NULL, NULL, 6),
(13472, NULL, 'PF06968', NULL, NULL, 'Biotin and Thiamin Synthesis associated domain', NULL, 'BATS', NULL, NULL, NULL, 6),
(13473, NULL, 'PF17726', NULL, NULL, 'Dam-replacing HTH domain', NULL, 'DpnI_C', NULL, NULL, NULL, 6),
(13474, NULL, 'PF12575', NULL, NULL, 'Poxvirus entry protein complex L1 and I2', NULL, 'Pox_EPC_I2-L1', NULL, NULL, NULL, 6),
(13475, NULL, 'PF16726', NULL, NULL, 'Inositol polyphosphate 5-phosphatase clathrin binding domain', NULL, 'OCRL_clath_bd', NULL, NULL, NULL, 6),
(13476, NULL, 'PF06836', NULL, NULL, 'Protein of unknown function (DUF1240)', NULL, 'DUF1240', NULL, NULL, NULL, 6),
(13477, NULL, 'PF14365', NULL, NULL, 'Neprosin activation peptide', NULL, 'Neprosin_AP', NULL, NULL, NULL, 6),
(13478, NULL, 'PF14809', NULL, NULL, 'C1 domain of tRNA-guanine transglycosylase dimerisation', NULL, 'TGT_C1', NULL, NULL, NULL, 6),
(13479, NULL, 'PF14260', NULL, NULL, 'C4-type zinc-finger of DNA polymerase delta', NULL, 'zf-C4pol', NULL, NULL, NULL, 6),
(13480, NULL, 'PF05549', NULL, NULL, 'Allexivirus 40kDa protein', NULL, 'Allexi_40kDa', NULL, NULL, NULL, 6),
(13481, NULL, 'PF10216', NULL, NULL, 'CO2 hydration protein (ChpXY)', NULL, 'ChpXY', NULL, NULL, NULL, 6),
(13482, NULL, 'PF15486', NULL, NULL, 'Domain of unknown function (DUF4644)', NULL, 'DUF4644', NULL, NULL, NULL, 6),
(13483, NULL, 'PF17321', NULL, NULL, 'Vacuole-related protein 17', NULL, 'Vac17', NULL, NULL, NULL, 6),
(13484, NULL, 'PF06395', NULL, NULL, 'CDC24 Calponin', NULL, 'CDC24', NULL, NULL, NULL, 6),
(13485, NULL, 'PF15456', NULL, NULL, 'Up-regulated During Septation', NULL, 'Uds1', NULL, NULL, NULL, 6),
(13486, NULL, 'PF14469', NULL, NULL, '28 kDa A-kinase anchor', NULL, 'AKAP28', NULL, NULL, NULL, 6),
(13487, NULL, 'PF09451', NULL, NULL, 'Autophagy-related protein 27', NULL, 'ATG27', NULL, NULL, NULL, 6),
(13488, NULL, 'PF09605', NULL, NULL, 'Hypothetical bacterial integral membrane protein (Trep_Strep)', NULL, 'Trep_Strep', NULL, NULL, NULL, 6),
(13489, NULL, 'PF17503', NULL, NULL, 'Family of unknown function (DUF5435)', NULL, 'DUF5435', NULL, NULL, NULL, 6),
(13490, NULL, 'PF11732', NULL, NULL, 'Transcription- and export-related complex subunit', NULL, 'Thoc2', NULL, NULL, NULL, 6),
(13491, NULL, 'PF02037', NULL, NULL, 'SAP domain', NULL, 'SAP', NULL, NULL, NULL, 6),
(13492, NULL, 'PF06988', NULL, NULL, 'NifT/FixU protein', NULL, 'NifT', NULL, NULL, NULL, 6),
(13493, NULL, 'PF04045', NULL, NULL, 'Arp2/3 complex, 34 kD subunit p34-Arc', NULL, 'P34-Arc', NULL, NULL, NULL, 6),
(13494, NULL, 'PF18477', NULL, NULL, 'PIN like domain', NULL, 'PIN_9', NULL, NULL, NULL, 6),
(13495, NULL, 'PF09034', NULL, NULL, 'TRADD, N-terminal domain', NULL, 'TRADD_N', NULL, NULL, NULL, 6),
(13496, NULL, 'PF11883', NULL, NULL, 'Domain of unknown function (DUF3403)', NULL, 'DUF3403', NULL, NULL, NULL, 6),
(13497, NULL, 'PF01463', NULL, NULL, 'Leucine rich repeat C-terminal domain', NULL, 'LRRCT', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13498, NULL, 'PF03919', NULL, NULL, 'mRNA capping enzyme, C-terminal domain', NULL, 'mRNA_cap_C', NULL, NULL, NULL, 6),
(13499, NULL, 'PF03672', NULL, NULL, 'Uncharacterised protein family (UPF0154)', NULL, 'UPF0154', NULL, NULL, NULL, 6),
(13500, NULL, 'PF16198', NULL, NULL, 'tRNA pseudouridylate synthase B C-terminal domain', NULL, 'TruB_C_2', NULL, NULL, NULL, 6),
(13501, NULL, 'PF14529', NULL, NULL, 'Endonuclease-reverse transcriptase', NULL, 'Exo_endo_phos_2', NULL, NULL, NULL, 6),
(13502, NULL, 'PF07666', NULL, NULL, 'M penetrans paralogue family 26', NULL, 'MpPF26', NULL, NULL, NULL, 6),
(13503, NULL, 'PF12210', NULL, NULL, 'Hepatocyte growth factor-regulated tyrosine kinase substrate', NULL, 'Hrs_helical', NULL, NULL, NULL, 6),
(13504, NULL, 'PF07788', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_10', NULL, NULL, NULL, 6),
(13505, NULL, 'PF18461', NULL, NULL, 'Atypical caspase recruitment domain', NULL, 'Atypical_Card', NULL, NULL, NULL, 6),
(13506, NULL, 'PF11351', NULL, NULL, 'Holin of 3TMs, for gene-transfer release', NULL, 'GTA_holin_3TM', NULL, NULL, NULL, 6),
(13507, NULL, 'PF02472', NULL, NULL, 'Biopolymer transport protein ExbD/TolR', NULL, 'ExbD', NULL, NULL, NULL, 6),
(13508, NULL, 'PF00513', NULL, NULL, 'Late Protein L2', NULL, 'Late_protein_L2', NULL, NULL, NULL, 6),
(13509, NULL, 'PF09894', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2121)', NULL, 'DUF2121', NULL, NULL, NULL, 6),
(13510, NULL, 'PF06760', NULL, NULL, 'Protein of unknown function (DUF1221)', NULL, 'DUF1221', NULL, NULL, NULL, 6),
(13511, NULL, 'PF04721', NULL, NULL, 'PNGase C-terminal domain, mannose-binding module PAW', NULL, 'PAW', NULL, NULL, NULL, 6),
(13512, NULL, 'PF03364', NULL, NULL, 'Polyketide cyclase / dehydrase and lipid transport', NULL, 'Polyketide_cyc', NULL, NULL, NULL, 6),
(13513, NULL, 'PF00352', NULL, NULL, 'Transcription factor TFIID (or TATA-binding protein, TBP)', NULL, 'TBP', NULL, NULL, NULL, 6),
(13514, NULL, 'PF13853', NULL, NULL, 'Olfactory receptor', NULL, '7tm_4', NULL, NULL, NULL, 6),
(13515, NULL, 'PF03434', NULL, NULL, 'DUF276', NULL, 'DUF276', NULL, NULL, NULL, 6),
(13516, NULL, 'PF05337', NULL, NULL, 'Macrophage colony stimulating factor-1 (CSF-1)', NULL, 'CSF-1', NULL, NULL, NULL, 6),
(13517, NULL, 'PF04404', NULL, NULL, 'ERF superfamily', NULL, 'ERF', NULL, NULL, NULL, 6),
(13518, NULL, 'PF05768', NULL, NULL, 'Glutaredoxin-like domain (DUF836)', NULL, 'DUF836', NULL, NULL, NULL, 6),
(13519, NULL, 'PF14314', NULL, NULL, 'Virus-capping methyltransferase', NULL, 'Methyltrans_Mon', NULL, NULL, NULL, 6),
(13520, NULL, 'PF04633', NULL, NULL, 'Herpesvirus BMRF2 protein', NULL, 'Herpes_BMRF2', NULL, NULL, NULL, 6),
(13521, NULL, 'PF11432', NULL, NULL, 'Protein of unknown function (DUF3197)', NULL, 'DUF3197', NULL, NULL, NULL, 6),
(13522, NULL, 'PF10792', NULL, NULL, 'Protein of unknown function (DUF2605)', NULL, 'DUF2605', NULL, NULL, NULL, 6),
(13523, NULL, 'PF17307', NULL, NULL, 'Small integral membrane protein 3', NULL, 'Smim3', NULL, NULL, NULL, 6),
(13524, NULL, 'PF03312', NULL, NULL, 'Protein of unknown function (DUF272)', NULL, 'DUF272', NULL, NULL, NULL, 6),
(13525, NULL, 'PF18817', NULL, NULL, 'Repeat of uncharacterized protein PH0542', NULL, 'HEAT_UF', NULL, NULL, NULL, 6),
(13526, NULL, 'PF18479', NULL, NULL, 'PIN like domain', NULL, 'PIN_11', NULL, NULL, NULL, 6),
(13527, NULL, 'PF02121', NULL, NULL, 'Phosphatidylinositol transfer protein', NULL, 'IP_trans', NULL, NULL, NULL, 6),
(13528, NULL, 'PF08991', NULL, NULL, 'Mature-T-Cell Proliferation I type', NULL, 'MTCP1', NULL, NULL, NULL, 6),
(13529, NULL, 'PF16265', NULL, NULL, 'Domain of unknown function (DUF4918)', NULL, 'DUF4918', NULL, NULL, NULL, 6),
(13530, NULL, 'PF09001', NULL, NULL, 'Domain of unknown function (DUF1890)', NULL, 'DUF1890', NULL, NULL, NULL, 6),
(13531, NULL, 'PF11197', NULL, NULL, 'Protein of unknown function (DUF2835)', NULL, 'DUF2835', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13532, NULL, 'PF09533', NULL, NULL, 'Predicted lipoprotein of unknown function (DUF2380)', NULL, 'DUF2380', NULL, NULL, NULL, 6),
(13533, NULL, 'PF00855', NULL, NULL, 'PWWP domain', NULL, 'PWWP', NULL, NULL, NULL, 6),
(13534, NULL, 'PF14944', NULL, NULL, 'Tongue Cancer Chemotherapy Resistant Protein 1', NULL, 'TCRP1', NULL, NULL, NULL, 6),
(13535, NULL, 'PF14597', NULL, NULL, 'Metallo-beta-lactamase superfamily', NULL, 'Lactamase_B_5', NULL, NULL, NULL, 6),
(13536, NULL, 'PF13892', NULL, NULL, 'DNA-binding domain', NULL, 'DBINO', NULL, NULL, NULL, 6),
(13537, NULL, 'PF11417', NULL, NULL, 'Loader and inhibitor of phage G40P', NULL, 'Inhibitor_G39P', NULL, NULL, NULL, 6),
(13538, NULL, 'PF18235', NULL, NULL, 'Oligosaccharyltransferase Peripheral 2 domain', NULL, 'OST_P2', NULL, NULL, NULL, 6),
(13539, NULL, 'PF16172', NULL, NULL, 'DOCK N-terminus', NULL, 'DOCK_N', NULL, NULL, NULL, 6),
(13540, NULL, 'PF10568', NULL, NULL, 'Outer mitochondrial membrane transport complex protein', NULL, 'Tom37', NULL, NULL, NULL, 6),
(13541, NULL, 'PF07755', NULL, NULL, 'Domain of unknown function (DUF1611_C) P-loop domain', NULL, 'DUF1611', NULL, NULL, NULL, 6),
(13542, NULL, 'PF14499', NULL, NULL, 'Domain of unknown function (DUF4437)', NULL, 'DUF4437', NULL, NULL, NULL, 6),
(13543, NULL, 'PF17836', NULL, NULL, 'PglD N-terminal domain', NULL, 'PglD_N', NULL, NULL, NULL, 6),
(13544, NULL, 'PF12193', NULL, NULL, 'Sulfolobus virus coat protein C terminal', NULL, 'Sulf_coat_C', NULL, NULL, NULL, 6),
(13545, NULL, 'PF04493', NULL, NULL, 'Endonuclease V', NULL, 'Endonuclease_5', NULL, NULL, NULL, 6),
(13546, NULL, 'PF16782', NULL, NULL, 'Nucleotide exchange factor SIL1', NULL, 'SIL1', NULL, NULL, NULL, 6),
(13547, NULL, 'PF09284', NULL, NULL, 'Rhamnogalacturonan lyase B, N-terminal', NULL, 'RhgB_N', NULL, NULL, NULL, 6),
(13548, NULL, 'PF09004', NULL, NULL, 'Domain of unknown function (DUF1891)', NULL, 'DUF1891', NULL, NULL, NULL, 6),
(13549, NULL, 'PF14985', NULL, NULL, 'TM140 protein family', NULL, 'TM140', NULL, NULL, NULL, 6),
(13550, NULL, 'PF18737', NULL, NULL, 'MAE_28990/MAE_18760-like HEPN', NULL, 'HEPN_MAE_28990', NULL, NULL, NULL, 6),
(13551, NULL, 'PF10890', NULL, NULL, 'Cytochrome b-c1 complex subunit 8', NULL, 'Cyt_b-c1_8', NULL, NULL, NULL, 6),
(13552, NULL, 'PF12200', NULL, NULL, 'Domain of unknown function (DUF3597)', NULL, 'DUF3597', NULL, NULL, NULL, 6),
(13553, NULL, 'PF01816', NULL, NULL, 'Leucine rich repeat variant', NULL, 'LRV', NULL, NULL, NULL, 6),
(13554, NULL, 'PF02554', NULL, NULL, 'Carbon starvation protein CstA', NULL, 'CstA', NULL, NULL, NULL, 6),
(13555, NULL, 'PF01427', NULL, NULL, 'D-ala-D-ala dipeptidase', NULL, 'Peptidase_M15', NULL, NULL, NULL, 6),
(13556, NULL, 'PF00759', NULL, NULL, 'Glycosyl hydrolase family 9', NULL, 'Glyco_hydro_9', NULL, NULL, NULL, 6),
(13557, NULL, 'PF13953', NULL, NULL, 'PapC C-terminal domain', NULL, 'PapC_C', NULL, NULL, NULL, 6),
(13558, NULL, 'PF17978', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_14', NULL, NULL, NULL, 6),
(13559, NULL, 'PF02915', NULL, NULL, 'Rubrerythrin', NULL, 'Rubrerythrin', NULL, NULL, NULL, 6),
(13560, NULL, 'PF04335', NULL, NULL, 'VirB8 protein', NULL, 'VirB8', NULL, NULL, NULL, 6),
(13561, NULL, 'PF09597', NULL, NULL, 'IGR protein motif', NULL, 'IGR', NULL, NULL, NULL, 6),
(13562, NULL, 'PF12487', NULL, NULL, 'Protein of unknown function (DUF3703)', NULL, 'DUF3703', NULL, NULL, NULL, 6),
(13563, NULL, 'PF02943', NULL, NULL, 'Ferredoxin thioredoxin reductase catalytic beta chain', NULL, 'FeThRed_B', NULL, NULL, NULL, 6),
(13564, NULL, 'PF13845', NULL, NULL, 'Septum formation', NULL, 'Septum_form', NULL, NULL, NULL, 6),
(13565, NULL, 'PF08032', NULL, NULL, 'RNA 2''-O ribose methyltransferase substrate binding', NULL, 'SpoU_sub_bind', NULL, NULL, NULL, 6),
(13566, NULL, 'PF13169', NULL, NULL, 'Poxvirus B22R protein N-terminal', NULL, 'Poxvirus_B22R_N', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13567, NULL, 'PF03639', NULL, NULL, 'Glycosyl hydrolase family 81 N-terminal domain', NULL, 'Glyco_hydro_81', NULL, NULL, NULL, 6),
(13568, NULL, 'PF03159', NULL, NULL, 'XRN 5''-3'' exonuclease N-terminus', NULL, 'XRN_N', NULL, NULL, NULL, 6),
(13569, NULL, 'PF04048', NULL, NULL, 'Sec8 exocyst complex component specific domain', NULL, 'Sec8_exocyst', NULL, NULL, NULL, 6),
(13570, NULL, 'PF12824', NULL, NULL, 'Mitochondrial ribosomal protein subunit L20', NULL, 'MRP-L20', NULL, NULL, NULL, 6),
(13571, NULL, 'PF00157', NULL, NULL, 'Pou domain - N-terminal to homeobox domain', NULL, 'Pou', NULL, NULL, NULL, 6),
(13572, NULL, 'PF15221', NULL, NULL, 'Lens epithelial cell protein LEP503', NULL, 'LEP503', NULL, NULL, NULL, 6),
(13573, NULL, 'PF10743', NULL, NULL, 'Regulatory phage protein cox', NULL, 'Phage_Cox', NULL, NULL, NULL, 6),
(13574, NULL, 'PF03325', NULL, NULL, 'Herpesvirus polymerase accessory protein', NULL, 'Herpes_PAP', NULL, NULL, NULL, 6),
(13575, NULL, 'PF06207', NULL, NULL, 'Protein of unknown function (DUF1002)', NULL, 'DUF1002', NULL, NULL, NULL, 6),
(13576, NULL, 'PF16051', NULL, NULL, 'Domain of unknown function (DUF4797)', NULL, 'DUF4797', NULL, NULL, NULL, 6),
(13577, NULL, 'PF10017', NULL, NULL, 'Histidine-specific methyltransferase, SAM-dependent', NULL, 'Methyltransf_33', NULL, NULL, NULL, 6),
(13578, NULL, 'PF01139', NULL, NULL, 'tRNA-splicing ligase RtcB', NULL, 'RtcB', NULL, NULL, NULL, 6),
(13579, NULL, 'PF18914', NULL, NULL, 'Domain of unknown function (DUF5666)', NULL, 'DUF5666', NULL, NULL, NULL, 6),
(13580, NULL, 'PF12373', NULL, NULL, 'Major surface glycoprotein 2 C terminal', NULL, 'Msg2_C', NULL, NULL, NULL, 6),
(13581, NULL, 'PF03181', NULL, NULL, 'BURP domain', NULL, 'BURP', NULL, NULL, NULL, 6),
(13582, NULL, 'PF15664', NULL, NULL, 'Transmembrane protein 252 family', NULL, 'TMEM252', NULL, NULL, NULL, 6),
(13583, NULL, 'PF08661', NULL, NULL, 'Replication factor A protein 3', NULL, 'Rep_fac-A_3', NULL, NULL, NULL, 6),
(13584, NULL, 'PF17622', NULL, NULL, 'Viral unique long protein 16', NULL, 'UL16', NULL, NULL, NULL, 6),
(13585, NULL, 'PF01623', NULL, NULL, 'Carlavirus putative nucleic acid binding protein', NULL, 'Carla_C4', NULL, NULL, NULL, 6),
(13586, NULL, 'PF09411', NULL, NULL, 'Lipid A 3-O-deacylase (PagL)', NULL, 'PagL', NULL, NULL, NULL, 6),
(13587, NULL, 'PF11869', NULL, NULL, 'Protein of unknown function (DUF3389)', NULL, 'DUF3389', NULL, NULL, NULL, 6),
(13588, NULL, 'PF09970', NULL, NULL, 'Nucleotidyl transferase of unknown function (DUF2204)', NULL, 'DUF2204', NULL, NULL, NULL, 6),
(13589, NULL, 'PF08064', NULL, NULL, 'UME (NUC010) domain', NULL, 'UME', NULL, NULL, NULL, 6),
(13590, NULL, 'PF02353', NULL, NULL, 'Mycolic acid cyclopropane synthetase', NULL, 'CMAS', NULL, NULL, NULL, 6),
(13591, NULL, 'PF16883', NULL, NULL, 'Domain of unknown function (DUF5080)', NULL, 'DUF5080', NULL, NULL, NULL, 6),
(13592, NULL, 'PF12999', NULL, NULL, 'Glucosidase II beta subunit-like', NULL, 'PRKCSH-like', NULL, NULL, NULL, 6),
(13593, NULL, 'PF01486', NULL, NULL, 'K-box region', NULL, 'K-box', NULL, NULL, NULL, 6),
(13594, NULL, 'PF16811', NULL, NULL, 'TRAP transporter T-component', NULL, 'TAtT', NULL, NULL, NULL, 6),
(13595, NULL, 'PF05753', NULL, NULL, 'Translocon-associated protein beta (TRAPB)', NULL, 'TRAP_beta', NULL, NULL, NULL, 6),
(13596, NULL, 'PF10313', NULL, NULL, 'Uncharacterised protein domain (DUF2415)', NULL, 'DUF2415', NULL, NULL, NULL, 6),
(13597, NULL, 'PF05510', NULL, NULL, 'Sarcoglycan alpha/epsilon', NULL, 'Sarcoglycan_2', NULL, NULL, NULL, 6),
(13598, NULL, 'PF06832', NULL, NULL, 'Penicillin-Binding Protein C-terminus Family', NULL, 'BiPBP_C', NULL, NULL, NULL, 6),
(13599, NULL, 'PF09633', NULL, NULL, 'Protein of unknown function (DUF2023)', NULL, 'DUF2023', NULL, NULL, NULL, 6),
(13600, NULL, 'PF06487', NULL, NULL, 'Sin3 associated polypeptide p18 (SAP18)', NULL, 'SAP18', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13601, NULL, 'PF18992', NULL, NULL, 'Family of unknown function (DUF5725)', NULL, 'DUF5725', NULL, NULL, NULL, 6),
(13602, NULL, 'PF09702', NULL, NULL, 'CRISPR-associated protein (Cas_Csa5)', NULL, 'Cas_Csa5', NULL, NULL, NULL, 6),
(13603, NULL, 'PF08357', NULL, NULL, 'SEFIR domain', NULL, 'SEFIR', NULL, NULL, NULL, 6),
(13604, NULL, 'PF06698', NULL, NULL, 'Protein of unknown function (DUF1192)', NULL, 'DUF1192', NULL, NULL, NULL, 6),
(13605, NULL, 'PF00311', NULL, NULL, 'Phosphoenolpyruvate carboxylase', NULL, 'PEPcase', NULL, NULL, NULL, 6),
(13606, NULL, 'PF03652', NULL, NULL, 'Holliday junction resolvase', NULL, 'RuvX', NULL, NULL, NULL, 6),
(13607, NULL, 'PF12781', NULL, NULL, 'ATP-binding dynein motor region', NULL, 'AAA_9', NULL, NULL, NULL, 6),
(13608, NULL, 'PF15565', NULL, NULL, 'Immunity protein 30', NULL, 'Imm30', NULL, NULL, NULL, 6),
(13609, NULL, 'PF12912', NULL, NULL, 'NLPC_P60 stabilising domain, N term', NULL, 'N_NLPC_P60', NULL, NULL, NULL, 6),
(13610, NULL, 'PF16806', NULL, NULL, 'Antiactivator protein ExsD', NULL, 'ExsD', NULL, NULL, NULL, 6),
(13611, NULL, 'PF13090', NULL, NULL, 'Polyphosphate kinase C-terminal domain 2', NULL, 'PP_kinase_C', NULL, NULL, NULL, 6),
(13612, NULL, 'PF00634', NULL, NULL, 'BRCA2 repeat', NULL, 'BRCA2', NULL, NULL, NULL, 6),
(13613, NULL, 'PF09733', NULL, NULL, 'VEFS-Box of polycomb protein', NULL, 'VEFS-Box', NULL, NULL, NULL, 6),
(13614, NULL, 'PF15995', NULL, NULL, 'Domain of unknown function (DUF4771)', NULL, 'DUF4771', NULL, NULL, NULL, 6),
(13615, NULL, 'PF09073', NULL, NULL, 'BUD22', NULL, 'BUD22', NULL, NULL, NULL, 6),
(13616, NULL, 'PF11595', NULL, NULL, 'Protein of unknown function (DUF3245)', NULL, 'DUF3245', NULL, NULL, NULL, 6),
(13617, NULL, 'PF01682', NULL, NULL, 'DB module', NULL, 'DB', NULL, NULL, NULL, 6),
(13618, NULL, 'PF18469', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_18', NULL, NULL, NULL, 6),
(13619, NULL, 'PF17120', NULL, NULL, 'Zinc-ribbon, C4HC2 type', NULL, 'Zn_ribbon_17', NULL, NULL, NULL, 6),
(13620, NULL, 'PF14173', NULL, NULL, 'ComG operon protein 7', NULL, 'ComGG', NULL, NULL, NULL, 6),
(13621, NULL, 'PF07757', NULL, NULL, 'Predicted AdoMet-dependent methyltransferase', NULL, 'AdoMet_MTase', NULL, NULL, NULL, 6),
(13622, NULL, 'PF07579', NULL, NULL, 'Domain of Unknown Function (DUF1548)', NULL, 'DUF1548', NULL, NULL, NULL, 6),
(13623, NULL, 'PF14980', NULL, NULL, 'TIP39 peptide', NULL, 'TIP39', NULL, NULL, NULL, 6),
(13624, NULL, 'PF03997', NULL, NULL, 'VPS28 protein', NULL, 'VPS28', NULL, NULL, NULL, 6),
(13625, NULL, 'PF03750', NULL, NULL, 'Csm2 Type III-A', NULL, 'Csm2_III-A', NULL, NULL, NULL, 6),
(13626, NULL, 'PF15555', NULL, NULL, 'Domain of unknown function (DUF4658)', NULL, 'DUF4658', NULL, NULL, NULL, 6),
(13627, NULL, 'PF08077', NULL, NULL, 'Chloramphenicol resistance gene leader peptide', NULL, 'Cm_res_leader', NULL, NULL, NULL, 6),
(13628, NULL, 'PF18089', NULL, NULL, 'DAPG hydrolase PhiG domain', NULL, 'DAPG_hydrolase', NULL, NULL, NULL, 6),
(13629, NULL, 'PF18312', NULL, NULL, 'Copper resistance protein ScsC N-terminal domain', NULL, 'ScsC_N', NULL, NULL, NULL, 6),
(13630, NULL, 'PF12685', NULL, NULL, 'SpoIIIAH-like protein', NULL, 'SpoIIIAH', NULL, NULL, NULL, 6),
(13631, NULL, 'PF14875', NULL, NULL, 'N-term cysteine-rich ER, FAM69', NULL, 'PIP49_N', NULL, NULL, NULL, 6),
(13632, NULL, 'PF16633', NULL, NULL, 'Unstructured region on APC between 1st two creatine-rich regions', NULL, 'APC_u9', NULL, NULL, NULL, 6),
(13633, NULL, 'PF02563', NULL, NULL, 'Polysaccharide biosynthesis/export protein', NULL, 'Poly_export', NULL, NULL, NULL, 6),
(13634, NULL, 'PF15171', NULL, NULL, 'Neuropeptide secretory protein family, NPQ, spexin', NULL, 'Spexin', NULL, NULL, NULL, 6),
(13635, NULL, 'PF17775', NULL, NULL, 'UPF0225 domain', NULL, 'UPF0225', NULL, NULL, NULL, 6),
(13636, NULL, 'PF06714', NULL, NULL, 'Gp5 N-terminal OB domain', NULL, 'Gp5_OB', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13637, NULL, 'PF04366', NULL, NULL, 'Las17-binding protein actin regulator', NULL, 'Ysc84', NULL, NULL, NULL, 6),
(13638, NULL, 'PF14313', NULL, NULL, 'N-terminal region of Paramyxovirinae phosphoprotein (P)', NULL, 'Soyouz_module', NULL, NULL, NULL, 6),
(13639, NULL, 'PF03026', NULL, NULL, 'Influenza C virus M1 protein', NULL, 'CM1', NULL, NULL, NULL, 6),
(13640, NULL, 'PF15051', NULL, NULL, 'FAM198 protein', NULL, 'FAM198', NULL, NULL, NULL, 6),
(13641, NULL, 'PF06229', NULL, NULL, 'FRG1-like domain', NULL, 'FRG1', NULL, NULL, NULL, 6),
(13642, NULL, 'PF10361', NULL, NULL, 'Protein of unknown function (DUF2434)', NULL, 'DUF2434', NULL, NULL, NULL, 6),
(13643, NULL, 'PF02618', NULL, NULL, 'YceG-like family', NULL, 'YceG', NULL, NULL, NULL, 6),
(13644, NULL, 'PF02270', NULL, NULL, 'TFIIF, beta subunit HTH domain', NULL, 'TFIIF_beta', NULL, NULL, NULL, 6),
(13645, NULL, 'PF08844', NULL, NULL, 'Domain of unknown function (DUF1815)', NULL, 'DUF1815', NULL, NULL, NULL, 6),
(13646, NULL, 'PF11744', NULL, NULL, 'Aluminium activated malate transporter', NULL, 'ALMT', NULL, NULL, NULL, 6),
(13647, NULL, 'PF15552', NULL, NULL, 'Domain of unknown function (DUF4657)', NULL, 'DUF4657', NULL, NULL, NULL, 6),
(13648, NULL, 'PF16884', NULL, NULL, 'N-terminal domain of oxidoreductase', NULL, 'ADH_N_2', NULL, NULL, NULL, 6),
(13649, NULL, 'PF07323', NULL, NULL, 'Protein of unknown function (DUF1465)', NULL, 'DUF1465', NULL, NULL, NULL, 6),
(13650, NULL, 'PF05069', NULL, NULL, 'Phage virion morphogenesis family', NULL, 'Phage_tail_S', NULL, NULL, NULL, 6),
(13651, NULL, 'PF17282', NULL, NULL, 'Family of unknown function (DUF5347)', NULL, 'DUF5347', NULL, NULL, NULL, 6),
(13652, NULL, 'PF04801', NULL, NULL, 'Sin-like protein conserved region', NULL, 'Sin_N', NULL, NULL, NULL, 6),
(13653, NULL, 'PF01179', NULL, NULL, 'Copper amine oxidase, enzyme domain', NULL, 'Cu_amine_oxid', NULL, NULL, NULL, 6),
(13654, NULL, 'PF09557', NULL, NULL, 'Domain of unknown function (DUF2382)', NULL, 'DUF2382', NULL, NULL, NULL, 6),
(13655, NULL, 'PF10631', NULL, NULL, 'Protein of unknown function (DUF2477)', NULL, 'DUF2477', NULL, NULL, NULL, 6),
(13656, NULL, 'PF15558', NULL, NULL, 'Domain of unknown function (DUF4659)', NULL, 'DUF4659', NULL, NULL, NULL, 6),
(13657, NULL, 'PF14408', NULL, NULL, 'Ribosomally synthesised peptide in actinomycetes', NULL, 'Actino_peptide', NULL, NULL, NULL, 6),
(13658, NULL, 'PF12642', NULL, NULL, 'Conjugative transposon protein TcpC', NULL, 'TpcC', NULL, NULL, NULL, 6),
(13659, NULL, 'PF01156', NULL, NULL, 'Inosine-uridine preferring nucleoside hydrolase', NULL, 'IU_nuc_hydro', NULL, NULL, NULL, 6),
(13660, NULL, 'PF10552', NULL, NULL, 'ORF6C domain', NULL, 'ORF6C', NULL, NULL, NULL, 6),
(13661, NULL, 'PF04481', NULL, NULL, 'Protein of unknown function (DUF561)', NULL, 'DUF561', NULL, NULL, NULL, 6),
(13662, NULL, 'PF14240', NULL, NULL, 'YHYH protein', NULL, 'YHYH', NULL, NULL, NULL, 6),
(13663, NULL, 'PF14038', NULL, NULL, 'YqzE-like protein', NULL, 'YqzE', NULL, NULL, NULL, 6),
(13664, NULL, 'PF06839', NULL, NULL, 'GRF zinc finger', NULL, 'zf-GRF', NULL, NULL, NULL, 6),
(13665, NULL, 'PF05076', NULL, NULL, 'Suppressor of fused protein (SUFU)', NULL, 'SUFU', NULL, NULL, NULL, 6),
(13666, NULL, 'PF16710', NULL, NULL, 'N-terminal N1 domain of Vibrio phage CTXphi pIII', NULL, 'CTXphi_pIII-N1', NULL, NULL, NULL, 6),
(13667, NULL, 'PF16187', NULL, NULL, 'Middle or third domain of peptidase_M16', NULL, 'Peptidase_M16_M', NULL, NULL, NULL, 6),
(13668, NULL, 'PF03867', NULL, NULL, 'Fushi tarazu (FTZ), N-terminal region', NULL, 'FTZ', NULL, NULL, NULL, 6),
(13669, NULL, 'PF08643', NULL, NULL, 'Fungal family of unknown function (DUF1776)', NULL, 'DUF1776', NULL, NULL, NULL, 6),
(13670, NULL, 'PF07880', NULL, NULL, 'Bacteriophage T4 gp9/10-like protein', NULL, 'T4_gp9_10', NULL, NULL, NULL, 6),
(13671, NULL, 'PF08773', NULL, NULL, 'Cathepsin C exclusion domain', NULL, 'CathepsinC_exc', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13672, NULL, 'PF06875', NULL, NULL, 'Plethodontid receptivity factor PRF', NULL, 'PRF', NULL, NULL, NULL, 6),
(13673, NULL, 'PF18152', NULL, NULL, 'DAHP synthase ferredoxin-like domain', NULL, 'DAHP_snth_FXD', NULL, NULL, NULL, 6),
(13674, NULL, 'PF04076', NULL, NULL, 'Bacterial OB fold (BOF) protein', NULL, 'BOF', NULL, NULL, NULL, 6),
(13675, NULL, 'PF11511', NULL, NULL, 'Intrinsic membrane protein PufX', NULL, 'RhodobacterPufX', NULL, NULL, NULL, 6),
(13676, NULL, 'PF05170', NULL, NULL, 'AsmA family', NULL, 'AsmA', NULL, NULL, NULL, 6),
(13677, NULL, 'PF12052', NULL, NULL, 'Voltage gated calcium channel subunit beta domain 4Aa N terminal', NULL, 'VGCC_beta4Aa_N', NULL, NULL, NULL, 6),
(13678, NULL, 'PF12550', NULL, NULL, 'Transcriptional activator of glycolytic enzymes', NULL, 'GCR1_C', NULL, NULL, NULL, 6),
(13679, NULL, 'PF15708', NULL, NULL, 'Proline-rich protein family 20', NULL, 'PRR20', NULL, NULL, NULL, 6),
(13680, NULL, 'PF00141', NULL, NULL, 'Peroxidase', NULL, 'peroxidase', NULL, NULL, NULL, 6),
(13681, NULL, 'PF04221', NULL, NULL, 'RelB antitoxin', NULL, 'RelB', NULL, NULL, NULL, 6),
(13682, NULL, 'PF01165', NULL, NULL, 'Ribosomal protein S21', NULL, 'Ribosomal_S21', NULL, NULL, NULL, 6),
(13683, NULL, 'PF04245', NULL, NULL, '37-kD nucleoid-associated bacterial protein', NULL, 'NA37', NULL, NULL, NULL, 6),
(13684, NULL, 'PF05339', NULL, NULL, 'Protein of unknown function (DUF739)', NULL, 'DUF739', NULL, NULL, NULL, 6),
(13685, NULL, 'PF09740', NULL, NULL, 'Uncharacterized conserved protein (DUF2043)', NULL, 'DUF2043', NULL, NULL, NULL, 6),
(13686, NULL, 'PF16269', NULL, NULL, 'Domain of unknown function (DUF4922)', NULL, 'DUF4922', NULL, NULL, NULL, 6),
(13687, NULL, 'PF01012', NULL, NULL, 'Electron transfer flavoprotein domain', NULL, 'ETF', NULL, NULL, NULL, 6),
(13688, NULL, 'PF08127', NULL, NULL, 'Peptidase family C1 propeptide', NULL, 'Propeptide_C1', NULL, NULL, NULL, 6),
(13689, NULL, 'PF05853', NULL, NULL, 'beta-keto acid cleavage enzyme', NULL, 'BKACE', NULL, NULL, NULL, 6),
(13690, NULL, 'PF13255', NULL, NULL, 'Protein of unknown function (DUF4046)', NULL, 'DUF4046', NULL, NULL, NULL, 6),
(13691, NULL, 'PF16567', NULL, NULL, 'Pathogenicity island component CagD', NULL, 'CagD', NULL, NULL, NULL, 6),
(13692, NULL, 'PF15471', NULL, NULL, 'Transmembrane protein family 171', NULL, 'TMEM171', NULL, NULL, NULL, 6),
(13693, NULL, 'PF12507', NULL, NULL, 'Human Cytomegalovirus UL139 protein', NULL, 'HCMV_UL139', NULL, NULL, NULL, 6),
(13694, NULL, 'PF18073', NULL, NULL, 'Rubredoxin metal binding domain', NULL, 'Rubredoxin_2', NULL, NULL, NULL, 6),
(13695, NULL, 'PF13881', NULL, NULL, 'Ubiquitin-2 like Rad60 SUMO-like', NULL, 'Rad60-SLD_2', NULL, NULL, NULL, 6),
(13696, NULL, 'PF04971', NULL, NULL, 'Bacteriophage P21 holin S', NULL, 'Phage_holin_2_1', NULL, NULL, NULL, 6),
(13697, NULL, 'PF01060', NULL, NULL, 'Transthyretin-like family', NULL, 'TTR-52', NULL, NULL, NULL, 6),
(13698, NULL, 'PF05083', NULL, NULL, 'LST-1 protein', NULL, 'LST1', NULL, NULL, NULL, 6),
(13699, NULL, 'PF03625', NULL, NULL, 'Domain of unknown function DUF302', NULL, 'DUF302', NULL, NULL, NULL, 6),
(13700, NULL, 'PF13164', NULL, NULL, 'Diedel', NULL, 'Diedel', NULL, NULL, NULL, 6),
(13701, NULL, 'PF17453', NULL, NULL, 'Sigma-M inhibitor', NULL, 'Sigma_M_inh', NULL, NULL, NULL, 6),
(13702, NULL, 'PF02174', NULL, NULL, 'PTB domain (IRS-1 type)', NULL, 'IRS', NULL, NULL, NULL, 6),
(13703, NULL, 'PF17611', NULL, NULL, 'Family of unknown function (DUF5506)', NULL, 'DUF5506', NULL, NULL, NULL, 6),
(13704, NULL, 'PF04003', NULL, NULL, 'Dip2/Utp12 Family', NULL, 'Utp12', NULL, NULL, NULL, 6),
(13705, NULL, 'PF15955', NULL, NULL, 'Cuticle protein', NULL, 'Cuticle_4', NULL, NULL, NULL, 6),
(13706, NULL, 'PF04159', NULL, NULL, 'NB glycoprotein', NULL, 'NB', NULL, NULL, NULL, 6),
(13707, NULL, 'PF02837', NULL, NULL, 'Glycosyl hydrolases family 2, sugar binding domain', NULL, 'Glyco_hydro_2_N', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13708, NULL, 'PF07891', NULL, NULL, 'Protein of unknown function (DUF1666)', NULL, 'DUF1666', NULL, NULL, NULL, 6),
(13709, NULL, 'PF12552', NULL, NULL, 'Protein of unknown function (DUF3741)', NULL, 'DUF3741', NULL, NULL, NULL, 6),
(13710, NULL, 'PF01835', NULL, NULL, 'MG2 domain', NULL, 'MG2', NULL, NULL, NULL, 6),
(13711, NULL, 'PF17758', NULL, NULL, 'Proteasomal ATPase OB N-terminal domain', NULL, 'Prot_ATP_OB_N', NULL, NULL, NULL, 6),
(13712, NULL, 'PF10296', NULL, NULL, 'Maintenance of mitochondrial morphology protein 1', NULL, 'MMM1', NULL, NULL, NULL, 6),
(13713, NULL, 'PF10229', NULL, NULL, 'Methylmalonic aciduria and homocystinuria type D protein', NULL, 'MMADHC', NULL, NULL, NULL, 6),
(13714, NULL, 'PF11874', NULL, NULL, 'Domain of unknown function (DUF3394)', NULL, 'DUF3394', NULL, NULL, NULL, 6),
(13715, NULL, 'PF01762', NULL, NULL, 'Galactosyltransferase', NULL, 'Galactosyl_T', NULL, NULL, NULL, 6),
(13716, NULL, 'PF06141', NULL, NULL, 'Phage minor tail protein U', NULL, 'Phage_tail_U', NULL, NULL, NULL, 6),
(13717, NULL, 'PF05570', NULL, NULL, 'Circovirus protein of unknown function (DUF765)', NULL, 'DUF765', NULL, NULL, NULL, 6),
(13718, NULL, 'PF07717', NULL, NULL, 'Oligonucleotide/oligosaccharide-binding (OB)-fold', NULL, 'OB_NTP_bind', NULL, NULL, NULL, 6),
(13719, NULL, 'PF06784', NULL, NULL, 'Uncharacterised protein family (UPF0240)', NULL, 'UPF0240', NULL, NULL, NULL, 6),
(13720, NULL, 'PF17723', NULL, NULL, 'Ribbon-Helix-Helix transcriptional regulator family', NULL, 'RHH_8', NULL, NULL, NULL, 6),
(13721, NULL, 'PF10815', NULL, NULL, 'ComZ', NULL, 'ComZ', NULL, NULL, NULL, 6),
(13722, NULL, 'PF01485', NULL, NULL, 'IBR domain, a half RING-finger domain', NULL, 'IBR', NULL, NULL, NULL, 6),
(13723, NULL, 'PF04917', NULL, NULL, 'Bacterial shufflon protein, N-terminal constant region', NULL, 'Shufflon_N', NULL, NULL, NULL, 6),
(13724, NULL, 'PF08288', NULL, NULL, 'PIGA (GPI anchor biosynthesis)', NULL, 'PIGA', NULL, NULL, NULL, 6),
(13725, NULL, 'PF15158', NULL, NULL, 'Domain of unknown function (DUF4579)', NULL, 'DUF4579', NULL, NULL, NULL, 6),
(13726, NULL, 'PF01215', NULL, NULL, 'Cytochrome c oxidase subunit Vb', NULL, 'COX5B', NULL, NULL, NULL, 6),
(13727, NULL, 'PF11495', NULL, NULL, 'Archaeal transcriptional regulator TrmB', NULL, 'Regulator_TrmB', NULL, NULL, NULL, 6),
(13728, NULL, 'PF02686', NULL, NULL, 'Glu-tRNAGln amidotransferase C subunit', NULL, 'Glu-tRNAGln', NULL, NULL, NULL, 6),
(13729, NULL, 'PF12578', NULL, NULL, 'Myotubularin-associated protein', NULL, '3-PAP', NULL, NULL, NULL, 6),
(13730, NULL, 'PF11555', NULL, NULL, 'EGFR receptor inhibitor Mig-6', NULL, 'Inhibitor_Mig-6', NULL, NULL, NULL, 6),
(13731, NULL, 'PF15395', NULL, NULL, 'Domain of unknown function (DUF4617)', NULL, 'DUF4617', NULL, NULL, NULL, 6),
(13732, NULL, 'PF15873', NULL, NULL, 'Domain of unknown function (DUF4730)', NULL, 'DUF4730', NULL, NULL, NULL, 6),
(13733, NULL, 'PF04706', NULL, NULL, 'Dickkopf N-terminal cysteine-rich region', NULL, 'Dickkopf_N', NULL, NULL, NULL, 6),
(13734, NULL, 'PF03104', NULL, NULL, 'DNA polymerase family B, exonuclease domain', NULL, 'DNA_pol_B_exo1', NULL, NULL, NULL, 6),
(13735, NULL, 'PF17243', NULL, NULL, 'POTRA domain TamA domain 1', NULL, 'POTRA_TamA_1', NULL, NULL, NULL, 6),
(13736, NULL, 'PF14928', NULL, NULL, 'Short tail fibre protein receptor-binding domain', NULL, 'S_tail_recep_bd', NULL, NULL, NULL, 6),
(13737, NULL, 'PF01391', NULL, NULL, 'Collagen triple helix repeat (20 copies)', NULL, 'Collagen', NULL, NULL, NULL, 6),
(13738, NULL, 'PF14071', NULL, NULL, 'Putative coat protein', NULL, 'YlbD_coat', NULL, NULL, NULL, 6),
(13739, NULL, 'PF17796', NULL, NULL, 'Major Vault Protein repeat domain', NULL, 'Vault_4', NULL, NULL, NULL, 6),
(13740, NULL, 'PF07212', NULL, NULL, 'Hyaluronidase protein (HylP)', NULL, 'Hyaluronidase_1', NULL, NULL, NULL, 6),
(13741, NULL, 'PF10157', NULL, NULL, 'BLOC-1-related complex sub-unit 6', NULL, 'BORCS6', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13742, NULL, 'PF15738', NULL, NULL, 'Bacterial toxin of type II toxin-antitoxin system, YafQ', NULL, 'YafQ_toxin', NULL, NULL, NULL, 6),
(13743, NULL, 'PF14196', NULL, NULL, 'L-2-amino-thiazoline-4-carboxylic acid hydrolase', NULL, 'ATC_hydrolase', NULL, NULL, NULL, 6),
(13744, NULL, 'PF01661', NULL, NULL, 'Macro domain', NULL, 'Macro', NULL, NULL, NULL, 6),
(13745, NULL, 'PF02274', NULL, NULL, 'Amidinotransferase', NULL, 'Amidinotransf', NULL, NULL, NULL, 6),
(13746, NULL, 'PF18178', NULL, NULL, 'TIR- and PNP-associating SLOG family', NULL, 'TPALS', NULL, NULL, NULL, 6),
(13747, NULL, 'PF13219', NULL, NULL, 'Protein of unknown function (DUF4027)', NULL, 'DUF4027', NULL, NULL, NULL, 6),
(13748, NULL, 'PF05805', NULL, NULL, 'L6 membrane protein', NULL, 'L6_membrane', NULL, NULL, NULL, 6),
(13749, NULL, 'PF08653', NULL, NULL, 'DASH complex subunit Dam1', NULL, 'DASH_Dam1', NULL, NULL, NULL, 6),
(13750, NULL, 'PF05351', NULL, NULL, 'GMP-PDE, delta subunit', NULL, 'GMP_PDE_delta', NULL, NULL, NULL, 6),
(13751, NULL, 'PF02180', NULL, NULL, 'Bcl-2 homology region 4', NULL, 'BH4', NULL, NULL, NULL, 6),
(13752, NULL, 'PF14567', NULL, NULL, 'SMI1-KNR4 cell-wall', NULL, 'SUKH_5', NULL, NULL, NULL, 6),
(13753, NULL, 'PF05539', NULL, NULL, 'Pneumovirinae attachment membrane glycoprotein G', NULL, 'Pneumo_att_G', NULL, NULL, NULL, 6),
(13754, NULL, 'PF16637', NULL, NULL, 'Putative zinc-finger between two C2H2 zinc-fingers on Patz', NULL, 'zf-C2H2_assoc3', NULL, NULL, NULL, 6),
(13755, NULL, 'PF09804', NULL, NULL, 'DENN domain-containing protein 11', NULL, 'DENND11', NULL, NULL, NULL, 6),
(13756, NULL, 'PF09140', NULL, NULL, 'ATPase MipZ', NULL, 'MipZ', NULL, NULL, NULL, 6),
(13757, NULL, 'PF05862', NULL, NULL, 'Helicobacter pylori IceA2 protein', NULL, 'IceA2', NULL, NULL, NULL, 6),
(13758, NULL, 'PF17463', NULL, NULL, 'Gene product 79', NULL, 'GP79', NULL, NULL, NULL, 6),
(13759, NULL, 'PF10054', NULL, NULL, 'Predicted periplasmic lipoprotein (DUF2291)', NULL, 'DUF2291', NULL, NULL, NULL, 6),
(13760, NULL, 'PF18745', NULL, NULL, 'Secreted Novel AID/APOBEC-like Deaminase 2', NULL, 'SNAD2', NULL, NULL, NULL, 6),
(13761, NULL, 'PF17528', NULL, NULL, 'Family of unknown function (DUF5449)', NULL, 'DUF5449', NULL, NULL, NULL, 6),
(13762, NULL, 'PF17054', NULL, NULL, 'Microtubule-Associated protein Jupiter', NULL, 'JUPITER', NULL, NULL, NULL, 6),
(13763, NULL, 'PF02197', NULL, NULL, 'Regulatory subunit of type II PKA R-subunit', NULL, 'RIIa', NULL, NULL, NULL, 6),
(13764, NULL, 'PF06217', NULL, NULL, 'GAGA binding protein-like family', NULL, 'GAGA_bind', NULL, NULL, NULL, 6),
(13765, NULL, 'PF09907', NULL, NULL, 'HigB_toxin, RelE-like toxic component of a toxin-antitoxin system', NULL, 'HigB_toxin', NULL, NULL, NULL, 6),
(13766, NULL, 'PF02050', NULL, NULL, 'Flagellar FliJ protein', NULL, 'FliJ', NULL, NULL, NULL, 6),
(13767, NULL, 'PF08444', NULL, NULL, 'Aralkyl acyl-CoA:amino acid N-acyltransferase, C-terminal region', NULL, 'Gly_acyl_tr_C', NULL, NULL, NULL, 6),
(13768, NULL, 'PF17338', NULL, NULL, 'Gene product 88', NULL, 'GP88', NULL, NULL, NULL, 6),
(13769, NULL, 'PF16034', NULL, NULL, 'JAKMIP CC3 domain', NULL, 'JAKMIP_CC3', NULL, NULL, NULL, 6),
(13770, NULL, 'PF17863', NULL, NULL, 'AAA lid domain', NULL, 'AAA_lid_2', NULL, NULL, NULL, 6),
(13771, NULL, 'PF19003', NULL, NULL, 'Family of unknown function (DUF5732)', NULL, 'DUF5732', NULL, NULL, NULL, 6),
(13772, NULL, 'PF03738', NULL, NULL, 'Glutathionylspermidine synthase preATP-grasp', NULL, 'GSP_synth', NULL, NULL, NULL, 6),
(13773, NULL, 'PF15617', NULL, NULL, 'C-C_Bond_Lyase of the TIM-Barrel fold', NULL, 'C-C_Bond_Lyase', NULL, NULL, NULL, 6),
(13774, NULL, 'PF03065', NULL, NULL, 'Glycosyl hydrolase family 57', NULL, 'Glyco_hydro_57', NULL, NULL, NULL, 6),
(13775, NULL, 'PF03461', NULL, NULL, 'TRCF domain', NULL, 'TRCF', NULL, NULL, NULL, 6),
(13776, NULL, 'PF03252', NULL, NULL, 'Herpesvirus UL21', NULL, 'Herpes_UL21', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13777, NULL, 'PF12248', NULL, NULL, 'Farnesoic acid 0-methyl transferase', NULL, 'Methyltransf_FA', NULL, NULL, NULL, 6),
(13778, NULL, 'PF14793', NULL, NULL, 'Pyrimidine/purine nucleotide 5''-monophosphate nucleosidases', NULL, 'DUF4478', NULL, NULL, NULL, 6),
(13779, NULL, 'PF19044', NULL, NULL, 'TraG P-loop domain', NULL, 'P-loop_TraG', NULL, NULL, NULL, 6),
(13780, NULL, 'PF04158', NULL, NULL, 'Sof1-like domain', NULL, 'Sof1', NULL, NULL, NULL, 6),
(13781, NULL, 'PF07525', NULL, NULL, 'SOCS box', NULL, 'SOCS_box', NULL, NULL, NULL, 6),
(13782, NULL, 'PF10097', NULL, NULL, 'Predicted membrane protein (DUF2335)', NULL, 'DUF2335', NULL, NULL, NULL, 6),
(13783, NULL, 'PF10703', NULL, NULL, 'MoaF N-terminal domain', NULL, 'MoaF', NULL, NULL, NULL, 6),
(13784, NULL, 'PF12118', NULL, NULL, 'SprA-related family', NULL, 'SprA-related', NULL, NULL, NULL, 6),
(13785, NULL, 'PF17918', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_15', NULL, NULL, NULL, 6),
(13786, NULL, 'PF00745', NULL, NULL, 'Glutamyl-tRNAGlu reductase, dimerisation domain', NULL, 'GlutR_dimer', NULL, NULL, NULL, 6),
(13787, NULL, 'PF17003', NULL, NULL, 'Putative actin-like family', NULL, 'Actin_micro', NULL, NULL, NULL, 6),
(13788, NULL, 'PF10203', NULL, NULL, 'Cytochrome c oxidase assembly protein PET191', NULL, 'Pet191_N', NULL, NULL, NULL, 6),
(13789, NULL, 'PF05857', NULL, NULL, 'TraX protein', NULL, 'TraX', NULL, NULL, NULL, 6),
(13790, NULL, 'PF04495', NULL, NULL, 'GRASP55/65 PDZ-like domain', NULL, 'GRASP55_65', NULL, NULL, NULL, 6),
(13791, NULL, 'PF11593', NULL, NULL, 'Mediator complex subunit 3 fungal', NULL, 'Med3', NULL, NULL, NULL, 6),
(13792, NULL, 'PF13389', NULL, NULL, 'Protein of unknown function (DUF4107)', NULL, 'DUF4107', NULL, NULL, NULL, 6),
(13793, NULL, 'PF04834', NULL, NULL, 'Early E3 14.5 kDa protein', NULL, 'Adeno_E3_14_5', NULL, NULL, NULL, 6),
(13794, NULL, 'PF11992', NULL, NULL, 'Domain of unknown function (DUF3488)', NULL, 'DUF3488', NULL, NULL, NULL, 6),
(13795, NULL, 'PF15350', NULL, NULL, 'Ewing''s tumour-associated antigen 1 homologue', NULL, 'ETAA1', NULL, NULL, NULL, 6),
(13796, NULL, 'PF10400', NULL, NULL, 'Virulence activator alpha C-term', NULL, 'Vir_act_alpha_C', NULL, NULL, NULL, 6),
(13797, NULL, 'PF13012', NULL, NULL, 'Maintenance of mitochondrial structure and function', NULL, 'MitMem_reg', NULL, NULL, NULL, 6),
(13798, NULL, 'PF09868', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2095)', NULL, 'DUF2095', NULL, NULL, NULL, 6),
(13799, NULL, 'PF19007', NULL, NULL, 'Family of unknown function (DUF5736)', NULL, 'DUF5736', NULL, NULL, NULL, 6),
(13800, NULL, 'PF01642', NULL, NULL, 'Methylmalonyl-CoA mutase', NULL, 'MM_CoA_mutase', NULL, NULL, NULL, 6),
(13801, NULL, 'PF02256', NULL, NULL, 'Iron hydrogenase small subunit', NULL, 'Fe_hyd_SSU', NULL, NULL, NULL, 6),
(13802, NULL, 'PF03080', NULL, NULL, 'Neprosin', NULL, 'Neprosin', NULL, NULL, NULL, 6),
(13803, NULL, 'PF11414', NULL, NULL, 'Adenomatous polyposis coli tumour suppressor protein', NULL, 'Suppressor_APC', NULL, NULL, NULL, 6),
(13804, NULL, 'PF04906', NULL, NULL, 'Tweety', NULL, 'Tweety', NULL, NULL, NULL, 6),
(13805, NULL, 'PF05009', NULL, NULL, 'Epstein-Barr virus nuclear antigen 3 (EBNA-3)', NULL, 'EBV-NA3', NULL, NULL, NULL, 6),
(13806, NULL, 'PF19124', NULL, NULL, 'Family of unknown function (DUF5808)', NULL, 'DUF5808', NULL, NULL, NULL, 6),
(13807, NULL, 'PF15948', NULL, NULL, 'Domain of unknown function (DUF4756)', NULL, 'DUF4756', NULL, NULL, NULL, 6),
(13808, NULL, 'PF00249', NULL, NULL, 'Myb-like DNA-binding domain', NULL, 'Myb_DNA-binding', NULL, NULL, NULL, 6),
(13809, NULL, 'PF04634', NULL, NULL, 'Protein of unknown function, DUF600', NULL, 'DUF600', NULL, NULL, NULL, 6),
(13810, NULL, 'PF01314', NULL, NULL, 'Aldehyde ferredoxin oxidoreductase, domains 2 & 3', NULL, 'AFOR_C', NULL, NULL, NULL, 6),
(13811, NULL, 'PF10866', NULL, NULL, 'Protein of unknown function (DUF2704)', NULL, 'DUF2704', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13812, NULL, 'PF06075', NULL, NULL, 'Plant protein of unknown function (DUF936)', NULL, 'DUF936', NULL, NULL, NULL, 6),
(13813, NULL, 'PF05556', NULL, NULL, 'Calcineurin-binding protein (Calsarcin)', NULL, 'Calsarcin', NULL, NULL, NULL, 6),
(13814, NULL, 'PF06078', NULL, NULL, 'Bacterial protein of unknown function (DUF937)', NULL, 'DUF937', NULL, NULL, NULL, 6),
(13815, NULL, 'PF02099', NULL, NULL, 'Josephin', NULL, 'Josephin', NULL, NULL, NULL, 6),
(13816, NULL, 'PF13600', NULL, NULL, 'N-terminal domain of unknown function (DUF4140)', NULL, 'DUF4140', NULL, NULL, NULL, 6),
(13817, NULL, 'PF18738', NULL, NULL, 'DZIP3/ hRUL138-like HEPN', NULL, 'HEPN_DZIP3', NULL, NULL, NULL, 6),
(13818, NULL, 'PF04417', NULL, NULL, 'Protein of unknown function (DUF501)', NULL, 'DUF501', NULL, NULL, NULL, 6),
(13819, NULL, 'PF01542', NULL, NULL, 'Hepatitis C virus core protein', NULL, 'HCV_core', NULL, NULL, NULL, 6),
(13820, NULL, 'PF02444', NULL, NULL, 'Hepatitis E virus ORF-2 (Putative capsid protein)', NULL, 'HEV_ORF1', NULL, NULL, NULL, 6),
(13821, NULL, 'PF17859', NULL, NULL, 'Pelovaterin', NULL, 'Pelovaterin', NULL, NULL, NULL, 6),
(13822, NULL, 'PF17400', NULL, NULL, 'Family of unknown function (DUF5406)', NULL, 'DUF5406', NULL, NULL, NULL, 6),
(13823, NULL, 'PF15934', NULL, NULL, 'Yuri gagarin', NULL, 'Yuri_gagarin', NULL, NULL, NULL, 6),
(13824, NULL, 'PF10539', NULL, NULL, 'Development and cell death domain', NULL, 'Dev_Cell_Death', NULL, NULL, NULL, 6),
(13825, NULL, 'PF13864', NULL, NULL, 'Calmodulin-binding', NULL, 'Enkurin', NULL, NULL, NULL, 6),
(13826, NULL, 'PF01937', NULL, NULL, 'Protein of unknown function DUF89', NULL, 'DUF89', NULL, NULL, NULL, 6),
(13827, NULL, 'PF12705', NULL, NULL, 'PD-(D/E)XK nuclease superfamily', NULL, 'PDDEXK_1', NULL, NULL, NULL, 6),
(13828, NULL, 'PF11780', NULL, NULL, 'Protein of unknown function (DUF3318)', NULL, 'DUF3318', NULL, NULL, NULL, 6),
(13829, NULL, 'PF14830', NULL, NULL, 'Haemocyanin beta-sandwich', NULL, 'Haemocyan_bet_s', NULL, NULL, NULL, 6),
(13830, NULL, 'PF16009', NULL, NULL, 'Domain of unknown function (DUF4779)', NULL, 'DUF4779', NULL, NULL, NULL, 6),
(13831, NULL, 'PF03088', NULL, NULL, 'Strictosidine synthase', NULL, 'Str_synth', NULL, NULL, NULL, 6),
(13832, NULL, 'PF07809', NULL, NULL, 'RTP801 C-terminal region', NULL, 'RTP801_C', NULL, NULL, NULL, 6),
(13833, NULL, 'PF08222', NULL, NULL, 'CodY helix-turn-helix domain', NULL, 'HTH_CodY', NULL, NULL, NULL, 6),
(13834, NULL, 'PF17215', NULL, NULL, 'S1 domain', NULL, 'Rrp44_S1', NULL, NULL, NULL, 6),
(13835, NULL, 'PF08721', NULL, NULL, 'TnsA endonuclease C terminal', NULL, 'Tn7_Tnp_TnsA_C', NULL, NULL, NULL, 6),
(13836, NULL, 'PF08973', NULL, NULL, 'Domain of unknown function (DUF1893)', NULL, 'TM1506', NULL, NULL, NULL, 6),
(13837, NULL, 'PF07697', NULL, NULL, '7TM-HD extracellular', NULL, '7TMR-HDED', NULL, NULL, NULL, 6),
(13838, NULL, 'PF01896', NULL, NULL, 'DNA primase small subunit', NULL, 'DNA_primase_S', NULL, NULL, NULL, 6),
(13839, NULL, 'PF14869', NULL, NULL, 'Domain of unknown function (DUF4488)', NULL, 'DUF4488', NULL, NULL, NULL, 6),
(13840, NULL, 'PF18326', NULL, NULL, 'RFX5 N-terminal domain', NULL, 'RFX5_N', NULL, NULL, NULL, 6),
(13841, NULL, 'PF05817', NULL, NULL, 'Oligosaccharyltransferase subunit Ribophorin II', NULL, 'Ribophorin_II', NULL, NULL, NULL, 6),
(13842, NULL, 'PF08667', NULL, NULL, 'BetR domain', NULL, 'BetR', NULL, NULL, NULL, 6),
(13843, NULL, 'PF11790', NULL, NULL, 'Glycosyl hydrolase catalytic core', NULL, 'Glyco_hydro_cc', NULL, NULL, NULL, 6),
(13844, NULL, 'PF15097', NULL, NULL, 'Immunoglobulin J chain', NULL, 'Ig_J_chain', NULL, NULL, NULL, 6),
(13845, NULL, 'PF00156', NULL, NULL, 'Phosphoribosyl transferase domain', NULL, 'Pribosyltran', NULL, NULL, NULL, 6),
(13846, NULL, 'PF11826', NULL, NULL, 'Protein of unknown function (DUF3346)', NULL, 'DUF3346', NULL, NULL, NULL, 6),
(13847, NULL, 'PF15433', NULL, NULL, 'Mitochondrial 28S ribosomal protein S31', NULL, 'MRP-S31', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13848, NULL, 'PF01619', NULL, NULL, 'Proline dehydrogenase', NULL, 'Pro_dh', NULL, NULL, NULL, 6),
(13849, NULL, 'PF16041', NULL, NULL, 'Domain of unknown function (DUF4793)', NULL, 'DUF4793', NULL, NULL, NULL, 6),
(13850, NULL, 'PF09938', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2170)', NULL, 'DUF2170', NULL, NULL, NULL, 6),
(13851, NULL, 'PF14518', NULL, NULL, 'Iron-containing redox enzyme', NULL, 'Haem_oxygenas_2', NULL, NULL, NULL, 6),
(13852, NULL, 'PF17412', NULL, NULL, 'Family of unknown function', NULL, 'VraX', NULL, NULL, NULL, 6),
(13853, NULL, 'PF14400', NULL, NULL, 'Inactive transglutaminase fused to 7 transmembrane helices', NULL, 'Transglut_i_TM', NULL, NULL, NULL, 6),
(13854, NULL, 'PF09856', NULL, NULL, 'Short-chain fatty acyl coenzyme A regulators', NULL, 'ScfRs', NULL, NULL, NULL, 6),
(13855, NULL, 'PF09974', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2209)', NULL, 'DUF2209', NULL, NULL, NULL, 6),
(13856, NULL, 'PF19119', NULL, NULL, 'Family of unknown function (DUF5803)', NULL, 'DUF5803', NULL, NULL, NULL, 6),
(13857, NULL, 'PF05760', NULL, NULL, 'Immediate early response protein (IER)', NULL, 'IER', NULL, NULL, NULL, 6),
(13858, NULL, 'PF03912', NULL, NULL, 'Psb28 protein', NULL, 'Psb28', NULL, NULL, NULL, 6),
(13859, NULL, 'PF07103', NULL, NULL, 'Protein of unknown function (DUF1365)', NULL, 'DUF1365', NULL, NULL, NULL, 6),
(13860, NULL, 'PF14569', NULL, NULL, 'Zinc-binding RING-finger', NULL, 'zf-UDP', NULL, NULL, NULL, 6),
(13861, NULL, 'PF17570', NULL, NULL, 'Family of unknown function (DUF5476)', NULL, 'DUF5476', NULL, NULL, NULL, 6),
(13862, NULL, 'PF11211', NULL, NULL, 'Protein of unknown function (DUF2997)', NULL, 'DUF2997', NULL, NULL, NULL, 6),
(13863, NULL, 'PF04133', NULL, NULL, 'Vacuolar protein sorting 55', NULL, 'Vps55', NULL, NULL, NULL, 6),
(13864, NULL, 'PF06912', NULL, NULL, 'Protein of unknown function (DUF1275)', NULL, 'DUF1275', NULL, NULL, NULL, 6),
(13865, NULL, 'PF17041', NULL, NULL, 'E domain', NULL, 'SasG_E', NULL, NULL, NULL, 6),
(13866, NULL, 'PF15255', NULL, NULL, 'WASH complex subunit CAP-Z interacting, central region', NULL, 'CAP-ZIP_m', NULL, NULL, NULL, 6),
(13867, NULL, 'PF16023', NULL, NULL, 'Domain of unknown function (DUF4784)', NULL, 'DUF4784', NULL, NULL, NULL, 6),
(13868, NULL, 'PF02868', NULL, NULL, 'Thermolysin metallopeptidase, alpha-helical domain', NULL, 'Peptidase_M4_C', NULL, NULL, NULL, 6),
(13869, NULL, 'PF08752', NULL, NULL, 'Coatomer gamma subunit appendage platform subdomain', NULL, 'COP-gamma_platf', NULL, NULL, NULL, 6),
(13870, NULL, 'PF04623', NULL, NULL, 'Adenovirus E1B protein N-terminus', NULL, 'Adeno_E1B_55K_N', NULL, NULL, NULL, 6),
(13871, NULL, 'PF00128', NULL, NULL, 'Alpha amylase, catalytic domain', NULL, 'Alpha-amylase', NULL, NULL, NULL, 6),
(13872, NULL, 'PF05966', NULL, NULL, 'Chordopoxvirus A33R protein', NULL, 'Chordopox_A33R', NULL, NULL, NULL, 6),
(13873, NULL, 'PF06656', NULL, NULL, 'Tenuivirus PVC2 protein', NULL, 'Tenui_PVC2', NULL, NULL, NULL, 6),
(13874, NULL, 'PF16731', NULL, NULL, 'Glutamic acid/alanine-rich protein of Trypanosoma', NULL, 'GARP', NULL, NULL, NULL, 6),
(13875, NULL, 'PF02255', NULL, NULL, 'PTS system, Lactose/Cellobiose specific IIA subunit', NULL, 'PTS_IIA', NULL, NULL, NULL, 6),
(13876, NULL, 'PF15818', NULL, NULL, 'Coiled-coil domain-containing protein 73 family', NULL, 'CCDC73', NULL, NULL, NULL, 6),
(13877, NULL, 'PF17821', NULL, NULL, 'Family of unknown function (DUF5583)', NULL, 'DUF5583', NULL, NULL, NULL, 6),
(13878, NULL, 'PF18389', NULL, NULL, 'TrmO C-terminal domain', NULL, 'TrmO_C', NULL, NULL, NULL, 6),
(13879, NULL, 'PF07001', NULL, NULL, 'BAT2 N-terminus', NULL, 'BAT2_N', NULL, NULL, NULL, 6),
(13880, NULL, 'PF13874', NULL, NULL, 'Nucleoporin complex subunit 54', NULL, 'Nup54', NULL, NULL, NULL, 6),
(13881, NULL, 'PF05957', NULL, NULL, 'DUF883 N-terminal domain', NULL, 'DUF883', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13882, NULL, 'PF14733', NULL, NULL, 'AP2-coincident C-terminal', NULL, 'ACDC', NULL, NULL, NULL, 6),
(13883, NULL, 'PF18022', NULL, NULL, 'Ricin-type beta-trefoil lectin C-terminal domain', NULL, 'Lectin_C_term', NULL, NULL, NULL, 6),
(13884, NULL, 'PF05416', NULL, NULL, 'Southampton virus-type processing peptidase', NULL, 'Peptidase_C37', NULL, NULL, NULL, 6),
(13885, NULL, 'PF09929', NULL, NULL, 'Putative PD-(D/E)XK phosphodiesterase (DUF2161)', NULL, 'DUF2161', NULL, NULL, NULL, 6),
(13886, NULL, 'PF13259', NULL, NULL, 'Protein of unknown function (DUF4050)', NULL, 'DUF4050', NULL, NULL, NULL, 6),
(13887, NULL, 'PF06718', NULL, NULL, 'Protein of unknown function (DUF1203)', NULL, 'DUF1203', NULL, NULL, NULL, 6),
(13888, NULL, 'PF02176', NULL, NULL, 'TRAF-type zinc finger', NULL, 'zf-TRAF', NULL, NULL, NULL, 6),
(13889, NULL, 'PF14798', NULL, NULL, 'Calcium homeostasis modulator', NULL, 'Ca_hom_mod', NULL, NULL, NULL, 6),
(13890, NULL, 'PF15803', NULL, NULL, 'Zinc-finger of sodium channel modifier 1', NULL, 'zf-SCNM1', NULL, NULL, NULL, 6),
(13891, NULL, 'PF15160', NULL, NULL, 'Spermatogenesis-associated serine-rich protein 1', NULL, 'SASRP1', NULL, NULL, NULL, 6),
(13892, NULL, 'PF17851', NULL, NULL, 'Beta xylosidase C-terminal Concanavalin A-like domain', NULL, 'GH43_C2', NULL, NULL, NULL, 6),
(13893, NULL, 'PF01634', NULL, NULL, 'ATP phosphoribosyltransferase', NULL, 'HisG', NULL, NULL, NULL, 6),
(13894, NULL, 'PF12938', NULL, NULL, 'M domain of GW182', NULL, 'M_domain', NULL, NULL, NULL, 6),
(13895, NULL, 'PF02616', NULL, NULL, 'Segregation and condensation protein ScpA', NULL, 'SMC_ScpA', NULL, NULL, NULL, 6),
(13896, NULL, 'PF00177', NULL, NULL, 'Ribosomal protein S7p/S5e', NULL, 'Ribosomal_S7', NULL, NULL, NULL, 6),
(13897, NULL, 'PF10214', NULL, NULL, 'RNA polymerase I-specific transcription-initiation factor', NULL, 'Rrn6', NULL, NULL, NULL, 6),
(13898, NULL, 'PF16785', NULL, NULL, 'Small metal-binding protein', NULL, 'SMBP', NULL, NULL, NULL, 6),
(13899, NULL, 'PF12042', NULL, NULL, 'Tubuliform egg casing silk strands structural domain', NULL, 'RP1-2', NULL, NULL, NULL, 6),
(13900, NULL, 'PF19066', NULL, NULL, 'Family of unknown function (DUF5762)', NULL, 'DUF5762', NULL, NULL, NULL, 6),
(13901, NULL, 'PF18252', NULL, NULL, 'Copper(I)-binding protein CorA', NULL, 'Cu_bind_CorA', NULL, NULL, NULL, 6),
(13902, NULL, 'PF01609', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1', NULL, NULL, NULL, 6),
(13903, NULL, 'PF13701', NULL, NULL, 'Transposase DDE domain group 1', NULL, 'DDE_Tnp_1_4', NULL, NULL, NULL, 6),
(13904, NULL, 'PF00205', NULL, NULL, 'Thiamine pyrophosphate enzyme, central domain', NULL, 'TPP_enzyme_M', NULL, NULL, NULL, 6),
(13905, NULL, 'PF05349', NULL, NULL, 'GATA-type transcription activator, N-terminal', NULL, 'GATA-N', NULL, NULL, NULL, 6),
(13906, NULL, 'PF05613', NULL, NULL, 'Human herpesvirus U15 protein', NULL, 'Herpes_U15', NULL, NULL, NULL, 6),
(13907, NULL, 'PF18777', NULL, NULL, 'Chromosome region maintenance or exportin repeat', NULL, 'CRM1_repeat', NULL, NULL, NULL, 6),
(13908, NULL, 'PF03141', NULL, NULL, 'Putative S-adenosyl-L-methionine-dependent methyltransferase', NULL, 'Methyltransf_29', NULL, NULL, NULL, 6),
(13909, NULL, 'PF18589', NULL, NULL, 'Obesity receptor immunoglobulin like domain', NULL, 'ObR_Ig', NULL, NULL, NULL, 6),
(13910, NULL, 'PF14200', NULL, NULL, 'Ricin-type beta-trefoil lectin domain-like', NULL, 'RicinB_lectin_2', NULL, NULL, NULL, 6),
(13911, NULL, 'PF08405', NULL, NULL, 'Viral polyprotein N-terminal', NULL, 'Calici_PP_N', NULL, NULL, NULL, 6),
(13912, NULL, 'PF06933', NULL, NULL, 'Special lobe-specific silk protein SSP160', NULL, 'SSP160', NULL, NULL, NULL, 6),
(13913, NULL, 'PF14486', NULL, NULL, 'Domain of unknown function (DUF4432)', NULL, 'DUF4432', NULL, NULL, NULL, 6),
(13914, NULL, 'PF19037', NULL, NULL, 'Second Longin domain of FUZ, MON1 and HPS1', NULL, 'Fuz_longin_2', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13915, NULL, 'PF11230', NULL, NULL, 'Protein of unknown function (DUF3029)', NULL, 'DUF3029', NULL, NULL, NULL, 6),
(13916, NULL, 'PF10821', NULL, NULL, 'Protein of unknown function (DUF2567)', NULL, 'DUF2567', NULL, NULL, NULL, 6),
(13917, NULL, 'PF07877', NULL, NULL, 'Protein of unknown function (DUF1661)', NULL, 'DUF1661', NULL, NULL, NULL, 6),
(13918, NULL, 'PF19051', NULL, NULL, 'Oxidoreductase family, C-terminal alpha/beta domain', NULL, 'GFO_IDH_MocA_C2', NULL, NULL, NULL, 6),
(13919, NULL, 'PF05992', NULL, NULL, 'SbmA/BacA-like family', NULL, 'SbmA_BacA', NULL, NULL, NULL, 6),
(13920, NULL, 'PF17495', NULL, NULL, 'Vpr-like OrfA', NULL, 'OrfA', NULL, NULL, NULL, 6),
(13921, NULL, 'PF01820', NULL, NULL, 'D-ala D-ala ligase N-terminus', NULL, 'Dala_Dala_lig_N', NULL, NULL, NULL, 6),
(13922, NULL, 'PF10767', NULL, NULL, 'Protein of unknown function (DUF2593)', NULL, 'DUF2593', NULL, NULL, NULL, 6),
(13923, NULL, 'PF07467', NULL, NULL, 'Beta-lactamase inhibitor (BLIP)', NULL, 'BLIP', NULL, NULL, NULL, 6),
(13924, NULL, 'PF07403', NULL, NULL, 'Protein of unknown function (DUF1505)', NULL, 'DUF1505', NULL, NULL, NULL, 6),
(13925, NULL, 'PF02583', NULL, NULL, 'Metal-sensitive transcriptional repressor', NULL, 'Trns_repr_metal', NULL, NULL, NULL, 6),
(13926, NULL, 'PF06478', NULL, NULL, 'Coronavirus RNA-dependent RNA polymerase, N-terminal', NULL, 'CoV_RPol_N', NULL, NULL, NULL, 6),
(13927, NULL, 'PF09497', NULL, NULL, 'Transcription mediator complex subunit Med12', NULL, 'Med12', NULL, NULL, NULL, 6),
(13928, NULL, 'PF16741', NULL, NULL, 'mRNA-decapping enzyme C-terminus', NULL, 'mRNA_decap_C', NULL, NULL, NULL, 6),
(13929, NULL, 'PF12120', NULL, NULL, 'Rifampin ADP-ribosyl transferase', NULL, 'Arr-ms', NULL, NULL, NULL, 6),
(13930, NULL, 'PF06314', NULL, NULL, 'Acetoacetate decarboxylase (ADC)', NULL, 'ADC', NULL, NULL, NULL, 6),
(13931, NULL, 'PF13061', NULL, NULL, 'Protein of unknown function (DUF3923)', NULL, 'DUF3923', NULL, NULL, NULL, 6),
(13932, NULL, 'PF14981', NULL, NULL, 'FAM165 family', NULL, 'FAM165', NULL, NULL, NULL, 6),
(13933, NULL, 'PF03020', NULL, NULL, 'LEM domain', NULL, 'LEM', NULL, NULL, NULL, 6),
(13934, NULL, 'PF17228', NULL, NULL, 'Sulphur globule protein', NULL, 'SGP', NULL, NULL, NULL, 6),
(13935, NULL, 'PF10088', NULL, NULL, 'Uncharacterised protein conserved in bacteria (DUF2326)', NULL, 'DUF2326', NULL, NULL, NULL, 6),
(13936, NULL, 'PF06398', NULL, NULL, 'Integral peroxisomal membrane peroxin', NULL, 'Pex24p', NULL, NULL, NULL, 6),
(13937, NULL, 'PF12415', NULL, NULL, 'Poxvirus DNA dependent RNA polymerase', NULL, 'rpo132', NULL, NULL, NULL, 6),
(13938, NULL, 'PF15169', NULL, NULL, 'Cytochrome b-245 chaperone 1 / Eros', NULL, 'Cybc1_Eros', NULL, NULL, NULL, 6),
(13939, NULL, 'PF19100', NULL, NULL, 'Family of unknown function (DUF5787)', NULL, 'DUF5787', NULL, NULL, NULL, 6),
(13940, NULL, 'PF07331', NULL, NULL, 'Tripartite tricarboxylate transporter TctB family', NULL, 'TctB', NULL, NULL, NULL, 6),
(13941, NULL, 'PF10230', NULL, NULL, 'Lipid-droplet associated hydrolase', NULL, 'LIDHydrolase', NULL, NULL, NULL, 6),
(13942, NULL, 'PF15712', NULL, NULL, 'NPAT C terminus', NULL, 'NPAT_C', NULL, NULL, NULL, 6),
(13943, NULL, 'PF17466', NULL, NULL, 'Family of unknown function', NULL, 'NinD', NULL, NULL, NULL, 6),
(13944, NULL, 'PF11560', NULL, NULL, 'Lamina-associated polypeptide 2 alpha', NULL, 'LAP2alpha', NULL, NULL, NULL, 6),
(13945, NULL, 'PF07544', NULL, NULL, 'RNA polymerase II transcription mediator complex subunit 9', NULL, 'Med9', NULL, NULL, NULL, 6),
(13946, NULL, 'PF04554', NULL, NULL, 'Extensin-like region', NULL, 'Extensin_2', NULL, NULL, NULL, 6),
(13947, NULL, 'PF05207', NULL, NULL, 'CSL zinc finger', NULL, 'zf-CSL', NULL, NULL, NULL, 6),
(13948, NULL, 'PF02606', NULL, NULL, 'Tetraacyldisaccharide-1-P 4''-kinase', NULL, 'LpxK', NULL, NULL, NULL, 6),
(13949, NULL, 'PF14635', NULL, NULL, 'Helix-hairpin-helix motif', NULL, 'HHH_7', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13950, NULL, 'PF07740', NULL, NULL, 'Ion channel inhibitory toxin', NULL, 'Toxin_12', NULL, NULL, NULL, 6),
(13951, NULL, 'PF02416', NULL, NULL, 'mttA/Hcf106 family', NULL, 'TatA_B_E', NULL, NULL, NULL, 6),
(13952, NULL, 'PF09174', NULL, NULL, 'Maf1 regulator', NULL, 'Maf1', NULL, NULL, NULL, 6),
(13953, NULL, 'PF12379', NULL, NULL, 'Betacoronavirus replicase NSP3, N-terminal', NULL, 'bCoV_NSP3_N', NULL, NULL, NULL, 6),
(13954, NULL, 'PF09019', NULL, NULL, 'EcoRII C terminal', NULL, 'EcoRII-C', NULL, NULL, NULL, 6),
(13955, NULL, 'PF05088', NULL, NULL, 'Bacterial NAD-glutamate dehydrogenase', NULL, 'Bac_GDH', NULL, NULL, NULL, 6),
(13956, NULL, 'PF03338', NULL, NULL, 'Poxvirus J1 protein', NULL, 'Pox_J1', NULL, NULL, NULL, 6),
(13957, NULL, 'PF05585', NULL, NULL, 'Putative peptidase (DUF1758)', NULL, 'DUF1758', NULL, NULL, NULL, 6),
(13958, NULL, 'PF07944', NULL, NULL, 'Beta-L-arabinofuranosidase, GH127', NULL, 'Glyco_hydro_127', NULL, NULL, NULL, 6),
(13959, NULL, 'PF10067', NULL, NULL, 'Predicted membrane protein (DUF2306)', NULL, 'DUF2306', NULL, NULL, NULL, 6),
(13960, NULL, 'PF00200', NULL, NULL, 'Disintegrin', NULL, 'Disintegrin', NULL, NULL, NULL, 6),
(13961, NULL, 'PF05618', NULL, NULL, 'Putative ATP-dependant zinc protease', NULL, 'Zn_protease', NULL, NULL, NULL, 6),
(13962, NULL, 'PF00518', NULL, NULL, 'Early Protein (E6)', NULL, 'E6', NULL, NULL, NULL, 6),
(13963, NULL, 'PF14288', NULL, NULL, '1,3-beta-glucan synthase subunit FKS1, domain-1', NULL, 'FKS1_dom1', NULL, NULL, NULL, 6),
(13964, NULL, 'PF17808', NULL, NULL, 'Fn3-like domain from Purple Acid Phosphatase', NULL, 'fn3_PAP', NULL, NULL, NULL, 6),
(13965, NULL, 'PF19180', NULL, NULL, 'Family of unknown function (DUF5862)', NULL, 'DUF5862', NULL, NULL, NULL, 6),
(13966, NULL, 'PF00353', NULL, NULL, 'RTX calcium-binding nonapeptide repeat (4 copies)', NULL, 'HemolysinCabind', NULL, NULL, NULL, 6),
(13967, NULL, 'PF17131', NULL, NULL, 'Outer membrane lipoprotein-sorting protein', NULL, 'LolA_like', NULL, NULL, NULL, 6),
(13968, NULL, 'PF05941', NULL, NULL, 'Chordopoxvirus A20R protein', NULL, 'Chordopox_A20R', NULL, NULL, NULL, 6),
(13969, NULL, 'PF06020', NULL, NULL, 'Drosophila roughex protein', NULL, 'Roughex', NULL, NULL, NULL, 6),
(13970, NULL, 'PF06696', NULL, NULL, 'Streptococcal surface antigen repeat', NULL, 'Strep_SA_rep', NULL, NULL, NULL, 6),
(13971, NULL, 'PF06581', NULL, NULL, 'Mad1 and Cdc20-bound-Mad2 binding', NULL, 'p31comet', NULL, NULL, NULL, 6),
(13972, NULL, 'PF08666', NULL, NULL, 'SAF domain', NULL, 'SAF', NULL, NULL, NULL, 6),
(13973, NULL, 'PF07574', NULL, NULL, 'Nse1 non-SMC component of SMC5-6 complex', NULL, 'SMC_Nse1', NULL, NULL, NULL, 6),
(13974, NULL, 'PF11157', NULL, NULL, 'Protein of unknown function (DUF2937)', NULL, 'DUF2937', NULL, NULL, NULL, 6),
(13975, NULL, 'PF02167', NULL, NULL, 'Cytochrome C1 family', NULL, 'Cytochrom_C1', NULL, NULL, NULL, 6),
(13976, NULL, 'PF11794', NULL, NULL, '4-hydroxyphenylacetate 3-hydroxylase N terminal', NULL, 'HpaB_N', NULL, NULL, NULL, 6),
(13977, NULL, 'PF14341', NULL, NULL, 'PilX N-terminal', NULL, 'PilX_N', NULL, NULL, NULL, 6),
(13978, NULL, 'PF16299', NULL, NULL, 'Domain of unknown function (DUF4941)', NULL, 'DUF4941', NULL, NULL, NULL, 6),
(13979, NULL, 'PF08759', NULL, NULL, 'Glycosyltransferase GT-D fold', NULL, 'GT-D', NULL, NULL, NULL, 6),
(13980, NULL, 'PF02818', NULL, NULL, 'PPAK motif', NULL, 'PPAK', NULL, NULL, NULL, 6),
(13981, NULL, 'PF05915', NULL, NULL, 'Eukaryotic protein of unknown function (DUF872)', NULL, 'DUF872', NULL, NULL, NULL, 6),
(13982, NULL, 'PF02951', NULL, NULL, 'Prokaryotic glutathione synthetase, N-terminal domain', NULL, 'GSH-S_N', NULL, NULL, NULL, 6),
(13983, NULL, 'PF07171', NULL, NULL, 'MlrC C-terminus', NULL, 'MlrC_C', NULL, NULL, NULL, 6),
(13984, NULL, 'PF04186', NULL, NULL, 'FxsA cytoplasmic membrane protein', NULL, 'FxsA', NULL, NULL, NULL, 6),
(13985, NULL, 'PF16946', NULL, NULL, 'OMPG-porin 1 family', NULL, 'Porin_OmpG_1_2', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(13986, NULL, 'PF08892', NULL, NULL, 'YqcI/YcgG family', NULL, 'YqcI_YcgG', NULL, NULL, NULL, 6),
(13987, NULL, 'PF11966', NULL, NULL, 'SSURE domain', NULL, 'SSURE', NULL, NULL, NULL, 6),
(13988, NULL, 'PF03269', NULL, NULL, 'Caenorhabditis protein of unknown function, DUF268', NULL, 'DUF268', NULL, NULL, NULL, 6),
(13989, NULL, 'PF13264', NULL, NULL, 'Domain of unknown function (DUF4055)', NULL, 'DUF4055', NULL, NULL, NULL, 6),
(13990, NULL, 'PF04544', NULL, NULL, 'Herpesvirus egress protein UL20', NULL, 'Herpes_UL20', NULL, NULL, NULL, 6),
(13991, NULL, 'PF15784', NULL, NULL, 'G-protein pathway suppressor 2-interacting domain', NULL, 'GPS2_interact', NULL, NULL, NULL, 6),
(13992, NULL, 'PF08482', NULL, NULL, 'ATP-dependent helicase C-terminal', NULL, 'HrpB_C', NULL, NULL, NULL, 6),
(13993, NULL, 'PF06140', NULL, NULL, 'Interferon-induced 6-16 family', NULL, 'Ifi-6-16', NULL, NULL, NULL, 6),
(13994, NULL, 'PF16524', NULL, NULL, 'Periplasmic domain of Sensor histidine kinase RisS', NULL, 'RisS_PPD', NULL, NULL, NULL, 6),
(13995, NULL, 'PF17922', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_17', NULL, NULL, NULL, 6),
(13996, NULL, 'PF02403', NULL, NULL, 'Seryl-tRNA synthetase N-terminal domain', NULL, 'Seryl_tRNA_N', NULL, NULL, NULL, 6),
(13997, NULL, 'PF01079', NULL, NULL, 'Hint module', NULL, 'Hint', NULL, NULL, NULL, 6),
(13998, NULL, 'PF16999', NULL, NULL, 'Vacuolar (H+)-ATPase G subunit', NULL, 'V-ATPase_G_2', NULL, NULL, NULL, 6),
(13999, NULL, 'PF13552', NULL, NULL, 'Protein of unknown function (DUF4127)', NULL, 'DUF4127', NULL, NULL, NULL, 6),
(14000, NULL, 'PF03318', NULL, NULL, 'Clostridium epsilon toxin ETX/Bacillus mosquitocidal toxin MTX2', NULL, 'ETX_MTX2', NULL, NULL, NULL, 6),
(14001, NULL, 'PF13411', NULL, NULL, 'MerR HTH family regulatory protein', NULL, 'MerR_1', NULL, NULL, NULL, 6),
(14002, NULL, 'PF06840', NULL, NULL, 'Protein of unknown function (DUF1241)', NULL, 'DUF1241', NULL, NULL, NULL, 6),
(14003, NULL, 'PF12340', NULL, NULL, 'Protein of unknown function (DUF3638)', NULL, 'DUF3638', NULL, NULL, NULL, 6),
(14004, NULL, 'PF09807', NULL, NULL, 'Elongation complex protein 6', NULL, 'ELP6', NULL, NULL, NULL, 6),
(14005, NULL, 'PF16360', NULL, NULL, 'GTP-binding GTPase Middle Region', NULL, 'GTP-bdg_M', NULL, NULL, NULL, 6),
(14006, NULL, 'PF07648', NULL, NULL, 'Kazal-type serine protease inhibitor domain', NULL, 'Kazal_2', NULL, NULL, NULL, 6),
(14007, NULL, 'PF14334', NULL, NULL, 'Domain of unknown function (DUF4390)', NULL, 'DUF4390', NULL, NULL, NULL, 6),
(14008, NULL, 'PF03733', NULL, NULL, 'Inner membrane component domain', NULL, 'YccF', NULL, NULL, NULL, 6),
(14009, NULL, 'PF18253', NULL, NULL, 'Hsp70-interacting protein N N-terminal domain', NULL, 'HipN', NULL, NULL, NULL, 6),
(14010, NULL, 'PF03295', NULL, NULL, 'Poxvirus trans-activator protein A1 C-terminal', NULL, 'Pox_TAA1', NULL, NULL, NULL, 6),
(14011, NULL, 'PF06505', NULL, NULL, 'Activator of aromatic catabolism', NULL, 'XylR_N', NULL, NULL, NULL, 6),
(14012, NULL, 'PF06223', NULL, NULL, 'Minor tail protein T', NULL, 'Phage_tail_T', NULL, NULL, NULL, 6),
(14013, NULL, 'PF13905', NULL, NULL, 'Thioredoxin-like', NULL, 'Thioredoxin_8', NULL, NULL, NULL, 6),
(14014, NULL, 'PF18435', NULL, NULL, 'Esterase Ig-like N-terminal domain', NULL, 'EstA_Ig_like', NULL, NULL, NULL, 6),
(14015, NULL, 'PF13245', NULL, NULL, 'AAA domain', NULL, 'AAA_19', NULL, NULL, NULL, 6),
(14016, NULL, 'PF10237', NULL, NULL, 'Probable N6-adenine methyltransferase', NULL, 'N6-adenineMlase', NULL, NULL, NULL, 6),
(14017, NULL, 'PF01677', NULL, NULL, 'Herpesvirus UL7 like', NULL, 'Herpes_UL7', NULL, NULL, NULL, 6),
(14018, NULL, 'PF00921', NULL, NULL, 'Borrelia lipoprotein', NULL, 'Lipoprotein_2', NULL, NULL, NULL, 6),
(14019, NULL, 'PF01964', NULL, NULL, 'Radical SAM ThiC family', NULL, 'ThiC_Rad_SAM', NULL, NULL, NULL, 6),
(14020, NULL, 'PF06249', NULL, NULL, 'Ethanolamine utilisation protein EutQ', NULL, 'EutQ', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14021, NULL, 'PF17507', NULL, NULL, 'Family of unknown function (DUF5439)', NULL, 'DUF5439', NULL, NULL, NULL, 6),
(14022, NULL, 'PF07281', NULL, NULL, 'Insulin-induced protein (INSIG)', NULL, 'INSIG', NULL, NULL, NULL, 6),
(14023, NULL, 'PF17885', NULL, NULL, 'Styrene monooxygenase A putative substrate binding domain', NULL, 'Smoa_sbd', NULL, NULL, NULL, 6),
(14024, NULL, 'PF12016', NULL, NULL, 'Stonin 2', NULL, 'Stonin2_N', NULL, NULL, NULL, 6),
(14025, NULL, 'PF05901', NULL, NULL, 'Excalibur calcium-binding domain', NULL, 'Excalibur', NULL, NULL, NULL, 6),
(14026, NULL, 'PF08089', NULL, NULL, 'Huwentoxin-II family', NULL, 'Toxin_20', NULL, NULL, NULL, 6),
(14027, NULL, 'PF11299', NULL, NULL, 'Protein of unknown function (DUF3100)', NULL, 'DUF3100', NULL, NULL, NULL, 6),
(14028, NULL, 'PF10293', NULL, NULL, 'Domain of unknown function (DUF2405)', NULL, 'DUF2405', NULL, NULL, NULL, 6),
(14029, NULL, 'PF05866', NULL, NULL, 'Endodeoxyribonuclease RusA', NULL, 'RusA', NULL, NULL, NULL, 6),
(14030, NULL, 'PF13958', NULL, NULL, 'Toxin ToxN, type III toxin-antitoxin system', NULL, 'ToxN_toxin', NULL, NULL, NULL, 6),
(14031, NULL, 'PF09850', NULL, NULL, 'Type VI secretion system protein DotU', NULL, 'DotU', NULL, NULL, NULL, 6),
(14032, NULL, 'PF17652', NULL, NULL, 'Glycosyl hydrolase family 81 C-terminal domain', NULL, 'Glyco_hydro81C', NULL, NULL, NULL, 6),
(14033, NULL, 'PF06105', NULL, NULL, 'Aph-1 protein', NULL, 'Aph-1', NULL, NULL, NULL, 6),
(14034, NULL, 'PF15940', NULL, NULL, 'Family of unknown function', NULL, 'YjcB', NULL, NULL, NULL, 6),
(14035, NULL, 'PF01705', NULL, NULL, 'CX module', NULL, 'CX', NULL, NULL, NULL, 6),
(14036, NULL, 'PF14121', NULL, NULL, 'Putative porin', NULL, 'Porin_10', NULL, NULL, NULL, 6),
(14037, NULL, 'PF11574', NULL, NULL, 'Protein of unknown function (DUF3235)', NULL, 'DUF3235', NULL, NULL, NULL, 6),
(14038, NULL, 'PF15666', NULL, NULL, 'Germinal center-associated lymphoma', NULL, 'HGAL', NULL, NULL, NULL, 6),
(14039, NULL, 'PF15799', NULL, NULL, 'Coiled-coil domain-containing protein 48', NULL, 'CCD48', NULL, NULL, NULL, 6),
(14040, NULL, 'PF17517', NULL, NULL, 'IgGFc binding protein', NULL, 'IgGFc_binding', NULL, NULL, NULL, 6),
(14041, NULL, 'PF18429', NULL, NULL, 'Domain of unknown function (DUF5609)', NULL, 'DUF5609', NULL, NULL, NULL, 6),
(14042, NULL, 'PF07655', NULL, NULL, 'Secretin N-terminal domain', NULL, 'Secretin_N_2', NULL, NULL, NULL, 6),
(14043, NULL, 'PF02774', NULL, NULL, 'Semialdehyde dehydrogenase, dimerisation domain', NULL, 'Semialdhyde_dhC', NULL, NULL, NULL, 6),
(14044, NULL, 'PF17428', NULL, NULL, 'Family of unknown function (DUF5412)', NULL, 'DUF5412', NULL, NULL, NULL, 6),
(14045, NULL, 'PF17599', NULL, NULL, 'Family of unknown function (DUF5495)', NULL, 'DUF5495', NULL, NULL, NULL, 6),
(14046, NULL, 'PF05889', NULL, NULL, 'O-phosphoseryl-tRNA(Sec) selenium transferase, SepSecS', NULL, 'SepSecS', NULL, NULL, NULL, 6),
(14047, NULL, 'PF16525', NULL, NULL, 'Haemophore, haem-binding', NULL, 'MHB', NULL, NULL, NULL, 6),
(14048, NULL, 'PF18219', NULL, NULL, 'SidC N-terminal domain', NULL, 'SidC_N', NULL, NULL, NULL, 6),
(14049, NULL, 'PF08823', NULL, NULL, 'Putative peptidoglycan binding domain', NULL, 'PG_binding_2', NULL, NULL, NULL, 6),
(14050, NULL, 'PF02776', NULL, NULL, 'Thiamine pyrophosphate enzyme, N-terminal TPP binding domain', NULL, 'TPP_enzyme_N', NULL, NULL, NULL, 6),
(14051, NULL, 'PF16830', NULL, NULL, 'Nucleotide-Binding Domain 94 of RH', NULL, 'NBD94', NULL, NULL, NULL, 6),
(14052, NULL, 'PF09465', NULL, NULL, 'Lamin-B receptor of TUDOR domain', NULL, 'LBR_tudor', NULL, NULL, NULL, 6),
(14053, NULL, 'PF14316', NULL, NULL, 'Domain of unknown function (DUF4381)', NULL, 'DUF4381', NULL, NULL, NULL, 6),
(14054, NULL, 'PF09078', NULL, NULL, 'CheY binding', NULL, 'CheY-binding', NULL, NULL, NULL, 6),
(14055, NULL, 'PF01147', NULL, NULL, 'Crustacean CHH/MIH/GIH neurohormone family', NULL, 'Crust_neurohorm', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14056, NULL, 'PF02065', NULL, NULL, 'Melibiase', NULL, 'Melibiase', NULL, NULL, NULL, 6),
(14057, NULL, 'PF15528', NULL, NULL, 'Bacterial toxin 23', NULL, 'Ntox23', NULL, NULL, NULL, 6),
(14058, NULL, 'PF15400', NULL, NULL, 'Testis-expressed sequence 33 protein family', NULL, 'TEX33', NULL, NULL, NULL, 6),
(14059, NULL, 'PF00341', NULL, NULL, 'PDGF/VEGF domain', NULL, 'PDGF', NULL, NULL, NULL, 6),
(14060, NULL, 'PF06437', NULL, NULL, 'IMP-specific 5''-nucleotidase', NULL, 'ISN1', NULL, NULL, NULL, 6),
(14061, NULL, 'PF14829', NULL, NULL, 'Glycerol-3-phosphate acyltransferase N-terminal', NULL, 'GPAT_N', NULL, NULL, NULL, 6),
(14062, NULL, 'PF04962', NULL, NULL, 'KduI/IolB family', NULL, 'KduI', NULL, NULL, NULL, 6),
(14063, NULL, 'PF06293', NULL, NULL, 'Lipopolysaccharide kinase (Kdo/WaaP) family', NULL, 'Kdo', NULL, NULL, NULL, 6),
(14064, NULL, 'PF05808', NULL, NULL, 'Podoplanin', NULL, 'Podoplanin', NULL, NULL, NULL, 6),
(14065, NULL, 'PF03097', NULL, NULL, 'BRO1-like domain', NULL, 'BRO1', NULL, NULL, NULL, 6),
(14066, NULL, 'PF15931', NULL, NULL, 'Domain of unknown function (DUF4747)', NULL, 'DUF4747', NULL, NULL, NULL, 6),
(14067, NULL, 'PF16957', NULL, NULL, 'Malonate decarboxylase, alpha subunit, transporter', NULL, 'Mal_decarbox_Al', NULL, NULL, NULL, 6),
(14068, NULL, 'PF15163', NULL, NULL, 'Meiosis-expressed', NULL, 'Meiosis_expr', NULL, NULL, NULL, 6),
(14069, NULL, 'PF01436', NULL, NULL, 'NHL repeat', NULL, 'NHL', NULL, NULL, NULL, 6),
(14070, NULL, 'PF06994', NULL, NULL, 'Involucrin', NULL, 'Involucrin2', NULL, NULL, NULL, 6),
(14071, NULL, 'PF16464', NULL, NULL, 'Domain of unknown function (DUF5045)', NULL, 'DUF5045', NULL, NULL, NULL, 6),
(14072, NULL, 'PF10607', NULL, NULL, 'CTLH/CRA C-terminal to LisH motif domain', NULL, 'CLTH', NULL, NULL, NULL, 6),
(14073, NULL, 'PF11225', NULL, NULL, 'Protein of unknown function (DUF3024)', NULL, 'DUF3024', NULL, NULL, NULL, 6),
(14074, NULL, 'PF10234', NULL, NULL, 'Clusterin-associated protein-1', NULL, 'Cluap1', NULL, NULL, NULL, 6),
(14075, NULL, 'PF05151', NULL, NULL, 'Photosystem II reaction centre M protein (PsbM)', NULL, 'PsbM', NULL, NULL, NULL, 6),
(14076, NULL, 'PF12164', NULL, NULL, 'Stage V sporulation protein AA', NULL, 'SporV_AA', NULL, NULL, NULL, 6),
(14077, NULL, 'PF09304', NULL, NULL, 'Cortexillin I, coiled coil', NULL, 'Cortex-I_coil', NULL, NULL, NULL, 6),
(14078, NULL, 'PF06200', NULL, NULL, 'tify domain', NULL, 'tify', NULL, NULL, NULL, 6),
(14079, NULL, 'PF09252', NULL, NULL, 'Allergen Fel d I-B chain', NULL, 'Feld-I_B', NULL, NULL, NULL, 6),
(14080, NULL, 'PF18045', NULL, NULL, 'ISP3 C-terminal', NULL, 'ISP3_C', NULL, NULL, NULL, 6),
(14081, NULL, 'PF17187', NULL, NULL, 'Svf1-like C-terminal lipocalin-like domain', NULL, 'Svf1_C', NULL, NULL, NULL, 6),
(14082, NULL, 'PF07760', NULL, NULL, 'Protein of unknown function (DUF1616)', NULL, 'DUF1616', NULL, NULL, NULL, 6),
(14083, NULL, 'PF07618', NULL, NULL, 'Protein of unknown function (DUF1580)', NULL, 'DUF1580', NULL, NULL, NULL, 6),
(14084, NULL, 'PF02355', NULL, NULL, 'Protein export membrane protein', NULL, 'SecD_SecF', NULL, NULL, NULL, 6),
(14085, NULL, 'PF16480', NULL, NULL, 'Domain of unknown function (DUF5057)', NULL, 'DUF5057', NULL, NULL, NULL, 6),
(14086, NULL, 'PF01506', NULL, NULL, 'Hepatitis C virus non-structural 5a protein membrane anchor', NULL, 'HCV_NS5a', NULL, NULL, NULL, 6),
(14087, NULL, 'PF17114', NULL, NULL, 'Gef2-related medial cortical node protein Nod1', NULL, 'Nod1', NULL, NULL, NULL, 6),
(14088, NULL, 'PF08361', NULL, NULL, 'MAATS-type transcriptional repressor, C-terminal region', NULL, 'TetR_C_2', NULL, NULL, NULL, 6),
(14089, NULL, 'PF06682', NULL, NULL, 'SOCE-associated regulatory factor of calcium homoeostasis', NULL, 'SARAF', NULL, NULL, NULL, 6),
(14090, NULL, 'PF14951', NULL, NULL, 'Domain of unknown function (DUF4503)', NULL, 'DUF4503', NULL, NULL, NULL, 6),
(14091, NULL, 'PF12832', NULL, NULL, 'MFS_1 like family', NULL, 'MFS_1_like', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14092, NULL, 'PF00854', NULL, NULL, 'POT family', NULL, 'PTR2', NULL, NULL, NULL, 6),
(14093, NULL, 'PF04928', NULL, NULL, 'Poly(A) polymerase central domain', NULL, 'PAP_central', NULL, NULL, NULL, 6),
(14094, NULL, 'PF05043', NULL, NULL, 'Mga helix-turn-helix domain', NULL, 'Mga', NULL, NULL, NULL, 6),
(14095, NULL, 'PF13831', NULL, NULL, 'PHD-finger', NULL, 'PHD_2', NULL, NULL, NULL, 6),
(14096, NULL, 'PF18335', NULL, NULL, 'ATP-dependent RecD-like DNA helicase SH3 domain', NULL, 'SH3_13', NULL, NULL, NULL, 6),
(14097, NULL, 'PF13224', NULL, NULL, 'Domain of unknown function (DUF4032)', NULL, 'DUF4032', NULL, NULL, NULL, 6),
(14098, NULL, 'PF11968', NULL, NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase, Bmt2', NULL, 'Bmt2', NULL, NULL, NULL, 6),
(14099, NULL, 'PF16205', NULL, NULL, 'Ribosomal_S17 N-terminal', NULL, 'Ribosomal_S17_N', NULL, NULL, NULL, 6),
(14100, NULL, 'PF12805', NULL, NULL, 'FUSC-like inner membrane protein yccS', NULL, 'FUSC-like', NULL, NULL, NULL, 6),
(14101, NULL, 'PF00356', NULL, NULL, 'Bacterial regulatory proteins, lacI family', NULL, 'LacI', NULL, NULL, NULL, 6),
(14102, NULL, 'PF06424', NULL, NULL, 'PRP1 splicing factor, N-terminal', NULL, 'PRP1_N', NULL, NULL, NULL, 6),
(14103, NULL, 'PF04489', NULL, NULL, 'Protein of unknown function (DUF570)', NULL, 'DUF570', NULL, NULL, NULL, 6),
(14104, NULL, 'PF18697', NULL, NULL, 'Murine leukemia virus (MLV) integrase (IN) C-terminal domain', NULL, 'MLVIN_C', NULL, NULL, NULL, 6),
(14105, NULL, 'PF18593', NULL, NULL, 'CdiI immunity protein', NULL, 'CdiI_2', NULL, NULL, NULL, 6),
(14106, NULL, 'PF04613', NULL, NULL, 'UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase, LpxD', NULL, 'LpxD', NULL, NULL, NULL, 6),
(14107, NULL, 'PF11754', NULL, NULL, 'Velvet factor', NULL, 'Velvet', NULL, NULL, NULL, 6),
(14108, NULL, 'PF17867', NULL, NULL, 'Midasin AAA lid domain', NULL, 'AAA_lid_7', NULL, NULL, NULL, 6),
(14109, NULL, 'PF07146', NULL, NULL, 'Protein of unknown function (DUF1389)', NULL, 'DUF1389', NULL, NULL, NULL, 6),
(14110, NULL, 'PF04393', NULL, NULL, 'Protein of unknown function (DUF535)', NULL, 'DUF535', NULL, NULL, NULL, 6),
(14111, NULL, 'PF01119', NULL, NULL, 'DNA mismatch repair protein, C-terminal domain', NULL, 'DNA_mis_repair', NULL, NULL, NULL, 6),
(14112, NULL, 'PF11337', NULL, NULL, 'Protein of unknown function (DUF3139)', NULL, 'DUF3139', NULL, NULL, NULL, 6),
(14113, NULL, 'PF04006', NULL, NULL, 'Mpp10 protein', NULL, 'Mpp10', NULL, NULL, NULL, 6),
(14114, NULL, 'PF05771', NULL, NULL, 'Poxvirus A31 protein', NULL, 'Pox_A31', NULL, NULL, NULL, 6),
(14115, NULL, 'PF16607', NULL, NULL, 'Phosphorylation region of CYLD, unstructured', NULL, 'CYLD_phos_site', NULL, NULL, NULL, 6),
(14116, NULL, 'PF08378', NULL, NULL, 'Nuclease-related domain', NULL, 'NERD', NULL, NULL, NULL, 6),
(14117, NULL, 'PF14123', NULL, NULL, 'Domain of unknown function (DUF4290)', NULL, 'DUF4290', NULL, NULL, NULL, 6),
(14118, NULL, 'PF19012', NULL, NULL, 'Family of unknown function (DUF5741)', NULL, 'DUF5741', NULL, NULL, NULL, 6),
(14119, NULL, 'PF00338', NULL, NULL, 'Ribosomal protein S10p/S20e', NULL, 'Ribosomal_S10', NULL, NULL, NULL, 6),
(14120, NULL, 'PF17245', NULL, NULL, 'Cell division control protein 24, OB domain 2', NULL, 'CDC24_OB2', NULL, NULL, NULL, 6),
(14121, NULL, 'PF17901', NULL, NULL, 'EF-hand fold domain', NULL, 'EF-hand_12', NULL, NULL, NULL, 6),
(14122, NULL, 'PF05657', NULL, NULL, 'Protein of unknown function (DUF806)', NULL, 'DUF806', NULL, NULL, NULL, 6),
(14123, NULL, 'PF16445', NULL, NULL, 'Domain of unknown function (DUF5042)', NULL, 'DUF5042', NULL, NULL, NULL, 6),
(14124, NULL, 'PF10785', NULL, NULL, 'NADH-ubiquinone oxidoreductase complex I, 21 kDa subunit', NULL, 'NADH-u_ox-rdase', NULL, NULL, NULL, 6),
(14125, NULL, 'PF09623', NULL, NULL, 'CRISPR-associated protein NE0113 (Cas_NE0113)', NULL, 'Cas_NE0113', NULL, NULL, NULL, 6),
(14126, NULL, 'PF16277', NULL, NULL, 'Domain of unknown function (DUF4926)', NULL, 'DUF4926', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14127, NULL, 'PF05007', NULL, NULL, 'Mannosyltransferase (PIG-M)', NULL, 'Mannosyl_trans', NULL, NULL, NULL, 6),
(14128, NULL, 'PF16959', NULL, NULL, 'Renal amino acid transporter', NULL, 'Collectrin', NULL, NULL, NULL, 6),
(14129, NULL, 'PF16779', NULL, NULL, 'DNA-mimic protein', NULL, 'DMP12', NULL, NULL, NULL, 6),
(14130, NULL, 'PF01036', NULL, NULL, 'Bacteriorhodopsin-like protein', NULL, 'Bac_rhodopsin', NULL, NULL, NULL, 6),
(14131, NULL, 'PF01037', NULL, NULL, 'Lrp/AsnC ligand binding domain', NULL, 'AsnC_trans_reg', NULL, NULL, NULL, 6),
(14132, NULL, 'PF00403', NULL, NULL, 'Heavy-metal-associated domain', NULL, 'HMA', NULL, NULL, NULL, 6),
(14133, NULL, 'PF14120', NULL, NULL, 'YhzD-like protein', NULL, 'YhzD', NULL, NULL, NULL, 6),
(14134, NULL, 'PF12141', NULL, NULL, 'Beta-mannosyltransferases', NULL, 'DUF3589', NULL, NULL, NULL, 6),
(14135, NULL, 'PF03162', NULL, NULL, 'Tyrosine phosphatase family', NULL, 'Y_phosphatase2', NULL, NULL, NULL, 6),
(14136, NULL, 'PF17464', NULL, NULL, 'Non-structural protein 11 and 12', NULL, 'Pns11_12', NULL, NULL, NULL, 6),
(14137, NULL, 'PF16639', NULL, NULL, 'Apocytochrome F, N-terminal', NULL, 'Apocytochr_F_N', NULL, NULL, NULL, 6),
(14138, NULL, 'PF11494', NULL, NULL, 'Ta0938', NULL, 'Ta0938', NULL, NULL, NULL, 6),
(14139, NULL, 'PF19094', NULL, NULL, 'Family of unknown function (DUF5782)', NULL, 'DUF5782', NULL, NULL, NULL, 6),
(14140, NULL, 'PF05450', NULL, NULL, 'Nicastrin', NULL, 'Nicastrin', NULL, NULL, NULL, 6),
(14141, NULL, 'PF10874', NULL, NULL, 'Protein of unknown function (DUF2746)', NULL, 'DUF2746', NULL, NULL, NULL, 6),
(14142, NULL, 'PF10034', NULL, NULL, 'Q-cell neuroblast polarisation', NULL, 'Dpy19', NULL, NULL, NULL, 6),
(14143, NULL, 'PF07486', NULL, NULL, 'Cell Wall Hydrolase', NULL, 'Hydrolase_2', NULL, NULL, NULL, 6),
(14144, NULL, 'PF15874', NULL, NULL, 'Putative Interleukin 2 receptor, gamma chain', NULL, 'Il2rg', NULL, NULL, NULL, 6),
(14145, NULL, 'PF06633', NULL, NULL, 'Protein of unknown function (DUF1155)', NULL, 'DUF1155', NULL, NULL, NULL, 6),
(14146, NULL, 'PF16868', NULL, NULL, 'NMT1-like family', NULL, 'NMT1_3', NULL, NULL, NULL, 6),
(14147, NULL, 'PF02082', NULL, NULL, 'Iron-dependent Transcriptional regulator', NULL, 'Rrf2', NULL, NULL, NULL, 6),
(14148, NULL, 'PF13170', NULL, NULL, 'Protein of unknown function (DUF4003)', NULL, 'DUF4003', NULL, NULL, NULL, 6),
(14149, NULL, 'PF10669', NULL, NULL, 'Protein gp23 (Bacteriophage A118)', NULL, 'Phage_Gp23', NULL, NULL, NULL, 6),
(14150, NULL, 'PF02436', NULL, NULL, 'Conserved carboxylase domain', NULL, 'PYC_OADA', NULL, NULL, NULL, 6),
(14151, NULL, 'PF17752', NULL, NULL, 'Burkholderia lethal factor 1', NULL, 'BLF1', NULL, NULL, NULL, 6),
(14152, NULL, 'PF00767', NULL, NULL, 'Potyvirus coat protein', NULL, 'Poty_coat', NULL, NULL, NULL, 6),
(14153, NULL, 'PF07636', NULL, NULL, 'PSRT', NULL, 'PSRT', NULL, NULL, NULL, 6),
(14154, NULL, 'PF14269', NULL, NULL, 'Arylsulfotransferase (ASST)', NULL, 'Arylsulfotran_2', NULL, NULL, NULL, 6),
(14155, NULL, 'PF13126', NULL, NULL, 'Protein of unknown function (DUF3975)', NULL, 'DUF3975', NULL, NULL, NULL, 6),
(14156, NULL, 'PF08435', NULL, NULL, 'Calicivirus coat protein C-terminal', NULL, 'Calici_coat_C', NULL, NULL, NULL, 6),
(14157, NULL, 'PF03796', NULL, NULL, 'DnaB-like helicase C terminal domain', NULL, 'DnaB_C', NULL, NULL, NULL, 6),
(14158, NULL, 'PF00929', NULL, NULL, 'Exonuclease', NULL, 'RNase_T', NULL, NULL, NULL, 6),
(14159, NULL, 'PF00623', NULL, NULL, 'RNA polymerase Rpb1, domain 2', NULL, 'RNA_pol_Rpb1_2', NULL, NULL, NULL, 6),
(14160, NULL, 'PF14079', NULL, NULL, 'Domain of unknown function (DUF4260)', NULL, 'DUF4260', NULL, NULL, NULL, 6),
(14161, NULL, 'PF07035', NULL, NULL, 'Colon cancer-associated protein Mic1-like', NULL, 'Mic1', NULL, NULL, NULL, 6),
(14162, NULL, 'PF06074', NULL, NULL, 'Protein of unknown function (DUF935)', NULL, 'DUF935', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14163, NULL, 'PF09866', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2093)', NULL, 'DUF2093', NULL, NULL, NULL, 6),
(14164, NULL, 'PF04768', NULL, NULL, 'NAT, N-acetyltransferase, of N-acetylglutamate synthase', NULL, 'NAT', NULL, NULL, NULL, 6),
(14165, NULL, 'PF06751', NULL, NULL, 'Ethanolamine ammonia lyase large subunit (EutB)', NULL, 'EutB', NULL, NULL, NULL, 6),
(14166, NULL, 'PF03009', NULL, NULL, 'Glycerophosphoryl diester phosphodiesterase family', NULL, 'GDPD', NULL, NULL, NULL, 6),
(14167, NULL, 'PF02987', NULL, NULL, 'Late embryogenesis abundant protein', NULL, 'LEA_4', NULL, NULL, NULL, 6),
(14168, NULL, 'PF09296', NULL, NULL, 'NADH pyrophosphatase-like rudimentary NUDIX domain', NULL, 'NUDIX-like', NULL, NULL, NULL, 6),
(14169, NULL, 'PF12417', NULL, NULL, 'Zinc finger protein', NULL, 'DUF3669', NULL, NULL, NULL, 6),
(14170, NULL, 'PF14457', NULL, NULL, 'Prokaryotic E2 family A', NULL, 'Prok-E2_A', NULL, NULL, NULL, 6),
(14171, NULL, 'PF18138', NULL, NULL, 'Bacterial HORMA domain family 1', NULL, 'bacHORMA_1', NULL, NULL, NULL, 6),
(14172, NULL, 'PF18960', NULL, NULL, 'Family of unknown function (DUF5702)', NULL, 'DUF5702', NULL, NULL, NULL, 6),
(14173, NULL, 'PF07133', NULL, NULL, 'Merozoite surface protein (SPAM)', NULL, 'Merozoite_SPAM', NULL, NULL, NULL, 6),
(14174, NULL, 'PF03277', NULL, NULL, 'Herpesvirus UL4 family', NULL, 'Herpes_UL4', NULL, NULL, NULL, 6),
(14175, NULL, 'PF18097', NULL, NULL, 'Vta1 C-terminal domain', NULL, 'Vta1_C', NULL, NULL, NULL, 6),
(14176, NULL, 'PF08591', NULL, NULL, 'Ribonucleotide reductase inhibitor', NULL, 'RNR_inhib', NULL, NULL, NULL, 6),
(14177, NULL, 'PF15880', NULL, NULL, 'NADH dehydrogenase [ubiquinone] flavoprotein 3, mitochondrial', NULL, 'NDUFV3', NULL, NULL, NULL, 6),
(14178, NULL, 'PF06596', NULL, NULL, 'Photosystem II reaction centre X protein (PsbX)', NULL, 'PsbX', NULL, NULL, NULL, 6),
(14179, NULL, 'PF08945', NULL, NULL, 'Bcl-x interacting, BH3 domain', NULL, 'Bclx_interact', NULL, NULL, NULL, 6),
(14180, NULL, 'PF10304', NULL, NULL, 'Required for nuclear transport of RNA pol II C-terminus 2', NULL, 'RTP1_C2', NULL, NULL, NULL, 6),
(14181, NULL, 'PF06684', NULL, NULL, 'Amino acid synthesis', NULL, 'AA_synth', NULL, NULL, NULL, 6),
(14182, NULL, 'PF07134', NULL, NULL, 'Protein of unknown function (DUF1383)', NULL, 'DUF1383', NULL, NULL, NULL, 6),
(14183, NULL, 'PF16113', NULL, NULL, 'Enoyl-CoA hydratase/isomerase', NULL, 'ECH_2', NULL, NULL, NULL, 6),
(14184, NULL, 'PF03396', NULL, NULL, 'Poxvirus DNA-directed RNA polymerase, 35 kD subunit', NULL, 'Pox_RNA_pol_35', NULL, NULL, NULL, 6),
(14185, NULL, 'PF11460', NULL, NULL, 'Protein of unknown function (DUF3007)', NULL, 'DUF3007', NULL, NULL, NULL, 6),
(14186, NULL, 'PF07374', NULL, NULL, 'Protein of unknown function (DUF1492)', NULL, 'DUF1492', NULL, NULL, NULL, 6),
(14187, NULL, 'PF18510', NULL, NULL, 'Nuclease domain', NULL, 'NUC', NULL, NULL, NULL, 6),
(14188, NULL, 'PF06695', NULL, NULL, 'Putative small multi-drug export protein', NULL, 'Sm_multidrug_ex', NULL, NULL, NULL, 6),
(14189, NULL, 'PF04419', NULL, NULL, '4F5 protein related disordered region', NULL, '4F5', NULL, NULL, NULL, 6),
(14190, NULL, 'PF05713', NULL, NULL, 'Bacterial mobilisation protein (MobC)', NULL, 'MobC', NULL, NULL, NULL, 6),
(14191, NULL, 'PF13248', NULL, NULL, 'zinc-ribbon domain', NULL, 'zf-ribbon_3', NULL, NULL, NULL, 6),
(14192, NULL, 'PF13592', NULL, NULL, 'Winged helix-turn helix', NULL, 'HTH_33', NULL, NULL, NULL, 6),
(14193, NULL, 'PF05729', NULL, NULL, 'NACHT domain', NULL, 'NACHT', NULL, NULL, NULL, 6),
(14194, NULL, 'PF06162', NULL, NULL, 'Putative pyroglutamyl peptidase PgaPase_1', NULL, 'PgaPase_1', NULL, NULL, NULL, 6),
(14195, NULL, 'PF08047', NULL, NULL, 'Histidine operon leader peptide', NULL, 'His_leader', NULL, NULL, NULL, 6),
(14196, NULL, 'PF10800', NULL, NULL, 'Protein of unknown function (DUF2528)', NULL, 'DUF2528', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14197, NULL, 'PF07764', NULL, NULL, 'Omega Transcriptional Repressor', NULL, 'Omega_Repress', NULL, NULL, NULL, 6),
(14198, NULL, 'PF05021', NULL, NULL, 'NPL4 family', NULL, 'NPL4', NULL, NULL, NULL, 6),
(14199, NULL, 'PF00075', NULL, NULL, 'RNase H', NULL, 'RNase_H', NULL, NULL, NULL, 6),
(14200, NULL, 'PF02480', NULL, NULL, 'Alphaherpesvirus glycoprotein E', NULL, 'Herpes_gE', NULL, NULL, NULL, 6),
(14201, NULL, 'PF00191', NULL, NULL, 'Annexin', NULL, 'Annexin', NULL, NULL, NULL, 6),
(14202, NULL, 'PF06637', NULL, NULL, 'PV-1 protein (PLVAP)', NULL, 'PV-1', NULL, NULL, NULL, 6),
(14203, NULL, 'PF11508', NULL, NULL, 'Protein of unknown function (DUF3218)', NULL, 'DUF3218', NULL, NULL, NULL, 6),
(14204, NULL, 'PF17452', NULL, NULL, 'Uncharacterized YnfE-like', NULL, 'YnfE', NULL, NULL, NULL, 6),
(14205, NULL, 'PF18483', NULL, NULL, 'Bacterial lectin', NULL, 'Bact_lectin', NULL, NULL, NULL, 6),
(14206, NULL, 'PF05663', NULL, NULL, 'Protein of unknown function (DUF809)', NULL, 'DUF809', NULL, NULL, NULL, 6),
(14207, NULL, 'PF13001', NULL, NULL, 'Proteasome stabiliser', NULL, 'Ecm29', NULL, NULL, NULL, 6),
(14208, NULL, 'PF00994', NULL, NULL, 'Probable molybdopterin binding domain', NULL, 'MoCF_biosynth', NULL, NULL, NULL, 6),
(14209, NULL, 'PF00375', NULL, NULL, 'Sodium:dicarboxylate symporter family', NULL, 'SDF', NULL, NULL, NULL, 6),
(14210, NULL, 'PF06172', NULL, NULL, 'Cupin superfamily (DUF985)', NULL, 'Cupin_5', NULL, NULL, NULL, 6),
(14211, NULL, 'PF17627', NULL, NULL, 'Inclusion membrane protein E', NULL, 'IncE', NULL, NULL, NULL, 6),
(14212, NULL, 'PF09321', NULL, NULL, 'Domain of unknown function (DUF1978)', NULL, 'DUF1978', NULL, NULL, NULL, 6),
(14213, NULL, 'PF14363', NULL, NULL, 'Domain associated at C-terminal with AAA', NULL, 'AAA_assoc', NULL, NULL, NULL, 6),
(14214, NULL, 'PF00425', NULL, NULL, 'chorismate binding enzyme', NULL, 'Chorismate_bind', NULL, NULL, NULL, 6),
(14215, NULL, 'PF17239', NULL, NULL, 'Family of unknown function (DUF5312)', NULL, 'DUF5312', NULL, NULL, NULL, 6),
(14216, NULL, 'PF08213', NULL, NULL, 'Mitochondrial domain of unknown function (DUF1713)', NULL, 'DUF1713', NULL, NULL, NULL, 6),
(14217, NULL, 'PF12305', NULL, NULL, 'Protein of unknown function (DUF3630)', NULL, 'DUF3630', NULL, NULL, NULL, 6),
(14218, NULL, 'PF16787', NULL, NULL, 'Centromere DNA-binding protein complex CBF3 subunit, domain 2', NULL, 'NDC10_II', NULL, NULL, NULL, 6),
(14219, NULL, 'PF09211', NULL, NULL, 'Domain of unknown function (DUF1958)', NULL, 'DUF1958', NULL, NULL, NULL, 6),
(14220, NULL, 'PF03818', NULL, NULL, 'Malonate/sodium symporter MadM subunit', NULL, 'MadM', NULL, NULL, NULL, 6),
(14221, NULL, 'PF14222', NULL, NULL, 'Cell morphogenesis N-terminal', NULL, 'MOR2-PAG1_N', NULL, NULL, NULL, 6),
(14222, NULL, 'PF17837', NULL, NULL, '4''-phosphopantetheinyl transferase N-terminal domain', NULL, '4PPT_N', NULL, NULL, NULL, 6),
(14223, NULL, 'PF06018', NULL, NULL, 'CodY GAF-like domain', NULL, 'CodY', NULL, NULL, NULL, 6),
(14224, NULL, 'PF03087', NULL, NULL, 'Arabidopsis protein of unknown function', NULL, 'DUF241', NULL, NULL, NULL, 6),
(14225, NULL, 'PF17212', NULL, NULL, 'Tail tubular protein', NULL, 'Tube', NULL, NULL, NULL, 6),
(14226, NULL, 'PF09260', NULL, NULL, 'Domain of unknown function (DUF1966)', NULL, 'DUF1966', NULL, NULL, NULL, 6),
(14227, NULL, 'PF11934', NULL, NULL, 'Domain of unknown function (DUF3452)', NULL, 'DUF3452', NULL, NULL, NULL, 6),
(14228, NULL, 'PF04958', NULL, NULL, 'Arginine N-succinyltransferase beta subunit', NULL, 'AstA', NULL, NULL, NULL, 6),
(14229, NULL, 'PF05262', NULL, NULL, 'Borrelia P83/100 protein', NULL, 'Borrelia_P83', NULL, NULL, NULL, 6),
(14230, NULL, 'PF01716', NULL, NULL, 'Manganese-stabilising protein / photosystem II polypeptide', NULL, 'MSP', NULL, NULL, NULL, 6),
(14231, NULL, 'PF12194', NULL, NULL, 'Protein kinase Fus3-binding', NULL, 'Ste5_C', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14232, NULL, 'PF08873', NULL, NULL, 'Domain of unknown function (DUF1834)', NULL, 'DUF1834', NULL, NULL, NULL, 6),
(14233, NULL, 'PF17710', NULL, NULL, 'Family of unknown function (DUF5555)', NULL, 'DUF5555', NULL, NULL, NULL, 6),
(14234, NULL, 'PF01337', NULL, NULL, 'Barstar (barnase inhibitor)', NULL, 'Barstar', NULL, NULL, NULL, 6),
(14235, NULL, 'PF07622', NULL, NULL, 'Protein of unknown function (DUF1583)', NULL, 'DUF1583', NULL, NULL, NULL, 6),
(14236, NULL, 'PF02145', NULL, NULL, 'Rap/ran-GAP', NULL, 'Rap_GAP', NULL, NULL, NULL, 6),
(14237, NULL, 'PF11957', NULL, NULL, 'THO complex subunit 1 transcription elongation factor', NULL, 'efThoc1', NULL, NULL, NULL, 6),
(14238, NULL, 'PF16904', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase II C-terminus', NULL, 'PurL_C', NULL, NULL, NULL, 6),
(14239, NULL, 'PF00381', NULL, NULL, 'PTS HPr component phosphorylation site', NULL, 'PTS-HPr', NULL, NULL, NULL, 6),
(14240, NULL, 'PF17481', NULL, NULL, 'Phage tail sheath protein beta-sandwich domain', NULL, 'Phage_sheath_1N', NULL, NULL, NULL, 6),
(14241, NULL, 'PF15150', NULL, NULL, 'Phorbol-12-myristate-13-acetate-induced', NULL, 'PMAIP1', NULL, NULL, NULL, 6),
(14242, NULL, 'PF07090', NULL, NULL, 'Putative glutamine amidotransferase', NULL, 'GATase1_like', NULL, NULL, NULL, 6),
(14243, NULL, 'PF02155', NULL, NULL, 'Glucocorticoid receptor', NULL, 'GCR', NULL, NULL, NULL, 6),
(14244, NULL, 'PF16941', NULL, NULL, 'Putative cyclodextrin porin', NULL, 'CymA', NULL, NULL, NULL, 6),
(14245, NULL, 'PF15067', NULL, NULL, 'FAM124 family', NULL, 'FAM124', NULL, NULL, NULL, 6),
(14246, NULL, 'PF18086', NULL, NULL, 'Diphosphoinositol pentakisphosphate kinase 2 N-terminal domain', NULL, 'PPIP5K2_N', NULL, NULL, NULL, 6),
(14247, NULL, 'PF03931', NULL, NULL, 'Skp1 family, tetramerisation domain', NULL, 'Skp1_POZ', NULL, NULL, NULL, 6),
(14248, NULL, 'PF15290', NULL, NULL, 'Golgi-localised syntaxin-1-binding clamp', NULL, 'Syntaphilin', NULL, NULL, NULL, 6),
(14249, NULL, 'PF17334', NULL, NULL, 'Minor curli fiber component A', NULL, 'CsgA', NULL, NULL, NULL, 6),
(14250, NULL, 'PF12482', NULL, NULL, 'Phage integrase protein', NULL, 'DUF3701', NULL, NULL, NULL, 6),
(14251, NULL, 'PF05773', NULL, NULL, 'RWD domain', NULL, 'RWD', NULL, NULL, NULL, 6),
(14252, NULL, 'PF17635', NULL, NULL, 'Betacoronavirus uncharacterised protein 14 (SARS-CoV-2 like)', NULL, 'bCoV_Orf14', NULL, NULL, NULL, 6),
(14253, NULL, 'PF17371', NULL, NULL, 'Family of unknown function (DUF5393)', NULL, 'DUF5393', NULL, NULL, NULL, 6),
(14254, NULL, 'PF08807', NULL, NULL, 'Bacterial domain of unknown function (DUF1798)', NULL, 'DUF1798', NULL, NULL, NULL, 6),
(14255, NULL, 'PF12541', NULL, NULL, 'Protein of unknown function (DUF3737)', NULL, 'DUF3737', NULL, NULL, NULL, 6),
(14256, NULL, 'PF13131', NULL, NULL, 'Protein of unknown function (DUF3951)', NULL, 'DUF3951', NULL, NULL, NULL, 6),
(14257, NULL, 'PF17759', NULL, NULL, 'Phenylalanyl tRNA synthetase beta chain CLM domain', NULL, 'tRNA_synthFbeta', NULL, NULL, NULL, 6),
(14258, NULL, 'PF15242', NULL, NULL, 'Family of FAM53', NULL, 'FAM53', NULL, NULL, NULL, 6),
(14259, NULL, 'PF08601', NULL, NULL, 'Transcription factor PAP1', NULL, 'PAP1', NULL, NULL, NULL, 6),
(14260, NULL, 'PF07249', NULL, NULL, 'Cerato-platanin', NULL, 'Cerato-platanin', NULL, NULL, NULL, 6),
(14261, NULL, 'PF13080', NULL, NULL, 'Protein of unknown function (DUF3926)', NULL, 'DUF3926', NULL, NULL, NULL, 6),
(14262, NULL, 'PF12225', NULL, NULL, 'Methylene-tetrahydrofolate reductase C terminal', NULL, 'MTHFR_C', NULL, NULL, NULL, 6),
(14263, NULL, 'PF16876', NULL, NULL, 'Lipin/Ned1/Smp2 multi-domain protein middle domain', NULL, 'Lipin_mid', NULL, NULL, NULL, 6),
(14264, NULL, 'PF03971', NULL, NULL, 'Monomeric isocitrate dehydrogenase', NULL, 'IDH', NULL, NULL, NULL, 6),
(14265, NULL, 'PF02140', NULL, NULL, 'Galactose binding lectin domain', NULL, 'Gal_Lectin', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14266, NULL, 'PF09355', NULL, NULL, 'Phage protein Gp19/Gp15/Gp42', NULL, 'Phage_Gp19', NULL, NULL, NULL, 6),
(14267, NULL, 'PF00207', NULL, NULL, 'Alpha-2-macroglobulin family', NULL, 'A2M', NULL, NULL, NULL, 6),
(14268, NULL, 'PF02381', NULL, NULL, 'MraZ protein, putative antitoxin-like', NULL, 'MraZ', NULL, NULL, NULL, 6),
(14269, NULL, 'PF17350', NULL, NULL, 'Family of unknown function (DUF5379)', NULL, 'DUF5379', NULL, NULL, NULL, 6),
(14270, NULL, 'PF17590', NULL, NULL, 'Family of unknown function (DUF5488)', NULL, 'DUF5488', NULL, NULL, NULL, 6),
(14271, NULL, 'PF07614', NULL, NULL, 'Protein of unknown function (DUF1577)', NULL, 'DUF1577', NULL, NULL, NULL, 6),
(14272, NULL, 'PF15464', NULL, NULL, 'Domain of unknown function (DUF4633)', NULL, 'DUF4633', NULL, NULL, NULL, 6),
(14273, NULL, 'PF03627', NULL, NULL, 'PapG carbohydrate binding domain', NULL, 'PapG_N', NULL, NULL, NULL, 6),
(14274, NULL, 'PF19206', NULL, NULL, 'Family of unknown function (DUF5878)', NULL, 'DUF5878', NULL, NULL, NULL, 6),
(14275, NULL, 'PF10886', NULL, NULL, 'Protein of unknown function (DUF2685)', NULL, 'DUF2685', NULL, NULL, NULL, 6),
(14276, NULL, 'PF04063', NULL, NULL, 'Domain of unknown function (DUF383)', NULL, 'DUF383', NULL, NULL, NULL, 6),
(14277, NULL, 'PF12613', NULL, NULL, 'Flagellin structural protein', NULL, 'FliC_SP', NULL, NULL, NULL, 6),
(14278, NULL, 'PF04930', NULL, NULL, 'FUN14 family', NULL, 'FUN14', NULL, NULL, NULL, 6),
(14279, NULL, 'PF13970', NULL, NULL, 'Domain of unknown function (DUF4221)', NULL, 'DUF4221', NULL, NULL, NULL, 6),
(14280, NULL, 'PF10451', NULL, NULL, 'Telomere regulation protein Stn1', NULL, 'Stn1', NULL, NULL, NULL, 6),
(14281, NULL, 'PF07128', NULL, NULL, 'Protein of unknown function (DUF1380)', NULL, 'DUF1380', NULL, NULL, NULL, 6),
(14282, NULL, 'PF15074', NULL, NULL, 'Domain of unknown function (DUF4541)', NULL, 'DUF4541', NULL, NULL, NULL, 6),
(14283, NULL, 'PF06584', NULL, NULL, 'DIRP', NULL, 'DIRP', NULL, NULL, NULL, 6),
(14284, NULL, 'PF11702', NULL, NULL, 'Protein of unknown function (DUF3295)', NULL, 'DUF3295', NULL, NULL, NULL, 6),
(14285, NULL, 'PF18452', NULL, NULL, 'Immunoglobulin domain', NULL, 'Ig_6', NULL, NULL, NULL, 6),
(14286, NULL, 'PF04587', NULL, NULL, 'ADP-specific Phosphofructokinase/Glucokinase conserved region', NULL, 'ADP_PFK_GK', NULL, NULL, NULL, 6),
(14287, NULL, 'PF12165', NULL, NULL, 'Alfin', NULL, 'Alfin', NULL, NULL, NULL, 6),
(14288, NULL, 'PF12456', NULL, NULL, 'Inositol phosphatase', NULL, 'hSac2', NULL, NULL, NULL, 6),
(14289, NULL, 'PF03602', NULL, NULL, 'Conserved hypothetical protein 95', NULL, 'Cons_hypoth95', NULL, NULL, NULL, 6),
(14290, NULL, 'PF05013', NULL, NULL, 'N-formylglutamate amidohydrolase', NULL, 'FGase', NULL, NULL, NULL, 6),
(14291, NULL, 'PF09568', NULL, NULL, 'MjaI restriction endonuclease', NULL, 'RE_MjaI', NULL, NULL, NULL, 6),
(14292, NULL, 'PF16488', NULL, NULL, 'Argonaute linker 2 domain', NULL, 'ArgoL2', NULL, NULL, NULL, 6),
(14293, NULL, 'PF09415', NULL, NULL, 'CENP-S associating Centromere protein X', NULL, 'CENP-X', NULL, NULL, NULL, 6),
(14294, NULL, 'PF11135', NULL, NULL, 'Protein of unknown function (DUF2888)', NULL, 'DUF2888', NULL, NULL, NULL, 6),
(14295, NULL, 'PF05372', NULL, NULL, 'Delta lysin family', NULL, 'Delta_lysin', NULL, NULL, NULL, 6),
(14296, NULL, 'PF07126', NULL, NULL, 'Cell-division protein ZapC', NULL, 'ZapC', NULL, NULL, NULL, 6),
(14297, NULL, 'PF15390', NULL, NULL, 'WD repeat and coiled-coil-containing protein family', NULL, 'WDCP', NULL, NULL, NULL, 6),
(14298, NULL, 'PF18565', NULL, NULL, 'Glycoside hydrolase family 2 C-terminal domain 5', NULL, 'Glyco_hydro2_C5', NULL, NULL, NULL, 6),
(14299, NULL, 'PF00275', NULL, NULL, 'EPSP synthase (3-phosphoshikimate 1-carboxyvinyltransferase)', NULL, 'EPSP_synthase', NULL, NULL, NULL, 6),
(14300, NULL, 'PF01006', NULL, NULL, 'Hepatitis C virus non-structural protein NS4a', NULL, 'HCV_NS4a', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14301, NULL, 'PF15844', NULL, NULL, 'Transmembrane and coiled-coil domain-containing protein 2', NULL, 'TMCCDC2', NULL, NULL, NULL, 6),
(14302, NULL, 'PF15906', NULL, NULL, 'Zinc-finger of nitric oxide synthase-interacting protein', NULL, 'zf-NOSIP', NULL, NULL, NULL, 6),
(14303, NULL, 'PF07642', NULL, NULL, 'Putative beta-barrel porin-2, OmpL-like. bbp2', NULL, 'BBP2', NULL, NULL, NULL, 6),
(14304, NULL, 'PF16197', NULL, NULL, 'Ketoacyl-synthetase C-terminal extension', NULL, 'KAsynt_C_assoc', NULL, NULL, NULL, 6),
(14305, NULL, 'PF02371', NULL, NULL, 'Transposase IS116/IS110/IS902 family', NULL, 'Transposase_20', NULL, NULL, NULL, 6),
(14306, NULL, 'PF13851', NULL, NULL, 'Growth-arrest specific micro-tubule binding', NULL, 'GAS', NULL, NULL, NULL, 6),
(14307, NULL, 'PF02435', NULL, NULL, 'Levansucrase/Invertase', NULL, 'Glyco_hydro_68', NULL, NULL, NULL, 6),
(14308, NULL, 'PF10413', NULL, NULL, 'Amino terminal of the G-protein receptor rhodopsin', NULL, 'Rhodopsin_N', NULL, NULL, NULL, 6),
(14309, NULL, 'PF11300', NULL, NULL, 'Protein of unknown function (DUF3102)', NULL, 'DUF3102', NULL, NULL, NULL, 6),
(14310, NULL, 'PF09348', NULL, NULL, 'Domain of unknown function (DUF1990)', NULL, 'DUF1990', NULL, NULL, NULL, 6),
(14311, NULL, 'PF02698', NULL, NULL, 'DUF218 domain', NULL, 'DUF218', NULL, NULL, NULL, 6),
(14312, NULL, 'PF07439', NULL, NULL, 'Protein of unknown function (DUF1515)', NULL, 'DUF1515', NULL, NULL, NULL, 6),
(14313, NULL, 'PF01828', NULL, NULL, 'Peptidase A4 family', NULL, 'Peptidase_A4', NULL, NULL, NULL, 6),
(14314, NULL, 'PF02175', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srb', NULL, '7TM_GPCR_Srb', NULL, NULL, NULL, 6),
(14315, NULL, 'PF07392', NULL, NULL, 'Cyclin-dependent kinase inhibitor 2a p19Arf N-terminus', NULL, 'P19Arf_N', NULL, NULL, NULL, 6),
(14316, NULL, 'PF02803', NULL, NULL, 'Thiolase, C-terminal domain', NULL, 'Thiolase_C', NULL, NULL, NULL, 6),
(14317, NULL, 'PF03302', NULL, NULL, 'Giardia variant-specific surface protein', NULL, 'VSP', NULL, NULL, NULL, 6),
(14318, NULL, 'PF11229', NULL, NULL, 'Focadhesin', NULL, 'Focadhesin', NULL, NULL, NULL, 6),
(14319, NULL, 'PF02509', NULL, NULL, 'Rotavirus non-structural protein 35', NULL, 'Rota_NS35', NULL, NULL, NULL, 6),
(14320, NULL, 'PF01129', NULL, NULL, 'NAD:arginine ADP-ribosyltransferase', NULL, 'ART', NULL, NULL, NULL, 6),
(14321, NULL, 'PF13854', NULL, NULL, 'Kelch motif', NULL, 'Kelch_5', NULL, NULL, NULL, 6),
(14322, NULL, 'PF06080', NULL, NULL, 'Protein of unknown function (DUF938)', NULL, 'DUF938', NULL, NULL, NULL, 6),
(14323, NULL, 'PF13768', NULL, NULL, 'von Willebrand factor type A domain', NULL, 'VWA_3', NULL, NULL, NULL, 6),
(14324, NULL, 'PF13015', NULL, NULL, 'Glucosidase II beta subunit-like protein', NULL, 'PRKCSH_1', NULL, NULL, NULL, 6),
(14325, NULL, 'PF02038', NULL, NULL, 'ATP1G1/PLM/MAT8 family', NULL, 'ATP1G1_PLM_MAT8', NULL, NULL, NULL, 6),
(14326, NULL, 'PF03357', NULL, NULL, 'Snf7', NULL, 'Snf7', NULL, NULL, NULL, 6),
(14327, NULL, 'PF12333', NULL, NULL, 'Rix1 complex component involved in 60S ribosome maturation', NULL, 'Ipi1_N', NULL, NULL, NULL, 6),
(14328, NULL, 'PF00332', NULL, NULL, 'Glycosyl hydrolases family 17', NULL, 'Glyco_hydro_17', NULL, NULL, NULL, 6),
(14329, NULL, 'PF05282', NULL, NULL, 'AAR2 protein', NULL, 'AAR2', NULL, NULL, NULL, 6),
(14330, NULL, 'PF05698', NULL, NULL, 'Bacterial trigger factor protein (TF) C-terminus', NULL, 'Trigger_C', NULL, NULL, NULL, 6),
(14331, NULL, 'PF09747', NULL, NULL, 'Coiled-coil domain containing protein (DUF2052)', NULL, 'DUF2052', NULL, NULL, NULL, 6),
(14332, NULL, 'PF15997', NULL, NULL, 'Domain of unknown function (DUF4772)', NULL, 'DUF4772', NULL, NULL, NULL, 6),
(14333, NULL, 'PF10522', NULL, NULL, 'RII binding domain', NULL, 'RII_binding_1', NULL, NULL, NULL, 6),
(14334, NULL, 'PF04070', NULL, NULL, 'Domain of unknown function (DUF378)', NULL, 'DUF378', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14335, NULL, 'PF04189', NULL, NULL, 'Gcd10p family', NULL, 'Gcd10p', NULL, NULL, NULL, 6),
(14336, NULL, 'PF12940', NULL, NULL, 'Recombination-activation protein 1 (RAG1), recombinase', NULL, 'RAG1', NULL, NULL, NULL, 6),
(14337, NULL, 'PF15461', NULL, NULL, 'Beta-carotene 15,15''-dioxygenase', NULL, 'BCD', NULL, NULL, NULL, 6),
(14338, NULL, 'PF07847', NULL, NULL, 'PCO_ADO', NULL, 'PCO_ADO', NULL, NULL, NULL, 6),
(14339, NULL, 'PF18422', NULL, NULL, 'Tumor necrosis factor receptor member 16 trans-membrane domain', NULL, 'TNFR_16_TM', NULL, NULL, NULL, 6),
(14340, NULL, 'PF03083', NULL, NULL, 'Sugar efflux transporter for intercellular exchange', NULL, 'MtN3_slv', NULL, NULL, NULL, 6),
(14341, NULL, 'PF13984', NULL, NULL, 'MsyB protein', NULL, 'MsyB', NULL, NULL, NULL, 6),
(14342, NULL, 'PF07611', NULL, NULL, 'Protein of unknown function (DUF1574)', NULL, 'DUF1574', NULL, NULL, NULL, 6),
(14343, NULL, 'PF08975', NULL, NULL, 'Domain of unknown function (DUF1868)', NULL, '2H-phosphodiest', NULL, NULL, NULL, 6),
(14344, NULL, 'PF00838', NULL, NULL, 'Translationally controlled tumour protein', NULL, 'TCTP', NULL, NULL, NULL, 6),
(14345, NULL, 'PF17169', NULL, NULL, 'MIT domain of nuclear receptor-binding factor 2', NULL, 'NRBF2_MIT', NULL, NULL, NULL, 6),
(14346, NULL, 'PF11357', NULL, NULL, 'Cell cycle regulatory protein', NULL, 'Spy1', NULL, NULL, NULL, 6),
(14347, NULL, 'PF10916', NULL, NULL, 'Protein of unknown function (DUF2712)', NULL, 'DUF2712', NULL, NULL, NULL, 6),
(14348, NULL, 'PF07389', NULL, NULL, 'Protein of unknown function (DUF1500)', NULL, 'DUF1500', NULL, NULL, NULL, 6),
(14349, NULL, 'PF15500', NULL, NULL, 'Putative RNase-like toxin, toxin_1', NULL, 'Ntox1', NULL, NULL, NULL, 6),
(14350, NULL, 'PF07466', NULL, NULL, 'Protein of unknown function (DUF1517)', NULL, 'DUF1517', NULL, NULL, NULL, 6),
(14351, NULL, 'PF10284', NULL, NULL, 'Luciferase helical bundle domain', NULL, 'Luciferase_3H', NULL, NULL, NULL, 6),
(14352, NULL, 'PF08786', NULL, NULL, 'DcrB', NULL, 'DcrB', NULL, NULL, NULL, 6),
(14353, NULL, 'PF15829', NULL, NULL, 'Domain of unknown function (DUF4711)', NULL, 'DUF4711', NULL, NULL, NULL, 6),
(14354, NULL, 'PF16486', NULL, NULL, 'N-terminal domain of argonaute', NULL, 'ArgoN', NULL, NULL, NULL, 6),
(14355, NULL, 'PF02432', NULL, NULL, 'Fimbrial, major and minor subunit', NULL, 'Fimbrial_K88', NULL, NULL, NULL, 6),
(14356, NULL, 'PF04069', NULL, NULL, 'Substrate binding domain of ABC-type glycine betaine transport system', NULL, 'OpuAC', NULL, NULL, NULL, 6),
(14357, NULL, 'PF15750', NULL, NULL, 'Ubiquitin-binding zinc-finger', NULL, 'UBZ_FAAP20', NULL, NULL, NULL, 6),
(14358, NULL, 'PF18516', NULL, NULL, 'RuvC nuclease domain', NULL, 'RuvC_1', NULL, NULL, NULL, 6),
(14359, NULL, 'PF18686', NULL, NULL, 'Family of unknown function (DUF5636)', NULL, 'DUF5636', NULL, NULL, NULL, 6),
(14360, NULL, 'PF15222', NULL, NULL, 'Kidney androgen-regulated', NULL, 'KAR', NULL, NULL, NULL, 6),
(14361, NULL, 'PF19127', NULL, NULL, 'Choline-binding repeat', NULL, 'Choline_bind_3', NULL, NULL, NULL, 6),
(14362, NULL, 'PF01553', NULL, NULL, 'Acyltransferase', NULL, 'Acyltransferase', NULL, NULL, NULL, 6),
(14363, NULL, 'PF01481', NULL, NULL, 'Arterivirus nucleocapsid protein', NULL, 'Arteri_nucleo', NULL, NULL, NULL, 6),
(14364, NULL, 'PF09016', NULL, NULL, 'Pas factor saposin fold', NULL, 'Pas_Saposin', NULL, NULL, NULL, 6),
(14365, NULL, 'PF05051', NULL, NULL, 'Cytochrome C oxidase copper chaperone (COX17)', NULL, 'COX17', NULL, NULL, NULL, 6),
(14366, NULL, 'PF01825', NULL, NULL, 'GPCR proteolysis site, GPS, motif', NULL, 'GPS', NULL, NULL, NULL, 6),
(14367, NULL, 'PF15276', NULL, NULL, 'Protein phosphatase 1 binding', NULL, 'PP1_bind', NULL, NULL, NULL, 6),
(14368, NULL, 'PF05700', NULL, NULL, 'Breast carcinoma amplified sequence 2 (BCAS2)', NULL, 'BCAS2', NULL, NULL, NULL, 6),
(14369, NULL, 'PF13423', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase', NULL, 'UCH_1', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14370, NULL, 'PF04884', NULL, NULL, 'Vitamin B6 photo-protection and homoeostasis', NULL, 'DUF647', NULL, NULL, NULL, 6),
(14371, NULL, 'PF01339', NULL, NULL, 'CheB methylesterase', NULL, 'CheB_methylest', NULL, NULL, NULL, 6),
(14372, NULL, 'PF00107', NULL, NULL, 'Zinc-binding dehydrogenase', NULL, 'ADH_zinc_N', NULL, NULL, NULL, 6),
(14373, NULL, 'PF08317', NULL, NULL, 'Spc7 kinetochore protein', NULL, 'Spc7', NULL, NULL, NULL, 6),
(14374, NULL, 'PF17001', NULL, NULL, 'Type III secretion basal body protein I, YscI, HrpB, PscI', NULL, 'T3SS_basalb_I', NULL, NULL, NULL, 6),
(14375, NULL, 'PF11223', NULL, NULL, 'Protein of unknown function (DUF3020)', NULL, 'DUF3020', NULL, NULL, NULL, 6),
(14376, NULL, 'PF08810', NULL, NULL, 'Kinase associated protein B', NULL, 'KapB', NULL, NULL, NULL, 6),
(14377, NULL, 'PF06465', NULL, NULL, 'Domain of Unknown Function (DUF1087)', NULL, 'DUF1087', NULL, NULL, NULL, 6),
(14378, NULL, 'PF02965', NULL, NULL, 'Vitamin B12 dependent methionine synthase, activation domain', NULL, 'Met_synt_B12', NULL, NULL, NULL, 6),
(14379, NULL, 'PF16580', NULL, NULL, 'C-terminal tail of astrovirus capsid projection or spike', NULL, 'Astro_capsid_p2', NULL, NULL, NULL, 6),
(14380, NULL, 'PF04461', NULL, NULL, 'Protein of unknown function (DUF520)', NULL, 'DUF520', NULL, NULL, NULL, 6),
(14381, NULL, 'PF17319', NULL, NULL, 'Family of unknown function (DUF5362)', NULL, 'DUF5362', NULL, NULL, NULL, 6),
(14382, NULL, 'PF11546', NULL, NULL, 'Staphylococcal complement inhibitor SCIN', NULL, 'CompInhib_SCIN', NULL, NULL, NULL, 6),
(14383, NULL, 'PF14312', NULL, NULL, 'FG-GAP repeat', NULL, 'FG-GAP_2', NULL, NULL, NULL, 6),
(14384, NULL, 'PF07628', NULL, NULL, 'Protein of unknown function (DUF1589)', NULL, 'DUF1589', NULL, NULL, NULL, 6),
(14385, NULL, 'PF16756', NULL, NULL, 'Partner and localizer of BRCA2 WD40 domain', NULL, 'PALB2_WD40', NULL, NULL, NULL, 6),
(14386, NULL, 'PF17532', NULL, NULL, 'Family of unknown function (DUF5451)', NULL, 'DUF5451', NULL, NULL, NULL, 6),
(14387, NULL, 'PF09642', NULL, NULL, 'YonK protein', NULL, 'YonK', NULL, NULL, NULL, 6),
(14388, NULL, 'PF14199', NULL, NULL, 'Domain of unknown function (DUF4317)', NULL, 'DUF4317', NULL, NULL, NULL, 6),
(14389, NULL, 'PF16601', NULL, NULL, 'Rabosyn-5 repeating NPF sequence-motif', NULL, 'NPF', NULL, NULL, NULL, 6),
(14390, NULL, 'PF09499', NULL, NULL, 'ApaLI-like restriction endonuclease', NULL, 'RE_ApaLI', NULL, NULL, NULL, 6),
(14391, NULL, 'PF02501', NULL, NULL, 'Type II secretion system (T2SS), protein I', NULL, 'T2SSI', NULL, NULL, NULL, 6),
(14392, NULL, 'PF17644', NULL, NULL, 'Core domain of 30K viral movement proteins', NULL, '30K_MP_core', NULL, NULL, NULL, 6),
(14393, NULL, 'PF08924', NULL, NULL, 'Domain of unknown function (DUF1906)', NULL, 'DUF1906', NULL, NULL, NULL, 6),
(14394, NULL, 'PF04678', NULL, NULL, 'Mitochondrial calcium uniporter', NULL, 'MCU', NULL, NULL, NULL, 6),
(14395, NULL, 'PF14759', NULL, NULL, 'Reductase C-terminal', NULL, 'Reductase_C', NULL, NULL, NULL, 6),
(14396, NULL, 'PF09501', NULL, NULL, 'Probable sporulation protein (Bac_small_yrzI)', NULL, 'Bac_small_YrzI', NULL, NULL, NULL, 6),
(14397, NULL, 'PF03143', NULL, NULL, 'Elongation factor Tu C-terminal domain', NULL, 'GTP_EFTU_D3', NULL, NULL, NULL, 6),
(14398, NULL, 'PF15244', NULL, NULL, 'Spermatogenesis-associated protein 7, or HSD3', NULL, 'HSD3', NULL, NULL, NULL, 6),
(14399, NULL, 'PF13253', NULL, NULL, 'Protein of unknown function (DUF4044)', NULL, 'DUF4044', NULL, NULL, NULL, 6),
(14400, NULL, 'PF14255', NULL, NULL, 'Cysteine-rich CPXCG', NULL, 'Cys_rich_CPXG', NULL, NULL, NULL, 6),
(14401, NULL, 'PF02446', NULL, NULL, '4-alpha-glucanotransferase', NULL, 'Glyco_hydro_77', NULL, NULL, NULL, 6),
(14402, NULL, 'PF14907', NULL, NULL, 'Uncharacterised nucleotidyltransferase', NULL, 'NTP_transf_5', NULL, NULL, NULL, 6),
(14403, NULL, 'PF04277', NULL, NULL, 'Oxaloacetate decarboxylase, gamma chain', NULL, 'OAD_gamma', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14404, NULL, 'PF02816', NULL, NULL, 'Alpha-kinase family', NULL, 'Alpha_kinase', NULL, NULL, NULL, 6),
(14405, NULL, 'PF01551', NULL, NULL, 'Peptidase family M23', NULL, 'Peptidase_M23', NULL, NULL, NULL, 6),
(14406, NULL, 'PF06870', NULL, NULL, 'A49-like RNA polymerase I associated factor', NULL, 'RNA_pol_I_A49', NULL, NULL, NULL, 6),
(14407, NULL, 'PF03661', NULL, NULL, 'Transmembrane protein 33/Nucleoporin POM33', NULL, 'TMEM33_Pom33', NULL, NULL, NULL, 6),
(14408, NULL, 'PF12759', NULL, NULL, 'InsA C-terminal domain', NULL, 'HTH_Tnp_IS1', NULL, NULL, NULL, 6),
(14409, NULL, 'PF16301', NULL, NULL, 'Domain of unknown function (DUF4943)', NULL, 'DUF4943', NULL, NULL, NULL, 6),
(14410, NULL, 'PF15890', NULL, NULL, 'Putative zinc-binding metallo-peptidase', NULL, 'Peptidase_Mx1', NULL, NULL, NULL, 6),
(14411, NULL, 'PF07237', NULL, NULL, 'Protein of unknown function (DUF1428)', NULL, 'DUF1428', NULL, NULL, NULL, 6),
(14412, NULL, 'PF04705', NULL, NULL, 'Thiostrepton-resistance methylase, N terminus', NULL, 'TSNR_N', NULL, NULL, NULL, 6),
(14413, NULL, 'PF00739', NULL, NULL, 'Trans-activation protein X', NULL, 'X', NULL, NULL, NULL, 6),
(14414, NULL, 'PF10976', NULL, NULL, 'Protein of unknown function (DUF2790)', NULL, 'DUF2790', NULL, NULL, NULL, 6),
(14415, NULL, 'PF10628', NULL, NULL, 'Outer spore coat protein E (CotE)', NULL, 'CotE', NULL, NULL, NULL, 6),
(14416, NULL, 'PF11705', NULL, NULL, 'DNA-directed RNA polymerase III subunit Rpc31', NULL, 'RNA_pol_3_Rpc31', NULL, NULL, NULL, 6),
(14417, NULL, 'PF11994', NULL, NULL, 'Protein of unknown function (DUF3489)', NULL, 'DUF3489', NULL, NULL, NULL, 6),
(14418, NULL, 'PF08704', NULL, NULL, 'tRNA methyltransferase complex GCD14 subunit', NULL, 'GCD14', NULL, NULL, NULL, 6),
(14419, NULL, 'PF04080', NULL, NULL, 'Per1-like family', NULL, 'Per1', NULL, NULL, NULL, 6),
(14420, NULL, 'PF18904', NULL, NULL, 'Domain of unknown function (DUF5660)', NULL, 'DUF5660', NULL, NULL, NULL, 6),
(14421, NULL, 'PF00715', NULL, NULL, 'Interleukin 2', NULL, 'IL2', NULL, NULL, NULL, 6),
(14422, NULL, 'PF12119', NULL, NULL, 'Protein of unknown function (DUF3581)', NULL, 'DUF3581', NULL, NULL, NULL, 6),
(14423, NULL, 'PF16890', NULL, NULL, 'Domain of unknown function (DUF5083)', NULL, 'DUF5083', NULL, NULL, NULL, 6),
(14424, NULL, 'PF04829', NULL, NULL, 'Pre-toxin domain with VENN motif', NULL, 'PT-VENN', NULL, NULL, NULL, 6),
(14425, NULL, 'PF15841', NULL, NULL, 'Transmembrane protein 239 family', NULL, 'TMEM239', NULL, NULL, NULL, 6),
(14426, NULL, 'PF16098', NULL, NULL, 'Fragile X-related mental retardation protein C-terminal region 2', NULL, 'FXMR_C2', NULL, NULL, NULL, 6),
(14427, NULL, 'PF03887', NULL, NULL, 'YfbU domain', NULL, 'YfbU', NULL, NULL, NULL, 6),
(14428, NULL, 'PF10804', NULL, NULL, 'Protein of unknown function (DUF2538)', NULL, 'DUF2538', NULL, NULL, NULL, 6),
(14429, NULL, 'PF07948', NULL, NULL, 'Nairovirus M polyprotein-like', NULL, 'Nairovirus_M', NULL, NULL, NULL, 6),
(14430, NULL, 'PF08236', NULL, NULL, 'SRI (Set2 Rpb1 interacting) domain', NULL, 'SRI', NULL, NULL, NULL, 6),
(14431, NULL, 'PF10859', NULL, NULL, 'Protein of unknown function (DUF2660)', NULL, 'DUF2660', NULL, NULL, NULL, 6),
(14432, NULL, 'PF15359', NULL, NULL, 'Carnitine deficiency-associated protein 3', NULL, 'CDV3', NULL, NULL, NULL, 6),
(14433, NULL, 'PF05226', NULL, NULL, 'CHASE2 domain', NULL, 'CHASE2', NULL, NULL, NULL, 6),
(14434, NULL, 'PF06602', NULL, NULL, 'Myotubularin-like phosphatase domain', NULL, 'Myotub-related', NULL, NULL, NULL, 6),
(14435, NULL, 'PF14757', NULL, NULL, 'Immunogenic region of nsp2 protein of arterivirus polyprotein', NULL, 'NSP2-B_epitope', NULL, NULL, NULL, 6),
(14436, NULL, 'PF16233', NULL, NULL, 'Domain of unknown function (DUF4893)', NULL, 'DUF4893', NULL, NULL, NULL, 6),
(14437, NULL, 'PF16962', NULL, NULL, 'Putative ABC exporter', NULL, 'ABC_export', NULL, NULL, NULL, 6),
(14438, NULL, 'PF01380', NULL, NULL, 'SIS domain', NULL, 'SIS', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14439, NULL, 'PF11132', NULL, NULL, 'Transcriptional regulator protein (SplA)', NULL, 'SplA', NULL, NULL, NULL, 6),
(14440, NULL, 'PF14509', NULL, NULL, 'Glycosyl-hydrolase 97 C-terminal, oligomerisation', NULL, 'GH97_C', NULL, NULL, NULL, 6),
(14441, NULL, 'PF12784', NULL, NULL, 'PD-(D/E)XK nuclease family transposase', NULL, 'PDDEXK_2', NULL, NULL, NULL, 6),
(14442, NULL, 'PF04778', NULL, NULL, 'LMP repeated region', NULL, 'LMP', NULL, NULL, NULL, 6),
(14443, NULL, 'PF04165', NULL, NULL, 'Protein of unknown function (DUF401)', NULL, 'DUF401', NULL, NULL, NULL, 6),
(14444, NULL, 'PF08602', NULL, NULL, 'Mgr1-like, i-AAA protease complex subunit', NULL, 'Mgr1', NULL, NULL, NULL, 6),
(14445, NULL, 'PF09832', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2059)', NULL, 'DUF2059', NULL, NULL, NULL, 6),
(14446, NULL, 'PF18342', NULL, NULL, 'Endo-beta-N-acetylglucosaminidase LytB WW domain', NULL, 'LytB_WW', NULL, NULL, NULL, 6),
(14447, NULL, 'PF02530', NULL, NULL, 'Porin subfamily', NULL, 'Porin_2', NULL, NULL, NULL, 6),
(14448, NULL, 'PF11697', NULL, NULL, 'Protein of unknown function (DUF3293)', NULL, 'DUF3293', NULL, NULL, NULL, 6),
(14449, NULL, 'PF01817', NULL, NULL, 'Chorismate mutase type II', NULL, 'CM_2', NULL, NULL, NULL, 6),
(14450, NULL, 'PF12058', NULL, NULL, 'Protein of unknown function (DUF3539)', NULL, 'DUF3539', NULL, NULL, NULL, 6),
(14451, NULL, 'PF13782', NULL, NULL, 'Stage V sporulation protein AB', NULL, 'SpoVAB', NULL, NULL, NULL, 6),
(14452, NULL, 'PF08218', NULL, NULL, 'Citrate lyase ligase C-terminal domain', NULL, 'Citrate_ly_lig', NULL, NULL, NULL, 6),
(14453, NULL, 'PF12891', NULL, NULL, 'Glycoside hydrolase family 44', NULL, 'Glyco_hydro_44', NULL, NULL, NULL, 6),
(14454, NULL, 'PF08883', NULL, NULL, 'Dopa 4,5-dioxygenase family', NULL, 'DOPA_dioxygen', NULL, NULL, NULL, 6),
(14455, NULL, 'PF17747', NULL, NULL, 'VID27 PH-like domain', NULL, 'VID27_PH', NULL, NULL, NULL, 6),
(14456, NULL, 'PF07928', NULL, NULL, 'Vps54-like protein', NULL, 'Vps54', NULL, NULL, NULL, 6),
(14457, NULL, 'PF19177', NULL, NULL, 'Family of unknown function (DUF5859)', NULL, 'DUF5859', NULL, NULL, NULL, 6),
(14458, NULL, 'PF01238', NULL, NULL, 'Phosphomannose isomerase type I', NULL, 'PMI_typeI', NULL, NULL, NULL, 6),
(14459, NULL, 'PF14080', NULL, NULL, 'Domain of unknown function (DUF4261)', NULL, 'DUF4261', NULL, NULL, NULL, 6),
(14460, NULL, 'PF05295', NULL, NULL, 'Luciferase/LBP N-terminal domain', NULL, 'Luciferase_N', NULL, NULL, NULL, 6),
(14461, NULL, 'PF06694', NULL, NULL, 'Plant nuclear matrix protein 1 (NMP1)', NULL, 'Plant_NMP1', NULL, NULL, NULL, 6),
(14462, NULL, 'PF00841', NULL, NULL, 'Sperm histone P2', NULL, 'Protamine_P2', NULL, NULL, NULL, 6),
(14463, NULL, 'PF04017', NULL, NULL, 'Domain of unknown function (DUF366)', NULL, 'DUF366', NULL, NULL, NULL, 6),
(14464, NULL, 'PF09502', NULL, NULL, 'Bacterial type III secretion protein (HrpB4)', NULL, 'HrpB4', NULL, NULL, NULL, 6),
(14465, NULL, 'PF00071', NULL, NULL, 'Ras family', NULL, 'Ras', NULL, NULL, NULL, 6),
(14466, NULL, 'PF10328', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srx', NULL, '7TM_GPCR_Srx', NULL, NULL, NULL, 6),
(14467, NULL, 'PF02066', NULL, NULL, 'Metallothionein family 11', NULL, 'Metallothio_11', NULL, NULL, NULL, 6),
(14468, NULL, 'PF01923', NULL, NULL, 'Cobalamin adenosyltransferase', NULL, 'Cob_adeno_trans', NULL, NULL, NULL, 6),
(14469, NULL, 'PF15911', NULL, NULL, 'WD domain, G-beta repeat', NULL, 'WD40_3', NULL, NULL, NULL, 6),
(14470, NULL, 'PF04549', NULL, NULL, 'CD47 transmembrane region', NULL, 'CD47', NULL, NULL, NULL, 6),
(14471, NULL, 'PF14880', NULL, NULL, 'Cytochrome oxidase c assembly', NULL, 'COX14', NULL, NULL, NULL, 6),
(14472, NULL, 'PF17102', NULL, NULL, 'Stealth protein CR3, conserved region 3', NULL, 'Stealth_CR3', NULL, NULL, NULL, 6),
(14473, NULL, 'PF12831', NULL, NULL, 'FAD dependent oxidoreductase', NULL, 'FAD_oxidored', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14474, NULL, 'PF11195', NULL, NULL, 'Protein of unknown function (DUF2829)', NULL, 'DUF2829', NULL, NULL, NULL, 6),
(14475, NULL, 'PF18741', NULL, NULL, 'REase_MTES_1575', NULL, 'MTES_1575', NULL, NULL, NULL, 6),
(14476, NULL, 'PF11459', NULL, NULL, 'Transcriptional regulator, AbiEi antitoxin, Type IV TA system', NULL, 'AbiEi_3', NULL, NULL, NULL, 6),
(14477, NULL, 'PF11003', NULL, NULL, 'Protein of unknown function (DUF2842)', NULL, 'DUF2842', NULL, NULL, NULL, 6),
(14478, NULL, 'PF06435', NULL, NULL, 'Repeat of unknown function (DUF1079)', NULL, 'DUF1079', NULL, NULL, NULL, 6),
(14479, NULL, 'PF05542', NULL, NULL, 'Protein of unknown function (DUF760)', NULL, 'DUF760', NULL, NULL, NULL, 6),
(14480, NULL, 'PF10497', NULL, NULL, 'Zinc-finger domain of monoamine-oxidase A repressor R1', NULL, 'zf-4CXXC_R1', NULL, NULL, NULL, 6),
(14481, NULL, 'PF02545', NULL, NULL, 'Maf-like protein', NULL, 'Maf', NULL, NULL, NULL, 6),
(14482, NULL, 'PF19001', NULL, NULL, 'Family of unknown function (DUF5730)', NULL, 'DUF5730', NULL, NULL, NULL, 6),
(14483, NULL, 'PF17145', NULL, NULL, 'Domain of unknown function (DUF5119)', NULL, 'DUF5119', NULL, NULL, NULL, 6),
(14484, NULL, 'PF12936', NULL, NULL, 'KRI1-like family C-terminal', NULL, 'Kri1_C', NULL, NULL, NULL, 6),
(14485, NULL, 'PF16922', NULL, NULL, 'DNA replication complex GINS protein SLD5 C-terminus', NULL, 'SLD5_C', NULL, NULL, NULL, 6),
(14486, NULL, 'PF17948', NULL, NULL, 'DnaT DNA-binding domain', NULL, 'DnaT', NULL, NULL, NULL, 6),
(14487, NULL, 'PF14750', NULL, NULL, 'Integrator complex subunit 2', NULL, 'INTS2', NULL, NULL, NULL, 6),
(14488, NULL, 'PF18094', NULL, NULL, 'DNA polymerase beta N-terminal domain', NULL, 'DNA_pol_B_N', NULL, NULL, NULL, 6),
(14489, NULL, 'PF18162', NULL, NULL, 'Arc C-lobe', NULL, 'Arc_C', NULL, NULL, NULL, 6),
(14490, NULL, 'PF16689', NULL, NULL, 'Coiled-coil N-terminus of APC, dimerisation domain', NULL, 'APC_N_CC', NULL, NULL, NULL, 6),
(14491, NULL, 'PF04849', NULL, NULL, 'HAP1 N-terminal conserved region', NULL, 'HAP1_N', NULL, NULL, NULL, 6),
(14492, NULL, 'PF08603', NULL, NULL, 'Adenylate cyclase associated (CAP) C terminal', NULL, 'CAP_C', NULL, NULL, NULL, 6),
(14493, NULL, 'PF07754', NULL, NULL, 'Domain of unknown function (DUF1610)', NULL, 'DUF1610', NULL, NULL, NULL, 6),
(14494, NULL, 'PF05810', NULL, NULL, 'NinF protein', NULL, 'NinF', NULL, NULL, NULL, 6),
(14495, NULL, 'PF12361', NULL, NULL, 'Duffy-antigen binding protein', NULL, 'DBP', NULL, NULL, NULL, 6),
(14496, NULL, 'PF06208', NULL, NULL, 'Borna disease virus G protein', NULL, 'BDV_G', NULL, NULL, NULL, 6),
(14497, NULL, 'PF12700', NULL, NULL, 'HlyD family secretion protein', NULL, 'HlyD_2', NULL, NULL, NULL, 6),
(14498, NULL, 'PF05386', NULL, NULL, 'TEP1 N-terminal domain', NULL, 'TEP1_N', NULL, NULL, NULL, 6),
(14499, NULL, 'PF03198', NULL, NULL, 'Glucanosyltransferase', NULL, 'Glyco_hydro_72', NULL, NULL, NULL, 6),
(14500, NULL, 'PF14913', NULL, NULL, 'DPCD protein family', NULL, 'DPCD', NULL, NULL, NULL, 6),
(14501, NULL, 'PF16514', NULL, NULL, 'putative NADH-ubiquinone oxidoreductase chain E', NULL, 'NADH-UOR_E', NULL, NULL, NULL, 6),
(14502, NULL, 'PF00463', NULL, NULL, 'Isocitrate lyase family', NULL, 'ICL', NULL, NULL, NULL, 6),
(14503, NULL, 'PF08297', NULL, NULL, 'U3 snoRNA associated', NULL, 'U3_snoRNA_assoc', NULL, NULL, NULL, 6),
(14504, NULL, 'PF17869', NULL, NULL, 'Anosmin cysteine rich domain', NULL, 'Cys_box', NULL, NULL, NULL, 6),
(14505, NULL, 'PF12516', NULL, NULL, 'Protein of unknown function (DUF3719)', NULL, 'DUF3719', NULL, NULL, NULL, 6),
(14506, NULL, 'PF12621', NULL, NULL, 'Extracellular tail, of 10TM putative phosphate transporter', NULL, 'PHM7_ext', NULL, NULL, NULL, 6),
(14507, NULL, 'PF15817', NULL, NULL, 'Transmembrane protein 40 family', NULL, 'TMEM40', NULL, NULL, NULL, 6),
(14508, NULL, 'PF15697', NULL, NULL, 'Domain of unknown function (DUF4666)', NULL, 'DUF4666', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14509, NULL, 'PF02814', NULL, NULL, 'UreE urease accessory protein, N-terminal domain', NULL, 'UreE_N', NULL, NULL, NULL, 6),
(14510, NULL, 'PF01138', NULL, NULL, '3'' exoribonuclease family, domain 1', NULL, 'RNase_PH', NULL, NULL, NULL, 6),
(14511, NULL, 'PF19125', NULL, NULL, 'Family of unknown function (DUF5809)', NULL, 'DUF5809', NULL, NULL, NULL, 6),
(14512, NULL, 'PF17748', NULL, NULL, 'VID27 N-terminal region', NULL, 'VID27_N', NULL, NULL, NULL, 6),
(14513, NULL, 'PF06984', NULL, NULL, 'Mitochondrial 39-S ribosomal protein L47 (MRP-L47)', NULL, 'MRP-L47', NULL, NULL, NULL, 6),
(14514, NULL, 'PF06673', NULL, NULL, 'Lactococcus lactis bacteriophage major capsid protein', NULL, 'L_lactis_ph-MCP', NULL, NULL, NULL, 6),
(14515, NULL, 'PF09943', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2175)', NULL, 'DUF2175', NULL, NULL, NULL, 6),
(14516, NULL, 'PF18678', NULL, NULL, 'Allene oxide cyclase barrel like domain', NULL, 'AOC_like', NULL, NULL, NULL, 6),
(14517, NULL, 'PF15830', NULL, NULL, 'Domain of unknown function (DUF4712)', NULL, 'DUF4712', NULL, NULL, NULL, 6),
(14518, NULL, 'PF13208', NULL, NULL, 'TerB N-terminal domain', NULL, 'TerB_N', NULL, NULL, NULL, 6),
(14519, NULL, 'PF04562', NULL, NULL, 'Dictyostelium spore coat protein, N terminus', NULL, 'Dicty_spore_N', NULL, NULL, NULL, 6),
(14520, NULL, 'PF15196', NULL, NULL, 'Activator of apoptosis harakiri', NULL, 'Harakiri', NULL, NULL, NULL, 6),
(14521, NULL, 'PF06521', NULL, NULL, 'PAR1 protein', NULL, 'PAR1', NULL, NULL, NULL, 6),
(14522, NULL, 'PF16142', NULL, NULL, 'Domain of unknown function (DUF4850)', NULL, 'DUF4850', NULL, NULL, NULL, 6),
(14523, NULL, 'PF11479', NULL, NULL, 'RNA silencing suppressor P21 C-terminal domain', NULL, 'Suppressor_P21', NULL, NULL, NULL, 6),
(14524, NULL, 'PF17060', NULL, NULL, 'Monopolar spindle protein 2', NULL, 'MPS2', NULL, NULL, NULL, 6),
(14525, NULL, 'PF06620', NULL, NULL, 'Protein of unknown function (DUF1150)', NULL, 'DUF1150', NULL, NULL, NULL, 6),
(14526, NULL, 'PF05261', NULL, NULL, 'TraM protein, DNA-binding', NULL, 'Tra_M', NULL, NULL, NULL, 6),
(14527, NULL, 'PF16869', NULL, NULL, 'Condensin II complex subunit CAP-H2 or CNDH2, mid domain', NULL, 'CNDH2_M', NULL, NULL, NULL, 6),
(14528, NULL, 'PF01731', NULL, NULL, 'Arylesterase', NULL, 'Arylesterase', NULL, NULL, NULL, 6),
(14529, NULL, 'PF05255', NULL, NULL, 'Uncharacterised protein family (UPF0220)', NULL, 'UPF0220', NULL, NULL, NULL, 6),
(14530, NULL, 'PF09559', NULL, NULL, 'Cas6 Crispr', NULL, 'Cas6', NULL, NULL, NULL, 6),
(14531, NULL, 'PF13810', NULL, NULL, 'Domain of unknown function (DUF4185)', NULL, 'DUF4185', NULL, NULL, NULL, 6),
(14532, NULL, 'PF04209', NULL, NULL, 'homogentisate 1,2-dioxygenase', NULL, 'HgmA', NULL, NULL, NULL, 6),
(14533, NULL, 'PF04227', NULL, NULL, 'Indigoidine synthase A like protein', NULL, 'Indigoidine_A', NULL, NULL, NULL, 6),
(14534, NULL, 'PF16418', NULL, NULL, 'CCR4-NOT transcription complex subunit 1 HEAT repeat', NULL, 'CNOT1_HEAT', NULL, NULL, NULL, 6),
(14535, NULL, 'PF10953', NULL, NULL, 'Protein of unknown function (DUF2754)', NULL, 'DUF2754', NULL, NULL, NULL, 6),
(14536, NULL, 'PF13145', NULL, NULL, 'PPIC-type PPIASE domain', NULL, 'Rotamase_2', NULL, NULL, NULL, 6),
(14537, NULL, 'PF12475', NULL, NULL, 'Amdovirus non-structural protein', NULL, 'Amdo_NSP', NULL, NULL, NULL, 6),
(14538, NULL, 'PF19142', NULL, NULL, 'Family of unknown function (DUF5825)', NULL, 'DUF5825', NULL, NULL, NULL, 6),
(14539, NULL, 'PF14801', NULL, NULL, 'tRNA methyltransferase complex GCD14 subunit N-term', NULL, 'GCD14_N', NULL, NULL, NULL, 6),
(14540, NULL, 'PF17287', NULL, NULL, 'POTRA domain', NULL, 'POTRA_3', NULL, NULL, NULL, 6),
(14541, NULL, 'PF03972', NULL, NULL, 'MmgE/PrpD family', NULL, 'MmgE_PrpD', NULL, NULL, NULL, 6),
(14542, NULL, 'PF10971', NULL, NULL, 'Protein of unknown function (DUF2773)', NULL, 'DUF2773', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14543, NULL, 'PF10055', NULL, NULL, 'Uncharacterized small protein (DUF2292)', NULL, 'DUF2292', NULL, NULL, NULL, 6),
(14544, NULL, 'PF06699', NULL, NULL, 'GPI biosynthesis protein family Pig-F', NULL, 'PIG-F', NULL, NULL, NULL, 6),
(14545, NULL, 'PF14684', NULL, NULL, 'Tricorn protease C1 domain', NULL, 'Tricorn_C1', NULL, NULL, NULL, 6),
(14546, NULL, 'PF19171', NULL, NULL, 'Family of unknown function (DUF5853)', NULL, 'DUF5853', NULL, NULL, NULL, 6),
(14547, NULL, 'PF16952', NULL, NULL, 'Glutamine synthetase N-terminal domain', NULL, 'Gln-synt_N_2', NULL, NULL, NULL, 6),
(14548, NULL, 'PF01577', NULL, NULL, 'Potyvirus P1 protease', NULL, 'Peptidase_S30', NULL, NULL, NULL, 6),
(14549, NULL, 'PF14965', NULL, NULL, 'Negative regulator of p53/TP53', NULL, 'BRI3BP', NULL, NULL, NULL, 6),
(14550, NULL, 'PF00604', NULL, NULL, 'Influenza RNA-dependent RNA polymerase subunit PB2', NULL, 'Flu_PB2', NULL, NULL, NULL, 6),
(14551, NULL, 'PF00688', NULL, NULL, 'TGF-beta propeptide', NULL, 'TGFb_propeptide', NULL, NULL, NULL, 6),
(14552, NULL, 'PF16307', NULL, NULL, 'Domain of unknown function (DUF4949)', NULL, 'DUF4949', NULL, NULL, NULL, 6),
(14553, NULL, 'PF01142', NULL, NULL, 'tRNA pseudouridine synthase D (TruD)', NULL, 'TruD', NULL, NULL, NULL, 6),
(14554, NULL, 'PF10759', NULL, NULL, 'Protein of unknown function (DUF2587)', NULL, 'DUF2587', NULL, NULL, NULL, 6),
(14555, NULL, 'PF03508', NULL, NULL, 'Gap junction alpha-1 protein (Cx43)', NULL, 'Connexin43', NULL, NULL, NULL, 6),
(14556, NULL, 'PF11586', NULL, NULL, 'Protein of unknown function (DUF3242)', NULL, 'DUF3242', NULL, NULL, NULL, 6),
(14557, NULL, 'PF01223', NULL, NULL, 'DNA/RNA non-specific endonuclease', NULL, 'Endonuclease_NS', NULL, NULL, NULL, 6),
(14558, NULL, 'PF11738', NULL, NULL, 'Protein of unknown function (DUF3298)', NULL, 'DUF3298', NULL, NULL, NULL, 6),
(14559, NULL, 'PF10605', NULL, NULL, '3HB-oligomer hydrolase (3HBOH)', NULL, '3HBOH', NULL, NULL, NULL, 6),
(14560, NULL, 'PF03730', NULL, NULL, 'Ku70/Ku80 C-terminal arm', NULL, 'Ku_C', NULL, NULL, NULL, 6),
(14561, NULL, 'PF09274', NULL, NULL, 'ParG', NULL, 'ParG', NULL, NULL, NULL, 6),
(14562, NULL, 'PF03504', NULL, NULL, 'Chlamydia cysteine-rich outer membrane protein 6', NULL, 'Chlam_OMP6', NULL, NULL, NULL, 6),
(14563, NULL, 'PF02297', NULL, NULL, 'Cytochrome oxidase c subunit VIb', NULL, 'COX6B', NULL, NULL, NULL, 6),
(14564, NULL, 'PF14586', NULL, NULL, 'Class I Histocompatibility antigen, NKG2D ligand, domains 1 and 2', NULL, 'MHC_I_2', NULL, NULL, NULL, 6),
(14565, NULL, 'PF07504', NULL, NULL, 'Fungalysin/Thermolysin Propeptide Motif', NULL, 'FTP', NULL, NULL, NULL, 6),
(14566, NULL, 'PF17378', NULL, NULL, 'Meiotic recombination protein REC104', NULL, 'REC104', NULL, NULL, NULL, 6),
(14567, NULL, 'PF00212', NULL, NULL, 'Atrial natriuretic peptide', NULL, 'ANP', NULL, NULL, NULL, 6),
(14568, NULL, 'PF03644', NULL, NULL, 'Glycosyl hydrolase family 85', NULL, 'Glyco_hydro_85', NULL, NULL, NULL, 6),
(14569, NULL, 'PF02983', NULL, NULL, 'Alpha-lytic protease prodomain', NULL, 'Pro_Al_protease', NULL, NULL, NULL, 6),
(14570, NULL, 'PF11203', NULL, NULL, 'Putative type VII ESX secretion system translocon, EccE', NULL, 'EccE', NULL, NULL, NULL, 6),
(14571, NULL, 'PF05922', NULL, NULL, 'Peptidase inhibitor I9', NULL, 'Inhibitor_I9', NULL, NULL, NULL, 6),
(14572, NULL, 'PF07462', NULL, NULL, 'Merozoite surface protein 1 (MSP1) C-terminus', NULL, 'MSP1_C', NULL, NULL, NULL, 6),
(14573, NULL, 'PF18123', NULL, NULL, 'Fibroblast growth factor receptor 3 transmembrane domain', NULL, 'FGFR3_TM', NULL, NULL, NULL, 6),
(14574, NULL, 'PF01827', NULL, NULL, 'FTH domain', NULL, 'FTH', NULL, NULL, NULL, 6),
(14575, NULL, 'PF09026', NULL, NULL, 'Centromere protein B dimerisation domain', NULL, 'CENP-B_dimeris', NULL, NULL, NULL, 6),
(14576, NULL, 'PF08279', NULL, NULL, 'HTH domain', NULL, 'HTH_11', NULL, NULL, NULL, 6),
(14577, NULL, 'PF07494', NULL, NULL, 'Two component regulator propeller', NULL, 'Reg_prop', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14578, NULL, 'PF05793', NULL, NULL, 'Transcription initiation factor IIF, alpha subunit (TFIIF-alpha)', NULL, 'TFIIF_alpha', NULL, NULL, NULL, 6),
(14579, NULL, 'PF11979', NULL, NULL, 'Domain of unknown function (DUF3480)', NULL, 'DUF3480', NULL, NULL, NULL, 6),
(14580, NULL, 'PF15953', NULL, NULL, 'Putative propanediol utilisation', NULL, 'PDU_like', NULL, NULL, NULL, 6),
(14581, NULL, 'PF14565', NULL, NULL, 'Interleukin 22 IL-10-related T-cell-derived-inducible factor', NULL, 'IL22', NULL, NULL, NULL, 6),
(14582, NULL, 'PF08691', NULL, NULL, 'DNA repair proteins Nse5 and Nse6', NULL, 'Nse5', NULL, NULL, NULL, 6),
(14583, NULL, 'PF15556', NULL, NULL, 'ZW10 interactor', NULL, 'Zwint', NULL, NULL, NULL, 6),
(14584, NULL, 'PF03225', NULL, NULL, 'Viral heat shock protein Hsp90 homologue', NULL, 'Viral_Hsp90', NULL, NULL, NULL, 6),
(14585, NULL, 'PF10466', NULL, NULL, 'Saccharopepsin inhibitor I34', NULL, 'Inhibitor_I34', NULL, NULL, NULL, 6),
(14586, NULL, 'PF18183', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 2', NULL, 'SLATT_2', NULL, NULL, NULL, 6),
(14587, NULL, 'PF17681', NULL, NULL, 'Gamma tubulin complex component N-terminal', NULL, 'GCP_N_terminal', NULL, NULL, NULL, 6),
(14588, NULL, 'PF03558', NULL, NULL, 'TBSV core protein P21/P22', NULL, 'TBSV_P22', NULL, NULL, NULL, 6),
(14589, NULL, 'PF11553', NULL, NULL, 'Protein of unknown function (DUF3231)', NULL, 'DUF3231', NULL, NULL, NULL, 6),
(14590, NULL, 'PF06369', NULL, NULL, 'Sea anemone cytotoxic protein', NULL, 'Anemone_cytotox', NULL, NULL, NULL, 6),
(14591, NULL, 'PF09725', NULL, NULL, 'Folate-sensitive fragile site protein Fra10Ac1', NULL, 'Fra10Ac1', NULL, NULL, NULL, 6),
(14592, NULL, 'PF02652', NULL, NULL, 'L-lactate permease', NULL, 'Lactate_perm', NULL, NULL, NULL, 6),
(14593, NULL, 'PF07714', NULL, NULL, 'Protein tyrosine and serine/threonine kinase', NULL, 'PK_Tyr_Ser-Thr', NULL, NULL, NULL, 6),
(14594, NULL, 'PF08207', NULL, NULL, 'Elongation factor P (EF-P) KOW-like domain', NULL, 'EFP_N', NULL, NULL, NULL, 6),
(14595, NULL, 'PF16370', NULL, NULL, 'C terminal of Calcineurin-like phosphoesterase', NULL, 'MetallophosC', NULL, NULL, NULL, 6),
(14596, NULL, 'PF02352', NULL, NULL, 'Decorin binding protein', NULL, 'Decorin_bind', NULL, NULL, NULL, 6),
(14597, NULL, 'PF03650', NULL, NULL, 'Mitochondrial pyruvate carriers', NULL, 'MPC', NULL, NULL, NULL, 6),
(14598, NULL, 'PF12025', NULL, NULL, 'Phage protein C', NULL, 'Phage_C', NULL, NULL, NULL, 6),
(14599, NULL, 'PF09302', NULL, NULL, 'XLF-Cernunnos, XRcc4-like factor, NHEJ component', NULL, 'XLF', NULL, NULL, NULL, 6),
(14600, NULL, 'PF03837', NULL, NULL, 'RecT family', NULL, 'RecT', NULL, NULL, NULL, 6),
(14601, NULL, 'PF15904', NULL, NULL, 'LKB1 serine/threonine kinase interacting protein 1', NULL, 'LIP1', NULL, NULL, NULL, 6),
(14602, NULL, 'PF12041', NULL, NULL, 'Transcriptional regulator DELLA protein N terminal', NULL, 'DELLA', NULL, NULL, NULL, 6),
(14603, NULL, 'PF11145', NULL, NULL, 'Protein of unknown function (DUF2921)', NULL, 'DUF2921', NULL, NULL, NULL, 6),
(14604, NULL, 'PF11256', NULL, NULL, 'Protein of unknown function (DUF3055)', NULL, 'DUF3055', NULL, NULL, NULL, 6),
(14605, NULL, 'PF09131', NULL, NULL, 'Bacillus thuringiensis delta-Endotoxin, middle domain', NULL, 'Endotoxin_mid', NULL, NULL, NULL, 6),
(14606, NULL, 'PF09752', NULL, NULL, 'Abhydrolase domain containing 18', NULL, 'DUF2048', NULL, NULL, NULL, 6),
(14607, NULL, 'PF09475', NULL, NULL, 'Dot/Icm secretion system protein (dot_icm_IcmQ)', NULL, 'Dot_icm_IcmQ', NULL, NULL, NULL, 6),
(14608, NULL, 'PF07970', NULL, NULL, 'Endoplasmic reticulum vesicle transporter', NULL, 'COPIIcoated_ERV', NULL, NULL, NULL, 6),
(14609, NULL, 'PF03954', NULL, NULL, 'Hepatic lectin, N-terminal domain', NULL, 'Lectin_N', NULL, NULL, NULL, 6),
(14610, NULL, 'PF09329', NULL, NULL, 'Primase zinc finger', NULL, 'zf-primase', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14611, NULL, 'PF07954', NULL, NULL, 'Protein of unknown function (DUF1689)', NULL, 'DUF1689', NULL, NULL, NULL, 6),
(14612, NULL, 'PF13829', NULL, NULL, 'Domain of unknown function (DUF4191)', NULL, 'DUF4191', NULL, NULL, NULL, 6),
(14613, NULL, 'PF11760', NULL, NULL, 'Cobalamin synthesis G N-terminal', NULL, 'CbiG_N', NULL, NULL, NULL, 6),
(14614, NULL, 'PF09937', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2169)', NULL, 'DUF2169', NULL, NULL, NULL, 6),
(14615, NULL, 'PF14333', NULL, NULL, 'Domain of unknown function (DUF4389)', NULL, 'DUF4389', NULL, NULL, NULL, 6),
(14616, NULL, 'PF00870', NULL, NULL, 'P53 DNA-binding domain', NULL, 'P53', NULL, NULL, NULL, 6),
(14617, NULL, 'PF08877', NULL, NULL, 'MepB protein', NULL, 'MepB', NULL, NULL, NULL, 6),
(14618, NULL, 'PF15716', NULL, NULL, 'Domain of unknown function (DUF4672)', NULL, 'DUF4672', NULL, NULL, NULL, 6),
(14619, NULL, 'PF17197', NULL, NULL, 'Domain of unknown function (DUF5134)', NULL, 'DUF5134', NULL, NULL, NULL, 6),
(14620, NULL, 'PF03755', NULL, NULL, 'YicC-like family, N-terminal region', NULL, 'YicC_N', NULL, NULL, NULL, 6),
(14621, NULL, 'PF11295', NULL, NULL, 'Protein of unknown function (DUF3096)', NULL, 'DUF3096', NULL, NULL, NULL, 6),
(14622, NULL, 'PF00586', NULL, NULL, 'AIR synthase related protein, N-terminal domain', NULL, 'AIRS', NULL, NULL, NULL, 6),
(14623, NULL, 'PF02797', NULL, NULL, 'Chalcone and stilbene synthases, C-terminal domain', NULL, 'Chal_sti_synt_C', NULL, NULL, NULL, 6),
(14624, NULL, 'PF06743', NULL, NULL, 'FAST kinase-like protein, subdomain 1', NULL, 'FAST_1', NULL, NULL, NULL, 6),
(14625, NULL, 'PF03764', NULL, NULL, 'Elongation factor G, domain IV', NULL, 'EFG_IV', NULL, NULL, NULL, 6),
(14626, NULL, 'PF18826', NULL, NULL, 'Bacteroidetes VLRF1 release factor', NULL, 'bVLRF1', NULL, NULL, NULL, 6),
(14627, NULL, 'PF11816', NULL, NULL, 'Domain of unknown function (DUF3337)', NULL, 'DUF3337', NULL, NULL, NULL, 6),
(14628, NULL, 'PF15417', NULL, NULL, 'Domain of unknown function (DUF4624)', NULL, 'DUF4624', NULL, NULL, NULL, 6),
(14629, NULL, 'PF03028', NULL, NULL, 'Dynein heavy chain region D6 P-loop domain', NULL, 'Dynein_heavy', NULL, NULL, NULL, 6),
(14630, NULL, 'PF12434', NULL, NULL, 'Malate dehydrogenase enzyme', NULL, 'Malate_DH', NULL, NULL, NULL, 6),
(14631, NULL, 'PF10787', NULL, NULL, 'Uncharacterised protein from bacillus cereus group', NULL, 'YfmQ', NULL, NULL, NULL, 6),
(14632, NULL, 'PF16387', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4996', NULL, NULL, NULL, 6),
(14633, NULL, 'PF18973', NULL, NULL, 'Putative Chitin binding like', NULL, 'CBL', NULL, NULL, NULL, 6),
(14634, NULL, 'PF00355', NULL, NULL, 'Rieske [2Fe-2S] domain', NULL, 'Rieske', NULL, NULL, NULL, 6),
(14635, NULL, 'PF15539', NULL, NULL, 'CAF1 complex subunit p150, region binding to CAF1-p60 at C-term', NULL, 'CAF1-p150_C2', NULL, NULL, NULL, 6),
(14636, NULL, 'PF15308', NULL, NULL, 'CEP170 C-terminus', NULL, 'CEP170_C', NULL, NULL, NULL, 6),
(14637, NULL, 'PF01098', NULL, NULL, 'Cell cycle protein', NULL, 'FTSW_RODA_SPOVE', NULL, NULL, NULL, 6),
(14638, NULL, 'PF18470', NULL, NULL, 'Cas9 alpha-helical lobe domain', NULL, 'Cas9_a', NULL, NULL, NULL, 6),
(14639, NULL, 'PF10991', NULL, NULL, 'Protein of unknown function (DUF2815)', NULL, 'DUF2815', NULL, NULL, NULL, 6),
(14640, NULL, 'PF10708', NULL, NULL, 'Protein of unknown function (DUF2510)', NULL, 'DUF2510', NULL, NULL, NULL, 6),
(14641, NULL, 'PF14388', NULL, NULL, 'Domain of unknown function (DUF4419)', NULL, 'DUF4419', NULL, NULL, NULL, 6),
(14642, NULL, 'PF18426', NULL, NULL, 'Tle cognate immunity protein 4 C-terminal domain', NULL, 'Tli4_C', NULL, NULL, NULL, 6),
(14643, NULL, 'PF00076', NULL, NULL, 'RNA recognition motif. (a.k.a. RRM, RBD, or RNP domain)', NULL, 'RRM_1', NULL, NULL, NULL, 6),
(14644, NULL, 'PF00152', NULL, NULL, 'tRNA synthetases class II (D, K and N)', NULL, 'tRNA-synt_2', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14645, NULL, 'PF13990', NULL, NULL, 'YjcZ-like protein', NULL, 'YjcZ', NULL, NULL, NULL, 6),
(14646, NULL, 'PF11818', NULL, NULL, 'C-terminal domain of tail specific protease (DUF3340)', NULL, 'DUF3340', NULL, NULL, NULL, 6),
(14647, NULL, 'PF04181', NULL, NULL, 'Rtr1/RPAP2 family', NULL, 'RPAP2_Rtr1', NULL, NULL, NULL, 6),
(14648, NULL, 'PF11268', NULL, NULL, 'Protein of unknown function (DUF3071)', NULL, 'DUF3071', NULL, NULL, NULL, 6),
(14649, NULL, 'PF08971', NULL, NULL, 'Glycogen synthesis protein', NULL, 'GlgS', NULL, NULL, NULL, 6),
(14650, NULL, 'PF17709', NULL, NULL, 'Family of unknown function (DUF5554)', NULL, 'DUF5554', NULL, NULL, NULL, 6),
(14651, NULL, 'PF03545', NULL, NULL, 'Yersinia virulence determinant (YopE)', NULL, 'YopE', NULL, NULL, NULL, 6),
(14652, NULL, 'PF14933', NULL, NULL, 'CEP19-like protein', NULL, 'CEP19', NULL, NULL, NULL, 6),
(14653, NULL, 'PF06371', NULL, NULL, 'Diaphanous GTPase-binding Domain', NULL, 'Drf_GBD', NULL, NULL, NULL, 6),
(14654, NULL, 'PF15463', NULL, NULL, 'Extracellular mutant protein 11', NULL, 'ECM11', NULL, NULL, NULL, 6),
(14655, NULL, 'PF17365', NULL, NULL, 'Family of unknown function (DUF5390)', NULL, 'DUF5390', NULL, NULL, NULL, 6),
(14656, NULL, 'PF07571', NULL, NULL, 'TAF6 C-terminal HEAT repeat domain', NULL, 'TAF6_C', NULL, NULL, NULL, 6),
(14657, NULL, 'PF18075', NULL, NULL, 'FtsX extracellular domain', NULL, 'FtsX_ECD', NULL, NULL, NULL, 6),
(14658, NULL, 'PF18004', NULL, NULL, '26S proteasome regulatory subunit RPN2 C-terminal domain', NULL, 'RPN2_C', NULL, NULL, NULL, 6),
(14659, NULL, 'PF11610', NULL, NULL, 'Scaffold protein Ste5, Fus3-binding region', NULL, 'Ste5', NULL, NULL, NULL, 6),
(14660, NULL, 'PF14952', NULL, NULL, 'Putative treble-clef, zinc-finger, Zn-binding', NULL, 'zf-tcix', NULL, NULL, NULL, 6),
(14661, NULL, 'PF14479', NULL, NULL, 'Prion-inhibition and propagation', NULL, 'HeLo', NULL, NULL, NULL, 6),
(14662, NULL, 'PF17128', NULL, NULL, 'Domain of unknown function (DUF5107)', NULL, 'DUF5107', NULL, NULL, NULL, 6),
(14663, NULL, 'PF18486', NULL, NULL, 'PNGase/UBA- or UBX-containing domain', NULL, 'PUB_1', NULL, NULL, NULL, 6),
(14664, NULL, 'PF13694', NULL, NULL, 'Sec63/Sec62 complex-interacting family', NULL, 'Hph', NULL, NULL, NULL, 6),
(14665, NULL, 'PF00377', NULL, NULL, 'Prion/Doppel alpha-helical domain', NULL, 'Prion', NULL, NULL, NULL, 6),
(14666, NULL, 'PF15435', NULL, NULL, 'UNC119-binding protein C5orf30 homologue', NULL, 'UNC119_bdg', NULL, NULL, NULL, 6),
(14667, NULL, 'PF17123', NULL, NULL, 'RING-like zinc finger', NULL, 'zf-RING_11', NULL, NULL, NULL, 6),
(14668, NULL, 'PF13816', NULL, NULL, 'Haem-containing dehydratase', NULL, 'Dehydratase_hem', NULL, NULL, NULL, 6),
(14669, NULL, 'PF12737', NULL, NULL, 'C-terminal domain of homeodomain 1', NULL, 'Mating_C', NULL, NULL, NULL, 6),
(14670, NULL, 'PF06322', NULL, NULL, 'Phage NinH protein', NULL, 'Phage_NinH', NULL, NULL, NULL, 6),
(14671, NULL, 'PF02597', NULL, NULL, 'ThiS family', NULL, 'ThiS', NULL, NULL, NULL, 6),
(14672, NULL, 'PF10283', NULL, NULL, 'PBZ domain', NULL, 'zf-CCHH', NULL, NULL, NULL, 6),
(14673, NULL, 'PF08670', NULL, NULL, 'MEKHLA domain', NULL, 'MEKHLA', NULL, NULL, NULL, 6),
(14674, NULL, 'PF17033', NULL, NULL, 'Carboxypeptidase controlling helical cell shape catalytic', NULL, 'Peptidase_M99', NULL, NULL, NULL, 6),
(14675, NULL, 'PF15746', NULL, NULL, 'TMEM215 family', NULL, 'TMEM215', NULL, NULL, NULL, 6),
(14676, NULL, 'PF03754', NULL, NULL, 'Domain of unknown function (DUF313)', NULL, 'DUF313', NULL, NULL, NULL, 6),
(14677, NULL, 'PF00310', NULL, NULL, 'Glutamine amidotransferases class-II', NULL, 'GATase_2', NULL, NULL, NULL, 6),
(14678, NULL, 'PF03540', NULL, NULL, 'Transcription initiation factor TFIID 23-30kDa subunit', NULL, 'TFIID_30kDa', NULL, NULL, NULL, 6),
(14679, NULL, 'PF16255', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase', NULL, 'Lipase_GDSL_lke', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14680, NULL, 'PF14419', NULL, NULL, 'AF2226-like SPOUT RNA Methylase fused to THUMP', NULL, 'SPOUT_MTase_2', NULL, NULL, NULL, 6),
(14681, NULL, 'PF01420', NULL, NULL, 'Type I restriction modification DNA specificity domain', NULL, 'Methylase_S', NULL, NULL, NULL, 6),
(14682, NULL, 'PF17004', NULL, NULL, 'Putative TPR-like repeat', NULL, 'SRP_TPR_like', NULL, NULL, NULL, 6),
(14683, NULL, 'PF14194', NULL, NULL, 'Cysteine-rich VLP', NULL, 'Cys_rich_VLP', NULL, NULL, NULL, 6),
(14684, NULL, 'PF11925', NULL, NULL, 'Protein of unknown function (DUF3443)', NULL, 'DUF3443', NULL, NULL, NULL, 6),
(14685, NULL, 'PF08375', NULL, NULL, 'Proteasome regulatory subunit C-terminal', NULL, 'Rpn3_C', NULL, NULL, NULL, 6),
(14686, NULL, 'PF10690', NULL, NULL, 'Myticin pre-proprotein from the mussel', NULL, 'Myticin-prepro', NULL, NULL, NULL, 6),
(14687, NULL, 'PF01019', NULL, NULL, 'Gamma-glutamyltranspeptidase', NULL, 'G_glu_transpept', NULL, NULL, NULL, 6),
(14688, NULL, 'PF04876', NULL, NULL, 'Tenuivirus major non-capsid protein', NULL, 'Tenui_NCP', NULL, NULL, NULL, 6),
(14689, NULL, 'PF08988', NULL, NULL, 'Type III secretion system, cytoplasmic E component of needle', NULL, 'T3SS_needle_E', NULL, NULL, NULL, 6),
(14690, NULL, 'PF18822', NULL, NULL, 'CdvA-like coiled-coil domain', NULL, 'CdvA', NULL, NULL, NULL, 6),
(14691, NULL, 'PF01603', NULL, NULL, 'Protein phosphatase 2A regulatory B subunit (B56 family)', NULL, 'B56', NULL, NULL, NULL, 6),
(14692, NULL, 'PF19227', NULL, NULL, 'Salyut domain', NULL, 'Salyut', NULL, NULL, NULL, 6),
(14693, NULL, 'PF05122', NULL, NULL, 'Mobile element transfer protein', NULL, 'SpdB', NULL, NULL, NULL, 6),
(14694, NULL, 'PF06615', NULL, NULL, 'Protein of unknown function (DUF1147)', NULL, 'DUF1147', NULL, NULL, NULL, 6),
(14695, NULL, 'PF07973', NULL, NULL, 'Threonyl and Alanyl tRNA synthetase second additional domain', NULL, 'tRNA_SAD', NULL, NULL, NULL, 6),
(14696, NULL, 'PF01402', NULL, NULL, 'Ribbon-helix-helix protein, copG family', NULL, 'RHH_1', NULL, NULL, NULL, 6),
(14697, NULL, 'PF02548', NULL, NULL, 'Ketopantoate hydroxymethyltransferase', NULL, 'Pantoate_transf', NULL, NULL, NULL, 6),
(14698, NULL, 'PF16396', NULL, NULL, 'Domain of unknown function (DUF5005)', NULL, 'DUF5005', NULL, NULL, NULL, 6),
(14699, NULL, 'PF00387', NULL, NULL, 'Phosphatidylinositol-specific phospholipase C, Y domain', NULL, 'PI-PLC-Y', NULL, NULL, NULL, 6),
(14700, NULL, 'PF18658', NULL, NULL, 'Spin-doc zinc-finger', NULL, 'zf-C2H2_12', NULL, NULL, NULL, 6),
(14701, NULL, 'PF17640', NULL, NULL, 'Uncharacterized UL17', NULL, 'UL17', NULL, NULL, NULL, 6),
(14702, NULL, 'PF10480', NULL, NULL, 'Beta-1 integrin binding protein', NULL, 'ICAP-1_inte_bdg', NULL, NULL, NULL, 6),
(14703, NULL, 'PF03942', NULL, NULL, 'DTW domain', NULL, 'DTW', NULL, NULL, NULL, 6),
(14704, NULL, 'PF03516', NULL, NULL, 'Filaggrin', NULL, 'Filaggrin', NULL, NULL, NULL, 6),
(14705, NULL, 'PF07919', NULL, NULL, 'Gryzun, putative trafficking through Golgi', NULL, 'Gryzun', NULL, NULL, NULL, 6),
(14706, NULL, 'PF18188', NULL, NULL, 'Prim-pol 4', NULL, 'PPL4', NULL, NULL, NULL, 6),
(14707, NULL, 'PF15248', NULL, NULL, 'Domain of unknown function (DUF4587)', NULL, 'DUF4587', NULL, NULL, NULL, 6),
(14708, NULL, 'PF18935', NULL, NULL, 'Family of unknown function (DUF5683)', NULL, 'DUF5683', NULL, NULL, NULL, 6),
(14709, NULL, 'PF09022', NULL, NULL, 'Staphostatin A', NULL, 'Staphostatin_A', NULL, NULL, NULL, 6),
(14710, NULL, 'PF16436', NULL, NULL, 'Domain of unknown function (DUF5033)', NULL, 'DUF5033', NULL, NULL, NULL, 6),
(14711, NULL, 'PF01400', NULL, NULL, 'Astacin (Peptidase family M12A)', NULL, 'Astacin', NULL, NULL, NULL, 6),
(14712, NULL, 'PF03637', NULL, NULL, 'Mob1/phocein family', NULL, 'Mob1_phocein', NULL, NULL, NULL, 6),
(14713, NULL, 'PF11567', NULL, NULL, 'Plasmodium falciparum UIS3 membrane protein', NULL, 'PfUIS3', NULL, NULL, NULL, 6),
(14714, NULL, 'PF02021', NULL, NULL, 'Uncharacterised protein family UPF0102', NULL, 'UPF0102', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14715, NULL, 'PF02511', NULL, NULL, 'Thymidylate synthase complementing protein', NULL, 'Thy1', NULL, NULL, NULL, 6),
(14716, NULL, 'PF01035', NULL, NULL, '6-O-methylguanine DNA methyltransferase, DNA binding domain', NULL, 'DNA_binding_1', NULL, NULL, NULL, 6),
(14717, NULL, 'PF07997', NULL, NULL, 'Protein of unknown function (DUF1694)', NULL, 'DUF1694', NULL, NULL, NULL, 6),
(14718, NULL, 'PF03529', NULL, NULL, 'Otx1 transcription factor', NULL, 'TF_Otx', NULL, NULL, NULL, 6),
(14719, NULL, 'PF15341', NULL, NULL, 'Ribosome biogenesis protein SLX9', NULL, 'SLX9', NULL, NULL, NULL, 6),
(14720, NULL, 'PF09462', NULL, NULL, 'Mus7/MMS22 family', NULL, 'Mus7', NULL, NULL, NULL, 6),
(14721, NULL, 'PF15820', NULL, NULL, 'Endothelial cell-specific chemotaxis regulator', NULL, 'ECSCR', NULL, NULL, NULL, 6),
(14722, NULL, 'PF01939', NULL, NULL, 'Endonuclease NucS', NULL, 'NucS', NULL, NULL, NULL, 6),
(14723, NULL, 'PF13347', NULL, NULL, 'MFS/sugar transport protein', NULL, 'MFS_2', NULL, NULL, NULL, 6),
(14724, NULL, 'PF18246', NULL, NULL, 'Oligosaccharyltransferase Insert domain', NULL, 'OST_IS', NULL, NULL, NULL, 6),
(14725, NULL, 'PF18081', NULL, NULL, 'Fanconi anemia-associated nuclease SAP domain', NULL, 'FANC_SAP', NULL, NULL, NULL, 6),
(14726, NULL, 'PF02793', NULL, NULL, 'Hormone receptor domain', NULL, 'HRM', NULL, NULL, NULL, 6),
(14727, NULL, 'PF13403', NULL, NULL, 'Hint domain', NULL, 'Hint_2', NULL, NULL, NULL, 6),
(14728, NULL, 'PF06308', NULL, NULL, '23S rRNA methylastransferase leader peptide (ErmCL)', NULL, 'ErmC', NULL, NULL, NULL, 6),
(14729, NULL, 'PF08142', NULL, NULL, 'AARP2CN (NUC121) domain', NULL, 'AARP2CN', NULL, NULL, NULL, 6),
(14730, NULL, 'PF09442', NULL, NULL, 'Domain of unknown function (DUF2018)', NULL, 'DUF2018', NULL, NULL, NULL, 6),
(14731, NULL, 'PF03630', NULL, NULL, 'Fumble', NULL, 'Fumble', NULL, NULL, NULL, 6),
(14732, NULL, 'PF06313', NULL, NULL, 'Drosophila ACP53EA protein', NULL, 'ACP53EA', NULL, NULL, NULL, 6),
(14733, NULL, 'PF03110', NULL, NULL, 'SBP domain', NULL, 'SBP', NULL, NULL, NULL, 6),
(14734, NULL, 'PF14318', NULL, NULL, 'Mononegavirales mRNA-capping region V', NULL, 'Mononeg_mRNAcap', NULL, NULL, NULL, 6),
(14735, NULL, 'PF17173', NULL, NULL, 'Domain of unknown function (DUF5129)', NULL, 'DUF5129', NULL, NULL, NULL, 6),
(14736, NULL, 'PF11629', NULL, NULL, 'C terminal SARAH domain of Mst1', NULL, 'Mst1_SARAH', NULL, NULL, NULL, 6),
(14737, NULL, 'PF11092', NULL, NULL, 'Neuronal protein 3.1 (p311)', NULL, 'Alveol-reg_P311', NULL, NULL, NULL, 6),
(14738, NULL, 'PF12957', NULL, NULL, 'Domain of unknown function (DUF3846)', NULL, 'DUF3846', NULL, NULL, NULL, 6),
(14739, NULL, 'PF16512', NULL, NULL, 'p190-A and -B Rho GAPs FF domain', NULL, 'RhoGAP-FF1', NULL, NULL, NULL, 6),
(14740, NULL, 'PF13029', NULL, NULL, 'Domain of unknown function (DUF3890)', NULL, 'DUF3890', NULL, NULL, NULL, 6),
(14741, NULL, 'PF06458', NULL, NULL, 'MucBP domain', NULL, 'MucBP', NULL, NULL, NULL, 6),
(14742, NULL, 'PF18952', NULL, NULL, 'Family of unknown function (DUF5696)', NULL, 'DUF5696', NULL, NULL, NULL, 6),
(14743, NULL, 'PF07334', NULL, NULL, 'Interferon-induced 35 kDa protein (IFP 35) N-terminus', NULL, 'IFP_35_N', NULL, NULL, NULL, 6),
(14744, NULL, 'PF01617', NULL, NULL, 'Surface antigen', NULL, 'Surface_Ag_2', NULL, NULL, NULL, 6),
(14745, NULL, 'PF11672', NULL, NULL, 'zinc-finger-containing domain', NULL, 'DUF3268', NULL, NULL, NULL, 6),
(14746, NULL, 'PF13535', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_4', NULL, NULL, NULL, 6),
(14747, NULL, 'PF00943', NULL, NULL, 'Alphavirus E2 glycoprotein', NULL, 'Alpha_E2_glycop', NULL, NULL, NULL, 6),
(14748, NULL, 'PF18561', NULL, NULL, 'Endoribonuclease Regnase 1/ ZC3H12 C-terminal domain', NULL, 'Regnase_1_C', NULL, NULL, NULL, 6),
(14749, NULL, 'PF16919', NULL, NULL, 'Protein kinase G rubredoxin domain', NULL, 'PknG_rubred', NULL, NULL, NULL, 6),
(14750, NULL, 'PF06412', NULL, NULL, 'Conjugal transfer protein TraD', NULL, 'TraD', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14751, NULL, 'PF17904', NULL, NULL, 'FMRP KH0 domain', NULL, 'KH_9', NULL, NULL, NULL, 6),
(14752, NULL, 'PF03301', NULL, NULL, 'Tryptophan 2,3-dioxygenase', NULL, 'Trp_dioxygenase', NULL, NULL, NULL, 6),
(14753, NULL, 'PF05059', NULL, NULL, 'Orbivirus VP4 core protein', NULL, 'Orbi_VP4', NULL, NULL, NULL, 6),
(14754, NULL, 'PF09404', NULL, NULL, 'KICSTOR complex C12orf66 like', NULL, 'C12orf66_like', NULL, NULL, NULL, 6),
(14755, NULL, 'PF11590', NULL, NULL, 'DNA polymerase catalytic subunit Pol', NULL, 'DNAPolymera_Pol', NULL, NULL, NULL, 6),
(14756, NULL, 'PF18432', NULL, NULL, 'Extracellular Cadherin domain', NULL, 'ECD', NULL, NULL, NULL, 6),
(14757, NULL, 'PF15759', NULL, NULL, 'TMEM108 family', NULL, 'TMEM108', NULL, NULL, NULL, 6),
(14758, NULL, 'PF13657', NULL, NULL, 'HipA N-terminal domain', NULL, 'Couple_hipA', NULL, NULL, NULL, 6),
(14759, NULL, 'PF11848', NULL, NULL, 'Domain of unknown function (DUF3368)', NULL, 'DUF3368', NULL, NULL, NULL, 6),
(14760, NULL, 'PF06978', NULL, NULL, 'Ribonucleases P/MRP protein subunit POP1', NULL, 'POP1', NULL, NULL, NULL, 6),
(14761, NULL, 'PF10511', NULL, NULL, 'Trappin protein transglutaminase binding domain', NULL, 'Cementoin', NULL, NULL, NULL, 6),
(14762, NULL, 'PF07444', NULL, NULL, 'Ycf66 protein N-terminus', NULL, 'Ycf66_N', NULL, NULL, NULL, 6),
(14763, NULL, 'PF06898', NULL, NULL, 'Putative stage IV sporulation protein YqfD', NULL, 'YqfD', NULL, NULL, NULL, 6),
(14764, NULL, 'PF15247', NULL, NULL, 'Histone RNA hairpin-binding protein RNA-binding domain', NULL, 'SLBP_RNA_bind', NULL, NULL, NULL, 6),
(14765, NULL, 'PF00254', NULL, NULL, 'FKBP-type peptidyl-prolyl cis-trans isomerase', NULL, 'FKBP_C', NULL, NULL, NULL, 6),
(14766, NULL, 'PF06311', NULL, NULL, 'NUMB domain', NULL, 'NumbF', NULL, NULL, NULL, 6),
(14767, NULL, 'PF16605', NULL, NULL, 'LSM-interacting associated unstructured', NULL, 'LSM_int_assoc', NULL, NULL, NULL, 6),
(14768, NULL, 'PF17844', NULL, NULL, 'Bacterial SCP ortholog', NULL, 'SCP_3', NULL, NULL, NULL, 6),
(14769, NULL, 'PF16353', NULL, NULL, 'Domain of unknown function (DUF4981)', NULL, 'DUF4981', NULL, NULL, NULL, 6),
(14770, NULL, 'PF17982', NULL, NULL, 'NSD Cys-His rich domain', NULL, 'C5HCH', NULL, NULL, NULL, 6),
(14771, NULL, 'PF04166', NULL, NULL, 'Pyridoxal phosphate biosynthetic protein PdxA', NULL, 'PdxA', NULL, NULL, NULL, 6),
(14772, NULL, 'PF11358', NULL, NULL, 'Protein of unknown function (DUF3158)', NULL, 'DUF3158', NULL, NULL, NULL, 6),
(14773, NULL, 'PF00700', NULL, NULL, 'Bacterial flagellin C-terminal helical region', NULL, 'Flagellin_C', NULL, NULL, NULL, 6),
(14774, NULL, 'PF05129', NULL, NULL, 'Transcription elongation factor Elf1 like', NULL, 'Elf1', NULL, NULL, NULL, 6),
(14775, NULL, 'PF09271', NULL, NULL, 'LAG1, DNA binding', NULL, 'LAG1-DNAbind', NULL, NULL, NULL, 6),
(14776, NULL, 'PF05959', NULL, NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF884)', NULL, 'DUF884', NULL, NULL, NULL, 6),
(14777, NULL, 'PF14682', NULL, NULL, 'Sporulation initiation phospho-transferase B, C-terminal', NULL, 'SPOB_ab', NULL, NULL, NULL, 6),
(14778, NULL, 'PF17935', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_27', NULL, NULL, NULL, 6),
(14779, NULL, 'PF18488', NULL, NULL, 'WYL domain', NULL, 'WYL_3', NULL, NULL, NULL, 6),
(14780, NULL, 'PF09010', NULL, NULL, 'Anti-Sigma Factor A', NULL, 'AsiA', NULL, NULL, NULL, 6),
(14781, NULL, 'PF07479', NULL, NULL, 'NAD-dependent glycerol-3-phosphate dehydrogenase C-terminus', NULL, 'NAD_Gly3P_dh_C', NULL, NULL, NULL, 6),
(14782, NULL, 'PF16468', NULL, NULL, 'Domain of unknown function (DUF5049)', NULL, 'DUF5049', NULL, NULL, NULL, 6),
(14783, NULL, 'PF02059', NULL, NULL, 'Interleukin-3', NULL, 'IL3', NULL, NULL, NULL, 6),
(14784, NULL, 'PF13925', NULL, NULL, 'con80 domain of Katanin', NULL, 'Katanin_con80', NULL, NULL, NULL, 6),
(14785, NULL, 'PF04565', NULL, NULL, 'RNA polymerase Rpb2, domain 3', NULL, 'RNA_pol_Rpb2_3', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14786, NULL, 'PF10750', NULL, NULL, 'Protein of unknown function (DUF2536)', NULL, 'DUF2536', NULL, NULL, NULL, 6),
(14787, NULL, 'PF09303', NULL, NULL, 'KCNMB2, ball and chain domain', NULL, 'KcnmB2_inactiv', NULL, NULL, NULL, 6),
(14788, NULL, 'PF08028', NULL, NULL, 'Acyl-CoA dehydrogenase, C-terminal domain', NULL, 'Acyl-CoA_dh_2', NULL, NULL, NULL, 6),
(14789, NULL, 'PF17454', NULL, NULL, 'Honey bee toxin', NULL, 'Bee_toxin', NULL, NULL, NULL, 6),
(14790, NULL, 'PF00850', NULL, NULL, 'Histone deacetylase domain', NULL, 'Hist_deacetyl', NULL, NULL, NULL, 6),
(14791, NULL, 'PF04042', NULL, NULL, 'DNA polymerase alpha/epsilon subunit B', NULL, 'DNA_pol_E_B', NULL, NULL, NULL, 6),
(14792, NULL, 'PF03729', NULL, NULL, 'Short repeat of unknown function (DUF308)', NULL, 'DUF308', NULL, NULL, NULL, 6),
(14793, NULL, 'PF13777', NULL, NULL, 'Domain of unknown function (DUF4173)', NULL, 'DUF4173', NULL, NULL, NULL, 6),
(14794, NULL, 'PF03621', NULL, NULL, 'MbtH-like protein', NULL, 'MbtH', NULL, NULL, NULL, 6),
(14795, NULL, 'PF12835', NULL, NULL, 'Integrase', NULL, 'Integrase_1', NULL, NULL, NULL, 6),
(14796, NULL, 'PF08194', NULL, NULL, 'DIM protein', NULL, 'DIM', NULL, NULL, NULL, 6),
(14797, NULL, 'PF01679', NULL, NULL, 'Proteolipid membrane potential modulator', NULL, 'Pmp3', NULL, NULL, NULL, 6),
(14798, NULL, 'PF13447', NULL, NULL, 'Seven times multi-haem cytochrome CxxCH', NULL, 'Multi-haem_cyto', NULL, NULL, NULL, 6),
(14799, NULL, 'PF11976', NULL, NULL, 'Ubiquitin-2 like Rad60 SUMO-like', NULL, 'Rad60-SLD', NULL, NULL, NULL, 6),
(14800, NULL, 'PF14449', NULL, NULL, 'Pre-toxin TG', NULL, 'PT-TG', NULL, NULL, NULL, 6),
(14801, NULL, 'PF02629', NULL, NULL, 'CoA binding domain', NULL, 'CoA_binding', NULL, NULL, NULL, 6),
(14802, NULL, 'PF12007', NULL, NULL, 'Protein of unknown function (DUF3501)', NULL, 'DUF3501', NULL, NULL, NULL, 6),
(14803, NULL, 'PF00486', NULL, NULL, 'Transcriptional regulatory protein, C terminal', NULL, 'Trans_reg_C', NULL, NULL, NULL, 6),
(14804, NULL, 'PF18664', NULL, NULL, 'CdiA C-terminal tRNase domain', NULL, 'CdiA_C_tRNase', NULL, NULL, NULL, 6),
(14805, NULL, 'PF12842', NULL, NULL, 'Domain of unknown function (DUF3819)', NULL, 'DUF3819', NULL, NULL, NULL, 6),
(14806, NULL, 'PF12612', NULL, NULL, 'Tubulin folding cofactor D C terminal', NULL, 'TFCD_C', NULL, NULL, NULL, 6),
(14807, NULL, 'PF12086', NULL, NULL, 'Protein of unknown function (DUF3563)', NULL, 'DUF3563', NULL, NULL, NULL, 6),
(14808, NULL, 'PF16167', NULL, NULL, 'Domain of unknown function (DUF4871)', NULL, 'DUF4871', NULL, NULL, NULL, 6),
(14809, NULL, 'PF04675', NULL, NULL, 'DNA ligase N terminus', NULL, 'DNA_ligase_A_N', NULL, NULL, NULL, 6),
(14810, NULL, 'PF11606', NULL, NULL, 'Family 31 carbohydrate binding protein', NULL, 'AlcCBM31', NULL, NULL, NULL, 6),
(14811, NULL, 'PF04239', NULL, NULL, 'Protein of unknown function (DUF421)', NULL, 'DUF421', NULL, NULL, NULL, 6),
(14812, NULL, 'PF04298', NULL, NULL, 'Putative neutral zinc metallopeptidase', NULL, 'Zn_peptidase_2', NULL, NULL, NULL, 6),
(14813, NULL, 'PF09175', NULL, NULL, 'Domain of unknown function (DUF1944)', NULL, 'DUF1944', NULL, NULL, NULL, 6),
(14814, NULL, 'PF12801', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_5', NULL, NULL, NULL, 6),
(14815, NULL, 'PF03535', NULL, NULL, 'Paxillin family', NULL, 'Paxillin', NULL, NULL, NULL, 6),
(14816, NULL, 'PF08559', NULL, NULL, 'Cut8, nuclear proteasome tether protein', NULL, 'Cut8', NULL, NULL, NULL, 6),
(14817, NULL, 'PF16112', NULL, NULL, 'Domain of unknown function (DUF4830)', NULL, 'DUF4830', NULL, NULL, NULL, 6),
(14818, NULL, 'PF06901', NULL, NULL, 'RTX iron-regulated protein FrpC', NULL, 'FrpC', NULL, NULL, NULL, 6),
(14819, NULL, 'PF07866', NULL, NULL, 'Protein of unknown function (DUF1653)', NULL, 'DUF1653', NULL, NULL, NULL, 6),
(14820, NULL, 'PF03833', NULL, NULL, 'DNA polymerase II large subunit DP2', NULL, 'PolC_DP2', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14821, NULL, 'PF04850', NULL, NULL, 'Baculovirus E66 occlusion-derived virus envelope protein', NULL, 'Baculo_E66', NULL, NULL, NULL, 6),
(14822, NULL, 'PF19158', NULL, NULL, 'Family of unknown function (DUF5840)', NULL, 'DUF5840', NULL, NULL, NULL, 6),
(14823, NULL, 'PF08214', NULL, NULL, 'Histone acetylation protein', NULL, 'HAT_KAT11', NULL, NULL, NULL, 6),
(14824, NULL, 'PF05267', NULL, NULL, 'Protein of unknown function (DUF725)', NULL, 'DUF725', NULL, NULL, NULL, 6),
(14825, NULL, 'PF15155', NULL, NULL, 'MORF4 family-associated protein1', NULL, 'MRFAP1', NULL, NULL, NULL, 6),
(14826, NULL, 'PF16895', NULL, NULL, 'Domain of unknown function (DUF5085)', NULL, 'DUF5085', NULL, NULL, NULL, 6),
(14827, NULL, 'PF00484', NULL, NULL, 'Carbonic anhydrase', NULL, 'Pro_CA', NULL, NULL, NULL, 6),
(14828, NULL, 'PF02510', NULL, NULL, 'Surface presentation of antigens protein', NULL, 'SPAN', NULL, NULL, NULL, 6),
(14829, NULL, 'PF05063', NULL, NULL, 'MT-A70', NULL, 'MT-A70', NULL, NULL, NULL, 6),
(14830, NULL, 'PF04690', NULL, NULL, 'YABBY protein', NULL, 'YABBY', NULL, NULL, NULL, 6),
(14831, NULL, 'PF04512', NULL, NULL, 'Baculovirus polyhedron envelope protein, PEP, N terminus', NULL, 'Baculo_PEP_N', NULL, NULL, NULL, 6),
(14832, NULL, 'PF01568', NULL, NULL, 'Molydopterin dinucleotide binding domain', NULL, 'Molydop_binding', NULL, NULL, NULL, 6),
(14833, NULL, 'PF07296', NULL, NULL, 'TraP protein', NULL, 'TraP', NULL, NULL, NULL, 6),
(14834, NULL, 'PF17075', NULL, NULL, 'Regular of rDNA transcription protein 14', NULL, 'RRT14', NULL, NULL, NULL, 6),
(14835, NULL, 'PF16309', NULL, NULL, 'Domian of unknown function (DUF4951)', NULL, 'DUF4951', NULL, NULL, NULL, 6),
(14836, NULL, 'PF05479', NULL, NULL, 'Photosystem I reaction centre subunit N (PSAN or PSI-N)', NULL, 'PsaN', NULL, NULL, NULL, 6),
(14837, NULL, 'PF03503', NULL, NULL, 'Chlamydia cysteine-rich outer membrane protein 3', NULL, 'Chlam_OMP3', NULL, NULL, NULL, 6),
(14838, NULL, 'PF19215', NULL, NULL, 'Coronavirus replicase NSP15, uridylate-specific endoribonuclease', NULL, 'CoV_NSP15_C', NULL, NULL, NULL, 6),
(14839, NULL, 'PF14630', NULL, NULL, 'Origin recognition complex (ORC) subunit 5 C-terminus', NULL, 'ORC5_C', NULL, NULL, NULL, 6),
(14840, NULL, 'PF17201', NULL, NULL, 'Cache 3/Cache 2 fusion domain', NULL, 'Cache_3-Cache_2', NULL, NULL, NULL, 6),
(14841, NULL, 'PF12458', NULL, NULL, 'ATPase involved in DNA repair', NULL, 'DUF3686', NULL, NULL, NULL, 6),
(14842, NULL, 'PF02672', NULL, NULL, 'CP12 domain', NULL, 'CP12', NULL, NULL, NULL, 6),
(14843, NULL, 'PF11690', NULL, NULL, 'Protein of unknown function (DUF3287)', NULL, 'DUF3287', NULL, NULL, NULL, 6),
(14844, NULL, 'PF18965', NULL, NULL, 'Family of unknown function (DUF5705)', NULL, 'DUF5705', NULL, NULL, NULL, 6),
(14845, NULL, 'PF13937', NULL, NULL, 'Domain of unknown function (DUF4212)', NULL, 'DUF4212', NULL, NULL, NULL, 6),
(14846, NULL, 'PF14467', NULL, NULL, 'Domain of unknown function (DUF4426)', NULL, 'DUF4426', NULL, NULL, NULL, 6),
(14847, NULL, 'PF04299', NULL, NULL, 'Putative FMN-binding domain', NULL, 'FMN_bind_2', NULL, NULL, NULL, 6),
(14848, NULL, 'PF05154', NULL, NULL, 'TM2 domain', NULL, 'TM2', NULL, NULL, NULL, 6),
(14849, NULL, 'PF18329', NULL, NULL, 'Surface glycan-binding protein B xyloglucan binding domain', NULL, 'SGBP_B_XBD', NULL, NULL, NULL, 6),
(14850, NULL, 'PF12406', NULL, NULL, 'Surface protein', NULL, 'DUF3664', NULL, NULL, NULL, 6),
(14851, NULL, 'PF18388', NULL, NULL, 'Atg29 N-terminal domain', NULL, 'Atg29_N', NULL, NULL, NULL, 6),
(14852, NULL, 'PF03366', NULL, NULL, 'YEATS family', NULL, 'YEATS', NULL, NULL, NULL, 6),
(14853, NULL, 'PF10730', NULL, NULL, 'Protein of unknown function (DUF2521)', NULL, 'DUF2521', NULL, NULL, NULL, 6),
(14854, NULL, 'PF01361', NULL, NULL, 'Tautomerase enzyme', NULL, 'Tautomerase', NULL, NULL, NULL, 6),
(14855, NULL, 'PF06247', NULL, NULL, 'Pvs28 EGF domain', NULL, 'Plasmod_Pvs28', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14856, NULL, 'PF08455', NULL, NULL, 'Bacterial SNF2 helicase associated', NULL, 'SNF2_assoc', NULL, NULL, NULL, 6),
(14857, NULL, 'PF00868', NULL, NULL, 'Transglutaminase family', NULL, 'Transglut_N', NULL, NULL, NULL, 6),
(14858, NULL, 'PF11969', NULL, NULL, 'Scavenger mRNA decapping enzyme C-term binding', NULL, 'DcpS_C', NULL, NULL, NULL, 6),
(14859, NULL, 'PF14729', NULL, NULL, 'Domain of unknown function with cystatin-like fold (DUF4467)', NULL, 'DUF4467', NULL, NULL, NULL, 6),
(14860, NULL, 'PF15344', NULL, NULL, 'FAM217 family', NULL, 'FAM217', NULL, NULL, NULL, 6),
(14861, NULL, 'PF03492', NULL, NULL, 'SAM dependent carboxyl methyltransferase', NULL, 'Methyltransf_7', NULL, NULL, NULL, 6),
(14862, NULL, 'PF02883', NULL, NULL, 'Adaptin C-terminal domain', NULL, 'Alpha_adaptinC2', NULL, NULL, NULL, 6),
(14863, NULL, 'PF01884', NULL, NULL, 'PcrB family', NULL, 'PcrB', NULL, NULL, NULL, 6),
(14864, NULL, 'PF08891', NULL, NULL, 'YfcL protein', NULL, 'YfcL', NULL, NULL, NULL, 6),
(14865, NULL, 'PF18604', NULL, NULL, 'Pre ATP-grasp domain', NULL, 'PreAtp-grasp', NULL, NULL, NULL, 6),
(14866, NULL, 'PF09359', NULL, NULL, 'VTC domain', NULL, 'VTC', NULL, NULL, NULL, 6),
(14867, NULL, 'PF12297', NULL, NULL, 'Ellis van Creveld protein 2 like protein', NULL, 'EVC2_like', NULL, NULL, NULL, 6),
(14868, NULL, 'PF03807', NULL, NULL, 'NADP oxidoreductase coenzyme F420-dependent', NULL, 'F420_oxidored', NULL, NULL, NULL, 6),
(14869, NULL, 'PF16688', NULL, NULL, 'Replicase polyprotein N-term from Coronavirus nsp1', NULL, 'CNV-Replicase_N', NULL, NULL, NULL, 6),
(14870, NULL, 'PF10989', NULL, NULL, 'Protein of unknown function (DUF2808)', NULL, 'DUF2808', NULL, NULL, NULL, 6),
(14871, NULL, 'PF03936', NULL, NULL, 'Terpene synthase family, metal binding domain', NULL, 'Terpene_synth_C', NULL, NULL, NULL, 6),
(14872, NULL, 'PF13365', NULL, NULL, 'Trypsin-like peptidase domain', NULL, 'Trypsin_2', NULL, NULL, NULL, 6),
(14873, NULL, 'PF13356', NULL, NULL, 'Arm DNA-binding domain', NULL, 'Arm-DNA-bind_3', NULL, NULL, NULL, 6),
(14874, NULL, 'PF07214', NULL, NULL, 'Protein of unknown function (DUF1418)', NULL, 'DUF1418', NULL, NULL, NULL, 6),
(14875, NULL, 'PF15506', NULL, NULL, 'OCC1 family', NULL, 'OCC1', NULL, NULL, NULL, 6),
(14876, NULL, 'PF05300', NULL, NULL, 'Protein of unknown function (DUF737)', NULL, 'DUF737', NULL, NULL, NULL, 6),
(14877, NULL, 'PF00762', NULL, NULL, 'Ferrochelatase', NULL, 'Ferrochelatase', NULL, NULL, NULL, 6),
(14878, NULL, 'PF13555', NULL, NULL, 'P-loop containing region of AAA domain', NULL, 'AAA_29', NULL, NULL, NULL, 6),
(14879, NULL, 'PF04109', NULL, NULL, 'Autophagy protein Apg9', NULL, 'APG9', NULL, NULL, NULL, 6),
(14880, NULL, 'PF11062', NULL, NULL, 'Protein of unknown function (DUF2863)', NULL, 'DUF2863', NULL, NULL, NULL, 6),
(14881, NULL, 'PF02123', NULL, NULL, 'Viral RNA-directed RNA-polymerase', NULL, 'RdRP_4', NULL, NULL, NULL, 6),
(14882, NULL, 'PF01589', NULL, NULL, 'Alphavirus E1 glycoprotein', NULL, 'Alpha_E1_glycop', NULL, NULL, NULL, 6),
(14883, NULL, 'PF10577', NULL, NULL, 'Uncharacterised protein family UPF0560', NULL, 'UPF0560', NULL, NULL, NULL, 6),
(14884, NULL, 'PF10476', NULL, NULL, 'Protein of unknown function C-terminus (DUF2448)', NULL, 'DUF2448', NULL, NULL, NULL, 6),
(14885, NULL, 'PF06068', NULL, NULL, 'TIP49 P-loop domain', NULL, 'TIP49', NULL, NULL, NULL, 6),
(14886, NULL, 'PF11328', NULL, NULL, 'Protein of unknown function (DUF3130', NULL, 'DUF3130', NULL, NULL, NULL, 6),
(14887, NULL, 'PF15860', NULL, NULL, 'Domain of unknown function (DUF4728)', NULL, 'DUF4728', NULL, NULL, NULL, 6),
(14888, NULL, 'PF11421', NULL, NULL, 'ATP synthase F1 beta subunit', NULL, 'Synthase_beta', NULL, NULL, NULL, 6),
(14889, NULL, 'PF06186', NULL, NULL, 'Protein of unknown function (DUF992)', NULL, 'DUF992', NULL, NULL, NULL, 6),
(14890, NULL, 'PF13625', NULL, NULL, 'Helicase conserved C-terminal domain', NULL, 'Helicase_C_3', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14891, NULL, 'PF05666', NULL, NULL, 'Fels-1 Prophage Protein-like', NULL, 'Fels1', NULL, NULL, NULL, 6),
(14892, NULL, 'PF18027', NULL, NULL, 'Cytosolic carboxypeptidase N-terminal domain', NULL, 'Pepdidase_M14_N', NULL, NULL, NULL, 6),
(14893, NULL, 'PF02204', NULL, NULL, 'Vacuolar sorting protein 9 (VPS9) domain', NULL, 'VPS9', NULL, NULL, NULL, 6),
(14894, NULL, 'PF18698', NULL, NULL, 'Histidine kinase sensor domain', NULL, 'HisK_sensor', NULL, NULL, NULL, 6),
(14895, NULL, 'PF08841', NULL, NULL, 'Diol dehydratase reactivase ATPase-like domain', NULL, 'DDR', NULL, NULL, NULL, 6),
(14896, NULL, 'PF09202', NULL, NULL, 'Rio2, N-terminal', NULL, 'Rio2_N', NULL, NULL, NULL, 6),
(14897, NULL, 'PF12757', NULL, NULL, 'Eisosome protein 1', NULL, 'Eisosome1', NULL, NULL, NULL, 6),
(14898, NULL, 'PF02725', NULL, NULL, 'Non-structural protein C', NULL, 'Paramyxo_NS_C', NULL, NULL, NULL, 6),
(14899, NULL, 'PF10137', NULL, NULL, 'Predicted nucleotide-binding protein containing TIR-like domain', NULL, 'TIR-like', NULL, NULL, NULL, 6),
(14900, NULL, 'PF11205', NULL, NULL, 'Protein of unknown function (DUF2987)', NULL, 'DUF2987', NULL, NULL, NULL, 6),
(14901, NULL, 'PF11274', NULL, NULL, 'Protein of unknown function (DUF3074)', NULL, 'DUF3074', NULL, NULL, NULL, 6),
(14902, NULL, 'PF03334', NULL, NULL, 'Na+/H+ antiporter subunit', NULL, 'PhaG_MnhG_YufB', NULL, NULL, NULL, 6),
(14903, NULL, 'PF16158', NULL, NULL, 'Ig-like domain from next to BRCA1 gene', NULL, 'N_BRCA1_IG', NULL, NULL, NULL, 6),
(14904, NULL, 'PF01237', NULL, NULL, 'Oxysterol-binding protein', NULL, 'Oxysterol_BP', NULL, NULL, NULL, 6),
(14905, NULL, 'PF10679', NULL, NULL, 'Protein of unknown function (DUF2491)', NULL, 'DUF2491', NULL, NULL, NULL, 6),
(14906, NULL, 'PF06199', NULL, NULL, 'Phage tail tube protein', NULL, 'Phage_tail_2', NULL, NULL, NULL, 6),
(14907, NULL, 'PF07404', NULL, NULL, 'Telomere-binding protein beta subunit (TEBP beta)', NULL, 'TEBP_beta', NULL, NULL, NULL, 6),
(14908, NULL, 'PF09394', NULL, NULL, 'Chagasin family peptidase inhibitor I42', NULL, 'Inhibitor_I42', NULL, NULL, NULL, 6),
(14909, NULL, 'PF12563', NULL, NULL, 'Hemolytic toxin N terminal', NULL, 'Hemolysin_N', NULL, NULL, NULL, 6),
(14910, NULL, 'PF14533', NULL, NULL, 'Ubiquitin-specific protease C-terminal', NULL, 'USP7_C2', NULL, NULL, NULL, 6),
(14911, NULL, 'PF11910', NULL, NULL, 'Cyanobacterial and plant NDH-1 subunit O', NULL, 'NdhO', NULL, NULL, NULL, 6),
(14912, NULL, 'PF18959', NULL, NULL, 'Family of unknown function (DUF5701)', NULL, 'DUF5701', NULL, NULL, NULL, 6),
(14913, NULL, 'PF17631', NULL, NULL, 'Family of unknown function (DUF5512)', NULL, 'DUF5512', NULL, NULL, NULL, 6),
(14914, NULL, 'PF09701', NULL, NULL, 'CRISPR-associated protein (Cas_Cmr5)', NULL, 'Cas_Cmr5', NULL, NULL, NULL, 6),
(14915, NULL, 'PF16315', NULL, NULL, 'Domain of unknown function (DUF4955)', NULL, 'DUF4955', NULL, NULL, NULL, 6),
(14916, NULL, 'PF03098', NULL, NULL, 'Animal haem peroxidase', NULL, 'An_peroxidase', NULL, NULL, NULL, 6),
(14917, NULL, 'PF18296', NULL, NULL, 'MID domain of medPIWI', NULL, 'MID_MedPIWI', NULL, NULL, NULL, 6),
(14918, NULL, 'PF07690', NULL, NULL, 'Major Facilitator Superfamily', NULL, 'MFS_1', NULL, NULL, NULL, 6),
(14919, NULL, 'PF18521', NULL, NULL, 'Transactivation domain 2', NULL, 'TAD2', NULL, NULL, NULL, 6),
(14920, NULL, 'PF01595', NULL, NULL, 'Cyclin M transmembrane N-terminal domain', NULL, 'DUF21', NULL, NULL, NULL, 6),
(14921, NULL, 'PF16728', NULL, NULL, 'Domain of unknown function (DUF5066)', NULL, 'DUF5066', NULL, NULL, NULL, 6),
(14922, NULL, 'PF10403', NULL, NULL, 'Rad4 beta-hairpin domain 1', NULL, 'BHD_1', NULL, NULL, NULL, 6),
(14923, NULL, 'PF01177', NULL, NULL, 'Asp/Glu/Hydantoin racemase', NULL, 'Asp_Glu_race', NULL, NULL, NULL, 6),
(14924, NULL, 'PF02170', NULL, NULL, 'PAZ domain', NULL, 'PAZ', NULL, NULL, NULL, 6),
(14925, NULL, 'PF16035', NULL, NULL, 'Chalcone isomerase like', NULL, 'Chalcone_2', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14926, NULL, 'PF04810', NULL, NULL, 'Sec23/Sec24 zinc finger', NULL, 'zf-Sec23_Sec24', NULL, NULL, NULL, 6),
(14927, NULL, 'PF00802', NULL, NULL, 'Pneumovirus attachment glycoprotein G', NULL, 'Glycoprotein_G', NULL, NULL, NULL, 6),
(14928, NULL, 'PF18717', NULL, NULL, 'CxC4 like cysteine cluster associated with KDZ transposases', NULL, 'CxC4', NULL, NULL, NULL, 6),
(14929, NULL, 'PF12227', NULL, NULL, 'Protein of unknown function (DUF3603)', NULL, 'DUF3603', NULL, NULL, NULL, 6),
(14930, NULL, 'PF05142', NULL, NULL, 'Domain of unknown function (DUF702)', NULL, 'DUF702', NULL, NULL, NULL, 6),
(14931, NULL, 'PF00547', NULL, NULL, 'Urease, gamma subunit', NULL, 'Urease_gamma', NULL, NULL, NULL, 6),
(14932, NULL, 'PF12377', NULL, NULL, 'Duffy binding protein N terminal', NULL, 'DuffyBP_N', NULL, NULL, NULL, 6),
(14933, NULL, 'PF12259', NULL, NULL, 'Baculovirus F protein', NULL, 'Baculo_F', NULL, NULL, NULL, 6),
(14934, NULL, 'PF04256', NULL, NULL, 'Protein of unknown function (DUF434)', NULL, 'DUF434', NULL, NULL, NULL, 6),
(14935, NULL, 'PF04745', NULL, NULL, 'VITF-3 subunit protein', NULL, 'Pox_A8', NULL, NULL, NULL, 6),
(14936, NULL, 'PF13327', NULL, NULL, 'Type III secretion system subunit', NULL, 'T3SS_LEE_assoc', NULL, NULL, NULL, 6),
(14937, NULL, 'PF02324', NULL, NULL, 'Glycosyl hydrolase family 70', NULL, 'Glyco_hydro_70', NULL, NULL, NULL, 6),
(14938, NULL, 'PF15851', NULL, NULL, 'Domain of unknown function (DUF4723)', NULL, 'DUF4723', NULL, NULL, NULL, 6),
(14939, NULL, 'PF08111', NULL, NULL, 'Pea-VEAacid family', NULL, 'Pea-VEAacid', NULL, NULL, NULL, 6),
(14940, NULL, 'PF10516', NULL, NULL, 'SHNi-TPR', NULL, 'SHNi-TPR', NULL, NULL, NULL, 6),
(14941, NULL, 'PF03454', NULL, NULL, 'MoeA C-terminal region (domain IV)', NULL, 'MoeA_C', NULL, NULL, NULL, 6),
(14942, NULL, 'PF02162', NULL, NULL, 'XYPPX repeat (two copies)', NULL, 'XYPPX', NULL, NULL, NULL, 6),
(14943, NULL, 'PF02512', NULL, NULL, 'Virulence determinant', NULL, 'UK', NULL, NULL, NULL, 6),
(14944, NULL, 'PF13018', NULL, NULL, 'Extended Signal Peptide of Type V secretion system', NULL, 'ESPR', NULL, NULL, NULL, 6),
(14945, NULL, 'PF12719', NULL, NULL, 'Nuclear condensing complex subunits, C-term domain', NULL, 'Cnd3', NULL, NULL, NULL, 6),
(14946, NULL, 'PF00727', NULL, NULL, 'Interleukin 4', NULL, 'IL4', NULL, NULL, NULL, 6),
(14947, NULL, 'PF14348', NULL, NULL, 'Domain of unknown function (DUF4400)', NULL, 'DUF4400', NULL, NULL, NULL, 6),
(14948, NULL, 'PF08053', NULL, NULL, 'Tryptophanase operon leader peptide', NULL, 'Tna_leader', NULL, NULL, NULL, 6),
(14949, NULL, 'PF13911', NULL, NULL, 'AhpC/TSA antioxidant enzyme', NULL, 'AhpC-TSA_2', NULL, NULL, NULL, 6),
(14950, NULL, 'PF02311', NULL, NULL, 'AraC-like ligand binding domain', NULL, 'AraC_binding', NULL, NULL, NULL, 6),
(14951, NULL, 'PF15544', NULL, NULL, 'Bacterial toxin 6', NULL, 'Ntox6', NULL, NULL, NULL, 6),
(14952, NULL, 'PF07775', NULL, NULL, 'PaRep2b protein', NULL, 'PaRep2b', NULL, NULL, NULL, 6),
(14953, NULL, 'PF13883', NULL, NULL, 'Pyridoxamine 5''-phosphate oxidase', NULL, 'Pyrid_oxidase_2', NULL, NULL, NULL, 6),
(14954, NULL, 'PF15234', NULL, NULL, 'Linker for activation of T-cells', NULL, 'LAT', NULL, NULL, NULL, 6),
(14955, NULL, 'PF03247', NULL, NULL, 'Prothymosin/parathymosin family', NULL, 'Prothymosin', NULL, NULL, NULL, 6),
(14956, NULL, 'PF15968', NULL, NULL, 'Membrane-anchored ion channel, Abi component', NULL, 'RexB', NULL, NULL, NULL, 6),
(14957, NULL, 'PF05032', NULL, NULL, 'Spo12 family', NULL, 'Spo12', NULL, NULL, NULL, 6),
(14958, NULL, 'PF12438', NULL, NULL, 'Protein of unknown function (DUF3679)', NULL, 'DUF3679', NULL, NULL, NULL, 6),
(14959, NULL, 'PF15237', NULL, NULL, 'PTRF/SDPR family', NULL, 'PTRF_SDPR', NULL, NULL, NULL, 6),
(14960, NULL, 'PF12677', NULL, NULL, 'Domain of unknown function (DUF3797)', NULL, 'DUF3797', NULL, NULL, NULL, 6),
(14961, NULL, 'PF19186', NULL, NULL, 'Family of unknown function (DUF5868)', NULL, 'DUF5868', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14962, NULL, 'PF08745', NULL, NULL, 'PINc domain ribonuclease', NULL, 'PIN_5', NULL, NULL, NULL, 6),
(14963, NULL, 'PF08593', NULL, NULL, 'Domain of unknown function', NULL, 'DUF1773', NULL, NULL, NULL, 6),
(14964, NULL, 'PF08467', NULL, NULL, 'Luteovirus RNA polymerase P1-P2/replicase', NULL, 'Luteo_P1-P2', NULL, NULL, NULL, 6),
(14965, NULL, 'PF02017', NULL, NULL, 'CIDE-N domain', NULL, 'CIDE-N', NULL, NULL, NULL, 6),
(14966, NULL, 'PF02036', NULL, NULL, 'SCP-2 sterol transfer family', NULL, 'SCP2', NULL, NULL, NULL, 6),
(14967, NULL, 'PF09619', NULL, NULL, 'Type III secretion system lipoprotein chaperone (YscW)', NULL, 'YscW', NULL, NULL, NULL, 6),
(14968, NULL, 'PF07722', NULL, NULL, 'Peptidase C26', NULL, 'Peptidase_C26', NULL, NULL, NULL, 6),
(14969, NULL, 'PF18912', NULL, NULL, 'Double zinc ribbon domain', NULL, 'DZR_2', NULL, NULL, NULL, 6),
(14970, NULL, 'PF05881', NULL, NULL, '2'',3''-cyclic nucleotide 3''-phosphodiesterase (CNP or CNPase)', NULL, 'CNPase', NULL, NULL, NULL, 6),
(14971, NULL, 'PF06662', NULL, NULL, 'D-glucuronyl C5-epimerase C-terminus', NULL, 'C5-epim_C', NULL, NULL, NULL, 6),
(14972, NULL, 'PF01684', NULL, NULL, 'ET module', NULL, 'ET', NULL, NULL, NULL, 6),
(14973, NULL, 'PF08640', NULL, NULL, 'U3 small nucleolar RNA-associated protein 6', NULL, 'U3_assoc_6', NULL, NULL, NULL, 6),
(14974, NULL, 'PF09103', NULL, NULL, 'BRCA2, oligonucleotide/oligosaccharide-binding, domain 1', NULL, 'BRCA-2_OB1', NULL, NULL, NULL, 6),
(14975, NULL, 'PF06262', NULL, NULL, 'Zincin-like metallopeptidase', NULL, 'Zincin_1', NULL, NULL, NULL, 6),
(14976, NULL, 'PF12250', NULL, NULL, 'Arabinofuranosyltransferase N terminal', NULL, 'AftA_N', NULL, NULL, NULL, 6),
(14977, NULL, 'PF12304', NULL, NULL, 'Beta-casein like protein', NULL, 'BCLP', NULL, NULL, NULL, 6),
(14978, NULL, 'PF17160', NULL, NULL, 'Domain of unknown function (DUF5124)', NULL, 'DUF5124', NULL, NULL, NULL, 6),
(14979, NULL, 'PF15905', NULL, NULL, 'Hyaluronan mediated motility receptor N-terminal', NULL, 'HMMR_N', NULL, NULL, NULL, 6),
(14980, NULL, 'PF11798', NULL, NULL, 'IMS family HHH motif', NULL, 'IMS_HHH', NULL, NULL, NULL, 6),
(14981, NULL, 'PF17801', NULL, NULL, 'Alpha galactosidase C-terminal beta sandwich domain', NULL, 'Melibiase_C', NULL, NULL, NULL, 6),
(14982, NULL, 'PF04305', NULL, NULL, 'Protein of unknown function (DUF455)', NULL, 'DUF455', NULL, NULL, NULL, 6),
(14983, NULL, 'PF04216', NULL, NULL, 'Protein involved in formate dehydrogenase formation', NULL, 'FdhE', NULL, NULL, NULL, 6),
(14984, NULL, 'PF14309', NULL, NULL, 'Domain of unknown function (DUF4378)', NULL, 'DUF4378', NULL, NULL, NULL, 6),
(14985, NULL, 'PF14144', NULL, NULL, 'Seed dormancy control', NULL, 'DOG1', NULL, NULL, NULL, 6),
(14986, NULL, 'PF09720', NULL, NULL, 'Putative addiction module component', NULL, 'Unstab_antitox', NULL, NULL, NULL, 6),
(14987, NULL, 'PF17181', NULL, NULL, 'Epidermal patterning factor proteins', NULL, 'EPF', NULL, NULL, NULL, 6),
(14988, NULL, 'PF13185', NULL, NULL, 'GAF domain', NULL, 'GAF_2', NULL, NULL, NULL, 6),
(14989, NULL, 'PF00533', NULL, NULL, 'BRCA1 C Terminus (BRCT) domain', NULL, 'BRCT', NULL, NULL, NULL, 6),
(14990, NULL, 'PF08190', NULL, NULL, 'PIH1 N-terminal domain', NULL, 'PIH1', NULL, NULL, NULL, 6),
(14991, NULL, 'PF15064', NULL, NULL, 'Cation channel sperm-associated protein subunit gamma', NULL, 'CATSPERG', NULL, NULL, NULL, 6),
(14992, NULL, 'PF08475', NULL, NULL, 'Viral capsid protein 91 N-terminal', NULL, 'Baculo_VP91_N', NULL, NULL, NULL, 6),
(14993, NULL, 'PF05891', NULL, NULL, 'AdoMet dependent proline di-methyltransferase', NULL, 'Methyltransf_PK', NULL, NULL, NULL, 6),
(14994, NULL, 'PF13494', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF4119)', NULL, 'DUF4119', NULL, NULL, NULL, 6),
(14995, NULL, 'PF10793', NULL, NULL, 'Gloverin-like protein', NULL, 'Gloverin', NULL, NULL, NULL, 6),
(14996, NULL, 'PF13944', NULL, NULL, 'Calycin-like beta-barrel domain', NULL, 'Calycin_like', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(14997, NULL, 'PF03436', NULL, NULL, 'Domain of unknown function (DUF281)', NULL, 'DUF281', NULL, NULL, NULL, 6),
(14998, NULL, 'PF12929', NULL, NULL, 'Stretch-activated Ca2+-permeable channel component', NULL, 'Mid1', NULL, NULL, NULL, 6),
(14999, NULL, 'PF11528', NULL, NULL, 'Protein of unknown function (DUF3224)', NULL, 'DUF3224', NULL, NULL, NULL, 6),
(15000, NULL, 'PF10368', NULL, NULL, 'Putative cell-wall binding lipoprotein', NULL, 'YkyA', NULL, NULL, NULL, 6),
(15001, NULL, 'PF13311', NULL, NULL, 'Protein of unknown function (DUF4080)', NULL, 'DUF4080', NULL, NULL, NULL, 6),
(15002, NULL, 'PF16029', NULL, NULL, 'Domain of unknown function (DUF4787)', NULL, 'DUF4787', NULL, NULL, NULL, 6),
(15003, NULL, 'PF06905', NULL, NULL, 'Fas apoptotic inhibitory molecule (FAIM1)', NULL, 'FAIM1', NULL, NULL, NULL, 6),
(15004, NULL, 'PF12559', NULL, NULL, 'Serine endopeptidase inhibitors', NULL, 'Inhibitor_I10', NULL, NULL, NULL, 6),
(15005, NULL, 'PF13262', NULL, NULL, 'Protein of unknown function (DUF4054)', NULL, 'DUF4054', NULL, NULL, NULL, 6),
(15006, NULL, 'PF16947', NULL, NULL, 'N-terminal region of 4Fe-4S ferredoxin iron-sulfur binding', NULL, 'Ferredoxin_N', NULL, NULL, NULL, 6),
(15007, NULL, 'PF09599', NULL, NULL, 'Salmonella-Shigella invasin protein C (IpaC_SipC)', NULL, 'IpaC_SipC', NULL, NULL, NULL, 6),
(15008, NULL, 'PF04973', NULL, NULL, 'Nicotinamide mononucleotide transporter', NULL, 'NMN_transporter', NULL, NULL, NULL, 6),
(15009, NULL, 'PF16310', NULL, NULL, 'Domian of unknown function (DUF4952)', NULL, 'DUF4952', NULL, NULL, NULL, 6),
(15010, NULL, 'PF11756', NULL, NULL, 'Nitrous oxide-stimulated promoter', NULL, 'YgbA_NO', NULL, NULL, NULL, 6),
(15011, NULL, 'PF09946', NULL, NULL, 'Predicted membrane protein (DUF2178)', NULL, 'DUF2178', NULL, NULL, NULL, 6),
(15012, NULL, 'PF02809', NULL, NULL, 'Ubiquitin interaction motif', NULL, 'UIM', NULL, NULL, NULL, 6),
(15013, NULL, 'PF11909', NULL, NULL, 'NADH-quinone oxidoreductase cyanobacterial subunit N', NULL, 'NdhN', NULL, NULL, NULL, 6),
(15014, NULL, 'PF00977', NULL, NULL, 'Histidine biosynthesis protein', NULL, 'His_biosynth', NULL, NULL, NULL, 6),
(15015, NULL, 'PF11078', NULL, NULL, 'Optomotor-blind protein N-terminal region', NULL, 'Optomotor-blind', NULL, NULL, NULL, 6),
(15016, NULL, 'PF07721', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_4', NULL, NULL, NULL, 6),
(15017, NULL, 'PF16339', NULL, NULL, 'Domain of unknown function (DUF4969)', NULL, 'DUF4969', NULL, NULL, NULL, 6),
(15018, NULL, 'PF01425', NULL, NULL, 'Amidase', NULL, 'Amidase', NULL, NULL, NULL, 6),
(15019, NULL, 'PF00481', NULL, NULL, 'Protein phosphatase 2C', NULL, 'PP2C', NULL, NULL, NULL, 6),
(15020, NULL, 'PF06386', NULL, NULL, 'Gas vesicle synthesis protein GvpL/GvpF', NULL, 'GvpL_GvpF', NULL, NULL, NULL, 6),
(15021, NULL, 'PF16720', NULL, NULL, 'Albumin I chain a', NULL, 'Albumin_I_a', NULL, NULL, NULL, 6),
(15022, NULL, 'PF15363', NULL, NULL, 'Domain of unknown function (DUF4596)', NULL, 'DUF4596', NULL, NULL, NULL, 6),
(15023, NULL, 'PF16800', NULL, NULL, 'IseA DL-endopeptidase inhibitor', NULL, 'Endopep_inhib', NULL, NULL, NULL, 6),
(15024, NULL, 'PF11292', NULL, NULL, 'Protein of unknown function (DUF3093)', NULL, 'DUF3093', NULL, NULL, NULL, 6),
(15025, NULL, 'PF03865', NULL, NULL, 'Haemolysin secretion/activation protein ShlB/FhaC/HecB', NULL, 'ShlB', NULL, NULL, NULL, 6),
(15026, NULL, 'PF16246', NULL, NULL, 'Domain of unknown function (DUF4903)', NULL, 'DUF4903', NULL, NULL, NULL, 6),
(15027, NULL, 'PF01580', NULL, NULL, 'FtsK/SpoIIIE family', NULL, 'FtsK_SpoIIIE', NULL, NULL, NULL, 6),
(15028, NULL, 'PF14749', NULL, NULL, 'Acyl-coenzyme A oxidase N-terminal', NULL, 'Acyl-CoA_ox_N', NULL, NULL, NULL, 6),
(15029, NULL, 'PF17240', NULL, NULL, 'Family of unknown function (DUF5313)', NULL, 'DUF5313', NULL, NULL, NULL, 6),
(15030, NULL, 'PF07337', NULL, NULL, 'DC-EC Repeat', NULL, 'CagY_M', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15031, NULL, 'PF06851', NULL, NULL, 'Protein of unknown function (DUF1247)', NULL, 'DUF1247', NULL, NULL, NULL, 6),
(15032, NULL, 'PF16178', NULL, NULL, 'Dimerisation domain of Ca+-activated chloride-channel, anoctamin', NULL, 'Anoct_dimer', NULL, NULL, NULL, 6),
(15033, NULL, 'PF11286', NULL, NULL, 'Protein of unknown function (DUF3087)', NULL, 'DUF3087', NULL, NULL, NULL, 6),
(15034, NULL, 'PF00583', NULL, NULL, 'Acetyltransferase (GNAT) family', NULL, 'Acetyltransf_1', NULL, NULL, NULL, 6),
(15035, NULL, 'PF17760', NULL, NULL, 'UvrA interaction domain', NULL, 'UvrA_inter', NULL, NULL, NULL, 6),
(15036, NULL, 'PF07099', NULL, NULL, 'Protein of unknown function (DUF1361)', NULL, 'DUF1361', NULL, NULL, NULL, 6),
(15037, NULL, 'PF02455', NULL, NULL, 'Hexon-associated protein (IIIa)', NULL, 'Hex_IIIa', NULL, NULL, NULL, 6),
(15038, NULL, 'PF13113', NULL, NULL, 'Protein of unknown function (DUF3970)', NULL, 'DUF3970', NULL, NULL, NULL, 6),
(15039, NULL, 'PF05521', NULL, NULL, 'Phage head-tail joining protein', NULL, 'Phage_H_T_join', NULL, NULL, NULL, 6),
(15040, NULL, 'PF05737', NULL, NULL, 'Collagen binding domain', NULL, 'Collagen_bind', NULL, NULL, NULL, 6),
(15041, NULL, 'PF12038', NULL, NULL, 'Domain of unknown function (DUF3524)', NULL, 'DUF3524', NULL, NULL, NULL, 6),
(15042, NULL, 'PF10191', NULL, NULL, 'Golgi complex component 7 (COG7)', NULL, 'COG7', NULL, NULL, NULL, 6),
(15043, NULL, 'PF06966', NULL, NULL, 'Protein of unknown function (DUF1295)', NULL, 'DUF1295', NULL, NULL, NULL, 6),
(15044, NULL, 'PF18859', NULL, NULL, 'Actinobacteria/chloroflexi VLRF1 release factor', NULL, 'acVLRF1', NULL, NULL, NULL, 6),
(15045, NULL, 'PF13640', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy_3', NULL, NULL, NULL, 6),
(15046, NULL, 'PF15001', NULL, NULL, 'AP-5 complex subunit sigma-1', NULL, 'AP-5_subunit_s1', NULL, NULL, NULL, 6),
(15047, NULL, 'PF11263', NULL, NULL, 'Borrelia burgdorferi attachment protein P66', NULL, 'Attachment_P66', NULL, NULL, NULL, 6),
(15048, NULL, 'PF14397', NULL, NULL, 'Sugar-transfer associated ATP-grasp', NULL, 'ATPgrasp_ST', NULL, NULL, NULL, 6),
(15049, NULL, 'PF12804', NULL, NULL, 'MobA-like NTP transferase domain', NULL, 'NTP_transf_3', NULL, NULL, NULL, 6),
(15050, NULL, 'PF13886', NULL, NULL, 'Domain of unknown function (DUF4203)', NULL, 'DUF4203', NULL, NULL, NULL, 6),
(15051, NULL, 'PF08148', NULL, NULL, 'DSHCT (NUC185) domain', NULL, 'DSHCT', NULL, NULL, NULL, 6),
(15052, NULL, 'PF08885', NULL, NULL, 'GSCFA family', NULL, 'GSCFA', NULL, NULL, NULL, 6),
(15053, NULL, 'PF10220', NULL, NULL, 'Smg8_Smg9', NULL, 'Smg8_Smg9', NULL, NULL, NULL, 6),
(15054, NULL, 'PF10133', NULL, NULL, 'CO dehydrogenase accessory protein CooT', NULL, 'CooT', NULL, NULL, NULL, 6),
(15055, NULL, 'PF01943', NULL, NULL, 'Polysaccharide biosynthesis protein', NULL, 'Polysacc_synt', NULL, NULL, NULL, 6),
(15056, NULL, 'PF14599', NULL, NULL, 'Zinc-ribbon', NULL, 'zinc_ribbon_6', NULL, NULL, NULL, 6),
(15057, NULL, 'PF15425', NULL, NULL, 'Domain of unknown function (DUF4627)', NULL, 'DUF4627', NULL, NULL, NULL, 6),
(15058, NULL, 'PF02063', NULL, NULL, 'MARCKS family', NULL, 'MARCKS', NULL, NULL, NULL, 6),
(15059, NULL, 'PF12363', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_12', NULL, NULL, NULL, 6),
(15060, NULL, 'PF11767', NULL, NULL, 'Histone lysine methyltransferase SET associated', NULL, 'SET_assoc', NULL, NULL, NULL, 6),
(15061, NULL, 'PF13943', NULL, NULL, 'WPP domain', NULL, 'WPP', NULL, NULL, NULL, 6),
(15062, NULL, 'PF08740', NULL, NULL, 'BCS1 N terminal', NULL, 'BCS1_N', NULL, NULL, NULL, 6),
(15063, NULL, 'PF14040', NULL, NULL, 'Deoxyribonuclease NucA/NucB', NULL, 'DNase_NucA_NucB', NULL, NULL, NULL, 6),
(15064, NULL, 'PF18869', NULL, NULL, 'RnaseLS-like HEPN', NULL, 'HEPN_RnaseLS', NULL, NULL, NULL, 6),
(15065, NULL, 'PF14148', NULL, NULL, 'YhdB-like protein', NULL, 'YhdB', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15066, NULL, 'PF09360', NULL, NULL, 'Iron-binding zinc finger CDGSH type', NULL, 'zf-CDGSH', NULL, NULL, NULL, 6),
(15067, NULL, 'PF14524', NULL, NULL, 'Wzt C-terminal domain', NULL, 'Wzt_C', NULL, NULL, NULL, 6),
(15068, NULL, 'PF16241', NULL, NULL, 'Domain of unknown function (DUF4900)', NULL, 'DUF4900', NULL, NULL, NULL, 6),
(15069, NULL, 'PF11591', NULL, NULL, 'Ferredoxin chloroplastic transit peptide', NULL, '2Fe-2S_Ferredox', NULL, NULL, NULL, 6),
(15070, NULL, 'PF14134', NULL, NULL, 'Domain of unknown function (DUF4301)', NULL, 'DUF4301', NULL, NULL, NULL, 6),
(15071, NULL, 'PF15170', NULL, NULL, 'Calcium/calmodulin-dependent protein kinase II inhibitor', NULL, 'CaM-KIIN', NULL, NULL, NULL, 6),
(15072, NULL, 'PF06763', NULL, NULL, 'Prophage minor tail protein Z (GPZ)', NULL, 'Minor_tail_Z', NULL, NULL, NULL, 6),
(15073, NULL, 'PF17419', NULL, NULL, 'Methylamine utilization protein MauJ', NULL, 'MauJ', NULL, NULL, NULL, 6),
(15074, NULL, 'PF06904', NULL, NULL, 'Extensin-like protein C-terminus', NULL, 'Extensin-like_C', NULL, NULL, NULL, 6),
(15075, NULL, 'PF17660', NULL, NULL, 'Bacterial tandem repeat domain 1', NULL, 'BTRD1', NULL, NULL, NULL, 6),
(15076, NULL, 'PF10303', NULL, NULL, 'Protein of unknown function (DUF2408)', NULL, 'DUF2408', NULL, NULL, NULL, 6),
(15077, NULL, 'PF15368', NULL, NULL, 'Spermatogenesis family BioT2', NULL, 'BioT2', NULL, NULL, NULL, 6),
(15078, NULL, 'PF01850', NULL, NULL, 'PIN domain', NULL, 'PIN', NULL, NULL, NULL, 6),
(15079, NULL, 'PF15838', NULL, NULL, 'Domain of unknown function (DUF4717)', NULL, 'DUF4717', NULL, NULL, NULL, 6),
(15080, NULL, 'PF08534', NULL, NULL, 'Redoxin', NULL, 'Redoxin', NULL, NULL, NULL, 6),
(15081, NULL, 'PF12078', NULL, NULL, 'Domain of unknown function (DUF3557)', NULL, 'DUF3557', NULL, NULL, NULL, 6),
(15082, NULL, 'PF12358', NULL, NULL, 'Protein of unknown function (DUF3644)', NULL, 'DUF3644', NULL, NULL, NULL, 6),
(15083, NULL, 'PF16072', NULL, NULL, 'Domain of unknown function (DUF4813)', NULL, 'DUF4813', NULL, NULL, NULL, 6),
(15084, NULL, 'PF10205', NULL, NULL, 'Predicted coiled-coil domain-containing protein', NULL, 'KLRAQ', NULL, NULL, NULL, 6),
(15085, NULL, 'PF07075', NULL, NULL, 'Protein of unknown function (DUF1343)', NULL, 'DUF1343', NULL, NULL, NULL, 6),
(15086, NULL, 'PF04720', NULL, NULL, 'PDDEXK-like family of unknown function', NULL, 'PDDEXK_6', NULL, NULL, NULL, 6),
(15087, NULL, 'PF01668', NULL, NULL, 'SmpB protein', NULL, 'SmpB', NULL, NULL, NULL, 6),
(15088, NULL, 'PF11182', NULL, NULL, 'Alginate O-acetyl transferase AlgF', NULL, 'AlgF', NULL, NULL, NULL, 6),
(15089, NULL, 'PF02723', NULL, NULL, 'Coronavirus small envelope protein E', NULL, 'CoV_E', NULL, NULL, NULL, 6),
(15090, NULL, 'PF06495', NULL, NULL, 'Fruit fly transformer protein', NULL, 'Transformer', NULL, NULL, NULL, 6),
(15091, NULL, 'PF02207', NULL, NULL, 'Putative zinc finger in N-recognin (UBR box)', NULL, 'zf-UBR', NULL, NULL, NULL, 6),
(15092, NULL, 'PF11774', NULL, NULL, 'Lsr2', NULL, 'Lsr2', NULL, NULL, NULL, 6),
(15093, NULL, 'PF13662', NULL, NULL, 'Toprim domain', NULL, 'Toprim_4', NULL, NULL, NULL, 6),
(15094, NULL, 'PF11980', NULL, NULL, 'C-terminal domain of neuropilin glycoprotein', NULL, 'DUF3481', NULL, NULL, NULL, 6),
(15095, NULL, 'PF03772', NULL, NULL, 'Competence protein', NULL, 'Competence', NULL, NULL, NULL, 6),
(15096, NULL, 'PF10974', NULL, NULL, 'Protein of unknown function (DUF2804)', NULL, 'DUF2804', NULL, NULL, NULL, 6),
(15097, NULL, 'PF10245', NULL, NULL, 'Mitochondrial 28S ribosomal protein S22', NULL, 'MRP-S22', NULL, NULL, NULL, 6),
(15098, NULL, 'PF03451', NULL, NULL, 'HELP motif', NULL, 'HELP', NULL, NULL, NULL, 6),
(15099, NULL, 'PF06136', NULL, NULL, 'Domain of unknown function (DUF966)', NULL, 'DUF966', NULL, NULL, NULL, 6),
(15100, NULL, 'PF06804', NULL, NULL, 'NlpB/DapX lipoprotein', NULL, 'Lipoprotein_18', NULL, NULL, NULL, 6),
(15101, NULL, 'PF15929', NULL, NULL, 'Myofilin', NULL, 'Myofilin', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15102, NULL, 'PF10962', NULL, NULL, 'Protein of unknown function (DUF2764)', NULL, 'DUF2764', NULL, NULL, NULL, 6),
(15103, NULL, 'PF13328', NULL, NULL, 'HD domain', NULL, 'HD_4', NULL, NULL, NULL, 6),
(15104, NULL, 'PF11810', NULL, NULL, 'Domain of unknown function (DUF3332)', NULL, 'DUF3332', NULL, NULL, NULL, 6),
(15105, NULL, 'PF01528', NULL, NULL, 'Herpesvirus glycoprotein M', NULL, 'Herpes_glycop', NULL, NULL, NULL, 6),
(15106, NULL, 'PF10044', NULL, NULL, 'Retinal tissue protein', NULL, 'LIN52', NULL, NULL, NULL, 6),
(15107, NULL, 'PF17082', NULL, NULL, 'Spindle Pole Component 29', NULL, 'Spc29', NULL, NULL, NULL, 6),
(15108, NULL, 'PF18982', NULL, NULL, 'Family of unknown function (DUF5716)', NULL, 'DUF5716', NULL, NULL, NULL, 6),
(15109, NULL, 'PF05795', NULL, NULL, 'Plasmodium vivax Vir protein', NULL, 'Plasmodium_Vir', NULL, NULL, NULL, 6),
(15110, NULL, 'PF08882', NULL, NULL, 'Acetone carboxylase gamma subunit', NULL, 'Acetone_carb_G', NULL, NULL, NULL, 6),
(15111, NULL, 'PF07667', NULL, NULL, 'Protein of unknown function (DUF1600)', NULL, 'DUF1600', NULL, NULL, NULL, 6),
(15112, NULL, 'PF05191', NULL, NULL, 'Adenylate kinase, active site lid', NULL, 'ADK_lid', NULL, NULL, NULL, 6),
(15113, NULL, 'PF12285', NULL, NULL, 'Protein of unknown function (DUF3621)', NULL, 'DUF3621', NULL, NULL, NULL, 6),
(15114, NULL, 'PF17522', NULL, NULL, 'Family of unknown function (DUF5446)', NULL, 'DUF5446', NULL, NULL, NULL, 6),
(15115, NULL, 'PF07704', NULL, NULL, 'Rv0623-like transcription factor', NULL, 'PSK_trans_fac', NULL, NULL, NULL, 6),
(15116, NULL, 'PF16057', NULL, NULL, 'Domain of unknown function (DUF4800)', NULL, 'DUF4800', NULL, NULL, NULL, 6),
(15117, NULL, 'PF04836', NULL, NULL, 'Interferon-related protein conserved region', NULL, 'IFRD_C', NULL, NULL, NULL, 6),
(15118, NULL, 'PF00091', NULL, NULL, 'Tubulin/FtsZ family, GTPase domain', NULL, 'Tubulin', NULL, NULL, NULL, 6),
(15119, NULL, 'PF06085', NULL, NULL, 'Lipoprotein Rz1 precursor', NULL, 'Rz1', NULL, NULL, NULL, 6),
(15120, NULL, 'PF06748', NULL, NULL, 'Protein of unknown function (DUF1217)', NULL, 'DUF1217', NULL, NULL, NULL, 6),
(15121, NULL, 'PF12498', NULL, NULL, 'Basic leucine-zipper C terminal', NULL, 'bZIP_C', NULL, NULL, NULL, 6),
(15122, NULL, 'PF07052', NULL, NULL, 'Hepatocellular carcinoma-associated antigen 59', NULL, 'Hep_59', NULL, NULL, NULL, 6),
(15123, NULL, 'PF11623', NULL, NULL, 'NAD(P)H dehydrogenase subunit S', NULL, 'NdhS', NULL, NULL, NULL, 6),
(15124, NULL, 'PF07183', NULL, NULL, 'Protein of unknown function (DUF1403)', NULL, 'DUF1403', NULL, NULL, NULL, 6),
(15125, NULL, 'PF16564', NULL, NULL, 'p55-binding region of Methyl-CpG-binding domain proteins MBD', NULL, 'MBDa', NULL, NULL, NULL, 6),
(15126, NULL, 'PF10495', NULL, NULL, 'Pericentrin-AKAP-450 domain of centrosomal targeting protein', NULL, 'PACT_coil_coil', NULL, NULL, NULL, 6),
(15127, NULL, 'PF00545', NULL, NULL, 'ribonuclease', NULL, 'Ribonuclease', NULL, NULL, NULL, 6),
(15128, NULL, 'PF05833', NULL, NULL, 'Fibronectin-binding protein A N-terminus (FbpA)', NULL, 'FbpA', NULL, NULL, NULL, 6),
(15129, NULL, 'PF00450', NULL, NULL, 'Serine carboxypeptidase', NULL, 'Peptidase_S10', NULL, NULL, NULL, 6),
(15130, NULL, 'PF17603', NULL, NULL, 'Family of unknown function (DUF5499)', NULL, 'DUF5499', NULL, NULL, NULL, 6),
(15131, NULL, 'PF14910', NULL, NULL, 'S-phase genomic integrity recombination mediator, N-terminal', NULL, 'MMS22L_N', NULL, NULL, NULL, 6),
(15132, NULL, 'PF15035', NULL, NULL, 'Ciliary rootlet component, centrosome cohesion', NULL, 'Rootletin', NULL, NULL, NULL, 6),
(15133, NULL, 'PF16160', NULL, NULL, 'Domain of unknown function (DUF4866)', NULL, 'DUF4866', NULL, NULL, NULL, 6),
(15134, NULL, 'PF16619', NULL, NULL, 'Unstructured region C-term to UIM in Ataxin3', NULL, 'SUIM_assoc', NULL, NULL, NULL, 6),
(15135, NULL, 'PF12639', NULL, NULL, 'DNase/tRNase domain of colicin-like bacteriocin', NULL, 'Colicin-DNase', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15136, NULL, 'PF03411', NULL, NULL, 'Penicillin-insensitive murein endopeptidase', NULL, 'Peptidase_M74', NULL, NULL, NULL, 6),
(15137, NULL, 'PF07268', NULL, NULL, 'Exported protein precursor (EppA/BapA)', NULL, 'EppA_BapA', NULL, NULL, NULL, 6),
(15138, NULL, 'PF13394', NULL, NULL, '4Fe-4S single cluster domain', NULL, 'Fer4_14', NULL, NULL, NULL, 6),
(15139, NULL, 'PF07926', NULL, NULL, 'TPR/MLP1/MLP2-like protein', NULL, 'TPR_MLP1_2', NULL, NULL, NULL, 6),
(15140, NULL, 'PF12364', NULL, NULL, 'Protein of unknown function (DUF3648)', NULL, 'DUF3648', NULL, NULL, NULL, 6),
(15141, NULL, 'PF10142', NULL, NULL, 'PhoPQ-activated pathogenicity-related protein', NULL, 'PhoPQ_related', NULL, NULL, NULL, 6),
(15142, NULL, 'PF07507', NULL, NULL, 'WavE lipopolysaccharide synthesis', NULL, 'WavE', NULL, NULL, NULL, 6),
(15143, NULL, 'PF05406', NULL, NULL, 'WGR domain', NULL, 'WGR', NULL, NULL, NULL, 6),
(15144, NULL, 'PF00541', NULL, NULL, 'Adenoviral fibre protein (knob domain)', NULL, 'Adeno_knob', NULL, NULL, NULL, 6),
(15145, NULL, 'PF00321', NULL, NULL, 'Plant thionin', NULL, 'Thionin', NULL, NULL, NULL, 6),
(15146, NULL, 'PF13538', NULL, NULL, 'UvrD-like helicase C-terminal domain', NULL, 'UvrD_C_2', NULL, NULL, NULL, 6),
(15147, NULL, 'PF16661', NULL, NULL, 'Metallo-beta-lactamase superfamily domain', NULL, 'Lactamase_B_6', NULL, NULL, NULL, 6),
(15148, NULL, 'PF17874', NULL, NULL, 'MalT-like TPR region', NULL, 'TPR_MalT', NULL, NULL, NULL, 6),
(15149, NULL, 'PF11558', NULL, NULL, 'Het-s 218-289', NULL, 'HET-s_218-289', NULL, NULL, NULL, 6),
(15150, NULL, 'PF05410', NULL, NULL, 'Porcine arterivirus-type cysteine proteinase alpha', NULL, 'Peptidase_C31', NULL, NULL, NULL, 6),
(15151, NULL, 'PF07506', NULL, NULL, 'RepB plasmid partitioning protein', NULL, 'RepB', NULL, NULL, NULL, 6),
(15152, NULL, 'PF18145', NULL, NULL, 'SMODS-associated and fused to various effectors sensor domain', NULL, 'SAVED', NULL, NULL, NULL, 6),
(15153, NULL, 'PF05026', NULL, NULL, 'Dcp2, box A domain', NULL, 'DCP2', NULL, NULL, NULL, 6),
(15154, NULL, 'PF18430', NULL, NULL, 'Putative DNA-binding domain', NULL, 'DBD_HTH', NULL, NULL, NULL, 6),
(15155, NULL, 'PF03896', NULL, NULL, 'Translocon-associated protein (TRAP), alpha subunit', NULL, 'TRAP_alpha', NULL, NULL, NULL, 6),
(15156, NULL, 'PF12930', NULL, NULL, 'Family of unknown function (DUF3836)', NULL, 'DUF3836', NULL, NULL, NULL, 6),
(15157, NULL, 'PF02233', NULL, NULL, 'NAD(P) transhydrogenase beta subunit', NULL, 'PNTB', NULL, NULL, NULL, 6),
(15158, NULL, 'PF17749', NULL, NULL, 'Microtubule-binding protein MIP-T3 C-terminal region', NULL, 'MIP-T3_C', NULL, NULL, NULL, 6),
(15159, NULL, 'PF08992', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, gamma subunit', NULL, 'QH-AmDH_gamma', NULL, NULL, NULL, 6),
(15160, NULL, 'PF01518', NULL, NULL, 'Sigma NS protein', NULL, 'PolyG_pol', NULL, NULL, NULL, 6),
(15161, NULL, 'PF04785', NULL, NULL, 'Rhabdovirus matrix protein M2', NULL, 'Rhabdo_M2', NULL, NULL, NULL, 6),
(15162, NULL, 'PF18289', NULL, NULL, 'CCDC81 eukaryotic HU domain 2', NULL, 'HU-CCDC81_euk_2', NULL, NULL, NULL, 6),
(15163, NULL, 'PF03032', NULL, NULL, 'Frog skin active peptide family signal and propeptide', NULL, 'FSAP_sig_propep', NULL, NULL, NULL, 6),
(15164, NULL, 'PF07175', NULL, NULL, 'Osteoregulin', NULL, 'Osteoregulin', NULL, NULL, NULL, 6),
(15165, NULL, 'PF18558', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_51', NULL, NULL, NULL, 6),
(15166, NULL, 'PF10571', NULL, NULL, 'Uncharacterised protein family UPF0547', NULL, 'UPF0547', NULL, NULL, NULL, 6),
(15167, NULL, 'PF16126', NULL, NULL, 'Domain of unknown function (DUF4838)', NULL, 'DUF4838', NULL, NULL, NULL, 6),
(15168, NULL, 'PF12152', NULL, NULL, 'Eukaryotic translation initiation factor 4G1', NULL, 'eIF_4G1', NULL, NULL, NULL, 6),
(15169, NULL, 'PF04674', NULL, NULL, 'Phosphate-induced protein 1 conserved region', NULL, 'Phi_1', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15170, NULL, 'PF14171', NULL, NULL, 'Toxin SpoIISA, type II toxin-antitoxin system', NULL, 'SpoIISA_toxin', NULL, NULL, NULL, 6),
(15171, NULL, 'PF03676', NULL, NULL, 'Uncharacterised protein family (UPF0183)', NULL, 'UPF0183', NULL, NULL, NULL, 6),
(15172, NULL, 'PF14612', NULL, NULL, 'IEC3 subunit of the Ino80 complex, chromatin re-modelling', NULL, 'Ino80_Iec3', NULL, NULL, NULL, 6),
(15173, NULL, 'PF16906', NULL, NULL, 'Ribosomal proteins L26 eukaryotic, L24P archaeal', NULL, 'Ribosomal_L26', NULL, NULL, NULL, 6),
(15174, NULL, 'PF04869', NULL, NULL, 'Uso1 / p115 like vesicle tethering protein, head region', NULL, 'Uso1_p115_head', NULL, NULL, NULL, 6),
(15175, NULL, 'PF15682', NULL, NULL, 'Musculoskeletal, temporally activated-embryonic nuclear protein 1', NULL, 'Mustang', NULL, NULL, NULL, 6),
(15176, NULL, 'PF15497', NULL, NULL, 'snRNA-activating protein complex subunit 19, SNAPc subunit 19', NULL, 'SNAPc19', NULL, NULL, NULL, 6),
(15177, NULL, 'PF14083', NULL, NULL, 'PGDYG protein', NULL, 'PGDYG', NULL, NULL, NULL, 6),
(15178, NULL, 'PF02680', NULL, NULL, 'Uncharacterized ArCR, COG1888', NULL, 'DUF211', NULL, NULL, NULL, 6),
(15179, NULL, 'PF05247', NULL, NULL, 'Flagellar transcriptional activator (FlhD)', NULL, 'FlhD', NULL, NULL, NULL, 6),
(15180, NULL, 'PF07631', NULL, NULL, 'Protein of unknown function (DUF1592)', NULL, 'PSD4', NULL, NULL, NULL, 6),
(15181, NULL, 'PF08579', NULL, NULL, 'Mitochondrial ribonuclease P subunit (RPM2)', NULL, 'RPM2', NULL, NULL, NULL, 6),
(15182, NULL, 'PF14296', NULL, NULL, 'O-antigen polysaccharide polymerase Wzy', NULL, 'O-ag_pol_Wzy', NULL, NULL, NULL, 6),
(15183, NULL, 'PF18571', NULL, NULL, 'von Willebrand factor type A C-terminal domain', NULL, 'VWA_3_C', NULL, NULL, NULL, 6),
(15184, NULL, 'PF12294', NULL, NULL, 'Protein of unknown function (DUF3626)', NULL, 'DUF3626', NULL, NULL, NULL, 6),
(15185, NULL, 'PF06115', NULL, NULL, 'Domain of unknown function (DUF956)', NULL, 'DUF956', NULL, NULL, NULL, 6),
(15186, NULL, 'PF08533', NULL, NULL, 'Beta-galactosidase C-terminal domain', NULL, 'Glyco_hydro_42C', NULL, NULL, NULL, 6),
(15187, NULL, 'PF08699', NULL, NULL, 'Argonaute linker 1 domain', NULL, 'ArgoL1', NULL, NULL, NULL, 6),
(15188, NULL, 'PF14487', NULL, NULL, 'ssDNA thymidine ADP-ribosyltransferase, DarT', NULL, 'DarT', NULL, NULL, NULL, 6),
(15189, NULL, 'PF16538', NULL, NULL, 'Flagellar assembly protein T, C-terminal domain', NULL, 'FlgT_C', NULL, NULL, NULL, 6),
(15190, NULL, 'PF07483', NULL, NULL, 'Tryptophan-rich Synechocystis species C-terminal domain', NULL, 'W_rich_C', NULL, NULL, NULL, 6),
(15191, NULL, 'PF13292', NULL, NULL, '1-deoxy-D-xylulose-5-phosphate synthase', NULL, 'DXP_synthase_N', NULL, NULL, NULL, 6),
(15192, NULL, 'PF04434', NULL, NULL, 'SWIM zinc finger', NULL, 'SWIM', NULL, NULL, NULL, 6),
(15193, NULL, 'PF01698', NULL, NULL, 'Floricaula / Leafy protein SAM domain', NULL, 'SAM_LFY', NULL, NULL, NULL, 6),
(15194, NULL, 'PF04983', NULL, NULL, 'RNA polymerase Rpb1, domain 3', NULL, 'RNA_pol_Rpb1_3', NULL, NULL, NULL, 6),
(15195, NULL, 'PF00289', NULL, NULL, 'Biotin carboxylase, N-terminal domain', NULL, 'Biotin_carb_N', NULL, NULL, NULL, 6),
(15196, NULL, 'PF08906', NULL, NULL, 'Domain of unknown function (DUF1851)', NULL, 'DUF1851', NULL, NULL, NULL, 6),
(15197, NULL, 'PF14660', NULL, NULL, 'Domain of unknown function (DUF4458)', NULL, 'DUF4458', NULL, NULL, NULL, 6),
(15198, NULL, 'PF14953', NULL, NULL, 'Domain of unknown function (DUF4504)', NULL, 'DUF4504', NULL, NULL, NULL, 6),
(15199, NULL, 'PF04311', NULL, NULL, 'Protein of unknown function (DUF459)', NULL, 'DUF459', NULL, NULL, NULL, 6),
(15200, NULL, 'PF01150', NULL, NULL, 'GDA1/CD39 (nucleoside phosphatase) family', NULL, 'GDA1_CD39', NULL, NULL, NULL, 6),
(15201, NULL, 'PF04494', NULL, NULL, 'WD40 associated region in TFIID subunit, NTD2 domain', NULL, 'TFIID_NTD2', NULL, NULL, NULL, 6),
(15202, NULL, 'PF07823', NULL, NULL, 'Cyclic phosphodiesterase-like protein', NULL, 'CPDase', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15203, NULL, 'PF14873', NULL, NULL, 'N-terminal domain of BNR-repeat neuraminidase', NULL, 'BNR_assoc_N', NULL, NULL, NULL, 6),
(15204, NULL, 'PF08781', NULL, NULL, 'Transcription factor DP', NULL, 'DP', NULL, NULL, NULL, 6),
(15205, NULL, 'PF11768', NULL, NULL, 'WD repeat-containing and planar cell polarity effector protein Fritz', NULL, 'Frtz', NULL, NULL, NULL, 6),
(15206, NULL, 'PF16181', NULL, NULL, 'RelB transactivation domain', NULL, 'RelB_transactiv', NULL, NULL, NULL, 6),
(15207, NULL, 'PF12622', NULL, NULL, 'mRNA biogenesis factor', NULL, 'NpwBP', NULL, NULL, NULL, 6),
(15208, NULL, 'PF11177', NULL, NULL, 'Protein of unknown function (DUF2964)', NULL, 'DUF2964', NULL, NULL, NULL, 6),
(15209, NULL, 'PF14406', NULL, NULL, 'Ribosomally synthesized peptide in Bacteroidetes', NULL, 'Bacteroid_pep', NULL, NULL, NULL, 6),
(15210, NULL, 'PF11438', NULL, NULL, '36-mer N-terminal peptide of the N protein (N36)', NULL, 'N36', NULL, NULL, NULL, 6),
(15211, NULL, 'PF02023', NULL, NULL, 'SCAN domain', NULL, 'SCAN', NULL, NULL, NULL, 6),
(15212, NULL, 'PF07092', NULL, NULL, 'Protein of unknown function (DUF1356)', NULL, 'DUF1356', NULL, NULL, NULL, 6),
(15213, NULL, 'PF16433', NULL, NULL, 'Domain of unknown function (DUF5030)', NULL, 'DUF5030', NULL, NULL, NULL, 6),
(15214, NULL, 'PF05347', NULL, NULL, 'Complex 1 protein (LYR family)', NULL, 'Complex1_LYR', NULL, NULL, NULL, 6),
(15215, NULL, 'PF03720', NULL, NULL, 'UDP-glucose/GDP-mannose dehydrogenase family, UDP binding domain', NULL, 'UDPG_MGDP_dh_C', NULL, NULL, NULL, 6),
(15216, NULL, 'PF17619', NULL, NULL, 'Secreted clade V proteins', NULL, 'SCVP', NULL, NULL, NULL, 6),
(15217, NULL, 'PF12172', NULL, NULL, 'Rubredoxin-like zinc ribbon domain (DUF35_N)', NULL, 'DUF35_N', NULL, NULL, NULL, 6),
(15218, NULL, 'PF06831', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase H2TH domain', NULL, 'H2TH', NULL, NULL, NULL, 6),
(15219, NULL, 'PF07478', NULL, NULL, 'D-ala D-ala ligase C-terminus', NULL, 'Dala_Dala_lig_C', NULL, NULL, NULL, 6),
(15220, NULL, 'PF18796', NULL, NULL, 'Large polyvalent protein-associated domain 1', NULL, 'LPD1', NULL, NULL, NULL, 6),
(15221, NULL, 'PF05684', NULL, NULL, 'Protein of unknown function (DUF819)', NULL, 'DUF819', NULL, NULL, NULL, 6),
(15222, NULL, 'PF07059', NULL, NULL, 'Protein of unknown function (DUF1336)', NULL, 'DUF1336', NULL, NULL, NULL, 6),
(15223, NULL, 'PF18696', NULL, NULL, 'Synaptotagmin-like, mitochondrial and lipid-binding domain', NULL, 'SMP_C2CD2L', NULL, NULL, NULL, 6),
(15224, NULL, 'PF17014', NULL, NULL, 'Putative Mad3/BUB1 like region 1 protein', NULL, 'Mad3_BUB1_I_2', NULL, NULL, NULL, 6),
(15225, NULL, 'PF07709', NULL, NULL, 'Seven Residue Repeat', NULL, 'SRR', NULL, NULL, NULL, 6),
(15226, NULL, 'PF03983', NULL, NULL, 'SLA1 homology domain 1, SHD1', NULL, 'SHD1', NULL, NULL, NULL, 6),
(15227, NULL, 'PF05821', NULL, NULL, 'NADH-ubiquinone oxidoreductase ASHI subunit (CI-ASHI or NDUFB8)', NULL, 'NDUF_B8', NULL, NULL, NULL, 6),
(15228, NULL, 'PF00569', NULL, NULL, 'Zinc finger, ZZ type', NULL, 'ZZ', NULL, NULL, NULL, 6),
(15229, NULL, 'PF14730', NULL, NULL, 'Domain of unknown function (DUF4468) with TBP-like fold', NULL, 'DUF4468', NULL, NULL, NULL, 6),
(15230, NULL, 'PF09094', NULL, NULL, 'Domain of unknown function (DUF1925)', NULL, 'DUF1925', NULL, NULL, NULL, 6),
(15231, NULL, 'PF04246', NULL, NULL, 'Positive regulator of sigma(E), RseC/MucC', NULL, 'RseC_MucC', NULL, NULL, NULL, 6),
(15232, NULL, 'PF16816', NULL, NULL, 'DotD protein', NULL, 'DotD', NULL, NULL, NULL, 6),
(15233, NULL, 'PF15657', NULL, NULL, 'HNH/Endo VII superfamily nuclease toxins', NULL, 'Tox-HNH-EHHH', NULL, NULL, NULL, 6),
(15234, NULL, 'PF17113', NULL, NULL, 'Regulatory signalling modulator protein AmpE', NULL, 'AmpE', NULL, NULL, NULL, 6),
(15235, NULL, 'PF09764', NULL, NULL, 'N-terminal glutamine amidase', NULL, 'Nt_Gln_amidase', NULL, NULL, NULL, 6),
(15236, NULL, 'PF08306', NULL, NULL, 'Glycosyl hydrolase family 98', NULL, 'Glyco_hydro_98M', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15237, NULL, 'PF10158', NULL, NULL, 'Tumour suppressor protein', NULL, 'LOH1CR12', NULL, NULL, NULL, 6),
(15238, NULL, 'PF13732', NULL, NULL, 'Domain of unknown function (DUF4162)', NULL, 'DUF4162', NULL, NULL, NULL, 6),
(15239, NULL, 'PF03734', NULL, NULL, 'L,D-transpeptidase catalytic domain', NULL, 'YkuD', NULL, NULL, NULL, 6),
(15240, NULL, 'PF12539', NULL, NULL, 'Chromosome segregation protein Csm1/Pcs1', NULL, 'Csm1', NULL, NULL, NULL, 6),
(15241, NULL, 'PF12820', NULL, NULL, 'Serine-rich domain associated with BRCT', NULL, 'BRCT_assoc', NULL, NULL, NULL, 6),
(15242, NULL, 'PF07779', NULL, NULL, '10 TM Acyl Transferase domain found in Cas1p', NULL, 'Cas1_AcylT', NULL, NULL, NULL, 6),
(15243, NULL, 'PF09882', NULL, NULL, 'Predicted membrane protein (DUF2109)', NULL, 'DUF2109', NULL, NULL, NULL, 6),
(15244, NULL, 'PF05491', NULL, NULL, 'RuvB C-terminal winged helix domain', NULL, 'RuvB_C', NULL, NULL, NULL, 6),
(15245, NULL, 'PF14602', NULL, NULL, 'Hexapeptide repeat of succinyl-transferase', NULL, 'Hexapep_2', NULL, NULL, NULL, 6),
(15246, NULL, 'PF05639', NULL, NULL, 'Pup-like protein', NULL, 'Pup', NULL, NULL, NULL, 6),
(15247, NULL, 'PF06452', NULL, NULL, 'Carbohydrate family 9 binding domain-like', NULL, 'CBM9_1', NULL, NULL, NULL, 6),
(15248, NULL, 'PF07038', NULL, NULL, 'Protein of unknown function (DUF1324)', NULL, 'DUF1324', NULL, NULL, NULL, 6),
(15249, NULL, 'PF05187', NULL, NULL, 'Electron transfer flavoprotein-ubiquinone oxidoreductase, 4Fe-4S', NULL, 'ETF_QO', NULL, NULL, NULL, 6),
(15250, NULL, 'PF01517', NULL, NULL, 'Hepatitis delta virus delta antigen', NULL, 'HDV_ag', NULL, NULL, NULL, 6),
(15251, NULL, 'PF00335', NULL, NULL, 'Tetraspanin family', NULL, 'Tetraspanin', NULL, NULL, NULL, 6),
(15252, NULL, 'PF08515', NULL, NULL, 'Transforming growth factor beta type I GS-motif', NULL, 'TGF_beta_GS', NULL, NULL, NULL, 6),
(15253, NULL, 'PF13410', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C_2', NULL, NULL, NULL, 6),
(15254, NULL, 'PF11819', NULL, NULL, 'Cytohesin Ubiquitin Protein Inducing Domain', NULL, 'CUPID', NULL, NULL, NULL, 6),
(15255, NULL, 'PF12237', NULL, NULL, 'Phosphorylated CTD interacting factor 1 WW domain', NULL, 'PCIF1_WW', NULL, NULL, NULL, 6),
(15256, NULL, 'PF15138', NULL, NULL, 'Syncollin', NULL, 'Syncollin', NULL, NULL, NULL, 6),
(15257, NULL, 'PF01559', NULL, NULL, 'Zein seed storage protein', NULL, 'Zein', NULL, NULL, NULL, 6),
(15258, NULL, 'PF06627', NULL, NULL, 'Protein of unknown function (DUF1153)', NULL, 'DUF1153', NULL, NULL, NULL, 6),
(15259, NULL, 'PF00179', NULL, NULL, 'Ubiquitin-conjugating enzyme', NULL, 'UQ_con', NULL, NULL, NULL, 6),
(15260, NULL, 'PF07837', NULL, NULL, 'Formiminotransferase domain, N-terminal subdomain', NULL, 'FTCD_N', NULL, NULL, NULL, 6),
(15261, NULL, 'PF14889', NULL, NULL, 'Penicillin-binding protein Tp47 domain a', NULL, 'PBP-Tp47_a', NULL, NULL, NULL, 6),
(15262, NULL, 'PF03165', NULL, NULL, 'MH1 domain', NULL, 'MH1', NULL, NULL, NULL, 6),
(15263, NULL, 'PF14346', NULL, NULL, 'Domain of unknown function (DUF4398)', NULL, 'DUF4398', NULL, NULL, NULL, 6),
(15264, NULL, 'PF16379', NULL, NULL, 'Domain of unknown function (DUF4989)', NULL, 'DUF4989', NULL, NULL, NULL, 6),
(15265, NULL, 'PF00309', NULL, NULL, 'Sigma-54 factor, Activator interacting domain (AID)', NULL, 'Sigma54_AID', NULL, NULL, NULL, 6),
(15266, NULL, 'PF01372', NULL, NULL, 'Melittin', NULL, 'Melittin', NULL, NULL, NULL, 6),
(15267, NULL, 'PF07539', NULL, NULL, 'Down-regulated in metastasis', NULL, 'DRIM', NULL, NULL, NULL, 6),
(15268, NULL, 'PF01955', NULL, NULL, 'Adenosylcobinamide amidohydrolase', NULL, 'CbiZ', NULL, NULL, NULL, 6),
(15269, NULL, 'PF01538', NULL, NULL, 'Hepatitis C virus non-structural protein NS2', NULL, 'HCV_NS2', NULL, NULL, NULL, 6),
(15270, NULL, 'PF11661', NULL, NULL, 'Protein of unknown function (DUF2986)', NULL, 'DUF2986', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15271, NULL, 'PF12874', NULL, NULL, 'Zinc-finger of C2H2 type', NULL, 'zf-met', NULL, NULL, NULL, 6),
(15272, NULL, 'PF03959', NULL, NULL, 'Serine hydrolase (FSH1)', NULL, 'FSH1', NULL, NULL, NULL, 6),
(15273, NULL, 'PF03359', NULL, NULL, 'Guanylate-kinase-associated protein (GKAP) protein', NULL, 'GKAP', NULL, NULL, NULL, 6),
(15274, NULL, 'PF11857', NULL, NULL, 'Domain of unknown function (DUF3377)', NULL, 'DUF3377', NULL, NULL, NULL, 6),
(15275, NULL, 'PF15907', NULL, NULL, 'Integrin-alpha FG-GAP repeat-containing protein 2', NULL, 'Itfg2', NULL, NULL, NULL, 6),
(15276, NULL, 'PF10124', NULL, NULL, 'Mu-like prophage major head subunit gpT', NULL, 'Mu-like_gpT', NULL, NULL, NULL, 6),
(15277, NULL, 'PF05240', NULL, NULL, 'APOBEC-like C-terminal domain', NULL, 'APOBEC_C', NULL, NULL, NULL, 6),
(15278, NULL, 'PF05749', NULL, NULL, 'Rubella membrane glycoprotein E2', NULL, 'Rubella_E2', NULL, NULL, NULL, 6),
(15279, NULL, 'PF00087', NULL, NULL, 'Snake toxin and toxin-like protein', NULL, 'Toxin_TOLIP', NULL, NULL, NULL, 6),
(15280, NULL, 'PF01090', NULL, NULL, 'Ribosomal protein S19e', NULL, 'Ribosomal_S19e', NULL, NULL, NULL, 6),
(15281, NULL, 'PF13395', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_4', NULL, NULL, NULL, 6),
(15282, NULL, 'PF13610', NULL, NULL, 'DDE domain', NULL, 'DDE_Tnp_IS240', NULL, NULL, NULL, 6),
(15283, NULL, 'PF05714', NULL, NULL, 'Borrelia Bbcrasp-1 domain containing protein', NULL, 'PFam54_60', NULL, NULL, NULL, 6),
(15284, NULL, 'PF01073', NULL, NULL, '3-beta hydroxysteroid dehydrogenase/isomerase family', NULL, '3Beta_HSD', NULL, NULL, NULL, 6),
(15285, NULL, 'PF00795', NULL, NULL, 'Carbon-nitrogen hydrolase', NULL, 'CN_hydrolase', NULL, NULL, NULL, 6),
(15286, NULL, 'PF05277', NULL, NULL, 'Protein of unknown function (DUF726)', NULL, 'DUF726', NULL, NULL, NULL, 6),
(15287, NULL, 'PF01906', NULL, NULL, 'Putative heavy-metal-binding', NULL, 'YbjQ_1', NULL, NULL, NULL, 6),
(15288, NULL, 'PF14934', NULL, NULL, 'Domain of unknown function (DUF4499)', NULL, 'DUF4499', NULL, NULL, NULL, 6),
(15289, NULL, 'PF06339', NULL, NULL, 'Ectoine synthase', NULL, 'Ectoine_synth', NULL, NULL, NULL, 6),
(15290, NULL, 'PF00851', NULL, NULL, 'Helper component proteinase', NULL, 'Peptidase_C6', NULL, NULL, NULL, 6),
(15291, NULL, 'PF11445', NULL, NULL, 'Protein of unknown function (DUF2894)', NULL, 'DUF2894', NULL, NULL, NULL, 6),
(15292, NULL, 'PF05920', NULL, NULL, 'Homeobox KN domain', NULL, 'Homeobox_KN', NULL, NULL, NULL, 6),
(15293, NULL, 'PF03064', NULL, NULL, 'HSV U79 / HCMV P34', NULL, 'U79_P34', NULL, NULL, NULL, 6),
(15294, NULL, 'PF06299', NULL, NULL, 'Protein of unknown function (DUF1045)', NULL, 'DUF1045', NULL, NULL, NULL, 6),
(15295, NULL, 'PF03417', NULL, NULL, 'Acyl-coenzyme A:6-aminopenicillanic acid acyl-transferase', NULL, 'AAT', NULL, NULL, NULL, 6),
(15296, NULL, 'PF00690', NULL, NULL, 'Cation transporter/ATPase, N-terminus', NULL, 'Cation_ATPase_N', NULL, NULL, NULL, 6),
(15297, NULL, 'PF16092', NULL, NULL, 'Domain of unknown function (DUF4821)', NULL, 'DUF4821', NULL, NULL, NULL, 6),
(15298, NULL, 'PF07646', NULL, NULL, 'Kelch motif', NULL, 'Kelch_2', NULL, NULL, NULL, 6),
(15299, NULL, 'PF02788', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain, N-terminal domain', NULL, 'RuBisCO_large_N', NULL, NULL, NULL, 6),
(15300, NULL, 'PF08362', NULL, NULL, 'YcdC-like protein, C-terminal region', NULL, 'TetR_C_3', NULL, NULL, NULL, 6),
(15301, NULL, 'PF10546', NULL, NULL, 'P63C domain', NULL, 'P63C', NULL, NULL, NULL, 6),
(15302, NULL, 'PF09369', NULL, NULL, 'Domain of unknown function (DUF1998)', NULL, 'DUF1998', NULL, NULL, NULL, 6),
(15303, NULL, 'PF12339', NULL, NULL, 'DNA-J related protein', NULL, 'DNAJ_related', NULL, NULL, NULL, 6),
(15304, NULL, 'PF09354', NULL, NULL, 'HNF3 C-terminal domain', NULL, 'HNF_C', NULL, NULL, NULL, 6),
(15305, NULL, 'PF03476', NULL, NULL, 'MOSC N-terminal beta barrel domain', NULL, 'MOSC_N', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15306, NULL, 'PF06882', NULL, NULL, 'Protein of unknown function (DUF1263)', NULL, 'DUF1263', NULL, NULL, NULL, 6),
(15307, NULL, 'PF15536', NULL, NULL, 'Bacterial toxin 3', NULL, 'Ntox3', NULL, NULL, NULL, 6),
(15308, NULL, 'PF06512', NULL, NULL, 'Sodium ion transport-associated', NULL, 'Na_trans_assoc', NULL, NULL, NULL, 6),
(15309, NULL, 'PF00543', NULL, NULL, 'Nitrogen regulatory protein P-II', NULL, 'P-II', NULL, NULL, NULL, 6),
(15310, NULL, 'PF10990', NULL, NULL, 'Protein of unknown function (DUF2809)', NULL, 'DUF2809', NULL, NULL, NULL, 6),
(15311, NULL, 'PF00768', NULL, NULL, 'D-alanyl-D-alanine carboxypeptidase', NULL, 'Peptidase_S11', NULL, NULL, NULL, 6),
(15312, NULL, 'PF00069', NULL, NULL, 'Protein kinase domain', NULL, 'Pkinase', NULL, NULL, NULL, 6),
(15313, NULL, 'PF00980', NULL, NULL, 'Rotavirus major capsid protein VP6', NULL, 'Rota_Capsid_VP6', NULL, NULL, NULL, 6),
(15314, NULL, 'PF12241', NULL, NULL, 'Trans-2-enoyl-CoA reductase catalytic region', NULL, 'Enoyl_reductase', NULL, NULL, NULL, 6),
(15315, NULL, 'PF03370', NULL, NULL, 'Carbohydrate/starch-binding module (family 21)', NULL, 'CBM_21', NULL, NULL, NULL, 6),
(15316, NULL, 'PF04698', NULL, NULL, 'Rab effector MyRIP/melanophilin C-terminus', NULL, 'Rab_eff_C', NULL, NULL, NULL, 6),
(15317, NULL, 'PF04652', NULL, NULL, 'Vta1 like', NULL, 'Vta1', NULL, NULL, NULL, 6),
(15318, NULL, 'PF12764', NULL, NULL, 'Glycine-rich region of argonaut', NULL, 'Gly-rich_Ago1', NULL, NULL, NULL, 6),
(15319, NULL, 'PF18532', NULL, NULL, 'Domain of unknown function (DUF5621)', NULL, 'DUF5621', NULL, NULL, NULL, 6),
(15320, NULL, 'PF15941', NULL, NULL, 'FidL-like putative membrane protein', NULL, 'FidL_like', NULL, NULL, NULL, 6),
(15321, NULL, 'PF10783', NULL, NULL, 'Protein of unknown function (DUF2599)', NULL, 'DUF2599', NULL, NULL, NULL, 6),
(15322, NULL, 'PF14276', NULL, NULL, 'Domain of unknown function (DUF4363)', NULL, 'DUF4363', NULL, NULL, NULL, 6),
(15323, NULL, 'PF08497', NULL, NULL, 'Radical SAM N-terminal', NULL, 'Radical_SAM_N', NULL, NULL, NULL, 6),
(15324, NULL, 'PF05173', NULL, NULL, 'Dihydrodipicolinate reductase, C-terminus', NULL, 'DapB_C', NULL, NULL, NULL, 6),
(15325, NULL, 'PF09201', NULL, NULL, 'SRX, signal recognition particle receptor alpha subunit', NULL, 'SRX', NULL, NULL, NULL, 6),
(15326, NULL, 'PF10908', NULL, NULL, 'Protein of unknown function (DUF2778)', NULL, 'DUF2778', NULL, NULL, NULL, 6),
(15327, NULL, 'PF11544', NULL, NULL, 'Spindle pole body component Spc42p', NULL, 'Spc42p', NULL, NULL, NULL, 6),
(15328, NULL, 'PF06871', NULL, NULL, 'TraH_2', NULL, 'TraH_2', NULL, NULL, NULL, 6),
(15329, NULL, 'PF06258', NULL, NULL, 'Mitochondrial fission ELM1', NULL, 'Mito_fiss_Elm1', NULL, NULL, NULL, 6),
(15330, NULL, 'PF08083', NULL, NULL, 'PROCN (NUC071) domain', NULL, 'PROCN', NULL, NULL, NULL, 6),
(15331, NULL, 'PF03036', NULL, NULL, 'Perilipin family', NULL, 'Perilipin', NULL, NULL, NULL, 6),
(15332, NULL, 'PF14101', NULL, NULL, 'Domain of unknown function (DUF4275)', NULL, 'DUF4275', NULL, NULL, NULL, 6),
(15333, NULL, 'PF17399', NULL, NULL, 'Domain of unknown function (DUF5405)', NULL, 'DUF5405', NULL, NULL, NULL, 6),
(15334, NULL, 'PF02621', NULL, NULL, 'Menaquinone biosynthesis', NULL, 'VitK2_biosynth', NULL, NULL, NULL, 6),
(15335, NULL, 'PF15935', NULL, NULL, 'RNase LS, bacterial toxin', NULL, 'RnlA_toxin', NULL, NULL, NULL, 6),
(15336, NULL, 'PF16404', NULL, NULL, 'Domain of unknown function (DUF5012)', NULL, 'DUF5012', NULL, NULL, NULL, 6),
(15337, NULL, 'PF07780', NULL, NULL, 'Spb1 C-terminal domain', NULL, 'Spb1_C', NULL, NULL, NULL, 6),
(15338, NULL, 'PF01736', NULL, NULL, 'Polyomavirus agnoprotein', NULL, 'Polyoma_agno', NULL, NULL, NULL, 6),
(15339, NULL, 'PF11533', NULL, NULL, 'Protein of unknown function (DUF3225)', NULL, 'DUF3225', NULL, NULL, NULL, 6),
(15340, NULL, 'PF13534', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_17', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15341, NULL, 'PF09883', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2110)', NULL, 'DUF2110', NULL, NULL, NULL, 6),
(15342, NULL, 'PF08336', NULL, NULL, 'Prolyl 4-Hydroxylase alpha-subunit, N-terminal region', NULL, 'P4Ha_N', NULL, NULL, NULL, 6),
(15343, NULL, 'PF02247', NULL, NULL, 'Large coat protein', NULL, 'Como_LCP', NULL, NULL, NULL, 6),
(15344, NULL, 'PF10931', NULL, NULL, 'Protein of unknown function (DUF2735)', NULL, 'DUF2735', NULL, NULL, NULL, 6),
(15345, NULL, 'PF01582', NULL, NULL, 'TIR domain', NULL, 'TIR', NULL, NULL, NULL, 6),
(15346, NULL, 'PF11681', NULL, NULL, 'Protein of unknown function (DUF3277)', NULL, 'DUF3277', NULL, NULL, NULL, 6),
(15347, NULL, 'PF13269', NULL, NULL, 'Protein of unknown function (DUF4060)', NULL, 'DUF4060', NULL, NULL, NULL, 6),
(15348, NULL, 'PF16983', NULL, NULL, 'Molybdate transporter of MFS superfamily', NULL, 'MFS_MOT1', NULL, NULL, NULL, 6),
(15349, NULL, 'PF05566', NULL, NULL, 'Orthopoxvirus interleukin 18 binding protein', NULL, 'Pox_vIL-18BP', NULL, NULL, NULL, 6),
(15350, NULL, 'PF02081', NULL, NULL, 'Tryptophan RNA-binding attenuator protein', NULL, 'TrpBP', NULL, NULL, NULL, 6),
(15351, NULL, 'PF09999', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2240)', NULL, 'DUF2240', NULL, NULL, NULL, 6),
(15352, NULL, 'PF13190', NULL, NULL, 'PDGLE domain', NULL, 'PDGLE', NULL, NULL, NULL, 6),
(15353, NULL, 'PF18880', NULL, NULL, 'Uracil-DNA glycosylase inhibitor', NULL, 'UDI', NULL, NULL, NULL, 6),
(15354, NULL, 'PF11184', NULL, NULL, 'Protein of unknown function (DUF2969)', NULL, 'DUF2969', NULL, NULL, NULL, 6),
(15355, NULL, 'PF01729', NULL, NULL, 'Quinolinate phosphoribosyl transferase, C-terminal domain', NULL, 'QRPTase_C', NULL, NULL, NULL, 6),
(15356, NULL, 'PF03544', NULL, NULL, 'Gram-negative bacterial TonB protein C-terminal', NULL, 'TonB_C', NULL, NULL, NULL, 6),
(15357, NULL, 'PF04967', NULL, NULL, 'HTH DNA binding domain', NULL, 'HTH_10', NULL, NULL, NULL, 6),
(15358, NULL, 'PF15949', NULL, NULL, 'Domain of unknown function (DUF4757)', NULL, 'DUF4757', NULL, NULL, NULL, 6),
(15359, NULL, 'PF01163', NULL, NULL, 'RIO1 family', NULL, 'RIO1', NULL, NULL, NULL, 6),
(15360, NULL, 'PF18409', NULL, NULL, 'Polo-like Kinase 4 Polo Box 2', NULL, 'Plk4_PB2', NULL, NULL, NULL, 6),
(15361, NULL, 'PF14659', NULL, NULL, 'Phage integrase, N-terminal SAM-like domain', NULL, 'Phage_int_SAM_3', NULL, NULL, NULL, 6),
(15362, NULL, 'PF08888', NULL, NULL, 'HopJ type III effector protein', NULL, 'HopJ', NULL, NULL, NULL, 6),
(15363, NULL, 'PF17411', NULL, NULL, 'Type II site-specific deoxyribonuclease', NULL, 'SmaI', NULL, NULL, NULL, 6),
(15364, NULL, 'PF16274', NULL, NULL, 'Qua1 domain', NULL, 'Qua1', NULL, NULL, NULL, 6),
(15365, NULL, 'PF04426', NULL, NULL, 'Bul1 C terminus', NULL, 'Bul1_C', NULL, NULL, NULL, 6),
(15366, NULL, 'PF15725', NULL, NULL, 'Renal cancer differentiation gene 1 protein', NULL, 'RCDG1', NULL, NULL, NULL, 6),
(15367, NULL, 'PF11393', NULL, NULL, 'Type-IV b secretion system, inner-membrane complex component', NULL, 'T4BSS_DotI_IcmL', NULL, NULL, NULL, 6),
(15368, NULL, 'PF17436', NULL, NULL, 'Family of unknown function (DUF5415)', NULL, 'DUF5415', NULL, NULL, NULL, 6),
(15369, NULL, 'PF15034', NULL, NULL, 'KRTAP type 7 family', NULL, 'KRTAP7', NULL, NULL, NULL, 6),
(15370, NULL, 'PF13856', NULL, NULL, 'ATP-binding sugar transporter from pro-phage', NULL, 'Gifsy-2', NULL, NULL, NULL, 6),
(15371, NULL, 'PF01498', NULL, NULL, 'Transposase', NULL, 'HTH_Tnp_Tc3_2', NULL, NULL, NULL, 6),
(15372, NULL, 'PF04821', NULL, NULL, 'Timeless protein', NULL, 'TIMELESS', NULL, NULL, NULL, 6),
(15373, NULL, 'PF18857', NULL, NULL, 'Large polyvalent protein associated domain 38', NULL, 'LPD38', NULL, NULL, NULL, 6),
(15374, NULL, 'PF18606', NULL, NULL, 'Zap  helix turn helix N-terminal domain', NULL, 'HTH_53', NULL, NULL, NULL, 6),
(15375, NULL, 'PF16282', NULL, NULL, 'SANT/Myb-like domain of DAMP1', NULL, 'SANT_DAMP1_like', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15376, NULL, 'PF03190', NULL, NULL, 'Protein of unknown function, DUF255', NULL, 'Thioredox_DsbH', NULL, NULL, NULL, 6),
(15377, NULL, 'PF10534', NULL, NULL, 'Connector enhancer of kinase suppressor of ras', NULL, 'CRIC_ras_sig', NULL, NULL, NULL, 6),
(15378, NULL, 'PF00720', NULL, NULL, 'Subtilisin inhibitor-like', NULL, 'SSI', NULL, NULL, NULL, 6),
(15379, NULL, 'PF06345', NULL, NULL, 'DRF Autoregulatory Domain', NULL, 'Drf_DAD', NULL, NULL, NULL, 6),
(15380, NULL, 'PF12253', NULL, NULL, 'Chromatin assembly factor 1 subunit A', NULL, 'CAF1A', NULL, NULL, NULL, 6),
(15381, NULL, 'PF04021', NULL, NULL, 'Class III signal peptide', NULL, 'Class_IIIsignal', NULL, NULL, NULL, 6),
(15382, NULL, 'PF16773', NULL, NULL, 'Lactococcus phage single-stranded DNA binding protein', NULL, 'Phage_SSB', NULL, NULL, NULL, 6),
(15383, NULL, 'PF05483', NULL, NULL, 'Synaptonemal complex protein 1 (SCP-1)', NULL, 'SCP-1', NULL, NULL, NULL, 6),
(15384, NULL, 'PF18038', NULL, NULL, 'FERM N-terminal domain', NULL, 'FERM_N_2', NULL, NULL, NULL, 6),
(15385, NULL, 'PF01454', NULL, NULL, 'MAGE family', NULL, 'MAGE', NULL, NULL, NULL, 6),
(15386, NULL, 'PF13218', NULL, NULL, 'Protein of unknown function (DUF4026)', NULL, 'DUF4026', NULL, NULL, NULL, 6),
(15387, NULL, 'PF13030', NULL, NULL, 'Protein of unknown function (DUF3891)', NULL, 'DUF3891', NULL, NULL, NULL, 6),
(15388, NULL, 'PF10593', NULL, NULL, 'Z1 domain', NULL, 'Z1', NULL, NULL, NULL, 6),
(15389, NULL, 'PF07851', NULL, NULL, 'TMPIT-like protein', NULL, 'TMPIT', NULL, NULL, NULL, 6),
(15390, NULL, 'PF09253', NULL, NULL, 'Pollen allergen Ole e 6', NULL, 'Ole_e_6', NULL, NULL, NULL, 6),
(15391, NULL, 'PF17073', NULL, NULL, 'Two-component-system connector protein', NULL, 'SafA', NULL, NULL, NULL, 6),
(15392, NULL, 'PF12678', NULL, NULL, 'RING-H2 zinc finger domain', NULL, 'zf-rbx1', NULL, NULL, NULL, 6),
(15393, NULL, 'PF05641', NULL, NULL, 'Agenet domain', NULL, 'Agenet', NULL, NULL, NULL, 6),
(15394, NULL, 'PF12378', NULL, NULL, 'Trypsin-sensitive surface-exposed protein', NULL, 'CytadhesinP1', NULL, NULL, NULL, 6),
(15395, NULL, 'PF11017', NULL, NULL, 'Protein of unknown function (DUF2855)', NULL, 'DUF2855', NULL, NULL, NULL, 6),
(15396, NULL, 'PF14219', NULL, NULL, 'Domain of unknown function (DUF4328)', NULL, 'DUF4328', NULL, NULL, NULL, 6),
(15397, NULL, 'PF01479', NULL, NULL, 'S4 domain', NULL, 'S4', NULL, NULL, NULL, 6),
(15398, NULL, 'PF11868', NULL, NULL, 'Protein of unknown function (DUF3388)', NULL, 'DUF3388', NULL, NULL, NULL, 6),
(15399, NULL, 'PF12752', NULL, NULL, 'SUZ domain', NULL, 'SUZ', NULL, NULL, NULL, 6),
(15400, NULL, 'PF10347', NULL, NULL, 'RNA pol II promoter Fmp27 protein domain', NULL, 'Fmp27_GFWDK', NULL, NULL, NULL, 6),
(15401, NULL, 'PF12100', NULL, NULL, 'Domain of unknown function (DUF3576)', NULL, 'DUF3576', NULL, NULL, NULL, 6),
(15402, NULL, 'PF15002', NULL, NULL, 'ERK and JNK pathways, inhibitor', NULL, 'ERK-JNK_inhib', NULL, NULL, NULL, 6),
(15403, NULL, 'PF02746', NULL, NULL, 'Mandelate racemase / muconate lactonizing enzyme, N-terminal domain', NULL, 'MR_MLE_N', NULL, NULL, NULL, 6),
(15404, NULL, 'PF09681', NULL, NULL, 'N-terminal phage replisome organiser (Phage_rep_org_N)', NULL, 'Phage_rep_org_N', NULL, NULL, NULL, 6),
(15405, NULL, 'PF13717', NULL, NULL, 'zinc-ribbon domain', NULL, 'zinc_ribbon_4', NULL, NULL, NULL, 6),
(15406, NULL, 'PF08451', NULL, NULL, 'Adenosine/AMP deaminase N-terminal', NULL, 'A_deaminase_N', NULL, NULL, NULL, 6),
(15407, NULL, 'PF06935', NULL, NULL, 'Protein of unknown function (DUF1284)', NULL, 'DUF1284', NULL, NULL, NULL, 6),
(15408, NULL, 'PF06473', NULL, NULL, 'FGF binding protein 1 (FGF-BP1)', NULL, 'FGF-BP1', NULL, NULL, NULL, 6),
(15409, NULL, 'PF08707', NULL, NULL, 'Primase C terminal 2 (PriCT-2)', NULL, 'PriCT_2', NULL, NULL, NULL, 6),
(15410, NULL, 'PF02885', NULL, NULL, 'Glycosyl transferase family, helical bundle domain', NULL, 'Glycos_trans_3N', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15411, NULL, 'PF16978', NULL, NULL, 'SAPK-interacting protein 1 (Sin1), middle CRIM domain', NULL, 'CRIM', NULL, NULL, NULL, 6),
(15412, NULL, 'PF13859', NULL, NULL, 'BNR repeat-like domain', NULL, 'BNR_3', NULL, NULL, NULL, 6),
(15413, NULL, 'PF09138', NULL, NULL, 'Urm1 (Ubiquitin related modifier)', NULL, 'Urm1', NULL, NULL, NULL, 6),
(15414, NULL, 'PF18637', NULL, NULL, 'Aldos-2-ulose dehydratase/isomerase (AUDH) Cupin domain', NULL, 'AUDH_Cupin', NULL, NULL, NULL, 6),
(15415, NULL, 'PF18348', NULL, NULL, 'Bacterial dipeptidyl-peptidase Sh3 domain', NULL, 'SH3_16', NULL, NULL, NULL, 6),
(15416, NULL, 'PF16414', NULL, NULL, 'Niemann-Pick C1 N terminus', NULL, 'NPC1_N', NULL, NULL, NULL, 6),
(15417, NULL, 'PF08821', NULL, NULL, 'CGGC domain', NULL, 'CGGC', NULL, NULL, NULL, 6),
(15418, NULL, 'PF09620', NULL, NULL, 'CRISPR-associated protein (Cas_csx3)', NULL, 'Cas_csx3', NULL, NULL, NULL, 6),
(15419, NULL, 'PF06826', NULL, NULL, 'Predicted Permease Membrane Region', NULL, 'Asp-Al_Ex', NULL, NULL, NULL, 6),
(15420, NULL, 'PF10359', NULL, NULL, 'RNA pol II promoter Fmp27 protein domain', NULL, 'Fmp27_WPPW', NULL, NULL, NULL, 6),
(15421, NULL, 'PF07191', NULL, NULL, 'zinc-ribbons', NULL, 'zinc-ribbons_6', NULL, NULL, NULL, 6),
(15422, NULL, 'PF15893', NULL, NULL, 'Domain of unknown function (DUF4739)', NULL, 'DUF4739', NULL, NULL, NULL, 6),
(15423, NULL, 'PF06012', NULL, NULL, 'Domain of Unknown Function (DUF908)', NULL, 'DUF908', NULL, NULL, NULL, 6),
(15424, NULL, 'PF08263', NULL, NULL, 'Leucine rich repeat N-terminal domain', NULL, 'LRRNT_2', NULL, NULL, NULL, 6),
(15425, NULL, 'PF17687', NULL, NULL, 'Family of unknown function (DUF5535)', NULL, 'DUF5535', NULL, NULL, NULL, 6),
(15426, NULL, 'PF00708', NULL, NULL, 'Acylphosphatase', NULL, 'Acylphosphatase', NULL, NULL, NULL, 6),
(15427, NULL, 'PF15376', NULL, NULL, 'Domain of unknown function (DUF4603)', NULL, 'DUF4603', NULL, NULL, NULL, 6),
(15428, NULL, 'PF12110', NULL, NULL, 'Nuclear protein 96', NULL, 'Nup96', NULL, NULL, NULL, 6),
(15429, NULL, 'PF16004', NULL, NULL, '116 kDa U5 small nuclear ribonucleoprotein component N-terminus', NULL, 'EFTUD2', NULL, NULL, NULL, 6),
(15430, NULL, 'PF00033', NULL, NULL, 'Cytochrome b/b6/petB', NULL, 'Cytochrome_B', NULL, NULL, NULL, 6),
(15431, NULL, 'PF10456', NULL, NULL, 'WASP-binding domain of Sorting nexin protein', NULL, 'BAR_3_WASP_bdg', NULL, NULL, NULL, 6),
(15432, NULL, 'PF04244', NULL, NULL, 'Deoxyribodipyrimidine photo-lyase-related protein', NULL, 'DPRP', NULL, NULL, NULL, 6),
(15433, NULL, 'PF04513', NULL, NULL, 'Baculovirus polyhedron envelope protein, PEP, C terminus', NULL, 'Baculo_PEP_C', NULL, NULL, NULL, 6),
(15434, NULL, 'PF07743', NULL, NULL, 'HSCB C-terminal oligomerisation domain', NULL, 'HSCB_C', NULL, NULL, NULL, 6),
(15435, NULL, 'PF10554', NULL, NULL, 'Ash protein family', NULL, 'Phage_ASH', NULL, NULL, NULL, 6),
(15436, NULL, 'PF10109', NULL, NULL, 'Phage tail assembly chaperone proteins, E, or 41 or 14', NULL, 'Phage_TAC_7', NULL, NULL, NULL, 6),
(15437, NULL, 'PF00812', NULL, NULL, 'Ephrin', NULL, 'Ephrin', NULL, NULL, NULL, 6),
(15438, NULL, 'PF14362', NULL, NULL, 'Domain of unknown function (DUF4407)', NULL, 'DUF4407', NULL, NULL, NULL, 6),
(15439, NULL, 'PF12549', NULL, NULL, 'Tyrosine hydroxylase N terminal', NULL, 'TOH_N', NULL, NULL, NULL, 6),
(15440, NULL, 'PF11259', NULL, NULL, 'Protein of unknown function (DUF3060)', NULL, 'DUF3060', NULL, NULL, NULL, 6),
(15441, NULL, 'PF01180', NULL, NULL, 'Dihydroorotate dehydrogenase', NULL, 'DHO_dh', NULL, NULL, NULL, 6),
(15442, NULL, 'PF19133', NULL, NULL, 'Family of unknown function (DUF5816)', NULL, 'DUF5816', NULL, NULL, NULL, 6),
(15443, NULL, 'PF01681', NULL, NULL, 'C6 domain', NULL, 'C6', NULL, NULL, NULL, 6),
(15444, NULL, 'PF12441', NULL, NULL, 'CopG antitoxin of type II toxin-antitoxin system', NULL, 'CopG_antitoxin', NULL, NULL, NULL, 6),
(15445, NULL, 'PF02286', NULL, NULL, 'Dehydratase large subunit', NULL, 'Dehydratase_LU', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15446, NULL, 'PF13583', NULL, NULL, 'Metallo-peptidase family M12B Reprolysin-like', NULL, 'Reprolysin_4', NULL, NULL, NULL, 6),
(15447, NULL, 'PF10574', NULL, NULL, 'Arp2/3-interacting proteins Arpin', NULL, 'UPF0552', NULL, NULL, NULL, 6),
(15448, NULL, 'PF02322', NULL, NULL, 'Cytochrome bd terminal oxidase subunit II', NULL, 'Cyt_bd_oxida_II', NULL, NULL, NULL, 6),
(15449, NULL, 'PF02659', NULL, NULL, 'Putative manganese efflux pump', NULL, 'Mntp', NULL, NULL, NULL, 6),
(15450, NULL, 'PF03394', NULL, NULL, 'Poxvirus E8 protein', NULL, 'Pox_E8', NULL, NULL, NULL, 6),
(15451, NULL, 'PF18515', NULL, NULL, 'Rh5 coiled-coil domain', NULL, 'Rh5', NULL, NULL, NULL, 6),
(15452, NULL, 'PF14849', NULL, NULL, 'YidC periplasmic domain', NULL, 'YidC_periplas', NULL, NULL, NULL, 6),
(15453, NULL, 'PF10851', NULL, NULL, 'Protein of unknown function (DUF2652)', NULL, 'DUF2652', NULL, NULL, NULL, 6),
(15454, NULL, 'PF09403', NULL, NULL, 'Adhesion protein FadA', NULL, 'FadA', NULL, NULL, NULL, 6),
(15455, NULL, 'PF05962', NULL, NULL, 'HutD', NULL, 'HutD', NULL, NULL, NULL, 6),
(15456, NULL, 'PF18494', NULL, NULL, 'Pullulanase Ins domain', NULL, 'Pullulanase_Ins', NULL, NULL, NULL, 6),
(15457, NULL, 'PF11152', NULL, NULL, 'Cofactor assembly of complex C subunit B, CCB2/CCB4', NULL, 'CCB2_CCB4', NULL, NULL, NULL, 6),
(15458, NULL, 'PF00496', NULL, NULL, 'Bacterial extracellular solute-binding proteins, family 5 Middle', NULL, 'SBP_bac_5', NULL, NULL, NULL, 6),
(15459, NULL, 'PF08208', NULL, NULL, 'DNA-directed RNA polymerase I subunit RPA34.5', NULL, 'RNA_polI_A34', NULL, NULL, NULL, 6),
(15460, NULL, 'PF01630', NULL, NULL, 'Hyaluronidase', NULL, 'Glyco_hydro_56', NULL, NULL, NULL, 6),
(15461, NULL, 'PF17614', NULL, NULL, 'Viral CC-type chemokine', NULL, 'FPV060', NULL, NULL, NULL, 6),
(15462, NULL, 'PF13354', NULL, NULL, 'Beta-lactamase enzyme family', NULL, 'Beta-lactamase2', NULL, NULL, NULL, 6),
(15463, NULL, 'PF03842', NULL, NULL, 'Silicon transporter', NULL, 'Silic_transp', NULL, NULL, NULL, 6),
(15464, NULL, 'PF06406', NULL, NULL, 'StbA protein', NULL, 'StbA', NULL, NULL, NULL, 6),
(15465, NULL, 'PF08417', NULL, NULL, 'Pheophorbide a oxygenase', NULL, 'PaO', NULL, NULL, NULL, 6),
(15466, NULL, 'PF11260', NULL, NULL, 'Major ampullate spidroin 1 and 2', NULL, 'Spidroin_MaSp', NULL, NULL, NULL, 6),
(15467, NULL, 'PF04911', NULL, NULL, 'ATP synthase j chain', NULL, 'ATP-synt_J', NULL, NULL, NULL, 6),
(15468, NULL, 'PF12199', NULL, NULL, 'Extracellular fibrinogen binding protein C terminal', NULL, 'efb-c', NULL, NULL, NULL, 6),
(15469, NULL, 'PF00178', NULL, NULL, 'Ets-domain', NULL, 'Ets', NULL, NULL, NULL, 6),
(15470, NULL, 'PF12069', NULL, NULL, 'Protein of unknown function (DUF3549)', NULL, 'DUF3549', NULL, NULL, NULL, 6),
(15471, NULL, 'PF09797', NULL, NULL, 'N-acetyltransferase B complex (NatB) non catalytic subunit', NULL, 'NatB_MDM20', NULL, NULL, NULL, 6),
(15472, NULL, 'PF11441', NULL, NULL, 'Pilot protein MxiM', NULL, 'MxiM', NULL, NULL, NULL, 6),
(15473, NULL, 'PF09386', NULL, NULL, 'Antitoxin ParD', NULL, 'ParD', NULL, NULL, NULL, 6),
(15474, NULL, 'PF14992', NULL, NULL, 'TMCO5 family', NULL, 'TMCO5', NULL, NULL, NULL, 6),
(15475, NULL, 'PF18132', NULL, NULL, 'Tyosinase C-terminal domain', NULL, 'Tyosinase_C', NULL, NULL, NULL, 6),
(15476, NULL, 'PF07588', NULL, NULL, 'Protein of unknown function (DUF1554)', NULL, 'DUF1554', NULL, NULL, NULL, 6),
(15477, NULL, 'PF09556', NULL, NULL, 'HaeIII restriction endonuclease', NULL, 'RE_HaeIII', NULL, NULL, NULL, 6),
(15478, NULL, 'PF00993', NULL, NULL, 'Class II histocompatibility antigen, alpha domain', NULL, 'MHC_II_alpha', NULL, NULL, NULL, 6),
(15479, NULL, 'PF14398', NULL, NULL, 'YheC/D like ATP-grasp', NULL, 'ATPgrasp_YheCD', NULL, NULL, NULL, 6),
(15480, NULL, 'PF13195', NULL, NULL, 'Protein of unknown function (DUF4011)', NULL, 'DUF4011', NULL, NULL, NULL, 6),
(15481, NULL, 'PF07223', NULL, NULL, 'UBA-like domain (DUF1421)', NULL, 'DUF1421', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15482, NULL, 'PF17998', NULL, NULL, 'Cell surface antigen I/II C2 terminal domain', NULL, 'AgI_II_C2', NULL, NULL, NULL, 6),
(15483, NULL, 'PF05018', NULL, NULL, 'Protein of unknown function (DUF667)', NULL, 'DUF667', NULL, NULL, NULL, 6),
(15484, NULL, 'PF18315', NULL, NULL, 'Integron cassette protein VCH_CASS1 chain', NULL, 'VCH_CASS14', NULL, NULL, NULL, 6),
(15485, NULL, 'PF04440', NULL, NULL, 'Dysbindin (Dystrobrevin binding protein 1)', NULL, 'Dysbindin', NULL, NULL, NULL, 6),
(15486, NULL, 'PF05485', NULL, NULL, 'THAP domain', NULL, 'THAP', NULL, NULL, NULL, 6),
(15487, NULL, 'PF01251', NULL, NULL, 'Ribosomal protein S7e', NULL, 'Ribosomal_S7e', NULL, NULL, NULL, 6),
(15488, NULL, 'PF13877', NULL, NULL, 'Potential Monad-binding region of RPAP3', NULL, 'RPAP3_C', NULL, NULL, NULL, 6),
(15489, NULL, 'PF06886', NULL, NULL, 'Targeting protein for Xklp2 (TPX2) domain', NULL, 'TPX2', NULL, NULL, NULL, 6),
(15490, NULL, 'PF05256', NULL, NULL, 'Uncharacterised protein family (UPF0223)', NULL, 'UPF0223', NULL, NULL, NULL, 6),
(15491, NULL, 'PF03767', NULL, NULL, 'HAD superfamily, subfamily IIIB (Acid phosphatase)', NULL, 'Acid_phosphat_B', NULL, NULL, NULL, 6),
(15492, NULL, 'PF14421', NULL, NULL, 'A distinct subfamily of CDD/CDA-like deaminases', NULL, 'LmjF365940-deam', NULL, NULL, NULL, 6),
(15493, NULL, 'PF11134', NULL, NULL, 'Phage stabilisation protein', NULL, 'Phage_stabilise', NULL, NULL, NULL, 6),
(15494, NULL, 'PF12857', NULL, NULL, 'TOBE-like domain', NULL, 'TOBE_3', NULL, NULL, NULL, 6),
(15495, NULL, 'PF00316', NULL, NULL, 'Fructose-1-6-bisphosphatase, N-terminal domain', NULL, 'FBPase', NULL, NULL, NULL, 6),
(15496, NULL, 'PF12124', NULL, NULL, 'Betacoronavirus SUD-C domain', NULL, 'bCoV_SUD_C', NULL, NULL, NULL, 6),
(15497, NULL, 'PF09810', NULL, NULL, 'Exonuclease V - a 5'' deoxyribonuclease', NULL, 'Exo5', NULL, NULL, NULL, 6),
(15498, NULL, 'PF18000', NULL, NULL, 'Type 2 DNA topoisomerase 6 subunit B C-terminal domain', NULL, 'Top6b_C', NULL, NULL, NULL, 6),
(15499, NULL, 'PF10707', NULL, NULL, 'PhoP regulatory network protein YrbL', NULL, 'YrbL-PhoP_reg', NULL, NULL, NULL, 6),
(15500, NULL, 'PF01857', NULL, NULL, 'Retinoblastoma-associated protein B domain', NULL, 'RB_B', NULL, NULL, NULL, 6),
(15501, NULL, 'PF16128', NULL, NULL, 'Domain of unknown function (DUF4840)', NULL, 'DUF4840', NULL, NULL, NULL, 6),
(15502, NULL, 'PF14724', NULL, NULL, 'Mitochondrial-associated sphingomyelin phosphodiesterase', NULL, 'mit_SMPDase', NULL, NULL, NULL, 6),
(15503, NULL, 'PF05403', NULL, NULL, 'Plasmodium histidine-rich protein (HRPII/III)', NULL, 'Plasmodium_HRP', NULL, NULL, NULL, 6),
(15504, NULL, 'PF09130', NULL, NULL, 'Domain of unknown function (DUF1932)', NULL, 'DUF1932', NULL, NULL, NULL, 6),
(15505, NULL, 'PF07589', NULL, NULL, 'PEP-CTERM motif', NULL, 'PEP-CTERM', NULL, NULL, NULL, 6),
(15506, NULL, 'PF01672', NULL, NULL, 'Putative plasmid partition protein', NULL, 'Plasmid_parti', NULL, NULL, NULL, 6),
(15507, NULL, 'PF05297', NULL, NULL, 'Herpesvirus latent membrane protein 1 (LMP1)', NULL, 'Herpes_LMP1', NULL, NULL, NULL, 6),
(15508, NULL, 'PF18142', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain', NULL, 'SLATT_fungal', NULL, NULL, NULL, 6),
(15509, NULL, 'PF02654', NULL, NULL, 'Cobalamin-5-phosphate synthase', NULL, 'CobS', NULL, NULL, NULL, 6),
(15510, NULL, 'PF02313', NULL, NULL, 'Fumarate reductase subunit D', NULL, 'Fumarate_red_D', NULL, NULL, NULL, 6),
(15511, NULL, 'PF07803', NULL, NULL, 'GSG1-like protein', NULL, 'GSG-1', NULL, NULL, NULL, 6),
(15512, NULL, 'PF07460', NULL, NULL, 'NUMOD3 motif', NULL, 'NUMOD3', NULL, NULL, NULL, 6),
(15513, NULL, 'PF18918', NULL, NULL, 'Family of unknown function (DUF5669)', NULL, 'DUF5669', NULL, NULL, NULL, 6),
(15514, NULL, 'PF15659', NULL, NULL, 'JAB-like toxin  1', NULL, 'Toxin-JAB1', NULL, NULL, NULL, 6),
(15515, NULL, 'PF10484', NULL, NULL, 'Mitochondrial ribosomal protein S23', NULL, 'MRP-S23', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15516, NULL, 'PF10365', NULL, NULL, 'Domain of unknown function (DUF2436)', NULL, 'DUF2436', NULL, NULL, NULL, 6),
(15517, NULL, 'PF15454', NULL, NULL, 'Late endosomal/lysosomal adaptor and MAPK and MTOR activator', NULL, 'LAMTOR', NULL, NULL, NULL, 6),
(15518, NULL, 'PF03995', NULL, NULL, 'Peptidase inhibitor family I36', NULL, 'Inhibitor_I36', NULL, NULL, NULL, 6),
(15519, NULL, 'PF14391', NULL, NULL, 'Domain of unknown function (DUF4421)', NULL, 'DUF4421', NULL, NULL, NULL, 6),
(15520, NULL, 'PF12196', NULL, NULL, 'FHA Ki67 binding domain of hNIFK', NULL, 'hNIFK_binding', NULL, NULL, NULL, 6),
(15521, NULL, 'PF00969', NULL, NULL, 'Class II histocompatibility antigen, beta domain', NULL, 'MHC_II_beta', NULL, NULL, NULL, 6),
(15522, NULL, 'PF06380', NULL, NULL, 'Protein of unknown function (DUF1072)', NULL, 'DUF1072', NULL, NULL, NULL, 6),
(15523, NULL, 'PF08228', NULL, NULL, 'RNase P subunit Pop3', NULL, 'RNase_P_pop3', NULL, NULL, NULL, 6),
(15524, NULL, 'PF11571', NULL, NULL, 'Mediator complex subunit 27', NULL, 'Med27', NULL, NULL, NULL, 6),
(15525, NULL, 'PF01135', NULL, NULL, 'Protein-L-isoaspartate(D-aspartate) O-methyltransferase (PCMT)', NULL, 'PCMT', NULL, NULL, NULL, 6),
(15526, NULL, 'PF01920', NULL, NULL, 'Prefoldin subunit', NULL, 'Prefoldin_2', NULL, NULL, NULL, 6),
(15527, NULL, 'PF00006', NULL, NULL, 'ATP synthase alpha/beta family, nucleotide-binding domain', NULL, 'ATP-synt_ab', NULL, NULL, NULL, 6),
(15528, NULL, 'PF08137', NULL, NULL, 'DVL family', NULL, 'DVL', NULL, NULL, NULL, 6),
(15529, NULL, 'PF10113', NULL, NULL, 'Fibrillarin-like archaeal protein', NULL, 'Fibrillarin_2', NULL, NULL, NULL, 6),
(15530, NULL, 'PF04507', NULL, NULL, 'Csa1 family', NULL, 'DUF576', NULL, NULL, NULL, 6),
(15531, NULL, 'PF10330', NULL, NULL, 'Putative Sin3 binding protein', NULL, 'Stb3', NULL, NULL, NULL, 6),
(15532, NULL, 'PF17408', NULL, NULL, 'Malonyl-CoA decarboxylase N-terminal domain', NULL, 'MCD_N', NULL, NULL, NULL, 6),
(15533, NULL, 'PF01913', NULL, NULL, 'Formylmethanofuran-tetrahydromethanopterin formyltransferase', NULL, 'FTR', NULL, NULL, NULL, 6),
(15534, NULL, 'PF12532', NULL, NULL, 'Protein of unknown function (DUF3732)', NULL, 'DUF3732', NULL, NULL, NULL, 6),
(15535, NULL, 'PF07118', NULL, NULL, 'Protein of unknown function (DUF1374)', NULL, 'DUF1374', NULL, NULL, NULL, 6),
(15536, NULL, 'PF10650', NULL, NULL, 'Putative zinc-finger domain', NULL, 'zf-C3H1', NULL, NULL, NULL, 6),
(15537, NULL, 'PF06144', NULL, NULL, 'DNA polymerase III, delta subunit', NULL, 'DNA_pol3_delta', NULL, NULL, NULL, 6),
(15538, NULL, 'PF05192', NULL, NULL, 'MutS domain III', NULL, 'MutS_III', NULL, NULL, NULL, 6),
(15539, NULL, 'PF11435', NULL, NULL, 'RNA binding protein She2p', NULL, 'She2p', NULL, NULL, NULL, 6),
(15540, NULL, 'PF05343', NULL, NULL, 'M42 glutamyl aminopeptidase', NULL, 'Peptidase_M42', NULL, NULL, NULL, 6),
(15541, NULL, 'PF16240', NULL, NULL, 'Domain of unknown function (DUF4899)', NULL, 'DUF4899', NULL, NULL, NULL, 6),
(15542, NULL, 'PF00010', NULL, NULL, 'Helix-loop-helix DNA-binding domain', NULL, 'HLH', NULL, NULL, NULL, 6),
(15543, NULL, 'PF17802', NULL, NULL, 'Prealbumin-like fold domain', NULL, 'SpaA', NULL, NULL, NULL, 6),
(15544, NULL, 'PF17675', NULL, NULL, 'Apg6 coiled-coil region', NULL, 'APG6_N', NULL, NULL, NULL, 6),
(15545, NULL, 'PF01157', NULL, NULL, 'Ribosomal protein L21e', NULL, 'Ribosomal_L21e', NULL, NULL, NULL, 6),
(15546, NULL, 'PF09144', NULL, NULL, 'Yersinia pseudo-tuberculosis mitogen', NULL, 'YpM', NULL, NULL, NULL, 6),
(15547, NULL, 'PF00186', NULL, NULL, 'Dihydrofolate reductase', NULL, 'DHFR_1', NULL, NULL, NULL, 6),
(15548, NULL, 'PF13456', NULL, NULL, 'Reverse transcriptase-like', NULL, 'RVT_3', NULL, NULL, NULL, 6),
(15549, NULL, 'PF02221', NULL, NULL, 'ML domain', NULL, 'E1_DerP2_DerF2', NULL, NULL, NULL, 6),
(15550, NULL, 'PF12782', NULL, NULL, 'Invertebrate innate immunity transcript family', NULL, 'Innate_immun', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15551, NULL, 'PF01130', NULL, NULL, 'CD36 family', NULL, 'CD36', NULL, NULL, NULL, 6),
(15552, NULL, 'PF14147', NULL, NULL, 'Sporulation protein YhaL', NULL, 'Spore_YhaL', NULL, NULL, NULL, 6),
(15553, NULL, 'PF14049', NULL, NULL, 'Dppa2/4 conserved region in higher vertebrates', NULL, 'Dppa2_A', NULL, NULL, NULL, 6),
(15554, NULL, 'PF15096', NULL, NULL, 'G6B family', NULL, 'G6B', NULL, NULL, NULL, 6),
(15555, NULL, 'PF08631', NULL, NULL, 'Meiosis protein SPO22/ZIP4 like', NULL, 'SPO22', NULL, NULL, NULL, 6),
(15556, NULL, 'PF12762', NULL, NULL, 'ISXO2-like transposase domain', NULL, 'DDE_Tnp_IS1595', NULL, NULL, NULL, 6),
(15557, NULL, 'PF09610', NULL, NULL, 'Mycoplasma virulence signal region (Myco_arth_vir_N)', NULL, 'Myco_arth_vir_N', NULL, NULL, NULL, 6),
(15558, NULL, 'PF02268', NULL, NULL, 'Transcription initiation factor IIA, gamma subunit, helical domain', NULL, 'TFIIA_gamma_N', NULL, NULL, NULL, 6),
(15559, NULL, 'PF15638', NULL, NULL, 'Metallopeptidase toxin 2', NULL, 'Tox-MPTase2', NULL, NULL, NULL, 6),
(15560, NULL, 'PF03990', NULL, NULL, 'G5-linked-Ubiquitin-like domain', NULL, 'DUF348', NULL, NULL, NULL, 6),
(15561, NULL, 'PF08167', NULL, NULL, 'rRNA processing/ribosome biogenesis', NULL, 'RIX1', NULL, NULL, NULL, 6),
(15562, NULL, 'PF10363', NULL, NULL, 'Required for nuclear transport of RNA pol II C-terminus 1', NULL, 'RTP1_C1', NULL, NULL, NULL, 6),
(15563, NULL, 'PF15296', NULL, NULL, 'Codanin-1 C-terminus', NULL, 'Codanin-1_C', NULL, NULL, NULL, 6),
(15564, NULL, 'PF18391', NULL, NULL, 'CHIP N-terminal tetratricopeptide repeat domain', NULL, 'CHIP_TPR_N', NULL, NULL, NULL, 6),
(15565, NULL, 'PF09604', NULL, NULL, 'F subunit of K+-transporting ATPase (Potass_KdpF)', NULL, 'Potass_KdpF', NULL, NULL, NULL, 6),
(15566, NULL, 'PF05082', NULL, NULL, 'Rop-like', NULL, 'Rop-like', NULL, NULL, NULL, 6),
(15567, NULL, 'PF16627', NULL, NULL, 'Unstructured region between BRX_N and BRX domain', NULL, 'BRX_assoc', NULL, NULL, NULL, 6),
(15568, NULL, 'PF09607', NULL, NULL, 'Brinker DNA-binding domain', NULL, 'BrkDBD', NULL, NULL, NULL, 6),
(15569, NULL, 'PF05750', NULL, NULL, 'Rubella capsid protein', NULL, 'Rubella_Capsid', NULL, NULL, NULL, 6),
(15570, NULL, 'PF06344', NULL, NULL, 'Parechovirus Genome-linked protein', NULL, 'Parecho_VpG', NULL, NULL, NULL, 6),
(15571, NULL, 'PF13303', NULL, NULL, 'Phosphotransferase system, EIIC', NULL, 'PTS_EIIC_2', NULL, NULL, NULL, 6),
(15572, NULL, 'PF13477', NULL, NULL, 'Glycosyl transferase 4-like', NULL, 'Glyco_trans_4_2', NULL, NULL, NULL, 6),
(15573, NULL, 'PF12825', NULL, NULL, 'Domain of unknown function in PX-proteins (DUF3818)', NULL, 'DUF3818', NULL, NULL, NULL, 6),
(15574, NULL, 'PF15049', NULL, NULL, 'Protein of unknown function (DUF4534)', NULL, 'DUF4534', NULL, NULL, NULL, 6),
(15575, NULL, 'PF10294', NULL, NULL, 'Lysine methyltransferase', NULL, 'Methyltransf_16', NULL, NULL, NULL, 6),
(15576, NULL, 'PF11046', NULL, NULL, 'Transcriptional repressor of hyc and hyp operons', NULL, 'HycA_repressor', NULL, NULL, NULL, 6),
(15577, NULL, 'PF04560', NULL, NULL, 'RNA polymerase Rpb2, domain 7', NULL, 'RNA_pol_Rpb2_7', NULL, NULL, NULL, 6),
(15578, NULL, 'PF06121', NULL, NULL, 'Domain of Unknown Function (DUF959)', NULL, 'DUF959', NULL, NULL, NULL, 6),
(15579, NULL, 'PF10847', NULL, NULL, 'Protein of unknown function (DUF2656)', NULL, 'DUF2656', NULL, NULL, NULL, 6),
(15580, NULL, 'PF03732', NULL, NULL, 'Retrotransposon gag protein', NULL, 'Retrotrans_gag', NULL, NULL, NULL, 6),
(15581, NULL, 'PF18427', NULL, NULL, 'DD-reactivating factor swiveling domain', NULL, 'DDR_swiveling', NULL, NULL, NULL, 6),
(15582, NULL, 'PF08563', NULL, NULL, 'P53 transactivation motif', NULL, 'P53_TAD', NULL, NULL, NULL, 6),
(15583, NULL, 'PF18751', NULL, NULL, 'P-loop Nucleotide Kinase3', NULL, 'Ploopntkinase3', NULL, NULL, NULL, 6),
(15584, NULL, 'PF06153', NULL, NULL, 'Cyclic-di-AMP receptor', NULL, 'CdAMP_rec', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15585, NULL, 'PF06732', NULL, NULL, 'Pescadillo N-terminus', NULL, 'Pescadillo_N', NULL, NULL, NULL, 6),
(15586, NULL, 'PF07499', NULL, NULL, 'RuvA, C-terminal domain', NULL, 'RuvA_C', NULL, NULL, NULL, 6),
(15587, NULL, 'PF12318', NULL, NULL, 'Membrane bound FAD containing D-sorbitol dehydrogenase', NULL, 'FAD-SLDH', NULL, NULL, NULL, 6),
(15588, NULL, 'PF10677', NULL, NULL, 'Protein of unknown function (DUF2490)', NULL, 'DUF2490', NULL, NULL, NULL, 6),
(15589, NULL, 'PF14445', NULL, NULL, 'Prokaryotic RING finger family 2', NULL, 'Prok-RING_2', NULL, NULL, NULL, 6),
(15590, NULL, 'PF12121', NULL, NULL, 'Dermaseptin', NULL, 'DD_K', NULL, NULL, NULL, 6),
(15591, NULL, 'PF02827', NULL, NULL, 'cAMP-dependent protein kinase inhibitor', NULL, 'PKI', NULL, NULL, NULL, 6),
(15592, NULL, 'PF02889', NULL, NULL, 'Sec63 Brl domain', NULL, 'Sec63', NULL, NULL, NULL, 6),
(15593, NULL, 'PF12234', NULL, NULL, 'RAVE protein 1 C terminal', NULL, 'Rav1p_C', NULL, NULL, NULL, 6),
(15594, NULL, 'PF03486', NULL, NULL, 'HI0933-like protein', NULL, 'HI0933_like', NULL, NULL, NULL, 6),
(15595, NULL, 'PF05190', NULL, NULL, 'MutS family domain IV', NULL, 'MutS_IV', NULL, NULL, NULL, 6),
(15596, NULL, 'PF11557', NULL, NULL, 'Solitary outer membrane autotransporter beta-barrel domain', NULL, 'Omp_AT', NULL, NULL, NULL, 6),
(15597, NULL, 'PF09093', NULL, NULL, 'Lyase, catalytic', NULL, 'Lyase_catalyt', NULL, NULL, NULL, 6),
(15598, NULL, 'PF08878', NULL, NULL, 'Domain of unknown function (DUF1837)', NULL, 'DUF1837', NULL, NULL, NULL, 6),
(15599, NULL, 'PF14605', NULL, NULL, 'Nup53/35/40-type RNA recognition motif', NULL, 'Nup35_RRM_2', NULL, NULL, NULL, 6),
(15600, NULL, 'PF04630', NULL, NULL, 'Phage tail tube protein', NULL, 'Phage_TTP_1', NULL, NULL, NULL, 6),
(15601, NULL, 'PF02701', NULL, NULL, 'Dof domain, zinc finger', NULL, 'zf-Dof', NULL, NULL, NULL, 6),
(15602, NULL, 'PF14887', NULL, NULL, 'HMG (high mobility group) box 5', NULL, 'HMG_box_5', NULL, NULL, NULL, 6),
(15603, NULL, 'PF05331', NULL, NULL, 'Protein of unknown function (DUF742)', NULL, 'DUF742', NULL, NULL, NULL, 6),
(15604, NULL, 'PF06701', NULL, NULL, 'Mib_herc2', NULL, 'MIB_HERC2', NULL, NULL, NULL, 6),
(15605, NULL, 'PF09640', NULL, NULL, 'Domain of unknown function (DUF2027)', NULL, 'DUF2027', NULL, NULL, NULL, 6),
(15606, NULL, 'PF13976', NULL, NULL, 'GAG-pre-integrase domain', NULL, 'gag_pre-integrs', NULL, NULL, NULL, 6),
(15607, NULL, 'PF10882', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_5', NULL, NULL, NULL, 6),
(15608, NULL, 'PF12094', NULL, NULL, 'Protein of unknown function (DUF3570)', NULL, 'DUF3570', NULL, NULL, NULL, 6),
(15609, NULL, 'PF14256', NULL, NULL, 'YwiC-like protein', NULL, 'YwiC', NULL, NULL, NULL, 6),
(15610, NULL, 'PF14264', NULL, NULL, 'Glucosyl transferase GtrII', NULL, 'Glucos_trans_II', NULL, NULL, NULL, 6),
(15611, NULL, 'PF03224', NULL, NULL, 'V-ATPase subunit H', NULL, 'V-ATPase_H_N', NULL, NULL, NULL, 6),
(15612, NULL, 'PF11118', NULL, NULL, 'Protein of unknown function (DUF2627)', NULL, 'DUF2627', NULL, NULL, NULL, 6),
(15613, NULL, 'PF05212', NULL, NULL, 'Protein of unknown function (DUF707)', NULL, 'DUF707', NULL, NULL, NULL, 6),
(15614, NULL, 'PF02532', NULL, NULL, 'Photosystem II reaction centre I protein (PSII 4.8 kDa protein)', NULL, 'PsbI', NULL, NULL, NULL, 6),
(15615, NULL, 'PF09506', NULL, NULL, 'Glucosylglycerol-phosphate phosphatase (Salt_tol_Pase)', NULL, 'Salt_tol_Pase', NULL, NULL, NULL, 6),
(15616, NULL, 'PF04147', NULL, NULL, 'Nop14-like family', NULL, 'Nop14', NULL, NULL, NULL, 6),
(15617, NULL, 'PF01369', NULL, NULL, 'Sec7 domain', NULL, 'Sec7', NULL, NULL, NULL, 6),
(15618, NULL, 'PF12066', NULL, NULL, 'SERRATE/Ars2, N-terminal domain', NULL, 'SERRATE_Ars2_N', NULL, NULL, NULL, 6),
(15619, NULL, 'PF09650', NULL, NULL, 'Putative polyhydroxyalkanoic acid system protein (PHA_gran_rgn)', NULL, 'PHA_gran_rgn', NULL, NULL, NULL, 6),
(15620, NULL, 'PF07534', NULL, NULL, 'TLD', NULL, 'TLD', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15621, NULL, 'PF01880', NULL, NULL, 'Desulfoferrodoxin', NULL, 'Desulfoferrodox', NULL, NULL, NULL, 6),
(15622, NULL, 'PF08560', NULL, NULL, 'Protein of unknown function (DUF1757)', NULL, 'DUF1757', NULL, NULL, NULL, 6),
(15623, NULL, 'PF12553', NULL, NULL, 'Protein of unknown function (DUF3742)', NULL, 'DUF3742', NULL, NULL, NULL, 6),
(15624, NULL, 'PF05673', NULL, NULL, 'Protein of unknown function (DUF815)', NULL, 'DUF815', NULL, NULL, NULL, 6),
(15625, NULL, 'PF15206', NULL, NULL, 'FAM209 family', NULL, 'FAM209', NULL, NULL, NULL, 6),
(15626, NULL, 'PF13741', NULL, NULL, 'Mitochondrial ribosomal protein S25', NULL, 'MRP-S25', NULL, NULL, NULL, 6),
(15627, NULL, 'PF06133', NULL, NULL, 'Control of competence regulator ComK, YlbF/YmcA', NULL, 'Com_YlbF', NULL, NULL, NULL, 6),
(15628, NULL, 'PF09639', NULL, NULL, 'YjcQ protein', NULL, 'YjcQ', NULL, NULL, NULL, 6),
(15629, NULL, 'PF18709', NULL, NULL, 'Dynamin-like helical domain', NULL, 'DLP_helical', NULL, NULL, NULL, 6),
(15630, NULL, 'PF06044', NULL, NULL, 'Dam-replacing family', NULL, 'DpnI', NULL, NULL, NULL, 6),
(15631, NULL, 'PF08205', NULL, NULL, 'CD80-like C2-set immunoglobulin domain', NULL, 'C2-set_2', NULL, NULL, NULL, 6),
(15632, NULL, 'PF01345', NULL, NULL, 'Domain of unknown function DUF11', NULL, 'DUF11', NULL, NULL, NULL, 6),
(15633, NULL, 'PF04546', NULL, NULL, 'Sigma-70, non-essential region', NULL, 'Sigma70_ner', NULL, NULL, NULL, 6),
(15634, NULL, 'PF14165', NULL, NULL, 'YtzH-like protein', NULL, 'YtzH', NULL, NULL, NULL, 6),
(15635, NULL, 'PF17100', NULL, NULL, 'N-terminal domain of NWD NACHT-NTPase', NULL, 'NACHT_N', NULL, NULL, NULL, 6),
(15636, NULL, 'PF13005', NULL, NULL, 'zinc-finger binding domain of transposase IS66', NULL, 'zf-IS66', NULL, NULL, NULL, 6),
(15637, NULL, 'PF16723', NULL, NULL, 'Domain of unknown function (DUF5065)', NULL, 'DUF5065', NULL, NULL, NULL, 6),
(15638, NULL, 'PF05336', NULL, NULL, 'L-rhamnose mutarotase', NULL, 'rhaM', NULL, NULL, NULL, 6),
(15639, NULL, 'PF06346', NULL, NULL, 'Formin Homology Region 1', NULL, 'Drf_FH1', NULL, NULL, NULL, 6),
(15640, NULL, 'PF18082', NULL, NULL, 'N-acyltransferase N-terminal domain', NULL, 'NAT_N', NULL, NULL, NULL, 6),
(15641, NULL, 'PF00990', NULL, NULL, 'Diguanylate cyclase, GGDEF domain', NULL, 'GGDEF', NULL, NULL, NULL, 6),
(15642, NULL, 'PF17396', NULL, NULL, 'Domain of unknown function (DUF1611_N) Rossmann-like domain', NULL, 'DUF1611_N', NULL, NULL, NULL, 6),
(15643, NULL, 'PF16055', NULL, NULL, 'Domain of unknown function (DUF4798)', NULL, 'DUF4798', NULL, NULL, NULL, 6),
(15644, NULL, 'PF07024', NULL, NULL, 'ImpE protein', NULL, 'ImpE', NULL, NULL, NULL, 6),
(15645, NULL, 'PF08120', NULL, NULL, 'Tamulustoxin family', NULL, 'Toxin_32', NULL, NULL, NULL, 6),
(15646, NULL, 'PF09696', NULL, NULL, 'Ctf8', NULL, 'Ctf8', NULL, NULL, NULL, 6),
(15647, NULL, 'PF13168', NULL, NULL, 'Poxvirus B22R protein C-terminal', NULL, 'Poxvirus_B22R_C', NULL, NULL, NULL, 6),
(15648, NULL, 'PF17022', NULL, NULL, 'Polar tube protein 2 from Microsporidia', NULL, 'PTP2', NULL, NULL, NULL, 6),
(15649, NULL, 'PF00282', NULL, NULL, 'Pyridoxal-dependent decarboxylase conserved domain', NULL, 'Pyridoxal_deC', NULL, NULL, NULL, 6),
(15650, NULL, 'PF17988', NULL, NULL, 'VEGFR-2 Transmembrane domain', NULL, 'VEGFR-2_TMD', NULL, NULL, NULL, 6),
(15651, NULL, 'PF04603', NULL, NULL, 'Ran-interacting Mog1 protein', NULL, 'Mog1', NULL, NULL, NULL, 6),
(15652, NULL, 'PF09684', NULL, NULL, 'Phage tail protein (Tail_P2_I)', NULL, 'Tail_P2_I', NULL, NULL, NULL, 6),
(15653, NULL, 'PF15574', NULL, NULL, 'Immunity protein 48', NULL, 'Imm48', NULL, NULL, NULL, 6),
(15654, NULL, 'PF06273', NULL, NULL, 'Plant specific eukaryotic initiation factor 4B', NULL, 'eIF-4B', NULL, NULL, NULL, 6),
(15655, NULL, 'PF14558', NULL, NULL, 'ML-like domain', NULL, 'TRP_N', NULL, NULL, NULL, 6),
(15656, NULL, 'PF17216', NULL, NULL, 'Rrp44-like cold shock domain', NULL, 'Rrp44_CSD1', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15657, NULL, 'PF05324', NULL, NULL, 'Sperm antigen HE2', NULL, 'Sperm_Ag_HE2', NULL, NULL, NULL, 6),
(15658, NULL, 'PF03062', NULL, NULL, 'MBOAT, membrane-bound O-acyltransferase family', NULL, 'MBOAT', NULL, NULL, NULL, 6),
(15659, NULL, 'PF07676', NULL, NULL, 'WD40-like Beta Propeller Repeat', NULL, 'PD40', NULL, NULL, NULL, 6),
(15660, NULL, 'PF05101', NULL, NULL, 'Type IV secretory pathway, VirB3-like protein', NULL, 'VirB3', NULL, NULL, NULL, 6),
(15661, NULL, 'PF12692', NULL, NULL, 'S-adenosyl-L-methionine methyltransferase', NULL, 'Methyltransf_17', NULL, NULL, NULL, 6),
(15662, NULL, 'PF01664', NULL, NULL, 'Reovirus viral attachment protein sigma 1', NULL, 'Reo_sigma1', NULL, NULL, NULL, 6),
(15663, NULL, 'PF14808', NULL, NULL, 'TMEM164 family', NULL, 'TMEM164', NULL, NULL, NULL, 6),
(15664, NULL, 'PF05997', NULL, NULL, 'Nucleolar protein,Nop52', NULL, 'Nop52', NULL, NULL, NULL, 6),
(15665, NULL, 'PF17852', NULL, NULL, 'Dynein heavy chain AAA lid domain', NULL, 'Dynein_AAA_lid', NULL, NULL, NULL, 6),
(15666, NULL, 'PF06827', NULL, NULL, 'Zinc finger found in FPG and IleRS', NULL, 'zf-FPG_IleRS', NULL, NULL, NULL, 6),
(15667, NULL, 'PF08366', NULL, NULL, 'LLGL2', NULL, 'LLGL', NULL, NULL, NULL, 6),
(15668, NULL, 'PF04320', NULL, NULL, 'Protein with unknown function (DUF469)', NULL, 'DUF469', NULL, NULL, NULL, 6),
(15669, NULL, 'PF01344', NULL, NULL, 'Kelch motif', NULL, 'Kelch_1', NULL, NULL, NULL, 6),
(15670, NULL, 'PF10606', NULL, NULL, 'Homer-binding domain of metabotropic glutamate receptor', NULL, 'GluR_Homer-bdg', NULL, NULL, NULL, 6),
(15671, NULL, 'PF08596', NULL, NULL, 'Lethal giant larvae(Lgl) like, C-terminal', NULL, 'Lgl_C', NULL, NULL, NULL, 6),
(15672, NULL, 'PF09407', NULL, NULL, 'AbiEi antitoxin C-terminal domain', NULL, 'AbiEi_1', NULL, NULL, NULL, 6),
(15673, NULL, 'PF09738', NULL, NULL, 'LRRFIP family', NULL, 'LRRFIP', NULL, NULL, NULL, 6),
(15674, NULL, 'PF06891', NULL, NULL, 'P2 phage tail completion protein R (GpR)', NULL, 'P2_Phage_GpR', NULL, NULL, NULL, 6),
(15675, NULL, 'PF10408', NULL, NULL, 'Ubiquitin elongating factor core', NULL, 'Ufd2P_core', NULL, NULL, NULL, 6),
(15676, NULL, 'PF15289', NULL, NULL, 'Regulatory factor X-associated C-terminal binding domain', NULL, 'RFXA_RFXANK_bdg', NULL, NULL, NULL, 6),
(15677, NULL, 'PF19223', NULL, NULL, 'Chroparavirus methyltransferase', NULL, 'Chropara_Vmeth', NULL, NULL, NULL, 6),
(15678, NULL, 'PF14552', NULL, NULL, 'Tautomerase enzyme', NULL, 'Tautomerase_2', NULL, NULL, NULL, 6),
(15679, NULL, 'PF03390', NULL, NULL, '2-hydroxycarboxylate transporter family', NULL, '2HCT', NULL, NULL, NULL, 6),
(15680, NULL, 'PF00746', NULL, NULL, 'LPXTG cell wall anchor motif', NULL, 'Gram_pos_anchor', NULL, NULL, NULL, 6),
(15681, NULL, 'PF13028', NULL, NULL, 'Protein of unknown function (DUF3889)', NULL, 'DUF3889', NULL, NULL, NULL, 6),
(15682, NULL, 'PF13564', NULL, NULL, 'DoxX-like family', NULL, 'DoxX_2', NULL, NULL, NULL, 6),
(15683, NULL, 'PF05106', NULL, NULL, 'Phage holin family (Lysis protein S)', NULL, 'Phage_holin_3_1', NULL, NULL, NULL, 6),
(15684, NULL, 'PF08211', NULL, NULL, 'Cytidine and deoxycytidylate deaminase zinc-binding region', NULL, 'dCMP_cyt_deam_2', NULL, NULL, NULL, 6),
(15685, NULL, 'PF11764', NULL, NULL, 'COMPASS (Complex proteins associated with Set1p) component N', NULL, 'N-SET', NULL, NULL, NULL, 6),
(15686, NULL, 'PF06880', NULL, NULL, 'Protein of unknown function (DUF1262)', NULL, 'DUF1262', NULL, NULL, NULL, 6),
(15687, NULL, 'PF10045', NULL, NULL, 'Uncharacterized conserved protein (DUF2280)', NULL, 'DUF2280', NULL, NULL, NULL, 6),
(15688, NULL, 'PF09195', NULL, NULL, 'Restriction endonuclease BglII', NULL, 'Endonuc-BglII', NULL, NULL, NULL, 6),
(15689, NULL, 'PF14936', NULL, NULL, 'Tumour protein p53-inducible protein 11', NULL, 'p53-inducible11', NULL, NULL, NULL, 6),
(15690, NULL, 'PF06946', NULL, NULL, 'Bacteriophage A118-like holin, Hol118', NULL, 'Phage_holin_5_1', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15691, NULL, 'PF14001', NULL, NULL, 'YdfZ protein', NULL, 'YdfZ', NULL, NULL, NULL, 6),
(15692, NULL, 'PF12668', NULL, NULL, 'Protein of unknown function (DUF3791)', NULL, 'DUF3791', NULL, NULL, NULL, 6),
(15693, NULL, 'PF15950', NULL, NULL, 'Putative sperm flagellar membrane protein', NULL, 'DUF4758', NULL, NULL, NULL, 6),
(15694, NULL, 'PF15861', NULL, NULL, 'Partial cleavage stimulation factor domain', NULL, 'partial_CstF', NULL, NULL, NULL, 6),
(15695, NULL, 'PF14141', NULL, NULL, 'YqzM-like protein', NULL, 'YqzM', NULL, NULL, NULL, 6),
(15696, NULL, 'PF08522', NULL, NULL, 'Domain of unknown function (DUF1735)', NULL, 'DUF1735', NULL, NULL, NULL, 6),
(15697, NULL, 'PF13242', NULL, NULL, 'HAD-hyrolase-like', NULL, 'Hydrolase_like', NULL, NULL, NULL, 6),
(15698, NULL, 'PF18280', NULL, NULL, 'Aminoglycoside adenyltransferase C-terminal domain', NULL, 'AadA_C', NULL, NULL, NULL, 6),
(15699, NULL, 'PF15445', NULL, NULL, 'acidic terminal segments, variant surface antigen of PfEMP1', NULL, 'ATS', NULL, NULL, NULL, 6),
(15700, NULL, 'PF16411', NULL, NULL, 'Outer membrane protein SusF_SusE', NULL, 'SusF_SusE', NULL, NULL, NULL, 6),
(15701, NULL, 'PF14912', NULL, NULL, 'Testicular haploid expressed repeat', NULL, 'THEG', NULL, NULL, NULL, 6),
(15702, NULL, 'PF14888', NULL, NULL, 'Penicillin-binding protein Tp47 domain C', NULL, 'PBP-Tp47_c', NULL, NULL, NULL, 6),
(15703, NULL, 'PF02236', NULL, NULL, 'Viral DNA-binding protein, all alpha domain', NULL, 'Viral_DNA_bi', NULL, NULL, NULL, 6),
(15704, NULL, 'PF18943', NULL, NULL, 'Family of unknown function (DUF5690)', NULL, 'DUF5690', NULL, NULL, NULL, 6),
(15705, NULL, 'PF06060', NULL, NULL, 'Pre-pro-megakaryocyte potentiating factor precursor (Mesothelin)', NULL, 'Mesothelin', NULL, NULL, NULL, 6),
(15706, NULL, 'PF09594', NULL, NULL, 'Glycosyltransferase family 87', NULL, 'GT87', NULL, NULL, NULL, 6),
(15707, NULL, 'PF11746', NULL, NULL, 'Protein of unknown function (DUF3303)', NULL, 'DUF3303', NULL, NULL, NULL, 6),
(15708, NULL, 'PF15808', NULL, NULL, 'BCL-6 co-repressor, non-ankyrin-repeat region', NULL, 'BCOR', NULL, NULL, NULL, 6),
(15709, NULL, 'PF11208', NULL, NULL, 'Protein of unknown function (DUF2992)', NULL, 'DUF2992', NULL, NULL, NULL, 6),
(15710, NULL, 'PF14503', NULL, NULL, 'YhfZ C-terminal domain', NULL, 'YhfZ_C', NULL, NULL, NULL, 6),
(15711, NULL, 'PF06964', NULL, NULL, 'Alpha-L-arabinofuranosidase C-terminal domain', NULL, 'Alpha-L-AF_C', NULL, NULL, NULL, 6),
(15712, NULL, 'PF00972', NULL, NULL, 'Flavivirus RNA-directed RNA polymerase', NULL, 'Flavi_NS5', NULL, NULL, NULL, 6),
(15713, NULL, 'PF10494', NULL, NULL, 'Serine-threonine protein kinase 19', NULL, 'Stk19', NULL, NULL, NULL, 6),
(15714, NULL, 'PF09505', NULL, NULL, 'Dimethylamine methyltransferase (Dimeth_PyL)', NULL, 'Dimeth_Pyl', NULL, NULL, NULL, 6),
(15715, NULL, 'PF00233', NULL, NULL, '3''5''-cyclic nucleotide phosphodiesterase', NULL, 'PDEase_I', NULL, NULL, NULL, 6),
(15716, NULL, 'PF18598', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_36', NULL, NULL, NULL, 6),
(15717, NULL, 'PF03870', NULL, NULL, 'RNA polymerase Rpb8', NULL, 'RNA_pol_Rpb8', NULL, NULL, NULL, 6),
(15718, NULL, 'PF05754', NULL, NULL, 'Domain of unknown function (DUF834)', NULL, 'DUF834', NULL, NULL, NULL, 6),
(15719, NULL, 'PF08392', NULL, NULL, 'FAE1/Type III polyketide synthase-like protein', NULL, 'FAE1_CUT1_RppA', NULL, NULL, NULL, 6),
(15720, NULL, 'PF12147', NULL, NULL, 'Putative methyltransferase', NULL, 'Methyltransf_20', NULL, NULL, NULL, 6),
(15721, NULL, 'PF03599', NULL, NULL, 'CO dehydrogenase/acetyl-CoA synthase delta subunit', NULL, 'CdhD', NULL, NULL, NULL, 6),
(15722, NULL, 'PF12455', NULL, NULL, 'Dynein associated protein', NULL, 'Dynactin', NULL, NULL, NULL, 6),
(15723, NULL, 'PF10151', NULL, NULL, 'TMEM214, C-terminal, caspase 4 activator', NULL, 'TMEM214', NULL, NULL, NULL, 6),
(15724, NULL, 'PF08466', NULL, NULL, 'Inward rectifier potassium channel N-terminal', NULL, 'IRK_N', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15725, NULL, 'PF09788', NULL, NULL, 'Transmembrane protein 55A', NULL, 'Tmemb_55A', NULL, NULL, NULL, 6),
(15726, NULL, 'PF00173', NULL, NULL, 'Cytochrome b5-like Heme/Steroid binding domain', NULL, 'Cyt-b5', NULL, NULL, NULL, 6),
(15727, NULL, 'PF03797', NULL, NULL, 'Autotransporter beta-domain', NULL, 'Autotransporter', NULL, NULL, NULL, 6),
(15728, NULL, 'PF01175', NULL, NULL, 'Urocanase Rossmann-like domain', NULL, 'Urocanase', NULL, NULL, NULL, 6),
(15729, NULL, 'PF14698', NULL, NULL, 'Argininosuccinate lyase C-terminal', NULL, 'ASL_C2', NULL, NULL, NULL, 6),
(15730, NULL, 'PF17208', NULL, NULL, 'RNA binding Region', NULL, 'RBR', NULL, NULL, NULL, 6),
(15731, NULL, 'PF15706', NULL, NULL, 'Mature oligodendrocyte transmembrane protein, TMEM132D, C-term', NULL, 'TMEM132D_C', NULL, NULL, NULL, 6),
(15732, NULL, 'PF00880', NULL, NULL, 'Nebulin repeat', NULL, 'Nebulin', NULL, NULL, NULL, 6),
(15733, NULL, 'PF13624', NULL, NULL, 'SurA N-terminal domain', NULL, 'SurA_N_3', NULL, NULL, NULL, 6),
(15734, NULL, 'PF05715', NULL, NULL, 'Piccolo Zn-finger', NULL, 'zf-piccolo', NULL, NULL, NULL, 6),
(15735, NULL, 'PF10920', NULL, NULL, 'Protein of unknown function (DUF2705)', NULL, 'DUF2705', NULL, NULL, NULL, 6),
(15736, NULL, 'PF14516', NULL, NULL, 'AAA-like domain', NULL, 'AAA_35', NULL, NULL, NULL, 6),
(15737, NULL, 'PF13649', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_25', NULL, NULL, NULL, 6),
(15738, NULL, 'PF10649', NULL, NULL, 'Protein of unknown function (DUF2478)', NULL, 'DUF2478', NULL, NULL, NULL, 6),
(15739, NULL, 'PF13227', NULL, NULL, 'Protein of unknown function (DUF4035)', NULL, 'DUF4035', NULL, NULL, NULL, 6),
(15740, NULL, 'PF18282', NULL, NULL, 'RAP80 N-terminal ubiquitin interaction motif', NULL, 'RAP80_UIM', NULL, NULL, NULL, 6),
(15741, NULL, 'PF00346', NULL, NULL, 'Respiratory-chain NADH dehydrogenase, 49 Kd subunit', NULL, 'Complex1_49kDa', NULL, NULL, NULL, 6),
(15742, NULL, 'PF08191', NULL, NULL, 'LRR adjacent', NULL, 'LRR_adjacent', NULL, NULL, NULL, 6),
(15743, NULL, 'PF12255', NULL, NULL, 'Insecticide toxin TcdB middle/C-terminal region', NULL, 'TcdB_toxin_midC', NULL, NULL, NULL, 6),
(15744, NULL, 'PF05978', NULL, NULL, 'Ion channel regulatory protein UNC-93', NULL, 'UNC-93', NULL, NULL, NULL, 6),
(15745, NULL, 'PF14507', NULL, NULL, 'CppA C-terminal', NULL, 'CppA_C', NULL, NULL, NULL, 6),
(15746, NULL, 'PF02941', NULL, NULL, 'Ferredoxin thioredoxin reductase variable alpha chain', NULL, 'FeThRed_A', NULL, NULL, NULL, 6),
(15747, NULL, 'PF08822', NULL, NULL, 'Protein of unknown function (DUF1804)', NULL, 'DUF1804', NULL, NULL, NULL, 6),
(15748, NULL, 'PF07924', NULL, NULL, 'Nuclease A inhibitor-like protein', NULL, 'NuiA', NULL, NULL, NULL, 6),
(15749, NULL, 'PF12635', NULL, NULL, 'Protein of unknown function (DUF3780)', NULL, 'DUF3780', NULL, NULL, NULL, 6),
(15750, NULL, 'PF05859', NULL, NULL, 'Mis12 protein', NULL, 'Mis12', NULL, NULL, NULL, 6),
(15751, NULL, 'PF07207', NULL, NULL, 'Light regulated protein Lir1', NULL, 'Lir1', NULL, NULL, NULL, 6),
(15752, NULL, 'PF04629', NULL, NULL, 'Islet cell autoantigen ICA69, C-terminal domain', NULL, 'ICA69', NULL, NULL, NULL, 6),
(15753, NULL, 'PF12104', NULL, NULL, 'T cell CD4 receptor C terminal region', NULL, 'Tcell_CD4_C', NULL, NULL, NULL, 6),
(15754, NULL, 'PF04879', NULL, NULL, 'Molybdopterin oxidoreductase Fe4S4 domain', NULL, 'Molybdop_Fe4S4', NULL, NULL, NULL, 6),
(15755, NULL, 'PF12252', NULL, NULL, 'Ubiquitinating enzyme SidE/SdeA', NULL, 'SidE', NULL, NULL, NULL, 6),
(15756, NULL, 'PF04724', NULL, NULL, 'Glycosyltransferase family 17', NULL, 'Glyco_transf_17', NULL, NULL, NULL, 6),
(15757, NULL, 'PF03458', NULL, NULL, 'UPF0126 domain', NULL, 'UPF0126', NULL, NULL, NULL, 6),
(15758, NULL, 'PF08722', NULL, NULL, 'TnsA endonuclease N terminal', NULL, 'Tn7_Tnp_TnsA_N', NULL, NULL, NULL, 6),
(15759, NULL, 'PF08146', NULL, NULL, 'BP28CT (NUC211) domain', NULL, 'BP28CT', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15760, NULL, 'PF15791', NULL, NULL, 'Doublesex-and mab-3-related transcription factor C1 and C2', NULL, 'DMRT-like', NULL, NULL, NULL, 6),
(15761, NULL, 'PF17554', NULL, NULL, 'Family of unknown function (DUF5466)', NULL, 'DUF5466', NULL, NULL, NULL, 6),
(15762, NULL, 'PF11626', NULL, NULL, 'TRF2-interacting telomeric protein/Rap1 - C terminal domain', NULL, 'Rap1_C', NULL, NULL, NULL, 6),
(15763, NULL, 'PF05398', NULL, NULL, 'PufQ cytochrome subunit', NULL, 'PufQ', NULL, NULL, NULL, 6),
(15764, NULL, 'PF14847', NULL, NULL, 'Ras-binding domain of Byr2', NULL, 'Ras_bdg_2', NULL, NULL, NULL, 6),
(15765, NULL, 'PF14215', NULL, NULL, 'bHLH-MYC and R2R3-MYB transcription factors N-terminal', NULL, 'bHLH-MYC_N', NULL, NULL, NULL, 6),
(15766, NULL, 'PF02744', NULL, NULL, 'Galactose-1-phosphate uridyl transferase, C-terminal domain', NULL, 'GalP_UDP_tr_C', NULL, NULL, NULL, 6),
(15767, NULL, 'PF05253', NULL, NULL, 'U11-48K-like CHHC zinc finger', NULL, 'zf-U11-48K', NULL, NULL, NULL, 6),
(15768, NULL, 'PF13755', NULL, NULL, 'Sensor N-terminal transmembrane domain', NULL, 'Sensor_TM1', NULL, NULL, NULL, 6),
(15769, NULL, 'PF01161', NULL, NULL, 'Phosphatidylethanolamine-binding protein', NULL, 'PBP', NULL, NULL, NULL, 6),
(15770, NULL, 'PF09955', NULL, NULL, 'Predicted integral membrane protein (DUF2189)', NULL, 'DUF2189', NULL, NULL, NULL, 6),
(15771, NULL, 'PF02590', NULL, NULL, 'Predicted SPOUT methyltransferase', NULL, 'SPOUT_MTase', NULL, NULL, NULL, 6),
(15772, NULL, 'PF16821', NULL, NULL, 'C protein from hendra and measles viruses', NULL, 'C_Hendra', NULL, NULL, NULL, 6),
(15773, NULL, 'PF14768', NULL, NULL, 'Replication protein A interacting C-terminal', NULL, 'RPA_interact_C', NULL, NULL, NULL, 6),
(15774, NULL, 'PF02633', NULL, NULL, 'Creatinine amidohydrolase', NULL, 'Creatininase', NULL, NULL, NULL, 6),
(15775, NULL, 'PF11802', NULL, NULL, 'Centromere-associated protein K', NULL, 'CENP-K', NULL, NULL, NULL, 6),
(15776, NULL, 'PF16815', NULL, NULL, 'Protein HRI1', NULL, 'HRI1', NULL, NULL, NULL, 6),
(15777, NULL, 'PF13820', NULL, NULL, 'Putative nucleic acid-binding region', NULL, 'Nucleic_acid_bd', NULL, NULL, NULL, 6),
(15778, NULL, 'PF07155', NULL, NULL, 'ECF-type riboflavin transporter, S component', NULL, 'ECF-ribofla_trS', NULL, NULL, NULL, 6),
(15779, NULL, 'PF17684', NULL, NULL, 'PH domain of plant-specific actin-binding protein', NULL, 'SCAB-PH', NULL, NULL, NULL, 6),
(15780, NULL, 'PF17137', NULL, NULL, 'Domain of unknown function (DUF5110)', NULL, 'DUF5110', NULL, NULL, NULL, 6),
(15781, NULL, 'PF04640', NULL, NULL, 'PLATZ transcription factor', NULL, 'PLATZ', NULL, NULL, NULL, 6),
(15782, NULL, 'PF00698', NULL, NULL, 'Acyl transferase domain', NULL, 'Acyl_transf_1', NULL, NULL, NULL, 6),
(15783, NULL, 'PF18892', NULL, NULL, 'Family of unknown function (DUF5651)', NULL, 'DUF5651', NULL, NULL, NULL, 6),
(15784, NULL, 'PF08551', NULL, NULL, 'Eukaryotic integral membrane protein (DUF1751)', NULL, 'DUF1751', NULL, NULL, NULL, 6),
(15785, NULL, 'PF14852', NULL, NULL, 'Fis1 N-terminal tetratricopeptide repeat', NULL, 'Fis1_TPR_N', NULL, NULL, NULL, 6),
(15786, NULL, 'PF06772', NULL, NULL, 'Bacterial low temperature requirement A protein (LtrA)', NULL, 'LtrA', NULL, NULL, NULL, 6),
(15787, NULL, 'PF01004', NULL, NULL, 'Flavivirus envelope glycoprotein M', NULL, 'Flavi_M', NULL, NULL, NULL, 6),
(15788, NULL, 'PF04137', NULL, NULL, 'Endoplasmic Reticulum Oxidoreductin 1 (ERO1)', NULL, 'ERO1', NULL, NULL, NULL, 6),
(15789, NULL, 'PF15928', NULL, NULL, 'Domain of unknown function (DUF4746)', NULL, 'DUF4746', NULL, NULL, NULL, 6),
(15790, NULL, 'PF02076', NULL, NULL, 'Pheromone A receptor', NULL, 'STE3', NULL, NULL, NULL, 6),
(15791, NULL, 'PF08290', NULL, NULL, 'Hepatitis core protein, putative zinc finger', NULL, 'Hep_core_N', NULL, NULL, NULL, 6),
(15792, NULL, 'PF14738', NULL, NULL, 'Cilia- and flagella-associated protein 91', NULL, 'CFAP91', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15793, NULL, 'PF04034', NULL, NULL, 'Ribosome biogenesis protein, C-terminal', NULL, 'Ribo_biogen_C', NULL, NULL, NULL, 6),
(15794, NULL, 'PF18106', NULL, NULL, 'Rolling Circle replication initiation protein N-terminal domain', NULL, 'Rol_Rep_N', NULL, NULL, NULL, 6),
(15795, NULL, 'PF09455', NULL, NULL, 'CRISPR-associated (Cas) DxTHG family', NULL, 'Cas_DxTHG', NULL, NULL, NULL, 6),
(15796, NULL, 'PF00686', NULL, NULL, 'Starch binding domain', NULL, 'CBM_20', NULL, NULL, NULL, 6),
(15797, NULL, 'PF15324', NULL, NULL, 'Hedgehog signalling target', NULL, 'TALPID3', NULL, NULL, NULL, 6),
(15798, NULL, 'PF08561', NULL, NULL, 'Mitochondrial ribosomal protein L37', NULL, 'Ribosomal_L37', NULL, NULL, NULL, 6),
(15799, NULL, 'PF11955', NULL, NULL, 'Plant organelle RNA recognition domain', NULL, 'PORR', NULL, NULL, NULL, 6),
(15800, NULL, 'PF18122', NULL, NULL, 'Anaphase-promoting complex sub unit 1 C-terminal domain', NULL, 'APC1_C', NULL, NULL, NULL, 6),
(15801, NULL, 'PF01543', NULL, NULL, 'Hepatitis C virus capsid protein', NULL, 'HCV_capsid', NULL, NULL, NULL, 6),
(15802, NULL, 'PF11866', NULL, NULL, 'Protein of unknown function (DUF3386)', NULL, 'DUF3386', NULL, NULL, NULL, 6),
(15803, NULL, 'PF05298', NULL, NULL, 'Bombinin', NULL, 'Bombinin', NULL, NULL, NULL, 6),
(15804, NULL, 'PF03385', NULL, NULL, 'STELLO glycosyltransferases', NULL, 'STELLO', NULL, NULL, NULL, 6),
(15805, NULL, 'PF04800', NULL, NULL, 'ETC complex I subunit conserved region', NULL, 'ETC_C1_NDUFA4', NULL, NULL, NULL, 6),
(15806, NULL, 'PF17047', NULL, NULL, 'Synaptotagmin-like mitochondrial-lipid-binding domain', NULL, 'SMP_LBD', NULL, NULL, NULL, 6),
(15807, NULL, 'PF19086', NULL, NULL, 'Terpene synthase family 2, C-terminal metal binding', NULL, 'Terpene_syn_C_2', NULL, NULL, NULL, 6),
(15808, NULL, 'PF06041', NULL, NULL, 'Bacterial protein of unknown function (DUF924)', NULL, 'DUF924', NULL, NULL, NULL, 6),
(15809, NULL, 'PF09401', NULL, NULL, 'Coronavirus RNA synthesis protein NSP10', NULL, 'CoV_NSP10', NULL, NULL, NULL, 6),
(15810, NULL, 'PF16312', NULL, NULL, 'Coiled-coil region of Oberon', NULL, 'Oberon_cc', NULL, NULL, NULL, 6),
(15811, NULL, 'PF13216', NULL, NULL, 'Protein of unknown function (DUF4024)', NULL, 'DUF4024', NULL, NULL, NULL, 6),
(15812, NULL, 'PF11427', NULL, NULL, 'Tc3 transposase', NULL, 'HTH_Tnp_Tc3_1', NULL, NULL, NULL, 6),
(15813, NULL, 'PF18808', NULL, NULL, 'Importin repeat', NULL, 'Importin_rep_4', NULL, NULL, NULL, 6),
(15814, NULL, 'PF16882', NULL, NULL, 'Domain of unknown function (DUF5079)', NULL, 'DUF5079', NULL, NULL, NULL, 6),
(15815, NULL, 'PF10817', NULL, NULL, 'Protein of unknown function (DUF2563)', NULL, 'DUF2563', NULL, NULL, NULL, 6),
(15816, NULL, 'PF14658', NULL, NULL, 'EF-hand domain', NULL, 'EF-hand_9', NULL, NULL, NULL, 6),
(15817, NULL, 'PF05477', NULL, NULL, 'Surfeit locus protein 2 (SURF2)', NULL, 'SURF2', NULL, NULL, NULL, 6),
(15818, NULL, 'PF09246', NULL, NULL, 'PHAT', NULL, 'PHAT', NULL, NULL, NULL, 6),
(15819, NULL, 'PF06793', NULL, NULL, 'Uncharacterised protein family (UPF0262)', NULL, 'UPF0262', NULL, NULL, NULL, 6),
(15820, NULL, 'PF05954', NULL, NULL, 'Phage late control gene D protein (GPD)', NULL, 'Phage_GPD', NULL, NULL, NULL, 6),
(15821, NULL, 'PF17320', NULL, NULL, 'Family of unknown function (DUF5363)', NULL, 'DUF5363', NULL, NULL, NULL, 6),
(15822, NULL, 'PF02298', NULL, NULL, 'Plastocyanin-like domain', NULL, 'Cu_bind_like', NULL, NULL, NULL, 6),
(15823, NULL, 'PF11960', NULL, NULL, 'Domain of unknown function (DUF3474)', NULL, 'DUF3474', NULL, NULL, NULL, 6),
(15824, NULL, 'PF13870', NULL, NULL, 'Domain of unknown function (DUF4201)', NULL, 'DUF4201', NULL, NULL, NULL, 6),
(15825, NULL, 'PF11721', NULL, NULL, 'Malectin domain', NULL, 'Malectin', NULL, NULL, NULL, 6),
(15826, NULL, 'PF04425', NULL, NULL, 'Bul1 N terminus', NULL, 'Bul1_N', NULL, NULL, NULL, 6),
(15827, NULL, 'PF17942', NULL, NULL, 'Morc6 ribosomal protein S5 domain 2-like', NULL, 'Morc6_S5', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15828, NULL, 'PF12062', NULL, NULL, 'heparan sulfate-N-deacetylase', NULL, 'HSNSD', NULL, NULL, NULL, 6),
(15829, NULL, 'PF11056', NULL, NULL, 'Recombination, repair and ssDNA binding protein UvsY', NULL, 'UvsY', NULL, NULL, NULL, 6),
(15830, NULL, 'PF05546', NULL, NULL, 'She9 / Mdm33 family', NULL, 'She9_MDM33', NULL, NULL, NULL, 6),
(15831, NULL, 'PF12809', NULL, NULL, 'Eukaryotic metallothionein', NULL, 'Metallothi_Euk2', NULL, NULL, NULL, 6),
(15832, NULL, 'PF12732', NULL, NULL, 'YtxH-like protein', NULL, 'YtxH', NULL, NULL, NULL, 6),
(15833, NULL, 'PF10540', NULL, NULL, 'Munc13 (mammalian uncoordinated) homology domain', NULL, 'Membr_traf_MHD', NULL, NULL, NULL, 6),
(15834, NULL, 'PF01375', NULL, NULL, 'Heat-labile enterotoxin alpha chain', NULL, 'Enterotoxin_a', NULL, NULL, NULL, 6),
(15835, NULL, 'PF04558', NULL, NULL, 'Glutaminyl-tRNA synthetase, non-specific RNA binding region part 1', NULL, 'tRNA_synt_1c_R1', NULL, NULL, NULL, 6),
(15836, NULL, 'PF02707', NULL, NULL, 'Major Outer Sheath Protein N-terminal region', NULL, 'MOSP_N', NULL, NULL, NULL, 6),
(15837, NULL, 'PF02780', NULL, NULL, 'Transketolase, C-terminal domain', NULL, 'Transketolase_C', NULL, NULL, NULL, 6),
(15838, NULL, 'PF09891', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2118)', NULL, 'DUF2118', NULL, NULL, NULL, 6),
(15839, NULL, 'PF10627', NULL, NULL, 'Curli assembly protein CsgE', NULL, 'CsgE', NULL, NULL, NULL, 6),
(15840, NULL, 'PF06605', NULL, NULL, 'Prophage endopeptidase tail', NULL, 'Prophage_tail', NULL, NULL, NULL, 6),
(15841, NULL, 'PF14220', NULL, NULL, 'Domain of unknown function (DUF4329)', NULL, 'DUF4329', NULL, NULL, NULL, 6),
(15842, NULL, 'PF12030', NULL, NULL, 'Domain of unknown function (DUF3517)', NULL, 'DUF3517', NULL, NULL, NULL, 6),
(15843, NULL, 'PF09916', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2145)', NULL, 'DUF2145', NULL, NULL, NULL, 6),
(15844, NULL, 'PF17314', NULL, NULL, 'Family of unknown function (DUF5360)', NULL, 'DUF5360', NULL, NULL, NULL, 6),
(15845, NULL, 'PF06519', NULL, NULL, 'TolA C-terminal', NULL, 'TolA', NULL, NULL, NULL, 6),
(15846, NULL, 'PF04219', NULL, NULL, 'Protein of unknown function, DUF', NULL, 'DUF413', NULL, NULL, NULL, 6),
(15847, NULL, 'PF01531', NULL, NULL, 'Glycosyl transferase family 11', NULL, 'Glyco_transf_11', NULL, NULL, NULL, 6),
(15848, NULL, 'PF05683', NULL, NULL, 'Fumarase C-terminus', NULL, 'Fumerase_C', NULL, NULL, NULL, 6),
(15849, NULL, 'PF14217', NULL, NULL, 'Domain of unknown function (DUF4327)', NULL, 'DUF4327', NULL, NULL, NULL, 6),
(15850, NULL, 'PF02251', NULL, NULL, 'Proteasome activator pa28 alpha subunit', NULL, 'PA28_alpha', NULL, NULL, NULL, 6),
(15851, NULL, 'PF17701', NULL, NULL, 'Family of unknown function (DUF5547)', NULL, 'DUF5547', NULL, NULL, NULL, 6),
(15852, NULL, 'PF13342', NULL, NULL, 'C-terminal repeat of topoisomerase', NULL, 'Toprim_Crpt', NULL, NULL, NULL, 6),
(15853, NULL, 'PF14375', NULL, NULL, 'Cysteine-rich CWC', NULL, 'Cys_rich_CWC', NULL, NULL, NULL, 6),
(15854, NULL, 'PF11449', NULL, NULL, 'Putative, 10TM heavy-metal exporter', NULL, 'ArsP_2', NULL, NULL, NULL, 6),
(15855, NULL, 'PF15404', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_4', NULL, NULL, NULL, 6),
(15856, NULL, 'PF11210', NULL, NULL, 'Protein of unknown function (DUF2996)', NULL, 'DUF2996', NULL, NULL, NULL, 6),
(15857, NULL, 'PF04896', NULL, NULL, 'Ammonia monooxygenase/methane monooxygenase, subunit C', NULL, 'AmoC', NULL, NULL, NULL, 6),
(15858, NULL, 'PF11090', NULL, NULL, 'Protein of unknown function (DUF2833)', NULL, 'DUF2833', NULL, NULL, NULL, 6),
(15859, NULL, 'PF06070', NULL, NULL, 'Herpesvirus large structural phosphoprotein UL32', NULL, 'Herpes_UL32', NULL, NULL, NULL, 6),
(15860, NULL, 'PF18537', NULL, NULL, 'Carbon monoxide dehydrogenase subunit alpha N-terminal domain', NULL, 'CODH_A_N', NULL, NULL, NULL, 6),
(15861, NULL, 'PF17349', NULL, NULL, 'Family of unknown function (DUF5378)', NULL, 'DUF5378', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15862, NULL, 'PF07127', NULL, NULL, 'Late nodulin protein', NULL, 'Nodulin_late', NULL, NULL, NULL, 6),
(15863, NULL, 'PF12567', NULL, NULL, 'Leukocyte receptor CD45', NULL, 'CD45', NULL, NULL, NULL, 6),
(15864, NULL, 'PF14116', NULL, NULL, 'YyzF-like protein', NULL, 'YyzF', NULL, NULL, NULL, 6),
(15865, NULL, 'PF16042', NULL, NULL, 'Domain of unknown function (DUF4794)', NULL, 'DUF4794', NULL, NULL, NULL, 6),
(15866, NULL, 'PF02800', NULL, NULL, 'Glyceraldehyde 3-phosphate dehydrogenase, C-terminal domain', NULL, 'Gp_dh_C', NULL, NULL, NULL, 6),
(15867, NULL, 'PF16613', NULL, NULL, 'Unstructured region of RGS12', NULL, 'RGS12_us1', NULL, NULL, NULL, 6),
(15868, NULL, 'PF11618', NULL, NULL, 'First C2 domain of RPGR-interacting protein 1', NULL, 'C2-C2_1', NULL, NULL, NULL, 6),
(15869, NULL, 'PF04208', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase, subunit A', NULL, 'MtrA', NULL, NULL, NULL, 6),
(15870, NULL, 'PF05239', NULL, NULL, 'PRC-barrel domain', NULL, 'PRC', NULL, NULL, NULL, 6),
(15871, NULL, 'PF03798', NULL, NULL, 'TLC domain', NULL, 'TRAM_LAG1_CLN8', NULL, NULL, NULL, 6),
(15872, NULL, 'PF13197', NULL, NULL, 'Protein of unknown function (DUF4013)', NULL, 'DUF4013', NULL, NULL, NULL, 6),
(15873, NULL, 'PF12812', NULL, NULL, 'PDZ-like domain', NULL, 'PDZ_1', NULL, NULL, NULL, 6),
(15874, NULL, 'PF04895', NULL, NULL, 'Archaeal Nre, C-terminal', NULL, 'Nre_C', NULL, NULL, NULL, 6),
(15875, NULL, 'PF18419', NULL, NULL, 'ATP-grasp-like domain', NULL, 'ATP-grasp_6', NULL, NULL, NULL, 6),
(15876, NULL, 'PF02910', NULL, NULL, 'Fumarate reductase flavoprotein C-term', NULL, 'Succ_DH_flav_C', NULL, NULL, NULL, 6),
(15877, NULL, 'PF16478', NULL, NULL, 'Domain of unknown function (DUF5055)', NULL, 'DUF5055', NULL, NULL, NULL, 6),
(15878, NULL, 'PF12560', NULL, NULL, 'RAG1 importin binding', NULL, 'RAG1_imp_bd', NULL, NULL, NULL, 6),
(15879, NULL, 'PF01534', NULL, NULL, 'Frizzled/Smoothened family membrane region', NULL, 'Frizzled', NULL, NULL, NULL, 6),
(15880, NULL, 'PF01298', NULL, NULL, 'C-lobe and N-lobe beta barrels of Tf-binding protein B', NULL, 'TbpB_B_D', NULL, NULL, NULL, 6),
(15881, NULL, 'PF14764', NULL, NULL, 'AP-5 complex subunit, vesicle trafficking', NULL, 'SPG48', NULL, NULL, NULL, 6),
(15882, NULL, 'PF11565', NULL, NULL, 'Alpha helical Porin B', NULL, 'PorB', NULL, NULL, NULL, 6),
(15883, NULL, 'PF16625', NULL, NULL, 'Unstructured linking region I-set and fnIII on Brother of CDO', NULL, 'ISET-FN3_linker', NULL, NULL, NULL, 6),
(15884, NULL, 'PF08656', NULL, NULL, 'DASH complex subunit Dad3', NULL, 'DASH_Dad3', NULL, NULL, NULL, 6),
(15885, NULL, 'PF09973', NULL, NULL, 'Predicted membrane protein (DUF2208)', NULL, 'DUF2208', NULL, NULL, NULL, 6),
(15886, NULL, 'PF07953', NULL, NULL, 'Clostridium neurotoxin, N-terminal receptor binding', NULL, 'Toxin_R_bind_N', NULL, NULL, NULL, 6),
(15887, NULL, 'PF04671', NULL, NULL, 'Erythrocyte membrane-associated giant protein antigen 332', NULL, 'Ag332', NULL, NULL, NULL, 6),
(15888, NULL, 'PF00419', NULL, NULL, 'Fimbrial protein', NULL, 'Fimbrial', NULL, NULL, NULL, 6),
(15889, NULL, 'PF06149', NULL, NULL, 'Protein of unknown function (DUF969)', NULL, 'DUF969', NULL, NULL, NULL, 6),
(15890, NULL, 'PF15439', NULL, NULL, 'Neuronal tyrosine-phosphorylated phosphoinositide-3-kinase adapter', NULL, 'NYAP_N', NULL, NULL, NULL, 6),
(15891, NULL, 'PF06587', NULL, NULL, 'Protein of unknown function (DUF1137)', NULL, 'DUF1137', NULL, NULL, NULL, 6),
(15892, NULL, 'PF09266', NULL, NULL, 'Viral DNA topoisomerase I, N-terminal', NULL, 'VirDNA-topo-I_N', NULL, NULL, NULL, 6),
(15893, NULL, 'PF07156', NULL, NULL, 'Prenylcysteine lyase', NULL, 'Prenylcys_lyase', NULL, NULL, NULL, 6),
(15894, NULL, 'PF11008', NULL, NULL, 'Protein of unknown function (DUF2846)', NULL, 'DUF2846', NULL, NULL, NULL, 6),
(15895, NULL, 'PF17739', NULL, NULL, 'Family of unknown function (DUF5576)', NULL, 'DUF5576', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15896, NULL, 'PF02291', NULL, NULL, 'Transcription initiation factor IID, 31kD subunit', NULL, 'TFIID-31kDa', NULL, NULL, NULL, 6),
(15897, NULL, 'PF01333', NULL, NULL, 'Apocytochrome F, C-terminal', NULL, 'Apocytochr_F_C', NULL, NULL, NULL, 6),
(15898, NULL, 'PF11361', NULL, NULL, 'Protein of unknown function (DUF3159)', NULL, 'DUF3159', NULL, NULL, NULL, 6),
(15899, NULL, 'PF01318', NULL, NULL, 'Bromovirus coat protein', NULL, 'Bromo_coat', NULL, NULL, NULL, 6),
(15900, NULL, 'PF16173', NULL, NULL, 'Domain of unknown function (DUF4874)', NULL, 'DUF4874', NULL, NULL, NULL, 6),
(15901, NULL, 'PF14407', NULL, NULL, 'Ribosomally synthesized peptide prototyped by Frankia Franean1_4349.', NULL, 'Frankia_peptide', NULL, NULL, NULL, 6),
(15902, NULL, 'PF09237', NULL, NULL, 'GAGA factor', NULL, 'GAGA', NULL, NULL, NULL, 6),
(15903, NULL, 'PF17994', NULL, NULL, 'Galactofuranosyltransferase 2 N-terminal', NULL, 'Glft2_N', NULL, NULL, NULL, 6),
(15904, NULL, 'PF13822', NULL, NULL, 'Acyl-CoA carboxylase epsilon subunit', NULL, 'ACC_epsilon', NULL, NULL, NULL, 6),
(15905, NULL, 'PF17734', NULL, NULL, 'Spermatogenesis-associated protein 46', NULL, 'Spt46', NULL, NULL, NULL, 6),
(15906, NULL, 'PF03596', NULL, NULL, 'Cadmium resistance transporter', NULL, 'Cad', NULL, NULL, NULL, 6),
(15907, NULL, 'PF06591', NULL, NULL, 'T4-like phage nuclear disruption protein (Ndd)', NULL, 'Phage_T4_Ndd', NULL, NULL, NULL, 6),
(15908, NULL, 'PF08098', NULL, NULL, 'Anemonia sulcata toxin III family', NULL, 'ATX_III', NULL, NULL, NULL, 6),
(15909, NULL, 'PF02671', NULL, NULL, 'Paired amphipathic helix repeat', NULL, 'PAH', NULL, NULL, NULL, 6),
(15910, NULL, 'PF08524', NULL, NULL, 'rRNA processing', NULL, 'rRNA_processing', NULL, NULL, NULL, 6),
(15911, NULL, 'PF16243', NULL, NULL, 'Sm_like domain', NULL, 'Sm_like', NULL, NULL, NULL, 6),
(15912, NULL, 'PF09071', NULL, NULL, 'Alpha-amylase, C terminal', NULL, 'Alpha-amyl_C', NULL, NULL, NULL, 6),
(15913, NULL, 'PF17995', NULL, NULL, 'Endo-alpha-N-acetylgalactosaminidase N-terminal', NULL, 'GH101_N', NULL, NULL, NULL, 6),
(15914, NULL, 'PF19118', NULL, NULL, 'Family of unknown function (DUF5802)', NULL, 'DUF5802', NULL, NULL, NULL, 6),
(15915, NULL, 'PF18011', NULL, NULL, 'C-terminal domain found in long catalases', NULL, 'Catalase_C', NULL, NULL, NULL, 6),
(15916, NULL, 'PF15432', NULL, NULL, 'Accessory Sec secretory system ASP3', NULL, 'Sec-ASP3', NULL, NULL, NULL, 6),
(15917, NULL, 'PF14556', NULL, NULL, 'AF2331-like', NULL, 'AF2331-like', NULL, NULL, NULL, 6),
(15918, NULL, 'PF00328', NULL, NULL, 'Histidine phosphatase superfamily (branch 2)', NULL, 'His_Phos_2', NULL, NULL, NULL, 6),
(15919, NULL, 'PF14949', NULL, NULL, 'ARF7 effector protein C-terminus', NULL, 'ARF7EP_C', NULL, NULL, NULL, 6),
(15920, NULL, 'PF01981', NULL, NULL, 'Peptidyl-tRNA hydrolase PTH2', NULL, 'PTH2', NULL, NULL, NULL, 6),
(15921, NULL, 'PF01028', NULL, NULL, 'Eukaryotic DNA topoisomerase I, catalytic core', NULL, 'Topoisom_I', NULL, NULL, NULL, 6),
(15922, NULL, 'PF10533', NULL, NULL, 'Plant zinc cluster domain', NULL, 'Plant_zn_clust', NULL, NULL, NULL, 6),
(15923, NULL, 'PF03361', NULL, NULL, 'Herpes virus intermediate/early protein 2/3', NULL, 'Herpes_IE2_3', NULL, NULL, NULL, 6),
(15924, NULL, 'PF04644', NULL, NULL, 'Motilin/ghrelin', NULL, 'Motilin_ghrelin', NULL, NULL, NULL, 6),
(15925, NULL, 'PF03928', NULL, NULL, 'Haem-degrading', NULL, 'Haem_degrading', NULL, NULL, NULL, 6),
(15926, NULL, 'PF02979', NULL, NULL, 'Nitrile hydratase, alpha chain', NULL, 'NHase_alpha', NULL, NULL, NULL, 6),
(15927, NULL, 'PF17921', NULL, NULL, 'Integrase zinc binding domain', NULL, 'Integrase_H2C2', NULL, NULL, NULL, 6),
(15928, NULL, 'PF18180', NULL, NULL, 'SLOG cluster3 family', NULL, 'LD_cluster3', NULL, NULL, NULL, 6),
(15929, NULL, 'PF09635', NULL, NULL, 'MetRS-N binding domain', NULL, 'MetRS-N', NULL, NULL, NULL, 6),
(15930, NULL, 'PF15508', NULL, NULL, 'beta subunit of N-acylethanolamine-hydrolyzing acid amidase', NULL, 'NAAA-beta', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15931, NULL, 'PF04949', NULL, NULL, 'Transcriptional activator', NULL, 'Transcrip_act', NULL, NULL, NULL, 6),
(15932, NULL, 'PF13888', NULL, NULL, 'Myelin gene regulatory factor C-terminal domain 2', NULL, 'MRF_C2', NULL, NULL, NULL, 6),
(15933, NULL, 'PF14926', NULL, NULL, 'Domain of unknown function (DUF4498)', NULL, 'DUF4498', NULL, NULL, NULL, 6),
(15934, NULL, 'PF03219', NULL, NULL, 'TLC ATP/ADP transporter', NULL, 'TLC', NULL, NULL, NULL, 6),
(15935, NULL, 'PF05772', NULL, NULL, 'NinB protein', NULL, 'NinB', NULL, NULL, NULL, 6),
(15936, NULL, 'PF13786', NULL, NULL, 'Domain of unknown function (DUF4179)', NULL, 'DUF4179', NULL, NULL, NULL, 6),
(15937, NULL, 'PF07761', NULL, NULL, 'Protein of unknown function (DUF1617)', NULL, 'DUF1617', NULL, NULL, NULL, 6),
(15938, NULL, 'PF04885', NULL, NULL, 'Stigma-specific protein, Stig1', NULL, 'Stig1', NULL, NULL, NULL, 6),
(15939, NULL, 'PF01234', NULL, NULL, 'NNMT/PNMT/TEMT family', NULL, 'NNMT_PNMT_TEMT', NULL, NULL, NULL, 6),
(15940, NULL, 'PF17516', NULL, NULL, 'ProQ C-terminal domain', NULL, 'ProQ_C', NULL, NULL, NULL, 6),
(15941, NULL, 'PF16615', NULL, NULL, 'Unstructured region one on RhoGEF 6 and 7', NULL, 'RhoGEF67_u1', NULL, NULL, NULL, 6),
(15942, NULL, 'PF15491', NULL, NULL, 'CST, telomere maintenance, complex subunit CTC1', NULL, 'CTC1_2', NULL, NULL, NULL, 6),
(15943, NULL, 'PF13099', NULL, NULL, 'Domain of unknown function (DUF3944)', NULL, 'DUF3944', NULL, NULL, NULL, 6),
(15944, NULL, 'PF05952', NULL, NULL, 'Bacillus competence pheromone ComX', NULL, 'ComX', NULL, NULL, NULL, 6),
(15945, NULL, 'PF13830', NULL, NULL, 'Domain of unknown function (DUF4192)', NULL, 'DUF4192', NULL, NULL, NULL, 6),
(15946, NULL, 'PF15371', NULL, NULL, 'Domain of unknown function (DUF4599)', NULL, 'DUF4599', NULL, NULL, NULL, 6),
(15947, NULL, 'PF11079', NULL, NULL, 'Bacterial protein YqhG of unknown function', NULL, 'YqhG', NULL, NULL, NULL, 6),
(15948, NULL, 'PF06506', NULL, NULL, 'Propionate catabolism activator', NULL, 'PrpR_N', NULL, NULL, NULL, 6),
(15949, NULL, 'PF12890', NULL, NULL, 'Dihydro-orotase-like', NULL, 'DHOase', NULL, NULL, NULL, 6),
(15950, NULL, 'PF09235', NULL, NULL, 'Ste50p, sterile alpha motif', NULL, 'SAM_Ste50p', NULL, NULL, NULL, 6),
(15951, NULL, 'PF15633', NULL, NULL, 'HYD1 signature containing ADP-ribosyltransferase', NULL, 'Tox-ART-HYD1', NULL, NULL, NULL, 6),
(15952, NULL, 'PF13752', NULL, NULL, 'Domain of unknown function (DUF4165)', NULL, 'DUF4165', NULL, NULL, NULL, 6),
(15953, NULL, 'PF13209', NULL, NULL, 'Protein of unknown function (DUF4017)', NULL, 'DUF4017', NULL, NULL, NULL, 6),
(15954, NULL, 'PF03152', NULL, NULL, 'Ubiquitin fusion degradation protein UFD1', NULL, 'UFD1', NULL, NULL, NULL, 6),
(15955, NULL, 'PF17040', NULL, NULL, 'Cellulose-complementing protein A', NULL, 'CBP_CCPA', NULL, NULL, NULL, 6),
(15956, NULL, 'PF06712', NULL, NULL, 'Protein of unknown function (DUF1199)', NULL, 'DUF1199', NULL, NULL, NULL, 6),
(15957, NULL, 'PF14451', NULL, NULL, 'Mut7-C ubiquitin', NULL, 'Ub-Mut7C', NULL, NULL, NULL, 6),
(15958, NULL, 'PF06253', NULL, NULL, 'Trimethylamine methyltransferase (MTTB)', NULL, 'MTTB', NULL, NULL, NULL, 6),
(15959, NULL, 'PF11243', NULL, NULL, 'Protein of unknown function (DUF3045)', NULL, 'DUF3045', NULL, NULL, NULL, 6),
(15960, NULL, 'PF07543', NULL, NULL, 'Protein trafficking PGA2', NULL, 'PGA2', NULL, NULL, NULL, 6),
(15961, NULL, 'PF15145', NULL, NULL, 'Domain of unknown function (DUF4577)', NULL, 'DUF4577', NULL, NULL, NULL, 6),
(15962, NULL, 'PF03726', NULL, NULL, 'Polyribonucleotide nucleotidyltransferase, RNA binding domain', NULL, 'PNPase', NULL, NULL, NULL, 6),
(15963, NULL, 'PF12681', NULL, NULL, 'Glyoxalase-like domain', NULL, 'Glyoxalase_2', NULL, NULL, NULL, 6),
(15964, NULL, 'PF05697', NULL, NULL, 'Bacterial trigger factor protein (TF)', NULL, 'Trigger_N', NULL, NULL, NULL, 6),
(15965, NULL, 'PF13676', NULL, NULL, 'TIR domain', NULL, 'TIR_2', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(15966, NULL, 'PF15707', NULL, NULL, 'Mitochondrial coiled-coil domain protein 1', NULL, 'MCCD1', NULL, NULL, NULL, 6),
(15967, NULL, 'PF08585', NULL, NULL, 'RecQ mediated genome instability protein', NULL, 'RMI1_N', NULL, NULL, NULL, 6),
(15968, NULL, 'PF07812', NULL, NULL, 'TfuA-like protein', NULL, 'TfuA', NULL, NULL, NULL, 6),
(15969, NULL, 'PF09368', NULL, NULL, 'Sas10 C-terminal domain', NULL, 'Sas10', NULL, NULL, NULL, 6),
(15970, NULL, 'PF12992', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3876)', NULL, 'DUF3876', NULL, NULL, NULL, 6),
(15971, NULL, 'PF01829', NULL, NULL, 'Peptidase A6 family', NULL, 'Peptidase_A6', NULL, NULL, NULL, 6),
(15972, NULL, 'PF14319', NULL, NULL, 'Transposase zinc-binding domain', NULL, 'Zn_Tnp_IS91', NULL, NULL, NULL, 6),
(15973, NULL, 'PF10651', NULL, NULL, 'BppU N-terminal domain', NULL, 'BppU_N', NULL, NULL, NULL, 6),
(15974, NULL, 'PF06528', NULL, NULL, 'Phage P2 GpE', NULL, 'Phage_P2_GpE', NULL, NULL, NULL, 6),
(15975, NULL, 'PF07345', NULL, NULL, 'ATPase inhibitor subunit zeta', NULL, 'DUF1476', NULL, NULL, NULL, 6),
(15976, NULL, 'PF01267', NULL, NULL, 'F-actin capping protein alpha subunit', NULL, 'F-actin_cap_A', NULL, NULL, NULL, 6),
(15977, NULL, 'PF15238', NULL, NULL, 'FAM181', NULL, 'FAM181', NULL, NULL, NULL, 6),
(15978, NULL, 'PF03303', NULL, NULL, 'WTF protein', NULL, 'WTF', NULL, NULL, NULL, 6),
(15979, NULL, 'PF05525', NULL, NULL, 'Branched-chain amino acid transport protein', NULL, 'Branch_AA_trans', NULL, NULL, NULL, 6),
(15980, NULL, 'PF09443', NULL, NULL, 'Cripto_Frl-1_Cryptic (CFC)', NULL, 'CFC', NULL, NULL, NULL, 6),
(15981, NULL, 'PF00187', NULL, NULL, 'Chitin recognition protein', NULL, 'Chitin_bind_1', NULL, NULL, NULL, 6),
(15982, NULL, 'PF17234', NULL, NULL, 'Mitochondrial peculiar membrane protein 1', NULL, 'MPM1', NULL, NULL, NULL, 6),
(15983, NULL, 'PF03557', NULL, NULL, 'Bunyavirus glycoprotein G1', NULL, 'Bunya_G1', NULL, NULL, NULL, 6),
(15984, NULL, 'PF02058', NULL, NULL, 'Guanylin precursor', NULL, 'Guanylin', NULL, NULL, NULL, 6),
(15985, NULL, 'PF13445', NULL, NULL, 'RING-type zinc-finger', NULL, 'zf-RING_UBOX', NULL, NULL, NULL, 6),
(15986, NULL, 'PF11224', NULL, NULL, 'Protein of unknown function (DUF3023)', NULL, 'DUF3023', NULL, NULL, NULL, 6),
(15987, NULL, 'PF12331', NULL, NULL, 'Protein of unknown function (DUF3636)', NULL, 'DUF3636', NULL, NULL, NULL, 6),
(15988, NULL, 'PF15485', NULL, NULL, 'Domain of unknown function (DUF4643)', NULL, 'DUF4643', NULL, NULL, NULL, 6),
(15989, NULL, 'PF11615', NULL, NULL, 'CCR4-associated factor 4', NULL, 'Caf4', NULL, NULL, NULL, 6),
(15990, NULL, 'PF17308', NULL, NULL, 'Pro-corazonin', NULL, 'Corazonin', NULL, NULL, NULL, 6),
(15991, NULL, 'PF14672', NULL, NULL, 'Late cornified envelope', NULL, 'LCE', NULL, NULL, NULL, 6),
(15992, NULL, 'PF08493', NULL, NULL, 'Aflatoxin regulatory protein', NULL, 'AflR', NULL, NULL, NULL, 6),
(15993, NULL, 'PF08023', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial_2', NULL, NULL, NULL, 6),
(15994, NULL, 'PF09909', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2138)', NULL, 'DUF2138', NULL, NULL, NULL, 6),
(15995, NULL, 'PF07067', NULL, NULL, 'Protein of unknown function (DUF1340)', NULL, 'DUF1340', NULL, NULL, NULL, 6),
(15996, NULL, 'PF16030', NULL, NULL, 'Serine protease gd N-terminus', NULL, 'GD_N', NULL, NULL, NULL, 6),
(15997, NULL, 'PF09110', NULL, NULL, 'HAND', NULL, 'HAND', NULL, NULL, NULL, 6),
(15998, NULL, 'PF11275', NULL, NULL, 'Protein of unknown function (DUF3077)', NULL, 'DUF3077', NULL, NULL, NULL, 6),
(15999, NULL, 'PF00804', NULL, NULL, 'Syntaxin', NULL, 'Syntaxin', NULL, NULL, NULL, 6),
(16000, NULL, 'PF08088', NULL, NULL, 'Conotoxin I-superfamily', NULL, 'Toxin_19', NULL, NULL, NULL, 6),
(16001, NULL, 'PF14454', NULL, NULL, 'Prokaryotic Ubiquitin', NULL, 'Prok_Ub', NULL, NULL, NULL, 6),
(16002, NULL, 'PF03372', NULL, NULL, 'Endonuclease/Exonuclease/phosphatase family', NULL, 'Exo_endo_phos', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16003, NULL, 'PF14026', NULL, NULL, 'Protein of unknown function (DUF4242)', NULL, 'DUF4242', NULL, NULL, NULL, 6),
(16004, NULL, 'PF15164', NULL, NULL, 'Williams-Beuren syndrome chromosomal region 28 protein homologue', NULL, 'WBS28', NULL, NULL, NULL, 6),
(16005, NULL, 'PF01767', NULL, NULL, 'Birnavirus VP3 protein', NULL, 'Birna_VP3', NULL, NULL, NULL, 6),
(16006, NULL, 'PF17446', NULL, NULL, 'Late transcription unit A', NULL, 'LtuA', NULL, NULL, NULL, 6),
(16007, NULL, 'PF02758', NULL, NULL, 'PAAD/DAPIN/Pyrin domain', NULL, 'PYRIN', NULL, NULL, NULL, 6),
(16008, NULL, 'PF12660', NULL, NULL, 'Putative zinc-finger of transcription factor IIIC complex', NULL, 'zf-TFIIIC', NULL, NULL, NULL, 6),
(16009, NULL, 'PF01706', NULL, NULL, 'FliG C-terminal domain', NULL, 'FliG_C', NULL, NULL, NULL, 6),
(16010, NULL, 'PF07420', NULL, NULL, 'Protein of unknown function (DUF1509)', NULL, 'DUF1509', NULL, NULL, NULL, 6),
(16011, NULL, 'PF12027', NULL, NULL, 'Protein of unknown function (DUF3514)', NULL, 'DUF3514', NULL, NULL, NULL, 6),
(16012, NULL, 'PF06390', NULL, NULL, 'Neuroendocrine-specific golgi protein P55 (NESP55)', NULL, 'NESP55', NULL, NULL, NULL, 6),
(16013, NULL, 'PF07339', NULL, NULL, 'Protein of unknown function (DUF1472)', NULL, 'DUF1472', NULL, NULL, NULL, 6),
(16014, NULL, 'PF10891', NULL, NULL, 'Protein of unknown function (DUF2719)', NULL, 'DUF2719', NULL, NULL, NULL, 6),
(16015, NULL, 'PF07448', NULL, NULL, 'Secreted phosphoprotein 24 (Spp-24) cystatin-like domain', NULL, 'Spp-24', NULL, NULL, NULL, 6),
(16016, NULL, 'PF16209', NULL, NULL, 'Phospholipid-translocating ATPase N-terminal', NULL, 'PhoLip_ATPase_N', NULL, NULL, NULL, 6),
(16017, NULL, 'PF14835', NULL, NULL, 'zf-RING of BARD1-type protein', NULL, 'zf-RING_6', NULL, NULL, NULL, 6),
(16018, NULL, 'PF15695', NULL, NULL, 'Rec (regulator of expression encoded by corf) of HERV-K-113', NULL, 'HERV-K_REC', NULL, NULL, NULL, 6),
(16019, NULL, 'PF12092', NULL, NULL, 'Protein of unknown function (DUF3568)', NULL, 'DUF3568', NULL, NULL, NULL, 6),
(16020, NULL, 'PF13622', NULL, NULL, 'Thioesterase-like superfamily', NULL, '4HBT_3', NULL, NULL, NULL, 6),
(16021, NULL, 'PF05275', NULL, NULL, 'Copper resistance protein B precursor (CopB)', NULL, 'CopB', NULL, NULL, NULL, 6),
(16022, NULL, 'PF16709', NULL, NULL, 'Ig domain of plant-specific actin-binding protein', NULL, 'SCAB-Ig', NULL, NULL, NULL, 6),
(16023, NULL, 'PF08764', NULL, NULL, 'Staphylococcus aureus coagulase', NULL, 'Coagulase', NULL, NULL, NULL, 6),
(16024, NULL, 'PF15437', NULL, NULL, 'Plasminogen-binding protein pgbA C-terminal', NULL, 'PGBA_C', NULL, NULL, NULL, 6),
(16025, NULL, 'PF00190', NULL, NULL, 'Cupin', NULL, 'Cupin_1', NULL, NULL, NULL, 6),
(16026, NULL, 'PF05506', NULL, NULL, 'Domain of unknown function (DUF756)', NULL, 'DUF756', NULL, NULL, NULL, 6),
(16027, NULL, 'PF07777', NULL, NULL, 'G-box binding protein MFMR', NULL, 'MFMR', NULL, NULL, NULL, 6),
(16028, NULL, 'PF09482', NULL, NULL, 'Bacterial type III secretion apparatus protein (OrgA_MxiK)', NULL, 'OrgA_MxiK', NULL, NULL, NULL, 6),
(16029, NULL, 'PF03285', NULL, NULL, 'Paralemmin', NULL, 'Paralemmin', NULL, NULL, NULL, 6),
(16030, NULL, 'PF08913', NULL, NULL, 'Vinculin Binding Site', NULL, 'VBS', NULL, NULL, NULL, 6),
(16031, NULL, 'PF06082', NULL, NULL, 'Exopolysaccharide biosynthesis protein YbjH', NULL, 'YjbH', NULL, NULL, NULL, 6),
(16032, NULL, 'PF10672', NULL, NULL, 'S-adenosylmethionine-dependent methyltransferase', NULL, 'Methyltrans_SAM', NULL, NULL, NULL, 6),
(16033, NULL, 'PF02254', NULL, NULL, 'TrkA-N domain', NULL, 'TrkA_N', NULL, NULL, NULL, 6),
(16034, NULL, 'PF17363', NULL, NULL, 'Family of unknown function (DUF5388)', NULL, 'DUF5388', NULL, NULL, NULL, 6),
(16035, NULL, 'PF10720', NULL, NULL, 'Protein of unknown function (DUF2515)', NULL, 'DUF2515', NULL, NULL, NULL, 6),
(16036, NULL, 'PF13161', NULL, NULL, 'Protein of unknown function (DUF3996)', NULL, 'DUF3996', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16037, NULL, 'PF00738', NULL, NULL, 'Polyhedrin', NULL, 'Polyhedrin', NULL, NULL, NULL, 6),
(16038, NULL, 'PF10945', NULL, NULL, 'Cellulose biosynthesis protein BcsR', NULL, 'CBP_BcsR', NULL, NULL, NULL, 6),
(16039, NULL, 'PF05870', NULL, NULL, 'Phenolic acid decarboxylase (PAD)', NULL, 'PA_decarbox', NULL, NULL, NULL, 6),
(16040, NULL, 'PF17552', NULL, NULL, 'Family of unknown function (DUF5464)', NULL, 'DUF5464', NULL, NULL, NULL, 6),
(16041, NULL, 'PF13466', NULL, NULL, 'STAS domain', NULL, 'STAS_2', NULL, NULL, NULL, 6),
(16042, NULL, 'PF04192', NULL, NULL, 'Utp21 specific WD40 associated putative domain', NULL, 'Utp21', NULL, NULL, NULL, 6),
(16043, NULL, 'PF19052', NULL, NULL, 'BMP/retinoic acid-inducible neural-specific protein', NULL, 'BRINP', NULL, NULL, NULL, 6),
(16044, NULL, 'PF13496', NULL, NULL, 'Domain of unknown function (DUF4120)', NULL, 'DUF4120', NULL, NULL, NULL, 6),
(16045, NULL, 'PF01745', NULL, NULL, 'Isopentenyl transferase', NULL, 'IPT', NULL, NULL, NULL, 6),
(16046, NULL, 'PF09108', NULL, NULL, 'Switch protein XOL-1, N-terminal', NULL, 'Xol-1_N', NULL, NULL, NULL, 6),
(16047, NULL, 'PF10731', NULL, NULL, 'Thrombin inhibitor from mosquito', NULL, 'Anophelin', NULL, NULL, NULL, 6),
(16048, NULL, 'PF17887', NULL, NULL, 'Jak1 pleckstrin homology-like domain', NULL, 'Jak1_Phl', NULL, NULL, NULL, 6),
(16049, NULL, 'PF10670', NULL, NULL, 'Domain of unknown function (DUF4198)', NULL, 'DUF4198', NULL, NULL, NULL, 6),
(16050, NULL, 'PF05087', NULL, NULL, 'Rotavirus VP2 protein', NULL, 'Rota_VP2', NULL, NULL, NULL, 6),
(16051, NULL, 'PF16649', NULL, NULL, 'Interleukin 23 subunit alpha', NULL, 'IL23', NULL, NULL, NULL, 6),
(16052, NULL, 'PF10488', NULL, NULL, 'Phosphatase-1 catalytic subunit binding region', NULL, 'PP1c_bdg', NULL, NULL, NULL, 6),
(16053, NULL, 'PF07873', NULL, NULL, 'YabP family', NULL, 'YabP', NULL, NULL, NULL, 6),
(16054, NULL, 'PF13375', NULL, NULL, 'RnfC Barrel sandwich hybrid domain', NULL, 'RnfC_N', NULL, NULL, NULL, 6),
(16055, NULL, 'PF10624', NULL, NULL, 'Plasmid conjugative transfer entry exclusion protein TraS', NULL, 'TraS', NULL, NULL, NULL, 6),
(16056, NULL, 'PF13770', NULL, NULL, 'Domain of unknown function (DUF4169)', NULL, 'DUF4169', NULL, NULL, NULL, 6),
(16057, NULL, 'PF04646', NULL, NULL, 'Protein of unknown function, DUF604', NULL, 'DUF604', NULL, NULL, NULL, 6),
(16058, NULL, 'PF01637', NULL, NULL, 'ATPase domain predominantly from Archaea', NULL, 'ATPase_2', NULL, NULL, NULL, 6),
(16059, NULL, 'PF04222', NULL, NULL, 'Protein of unknown function (DUF416)', NULL, 'DUF416', NULL, NULL, NULL, 6),
(16060, NULL, 'PF15286', NULL, NULL, 'Apoptosis regulator M11, B cell 2 leukaemia/lymphoma like', NULL, 'Bcl-2_3', NULL, NULL, NULL, 6),
(16061, NULL, 'PF19214', NULL, NULL, 'Coronavirus spike glycoprotein S2, intravirion', NULL, 'CoV_S2_C', NULL, NULL, NULL, 6),
(16062, NULL, 'PF00920', NULL, NULL, 'Dehydratase family', NULL, 'ILVD_EDD', NULL, NULL, NULL, 6),
(16063, NULL, 'PF17231', NULL, NULL, 'Family of unknown function (DUF5305)', NULL, 'DUF5305', NULL, NULL, NULL, 6),
(16064, NULL, 'PF04073', NULL, NULL, 'Aminoacyl-tRNA editing domain', NULL, 'tRNA_edit', NULL, NULL, NULL, 6),
(16065, NULL, 'PF01618', NULL, NULL, 'MotA/TolQ/ExbB proton channel family', NULL, 'MotA_ExbB', NULL, NULL, NULL, 6),
(16066, NULL, 'PF03671', NULL, NULL, 'Ubiquitin fold modifier 1 protein', NULL, 'Ufm1', NULL, NULL, NULL, 6),
(16067, NULL, 'PF04139', NULL, NULL, 'Rad9', NULL, 'Rad9', NULL, NULL, NULL, 6),
(16068, NULL, 'PF13279', NULL, NULL, 'Thioesterase-like superfamily', NULL, '4HBT_2', NULL, NULL, NULL, 6),
(16069, NULL, 'PF17167', NULL, NULL, 'Glycosyl hydrolase 36 superfamily, catalytic domain', NULL, 'Glyco_hydro_36', NULL, NULL, NULL, 6),
(16070, NULL, 'PF16214', NULL, NULL, 'Adenylyl cyclase N-terminal extracellular and transmembrane region', NULL, 'AC_N', NULL, NULL, NULL, 6),
(16071, NULL, 'PF03848', NULL, NULL, 'Tellurite resistance protein TehB', NULL, 'TehB', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16072, NULL, 'PF18991', NULL, NULL, 'Family of unknown function (DUF5724)', NULL, 'DUF5724', NULL, NULL, NULL, 6),
(16073, NULL, 'PF07291', NULL, NULL, 'Methylamine utilisation protein MauE', NULL, 'MauE', NULL, NULL, NULL, 6),
(16074, NULL, 'PF06439', NULL, NULL, 'Domain of Unknown Function (DUF1080)', NULL, 'DUF1080', NULL, NULL, NULL, 6),
(16075, NULL, 'PF09491', NULL, NULL, 'AlwI restriction endonuclease', NULL, 'RE_AlwI', NULL, NULL, NULL, 6),
(16076, NULL, 'PF07452', NULL, NULL, 'CHRD domain', NULL, 'CHRD', NULL, NULL, NULL, 6),
(16077, NULL, 'PF06182', NULL, NULL, 'ABC-2 family transporter protein', NULL, 'ABC2_membrane_6', NULL, NULL, NULL, 6),
(16078, NULL, 'PF14722', NULL, NULL, 'Ki-ras-induced actin-interacting protein-IP3R-interacting domain', NULL, 'KRAP_IP3R_bind', NULL, NULL, NULL, 6),
(16079, NULL, 'PF18295', NULL, NULL, 'M17 aminopeptidase N-terminal domain 2', NULL, 'Pdase_M17_N2', NULL, NULL, NULL, 6),
(16080, NULL, 'PF04465', NULL, NULL, 'Protein of unknown function (DUF499)', NULL, 'DUF499', NULL, NULL, NULL, 6),
(16081, NULL, 'PF13125', NULL, NULL, 'Protein of unknown function (DUF3958)', NULL, 'DUF3958', NULL, NULL, NULL, 6),
(16082, NULL, 'PF15909', NULL, NULL, 'C2H2-type zinc ribbon', NULL, 'zf-C2H2_8', NULL, NULL, NULL, 6),
(16083, NULL, 'PF02442', NULL, NULL, 'Lipid membrane protein of large eukaryotic DNA viruses', NULL, 'L1R_F9L', NULL, NULL, NULL, 6),
(16084, NULL, 'PF17529', NULL, NULL, 'Family of unknown function (DUF5450)', NULL, 'DUF5450', NULL, NULL, NULL, 6),
(16085, NULL, 'PF17728', NULL, NULL, 'BsuBI/PstI restriction endonuclease HTH domain', NULL, 'BsuBI_PstI_RE_N', NULL, NULL, NULL, 6),
(16086, NULL, 'PF14506', NULL, NULL, 'CppA N-terminal', NULL, 'CppA_N', NULL, NULL, NULL, 6),
(16087, NULL, 'PF10223', NULL, NULL, 'Uncharacterized conserved protein (DUF2181)', NULL, 'DUF2181', NULL, NULL, NULL, 6),
(16088, NULL, 'PF01025', NULL, NULL, 'GrpE', NULL, 'GrpE', NULL, NULL, NULL, 6),
(16089, NULL, 'PF00617', NULL, NULL, 'RasGEF domain', NULL, 'RasGEF', NULL, NULL, NULL, 6),
(16090, NULL, 'PF09827', NULL, NULL, 'CRISPR associated protein Cas2', NULL, 'CRISPR_Cas2', NULL, NULL, NULL, 6),
(16091, NULL, 'PF05115', NULL, NULL, 'Cytochrome B6-F complex subunit VI (PetL)', NULL, 'PetL', NULL, NULL, NULL, 6),
(16092, NULL, 'PF05931', NULL, NULL, 'Staphylococcal AgrD protein', NULL, 'AgrD', NULL, NULL, NULL, 6),
(16093, NULL, 'PF12404', NULL, NULL, 'Peptidase', NULL, 'DUF3663', NULL, NULL, NULL, 6),
(16094, NULL, 'PF10435', NULL, NULL, 'Beta-galactosidase, domain 2', NULL, 'BetaGal_dom2', NULL, NULL, NULL, 6),
(16095, NULL, 'PF06265', NULL, NULL, 'Protein of unknown function (DUF1027)', NULL, 'DUF1027', NULL, NULL, NULL, 6),
(16096, NULL, 'PF04390', NULL, NULL, 'Lipopolysaccharide-assembly', NULL, 'LptE', NULL, NULL, NULL, 6),
(16097, NULL, 'PF13485', NULL, NULL, 'Peptidase MA superfamily', NULL, 'Peptidase_MA_2', NULL, NULL, NULL, 6),
(16098, NULL, 'PF09685', NULL, NULL, 'Domain of unknown function (DUF4870)', NULL, 'DUF4870', NULL, NULL, NULL, 6),
(16099, NULL, 'PF16224', NULL, NULL, 'DOmain of unknown function (DUF4883)', NULL, 'DUF4883', NULL, NULL, NULL, 6),
(16100, NULL, 'PF00650', NULL, NULL, 'CRAL/TRIO domain', NULL, 'CRAL_TRIO', NULL, NULL, NULL, 6),
(16101, NULL, 'PF16454', NULL, NULL, 'Phosphatidylinositol 3-kinase regulatory subunit P85 inter-SH2 domain', NULL, 'PI3K_P85_iSH2', NULL, NULL, NULL, 6),
(16102, NULL, 'PF16063', NULL, NULL, 'Domain of unknown function (DUF4805)', NULL, 'DUF4805', NULL, NULL, NULL, 6),
(16103, NULL, 'PF04195', NULL, NULL, 'Putative gypsy type transposon', NULL, 'Transposase_28', NULL, NULL, NULL, 6),
(16104, NULL, 'PF16285', NULL, NULL, 'Domain of unknown function (DUF4931)', NULL, 'DUF4931', NULL, NULL, NULL, 6),
(16105, NULL, 'PF14709', NULL, NULL, 'double strand RNA binding domain from DEAD END PROTEIN 1', NULL, 'DND1_DSRM', NULL, NULL, NULL, 6),
(16106, NULL, 'PF04389', NULL, NULL, 'Peptidase family M28', NULL, 'Peptidase_M28', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16107, NULL, 'PF17494', NULL, NULL, 'Family of unknown function (DUF5429)', NULL, 'DUF5429', NULL, NULL, NULL, 6),
(16108, NULL, 'PF10173', NULL, NULL, 'Mitochondrial K+-H+ exchange-related', NULL, 'Mit_KHE1', NULL, NULL, NULL, 6),
(16109, NULL, 'PF09693', NULL, NULL, 'Phage uncharacterised protein (Phage_XkdX)', NULL, 'Phage_XkdX', NULL, NULL, NULL, 6),
(16110, NULL, 'PF18274', NULL, NULL, 'Vacuolar ATPase Subunit I N-terminal proximal lobe', NULL, 'V_ATPase_prox', NULL, NULL, NULL, 6),
(16111, NULL, 'PF12029', NULL, NULL, 'Domain of unknown function (DUF3516)', NULL, 'DUF3516', NULL, NULL, NULL, 6),
(16112, NULL, 'PF01674', NULL, NULL, 'Lipase (class 2)', NULL, 'Lipase_2', NULL, NULL, NULL, 6),
(16113, NULL, 'PF18031', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolases', NULL, 'UCH_C', NULL, NULL, NULL, 6),
(16114, NULL, 'PF16987', NULL, NULL, 'KIX domain', NULL, 'KIX_2', NULL, NULL, NULL, 6),
(16115, NULL, 'PF04029', NULL, NULL, '2-phosphosulpholactate phosphatase', NULL, '2-ph_phosp', NULL, NULL, NULL, 6),
(16116, NULL, 'PF17278', NULL, NULL, 'Family of unknown function (DUF5343)', NULL, 'DUF5343', NULL, NULL, NULL, 6),
(16117, NULL, 'PF09964', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2198)', NULL, 'DUF2198', NULL, NULL, NULL, 6),
(16118, NULL, 'PF13363', NULL, NULL, 'Beta-galactosidase, domain 3', NULL, 'BetaGal_dom3', NULL, NULL, NULL, 6),
(16119, NULL, 'PF18705', NULL, NULL, 'Family of unknown function (DUF5643)', NULL, 'DUF5643', NULL, NULL, NULL, 6),
(16120, NULL, 'PF15693', NULL, NULL, 'Mediator complex subunit 26 C-terminal', NULL, 'Med26_C', NULL, NULL, NULL, 6),
(16121, NULL, 'PF01169', NULL, NULL, 'Uncharacterized protein family UPF0016', NULL, 'UPF0016', NULL, NULL, NULL, 6),
(16122, NULL, 'PF18021', NULL, NULL, 'Agglutinin C-terminal', NULL, 'Agglutinin_C', NULL, NULL, NULL, 6),
(16123, NULL, 'PF08947', NULL, NULL, 'BPS (Between PH and SH2)', NULL, 'BPS', NULL, NULL, NULL, 6),
(16124, NULL, 'PF06033', NULL, NULL, 'Nucleopolyhedrovirus protein of unknown function (DUF918)', NULL, 'DUF918', NULL, NULL, NULL, 6),
(16125, NULL, 'PF10636', NULL, NULL, 'Hemin uptake protein hemP', NULL, 'hemP', NULL, NULL, NULL, 6),
(16126, NULL, 'PF10842', NULL, NULL, 'Protein of unknown function (DUF2642)', NULL, 'DUF2642', NULL, NULL, NULL, 6),
(16127, NULL, 'PF03935', NULL, NULL, 'Beta-glucan synthesis-associated protein (SKN1)', NULL, 'SKN1', NULL, NULL, NULL, 6),
(16128, NULL, 'PF04762', NULL, NULL, 'IKI3 family', NULL, 'IKI3', NULL, NULL, NULL, 6),
(16129, NULL, 'PF13798', NULL, NULL, 'Protein of unknown function with PCYCGC motif', NULL, 'PCYCGC', NULL, NULL, NULL, 6),
(16130, NULL, 'PF10458', NULL, NULL, 'Valyl tRNA synthetase tRNA binding arm', NULL, 'Val_tRNA-synt_C', NULL, NULL, NULL, 6),
(16131, NULL, 'PF18396', NULL, NULL, 'TANK binding kinase 1 ubiquitin-like domain', NULL, 'TBK1_ULD', NULL, NULL, NULL, 6),
(16132, NULL, 'PF11515', NULL, NULL, 'Mouse development and cellular proliferation protein Cullin-7', NULL, 'Cul7', NULL, NULL, NULL, 6),
(16133, NULL, 'PF12807', NULL, NULL, 'Translation initiation factor eIF3 subunit 135', NULL, 'eIF3_p135', NULL, NULL, NULL, 6),
(16134, NULL, 'PF05334', NULL, NULL, 'Protein of unknown function (DUF719)', NULL, 'DUF719', NULL, NULL, NULL, 6),
(16135, NULL, 'PF10016', NULL, NULL, 'Predicted secreted protein (DUF2259)', NULL, 'DUF2259', NULL, NULL, NULL, 6),
(16136, NULL, 'PF04835', NULL, NULL, 'A9 protein conserved region', NULL, 'Pox_A9', NULL, NULL, NULL, 6),
(16137, NULL, 'PF04394', NULL, NULL, 'Protein of unknown function, DUF536', NULL, 'DUF536', NULL, NULL, NULL, 6),
(16138, NULL, 'PF13482', NULL, NULL, 'RNase_H superfamily', NULL, 'RNase_H_2', NULL, NULL, NULL, 6),
(16139, NULL, 'PF14986', NULL, NULL, 'Domain of unknown function (DUF4514)', NULL, 'DUF4514', NULL, NULL, NULL, 6),
(16140, NULL, 'PF00479', NULL, NULL, 'Glucose-6-phosphate dehydrogenase, NAD binding domain', NULL, 'G6PD_N', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16141, NULL, 'PF03290', NULL, NULL, 'Vaccinia virus I7 processing peptidase', NULL, 'Peptidase_C57', NULL, NULL, NULL, 6),
(16142, NULL, 'PF09753', NULL, NULL, 'Membrane fusion protein Use1', NULL, 'Use1', NULL, NULL, NULL, 6),
(16143, NULL, 'PF12059', NULL, NULL, 'Protein of unknown function (DUF3540)', NULL, 'DUF3540', NULL, NULL, NULL, 6),
(16144, NULL, 'PF11473', NULL, NULL, 'RNA binding protein B2', NULL, 'B2', NULL, NULL, NULL, 6),
(16145, NULL, 'PF18364', NULL, NULL, 'Molybdopterin oxidoreductase N-terminal domain', NULL, 'Molybdopterin_N', NULL, NULL, NULL, 6),
(16146, NULL, 'PF18832', NULL, NULL, 'Large polyvalent protein-associated domain 18', NULL, 'LPD18', NULL, NULL, NULL, 6),
(16147, NULL, 'PF13492', NULL, NULL, 'GAF domain', NULL, 'GAF_3', NULL, NULL, NULL, 6),
(16148, NULL, 'PF11336', NULL, NULL, 'Protein of unknown function (DUF3138)', NULL, 'DUF3138', NULL, NULL, NULL, 6),
(16149, NULL, 'PF12462', NULL, NULL, 'DNA helicase IV / RNA helicase N terminal', NULL, 'Helicase_IV_N', NULL, NULL, NULL, 6),
(16150, NULL, 'PF02135', NULL, NULL, 'TAZ zinc finger', NULL, 'zf-TAZ', NULL, NULL, NULL, 6),
(16151, NULL, 'PF09926', NULL, NULL, 'Uncharacterized small protein (DUF2158)', NULL, 'DUF2158', NULL, NULL, NULL, 6),
(16152, NULL, 'PF10634', NULL, NULL, 'Fe2+ transport protein', NULL, 'Iron_transport', NULL, NULL, NULL, 6),
(16153, NULL, 'PF15470', NULL, NULL, 'Domain of unknown function (DUF4637)', NULL, 'DUF4637', NULL, NULL, NULL, 6),
(16154, NULL, 'PF01545', NULL, NULL, 'Cation efflux family', NULL, 'Cation_efflux', NULL, NULL, NULL, 6),
(16155, NULL, 'PF02711', NULL, NULL, 'E4 protein', NULL, 'Pap_E4', NULL, NULL, NULL, 6),
(16156, NULL, 'PF16993', NULL, NULL, 'Accessory Sec system protein Asp1', NULL, 'Asp1', NULL, NULL, NULL, 6),
(16157, NULL, 'PF05995', NULL, NULL, 'Cysteine dioxygenase type I', NULL, 'CDO_I', NULL, NULL, NULL, 6),
(16158, NULL, 'PF01831', NULL, NULL, 'Peptidase C16 family', NULL, 'Peptidase_C16', NULL, NULL, NULL, 6),
(16159, NULL, 'PF14271', NULL, NULL, 'Domain of unknown function (DUF4359)', NULL, 'DUF4359', NULL, NULL, NULL, 6),
(16160, NULL, 'PF08291', NULL, NULL, 'Peptidase M15', NULL, 'Peptidase_M15_3', NULL, NULL, NULL, 6),
(16161, NULL, 'PF07585', NULL, NULL, 'Putative beta barrel porin-7 (BBP7)', NULL, 'BBP7', NULL, NULL, NULL, 6),
(16162, NULL, 'PF16076', NULL, NULL, 'Acyltransferase C-terminus', NULL, 'Acyltransf_C', NULL, NULL, NULL, 6),
(16163, NULL, 'PF16532', NULL, NULL, 'Sf6-type phage tail needle knob or tip of some Caudovirales', NULL, 'Phage_tail_NK', NULL, NULL, NULL, 6),
(16164, NULL, 'PF07409', NULL, NULL, 'Phage protein GP46', NULL, 'GP46', NULL, NULL, NULL, 6),
(16165, NULL, 'PF17442', NULL, NULL, 'Functional domain of U62 and UL91 proteins', NULL, 'U62_UL91', NULL, NULL, NULL, 6),
(16166, NULL, 'PF05502', NULL, NULL, 'Dynactin p62 family', NULL, 'Dynactin_p62', NULL, NULL, NULL, 6),
(16167, NULL, 'PF15863', NULL, NULL, 'Extended EGL-27 and MTA1 homology domain', NULL, 'EELM2', NULL, NULL, NULL, 6),
(16168, NULL, 'PF03139', NULL, NULL, 'Vanadium/alternative nitrogenase delta subunit', NULL, 'AnfG_VnfG', NULL, NULL, NULL, 6),
(16169, NULL, 'PF08687', NULL, NULL, 'Apx/Shroom domain ASD2', NULL, 'ASD2', NULL, NULL, NULL, 6),
(16170, NULL, 'PF03816', NULL, NULL, 'LytR_cpsA_psr family', NULL, 'LytR_cpsA_psr', NULL, NULL, NULL, 6),
(16171, NULL, 'PF02898', NULL, NULL, 'Nitric oxide synthase, oxygenase domain', NULL, 'NO_synthase', NULL, NULL, NULL, 6),
(16172, NULL, 'PF14958', NULL, NULL, 'Domain of unknown function (DUF4506)', NULL, 'DUF4506', NULL, NULL, NULL, 6),
(16173, NULL, 'PF18816', NULL, NULL, 'Importin repeat', NULL, 'Importin_rep_5', NULL, NULL, NULL, 6),
(16174, NULL, 'PF00536', NULL, NULL, 'SAM domain (Sterile alpha motif)', NULL, 'SAM_1', NULL, NULL, NULL, 6),
(16175, NULL, 'PF06040', NULL, NULL, 'Adenovirus E3 protein', NULL, 'Adeno_E3', NULL, NULL, NULL, 6),
(16176, NULL, 'PF02646', NULL, NULL, 'RmuC family', NULL, 'RmuC', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16177, NULL, 'PF07391', NULL, NULL, 'NPR nonapeptide repeat (2 copies)', NULL, 'NPR', NULL, NULL, NULL, 6),
(16178, NULL, 'PF09814', NULL, NULL, 'HECT-like Ubiquitin-conjugating enzyme (E2)-binding', NULL, 'HECT_2', NULL, NULL, NULL, 6),
(16179, NULL, 'PF13682', NULL, NULL, 'Chemoreceptor zinc-binding domain', NULL, 'CZB', NULL, NULL, NULL, 6),
(16180, NULL, 'PF01709', NULL, NULL, 'Transcriptional regulator', NULL, 'Transcrip_reg', NULL, NULL, NULL, 6),
(16181, NULL, 'PF06715', NULL, NULL, 'Gp5 C-terminal repeat (3 copies)', NULL, 'Gp5_C', NULL, NULL, NULL, 6),
(16182, NULL, 'PF03297', NULL, NULL, 'S25 ribosomal protein', NULL, 'Ribosomal_S25', NULL, NULL, NULL, 6),
(16183, NULL, 'PF13630', NULL, NULL, 'SdpI/YfhL protein family', NULL, 'SdpI', NULL, NULL, NULL, 6),
(16184, NULL, 'PF16476', NULL, NULL, 'Domain of unknown function (DUF5053)', NULL, 'DUF5053', NULL, NULL, NULL, 6),
(16185, NULL, 'PF08299', NULL, NULL, 'Bacterial dnaA protein helix-turn-helix', NULL, 'Bac_DnaA_C', NULL, NULL, NULL, 6),
(16186, NULL, 'PF01837', NULL, NULL, 'Homocysteine biosynthesis enzyme, sulfur-incorporation', NULL, 'HcyBio', NULL, NULL, NULL, 6),
(16187, NULL, 'PF15223', NULL, NULL, 'Elongin BC and Polycomb repressive complex 2-associated protein', NULL, 'EPOP', NULL, NULL, NULL, 6),
(16188, NULL, 'PF09291', NULL, NULL, 'Domain of unknown function (DUF1968)', NULL, 'DUF1968', NULL, NULL, NULL, 6),
(16189, NULL, 'PF16008', NULL, NULL, 'Domain of unknown function (DUF4778)', NULL, 'DUF4778', NULL, NULL, NULL, 6),
(16190, NULL, 'PF14382', NULL, NULL, 'Exosome complex exonuclease RRP4 N-terminal region', NULL, 'ECR1_N', NULL, NULL, NULL, 6),
(16191, NULL, 'PF14747', NULL, NULL, 'Domain of unknown function (DUF4473)', NULL, 'DUF4473', NULL, NULL, NULL, 6),
(16192, NULL, 'PF03262', NULL, NULL, 'Coronavirus 6B/7B protein', NULL, 'Corona_6B_7B', NULL, NULL, NULL, 6),
(16193, NULL, 'PF08743', NULL, NULL, 'Nse4 C-terminal', NULL, 'Nse4_C', NULL, NULL, NULL, 6),
(16194, NULL, 'PF02551', NULL, NULL, 'Acyl-CoA thioesterase', NULL, 'Acyl_CoA_thio', NULL, NULL, NULL, 6),
(16195, NULL, 'PF02425', NULL, NULL, 'Paralytic/GBP/PSP peptide', NULL, 'GBP_PSP', NULL, NULL, NULL, 6),
(16196, NULL, 'PF15611', NULL, NULL, 'EH_Signature domain', NULL, 'EH_Signature', NULL, NULL, NULL, 6),
(16197, NULL, 'PF05739', NULL, NULL, 'SNARE domain', NULL, 'SNARE', NULL, NULL, NULL, 6),
(16198, NULL, 'PF03951', NULL, NULL, 'Glutamine synthetase, beta-Grasp domain', NULL, 'Gln-synt_N', NULL, NULL, NULL, 6),
(16199, NULL, 'PF11959', NULL, NULL, 'Domain of unknown function (DUF3473)', NULL, 'DUF3473', NULL, NULL, NULL, 6),
(16200, NULL, 'PF05837', NULL, NULL, 'Centromere protein H (CENP-H)', NULL, 'CENP-H', NULL, NULL, NULL, 6),
(16201, NULL, 'PF15358', NULL, NULL, 'Testis-specific serine kinase substrate', NULL, 'TSKS', NULL, NULL, NULL, 6),
(16202, NULL, 'PF12861', NULL, NULL, 'Anaphase-promoting complex subunit 11 RING-H2 finger', NULL, 'zf-ANAPC11', NULL, NULL, NULL, 6),
(16203, NULL, 'PF02643', NULL, NULL, 'Uncharacterized ACR, COG1430', NULL, 'DUF192', NULL, NULL, NULL, 6),
(16204, NULL, 'PF08557', NULL, NULL, 'Sphingolipid Delta4-desaturase (DES)', NULL, 'Lipid_DES', NULL, NULL, NULL, 6),
(16205, NULL, 'PF12625', NULL, NULL, 'Arabinose-binding domain of AraC transcription regulator, N-term', NULL, 'Arabinose_bd', NULL, NULL, NULL, 6),
(16206, NULL, 'PF12811', NULL, NULL, 'Bax inhibitor 1 like', NULL, 'BaxI_1', NULL, NULL, NULL, 6),
(16207, NULL, 'PF12983', NULL, NULL, 'Protein of unknown function (DUF3867)', NULL, 'DUF3867', NULL, NULL, NULL, 6),
(16208, NULL, 'PF13457', NULL, NULL, 'GW (Gly-Tryp) dipeptide domain', NULL, 'GW', NULL, NULL, NULL, 6),
(16209, NULL, 'PF04978', NULL, NULL, 'Protein of unknown function (DUF664)', NULL, 'DUF664', NULL, NULL, NULL, 6),
(16210, NULL, 'PF15261', NULL, NULL, 'Jhy protein', NULL, 'JHY', NULL, NULL, NULL, 6),
(16211, NULL, 'PF13931', NULL, NULL, 'Kinesin-associated microtubule-binding', NULL, 'Microtub_bind', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16212, NULL, 'PF05437', NULL, NULL, 'Branched-chain amino acid transport protein (AzlD)', NULL, 'AzlD', NULL, NULL, NULL, 6),
(16213, NULL, 'PF05439', NULL, NULL, 'Jumping translocation breakpoint protein (JTB)', NULL, 'JTB', NULL, NULL, NULL, 6),
(16214, NULL, 'PF02148', NULL, NULL, 'Zn-finger in ubiquitin-hydrolases and other protein', NULL, 'zf-UBP', NULL, NULL, NULL, 6),
(16215, NULL, 'PF17162', NULL, NULL, 'Domain of unknown function (DUF5118)', NULL, 'DUF5118', NULL, NULL, NULL, 6),
(16216, NULL, 'PF01744', NULL, NULL, 'GLTT repeat (6 copies)', NULL, 'GLTT', NULL, NULL, NULL, 6),
(16217, NULL, 'PF01951', NULL, NULL, 'Archease protein family (MTH1598/TM1083)', NULL, 'Archease', NULL, NULL, NULL, 6),
(16218, NULL, 'PF10860', NULL, NULL, 'Protein of unknown function (DUF2661)', NULL, 'DUF2661', NULL, NULL, NULL, 6),
(16219, NULL, 'PF12780', NULL, NULL, 'P-loop containing dynein motor region D4', NULL, 'AAA_8', NULL, NULL, NULL, 6),
(16220, NULL, 'PF09118', NULL, NULL, 'Domain of unknown function (DUF1929)', NULL, 'DUF1929', NULL, NULL, NULL, 6),
(16221, NULL, 'PF03699', NULL, NULL, 'Uncharacterised protein family (UPF0182)', NULL, 'UPF0182', NULL, NULL, NULL, 6),
(16222, NULL, 'PF09470', NULL, NULL, 'Telethonin protein', NULL, 'Telethonin', NULL, NULL, NULL, 6),
(16223, NULL, 'PF00548', NULL, NULL, '3C cysteine protease (picornain 3C)', NULL, 'Peptidase_C3', NULL, NULL, NULL, 6),
(16224, NULL, 'PF10982', NULL, NULL, 'Protein of unknown function (DUF2789)', NULL, 'DUF2789', NULL, NULL, NULL, 6),
(16225, NULL, 'PF00273', NULL, NULL, 'Serum albumin family', NULL, 'Serum_albumin', NULL, NULL, NULL, 6),
(16226, NULL, 'PF15054', NULL, NULL, 'Domain of unknown function (DUF4535)', NULL, 'DUF4535', NULL, NULL, NULL, 6),
(16227, NULL, 'PF04568', NULL, NULL, 'Mitochondrial ATPase inhibitor, IATP', NULL, 'IATP', NULL, NULL, NULL, 6),
(16228, NULL, 'PF01573', NULL, NULL, 'Bromovirus movement protein', NULL, 'Bromo_MP', NULL, NULL, NULL, 6),
(16229, NULL, 'PF00775', NULL, NULL, 'Dioxygenase', NULL, 'Dioxygenase_C', NULL, NULL, NULL, 6),
(16230, NULL, 'PF04985', NULL, NULL, 'Phage tail tube protein FII', NULL, 'Phage_tube', NULL, NULL, NULL, 6),
(16231, NULL, 'PF12846', NULL, NULL, 'AAA-like domain', NULL, 'AAA_10', NULL, NULL, NULL, 6),
(16232, NULL, 'PF11877', NULL, NULL, 'Protein of unknown function (DUF3397)', NULL, 'DUF3397', NULL, NULL, NULL, 6),
(16233, NULL, 'PF10213', NULL, NULL, 'Mitochondrial ribosomal subunit protein', NULL, 'MRP-S28', NULL, NULL, NULL, 6),
(16234, NULL, 'PF09791', NULL, NULL, 'Oxidoreductase-like protein, N-terminal', NULL, 'Oxidored-like', NULL, NULL, NULL, 6),
(16235, NULL, 'PF05380', NULL, NULL, 'Pao retrotransposon peptidase', NULL, 'Peptidase_A17', NULL, NULL, NULL, 6),
(16236, NULL, 'PF17841', NULL, NULL, 'BID domain of Bartonella effector protein (Bep)', NULL, 'Bep_C_terminal', NULL, NULL, NULL, 6),
(16237, NULL, 'PF06106', NULL, NULL, 'S. aureus uracil DNA glycosylase inhibitor', NULL, 'SAUGI', NULL, NULL, NULL, 6),
(16238, NULL, 'PF10827', NULL, NULL, 'Protein of unknown function (DUF2552)', NULL, 'DUF2552', NULL, NULL, NULL, 6),
(16239, NULL, 'PF05094', NULL, NULL, 'Late expression factor 9 (LEF-9)', NULL, 'LEF-9', NULL, NULL, NULL, 6),
(16240, NULL, 'PF05019', NULL, NULL, 'Coenzyme Q (ubiquinone) biosynthesis protein Coq4', NULL, 'Coq4', NULL, NULL, NULL, 6),
(16241, NULL, 'PF02401', NULL, NULL, 'LytB protein', NULL, 'LYTB', NULL, NULL, NULL, 6),
(16242, NULL, 'PF08140', NULL, NULL, 'Crustacean cuticle protein repeat', NULL, 'Cuticle_1', NULL, NULL, NULL, 6),
(16243, NULL, 'PF16322', NULL, NULL, 'Tubby N-terminal', NULL, 'Tub_N', NULL, NULL, NULL, 6),
(16244, NULL, 'PF13135', NULL, NULL, 'Protein of unknown function (DUF3947)', NULL, 'DUF3947', NULL, NULL, NULL, 6),
(16245, NULL, 'PF04966', NULL, NULL, 'Carbohydrate-selective porin, OprB family', NULL, 'OprB', NULL, NULL, NULL, 6),
(16246, NULL, 'PF16293', NULL, NULL, 'C2H2 type zinc-finger (1 copy)', NULL, 'zf-C2H2_9', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16247, NULL, 'PF12207', NULL, NULL, 'Domain of unknown function (DUF3600)', NULL, 'DUF3600', NULL, NULL, NULL, 6),
(16248, NULL, 'PF12742', NULL, NULL, 'Gryzun, putative Golgi trafficking', NULL, 'Gryzun-like', NULL, NULL, NULL, 6),
(16249, NULL, 'PF07088', NULL, NULL, 'GvpD gas vesicle protein', NULL, 'GvpD', NULL, NULL, NULL, 6),
(16250, NULL, 'PF11631', NULL, NULL, 'Protein of unknown function (DUF3255)', NULL, 'DUF3255', NULL, NULL, NULL, 6),
(16251, NULL, 'PF12519', NULL, NULL, 'Mitochondrial distribution and morphology protein 10', NULL, 'MDM10', NULL, NULL, NULL, 6),
(16252, NULL, 'PF03626', NULL, NULL, 'Prokaryotic Cytochrome C oxidase subunit IV', NULL, 'COX4_pro', NULL, NULL, NULL, 6),
(16253, NULL, 'PF11022', NULL, NULL, 'ATP synthase subunit K', NULL, 'ATP19', NULL, NULL, NULL, 6),
(16254, NULL, 'PF15810', NULL, NULL, 'Coiled-coil domain-containing protein 117', NULL, 'CCDC117', NULL, NULL, NULL, 6),
(16255, NULL, 'PF14370', NULL, NULL, 'C-terminal topoisomerase domain', NULL, 'Topo_C_assoc', NULL, NULL, NULL, 6),
(16256, NULL, 'PF09196', NULL, NULL, 'Domain of unknown function (DUF1953)', NULL, 'DUF1953', NULL, NULL, NULL, 6),
(16257, NULL, 'PF14976', NULL, NULL, 'FAM72 protein', NULL, 'FAM72', NULL, NULL, NULL, 6),
(16258, NULL, 'PF03446', NULL, NULL, 'NAD binding domain of 6-phosphogluconate dehydrogenase', NULL, 'NAD_binding_2', NULL, NULL, NULL, 6),
(16259, NULL, 'PF15256', NULL, NULL, 'SPATIAL', NULL, 'SPATIAL', NULL, NULL, NULL, 6),
(16260, NULL, 'PF05706', NULL, NULL, 'Cyclin-dependent kinase inhibitor 3 (CDKN3)', NULL, 'CDKN3', NULL, NULL, NULL, 6),
(16261, NULL, 'PF11578', NULL, NULL, 'Protein of unknown function (DUF3237)', NULL, 'DUF3237', NULL, NULL, NULL, 6),
(16262, NULL, 'PF08890', NULL, NULL, 'Phage XkdN-like tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_5', NULL, NULL, NULL, 6),
(16263, NULL, 'PF18485', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N_5', NULL, NULL, NULL, 6),
(16264, NULL, 'PF01445', NULL, NULL, 'Viral small hydrophobic protein', NULL, 'SH', NULL, NULL, NULL, 6),
(16265, NULL, 'PF08206', NULL, NULL, 'Ribonuclease B OB domain', NULL, 'OB_RNB', NULL, NULL, NULL, 6),
(16266, NULL, 'PF07357', NULL, NULL, 'Dinitrogenase reductase ADP-ribosyltransferase (DRAT)', NULL, 'DRAT', NULL, NULL, NULL, 6),
(16267, NULL, 'PF08898', NULL, NULL, 'Domain of unknown function (DUF1843)', NULL, 'DUF1843', NULL, NULL, NULL, 6),
(16268, NULL, 'PF12323', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_OrfB_IS605', NULL, NULL, NULL, 6),
(16269, NULL, 'PF01340', NULL, NULL, 'Met Apo-repressor, MetJ', NULL, 'MetJ', NULL, NULL, NULL, 6),
(16270, NULL, 'PF14027', NULL, NULL, 'Questin oxidase-like', NULL, 'Questin_oxidase', NULL, NULL, NULL, 6),
(16271, NULL, 'PF03717', NULL, NULL, 'Penicillin-binding Protein dimerisation domain', NULL, 'PBP_dimer', NULL, NULL, NULL, 6),
(16272, NULL, 'PF11881', NULL, NULL, 'C-terminal domain of SPAR protein', NULL, 'SPAR_C', NULL, NULL, NULL, 6),
(16273, NULL, 'PF17225', NULL, NULL, 'Domain of unknown function (DUF5300)', NULL, 'DUF5301', NULL, NULL, NULL, 6),
(16274, NULL, 'PF13325', NULL, NULL, 'N-terminal region of micro-spherule protein', NULL, 'MCRS_N', NULL, NULL, NULL, 6),
(16275, NULL, 'PF16027', NULL, NULL, 'Domain of unknown function (DUF4786)', NULL, 'DUF4786', NULL, NULL, NULL, 6),
(16276, NULL, 'PF01862', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase (PvlArgDC)', NULL, 'PvlArgDC', NULL, NULL, NULL, 6),
(16277, NULL, 'PF11191', NULL, NULL, 'Protein of unknown function (DUF2782)', NULL, 'DUF2782', NULL, NULL, NULL, 6),
(16278, NULL, 'PF12287', NULL, NULL, 'Cytoplasmic activation/proliferation-associated protein-1 C term', NULL, 'Caprin-1_C', NULL, NULL, NULL, 6),
(16279, NULL, 'PF10073', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2312)', NULL, 'DUF2312', NULL, NULL, NULL, 6),
(16280, NULL, 'PF11719', NULL, NULL, 'DNA replication and checkpoint protein', NULL, 'Drc1-Sld2', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16281, NULL, 'PF02575', NULL, NULL, 'YbaB/EbfC DNA-binding family', NULL, 'YbaB_DNA_bd', NULL, NULL, NULL, 6),
(16282, NULL, 'PF07726', NULL, NULL, 'ATPase family associated with various cellular activities (AAA)', NULL, 'AAA_3', NULL, NULL, NULL, 6),
(16283, NULL, 'PF01591', NULL, NULL, '6-phosphofructo-2-kinase', NULL, '6PF2K', NULL, NULL, NULL, 6),
(16284, NULL, 'PF01846', NULL, NULL, 'FF domain', NULL, 'FF', NULL, NULL, NULL, 6),
(16285, NULL, 'PF10623', NULL, NULL, 'Plasmid conjugative transfer protein PilI', NULL, 'PilI', NULL, NULL, NULL, 6),
(16286, NULL, 'PF06794', NULL, NULL, 'Uncharacterised protein family (UPF0270)', NULL, 'UPF0270', NULL, NULL, NULL, 6),
(16287, NULL, 'PF02261', NULL, NULL, 'Aspartate decarboxylase', NULL, 'Asp_decarbox', NULL, NULL, NULL, 6),
(16288, NULL, 'PF05835', NULL, NULL, 'Synaphin protein', NULL, 'Synaphin', NULL, NULL, NULL, 6),
(16289, NULL, 'PF08119', NULL, NULL, 'Scorpion acidic alpha-KTx toxin family', NULL, 'Toxin_31', NULL, NULL, NULL, 6),
(16290, NULL, 'PF11902', NULL, NULL, 'Protein of unknown function (DUF3422)', NULL, 'DUF3422', NULL, NULL, NULL, 6),
(16291, NULL, 'PF15008', NULL, NULL, 'Domain of unknown function (DUF4518)', NULL, 'DUF4518', NULL, NULL, NULL, 6),
(16292, NULL, 'PF02728', NULL, NULL, 'Copper amine oxidase, N3 domain', NULL, 'Cu_amine_oxidN3', NULL, NULL, NULL, 6),
(16293, NULL, 'PF16179', NULL, NULL, 'Rel homology dimerisation domain', NULL, 'RHD_dimer', NULL, NULL, NULL, 6),
(16294, NULL, 'PF14735', NULL, NULL, 'HAUS augmin-like complex subunit 4', NULL, 'HAUS4', NULL, NULL, NULL, 6),
(16295, NULL, 'PF15406', NULL, NULL, 'Pleckstrin homology domain', NULL, 'PH_6', NULL, NULL, NULL, 6),
(16296, NULL, 'PF01049', NULL, NULL, 'Cadherin cytoplasmic region', NULL, 'Cadherin_C', NULL, NULL, NULL, 6),
(16297, NULL, 'PF17210', NULL, NULL, 'SdrD B-like domain', NULL, 'SdrD_B', NULL, NULL, NULL, 6),
(16298, NULL, 'PF06154', NULL, NULL, 'CbeA_antitoxin, type IV, cytoskeleton bundling-enhancing factor A', NULL, 'CbeA_antitoxin', NULL, NULL, NULL, 6),
(16299, NULL, 'PF12703', NULL, NULL, 'Toxin of toxin-antitoxin type 1 system', NULL, 'ptaRNA1_toxin', NULL, NULL, NULL, 6),
(16300, NULL, 'PF14245', NULL, NULL, 'Type IV pilin PilA', NULL, 'Pilin_PilA', NULL, NULL, NULL, 6),
(16301, NULL, 'PF07955', NULL, NULL, 'Protein of unknown function (DUF1687)', NULL, 'DUF1687', NULL, NULL, NULL, 6),
(16302, NULL, 'PF02295', NULL, NULL, 'Adenosine deaminase z-alpha domain', NULL, 'z-alpha', NULL, NULL, NULL, 6),
(16303, NULL, 'PF13578', NULL, NULL, 'Methyltransferase domain', NULL, 'Methyltransf_24', NULL, NULL, NULL, 6),
(16304, NULL, 'PF17746', NULL, NULL, 'SfsA N-terminal OB domain', NULL, 'SfsA_N', NULL, NULL, NULL, 6),
(16305, NULL, 'PF08179', NULL, NULL, 'Small acid-soluble spore protein P family', NULL, 'SspP', NULL, NULL, NULL, 6),
(16306, NULL, 'PF02382', NULL, NULL, 'N-terminal domain in RTX protein', NULL, 'RTX', NULL, NULL, NULL, 6),
(16307, NULL, 'PF03171', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy', NULL, NULL, NULL, 6),
(16308, NULL, 'PF18500', NULL, NULL, 'CadC C-terminal domain 1', NULL, 'CadC_C1', NULL, NULL, NULL, 6),
(16309, NULL, 'PF15785', NULL, NULL, 'Serine/threonine-protein kinase smg-1', NULL, 'SMG1', NULL, NULL, NULL, 6),
(16310, NULL, 'PF12894', NULL, NULL, 'Anaphase-promoting complex subunit 4 WD40 domain', NULL, 'ANAPC4_WD40', NULL, NULL, NULL, 6),
(16311, NULL, 'PF06854', NULL, NULL, 'Bacteriophage Gp15 protein', NULL, 'Phage_Gp15', NULL, NULL, NULL, 6),
(16312, NULL, 'PF06066', NULL, NULL, 'SepZ', NULL, 'SepZ', NULL, NULL, NULL, 6),
(16313, NULL, 'PF05344', NULL, NULL, 'Domain of Unknown Function (DUF746)', NULL, 'DUF746', NULL, NULL, NULL, 6),
(16314, NULL, 'PF12189', NULL, NULL, 'Single-strand DNA-binding protein', NULL, 'VirE1', NULL, NULL, NULL, 6),
(16315, NULL, 'PF00902', NULL, NULL, 'Sec-independent protein translocase protein (TatC)', NULL, 'TatC', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16316, NULL, 'PF02281', NULL, NULL, 'Transposase Tn5 dimerisation domain', NULL, 'Dimer_Tnp_Tn5', NULL, NULL, NULL, 6),
(16317, NULL, 'PF08978', NULL, NULL, 'Reoviridae VP9', NULL, 'Reoviridae_Vp9', NULL, NULL, NULL, 6),
(16318, NULL, 'PF19055', NULL, NULL, 'ABC-2 type transporter', NULL, 'ABC2_membrane_7', NULL, NULL, NULL, 6),
(16319, NULL, 'PF12942', NULL, NULL, 'Archaeal ammonia monooxygenase subunit A (AmoA)', NULL, 'Archaeal_AmoA', NULL, NULL, NULL, 6),
(16320, NULL, 'PF10621', NULL, NULL, 'F420H2 dehydrogenase subunit FpoO', NULL, 'FpoO', NULL, NULL, NULL, 6),
(16321, NULL, 'PF09006', NULL, NULL, 'Lung surfactant protein D coiled-coil trimerisation', NULL, 'Surfac_D-trimer', NULL, NULL, NULL, 6),
(16322, NULL, 'PF04053', NULL, NULL, 'Coatomer WD associated region', NULL, 'Coatomer_WDAD', NULL, NULL, NULL, 6),
(16323, NULL, 'PF14745', NULL, NULL, 'WASH complex subunit 7, N-terminal', NULL, 'WASH-7_N', NULL, NULL, NULL, 6),
(16324, NULL, 'PF16559', NULL, NULL, 'GIT coiled-coil Rho guanine nucleotide exchange factor', NULL, 'GIT_CC', NULL, NULL, NULL, 6),
(16325, NULL, 'PF16705', NULL, NULL, 'NUDIX, or N-terminal NPxY motif-rich,  region of KRIT', NULL, 'NUDIX_5', NULL, NULL, NULL, 6),
(16326, NULL, 'PF08520', NULL, NULL, 'Fungal protein of unknown function (DUF1748)', NULL, 'DUF1748', NULL, NULL, NULL, 6),
(16327, NULL, 'PF05836', NULL, NULL, 'Chorion protein S16', NULL, 'Chorion_S16', NULL, NULL, NULL, 6),
(16328, NULL, 'PF16347', NULL, NULL, 'Domain of unknown function (DUF4976)', NULL, 'DUF4976', NULL, NULL, NULL, 6),
(16329, NULL, 'PF14017', NULL, NULL, 'Protein of unknown function (DUF4233)', NULL, 'DUF4233', NULL, NULL, NULL, 6),
(16330, NULL, 'PF01184', NULL, NULL, 'GPR1/FUN34/yaaH family', NULL, 'Gpr1_Fun34_YaaH', NULL, NULL, NULL, 6),
(16331, NULL, 'PF12389', NULL, NULL, 'Camelysin metallo-endopeptidase', NULL, 'Peptidase_M73', NULL, NULL, NULL, 6),
(16332, NULL, 'PF14876', NULL, NULL, 'Respiratory growth transcriptional regulator', NULL, 'RSF', NULL, NULL, NULL, 6),
(16333, NULL, 'PF10620', NULL, NULL, 'Phosphoribosyl-dephospho-CoA transferase MdcG', NULL, 'MdcG', NULL, NULL, NULL, 6),
(16334, NULL, 'PF12816', NULL, NULL, 'Golgi CORVET complex core vacuolar protein 8', NULL, 'Vps8', NULL, NULL, NULL, 6),
(16335, NULL, 'PF04247', NULL, NULL, 'Invasion gene expression up-regulator, SirB', NULL, 'SirB', NULL, NULL, NULL, 6),
(16336, NULL, 'PF13270', NULL, NULL, 'Domain of unknown function (DUF4061)', NULL, 'DUF4061', NULL, NULL, NULL, 6),
(16337, NULL, 'PF03456', NULL, NULL, 'uDENN domain', NULL, 'uDENN', NULL, NULL, NULL, 6),
(16338, NULL, 'PF10892', NULL, NULL, 'Protein of unknown function (DUF2688)', NULL, 'DUF2688', NULL, NULL, NULL, 6),
(16339, NULL, 'PF17340', NULL, NULL, 'Family of unknown function (DUF5370)', NULL, 'DUF5370', NULL, NULL, NULL, 6),
(16340, NULL, 'PF07635', NULL, NULL, 'Planctomycete cytochrome C', NULL, 'PSCyt1', NULL, NULL, NULL, 6),
(16341, NULL, 'PF06678', NULL, NULL, 'Protein of unknown function (DUF1179)', NULL, 'DUF1179', NULL, NULL, NULL, 6),
(16342, NULL, 'PF17264', NULL, NULL, 'Family of unknown function (DUF5330)', NULL, 'DUF5330', NULL, NULL, NULL, 6),
(16343, NULL, 'PF13377', NULL, NULL, 'Periplasmic binding protein-like domain', NULL, 'Peripla_BP_3', NULL, NULL, NULL, 6),
(16344, NULL, 'PF10360', NULL, NULL, 'Protein of unknown function (DUF2433)', NULL, 'DUF2433', NULL, NULL, NULL, 6),
(16345, NULL, 'PF13319', NULL, NULL, 'Protein of unknown function (DUF4090)', NULL, 'DUF4090', NULL, NULL, NULL, 6),
(16346, NULL, 'PF06892', NULL, NULL, 'Phage regulatory protein CII (CP76)', NULL, 'Phage_CP76', NULL, NULL, NULL, 6),
(16347, NULL, 'PF08914', NULL, NULL, 'Rap1 Myb domain', NULL, 'Myb_DNA-bind_2', NULL, NULL, NULL, 6),
(16348, NULL, 'PF12881', NULL, NULL, 'NUT protein', NULL, 'NUT', NULL, NULL, NULL, 6),
(16349, NULL, 'PF05906', NULL, NULL, 'Herpesvirus-7 repeat of unknown function (DUF865)', NULL, 'DUF865', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16350, NULL, 'PF07672', NULL, NULL, 'Mycoplasma MFS transporter', NULL, 'MFS_Mycoplasma', NULL, NULL, NULL, 6),
(16351, NULL, 'PF10315', NULL, NULL, 'Altered inheritance of mitochondria protein 19', NULL, 'Aim19', NULL, NULL, NULL, 6),
(16352, NULL, 'PF05526', NULL, NULL, 'Rhodococcus equi virulence-associated protein', NULL, 'R_equi_Vir', NULL, NULL, NULL, 6),
(16353, NULL, 'PF14232', NULL, NULL, 'Domain of unknown function (DUF4334)', NULL, 'DUF4334', NULL, NULL, NULL, 6),
(16354, NULL, 'PF09808', NULL, NULL, 'Small nuclear RNA activating complex (SNAPc), subunit SNAP43', NULL, 'SNAPc_SNAP43', NULL, NULL, NULL, 6),
(16355, NULL, 'PF18294', NULL, NULL, 'Peptidase S41 N-terminal domain', NULL, 'Pept_S41_N', NULL, NULL, NULL, 6),
(16356, NULL, 'PF14395', NULL, NULL, 'Phage phiEco32-like COOH.NH2 ligase-type 2', NULL, 'COOH-NH2_lig', NULL, NULL, NULL, 6),
(16357, NULL, 'PF08459', NULL, NULL, 'UvrC RIbonuclease H-like domain', NULL, 'UvrC_HhH_N', NULL, NULL, NULL, 6),
(16358, NULL, 'PF16050', NULL, NULL, 'Paf1 complex subunit CDC73 N-terminal', NULL, 'CDC73_N', NULL, NULL, NULL, 6),
(16359, NULL, 'PF17341', NULL, NULL, 'Family of unknown function (DUF5371)', NULL, 'DUF5371', NULL, NULL, NULL, 6),
(16360, NULL, 'PF06852', NULL, NULL, 'Protein of unknown function (DUF1248)', NULL, 'DUF1248', NULL, NULL, NULL, 6),
(16361, NULL, 'PF04679', NULL, NULL, 'ATP dependent DNA ligase C terminal region', NULL, 'DNA_ligase_A_C', NULL, NULL, NULL, 6),
(16362, NULL, 'PF18057', NULL, NULL, 'Domain of unknown function (DUF5594)', NULL, 'DUF5594', NULL, NULL, NULL, 6),
(16363, NULL, 'PF00337', NULL, NULL, 'Galactoside-binding lectin', NULL, 'Gal-bind_lectin', NULL, NULL, NULL, 6),
(16364, NULL, 'PF18836', NULL, NULL, 'Beta solenoid repeat from YDCK', NULL, 'B_solenoid_ydck', NULL, NULL, NULL, 6),
(16365, NULL, 'PF01348', NULL, NULL, 'Type II intron maturase', NULL, 'Intron_maturas2', NULL, NULL, NULL, 6),
(16366, NULL, 'PF10652', NULL, NULL, 'Protein of unknown function (DUF2480)', NULL, 'DUF2480', NULL, NULL, NULL, 6),
(16367, NULL, 'PF16899', NULL, NULL, 'Cyclin C-terminal domain', NULL, 'Cyclin_C_2', NULL, NULL, NULL, 6),
(16368, NULL, 'PF12213', NULL, NULL, 'DNA polymerases epsilon N terminal', NULL, 'Dpoe2NT', NULL, NULL, NULL, 6),
(16369, NULL, 'PF10998', NULL, NULL, 'Protein of unknown function (DUF2838)', NULL, 'DUF2838', NULL, NULL, NULL, 6),
(16370, NULL, 'PF17860', NULL, NULL, 'RK-1-like defensin', NULL, 'Defensin_RK-1', NULL, NULL, NULL, 6),
(16371, NULL, 'PF00709', NULL, NULL, 'Adenylosuccinate synthetase', NULL, 'Adenylsucc_synt', NULL, NULL, NULL, 6),
(16372, NULL, 'PF11185', NULL, NULL, 'Protein of unknown function (DUF2971)', NULL, 'DUF2971', NULL, NULL, NULL, 6),
(16373, NULL, 'PF13098', NULL, NULL, 'Thioredoxin-like domain', NULL, 'Thioredoxin_2', NULL, NULL, NULL, 6),
(16374, NULL, 'PF03408', NULL, NULL, 'Foamy virus envelope protein', NULL, 'Foamy_virus_ENV', NULL, NULL, NULL, 6),
(16375, NULL, 'PF09587', NULL, NULL, 'Bacterial capsule synthesis protein PGA_cap', NULL, 'PGA_cap', NULL, NULL, NULL, 6),
(16376, NULL, 'PF06016', NULL, NULL, 'Reovirus core-spike protein lambda-2 (L2)', NULL, 'Reovirus_L2', NULL, NULL, NULL, 6),
(16377, NULL, 'PF03601', NULL, NULL, 'Conserved hypothetical protein 698', NULL, 'Cons_hypoth698', NULL, NULL, NULL, 6),
(16378, NULL, 'PF08379', NULL, NULL, 'Bacterial transglutaminase-like N-terminal region', NULL, 'Bact_transglu_N', NULL, NULL, NULL, 6),
(16379, NULL, 'PF18700', NULL, NULL, 'Cytosolic arginine sensor for mTORC1 subunit 1 N-terminal domain', NULL, 'Castor1_N', NULL, NULL, NULL, 6),
(16380, NULL, 'PF05534', NULL, NULL, 'HicB family', NULL, 'HicB', NULL, NULL, NULL, 6),
(16381, NULL, 'PF06450', NULL, NULL, 'Bacterial Na+/H+ antiporter B (NhaB)', NULL, 'NhaB', NULL, NULL, NULL, 6),
(16382, NULL, 'PF12447', NULL, NULL, 'Protein of unknown function (DUF3683)', NULL, 'DUF3683', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16383, NULL, 'PF14096', NULL, NULL, 'Domain of unknown function (DUF4274)', NULL, 'DUF4274', NULL, NULL, NULL, 6),
(16384, NULL, 'PF04392', NULL, NULL, 'ABC transporter substrate binding protein', NULL, 'ABC_sub_bind', NULL, NULL, NULL, 6),
(16385, NULL, 'PF13096', NULL, NULL, 'CENP-A-nucleosome distal (CAD) centromere subunit, CENP-P', NULL, 'CENP-P', NULL, NULL, NULL, 6),
(16386, NULL, 'PF08884', NULL, NULL, 'Flagellin D3 domain', NULL, 'Flagellin_D3', NULL, NULL, NULL, 6),
(16387, NULL, 'PF00019', NULL, NULL, 'Transforming growth factor beta like domain', NULL, 'TGF_beta', NULL, NULL, NULL, 6),
(16388, NULL, 'PF13664', NULL, NULL, 'Domain of unknown function (DUF4149)', NULL, 'DUF4149', NULL, NULL, NULL, 6),
(16389, NULL, 'PF18944', NULL, NULL, 'Family of unknown function (DUF5691)', NULL, 'DUF5691', NULL, NULL, NULL, 6),
(16390, NULL, 'PF00326', NULL, NULL, 'Prolyl oligopeptidase family', NULL, 'Peptidase_S9', NULL, NULL, NULL, 6),
(16391, NULL, 'PF02201', NULL, NULL, 'SWIB/MDM2 domain', NULL, 'SWIB', NULL, NULL, NULL, 6),
(16392, NULL, 'PF18596', NULL, NULL, 'Sld7 C-terminal domain', NULL, 'Sld7_C', NULL, NULL, NULL, 6),
(16393, NULL, 'PF10321', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srt', NULL, '7TM_GPCR_Srt', NULL, NULL, NULL, 6),
(16394, NULL, 'PF18297', NULL, NULL, 'NFACT protein RNA binding domain', NULL, 'NFACT-R_2', NULL, NULL, NULL, 6),
(16395, NULL, 'PF03355', NULL, NULL, 'Viral Trans-Activator Protein', NULL, 'Pox_TAP', NULL, NULL, NULL, 6),
(16396, NULL, 'PF05983', NULL, NULL, 'MED7 protein', NULL, 'Med7', NULL, NULL, NULL, 6),
(16397, NULL, 'PF14239', NULL, NULL, 'RRXRR protein', NULL, 'RRXRR', NULL, NULL, NULL, 6),
(16398, NULL, 'PF08760', NULL, NULL, 'Domain of unknown function (DUF1793)', NULL, 'DUF1793', NULL, NULL, NULL, 6),
(16399, NULL, 'PF08369', NULL, NULL, 'Proto-chlorophyllide reductase 57 kD subunit', NULL, 'PCP_red', NULL, NULL, NULL, 6),
(16400, NULL, 'PF18098', NULL, NULL, '26S proteasome regulatory subunit RPN5 C-terminal domain', NULL, 'RPN5_C', NULL, NULL, NULL, 6),
(16401, NULL, 'PF11703', NULL, NULL, 'UPF0506', NULL, 'UPF0506', NULL, NULL, NULL, 6),
(16402, NULL, 'PF09406', NULL, NULL, 'Protein of unknown function (DUF2004)', NULL, 'DUF2004', NULL, NULL, NULL, 6),
(16403, NULL, 'PF15144', NULL, NULL, 'Domain of unknown function (DUF4576)', NULL, 'DUF4576', NULL, NULL, NULL, 6),
(16404, NULL, 'PF08611', NULL, NULL, 'Fungal protein of unknown function (DUF1774)', NULL, 'DUF1774', NULL, NULL, NULL, 6),
(16405, NULL, 'PF15484', NULL, NULL, 'Domain of unknown function (DUF4642)', NULL, 'DUF4642', NULL, NULL, NULL, 6),
(16406, NULL, 'PF16763', NULL, NULL, 'Major ampullate spidroin 1, spider silk protein 1, N-term', NULL, 'Spidroin_N', NULL, NULL, NULL, 6),
(16407, NULL, 'PF18578', NULL, NULL, 'Rubisco accumulation factor 1 alpha helical domain', NULL, 'Raf1_N', NULL, NULL, NULL, 6),
(16408, NULL, 'PF02927', NULL, NULL, 'Cellulase N-terminal ig-like domain', NULL, 'CelD_N', NULL, NULL, NULL, 6),
(16409, NULL, 'PF18582', NULL, NULL, 'Hydrazine synthase alpha subunit middle domain', NULL, 'HZS_alpha', NULL, NULL, NULL, 6),
(16410, NULL, 'PF16223', NULL, NULL, 'Domain of unknown function (DUF4882)', NULL, 'DUF4882', NULL, NULL, NULL, 6),
(16411, NULL, 'PF15606', NULL, NULL, 'Bacterial toxin 34', NULL, 'Ntox34', NULL, NULL, NULL, 6),
(16412, NULL, 'PF11415', NULL, NULL, 'Antifungal peptide termicin', NULL, 'Toxin_37', NULL, NULL, NULL, 6),
(16413, NULL, 'PF16599', NULL, NULL, 'Unstructured linker region on PTN13 protein between PDZ', NULL, 'PTN13_u3', NULL, NULL, NULL, 6),
(16414, NULL, 'PF00900', NULL, NULL, 'Ribosomal family S4e', NULL, 'Ribosomal_S4e', NULL, NULL, NULL, 6),
(16415, NULL, 'PF00447', NULL, NULL, 'HSF-type DNA-binding', NULL, 'HSF_DNA-bind', NULL, NULL, NULL, 6),
(16416, NULL, 'PF12208', NULL, NULL, 'Domain of unknown function (DUF3601)', NULL, 'DUF3601', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16417, NULL, 'PF00232', NULL, NULL, 'Glycosyl hydrolase family 1', NULL, 'Glyco_hydro_1', NULL, NULL, NULL, 6),
(16418, NULL, 'PF00184', NULL, NULL, 'Neurohypophysial hormones, C-terminal Domain', NULL, 'Hormone_5', NULL, NULL, NULL, 6),
(16419, NULL, 'PF07202', NULL, NULL, 'T-complex protein 10 C-terminus', NULL, 'Tcp10_C', NULL, NULL, NULL, 6),
(16420, NULL, 'PF02929', NULL, NULL, 'Beta galactosidase small chain', NULL, 'Bgal_small_N', NULL, NULL, NULL, 6),
(16421, NULL, 'PF17557', NULL, NULL, 'I2-superfamily conotoxins', NULL, 'Conotoxin_I2', NULL, NULL, NULL, 6),
(16422, NULL, 'PF11747', NULL, NULL, 'Killing trait', NULL, 'RebB', NULL, NULL, NULL, 6),
(16423, NULL, 'PF16421', NULL, NULL, 'E2F transcription factor CC-MB domain', NULL, 'E2F_CC-MB', NULL, NULL, NULL, 6),
(16424, NULL, 'PF11100', NULL, NULL, 'Conjugal transfer protein TrbE', NULL, 'TrbE', NULL, NULL, NULL, 6),
(16425, NULL, 'PF15765', NULL, NULL, 'Domain of unknown function (DUF4694)', NULL, 'DUF4694', NULL, NULL, NULL, 6),
(16426, NULL, 'PF10735', NULL, NULL, 'Protein of unknown function (DUF2526)', NULL, 'DUF2526', NULL, NULL, NULL, 6),
(16427, NULL, 'PF02834', NULL, NULL, 'LigT like Phosphoesterase', NULL, 'LigT_PEase', NULL, NULL, NULL, 6),
(16428, NULL, 'PF14118', NULL, NULL, 'YfzA-like protein', NULL, 'YfzA', NULL, NULL, NULL, 6),
(16429, NULL, 'PF17451', NULL, NULL, 'Glycosyl hydrolase 101 beta sandwich domain', NULL, 'Glyco_hyd_101C', NULL, NULL, NULL, 6),
(16430, NULL, 'PF01497', NULL, NULL, 'Periplasmic binding protein', NULL, 'Peripla_BP_2', NULL, NULL, NULL, 6),
(16431, NULL, 'PF13785', NULL, NULL, 'Domain of unknown function (DUF4178)', NULL, 'DUF4178', NULL, NULL, NULL, 6),
(16432, NULL, 'PF17828', NULL, NULL, 'N-terminal domain in fatty acid synthase subunit beta', NULL, 'FAS_N', NULL, NULL, NULL, 6),
(16433, NULL, 'PF16548', NULL, NULL, 'Flagellar assembly protein T, N-terminal domain', NULL, 'FlgT_N', NULL, NULL, NULL, 6),
(16434, NULL, 'PF14475', NULL, NULL, 'Sec1-binding region of Mso1', NULL, 'Mso1_Sec1_bdg', NULL, NULL, NULL, 6),
(16435, NULL, 'PF08318', NULL, NULL, 'COG4 transport protein', NULL, 'COG4', NULL, NULL, NULL, 6),
(16436, NULL, 'PF07388', NULL, NULL, 'Alpha-2,8-polysialyltransferase (POLYST)', NULL, 'A-2_8-polyST', NULL, NULL, NULL, 6),
(16437, NULL, 'PF07867', NULL, NULL, 'Protein of unknown function (DUF1654)', NULL, 'DUF1654', NULL, NULL, NULL, 6),
(16438, NULL, 'PF00008', NULL, NULL, 'EGF-like domain', NULL, 'EGF', NULL, NULL, NULL, 6),
(16439, NULL, 'PF06781', NULL, NULL, 'Cell division protein CrgA', NULL, 'CrgA', NULL, NULL, NULL, 6),
(16440, NULL, 'PF14545', NULL, NULL, 'Dof, BCAP, and BANK (DBB) motif,', NULL, 'DBB', NULL, NULL, NULL, 6),
(16441, NULL, 'PF15923', NULL, NULL, 'Domain of unknown function (DUF4745)', NULL, 'DUF4745', NULL, NULL, NULL, 6),
(16442, NULL, 'PF06601', NULL, NULL, 'Orthopoxvirus F6 protein', NULL, 'Orthopox_F6', NULL, NULL, NULL, 6),
(16443, NULL, 'PF12175', NULL, NULL, 'White spot syndrome virus structural envelope protein VP', NULL, 'WSS_VP', NULL, NULL, NULL, 6),
(16444, NULL, 'PF07862', NULL, NULL, 'Nif11 domain', NULL, 'Nif11', NULL, NULL, NULL, 6),
(16445, NULL, 'PF03521', NULL, NULL, 'Kv2 voltage-gated K+ channel', NULL, 'Kv2channel', NULL, NULL, NULL, 6),
(16446, NULL, 'PF08338', NULL, NULL, 'Domain of unknown function (DUF1731)', NULL, 'DUF1731', NULL, NULL, NULL, 6),
(16447, NULL, 'PF11284', NULL, NULL, 'Protein of unknown function (DUF3085)', NULL, 'DUF3085', NULL, NULL, NULL, 6),
(16448, NULL, 'PF10430', NULL, NULL, 'Tie-2 Ig-like domain 1', NULL, 'Ig_Tie2_1', NULL, NULL, NULL, 6),
(16449, NULL, 'PF09424', NULL, NULL, 'Yqey-like protein', NULL, 'YqeY', NULL, NULL, NULL, 6),
(16450, NULL, 'PF17496', NULL, NULL, 'Family of unknown function (DUF5431)', NULL, 'DUF5431', NULL, NULL, NULL, 6),
(16451, NULL, 'PF08964', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall_3', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16452, NULL, 'PF16894', NULL, NULL, 'Domain of unknown function (DUF5084)', NULL, 'DUF5084', NULL, NULL, NULL, 6),
(16453, NULL, 'PF17545', NULL, NULL, 'Family of unknown function (DUF5461)', NULL, 'DUF5461', NULL, NULL, NULL, 6),
(16454, NULL, 'PF19159', NULL, NULL, 'Family of unknown function (DUF5841)', NULL, 'DUF5841', NULL, NULL, NULL, 6),
(16455, NULL, 'PF16308', NULL, NULL, 'Domain of unknown function (DUF4950)', NULL, 'DUF4950', NULL, NULL, NULL, 6),
(16456, NULL, 'PF04723', NULL, NULL, 'Glycine reductase complex selenoprotein A', NULL, 'GRDA', NULL, NULL, NULL, 6),
(16457, NULL, 'PF11624', NULL, NULL, 'MHC class I-like protein M157', NULL, 'M157', NULL, NULL, NULL, 6),
(16458, NULL, 'PF12005', NULL, NULL, 'Protein of unknown function (DUF3499)', NULL, 'DUF3499', NULL, NULL, NULL, 6),
(16459, NULL, 'PF10875', NULL, NULL, 'Protein of unknown function (DUF2670)', NULL, 'DUF2670', NULL, NULL, NULL, 6),
(16460, NULL, 'PF12222', NULL, NULL, 'Peptide N-acetyl-beta-D-glucosaminyl asparaginase amidase A', NULL, 'PNGaseA', NULL, NULL, NULL, 6),
(16461, NULL, 'PF14511', NULL, NULL, 'Type II restriction endonuclease EcoO109I', NULL, 'RE_EcoO109I', NULL, NULL, NULL, 6),
(16462, NULL, 'PF04545', NULL, NULL, 'Sigma-70, region 4', NULL, 'Sigma70_r4', NULL, NULL, NULL, 6),
(16463, NULL, 'PF18273', NULL, NULL, 'Type III R-M EcoP15I C-terminal domain', NULL, 'T3RM_EcoP15I_C', NULL, NULL, NULL, 6),
(16464, NULL, 'PF13225', NULL, NULL, 'Domain of unknown function (DUF4033)', NULL, 'DUF4033', NULL, NULL, NULL, 6),
(16465, NULL, 'PF13022', NULL, NULL, 'Helix-turn-helix of insertion element transposase', NULL, 'HTH_Tnp_1_2', NULL, NULL, NULL, 6),
(16466, NULL, 'PF00011', NULL, NULL, 'Hsp20/alpha crystallin family', NULL, 'HSP20', NULL, NULL, NULL, 6),
(16467, NULL, 'PF07766', NULL, NULL, 'LETM1-like protein', NULL, 'LETM1', NULL, NULL, NULL, 6),
(16468, NULL, 'PF18877', NULL, NULL, 'SSSPR-51 domain', NULL, 'SSSPR-51', NULL, NULL, NULL, 6),
(16469, NULL, 'PF12569', NULL, NULL, 'NMDA receptor-regulated protein 1', NULL, 'NARP1', NULL, NULL, NULL, 6),
(16470, NULL, 'PF09341', NULL, NULL, 'Transcription factor Pcc1', NULL, 'Pcc1', NULL, NULL, NULL, 6),
(16471, NULL, 'PF04947', NULL, NULL, 'Poxvirus Late Transcription Factor VLTF3 like', NULL, 'Pox_VLTF3', NULL, NULL, NULL, 6),
(16472, NULL, 'PF10591', NULL, NULL, 'Secreted protein acidic and rich in cysteine Ca binding region', NULL, 'SPARC_Ca_bdg', NULL, NULL, NULL, 6),
(16473, NULL, 'PF05690', NULL, NULL, 'Thiazole biosynthesis protein ThiG', NULL, 'ThiG', NULL, NULL, NULL, 6),
(16474, NULL, 'PF07476', NULL, NULL, 'Methylaspartate ammonia-lyase C-terminus', NULL, 'MAAL_C', NULL, NULL, NULL, 6),
(16475, NULL, 'PF06420', NULL, NULL, 'Mitochondrial genome maintenance MGM101', NULL, 'Mgm101p', NULL, NULL, NULL, 6),
(16476, NULL, 'PF14262', NULL, NULL, 'Carbohydrate-binding domain-containing protein Cthe_2159', NULL, 'Cthe_2159', NULL, NULL, NULL, 6),
(16477, NULL, 'PF15202', NULL, NULL, 'Adipogenin', NULL, 'Adipogenin', NULL, NULL, NULL, 6),
(16478, NULL, 'PF15852', NULL, NULL, 'Domain of unknown function (DUF4724)', NULL, 'DUF4724', NULL, NULL, NULL, 6),
(16479, NULL, 'PF11580', NULL, NULL, 'Protein of unknown function (DUF3239)', NULL, 'DUF3239', NULL, NULL, NULL, 6),
(16480, NULL, 'PF02357', NULL, NULL, 'Transcription termination factor nusG', NULL, 'NusG', NULL, NULL, NULL, 6),
(16481, NULL, 'PF18579', NULL, NULL, 'Rubisco accumulation factor 1 helix turn helix domain', NULL, 'Raf1_HTH', NULL, NULL, NULL, 6),
(16482, NULL, 'PF10186', NULL, NULL, 'Vacuolar sorting 38 and autophagy-related subunit 14', NULL, 'Atg14', NULL, NULL, NULL, 6),
(16483, NULL, 'PF10987', NULL, NULL, 'Protein of unknown function (DUF2806)', NULL, 'DUF2806', NULL, NULL, NULL, 6),
(16484, NULL, 'PF12601', NULL, NULL, 'Rubivirus non-structural protein', NULL, 'Rubi_NSP_C', NULL, NULL, NULL, 6),
(16485, NULL, 'PF01776', NULL, NULL, 'Ribosomal L22e protein family', NULL, 'Ribosomal_L22e', NULL, NULL, NULL, 6);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16486, NULL, 'PF11317', NULL, NULL, 'Protein of unknown function (DUF3119)', NULL, 'DUF3119', NULL, NULL, NULL, 6),
(16487, NULL, 'PF07963', NULL, NULL, 'Prokaryotic N-terminal methylation motif', NULL, 'N_methyl', NULL, NULL, NULL, 6),
(16488, NULL, 'PF10867', NULL, NULL, 'Protein of unknown function (DUF2664)', NULL, 'DUF2664', NULL, NULL, NULL, 6),
(16489, NULL, 'PF06809', NULL, NULL, 'Neural proliferation differentiation control-1 protein (NPDC1)', NULL, 'NPDC1', NULL, NULL, NULL, 6),
(16490, NULL, 'PF07583', NULL, NULL, 'Protein of unknown function (DUF1549)', NULL, 'PSCyt2', NULL, NULL, NULL, 6),
(16491, NULL, 'PF15179', NULL, NULL, 'Myc target protein 1', NULL, 'Myc_target_1', NULL, NULL, NULL, 6),
(16492, NULL, 'PF09679', NULL, NULL, 'Type-F conjugative transfer system pilin chaperone (TraQ)', NULL, 'TraQ', NULL, NULL, NULL, 6),
(16493, NULL, 'PF16434', NULL, NULL, 'Domain of unknown function (DUF5031)', NULL, 'DUF5031', NULL, NULL, NULL, 6),
(16494, NULL, 'PF04304', NULL, NULL, 'Protein of unknown function (DUF454)', NULL, 'DUF454', NULL, NULL, NULL, 6),
(16495, NULL, 'PF09382', NULL, NULL, 'RQC domain', NULL, 'RQC', NULL, NULL, NULL, 6),
(16496, NULL, 'PF17364', NULL, NULL, 'Family of unknown function (DUF5389)', NULL, 'DUF5389', NULL, NULL, NULL, 6),
(16497, NULL, 'PF13975', NULL, NULL, 'gag-polyprotein putative aspartyl protease', NULL, 'gag-asp_proteas', NULL, NULL, NULL, 6),
(16498, NULL, 'PF15865', NULL, NULL, 'Fanconi anaemia group A protein N terminus', NULL, 'Fanconi_A_N', NULL, NULL, NULL, 6),
(16499, NULL, 'PF04648', NULL, NULL, 'Yeast mating factor alpha hormone', NULL, 'MF_alpha', NULL, NULL, NULL, 6),
(16500, NULL, 'PF12546', NULL, NULL, 'Blue/Ultraviolet sensing protein C terminal', NULL, 'Cryptochrome_C', NULL, NULL, NULL, 6),
(16501, NULL, 'PF01287', NULL, NULL, 'Eukaryotic elongation factor 5A hypusine, DNA-binding OB fold', NULL, 'eIF-5a', NULL, NULL, NULL, 6),
(16502, NULL, 'PF03081', NULL, NULL, 'Exo70 exocyst complex subunit', NULL, 'Exo70', NULL, NULL, NULL, 6),
(16503, NULL, 'PF09550', NULL, NULL, 'Phage tail assembly chaperone protein, TAC', NULL, 'Phage_TAC_6', NULL, NULL, NULL, 6),
(16504, NULL, 'PF06807', NULL, NULL, 'Pre-mRNA cleavage complex II protein Clp1', NULL, 'Clp1', NULL, NULL, NULL, 6),
(16505, NULL, 'PF09858', NULL, NULL, 'Predicted membrane protein (DUF2085)', NULL, 'DUF2085', NULL, NULL, NULL, 6),
(16506, NULL, 'PF14501', NULL, NULL, 'GHKL domain', NULL, 'HATPase_c_5', NULL, NULL, NULL, 6),
(16507, NULL, 'PF10647', NULL, NULL, 'Lipoprotein LpqB beta-propeller domain', NULL, 'Gmad1', NULL, NULL, NULL, 6),
(16508, NULL, 'PF00801', NULL, NULL, 'PKD domain', NULL, 'PKD', NULL, NULL, NULL, 6),
(16509, NULL, 'PF03438', NULL, NULL, 'Pneumovirus NS1 protein', NULL, 'Pneumo_NS1', NULL, NULL, NULL, 6),
(16510, NULL, 'PF15527', NULL, NULL, 'Bacterial toxin 22', NULL, 'Ntox22', NULL, NULL, NULL, 6),
(16511, NULL, 'PF14728', NULL, NULL, 'PTHB1 C-terminus', NULL, 'PHTB1_C', NULL, NULL, NULL, 6),
(16512, NULL, 'PF07454', NULL, NULL, 'Stage II sporulation protein P (SpoIIP)', NULL, 'SpoIIP', NULL, NULL, NULL, 6),
(16513, NULL, 'PF16556', NULL, NULL, 'Interleukin-17 receptor, fibronectin-III-like domain 1', NULL, 'IL17R_fnIII_D1', NULL, NULL, NULL, 6),
(16514, NULL, 'PF01505', NULL, NULL, 'Major Vault Protein repeat domain', NULL, 'Vault', NULL, NULL, NULL, 6),
(16515, NULL, 'PF16247', NULL, NULL, 'Domain of unknown function (DUF4904)', NULL, 'DUF4904', NULL, NULL, NULL, 6),
(16516, NULL, 'PF15369', NULL, NULL, 'Uncharacterised protein KIAA1328', NULL, 'KIAA1328', NULL, NULL, NULL, 6),
(16517, NULL, 'PF12860', NULL, NULL, 'PAS fold', NULL, 'PAS_7', NULL, NULL, NULL, 6),
(16518, NULL, 'PF04252', NULL, NULL, 'Predicted SAM-dependent RNA methyltransferase', NULL, 'RNA_Me_trans', NULL, NULL, NULL, 6),
(16519, NULL, 'PF07619', NULL, NULL, 'Protein of unknown function (DUF1581)', NULL, 'DUF1581', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16520, NULL, 'PF05360', NULL, NULL, 'yiaA/B two helix domain', NULL, 'YiaAB', NULL, NULL, NULL, 6),
(16521, NULL, 'PF08079', NULL, NULL, 'Ribosomal L30 N-terminal domain', NULL, 'Ribosomal_L30_N', NULL, NULL, NULL, 6),
(16522, NULL, 'PF13380', NULL, NULL, 'CoA binding domain', NULL, 'CoA_binding_2', NULL, NULL, NULL, 6),
(16523, NULL, 'PF09289', NULL, NULL, 'Follistatin/Osteonectin-like EGF domain', NULL, 'FOLN', NULL, NULL, NULL, 6),
(16524, NULL, 'PF00305', NULL, NULL, 'Lipoxygenase', NULL, 'Lipoxygenase', NULL, NULL, NULL, 6),
(16525, NULL, 'PF05068', NULL, NULL, 'Mannitol repressor', NULL, 'MtlR', NULL, NULL, NULL, 6),
(16526, NULL, 'PF17989', NULL, NULL, 'Actin like proteins N terminal domain', NULL, 'ALP_N', NULL, NULL, NULL, 6),
(16527, NULL, 'PF11165', NULL, NULL, 'Protein of unknown function (DUF2949)', NULL, 'DUF2949', NULL, NULL, NULL, 6),
(16528, NULL, 'PF05993', NULL, NULL, 'Reovirus major virion structural protein Mu-1/Mu-1C (M2)', NULL, 'Reovirus_M2', NULL, NULL, NULL, 6),
(16529, NULL, 'PF18236', NULL, NULL, 'Argonaute N domain', NULL, 'AGO_N', NULL, NULL, NULL, 6),
(16530, NULL, 'PF06965', NULL, NULL, 'Na+/H+ antiporter 1', NULL, 'Na_H_antiport_1', NULL, NULL, NULL, 6),
(16531, NULL, 'PF05065', NULL, NULL, 'Phage capsid family', NULL, 'Phage_capsid', NULL, NULL, NULL, 6),
(16532, NULL, 'PF06500', NULL, NULL, 'Alpha/beta hydrolase of unknown function (DUF1100)', NULL, 'DUF1100', NULL, NULL, NULL, 6),
(16533, NULL, 'PF13517', NULL, NULL, 'Repeat domain in Vibrio, Colwellia, Bradyrhizobium and Shewanella', NULL, 'VCBS', NULL, NULL, NULL, 6),
(16534, NULL, 'PF15678', NULL, NULL, 'Centriole duplication and mitotic chromosome congression', NULL, 'SPICE', NULL, NULL, NULL, 6),
(16535, NULL, 'PF02567', NULL, NULL, 'Phenazine biosynthesis-like protein', NULL, 'PhzC-PhzF', NULL, NULL, NULL, 6),
(16536, NULL, 'PF05317', NULL, NULL, 'Thermopsin', NULL, 'Thermopsin', NULL, NULL, NULL, 6),
(16537, NULL, 'PF04881', NULL, NULL, 'Adenovirus GP19K', NULL, 'Adeno_GP19K', NULL, NULL, NULL, 6),
(16538, NULL, 'PF16738', NULL, NULL, 'Starch-binding module 26', NULL, 'CBM26', NULL, NULL, NULL, 6),
(16539, NULL, 'PF04668', NULL, NULL, 'Twisted gastrulation (Tsg) protein conserved region', NULL, 'Tsg', NULL, NULL, NULL, 6),
(16540, NULL, 'PF16355', NULL, NULL, 'Domain of unknown function (DUF4982)', NULL, 'DUF4982', NULL, NULL, NULL, 6),
(16541, NULL, 'PF08310', NULL, NULL, 'LGFP repeat', NULL, 'LGFP', NULL, NULL, NULL, 6),
(16542, NULL, 'PF06598', NULL, NULL, 'Chlorovirus glycoprotein repeat', NULL, 'Chlorovi_GP_rpt', NULL, NULL, NULL, 6),
(16543, NULL, 'PF05293', NULL, NULL, 'African swine fever virus (ASFV) L11L protein', NULL, 'ASFV_L11L', NULL, NULL, NULL, 6),
(16544, NULL, 'PF13204', NULL, NULL, 'Protein of unknown function (DUF4038)', NULL, 'DUF4038', NULL, NULL, NULL, 6),
(16545, NULL, 'PF05149', NULL, NULL, 'Paraflagellar rod protein', NULL, 'Flagellar_rod', NULL, NULL, NULL, 6),
(16546, NULL, 'PF18307', NULL, NULL, 'Transcription factor Tfb2 (p52) C-terminal domain', NULL, 'Tfb2_C', NULL, NULL, NULL, 6),
(16547, NULL, 'PF18530', NULL, NULL, 'Swi6 N-terminal domain', NULL, 'Swi6_N', NULL, NULL, NULL, 6),
(16548, NULL, 'PF09918', NULL, NULL, 'Uncharacterized protein containing a ferredoxin domain (DUF2148)', NULL, 'DUF2148', NULL, NULL, NULL, 6),
(16549, NULL, 'PF09136', NULL, NULL, 'Glucodextranase, domain B', NULL, 'Glucodextran_B', NULL, NULL, NULL, 6),
(16550, NULL, 'PF14595', NULL, NULL, 'Thioredoxin', NULL, 'Thioredoxin_9', NULL, NULL, NULL, 6),
(16551, NULL, 'PF06866', NULL, NULL, 'Protein of unknown function (DUF1256)', NULL, 'DUF1256', NULL, NULL, NULL, 6),
(16552, NULL, 'PF10453', NULL, NULL, 'Nuclear fragile X mental retardation-interacting protein 1 (NUFIP1)', NULL, 'NUFIP1', NULL, NULL, NULL, 6),
(16553, NULL, 'PF17745', NULL, NULL, 'Ydr279p protein triple barrel domain', NULL, 'Ydr279_N', NULL, NULL, NULL, 6),
(16554, NULL, 'PF05451', NULL, NULL, 'Phytoreovirus nonstructural protein Pns10/11', NULL, 'Phytoreo_Pns', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16555, NULL, 'PF11196', NULL, NULL, 'Protein of unknown function (DUF2834)', NULL, 'DUF2834', NULL, NULL, NULL, 6),
(16556, NULL, 'PF06378', NULL, NULL, 'Protein of unknown function (DUF1071)', NULL, 'DUF1071', NULL, NULL, NULL, 6),
(16557, NULL, 'PF05029', NULL, NULL, 'Timeless PAB domain', NULL, 'TIMELESS_C', NULL, NULL, NULL, 6),
(16558, NULL, 'PF18496', NULL, NULL, 'Collagenase G catalytic helper subdomain', NULL, 'ColG_sub', NULL, NULL, NULL, 6),
(16559, NULL, 'PF04322', NULL, NULL, 'Protein of unknown function (DUF473)', NULL, 'DUF473', NULL, NULL, NULL, 6),
(16560, NULL, 'PF03957', NULL, NULL, 'Jun-like transcription factor', NULL, 'Jun', NULL, NULL, NULL, 6),
(16561, NULL, 'PF09598', NULL, NULL, 'Stm1', NULL, 'Stm1_N', NULL, NULL, NULL, 6),
(16562, NULL, 'PF12350', NULL, NULL, 'CTD kinase subunit gamma CTK3 C-terminus', NULL, 'CTK3_C', NULL, NULL, NULL, 6),
(16563, NULL, 'PF02363', NULL, NULL, 'Cysteine rich repeat', NULL, 'C_tripleX', NULL, NULL, NULL, 6),
(16564, NULL, 'PF09485', NULL, NULL, 'CRISPR-associated protein Cse2 (CRISPR_cse2)', NULL, 'CRISPR_Cse2', NULL, NULL, NULL, 6),
(16565, NULL, 'PF01893', NULL, NULL, 'Uncharacterised protein family UPF0058', NULL, 'UPF0058', NULL, NULL, NULL, 6),
(16566, NULL, 'PF13177', NULL, NULL, 'DNA polymerase III, delta subunit', NULL, 'DNA_pol3_delta2', NULL, NULL, NULL, 6),
(16567, NULL, 'PF08453', NULL, NULL, 'Peptidase family M9 N-terminal', NULL, 'Peptidase_M9_N', NULL, NULL, NULL, 6),
(16568, NULL, 'PF16826', NULL, NULL, 'Domain of unknown function (DUF5076)', NULL, 'DUF5076', NULL, NULL, NULL, 6),
(16569, NULL, 'PF11850', NULL, NULL, 'Protein of unknown function (DUF3370)', NULL, 'DUF3370', NULL, NULL, NULL, 6),
(16570, NULL, 'PF00757', NULL, NULL, 'Furin-like cysteine rich region', NULL, 'Furin-like', NULL, NULL, NULL, 6),
(16571, NULL, 'PF06211', NULL, NULL, 'BMP and activin membrane-bound inhibitor (BAMBI) N-terminal domain', NULL, 'BAMBI', NULL, NULL, NULL, 6),
(16572, NULL, 'PF19102', NULL, NULL, 'Family of unknown function (DUF5789)', NULL, 'DUF5789', NULL, NULL, NULL, 6),
(16573, NULL, 'PF05291', NULL, NULL, 'Bystin', NULL, 'Bystin', NULL, NULL, NULL, 6),
(16574, NULL, 'PF04072', NULL, NULL, 'Leucine carboxyl methyltransferase', NULL, 'LCM', NULL, NULL, NULL, 6),
(16575, NULL, 'PF11233', NULL, NULL, 'Protein of unknown function (DUF3035)', NULL, 'DUF3035', NULL, NULL, NULL, 6),
(16576, NULL, 'PF08058', NULL, NULL, 'Nuclear pore complex component', NULL, 'NPCC', NULL, NULL, NULL, 6),
(16577, NULL, 'PF17048', NULL, NULL, 'Neutral/alkaline non-lysosomal ceramidase, C-terminal', NULL, 'Ceramidse_alk_C', NULL, NULL, NULL, 6),
(16578, NULL, 'PF09400', NULL, NULL, 'Protein of unknown function (DUF2002)', NULL, 'DUF2002', NULL, NULL, NULL, 6),
(16579, NULL, 'PF08133', NULL, NULL, 'Anticodon nuclease activator family', NULL, 'Nuclease_act', NULL, NULL, NULL, 6),
(16580, NULL, 'PF13020', NULL, NULL, 'Domain of unknown function (DUF3883)', NULL, 'DUF3883', NULL, NULL, NULL, 6),
(16581, NULL, 'PF15403', NULL, NULL, 'HiaBD2_N domain of Trimeric autotransporter adhesin (GIN)', NULL, 'HiaBD2', NULL, NULL, NULL, 6),
(16582, NULL, 'PF08816', NULL, NULL, 'Inhibitor of vertebrate lysozyme (Ivy)', NULL, 'Ivy', NULL, NULL, NULL, 6),
(16583, NULL, 'PF11514', NULL, NULL, 'Protein of unknown function (DUF3219)', NULL, 'DUF3219', NULL, NULL, NULL, 6),
(16584, NULL, 'PF04925', NULL, NULL, 'SHQ1 protein', NULL, 'SHQ1', NULL, NULL, NULL, 6),
(16585, NULL, 'PF18061', NULL, NULL, 'CRISPR-Cas9 WED domain', NULL, 'CRISPR_Cas9_WED', NULL, NULL, NULL, 6),
(16586, NULL, 'PF08787', NULL, NULL, 'Alginate lyase', NULL, 'Alginate_lyase2', NULL, NULL, NULL, 6),
(16587, NULL, 'PF19190', NULL, NULL, 'Viral BACON domain', NULL, 'BACON_2', NULL, NULL, NULL, 6),
(16588, NULL, 'PF05383', NULL, NULL, 'La domain', NULL, 'La', NULL, NULL, NULL, 6),
(16589, NULL, 'PF09840', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2067)', NULL, 'DUF2067', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16590, NULL, 'PF14625', NULL, NULL, 'Lustrin, cysteine-rich repeated domain', NULL, 'Lustrin_cystein', NULL, NULL, NULL, 6),
(16591, NULL, 'PF04430', NULL, NULL, 'Protein of unknown function (DUF498/DUF598)', NULL, 'DUF498', NULL, NULL, NULL, 6),
(16592, NULL, 'PF08648', NULL, NULL, 'U4/U6.U5 small nuclear ribonucleoproteins', NULL, 'SNRNP27', NULL, NULL, NULL, 6),
(16593, NULL, 'PF06657', NULL, NULL, 'Centrosome microtubule-binding domain of Cep57', NULL, 'Cep57_MT_bd', NULL, NULL, NULL, 6),
(16594, NULL, 'PF19216', NULL, NULL, 'Coronavirus replicase NSP15, middle domain', NULL, 'CoV_NSP15_M', NULL, NULL, NULL, 6),
(16595, NULL, 'PF01187', NULL, NULL, 'Macrophage migration inhibitory factor (MIF)', NULL, 'MIF', NULL, NULL, NULL, 6),
(16596, NULL, 'PF12286', NULL, NULL, 'Protein of unknown function (DUF3622)', NULL, 'DUF3622', NULL, NULL, NULL, 6),
(16597, NULL, 'PF04846', NULL, NULL, 'Herpesvirus pp38 phosphoprotein', NULL, 'Herpes_pp38', NULL, NULL, NULL, 6),
(16598, NULL, 'PF18359', NULL, NULL, 'Histone methyltransferase Tudor domain 1', NULL, 'TUDOR_5', NULL, NULL, NULL, 6),
(16599, NULL, 'PF09223', NULL, NULL, 'ZinT (YodA) periplasmic lipocalin-like zinc-recruitment', NULL, 'ZinT', NULL, NULL, NULL, 6),
(16600, NULL, 'PF05903', NULL, NULL, 'PPPDE putative peptidase domain', NULL, 'Peptidase_C97', NULL, NULL, NULL, 6),
(16601, NULL, 'PF08165', NULL, NULL, 'FerA (NUC095) domain', NULL, 'FerA', NULL, NULL, NULL, 6),
(16602, NULL, 'PF13037', NULL, NULL, 'Domain of unknown function (DUF3898)', NULL, 'DUF3898', NULL, NULL, NULL, 6),
(16603, NULL, 'PF00292', NULL, NULL, '''Paired box'' domain', NULL, 'PAX', NULL, NULL, NULL, 6),
(16604, NULL, 'PF14361', NULL, NULL, 'RsbT co-antagonist protein rsbRD N-terminal domain', NULL, 'RsbRD_N', NULL, NULL, NULL, 6),
(16605, NULL, 'PF02273', NULL, NULL, 'Acyl transferase', NULL, 'Acyl_transf_2', NULL, NULL, NULL, 6),
(16606, NULL, 'PF12077', NULL, NULL, 'Transmembrane protein of unknown function (DUF3556)', NULL, 'DUF3556', NULL, NULL, NULL, 6),
(16607, NULL, 'PF02514', NULL, NULL, 'CobN/Magnesium Chelatase', NULL, 'CobN-Mg_chel', NULL, NULL, NULL, 6),
(16608, NULL, 'PF16056', NULL, NULL, 'Domain of unknown function (DUF4799)', NULL, 'DUF4799', NULL, NULL, NULL, 6),
(16609, NULL, 'PF18754', NULL, NULL, 'Nucleotide modification associated domain 3', NULL, 'Nmad3', NULL, NULL, NULL, 6),
(16610, NULL, 'PF07108', NULL, NULL, 'PipA protein', NULL, 'PipA', NULL, NULL, NULL, 6),
(16611, NULL, 'PF02016', NULL, NULL, 'LD-carboxypeptidase N-terminal domain', NULL, 'Peptidase_S66', NULL, NULL, NULL, 6),
(16612, NULL, 'PF08675', NULL, NULL, 'RNA binding domain', NULL, 'RNA_bind', NULL, NULL, NULL, 6),
(16613, NULL, 'PF07735', NULL, NULL, 'F-box associated', NULL, 'FBA_2', NULL, NULL, NULL, 6),
(16614, NULL, 'PF00239', NULL, NULL, 'Resolvase, N terminal domain', NULL, 'Resolvase', NULL, NULL, NULL, 6),
(16615, NULL, 'PF04840', NULL, NULL, 'Vps16, C-terminal region', NULL, 'Vps16_C', NULL, NULL, NULL, 6),
(16616, NULL, 'PF00408', NULL, NULL, 'Phosphoglucomutase/phosphomannomutase, C-terminal domain', NULL, 'PGM_PMM_IV', NULL, NULL, NULL, 6),
(16617, NULL, 'PF09468', NULL, NULL, 'Ydr279p protein family (RNase H2 complex component) wHTH domain', NULL, 'RNase_H2-Ydr279', NULL, NULL, NULL, 6),
(16618, NULL, 'PF16711', NULL, NULL, 'Actin-binding domain of plant-specific actin-binding protein', NULL, 'SCAB-ABD', NULL, NULL, NULL, 6),
(16619, NULL, 'PF10939', NULL, NULL, 'Protein of unknown function (DUF2631)', NULL, 'DUF2631', NULL, NULL, NULL, 6),
(16620, NULL, 'PF08385', NULL, NULL, 'Dynein heavy chain, N-terminal region 1', NULL, 'DHC_N1', NULL, NULL, NULL, 6),
(16621, NULL, 'PF02086', NULL, NULL, 'D12 class N6 adenine-specific DNA methyltransferase', NULL, 'MethyltransfD12', NULL, NULL, NULL, 6),
(16622, NULL, 'PF09133', NULL, NULL, 'SANTA (SANT Associated)', NULL, 'SANTA', NULL, NULL, NULL, 6),
(16623, NULL, 'PF12517', NULL, NULL, 'Protein of unknown function (DUF3720)', NULL, 'DUF3720', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16624, NULL, 'PF04583', NULL, NULL, 'Baculoviridae p74 conserved region', NULL, 'Baculo_p74', NULL, NULL, NULL, 6),
(16625, NULL, 'PF08315', NULL, NULL, 'cwf18 pre-mRNA splicing factor', NULL, 'cwf18', NULL, NULL, NULL, 6),
(16626, NULL, 'PF08339', NULL, NULL, 'RTX C-terminal domain', NULL, 'RTX_C', NULL, NULL, NULL, 6),
(16627, NULL, 'PF14908', NULL, NULL, 'CCDC81 eukaryotic HU domain 1', NULL, 'HU-CCDC81_euk_1', NULL, NULL, NULL, 6),
(16628, NULL, 'PF08974', NULL, NULL, 'Domain of unknown function (DUF1877)', NULL, 'DUF1877', NULL, NULL, NULL, 6),
(16629, NULL, 'PF13241', NULL, NULL, 'Putative NAD(P)-binding', NULL, 'NAD_binding_7', NULL, NULL, NULL, 6),
(16630, NULL, 'PF04116', NULL, NULL, 'Fatty acid hydroxylase superfamily', NULL, 'FA_hydroxylase', NULL, NULL, NULL, 6),
(16631, NULL, 'PF14248', NULL, NULL, 'Domain of unknown function (DUF4345)', NULL, 'DUF4345', NULL, NULL, NULL, 6),
(16632, NULL, 'PF11885', NULL, NULL, 'Protein of unknown function (DUF3405)', NULL, 'DUF3405', NULL, NULL, NULL, 6),
(16633, NULL, 'PF15245', NULL, NULL, 'Transcription cofactor vestigial-like protein 4', NULL, 'VGLL4', NULL, NULL, NULL, 6),
(16634, NULL, 'PF08121', NULL, NULL, 'Waglerin family', NULL, 'Toxin_33', NULL, NULL, NULL, 6),
(16635, NULL, 'PF15210', NULL, NULL, 'Surfactant-associated protein 2', NULL, 'SFTA2', NULL, NULL, NULL, 6),
(16636, NULL, 'PF11368', NULL, NULL, 'Protein of unknown function (DUF3169)', NULL, 'DUF3169', NULL, NULL, NULL, 6),
(16637, NULL, 'PF06216', NULL, NULL, 'Rice tungro bacilliform virus P46 protein', NULL, 'RTBV_P46', NULL, NULL, NULL, 6),
(16638, NULL, 'PF13415', NULL, NULL, 'Galactose oxidase, central domain', NULL, 'Kelch_3', NULL, NULL, NULL, 6),
(16639, NULL, 'PF15540', NULL, NULL, 'Bacterial toxin 47', NULL, 'Ntox47', NULL, NULL, NULL, 6),
(16640, NULL, 'PF07560', NULL, NULL, 'Domain of Unknown Function (DUF1539)', NULL, 'DUF1539', NULL, NULL, NULL, 6),
(16641, NULL, 'PF03094', NULL, NULL, 'Mlo family', NULL, 'Mlo', NULL, NULL, NULL, 6),
(16642, NULL, 'PF17132', NULL, NULL, 'alpha-L-rhamnosidase', NULL, 'Glyco_hydro_106', NULL, NULL, NULL, 6),
(16643, NULL, 'PF06163', NULL, NULL, 'Bacterial protein of unknown function (DUF977)', NULL, 'DUF977', NULL, NULL, NULL, 6),
(16644, NULL, 'PF10170', NULL, NULL, 'Cysteine-rich domain', NULL, 'C6_DPF', NULL, NULL, NULL, 6),
(16645, NULL, 'PF13571', NULL, NULL, 'Domain of unknown function (DUF4133)', NULL, 'DUF4133', NULL, NULL, NULL, 6),
(16646, NULL, 'PF03542', NULL, NULL, 'Tuberin', NULL, 'Tuberin', NULL, NULL, NULL, 6),
(16647, NULL, 'PF15718', NULL, NULL, 'Protein moonraker', NULL, 'MNR', NULL, NULL, NULL, 6),
(16648, NULL, 'PF00231', NULL, NULL, 'ATP synthase', NULL, 'ATP-synt', NULL, NULL, NULL, 6),
(16649, NULL, 'PF08001', NULL, NULL, 'CMV US', NULL, 'CMV_US', NULL, NULL, NULL, 6),
(16650, NULL, 'PF05746', NULL, NULL, 'DALR anticodon binding domain', NULL, 'DALR_1', NULL, NULL, NULL, 6),
(16651, NULL, 'PF00117', NULL, NULL, 'Glutamine amidotransferase class-I', NULL, 'GATase', NULL, NULL, NULL, 6),
(16652, NULL, 'PF06004', NULL, NULL, 'Bacterial protein of unknown function (DUF903)', NULL, 'DUF903', NULL, NULL, NULL, 6),
(16653, NULL, 'PF00476', NULL, NULL, 'DNA polymerase family A', NULL, 'DNA_pol_A', NULL, NULL, NULL, 6),
(16654, NULL, 'PF13064', NULL, NULL, 'Protein of unknown function (DUF3927)', NULL, 'DUF3927', NULL, NULL, NULL, 6),
(16655, NULL, 'PF10171', NULL, NULL, 'Translocase of the Inner Mitochondrial membrane 29', NULL, 'Tim29', NULL, NULL, NULL, 6),
(16656, NULL, 'PF18734', NULL, NULL, 'AbiU2', NULL, 'HEPN_AbiU2', NULL, NULL, NULL, 6),
(16657, NULL, 'PF15003', NULL, NULL, 'HAUS augmin-like complex subunit 2', NULL, 'HAUS2', NULL, NULL, NULL, 6),
(16658, NULL, 'PF08686', NULL, NULL, 'PLAC (protease and lacunin) domain', NULL, 'PLAC', NULL, NULL, NULL, 6),
(16659, NULL, 'PF12188', NULL, NULL, 'Signal transducer and activator of transcription 2 C terminal', NULL, 'STAT2_C', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16660, NULL, 'PF02474', NULL, NULL, 'Nodulation protein A (NodA)', NULL, 'NodA', NULL, NULL, NULL, 6),
(16661, NULL, 'PF16979', NULL, NULL, 'SAPK-interacting protein 1 (Sin1), Pleckstrin-homology', NULL, 'SIN1_PH', NULL, NULL, NULL, 6),
(16662, NULL, 'PF18018', NULL, NULL, 'DNA polymerase delta subunit OB-fold domain', NULL, 'DNA_pol_D_N', NULL, NULL, NULL, 6),
(16663, NULL, 'PF11817', NULL, NULL, 'Foie gras liver health family 1', NULL, 'Foie-gras_1', NULL, NULL, NULL, 6),
(16664, NULL, 'PF14557', NULL, NULL, 'Putative AphA-like transcriptional regulator', NULL, 'AphA_like', NULL, NULL, NULL, 6),
(16665, NULL, 'PF03838', NULL, NULL, 'Recombination protein U', NULL, 'RecU', NULL, NULL, NULL, 6),
(16666, NULL, 'PF01683', NULL, NULL, 'EB module', NULL, 'EB', NULL, NULL, NULL, 6),
(16667, NULL, 'PF00061', NULL, NULL, 'Lipocalin / cytosolic fatty-acid binding protein family', NULL, 'Lipocalin', NULL, NULL, NULL, 6),
(16668, NULL, 'PF13570', NULL, NULL, 'PQQ-like domain', NULL, 'PQQ_3', NULL, NULL, NULL, 6),
(16669, NULL, 'PF14254', NULL, NULL, 'Domain of unknown function (DUF4348)', NULL, 'DUF4348', NULL, NULL, NULL, 6),
(16670, NULL, 'PF12354', NULL, NULL, 'Bacterial adhesion/invasion protein N terminal', NULL, 'Internalin_N', NULL, NULL, NULL, 6),
(16671, NULL, 'PF12419', NULL, NULL, 'SNF2 Helicase protein', NULL, 'DUF3670', NULL, NULL, NULL, 6),
(16672, NULL, 'PF19057', NULL, NULL, 'PH domain', NULL, 'PH_19', NULL, NULL, NULL, 6),
(16673, NULL, 'PF15019', NULL, NULL, 'C9orf72-like protein family', NULL, 'C9orf72-like', NULL, NULL, NULL, 6),
(16674, NULL, 'PF06175', NULL, NULL, 'tRNA-(MS[2]IO[6]A)-hydroxylase (MiaE)', NULL, 'MiaE', NULL, NULL, NULL, 6),
(16675, NULL, 'PF08573', NULL, NULL, 'DNA repair protein endonuclease SAE2/CtIP C-terminus', NULL, 'SAE2', NULL, NULL, NULL, 6),
(16676, NULL, 'PF09893', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2120)', NULL, 'DUF2120', NULL, NULL, NULL, 6),
(16677, NULL, 'PF05259', NULL, NULL, 'Herpesvirus glycoprotein L', NULL, 'Herpes_UL1', NULL, NULL, NULL, 6),
(16678, NULL, 'PF18814', NULL, NULL, 'phage-Barnase-EndoU-ColicinE5/D-RelE like nuclease5', NULL, 'PBECR5', NULL, NULL, NULL, 6),
(16679, NULL, 'PF02668', NULL, NULL, 'Taurine catabolism dioxygenase TauD, TfdA family', NULL, 'TauD', NULL, NULL, NULL, 6),
(16680, NULL, 'PF05509', NULL, NULL, 'TraY domain', NULL, 'TraY', NULL, NULL, NULL, 6),
(16681, NULL, 'PF07603', NULL, NULL, 'Protein of unknown function (DUF1566)', NULL, 'DUF1566', NULL, NULL, NULL, 6),
(16682, NULL, 'PF17430', NULL, NULL, 'Uncharacterized YqgC-like', NULL, 'YqgC', NULL, NULL, NULL, 6),
(16683, NULL, 'PF17623', NULL, NULL, 'Domain of unknown function', NULL, 'B277', NULL, NULL, NULL, 6),
(16684, NULL, 'PF08502', NULL, NULL, 'LeuA allosteric (dimerisation) domain', NULL, 'LeuA_dimer', NULL, NULL, NULL, 6),
(16685, NULL, 'PF00834', NULL, NULL, 'Ribulose-phosphate 3 epimerase family', NULL, 'Ribul_P_3_epim', NULL, NULL, NULL, 6),
(16686, NULL, 'PF05289', NULL, NULL, 'Borrelia hemolysin accessory protein', NULL, 'BLYB', NULL, NULL, NULL, 6),
(16687, NULL, 'PF13942', NULL, NULL, 'YfhG lipoprotein', NULL, 'Lipoprotein_20', NULL, NULL, NULL, 6),
(16688, NULL, 'PF12413', NULL, NULL, 'Homeobox protein distal-less-like N terminal', NULL, 'DLL_N', NULL, NULL, NULL, 6),
(16689, NULL, 'PF09378', NULL, NULL, 'HAS barrel domain', NULL, 'HAS-barrel', NULL, NULL, NULL, 6),
(16690, NULL, 'PF14731', NULL, NULL, 'Staphopain proregion', NULL, 'Staphopain_pro', NULL, NULL, NULL, 6),
(16691, NULL, 'PF15665', NULL, NULL, 'Family with sequence similarity 184, A and B', NULL, 'FAM184', NULL, NULL, NULL, 6),
(16692, NULL, 'PF10599', NULL, NULL, 'Retro-transposon transporting motif', NULL, 'Nup_retrotrp_bd', NULL, NULL, NULL, 6),
(16693, NULL, 'PF05139', NULL, NULL, 'Erythromycin esterase', NULL, 'Erythro_esteras', NULL, NULL, NULL, 6),
(16694, NULL, 'PF17032', NULL, NULL, 'zinc-ribbon family', NULL, 'zinc_ribbon_15', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16695, NULL, 'PF15338', NULL, NULL, 'p53-regulated apoptosis-inducing protein 1', NULL, 'TPIP1', NULL, NULL, NULL, 6),
(16696, NULL, 'PF16558', NULL, NULL, 'Amino-terminal Zinc-binding domain of ubiquitin ligase E3A', NULL, 'AZUL', NULL, NULL, NULL, 6),
(16697, NULL, 'PF14719', NULL, NULL, 'Phosphotyrosine interaction domain (PTB/PID)', NULL, 'PID_2', NULL, NULL, NULL, 6),
(16698, NULL, 'PF07762', NULL, NULL, 'Protein of unknown function (DUF1618)', NULL, 'DUF1618', NULL, NULL, NULL, 6),
(16699, NULL, 'PF15772', NULL, NULL, 'UPF0688 family', NULL, 'UPF0688', NULL, NULL, NULL, 6),
(16700, NULL, 'PF03569', NULL, NULL, 'Peptidase family C8', NULL, 'Peptidase_C8', NULL, NULL, NULL, 6),
(16701, NULL, 'PF17062', NULL, NULL, 'Outer spore wall 5', NULL, 'Osw5', NULL, NULL, NULL, 6),
(16702, NULL, 'PF18215', NULL, NULL, 'Histone chaperone Rtt106 N-terminal domain', NULL, 'Rtt106_N', NULL, NULL, NULL, 6),
(16703, NULL, 'PF03054', NULL, NULL, 'tRNA methyl transferase', NULL, 'tRNA_Me_trans', NULL, NULL, NULL, 6),
(16704, NULL, 'PF01448', NULL, NULL, 'ELM2 domain', NULL, 'ELM2', NULL, NULL, NULL, 6),
(16705, NULL, 'PF02784', NULL, NULL, 'Pyridoxal-dependent decarboxylase, pyridoxal binding domain', NULL, 'Orn_Arg_deC_N', NULL, NULL, NULL, 6),
(16706, NULL, 'PF07808', NULL, NULL, 'RED-like protein N-terminal region', NULL, 'RED_N', NULL, NULL, NULL, 6),
(16707, NULL, 'PF07346', NULL, NULL, 'Protein of unknown function (DUF1477)', NULL, 'DUF1477', NULL, NULL, NULL, 6),
(16708, NULL, 'PF04808', NULL, NULL, 'Citrus tristeza virus (CTV) P23 protein', NULL, 'CTV_P23', NULL, NULL, NULL, 6),
(16709, NULL, 'PF11371', NULL, NULL, 'Protein of unknown function (DUF3172)', NULL, 'DUF3172', NULL, NULL, NULL, 6),
(16710, NULL, 'PF13558', NULL, NULL, 'Putative exonuclease SbcCD, C subunit', NULL, 'SbcCD_C', NULL, NULL, NULL, 6),
(16711, NULL, 'PF15516', NULL, NULL, 'BpuSI N-terminal domain', NULL, 'BpuSI_N', NULL, NULL, NULL, 6),
(16712, NULL, 'PF19009', NULL, NULL, 'Family of unknown function (DUF5738)', NULL, 'DUF5738', NULL, NULL, NULL, 6),
(16713, NULL, 'PF02489', NULL, NULL, 'Herpesvirus glycoprotein H main domain', NULL, 'Herpes_glycop_H', NULL, NULL, NULL, 6),
(16714, NULL, 'PF12453', NULL, NULL, 'Protein tyrosine phosphatase N terminal', NULL, 'PTP_N', NULL, NULL, NULL, 6),
(16715, NULL, 'PF02547', NULL, NULL, 'Queuosine biosynthesis protein', NULL, 'Queuosine_synth', NULL, NULL, NULL, 6),
(16716, NULL, 'PF04790', NULL, NULL, 'Sarcoglycan complex subunit protein', NULL, 'Sarcoglycan_1', NULL, NULL, NULL, 6),
(16717, NULL, 'PF06284', NULL, NULL, 'Cytomegalovirus UL84 protein', NULL, 'Cytomega_UL84', NULL, NULL, NULL, 6),
(16718, NULL, 'PF06415', NULL, NULL, 'BPG-independent PGAM N-terminus (iPGM_N)', NULL, 'iPGM_N', NULL, NULL, NULL, 6),
(16719, NULL, 'PF02733', NULL, NULL, 'Dak1 domain', NULL, 'Dak1', NULL, NULL, NULL, 6),
(16720, NULL, 'PF14347', NULL, NULL, 'Domain of unknown function (DUF4399)', NULL, 'DUF4399', NULL, NULL, NULL, 6),
(16721, NULL, 'PF12372', NULL, NULL, 'Huntingtin protein region', NULL, 'DUF3652', NULL, NULL, NULL, 6),
(16722, NULL, 'PF01922', NULL, NULL, 'SRP19 protein', NULL, 'SRP19', NULL, NULL, NULL, 6),
(16723, NULL, 'PF12282', NULL, NULL, 'Signal transduction histidine kinase', NULL, 'H_kinase_N', NULL, NULL, NULL, 6),
(16724, NULL, 'PF07017', NULL, NULL, 'Antimicrobial peptide resistance and lipid A acylation protein PagP', NULL, 'PagP', NULL, NULL, NULL, 6),
(16725, NULL, 'PF04658', NULL, NULL, 'TAFII55 protein conserved region', NULL, 'TAFII55_N', NULL, NULL, NULL, 6),
(16726, NULL, 'PF13917', NULL, NULL, 'Zinc knuckle', NULL, 'zf-CCHC_3', NULL, NULL, NULL, 6),
(16727, NULL, 'PF05031', NULL, NULL, 'Iron Transport-associated domain', NULL, 'NEAT', NULL, NULL, NULL, 6),
(16728, NULL, 'PF05743', NULL, NULL, 'UEV domain', NULL, 'UEV', NULL, NULL, NULL, 6),
(16729, NULL, 'PF17789', NULL, NULL, 'Macroglobulin domain MG4', NULL, 'MG4', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16730, NULL, 'PF00796', NULL, NULL, 'Photosystem I reaction centre subunit VIII', NULL, 'PSI_8', NULL, NULL, NULL, 6),
(16731, NULL, 'PF11310', NULL, NULL, 'Protein of unknown function (DUF3113)', NULL, 'DUF3113', NULL, NULL, NULL, 6),
(16732, NULL, 'PF04719', NULL, NULL, 'hTAFII28-like protein conserved region', NULL, 'TAFII28', NULL, NULL, NULL, 6),
(16733, NULL, 'PF09413', NULL, NULL, 'Putative prokaryotic signal transducing protein', NULL, 'DUF2007', NULL, NULL, NULL, 6),
(16734, NULL, 'PF14653', NULL, NULL, 'Insulin growth factor-like family', NULL, 'IGFL', NULL, NULL, NULL, 6),
(16735, NULL, 'PF17299', NULL, NULL, 'Family of unknown function (DUF5350)', NULL, 'DUF5350', NULL, NULL, NULL, 6),
(16736, NULL, 'PF10188', NULL, NULL, 'Organic solute transport protein 1', NULL, 'Oscp1', NULL, NULL, NULL, 6),
(16737, NULL, 'PF08156', NULL, NULL, 'NOP5NT (NUC127) domain', NULL, 'NOP5NT', NULL, NULL, NULL, 6),
(16738, NULL, 'PF09649', NULL, NULL, 'Histone chaperone domain CHZ', NULL, 'CHZ', NULL, NULL, NULL, 6),
(16739, NULL, 'PF02141', NULL, NULL, 'DENN (AEX-3) domain', NULL, 'DENN', NULL, NULL, NULL, 6),
(16740, NULL, 'PF06446', NULL, NULL, 'Hepcidin', NULL, 'Hepcidin', NULL, NULL, NULL, 6),
(16741, NULL, 'PF05781', NULL, NULL, 'MRVI1 protein', NULL, 'MRVI1', NULL, NULL, NULL, 6),
(16742, NULL, 'PF05735', NULL, NULL, 'Thrombospondin C-terminal region', NULL, 'TSP_C', NULL, NULL, NULL, 6),
(16743, NULL, 'PF18897', NULL, NULL, 'Family of unknown function (DUF5653)', NULL, 'DUF5653', NULL, NULL, NULL, 6),
(16744, NULL, 'PF00295', NULL, NULL, 'Glycosyl hydrolases family 28', NULL, 'Glyco_hydro_28', NULL, NULL, NULL, 6),
(16745, NULL, 'PF00288', NULL, NULL, 'GHMP kinases N terminal domain', NULL, 'GHMP_kinases_N', NULL, NULL, NULL, 6),
(16746, NULL, 'PF13207', NULL, NULL, 'AAA domain', NULL, 'AAA_17', NULL, NULL, NULL, 6),
(16747, NULL, 'PF18691', NULL, NULL, 'Cell division control protein 13, OB2 domain', NULL, 'Cdc13_OB2', NULL, NULL, NULL, 6),
(16748, NULL, 'PF05800', NULL, NULL, 'Gas vesicle synthesis protein GvpO', NULL, 'GvpO', NULL, NULL, NULL, 6),
(16749, NULL, 'PF08701', NULL, NULL, 'GNL3L/Grn1 putative GTPase', NULL, 'GN3L_Grn1', NULL, NULL, NULL, 6),
(16750, NULL, 'PF02962', NULL, NULL, '5-carboxymethyl-2-hydroxymuconate isomerase', NULL, 'CHMI', NULL, NULL, NULL, 6),
(16751, NULL, 'PF08503', NULL, NULL, 'Tetrahydrodipicolinate succinyltransferase N-terminal', NULL, 'DapH_N', NULL, NULL, NULL, 6),
(16752, NULL, 'PF14881', NULL, NULL, 'Tubulin domain', NULL, 'Tubulin_3', NULL, NULL, NULL, 6),
(16753, NULL, 'PF11648', NULL, NULL, 'C-terminal domain of RIG-I', NULL, 'RIG-I_C-RD', NULL, NULL, NULL, 6),
(16754, NULL, 'PF17927', NULL, NULL, 'Inositol 1,3,4-trisphosphate 5/6-kinase pre-ATP-grasp domain', NULL, 'Ins134_P3_kin_N', NULL, NULL, NULL, 6),
(16755, NULL, 'PF18096', NULL, NULL, 'THUMP domain-like', NULL, 'Thump_like', NULL, NULL, NULL, 6),
(16756, NULL, 'PF08708', NULL, NULL, 'Primase C terminal 1 (PriCT-1)', NULL, 'PriCT_1', NULL, NULL, NULL, 6),
(16757, NULL, 'PF02884', NULL, NULL, 'Polysaccharide lyase family 8, C-terminal beta-sandwich domain', NULL, 'Lyase_8_C', NULL, NULL, NULL, 6),
(16758, NULL, 'PF16752', NULL, NULL, 'Tubulin-specific chaperone C N-terminal domain', NULL, 'TBCC_N', NULL, NULL, NULL, 6),
(16759, NULL, 'PF11492', NULL, NULL, 'Cricket paralysis virus, VP4', NULL, 'Dicistro_VP4', NULL, NULL, NULL, 6),
(16760, NULL, 'PF09328', NULL, NULL, 'Domain of unknown function (DUF1984)', NULL, 'Phytochelatin_C', NULL, NULL, NULL, 6),
(16761, NULL, 'PF02553', NULL, NULL, 'Cobalt transport protein component CbiN', NULL, 'CbiN', NULL, NULL, NULL, 6),
(16762, NULL, 'PF00668', NULL, NULL, 'Condensation domain', NULL, 'Condensation', NULL, NULL, NULL, 6),
(16763, NULL, 'PF07885', NULL, NULL, 'Ion channel', NULL, 'Ion_trans_2', NULL, NULL, NULL, 6),
(16764, NULL, 'PF06062', NULL, NULL, 'Uncharacterised protein family (UPF0231)', NULL, 'UPF0231', NULL, NULL, NULL, 6);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16765, NULL, 'PF10410', NULL, NULL, 'DnaB-helicase binding domain of primase', NULL, 'DnaB_bind', NULL, NULL, NULL, 6),
(16766, NULL, 'PF09027', NULL, NULL, 'GTPase binding', NULL, 'GTPase_binding', NULL, NULL, NULL, 6),
(16767, NULL, 'PF10178', NULL, NULL, 'Proteasome assembly chaperone 3', NULL, 'PAC3', NULL, NULL, NULL, 6),
(16768, NULL, 'PF18380', NULL, NULL, 'Holliday junction resolvase Gen1 C-terminal domain', NULL, 'GEN1_C', NULL, NULL, NULL, 6),
(16769, NULL, 'PF03306', NULL, NULL, 'Alpha-acetolactate decarboxylase', NULL, 'AAL_decarboxy', NULL, NULL, NULL, 6),
(16770, NULL, 'PF15543', NULL, NULL, 'Bacterial toxin 5', NULL, 'Ntox5', NULL, NULL, NULL, 6),
(16771, NULL, 'PF01191', NULL, NULL, 'RNA polymerase Rpb5, C-terminal domain', NULL, 'RNA_pol_Rpb5_C', NULL, NULL, NULL, 6),
(16772, NULL, 'PF16316', NULL, NULL, 'Domain of unknown function (DUF4956)', NULL, 'DUF4956', NULL, NULL, NULL, 6),
(16773, NULL, 'PF05036', NULL, NULL, 'SPOR domain', NULL, 'SPOR', NULL, NULL, NULL, 6),
(16774, NULL, 'PF11709', NULL, NULL, 'Mitochondrial ribosomal protein subunit', NULL, 'Mit_ribos_Mrp51', NULL, NULL, NULL, 6),
(16775, NULL, 'PF16918', NULL, NULL, 'Protein kinase G tetratricopeptide repeat', NULL, 'PknG_TPR', NULL, NULL, NULL, 6),
(16776, NULL, 'PF17263', NULL, NULL, 'Family of unknown function (DUF5329)', NULL, 'DUF5329', NULL, NULL, NULL, 6),
(16777, NULL, 'PF01335', NULL, NULL, 'Death effector domain', NULL, 'DED', NULL, NULL, NULL, 6),
(16778, NULL, 'PF16943', NULL, NULL, 'Cag pathogenicity island, type IV secretory system', NULL, 'T4SS_CagC', NULL, NULL, NULL, 6),
(16779, NULL, 'PF11815', NULL, NULL, 'Domain of unknown function (DUF3336)', NULL, 'DUF3336', NULL, NULL, NULL, 6),
(16780, NULL, 'PF03100', NULL, NULL, 'CcmE', NULL, 'CcmE', NULL, NULL, NULL, 6),
(16781, NULL, 'PF11688', NULL, NULL, 'Protein of unknown function (DUF3285)', NULL, 'DUF3285', NULL, NULL, NULL, 6),
(16782, NULL, 'PF12425', NULL, NULL, 'Protein of unknown function (DUF3673)', NULL, 'DUF3673', NULL, NULL, NULL, 6),
(16783, NULL, 'PF18292', NULL, NULL, 'Zinc transporter ZIP4 domain', NULL, 'ZIP4_domain', NULL, NULL, NULL, 6),
(16784, NULL, 'PF04908', NULL, NULL, 'SH3-binding, glutamic acid-rich protein', NULL, 'SH3BGR', NULL, NULL, NULL, 6),
(16785, NULL, 'PF03043', NULL, NULL, 'Herpesvirus UL87 family', NULL, 'Herpes_UL87', NULL, NULL, NULL, 6),
(16786, NULL, 'PF01273', NULL, NULL, 'LBP / BPI / CETP family, N-terminal domain', NULL, 'LBP_BPI_CETP', NULL, NULL, NULL, 6),
(16787, NULL, 'PF15509', NULL, NULL, 'Domain of unknown function (DUF4650)', NULL, 'DUF4650', NULL, NULL, NULL, 6),
(16788, NULL, 'PF06975', NULL, NULL, 'Protein of unknown function (DUF1299)', NULL, 'DUF1299', NULL, NULL, NULL, 6),
(16789, NULL, 'PF09012', NULL, NULL, 'FeoC like transcriptional regulator', NULL, 'FeoC', NULL, NULL, NULL, 6),
(16790, NULL, 'PF05555', NULL, NULL, 'Coxiella burnetii protein of unknown function (DUF762)', NULL, 'DUF762', NULL, NULL, NULL, 6),
(16791, NULL, 'PF12149', NULL, NULL, 'Herpes simplex virus virion protein 16 C terminal', NULL, 'HSV_VP16_C', NULL, NULL, NULL, 6),
(16792, NULL, 'PF06467', NULL, NULL, 'MYM-type Zinc finger with FCS sequence motif', NULL, 'zf-FCS', NULL, NULL, NULL, 6),
(16793, NULL, 'PF10721', NULL, NULL, 'Protein of unknown function (DUF2514)', NULL, 'DUF2514', NULL, NULL, NULL, 6),
(16794, NULL, 'PF01886', NULL, NULL, 'Protein of unknown function DUF61', NULL, 'DUF61', NULL, NULL, NULL, 6),
(16795, NULL, 'PF09583', NULL, NULL, 'Phage shock protein G (Phageshock_PspG)', NULL, 'Phageshock_PspG', NULL, NULL, NULL, 6),
(16796, NULL, 'PF18269', NULL, NULL, 'T3SS EscN ATPase C-terminal domain', NULL, 'T3SS_ATPase_C', NULL, NULL, NULL, 6),
(16797, NULL, 'PF14089', NULL, NULL, 'KinB-signalling pathway activation in sporulation', NULL, 'KbaA', NULL, NULL, NULL, 6),
(16798, NULL, 'PF05206', NULL, NULL, 'Methyltransferase TRM13', NULL, 'TRM13', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16799, NULL, 'PF08962', NULL, NULL, 'Domain of unknown function (DUF1876)', NULL, 'DUF1876', NULL, NULL, NULL, 6),
(16800, NULL, 'PF06421', NULL, NULL, 'GTP-binding protein LepA C-terminus', NULL, 'LepA_C', NULL, NULL, NULL, 6),
(16801, NULL, 'PF01328', NULL, NULL, 'Peroxidase, family 2', NULL, 'Peroxidase_2', NULL, NULL, NULL, 6),
(16802, NULL, 'PF03281', NULL, NULL, 'Mab-21 protein', NULL, 'Mab-21', NULL, NULL, NULL, 6),
(16803, NULL, 'PF12145', NULL, NULL, 'Eukaryotic Mediator 12 subunit domain', NULL, 'Med12-LCEWAV', NULL, NULL, NULL, 6),
(16804, NULL, 'PF10929', NULL, NULL, 'Protein of unknown function (DUF2811)', NULL, 'DUF2811', NULL, NULL, NULL, 6),
(16805, NULL, 'PF10487', NULL, NULL, 'Nucleoporin subcomplex protein binding to Pom34', NULL, 'Nup188', NULL, NULL, NULL, 6),
(16806, NULL, 'PF03831', NULL, NULL, 'PhnA domain', NULL, 'YjdM', NULL, NULL, NULL, 6),
(16807, NULL, 'PF13520', NULL, NULL, 'Amino acid permease', NULL, 'AA_permease_2', NULL, NULL, NULL, 6),
(16808, NULL, 'PF12281', NULL, NULL, 'Nucleotidyltransferase', NULL, 'NTP_transf_8', NULL, NULL, NULL, 6),
(16809, NULL, 'PF14693', NULL, NULL, 'Ribosomal protein TL5, C-terminal domain', NULL, 'Ribosomal_TL5_C', NULL, NULL, NULL, 6),
(16810, NULL, 'PF04144', NULL, NULL, 'SCAMP family', NULL, 'SCAMP', NULL, NULL, NULL, 6),
(16811, NULL, 'PF04312', NULL, NULL, 'Protein of unknown function (DUF460)', NULL, 'DUF460', NULL, NULL, NULL, 6),
(16812, NULL, 'PF11265', NULL, NULL, 'Mediator complex subunit 25 von Willebrand factor type A', NULL, 'Med25_VWA', NULL, NULL, NULL, 6),
(16813, NULL, 'PF00912', NULL, NULL, 'Transglycosylase', NULL, 'Transgly', NULL, NULL, NULL, 6),
(16814, NULL, 'PF04369', NULL, NULL, 'Lactococcin-like family', NULL, 'Lactococcin', NULL, NULL, NULL, 6),
(16815, NULL, 'PF05196', NULL, NULL, 'PTN/MK heparin-binding protein family, N-terminal domain', NULL, 'PTN_MK_N', NULL, NULL, NULL, 6),
(16816, NULL, 'PF11795', NULL, NULL, 'Uncharacterized protein conserved in bacteria N-term (DUF3322)', NULL, 'DUF3322', NULL, NULL, NULL, 6),
(16817, NULL, 'PF16753', NULL, NULL, 'TNF-alpha-Inducing protein of Helicobacter', NULL, 'Tipalpha', NULL, NULL, NULL, 6),
(16818, NULL, 'PF14060', NULL, NULL, 'Domain of unknown function (DUF4252)', NULL, 'DUF4252', NULL, NULL, NULL, 6),
(16819, NULL, 'PF16788', NULL, NULL, 'ATF-interacting protein binding domain', NULL, 'ATF7IP_BD', NULL, NULL, NULL, 6),
(16820, NULL, 'PF14677', NULL, NULL, 'FANCI solenoid 3', NULL, 'FANCI_S3', NULL, NULL, NULL, 6),
(16821, NULL, 'PF00676', NULL, NULL, 'Dehydrogenase E1 component', NULL, 'E1_dh', NULL, NULL, NULL, 6),
(16822, NULL, 'PF15060', NULL, NULL, 'Differentiation and proliferation regulator', NULL, 'PPDFL', NULL, NULL, NULL, 6),
(16823, NULL, 'PF09665', NULL, NULL, 'Type II restriction endonuclease (RE_Alw26IDE)', NULL, 'RE_Alw26IDE', NULL, NULL, NULL, 6),
(16824, NULL, 'PF16143', NULL, NULL, 'Domain of unknown function (DUF4851)', NULL, 'DUF4851', NULL, NULL, NULL, 6),
(16825, NULL, 'PF07412', NULL, NULL, 'Geminin', NULL, 'Geminin', NULL, NULL, NULL, 6),
(16826, NULL, 'PF19134', NULL, NULL, 'Family of unknown function (DUF5817)', NULL, 'DUF5817', NULL, NULL, NULL, 6),
(16827, NULL, 'PF01419', NULL, NULL, 'Jacalin-like lectin domain', NULL, 'Jacalin', NULL, NULL, NULL, 6),
(16828, NULL, 'PF01566', NULL, NULL, 'Natural resistance-associated macrophage protein', NULL, 'Nramp', NULL, NULL, NULL, 6),
(16829, NULL, 'PF16874', NULL, NULL, 'Glycosyl hydrolase family 36 C-terminal domain', NULL, 'Glyco_hydro_36C', NULL, NULL, NULL, 6),
(16830, NULL, 'PF05102', NULL, NULL, 'holin, BlyA family', NULL, 'Holin_BlyA', NULL, NULL, NULL, 6),
(16831, NULL, 'PF02513', NULL, NULL, 'Spin/Ssty Family', NULL, 'Spin-Ssty', NULL, NULL, NULL, 6),
(16832, NULL, 'PF02617', NULL, NULL, 'ATP-dependent Clp protease adaptor protein ClpS', NULL, 'ClpS', NULL, NULL, NULL, 6),
(16833, NULL, 'PF12855', NULL, NULL, 'ECL1/2/3 zinc binding proteins', NULL, 'Ecl1', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16834, NULL, 'PF07366', NULL, NULL, 'SnoaL-like polyketide cyclase', NULL, 'SnoaL', NULL, NULL, NULL, 6),
(16835, NULL, 'PF05148', NULL, NULL, 'Hypothetical methyltransferase', NULL, 'Methyltransf_8', NULL, NULL, NULL, 6),
(16836, NULL, 'PF10957', NULL, NULL, 'Sporulation protein Cse60', NULL, 'Spore_Cse60', NULL, NULL, NULL, 6),
(16837, NULL, 'PF02819', NULL, NULL, 'Spider toxin', NULL, 'Toxin_9', NULL, NULL, NULL, 6),
(16838, NULL, 'PF17811', NULL, NULL, 'Jumonji helical domain', NULL, 'JHD', NULL, NULL, NULL, 6),
(16839, NULL, 'PF17115', NULL, NULL, 'N-terminal domain of toast_rack, DUF2154', NULL, 'Toast_rack_N', NULL, NULL, NULL, 6),
(16840, NULL, 'PF00630', NULL, NULL, 'Filamin/ABP280 repeat', NULL, 'Filamin', NULL, NULL, NULL, 6),
(16841, NULL, 'PF00021', NULL, NULL, 'u-PAR/Ly-6 domain', NULL, 'UPAR_LY6', NULL, NULL, NULL, 6),
(16842, NULL, 'PF00250', NULL, NULL, 'Forkhead domain', NULL, 'Forkhead', NULL, NULL, NULL, 6),
(16843, NULL, 'PF14041', NULL, NULL, 'LppP/LprE lipoprotein', NULL, 'Lipoprotein_21', NULL, NULL, NULL, 6),
(16844, NULL, 'PF05116', NULL, NULL, 'Sucrose-6F-phosphate phosphohydrolase', NULL, 'S6PP', NULL, NULL, NULL, 6),
(16845, NULL, 'PF17019', NULL, NULL, 'Domain of unknown function (DUF5096)', NULL, 'DUF5096', NULL, NULL, NULL, 6),
(16846, NULL, 'PF10125', NULL, NULL, 'NADH dehydrogenase I, subunit N related protein', NULL, 'NADHdeh_related', NULL, NULL, NULL, 6),
(16847, NULL, 'PF05545', NULL, NULL, 'Cbb3-type cytochrome oxidase component FixQ', NULL, 'FixQ', NULL, NULL, NULL, 6),
(16848, NULL, 'PF04866', NULL, NULL, 'Rotavirus non-structural protein 6', NULL, 'Rota_NS6', NULL, NULL, NULL, 6),
(16849, NULL, 'PF15280', NULL, NULL, 'Protein aurora borealis N-terminus', NULL, 'BORA_N', NULL, NULL, NULL, 6),
(16850, NULL, 'PF18217', NULL, NULL, 'Zap1 zinc finger 2', NULL, 'Zap1_zf2', NULL, NULL, NULL, 6),
(16851, NULL, 'PF15213', NULL, NULL, 'CMT1A duplicated region transcript 4 protein', NULL, 'CDRT4', NULL, NULL, NULL, 6),
(16852, NULL, 'PF17800', NULL, NULL, 'Nucleoplasmin-like domain', NULL, 'NPL', NULL, NULL, NULL, 6),
(16853, NULL, 'PF10405', NULL, NULL, 'Rad4 beta-hairpin domain 3', NULL, 'BHD_3', NULL, NULL, NULL, 6),
(16854, NULL, 'PF09735', NULL, NULL, 'Membrane-associated apoptosis protein', NULL, 'Nckap1', NULL, NULL, NULL, 6),
(16855, NULL, 'PF01931', NULL, NULL, 'Protein of unknown function DUF84', NULL, 'NTPase_I-T', NULL, NULL, NULL, 6),
(16856, NULL, 'PF02863', NULL, NULL, 'Arginine repressor, C-terminal domain', NULL, 'Arg_repressor_C', NULL, NULL, NULL, 6),
(16857, NULL, 'PF09331', NULL, NULL, 'Domain of unknown function (DUF1985)', NULL, 'DUF1985', NULL, NULL, NULL, 6),
(16858, NULL, 'PF02999', NULL, NULL, 'Borrelia orf-D family', NULL, 'Borrelia_orfD', NULL, NULL, NULL, 6),
(16859, NULL, 'PF12461', NULL, NULL, 'Protein of unknown function (DUF3688)', NULL, 'DUF3688', NULL, NULL, NULL, 6),
(16860, NULL, 'PF16190', NULL, NULL, 'Ubiquitin-activating enzyme E1 FCCH domain', NULL, 'E1_FCCH', NULL, NULL, NULL, 6),
(16861, NULL, 'PF18413', NULL, NULL, 'Neuraminidase-like domain', NULL, 'Neuraminidase', NULL, NULL, NULL, 6),
(16862, NULL, 'PF05318', NULL, NULL, 'Tombusvirus movement protein', NULL, 'Tombus_movement', NULL, NULL, NULL, 6),
(16863, NULL, 'PF06120', NULL, NULL, 'Tail length tape measure protein', NULL, 'Phage_HK97_TLTM', NULL, NULL, NULL, 6),
(16864, NULL, 'PF03468', NULL, NULL, 'XS domain', NULL, 'XS', NULL, NULL, NULL, 6),
(16865, NULL, 'PF00036', NULL, NULL, 'EF hand', NULL, 'EF-hand_1', NULL, NULL, NULL, 6),
(16866, NULL, 'PF08197', NULL, NULL, 'pORF2a truncated protein', NULL, 'TT_ORF2a', NULL, NULL, NULL, 6),
(16867, NULL, 'PF18377', NULL, NULL, 'FERM F2 acyl-CoA binding protein-like domain', NULL, 'FERM_F2', NULL, NULL, NULL, 6),
(16868, NULL, 'PF03898', NULL, NULL, 'Satellite tobacco necrosis virus coat protein', NULL, 'TNV_CP', NULL, NULL, NULL, 6),
(16869, NULL, 'PF09982', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2219)', NULL, 'DUF2219', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16870, NULL, 'PF18046', NULL, NULL, 'FKBP26_C-terminal', NULL, 'FKBP26_C', NULL, NULL, NULL, 6),
(16871, NULL, 'PF01193', NULL, NULL, 'RNA polymerase Rpb3/Rpb11 dimerisation domain', NULL, 'RNA_pol_L', NULL, NULL, NULL, 6),
(16872, NULL, 'PF16643', NULL, NULL, 'Unstructured region on cNMP-binding protein', NULL, 'cNMPbd_u2', NULL, NULL, NULL, 6),
(16873, NULL, 'PF15908', NULL, NULL, 'Hyaluronan mediated motility receptor C-terminal', NULL, 'HMMR_C', NULL, NULL, NULL, 6),
(16874, NULL, 'PF11027', NULL, NULL, 'Protein of unknown function (DUF2615)', NULL, 'DUF2615', NULL, NULL, NULL, 6),
(16875, NULL, 'PF07262', NULL, NULL, 'CDI immunity protein', NULL, 'CdiI', NULL, NULL, NULL, 6),
(16876, NULL, 'PF02753', NULL, NULL, 'Pili assembly chaperone PapD, C-terminal domain', NULL, 'PapD_C', NULL, NULL, NULL, 6),
(16877, NULL, 'PF14820', NULL, NULL, 'Small proline-rich 2', NULL, 'SPRR2', NULL, NULL, NULL, 6),
(16878, NULL, 'PF12604', NULL, NULL, 'Tail fibre protein gp37 C terminal', NULL, 'gp37_C', NULL, NULL, NULL, 6),
(16879, NULL, 'PF01713', NULL, NULL, 'Smr domain', NULL, 'Smr', NULL, NULL, NULL, 6),
(16880, NULL, 'PF15434', NULL, NULL, 'Family 104', NULL, 'FAM104', NULL, NULL, NULL, 6),
(16881, NULL, 'PF18055', NULL, NULL, '26S proteasome regulatory subunit RPN6 N-terminal domain', NULL, 'RPN6_N', NULL, NULL, NULL, 6),
(16882, NULL, 'PF12026', NULL, NULL, 'Crk-Associated Substrate C-terminal domain', NULL, 'CAS_C', NULL, NULL, NULL, 6),
(16883, NULL, 'PF18624', NULL, NULL, 'CDI immunity protein', NULL, 'CdiI_4', NULL, NULL, NULL, 6),
(16884, NULL, 'PF15878', NULL, NULL, 'Domain of unknown function (DUF4733)', NULL, 'DUF4733', NULL, NULL, NULL, 6),
(16885, NULL, 'PF04813', NULL, NULL, 'Hepatocyte nuclear factor 1 (HNF-1), alpha isoform C terminus', NULL, 'HNF-1A_C', NULL, NULL, NULL, 6),
(16886, NULL, 'PF18793', NULL, NULL, 'Nitrous oxide reductase propeller repeat 2', NULL, 'nos_propeller_2', NULL, NULL, NULL, 6),
(16887, NULL, 'PF06985', NULL, NULL, 'Heterokaryon incompatibility protein (HET)', NULL, 'HET', NULL, NULL, NULL, 6),
(16888, NULL, 'PF18126', NULL, NULL, 'Mitochondrial ribosomal protein mL59', NULL, 'Mitoc_mL59', NULL, NULL, NULL, 6),
(16889, NULL, 'PF14502', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_41', NULL, NULL, NULL, 6),
(16890, NULL, 'PF08161', NULL, NULL, 'NUC173 domain', NULL, 'NUC173', NULL, NULL, NULL, 6),
(16891, NULL, 'PF06160', NULL, NULL, 'Septation ring formation regulator, EzrA', NULL, 'EzrA', NULL, NULL, NULL, 6),
(16892, NULL, 'PF05014', NULL, NULL, 'Nucleoside 2-deoxyribosyltransferase', NULL, 'Nuc_deoxyrib_tr', NULL, NULL, NULL, 6),
(16893, NULL, 'PF14789', NULL, NULL, 'Tetrahydrodipicolinate N-succinyltransferase middle', NULL, 'THDPS_M', NULL, NULL, NULL, 6),
(16894, NULL, 'PF15575', NULL, NULL, 'Immunity protein 49', NULL, 'Imm49', NULL, NULL, NULL, 6),
(16895, NULL, 'PF03112', NULL, NULL, 'Uncharacterized protein family (ORF7) DUF', NULL, 'DUF244', NULL, NULL, NULL, 6),
(16896, NULL, 'PF08538', NULL, NULL, 'Protein of unknown function (DUF1749)', NULL, 'DUF1749', NULL, NULL, NULL, 6),
(16897, NULL, 'PF09044', NULL, NULL, 'Kp4', NULL, 'Kp4', NULL, NULL, NULL, 6),
(16898, NULL, 'PF05436', NULL, NULL, 'Mating factor alpha precursor N-terminus', NULL, 'MF_alpha_N', NULL, NULL, NULL, 6),
(16899, NULL, 'PF13053', NULL, NULL, 'Protein of unknown function (DUF3914)', NULL, 'DUF3914', NULL, NULL, NULL, 6),
(16900, NULL, 'PF08129', NULL, NULL, 'Alpha/beta enterocin family', NULL, 'Antimicrobial17', NULL, NULL, NULL, 6),
(16901, NULL, 'PF15794', NULL, NULL, 'Coiled-coil domain-containing protein 106', NULL, 'CCDC106', NULL, NULL, NULL, 6),
(16902, NULL, 'PF14617', NULL, NULL, 'U3-containing 90S pre-ribosomal complex subunit', NULL, 'CMS1', NULL, NULL, NULL, 6),
(16903, NULL, 'PF09910', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2139)', NULL, 'DUF2139', NULL, NULL, NULL, 6),
(16904, NULL, 'PF18128', NULL, NULL, 'Hydrogen maturase F dimerization domain', NULL, 'HydF_dimer', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16905, NULL, 'PF01986', NULL, NULL, 'Domain of unknown function DUF123', NULL, 'DUF123', NULL, NULL, NULL, 6),
(16906, NULL, 'PF11680', NULL, NULL, 'Protein of unknown function (DUF3276)', NULL, 'DUF3276', NULL, NULL, NULL, 6),
(16907, NULL, 'PF07798', NULL, NULL, 'Protein of unknown function (DUF1640)', NULL, 'DUF1640', NULL, NULL, NULL, 6),
(16908, NULL, 'PF03659', NULL, NULL, 'Glycosyl hydrolase family 71', NULL, 'Glyco_hydro_71', NULL, NULL, NULL, 6),
(16909, NULL, 'PF13771', NULL, NULL, 'PHD-like zinc-binding domain', NULL, 'zf-HC5HC2H', NULL, NULL, NULL, 6),
(16910, NULL, 'PF11021', NULL, NULL, 'Protein of unknown function (DUF2613)', NULL, 'DUF2613', NULL, NULL, NULL, 6),
(16911, NULL, 'PF09184', NULL, NULL, 'PPP4R2', NULL, 'PPP4R2', NULL, NULL, NULL, 6),
(16912, NULL, 'PF14561', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_20', NULL, NULL, NULL, 6),
(16913, NULL, 'PF01167', NULL, NULL, 'Tub family', NULL, 'Tub', NULL, NULL, NULL, 6),
(16914, NULL, 'PF07860', NULL, NULL, 'WisP family C-Terminal Region', NULL, 'CCD', NULL, NULL, NULL, 6),
(16915, NULL, 'PF05614', NULL, NULL, 'Circovirus protein of unknown function (DUF782)', NULL, 'DUF782', NULL, NULL, NULL, 6),
(16916, NULL, 'PF17262', NULL, NULL, 'Cas6b C-terminal domain', NULL, 'Cas6b_C', NULL, NULL, NULL, 6),
(16917, NULL, 'PF14327', NULL, NULL, 'Hinge domain of cleavage stimulation factor subunit 2', NULL, 'CSTF2_hinge', NULL, NULL, NULL, 6),
(16918, NULL, 'PF12085', NULL, NULL, 'Protein of unknown function (DUF3562)', NULL, 'DUF3562', NULL, NULL, NULL, 6),
(16919, NULL, 'PF18905', NULL, NULL, 'Protein of unknown function (DUF5661)', NULL, 'DUF5661', NULL, NULL, NULL, 6),
(16920, NULL, 'PF05636', NULL, NULL, 'HIGH Nucleotidyl Transferase', NULL, 'HIGH_NTase1', NULL, NULL, NULL, 6),
(16921, NULL, 'PF05796', NULL, NULL, 'Chordopoxvirus protein G2', NULL, 'Chordopox_G2', NULL, NULL, NULL, 6),
(16922, NULL, 'PF00728', NULL, NULL, 'Glycosyl hydrolase family 20, catalytic domain', NULL, 'Glyco_hydro_20', NULL, NULL, NULL, 6),
(16923, NULL, 'PF07318', NULL, NULL, 'Protein of unknown function (DUF1464)', NULL, 'DUF1464', NULL, NULL, NULL, 6),
(16924, NULL, 'PF14088', NULL, NULL, 'Domain of unknown function (DUF4268)', NULL, 'DUF4268', NULL, NULL, NULL, 6),
(16925, NULL, 'PF17612', NULL, NULL, 'Family of unknown function (DUF5507)', NULL, 'DUF5507', NULL, NULL, NULL, 6),
(16926, NULL, 'PF09748', NULL, NULL, 'Transcription factor subunit Med10 of Mediator complex', NULL, 'Med10', NULL, NULL, NULL, 6),
(16927, NULL, 'PF09849', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2076)', NULL, 'DUF2076', NULL, NULL, NULL, 6),
(16928, NULL, 'PF03943', NULL, NULL, 'TAP C-terminal domain', NULL, 'TAP_C', NULL, NULL, NULL, 6),
(16929, NULL, 'PF05498', NULL, NULL, 'Rapid ALkalinization Factor (RALF)', NULL, 'RALF', NULL, NULL, NULL, 6),
(16930, NULL, 'PF15831', NULL, NULL, 'Domain of unknown function (DUF4713)', NULL, 'DUF4713', NULL, NULL, NULL, 6),
(16931, NULL, 'PF13210', NULL, NULL, 'Domain of unknown function (DUF4018)', NULL, 'DUF4018', NULL, NULL, NULL, 6),
(16932, NULL, 'PF04349', NULL, NULL, 'Periplasmic glucan biosynthesis protein, MdoG', NULL, 'MdoG', NULL, NULL, NULL, 6),
(16933, NULL, 'PF02959', NULL, NULL, 'HTLV Tax', NULL, 'Tax', NULL, NULL, NULL, 6),
(16934, NULL, 'PF11859', NULL, NULL, 'Protein of unknown function (DUF3379)', NULL, 'DUF3379', NULL, NULL, NULL, 6),
(16935, NULL, 'PF18778', NULL, NULL, 'Novel AID APOBEC clade 1', NULL, 'NAD1', NULL, NULL, NULL, 6),
(16936, NULL, 'PF13933', NULL, NULL, 'Putative peptidase family', NULL, 'HRXXH', NULL, NULL, NULL, 6),
(16937, NULL, 'PF09028', NULL, NULL, 'Mac 1', NULL, 'Mac-1', NULL, NULL, NULL, 6),
(16938, NULL, 'PF07326', NULL, NULL, 'Regulator of chromosome segregation 1', NULL, 'RCS1', NULL, NULL, NULL, 6),
(16939, NULL, 'PF09427', NULL, NULL, 'Domain of unknown function (DUF2014)', NULL, 'DUF2014', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16940, NULL, 'PF18854', NULL, NULL, 'Bacterial archaeo-eukaryotic release factor family 10', NULL, 'baeRF_family10', NULL, NULL, NULL, 6),
(16941, NULL, 'PF10218', NULL, NULL, 'Uncharacterized conserved protein (DUF2054)', NULL, 'DUF2054', NULL, NULL, NULL, 6),
(16942, NULL, 'PF03891', NULL, NULL, 'Domain of unknown function (DUF333)', NULL, 'DUF333', NULL, NULL, NULL, 6),
(16943, NULL, 'PF01207', NULL, NULL, 'Dihydrouridine synthase (Dus)', NULL, 'Dus', NULL, NULL, NULL, 6),
(16944, NULL, 'PF12790', NULL, NULL, 'Type VI secretion lipoprotein, VasD, EvfM, TssJ, VC_A0113', NULL, 'T6SS-SciN', NULL, NULL, NULL, 6),
(16945, NULL, 'PF15195', NULL, NULL, 'TMEM210 family', NULL, 'TMEM210', NULL, NULL, NULL, 6),
(16946, NULL, 'PF00116', NULL, NULL, 'Cytochrome C oxidase subunit II, periplasmic domain', NULL, 'COX2', NULL, NULL, NULL, 6),
(16947, NULL, 'PF12471', NULL, NULL, 'GTP cyclohydrolase N terminal', NULL, 'GTP_CH_N', NULL, NULL, NULL, 6),
(16948, NULL, 'PF09749', NULL, NULL, 'Uncharacterised conserved protein', NULL, 'HVSL', NULL, NULL, NULL, 6),
(16949, NULL, 'PF16819', NULL, NULL, 'Domain of unknown function (DUF5074)', NULL, 'DUF5074', NULL, NULL, NULL, 6),
(16950, NULL, 'PF12398', NULL, NULL, 'Receptor serine/threonine kinase', NULL, 'DUF3660', NULL, NULL, NULL, 6),
(16951, NULL, 'PF12602', NULL, NULL, 'Fertility inhibition protein N terminal', NULL, 'FinO_N', NULL, NULL, NULL, 6),
(16952, NULL, 'PF06545', NULL, NULL, 'Protein of unknown function (DUF1116)', NULL, 'DUF1116', NULL, NULL, NULL, 6),
(16953, NULL, 'PF05367', NULL, NULL, 'Phage endonuclease I', NULL, 'Phage_endo_I', NULL, NULL, NULL, 6),
(16954, NULL, 'PF08095', NULL, NULL, 'Hefutoxin family', NULL, 'Toxin_25', NULL, NULL, NULL, 6),
(16955, NULL, 'PF02113', NULL, NULL, 'D-Ala-D-Ala carboxypeptidase 3 (S13) family', NULL, 'Peptidase_S13', NULL, NULL, NULL, 6),
(16956, NULL, 'PF06005', NULL, NULL, 'Cell division protein ZapB', NULL, 'ZapB', NULL, NULL, NULL, 6),
(16957, NULL, 'PF07554', NULL, NULL, 'FIVAR domain', NULL, 'FIVAR', NULL, NULL, NULL, 6),
(16958, NULL, 'PF17971', NULL, NULL, 'Leukemia inhibitory factor receptor D2 domain', NULL, 'LIFR_D2', NULL, NULL, NULL, 6),
(16959, NULL, 'PF14685', NULL, NULL, 'Tricorn protease PDZ domain', NULL, 'Tricorn_PDZ', NULL, NULL, NULL, 6),
(16960, NULL, 'PF05362', NULL, NULL, 'Lon protease (S16) C-terminal proteolytic domain', NULL, 'Lon_C', NULL, NULL, NULL, 6),
(16961, NULL, 'PF13728', NULL, NULL, 'F plasmid transfer operon protein', NULL, 'TraF', NULL, NULL, NULL, 6),
(16962, NULL, 'PF02756', NULL, NULL, 'GYR motif', NULL, 'GYR', NULL, NULL, NULL, 6),
(16963, NULL, 'PF04999', NULL, NULL, 'Cell division protein FtsL', NULL, 'FtsL', NULL, NULL, NULL, 6),
(16964, NULL, 'PF11554', NULL, NULL, 'Protein of unknown function (DUF3232)', NULL, 'DUF3232', NULL, NULL, NULL, 6),
(16965, NULL, 'PF14192', NULL, NULL, 'Domain of unknown function (DUF4314)', NULL, 'DUF4314', NULL, NULL, NULL, 6),
(16966, NULL, 'PF02552', NULL, NULL, 'CO dehydrogenase beta subunit/acetyl-CoA synthase epsilon subunit', NULL, 'CO_dh', NULL, NULL, NULL, 6),
(16967, NULL, 'PF00368', NULL, NULL, 'Hydroxymethylglutaryl-coenzyme A reductase', NULL, 'HMG-CoA_red', NULL, NULL, NULL, 6),
(16968, NULL, 'PF18490', NULL, NULL, 'tRNA-binding domain', NULL, 'tRNA_bind_4', NULL, NULL, NULL, 6),
(16969, NULL, 'PF07259', NULL, NULL, 'ProSAAS precursor', NULL, 'ProSAAS', NULL, NULL, NULL, 6),
(16970, NULL, 'PF13306', NULL, NULL, 'BspA type Leucine rich repeat region (6 copies)', NULL, 'LRR_5', NULL, NULL, NULL, 6),
(16971, NULL, 'PF17247', NULL, NULL, 'Family of unknown function (DUF5316)', NULL, 'DUF5316', NULL, NULL, NULL, 6),
(16972, NULL, 'PF14110', NULL, NULL, 'Domain of unknown function (DUF4282)', NULL, 'DUF4282', NULL, NULL, NULL, 6),
(16973, NULL, 'PF10935', NULL, NULL, 'Protein of unknown function (DUF2637)', NULL, 'DUF2637', NULL, NULL, NULL, 6),
(16974, NULL, 'PF06648', NULL, NULL, 'Protein of unknown function (DUF1160)', NULL, 'DUF1160', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(16975, NULL, 'PF17020', NULL, NULL, 'Domain of unknown function (DUF5097)', NULL, 'DUF5097', NULL, NULL, NULL, 6),
(16976, NULL, 'PF09595', NULL, NULL, 'Metaviral_G glycoprotein', NULL, 'Metaviral_G', NULL, NULL, NULL, 6),
(16977, NULL, 'PF18285', NULL, NULL, 'Tetracycline repressor LuxT C-terminal domain', NULL, 'LuxT_C', NULL, NULL, NULL, 6),
(16978, NULL, 'PF15378', NULL, NULL, 'Domain of unknown function (DUF4605)', NULL, 'DUF4605', NULL, NULL, NULL, 6),
(16979, NULL, 'PF07477', NULL, NULL, 'Glycosyl hydrolase family 67 C-terminus', NULL, 'Glyco_hydro_67C', NULL, NULL, NULL, 6),
(16980, NULL, 'PF11894', NULL, NULL, 'Nuclear pore complex scaffold, nucleoporins 186/192/205', NULL, 'Nup192', NULL, NULL, NULL, 6),
(16981, NULL, 'PF01978', NULL, NULL, 'Sugar-specific transcriptional regulator TrmB', NULL, 'TrmB', NULL, NULL, NULL, 6),
(16982, NULL, 'PF10174', NULL, NULL, 'RIM-binding protein of the cytomatrix active zone', NULL, 'Cast', NULL, NULL, NULL, 6),
(16983, NULL, 'PF06575', NULL, NULL, 'Protein of unknown function (DUF1132)', NULL, 'DUF1132', NULL, NULL, NULL, 6),
(16984, NULL, 'PF14608', NULL, NULL, 'RNA-binding, Nab2-type zinc finger', NULL, 'zf-CCCH_2', NULL, NULL, NULL, 6),
(16985, NULL, 'PF11293', NULL, NULL, 'Protein of unknown function (DUF3094)', NULL, 'DUF3094', NULL, NULL, NULL, 6),
(16986, NULL, 'PF06210', NULL, NULL, 'Protein of unknown function (DUF1003)', NULL, 'DUF1003', NULL, NULL, NULL, 6),
(16987, NULL, 'PF02948', NULL, NULL, 'Amelogenin', NULL, 'Amelogenin', NULL, NULL, NULL, 6),
(16988, NULL, 'PF10168', NULL, NULL, 'Nuclear pore component', NULL, 'Nup88', NULL, NULL, NULL, 6),
(16989, NULL, 'PF12837', NULL, NULL, '4Fe-4S binding domain', NULL, 'Fer4_6', NULL, NULL, NULL, 6),
(16990, NULL, 'PF12106', NULL, NULL, 'Colicin E5 ribonuclease domain', NULL, 'Colicin_E5', NULL, NULL, NULL, 6),
(16991, NULL, 'PF18231', NULL, NULL, 'Domain of unknown function (DUF5603)', NULL, 'DUF5603', NULL, NULL, NULL, 6),
(16992, NULL, 'PF09783', NULL, NULL, 'Vacuolar import and degradation protein', NULL, 'Vac_ImportDeg', NULL, NULL, NULL, 6),
(16993, NULL, 'PF17763', NULL, NULL, 'Glutaminase/Asparaginase C-terminal domain', NULL, 'Asparaginase_C', NULL, NULL, NULL, 6),
(16994, NULL, 'PF00913', NULL, NULL, 'Trypanosome variant surface glycoprotein (A-type)', NULL, 'Trypan_glycop', NULL, NULL, NULL, 6),
(16995, NULL, 'PF00030', NULL, NULL, 'Beta/Gamma crystallin', NULL, 'Crystall', NULL, NULL, NULL, 6),
(16996, NULL, 'PF00283', NULL, NULL, 'Cytochrome b559, alpha (gene psbE) and beta (gene psbF)subunits', NULL, 'Cytochrom_B559', NULL, NULL, NULL, 6),
(16997, NULL, 'PF03024', NULL, NULL, 'Folate receptor family', NULL, 'Folate_rec', NULL, NULL, NULL, 6),
(16998, NULL, 'PF06286', NULL, NULL, 'Coleoptericin', NULL, 'Coleoptericin', NULL, NULL, NULL, 6),
(16999, NULL, 'PF18406', NULL, NULL, 'Ferredoxin-like domain in Api92-like protein', NULL, 'DUF1281_C', NULL, NULL, NULL, 6),
(17000, NULL, 'PF11378', NULL, NULL, 'Protein of unknown function (DUF3181)', NULL, 'DUF3181', NULL, NULL, NULL, 6),
(17001, NULL, 'PF06046', NULL, NULL, 'Exocyst complex component Sec6', NULL, 'Sec6', NULL, NULL, NULL, 6),
(17002, NULL, 'PF16829', NULL, NULL, 'Avirulence protein ATR13, RxLR effector', NULL, 'ATR13', NULL, NULL, NULL, 6),
(17003, NULL, 'PF11058', NULL, NULL, 'Antirestriction protein Ral', NULL, 'Ral', NULL, NULL, NULL, 6),
(17004, NULL, 'PF16956', NULL, NULL, 'Putative general bacterial porin', NULL, 'Porin_7', NULL, NULL, NULL, 6),
(17005, NULL, 'PF17964', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_10', NULL, NULL, NULL, 6),
(17006, NULL, 'PF12159', NULL, NULL, 'Protein of unknown function (DUF3593)', NULL, 'DUF3593', NULL, NULL, NULL, 6),
(17007, NULL, 'PF16425', NULL, NULL, 'Domain of unknown function (DUF5022)', NULL, 'DUF5022', NULL, NULL, NULL, 6),
(17008, NULL, 'PF07245', NULL, NULL, 'Phlebovirus glycoprotein G2 fusion domain', NULL, 'Phlebovirus_G2', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17009, NULL, 'PF11741', NULL, NULL, 'AMIN domain', NULL, 'AMIN', NULL, NULL, NULL, 6),
(17010, NULL, 'PF18770', NULL, NULL, 'Armadillo tether-repeat of vescicular transport factor', NULL, 'Arm_vescicular', NULL, NULL, NULL, 6),
(17011, NULL, 'PF17448', NULL, NULL, 'Uncharacterized YqaH-like', NULL, 'YqaH', NULL, NULL, NULL, 6),
(17012, NULL, 'PF09294', NULL, NULL, 'Interferon-alpha/beta receptor, fibronectin type III', NULL, 'Interfer-bind', NULL, NULL, NULL, 6),
(17013, NULL, 'PF15271', NULL, NULL, 'Spindle pole body component BBP1, Mps2-binding protein', NULL, 'BBP1_N', NULL, NULL, NULL, 6),
(17014, NULL, 'PF01325', NULL, NULL, 'Iron dependent repressor, N-terminal DNA binding domain', NULL, 'Fe_dep_repress', NULL, NULL, NULL, 6),
(17015, NULL, 'PF13690', NULL, NULL, 'Chemotaxis phosphatase CheX', NULL, 'CheX', NULL, NULL, NULL, 6),
(17016, NULL, 'PF16692', NULL, NULL, 'Folliculin C-terminal domain', NULL, 'Folliculin_C', NULL, NULL, NULL, 6),
(17017, NULL, 'PF06297', NULL, NULL, 'PET Domain', NULL, 'PET', NULL, NULL, NULL, 6),
(17018, NULL, 'PF19185', NULL, NULL, 'Family of unknown function (DUF5867)', NULL, 'DUF5867', NULL, NULL, NULL, 6),
(17019, NULL, 'PF05573', NULL, NULL, 'NosL', NULL, 'NosL', NULL, NULL, NULL, 6),
(17020, NULL, 'PF01997', NULL, NULL, 'Translin family', NULL, 'Translin', NULL, NULL, NULL, 6),
(17021, NULL, 'PF17583', NULL, NULL, 'Family of unknown function (DUF5484)', NULL, 'DUF5484', NULL, NULL, NULL, 6),
(17022, NULL, 'PF13045', NULL, NULL, 'Protein of unknown function (DUF3905)', NULL, 'DUF3905', NULL, NULL, NULL, 6),
(17023, NULL, 'PF06910', NULL, NULL, 'Male enhanced antigen 1 (MEA1)', NULL, 'MEA1', NULL, NULL, NULL, 6),
(17024, NULL, 'PF08074', NULL, NULL, 'CHDCT2 (NUC038) domain', NULL, 'CHDCT2', NULL, NULL, NULL, 6),
(17025, NULL, 'PF00458', NULL, NULL, 'WHEP-TRS domain', NULL, 'WHEP-TRS', NULL, NULL, NULL, 6),
(17026, NULL, 'PF10241', NULL, NULL, 'Uncharacterized conserved protein', NULL, 'KxDL', NULL, NULL, NULL, 6),
(17027, NULL, 'PF15175', NULL, NULL, 'Spermatogenesis-associated protein 24', NULL, 'SPATA24', NULL, NULL, NULL, 6),
(17028, NULL, 'PF02458', NULL, NULL, 'Transferase family', NULL, 'Transferase', NULL, NULL, NULL, 6),
(17029, NULL, 'PF14638', NULL, NULL, 'Folliculin-interacting protein C-terminus', NULL, 'FNIP_C', NULL, NULL, NULL, 6),
(17030, NULL, 'PF06723', NULL, NULL, 'MreB/Mbl protein', NULL, 'MreB_Mbl', NULL, NULL, NULL, 6),
(17031, NULL, 'PF17074', NULL, NULL, 'Darcynin, domain of unknown function', NULL, 'Darcynin', NULL, NULL, NULL, 6),
(17032, NULL, 'PF14489', NULL, NULL, 'QueF-like protein', NULL, 'QueF', NULL, NULL, NULL, 6),
(17033, NULL, 'PF05643', NULL, NULL, 'Putative bacterial lipoprotein (DUF799)', NULL, 'DUF799', NULL, NULL, NULL, 6),
(17034, NULL, 'PF09945', NULL, NULL, 'Predicted membrane protein (DUF2177)', NULL, 'DUF2177', NULL, NULL, NULL, 6),
(17035, NULL, 'PF02622', NULL, NULL, 'Uncharacterized ACR, COG1678', NULL, 'DUF179', NULL, NULL, NULL, 6),
(17036, NULL, 'PF12296', NULL, NULL, 'Hydrophobic surface binding protein A', NULL, 'HsbA', NULL, NULL, NULL, 6),
(17037, NULL, 'PF02428', NULL, NULL, 'Potato type II proteinase inhibitor family', NULL, 'Prot_inhib_II', NULL, NULL, NULL, 6),
(17038, NULL, 'PF03107', NULL, NULL, 'C1 domain', NULL, 'C1_2', NULL, NULL, NULL, 6),
(17039, NULL, 'PF07523', NULL, NULL, 'Bacterial Ig-like domain (group 3)', NULL, 'Big_3', NULL, NULL, NULL, 6),
(17040, NULL, 'PF16500', NULL, NULL, 'N-terminal region of cyclin_N', NULL, 'Cyclin_N2', NULL, NULL, NULL, 6),
(17041, NULL, 'PF04578', NULL, NULL, 'Protein of unknown function, DUF594', NULL, 'DUF594', NULL, NULL, NULL, 6),
(17042, NULL, 'PF11776', NULL, NULL, 'Nickel/cobalt transporter regulator', NULL, 'RcnB', NULL, NULL, NULL, 6),
(17043, NULL, 'PF10338', NULL, NULL, 'Protein of unknown function (DUF2423)', NULL, 'DUF2423', NULL, NULL, NULL, 6),
(17044, NULL, 'PF09068', NULL, NULL, 'EF hand', NULL, 'EF-hand_2', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17045, NULL, 'PF09519', NULL, NULL, 'HindVP restriction endonuclease', NULL, 'RE_HindVP', NULL, NULL, NULL, 6),
(17046, NULL, 'PF09874', NULL, NULL, 'Predicted membrane protein (DUF2101)', NULL, 'DUF2101', NULL, NULL, NULL, 6),
(17047, NULL, 'PF18167', NULL, NULL, 'SMODS-associated NUDIX domain', NULL, 'Sa_NUDIX', NULL, NULL, NULL, 6),
(17048, NULL, 'PF14390', NULL, NULL, 'Putative  PD-(D/E)XK family member, (DUF4420)', NULL, 'DUF4420', NULL, NULL, NULL, 6),
(17049, NULL, 'PF05131', NULL, NULL, 'Pep3/Vps18/deep orange family', NULL, 'Pep3_Vps18', NULL, NULL, NULL, 6),
(17050, NULL, 'PF05511', NULL, NULL, 'Mitochondrial ATP synthase coupling factor 6', NULL, 'ATP-synt_F6', NULL, NULL, NULL, 6),
(17051, NULL, 'PF14790', NULL, NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', NULL, 'THDPS_N', NULL, NULL, NULL, 6),
(17052, NULL, 'PF18205', NULL, NULL, 'VPDSG-CTERM motif', NULL, 'VPDSG-CTERM', NULL, NULL, NULL, 6),
(17053, NULL, 'PF01796', NULL, NULL, 'DUF35 OB-fold domain, acyl-CoA-associated', NULL, 'OB_aCoA_assoc', NULL, NULL, NULL, 6),
(17054, NULL, 'PF16716', NULL, NULL, 'Bone marrow stromal antigen 2', NULL, 'BST2', NULL, NULL, NULL, 6),
(17055, NULL, 'PF11094', NULL, NULL, 'Membrane-associated tegument protein', NULL, 'UL11', NULL, NULL, NULL, 6),
(17056, NULL, 'PF11704', NULL, NULL, 'Vesicle coat protein involved in Golgi to plasma membrane transport', NULL, 'Folliculin', NULL, NULL, NULL, 6),
(17057, NULL, 'PF14626', NULL, NULL, 'Zc3h12a-like Ribonuclease NYN domain', NULL, 'RNase_Zc3h12a_2', NULL, NULL, NULL, 6),
(17058, NULL, 'PF04443', NULL, NULL, 'Acyl-protein synthetase, LuxE', NULL, 'LuxE', NULL, NULL, NULL, 6),
(17059, NULL, 'PF00418', NULL, NULL, 'Tau and MAP protein, tubulin-binding repeat', NULL, 'Tubulin-binding', NULL, NULL, NULL, 6),
(17060, NULL, 'PF08693', NULL, NULL, 'Transmembrane alpha-helix domain', NULL, 'SKG6', NULL, NULL, NULL, 6),
(17061, NULL, 'PF18958', NULL, NULL, 'Putative zinc dependent peptidase (DUF5700)', NULL, 'DUF5700', NULL, NULL, NULL, 6),
(17062, NULL, 'PF17613', NULL, NULL, 'Modifier of transcription', NULL, 'motB', NULL, NULL, NULL, 6),
(17063, NULL, 'PF06214', NULL, NULL, 'Signaling lymphocytic activation molecule (SLAM) protein', NULL, 'SLAM', NULL, NULL, NULL, 6),
(17064, NULL, 'PF16364', NULL, NULL, 'Cell surface antigen C-terminus', NULL, 'Antigen_C', NULL, NULL, NULL, 6),
(17065, NULL, 'PF02886', NULL, NULL, 'LBP / BPI / CETP family, C-terminal domain', NULL, 'LBP_BPI_CETP_C', NULL, NULL, NULL, 6),
(17066, NULL, 'PF00133', NULL, NULL, 'tRNA synthetases class I (I, L, M and V)', NULL, 'tRNA-synt_1', NULL, NULL, NULL, 6),
(17067, NULL, 'PF05394', NULL, NULL, 'Avirulence protein', NULL, 'AvrB_AvrC', NULL, NULL, NULL, 6),
(17068, NULL, 'PF05720', NULL, NULL, 'Cell-cell adhesion domain', NULL, 'Dicty_CAD', NULL, NULL, NULL, 6),
(17069, NULL, 'PF13579', NULL, NULL, 'Glycosyl transferase 4-like domain', NULL, 'Glyco_trans_4_4', NULL, NULL, NULL, 6),
(17070, NULL, 'PF10498', NULL, NULL, 'Intra-flagellar transport protein 57', NULL, 'IFT57', NULL, NULL, NULL, 6),
(17071, NULL, 'PF07942', NULL, NULL, 'N2227-like protein', NULL, 'N2227', NULL, NULL, NULL, 6),
(17072, NULL, 'PF02571', NULL, NULL, 'Precorrin-6x reductase CbiJ/CobK', NULL, 'CbiJ', NULL, NULL, NULL, 6),
(17073, NULL, 'PF09322', NULL, NULL, 'Domain of unknown function (DUF1979)', NULL, 'DUF1979', NULL, NULL, NULL, 6),
(17074, NULL, 'PF04726', NULL, NULL, 'Microvirus J protein', NULL, 'Microvir_J', NULL, NULL, NULL, 6),
(17075, NULL, 'PF05264', NULL, NULL, 'Choristoneura fumiferana antifreeze protein (CfAFP)', NULL, 'CfAFP', NULL, NULL, NULL, 6),
(17076, NULL, 'PF18821', NULL, NULL, 'Large polyvalent protein-associated domain 7', NULL, 'LPD7', NULL, NULL, NULL, 6),
(17077, NULL, 'PF04466', NULL, NULL, 'Phage terminase large subunit', NULL, 'Terminase_3', NULL, NULL, NULL, 6),
(17078, NULL, 'PF00159', NULL, NULL, 'Pancreatic hormone peptide', NULL, 'Hormone_3', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17079, NULL, 'PF16536', NULL, NULL, 'PNKP adenylyltransferase domain, C-terminal region', NULL, 'PNKP-ligase_C', NULL, NULL, NULL, 6),
(17080, NULL, 'PF10394', NULL, NULL, 'Histone acetyl transferase HAT1 N-terminus', NULL, 'Hat1_N', NULL, NULL, NULL, 6),
(17081, NULL, 'PF07662', NULL, NULL, 'Na+ dependent nucleoside transporter C-terminus', NULL, 'Nucleos_tra2_C', NULL, NULL, NULL, 6),
(17082, NULL, 'PF10040', NULL, NULL, 'CRISPR-associated endoribonuclease Cas6', NULL, 'CRISPR_Cas6', NULL, NULL, NULL, 6),
(17083, NULL, 'PF10918', NULL, NULL, 'Protein of unknown function (DUF2718)', NULL, 'DUF2718', NULL, NULL, NULL, 6),
(17084, NULL, 'PF15092', NULL, NULL, 'Uncharacterised protein family UPF0728', NULL, 'UPF0728', NULL, NULL, NULL, 6),
(17085, NULL, 'PF04799', NULL, NULL, 'fzo-like conserved region', NULL, 'Fzo_mitofusin', NULL, NULL, NULL, 6),
(17086, NULL, 'PF13109', NULL, NULL, 'AsmA-like C-terminal region', NULL, 'AsmA_1', NULL, NULL, NULL, 6),
(17087, NULL, 'PF13343', NULL, NULL, 'Bacterial extracellular solute-binding protein', NULL, 'SBP_bac_6', NULL, NULL, NULL, 6),
(17088, NULL, 'PF06753', NULL, NULL, 'Bradykinin', NULL, 'Bradykinin', NULL, NULL, NULL, 6),
(17089, NULL, 'PF00862', NULL, NULL, 'Sucrose synthase', NULL, 'Sucrose_synth', NULL, NULL, NULL, 6),
(17090, NULL, 'PF15760', NULL, NULL, 'Leukemia-associated protein 7', NULL, 'DLEU7', NULL, NULL, NULL, 6),
(17091, NULL, 'PF09100', NULL, NULL, 'Quinohemoprotein amine dehydrogenase, alpha subunit domain IV', NULL, 'Qn_am_d_aIV', NULL, NULL, NULL, 6),
(17092, NULL, 'PF07453', NULL, NULL, 'NUMOD1 domain', NULL, 'NUMOD1', NULL, NULL, NULL, 6),
(17093, NULL, 'PF14941', NULL, NULL, 'Transcriptional regulator, Out at first', NULL, 'OAF', NULL, NULL, NULL, 6),
(17094, NULL, 'PF15365', NULL, NULL, 'Proline-rich nuclear receptor coactivator motif', NULL, 'PNRC', NULL, NULL, NULL, 6),
(17095, NULL, 'PF16080', NULL, NULL, 'Bacteriophage holin family HP1', NULL, 'Phage_holin_2_3', NULL, NULL, NULL, 6),
(17096, NULL, 'PF02602', NULL, NULL, 'Uroporphyrinogen-III synthase HemD', NULL, 'HEM4', NULL, NULL, NULL, 6),
(17097, NULL, 'PF05488', NULL, NULL, 'PAAR motif', NULL, 'PAAR_motif', NULL, NULL, NULL, 6),
(17098, NULL, 'PF12365', NULL, NULL, 'Protein of unknown function (DUF3649)', NULL, 'DUF3649', NULL, NULL, NULL, 6),
(17099, NULL, 'PF12075', NULL, NULL, 'KN motif', NULL, 'KN_motif', NULL, NULL, NULL, 6),
(17100, NULL, 'PF14152', NULL, NULL, 'YfhE-like protein', NULL, 'YfhE', NULL, NULL, NULL, 6),
(17101, NULL, 'PF09030', NULL, NULL, 'Creb binding', NULL, 'Creb_binding', NULL, NULL, NULL, 6),
(17102, NULL, 'PF08397', NULL, NULL, 'IRSp53/MIM homology domain', NULL, 'IMD', NULL, NULL, NULL, 6),
(17103, NULL, 'PF09288', NULL, NULL, 'Fungal ubiquitin-associated domain', NULL, 'UBA_3', NULL, NULL, NULL, 6),
(17104, NULL, 'PF08530', NULL, NULL, 'X-Pro dipeptidyl-peptidase C-terminal non-catalytic domain', NULL, 'PepX_C', NULL, NULL, NULL, 6),
(17105, NULL, 'PF15502', NULL, NULL, 'M-phase-specific PLK1-interacting protein', NULL, 'MPLKIP', NULL, NULL, NULL, 6),
(17106, NULL, 'PF13733', NULL, NULL, 'N-terminal region of glycosyl transferase group 7', NULL, 'Glyco_transf_7N', NULL, NULL, NULL, 6),
(17107, NULL, 'PF07430', NULL, NULL, 'Phloem filament protein PP1 cystatin-like domain', NULL, 'PP1', NULL, NULL, NULL, 6),
(17108, NULL, 'PF13935', NULL, NULL, 'Ead/Ea22-like protein', NULL, 'Ead_Ea22', NULL, NULL, NULL, 6),
(17109, NULL, 'PF04552', NULL, NULL, 'Sigma-54, DNA binding domain', NULL, 'Sigma54_DBD', NULL, NULL, NULL, 6),
(17110, NULL, 'PF09569', NULL, NULL, 'ScaI restriction endonuclease', NULL, 'RE_ScaI', NULL, NULL, NULL, 6),
(17111, NULL, 'PF01818', NULL, NULL, 'Bacteriophage translational regulator', NULL, 'Translat_reg', NULL, NULL, NULL, 6),
(17112, NULL, 'PF06385', NULL, NULL, 'Baculovirus LEF-11 protein', NULL, 'Baculo_LEF-11', NULL, NULL, NULL, 6),
(17113, NULL, 'PF12901', NULL, NULL, 'SUZ-C motif', NULL, 'SUZ-C', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17114, NULL, 'PF10610', NULL, NULL, 'Thin aggregative fimbriae synthesis protein', NULL, 'Tafi-CsgC', NULL, NULL, NULL, 6),
(17115, NULL, 'PF15187', NULL, NULL, 'Oesophageal cancer-related gene 4', NULL, 'Augurin', NULL, NULL, NULL, 6),
(17116, NULL, 'PF04104', NULL, NULL, 'Eukaryotic and archaeal DNA primase, large subunit', NULL, 'DNA_primase_lrg', NULL, NULL, NULL, 6),
(17117, NULL, 'PF15385', NULL, NULL, 'Specifically androgen-regulated gene protein', NULL, 'SARG', NULL, NULL, NULL, 6),
(17118, NULL, 'PF11792', NULL, NULL, 'Baculoviridae late expression factor 5 C-terminal domain', NULL, 'Baculo_LEF5_C', NULL, NULL, NULL, 6),
(17119, NULL, 'PF11917', NULL, NULL, 'Protein of unknown function (DUF3435)', NULL, 'DUF3435', NULL, NULL, NULL, 6),
(17120, NULL, 'PF13336', NULL, NULL, 'Acetyl-CoA hydrolase/transferase C-terminal domain', NULL, 'AcetylCoA_hyd_C', NULL, NULL, NULL, 6),
(17121, NULL, 'PF08548', NULL, NULL, 'Peptidase M10 serralysin C terminal', NULL, 'Peptidase_M10_C', NULL, NULL, NULL, 6),
(17122, NULL, 'PF10058', NULL, NULL, 'Predicted integral membrane zinc-ribbon metal-binding protein', NULL, 'zinc_ribbon_10', NULL, NULL, NULL, 6),
(17123, NULL, 'PF17549', NULL, NULL, 'Gene Product 17', NULL, 'Phage_Gp17', NULL, NULL, NULL, 6),
(17124, NULL, 'PF02828', NULL, NULL, 'L27 domain', NULL, 'L27', NULL, NULL, NULL, 6),
(17125, NULL, 'PF12509', NULL, NULL, 'Protein of unknown function (DUF3715)', NULL, 'DUF3715', NULL, NULL, NULL, 6),
(17126, NULL, 'PF08737', NULL, NULL, 'Rgp1', NULL, 'Rgp1', NULL, NULL, NULL, 6),
(17127, NULL, 'PF06484', NULL, NULL, 'Teneurin Intracellular Region', NULL, 'Ten_N', NULL, NULL, NULL, 6),
(17128, NULL, 'PF03802', NULL, NULL, 'Apo-citrate lyase phosphoribosyl-dephospho-CoA transferase', NULL, 'CitX', NULL, NULL, NULL, 6),
(17129, NULL, 'PF09600', NULL, NULL, 'Cyd operon protein YbgE (Cyd_oper_YbgE)', NULL, 'Cyd_oper_YbgE', NULL, NULL, NULL, 6),
(17130, NULL, 'PF13927', NULL, NULL, 'Immunoglobulin domain', NULL, 'Ig_3', NULL, NULL, NULL, 6),
(17131, NULL, 'PF17605', NULL, NULL, 'Family of unknown function (DUF5501)', NULL, 'DUF5501', NULL, NULL, NULL, 6),
(17132, NULL, 'PF10200', NULL, NULL, 'NADH:ubiquinone oxidoreductase, NDUFS5-15kDa', NULL, 'Ndufs5', NULL, NULL, NULL, 6),
(17133, NULL, 'PF17241', NULL, NULL, 'Gag-like protein', NULL, 'DUF5314', NULL, NULL, NULL, 6),
(17134, NULL, 'PF16886', NULL, NULL, 'ATPsynthase alpha/beta subunit N-term extension', NULL, 'ATP-synt_ab_Xtn', NULL, NULL, NULL, 6),
(17135, NULL, 'PF12420', NULL, NULL, 'Protein of unknown function', NULL, 'DUF3671', NULL, NULL, NULL, 6),
(17136, NULL, 'PF04757', NULL, NULL, 'Pex2 / Pex12 amino terminal region', NULL, 'Pex2_Pex12', NULL, NULL, NULL, 6),
(17137, NULL, 'PF06462', NULL, NULL, 'Propeller', NULL, 'Hyd_WA', NULL, NULL, NULL, 6),
(17138, NULL, 'PF00420', NULL, NULL, 'NADH-ubiquinone/plastoquinone oxidoreductase chain 4L', NULL, 'Oxidored_q2', NULL, NULL, NULL, 6),
(17139, NULL, 'PF06995', NULL, NULL, 'Phage P2 GpU', NULL, 'Phage_P2_GpU', NULL, NULL, NULL, 6),
(17140, NULL, 'PF09047', NULL, NULL, 'MEF2 binding', NULL, 'MEF2_binding', NULL, NULL, NULL, 6),
(17141, NULL, 'PF16416', NULL, NULL, 'ARM-like repeat domain, GUN4-N terminal', NULL, 'GUN4_N', NULL, NULL, NULL, 6),
(17142, NULL, 'PF11450', NULL, NULL, 'Protein of unknwon function (DUF3008)', NULL, 'DUF3008', NULL, NULL, NULL, 6),
(17143, NULL, 'PF07182', NULL, NULL, 'Protein of unknown function (DUF1402)', NULL, 'DUF1402', NULL, NULL, NULL, 6),
(17144, NULL, 'PF13027', NULL, NULL, 'Protein of unknown function (DUF3888)', NULL, 'DUF3888', NULL, NULL, NULL, 6),
(17145, NULL, 'PF04632', NULL, NULL, 'Fusaric acid resistance protein family', NULL, 'FUSC', NULL, NULL, NULL, 6),
(17146, NULL, 'PF17711', NULL, NULL, 'Family of unknown function (DUF5556)', NULL, 'DUF5556', NULL, NULL, NULL, 6),
(17147, NULL, 'PF12343', NULL, NULL, 'Cold shock protein DEAD box A', NULL, 'DEADboxA', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17148, NULL, 'PF09056', NULL, NULL, 'Prokaryotic phospholipase A2', NULL, 'Phospholip_A2_3', NULL, NULL, NULL, 6),
(17149, NULL, 'PF04180', NULL, NULL, 'Low temperature viability protein', NULL, 'LTV', NULL, NULL, NULL, 6),
(17150, NULL, 'PF17330', NULL, NULL, 'SWR1 chromatin-remodelling complex, sub-unit Swc7', NULL, 'SWC7', NULL, NULL, NULL, 6),
(17151, NULL, 'PF03850', NULL, NULL, 'Transcription factor Tfb4', NULL, 'Tfb4', NULL, NULL, NULL, 6),
(17152, NULL, 'PF04651', NULL, NULL, 'Poxvirus A12 protein', NULL, 'Pox_A12', NULL, NULL, NULL, 6),
(17153, NULL, 'PF08717', NULL, NULL, 'Coronavirus replicase NSP8', NULL, 'CoV_NSP8', NULL, NULL, NULL, 6),
(17154, NULL, 'PF00704', NULL, NULL, 'Glycosyl hydrolases family 18', NULL, 'Glyco_hydro_18', NULL, NULL, NULL, 6),
(17155, NULL, 'PF07890', NULL, NULL, 'Rrp15p', NULL, 'Rrp15p', NULL, NULL, NULL, 6),
(17156, NULL, 'PF09657', NULL, NULL, 'CRISPR-associated protein Csx8 (Cas_Csx8)', NULL, 'Cas_Csx8', NULL, NULL, NULL, 6),
(17157, NULL, 'PF11935', NULL, NULL, 'Domain of unknown function (DUF3453)', NULL, 'DUF3453', NULL, NULL, NULL, 6),
(17158, NULL, 'PF15837', NULL, NULL, 'Domain of unknown function (DUF4716)', NULL, 'DUF4716', NULL, NULL, NULL, 6),
(17159, NULL, 'PF07208', NULL, NULL, 'Protein of unknown function (DUF1414)', NULL, 'DUF1414', NULL, NULL, NULL, 6),
(17160, NULL, 'PF03101', NULL, NULL, 'FAR1 DNA-binding domain', NULL, 'FAR1', NULL, NULL, NULL, 6),
(17161, NULL, 'PF18284', NULL, NULL, 'DNA methylase N-terminal domain', NULL, 'DNA_meth_N', NULL, NULL, NULL, 6),
(17162, NULL, 'PF16805', NULL, NULL, 'Phage late-transcription coactivator', NULL, 'Trans_coact', NULL, NULL, NULL, 6),
(17163, NULL, 'PF05741', NULL, NULL, 'Nanos RNA binding domain', NULL, 'zf-nanos', NULL, NULL, NULL, 6),
(17164, NULL, 'PF16847', NULL, NULL, 'Avirulence AvrPtoB, BAK1-binding domain', NULL, 'AvrPtoB_bdg', NULL, NULL, NULL, 6),
(17165, NULL, 'PF08762', NULL, NULL, 'CRPV capsid protein like', NULL, 'CRPV_capsid', NULL, NULL, NULL, 6),
(17166, NULL, 'PF03628', NULL, NULL, 'PapG chaperone-binding domain', NULL, 'PapG_C', NULL, NULL, NULL, 6),
(17167, NULL, 'PF10728', NULL, NULL, 'Domain of unknown function (DUF2520)', NULL, 'DUF2520', NULL, NULL, NULL, 6),
(17168, NULL, 'PF18226', NULL, NULL, 'LasR-specific antiactivator QslA chain E', NULL, 'QslA_E', NULL, NULL, NULL, 6),
(17169, NULL, 'PF03399', NULL, NULL, 'SAC3/GANP family', NULL, 'SAC3_GANP', NULL, NULL, NULL, 6),
(17170, NULL, 'PF08414', NULL, NULL, 'Respiratory burst NADPH oxidase', NULL, 'NADPH_Ox', NULL, NULL, NULL, 6),
(17171, NULL, 'PF16981', NULL, NULL, 'chi-Conotoxin or t superfamily', NULL, 'Chi-conotoxin', NULL, NULL, NULL, 6),
(17172, NULL, 'PF15070', NULL, NULL, 'Putative golgin subfamily A member 2-like protein 5', NULL, 'GOLGA2L5', NULL, NULL, NULL, 6),
(17173, NULL, 'PF07977', NULL, NULL, 'FabA-like domain', NULL, 'FabA', NULL, NULL, NULL, 6),
(17174, NULL, 'PF05392', NULL, NULL, 'Cytochrome C oxidase chain VIIB', NULL, 'COX7B', NULL, NULL, NULL, 6),
(17175, NULL, 'PF05650', NULL, NULL, 'Domain of unknown function (DUF802)', NULL, 'DUF802', NULL, NULL, NULL, 6),
(17176, NULL, 'PF11390', NULL, NULL, 'NADH-dependant formate dehydrogenase delta subunit FdsD', NULL, 'FdsD', NULL, NULL, NULL, 6),
(17177, NULL, 'PF18053', NULL, NULL, 'DNA gyrase B subunit insert domain', NULL, 'GyrB_insert', NULL, NULL, NULL, 6),
(17178, NULL, 'PF17101', NULL, NULL, 'Stealth protein CR1, conserved region 1', NULL, 'Stealth_CR1', NULL, NULL, NULL, 6),
(17179, NULL, 'PF10198', NULL, NULL, 'Histone acetyltransferases subunit 3', NULL, 'Ada3', NULL, NULL, NULL, 6),
(17180, NULL, 'PF15083', NULL, NULL, 'Colipase-like', NULL, 'Colipase-like', NULL, NULL, NULL, 6),
(17181, NULL, 'PF13811', NULL, NULL, 'Domain of unknown function (DUF4186)', NULL, 'DUF4186', NULL, NULL, NULL, 6),
(17182, NULL, 'PF17405', NULL, NULL, 'Nrap protein nucleotidyltransferase domain 4', NULL, 'Nrap_D4', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17183, NULL, 'PF17765', NULL, NULL, 'MmyB-like transcription regulator ligand binding domain', NULL, 'MLTR_LBD', NULL, NULL, NULL, 6),
(17184, NULL, 'PF03863', NULL, NULL, 'Phage maturation protein', NULL, 'Phage_mat-A', NULL, NULL, NULL, 6),
(17185, NULL, 'PF10769', NULL, NULL, 'Protein of unknown function (DUF2594)', NULL, 'DUF2594', NULL, NULL, NULL, 6),
(17186, NULL, 'PF09731', NULL, NULL, 'Mitochondrial inner membrane protein', NULL, 'Mitofilin', NULL, NULL, NULL, 6),
(17187, NULL, 'PF05529', NULL, NULL, 'Bap31/Bap29 transmembrane region', NULL, 'Bap31', NULL, NULL, NULL, 6),
(17188, NULL, 'PF15542', NULL, NULL, 'Bacterial toxin 50', NULL, 'Ntox50', NULL, NULL, NULL, 6),
(17189, NULL, 'PF10899', NULL, NULL, 'Putative abortive phage resistance protein AbiGi, antitoxin', NULL, 'AbiGi', NULL, NULL, NULL, 6),
(17190, NULL, 'PF04686', NULL, NULL, 'Streptomyces sporulation and cell division protein, SsgA', NULL, 'SsgA', NULL, NULL, NULL, 6),
(17191, NULL, 'PF17149', NULL, NULL, 'Periplasmic sensor domain found in signal transduction proteins', NULL, 'CHASE5', NULL, NULL, NULL, 6),
(17192, NULL, 'PF08804', NULL, NULL, 'gp32 DNA binding protein like', NULL, 'gp32', NULL, NULL, NULL, 6),
(17193, NULL, 'PF10271', NULL, NULL, 'Putative transmembrane protein', NULL, 'Tmp39', NULL, NULL, NULL, 6),
(17194, NULL, 'PF02090', NULL, NULL, 'Salmonella surface presentation of antigen gene type M protein', NULL, 'SPAM', NULL, NULL, NULL, 6),
(17195, NULL, 'PF07400', NULL, NULL, 'Interleukin 11', NULL, 'IL11', NULL, NULL, NULL, 6),
(17196, NULL, 'PF13930', NULL, NULL, 'DNA/RNA non-specific endonuclease', NULL, 'Endonuclea_NS_2', NULL, NULL, NULL, 6),
(17197, NULL, 'PF14263', NULL, NULL, 'Domain of unknown function (DUF4354)', NULL, 'DUF4354', NULL, NULL, NULL, 6),
(17198, NULL, 'PF12486', NULL, NULL, 'Type VI secretion system, EvfB, or VasL', NULL, 'VasL', NULL, NULL, NULL, 6),
(17199, NULL, 'PF10727', NULL, NULL, 'Rossmann-like domain', NULL, 'Rossmann-like', NULL, NULL, NULL, 6),
(17200, NULL, 'PF09884', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2111)', NULL, 'DUF2111', NULL, NULL, NULL, 6),
(17201, NULL, 'PF02056', NULL, NULL, 'Family 4 glycosyl hydrolase', NULL, 'Glyco_hydro_4', NULL, NULL, NULL, 6),
(17202, NULL, 'PF07014', NULL, NULL, 'Hs1pro-1 protein C-terminus', NULL, 'Hs1pro-1_C', NULL, NULL, NULL, 6),
(17203, NULL, 'PF06003', NULL, NULL, 'Survival motor neuron protein (SMN)', NULL, 'SMN', NULL, NULL, NULL, 6),
(17204, NULL, 'PF12924', NULL, NULL, 'Copper-binding of amyloid precursor, CuBD', NULL, 'APP_Cu_bd', NULL, NULL, NULL, 6),
(17205, NULL, 'PF07325', NULL, NULL, 'Curtovirus V2 protein', NULL, 'Curto_V2', NULL, NULL, NULL, 6),
(17206, NULL, 'PF06934', NULL, NULL, 'Fatty acid cis/trans isomerase (CTI)', NULL, 'CTI', NULL, NULL, NULL, 6),
(17207, NULL, 'PF18071', NULL, NULL, 'HMW1C N-terminal', NULL, 'HMW1C_N', NULL, NULL, NULL, 6),
(17208, NULL, 'PF00466', NULL, NULL, 'Ribosomal protein L10', NULL, 'Ribosomal_L10', NULL, NULL, NULL, 6),
(17209, NULL, 'PF00570', NULL, NULL, 'HRDC domain', NULL, 'HRDC', NULL, NULL, NULL, 6),
(17210, NULL, 'PF09626', NULL, NULL, 'Dihaem cytochrome c', NULL, 'DHC', NULL, NULL, NULL, 6),
(17211, NULL, 'PF05138', NULL, NULL, 'Phenylacetic acid catabolic protein', NULL, 'PaaA_PaaC', NULL, NULL, NULL, 6),
(17212, NULL, 'PF09737', NULL, NULL, 'De-etiolated protein 1 Det1', NULL, 'Det1', NULL, NULL, NULL, 6),
(17213, NULL, 'PF01054', NULL, NULL, 'Mouse mammary tumour virus superantigen', NULL, 'MMTV_SAg', NULL, NULL, NULL, 6),
(17214, NULL, 'PF13476', NULL, NULL, 'AAA domain', NULL, 'AAA_23', NULL, NULL, NULL, 6),
(17215, NULL, 'PF17487', NULL, NULL, 'Ribosomal protein S12', NULL, 'Ribosomal_S12', NULL, NULL, NULL, 6),
(17216, NULL, 'PF07495', NULL, NULL, 'Y_Y_Y domain', NULL, 'Y_Y_Y', NULL, NULL, NULL, 6),
(17217, NULL, 'PF04890', NULL, NULL, 'Family of unknown function (DUF648)', NULL, 'DUF648', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17218, NULL, 'PF03984', NULL, NULL, 'Repeat of unknown function (DUF346)', NULL, 'DUF346', NULL, NULL, NULL, 6),
(17219, NULL, 'PF12014', NULL, NULL, 'Domain of unknown function (DUF3506)', NULL, 'DUF3506', NULL, NULL, NULL, 6),
(17220, NULL, 'PF07739', NULL, NULL, 'TipAS antibiotic-recognition domain', NULL, 'TipAS', NULL, NULL, NULL, 6),
(17221, NULL, 'PF03840', NULL, NULL, 'Preprotein translocase SecG subunit', NULL, 'SecG', NULL, NULL, NULL, 6),
(17222, NULL, 'PF00043', NULL, NULL, 'Glutathione S-transferase, C-terminal domain', NULL, 'GST_C', NULL, NULL, NULL, 6),
(17223, NULL, 'PF11545', NULL, NULL, 'Cell surface heme-binding protein Shp', NULL, 'HemeBinding_Shp', NULL, NULL, NULL, 6),
(17224, NULL, 'PF06906', NULL, NULL, 'Protein of unknown function (DUF1272)', NULL, 'DUF1272', NULL, NULL, NULL, 6),
(17225, NULL, 'PF13727', NULL, NULL, 'CoA-binding domain', NULL, 'CoA_binding_3', NULL, NULL, NULL, 6),
(17226, NULL, 'PF15059', NULL, NULL, 'Speriolin C-terminus', NULL, 'Speriolin_C', NULL, NULL, NULL, 6),
(17227, NULL, 'PF04972', NULL, NULL, 'BON domain', NULL, 'BON', NULL, NULL, NULL, 6),
(17228, NULL, 'PF16186', NULL, NULL, 'Atypical Arm repeat', NULL, 'Arm_3', NULL, NULL, NULL, 6),
(17229, NULL, 'PF01928', NULL, NULL, 'CYTH domain', NULL, 'CYTH', NULL, NULL, NULL, 6),
(17230, NULL, 'PF16127', NULL, NULL, 'Domain of unknown function (DUF4839)', NULL, 'DUF4839', NULL, NULL, NULL, 6),
(17231, NULL, 'PF04377', NULL, NULL, 'Arginine-tRNA-protein transferase, C terminus', NULL, 'ATE_C', NULL, NULL, NULL, 6),
(17232, NULL, 'PF10242', NULL, NULL, 'Lipoma HMGIC fusion partner-like protein', NULL, 'L_HMGIC_fpl', NULL, NULL, NULL, 6),
(17233, NULL, 'PF10596', NULL, NULL, 'U6-snRNA interacting domain of PrP8', NULL, 'U6-snRNA_bdg', NULL, NULL, NULL, 6),
(17234, NULL, 'PF17286', NULL, NULL, 'PRMT5 oligomerisation domain', NULL, 'PRMT5_C', NULL, NULL, NULL, 6),
(17235, NULL, 'PF10438', NULL, NULL, 'Cyclo-malto-dextrinase C-terminal domain', NULL, 'Cyc-maltodext_C', NULL, NULL, NULL, 6),
(17236, NULL, 'PF16202', NULL, NULL, 'N-terminal region of Bloom syndrome protein', NULL, 'BLM_N', NULL, NULL, NULL, 6),
(17237, NULL, 'PF13928', NULL, NULL, 'Flocculin type 3 repeat', NULL, 'Flocculin_t3', NULL, NULL, NULL, 6),
(17238, NULL, 'PF14402', NULL, NULL, '7 transmembrane helices usually fused to an inactive transglutaminase', NULL, '7TM_transglut', NULL, NULL, NULL, 6),
(17239, NULL, 'PF13073', NULL, NULL, 'Protein of unknown function (DUF3937)', NULL, 'DUF3937', NULL, NULL, NULL, 6),
(17240, NULL, 'PF07270', NULL, NULL, 'Protein of unknown function (DUF1438)', NULL, 'DUF1438', NULL, NULL, NULL, 6),
(17241, NULL, 'PF12101', NULL, NULL, 'Protein of unknown function (DUF3577)', NULL, 'DUF3577', NULL, NULL, NULL, 6),
(17242, NULL, 'PF12556', NULL, NULL, 'Cobaltochelatase CobS subunit N terminal', NULL, 'CobS_N', NULL, NULL, NULL, 6),
(17243, NULL, 'PF06025', NULL, NULL, 'Domain of Unknown Function (DUF913)', NULL, 'DUF913', NULL, NULL, NULL, 6),
(17244, NULL, 'PF11605', NULL, NULL, 'Vacuolar protein sorting protein 36 Vps36', NULL, 'Vps36_ESCRT-II', NULL, NULL, NULL, 6),
(17245, NULL, 'PF07707', NULL, NULL, 'BTB And C-terminal Kelch', NULL, 'BACK', NULL, NULL, NULL, 6),
(17246, NULL, 'PF15063', NULL, NULL, 'Thyroid cancer protein 1', NULL, 'TC1', NULL, NULL, NULL, 6),
(17247, NULL, 'PF04715', NULL, NULL, 'Anthranilate synthase component I, N terminal region', NULL, 'Anth_synt_I_N', NULL, NULL, NULL, 6),
(17248, NULL, 'PF03969', NULL, NULL, 'AFG1-like ATPase', NULL, 'AFG1_ATPase', NULL, NULL, NULL, 6),
(17249, NULL, 'PF16793', NULL, NULL, 'RepB DNA-primase from phage plasmid', NULL, 'RepB_primase', NULL, NULL, NULL, 6),
(17250, NULL, 'PF18998', NULL, NULL, 'Divergent InlB B-repeat domain', NULL, 'Flg_new_2', NULL, NULL, NULL, 6),
(17251, NULL, 'PF15191', NULL, NULL, 'Synaptonemal complex central element protein 3', NULL, 'Synaptonemal_3', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17252, NULL, 'PF12382', NULL, NULL, 'Retrotransposon peptidase', NULL, 'Peptidase_A2_2', NULL, NULL, NULL, 6),
(17253, NULL, 'PF05015', NULL, NULL, 'RelE-like toxin of type II toxin-antitoxin system HigB', NULL, 'HigB-like_toxin', NULL, NULL, NULL, 6),
(17254, NULL, 'PF01116', NULL, NULL, 'Fructose-bisphosphate aldolase class-II', NULL, 'F_bP_aldolase', NULL, NULL, NULL, 6),
(17255, NULL, 'PF05108', NULL, NULL, 'Type VII secretion system ESX-1, transport TM domain B', NULL, 'T7SS_ESX1_EccB', NULL, NULL, NULL, 6),
(17256, NULL, 'PF05428', NULL, NULL, 'Corticotropin-releasing factor binding protein (CRF-BP)', NULL, 'CRF-BP', NULL, NULL, NULL, 6),
(17257, NULL, 'PF15974', NULL, NULL, 'Cadherin C-terminal cytoplasmic tail, catenin-binding region', NULL, 'Cadherin_tail', NULL, NULL, NULL, 6),
(17258, NULL, 'PF03882', NULL, NULL, 'MukF winged-helix domain', NULL, 'KicB', NULL, NULL, NULL, 6),
(17259, NULL, 'PF06900', NULL, NULL, 'Protein of unknown function (DUF1270)', NULL, 'DUF1270', NULL, NULL, NULL, 6),
(17260, NULL, 'PF09358', NULL, NULL, 'Ubiquitin fold domain', NULL, 'E1_UFD', NULL, NULL, NULL, 6),
(17261, NULL, 'PF11049', NULL, NULL, 'Glycoprotein K1 of Kaposi''s sarcoma-associated herpes virus', NULL, 'KSHV_K1', NULL, NULL, NULL, 6),
(17262, NULL, 'PF03845', NULL, NULL, 'Spore germination protein', NULL, 'Spore_permease', NULL, NULL, NULL, 6),
(17263, NULL, 'PF13501', NULL, NULL, 'Sulfur oxidation protein SoxY', NULL, 'SoxY', NULL, NULL, NULL, 6),
(17264, NULL, 'PF16632', NULL, NULL, 'C-terminal region of Caskin', NULL, 'Caskin-tail', NULL, NULL, NULL, 6),
(17265, NULL, 'PF13609', NULL, NULL, 'Gram-negative porin', NULL, 'Porin_4', NULL, NULL, NULL, 6),
(17266, NULL, 'PF03343', NULL, NULL, 'SART-1 family', NULL, 'SART-1', NULL, NULL, NULL, 6),
(17267, NULL, 'PF08125', NULL, NULL, 'Mannitol dehydrogenase C-terminal domain', NULL, 'Mannitol_dh_C', NULL, NULL, NULL, 6),
(17268, NULL, 'PF04847', NULL, NULL, 'Calcipressin', NULL, 'Calcipressin', NULL, NULL, NULL, 6),
(17269, NULL, 'PF17839', NULL, NULL, 'C-terminal domain of cyclic nucleotide phosphodiesterase', NULL, 'CNP_C_terminal', NULL, NULL, NULL, 6),
(17270, NULL, 'PF17785', NULL, NULL, 'PUA-like domain', NULL, 'PUA_3', NULL, NULL, NULL, 6),
(17271, NULL, 'PF09596', NULL, NULL, 'MamL-1 domain', NULL, 'MamL-1', NULL, NULL, NULL, 6),
(17272, NULL, 'PF05824', NULL, NULL, 'Pro-melanin-concentrating hormone (Pro-MCH)', NULL, 'Pro-MCH', NULL, NULL, NULL, 6),
(17273, NULL, 'PF13487', NULL, NULL, 'HD domain', NULL, 'HD_5', NULL, NULL, NULL, 6),
(17274, NULL, 'PF11482', NULL, NULL, 'Protein of unknown function (DUF3208)', NULL, 'DUF3208', NULL, NULL, NULL, 6),
(17275, NULL, 'PF07804', NULL, NULL, 'HipA-like C-terminal domain', NULL, 'HipA_C', NULL, NULL, NULL, 6),
(17276, NULL, 'PF00299', NULL, NULL, 'Squash family serine protease inhibitor', NULL, 'Squash', NULL, NULL, NULL, 6),
(17277, NULL, 'PF12190', NULL, NULL, 'Fungal protease inhibitor', NULL, 'amfpi-1', NULL, NULL, NULL, 6),
(17278, NULL, 'PF13972', NULL, NULL, 'Bacterial transcriptional repressor', NULL, 'TetR', NULL, NULL, NULL, 6),
(17279, NULL, 'PF15936', NULL, NULL, 'Domain of unknown function (DUF4749)', NULL, 'DUF4749', NULL, NULL, NULL, 6),
(17280, NULL, 'PF10501', NULL, NULL, 'Ribosomal subunit 39S', NULL, 'Ribosomal_L50', NULL, NULL, NULL, 6),
(17281, NULL, 'PF17306', NULL, NULL, 'Family of unknown function (DUF5355)', NULL, 'DUF5355', NULL, NULL, NULL, 6),
(17282, NULL, 'PF10671', NULL, NULL, 'Toxin co-regulated pilus biosynthesis protein Q', NULL, 'TcpQ', NULL, NULL, NULL, 6),
(17283, NULL, 'PF13595', NULL, NULL, 'Domain of unknown function (DUF4138)', NULL, 'DUF4138', NULL, NULL, NULL, 6),
(17284, NULL, 'PF15361', NULL, NULL, 'Resistance to inhibitors of cholinesterase homologue 3', NULL, 'RIC3', NULL, NULL, NULL, 6),
(17285, NULL, 'PF14805', NULL, NULL, 'Tetrahydrodipicolinate N-succinyltransferase N-terminal', NULL, 'THDPS_N_2', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17286, NULL, 'PF04014', NULL, NULL, 'Antidote-toxin recognition MazE, bacterial antitoxin', NULL, 'MazE_antitoxin', NULL, NULL, NULL, 6),
(17287, NULL, 'PF11095', NULL, NULL, 'Gem-associated protein 7 (Gemin7)', NULL, 'Gemin7', NULL, NULL, NULL, 6),
(17288, NULL, 'PF03645', NULL, NULL, 'Tctex-1 family', NULL, 'Tctex-1', NULL, NULL, NULL, 6),
(17289, NULL, 'PF15983', NULL, NULL, 'Domain of unknown function (DUF4767)', NULL, 'DUF4767', NULL, NULL, NULL, 6),
(17290, NULL, 'PF01413', NULL, NULL, 'C-terminal tandem repeated domain in type 4 procollagen', NULL, 'C4', NULL, NULL, NULL, 6),
(17291, NULL, 'PF11050', NULL, NULL, 'Virus envelope protein E26', NULL, 'Viral_env_E26', NULL, NULL, NULL, 6),
(17292, NULL, 'PF17537', NULL, NULL, 'Family of unknown function (DUF5455)', NULL, 'DUF5455', NULL, NULL, NULL, 6),
(17293, NULL, 'PF15364', NULL, NULL, 'PAXIP1-associated-protein-1 C term PTIP binding protein', NULL, 'PAXIP1_C', NULL, NULL, NULL, 6),
(17294, NULL, 'PF09524', NULL, NULL, 'Conserved phage C-terminus (Phg_2220_C)', NULL, 'Phg_2220_C', NULL, NULL, NULL, 6),
(17295, NULL, 'PF06534', NULL, NULL, 'Repulsive guidance molecule (RGM) C-terminus', NULL, 'RGM_C', NULL, NULL, NULL, 6),
(17296, NULL, 'PF00023', NULL, NULL, 'Ankyrin repeat', NULL, 'Ank', NULL, NULL, NULL, 6),
(17297, NULL, 'PF17404', NULL, NULL, 'Nrap protein domain 3', NULL, 'Nrap_D3', NULL, NULL, NULL, 6),
(17298, NULL, 'PF12299', NULL, NULL, 'Protein of unknown function (DUF3627)', NULL, 'DUF3627', NULL, NULL, NULL, 6),
(17299, NULL, 'PF01806', NULL, NULL, 'Paramyxovirinae P phosphoprotein C-terminal region', NULL, 'Paramyxo_P', NULL, NULL, NULL, 6),
(17300, NULL, 'PF05701', NULL, NULL, 'Weak chloroplast movement under blue light', NULL, 'WEMBL', NULL, NULL, NULL, 6),
(17301, NULL, 'PF16397', NULL, NULL, 'Domain of unknown function (DUF5006)', NULL, 'DUF5006', NULL, NULL, NULL, 6),
(17302, NULL, 'PF03979', NULL, NULL, 'Sigma-70 factor, region 1.1', NULL, 'Sigma70_r1_1', NULL, NULL, NULL, 6),
(17303, NULL, 'PF08332', NULL, NULL, 'Calcium/calmodulin dependent protein kinase II association domain', NULL, 'CaMKII_AD', NULL, NULL, NULL, 6),
(17304, NULL, 'PF16078', NULL, NULL, '2-oxoglutarate dehydrogenase N-terminus', NULL, '2-oxogl_dehyd_N', NULL, NULL, NULL, 6),
(17305, NULL, 'PF15660', NULL, NULL, 'Putative Immunity protein 75', NULL, 'Imm75', NULL, NULL, NULL, 6),
(17306, NULL, 'PF15313', NULL, NULL, 'Hexamethylene bis-acetamide-inducible protein', NULL, 'HEXIM', NULL, NULL, NULL, 6),
(17307, NULL, 'PF18271', NULL, NULL, 'Glycoside hydrolase 131 catalytic N-terminal domain', NULL, 'GH131_N', NULL, NULL, NULL, 6),
(17308, NULL, 'PF14438', NULL, NULL, 'Ataxin 2 SM domain', NULL, 'SM-ATX', NULL, NULL, NULL, 6),
(17309, NULL, 'PF18667', NULL, NULL, 'Baseplate upper protein immunoglobulin like domain', NULL, 'BppU_IgG', NULL, NULL, NULL, 6),
(17310, NULL, 'PF06531', NULL, NULL, 'Protein of unknown function (DUF1108)', NULL, 'DUF1108', NULL, NULL, NULL, 6),
(17311, NULL, 'PF13726', NULL, NULL, 'Na+-H+ antiporter family', NULL, 'Na_H_antiport_2', NULL, NULL, NULL, 6),
(17312, NULL, 'PF05236', NULL, NULL, 'Transcription initiation factor TFIID component TAF4 family', NULL, 'TAF4', NULL, NULL, NULL, 6),
(17313, NULL, 'PF17881', NULL, NULL, 'Domain of unknown function (DUF5590)', NULL, 'DUF5590', NULL, NULL, NULL, 6),
(17314, NULL, 'PF12037', NULL, NULL, 'Domain of unknown function (DUF3523)', NULL, 'DUF3523', NULL, NULL, NULL, 6),
(17315, NULL, 'PF08569', NULL, NULL, 'Mo25-like', NULL, 'Mo25', NULL, NULL, NULL, 6),
(17316, NULL, 'PF02190', NULL, NULL, 'ATP-dependent protease La (LON) substrate-binding domain', NULL, 'LON_substr_bdg', NULL, NULL, NULL, 6),
(17317, NULL, 'PF14099', NULL, NULL, 'Polysaccharide lyase', NULL, 'Polysacc_lyase', NULL, NULL, NULL, 6),
(17318, NULL, 'PF12444', NULL, NULL, 'Sox developmental protein N terminal', NULL, 'Sox_N', NULL, NULL, NULL, 6),
(17319, NULL, 'PF15278', NULL, NULL, 'Sec3 exocyst complex subunit', NULL, 'Sec3_C_2', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17320, NULL, 'PF15643', NULL, NULL, 'Papain fold toxin 2', NULL, 'Tox-PL-2', NULL, NULL, NULL, 6),
(17321, NULL, 'PF16698', NULL, NULL, 'Membrane-proximal domain, switch, for ADAM17', NULL, 'ADAM17_MPD', NULL, NULL, NULL, 6),
(17322, NULL, 'PF04682', NULL, NULL, 'Herpesvirus BTRF1 protein conserved region', NULL, 'Herpes_BTRF1', NULL, NULL, NULL, 6),
(17323, NULL, 'PF18012', NULL, NULL, 'PH domain', NULL, 'PH_17', NULL, NULL, NULL, 6),
(17324, NULL, 'PF07514', NULL, NULL, 'Putative helicase', NULL, 'TraI_2', NULL, NULL, NULL, 6),
(17325, NULL, 'PF17835', NULL, NULL, 'NOG1 N-terminal helical domain', NULL, 'NOG1_N', NULL, NULL, NULL, 6),
(17326, NULL, 'PF12958', NULL, NULL, 'Protein of unknown function (DUF3847)', NULL, 'DUF3847', NULL, NULL, NULL, 6),
(17327, NULL, 'PF01493', NULL, NULL, 'GXGXG motif', NULL, 'GXGXG', NULL, NULL, NULL, 6),
(17328, NULL, 'PF17445', NULL, NULL, 'Mating factor A1', NULL, 'Mfa1', NULL, NULL, NULL, 6),
(17329, NULL, 'PF04090', NULL, NULL, 'RNA polymerase I specific initiation factor', NULL, 'RNA_pol_I_TF', NULL, NULL, NULL, 6),
(17330, NULL, 'PF15655', NULL, NULL, 'NTF2 fold immunity protein', NULL, 'Imm-NTF2', NULL, NULL, NULL, 6),
(17331, NULL, 'PF10666', NULL, NULL, 'Phage tail assembly chaperone protein Gp14 ()A118', NULL, 'Phage_TAC_8', NULL, NULL, NULL, 6),
(17332, NULL, 'PF00638', NULL, NULL, 'RanBP1 domain', NULL, 'Ran_BP1', NULL, NULL, NULL, 6),
(17333, NULL, 'PF08335', NULL, NULL, 'GlnD PII-uridylyltransferase', NULL, 'GlnD_UR_UTase', NULL, NULL, NULL, 6),
(17334, NULL, 'PF03091', NULL, NULL, 'CutA1 divalent ion tolerance protein', NULL, 'CutA1', NULL, NULL, NULL, 6),
(17335, NULL, 'PF07951', NULL, NULL, 'Clostridium neurotoxin, C-terminal receptor binding', NULL, 'Toxin_R_bind_C', NULL, NULL, NULL, 6),
(17336, NULL, 'PF10179', NULL, NULL, 'Uncharacterised conserved protein (DUF2369)', NULL, 'DUF2369', NULL, NULL, NULL, 6),
(17337, NULL, 'PF13985', NULL, NULL, 'YbgS-like protein', NULL, 'YbgS', NULL, NULL, NULL, 6),
(17338, NULL, 'PF16239', NULL, NULL, 'Domain of unknown function (DUF4898)', NULL, 'DUF4898', NULL, NULL, NULL, 6),
(17339, NULL, 'PF14142', NULL, NULL, 'YrzO-like protein', NULL, 'YrzO', NULL, NULL, NULL, 6),
(17340, NULL, 'PF13689', NULL, NULL, 'YfiR/HmsC-like', NULL, 'DUF4154', NULL, NULL, NULL, 6),
(17341, NULL, 'PF01095', NULL, NULL, 'Pectinesterase', NULL, 'Pectinesterase', NULL, NULL, NULL, 6),
(17342, NULL, 'PF16359', NULL, NULL, 'RcsD-ABL domain', NULL, 'RcsD_ABL', NULL, NULL, NULL, 6),
(17343, NULL, 'PF13139', NULL, NULL, 'Domain of unknown function (DUF3981)', NULL, 'DUF3981', NULL, NULL, NULL, 6),
(17344, NULL, 'PF17469', NULL, NULL, 'Phage protein Gp68', NULL, 'GP68', NULL, NULL, NULL, 6),
(17345, NULL, 'PF14836', NULL, NULL, 'Ubiquitin-like domain', NULL, 'Ubiquitin_3', NULL, NULL, NULL, 6),
(17346, NULL, 'PF03395', NULL, NULL, 'Poxvirus P4A protein', NULL, 'Pox_P4A', NULL, NULL, NULL, 6),
(17347, NULL, 'PF14540', NULL, NULL, 'Nucleotidyltransferase-like', NULL, 'NTF-like', NULL, NULL, NULL, 6),
(17348, NULL, 'PF15578', NULL, NULL, 'Domain of unknown function (DUF4662)', NULL, 'DUF4662', NULL, NULL, NULL, 6),
(17349, NULL, 'PF04625', NULL, NULL, 'DEC-1 protein, N-terminal region', NULL, 'DEC-1_N', NULL, NULL, NULL, 6),
(17350, NULL, 'PF06813', NULL, NULL, 'Nodulin-like', NULL, 'Nodulin-like', NULL, NULL, NULL, 6),
(17351, NULL, 'PF00558', NULL, NULL, 'Vpu protein', NULL, 'Vpu', NULL, NULL, NULL, 6),
(17352, NULL, 'PF10812', NULL, NULL, 'Protein of unknown function (DUF2561)', NULL, 'DUF2561', NULL, NULL, NULL, 6),
(17353, NULL, 'PF14575', NULL, NULL, 'Ephrin type-A receptor 2 transmembrane domain', NULL, 'EphA2_TM', NULL, NULL, NULL, 6),
(17354, NULL, 'PF08442', NULL, NULL, 'ATP-grasp domain', NULL, 'ATP-grasp_2', NULL, NULL, NULL, 6),
(17355, NULL, 'PF17414', NULL, NULL, 'MatP C-terminal ribbon-helix-helix domain', NULL, 'MatP_C', NULL, NULL, NULL, 6),
(17356, NULL, 'PF06992', NULL, NULL, 'Replication protein P', NULL, 'Phage_lambda_P', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17357, NULL, 'PF15431', NULL, NULL, 'Transmembrane protein 190', NULL, 'TMEM190', NULL, NULL, NULL, 6),
(17358, NULL, 'PF18996', NULL, NULL, 'Family of unknown function (DUF5726)', NULL, 'DUF5726', NULL, NULL, NULL, 6),
(17359, NULL, 'PF05517', NULL, NULL, 'p25-alpha', NULL, 'p25-alpha', NULL, NULL, NULL, 6),
(17360, NULL, 'PF00852', NULL, NULL, 'Glycosyltransferase family 10 (fucosyltransferase) C-term', NULL, 'Glyco_transf_10', NULL, NULL, NULL, 6),
(17361, NULL, 'PF00199', NULL, NULL, 'Catalase', NULL, 'Catalase', NULL, NULL, NULL, 6),
(17362, NULL, 'PF13312', NULL, NULL, 'Domain of unknown function (DUF4081)', NULL, 'DUF4081', NULL, NULL, NULL, 6),
(17363, NULL, 'PF01197', NULL, NULL, 'Ribosomal protein L31', NULL, 'Ribosomal_L31', NULL, NULL, NULL, 6),
(17364, NULL, 'PF07098', NULL, NULL, 'Protein of unknown function (DUF1360)', NULL, 'DUF1360', NULL, NULL, NULL, 6),
(17365, NULL, 'PF17036', NULL, NULL, 'Cellulose biosynthesis protein BcsS', NULL, 'CBP_BcsS', NULL, NULL, NULL, 6),
(17366, NULL, 'PF13569', NULL, NULL, 'Domain of unknown function (DUF4132)', NULL, 'DUF4132', NULL, NULL, NULL, 6),
(17367, NULL, 'PF08799', NULL, NULL, 'pre-mRNA processing factor 4 (PRP4) like', NULL, 'PRP4', NULL, NULL, NULL, 6),
(17368, NULL, 'PF14133', NULL, NULL, 'Domain of unknown function (DUF4300)', NULL, 'DUF4300', NULL, NULL, NULL, 6),
(17369, NULL, 'PF04162', NULL, NULL, 'Gyrovirus capsid protein (VP1)', NULL, 'Gyro_capsid', NULL, NULL, NULL, 6),
(17370, NULL, 'PF18786', NULL, NULL, 'Importin 13 repeat', NULL, 'Importin_rep_2', NULL, NULL, NULL, 6),
(17371, NULL, 'PF07969', NULL, NULL, 'Amidohydrolase family', NULL, 'Amidohydro_3', NULL, NULL, NULL, 6),
(17372, NULL, 'PF10091', NULL, NULL, 'Putative glucoamylase', NULL, 'Glycoamylase', NULL, NULL, NULL, 6),
(17373, NULL, 'PF12247', NULL, NULL, 'Temperature dependent protein affecting M2 dsRNA replication', NULL, 'MKT1_N', NULL, NULL, NULL, 6),
(17374, NULL, 'PF18222', NULL, NULL, 'PilN biogenesis protein dimerization domain', NULL, 'PilN_bio_d', NULL, NULL, NULL, 6),
(17375, NULL, 'PF00361', NULL, NULL, 'Proton-conducting membrane transporter', NULL, 'Proton_antipo_M', NULL, NULL, NULL, 6),
(17376, NULL, 'PF07142', NULL, NULL, 'Repeat of unknown function (DUF1388)', NULL, 'DUF1388', NULL, NULL, NULL, 6),
(17377, NULL, 'PF03298', NULL, NULL, 'Stanniocalcin family', NULL, 'Stanniocalcin', NULL, NULL, NULL, 6),
(17378, NULL, 'PF09839', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2066)', NULL, 'DUF2066', NULL, NULL, NULL, 6),
(17379, NULL, 'PF05414', NULL, NULL, 'Viral domain of unknown function (DUF1717)', NULL, 'DUF1717', NULL, NULL, NULL, 6),
(17380, NULL, 'PF06305', NULL, NULL, 'Lipopolysaccharide assembly protein A domain', NULL, 'LapA_dom', NULL, NULL, NULL, 6),
(17381, NULL, 'PF05769', NULL, NULL, 'SIKE family', NULL, 'SIKE', NULL, NULL, NULL, 6),
(17382, NULL, 'PF05596', NULL, NULL, 'Taeniidae antigen', NULL, 'Taeniidae_ag', NULL, NULL, NULL, 6),
(17383, NULL, 'PF12076', NULL, NULL, 'WAX2 C-terminal domain', NULL, 'Wax2_C', NULL, NULL, NULL, 6),
(17384, NULL, 'PF17604', NULL, NULL, 'Family of unknown function (DUF5500)', NULL, 'DUF5500', NULL, NULL, NULL, 6),
(17385, NULL, 'PF14526', NULL, NULL, 'Integron-associated effector binding protein', NULL, 'Cass2', NULL, NULL, NULL, 6),
(17386, NULL, 'PF09823', NULL, NULL, 'Domain of unknown function (DUF2357)', NULL, 'DUF2357', NULL, NULL, NULL, 6),
(17387, NULL, 'PF08149', NULL, NULL, 'BING4CT (NUC141) domain', NULL, 'BING4CT', NULL, NULL, NULL, 6),
(17388, NULL, 'PF07828', NULL, NULL, 'PA-IL-like protein', NULL, 'PA-IL', NULL, NULL, NULL, 6),
(17389, NULL, 'PF18153', NULL, NULL, 'SMODS-associating 2TM, beta-strand rich effector domain', NULL, 'S_2TMBeta', NULL, NULL, NULL, 6),
(17390, NULL, 'PF14773', NULL, NULL, 'Helicase-associated putative binding domain, C-terminal', NULL, 'VIGSSK', NULL, NULL, NULL, 6),
(17391, NULL, 'PF16789', NULL, NULL, 'YscO-like protein', NULL, 'YscO-like', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17392, NULL, 'PF18148', NULL, NULL, 'Regulator of G-protein signalling DHEX domain', NULL, 'RGS_DHEX', NULL, NULL, NULL, 6),
(17393, NULL, 'PF01858', NULL, NULL, 'Retinoblastoma-associated protein A domain', NULL, 'RB_A', NULL, NULL, NULL, 6),
(17394, NULL, 'PF03692', NULL, NULL, 'Putative zinc- or iron-chelating domain', NULL, 'CxxCxxCC', NULL, NULL, NULL, 6),
(17395, NULL, 'PF17900', NULL, NULL, 'Peptidase M1 N-terminal domain', NULL, 'Peptidase_M1_N', NULL, NULL, NULL, 6),
(17396, NULL, 'PF04563', NULL, NULL, 'RNA polymerase beta subunit', NULL, 'RNA_pol_Rpb2_1', NULL, NULL, NULL, 6),
(17397, NULL, 'PF03008', NULL, NULL, 'Archaea bacterial proteins of unknown function', NULL, 'DUF234', NULL, NULL, NULL, 6),
(17398, NULL, 'PF17633', NULL, NULL, 'Family of unknown function (DUF5514)', NULL, 'DUF5514', NULL, NULL, NULL, 6),
(17399, NULL, 'PF12542', NULL, NULL, 'Pre-mRNA splicing factor', NULL, 'CWC25', NULL, NULL, NULL, 6),
(17400, NULL, 'PF05266', NULL, NULL, 'Protein of unknown function (DUF724)', NULL, 'DUF724', NULL, NULL, NULL, 6),
(17401, NULL, 'PF00413', NULL, NULL, 'Matrixin', NULL, 'Peptidase_M10', NULL, NULL, NULL, 6),
(17402, NULL, 'PF11926', NULL, NULL, 'Domain of unknown function (DUF3444)', NULL, 'DUF3444', NULL, NULL, NULL, 6),
(17403, NULL, 'PF00359', NULL, NULL, 'Phosphoenolpyruvate-dependent sugar phosphotransferase system, EIIA 2', NULL, 'PTS_EIIA_2', NULL, NULL, NULL, 6),
(17404, NULL, 'PF00926', NULL, NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase', NULL, 'DHBP_synthase', NULL, NULL, NULL, 6),
(17405, NULL, 'PF05309', NULL, NULL, 'TraE protein', NULL, 'TraE', NULL, NULL, NULL, 6),
(17406, NULL, 'PF16485', NULL, NULL, 'Protealysin propeptide', NULL, 'PLN_propep', NULL, NULL, NULL, 6),
(17407, NULL, 'PF14632', NULL, NULL, 'Acidic N-terminal SPT6', NULL, 'SPT6_acidic', NULL, NULL, NULL, 6),
(17408, NULL, 'PF02354', NULL, NULL, 'Latrophilin Cytoplasmic C-terminal region', NULL, 'Latrophilin', NULL, NULL, NULL, 6),
(17409, NULL, 'PF17695', NULL, NULL, 'Family of unknown function (DUF5541)', NULL, 'DUF5541', NULL, NULL, NULL, 6),
(17410, NULL, 'PF05606', NULL, NULL, 'Borrelia burgdorferi protein of unknown function (DUF777)', NULL, 'DUF777', NULL, NULL, NULL, 6),
(17411, NULL, 'PF02963', NULL, NULL, 'Restriction endonuclease EcoRI', NULL, 'EcoRI', NULL, NULL, NULL, 6),
(17412, NULL, 'PF07613', NULL, NULL, 'Protein of unknown function (DUF1576)', NULL, 'DUF1576', NULL, NULL, NULL, 6),
(17413, NULL, 'PF17754', NULL, NULL, 'MftR C-terminal domain', NULL, 'TetR_C_14', NULL, NULL, NULL, 6),
(17414, NULL, 'PF15347', NULL, NULL, 'Phosphoprotein associated with glycosphingolipid-enriched', NULL, 'PAG', NULL, NULL, NULL, 6),
(17415, NULL, 'PF06426', NULL, NULL, 'Serine acetyltransferase, N-terminal', NULL, 'SATase_N', NULL, NULL, NULL, 6),
(17416, NULL, 'PF07701', NULL, NULL, 'Heme NO binding associated', NULL, 'HNOBA', NULL, NULL, NULL, 6),
(17417, NULL, 'PF07304', NULL, NULL, 'Steroid receptor RNA activator (SRA1)', NULL, 'SRA1', NULL, NULL, NULL, 6),
(17418, NULL, 'PF07083', NULL, NULL, 'Protein of unknown function (DUF1351)', NULL, 'DUF1351', NULL, NULL, NULL, 6),
(17419, NULL, 'PF05514', NULL, NULL, 'HR-like lesion-inducing', NULL, 'HR_lesion', NULL, NULL, NULL, 6),
(17420, NULL, 'PF13533', NULL, NULL, 'Biotin-lipoyl like', NULL, 'Biotin_lipoyl_2', NULL, NULL, NULL, 6),
(17421, NULL, 'PF07167', NULL, NULL, 'Poly-beta-hydroxybutyrate polymerase (PhaC) N-terminus', NULL, 'PhaC_N', NULL, NULL, NULL, 6),
(17422, NULL, 'PF06007', NULL, NULL, 'Phosphonate metabolism protein PhnJ', NULL, 'PhnJ', NULL, NULL, NULL, 6),
(17423, NULL, 'PF03704', NULL, NULL, 'Bacterial transcriptional activator domain', NULL, 'BTAD', NULL, NULL, NULL, 6),
(17424, NULL, 'PF07501', NULL, NULL, 'G5 domain', NULL, 'G5', NULL, NULL, NULL, 6),
(17425, NULL, 'PF05053', NULL, NULL, 'Menin', NULL, 'Menin', NULL, NULL, NULL, 6),
(17426, NULL, 'PF12683', NULL, NULL, 'Protein of unknown function (DUF3798)', NULL, 'DUF3798', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17427, NULL, 'PF18771', NULL, NULL, 'APOBEC3', NULL, 'APOBEC3', NULL, NULL, NULL, 6),
(17428, NULL, 'PF12808', NULL, NULL, 'Micro-tubular organiser Mto1 C-term Mto2-binding region', NULL, 'Mto2_bdg', NULL, NULL, NULL, 6),
(17429, NULL, 'PF16323', NULL, NULL, 'Domain of unknown function (DUF4959)', NULL, 'DUF4959', NULL, NULL, NULL, 6),
(17430, NULL, 'PF02901', NULL, NULL, 'Pyruvate formate lyase-like', NULL, 'PFL-like', NULL, NULL, NULL, 6),
(17431, NULL, 'PF01146', NULL, NULL, 'Caveolin', NULL, 'Caveolin', NULL, NULL, NULL, 6),
(17432, NULL, 'PF00780', NULL, NULL, 'CNH domain', NULL, 'CNH', NULL, NULL, NULL, 6),
(17433, NULL, 'PF10678', NULL, NULL, 'Protein of unknown function (DUF2492)', NULL, 'DUF2492', NULL, NULL, NULL, 6),
(17434, NULL, 'PF06361', NULL, NULL, 'Rice tungro bacilliform virus P12 protein', NULL, 'RTBV_P12', NULL, NULL, NULL, 6),
(17435, NULL, 'PF10713', NULL, NULL, 'Protein of unknown function (DUF2509)', NULL, 'DUF2509', NULL, NULL, NULL, 6),
(17436, NULL, 'PF13896', NULL, NULL, 'Glycosyl-transferase for dystroglycan', NULL, 'Glyco_transf_49', NULL, NULL, NULL, 6),
(17437, NULL, 'PF05096', NULL, NULL, 'Glutamine cyclotransferase', NULL, 'Glu_cyclase_2', NULL, NULL, NULL, 6),
(17438, NULL, 'PF17928', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_22', NULL, NULL, NULL, 6),
(17439, NULL, 'PF06961', NULL, NULL, 'Protein of unknown function (DUF1294)', NULL, 'DUF1294', NULL, NULL, NULL, 6),
(17440, NULL, 'PF10775', NULL, NULL, 'ATP synthase complex subunit h', NULL, 'ATP_sub_h', NULL, NULL, NULL, 6),
(17441, NULL, 'PF00170', NULL, NULL, 'bZIP transcription factor', NULL, 'bZIP_1', NULL, NULL, NULL, 6),
(17442, NULL, 'PF01316', NULL, NULL, 'Arginine repressor, DNA binding domain', NULL, 'Arg_repressor', NULL, NULL, NULL, 6),
(17443, NULL, 'PF10442', NULL, NULL, 'FIST C domain', NULL, 'FIST_C', NULL, NULL, NULL, 6),
(17444, NULL, 'PF07406', NULL, NULL, 'NICE-3 protein', NULL, 'NICE-3', NULL, NULL, NULL, 6),
(17445, NULL, 'PF04413', NULL, NULL, '3-Deoxy-D-manno-octulosonic-acid transferase (kdotransferase)', NULL, 'Glycos_transf_N', NULL, NULL, NULL, 6),
(17446, NULL, 'PF04887', NULL, NULL, 'Poxvirus M2 protein', NULL, 'Pox_M2', NULL, NULL, NULL, 6),
(17447, NULL, 'PF17012', NULL, NULL, 'Domain of unknown function (DUF5091)', NULL, 'DUF5091', NULL, NULL, NULL, 6),
(17448, NULL, 'PF05073', NULL, NULL, 'Baculovirus P24 capsid protein', NULL, 'Baculo_p24', NULL, NULL, NULL, 6),
(17449, NULL, 'PF03406', NULL, NULL, 'Phage tail fibre repeat', NULL, 'Phage_fiber_2', NULL, NULL, NULL, 6),
(17450, NULL, 'PF02370', NULL, NULL, 'M protein repeat', NULL, 'M', NULL, NULL, NULL, 6),
(17451, NULL, 'PF03937', NULL, NULL, 'Flavinator of succinate dehydrogenase', NULL, 'Sdh5', NULL, NULL, NULL, 6),
(17452, NULL, 'PF17908', NULL, NULL, 'APAF-1 helical domain', NULL, 'APAF1_C', NULL, NULL, NULL, 6),
(17453, NULL, 'PF10684', NULL, NULL, 'Putative biofilm-dependent modulation protein', NULL, 'BDM', NULL, NULL, NULL, 6),
(17454, NULL, 'PF10602', NULL, NULL, '26S proteasome subunit RPN7', NULL, 'RPN7', NULL, NULL, NULL, 6),
(17455, NULL, 'PF01026', NULL, NULL, 'TatD related DNase', NULL, 'TatD_DNase', NULL, NULL, NULL, 6),
(17456, NULL, 'PF18592', NULL, NULL, 'Tho1/MOS11 C-terminal domain', NULL, 'Tho1_MOS11_C', NULL, NULL, NULL, 6),
(17457, NULL, 'PF10272', NULL, NULL, 'Putative transmembrane protein precursor', NULL, 'Tmpp129', NULL, NULL, NULL, 6),
(17458, NULL, 'PF16049', NULL, NULL, 'Frog antimicrobial peptide', NULL, 'Antimicrobial24', NULL, NULL, NULL, 6),
(17459, NULL, 'PF05964', NULL, NULL, 'F/Y-rich N-terminus', NULL, 'FYRN', NULL, NULL, NULL, 6),
(17460, NULL, 'PF00903', NULL, NULL, 'Glyoxalase/Bleomycin resistance protein/Dioxygenase superfamily', NULL, 'Glyoxalase', NULL, NULL, NULL, 6),
(17461, NULL, 'PF02705', NULL, NULL, 'K+ potassium transporter', NULL, 'K_trans', NULL, NULL, NULL, 6),
(17462, NULL, 'PF16887', NULL, NULL, 'Domain of unknown function (DUF5081)', NULL, 'DUF5081', NULL, NULL, NULL, 6);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17463, NULL, 'PF16469', NULL, NULL, 'Nematode polyprotein allergen ABA-1', NULL, 'NPA', NULL, NULL, NULL, 6),
(17464, NULL, 'PF05778', NULL, NULL, 'Apolipoprotein CIII (Apo-CIII)', NULL, 'Apo-CIII', NULL, NULL, NULL, 6),
(17465, NULL, 'PF06983', NULL, NULL, '3-demethylubiquinone-9 3-methyltransferase', NULL, '3-dmu-9_3-mt', NULL, NULL, NULL, 6),
(17466, NULL, 'PF02673', NULL, NULL, 'Bacitracin resistance protein BacA', NULL, 'BacA', NULL, NULL, NULL, 6),
(17467, NULL, 'PF14508', NULL, NULL, 'Glycosyl-hydrolase 97 N-terminal', NULL, 'GH97_N', NULL, NULL, NULL, 6),
(17468, NULL, 'PF13184', NULL, NULL, 'NusA-like KH domain', NULL, 'KH_5', NULL, NULL, NULL, 6),
(17469, NULL, 'PF12819', NULL, NULL, 'Malectin-like domain', NULL, 'Malectin_like', NULL, NULL, NULL, 6),
(17470, NULL, 'PF07385', NULL, NULL, 'D-lyxose isomerase', NULL, 'Lyx_isomer', NULL, NULL, NULL, 6),
(17471, NULL, 'PF06009', NULL, NULL, 'Laminin Domain II', NULL, 'Laminin_II', NULL, NULL, NULL, 6),
(17472, NULL, 'PF05942', NULL, NULL, 'Archaeal PaREP1/PaREP8 family', NULL, 'PaREP1', NULL, NULL, NULL, 6),
(17473, NULL, 'PF02178', NULL, NULL, 'AT hook motif', NULL, 'AT_hook', NULL, NULL, NULL, 6),
(17474, NULL, 'PF00580', NULL, NULL, 'UvrD/REP helicase N-terminal domain', NULL, 'UvrD-helicase', NULL, NULL, NULL, 6),
(17475, NULL, 'PF06032', NULL, NULL, 'Protein of unknown function (DUF917)', NULL, 'DUF917', NULL, NULL, NULL, 6),
(17476, NULL, 'PF10657', NULL, NULL, 'Photosystem P840 reaction centre protein PscD', NULL, 'RC-P840_PscD', NULL, NULL, NULL, 6),
(17477, NULL, 'PF02293', NULL, NULL, 'AmiS/UreI family transporter', NULL, 'AmiS_UreI', NULL, NULL, NULL, 6),
(17478, NULL, 'PF16901', NULL, NULL, 'C-terminal domain of alpha-glycerophosphate oxidase', NULL, 'DAO_C', NULL, NULL, NULL, 6),
(17479, NULL, 'PF10496', NULL, NULL, 'SNARE-complex protein Syntaxin-18 N-terminus', NULL, 'Syntaxin-18_N', NULL, NULL, NULL, 6),
(17480, NULL, 'PF13500', NULL, NULL, 'AAA domain', NULL, 'AAA_26', NULL, NULL, NULL, 6),
(17481, NULL, 'PF13054', NULL, NULL, 'Protein of unknown function (DUF3915)', NULL, 'DUF3915', NULL, NULL, NULL, 6),
(17482, NULL, 'PF10717', NULL, NULL, 'Occlusion-derived virus envelope protein ODV-E18', NULL, 'ODV-E18', NULL, NULL, NULL, 6),
(17483, NULL, 'PF06663', NULL, NULL, 'Protein of unknown function (DUF1170)', NULL, 'DUF1170', NULL, NULL, NULL, 6),
(17484, NULL, 'PF16325', NULL, NULL, 'Peptidase family U32 C-terminal domain', NULL, 'Peptidase_U32_C', NULL, NULL, NULL, 6),
(17485, NULL, 'PF09847', NULL, NULL, 'Membrane protein of 12 TMs', NULL, '12TM_1', NULL, NULL, NULL, 6),
(17486, NULL, 'PF03483', NULL, NULL, 'B3/4 domain', NULL, 'B3_4', NULL, NULL, NULL, 6),
(17487, NULL, 'PF07663', NULL, NULL, 'Sorbitol phosphotransferase enzyme II C-terminus', NULL, 'EIIBC-GUT_C', NULL, NULL, NULL, 6),
(17488, NULL, 'PF00035', NULL, NULL, 'Double-stranded RNA binding motif', NULL, 'dsrm', NULL, NULL, NULL, 6),
(17489, NULL, 'PF09785', NULL, NULL, 'Prp31 C terminal domain', NULL, 'Prp31_C', NULL, NULL, NULL, 6),
(17490, NULL, 'PF10693', NULL, NULL, 'Protein of unknown function (DUF2499)', NULL, 'DUF2499', NULL, NULL, NULL, 6),
(17491, NULL, 'PF03244', NULL, NULL, 'Photosystem I reaction centre subunit VI', NULL, 'PSI_PsaH', NULL, NULL, NULL, 6),
(17492, NULL, 'PF04499', NULL, NULL, 'SIT4 phosphatase-associated protein', NULL, 'SAPS', NULL, NULL, NULL, 6),
(17493, NULL, 'PF07592', NULL, NULL, 'Rhodopirellula transposase DDE domain', NULL, 'DDE_Tnp_ISAZ013', NULL, NULL, NULL, 6),
(17494, NULL, 'PF05409', NULL, NULL, 'Coronavirus endopeptidase C30', NULL, 'Peptidase_C30', NULL, NULL, NULL, 6),
(17495, NULL, 'PF03435', NULL, NULL, 'Saccharopine dehydrogenase NADP binding domain', NULL, 'Sacchrp_dh_NADP', NULL, NULL, NULL, 6),
(17496, NULL, 'PF17467', NULL, NULL, 'Viral Protein E7', NULL, 'E7R', NULL, NULL, NULL, 6),
(17497, NULL, 'PF16296', NULL, NULL, 'N-terminal of TM subunit in PBP-dependent ABC transporters', NULL, 'TM_PBP2_N', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17498, NULL, 'PF04061', NULL, NULL, 'ORMDL family', NULL, 'ORMDL', NULL, NULL, NULL, 6),
(17499, NULL, 'PF12008', NULL, NULL, 'Type I restriction and modification enzyme - subunit R C terminal', NULL, 'EcoR124_C', NULL, NULL, NULL, 6),
(17500, NULL, 'PF16495', NULL, NULL, 'SWIRM-associated region 1', NULL, 'SWIRM-assoc_1', NULL, NULL, NULL, 6),
(17501, NULL, 'PF05004', NULL, NULL, 'Interferon-related developmental regulator (IFRD)', NULL, 'IFRD', NULL, NULL, NULL, 6),
(17502, NULL, 'PF02534', NULL, NULL, 'Type IV secretory system Conjugative DNA transfer', NULL, 'T4SS-DNA_transf', NULL, NULL, NULL, 6),
(17503, NULL, 'PF13305', NULL, NULL, 'Tetracyclin repressor-like, C-terminal domain', NULL, 'TetR_C_33', NULL, NULL, NULL, 6),
(17504, NULL, 'PF02393', NULL, NULL, 'US22 like', NULL, 'US22', NULL, NULL, NULL, 6),
(17505, NULL, 'PF10038', NULL, NULL, 'Protein of unknown function (DUF2274)', NULL, 'DUF2274', NULL, NULL, NULL, 6),
(17506, NULL, 'PF02239', NULL, NULL, 'Cytochrome D1 heme domain', NULL, 'Cytochrom_D1', NULL, NULL, NULL, 6),
(17507, NULL, 'PF04650', NULL, NULL, 'YSIRK type signal peptide', NULL, 'YSIRK_signal', NULL, NULL, NULL, 6),
(17508, NULL, 'PF06582', NULL, NULL, 'Titin repeat', NULL, 'Titin_Ig-rpts', NULL, NULL, NULL, 6),
(17509, NULL, 'PF09183', NULL, NULL, 'Domain of unknown function (DUF1947)', NULL, 'DUF1947', NULL, NULL, NULL, 6),
(17510, NULL, 'PF00318', NULL, NULL, 'Ribosomal protein S2', NULL, 'Ribosomal_S2', NULL, NULL, NULL, 6),
(17511, NULL, 'PF04007', NULL, NULL, 'Protein of unknown function (DUF354)', NULL, 'DUF354', NULL, NULL, NULL, 6),
(17512, NULL, 'PF06560', NULL, NULL, 'Glucose-6-phosphate isomerase (GPI)', NULL, 'GPI', NULL, NULL, NULL, 6),
(17513, NULL, 'PF08658', NULL, NULL, 'Rad54 N terminal', NULL, 'Rad54_N', NULL, NULL, NULL, 6),
(17514, NULL, 'PF12920', NULL, NULL, 'TcdA/TcdB pore forming domain', NULL, 'TcdA_TcdB_pore', NULL, NULL, NULL, 6),
(17515, NULL, 'PF13454', NULL, NULL, 'FAD-NAD(P)-binding', NULL, 'NAD_binding_9', NULL, NULL, NULL, 6),
(17516, NULL, 'PF00016', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain, catalytic domain', NULL, 'RuBisCO_large', NULL, NULL, NULL, 6),
(17517, NULL, 'PF15014', NULL, NULL, 'Ceroid-lipofuscinosis neuronal protein 5', NULL, 'CLN5', NULL, NULL, NULL, 6),
(17518, NULL, 'PF12998', NULL, NULL, 'Inhibitor of growth proteins N-terminal histone-binding', NULL, 'ING', NULL, NULL, NULL, 6),
(17519, NULL, 'PF06479', NULL, NULL, 'Ribonuclease 2-5A', NULL, 'Ribonuc_2-5A', NULL, NULL, NULL, 6),
(17520, NULL, 'PF06529', NULL, NULL, 'Vertebrate interleukin-3 regulated transcription factor', NULL, 'Vert_IL3-reg_TF', NULL, NULL, NULL, 6),
(17521, NULL, 'PF02916', NULL, NULL, 'DNA polymerase processivity factor', NULL, 'DNA_PPF', NULL, NULL, NULL, 6),
(17522, NULL, 'PF10942', NULL, NULL, 'Protein of unknown function (DUF2619)', NULL, 'DUF2619', NULL, NULL, NULL, 6),
(17523, NULL, 'PF12875', NULL, NULL, 'Protein of unknown function (DUF3826)', NULL, 'DUF3826', NULL, NULL, NULL, 6),
(17524, NULL, 'PF09602', NULL, NULL, 'Polyhydroxyalkanoic acid inclusion protein (PhaP_Bmeg)', NULL, 'PhaP_Bmeg', NULL, NULL, NULL, 6),
(17525, NULL, 'PF13645', NULL, NULL, 'L,D-transpeptidase catalytic domain', NULL, 'YkuD_2', NULL, NULL, NULL, 6),
(17526, NULL, 'PF02408', NULL, NULL, 'CUB-like domain', NULL, 'CUB_2', NULL, NULL, NULL, 6),
(17527, NULL, 'PF14409', NULL, NULL, 'Ribosomally synthesized peptide in Herpetosiphon', NULL, 'Herpeto_peptide', NULL, NULL, NULL, 6),
(17528, NULL, 'PF15335', NULL, NULL, 'Caspase activity and apoptosis inhibitor 1', NULL, 'CAAP1', NULL, NULL, NULL, 6),
(17529, NULL, 'PF06518', NULL, NULL, 'Protein of unknown function (DUF1104)', NULL, 'DUF1104', NULL, NULL, NULL, 6),
(17530, NULL, 'PF16968', NULL, NULL, 'Pilus assembly protein TadZ N-terminal', NULL, 'TadZ_N', NULL, NULL, NULL, 6),
(17531, NULL, 'PF11974', NULL, NULL, 'Bacterial alpha-2-macroglobulin MG3 domain', NULL, 'bMG3', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17532, NULL, 'PF17546', NULL, NULL, 'Beta defensin 50', NULL, 'Defb50', NULL, NULL, NULL, 6),
(17533, NULL, 'PF11708', NULL, NULL, 'Pre-mRNA splicing Prp18-interacting factor', NULL, 'Slu7', NULL, NULL, NULL, 6),
(17534, NULL, 'PF03398', NULL, NULL, 'Regulator of Vps4 activity in the MVB pathway', NULL, 'Ist1', NULL, NULL, NULL, 6),
(17535, NULL, 'PF11782', NULL, NULL, 'Protein of unknown function (DUF3319)', NULL, 'DUF3319', NULL, NULL, NULL, 6),
(17536, NULL, 'PF07174', NULL, NULL, 'Fibronectin-attachment protein (FAP)', NULL, 'FAP', NULL, NULL, NULL, 6),
(17537, NULL, 'PF12888', NULL, NULL, 'Lipid-binding putative hydrolase', NULL, 'Lipid_bd', NULL, NULL, NULL, 6),
(17538, NULL, 'PF04683', NULL, NULL, 'Proteasome complex subunit Rpn13 ubiquitin receptor', NULL, 'Proteasom_Rpn13', NULL, NULL, NULL, 6),
(17539, NULL, 'PF08679', NULL, NULL, 'Dissimilatory sulfite reductase D (DsrD)', NULL, 'DsrD', NULL, NULL, NULL, 6),
(17540, NULL, 'PF01730', NULL, NULL, 'UreF', NULL, 'UreF', NULL, NULL, NULL, 6),
(17541, NULL, 'PF12279', NULL, NULL, 'Protein of unknown function (DUF3619)', NULL, 'DUF3619', NULL, NULL, NULL, 6),
(17542, NULL, 'PF08581', NULL, NULL, 'Tup N-terminal', NULL, 'Tup_N', NULL, NULL, NULL, 6),
(17543, NULL, 'PF03777', NULL, NULL, 'ChpA-C', NULL, 'ChpA-C', NULL, NULL, NULL, 6),
(17544, NULL, 'PF14322', NULL, NULL, 'Starch-binding associating with outer membrane', NULL, 'SusD-like_3', NULL, NULL, NULL, 6),
(17545, NULL, 'PF08113', NULL, NULL, 'Cytochrome c oxidase subunit IIa family', NULL, 'CoxIIa', NULL, NULL, NULL, 6),
(17546, NULL, 'PF17727', NULL, NULL, 'CtsR C-terminal dimerization domain', NULL, 'CtsR_C', NULL, NULL, NULL, 6),
(17547, NULL, 'PF10056', NULL, NULL, 'Uncharacterized conserved protein (DUF2293)', NULL, 'DUF2293', NULL, NULL, NULL, 6),
(17548, NULL, 'PF13427', NULL, NULL, 'Domain of unknown function (DUF4111)', NULL, 'DUF4111', NULL, NULL, NULL, 6),
(17549, NULL, 'PF05350', NULL, NULL, 'Glycogen synthase kinase-3 binding', NULL, 'GSK-3_bind', NULL, NULL, NULL, 6),
(17550, NULL, 'PF03962', NULL, NULL, 'Mnd1 HTH domain', NULL, 'Mnd1', NULL, NULL, NULL, 6),
(17551, NULL, 'PF17067', NULL, NULL, 'Ribosomal protein S31e', NULL, 'RPS31', NULL, NULL, NULL, 6),
(17552, NULL, 'PF14858', NULL, NULL, 'Domain of unknown function (DUF4486)', NULL, 'DUF4486', NULL, NULL, NULL, 6),
(17553, NULL, 'PF11600', NULL, NULL, 'Chromatin assembly factor 1 complex p150 subunit, N-terminal', NULL, 'CAF-1_p150', NULL, NULL, NULL, 6),
(17554, NULL, 'PF13988', NULL, NULL, 'Protein of unknown function (DUF4225)', NULL, 'DUF4225', NULL, NULL, NULL, 6),
(17555, NULL, 'PF18920', NULL, NULL, 'Domain of unknown function (DUF5671)', NULL, 'DUF5671', NULL, NULL, NULL, 6),
(17556, NULL, 'PF18544', NULL, NULL, 'Polo box domain', NULL, 'Polo_box_3', NULL, NULL, NULL, 6),
(17557, NULL, 'PF14678', NULL, NULL, 'FANCI solenoid 4', NULL, 'FANCI_S4', NULL, NULL, NULL, 6),
(17558, NULL, 'PF15926', NULL, NULL, 'E3 ubiquitin-protein ligase RNF220', NULL, 'RNF220', NULL, NULL, NULL, 6),
(17559, NULL, 'PF12245', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_3_2', NULL, NULL, NULL, 6),
(17560, NULL, 'PF07987', NULL, NULL, 'Domain of unkown function (DUF1775)', NULL, 'DUF1775', NULL, NULL, NULL, 6),
(17561, NULL, 'PF17357', NULL, NULL, 'Facilitor Of iron transport 1 and 2', NULL, 'FIT1_2', NULL, NULL, NULL, 6),
(17562, NULL, 'PF02485', NULL, NULL, 'Core-2/I-Branching enzyme', NULL, 'Branch', NULL, NULL, NULL, 6),
(17563, NULL, 'PF08849', NULL, NULL, 'Putative inner membrane protein (DUF1819)', NULL, 'DUF1819', NULL, NULL, NULL, 6),
(17564, NULL, 'PF15033', NULL, NULL, 'Kinocilin protein', NULL, 'Kinocilin', NULL, NULL, NULL, 6),
(17565, NULL, 'PF09703', NULL, NULL, 'CRISPR-associated protein (Cas_Csa4)', NULL, 'Cas_Csa4', NULL, NULL, NULL, 6),
(17566, NULL, 'PF03349', NULL, NULL, 'Outer membrane protein transport protein (OMPP1/FadL/TodX)', NULL, 'Toluene_X', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17567, NULL, 'PF18164', NULL, NULL, 'GNAT-like C-terminal domain', NULL, 'GNAT_C', NULL, NULL, NULL, 6),
(17568, NULL, 'PF11010', NULL, NULL, 'Protein of unknown function (DUF2848)', NULL, 'DUF2848', NULL, NULL, NULL, 6),
(17569, NULL, 'PF01924', NULL, NULL, 'Hydrogenase formation hypA family', NULL, 'HypD', NULL, NULL, NULL, 6),
(17570, NULL, 'PF15419', NULL, NULL, 'Leukemia NUP98 fusion partner 1', NULL, 'LNP1', NULL, NULL, NULL, 6),
(17571, NULL, 'PF09848', NULL, NULL, 'Uncharacterized conserved protein (DUF2075)', NULL, 'DUF2075', NULL, NULL, NULL, 6),
(17572, NULL, 'PF04591', NULL, NULL, 'Protein of unknown function, DUF596', NULL, 'DUF596', NULL, NULL, NULL, 6),
(17573, NULL, 'PF02614', NULL, NULL, 'Glucuronate isomerase', NULL, 'UxaC', NULL, NULL, NULL, 6),
(17574, NULL, 'PF14972', NULL, NULL, 'Mitochondrial morphogenesis regulator', NULL, 'Mito_morph_reg', NULL, NULL, NULL, 6),
(17575, NULL, 'PF17219', NULL, NULL, 'Yaf2/RYBP C-terminal binding motif', NULL, 'YAF2_RYBP', NULL, NULL, NULL, 6),
(17576, NULL, 'PF01653', NULL, NULL, 'NAD-dependent DNA ligase adenylation domain', NULL, 'DNA_ligase_aden', NULL, NULL, NULL, 6),
(17577, NULL, 'PF01833', NULL, NULL, 'IPT/TIG domain', NULL, 'TIG', NULL, NULL, NULL, 6),
(17578, NULL, 'PF18887', NULL, NULL, 'MBG domain', NULL, 'MBG_3', NULL, NULL, NULL, 6),
(17579, NULL, 'PF05071', NULL, NULL, 'NADH ubiquinone oxidoreductase subunit NDUFA12', NULL, 'NDUFA12', NULL, NULL, NULL, 6),
(17580, NULL, 'PF12126', NULL, NULL, 'Protein of unknown function (DUF3583)', NULL, 'DUF3583', NULL, NULL, NULL, 6),
(17581, NULL, 'PF07995', NULL, NULL, 'Glucose / Sorbosone dehydrogenase', NULL, 'GSDH', NULL, NULL, NULL, 6),
(17582, NULL, 'PF16373', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4985', NULL, NULL, NULL, 6),
(17583, NULL, 'PF12603', NULL, NULL, 'Protein of unknown function (DUF3770)', NULL, 'DUF3770', NULL, NULL, NULL, 6),
(17584, NULL, 'PF04932', NULL, NULL, 'O-Antigen ligase', NULL, 'Wzy_C', NULL, NULL, NULL, 6),
(17585, NULL, 'PF08439', NULL, NULL, 'Oligopeptidase F', NULL, 'Peptidase_M3_N', NULL, NULL, NULL, 6),
(17586, NULL, 'PF17794', NULL, NULL, 'Major Vault Protein repeat domain', NULL, 'Vault_2', NULL, NULL, NULL, 6),
(17587, NULL, 'PF11202', NULL, NULL, 'Phosphoribosyl transferase (PRTase)', NULL, 'PRTase_1', NULL, NULL, NULL, 6),
(17588, NULL, 'PF12021', NULL, NULL, 'Protein of unknown function (DUF3509)', NULL, 'DUF3509', NULL, NULL, NULL, 6),
(17589, NULL, 'PF16636', NULL, NULL, 'Unstructured region on APC between APC_crr regions 5 and 6', NULL, 'APC_u15', NULL, NULL, NULL, 6),
(17590, NULL, 'PF10584', NULL, NULL, 'Proteasome subunit A N-terminal signature', NULL, 'Proteasome_A_N', NULL, NULL, NULL, 6),
(17591, NULL, 'PF05443', NULL, NULL, 'ROS/MUCR transcriptional regulator protein', NULL, 'ROS_MUCR', NULL, NULL, NULL, 6),
(17592, NULL, 'PF10123', NULL, NULL, 'Mu-like prophage I protein', NULL, 'Mu-like_Pro', NULL, NULL, NULL, 6),
(17593, NULL, 'PF05930', NULL, NULL, 'Prophage CP4-57 regulatory protein (AlpA)', NULL, 'Phage_AlpA', NULL, NULL, NULL, 6),
(17594, NULL, 'PF17280', NULL, NULL, 'Family of unknown function (DUF5345)', NULL, 'DUF5345', NULL, NULL, NULL, 6),
(17595, NULL, 'PF09042', NULL, NULL, 'Titin Z', NULL, 'Titin_Z', NULL, NULL, NULL, 6),
(17596, NULL, 'PF04990', NULL, NULL, 'RNA polymerase Rpb1, domain 7', NULL, 'RNA_pol_Rpb1_7', NULL, NULL, NULL, 6),
(17597, NULL, 'PF14004', NULL, NULL, 'Protein of unknown function (DUF4227)', NULL, 'DUF4227', NULL, NULL, NULL, 6),
(17598, NULL, 'PF18716', NULL, NULL, 'Vms1-associating treble clef domain', NULL, 'VATC', NULL, NULL, NULL, 6),
(17599, NULL, 'PF01381', NULL, NULL, 'Helix-turn-helix', NULL, 'HTH_3', NULL, NULL, NULL, 6),
(17600, NULL, 'PF14922', NULL, NULL, 'Protein of unknown function', NULL, 'FWWh', NULL, NULL, NULL, 6),
(17601, NULL, 'PF03121', NULL, NULL, 'Herpesviridae UL52/UL70 DNA primase', NULL, 'Herpes_UL52', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17602, NULL, 'PF08078', NULL, NULL, 'PsaX family', NULL, 'PsaX', NULL, NULL, NULL, 6),
(17603, NULL, 'PF03629', NULL, NULL, 'Carbohydrate esterase, sialic acid-specific acetylesterase', NULL, 'SASA', NULL, NULL, NULL, 6),
(17604, NULL, 'PF06586', NULL, NULL, 'TraK protein', NULL, 'TraK', NULL, NULL, NULL, 6),
(17605, NULL, 'PF08796', NULL, NULL, 'Protein of unknown function (DUF1797)', NULL, 'DUF1797', NULL, NULL, NULL, 6),
(17606, NULL, 'PF04905', NULL, NULL, 'NAB conserved region 2 (NCD2)', NULL, 'NCD2', NULL, NULL, NULL, 6),
(17607, NULL, 'PF09570', NULL, NULL, 'SinI restriction endonuclease', NULL, 'RE_SinI', NULL, NULL, NULL, 6),
(17608, NULL, 'PF16772', NULL, NULL, 'Telomeric repeat-binding factor 2 Rap1-binding motif', NULL, 'TERF2_RBM', NULL, NULL, NULL, 6),
(17609, NULL, 'PF18541', NULL, NULL, 'RuvC endonuclease subdomain 3', NULL, 'RuvC_III', NULL, NULL, NULL, 6),
(17610, NULL, 'PF06739', NULL, NULL, 'Beta-propeller repeat', NULL, 'SBBP', NULL, NULL, NULL, 6),
(17611, NULL, 'PF04160', NULL, NULL, 'Orf-X protein', NULL, 'Borrelia_orfX', NULL, NULL, NULL, 6),
(17612, NULL, 'PF04346', NULL, NULL, 'Ethanolamine utilisation protein, EutH', NULL, 'EutH', NULL, NULL, NULL, 6),
(17613, NULL, 'PF04923', NULL, NULL, 'Ninjurin', NULL, 'Ninjurin', NULL, NULL, NULL, 6),
(17614, NULL, 'PF08669', NULL, NULL, 'Glycine cleavage T-protein C-terminal barrel domain', NULL, 'GCV_T_C', NULL, NULL, NULL, 6),
(17615, NULL, 'PF03033', NULL, NULL, 'Glycosyltransferase family 28 N-terminal domain', NULL, 'Glyco_transf_28', NULL, NULL, NULL, 6),
(17616, NULL, 'PF12142', NULL, NULL, 'Polyphenol oxidase middle domain', NULL, 'PPO1_DWL', NULL, NULL, NULL, 6),
(17617, NULL, 'PF13231', NULL, NULL, 'Dolichyl-phosphate-mannose-protein mannosyltransferase', NULL, 'PMT_2', NULL, NULL, NULL, 6),
(17618, NULL, 'PF15136', NULL, NULL, 'Uncharacterised protein family UPF0449', NULL, 'UPF0449', NULL, NULL, NULL, 6),
(17619, NULL, 'PF11958', NULL, NULL, 'Domain of unknown function (DUF3472)', NULL, 'DUF3472', NULL, NULL, NULL, 6),
(17620, NULL, 'PF18627', NULL, NULL, 'Peptidoglycan GlcNAc deacetylase N-terminal domain', NULL, 'PgdA_N', NULL, NULL, NULL, 6),
(17621, NULL, 'PF18345', NULL, NULL, 'Zinc finger domain', NULL, 'zf_CCCH_4', NULL, NULL, NULL, 6),
(17622, NULL, 'PF17718', NULL, NULL, 'Family of unknown function (DUF5563)', NULL, 'DUF5563', NULL, NULL, NULL, 6),
(17623, NULL, 'PF01697', NULL, NULL, 'Glycosyltransferase family 92', NULL, 'Glyco_transf_92', NULL, NULL, NULL, 6),
(17624, NULL, 'PF02248', NULL, NULL, 'Small coat protein', NULL, 'Como_SCP', NULL, NULL, NULL, 6),
(17625, NULL, 'PF11379', NULL, NULL, 'Protein of unknown function (DUF3182)', NULL, 'DUF3182', NULL, NULL, NULL, 6),
(17626, NULL, 'PF14332', NULL, NULL, 'Domain of unknown function (DUF4388)', NULL, 'DUF4388', NULL, NULL, NULL, 6),
(17627, NULL, 'PF16043', NULL, NULL, 'Domain of unknown function (DUF4795)', NULL, 'DUF4795', NULL, NULL, NULL, 6),
(17628, NULL, 'PF04112', NULL, NULL, 'Mak10 subunit, NatC N(alpha)-terminal acetyltransferase', NULL, 'Mak10', NULL, NULL, NULL, 6),
(17629, NULL, 'PF15605', NULL, NULL, 'Bacterial toxin 28', NULL, 'Ntox28', NULL, NULL, NULL, 6),
(17630, NULL, 'PF05364', NULL, NULL, 'Salmonella type III secretion SopE effector N-terminus', NULL, 'SecIII_SopE_N', NULL, NULL, NULL, 6),
(17631, NULL, 'PF07943', NULL, NULL, 'Penicillin-binding protein 5, C-terminal domain', NULL, 'PBP5_C', NULL, NULL, NULL, 6),
(17632, NULL, 'PF08449', NULL, NULL, 'UAA transporter family', NULL, 'UAA', NULL, NULL, NULL, 6),
(17633, NULL, 'PF11851', NULL, NULL, 'Domain of unknown function (DUF3371)', NULL, 'DUF3371', NULL, NULL, NULL, 6),
(17634, NULL, 'PF17639', NULL, NULL, 'Family of unknown function (DUF5517)', NULL, 'DUF5517', NULL, NULL, NULL, 6),
(17635, NULL, 'PF13967', NULL, NULL, 'Late exocytosis, associated with Golgi transport', NULL, 'RSN1_TM', NULL, NULL, NULL, 6),
(17636, NULL, 'PF10340', NULL, NULL, 'Steryl acetyl hydrolase', NULL, 'Say1_Mug180', NULL, NULL, NULL, 6);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17637, NULL, 'PF10006', NULL, NULL, 'Uncharacterized conserved protein (DUF2249)', NULL, 'DUF2249', NULL, NULL, NULL, 6),
(17638, NULL, 'PF08042', NULL, NULL, 'PqqA family', NULL, 'PqqA', NULL, NULL, NULL, 6),
(17639, NULL, 'PF03014', NULL, NULL, 'Structural protein 2', NULL, 'SP2', NULL, NULL, NULL, 6),
(17640, NULL, 'PF01114', NULL, NULL, 'Colipase, N-terminal domain', NULL, 'Colipase', NULL, NULL, NULL, 6),
(17641, NULL, 'PF14700', NULL, NULL, 'DNA-directed RNA polymerase N-terminal', NULL, 'RPOL_N', NULL, NULL, NULL, 6),
(17642, NULL, 'PF11155', NULL, NULL, 'Domain of unknown function (DUF2935)', NULL, 'DUF2935', NULL, NULL, NULL, 6),
(17643, NULL, 'PF09336', NULL, NULL, 'Vps4 C terminal oligomerisation domain', NULL, 'Vps4_C', NULL, NULL, NULL, 6),
(17644, NULL, 'PF00576', NULL, NULL, 'HIUase/Transthyretin family', NULL, 'Transthyretin', NULL, NULL, NULL, 6),
(17645, NULL, 'PF11335', NULL, NULL, 'Protein of unknown function (DUF3137)', NULL, 'DUF3137', NULL, NULL, NULL, 6),
(17646, NULL, 'PF03274', NULL, NULL, 'Foamy virus BEL 1/2 protein', NULL, 'Foamy_BEL', NULL, NULL, NULL, 6),
(17647, NULL, 'PF00211', NULL, NULL, 'Adenylate and Guanylate cyclase catalytic domain', NULL, 'Guanylate_cyc', NULL, NULL, NULL, 6),
(17648, NULL, 'PF05227', NULL, NULL, 'CHASE3 domain', NULL, 'CHASE3', NULL, NULL, NULL, 6),
(17649, NULL, 'PF09242', NULL, NULL, 'Flavocytochrome c sulphide dehydrogenase, flavin-binding', NULL, 'FCSD-flav_bind', NULL, NULL, NULL, 6),
(17650, NULL, 'PF12623', NULL, NULL, 'RNA repair, ligase-Pnkp-associating, region of Hen1', NULL, 'Hen1_L', NULL, NULL, NULL, 6),
(17651, NULL, 'PF03595', NULL, NULL, 'Voltage-dependent anion channel', NULL, 'SLAC1', NULL, NULL, NULL, 6),
(17652, NULL, 'PF13585', NULL, NULL, 'CHU_C Type IX secretion signal domain', NULL, 'CHU_C', NULL, NULL, NULL, 6),
(17653, NULL, 'PF01992', NULL, NULL, 'ATP synthase (C/AC39) subunit', NULL, 'vATP-synt_AC39', NULL, NULL, NULL, 6),
(17654, NULL, 'PF15107', NULL, NULL, 'FAM216B protein family', NULL, 'FAM216B', NULL, NULL, NULL, 6),
(17655, NULL, 'PF11408', NULL, NULL, 'Sgs1 RecQ helicase', NULL, 'Helicase_Sgs1', NULL, NULL, NULL, 6),
(17656, NULL, 'PF06727', NULL, NULL, 'Protein of unknown function (DUF1207)', NULL, 'DUF1207', NULL, NULL, NULL, 6),
(17657, NULL, 'PF13875', NULL, NULL, 'Domain of unknown function (DUF4202)', NULL, 'DUF4202', NULL, NULL, NULL, 6),
(17658, NULL, 'PF00342', NULL, NULL, 'Phosphoglucose isomerase', NULL, 'PGI', NULL, NULL, NULL, 6),
(17659, NULL, 'PF12859', NULL, NULL, 'Anaphase-promoting complex subunit 1', NULL, 'ANAPC1', NULL, NULL, NULL, 6),
(17660, NULL, 'PF16814', NULL, NULL, 'Read-through domain', NULL, 'Read-through', NULL, NULL, NULL, 6),
(17661, NULL, 'PF09578', NULL, NULL, 'Spore cortex protein YabQ (Spore_YabQ)', NULL, 'Spore_YabQ', NULL, NULL, NULL, 6),
(17662, NULL, 'PF00100', NULL, NULL, 'Zona pellucida-like domain', NULL, 'Zona_pellucida', NULL, NULL, NULL, 6),
(17663, NULL, 'PF16152', NULL, NULL, 'Domain of unknown function (DUF4860)', NULL, 'DUF4860', NULL, NULL, NULL, 6),
(17664, NULL, 'PF09312', NULL, NULL, 'SurA N-terminal domain', NULL, 'SurA_N', NULL, NULL, NULL, 6),
(17665, NULL, 'PF06756', NULL, NULL, 'Chorion protein S19 C-terminal', NULL, 'S19', NULL, NULL, NULL, 6),
(17666, NULL, 'PF16955', NULL, NULL, 'Ferrous iron uptake permease, iron-lead transporter', NULL, 'OFeT_1', NULL, NULL, NULL, 6),
(17667, NULL, 'PF08625', NULL, NULL, 'Utp13 specific WD40 associated domain', NULL, 'Utp13', NULL, NULL, NULL, 6),
(17668, NULL, 'PF06744', NULL, NULL, 'Type VI secretion protein IcmF C2-like domain', NULL, 'IcmF_C', NULL, NULL, NULL, 6),
(17669, NULL, 'PF00272', NULL, NULL, 'Cecropin family', NULL, 'Cecropin', NULL, NULL, NULL, 6),
(17670, NULL, 'PF01136', NULL, NULL, 'Peptidase family U32', NULL, 'Peptidase_U32', NULL, NULL, NULL, 6),
(17671, NULL, 'PF14927', NULL, NULL, 'Neurensin', NULL, 'Neurensin', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17672, NULL, 'PF05160', NULL, NULL, 'DSS1/SEM1 family', NULL, 'DSS1_SEM1', NULL, NULL, NULL, 6),
(17673, NULL, 'PF09972', NULL, NULL, 'Predicted membrane protein (DUF2207)', NULL, 'DUF2207', NULL, NULL, NULL, 6),
(17674, NULL, 'PF13532', NULL, NULL, '2OG-Fe(II) oxygenase superfamily', NULL, '2OG-FeII_Oxy_2', NULL, NULL, NULL, 6),
(17675, NULL, 'PF14570', NULL, NULL, 'RING/Ubox like zinc-binding domain', NULL, 'zf-RING_4', NULL, NULL, NULL, 6),
(17676, NULL, 'PF06090', NULL, NULL, 'Inositol-pentakisphosphate 2-kinase', NULL, 'Ins_P5_2-kin', NULL, NULL, NULL, 6),
(17677, NULL, 'PF09757', NULL, NULL, 'Arb2 domain', NULL, 'Arb2', NULL, NULL, NULL, 6),
(17678, NULL, 'PF01821', NULL, NULL, 'Anaphylotoxin-like domain', NULL, 'ANATO', NULL, NULL, NULL, 6),
(17679, NULL, 'PF15790', NULL, NULL, 'E1A-binding protein p400, N-terminal', NULL, 'EP400_N', NULL, NULL, NULL, 6),
(17680, NULL, 'PF15116', NULL, NULL, 'CAMPATH-1 antigen', NULL, 'CD52', NULL, NULL, NULL, 6),
(17681, NULL, 'PF06693', NULL, NULL, 'Protein of unknown function (DUF1190)', NULL, 'DUF1190', NULL, NULL, NULL, 6),
(17682, NULL, 'PF18990', NULL, NULL, 'Family of unknown function (DUF5723)', NULL, 'DUF5723', NULL, NULL, NULL, 6),
(17683, NULL, 'PF14883', NULL, NULL, 'Hypothetical glycosyl hydrolase family 13', NULL, 'GHL13', NULL, NULL, NULL, 6),
(17684, NULL, 'PF12597', NULL, NULL, 'Protein of unknown function (DUF3767)', NULL, 'DUF3767', NULL, NULL, NULL, 6),
(17685, NULL, 'PF10342', NULL, NULL, 'Ser-Thr-rich glycosyl-phosphatidyl-inositol-anchored membrane family', NULL, 'GPI-anchored', NULL, NULL, NULL, 6),
(17686, NULL, 'PF16151', NULL, NULL, 'Domain of unknown function (DUF4859)', NULL, 'DUF4859', NULL, NULL, NULL, 6),
(17687, NULL, 'PF07950', NULL, NULL, 'Protein of unknown function (DUF1691)', NULL, 'DUF1691', NULL, NULL, NULL, 6),
(17688, NULL, 'PF09351', NULL, NULL, 'Domain of unknown function (DUF1993)', NULL, 'DUF1993', NULL, NULL, NULL, 6),
(17689, NULL, 'PF08286', NULL, NULL, 'Spc24 subunit of Ndc80', NULL, 'Spc24', NULL, NULL, NULL, 6),
(17690, NULL, 'PF12648', NULL, NULL, 'TcpE family', NULL, 'TcpE', NULL, NULL, NULL, 6),
(17691, NULL, 'PF04283', NULL, NULL, 'Chemotaxis signal transduction system protein F from archaea', NULL, 'CheF-arch', NULL, NULL, NULL, 6),
(17692, NULL, 'PF00063', NULL, NULL, 'Myosin head (motor domain)', NULL, 'Myosin_head', NULL, NULL, NULL, 6),
(17693, NULL, 'PF17477', NULL, NULL, 'Rotavirus VP4 membrane interaction domain', NULL, 'Rota_VP4_MID', NULL, NULL, NULL, 6),
(17694, NULL, 'PF06855', NULL, NULL, 'YozE SAM-like fold', NULL, 'YozE_SAM_like', NULL, NULL, NULL, 6),
(17695, NULL, 'PF18600', NULL, NULL, 'MCSS domain', NULL, 'Ezh2_MCSS', NULL, NULL, NULL, 6),
(17696, NULL, 'PF15065', NULL, NULL, 'Lysosomal transcription factor, NCU-G1', NULL, 'NCU-G1', NULL, NULL, NULL, 6),
(17697, NULL, 'PF18587', NULL, NULL, 'PTX/LNS-Like (PLL) domain', NULL, 'PLL', NULL, NULL, NULL, 6),
(17698, NULL, 'PF02283', NULL, NULL, 'Cobinamide kinase / cobinamide phosphate guanyltransferase', NULL, 'CobU', NULL, NULL, NULL, 6),
(17699, NULL, 'PF12392', NULL, NULL, 'Collagenase', NULL, 'DUF3656', NULL, NULL, NULL, 6),
(17700, NULL, 'PF07415', NULL, NULL, 'Gammaherpesvirus latent membrane protein (LMP2) protein', NULL, 'Herpes_LMP2', NULL, NULL, NULL, 6),
(17701, NULL, 'PF04214', NULL, NULL, 'Protein of unknown function, DUF', NULL, 'DUF411', NULL, NULL, NULL, 6),
(17702, NULL, 'PF06792', NULL, NULL, 'Uncharacterised protein family (UPF0261)', NULL, 'UPF0261', NULL, NULL, NULL, 6),
(17703, NULL, 'PF18473', NULL, NULL, 'Urease subunit beta-alpha linker domain', NULL, 'Urease_linker', NULL, NULL, NULL, 6),
(17704, NULL, 'PF14846', NULL, NULL, 'Domain of unknown function (DUF4485)', NULL, 'DUF4485', NULL, NULL, NULL, 6),
(17705, NULL, 'PF06218', NULL, NULL, 'Nitrogen permease regulator 2', NULL, 'NPR2', NULL, NULL, NULL, 6),
(17706, NULL, 'PF17702', NULL, NULL, 'Family of unknown function (DUF5548)', NULL, 'DUF5548', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17707, NULL, 'PF03966', NULL, NULL, 'Trm112p-like protein', NULL, 'Trm112p', NULL, NULL, NULL, 6),
(17708, NULL, 'PF16905', NULL, NULL, 'Voltage-dependent L-type calcium channel, IQ-associated', NULL, 'GPHH', NULL, NULL, NULL, 6),
(17709, NULL, 'PF07432', NULL, NULL, 'Histone H1-like protein Hc1', NULL, 'Hc1', NULL, NULL, NULL, 6),
(17710, NULL, 'PF10463', NULL, NULL, 'Peptidase U49', NULL, 'Peptidase_U49', NULL, NULL, NULL, 6),
(17711, NULL, 'PF17077', NULL, NULL, 'Mitotic spindle associated protein SHE1', NULL, 'Msap1', NULL, NULL, NULL, 6),
(17712, NULL, 'PF08000', NULL, NULL, 'Bacterial PH domain', NULL, 'bPH_1', NULL, NULL, NULL, 6),
(17713, NULL, 'PF19073', NULL, NULL, 'Family of unknown function (DUF5769)', NULL, 'DUF5769', NULL, NULL, NULL, 6),
(17714, NULL, 'PF05431', NULL, NULL, 'Insecticidal Crystal Toxin, P42', NULL, 'Toxin_10', NULL, NULL, NULL, 6),
(17715, NULL, 'PF14125', NULL, NULL, 'Domain of unknown function (DUF4292)', NULL, 'DUF4292', NULL, NULL, NULL, 6),
(17716, NULL, 'PF01374', NULL, NULL, 'Glycosyl hydrolase family 46', NULL, 'Glyco_hydro_46', NULL, NULL, NULL, 6),
(17717, NULL, 'PF13568', NULL, NULL, 'Outer membrane protein beta-barrel domain', NULL, 'OMP_b-brl_2', NULL, NULL, NULL, 6),
(17718, NULL, 'PF12257', NULL, NULL, 'Vacuolar membrane-associated protein Iml1', NULL, 'IML1', NULL, NULL, NULL, 6),
(17719, NULL, 'PF03389', NULL, NULL, 'MobA/MobL family', NULL, 'MobA_MobL', NULL, NULL, NULL, 6),
(17720, NULL, 'PF08767', NULL, NULL, 'CRM1 C terminal', NULL, 'CRM1_C', NULL, NULL, NULL, 6),
(17721, NULL, 'PF18386', NULL, NULL, 'Roquin II domain', NULL, 'ROQ_II', NULL, NULL, NULL, 6),
(17722, NULL, 'PF08404', NULL, NULL, 'Baculoviridae P74 N-terminal', NULL, 'Baculo_p74_N', NULL, NULL, NULL, 6),
(17723, NULL, 'PF08164', NULL, NULL, 'Apoptosis-antagonizing transcription factor, C-terminal', NULL, 'TRAUB', NULL, NULL, NULL, 6),
(17724, NULL, 'PF10826', NULL, NULL, 'Protein of unknown function (DUF2551)', NULL, 'DUF2551', NULL, NULL, NULL, 6),
(17725, NULL, 'PF06333', NULL, NULL, 'Mediator complex subunit 13 C-terminal domain', NULL, 'Med13_C', NULL, NULL, NULL, 6),
(17726, NULL, 'PF07097', NULL, NULL, 'Protein of unknown function (DUF1359)', NULL, 'DUF1359', NULL, NULL, NULL, 6),
(17727, NULL, 'PF07710', NULL, NULL, 'P53 tetramerisation motif', NULL, 'P53_tetramer', NULL, NULL, NULL, 6),
(17728, NULL, 'PF18936', NULL, NULL, 'Family of unknown function (DUF5684)', NULL, 'DUF5684', NULL, NULL, NULL, 6),
(17729, NULL, 'PF00432', NULL, NULL, 'Prenyltransferase and squalene oxidase repeat', NULL, 'Prenyltrans', NULL, NULL, NULL, 6),
(17730, NULL, 'PF13693', NULL, NULL, 'Winged helix-turn-helix DNA-binding', NULL, 'HTH_35', NULL, NULL, NULL, 6),
(17731, NULL, 'PF12971', NULL, NULL, 'Alpha-N-acetylglucosaminidase (NAGLU) N-terminal domain', NULL, 'NAGLU_N', NULL, NULL, NULL, 6),
(17732, NULL, 'PF18184', NULL, NULL, 'SMODS and SLOG-associating 2TM effector domain 3', NULL, 'SLATT_3', NULL, NULL, NULL, 6),
(17733, NULL, 'PF08231', NULL, NULL, 'SYF2 splicing factor', NULL, 'SYF2', NULL, NULL, NULL, 6),
(17734, NULL, 'PF14353', NULL, NULL, 'CpXC protein', NULL, 'CpXC', NULL, NULL, NULL, 6),
(17735, NULL, 'PF15295', NULL, NULL, 'Coiled-coil domain-containing protein 50  N-terminus', NULL, 'CCDC50_N', NULL, NULL, NULL, 6),
(17736, NULL, 'PF18314', NULL, NULL, 'Fatty acid synthase type I helical domain', NULL, 'FAS_I_H', NULL, NULL, NULL, 6),
(17737, NULL, 'PF18308', NULL, NULL, 'GGA N-GAT domain', NULL, 'GGA_N-GAT', NULL, NULL, NULL, 6),
(17738, NULL, 'PF00493', NULL, NULL, 'MCM P-loop domain', NULL, 'MCM', NULL, NULL, NULL, 6),
(17739, NULL, 'PF12758', NULL, NULL, 'Protein of unknown function (DUF3813)', NULL, 'DUF3813', NULL, NULL, NULL, 6),
(17740, NULL, 'PF06719', NULL, NULL, 'AraC-type transcriptional regulator N-terminus', NULL, 'AraC_N', NULL, NULL, NULL, 6),
(17741, NULL, 'PF11392', NULL, NULL, 'Protein of unknown function (DUF2877)', NULL, 'DUF2877', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17742, NULL, 'PF18456', NULL, NULL, 'Diiron non-heme beta-hydroxylase N-terminal domain', NULL, 'CmlA_N', NULL, NULL, NULL, 6),
(17743, NULL, 'PF12773', NULL, NULL, 'Double zinc ribbon', NULL, 'DZR', NULL, NULL, NULL, 6),
(17744, NULL, 'PF07621', NULL, NULL, 'Protein of unknown function (DUF1582)', NULL, 'DUF1582', NULL, NULL, NULL, 6),
(17745, NULL, 'PF14443', NULL, NULL, 'DBC1', NULL, 'DBC1', NULL, NULL, NULL, 6),
(17746, NULL, 'PF04691', NULL, NULL, 'Apolipoprotein C-I (ApoC-1)', NULL, 'ApoC-I', NULL, NULL, NULL, 6),
(17747, NULL, 'PF12006', NULL, NULL, 'Protein of unknown function (DUF3500)', NULL, 'DUF3500', NULL, NULL, NULL, 6),
(17748, NULL, 'PF04240', NULL, NULL, 'Carotenoid biosynthesis protein', NULL, 'Caroten_synth', NULL, NULL, NULL, 6),
(17749, NULL, 'PF16837', NULL, NULL, 'Pre-mRNA-splicing factor SF3A3, of SF3a complex, Prp9', NULL, 'SF3A3', NULL, NULL, NULL, 6),
(17750, NULL, 'PF07263', NULL, NULL, 'Dentin matrix protein 1 (DMP1)', NULL, 'DMP1', NULL, NULL, NULL, 6),
(17751, NULL, 'PF09875', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2102)', NULL, 'DUF2102', NULL, NULL, NULL, 6),
(17752, NULL, 'PF16389', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4998', NULL, NULL, NULL, 6),
(17753, NULL, 'PF14425', NULL, NULL, 'Immunity protein Imm3', NULL, 'Imm3', NULL, NULL, NULL, 6),
(17754, NULL, 'PF03241', NULL, NULL, '4-hydroxyphenylacetate 3-hydroxylase C terminal', NULL, 'HpaB', NULL, NULL, NULL, 6),
(17755, NULL, 'PF18129', NULL, NULL, 'Xrn1 SH3-like domain', NULL, 'SH3_12', NULL, NULL, NULL, 6),
(17756, NULL, 'PF03126', NULL, NULL, 'Plus-3 domain', NULL, 'Plus-3', NULL, NULL, NULL, 6),
(17757, NULL, 'PF11192', NULL, NULL, 'Protein of unknown function (DUF2977)', NULL, 'DUF2977', NULL, NULL, NULL, 6),
(17758, NULL, 'PF05691', NULL, NULL, 'Raffinose synthase or seed imbibition protein Sip1', NULL, 'Raffinose_syn', NULL, NULL, NULL, 6),
(17759, NULL, 'PF12869', NULL, NULL, 'tRNA_anti-like', NULL, 'tRNA_anti-like', NULL, NULL, NULL, 6),
(17760, NULL, 'PF00930', NULL, NULL, 'Dipeptidyl peptidase IV (DPP IV) N-terminal region', NULL, 'DPPIV_N', NULL, NULL, NULL, 6),
(17761, NULL, 'PF18525', NULL, NULL, 'Cas9 C-terminal domain', NULL, 'Cas9_C', NULL, NULL, NULL, 6),
(17762, NULL, 'PF15687', NULL, NULL, 'Nuclear receptor-interacting protein 1 repression 1', NULL, 'NRIP1_repr_1', NULL, NULL, NULL, 6),
(17763, NULL, 'PF12610', NULL, NULL, 'Suppressor of cytokine signalling', NULL, 'SOCS', NULL, NULL, NULL, 6),
(17764, NULL, 'PF15052', NULL, NULL, 'TMEM169 protein family', NULL, 'TMEM169', NULL, NULL, NULL, 6),
(17765, NULL, 'PF00430', NULL, NULL, 'ATP synthase B/B'' CF(0)', NULL, 'ATP-synt_B', NULL, NULL, NULL, 6),
(17766, NULL, 'PF14996', NULL, NULL, 'Retinal Maintenance', NULL, 'RMP', NULL, NULL, NULL, 6),
(17767, NULL, 'PF16570', NULL, NULL, 'Gram-positive pilin backbone subunit 3, Cna-B-like domain', NULL, 'GramPos_pilinD3', NULL, NULL, NULL, 6),
(17768, NULL, 'PF11693', NULL, NULL, 'Protein of unknown function (DUF2990)', NULL, 'DUF2990', NULL, NULL, NULL, 6),
(17769, NULL, 'PF03869', NULL, NULL, 'Arc-like DNA binding domain', NULL, 'Arc', NULL, NULL, NULL, 6),
(17770, NULL, 'PF13146', NULL, NULL, 'TRL-like protein family', NULL, 'TRL', NULL, NULL, NULL, 6),
(17771, NULL, 'PF14882', NULL, NULL, 'Phage-integrase repeat unit', NULL, 'PHINT_rpt', NULL, NULL, NULL, 6),
(17772, NULL, 'PF04199', NULL, NULL, 'Putative cyclase', NULL, 'Cyclase', NULL, NULL, NULL, 6),
(17773, NULL, 'PF08013', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ/KbaZ-like', NULL, 'GatZ_KbaZ-like', NULL, NULL, NULL, 6),
(17774, NULL, 'PF12828', NULL, NULL, 'PX-associated', NULL, 'PXB', NULL, NULL, NULL, 6),
(17775, NULL, 'PF15557', NULL, NULL, 'CAF1 complex subunit p150, region binding to PCNA', NULL, 'CAF1-p150_N', NULL, NULL, NULL, 6),
(17776, NULL, 'PF08517', NULL, NULL, 'Ataxin-1 and HBP1 module (AXH)', NULL, 'AXH', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17777, NULL, 'PF05001', NULL, NULL, 'RNA polymerase Rpb1 C-terminal repeat', NULL, 'RNA_pol_Rpb1_R', NULL, NULL, NULL, 6),
(17778, NULL, 'PF16844', NULL, NULL, 'Dinitrogenase iron-molybdenum cofactor, N-terminal', NULL, 'DIMCO_N', NULL, NULL, NULL, 6),
(17779, NULL, 'PF17332', NULL, NULL, 'Family of unknown function (DUF5592)', NULL, 'DUF5592', NULL, NULL, NULL, 6),
(17780, NULL, 'PF00503', NULL, NULL, 'G-protein alpha subunit', NULL, 'G-alpha', NULL, NULL, NULL, 6),
(17781, NULL, 'PF10895', NULL, NULL, 'Domain of unknown function (DUF2715)', NULL, 'DUF2715', NULL, NULL, NULL, 6),
(17782, NULL, 'PF13648', NULL, NULL, 'Lipocalin-like domain', NULL, 'Lipocalin_4', NULL, NULL, NULL, 6),
(17783, NULL, 'PF12582', NULL, NULL, 'Protein of unknown function (DUF3757)', NULL, 'DUF3757', NULL, NULL, NULL, 6),
(17784, NULL, 'PF08267', NULL, NULL, 'Cobalamin-independent synthase, N-terminal domain', NULL, 'Meth_synt_1', NULL, NULL, NULL, 6),
(17785, NULL, 'PF16970', NULL, NULL, 'Type-1 fimbrial protein, A', NULL, 'FimA', NULL, NULL, NULL, 6),
(17786, NULL, 'PF04517', NULL, NULL, 'Microvirus lysis protein (E), C terminus', NULL, 'Microvir_lysis', NULL, NULL, NULL, 6),
(17787, NULL, 'PF02600', NULL, NULL, 'Disulfide bond formation protein DsbB', NULL, 'DsbB', NULL, NULL, NULL, 6),
(17788, NULL, 'PF15807', NULL, NULL, 'Membrane-associated protein 117 kDa, PDZK1-interacting protein 1', NULL, 'MAP17', NULL, NULL, NULL, 6),
(17789, NULL, 'PF13097', NULL, NULL, 'CENP-A nucleosome associated complex (NAC) subunit', NULL, 'CENP-U', NULL, NULL, NULL, 6),
(17790, NULL, 'PF12763', NULL, NULL, 'Cytoskeletal-regulatory complex EF hand', NULL, 'EF-hand_4', NULL, NULL, NULL, 6),
(17791, NULL, 'PF13226', NULL, NULL, 'Domain of unknown function (DUF4034)', NULL, 'DUF4034', NULL, NULL, NULL, 6),
(17792, NULL, 'PF01152', NULL, NULL, 'Bacterial-like globin', NULL, 'Bac_globin', NULL, NULL, NULL, 6),
(17793, NULL, 'PF06459', NULL, NULL, 'Ryanodine Receptor TM 4-6', NULL, 'RR_TM4-6', NULL, NULL, NULL, 6),
(17794, NULL, 'PF11824', NULL, NULL, 'Protein of unknown function (DUF3344)', NULL, 'DUF3344', NULL, NULL, NULL, 6),
(17795, NULL, 'PF04431', NULL, NULL, 'Pectate lyase, N terminus', NULL, 'Pec_lyase_N', NULL, NULL, NULL, 6),
(17796, NULL, 'PF12887', NULL, NULL, 'SICA extracellular alpha domain', NULL, 'SICA_alpha', NULL, NULL, NULL, 6),
(17797, NULL, 'PF03973', NULL, NULL, 'Triabin', NULL, 'Triabin', NULL, NULL, NULL, 6),
(17798, NULL, 'PF02407', NULL, NULL, 'Putative viral replication protein', NULL, 'Viral_Rep', NULL, NULL, NULL, 6),
(17799, NULL, 'PF10790', NULL, NULL, 'Protein of Unknown function (DUF2604)', NULL, 'DUF2604', NULL, NULL, NULL, 6),
(17800, NULL, 'PF01726', NULL, NULL, 'LexA DNA binding domain', NULL, 'LexA_DNA_bind', NULL, NULL, NULL, 6),
(17801, NULL, 'PF08337', NULL, NULL, 'Plexin cytoplasmic RasGAP domain', NULL, 'Plexin_cytopl', NULL, NULL, NULL, 6),
(17802, NULL, 'PF16499', NULL, NULL, 'Alpha galactosidase A', NULL, 'Melibiase_2', NULL, NULL, NULL, 6),
(17803, NULL, 'PF16482', NULL, NULL, 'Staufen C-terminal domain', NULL, 'Staufen_C', NULL, NULL, NULL, 6),
(17804, NULL, 'PF03243', NULL, NULL, 'Alkylmercury lyase', NULL, 'MerB', NULL, NULL, NULL, 6),
(17805, NULL, 'PF17109', NULL, NULL, 'fungal STAND N-terminal Goodbye domain', NULL, 'Goodbye', NULL, NULL, NULL, 6),
(17806, NULL, 'PF05946', NULL, NULL, 'Toxin-coregulated pilus subunit TcpA', NULL, 'TcpA', NULL, NULL, NULL, 6),
(17807, NULL, 'PF11480', NULL, NULL, 'Colicin-E5 Imm protein', NULL, 'ImmE5', NULL, NULL, NULL, 6),
(17808, NULL, 'PF16838', NULL, NULL, 'Caudoviral major tail protein N-terminus', NULL, 'Caud_tail_N', NULL, NULL, NULL, 6),
(17809, NULL, 'PF10592', NULL, NULL, 'AIPR protein', NULL, 'AIPR', NULL, NULL, NULL, 6),
(17810, NULL, 'PF05024', NULL, NULL, 'N-acetylglucosaminyl transferase component (Gpi1)', NULL, 'Gpi1', NULL, NULL, NULL, 6),
(17811, NULL, 'PF18755', NULL, NULL, 'Restriction Enzyme Adenine Methylase Associated', NULL, 'RAMA', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17812, NULL, 'PF17480', NULL, NULL, 'AlphaC N-terminal domain 2', NULL, 'AlphaC_N2', NULL, NULL, NULL, 6),
(17813, NULL, 'PF12127', NULL, NULL, 'SigmaW regulon antibacterial', NULL, 'YdfA_immunity', NULL, NULL, NULL, 6),
(17814, NULL, 'PF18633', NULL, NULL, 'Zinc-finger antiviral protein (ZAP) zinc finger domain 3', NULL, 'zf-CCCH_8', NULL, NULL, NULL, 6),
(17815, NULL, 'PF01909', NULL, NULL, 'Nucleotidyltransferase domain', NULL, 'NTP_transf_2', NULL, NULL, NULL, 6),
(17816, NULL, 'PF00274', NULL, NULL, 'Fructose-bisphosphate aldolase class-I', NULL, 'Glycolytic', NULL, NULL, NULL, 6),
(17817, NULL, 'PF18919', NULL, NULL, 'Family of unknown function (DUF5670)', NULL, 'DUF5670', NULL, NULL, NULL, 6),
(17818, NULL, 'PF03603', NULL, NULL, 'DNA polymerase III psi subunit', NULL, 'DNA_III_psi', NULL, NULL, NULL, 6),
(17819, NULL, 'PF09323', NULL, NULL, 'Domain of unknown function (DUF1980)', NULL, 'DUF1980', NULL, NULL, NULL, 6),
(17820, NULL, 'PF02895', NULL, NULL, 'Signal transducing histidine kinase, homodimeric domain', NULL, 'H-kinase_dim', NULL, NULL, NULL, 6),
(17821, NULL, 'PF15482', NULL, NULL, 'Coiled-coil domain-containing glutamate-rich protein family 1', NULL, 'CCER1', NULL, NULL, NULL, 6),
(17822, NULL, 'PF15981', NULL, NULL, 'Envelope glycoprotein GP 5 of equine arteritis virus', NULL, 'EAV_GP5', NULL, NULL, NULL, 6),
(17823, NULL, 'PF15156', NULL, NULL, 'Ceroid-lipofuscinosis neuronal protein 6', NULL, 'CLN6', NULL, NULL, NULL, 6),
(17824, NULL, 'PF16822', NULL, NULL, 'SGNH hydrolase-like domain, acetyltransferase AlgX', NULL, 'ALGX', NULL, NULL, NULL, 6),
(17825, NULL, 'PF00131', NULL, NULL, 'Metallothionein', NULL, 'Metallothio', NULL, NULL, NULL, 6),
(17826, NULL, 'PF17415', NULL, NULL, 'NigD-like C-terminal beta sandwich domain', NULL, 'NigD_C', NULL, NULL, NULL, 6),
(17827, NULL, 'PF12616', NULL, NULL, 'Protein of unknown function (DUF3775)', NULL, 'DUF3775', NULL, NULL, NULL, 6),
(17828, NULL, 'PF16759', NULL, NULL, 'DNA ligase 3 BRCT domain', NULL, 'LIG3_BRCT', NULL, NULL, NULL, 6),
(17829, NULL, 'PF00740', NULL, NULL, 'Parvovirus coat protein VP2', NULL, 'Parvo_coat', NULL, NULL, NULL, 6),
(17830, NULL, 'PF05193', NULL, NULL, 'Peptidase M16 inactive domain', NULL, 'Peptidase_M16_C', NULL, NULL, NULL, 6),
(17831, NULL, 'PF08996', NULL, NULL, 'DNA Polymerase alpha zinc finger', NULL, 'zf-DNA_Pol', NULL, NULL, NULL, 6),
(17832, NULL, 'PF17372', NULL, NULL, 'Family of unknown function (DUF5394)', NULL, 'DUF5394', NULL, NULL, NULL, 6),
(17833, NULL, 'PF10530', NULL, NULL, 'Toxin with inhibitor cystine knot ICK or Knottin scaffold', NULL, 'Toxin_35', NULL, NULL, NULL, 6),
(17834, NULL, 'PF09314', NULL, NULL, 'Domain of unknown function (DUF1972)', NULL, 'DUF1972', NULL, NULL, NULL, 6),
(17835, NULL, 'PF03154', NULL, NULL, 'Atrophin-1 family', NULL, 'Atrophin-1', NULL, NULL, NULL, 6),
(17836, NULL, 'PF13758', NULL, NULL, 'Prefoldin subunit', NULL, 'Prefoldin_3', NULL, NULL, NULL, 6),
(17837, NULL, 'PF13340', NULL, NULL, 'Putative transposase of IS4/5 family (DUF4096)', NULL, 'DUF4096', NULL, NULL, NULL, 6),
(17838, NULL, 'PF14233', NULL, NULL, 'Domain of unknown function (DUF4335)', NULL, 'DUF4335', NULL, NULL, NULL, 6),
(17839, NULL, 'PF17741', NULL, NULL, 'Family of unknown function (DUF5578)', NULL, 'DUF5578', NULL, NULL, NULL, 6),
(17840, NULL, 'PF08303', NULL, NULL, 'tRNA ligase kinase domain', NULL, 'tRNA_lig_kinase', NULL, NULL, NULL, 6),
(17841, NULL, 'PF16973', NULL, NULL, 'Flagellar motor switch protein FliN N-terminal', NULL, 'FliN_N', NULL, NULL, NULL, 6),
(17842, NULL, 'PF02437', NULL, NULL, 'SKI/SNO/DAC family', NULL, 'Ski_Sno', NULL, NULL, NULL, 6),
(17843, NULL, 'PF03546', NULL, NULL, 'Treacher Collins syndrome protein Treacle', NULL, 'Treacle', NULL, NULL, NULL, 6),
(17844, NULL, 'PF09900', NULL, NULL, 'Predicted membrane protein (DUF2127)', NULL, 'DUF2127', NULL, NULL, NULL, 6),
(17845, NULL, 'PF13478', NULL, NULL, 'XdhC Rossmann domain', NULL, 'XdhC_C', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17846, NULL, 'PF02144', NULL, NULL, 'Repair protein Rad1/Rec1/Rad17', NULL, 'Rad1', NULL, NULL, NULL, 6),
(17847, NULL, 'PF14795', NULL, NULL, 'Leucine-tRNA synthetase-specific domain', NULL, 'Leucyl-specific', NULL, NULL, NULL, 6),
(17848, NULL, 'PF05812', NULL, NULL, 'Herpesvirus BLRF2 protein', NULL, 'Herpes_BLRF2', NULL, NULL, NULL, 6),
(17849, NULL, 'PF12595', NULL, NULL, 'Rhomboid serine protease', NULL, 'Rhomboid_SP', NULL, NULL, NULL, 6),
(17850, NULL, 'PF06838', NULL, NULL, 'Methionine gamma-lyase', NULL, 'Met_gamma_lyase', NULL, NULL, NULL, 6),
(17851, NULL, 'PF06101', NULL, NULL, 'Vacuolar protein sorting-associated protein 62', NULL, 'Vps62', NULL, NULL, NULL, 6),
(17852, NULL, 'PF02327', NULL, NULL, 'Bacteriochlorophyll A protein', NULL, 'BChl_A', NULL, NULL, NULL, 6),
(17853, NULL, 'PF00241', NULL, NULL, 'Cofilin/tropomyosin-type actin-binding protein', NULL, 'Cofilin_ADF', NULL, NULL, NULL, 6),
(17854, NULL, 'PF00139', NULL, NULL, 'Legume lectin domain', NULL, 'Lectin_legB', NULL, NULL, NULL, 6),
(17855, NULL, 'PF02498', NULL, NULL, 'BRO family, N-terminal domain', NULL, 'Bro-N', NULL, NULL, NULL, 6),
(17856, NULL, 'PF01719', NULL, NULL, 'Plasmid replication protein', NULL, 'Rep_2', NULL, NULL, NULL, 6),
(17857, NULL, 'PF11380', NULL, NULL, 'Stealth protein CR2, conserved region 2', NULL, 'Stealth_CR2', NULL, NULL, NULL, 6),
(17858, NULL, 'PF14149', NULL, NULL, 'YhfH-like protein', NULL, 'YhfH', NULL, NULL, NULL, 6),
(17859, NULL, 'PF10781', NULL, NULL, 'Dextransucrase DSRB', NULL, 'DSRB', NULL, NULL, NULL, 6),
(17860, NULL, 'PF17317', NULL, NULL, 'Mating hormone A-factor 1&2', NULL, 'MFA1_2', NULL, NULL, NULL, 6),
(17861, NULL, 'PF09408', NULL, NULL, 'Betacoronavirus spike glycoprotein S1, receptor binding', NULL, 'bCoV_S1_RBD', NULL, NULL, NULL, 6),
(17862, NULL, 'PF18443', NULL, NULL, 'Tle cognate immunity protein 4 N-terminal domain', NULL, 'Tli4_N', NULL, NULL, NULL, 6),
(17863, NULL, 'PF07590', NULL, NULL, 'Protein of unknown function (DUF1556)', NULL, 'DUF1556', NULL, NULL, NULL, 6),
(17864, NULL, 'PF18203', NULL, NULL, 'IPTL-CTERM motif', NULL, 'IPTL-CTERM', NULL, NULL, NULL, 6),
(17865, NULL, 'PF15309', NULL, NULL, 'ALMS motif', NULL, 'ALMS_motif', NULL, NULL, NULL, 6),
(17866, NULL, 'PF06024', NULL, NULL, 'Orf78 (ac78)', NULL, 'Orf78', NULL, NULL, NULL, 6),
(17867, NULL, 'PF10065', NULL, NULL, 'Uncharacterized conserved protein (DUF2303)', NULL, 'DUF2303', NULL, NULL, NULL, 6),
(17868, NULL, 'PF01042', NULL, NULL, 'Endoribonuclease L-PSP', NULL, 'Ribonuc_L-PSP', NULL, NULL, NULL, 6),
(17869, NULL, 'PF02903', NULL, NULL, 'Alpha amylase, N-terminal ig-like domain', NULL, 'Alpha-amylase_N', NULL, NULL, NULL, 6),
(17870, NULL, 'PF03147', NULL, NULL, 'Ferredoxin-fold anticodon binding domain', NULL, 'FDX-ACB', NULL, NULL, NULL, 6),
(17871, NULL, 'PF07581', NULL, NULL, 'The GLUG motif', NULL, 'Glug', NULL, NULL, NULL, 6),
(17872, NULL, 'PF18685', NULL, NULL, 'Family of unknown function (DUF5635)', NULL, 'DUF5635', NULL, NULL, NULL, 6),
(17873, NULL, 'PF11470', NULL, NULL, 'TUG ubiquitin-like domain', NULL, 'TUG-UBL1', NULL, NULL, NULL, 6),
(17874, NULL, 'PF02522', NULL, NULL, 'Aminoglycoside 3-N-acetyltransferase', NULL, 'Antibiotic_NAT', NULL, NULL, NULL, 6),
(17875, NULL, 'PF17511', NULL, NULL, 'Mobilization protein B', NULL, 'Mobilization_B', NULL, NULL, NULL, 6),
(17876, NULL, 'PF05313', NULL, NULL, 'Poxvirus P21 membrane protein', NULL, 'Pox_P21', NULL, NULL, NULL, 6),
(17877, NULL, 'PF10751', NULL, NULL, 'Protein of unknown function (DUF2535)', NULL, 'DUF2535', NULL, NULL, NULL, 6),
(17878, NULL, 'PF15749', NULL, NULL, 'MRN-interacting protein', NULL, 'MRNIP', NULL, NULL, NULL, 6),
(17879, NULL, 'PF10662', NULL, NULL, 'Ethanolamine utilisation - propanediol utilisation', NULL, 'PduV-EutP', NULL, NULL, NULL, 6),
(17880, NULL, 'PF12239', NULL, NULL, 'Protein of unknown function (DUF3605)', NULL, 'DUF3605', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17881, NULL, 'PF00240', NULL, NULL, 'Ubiquitin family', NULL, 'ubiquitin', NULL, NULL, NULL, 6),
(17882, NULL, 'PF13879', NULL, NULL, 'KIAA1430 homologue', NULL, 'KIAA1430', NULL, NULL, NULL, 6),
(17883, NULL, 'PF01766', NULL, NULL, 'Birnavirus VP2 protein', NULL, 'Birna_VP2', NULL, NULL, NULL, 6),
(17884, NULL, 'PF07120', NULL, NULL, 'Protein of unknown function (DUF1376)', NULL, 'DUF1376', NULL, NULL, NULL, 6),
(17885, NULL, 'PF06583', NULL, NULL, 'Neogenin C-terminus', NULL, 'Neogenin_C', NULL, NULL, NULL, 6),
(17886, NULL, 'PF06486', NULL, NULL, 'Protein of unknown function (DUF1093)', NULL, 'DUF1093', NULL, NULL, NULL, 6),
(17887, NULL, 'PF16390', NULL, NULL, 'Domain of unknown function', NULL, 'DUF4999', NULL, NULL, NULL, 6),
(17888, NULL, 'PF06453', NULL, NULL, 'Type II heat-labile enterotoxin , B subunit (LT-IIB)', NULL, 'LT-IIB', NULL, NULL, NULL, 6),
(17889, NULL, 'PF15766', NULL, NULL, 'Domain of unknown function (DUF4695)', NULL, 'DUF4695', NULL, NULL, NULL, 6),
(17890, NULL, 'PF07624', NULL, NULL, 'Protein of unknown function (DUF1585)', NULL, 'PSD2', NULL, NULL, NULL, 6),
(17891, NULL, 'PF04807', NULL, NULL, 'Geminivirus AC4/5 conserved region', NULL, 'Gemini_AC4_5', NULL, NULL, NULL, 6),
(17892, NULL, 'PF16443', NULL, NULL, 'Domain of unknown function (DUF5040)', NULL, 'DUF5040', NULL, NULL, NULL, 6),
(17893, NULL, 'PF10326', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Str', NULL, '7TM_GPCR_Str', NULL, NULL, NULL, 6),
(17894, NULL, 'PF16018', NULL, NULL, 'Anillin N-terminus', NULL, 'Anillin_N', NULL, NULL, NULL, 6),
(17895, NULL, 'PF11326', NULL, NULL, 'Protein of unknown function (DUF3128)', NULL, 'DUF3128', NULL, NULL, NULL, 6),
(17896, NULL, 'PF14488', NULL, NULL, 'Domain of unknown function (DUF4434)', NULL, 'DUF4434', NULL, NULL, NULL, 6),
(17897, NULL, 'PF00038', NULL, NULL, 'Intermediate filament protein', NULL, 'Filament', NULL, NULL, NULL, 6),
(17898, NULL, 'PF09670', NULL, NULL, 'CRISPR-associated protein (Cas_Cas02710)', NULL, 'Cas_Cas02710', NULL, NULL, NULL, 6),
(17899, NULL, 'PF02402', NULL, NULL, 'Lysis protein', NULL, 'Lysis_col', NULL, NULL, NULL, 6),
(17900, NULL, 'PF01819', NULL, NULL, 'Levivirus coat protein', NULL, 'Levi_coat', NULL, NULL, NULL, 6),
(17901, NULL, 'PF18879', NULL, NULL, 'EspA/EspE family', NULL, 'EspA_EspE', NULL, NULL, NULL, 6),
(17902, NULL, 'PF03742', NULL, NULL, 'PetN', NULL, 'PetN', NULL, NULL, NULL, 6),
(17903, NULL, 'PF06896', NULL, NULL, 'Phage tail assembly chaperone proteins, TAC', NULL, 'Phage_TAC_3', NULL, NULL, NULL, 6),
(17904, NULL, 'PF13237', NULL, NULL, '4Fe-4S dicluster domain', NULL, 'Fer4_10', NULL, NULL, NULL, 6),
(17905, NULL, 'PF05114', NULL, NULL, 'Protein of unknown function (DUF692)', NULL, 'DUF692', NULL, NULL, NULL, 6),
(17906, NULL, 'PF15917', NULL, NULL, 'Piezo', NULL, 'PIEZO', NULL, NULL, NULL, 6),
(17907, NULL, 'PF15459', NULL, NULL, '60S ribosome biogenesis protein Rrp14', NULL, 'RRP14', NULL, NULL, NULL, 6),
(17908, NULL, 'PF18504', NULL, NULL, 'Csm1 N-terminal domain', NULL, 'Csm1_N', NULL, NULL, NULL, 6),
(17909, NULL, 'PF02095', NULL, NULL, 'Extensin-like protein repeat', NULL, 'Extensin_1', NULL, NULL, NULL, 6),
(17910, NULL, 'PF08827', NULL, NULL, 'Domain of unknown function (DUF1805)', NULL, 'DUF1805', NULL, NULL, NULL, 6),
(17911, NULL, 'PF16541', NULL, NULL, 'Alternaria alternata allergen 1', NULL, 'AltA1', NULL, NULL, NULL, 6),
(17912, NULL, 'PF10122', NULL, NULL, 'Mu-like prophage protein Com', NULL, 'Mu-like_Com', NULL, NULL, NULL, 6),
(17913, NULL, 'PF16272', NULL, NULL, 'Domain of unknown function (DUF4925)', NULL, 'DUF4925', NULL, NULL, NULL, 6),
(17914, NULL, 'PF06073', NULL, NULL, 'Bacterial protein of unknown function (DUF934)', NULL, 'DUF934', NULL, NULL, NULL, 6),
(17915, NULL, 'PF08700', NULL, NULL, 'Vps51/Vps67', NULL, 'Vps51', NULL, NULL, NULL, 6),
(17916, NULL, 'PF12503', NULL, NULL, 'Cucumber mosaic virus 1a protein C terminal', NULL, 'CMV_1a_C', NULL, NULL, NULL, 6);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17917, NULL, 'PF16852', NULL, NULL, 'Herpes viral adaptor-to-host cellular mRNA binding domain', NULL, 'HHV-1_VABD', NULL, NULL, NULL, 6),
(17918, NULL, 'PF16760', NULL, NULL, 'Starch/carbohydrate-binding module (family 53)', NULL, 'CBM53', NULL, NULL, NULL, 6),
(17919, NULL, 'PF13751', NULL, NULL, 'Transposase DDE domain', NULL, 'DDE_Tnp_1_6', NULL, NULL, NULL, 6),
(17920, NULL, 'PF09062', NULL, NULL, 'PI-PfuI Endonuclease subdomain', NULL, 'Endonuc_subdom', NULL, NULL, NULL, 6),
(17921, NULL, 'PF13011', NULL, NULL, 'leucine-zipper of insertion element IS481', NULL, 'LZ_Tnp_IS481', NULL, NULL, NULL, 6),
(17922, NULL, 'PF08096', NULL, NULL, 'Bombolitin family', NULL, 'Bombolitin', NULL, NULL, NULL, 6),
(17923, NULL, 'PF05123', NULL, NULL, 'S-layer like family, N-terminal region', NULL, 'S_layer_N', NULL, NULL, NULL, 6),
(17924, NULL, 'PF13006', NULL, NULL, 'Insertion element 4 transposase N-terminal', NULL, 'Nterm_IS4', NULL, NULL, NULL, 6),
(17925, NULL, 'PF15301', NULL, NULL, 'SLAIN motif-containing family', NULL, 'SLAIN', NULL, NULL, NULL, 6),
(17926, NULL, 'PF07748', NULL, NULL, 'Glycosyl hydrolases family 38 C-terminal domain', NULL, 'Glyco_hydro_38C', NULL, NULL, NULL, 6),
(17927, NULL, 'PF11701', NULL, NULL, 'Myosin-binding striated muscle assembly central', NULL, 'UNC45-central', NULL, NULL, NULL, 6),
(17928, NULL, 'PF04242', NULL, NULL, 'Protein of unknown function (DUF424)', NULL, 'DUF424', NULL, NULL, NULL, 6),
(17929, NULL, 'PF12403', NULL, NULL, 'Paired-box protein 2 C terminal', NULL, 'Pax2_C', NULL, NULL, NULL, 6),
(17930, NULL, 'PF15840', NULL, NULL, 'ADP-ribosylation factor-like protein 17', NULL, 'ARL17', NULL, NULL, NULL, 6),
(17931, NULL, 'PF16487', NULL, NULL, 'Mid domain of argonaute', NULL, 'ArgoMid', NULL, NULL, NULL, 6),
(17932, NULL, 'PF10397', NULL, NULL, 'Adenylosuccinate lyase C-terminus', NULL, 'ADSL_C', NULL, NULL, NULL, 6),
(17933, NULL, 'PF10404', NULL, NULL, 'Rad4 beta-hairpin domain 2', NULL, 'BHD_2', NULL, NULL, NULL, 6),
(17934, NULL, 'PF08265', NULL, NULL, 'YL1 nuclear protein C-terminal domain', NULL, 'YL1_C', NULL, NULL, NULL, 6),
(17935, NULL, 'PF01258', NULL, NULL, 'Prokaryotic dksA/traR C4-type zinc finger', NULL, 'zf-dskA_traR', NULL, NULL, NULL, 6),
(17936, NULL, 'PF11625', NULL, NULL, 'Protein of unknown function (DUF3253)', NULL, 'DUF3253', NULL, NULL, NULL, 6),
(17937, NULL, 'PF07019', NULL, NULL, 'Rab5-interacting protein (Rab5ip)', NULL, 'Rab5ip', NULL, NULL, NULL, 6),
(17938, NULL, 'PF12946', NULL, NULL, 'MSP1 EGF domain 1', NULL, 'EGF_MSP1_1', NULL, NULL, NULL, 6),
(17939, NULL, 'PF09081', NULL, NULL, 'Domain of unknown function (DUF1921)', NULL, 'DUF1921', NULL, NULL, NULL, 6),
(17940, NULL, 'PF14732', NULL, NULL, 'Ubiquitin/SUMO-activating enzyme ubiquitin-like domain', NULL, 'UAE_UbL', NULL, NULL, NULL, 6),
(17941, NULL, 'PF17094', NULL, NULL, 'Uncharacterised protein family (UPF0715)', NULL, 'UPF0715', NULL, NULL, NULL, 6),
(17942, NULL, 'PF17916', NULL, NULL, 'LIM interaction domain (LID)', NULL, 'LID', NULL, NULL, NULL, 6),
(17943, NULL, 'PF17560', NULL, NULL, 'Aphid Megourins', NULL, 'Megourin', NULL, NULL, NULL, 6),
(17944, NULL, 'PF14034', NULL, NULL, 'Sporulation protein YtrH', NULL, 'Spore_YtrH', NULL, NULL, NULL, 6),
(17945, NULL, 'PF01222', NULL, NULL, 'Ergosterol biosynthesis ERG4/ERG24 family', NULL, 'ERG4_ERG24', NULL, NULL, NULL, 6),
(17946, NULL, 'PF14648', NULL, NULL, 'FAM91 C-terminus', NULL, 'FAM91_C', NULL, NULL, NULL, 6),
(17947, NULL, 'PF16960', NULL, NULL, 'Haemoglobin-haptoglobin utilisation, porphyrin transporter', NULL, 'HpuA', NULL, NULL, NULL, 6),
(17948, NULL, 'PF04609', NULL, NULL, 'Methyl-coenzyme M reductase operon protein C', NULL, 'MCR_C', NULL, NULL, NULL, 6),
(17949, NULL, 'PF03634', NULL, NULL, 'TCP family transcription factor', NULL, 'TCP', NULL, NULL, NULL, 6),
(17950, NULL, 'PF02888', NULL, NULL, 'Calmodulin binding domain', NULL, 'CaMBD', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17951, NULL, 'PF15091', NULL, NULL, 'Domain of unknown function (DUF4554)', NULL, 'DUF4554', NULL, NULL, NULL, 6),
(17952, NULL, 'PF02452', NULL, NULL, 'PemK-like, MazF-like toxin of type II toxin-antitoxin system', NULL, 'PemK_toxin', NULL, NULL, NULL, 6),
(17953, NULL, 'PF03917', NULL, NULL, 'Eukaryotic glutathione synthase, ATP binding domain', NULL, 'GSH_synth_ATP', NULL, NULL, NULL, 6),
(17954, NULL, 'PF00810', NULL, NULL, 'ER lumen protein retaining receptor', NULL, 'ER_lumen_recept', NULL, NULL, NULL, 6),
(17955, NULL, 'PF08316', NULL, NULL, 'Pal1 cell morphology protein', NULL, 'Pal1', NULL, NULL, NULL, 6),
(17956, NULL, 'PF04064', NULL, NULL, 'Domain of unknown function (DUF384)', NULL, 'DUF384', NULL, NULL, NULL, 6),
(17957, NULL, 'PF11725', NULL, NULL, 'AvrE-family Type-III effector proteins (T3Es)', NULL, 'AvrE_T3Es', NULL, NULL, NULL, 6),
(17958, NULL, 'PF04110', NULL, NULL, 'Ubiquitin-like autophagy protein Apg12', NULL, 'APG12', NULL, NULL, NULL, 6),
(17959, NULL, 'PF01275', NULL, NULL, 'Myelin proteolipid protein (PLP or lipophilin)', NULL, 'Myelin_PLP', NULL, NULL, NULL, 6),
(17960, NULL, 'PF16989', NULL, NULL, 'Type VI secretion, EvfE, EvfF, ImpA, BimE, VC_A0119, VasJ', NULL, 'T6SS_VasJ', NULL, NULL, NULL, 6),
(17961, NULL, 'PF12923', NULL, NULL, 'Ribosomal RNA-processing protein 7 (RRP7) C-terminal domain', NULL, 'RRP7', NULL, NULL, NULL, 6),
(17962, NULL, 'PF12706', NULL, NULL, 'Beta-lactamase superfamily domain', NULL, 'Lactamase_B_2', NULL, NULL, NULL, 6),
(17963, NULL, 'PF10277', NULL, NULL, 'Frag1/DRAM/Sfk1 family', NULL, 'Frag1', NULL, NULL, NULL, 6),
(17964, NULL, 'PF05205', NULL, NULL, 'COMPASS (Complex proteins associated with Set1p) component shg1', NULL, 'COMPASS-Shg1', NULL, NULL, NULL, 6),
(17965, NULL, 'PF19188', NULL, NULL, 'Adhesion GPCR B N-terminal region', NULL, 'AGRB_N', NULL, NULL, NULL, 6),
(17966, NULL, 'PF02198', NULL, NULL, 'Sterile alpha motif (SAM)/Pointed domain', NULL, 'SAM_PNT', NULL, NULL, NULL, 6),
(17967, NULL, 'PF01397', NULL, NULL, 'Terpene synthase, N-terminal domain', NULL, 'Terpene_synth', NULL, NULL, NULL, 6),
(17968, NULL, 'PF08803', NULL, NULL, 'Putative mono-oxygenase ydhR', NULL, 'ydhR', NULL, NULL, NULL, 6),
(17969, NULL, 'PF01105', NULL, NULL, 'emp24/gp25L/p24 family/GOLD', NULL, 'EMP24_GP25L', NULL, NULL, NULL, 6),
(17970, NULL, 'PF11110', NULL, NULL, 'Baseplate hub distal subunit', NULL, 'Phage_hub_GP28', NULL, NULL, NULL, 6),
(17971, NULL, 'PF13987', NULL, NULL, 'YedD-like protein', NULL, 'YedD', NULL, NULL, NULL, 6),
(17972, NULL, 'PF10131', NULL, NULL, '6-pyruvoyl-tetrahydropterin synthase related domain; membrane protein', NULL, 'PTPS_related', NULL, NULL, NULL, 6),
(17973, NULL, 'PF18563', NULL, NULL, 'TubC N-terminal docking domain', NULL, 'TubC_N', NULL, NULL, NULL, 6),
(17974, NULL, 'PF11854', NULL, NULL, 'Putative outer membrane beta-barrel porin, MtrB/PioB', NULL, 'MtrB_PioB', NULL, NULL, NULL, 6),
(17975, NULL, 'PF09574', NULL, NULL, 'Protein  of unknown function (Duf2374)', NULL, 'DUF2374', NULL, NULL, NULL, 6),
(17976, NULL, 'PF07231', NULL, NULL, 'Hs1pro-1 N-terminus', NULL, 'Hs1pro-1_N', NULL, NULL, NULL, 6),
(17977, NULL, 'PF00889', NULL, NULL, 'Elongation factor TS', NULL, 'EF_TS', NULL, NULL, NULL, 6),
(17978, NULL, 'PF17708', NULL, NULL, 'Gasdermin PUB domain', NULL, 'Gasdermin_C', NULL, NULL, NULL, 6),
(17979, NULL, 'PF01034', NULL, NULL, 'Syndecan domain', NULL, 'Syndecan', NULL, NULL, NULL, 6),
(17980, NULL, 'PF17961', NULL, NULL, 'Bacterial Ig domain', NULL, 'Big_8', NULL, NULL, NULL, 6),
(17981, NULL, 'PF04183', NULL, NULL, 'IucA / IucC family', NULL, 'IucA_IucC', NULL, NULL, NULL, 6),
(17982, NULL, 'PF12483', NULL, NULL, 'E3 Ubiquitin ligase', NULL, 'GIDE', NULL, NULL, NULL, 6),
(17983, NULL, 'PF05557', NULL, NULL, 'Mitotic checkpoint protein', NULL, 'MAD', NULL, NULL, NULL, 6),
(17984, NULL, 'PF04987', NULL, NULL, 'Phosphatidylinositolglycan class N (PIG-N)', NULL, 'PigN', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(17985, NULL, 'PF08636', NULL, NULL, 'ER protein Pkr1', NULL, 'Pkr1', NULL, NULL, NULL, 6),
(17986, NULL, 'PF02609', NULL, NULL, 'Exonuclease VII small subunit', NULL, 'Exonuc_VII_S', NULL, NULL, NULL, 6),
(17987, NULL, 'PF05515', NULL, NULL, 'Viral nucleic acid binding', NULL, 'Viral_NABP', NULL, NULL, NULL, 6),
(17988, NULL, 'PF10514', NULL, NULL, 'Pro-apoptotic Bcl-2 protein, BAD', NULL, 'Bcl-2_BAD', NULL, NULL, NULL, 6),
(17989, NULL, 'PF17954', NULL, NULL, 'Quercetinase C-terminal cupin domain', NULL, 'Pirin_C_2', NULL, NULL, NULL, 6),
(17990, NULL, 'PF06055', NULL, NULL, 'Exopolysaccharide synthesis, ExoD', NULL, 'ExoD', NULL, NULL, NULL, 6),
(17991, NULL, 'PF11755', NULL, NULL, 'Protein of unknown function (DUF3311)', NULL, 'DUF3311', NULL, NULL, NULL, 6),
(17992, NULL, 'PF19111', NULL, NULL, 'Family of unknown function (DUF5798)', NULL, 'DUF5798', NULL, NULL, NULL, 6),
(17993, NULL, 'PF17584', NULL, NULL, 'Bacillus competence protein S', NULL, 'ComS', NULL, NULL, NULL, 6),
(17994, NULL, 'PF16020', NULL, NULL, 'Deltamethrin resistance', NULL, 'Deltameth_res', NULL, NULL, NULL, 6),
(17995, NULL, 'PF11175', NULL, NULL, 'Protein of unknown function (DUF2961)', NULL, 'DUF2961', NULL, NULL, NULL, 6),
(17996, NULL, 'PF02126', NULL, NULL, 'Phosphotriesterase family', NULL, 'PTE', NULL, NULL, NULL, 6),
(17997, NULL, 'PF15075', NULL, NULL, 'Domain of unknown function (DUF4542)', NULL, 'DUF4542', NULL, NULL, NULL, 6),
(17998, NULL, 'PF10984', NULL, NULL, 'Protein of unknown function (DUF2794)', NULL, 'DUF2794', NULL, NULL, NULL, 6),
(17999, NULL, 'PF05373', NULL, NULL, 'L-proline 3-hydroxylase, C-terminal', NULL, 'Pro_3_hydrox_C', NULL, NULL, NULL, 6),
(18000, NULL, 'PF07978', NULL, NULL, 'NIPSNAP', NULL, 'NIPSNAP', NULL, NULL, NULL, 6),
(18001, NULL, 'PF01678', NULL, NULL, 'Diaminopimelate epimerase', NULL, 'DAP_epimerase', NULL, NULL, NULL, 6),
(18002, NULL, 'PF04102', NULL, NULL, 'SlyX', NULL, 'SlyX', NULL, NULL, NULL, 6),
(18003, NULL, 'PF04439', NULL, NULL, 'Streptomycin adenylyltransferase', NULL, 'Adenyl_transf', NULL, NULL, NULL, 6),
(18004, NULL, 'PF16493', NULL, NULL, 'N-terminal of Homeobox Meis and PKNOX1', NULL, 'Meis_PKNOX_N', NULL, NULL, NULL, 6),
(18005, NULL, 'PF17985', NULL, NULL, 'SipA vinculin binding site', NULL, 'SipA_VBS', NULL, NULL, NULL, 6),
(18006, NULL, 'PF10737', NULL, NULL, 'Spore germination protein GerPC', NULL, 'GerPC', NULL, NULL, NULL, 6),
(18007, NULL, 'PF12761', NULL, NULL, 'Actin cytoskeleton-regulatory complex protein END3', NULL, 'End3', NULL, NULL, NULL, 6),
(18008, NULL, 'PF07818', NULL, NULL, 'HCNGP-like protein', NULL, 'HCNGP', NULL, NULL, NULL, 6),
(18009, NULL, 'PF01283', NULL, NULL, 'Ribosomal protein S26e', NULL, 'Ribosomal_S26e', NULL, NULL, NULL, 6),
(18010, NULL, 'PF00539', NULL, NULL, 'Transactivating regulatory protein (Tat)', NULL, 'Tat', NULL, NULL, NULL, 6),
(18011, NULL, 'PF17625', NULL, NULL, 'Family of unknown function (DUF5509)', NULL, 'DUF5509', NULL, NULL, NULL, 6),
(18012, NULL, 'PF04541', NULL, NULL, 'Herpesvirus virion protein U34', NULL, 'Herpes_U34', NULL, NULL, NULL, 6),
(18013, NULL, 'PF12593', NULL, NULL, 'Microcystin synthetase C terminal', NULL, 'McyA_C', NULL, NULL, NULL, 6),
(18014, NULL, 'PF01794', NULL, NULL, 'Ferric reductase like transmembrane component', NULL, 'Ferric_reduct', NULL, NULL, NULL, 6),
(18015, NULL, 'PF05960', NULL, NULL, 'Bacterial protein of unknown function (DUF885)', NULL, 'DUF885', NULL, NULL, NULL, 6),
(18016, NULL, 'PF07738', NULL, NULL, 'Sad1 / UNC-like C-terminal', NULL, 'Sad1_UNC', NULL, NULL, NULL, 6),
(18017, NULL, 'PF06639', NULL, NULL, 'Basal layer antifungal peptide (BAP)', NULL, 'BAP', NULL, NULL, NULL, 6),
(18018, NULL, 'PF08100', NULL, NULL, 'Dimerisation domain', NULL, 'Dimerisation', NULL, NULL, NULL, 6),
(18019, NULL, 'PF15348', NULL, NULL, 'Gemini of Cajal bodies-associated protein 8', NULL, 'GEMIN8', NULL, NULL, NULL, 6);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18020, NULL, 'PF16744', NULL, NULL, 'KIAA1045 RING finger', NULL, 'Zf_RING', NULL, NULL, NULL, 6),
(18021, NULL, 'PF00057', NULL, NULL, 'Low-density lipoprotein receptor domain class A', NULL, 'Ldl_recept_a', NULL, NULL, NULL, 6),
(18022, NULL, 'PF12636', NULL, NULL, 'Protein of unknown function (DUF3781)', NULL, 'DUF3781', NULL, NULL, NULL, 6),
(18023, NULL, 'PF18320', NULL, NULL, 'Csc2 Crispr', NULL, 'Csc2', NULL, NULL, NULL, 6),
(18024, NULL, 'PF15976', NULL, NULL, 'CS1-pili formation C-terminal', NULL, 'CooC_C', NULL, NULL, NULL, 6),
(18025, NULL, 'PF18980', NULL, NULL, 'Family of unknown function (DUF5716) C-terminal', NULL, 'DUF5716_C', NULL, NULL, NULL, 6),
(18026, NULL, 'PF03646', NULL, NULL, 'FlaG protein', NULL, 'FlaG', NULL, NULL, NULL, 6),
(18027, NULL, 'PF09240', NULL, NULL, 'Interleukin-6 receptor alpha chain, binding', NULL, 'IL6Ra-bind', NULL, NULL, NULL, 6),
(18028, NULL, 'PF17224', NULL, NULL, 'Domain of unknown function (DUF5300)', NULL, 'DUF5300', NULL, NULL, NULL, 6),
(18029, NULL, 'PF04381', NULL, NULL, 'Putative exonuclease, RdgC', NULL, 'RdgC', NULL, NULL, NULL, 6),
(18030, NULL, 'PF08252', NULL, NULL, 'arg-2/CPA1 leader peptide', NULL, 'Leader_CPA1', NULL, NULL, NULL, 6),
(18031, NULL, 'PF10954', NULL, NULL, 'Protein of unknown function (DUF2755)', NULL, 'DUF2755', NULL, NULL, NULL, 6),
(18032, NULL, 'PF13557', NULL, NULL, 'Putative MetA-pathway of phenol degradation', NULL, 'Phenol_MetA_deg', NULL, NULL, NULL, 6),
(18033, NULL, 'PF17845', NULL, NULL, 'FbpC C-terminal regulatory nucleotide binding domain', NULL, 'FbpC_C_terminal', NULL, NULL, NULL, 6),
(18034, NULL, 'PF03537', NULL, NULL, 'Glycoside-hydrolase family GH114', NULL, 'Glyco_hydro_114', NULL, NULL, NULL, 6),
(18035, NULL, 'PF02992', NULL, NULL, 'Transposase family tnp2', NULL, 'Transposase_21', NULL, NULL, NULL, 6),
(18036, NULL, 'PF04016', NULL, NULL, 'Putative heavy-metal chelation', NULL, 'DUF364', NULL, NULL, NULL, 6),
(18037, NULL, 'PF11107', NULL, NULL, 'Fanconi anemia group F protein (FANCF)', NULL, 'FANCF', NULL, NULL, NULL, 6),
(18038, NULL, 'PF04296', NULL, NULL, 'Protein of unknown function (DUF448)', NULL, 'YlxR', NULL, NULL, NULL, 6),
(18039, NULL, 'PF16131', NULL, NULL, 'Torus domain', NULL, 'Torus', NULL, NULL, NULL, 6),
(18040, NULL, 'PF18262', NULL, NULL, 'Phe-tRNA synthetase beta subunit B1 domain', NULL, 'PhetRS_B1', NULL, NULL, NULL, 6),
(18041, NULL, 'PF06230', NULL, NULL, 'LpxI C-terminal domain', NULL, 'LpxI_C', NULL, NULL, NULL, 6),
(18042, NULL, 'PF03550', NULL, NULL, 'Outer membrane lipoprotein LolB', NULL, 'LolB', NULL, NULL, NULL, 6),
(18043, NULL, 'PF08865', NULL, NULL, 'Domain of unknown function (DUF1830)', NULL, 'DUF1830', NULL, NULL, NULL, 6),
(18044, NULL, 'PF16286', NULL, NULL, 'Domain of unknown function (DUF4932)', NULL, 'DUF4932', NULL, NULL, NULL, 6),
(18045, NULL, 'PF00171', NULL, NULL, 'Aldehyde dehydrogenase family', NULL, 'Aldedh', NULL, NULL, NULL, 6),
(18046, NULL, 'PF06351', NULL, NULL, 'Allene oxide cyclase', NULL, 'Allene_ox_cyc', NULL, NULL, NULL, 6),
(18047, NULL, 'PF15021', NULL, NULL, 'Protein of unknown function (DUF4521)', NULL, 'DUF4521', NULL, NULL, NULL, 6),
(18048, NULL, 'PF10925', NULL, NULL, 'Protein of unknown function (DUF2680)', NULL, 'DUF2680', NULL, NULL, NULL, 6),
(18049, NULL, 'PF05184', NULL, NULL, 'Saposin-like type B, region 1', NULL, 'SapB_1', NULL, NULL, NULL, 6),
(18050, NULL, 'PF00180', NULL, NULL, 'Isocitrate/isopropylmalate dehydrogenase', NULL, 'Iso_dh', NULL, NULL, NULL, 6),
(18051, NULL, 'PF16807', NULL, NULL, 'Domain of unknown function (DUF5072)', NULL, 'DUF5072', NULL, NULL, NULL, 6),
(18052, NULL, 'PF05167', NULL, NULL, 'Uncharacterised ACR (DUF711)', NULL, 'DUF711', NULL, NULL, NULL, 6),
(18053, NULL, 'PF09220', NULL, NULL, 'L-A virus, major coat protein', NULL, 'LA-virus_coat', NULL, NULL, NULL, 6),
(18054, NULL, 'PF01990', NULL, NULL, 'ATP synthase (F/14-kDa) subunit', NULL, 'ATP-synt_F', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18055, NULL, 'PF08429', NULL, NULL, 'PLU-1-like protein', NULL, 'PLU-1', NULL, NULL, NULL, 6),
(18056, NULL, 'PF11952', NULL, NULL, 'XRN-Two Binding Domain, XTBD', NULL, 'XTBD', NULL, NULL, NULL, 6),
(18057, NULL, 'PF04451', NULL, NULL, 'Large eukaryotic DNA virus major capsid protein', NULL, 'Capsid_NCLDV', NULL, NULL, NULL, 6),
(18058, NULL, 'PF08021', NULL, NULL, 'Siderophore-interacting FAD-binding domain', NULL, 'FAD_binding_9', NULL, NULL, NULL, 6),
(18059, NULL, 'PF03443', NULL, NULL, 'Glycosyl hydrolase family 61', NULL, 'Glyco_hydro_61', NULL, NULL, NULL, 6),
(18060, NULL, 'PF03980', NULL, NULL, 'Nnf1', NULL, 'Nnf1', NULL, NULL, NULL, 6),
(18061, NULL, 'PF03057', NULL, NULL, 'DUF236 repeat', NULL, 'DUF236', NULL, NULL, NULL, 6),
(18062, NULL, 'PF18442', NULL, NULL, 'E3 gp78 Ube2g2-binding region (G2BR)', NULL, 'G2BR', NULL, NULL, NULL, 6),
(18063, NULL, 'PF15546', NULL, NULL, 'Domain of unknown function (DUF4653)', NULL, 'DUF4653', NULL, NULL, NULL, 6),
(18064, NULL, 'PF08979', NULL, NULL, 'Domain of unknown function (DUF1894)', NULL, 'DUF1894', NULL, NULL, NULL, 6),
(18065, NULL, 'PF02760', NULL, NULL, 'HIN-200/IF120x domain', NULL, 'HIN', NULL, NULL, NULL, 6),
(18066, NULL, 'PF11551', NULL, NULL, 'Outer membrane protein Omp28', NULL, 'Omp28', NULL, NULL, NULL, 6),
(18067, NULL, 'PF13909', NULL, NULL, 'C2H2-type zinc-finger domain', NULL, 'zf-H2C2_5', NULL, NULL, NULL, 6),
(18068, NULL, 'PF15675', NULL, NULL, 'CLLAC-motif containing domain', NULL, 'CLLAC', NULL, NULL, NULL, 6),
(18069, NULL, 'PF02499', NULL, NULL, 'Probable DNA packing protein, C-terminus', NULL, 'DNA_pack_C', NULL, NULL, NULL, 6),
(18070, NULL, 'PF15739', NULL, NULL, 'Translin-associated factor X-interacting N-terminus', NULL, 'TSNAXIP1_N', NULL, NULL, NULL, 6),
(18071, NULL, 'PF18395', NULL, NULL, 'Cas3 C-terminal domain', NULL, 'Cas3_C', NULL, NULL, NULL, 6),
(18072, NULL, 'PF05575', NULL, NULL, 'Vibrio cholerae RfbT protein', NULL, 'V_cholerae_RfbT', NULL, NULL, NULL, 6),
(18073, NULL, 'PF00535', NULL, NULL, 'Glycosyl transferase family 2', NULL, 'Glycos_transf_2', NULL, NULL, NULL, 6),
(18074, NULL, 'PF06747', NULL, NULL, 'CHCH domain', NULL, 'CHCH', NULL, NULL, NULL, 6),
(18075, NULL, 'PF00906', NULL, NULL, 'Hepatitis core antigen', NULL, 'Hepatitis_core', NULL, NULL, NULL, 6),
(18076, NULL, 'PF13063', NULL, NULL, 'Protein of unknown function (DUF3925)', NULL, 'DUF3925', NULL, NULL, NULL, 6),
(18077, NULL, 'PF04161', NULL, NULL, 'Arv1-like family', NULL, 'Arv1', NULL, NULL, NULL, 6),
(18078, NULL, 'PF06628', NULL, NULL, 'Catalase-related immune-responsive', NULL, 'Catalase-rel', NULL, NULL, NULL, 6),
(18079, NULL, 'PF07799', NULL, NULL, 'Protein of unknown function (DUF1643)', NULL, 'DUF1643', NULL, NULL, NULL, 6),
(18080, NULL, 'PF17589', NULL, NULL, 'Family of unknown function (DUF5487)', NULL, 'DUF5487', NULL, NULL, NULL, 6),
(18081, NULL, 'PF04744', NULL, NULL, 'Monooxygenase subunit B protein', NULL, 'Monooxygenase_B', NULL, NULL, NULL, 6),
(18082, NULL, 'PF00228', NULL, NULL, 'Bowman-Birk serine protease inhibitor family', NULL, 'Bowman-Birk_leg', NULL, NULL, NULL, 6),
(18083, NULL, 'PF04738', NULL, NULL, 'Lantibiotic dehydratase, N terminus', NULL, 'Lant_dehydr_N', NULL, NULL, NULL, 6),
(18084, NULL, 'PF15122', NULL, NULL, 'TMEM206 protein family', NULL, 'TMEM206', NULL, NULL, NULL, 6),
(18085, NULL, 'PF02955', NULL, NULL, 'Prokaryotic glutathione synthetase, ATP-grasp domain', NULL, 'GSH-S_ATP', NULL, NULL, NULL, 6),
(18086, NULL, 'PF08562', NULL, NULL, 'Crisp', NULL, 'Crisp', NULL, NULL, NULL, 6),
(18087, NULL, 'PF06239', NULL, NULL, 'Evolutionarily conserved signalling intermediate in Toll pathway', NULL, 'ECSIT', NULL, NULL, NULL, 6),
(18088, NULL, 'PF01200', NULL, NULL, 'Ribosomal protein S28e', NULL, 'Ribosomal_S28e', NULL, NULL, NULL, 6),
(18089, NULL, 'PF17223', NULL, NULL, 'Cuticle protein CPCFC', NULL, 'CPCFC', NULL, NULL, NULL, 6);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18090, NULL, 'PF00793', NULL, NULL, 'DAHP synthetase I family', NULL, 'DAHP_synth_1', NULL, NULL, NULL, 6),
(18091, NULL, 'PF18177', NULL, NULL, 'La HTH in kinetoplastid DICER domain', NULL, 'La_HTH_kDCL', NULL, NULL, NULL, 6),
(18092, NULL, 'PF15306', NULL, NULL, 'LIN37', NULL, 'LIN37', NULL, NULL, NULL, 6),
(18093, NULL, 'PF04089', NULL, NULL, 'BRICHOS domain', NULL, 'BRICHOS', NULL, NULL, NULL, 6),
(18094, NULL, 'PF00856', NULL, NULL, 'SET domain', NULL, 'SET', NULL, NULL, NULL, 6),
(18095, NULL, 'PF10416', NULL, NULL, 'Transcription-initiator DNA-binding domain IBD', NULL, 'IBD', NULL, NULL, NULL, 6),
(18096, NULL, 'PF00619', NULL, NULL, 'Caspase recruitment domain', NULL, 'CARD', NULL, NULL, NULL, 6),
(18097, NULL, 'PF02386', NULL, NULL, 'Cation transport protein', NULL, 'TrkH', NULL, NULL, NULL, 6),
(18098, NULL, 'PF12844', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_19', NULL, NULL, NULL, 6),
(18099, NULL, 'PF05292', NULL, NULL, 'Malonyl-CoA decarboxylase C-terminal domain', NULL, 'MCD', NULL, NULL, NULL, 6),
(18100, NULL, 'PF15029', NULL, NULL, 'Transmembrane protein 174', NULL, 'TMEM174', NULL, NULL, NULL, 6),
(18101, NULL, 'PF03618', NULL, NULL, 'Kinase/pyrophosphorylase', NULL, 'Kinase-PPPase', NULL, NULL, NULL, 6),
(18102, NULL, 'PF16776', NULL, NULL, 'Type II inositol 1,4,5-trisphosphate 5-phosphatase PH domain', NULL, 'INPP5B_PH', NULL, NULL, NULL, 6),
(18103, NULL, 'PF09159', NULL, NULL, 'Mitochondrial resolvase Ydc2 / RNA splicing MRS1', NULL, 'Ydc2-catalyt', NULL, NULL, NULL, 6),
(18104, NULL, 'PF09754', NULL, NULL, 'PAC2 family', NULL, 'PAC2', NULL, NULL, NULL, 6),
(18105, NULL, 'PF15066', NULL, NULL, 'Cancer-associated gene protein 1 family', NULL, 'CAGE1', NULL, NULL, NULL, 6),
(18106, NULL, 'PF12271', NULL, NULL, 'Chitin synthase export chaperone', NULL, 'Chs7', NULL, NULL, NULL, 6),
(18107, NULL, 'PF07650', NULL, NULL, 'KH domain', NULL, 'KH_2', NULL, NULL, NULL, 6),
(18108, NULL, 'PF19168', NULL, NULL, 'Family of unknown function (DUF5850)', NULL, 'DUF5850', NULL, NULL, NULL, 6),
(18109, NULL, 'PF18726', NULL, NULL, 'SAV_6107-like HEPN', NULL, 'HEPN_SAV_6107', NULL, NULL, NULL, 6),
(18110, NULL, 'PF03447', NULL, NULL, 'Homoserine dehydrogenase, NAD binding domain', NULL, 'NAD_binding_3', NULL, NULL, NULL, 6),
(18111, NULL, 'PF16232', NULL, NULL, 'Domain of unknown function (DUF4891)', NULL, 'DUF4891', NULL, NULL, NULL, 6),
(18112, NULL, 'PF18545', NULL, NULL, 'Halobacterial output domain 1', NULL, 'HalOD1', NULL, NULL, NULL, 6),
(18113, NULL, 'PF01011', NULL, NULL, 'PQQ enzyme repeat', NULL, 'PQQ', NULL, NULL, NULL, 6),
(18114, NULL, 'PF07119', NULL, NULL, 'Protein of unknown function (DUF1375)', NULL, 'DUF1375', NULL, NULL, NULL, 6),
(18115, NULL, 'PF07562', NULL, NULL, 'Nine Cysteines Domain of family 3 GPCR', NULL, 'NCD3G', NULL, NULL, NULL, 6),
(18116, NULL, 'PF01411', NULL, NULL, 'tRNA synthetases class II (A)', NULL, 'tRNA-synt_2c', NULL, NULL, NULL, 6),
(18117, NULL, 'PF16346', NULL, NULL, 'Domain of unknown function (DUF4975)', NULL, 'DUF4975', NULL, NULL, NULL, 6),
(18118, NULL, 'PF13407', NULL, NULL, 'Periplasmic binding protein domain', NULL, 'Peripla_BP_4', NULL, NULL, NULL, 6),
(18119, NULL, 'PF02367', NULL, NULL, 'Threonylcarbamoyl adenosine biosynthesis protein TsaE', NULL, 'TsaE', NULL, NULL, NULL, 6),
(18120, NULL, 'PF05455', NULL, NULL, 'GvpH', NULL, 'GvpH', NULL, NULL, NULL, 6),
(18121, NULL, 'PF15526', NULL, NULL, 'Novel toxin 21', NULL, 'Ntox21', NULL, NULL, NULL, 6),
(18122, NULL, 'PF02830', NULL, NULL, 'V4R domain', NULL, 'V4R', NULL, NULL, NULL, 6),
(18123, NULL, 'PF02964', NULL, NULL, 'Methane monooxygenase, hydrolase gamma chain', NULL, 'MeMO_Hyd_G', NULL, NULL, NULL, 6),
(18124, NULL, 'PF15623', NULL, NULL, 'Cancer/testis gene family 47', NULL, 'CT47', NULL, NULL, NULL, 6),
(18125, NULL, 'PF13341', NULL, NULL, 'RAG2 PHD domain', NULL, 'RAG2_PHD', NULL, NULL, NULL, 6),
(18126, NULL, 'PF11424', NULL, NULL, 'Protein of unknown function (DUF3195)', NULL, 'DUF3195', NULL, NULL, NULL, 6);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18127, NULL, 'PF18540', NULL, NULL, 'Domain of unknown function (DUF5626)', NULL, 'DUF5626', NULL, NULL, NULL, 6),
(18128, NULL, 'PF18728', NULL, NULL, 'AbiV', NULL, 'HEPN_AbiV', NULL, NULL, NULL, 6),
(18129, NULL, 'PF09611', NULL, NULL, 'CRISPR-associated protein (Cas_Csy1)', NULL, 'Cas_Csy1', NULL, NULL, NULL, 6),
(18130, NULL, 'PF05095', NULL, NULL, 'Protein of unknown function (DUF687)', NULL, 'DUF687', NULL, NULL, NULL, 6),
(18131, NULL, 'PF16791', NULL, NULL, 'Connexin 40 C-terminal domain', NULL, 'Connexin40_C', NULL, NULL, NULL, 6),
(18132, NULL, 'PF09453', NULL, NULL, 'HIRA B motif', NULL, 'HIRA_B', NULL, NULL, NULL, 6),
(18133, NULL, 'PF02246', NULL, NULL, 'Protein L b1 domain', NULL, 'B1', NULL, NULL, NULL, 6),
(18134, NULL, 'PF01204', NULL, NULL, 'Trehalase', NULL, 'Trehalase', NULL, NULL, NULL, 6),
(18135, NULL, 'PF03987', NULL, NULL, 'Autophagocytosis associated protein, active-site domain', NULL, 'Autophagy_act_C', NULL, NULL, NULL, 6),
(18136, NULL, 'PF14247', NULL, NULL, 'Putative metallopeptidase', NULL, 'DUF4344', NULL, NULL, NULL, 6),
(18137, NULL, 'PF05637', NULL, NULL, 'galactosyl transferase GMA12/MNN10 family', NULL, 'Glyco_transf_34', NULL, NULL, NULL, 6),
(18138, NULL, 'PF14293', NULL, NULL, 'YWFCY protein', NULL, 'YWFCY', NULL, NULL, NULL, 6),
(18139, NULL, 'PF03362', NULL, NULL, 'Herpesvirus UL47 protein', NULL, 'Herpes_UL47', NULL, NULL, NULL, 6),
(18140, NULL, 'PF16754', NULL, NULL, 'Bacterial toxin homologue of phage lysozyme, C-term', NULL, 'Pesticin', NULL, NULL, NULL, 6),
(18141, NULL, 'PF06093', NULL, NULL, 'Spt4/RpoE2 zinc finger', NULL, 'Spt4', NULL, NULL, NULL, 6),
(18142, NULL, 'PF04300', NULL, NULL, 'F-box associated region', NULL, 'FBA', NULL, NULL, NULL, 6),
(18143, NULL, 'PF03617', NULL, NULL, 'IBV 3A protein', NULL, 'IBV_3A', NULL, NULL, NULL, 6),
(18144, NULL, 'PF10753', NULL, NULL, 'Toxin GhoT_OrtT', NULL, 'Toxin_GhoT_OrtT', NULL, NULL, NULL, 6),
(18145, NULL, 'PF15241', NULL, NULL, 'Cylicin N-terminus', NULL, 'Cylicin_N', NULL, NULL, NULL, 6),
(18146, NULL, 'PF07852', NULL, NULL, 'Protein of unknown function (DUF1642)', NULL, 'DUF1642', NULL, NULL, NULL, 6),
(18147, NULL, 'PF13513', NULL, NULL, 'HEAT-like repeat', NULL, 'HEAT_EZ', NULL, NULL, NULL, 6),
(18148, NULL, 'PF12885', NULL, NULL, 'Transducer of regulated CREB activity middle domain', NULL, 'TORC_M', NULL, NULL, NULL, 6),
(18149, NULL, 'PF11642', NULL, NULL, 'Mite allergen Blo t 5', NULL, 'Blo-t-5', NULL, NULL, NULL, 6),
(18150, NULL, 'PF10418', NULL, NULL, 'Iron-sulfur cluster binding domain of dihydroorotate dehydrogenase B', NULL, 'DHODB_Fe-S_bind', NULL, NULL, NULL, 6),
(18151, NULL, 'PF11532', NULL, NULL, 'Heterogeneous nuclear ribonucleoprotein M', NULL, 'HnRNP_M', NULL, NULL, NULL, 6),
(18152, NULL, 'PF09724', NULL, NULL, 'Sister chromatid cohesion protein Dcc1', NULL, 'Dcc1', NULL, NULL, NULL, 6),
(18153, NULL, 'PF10660', NULL, NULL, 'Iron-containing outer mitochondrial membrane protein N-terminus', NULL, 'MitoNEET_N', NULL, NULL, NULL, 6),
(18154, NULL, 'PF00666', NULL, NULL, 'Cathelicidin', NULL, 'Cathelicidins', NULL, NULL, NULL, 6),
(18155, NULL, 'PF10378', NULL, NULL, 'Putative RRM domain', NULL, 'RRM', NULL, NULL, NULL, 6),
(18156, NULL, 'PF00384', NULL, NULL, 'Molybdopterin oxidoreductase', NULL, 'Molybdopterin', NULL, NULL, NULL, 6),
(18157, NULL, 'PF13118', NULL, NULL, 'Protein of unknown function (DUF3972)', NULL, 'DUF3972', NULL, NULL, NULL, 6),
(18158, NULL, 'PF17616', NULL, NULL, 'Viral unique short region 6', NULL, 'US6', NULL, NULL, NULL, 6),
(18159, NULL, 'PF04912', NULL, NULL, 'Dynamitin', NULL, 'Dynamitin', NULL, NULL, NULL, 6),
(18160, NULL, 'PF01641', NULL, NULL, 'SelR domain', NULL, 'SelR', NULL, NULL, NULL, 6),
(18161, NULL, 'PF07040', NULL, NULL, 'Protein of unknown function (DUF1326)', NULL, 'DUF1326', NULL, NULL, NULL, 6),
(18162, NULL, 'PF04880', NULL, NULL, 'NUDE protein, C-terminal conserved region', NULL, 'NUDE_C', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18163, NULL, 'PF15732', NULL, NULL, 'Domain of unknown function (DUF4681)', NULL, 'DUF4681', NULL, NULL, NULL, 6),
(18164, NULL, 'PF18459', NULL, NULL, 'Proprotein convertase subtilisin-like/kexin type 9 C-terminal domain', NULL, 'PCSK9_C1', NULL, NULL, NULL, 6),
(18165, NULL, 'PF08907', NULL, NULL, 'Domain of unknown function (DUF1853)', NULL, 'DUF1853', NULL, NULL, NULL, 6),
(18166, NULL, 'PF17575', NULL, NULL, 'Family of unknown function (DUF5479)', NULL, 'DUF5479', NULL, NULL, NULL, 6),
(18167, NULL, 'PF10723', NULL, NULL, 'Replication regulatory protein RepB', NULL, 'RepB-RCR_reg', NULL, NULL, NULL, 6),
(18168, NULL, 'PF18523', NULL, NULL, 'Sld3 N-terminal domain', NULL, 'Sld3_N', NULL, NULL, NULL, 6),
(18169, NULL, 'PF15916', NULL, NULL, 'Domain of unknown function (DUF4743)', NULL, 'DUF4743', NULL, NULL, NULL, 6),
(18170, NULL, 'PF04325', NULL, NULL, 'Protein of unknown function (DUF465)', NULL, 'DUF465', NULL, NULL, NULL, 6),
(18171, NULL, 'PF11309', NULL, NULL, 'Protein of unknown function (DUF3112)', NULL, 'DUF3112', NULL, NULL, NULL, 6),
(18172, NULL, 'PF04237', NULL, NULL, 'YjbR', NULL, 'YjbR', NULL, NULL, NULL, 6),
(18173, NULL, 'PF09963', NULL, NULL, 'Uncharacterized protein conserved in bacteria (DUF2197)', NULL, 'DUF2197', NULL, NULL, NULL, 6),
(18174, NULL, 'PF14572', NULL, NULL, 'Phosphoribosyl synthetase-associated domain', NULL, 'Pribosyl_synth', NULL, NULL, NULL, 6),
(18175, NULL, 'PF02497', NULL, NULL, 'Arterivirus glycoprotein', NULL, 'Arteri_GP4', NULL, NULL, NULL, 6),
(18176, NULL, 'PF04379', NULL, NULL, 'ApaG domain', NULL, 'DUF525', NULL, NULL, NULL, 6),
(18177, NULL, 'PF13275', NULL, NULL, 'S4 domain', NULL, 'S4_2', NULL, NULL, NULL, 6),
(18178, NULL, 'PF16964', NULL, NULL, 'Putative tight adherence pilin protein F', NULL, 'TadF', NULL, NULL, NULL, 6),
(18179, NULL, 'PF08544', NULL, NULL, 'GHMP kinases C terminal', NULL, 'GHMP_kinases_C', NULL, NULL, NULL, 6),
(18180, NULL, 'PF07188', NULL, NULL, 'Kaposi''s sarcoma-associated herpesvirus (KSHV) K8 protein', NULL, 'KSHV_K8', NULL, NULL, NULL, 6),
(18181, NULL, 'PF02515', NULL, NULL, 'CoA-transferase family III', NULL, 'CoA_transf_3', NULL, NULL, NULL, 6),
(18182, NULL, 'PF03178', NULL, NULL, 'CPSF A subunit region', NULL, 'CPSF_A', NULL, NULL, NULL, 6),
(18183, NULL, 'PF14817', NULL, NULL, 'HAUS augmin-like complex subunit 5', NULL, 'HAUS5', NULL, NULL, NULL, 6),
(18184, NULL, 'PF00786', NULL, NULL, 'P21-Rho-binding domain', NULL, 'PBD', NULL, NULL, NULL, 6),
(18185, NULL, 'PF18989', NULL, NULL, 'Family of unknown function (DUF5722)', NULL, 'DUF5722', NULL, NULL, NULL, 6),
(18186, NULL, 'PF04749', NULL, NULL, 'PLAC8 family', NULL, 'PLAC8', NULL, NULL, NULL, 6),
(18187, NULL, 'PF14690', NULL, NULL, 'zinc-finger of transposase IS204/IS1001/IS1096/IS1165', NULL, 'zf-ISL3', NULL, NULL, NULL, 6),
(18188, NULL, 'PF15314', NULL, NULL, 'Proline-rich acidic protein 1, pregnancy-specific uterine', NULL, 'PRAP', NULL, NULL, NULL, 6),
(18189, NULL, 'PF09663', NULL, NULL, 'Amidohydrolase ring-opening protein (Amido_AtzD_TrzD)', NULL, 'Amido_AtzD_TrzD', NULL, NULL, NULL, 6),
(18190, NULL, 'PF11634', NULL, NULL, 'Nuclease inhibitor from bacteriophage T4', NULL, 'IPI_T4', NULL, NULL, NULL, 6),
(18191, NULL, 'PF00277', NULL, NULL, 'Serum amyloid A protein', NULL, 'SAA', NULL, NULL, NULL, 6),
(18192, NULL, 'PF13518', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_28', NULL, NULL, NULL, 6),
(18193, NULL, 'PF11604', NULL, NULL, 'Copper binding periplasmic protein CusF', NULL, 'CusF_Ec', NULL, NULL, NULL, 6),
(18194, NULL, 'PF00636', NULL, NULL, 'Ribonuclease III domain', NULL, 'Ribonuclease_3', NULL, NULL, NULL, 6),
(18195, NULL, 'PF05358', NULL, NULL, 'DicB protein', NULL, 'DicB', NULL, NULL, NULL, 6),
(18196, NULL, 'PF15117', NULL, NULL, 'Uncharacterised protein family UPF0697', NULL, 'UPF0697', NULL, NULL, NULL, 6),
(18197, NULL, 'PF17833', NULL, NULL, 'UPF0113 Pre-PUA domain', NULL, 'UPF0113_N', NULL, NULL, NULL, 6);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18198, NULL, 'PF15662', NULL, NULL, 'Spermatogenesis-associated protein 3 family', NULL, 'SPATA3', NULL, NULL, NULL, 6),
(18199, NULL, 'PF17080', NULL, NULL, 'Multidrug Resistance efflux pump', NULL, 'SepA', NULL, NULL, NULL, 6),
(18200, NULL, 'PF17380', NULL, NULL, 'Family of unknown function (DUF5401)', NULL, 'DUF5401', NULL, NULL, NULL, 6),
(18201, NULL, 'PF08087', NULL, NULL, 'Conotoxin O-superfamily', NULL, 'Toxin_18', NULL, NULL, NULL, 6),
(18202, NULL, 'PF14081', NULL, NULL, 'Domain of unknown function (DUF4262)', NULL, 'DUF4262', NULL, NULL, NULL, 6),
(18203, NULL, 'PF01812', NULL, NULL, '5-formyltetrahydrofolate cyclo-ligase family', NULL, '5-FTHF_cyc-lig', NULL, NULL, NULL, 6),
(18204, NULL, 'PF16064', NULL, NULL, 'Domain of unknown function (DUF4806)', NULL, 'DUF4806', NULL, NULL, NULL, 6),
(18205, NULL, 'PF08622', NULL, NULL, 'Svf1-like N-terminal lipocalin domain', NULL, 'Svf1', NULL, NULL, NULL, 6),
(18206, NULL, 'PF00637', NULL, NULL, 'Region in Clathrin and VPS', NULL, 'Clathrin', NULL, NULL, NULL, 6),
(18207, NULL, 'PF13154', NULL, NULL, 'Protein of unknown function (DUF3991)', NULL, 'DUF3991', NULL, NULL, NULL, 6),
(18208, NULL, 'PF17653', NULL, NULL, 'Family of unknown function (DUF5522)', NULL, 'DUF5522', NULL, NULL, NULL, 6),
(18209, NULL, 'PF07883', NULL, NULL, 'Cupin domain', NULL, 'Cupin_2', NULL, NULL, NULL, 6),
(18210, NULL, 'PF07105', NULL, NULL, 'Protein of unknown function (DUF1367)', NULL, 'DUF1367', NULL, NULL, NULL, 6),
(18211, NULL, 'PF15778', NULL, NULL, 'Cation channel complex component UNC80', NULL, 'UNC80', NULL, NULL, NULL, 6),
(18212, NULL, 'PF05020', NULL, NULL, 'NPL4 family, putative zinc binding region', NULL, 'zf-NPL4', NULL, NULL, NULL, 6),
(18213, NULL, 'PF04955', NULL, NULL, 'HupE / UreJ protein', NULL, 'HupE_UreJ', NULL, NULL, NULL, 6),
(18214, NULL, 'PF11651', NULL, NULL, 'P22 coat protein - gene protein 5', NULL, 'P22_CoatProtein', NULL, NULL, NULL, 6),
(18215, NULL, 'PF04261', NULL, NULL, 'Dyp-type peroxidase family', NULL, 'Dyp_perox', NULL, NULL, NULL, 6),
(18216, NULL, 'PF04178', NULL, NULL, 'Got1/Sft2-like family', NULL, 'Got1', NULL, NULL, NULL, 6),
(18217, NULL, 'PF17890', NULL, NULL, 'Peptidoglycan hydrolase LytB WW-like domain', NULL, 'WW_like', NULL, NULL, NULL, 6),
(18218, NULL, 'PF17164', NULL, NULL, 'Domain of unknown function (DUF5122) beta-propeller', NULL, 'DUF5122', NULL, NULL, NULL, 6),
(18219, NULL, 'PF06580', NULL, NULL, 'Histidine kinase', NULL, 'His_kinase', NULL, NULL, NULL, 6),
(18220, NULL, 'PF16668', NULL, NULL, 'Adhesin from Campylobacter', NULL, 'JLPA', NULL, NULL, NULL, 6),
(18221, NULL, 'PF02341', NULL, NULL, 'RbcX protein', NULL, 'RcbX', NULL, NULL, NULL, 6),
(18222, NULL, 'PF17379', NULL, NULL, 'Family of unknown function (DUF5400)', NULL, 'DUF5400', NULL, NULL, NULL, 6),
(18223, NULL, 'PF11636', NULL, NULL, 'Troponin I residues 1-32', NULL, 'Troponin-I_N', NULL, NULL, NULL, 6),
(18224, NULL, 'PF03300', NULL, NULL, 'Tenuivirus non-structural, movement protein NS4', NULL, 'Tenui_NS4', NULL, NULL, NULL, 6),
(18225, NULL, 'PF06445', NULL, NULL, 'GyrI-like small molecule binding domain', NULL, 'GyrI-like', NULL, NULL, NULL, 6),
(18226, NULL, 'PF15190', NULL, NULL, 'Transmembrane protein 251', NULL, 'TMEM251', NULL, NULL, NULL, 6),
(18227, NULL, 'PF08689', NULL, NULL, 'Mediator complex subunit Med5', NULL, 'Med5', NULL, NULL, NULL, 6),
(18228, NULL, 'PF10000', NULL, NULL, 'ACT domain', NULL, 'ACT_3', NULL, NULL, NULL, 6),
(18229, NULL, 'PF11901', NULL, NULL, 'Protein of unknown function (DUF3421)', NULL, 'DUF3421', NULL, NULL, NULL, 6),
(18230, NULL, 'PF11601', NULL, NULL, 'Shal-type voltage-gated potassium channels, N-terminal', NULL, 'Shal-type', NULL, NULL, NULL, 6),
(18231, NULL, 'PF07957', NULL, NULL, 'Protein of unknown function (DUF3294)', NULL, 'DUF3294', NULL, NULL, NULL, 6),
(18232, NULL, 'PF02747', NULL, NULL, 'Proliferating cell nuclear antigen, C-terminal domain', NULL, 'PCNA_C', NULL, NULL, NULL, 6); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18233, NULL, 'PF04236', NULL, NULL, 'Tc5 transposase C-terminal domain', NULL, 'Transp_Tc5_C', NULL, NULL, NULL, 6),
(18234, NULL, 'PF05963', NULL, NULL, 'Cytomegalovirus US3 protein', NULL, 'Cytomega_US3', NULL, NULL, NULL, 6),
(18235, NULL, 'PF02960', NULL, NULL, 'K1 glycoprotein', NULL, 'K1', NULL, NULL, NULL, 6),
(18236, NULL, 'PF05217', NULL, NULL, 'STOP protein', NULL, 'STOP', NULL, NULL, NULL, 6),
(18237, NULL, 'PF00032', NULL, NULL, 'Cytochrome b(C-terminal)/b6/petD', NULL, 'Cytochrom_B_C', NULL, NULL, NULL, 6),
(18238, NULL, 'PF07561', NULL, NULL, 'Domain of Unknown Function (DUF1540)', NULL, 'DUF1540', NULL, NULL, NULL, 6),
(18239, NULL, 'PF07009', NULL, NULL, 'NusG domain II', NULL, 'NusG_II', NULL, NULL, NULL, 6),
(18240, NULL, 'PF12357', NULL, NULL, 'Phospholipase D C terminal', NULL, 'PLD_C', NULL, NULL, NULL, 6),
(18241, NULL, 'PF01014', NULL, NULL, 'Uricase', NULL, 'Uricase', NULL, NULL, NULL, 6),
(18242, NULL, 'PF09593', NULL, NULL, 'Beta-satellite pathogenicity beta C1 protein', NULL, 'Pathogen_betaC1', NULL, NULL, NULL, 6),
(18243, NULL, 'PF02657', NULL, NULL, 'Fe-S metabolism associated domain', NULL, 'SufE', NULL, NULL, NULL, 6),
(18244, NULL, 'PF05731', NULL, NULL, 'TROVE domain', NULL, 'TROVE', NULL, NULL, NULL, 6),
(18245, NULL, 'PF10316', NULL, NULL, 'Serpentine type 7TM GPCR chemoreceptor Srbc', NULL, '7TM_GPCR_Srbc', NULL, NULL, NULL, 6),
(18246, NULL, 'PF18825', NULL, NULL, 'Large polyvalent protein-associated domain 13', NULL, 'LPD13', NULL, NULL, NULL, 6),
(18247, NULL, 'PF05456', NULL, NULL, 'Eukaryotic translation initiation factor 4E binding protein (EIF4EBP)', NULL, 'eIF_4EBP', NULL, NULL, NULL, 6),
(18248, NULL, 'PF15632', NULL, NULL, 'ATP-grasp in the biosynthetic pathway with Ter operon', NULL, 'ATPgrasp_Ter', NULL, NULL, NULL, 6),
(18249, NULL, 'PF08535', NULL, NULL, 'KorB domain', NULL, 'KorB', NULL, NULL, NULL, 6),
(18250, NULL, 'PF18350', NULL, NULL, 'Restriction endonuclease SH3 domain', NULL, 'SH3_17', NULL, NULL, NULL, 6),
(18251, NULL, 'PF07472', NULL, NULL, 'Fucose-binding lectin II (PA-IIL)', NULL, 'PA-IIL', NULL, NULL, NULL, 6),
(18252, NULL, 'PF04989', NULL, NULL, 'Cephalosporin hydroxylase', NULL, 'CmcI', NULL, NULL, NULL, 6),
(18253, NULL, 'PF18947', NULL, NULL, 'HAMP domain', NULL, 'HAMP_2', NULL, NULL, NULL, 6),
(18254, NULL, 'PF01823', NULL, NULL, 'MAC/Perforin domain', NULL, 'MACPF', NULL, NULL, NULL, 6),
(18255, NULL, 'PF17848', NULL, NULL, 'Acetyl-coA carboxylase zinc finger domain', NULL, 'zf-ACC', NULL, NULL, NULL, 6),
(18256, NULL, 'PF01750', NULL, NULL, 'Hydrogenase maturation protease', NULL, 'HycI', NULL, NULL, NULL, 6),
(18257, NULL, 'PF19010', NULL, NULL, 'Family of unknown function (DUF5739)', NULL, 'DUF5739', NULL, NULL, NULL, 6),
(18258, NULL, 'PF14117', NULL, NULL, 'Domain of unknown function (DUF4287)', NULL, 'DUF4287', NULL, NULL, NULL, 6),
(18259, NULL, 'PF04356', NULL, NULL, 'Protein of unknown function (DUF489)', NULL, 'DUF489', NULL, NULL, NULL, 6),
(18260, NULL, 'PF15554', NULL, NULL, 'FSIP1 family', NULL, 'FSIP1', NULL, NULL, NULL, 6),
(18261, NULL, 'PF06493', NULL, NULL, 'Protein of unknown function (DUF1096)', NULL, 'DUF1096', NULL, NULL, NULL, 6),
(18262, NULL, 'PF10833', NULL, NULL, 'Protein of unknown function (DUF2572)', NULL, 'DUF2572', NULL, NULL, NULL, 6),
(18263, NULL, 'PF08363', NULL, NULL, 'Glucan-binding protein C', NULL, 'GbpC', NULL, NULL, NULL, 6),
(18264, NULL, 'PF16616', NULL, NULL, 'Unstructured region on Polyhomeotic-like protein 1 and 2', NULL, 'PHC2_SAM_assoc', NULL, NULL, NULL, 6),
(18265, NULL, 'PF09802', NULL, NULL, 'Preprotein translocase subunit Sec66', NULL, 'Sec66', NULL, NULL, NULL, 6),
(18266, NULL, 'PF02732', NULL, NULL, 'ERCC4 domain', NULL, 'ERCC4', NULL, NULL, NULL, 6),
(18267, NULL, 'PF10143', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase', NULL, 'PhosphMutase', NULL, NULL, NULL, 6),
(18268, NULL, 'PF00504', NULL, NULL, 'Chlorophyll A-B binding protein', NULL, 'Chloroa_b-bind', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18269, NULL, 'PF11943', NULL, NULL, 'Protein of unknown function (DUF3460)', NULL, 'DUF3460', NULL, NULL, NULL, 6),
(18270, NULL, 'PF15692', NULL, NULL, 'NF-kappa-B-activating protein', NULL, 'NKAP', NULL, NULL, NULL, 6),
(18271, NULL, 'PF02240', NULL, NULL, 'Methyl-coenzyme M reductase gamma subunit', NULL, 'MCR_gamma', NULL, NULL, NULL, 6),
(18272, NULL, 'PF03643', NULL, NULL, 'Vacuolar protein sorting-associated protein 26', NULL, 'Vps26', NULL, NULL, NULL, 6),
(18273, NULL, 'PF12181', NULL, NULL, 'DNA binding domain of the motility gene repressor (MogR)', NULL, 'MogR_DNAbind', NULL, NULL, NULL, 6),
(18274, NULL, 'PF06887', NULL, NULL, 'Protein of unknown function (DUF1265)', NULL, 'DUF1265', NULL, NULL, NULL, 6),
(18275, NULL, 'PF16311', NULL, NULL, 'Transmembrane protein 100', NULL, 'TMEM100', NULL, NULL, NULL, 6),
(18276, NULL, 'PF12270', NULL, NULL, 'Cytochrome c oxidase subunit IV', NULL, 'Cyt_c_ox_IV', NULL, NULL, NULL, 6),
(18277, NULL, 'PF13738', NULL, NULL, 'Pyridine nucleotide-disulphide oxidoreductase', NULL, 'Pyr_redox_3', NULL, NULL, NULL, 6),
(18278, NULL, 'PF11543', NULL, NULL, 'Nuclear pore localisation protein NPL4', NULL, 'UN_NPL4', NULL, NULL, NULL, 6),
(18279, NULL, 'PF07234', NULL, NULL, 'Movement and RNA silencing protein', NULL, 'Babuvirus_MP', NULL, NULL, NULL, 6),
(18280, NULL, 'PF07645', NULL, NULL, 'Calcium-binding EGF domain', NULL, 'EGF_CA', NULL, NULL, NULL, 6),
(18281, NULL, 'PF12424', NULL, NULL, 'Plasma membrane calcium transporter ATPase C terminal', NULL, 'ATP_Ca_trans_C', NULL, NULL, NULL, 6),
(18282, NULL, 'PF04024', NULL, NULL, 'PspC domain', NULL, 'PspC', NULL, NULL, NULL, 6),
(18283, NULL, 'PF07904', NULL, NULL, 'Chromatin modification-related protein EAF7', NULL, 'Eaf7', NULL, NULL, NULL, 6),
(18284, NULL, 'PF17024', NULL, NULL, 'Putative DMAP1-like', NULL, 'DMAP1_like', NULL, NULL, NULL, 6),
(18285, NULL, 'PF14279', NULL, NULL, 'HNH endonuclease', NULL, 'HNH_5', NULL, NULL, NULL, 6),
(18286, NULL, 'PF18878', NULL, NULL, 'PPE-PPW subfamily C-terminal region', NULL, 'PPE-PPW', NULL, NULL, NULL, 6),
(18287, NULL, 'PF08050', NULL, NULL, 'Tetracycline resistance leader peptide', NULL, 'Tet_res_leader', NULL, NULL, NULL, 6),
(18288, NULL, 'PF00349', NULL, NULL, 'Hexokinase', NULL, 'Hexokinase_1', NULL, NULL, NULL, 6),
(18289, NULL, 'PF03938', NULL, NULL, 'Outer membrane protein (OmpH-like)', NULL, 'OmpH', NULL, NULL, NULL, 6),
(18290, NULL, 'PF02533', NULL, NULL, 'Photosystem II 4 kDa reaction centre component', NULL, 'PsbK', NULL, NULL, NULL, 6),
(18291, NULL, 'PF18659', NULL, NULL, 'Cell-traversal protein for ookinetes and sporozoites', NULL, 'CelTOS', NULL, NULL, NULL, 6),
(18292, NULL, 'PF08003', NULL, NULL, 'Protein of unknown function (DUF1698)', NULL, 'Methyltransf_9', NULL, NULL, NULL, 6),
(18293, NULL, 'PF12896', NULL, NULL, 'Anaphase-promoting complex, cyclosome, subunit 4', NULL, 'ANAPC4', NULL, NULL, NULL, 6),
(18294, NULL, 'PF01155', NULL, NULL, 'Hydrogenase/urease nickel incorporation, metallochaperone, hypA', NULL, 'HypA', NULL, NULL, NULL, 6),
(18295, NULL, 'PF08155', NULL, NULL, 'NOGCT (NUC087) domain', NULL, 'NOGCT', NULL, NULL, NULL, 6),
(18296, NULL, 'PF10154', NULL, NULL, 'Uncharacterised conserved protein (DUF2362)', NULL, 'DUF2362', NULL, NULL, NULL, 6),
(18297, NULL, 'PF04282', NULL, NULL, 'Family of unknown function (DUF438)', NULL, 'DUF438', NULL, NULL, NULL, 6),
(18298, NULL, 'PF10182', NULL, NULL, 'Flo11 domain', NULL, 'Flo11', NULL, NULL, NULL, 6),
(18299, NULL, 'PF14021', NULL, NULL, 'Tuberculosis necrotizing toxin', NULL, 'TNT', NULL, NULL, NULL, 6),
(18300, NULL, 'PF13464', NULL, NULL, 'Domain of unknown function (DUF4115)', NULL, 'DUF4115', NULL, NULL, NULL, 6),
(18301, NULL, 'PF02478', NULL, NULL, 'Pneumovirus phosphoprotein', NULL, 'Pneumo_phosprot', NULL, NULL, NULL, 6),
(18302, NULL, 'PF08547', NULL, NULL, 'Complex I intermediate-associated protein 30 (CIA30)', NULL, 'CIA30', NULL, NULL, NULL, 6);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18303, NULL, 'PF04763', NULL, NULL, 'Protein of unknown function (DUF562)', NULL, 'DUF562', NULL, NULL, NULL, 6),
(18304, NULL, 'PF01382', NULL, NULL, 'Avidin family', NULL, 'Avidin', NULL, NULL, NULL, 6),
(18305, NULL, 'PF04201', NULL, NULL, 'Tumour protein D52 family', NULL, 'TPD52', NULL, NULL, NULL, 6),
(18306, NULL, 'PF15966', NULL, NULL, 'F-box', NULL, 'F-box_4', NULL, NULL, NULL, 6),
(18307, NULL, 'PF10784', NULL, NULL, 'Plasmid stability protein', NULL, 'Plasmid_stab_B', NULL, NULL, NULL, 6),
(18308, NULL, 'PF02116', NULL, NULL, 'Fungal pheromone mating factor STE2 GPCR', NULL, 'STE2', NULL, NULL, NULL, 6),
(18309, NULL, 'PF09149', NULL, NULL, 'Domain of unknown function (DUF1935)', NULL, 'DUF1935', NULL, NULL, NULL, 6),
(18310, NULL, 'PF02380', NULL, NULL, 'T-antigen specific domain', NULL, 'Papo_T_antigen', NULL, NULL, NULL, 6),
(18311, NULL, 'PF12344', NULL, NULL, 'Ultra-violet resistance protein B', NULL, 'UvrB', NULL, NULL, NULL, 6),
(18312, NULL, 'PF14172', NULL, NULL, 'Domain of unknown function (DUF4309)', NULL, 'DUF4309', NULL, NULL, NULL, 6),
(18313, NULL, 'PF00281', NULL, NULL, 'Ribosomal protein L5', NULL, 'Ribosomal_L5', NULL, NULL, NULL, 6),
(18314, NULL, 'PF03584', NULL, NULL, 'Herpesvirus ICP4-like protein N-terminal region', NULL, 'Herpes_ICP4_N', NULL, NULL, NULL, 6),
(18315, NULL, 'PF07277', NULL, NULL, 'SapC', NULL, 'SapC', NULL, NULL, NULL, 6),
(18316, NULL, 'PF08646', NULL, NULL, 'Replication factor-A C terminal domain', NULL, 'Rep_fac-A_C', NULL, NULL, NULL, 6),
(18317, NULL, 'PF04360', NULL, NULL, 'Serglycin', NULL, 'Serglycin', NULL, NULL, NULL, 6),
(18318, NULL, 'PF16215', NULL, NULL, 'Protein of unknown function (DUF4876)', NULL, 'DUF4876', NULL, NULL, NULL, 6),
(18319, NULL, 'PF00086', NULL, NULL, 'Thyroglobulin type-1 repeat', NULL, 'Thyroglobulin_1', NULL, NULL, NULL, 6),
(18320, NULL, 'PF18343', NULL, NULL, 'Dda helicase SH3 domain', NULL, 'SH3_14', NULL, NULL, NULL, 6),
(18321, NULL, 'PF06079', NULL, NULL, 'Apyrase', NULL, 'Apyrase', NULL, NULL, NULL, 6),
(18322, NULL, 'PF10281', NULL, NULL, 'Putative stress-responsive nuclear envelope protein', NULL, 'Ish1', NULL, NULL, NULL, 6),
(18323, NULL, 'PF07419', NULL, NULL, 'PilM', NULL, 'PilM', NULL, NULL, NULL, 6),
(18324, NULL, 'PF16790', NULL, NULL, 'Bacteriophage clamp loader A subunit', NULL, 'Phage_clamp_A', NULL, NULL, NULL, 6),
(18325, NULL, 'PF03253', NULL, NULL, 'Urea transporter', NULL, 'UT', NULL, NULL, NULL, 6),
(18326, NULL, 'PF00330', NULL, NULL, 'Aconitase family (aconitate hydratase)', NULL, 'Aconitase', NULL, NULL, NULL, 6),
(18327, NULL, 'PF19078', NULL, NULL, 'Bacterial Ig-like domain', NULL, 'Big_12', NULL, NULL, NULL, 6),
(18328, NULL, 'PF03433', NULL, NULL, 'EspA-like secreted protein', NULL, 'EspA', NULL, NULL, NULL, 6),
(18329, NULL, 'PF05972', NULL, NULL, 'APC 15 residue motif', NULL, 'APC_15aa', NULL, NULL, NULL, 6),
(18330, NULL, 'PF12437', NULL, NULL, 'Glutamine synthetase type III N terminal', NULL, 'GSIII_N', NULL, NULL, NULL, 6),
(18331, NULL, 'PF00687', NULL, NULL, 'Ribosomal protein L1p/L10e family', NULL, 'Ribosomal_L1', NULL, NULL, NULL, 6),
(18332, NULL, 'PF13867', NULL, NULL, 'Sin3 binding region of histone deacetylase complex subunit SAP30', NULL, 'SAP30_Sin3_bdg', NULL, NULL, NULL, 6),
(18333, NULL, 'PF01533', NULL, NULL, 'Tospovirus nucleocapsid protein', NULL, 'Tospo_nucleocap', NULL, NULL, NULL, 6),
(18334, NULL, 'PF07651', NULL, NULL, 'ANTH domain', NULL, 'ANTH', NULL, NULL, NULL, 6),
(18335, NULL, 'PF01433', NULL, NULL, 'Peptidase family M1 domain', NULL, 'Peptidase_M1', NULL, NULL, NULL, 6),
(18336, NULL, 'PF14225', NULL, NULL, 'Cell morphogenesis C-terminal', NULL, 'MOR2-PAG1_C', NULL, NULL, NULL, 6),
(18337, NULL, 'PF10117', NULL, NULL, 'McrBC 5-methylcytosine restriction system component', NULL, 'McrBC', NULL, NULL, NULL, 6),
(18338, NULL, 'PF08498', NULL, NULL, 'Sterol methyltransferase C-terminal', NULL, 'Sterol_MT_C', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18339, NULL, 'PF08487', NULL, NULL, 'Vault protein inter-alpha-trypsin domain', NULL, 'VIT', NULL, NULL, NULL, 6),
(18340, NULL, 'PF11579', NULL, NULL, 'Protein of unknown function (DUF3238)', NULL, 'DUF3238', NULL, NULL, NULL, 6),
(18341, NULL, 'PF03308', NULL, NULL, 'Methylmalonyl Co-A mutase-associated GTPase MeaB', NULL, 'MeaB', NULL, NULL, NULL, 6),
(18342, NULL, 'PF13302', NULL, NULL, 'Acetyltransferase (GNAT) domain', NULL, 'Acetyltransf_3', NULL, NULL, NULL, 6),
(18343, NULL, 'PF17597', NULL, NULL, 'Family of unknown function (DUF5493)', NULL, 'DUF5493', NULL, NULL, NULL, 6),
(18344, NULL, 'PF11876', NULL, NULL, 'Protein of unknown function (DUF3396)', NULL, 'DUF3396', NULL, NULL, NULL, 6),
(18345, NULL, 'PF05326', NULL, NULL, 'Seminal vesicle autoantigen (SVA)', NULL, 'SVA', NULL, NULL, NULL, 6),
(18346, NULL, 'PF10736', NULL, NULL, 'Protein of unknown function (DUF2627)', NULL, 'DUF2527', NULL, NULL, NULL, 6),
(18347, NULL, 'PF18509', NULL, NULL, 'Magnetochrome domain', NULL, 'MCR', NULL, NULL, NULL, 6),
(18348, NULL, 'PF08899', NULL, NULL, 'Domain of unknown function (DUF1844)', NULL, 'DUF1844', NULL, NULL, NULL, 6),
(18349, NULL, 'PF06107', NULL, NULL, 'Bacterial protein of unknown function (DUF951)', NULL, 'DUF951', NULL, NULL, NULL, 6),
(18350, NULL, 'PF11301', NULL, NULL, 'Protein of unknown function (DUF3103)', NULL, 'DUF3103', NULL, NULL, NULL, 6),
(18351, NULL, 'PF10528', NULL, NULL, 'GLEYA domain', NULL, 'GLEYA', NULL, NULL, NULL, 6),
(18352, NULL, 'PF18080', NULL, NULL, 'Galactose mutarotase-like fold domain', NULL, 'Gal_mutarotas_3', NULL, NULL, NULL, 6),
(18353, NULL, 'PF10215', NULL, NULL, 'Oligosaccaryltransferase', NULL, 'Ost4', NULL, NULL, NULL, 6),
(18354, NULL, 'PF05365', NULL, NULL, 'Ubiquinol-cytochrome C reductase, UQCRX/QCR9 like', NULL, 'UCR_UQCRX_QCR9', NULL, NULL, NULL, 6),
(18355, NULL, 'PF03591', NULL, NULL, 'AzlC protein', NULL, 'AzlC', NULL, NULL, NULL, 6),
(18356, NULL, 'PF11248', NULL, NULL, 'Protein of unknown function (DUF3046)', NULL, 'DUF3046', NULL, NULL, NULL, 6),
(18357, NULL, 'PF06407', NULL, NULL, 'Borna disease virus P40 protein', NULL, 'BDV_P40', NULL, NULL, NULL, 6),
(18358, NULL, 'PF18669', NULL, NULL, 'Trimeric autotransporter adhesin Trp ring domain', NULL, 'Trp_ring', NULL, NULL, NULL, 6),
(18359, NULL, 'PF18208', NULL, NULL, 'Nicking enzyme C-terminal middle helical domain', NULL, 'NES_C_h', NULL, NULL, NULL, 6),
(18360, NULL, 'PF00946', NULL, NULL, 'Mononegavirales RNA dependent RNA polymerase', NULL, 'Mononeg_RNA_pol', NULL, NULL, NULL, 6),
(18361, NULL, 'PF02772', NULL, NULL, 'S-adenosylmethionine synthetase, central domain', NULL, 'S-AdoMet_synt_M', NULL, NULL, NULL, 6),
(18362, NULL, 'PF00197', NULL, NULL, 'Trypsin and protease inhibitor', NULL, 'Kunitz_legume', NULL, NULL, NULL, 6),
(18363, NULL, 'PF10439', NULL, NULL, 'Bacteriocin class II with double-glycine leader peptide', NULL, 'Bacteriocin_IIc', NULL, NULL, NULL, 6),
(18364, NULL, 'PF02359', NULL, NULL, 'Cell division protein 48 (CDC48), N-terminal domain', NULL, 'CDC48_N', NULL, NULL, NULL, 6),
(18365, NULL, 'PF05198', NULL, NULL, 'Translation initiation factor IF-3, N-terminal domain', NULL, 'IF3_N', NULL, NULL, NULL, 6),
(18366, NULL, 'PF14059', NULL, NULL, 'Domain of unknown function (DUF4251)', NULL, 'DUF4251', NULL, NULL, NULL, 6),
(18367, NULL, 'PF18833', NULL, NULL, 'Tetratricopeptide repeat', NULL, 'TPR_22', NULL, NULL, NULL, 6),
(18368, NULL, 'PF00892', NULL, NULL, 'EamA-like transporter family', NULL, 'EamA', NULL, NULL, NULL, 6),
(18369, NULL, 'PF14961', NULL, NULL, 'Broad-minded protein', NULL, 'BROMI', NULL, NULL, NULL, 6),
(18370, NULL, 'PF09656', NULL, NULL, 'Putative transmembrane protein (PGPGW)', NULL, 'PGPGW', NULL, NULL, NULL, 6),
(18371, NULL, 'PF07923', NULL, NULL, 'N1221-like protein', NULL, 'N1221', NULL, NULL, NULL, 6),
(18372, NULL, 'PF07916', NULL, NULL, 'TraG-like protein, N-terminal region', NULL, 'TraG_N', NULL, NULL, NULL, 6);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18373, NULL, 'PF14606', NULL, NULL, 'GDSL-like Lipase/Acylhydrolase family', NULL, 'Lipase_GDSL_3', NULL, NULL, NULL, 6),
(18374, NULL, 'PF12502', NULL, NULL, 'Protein of unknown function (DUF3710)', NULL, 'DUF3710', NULL, NULL, NULL, 6),
(18375, NULL, 'PF03944', NULL, NULL, 'delta endotoxin', NULL, 'Endotoxin_C', NULL, NULL, NULL, 6),
(18376, NULL, 'PF15106', NULL, NULL, 'TMEM156 protein family', NULL, 'TMEM156', NULL, NULL, NULL, 6),
(18377, NULL, 'PF17567', NULL, NULL, 'Family of unknown function (DUF5473)', NULL, 'DUF5473', NULL, NULL, NULL, 6),
(18378, NULL, 'PF00797', NULL, NULL, 'N-acetyltransferase', NULL, 'Acetyltransf_2', NULL, NULL, NULL, 6),
(18379, NULL, 'PF15952', NULL, NULL, 'Enhancer of split M4 family', NULL, 'ESM4', NULL, NULL, NULL, 6),
(18380, NULL, 'PF12670', NULL, NULL, 'Protein of unknown function (DUF3792)', NULL, 'DUF3792', NULL, NULL, NULL, 6),
(18381, NULL, 'PF01070', NULL, NULL, 'FMN-dependent dehydrogenase', NULL, 'FMN_dh', NULL, NULL, NULL, 6),
(18382, NULL, 'PF15781', NULL, NULL, 'ParE-like toxin of type II bacterial toxin-antitoxin system', NULL, 'ParE-like_toxin', NULL, NULL, NULL, 6),
(18383, NULL, 'PF04026', NULL, NULL, 'SpoVG', NULL, 'SpoVG', NULL, NULL, NULL, 6),
(18384, NULL, 'PF00046', NULL, NULL, 'Homeodomain', NULL, 'Homeodomain', NULL, NULL, NULL, 6),
(18385, NULL, 'PF11020', NULL, NULL, 'Domain of unknown function (DUF2610)', NULL, 'DUF2610', NULL, NULL, NULL, 6),
(18386, NULL, 'PF03532', NULL, NULL, 'OMS28 porin', NULL, 'OMS28_porin', NULL, NULL, NULL, 6),
(18387, NULL, 'PF19020', NULL, NULL, 'Ta1207 family', NULL, 'Ta1207', NULL, NULL, NULL, 6),
(18388, NULL, 'PF01276', NULL, NULL, 'Orn/Lys/Arg decarboxylase, major domain', NULL, 'OKR_DC_1', NULL, NULL, NULL, 6),
(18389, NULL, 'PF08225', NULL, NULL, 'Pseudin antimicrobial peptide', NULL, 'Antimicrobial19', NULL, NULL, NULL, 6),
(18390, NULL, 'PF13263', NULL, NULL, 'PHP-associated', NULL, 'PHP_C', NULL, NULL, NULL, 6),
(18391, NULL, 'PF19095', NULL, NULL, 'Family of unknown function (DUF5783)', NULL, 'DUF5783', NULL, NULL, NULL, 6),
(18392, NULL, 'PF16676', NULL, NULL, 'Transactivation domain of FOXO protein family', NULL, 'FOXO-TAD', NULL, NULL, NULL, 6),
(18393, NULL, 'PF14284', NULL, NULL, 'PcfJ-like protein', NULL, 'PcfJ', NULL, NULL, NULL, 6),
(18394, NULL, 'PF01248', NULL, NULL, 'Ribosomal protein L7Ae/L30e/S12e/Gadd45 family', NULL, 'Ribosomal_L7Ae', NULL, NULL, NULL, 6),
(18395, NULL, 'PF07526', NULL, NULL, 'Associated with HOX', NULL, 'POX', NULL, NULL, NULL, 6),
(18396, NULL, 'PF12982', NULL, NULL, 'Protein of unknown function (DUF3866)', NULL, 'DUF3866', NULL, NULL, NULL, 6),
(18397, NULL, 'PF04096', NULL, NULL, 'Nucleoporin autopeptidase', NULL, 'Nucleoporin2', NULL, NULL, NULL, 6),
(18398, NULL, 'PF18567', NULL, NULL, 'Toll/interleukin-1 receptor domain', NULL, 'TIR_3', NULL, NULL, NULL, 6),
(18399, NULL, 'PF09164', NULL, NULL, 'Vitamin D binding protein, domain III', NULL, 'VitD-bind_III', NULL, NULL, NULL, 6),
(18400, NULL, 'PF02232', NULL, NULL, 'Alpha trans-inducing protein (Alpha-TIF)', NULL, 'Alpha_TIF', NULL, NULL, NULL, 6),
(18401, NULL, 'PF10197', NULL, NULL, 'N-terminal domain of CBF1 interacting co-repressor CIR', NULL, 'Cir_N', NULL, NULL, NULL, 6),
(18402, NULL, 'PF18417', NULL, NULL, 'L-lysine epsilon oxidase C-terminal domain', NULL, 'LodA_C', NULL, NULL, NULL, 6),
(18403, NULL, 'PF08320', NULL, NULL, 'PIG-X / PBN1', NULL, 'PIG-X', NULL, NULL, NULL, 6),
(18404, NULL, 'PF15774', NULL, NULL, 'Domain of unknown function (DUF4702)', NULL, 'DUF4702', NULL, NULL, NULL, 6),
(18405, NULL, 'PF08766', NULL, NULL, 'DEK C terminal domain', NULL, 'DEK_C', NULL, NULL, NULL, 6),
(18406, NULL, 'PF05916', NULL, NULL, 'GINS complex protein', NULL, 'Sld5', NULL, NULL, NULL, 6),
(18407, NULL, 'PF08284', NULL, NULL, 'Retroviral aspartyl protease', NULL, 'RVP_2', NULL, NULL, NULL, 6),
(18408, NULL, 'PF04548', NULL, NULL, 'AIG1 family', NULL, 'AIG1', NULL, NULL, NULL, 6);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18409, NULL, 'PF10595', NULL, NULL, 'Uncharacterised protein family UPF0564', NULL, 'UPF0564', NULL, NULL, NULL, 6),
(18410, NULL, 'PF03480', NULL, NULL, 'Bacterial extracellular solute-binding protein, family 7', NULL, 'DctP', NULL, NULL, NULL, 6),
(18411, NULL, 'PF10926', NULL, NULL, 'Protein of unknown function (DUF2800)', NULL, 'DUF2800', NULL, NULL, NULL, 6),
(18412, NULL, 'PF09495', NULL, NULL, 'Protein of unknown function (DUF2462)', NULL, 'DUF2462', NULL, NULL, NULL, 6),
(18413, NULL, 'PF08198', NULL, NULL, 'Thymopoietin protein', NULL, 'Thymopoietin', NULL, NULL, NULL, 6),
(18414, NULL, 'PF12991', NULL, NULL, 'Domain of unknown function, B. Theta Gene description (DUF3875)', NULL, 'DUF3875', NULL, NULL, NULL, 6),
(18415, NULL, 'PF05987', NULL, NULL, 'Bacterial protein of unknown function (DUF898)', NULL, 'DUF898', NULL, NULL, NULL, 6),
(18416, NULL, 'PF02015', NULL, NULL, 'Glycosyl hydrolase family 45', NULL, 'Glyco_hydro_45', NULL, NULL, NULL, 6),
(18417, NULL, 'PF15055', NULL, NULL, 'Domain of unknown function (DUF4536)', NULL, 'DUF4536', NULL, NULL, NULL, 6),
(18418, NULL, 'PF11891', NULL, NULL, 'Protein RETICULATA-related', NULL, 'RETICULATA-like', NULL, NULL, NULL, 6),
(18419, NULL, 'PF11502', NULL, NULL, 'B-cell lymphoma 9 protein', NULL, 'BCL9', NULL, NULL, NULL, 6),
(18420, NULL, 'PF12868', NULL, NULL, 'Domain of unknwon function (DUF3824)', NULL, 'DUF3824', NULL, NULL, NULL, 6),
(18421, NULL, 'PF18586', NULL, NULL, 'Chromatin remodeling factor Mit1 C-terminal Zn finger 1', NULL, 'zf-CCCH_7', NULL, NULL, NULL, 6),
(18422, NULL, 'PF11762', NULL, NULL, 'L-arabinose isomerase C-terminal domain', NULL, 'Arabinose_Iso_C', NULL, NULL, NULL, 6),
(18423, NULL, 'PF12345', NULL, NULL, 'Protein of unknown function (DUF3641)', NULL, 'DUF3641', NULL, NULL, NULL, 6),
(18424, NULL, 'PF13271', NULL, NULL, 'Domain of unknown function (DUF4062)', NULL, 'DUF4062', NULL, NULL, NULL, 6),
(18425, NULL, 'PF11679', NULL, NULL, 'Protein of unknown function (DUF3275)', NULL, 'DUF3275', NULL, NULL, NULL, 6),
(18426, NULL, 'PF08778', NULL, NULL, 'HIF-1 alpha C terminal transactivation domain', NULL, 'HIF-1a_CTAD', NULL, NULL, NULL, 6),
(18427, NULL, 'PF15684', NULL, NULL, 'Active regulator of SIRT1, or 40S ribosomal protein S19-binding 1', NULL, 'AROS', NULL, NULL, NULL, 6),
(18428, NULL, 'PF14856', NULL, NULL, 'Pathogen effector; putative necrosis-inducing factor', NULL, 'Hce2', NULL, NULL, NULL, 6),
(18429, NULL, 'PF19080', NULL, NULL, 'Family of unknown function (DUF5772)', NULL, 'DUF5772', NULL, NULL, NULL, 6),
(18430, NULL, 'PF09666', NULL, NULL, 'Sororin protein', NULL, 'Sororin', NULL, NULL, NULL, 6),
(18431, NULL, 'PF10460', NULL, NULL, 'Peptidase M30', NULL, 'Peptidase_M30', NULL, NULL, NULL, 6),
(18432, NULL, 'PF14167', NULL, NULL, 'YfkD-like protein', NULL, 'YfkD', NULL, NULL, NULL, 6),
(18433, NULL, 'PF13406', NULL, NULL, 'Transglycosylase SLT domain', NULL, 'SLT_2', NULL, NULL, NULL, 6),
(18434, NULL, 'PF10688', NULL, NULL, 'Bacterial inner membrane protein', NULL, 'Imp-YgjV', NULL, NULL, NULL, 6),
(18435, NULL, 'PF08995', NULL, NULL, 'Necrosis inducing protein-1', NULL, 'NIP_1', NULL, NULL, NULL, 6),
(18436, NULL, 'PF02627', NULL, NULL, 'Carboxymuconolactone decarboxylase family', NULL, 'CMD', NULL, NULL, NULL, 6),
(18437, NULL, 'PF17646', NULL, NULL, 'Closterovirus 1a polyprotein central region', NULL, 'Zemlya', NULL, NULL, NULL, 6),
(18438, NULL, 'PF00871', NULL, NULL, 'Acetokinase family', NULL, 'Acetate_kinase', NULL, NULL, NULL, 6),
(18439, NULL, 'PF19029', NULL, NULL, 'DUF883 C-terminal glycine zipper region', NULL, 'DUF883_C', NULL, NULL, NULL, 6),
(18440, NULL, 'PF07267', NULL, NULL, 'Nucleopolyhedrovirus capsid protein P87', NULL, 'Nucleo_P87', NULL, NULL, NULL, 6),
(18441, NULL, 'PF17104', NULL, NULL, 'Domain of unknown function (DUF5102)', NULL, 'DUF5102', NULL, NULL, NULL, 6),
(18442, NULL, 'PF14018', NULL, NULL, 'Domain of unknown function (DUF4234)', NULL, 'DUF4234', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18443, NULL, 'PF10108', NULL, NULL, 'Predicted 3''-5'' exonuclease related to the exonuclease domain of PolB', NULL, 'DNA_pol_B_exo2', NULL, NULL, NULL, 6),
(18444, NULL, 'PF18708', NULL, NULL, 'MapZ extracellular C-terminal domain 2', NULL, 'MapZ_C2', NULL, NULL, NULL, 6),
(18445, NULL, 'PF02727', NULL, NULL, 'Copper amine oxidase, N2 domain', NULL, 'Cu_amine_oxidN2', NULL, NULL, NULL, 6),
(18446, NULL, 'PF04375', NULL, NULL, 'HemX, putative uroporphyrinogen-III C-methyltransferase', NULL, 'HemX', NULL, NULL, NULL, 6),
(18447, NULL, 'PF09310', NULL, NULL, 'POU domain, class 2, associating factor 1', NULL, 'PD-C2-AF1', NULL, NULL, NULL, 6),
(18448, NULL, 'PF17050', NULL, NULL, 'Altered inheritance of mitochondria 5', NULL, 'AIM5', NULL, NULL, NULL, 6),
(18449, NULL, 'PF13201', NULL, NULL, 'Putative carbohydrate metabolism domain', NULL, 'PCMD', NULL, NULL, NULL, 6),
(18450, NULL, 'PF18026', NULL, NULL, 'Endo/exonuclease (EXOG) C-terminal domain', NULL, 'Exog_C', NULL, NULL, NULL, 6),
(18451, NULL, 'PF13636', NULL, NULL, 'RNA-binding PUA-like domain of methyltransferase RsmF', NULL, 'Methyltranf_PUA', NULL, NULL, NULL, 6),
(18452, NULL, 'PF02493', NULL, NULL, 'MORN repeat', NULL, 'MORN', NULL, NULL, NULL, 6),
(18453, NULL, 'PF09809', NULL, NULL, 'Mitochondrial ribosomal protein L27', NULL, 'MRP-L27', NULL, NULL, NULL, 6),
(18454, NULL, 'PF18527', NULL, NULL, 'STT3/PglB C-terminal beta-barrel domain', NULL, 'STT3_PglB_C', NULL, NULL, NULL, 6),
(18455, NULL, 'PF12134', NULL, NULL, 'PRP8 domain IV core', NULL, 'PRP8_domainIV', NULL, NULL, NULL, 6),
(18456, NULL, 'PF07338', NULL, NULL, 'Protein of unknown function (DUF1471)', NULL, 'DUF1471', NULL, NULL, NULL, 6),
(18457, NULL, 'PF00123', NULL, NULL, 'Peptide hormone', NULL, 'Hormone_2', NULL, NULL, NULL, 6),
(18458, NULL, 'PF05612', NULL, NULL, 'Leg1', NULL, 'Leg1', NULL, NULL, NULL, 6),
(18459, NULL, 'PF14268', NULL, NULL, 'YoaP-like', NULL, 'YoaP', NULL, NULL, NULL, 6),
(18460, NULL, 'PF00444', NULL, NULL, 'Ribosomal protein L36', NULL, 'Ribosomal_L36', NULL, NULL, NULL, 6),
(18461, NULL, 'PF13162', NULL, NULL, 'Protein of unknown function (DUF3997)', NULL, 'DUF3997', NULL, NULL, NULL, 6),
(18462, NULL, 'PF04941', NULL, NULL, 'Late expression factor 8 (LEF-8)', NULL, 'LEF-8', NULL, NULL, NULL, 6),
(18463, NULL, 'PF02870', NULL, NULL, '6-O-methylguanine DNA methyltransferase, ribonuclease-like domain', NULL, 'Methyltransf_1N', NULL, NULL, NULL, 6),
(18464, NULL, 'PF17500', NULL, NULL, 'Colicin-K immunity', NULL, 'CKI', NULL, NULL, NULL, 6),
(18465, NULL, 'PF12028', NULL, NULL, 'Protein of unknown function (DUF3515)', NULL, 'DUF3515', NULL, NULL, NULL, 6),
(18466, NULL, 'PF16477', NULL, NULL, 'Domain of unknown function (DUF5054)', NULL, 'DUF5054', NULL, NULL, NULL, 6),
(18467, NULL, 'PF19126', NULL, NULL, 'Family of unknown function (DUF5810)', NULL, 'DUF5810', NULL, NULL, NULL, 6),
(18468, NULL, 'PF02678', NULL, NULL, 'Pirin', NULL, 'Pirin', NULL, NULL, NULL, 6),
(18469, NULL, 'PF05028', NULL, NULL, 'Poly (ADP-ribose) glycohydrolase (PARG)', NULL, 'PARG_cat', NULL, NULL, NULL, 6),
(18470, NULL, 'PF10015', NULL, NULL, 'Uncharacterized protein conserved in archaea (DUF2258)', NULL, 'DUF2258', NULL, NULL, NULL, 6),
(18471, NULL, 'PF05461', NULL, NULL, 'Apolipoprotein L', NULL, 'ApoL', NULL, NULL, NULL, 6),
(18472, NULL, 'PF08170', NULL, NULL, 'POPLD (NUC188) domain', NULL, 'POPLD', NULL, NULL, NULL, 6),
(18473, NULL, 'PF08608', NULL, NULL, 'Wyosine base formation', NULL, 'Wyosine_form', NULL, NULL, NULL, 6),
(18474, NULL, 'PF12736', NULL, NULL, 'Cell-cycle sustaining, positive selection,', NULL, 'CABIT', NULL, NULL, NULL, 6),
(18475, NULL, 'PF05705', NULL, NULL, 'Eukaryotic protein of unknown function (DUF829)', NULL, 'DUF829', NULL, NULL, NULL, 6),
(18476, NULL, 'PF03324', NULL, NULL, 'Herpesvirus DNA helicase/primase complex associated protein', NULL, 'Herpes_HEPA', NULL, NULL, NULL, 6);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18477, NULL, 'PF11276', NULL, NULL, 'Protein of unknown function (DUF3078)', NULL, 'DUF3078', NULL, NULL, NULL, 6),
(18478, NULL, 'PF02525', NULL, NULL, 'Flavodoxin-like fold', NULL, 'Flavodoxin_2', NULL, NULL, NULL, 6),
(18479, NULL, 'PF18984', NULL, NULL, 'Family of unknown function (DUF5717)N-terminal', NULL, 'DUF5717_N', NULL, NULL, NULL, 6),
(18480, NULL, 'PF03760', NULL, NULL, 'Late embryogenesis abundant (LEA) group 1', NULL, 'LEA_1', NULL, NULL, NULL, 6),
(18481, NULL, 'PF07227', NULL, NULL, 'PHD - plant homeodomain finger protein', NULL, 'PHD_Oberon', NULL, NULL, NULL, 6),
(18482, NULL, 'PF13857', NULL, NULL, 'Ankyrin repeats (many copies)', NULL, 'Ank_5', NULL, NULL, NULL, 6),
(18483, NULL, 'PF18873', NULL, NULL, 'Sgo0707 N-terminal domain', NULL, 'Sgo0707_N1', NULL, NULL, NULL, 6),
(18484, NULL, 'PF19064', NULL, NULL, 'Family of unknown function (DUF5760)', NULL, 'DUF5760', NULL, NULL, NULL, 6),
(18485, NULL, 'PF04179', NULL, NULL, 'Rit1 DUSP-like domain', NULL, 'Init_tRNA_PT', NULL, NULL, NULL, 6),
(18486, NULL, 'PF17279', NULL, NULL, 'Family of unknown function (DUF5344)', NULL, 'DUF5344', NULL, NULL, NULL, 6),
(18487, NULL, 'PF15352', NULL, NULL, 'Susceptibility to monomelic amyotrophy', NULL, 'K1377', NULL, NULL, NULL, 6),
(18488, NULL, 'PF04864', NULL, NULL, 'Allinase', NULL, 'Alliinase_C', NULL, NULL, NULL, 6),
(18489, NULL, 'PF18834', NULL, NULL, 'Large polyvalent protein associated domain 22', NULL, 'LPD22', NULL, NULL, NULL, 6),
(18490, NULL, 'PF01652', NULL, NULL, 'Eukaryotic initiation factor 4E', NULL, 'IF4E', NULL, NULL, NULL, 6),
(18491, NULL, 'PF00748', NULL, NULL, 'Calpain inhibitor', NULL, 'Calpain_inhib', NULL, NULL, NULL, 6),
(18492, NULL, 'PF03018', NULL, NULL, 'Dirigent-like protein', NULL, 'Dirigent', NULL, NULL, NULL, 6),
(18493, NULL, 'PF03498', NULL, NULL, 'Cytolethal distending toxin A/C domain', NULL, 'CDtoxinA', NULL, NULL, NULL, 6),
(18494, NULL, 'PF15989', NULL, NULL, 'Domain of unknown function (DUF4768)', NULL, 'DUF4768', NULL, NULL, NULL, 6),
(18495, NULL, 'PF03543', NULL, NULL, 'Yersinia/Haemophilus virulence surface antigen', NULL, 'Peptidase_C58', NULL, NULL, NULL, 6),
(18496, NULL, 'PF04506', NULL, NULL, 'Rft protein', NULL, 'Rft-1', NULL, NULL, NULL, 6),
(18497, NULL, 'PF04722', NULL, NULL, 'Ssu72-like protein', NULL, 'Ssu72', NULL, NULL, NULL, 6),
(18498, NULL, 'PF11842', NULL, NULL, 'Domain of unknown function (DUF3362)', NULL, 'DUF3362', NULL, NULL, NULL, 6),
(18499, NULL, 'PF13021', NULL, NULL, 'Domain of unknown function (DUF3885)', NULL, 'DUF3885', NULL, NULL, NULL, 6),
(18500, NULL, 'PF01690', NULL, NULL, 'Potato leaf roll virus readthrough protein', NULL, 'PLRV_ORF5', NULL, NULL, NULL, 6),
(18501, NULL, 'PF03011', NULL, NULL, 'PFEMP1 DBL domain', NULL, 'PFEMP', NULL, NULL, NULL, 6),
(18502, NULL, 'PF08395', NULL, NULL, '7tm Chemosensory receptor', NULL, '7tm_7', NULL, NULL, NULL, 6),
(18503, NULL, 'PF07817', NULL, NULL, 'GLE1-like protein', NULL, 'GLE1', NULL, NULL, NULL, 6),
(18504, NULL, 'PF03694', NULL, NULL, 'Erg28 like protein', NULL, 'Erg28', NULL, NULL, NULL, 6),
(18505, NULL, 'PF17658', NULL, NULL, 'Family of unknown function (DUF5520)', NULL, 'DUF5520', NULL, NULL, NULL, 6),
(18506, NULL, 'PF06621', NULL, NULL, 'Single-minded protein C-terminus', NULL, 'SIM_C', NULL, NULL, NULL, 6),
(18507, NULL, 'PF12540', NULL, NULL, 'Protein of unknown function (DUF3736)', NULL, 'DUF3736', NULL, NULL, NULL, 6),
(18508, NULL, 'PF15752', NULL, NULL, 'Domain of unknown function (DUF4688)', NULL, 'DUF4688', NULL, NULL, NULL, 6),
(18509, NULL, 'PF11549', NULL, NULL, 'Protein transport protein SEC31', NULL, 'Sec31', NULL, NULL, NULL, 6),
(18510, NULL, 'PF04914', NULL, NULL, 'DltD protein', NULL, 'DltD', NULL, NULL, NULL, 6),
(18511, NULL, 'PF09821', NULL, NULL, 'C-terminal AAA-associated domain', NULL, 'AAA_assoc_C', NULL, NULL, NULL, 6),
(18512, NULL, 'PF08041', NULL, NULL, 'PetM family of cytochrome b6f complex subunit 7', NULL, 'PetM', NULL, NULL, NULL, 6);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18513, NULL, 'PF14439', NULL, NULL, 'Bd3614-like deaminase', NULL, 'Bd3614-deam', NULL, NULL, NULL, 6),
(18514, NULL, 'PF18237', NULL, NULL, 'Tk-SP N-propeptide domain', NULL, 'Tk-SP_N-pro', NULL, NULL, NULL, 6),
(18515, NULL, 'PF06546', NULL, NULL, 'Vertebrate heat shock transcription factor', NULL, 'Vert_HS_TF', NULL, NULL, NULL, 6),
(18516, NULL, 'PF00090', NULL, NULL, 'Thrombospondin type 1 domain', NULL, 'TSP_1', NULL, NULL, NULL, 6),
(18517, NULL, 'PF14902', NULL, NULL, 'Domain of unknown function (DUF4494)', NULL, 'DUF4494', NULL, NULL, NULL, 6),
(18518, NULL, 'PF05161', NULL, NULL, 'MOFRL family', NULL, 'MOFRL', NULL, NULL, NULL, 6),
(18519, NULL, 'PF15393', NULL, NULL, 'Domain of unknown function (DUF4615)', NULL, 'DUF4615', NULL, NULL, NULL, 6),
(18520, NULL, 'PF00424', NULL, NULL, 'REV protein (anti-repression trans-activator protein)', NULL, 'REV', NULL, NULL, NULL, 6),
(18521, NULL, 'PF13290', NULL, NULL, 'Chitobiase/beta-hexosaminidase C-terminal domain', NULL, 'CHB_HEX_C_1', NULL, NULL, NULL, 6),
(18522, NULL, 'PF09051', NULL, NULL, 'Stannin cytoplasmic', NULL, 'SNN_cytoplasm', NULL, NULL, NULL, 6),
(18523, NULL, 'PF13729', NULL, NULL, 'F plasmid transfer operon, TraF, protein', NULL, 'TraF_2', NULL, NULL, NULL, 6),
(18524, NULL, 'PF07487', NULL, NULL, 'SopE GEF domain', NULL, 'SopE_GEF', NULL, NULL, NULL, 6),
(18525, NULL, 'PF13409', NULL, NULL, 'Glutathione S-transferase, N-terminal domain', NULL, 'GST_N_2', NULL, NULL, NULL, 6),
(18526, NULL, 'PF01935', NULL, NULL, 'Helicase HerA, central domain', NULL, 'DUF87', NULL, NULL, NULL, 6),
(18527, NULL, 'PF16001', NULL, NULL, 'Domain of unknown function (DUF4775)', NULL, 'DUF4775', NULL, NULL, NULL, 6),
(18528, NULL, 'PF16007', NULL, NULL, 'Domain of unknown function (DUF4777)', NULL, 'DUF4777', NULL, NULL, NULL, 6),
(18529, NULL, 'PF13378', NULL, NULL, 'Enolase C-terminal domain-like', NULL, 'MR_MLE_C', NULL, NULL, NULL, 6),
(18530, NULL, 'PF14270', NULL, NULL, 'Domain of unknown function (DUF4358)', NULL, 'DUF4358', NULL, NULL, NULL, 6),
(18531, NULL, 'PF14609', NULL, NULL, 'gamma-Tubulin ring complex non-core subunit mod21', NULL, 'GCP5-Mod21', NULL, NULL, NULL, 6),
(18532, NULL, 'PF18576', NULL, NULL, 'Helix-turn-helix domain', NULL, 'HTH_52', NULL, NULL, NULL, 6),
(18533, NULL, 'PF17313', NULL, NULL, 'Family of unknown function (DUF5359)', NULL, 'DUF5359', NULL, NULL, NULL, 6),
(18534, NULL, 'PF13651', NULL, NULL, 'Adenine-specific methyltransferase EcoRI', NULL, 'EcoRI_methylase', NULL, NULL, NULL, 6),
(18535, NULL, 'PF11009', NULL, NULL, 'Protein of unknown function (DUF2847)', NULL, 'DUF2847', NULL, NULL, NULL, 6),
(18536, NULL, 'PF04531', NULL, NULL, 'Bacteriophage holin', NULL, 'Phage_holin_1', NULL, NULL, NULL, 6),
(18537, NULL, 'PF04852', NULL, NULL, 'Protein of unknown function (DUF640)', NULL, 'DUF640', NULL, NULL, NULL, 6),
(18538, NULL, 'PF18125', NULL, NULL, 'RlmM ferredoxin-like domain', NULL, 'RlmM_FDX', NULL, NULL, NULL, 6),
(18539, NULL, 'PF17119', NULL, NULL, 'Mitochondrial protein up-regulated during meiosis', NULL, 'MMU163', NULL, NULL, NULL, 6),
(18540, NULL, 'PF14577', NULL, NULL, 'Sieve element occlusion C-terminus', NULL, 'SEO_C', NULL, NULL, NULL, 6),
(18541, NULL, 'PF10459', NULL, NULL, 'Peptidase S46', NULL, 'Peptidase_S46', NULL, NULL, NULL, 6),
(18542, NULL, 'PF10683', NULL, NULL, 'Hermes transposase DNA-binding domain', NULL, 'DBD_Tnp_Hermes', NULL, NULL, NULL, 6),
(18543, NULL, 'PF09232', NULL, NULL, 'Caenorhabditis elegans Her-1', NULL, 'Caenor_Her-1', NULL, NULL, NULL, 6),
(18544, NULL, 'PF15610', NULL, NULL, 'PRTase ComF-like', NULL, 'PRTase_3', NULL, NULL, NULL, 6),
(18545, NULL, 'PF06202', NULL, NULL, 'Amylo-alpha-1,6-glucosidase', NULL, 'GDE_C', NULL, NULL, NULL, 6),
(18546, NULL, 'PF07741', NULL, NULL, 'Brf1-like TBP-binding domain', NULL, 'BRF1', NULL, NULL, NULL, 6),
(18547, NULL, 'PF08329', NULL, NULL, 'Chitinase A, N-terminal domain', NULL, 'ChitinaseA_N', NULL, NULL, NULL, 6);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18548, NULL, 'PF13537', NULL, NULL, 'Glutamine amidotransferase domain', NULL, 'GATase_7', NULL, NULL, NULL, 6),
(18549, NULL, 'PF18397', NULL, NULL, 'IQBAL scaffold dimerization domain', NULL, 'IKBKB_SDD', NULL, NULL, NULL, 6),
(18550, NULL, 'PF07753', NULL, NULL, 'Protein of unknown function (DUF1609)', NULL, 'DUF1609', NULL, NULL, NULL, 6),
(18551, NULL, 'PF18539', NULL, NULL, 'Domain of unknown function (DUF5625)', NULL, 'DUF5625', NULL, NULL, NULL, 6),
(18552, NULL, 'PF05528', NULL, NULL, 'Coronavirus gene 5 protein', NULL, 'Coronavirus_5', NULL, NULL, NULL, 6),
(18553, NULL, 'PF08131', NULL, NULL, 'Defensin-like peptide family', NULL, 'Defensin_3', NULL, NULL, NULL, 6),
(18554, NULL, 'PF05107', NULL, NULL, 'CRISPR-associated protein Cas7', NULL, 'Cas_Cas7', NULL, NULL, NULL, 6),
(18555, NULL, 'PF17116', NULL, NULL, 'Domain of unknown function (DUF5103)', NULL, 'DUF5103', NULL, NULL, NULL, 6),
(18556, NULL, 'PF03429', NULL, NULL, 'Major surface protein 1B', NULL, 'MSP1b', NULL, NULL, NULL, 6),
(18557, NULL, 'PF00670', NULL, NULL, 'S-adenosyl-L-homocysteine hydrolase, NAD binding domain', NULL, 'AdoHcyase_NAD', NULL, NULL, NULL, 6),
(18558, NULL, 'PF11344', NULL, NULL, 'Protein of unknown function (DUF3146)', NULL, 'DUF3146', NULL, NULL, NULL, 6),
(18559, NULL, 'PF14766', NULL, NULL, 'Replication protein A interacting N-terminal', NULL, 'RPA_interact_N', NULL, NULL, NULL, 6),
(18560, NULL, 'PF10659', NULL, NULL, 'Trypanosome variant surface glycoprotein C-terminal domain', NULL, 'Trypan_glycop_C', NULL, NULL, NULL, 6),
(18561, NULL, 'PF08539', NULL, NULL, 'HbrB-like', NULL, 'HbrB', NULL, NULL, NULL, 6),
(18562, NULL, 'PF12460', NULL, NULL, 'RNAPII transcription regulator C-terminal', NULL, 'MMS19_C', NULL, NULL, NULL, 6),
(18563, NULL, 'PF11166', NULL, NULL, 'Protein of unknown function (DUF2951)', NULL, 'DUF2951', NULL, NULL, NULL, 6),
(18564, NULL, 'PF18407', NULL, NULL, 'GCN5-related N-acetyltransferase like domain', NULL, 'GNAT_like', NULL, NULL, NULL, 6),
(18565, NULL, 'PF11682', NULL, NULL, 'Probable zinc-ribbon', NULL, 'zinc_ribbon_11', NULL, NULL, NULL, 6),
(18566, NULL, 'PF12173', NULL, NULL, 'Bacteriocin class IIc cyclic gassericin A-like', NULL, 'BacteriocIIc_cy', NULL, NULL, NULL, 6),
(18567, NULL, 'PF12412', NULL, NULL, 'Protein of unknown function (DUF3667)', NULL, 'DUF3667', NULL, NULL, NULL, 6),
(18568, NULL, 'PF13217', NULL, NULL, 'Protein of unknown function (DUF4025)', NULL, 'DUF4025', NULL, NULL, NULL, 6),
(18569, NULL, 'PF16597', NULL, NULL, 'Thyroglobulin_1 repeat associated disordered domain', NULL, 'Thyroglob_assoc', NULL, NULL, NULL, 6),
(18570, NULL, 'PF05567', NULL, NULL, 'Neisseria PilC beta-propeller domain', NULL, 'Neisseria_PilC', NULL, NULL, NULL, 6),
(18571, NULL, 'PF14206', NULL, NULL, 'Cysteine-rich CPCC', NULL, 'Cys_rich_CPCC', NULL, NULL, NULL, 6),
(18572, NULL, 'MF_03110', NULL, NULL, 'Structure-specific endonuclease subunit @gn(SLX4) [SLX4].', NULL, 'Endonuc_su_Slx4', NULL, NULL, NULL, 7),
(18573, NULL, 'MF_01888', NULL, NULL, 'Regulator of ribonuclease activity B [rraB].', NULL, 'RraB', NULL, NULL, NULL, 7),
(18574, NULL, 'MF_00118_A', NULL, NULL, 'Elongation factor Tu [tuf].', NULL, 'EF_Tu_A', NULL, NULL, NULL, 7),
(18575, NULL, 'MF_01402_A', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, 'ApgM_A', NULL, NULL, NULL, 7),
(18576, NULL, 'MF_04093', NULL, NULL, 'Non-structural protein 6.', NULL, 'ROTA_NSP6', NULL, NULL, NULL, 7),
(18577, NULL, 'MF_00741', NULL, NULL, 'Phosphoribosylformylglycinamidine cyclo-ligase [purM].', NULL, 'AIRS', NULL, NULL, NULL, 7),
(18578, NULL, 'MF_00743', NULL, NULL, 'Fumarate hydratase class II [fumC].', NULL, 'FumaraseC', NULL, NULL, NULL, 7),
(18579, NULL, 'MF_01337_A', NULL, NULL, '50S ribosomal protein L18 [rplR].', NULL, 'Ribosomal_L18_A', NULL, NULL, NULL, 7),
(18580, NULL, 'MF_01629', NULL, NULL, 'Pyridoxine/pyridoxamine 5''-phosphate oxidase [pdxH].', NULL, 'PdxH', NULL, NULL, NULL, 7);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18581, NULL, 'MF_00443', NULL, NULL, 'Thiazole synthase [thiG].', NULL, 'ThiG', NULL, NULL, NULL, 7),
(18582, NULL, 'MF_01089', NULL, NULL, 'UPF0288 protein <locus_tag>.', NULL, 'UPF0288', NULL, NULL, NULL, 7),
(18583, NULL, 'MF_01912', NULL, NULL, 'Sulfofructosephosphate aldolase.', NULL, 'SFP_aldolase', NULL, NULL, NULL, 7),
(18584, NULL, 'MF_00143', NULL, NULL, 'UPF0114 protein YqhA [yqhA].', NULL, 'UPF0114', NULL, NULL, NULL, 7),
(18585, NULL, 'MF_03171', NULL, NULL, 'Adenylate kinase isoenzyme 1 [AK1].', NULL, 'Adenylate_kinase_AK1', NULL, NULL, NULL, 7),
(18586, NULL, 'MF_00067', NULL, NULL, 'Phosphoheptose isomerase [gmhA].', NULL, 'GmhA', NULL, NULL, NULL, 7),
(18587, NULL, 'MF_02111', NULL, NULL, 'Pup--protein ligase [pafA].', NULL, 'Pup_ligase', NULL, NULL, NULL, 7),
(18588, NULL, 'MF_00701', NULL, NULL, 'DNA primase large subunit PriL [priL].', NULL, 'DNA_primase_lrg_arc', NULL, NULL, NULL, 7),
(18589, NULL, 'MF_00351', NULL, NULL, 'Fibrillarin-like rRNA/tRNA 2''-O-methyltransferase [flpA].', NULL, 'RNA_methyltransf_FlpA', NULL, NULL, NULL, 7),
(18590, NULL, 'MF_00490', NULL, NULL, '2-phosphosulfolactate phosphatase [comB].', NULL, 'ComB', NULL, NULL, NULL, 7),
(18591, NULL, 'MF_03041', NULL, NULL, 'Protein Spindly [SPDL1].', NULL, 'SPDLY', NULL, NULL, NULL, 7),
(18592, NULL, 'MF_01016', NULL, NULL, 'Putative transport protein YidE [yidE].', NULL, 'YidE', NULL, NULL, NULL, 7),
(18593, NULL, 'MF_01884', NULL, NULL, 'Transcription termination factor Rho [rho].', NULL, 'Rho', NULL, NULL, NULL, 7),
(18594, NULL, 'MF_00425', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit A [nqrA].', NULL, 'NqrA', NULL, NULL, NULL, 7),
(18595, NULL, 'MF_01351', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit I, chloroplastic [ndhI].', NULL, 'NDH1_NuoI', NULL, NULL, NULL, 7),
(18596, NULL, 'MF_01924', NULL, NULL, 'D-alanyl-D-alanine dipeptidase [ddpX].', NULL, 'A_A_dipeptidase', NULL, NULL, NULL, 7),
(18597, NULL, 'MF_00661', NULL, NULL, 'ATP-dependent RNA helicase RhlB [rhlB].', NULL, 'DEAD_helicase_RhlB', NULL, NULL, NULL, 7),
(18598, NULL, 'MF_00817', NULL, NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, 'QueF_type2', NULL, NULL, NULL, 7),
(18599, NULL, 'MF_01331_A', NULL, NULL, '50S ribosomal protein L22 [rplV].', NULL, 'Ribosomal_L22_A', NULL, NULL, NULL, 7),
(18600, NULL, 'MF_00368', NULL, NULL, '50S ribosomal protein L7/L12 [rplL].', NULL, 'Ribosomal_L7_L12', NULL, NULL, NULL, 7),
(18601, NULL, 'MF_01190', NULL, NULL, 'HTH-type transcriptional repressor FabR [fabR].', NULL, 'HTH_type_FabR', NULL, NULL, NULL, 7),
(18602, NULL, 'MF_01525', NULL, NULL, 'Carnitine operon protein CaiE [caiE].', NULL, 'CaiE', NULL, NULL, NULL, 7),
(18603, NULL, 'MF_00085', NULL, NULL, 'Translation initiation factor 5A [eif5a].', NULL, 'eIF_5A', NULL, NULL, NULL, 7),
(18604, NULL, 'MF_00256', NULL, NULL, '50S ribosomal protein L15e [rpl15e].', NULL, 'Ribosomal_L15e', NULL, NULL, NULL, 7),
(18605, NULL, 'MF_01687', NULL, NULL, 'Beta-galactosidase [lacZ].', NULL, 'Beta_gal', NULL, NULL, NULL, 7),
(18606, NULL, 'MF_01482', NULL, NULL, 'Mycothiol S-conjugate amidase [mca].', NULL, 'Mca', NULL, NULL, NULL, 7),
(18607, NULL, 'MF_02204', NULL, NULL, 'Peptidoglycan-associated lipoprotein [pal].', NULL, 'Pal', NULL, NULL, NULL, 7),
(18608, NULL, 'MF_00366', NULL, NULL, 'DNA-directed RNA polymerase subunit omega [rpoZ].', NULL, 'RNApol_bact_RpoZ', NULL, NULL, NULL, 7),
(18609, NULL, 'MF_01128', NULL, NULL, 'H(+)/Cl(-) exchange transporter ClcA [clcA].', NULL, 'CLC_ClcA', NULL, NULL, NULL, 7),
(18610, NULL, 'MF_00199', NULL, NULL, 'Bis(5''-nucleosyl)-tetraphosphatase, symmetrical [apaH].', NULL, 'ApaH', NULL, NULL, NULL, 7),
(18611, NULL, 'MF_00945_B', NULL, NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, 'NusA_B', NULL, NULL, NULL, 7),
(18612, NULL, 'MF_00416', NULL, NULL, 'Flagellar P-ring protein [flgI].', NULL, 'FlgI', NULL, NULL, NULL, 7);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18613, NULL, 'MF_01654', NULL, NULL, '2-hydroxy-6-oxononadienedioate/2-hydroxy-6-oxononatrienedioate hydrolase [mhpC].', NULL, 'MhpC', NULL, NULL, NULL, 7),
(18614, NULL, 'MF_01657', NULL, NULL, 'Acetaldehyde dehydrogenase [mhpF].', NULL, 'Ac_ald_DH_ac', NULL, NULL, NULL, 7),
(18615, NULL, 'MF_00936', NULL, NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, 'ParC_type1', NULL, NULL, NULL, 7),
(18616, NULL, 'MF_00528', NULL, NULL, 'dTTP/UTP pyrophosphatase.', NULL, 'Maf', NULL, NULL, NULL, 7),
(18617, NULL, 'MF_01325_B', NULL, NULL, '50S ribosomal protein L3 [rplC].', NULL, 'Ribosomal_L3_B', NULL, NULL, NULL, 7),
(18618, NULL, 'MF_01000', NULL, NULL, 'Vitamin B12-binding protein [btuF].', NULL, 'BtuF', NULL, NULL, NULL, 7),
(18619, NULL, 'MF_02004', NULL, NULL, 'Valine--tRNA ligase [valS].', NULL, 'Val_tRNA_synth_type1', NULL, NULL, NULL, 7),
(18620, NULL, 'MF_01321', NULL, NULL, 'DNA-directed RNA polymerase subunit beta [rpoB].', NULL, 'RNApol_bact_RpoB', NULL, NULL, NULL, 7),
(18621, NULL, 'MF_00583_A', NULL, NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, 'RibP_PPkinase_A', NULL, NULL, NULL, 7),
(18622, NULL, 'MF_00339', NULL, NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, 'Phosphofructokinase_I_B1', NULL, NULL, NULL, 7),
(18623, NULL, 'MF_00511', NULL, NULL, '30S ribosomal protein S17e [rps17e].', NULL, 'Ribosomal_S17e', NULL, NULL, NULL, 7),
(18624, NULL, 'MF_01606', NULL, NULL, 'Iron-sulfur cluster repair protein YtfE [ytfE].', NULL, 'RIC_YtfE', NULL, NULL, NULL, 7),
(18625, NULL, 'MF_00591', NULL, NULL, 'Exosome complex component Rrp41 [rrp41].', NULL, 'Exosome_Rrp41', NULL, NULL, NULL, 7),
(18626, NULL, 'MF_00767', NULL, NULL, 'Succinylglutamate desuccinylase [astE].', NULL, 'Arg_catab_AstE', NULL, NULL, NULL, 7),
(18627, NULL, 'MF_01193', NULL, NULL, 'Endoribonuclease SymE [symE].', NULL, 'Endoribonucl_SymE', NULL, NULL, NULL, 7),
(18628, NULL, 'MF_01057', NULL, NULL, 'tRNA (guanine-N(7)-)-methyltransferase [trmB].', NULL, 'tRNA_methyltr_TrmB', NULL, NULL, NULL, 7),
(18629, NULL, 'MF_00664', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, 'PS_decarb_PSD_A', NULL, NULL, NULL, 7),
(18630, NULL, 'MF_04003', NULL, NULL, 'Minor capsid protein L2 [L2].', NULL, 'PPV_L2', NULL, NULL, NULL, 7),
(18631, NULL, 'MF_02243', NULL, NULL, 'Tagaturonate/fructuronate epimerase [uxaE].', NULL, 'UxaE', NULL, NULL, NULL, 7),
(18632, NULL, 'MF_00120', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit A [gatA].', NULL, 'GatA', NULL, NULL, NULL, 7),
(18633, NULL, 'MF_00484', NULL, NULL, 'Glycogen synthase [glgA].', NULL, 'Glycogen_synth', NULL, NULL, NULL, 7),
(18634, NULL, 'MF_01267', NULL, NULL, '3-keto-L-gulonate-6-phosphate decarboxylase UlaD [ulaD].', NULL, 'UlaD', NULL, NULL, NULL, 7),
(18635, NULL, 'MF_02040', NULL, NULL, 'Iron-sulfur cluster carrier protein.', NULL, 'Mrp_NBP35', NULL, NULL, NULL, 7),
(18636, NULL, 'MF_01197', NULL, NULL, 'Cell division protein SepF [sepF].', NULL, 'SepF', NULL, NULL, NULL, 7),
(18637, NULL, 'MF_02041', NULL, NULL, 'tRNA-dihydrouridine(20/20a) synthase [dusA].', NULL, 'DusA_subfam', NULL, NULL, NULL, 7),
(18638, NULL, 'MF_00340', NULL, NULL, '50S ribosomal protein L32 [rpmF].', NULL, 'Ribosomal_L32', NULL, NULL, NULL, 7),
(18639, NULL, 'MF_01449', NULL, NULL, 'HTH-type transcriptional regulator SgrR [sgrR].', NULL, 'HTH_type_SgrR', NULL, NULL, NULL, 7),
(18640, NULL, 'MF_02090', NULL, NULL, 'Glutamine-dependent NAD(+) synthetase [nadE].', NULL, 'NadE_glutamine_dep', NULL, NULL, NULL, 7),
(18641, NULL, 'MF_00095', NULL, NULL, 'Sugar fermentation stimulation protein A [sfsA].', NULL, 'SfsA', NULL, NULL, NULL, 7),
(18642, NULL, 'MF_01554_A', NULL, NULL, 'Phosphoglucosamine mutase [glmM].', NULL, 'GlmM_A', NULL, NULL, NULL, 7),
(18643, NULL, 'MF_01624', NULL, NULL, 'Arsenate reductase [arsC].', NULL, 'Arsenate_reduct', NULL, NULL, NULL, 7),
(18644, NULL, 'MF_03059', NULL, NULL, 'Ribosome-releasing factor 2, mitochondrial [GFM2].', NULL, 'mEF_G_2', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18645, NULL, 'MF_01876', NULL, NULL, 'Pseudouridine-5''-phosphate glycosidase [psuG].', NULL, 'PsiMP_glycosidase', NULL, NULL, NULL, 7),
(18646, NULL, 'MF_00407', NULL, NULL, 'DNA ligase [lig].', NULL, 'DNA_ligase', NULL, NULL, NULL, 7),
(18647, NULL, 'MF_01181', NULL, NULL, 'Regulator of sigma D [rsd].', NULL, 'Rsd', NULL, NULL, NULL, 7),
(18648, NULL, 'MF_01621', NULL, NULL, 'Fatty acid oxidation complex subunit alpha [fadB].', NULL, 'FadB', NULL, NULL, NULL, 7),
(18649, NULL, 'MF_02214', NULL, NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit MurT [murT].', NULL, 'Lipid_II_synth_MurT', NULL, NULL, NULL, 7),
(18650, NULL, 'MF_02216', NULL, NULL, 'Ubiquinone biosynthesis accessory factor UbiK [ubiK].', NULL, 'UbiK', NULL, NULL, NULL, 7),
(18651, NULL, 'MF_03029', NULL, NULL, 'Ribosome biogenesis protein @gn(WDR12) [WDR12].', NULL, 'WDR12', NULL, NULL, NULL, 7),
(18652, NULL, 'MF_01533', NULL, NULL, 'HTH-type transcriptional activator RhaR [rhaR].', NULL, 'HTH_type_RhaR', NULL, NULL, NULL, 7),
(18653, NULL, 'MF_00998', NULL, NULL, 'Sulfoquinovose isomerase.', NULL, 'SQ_isomerase', NULL, NULL, NULL, 7),
(18654, NULL, 'MF_01910', NULL, NULL, 'Probable ribonuclease FAU-1 [fau-1].', NULL, 'RNA_binding_AU_1', NULL, NULL, NULL, 7),
(18655, NULL, 'MF_00445', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 2, chloroplastic [ndhB].', NULL, 'NDH1_NuoN_1', NULL, NULL, NULL, 7),
(18656, NULL, 'MF_01483', NULL, NULL, 'RNA polymerase-binding protein RbpA [rbpA].', NULL, 'RbpA', NULL, NULL, NULL, 7),
(18657, NULL, 'MF_01032', NULL, NULL, 'Methanogen homoaconitase small subunit [hacB].', NULL, 'LeuD_type2', NULL, NULL, NULL, 7),
(18658, NULL, 'MF_00717', NULL, NULL, 'Photosystem II protein Y [psbY].', NULL, 'PSII_PsbY', NULL, NULL, NULL, 7),
(18659, NULL, 'MF_02076', NULL, NULL, 'Glutamate--tRNA ligase [gltX].', NULL, 'Glu_tRNA_synth_type2', NULL, NULL, NULL, 7),
(18660, NULL, 'MF_02025', NULL, NULL, 'ECA polysaccharide chain length modulation protein [wzzE].', NULL, 'WzzE', NULL, NULL, NULL, 7),
(18661, NULL, 'MF_03040', NULL, NULL, 'U6 snRNA phosphodiesterase [USB1].', NULL, 'USB1', NULL, NULL, NULL, 7),
(18662, NULL, 'MF_01614', NULL, NULL, 'NADPH dehydrogenase [namA].', NULL, 'NamA', NULL, NULL, NULL, 7),
(18663, NULL, 'MF_01502', NULL, NULL, 'UPF0295 protein <locus_tag>.', NULL, 'UPF0295', NULL, NULL, NULL, 7),
(18664, NULL, 'MF_04207', NULL, NULL, 'Hemagglutinin-esterase [HE].', NULL, 'BETA_CORONA_HE', NULL, NULL, NULL, 7),
(18665, NULL, 'MF_00476', NULL, NULL, 'Nickel-responsive regulator [nikR].', NULL, 'NikR', NULL, NULL, NULL, 7),
(18666, NULL, 'MF_01090', NULL, NULL, '5,10-methenyltetrahydromethanopterin hydrogenase [hmd].', NULL, 'HMD', NULL, NULL, NULL, 7),
(18667, NULL, 'MF_00608', NULL, NULL, 'GTP cyclohydrolase III [gch3].', NULL, 'GTP_cyclohydro_3', NULL, NULL, NULL, 7),
(18668, NULL, 'MF_01082', NULL, NULL, 'tRNA pseudouridine synthase D [truD].', NULL, 'TruD', NULL, NULL, NULL, 7),
(18669, NULL, 'MF_01568', NULL, NULL, 'UPF0374 protein <locus_tag>.', NULL, 'UPF0374', NULL, NULL, NULL, 7),
(18670, NULL, 'MF_00980', NULL, NULL, 'Phosphotransferase RcsD [rcsD].', NULL, 'RcsD', NULL, NULL, NULL, 7),
(18671, NULL, 'MF_00708', NULL, NULL, 'Fumarate reductase subunit C [frdC].', NULL, 'Fumarate_red_C', NULL, NULL, NULL, 7),
(18672, NULL, 'MF_00629', NULL, NULL, '50S ribosomal protein L39e [rpl39e].', NULL, 'Ribosomal_L39e', NULL, NULL, NULL, 7),
(18673, NULL, 'MF_01484', NULL, NULL, 'Multidrug efflux pump accessory protein AcrZ [acrZ].', NULL, 'AcrZ', NULL, NULL, NULL, 7),
(18674, NULL, 'MF_01933', NULL, NULL, 'o-succinylbenzoate synthase [menC].', NULL, 'MenC_2', NULL, NULL, NULL, 7),
(18675, NULL, 'MF_00217', NULL, NULL, 'Mevalonate kinase [mvk].', NULL, 'Mevalonate_kinase', NULL, NULL, NULL, 7),
(18676, NULL, 'MF_01409', NULL, NULL, 'UPF0219 protein <locus_tag>.', NULL, 'UPF0219', NULL, NULL, NULL, 7),
(18677, NULL, 'MF_00488', NULL, NULL, 'L-lactate dehydrogenase [ldh].', NULL, 'Lactate_dehydrog', NULL, NULL, NULL, 7);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18678, NULL, 'MF_00052_B', NULL, NULL, 'Ribonuclease HII [rnhB].', NULL, 'RNase_HII_B', NULL, NULL, NULL, 7),
(18679, NULL, 'MF_01361', NULL, NULL, 'UPF0391 membrane protein YtjA [ytjA].', NULL, 'UPF0391', NULL, NULL, NULL, 7),
(18680, NULL, 'MF_00850', NULL, NULL, 'Pyruvate dehydrogenase [ubiquinone] [poxB].', NULL, 'POX', NULL, NULL, NULL, 7),
(18681, NULL, 'MF_00396', NULL, NULL, 'Cytochrome b6-f complex subunit 7 [petM].', NULL, 'Cytb6_f_PetM', NULL, NULL, NULL, 7),
(18682, NULL, 'MF_00604', NULL, NULL, 'Protein translation factor SUI1 homolog.', NULL, 'SUI1', NULL, NULL, NULL, 7),
(18683, NULL, 'MF_01521', NULL, NULL, 'Probable manganese efflux pump MntP [mntP].', NULL, 'MntP_pump', NULL, NULL, NULL, 7),
(18684, NULL, 'MF_00341', NULL, NULL, 'UPF0146 protein <locus_tag>.', NULL, 'UPF0146', NULL, NULL, NULL, 7),
(18685, NULL, 'MF_00261', NULL, NULL, 'DNA-directed RNA polymerase subunit L [rpoL].', NULL, 'RNApol_arch_L', NULL, NULL, NULL, 7),
(18686, NULL, 'MF_01808', NULL, NULL, 'Tyrosine recombinase XerC [xerC].', NULL, 'Recomb_XerC_XerD', NULL, NULL, NULL, 7),
(18687, NULL, 'MF_00233', NULL, NULL, 'Outer-membrane lipoprotein LolB [lolB].', NULL, 'LolB', NULL, NULL, NULL, 7),
(18688, NULL, 'MF_00369', NULL, NULL, '50S ribosomal protein L21e [rpl21e].', NULL, 'Ribosomal_L21e', NULL, NULL, NULL, 7),
(18689, NULL, 'MF_04118', NULL, NULL, 'Internal virion protein gp14.', NULL, 'GP14_T7', NULL, NULL, NULL, 7),
(18690, NULL, 'MF_00323', NULL, NULL, 'Coproporphyrin III ferrochelatase [cpfC].', NULL, 'Ferrochelatase', NULL, NULL, NULL, 7),
(18691, NULL, 'MF_01139', NULL, NULL, 'Ditrans,polycis-undecaprenyl-diphosphate synthase ((2E,6E)-farnesyl-diphosphate specific) [uppS].', NULL, 'ISPT', NULL, NULL, NULL, 7),
(18692, NULL, 'MF_00385', NULL, NULL, '30S ribosomal protein S16 [rpsP].', NULL, 'Ribosomal_S16', NULL, NULL, NULL, 7),
(18693, NULL, 'MF_00601', NULL, NULL, 'Ethanolamine ammonia-lyase light chain [eutC].', NULL, 'EutC', NULL, NULL, NULL, 7),
(18694, NULL, 'MF_00158', NULL, NULL, 'Pantothenate synthetase [panC].', NULL, 'PanC', NULL, NULL, NULL, 7),
(18695, NULL, 'MF_01913', NULL, NULL, '3-sulfolactaldehyde reductase.', NULL, 'SLA_reductase', NULL, NULL, NULL, 7),
(18696, NULL, 'MF_01981', NULL, NULL, 'ATP-dependent 6-phosphofructokinase [pfkA].', NULL, 'Phosphofructokinase_II_X', NULL, NULL, NULL, 7),
(18697, NULL, 'MF_00683', NULL, NULL, 'UPF0265 protein YeeX [yeeX].', NULL, 'UPF0265', NULL, NULL, NULL, 7),
(18698, NULL, 'MF_04068', NULL, NULL, 'Matrix protein 1 [M].', NULL, 'INFV_M1', NULL, NULL, NULL, 7),
(18699, NULL, 'MF_01169', NULL, NULL, '2-oxoglutarate dehydrogenase E1 component [odhA].', NULL, 'SucA_OdhA', NULL, NULL, NULL, 7),
(18700, NULL, 'MF_03035', NULL, NULL, 'Polyribonucleotide 5''-hydroxyl-kinase Clp1 [CLP1].', NULL, 'Clp1', NULL, NULL, NULL, 7),
(18701, NULL, 'MF_01931', NULL, NULL, 'Amidophosphoribosyltransferase [purF].', NULL, 'PurF', NULL, NULL, NULL, 7),
(18702, NULL, 'MF_02221', NULL, NULL, 'Carbamoyl-phosphate synthase.', NULL, 'CPSase', NULL, NULL, NULL, 7),
(18703, NULL, 'MF_01393', NULL, NULL, 'ATP synthase subunit a [atpB].', NULL, 'ATP_synth_a_bact', NULL, NULL, NULL, 7),
(18704, NULL, 'MF_00009', NULL, NULL, 'Endoribonuclease YbeY [ybeY].', NULL, 'Endoribonucl_YbeY', NULL, NULL, NULL, 7),
(18705, NULL, 'MF_00403_B', NULL, NULL, '30S ribosomal protein S12 [rpsL].', NULL, 'Ribosomal_S12_B', NULL, NULL, NULL, 7),
(18706, NULL, 'MF_03022', NULL, NULL, 'Katanin p80 WD40 repeat-containing subunit B1 [KATNB1].', NULL, 'Katanin_p80_B1', NULL, NULL, NULL, 7),
(18707, NULL, 'MF_01357', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit J, chloroplastic [ndhJ].', NULL, 'NDH1_NuoC', NULL, NULL, NULL, 7),
(18708, NULL, 'MF_04090', NULL, NULL, 'Non-structural protein 3.', NULL, 'ROTA_NSP3', NULL, NULL, NULL, 7),
(18709, NULL, 'MF_01885', NULL, NULL, 'tRNA (cytidine(34)-2''-O)-methyltransferase [trmL].', NULL, 'tRNA_methyltr_TrmL', NULL, NULL, NULL, 7);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18710, NULL, 'MF_02049', NULL, NULL, 'Nucleoside permease NupG [nupG].', NULL, 'NupG', NULL, NULL, NULL, 7),
(18711, NULL, 'MF_01987', NULL, NULL, 'Ribokinase [rbsK].', NULL, 'Ribokinase', NULL, NULL, NULL, 7),
(18712, NULL, 'MF_00125', NULL, NULL, 'ATP phosphoribosyltransferase regulatory subunit [hisZ].', NULL, 'HisZ', NULL, NULL, NULL, 7),
(18713, NULL, 'MF_00045', NULL, NULL, 'Oligoribonuclease [orn].', NULL, 'Oligoribonuclease', NULL, NULL, NULL, 7),
(18714, NULL, 'MF_01338', NULL, NULL, 'Ribulose bisphosphate carboxylase large chain [rbcL].', NULL, 'RuBisCO_L_type1', NULL, NULL, NULL, 7),
(18715, NULL, 'MF_01651', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin--NAD(+) reductase component [hcaD].', NULL, 'HcaD', NULL, NULL, NULL, 7),
(18716, NULL, 'MF_00983', NULL, NULL, 'Probable primosomal protein N'' [priA].', NULL, 'PriA', NULL, NULL, NULL, 7),
(18717, NULL, 'MF_01936', NULL, NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase [menI].', NULL, 'MenI', NULL, NULL, NULL, 7),
(18718, NULL, 'MF_00823', NULL, NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit alpha [accA].', NULL, 'AcetylCoA_CT_alpha', NULL, NULL, NULL, 7),
(18719, NULL, 'MF_00134_B', NULL, NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, 'IGPS_B', NULL, NULL, NULL, 7),
(18720, NULL, 'MF_01632', NULL, NULL, 'Chorismate pyruvate-lyase [ubiC].', NULL, 'UbiC', NULL, NULL, NULL, 7),
(18721, NULL, 'MF_04106', NULL, NULL, 'Baseplate wedge protein gp10.', NULL, 'BP10_T4', NULL, NULL, NULL, 7),
(18722, NULL, 'MF_04039', NULL, NULL, 'Cytoplasmic envelopment protein 2.', NULL, 'HSV_CEP2', NULL, NULL, NULL, 7),
(18723, NULL, 'MF_01598', NULL, NULL, 'Spermidine export protein MdtJ [mdtJ].', NULL, 'MdtJ', NULL, NULL, NULL, 7),
(18724, NULL, 'MF_00424', NULL, NULL, 'Peptide chain release factor subunit 1 [prf1].', NULL, 'Rel_fact_arch_1', NULL, NULL, NULL, 7),
(18725, NULL, 'MF_01873', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase Cfr [cfr].', NULL, '23SrRNA_methyltr_Cfr', NULL, NULL, NULL, 7),
(18726, NULL, 'MF_01328_B', NULL, NULL, '50S ribosomal protein L4 [rplD].', NULL, 'Ribosomal_L4_B', NULL, NULL, NULL, 7),
(18727, NULL, 'MF_01053', NULL, NULL, 'UPF0231 protein YacL [yacL].', NULL, 'UPF0231', NULL, NULL, NULL, 7),
(18728, NULL, 'MF_01362', NULL, NULL, 'UPF0387 membrane protein YohO [yohO].', NULL, 'UPF0387', NULL, NULL, NULL, 7),
(18729, NULL, 'MF_01516', NULL, NULL, 'Malate dehydrogenase [mdh].', NULL, 'Malate_dehydrog_1', NULL, NULL, NULL, 7),
(18730, NULL, 'MF_01470', NULL, NULL, 'CRISPR-associated endonuclease Cas1 [cas1].', NULL, 'Cas1', NULL, NULL, NULL, 7),
(18731, NULL, 'MF_01252', NULL, NULL, 'Flavohemoprotein [hmp].', NULL, 'Hmp', NULL, NULL, NULL, 7),
(18732, NULL, 'MF_00909', NULL, NULL, 'Cell division protein FtsZ [ftsZ].', NULL, 'FtsZ', NULL, NULL, NULL, 7),
(18733, NULL, 'MF_00093', NULL, NULL, 'Peptide chain release factor 1 [prfA].', NULL, 'Rel_fac_1', NULL, NULL, NULL, 7),
(18734, NULL, 'MF_00485', NULL, NULL, '30S ribosomal protein S4e [rps4e].', NULL, 'Ribosomal_S4e', NULL, NULL, NULL, 7),
(18735, NULL, 'MF_00059', NULL, NULL, 'DNA-directed RNA polymerase subunit alpha [rpoA].', NULL, 'RNApol_bact_RpoA', NULL, NULL, NULL, 7),
(18736, NULL, 'MF_01585', NULL, NULL, 'Lysophospholipid transporter LplT [lplT].', NULL, 'MFS_LplT', NULL, NULL, NULL, 7),
(18737, NULL, 'MF_02050', NULL, NULL, 'Fused isobutyryl-CoA mutase [icmF].', NULL, 'IcmF', NULL, NULL, NULL, 7),
(18738, NULL, 'MF_04021', NULL, NULL, 'Small capsomere-interacting protein [SCP].', NULL, 'HSV_SCP_betahv', NULL, NULL, NULL, 7),
(18739, NULL, 'MF_00207', NULL, NULL, 'Probable manganese-dependent inorganic pyrophosphatase [ppaC].', NULL, 'PPase_C', NULL, NULL, NULL, 7),
(18740, NULL, 'MF_03069', NULL, NULL, 'Protein kintoun [DNAAF2].', NULL, 'Kintoun', NULL, NULL, NULL, 7),
(18741, NULL, 'MF_00558', NULL, NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta [sucC].', NULL, 'Succ_CoA_beta', NULL, NULL, NULL, 7);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18742, NULL, 'MF_01167', NULL, NULL, 'UDP-4-amino-4-deoxy-L-arabinose--oxoglutarate aminotransferase [arnB].', NULL, 'ArnB_transfer', NULL, NULL, NULL, 7),
(18743, NULL, 'MF_00619', NULL, NULL, 'Probable 30S ribosomal protein 3, chloroplastic [ycf65].', NULL, 'Ribosomal_plastid_S3', NULL, NULL, NULL, 7),
(18744, NULL, 'MF_01919', NULL, NULL, 'Cell division protein ZapE [zapE].', NULL, 'ZapE', NULL, NULL, NULL, 7),
(18745, NULL, 'MF_00596', NULL, NULL, 'GMP reductase [guaC].', NULL, 'GMP_reduct_type1', NULL, NULL, NULL, 7),
(18746, NULL, 'MF_00404', NULL, NULL, 'Probable oxaloacetate decarboxylase gamma chain [oadG].', NULL, 'OadG', NULL, NULL, NULL, 7),
(18747, NULL, 'MF_00673', NULL, NULL, 'UPF0254 protein <locus_tag>.', NULL, 'UPF0254', NULL, NULL, NULL, 7),
(18748, NULL, 'MF_01088', NULL, NULL, 'Universal stress protein B [uspB].', NULL, 'UspB', NULL, NULL, NULL, 7),
(18749, NULL, 'MF_01879', NULL, NULL, 'Dipeptide and tripeptide permease B [dtpB].', NULL, 'PTR2_DtpB_subfam', NULL, NULL, NULL, 7),
(18750, NULL, 'MF_00308', NULL, NULL, 'Prefoldin subunit alpha [pfdA].', NULL, 'PfdA', NULL, NULL, NULL, 7),
(18751, NULL, 'MF_01178', NULL, NULL, 'Sigma factor-binding protein Crl [crl].', NULL, 'Crl', NULL, NULL, NULL, 7),
(18752, NULL, 'MF_00214', NULL, NULL, '3-dehydroquinate dehydratase [aroD].', NULL, 'AroD', NULL, NULL, NULL, 7),
(18753, NULL, 'MF_02022', NULL, NULL, 'Cell division protein DedD [dedD].', NULL, 'DedD', NULL, NULL, NULL, 7),
(18754, NULL, 'MF_00024', NULL, NULL, 'Cobalamin biosynthesis protein CbiB [cbiB].', NULL, 'CobD_CbiB', NULL, NULL, NULL, 7),
(18755, NULL, 'MF_00289_B', NULL, NULL, 'Proteasome subunit alpha [prcA].', NULL, 'Proteasome_A_B', NULL, NULL, NULL, 7),
(18756, NULL, 'MF_00212', NULL, NULL, 'Probable malate:quinone oxidoreductase [mqo].', NULL, 'MQO', NULL, NULL, NULL, 7),
(18757, NULL, 'MF_01372', NULL, NULL, 'UPF0412 protein YaaI [yaaI].', NULL, 'UPF0412', NULL, NULL, NULL, 7),
(18758, NULL, 'MF_00658', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase H [rlmH].', NULL, '23SrRNA_methyltr_H', NULL, NULL, NULL, 7),
(18759, NULL, 'MF_01126', NULL, NULL, 'UPF0298 protein <locus_tag>.', NULL, 'UPF0298', NULL, NULL, NULL, 7),
(18760, NULL, 'MF_01273', NULL, NULL, 'Type II pantothenate kinase [coaW].', NULL, 'Pantothen_kinase_2', NULL, NULL, NULL, 7),
(18761, NULL, 'MF_02032', NULL, NULL, '2-hydroxy-3-oxopropionate reductase [garR].', NULL, 'Tartronate_sem_reduc', NULL, NULL, NULL, 7),
(18762, NULL, 'MF_00534', NULL, NULL, 'Asparagine--tRNA ligase [asnS].', NULL, 'Asn_tRNA_synth', NULL, NULL, NULL, 7),
(18763, NULL, 'MF_01627', NULL, NULL, 'Purine nucleoside phosphorylase DeoD-type [deoD].', NULL, 'Pur_nucleosid_phosp', NULL, NULL, NULL, 7),
(18764, NULL, 'MF_04004', NULL, NULL, 'Protein E7 [E7].', NULL, 'PPV_E7', NULL, NULL, NULL, 7),
(18765, NULL, 'MF_00756', NULL, NULL, 'Ribonuclease P protein component 3 [rnp3].', NULL, 'RNase_P_3', NULL, NULL, NULL, 7),
(18766, NULL, 'MF_01305', NULL, NULL, 'Photosystem II reaction center protein J [psbJ].', NULL, 'PSII_PsbJ', NULL, NULL, NULL, 7),
(18767, NULL, 'MF_02083', NULL, NULL, '[LysW]-L-2-aminoadipate/[LysW]-L-glutamate phosphate reductase [lysY].', NULL, 'LysY', NULL, NULL, NULL, 7),
(18768, NULL, 'MF_00825', NULL, NULL, '3-hydroxyanthranilate 3,4-dioxygenase [nbaC].', NULL, '3_HAO', NULL, NULL, NULL, 7),
(18769, NULL, 'MF_00679', NULL, NULL, 'Chaperone protein HscA [hscA].', NULL, 'HscA', NULL, NULL, NULL, 7),
(18770, NULL, 'MF_03208', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [PISD].', NULL, 'PS_decarb_PSD_B_type1_euk', NULL, NULL, NULL, 7),
(18771, NULL, 'MF_00730', NULL, NULL, 'Nucleoid-associated protein YejK [yejK].', NULL, 'NdpA', NULL, NULL, NULL, 7),
(18772, NULL, 'MF_00573', NULL, NULL, '50S ribosomal protein L35Ae [rpl35ae].', NULL, 'Ribosomal_L35Ae', NULL, NULL, NULL, 7),
(18773, NULL, 'MF_00370', NULL, NULL, 'Shikimate kinase [aroK].', NULL, 'Shik_kinase_arch', NULL, NULL, NULL, 7);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18774, NULL, 'MF_00025', NULL, NULL, 'DNA-directed RNA polymerase subunit H [rpoH].', NULL, 'RNApol_RpoH_RPB5', NULL, NULL, NULL, 7),
(18775, NULL, 'MF_01048', NULL, NULL, 'Protein PsiE [psiE].', NULL, 'PsiE', NULL, NULL, NULL, 7),
(18776, NULL, 'MF_02229', NULL, NULL, '5-deoxyribose 1-phosphate isomerase [drdI].', NULL, 'Deoxyribose1P_isomerase', NULL, NULL, NULL, 7),
(18777, NULL, 'MF_01610', NULL, NULL, 'Probable L-tyrosine/L-aspartate decarboxylase [mfnA].', NULL, 'MfnA_decarbox', NULL, NULL, NULL, 7),
(18778, NULL, 'MF_00363', NULL, NULL, 'UPF0154 protein <locus_tag>.', NULL, 'UPF0154', NULL, NULL, NULL, 7),
(18779, NULL, 'MF_01234', NULL, NULL, 'N-acetylmannosamine kinase [nanK].', NULL, 'ManNAc_kinase', NULL, NULL, NULL, 7),
(18780, NULL, 'MF_00766', NULL, NULL, 'Biosynthetic peptidoglycan transglycosylase [mtgA].', NULL, 'PGT_MtgA', NULL, NULL, NULL, 7),
(18781, NULL, 'MF_01616', NULL, NULL, 'Membrane-bound lytic murein transglycosylase C [mltC].', NULL, 'MltC', NULL, NULL, NULL, 7),
(18782, NULL, 'MF_01869', NULL, NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnE [arnE].', NULL, 'Flippase_ArnE', NULL, NULL, NULL, 7),
(18783, NULL, 'MF_01261', NULL, NULL, 'Multifunctional CCA protein [cca].', NULL, 'CCA_bact_type1', NULL, NULL, NULL, 7),
(18784, NULL, 'MF_01246', NULL, NULL, 'Chitooligosaccharide deacetylase [chbG].', NULL, 'COD', NULL, NULL, NULL, 7),
(18785, NULL, 'MF_00114', NULL, NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, 'DeoC_type1', NULL, NULL, NULL, 7),
(18786, NULL, 'MF_00908', NULL, NULL, 'Negative modulator of initiation of replication [seqA].', NULL, 'SeqA', NULL, NULL, NULL, 7),
(18787, NULL, 'MF_04066', NULL, NULL, 'Non-structural protein 1 [NS].', NULL, 'INFV_NS1', NULL, NULL, NULL, 7),
(18788, NULL, 'MF_00284', NULL, NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, 'Phe_tRNA_synth_beta2', NULL, NULL, NULL, 7),
(18789, NULL, 'MF_01636', NULL, NULL, '3-octaprenyl-4-hydroxybenzoate carboxy-lyase [ubiD].', NULL, 'UbiD', NULL, NULL, NULL, 7),
(18790, NULL, 'MF_00402', NULL, NULL, '50S ribosomal protein L19 [rplS].', NULL, 'Ribosomal_L19', NULL, NULL, NULL, 7),
(18791, NULL, 'MF_00733', NULL, NULL, '1-pyrroline-5-carboxylate dehydrogenase [rocA].', NULL, 'RocA', NULL, NULL, NULL, 7),
(18792, NULL, 'MF_02051', NULL, NULL, '(4S)-4-hydroxy-5-phosphonooxypentane-2,3-dione isomerase [lsrG].', NULL, 'LsrG', NULL, NULL, NULL, 7),
(18793, NULL, 'MF_04048', NULL, NULL, 'Pre-protein VI [L3].', NULL, 'ADV_CAP6', NULL, NULL, NULL, 7),
(18794, NULL, 'MF_00164', NULL, NULL, 'Glutamine--fructose-6-phosphate aminotransferase [isomerizing] [glmS].', NULL, 'GlmS', NULL, NULL, NULL, 7),
(18795, NULL, 'MF_01527_A', NULL, NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, 'GTP_cyclohydrol_A', NULL, NULL, NULL, 7),
(18796, NULL, 'MF_00211', NULL, NULL, 'Anthranilate phosphoribosyltransferase [trpD].', NULL, 'TrpD', NULL, NULL, NULL, 7),
(18797, NULL, 'MF_04016', NULL, NULL, 'Major capsid protein [MCP].', NULL, 'HSV_MCP', NULL, NULL, NULL, 7),
(18798, NULL, 'MF_00625', NULL, NULL, 'Selenide, water dikinase [selD].', NULL, 'SelD', NULL, NULL, NULL, 7),
(18799, NULL, 'MF_00413', NULL, NULL, 'Sulfur carrier protein TusA [tusA].', NULL, 'Thiourid_synth_A', NULL, NULL, NULL, 7),
(18800, NULL, 'MF_00580', NULL, NULL, '10 kDa chaperonin [groS].', NULL, 'CH10', NULL, NULL, NULL, 7),
(18801, NULL, 'MF_00750', NULL, NULL, 'Oxygen-dependent choline dehydrogenase [betA].', NULL, 'Choline_dehydrogen', NULL, NULL, NULL, 7),
(18802, NULL, 'MF_00557', NULL, NULL, 'Alginate lyase [algL].', NULL, 'Alginate_lyase', NULL, NULL, NULL, 7),
(18803, NULL, 'MF_00686', NULL, NULL, 'Probable Fe(2+)-trafficking protein [yggX].', NULL, 'Fe_traffic_YggX', NULL, NULL, NULL, 7),
(18804, NULL, 'MF_00299', NULL, NULL, 'Probable RNA 2''-phosphotransferase [kptA].', NULL, 'KptA', NULL, NULL, NULL, 7),
(18805, NULL, 'MF_00010', NULL, NULL, 'UPF0060 membrane protein YnfA [ynfA].', NULL, 'UPF0060', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18806, NULL, 'MF_00329', NULL, NULL, '50S ribosomal protein L18e [rpl18e].', NULL, 'Ribosomal_L18e', NULL, NULL, NULL, 7),
(18807, NULL, 'MF_00315', NULL, NULL, '1-deoxy-D-xylulose-5-phosphate synthase [dxs].', NULL, 'DXP_synth', NULL, NULL, NULL, 7),
(18808, NULL, 'MF_01506', NULL, NULL, 'Small, acid-soluble spore protein Tlp [tlp].', NULL, 'Tlp', NULL, NULL, NULL, 7),
(18809, NULL, 'MF_01039', NULL, NULL, '2,3-bisphosphoglycerate-dependent phosphoglycerate mutase [gpmA].', NULL, 'PGAM_GpmA', NULL, NULL, NULL, 7),
(18810, NULL, 'MF_01663', NULL, NULL, 'L-rhamnose mutarotase [rhaM].', NULL, 'L_rham_rotase', NULL, NULL, NULL, 7),
(18811, NULL, 'MF_01171', NULL, NULL, 'Arginine N-succinyltransferase [astA].', NULL, 'AstA', NULL, NULL, NULL, 7),
(18812, NULL, 'MF_00973', NULL, NULL, 'Gluconeogenesis factor.', NULL, 'Gluconeogen_factor', NULL, NULL, NULL, 7),
(18813, NULL, 'MF_04058', NULL, NULL, 'Packaging protein 3 [L1].', NULL, 'ADV_PKG3', NULL, NULL, NULL, 7),
(18814, NULL, 'MF_01368', NULL, NULL, '50S ribosomal protein L17 [rplQ].', NULL, 'Ribosomal_L17', NULL, NULL, NULL, 7),
(18815, NULL, 'MF_00428', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit D [nqrD].', NULL, 'NqrD', NULL, NULL, NULL, 7),
(18816, NULL, 'MF_00390', NULL, NULL, 'Sulfurtransferase TusD [tusD].', NULL, 'Thiourid_synth_D', NULL, NULL, NULL, 7),
(18817, NULL, 'MF_01093', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit A [mtrA].', NULL, 'MtrA', NULL, NULL, NULL, 7),
(18818, NULL, 'MF_01253', NULL, NULL, 'Endonuclease 8 [nei].', NULL, 'Endonuclease_8', NULL, NULL, NULL, 7),
(18819, NULL, 'MF_01889', NULL, NULL, 'Penicillin-binding protein activator LpoB [lpoB].', NULL, 'LpoB', NULL, NULL, NULL, 7),
(18820, NULL, 'MF_03010', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit K [EIF3K].', NULL, 'eIF3k', NULL, NULL, NULL, 7),
(18821, NULL, 'MF_01240', NULL, NULL, 'UPF0309 protein <locus_tag>.', NULL, 'UPF0309', NULL, NULL, NULL, 7),
(18822, NULL, 'MF_01437', NULL, NULL, 'CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase [pgsA].', NULL, 'PgsA', NULL, NULL, NULL, 7),
(18823, NULL, 'MF_01068', NULL, NULL, 'Glucans biosynthesis protein D [mdoD].', NULL, 'MdoD_OpgD', NULL, NULL, NULL, 7),
(18824, NULL, 'MF_00504', NULL, NULL, 'Peptidase B [pepB].', NULL, 'Aminopeptidase_M17', NULL, NULL, NULL, 7),
(18825, NULL, 'MF_00221', NULL, NULL, 'Divalent metal cation transporter MntH [mntH].', NULL, 'NRAMP', NULL, NULL, NULL, 7),
(18826, NULL, 'MF_00213', NULL, NULL, 'Hydrogenase maturation factor HypA [hypA].', NULL, 'HypA_HybF', NULL, NULL, NULL, 7),
(18827, NULL, 'MF_00159', NULL, NULL, '4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase (ferredoxin) [ispG].', NULL, 'IspG', NULL, NULL, NULL, 7),
(18828, NULL, 'MF_02085', NULL, NULL, 'UTP--glucose-1-phosphate uridylyltransferase [cugP].', NULL, 'CugP_cyano', NULL, NULL, NULL, 7),
(18829, NULL, 'MF_01224_A', NULL, NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, 'MoaC_A', NULL, NULL, NULL, 7),
(18830, NULL, 'MF_01662', NULL, NULL, 'L-fucose mutarotase [fucU].', NULL, 'L_fucose_rotase', NULL, NULL, NULL, 7),
(18831, NULL, 'MF_01866', NULL, NULL, 'Protein YcgL [ycgL].', NULL, 'UPF0745', NULL, NULL, NULL, 7),
(18832, NULL, 'MF_00954', NULL, NULL, 'Regulator of nucleoside diphosphate kinase [rnk].', NULL, 'Rnk', NULL, NULL, NULL, 7),
(18833, NULL, 'MF_00375', NULL, NULL, 'Glutamate-1-semialdehyde 2,1-aminomutase [hemL].', NULL, 'HemL_aminotrans_3', NULL, NULL, NULL, 7),
(18834, NULL, 'MF_01540', NULL, NULL, 'Sulfite reductase [NADPH] hemoprotein beta-component [cysI].', NULL, 'CysI', NULL, NULL, NULL, 7),
(18835, NULL, 'MF_01880', NULL, NULL, 'Dipeptide permease D [dtpD].', NULL, 'PTR2_DtpD_subfam', NULL, NULL, NULL, 7),
(18836, NULL, 'MF_00501', NULL, NULL, '50S ribosomal protein L31 [rpmE].', NULL, 'Ribosomal_L31_1', NULL, NULL, NULL, 7),
(18837, NULL, 'MF_01329', NULL, NULL, 'Photosystem II reaction center protein Ycf12 [ycf12].', NULL, 'PSII_Ycf12', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18838, NULL, 'MF_01615', NULL, NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxT [pdxT].', NULL, 'PdxT', NULL, NULL, NULL, 7),
(18839, NULL, 'MF_00378', NULL, NULL, 'Exodeoxyribonuclease 7 large subunit [xseA].', NULL, 'Exonuc_7_L', NULL, NULL, NULL, 7),
(18840, NULL, 'MF_04134', NULL, NULL, 'Tail assembly protein GT.', NULL, 'GT_LAMBD', NULL, NULL, NULL, 7),
(18841, NULL, 'MF_01008', NULL, NULL, 'Transcriptional regulator MraZ [mraZ].', NULL, 'MraZ', NULL, NULL, NULL, 7),
(18842, NULL, 'MF_00812', NULL, NULL, 'Thiopurine S-methyltransferase [tpm].', NULL, 'Thiopur_methtran', NULL, NULL, NULL, 7),
(18843, NULL, 'MF_00281', NULL, NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, 'Phe_tRNA_synth_alpha1', NULL, NULL, NULL, 7),
(18844, NULL, 'MF_01608', NULL, NULL, 'Coenzyme A disulfide reductase [cdr].', NULL, 'CoA_diS_reduct', NULL, NULL, NULL, 7),
(18845, NULL, 'MF_01848', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase F [rlmF].', NULL, '23SrRNA_methyltr_F', NULL, NULL, NULL, 7),
(18846, NULL, 'MF_01660', NULL, NULL, '2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase [menH].', NULL, 'MenH', NULL, NULL, NULL, 7),
(18847, NULL, 'MF_00789', NULL, NULL, 'UPF0319 protein YccT [yccT].', NULL, 'UPF0319', NULL, NULL, NULL, 7),
(18848, NULL, 'MF_00938', NULL, NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, 'ParE_type1', NULL, NULL, NULL, 7),
(18849, NULL, 'MF_01557', NULL, NULL, 'Tagatose-6-phosphate kinase [lacC].', NULL, 'LacC', NULL, NULL, NULL, 7),
(18850, NULL, 'MF_00155', NULL, NULL, 'Cytochrome c oxidase assembly protein CtaG [ctaG].', NULL, 'CtaG', NULL, NULL, NULL, 7),
(18851, NULL, 'MF_02056', NULL, NULL, 'O-succinylhomoserine sulfhydrylase [metZ].', NULL, 'MetZ', NULL, NULL, NULL, 7),
(18852, NULL, 'MF_01176', NULL, NULL, 'HTH-type transcriptional regulator IscR [iscR].', NULL, 'HTH_type_IscR', NULL, NULL, NULL, 7),
(18853, NULL, 'MF_01454', NULL, NULL, 'GTPase Obg [obg].', NULL, 'GTPase_Obg', NULL, NULL, NULL, 7),
(18854, NULL, 'MF_02125', NULL, NULL, '50S ribosomal protein L3 glutamine methyltransferase [prmB].', NULL, 'L3_methyltr_PrmB', NULL, NULL, NULL, 7),
(18855, NULL, 'MF_00054_A', NULL, NULL, 'Elongation factor G [fusA].', NULL, 'EF_G_EF_2_A', NULL, NULL, NULL, 7),
(18856, NULL, 'MF_01111', NULL, NULL, 'UPF0200 protein <locus_tag>.', NULL, 'UPF0200', NULL, NULL, NULL, 7),
(18857, NULL, 'MF_01577', NULL, NULL, 'Putative multidrug resistance protein MdtD [mdtD].', NULL, 'MFS_MdtD', NULL, NULL, NULL, 7),
(18858, NULL, 'MF_02208', NULL, NULL, 'UDP-N-acetylmuramoyl-L-alanine--L-glutamate ligase [murD2].', NULL, 'MurD2_subfam', NULL, NULL, NULL, 7),
(18859, NULL, 'MF_01821', NULL, NULL, 'RNA polymerase-associated protein RapA [rapA].', NULL, 'Helicase_RapA', NULL, NULL, NULL, 7),
(18860, NULL, 'MF_00331', NULL, NULL, 'Cysteine desulfurase IscS [iscS].', NULL, 'Cys_desulf_IscS', NULL, NULL, NULL, 7),
(18861, NULL, 'MF_01286', NULL, NULL, 'Digeranylgeranylglyceryl phosphate synthase.', NULL, 'DGGGP_synth', NULL, NULL, NULL, 7),
(18862, NULL, 'MF_01255', NULL, NULL, 'L-ectoine synthase [ectC].', NULL, 'Ectoine_synth', NULL, NULL, NULL, 7),
(18863, NULL, 'MF_01405', NULL, NULL, 'dITP/XTP pyrophosphatase.', NULL, 'Non_canon_purine_NTPase', NULL, NULL, NULL, 7),
(18864, NULL, 'MF_00332', NULL, NULL, 'Chaperone protein DnaK [dnaK].', NULL, 'DnaK', NULL, NULL, NULL, 7),
(18865, NULL, 'MF_01306_A', NULL, NULL, '30S ribosomal protein S4 [rpsD].', NULL, 'Ribosomal_S4_A', NULL, NULL, NULL, 7),
(18866, NULL, 'MF_02235', NULL, NULL, 'N-succinylornithine carbamoyltransferase [argF''].', NULL, 'SOTCase', NULL, NULL, NULL, 7),
(18867, NULL, 'MF_04201', NULL, NULL, 'Membrane protein [M].', NULL, 'ALPHA_CORONA_M', NULL, NULL, NULL, 7),
(18868, NULL, 'MF_01692', NULL, NULL, 'N-acetyldiaminopimelate deacetylase.', NULL, 'DapEL', NULL, NULL, NULL, 7),
(18869, NULL, 'MF_01129', NULL, NULL, 'Putative K(+)-stimulated pyrophosphate-energized sodium pump [hppA].', NULL, 'PPase_energized_pump', NULL, NULL, NULL, 7);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18870, NULL, 'MF_01494', NULL, NULL, 'DEAD-box ATP-dependent RNA helicase CshB [cshB].', NULL, 'DEAD_helicase_CshB', NULL, NULL, NULL, 7),
(18871, NULL, 'MF_00550', NULL, NULL, 'Peptidase T [pepT].', NULL, 'Aminopeptidase_M20', NULL, NULL, NULL, 7),
(18872, NULL, 'MF_00716', NULL, NULL, 'Nitrous-oxide reductase [nosZ].', NULL, 'NosZ', NULL, NULL, NULL, 7),
(18873, NULL, 'MF_01466', NULL, NULL, 'Accessory Sec system protein translocase subunit SecY2 [secY2].', NULL, 'SecY2', NULL, NULL, NULL, 7),
(18874, NULL, 'MF_01012', NULL, NULL, '23S rRNA (uracil(747)-C(5))-methyltransferase RlmC [rlmC].', NULL, '23SrRNA_methyltr_RlmC', NULL, NULL, NULL, 7),
(18875, NULL, 'MF_01189', NULL, NULL, 'Purine ribonucleoside efflux pump NepI [nepI].', NULL, 'MFS_NepI', NULL, NULL, NULL, 7),
(18876, NULL, 'MF_00139', NULL, NULL, 'Bifunctional purine biosynthesis protein PurH [purH].', NULL, 'PurH', NULL, NULL, NULL, 7),
(18877, NULL, 'MF_00302', NULL, NULL, 'ATP-dependent Clp protease adapter protein ClpS [clpS].', NULL, 'ClpS', NULL, NULL, NULL, 7),
(18878, NULL, 'MF_03002', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit C [EIF3C].', NULL, 'eIF3c', NULL, NULL, NULL, 7),
(18879, NULL, 'MF_01946', NULL, NULL, 'Tubulin-like protein CetZ [cetZ].', NULL, 'CetZ', NULL, NULL, NULL, 7),
(18880, NULL, 'MF_01665', NULL, NULL, 'Heme A synthase [ctaA].', NULL, 'HemeA_synth_type2', NULL, NULL, NULL, 7),
(18881, NULL, 'MF_01218_A', NULL, NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, 'Upp_A', NULL, NULL, NULL, 7),
(18882, NULL, 'MF_00600', NULL, NULL, '60 kDa chaperonin [groL].', NULL, 'CH60', NULL, NULL, NULL, 7),
(18883, NULL, 'MF_01434', NULL, NULL, 'Monofunctional glycosyltransferase [mgt].', NULL, 'MGT', NULL, NULL, NULL, 7),
(18884, NULL, 'MF_00467', NULL, NULL, 'Probable M18 family aminopeptidase 2 [apeB].', NULL, 'Aminopeptidase_M18_2', NULL, NULL, NULL, 7),
(18885, NULL, 'MF_01882', NULL, NULL, 'Probable propionate kinase [pduW].', NULL, 'Propion_kin_subfam2', NULL, NULL, NULL, 7),
(18886, NULL, 'MF_01145', NULL, NULL, 'Foldase protein PrsA [prsA].', NULL, 'Foldase_PrsA', NULL, NULL, NULL, 7),
(18887, NULL, 'MF_03187', NULL, NULL, 'EEF1A lysine methyltransferase 1 [EEF1AKMT1].', NULL, 'Methyltr_EFM5', NULL, NULL, NULL, 7),
(18888, NULL, 'MF_01101', NULL, NULL, 'UPF0208 membrane protein YfbV [yfbV].', NULL, 'UPF0208', NULL, NULL, NULL, 7),
(18889, NULL, 'MF_01281', NULL, NULL, '5''-deoxyadenosine deaminase [dadD].', NULL, 'MTA_SAH_deamin', NULL, NULL, NULL, 7),
(18890, NULL, 'MF_00521', NULL, NULL, '3-deoxy-D-manno-octulosonic acid kinase [kdkA].', NULL, 'KDO_kinase', NULL, NULL, NULL, 7),
(18891, NULL, 'MF_00594', NULL, NULL, 'Cytochrome c6 [petJ].', NULL, 'Cytc_PetJ', NULL, NULL, NULL, 7),
(18892, NULL, 'MF_00124', NULL, NULL, 'Thymidine kinase [tdk].', NULL, 'Thymidine_kinase', NULL, NULL, NULL, 7),
(18893, NULL, 'MF_01289', NULL, NULL, 'D-galactonate dehydratase [dgoD].', NULL, 'Galacton_dehydrat', NULL, NULL, NULL, 7),
(18894, NULL, 'MF_04148', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_BPP22', NULL, NULL, NULL, 7),
(18895, NULL, 'MF_00410', NULL, NULL, '50S ribosomal protein L31e [rpl31e].', NULL, 'Ribosomal_L31e', NULL, NULL, NULL, 7),
(18896, NULL, 'MF_01315', NULL, NULL, '30S ribosomal protein S13 [rpsM].', NULL, 'Ribosomal_S13_S18', NULL, NULL, NULL, 7),
(18897, NULL, 'MF_04115', NULL, NULL, 'Small outer capsid protein.', NULL, 'SOC_T4', NULL, NULL, NULL, 7),
(18898, NULL, 'MF_00192', NULL, NULL, 'DNA-directed RNA polymerase subunit K [rpoK].', NULL, 'RNApol_arch_K', NULL, NULL, NULL, 7),
(18899, NULL, 'MF_01195', NULL, NULL, 'N-acetylneuraminate epimerase [nanM].', NULL, 'NanM', NULL, NULL, NULL, 7),
(18900, NULL, 'MF_01853', NULL, NULL, 'Protein pelota homolog [pelA].', NULL, 'PelO', NULL, NULL, NULL, 7),
(18901, NULL, 'MF_00367', NULL, NULL, 'GTPase Era [era].', NULL, 'GTPase_Era', NULL, NULL, NULL, 7),
(18902, NULL, 'MF_01353', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit N [ndhN].', NULL, 'NDH1_NDH1N', NULL, NULL, NULL, 7);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18903, NULL, 'MF_01574', NULL, NULL, '6-phospho-beta-galactosidase [lacG].', NULL, 'LacG', NULL, NULL, NULL, 7),
(18904, NULL, 'MF_00029', NULL, NULL, '30S ribosomal protein S8e [rps8e].', NULL, 'Ribosomal_S8e', NULL, NULL, NULL, 7),
(18905, NULL, 'MF_00916', NULL, NULL, 'Epoxyqueuosine reductase [queG].', NULL, 'QueG', NULL, NULL, NULL, 7),
(18906, NULL, 'MF_01696', NULL, NULL, '1D-myo-inositol 2-acetamido-2-deoxy-alpha-D-glucopyranoside deacetylase [mshB].', NULL, 'MshB', NULL, NULL, NULL, 7),
(18907, NULL, 'MF_04040', NULL, NULL, 'Cytoplasmic envelopment protein 3.', NULL, 'HSV_CEP3_alphahv', NULL, NULL, NULL, 7),
(18908, NULL, 'MF_00644', NULL, NULL, 'Photosystem II reaction center protein Z [psbZ].', NULL, 'PSII_PsbZ', NULL, NULL, NULL, 7),
(18909, NULL, 'MF_01375', NULL, NULL, 'Phosphonoacetaldehyde hydrolase [phnX].', NULL, 'PhnX', NULL, NULL, NULL, 7),
(18910, NULL, 'MF_01810', NULL, NULL, 'Membrane protein insertase YidC [yidC].', NULL, 'YidC_type1', NULL, NULL, NULL, 7),
(18911, NULL, 'MF_03224', NULL, NULL, 'Cyanide hydratase.', NULL, 'CN_hydrolase', NULL, NULL, NULL, 7),
(18912, NULL, 'MF_00145', NULL, NULL, 'Phosphoglycerate kinase [pgk].', NULL, 'Phosphoglyc_kinase', NULL, NULL, NULL, 7),
(18913, NULL, 'MF_02132', NULL, NULL, 'AMP phosphorylase.', NULL, 'AMP_phosphorylase', NULL, NULL, NULL, 7),
(18914, NULL, 'MF_01157', NULL, NULL, 'DnaA initiator-associating protein DiaA [diaA].', NULL, 'SIS_DiaA', NULL, NULL, NULL, 7),
(18915, NULL, 'MF_01699', NULL, NULL, 'Pyrimidine monooxygenase RutA [rutA].', NULL, 'RutA', NULL, NULL, NULL, 7),
(18916, NULL, 'MF_00127', NULL, NULL, 'Histidine--tRNA ligase [hisS].', NULL, 'His_tRNA_synth', NULL, NULL, NULL, 7),
(18917, NULL, 'MF_01426', NULL, NULL, 'Cation/acetate symporter ActP [actP].', NULL, 'Acet_symport_ActP', NULL, NULL, NULL, 7),
(18918, NULL, 'MF_04114', NULL, NULL, 'Portal protein.', NULL, 'PORTAL_T4', NULL, NULL, NULL, 7),
(18919, NULL, 'MF_00616', NULL, NULL, 'Ureidoglycolate lyase [allA].', NULL, 'Ureidogly_lyase', NULL, NULL, NULL, 7),
(18920, NULL, 'MF_00046', NULL, NULL, 'UDP-N-acetylmuramate--L-alanine ligase [murC].', NULL, 'MurC', NULL, NULL, NULL, 7),
(18921, NULL, 'MF_00779', NULL, NULL, 'Hut operon positive regulatory protein [hutP].', NULL, 'HutP', NULL, NULL, NULL, 7),
(18922, NULL, 'MF_01816', NULL, NULL, 'Tyrosine recombinase XerS [xerS].', NULL, 'Recomb_XerS', NULL, NULL, NULL, 7),
(18923, NULL, 'MF_04121', NULL, NULL, 'Peptidoglycan transglycosylase gp16.', NULL, 'TRANSGLYCOSYLASE_T7', NULL, NULL, NULL, 7),
(18924, NULL, 'MF_00705', NULL, NULL, 'IMP cyclohydrolase [purO].', NULL, 'IMP_cyclohydrol', NULL, NULL, NULL, 7),
(18925, NULL, 'MF_00060', NULL, NULL, '5''/3''-nucleotidase SurE [surE].', NULL, 'SurE', NULL, NULL, NULL, 7),
(18926, NULL, 'MF_00816', NULL, NULL, 'UPF0352 protein YejL [yejL].', NULL, 'UPF0352', NULL, NULL, NULL, 7),
(18927, NULL, 'MF_00921', NULL, NULL, 'Putative pyruvate, phosphate dikinase regulatory protein.', NULL, 'PDRP', NULL, NULL, NULL, 7),
(18928, NULL, 'MF_01988', NULL, NULL, 'Succinate--CoA ligase [ADP-forming] subunit alpha [sucD].', NULL, 'Succ_CoA_alpha', NULL, NULL, NULL, 7),
(18929, NULL, 'MF_00269', NULL, NULL, 'Thiol peroxidase [tpx].', NULL, 'Tpx', NULL, NULL, NULL, 7),
(18930, NULL, 'MF_00506', NULL, NULL, 'UPF0180 protein <locus_tag>.', NULL, 'UPF0180', NULL, NULL, NULL, 7),
(18931, NULL, 'MF_01943', NULL, NULL, 'Lipid A biosynthesis palmitoleoyltransferase [lpxP].', NULL, 'Lipid_A_LpxP', NULL, NULL, NULL, 7),
(18932, NULL, 'MF_00845', NULL, NULL, 'Flavin-dependent monooxygenase.', NULL, 'TetX_monooxygenase', NULL, NULL, NULL, 7),
(18933, NULL, 'MF_00975', NULL, NULL, 'Exosome complex component Csl4 [csl4].', NULL, 'Exosome_Csl4', NULL, NULL, NULL, 7),
(18934, NULL, 'MF_01427', NULL, NULL, '3''-5'' exoribonuclease YhaM [yhaM].', NULL, '3_5_Exoribonuc_YhaM', NULL, NULL, NULL, 7),
(18935, NULL, 'MF_01495', NULL, NULL, 'Photosystem II CP47 reaction center protein [psbB].', NULL, 'PSII_PsbB_CP47', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18936, NULL, 'MF_03221', NULL, NULL, 'Succinate--CoA ligase [GDP-forming] subunit beta, mitochondrial [SUCLG2].', NULL, 'Succ_CoA_betaG_euk', NULL, NULL, NULL, 7),
(18937, NULL, 'MF_00265', NULL, NULL, 'tRNA(fMet)-specific endonuclease VapC [vapC].', NULL, 'VapC_Nob1', NULL, NULL, NULL, 7),
(18938, NULL, 'MF_00508', NULL, NULL, '30S ribosomal protein S10 [rpsJ].', NULL, 'Ribosomal_S10', NULL, NULL, NULL, 7),
(18939, NULL, 'MF_01570', NULL, NULL, 'Proline--tRNA ligase [proS].', NULL, 'Pro_tRNA_synth_type2', NULL, NULL, NULL, 7),
(18940, NULL, 'MF_01667', NULL, NULL, 'Glyoxylate/hydroxypyruvate reductase B [ghrB].', NULL, '2_Hacid_dh_C_GhrB', NULL, NULL, NULL, 7),
(18941, NULL, 'MF_04205', NULL, NULL, 'Envelope small membrane protein [E].', NULL, 'ALPHA_CORONA_E', NULL, NULL, NULL, 7),
(18942, NULL, 'MF_00783', NULL, NULL, 'Probable flagellum biosynthesis repressor protein FlbT [flbT].', NULL, 'FlbT', NULL, NULL, NULL, 7),
(18943, NULL, 'MF_01951', NULL, NULL, 'L-ribulose-5-phosphate 3-epimerase UlaE [ulaE].', NULL, 'UlaE', NULL, NULL, NULL, 7),
(18944, NULL, 'MF_01404', NULL, NULL, 'Pyruvoyl-dependent arginine decarboxylase [pdaD].', NULL, 'PvlArgDC', NULL, NULL, NULL, 7),
(18945, NULL, 'MF_04070', NULL, NULL, 'Nucleoprotein [NP].', NULL, 'INFV_NCAP', NULL, NULL, NULL, 7),
(18946, NULL, 'MF_00734', NULL, NULL, 'Tagatose 1,6-diphosphate aldolase [lacD].', NULL, 'LacD', NULL, NULL, NULL, 7),
(18947, NULL, 'MF_01475', NULL, NULL, '50S ribosomal protein L19e [rpl19e].', NULL, 'Ribosomal_L19e', NULL, NULL, NULL, 7),
(18948, NULL, 'MF_03210', NULL, NULL, 'Formate dehydrogenase, mitochondrial.', NULL, 'Formate_dehydrogenase', NULL, NULL, NULL, 7),
(18949, NULL, 'MF_02120', NULL, NULL, 'Diaminopimelate decarboxylase [lysA].', NULL, 'LysA', NULL, NULL, NULL, 7),
(18950, NULL, 'MF_04117', NULL, NULL, 'Major capsid protein.', NULL, 'CAPSID_H_T4', NULL, NULL, NULL, 7),
(18951, NULL, 'MF_00325', NULL, NULL, 'DNA polymerase II small subunit [polB].', NULL, 'DNApol_II_A_arch', NULL, NULL, NULL, 7),
(18952, NULL, 'MF_02057', NULL, NULL, 'tRNA 5-carboxymethoxyuridine methyltransferase [cmoM].', NULL, 'tRNA_methyltr_CmoM', NULL, NULL, NULL, 7),
(18953, NULL, 'MF_00058', NULL, NULL, 'F420-dependent methylenetetrahydromethanopterin dehydrogenase [mtd].', NULL, 'MTD', NULL, NULL, NULL, 7),
(18954, NULL, 'MF_00715', NULL, NULL, 'Protein SlyX [slyX].', NULL, 'SlyX', NULL, NULL, NULL, 7),
(18955, NULL, 'MF_00953', NULL, NULL, 'DNA topoisomerase 3 [topB].', NULL, 'Topoisom_3_prok', NULL, NULL, NULL, 7),
(18956, NULL, 'MF_03184', NULL, NULL, 'ATP-dependent 6-phosphofructokinase.', NULL, 'Phosphofructokinase_I_E', NULL, NULL, NULL, 7),
(18957, NULL, 'MF_04026', NULL, NULL, 'Ribonucleoside-diphosphate reductase large subunit [RIR1].', NULL, 'HSV_RIR1', NULL, NULL, NULL, 7),
(18958, NULL, 'MF_00681', NULL, NULL, '(5-formylfuran-3-yl)methyl phosphate synthase [mfnB].', NULL, 'MfnB', NULL, NULL, NULL, 7),
(18959, NULL, 'MF_00670', NULL, NULL, 'Altronate oxidoreductase [uxaB].', NULL, 'Altron_oxidoreduct', NULL, NULL, NULL, 7),
(18960, NULL, 'MF_01593', NULL, NULL, 'Protein MtfA [mtfA].', NULL, 'MtfA', NULL, NULL, NULL, 7),
(18961, NULL, 'MF_00762', NULL, NULL, 'UPF0304 protein YfbU [yfbU].', NULL, 'UPF0304', NULL, NULL, NULL, 7),
(18962, NULL, 'MF_00646', NULL, NULL, 'Elongation factor P-like protein [yeiP].', NULL, 'EFP', NULL, NULL, NULL, 7),
(18963, NULL, 'MF_01595', NULL, NULL, 'Polyribonucleotide nucleotidyltransferase [pnp].', NULL, 'PNPase', NULL, NULL, NULL, 7),
(18964, NULL, 'MF_01647', NULL, NULL, '3-phenylpropionate-dihydrodiol/cinnamic acid-dihydrodiol dehydrogenase [hcaB].', NULL, 'HcaB', NULL, NULL, NULL, 7),
(18965, NULL, 'MF_00456', NULL, NULL, 'Glutamate 5-kinase [proB].', NULL, 'ProB', NULL, NULL, NULL, 7),
(18966, NULL, 'MF_00959', NULL, NULL, 'RNA polymerase sigma factor RpoS [rpoS].', NULL, 'Sigma70_RpoS', NULL, NULL, NULL, 7),
(18967, NULL, 'MF_01474', NULL, NULL, '30S ribosomal protein S19e [rps19e].', NULL, 'Ribosomal_S19e', NULL, NULL, NULL, 7);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(18968, NULL, 'MF_00259', NULL, NULL, 'Aminomethyltransferase [gcvT].', NULL, 'GcvT', NULL, NULL, NULL, 7),
(18969, NULL, 'MF_00678', NULL, NULL, 'UPF0262 protein <locus_tag>.', NULL, 'UPF0262', NULL, NULL, NULL, 7),
(18970, NULL, 'MF_00446', NULL, NULL, 'Aspartate 1-decarboxylase [panD].', NULL, 'PanD', NULL, NULL, NULL, 7),
(18971, NULL, 'MF_02211', NULL, NULL, 'Murein peptide amidase A [mpaA].', NULL, 'MpaA_carboxypeptidase', NULL, NULL, NULL, 7),
(18972, NULL, 'MF_00030', NULL, NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase [dgt].', NULL, 'dGTPase_type1', NULL, NULL, NULL, 7),
(18973, NULL, 'MF_00137', NULL, NULL, 'Phosphoribosylaminoimidazole-succinocarboxamide synthase [purC].', NULL, 'SAICAR_synth', NULL, NULL, NULL, 7),
(18974, NULL, 'MF_00955', NULL, NULL, 'GDP-mannose 4,6-dehydratase [gmd].', NULL, 'GDP_Man_dehydratase', NULL, NULL, NULL, 7),
(18975, NULL, 'MF_00537', NULL, NULL, '30S ribosomal protein S14 [rpsN].', NULL, 'Ribosomal_S14_1', NULL, NULL, NULL, 7),
(18976, NULL, 'MF_01895', NULL, NULL, 'Ribonuclease R [rnr].', NULL, 'RNase_R', NULL, NULL, NULL, 7),
(18977, NULL, 'MF_01307_A', NULL, NULL, '30S ribosomal protein S5 [rpsE].', NULL, 'Ribosomal_S5_A', NULL, NULL, NULL, 7),
(18978, NULL, 'MF_03107', NULL, NULL, 'Very-long-chain 3-oxoacyl-CoA reductase.', NULL, '3_ketoreductase', NULL, NULL, NULL, 7),
(18979, NULL, 'MF_01891', NULL, NULL, 'Flagellar transcriptional regulator FlhC [flhC].', NULL, 'FhlC', NULL, NULL, NULL, 7),
(18980, NULL, 'MF_00568', NULL, NULL, 'Quinolinate synthase A [nadA].', NULL, 'NadA_type2', NULL, NULL, NULL, 7),
(18981, NULL, 'MF_04095', NULL, NULL, 'Nucleoprotein [N].', NULL, 'ALPHA_CORONA_NCAP', NULL, NULL, NULL, 7),
(18982, NULL, 'MF_00056', NULL, NULL, '2-dehydro-3-deoxyphosphooctonate aldolase [kdsA].', NULL, 'KDO8P_synth', NULL, NULL, NULL, 7),
(18983, NULL, 'MF_01549', NULL, NULL, 'Protein DsrB [dsrB].', NULL, 'DsrB', NULL, NULL, NULL, 7),
(18984, NULL, 'MF_02102', NULL, NULL, 'Putrescine carbamoyltransferase [ptcA].', NULL, 'PTCase', NULL, NULL, NULL, 7),
(18985, NULL, 'MF_00474', NULL, NULL, 'Photosystem I reaction center subunit PsaK [psaK].', NULL, 'PSI_PsaK', NULL, NULL, NULL, 7),
(18986, NULL, 'MF_00984', NULL, NULL, 'Single-stranded DNA-binding protein.', NULL, 'SSB', NULL, NULL, NULL, 7),
(18987, NULL, 'MF_01248', NULL, NULL, 'Glycogen debranching enzyme [glgX].', NULL, 'GlgX', NULL, NULL, NULL, 7),
(18988, NULL, 'MF_00275', NULL, NULL, 'Potassium-transporting ATPase potassium-binding subunit [kdpA].', NULL, 'KdpA', NULL, NULL, NULL, 7),
(18989, NULL, 'MF_01113', NULL, NULL, 'DNA polymerase IV [dinB].', NULL, 'DNApol_IV', NULL, NULL, NULL, 7),
(18990, NULL, 'MF_00229', NULL, NULL, 'Histidine ammonia-lyase [hutH].', NULL, 'His_ammonia_lyase', NULL, NULL, NULL, 7),
(18991, NULL, 'MF_00110', NULL, NULL, '3-dehydroquinate synthase [aroB].', NULL, 'DHQ_synthase', NULL, NULL, NULL, 7),
(18992, NULL, 'MF_01276', NULL, NULL, 'Putrescine aminotransferase [patA].', NULL, 'Putres_aminotrans_3', NULL, NULL, NULL, 7),
(18993, NULL, 'MF_01897', NULL, NULL, 'DNA gyrase subunit A [gyrA].', NULL, 'GyrA', NULL, NULL, NULL, 7),
(18994, NULL, 'MF_00231', NULL, NULL, 'Translation initiation factor 2 subunit alpha [eif2a].', NULL, 'eIF_2_alpha', NULL, NULL, NULL, 7),
(18995, NULL, 'MF_00549', NULL, NULL, 'Methylglyoxal synthase [mgsA].', NULL, 'Methylglyoxal_synth', NULL, NULL, NULL, 7),
(18996, NULL, 'MF_00981', NULL, NULL, 'Transcriptional regulatory protein RcsB [rcsB].', NULL, 'RcsB', NULL, NULL, NULL, 7),
(18997, NULL, 'MF_01160', NULL, NULL, 'Divalent-cation tolerance protein CutA [cutA].', NULL, 'CutA', NULL, NULL, NULL, 7),
(18998, NULL, 'MF_01417', NULL, NULL, 'Biosynthetic arginine decarboxylase [speA].', NULL, 'SpeA', NULL, NULL, NULL, 7),
(18999, NULL, 'MF_01220_B', NULL, NULL, 'Uridylate kinase [pyrH].', NULL, 'PyrH_B', NULL, NULL, NULL, 7),
(19000, NULL, 'MF_01140', NULL, NULL, 'Polyisoprenyl-teichoic acid--peptidoglycan teichoic acid transferase TagU [tagU].', NULL, 'TagU_transferase', NULL, NULL, NULL, 7);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19001, NULL, 'MF_00043', NULL, NULL, 'Elongation factor 1-beta [ef1b].', NULL, 'EF1_beta', NULL, NULL, NULL, 7),
(19002, NULL, 'MF_00663', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, 'PS_decarb_PSD_B_type2', NULL, NULL, NULL, 7),
(19003, NULL, 'MF_00831', NULL, NULL, 'Putative aminoacrylate peracid reductase RutC [rutC].', NULL, 'RutC', NULL, NULL, NULL, 7),
(19004, NULL, 'MF_00624', NULL, NULL, 'Glucose-1-phosphate adenylyltransferase [glgC].', NULL, 'GlgC', NULL, NULL, NULL, 7),
(19005, NULL, 'MF_01524', NULL, NULL, 'Crotonobetaine/carnitine--CoA ligase [caiC].', NULL, 'CaiC', NULL, NULL, NULL, 7),
(19006, NULL, 'MF_01024', NULL, NULL, 'Histidinol dehydrogenase [hisD].', NULL, 'HisD', NULL, NULL, NULL, 7),
(19007, NULL, 'MF_01285', NULL, NULL, 'Riboflavin kinase [ribK].', NULL, 'Riboflavin_kinase', NULL, NULL, NULL, 7),
(19008, NULL, 'MF_03169', NULL, NULL, 'GTP:AMP phosphotransferase AK3, mitochondrial [AK3].', NULL, 'Adenylate_kinase_AK3', NULL, NULL, NULL, 7),
(19009, NULL, 'MF_00808', NULL, NULL, 'Photosystem II reaction center protein T [psbT].', NULL, 'PSII_PsbT', NULL, NULL, NULL, 7),
(19010, NULL, 'MF_04061', NULL, NULL, 'Preterminal protein [PTP].', NULL, 'ADV_TERM', NULL, NULL, NULL, 7),
(19011, NULL, 'MF_00394', NULL, NULL, 'Glycerol-3-phosphate dehydrogenase [NAD(P)+] [gpsA].', NULL, 'NAD_Glyc3P_dehydrog', NULL, NULL, NULL, 7),
(19012, NULL, 'MF_00626', NULL, NULL, 'Germination protease [gpr].', NULL, 'Germination_prot', NULL, NULL, NULL, 7),
(19013, NULL, 'MF_01611', NULL, NULL, '7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase [cofG].', NULL, 'FO_synth_sub1', NULL, NULL, NULL, 7),
(19014, NULL, 'MF_00381', NULL, NULL, 'Integration host factor subunit beta [ihfB].', NULL, 'IHF_beta', NULL, NULL, NULL, 7),
(19015, NULL, 'MF_03021', NULL, NULL, 'Spastin [SPAST].', NULL, 'Spastin', NULL, NULL, NULL, 7),
(19016, NULL, 'MF_04124', NULL, NULL, 'Protein VP3.', NULL, 'Rota_VP3', NULL, NULL, NULL, 7),
(19017, NULL, 'MF_00780', NULL, NULL, 'Protein YceI [yceI].', NULL, 'UPF0312', NULL, NULL, NULL, 7),
(19018, NULL, 'MF_02206', NULL, NULL, '3''-5'' exonuclease DinG [dinG].', NULL, 'DinG_exonucl', NULL, NULL, NULL, 7),
(19019, NULL, 'MF_00995', NULL, NULL, 'Chorismate dehydratase [mqnA].', NULL, 'MqnA', NULL, NULL, NULL, 7),
(19020, NULL, 'MF_00719', NULL, NULL, 'Adenosylcobinamide-GDP ribazoletransferase [cobS].', NULL, 'CobS', NULL, NULL, NULL, 7),
(19021, NULL, 'MF_01079', NULL, NULL, 'UPF0280 protein <locus_tag>.', NULL, 'UPF0280', NULL, NULL, NULL, 7),
(19022, NULL, 'MF_02101', NULL, NULL, '1,4-dihydroxy-2-naphthoyl-CoA hydrolase.', NULL, 'DHNA_CoA_hydrolase', NULL, NULL, NULL, 7),
(19023, NULL, 'MF_03152', NULL, NULL, 'tRNA (guanine(37)-N1)-methyltransferase [TRMT5].', NULL, 'TRM5', NULL, NULL, NULL, 7),
(19024, NULL, 'MF_00349', NULL, NULL, '50S ribosomal protein L34e [rpl34e].', NULL, 'Ribosomal_L34e', NULL, NULL, NULL, 7),
(19025, NULL, 'MF_01323', NULL, NULL, 'DNA-directed RNA polymerase subunit gamma [rpoC1].', NULL, 'RNApol_bact_RpoC1', NULL, NULL, NULL, 7),
(19026, NULL, 'MF_01456', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 4L, chloroplastic [ndhE].', NULL, 'NDH1_NuoK', NULL, NULL, NULL, 7),
(19027, NULL, 'MF_01572', NULL, NULL, 'UPF0397 protein <locus_tag>.', NULL, 'UPF0397', NULL, NULL, NULL, 7),
(19028, NULL, 'MF_02091', NULL, NULL, 'Uncharacterized MFS-type transporter YfcJ [yfcJ].', NULL, 'MFS_YfcJ', NULL, NULL, NULL, 7),
(19029, NULL, 'MF_01548', NULL, NULL, 'UPF0354 protein <locus_tag>.', NULL, 'UPF0354', NULL, NULL, NULL, 7),
(19030, NULL, 'MF_03176', NULL, NULL, 'ATP-dependent DNA helicase PIF1 [PIF1].', NULL, 'PIF1', NULL, NULL, NULL, 7),
(19031, NULL, 'MF_02055', NULL, NULL, 'Tyrosine recombinase XerA [xerA].', NULL, 'Recomb_XerA', NULL, NULL, NULL, 7),
(19032, NULL, 'MF_00904', NULL, NULL, 'Modulator protein MzrA [mzrA].', NULL, 'Modulator_MzrA', NULL, NULL, NULL, 7);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19033, NULL, 'MF_01578', NULL, NULL, 'Quinate/shikimate dehydrogenase [ydiB].', NULL, 'Shikimate_DH_YdiB', NULL, NULL, NULL, 7),
(19034, NULL, 'MF_00166', NULL, NULL, 'DNA-binding protein Fis [fis].', NULL, 'DNA_binding_Fis', NULL, NULL, NULL, 7),
(19035, NULL, 'MF_01588', NULL, NULL, 'DNA ligase [ligA].', NULL, 'DNA_ligase_A', NULL, NULL, NULL, 7),
(19036, NULL, 'MF_02234', NULL, NULL, 'N-acetylornithine carbamoyltransferase [argF''].', NULL, 'AOTCase', NULL, NULL, NULL, 7),
(19037, NULL, 'MF_00665', NULL, NULL, 'Small, acid-soluble spore protein O [sspO].', NULL, 'SspO', NULL, NULL, NULL, 7),
(19038, NULL, 'MF_00412', NULL, NULL, 'Gamma-glutamyl phosphate reductase [proA].', NULL, 'ProA', NULL, NULL, NULL, 7),
(19039, NULL, 'MF_00729', NULL, NULL, 'Fructose-bisphosphate aldolase class 1 [fda].', NULL, 'FBP_aldolase_1', NULL, NULL, NULL, 7),
(19040, NULL, 'MF_01530', NULL, NULL, 'Multidrug resistance protein MdtL [mdtL].', NULL, 'MFS_MdtL', NULL, NULL, NULL, 7),
(19041, NULL, 'MF_01227', NULL, NULL, 'CTP synthase [pyrG].', NULL, 'PyrG', NULL, NULL, NULL, 7),
(19042, NULL, 'MF_00671', NULL, NULL, 'Tol-Pal system protein TolB [tolB].', NULL, 'TolB', NULL, NULL, NULL, 7),
(19043, NULL, 'MF_04111', NULL, NULL, 'Endolysin.', NULL, 'ENDOLYSIN_T7', NULL, NULL, NULL, 7),
(19044, NULL, 'MF_00486', NULL, NULL, 'Methenyltetrahydromethanopterin cyclohydrolase [mch].', NULL, 'McH', NULL, NULL, NULL, 7),
(19045, NULL, 'MF_01631', NULL, NULL, 'Bifunctional protein GlmU [glmU].', NULL, 'GlmU', NULL, NULL, NULL, 7),
(19046, NULL, 'MF_03127', NULL, NULL, 'Adenylosuccinate synthetase isozyme 2 [ADSS].', NULL, 'Adenylosucc_synth_vert_acid', NULL, NULL, NULL, 7),
(19047, NULL, 'MF_03008', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit I [EIF3I].', NULL, 'eIF3i', NULL, NULL, NULL, 7),
(19048, NULL, 'MF_00001', NULL, NULL, 'Aspartate carbamoyltransferase [pyrB].', NULL, 'Asp_carb_tr', NULL, NULL, NULL, 7),
(19049, NULL, 'MF_00227', NULL, NULL, 'Ribonuclease P protein component [rnpA].', NULL, 'RNase_P', NULL, NULL, NULL, 7),
(19050, NULL, 'MF_00929', NULL, NULL, 'Cellobiose 2-epimerase.', NULL, 'Cellobiose_2_epim', NULL, NULL, NULL, 7),
(19051, NULL, 'MF_01422', NULL, NULL, 'Multidrug resistance protein MdtA [mdtA].', NULL, 'MdtA', NULL, NULL, NULL, 7),
(19052, NULL, 'MF_00014', NULL, NULL, 'Ribosome maturation factor RimM [rimM].', NULL, 'Ribosome_mat_RimM', NULL, NULL, NULL, 7),
(19053, NULL, 'MF_01054', NULL, NULL, 'UPF0237 protein <locus_tag>.', NULL, 'UPF0237', NULL, NULL, NULL, 7),
(19054, NULL, 'MF_00641', NULL, NULL, 'Malate synthase G [glcB].', NULL, 'Malate_synth_G', NULL, NULL, NULL, 7),
(19055, NULL, 'MF_01299', NULL, NULL, 'Oxaloacetate decarboxylase.', NULL, 'OadC', NULL, NULL, NULL, 7),
(19056, NULL, 'MF_00209', NULL, NULL, 'Inorganic pyrophosphatase [ppa].', NULL, 'Inorganic_PPase', NULL, NULL, NULL, 7),
(19057, NULL, 'MF_00359', NULL, NULL, '30S ribosomal protein S3Ae [rps3ae].', NULL, 'Ribosomal_S3Ae', NULL, NULL, NULL, 7),
(19058, NULL, 'MF_04147', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_T7', NULL, NULL, NULL, 7),
(19059, NULL, 'MF_00647', NULL, NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, 'PPAT_arch', NULL, NULL, NULL, 7),
(19060, NULL, 'MF_00668', NULL, NULL, '6-carboxyhexanoate--CoA ligase [bioW].', NULL, 'BioW', NULL, NULL, NULL, 7),
(19061, NULL, 'MF_01003', NULL, NULL, 'Probable ECA polymerase [wzyE].', NULL, 'WzyE', NULL, NULL, NULL, 7),
(19062, NULL, 'MF_00226_B', NULL, NULL, 'Putative competence-damage inducible protein [cinA].', NULL, 'CinA_B', NULL, NULL, NULL, 7),
(19063, NULL, 'MF_00638', NULL, NULL, 'Serine-protein kinase RsbW [rsbW].', NULL, 'Anti_sigma_B', NULL, NULL, NULL, 7),
(19064, NULL, 'MF_00148', NULL, NULL, 'Uracil-DNA glycosylase [ung].', NULL, 'UDG', NULL, NULL, NULL, 7),
(19065, NULL, 'MF_03062', NULL, NULL, 'Ubiquitin carboxyl-terminal hydrolase 16 [USP16].', NULL, 'UBP16', NULL, NULL, NULL, 7);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19066, NULL, 'MF_00372', NULL, NULL, 'Imidazolonepropionase [hutI].', NULL, 'HutI', NULL, NULL, NULL, 7),
(19067, NULL, 'MF_00805', NULL, NULL, 'Citrate lyase acyl carrier protein [citD].', NULL, 'CitD', NULL, NULL, NULL, 7),
(19068, NULL, 'MF_00979', NULL, NULL, 'Sensor histidine kinase RcsC [rcsC].', NULL, 'RcsC', NULL, NULL, NULL, 7),
(19069, NULL, 'MF_00408', NULL, NULL, 'TATA-box-binding protein [tbp].', NULL, 'TATA_bind_prot_arch', NULL, NULL, NULL, 7),
(19070, NULL, 'MF_00015', NULL, NULL, 'LexA repressor [lexA].', NULL, 'LexA', NULL, NULL, NULL, 7),
(19071, NULL, 'MF_01418', NULL, NULL, 'Agmatinase [speB].', NULL, 'SpeB', NULL, NULL, NULL, 7),
(19072, NULL, 'MF_01070', NULL, NULL, 'Phosphoglycerol transferase I [mdoB].', NULL, 'MdoB_OpgB', NULL, NULL, NULL, 7),
(19073, NULL, 'MF_01131', NULL, NULL, 'Redox-sensing transcriptional repressor Rex [rex].', NULL, 'Rex', NULL, NULL, NULL, 7),
(19074, NULL, 'MF_01589', NULL, NULL, 'Carboxy-S-adenosyl-L-methionine synthase [cmoA].', NULL, 'Cx_SAM_synthase', NULL, NULL, NULL, 7),
(19075, NULL, 'MF_01260', NULL, NULL, 'Pimeloyl-[acyl-carrier protein] methyl ester esterase [bioH].', NULL, 'Carboxylester', NULL, NULL, NULL, 7),
(19076, NULL, 'MF_01558', NULL, NULL, 'Cytidine deaminase [cdd].', NULL, 'Cyt_deam', NULL, NULL, NULL, 7),
(19077, NULL, 'MF_00548', NULL, NULL, 'Zinc transporter ZupT [zupT].', NULL, 'ZupT', NULL, NULL, NULL, 7),
(19078, NULL, 'MF_00049_A', NULL, NULL, 'Leucine--tRNA ligase [leuS].', NULL, 'Leu_tRNA_synth_A', NULL, NULL, NULL, 7),
(19079, NULL, 'MF_03182', NULL, NULL, 'PAN2-PAN3 deadenylation complex catalytic subunit PAN2 [PAN2].', NULL, 'PAN2', NULL, NULL, NULL, 7),
(19080, NULL, 'MF_00271', NULL, NULL, 'V-type ATP synthase subunit D [atpD].', NULL, 'ATP_synth_D_arch', NULL, NULL, NULL, 7),
(19081, NULL, 'MF_03012', NULL, NULL, 'COP9/Signalosome and eIF3 complex-shared subunit 1 [EIF3M].', NULL, 'eIF3m', NULL, NULL, NULL, 7),
(19082, NULL, 'MF_00554', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase Nep1 [nep1].', NULL, 'NEP1', NULL, NULL, NULL, 7),
(19083, NULL, 'MF_00692', NULL, NULL, 'Protein adenylyltransferase SelO [selO].', NULL, 'SelO', NULL, NULL, NULL, 7),
(19084, NULL, 'MF_04149', NULL, NULL, 'RNA ligase 1.', NULL, 'RNALIG_T4', NULL, NULL, NULL, 7),
(19085, NULL, 'MF_01969', NULL, NULL, 'Kynurenine formamidase [kynB].', NULL, 'KynB', NULL, NULL, NULL, 7),
(19086, NULL, 'MF_00586', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit D [gatD].', NULL, 'GatD', NULL, NULL, NULL, 7),
(19087, NULL, 'MF_01575', NULL, NULL, 'UPF0398 protein <locus_tag>.', NULL, 'UPF0398', NULL, NULL, NULL, 7),
(19088, NULL, 'MF_01685', NULL, NULL, 'Ferredoxin--NADP reductase.', NULL, 'FENR2', NULL, NULL, NULL, 7),
(19089, NULL, 'MF_01302_A', NULL, NULL, '30S ribosomal protein S8 [rpsH].', NULL, 'Ribosomal_S8_A', NULL, NULL, NULL, 7),
(19090, NULL, 'MF_01065', NULL, NULL, 'UPF0257 lipoprotein YnfC [ynfC].', NULL, 'UPF0257', NULL, NULL, NULL, 7),
(19091, NULL, 'MF_00240', NULL, NULL, 'Outer-membrane lipoprotein carrier protein [lolA].', NULL, 'LolA', NULL, NULL, NULL, 7),
(19092, NULL, 'MF_03134', NULL, NULL, 'Probable alanine--tRNA ligase, chloroplastic.', NULL, 'Ala_tRNA_synth_plantC', NULL, NULL, NULL, 7),
(19093, NULL, 'MF_00739', NULL, NULL, 'Urease subunit gamma [ureA].', NULL, 'Urease_gamma', NULL, NULL, NULL, 7),
(19094, NULL, 'MF_00835', NULL, NULL, 'Malonyl-[acyl-carrier protein] O-methyltransferase [bioC].', NULL, 'BioC', NULL, NULL, NULL, 7),
(19095, NULL, 'MF_00787', NULL, NULL, 'Cobalt-precorrin-5B C(1)-methyltransferase [cbiD].', NULL, 'CbiD', NULL, NULL, NULL, 7),
(19096, NULL, 'MF_01450', NULL, NULL, 'Acylphosphatase [yccX].', NULL, 'Acylphosphatase_entero', NULL, NULL, NULL, 7),
(19097, NULL, 'MF_00309', NULL, NULL, 'V-type ATP synthase alpha chain [atpA].', NULL, 'ATP_synth_A_arch', NULL, NULL, NULL, 7),
(19098, NULL, 'MF_00567', NULL, NULL, 'Quinolinate synthase A [nadA].', NULL, 'NadA_type1', NULL, NULL, NULL, 7); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19099, NULL, 'MF_02045', NULL, NULL, 'Phosphoribosylaminoimidazole carboxylase [purE].', NULL, 'PurE_classII', NULL, NULL, NULL, 7),
(19100, NULL, 'MF_01522', NULL, NULL, 'Low affinity potassium transport system protein kup [kup].', NULL, 'Kup', NULL, NULL, NULL, 7),
(19101, NULL, 'MF_01949', NULL, NULL, 'O-acetyltransferase WecH [wecH].', NULL, 'Acetyltr_WecH', NULL, NULL, NULL, 7),
(19102, NULL, 'MF_00054_B', NULL, NULL, 'Elongation factor G [fusA].', NULL, 'EF_G_EF_2_B', NULL, NULL, NULL, 7),
(19103, NULL, 'MF_00197', NULL, NULL, 'Diaminopimelate epimerase [dapF].', NULL, 'DAP_epimerase', NULL, NULL, NULL, 7),
(19104, NULL, 'MF_00713', NULL, NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 2 [gcvPB].', NULL, 'GcvPB', NULL, NULL, NULL, 7),
(19105, NULL, 'MF_00758', NULL, NULL, 'UPF0301 protein YqgE [yqgE].', NULL, 'UPF0301', NULL, NULL, NULL, 7),
(19106, NULL, 'MF_00154', NULL, NULL, 'Protoheme IX farnesyltransferase [cyoE].', NULL, 'CyoE_CtaB', NULL, NULL, NULL, 7),
(19107, NULL, 'MF_00948', NULL, NULL, 'Transcription termination/antitermination protein NusG [nusG].', NULL, 'NusG', NULL, NULL, NULL, 7),
(19108, NULL, 'MF_00560', NULL, NULL, 'Trans-aconitate 2-methyltransferase [tam].', NULL, 'Tran_acon_Me_trans', NULL, NULL, NULL, 7),
(19109, NULL, 'MF_01208', NULL, NULL, 'Orotate phosphoribosyltransferase [pyrE].', NULL, 'PyrE', NULL, NULL, NULL, 7),
(19110, NULL, 'MF_03143', NULL, NULL, 'Pentafunctional AROM polypeptide [aroM].', NULL, 'Pentafunct_AroM', NULL, NULL, NULL, 7),
(19111, NULL, 'MF_01421', NULL, NULL, 'UPF0323 lipoprotein <locus_tag>.', NULL, 'UPF0323', NULL, NULL, NULL, 7),
(19112, NULL, 'MF_04010', NULL, NULL, 'DNA helicase/primase complex-associated protein.', NULL, 'HSV_HEPA', NULL, NULL, NULL, 7),
(19113, NULL, 'MF_01849', NULL, NULL, 'Dual-specificity RNA methyltransferase RlmN [rlmN].', NULL, 'RNA_methyltr_RlmN', NULL, NULL, NULL, 7),
(19114, NULL, 'MF_02236', NULL, NULL, 'N-acetyl-L-citrulline deacetylase [argE''].', NULL, 'ACDase', NULL, NULL, NULL, 7),
(19115, NULL, 'MF_00065', NULL, NULL, 'Adenylyl-sulfate kinase [cysC].', NULL, 'Adenylyl_sulf_kinase', NULL, NULL, NULL, 7),
(19116, NULL, 'MF_01413', NULL, NULL, 'Glutathione-regulated potassium-efflux system protein KefC [kefC].', NULL, 'K_H_efflux_KefC', NULL, NULL, NULL, 7),
(19117, NULL, 'MF_01658', NULL, NULL, '3-demethoxyubiquinol 3-hydroxylase [coq7].', NULL, 'COQ7', NULL, NULL, NULL, 7),
(19118, NULL, 'MF_01123', NULL, NULL, 'Acetyl-coenzyme A synthetase [acs].', NULL, 'Ac_CoA_synth', NULL, NULL, NULL, 7),
(19119, NULL, 'MF_02029', NULL, NULL, 'UDP-N-acetyl-D-mannosamine dehydrogenase [wecC].', NULL, 'WecC_RffD', NULL, NULL, NULL, 7),
(19120, NULL, 'MF_00620', NULL, NULL, 'Putative transcriptional regulatory protein <locus_tag>.', NULL, 'HTH_type_Tfx', NULL, NULL, NULL, 7),
(19121, NULL, 'MF_01352', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit M [ndhM].', NULL, 'NDH1_NDH1M', NULL, NULL, NULL, 7),
(19122, NULL, 'MF_00987', NULL, NULL, 'L-fuculose phosphate aldolase [fucA].', NULL, 'FucA', NULL, NULL, NULL, 7),
(19123, NULL, 'MF_01292', NULL, NULL, '4-hydroxy-2-oxo-heptane-1,7-dioate aldolase [hpcH].', NULL, 'HKHD_aldolase', NULL, NULL, NULL, 7),
(19124, NULL, 'MF_00824', NULL, NULL, 'Uncharacterized N-acetyltransferase <locus_tag>.', NULL, 'Acetyltransf_YlbP', NULL, NULL, NULL, 7),
(19125, NULL, 'MF_04139', NULL, NULL, 'NAD(+)--arginine ADP-ribosyltransferase [alt].', NULL, 'ALT_T4', NULL, NULL, NULL, 7),
(19126, NULL, 'MF_00494', NULL, NULL, 'Probable transaldolase [tal].', NULL, 'Transaldolase_3b', NULL, NULL, NULL, 7),
(19127, NULL, 'MF_00457', NULL, NULL, 'UPF0173 metal-dependent hydrolase <locus_tag>.', NULL, 'UPF0173', NULL, NULL, NULL, 7),
(19128, NULL, 'MF_00672', NULL, NULL, 'UPF0761 membrane protein YihY [yihY].', NULL, 'UPF0761', NULL, NULL, NULL, 7),
(19129, NULL, 'MF_01360', NULL, NULL, 'UPF0367 protein <locus_tag>.', NULL, 'UPF0367', NULL, NULL, NULL, 7); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19130, NULL, 'MF_04123', NULL, NULL, 'Inner capsid protein VP2.', NULL, 'Rota_VP2', NULL, NULL, NULL, 7),
(19131, NULL, 'MF_01854', NULL, NULL, 'Fructose-1,6-bisphosphatase class 3 [fbp].', NULL, 'FBPase_class3', NULL, NULL, NULL, 7),
(19132, NULL, 'MF_00581', NULL, NULL, 'Argininosuccinate synthase [argG].', NULL, 'Arg_succ_synth_type2', NULL, NULL, NULL, 7),
(19133, NULL, 'MF_01029', NULL, NULL, 'UPF0213 protein YhbQ [yhbQ].', NULL, 'UPF0213', NULL, NULL, NULL, 7),
(19134, NULL, 'MF_01560', NULL, NULL, 'UPF0358 protein <locus_tag>.', NULL, 'UPF0358', NULL, NULL, NULL, 7),
(19135, NULL, 'MF_03203', NULL, NULL, 'Elongation of very long chain fatty acids protein 3 [ELOVL3].', NULL, 'VLCF_elongase_3', NULL, NULL, NULL, 7),
(19136, NULL, 'MF_00957', NULL, NULL, 'Poly(A) polymerase I [pcnB].', NULL, 'PolyA_pol', NULL, NULL, NULL, 7),
(19137, NULL, 'MF_00512', NULL, NULL, '30S ribosomal protein S6e [rps6e].', NULL, 'Ribosomal_S6e', NULL, NULL, NULL, 7),
(19138, NULL, 'MF_02017', NULL, NULL, 'Cytoskeleton protein RodZ [rodZ].', NULL, 'RodZ', NULL, NULL, NULL, 7),
(19139, NULL, 'MF_00481', NULL, NULL, '50S ribosomal protein L30e [rpl30e].', NULL, 'Ribosomal_L30e', NULL, NULL, NULL, 7),
(19140, NULL, 'MF_00376', NULL, NULL, 'Dephospho-CoA kinase [coaE].', NULL, 'Dephospho_CoA_kinase', NULL, NULL, NULL, 7),
(19141, NULL, 'MF_00393', NULL, NULL, 'Glycerol-3-phosphate acyltransferase [plsB].', NULL, 'Glyc3P_acyltrans', NULL, NULL, NULL, 7),
(19142, NULL, 'MF_01898', NULL, NULL, 'DNA gyrase subunit B [gyrB].', NULL, 'GyrB', NULL, NULL, NULL, 7),
(19143, NULL, 'MF_01926', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurS [purS].', NULL, 'PurS', NULL, NULL, NULL, 7),
(19144, NULL, 'MF_01491', NULL, NULL, 'Ribonuclease J [rnj].', NULL, 'RNase_J_bact', NULL, NULL, NULL, 7),
(19145, NULL, 'MF_00923', NULL, NULL, 'Outer membrane protein assembly factor BamB [bamB].', NULL, 'OM_assembly_BamB', NULL, NULL, NULL, 7),
(19146, NULL, 'MF_01391', NULL, NULL, 'Cytochrome c biogenesis protein CcsA [ccsA].', NULL, 'CytC_CcsA', NULL, NULL, NULL, 7),
(19147, NULL, 'MF_00387', NULL, NULL, 'Acyl-[acyl-carrier-protein]--UDP-N-acetylglucosamine O-acyltransferase [lpxA].', NULL, 'LpxA', NULL, NULL, NULL, 7),
(19148, NULL, 'MF_00934', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase J [rlmJ].', NULL, '23SrRNA_methyltr_J', NULL, NULL, NULL, 7),
(19149, NULL, 'MF_03066', NULL, NULL, 'E3 ubiquitin-protein ligase RNF168 [RNF168].', NULL, 'RNF168', NULL, NULL, NULL, 7),
(19150, NULL, 'MF_01244', NULL, NULL, '3-dehydroquinate synthase [aroB''].', NULL, 'Arch_DHQ_synthase', NULL, NULL, NULL, 7),
(19151, NULL, 'MF_04020', NULL, NULL, 'Small capsomere-interacting protein [SCP].', NULL, 'HSV_SCP_alphahv', NULL, NULL, NULL, 7),
(19152, NULL, 'MF_00391', NULL, NULL, '50S ribosomal protein L34 [rpmH].', NULL, 'Ribosomal_L34', NULL, NULL, NULL, 7),
(19153, NULL, 'MF_00249', NULL, NULL, 'ATP-dependent protease ATPase subunit HslU [hslU].', NULL, 'HslU', NULL, NULL, NULL, 7),
(19154, NULL, 'MF_00406', NULL, NULL, '3-hydroxyacyl-[acyl-carrier-protein] dehydratase FabZ [fabZ].', NULL, 'FabZ', NULL, NULL, NULL, 7),
(19155, NULL, 'MF_01243', NULL, NULL, 'Formamidase [amiF].', NULL, 'Formamidase', NULL, NULL, NULL, 7),
(19156, NULL, 'MF_00751', NULL, NULL, 'Preprotein translocase subunit SecG [secG].', NULL, 'SecG', NULL, NULL, NULL, 7),
(19157, NULL, 'MF_01963', NULL, NULL, 'S-methyl-5''-thioadenosine phosphorylase [mtnP].', NULL, 'MTAP', NULL, NULL, NULL, 7),
(19158, NULL, 'MF_01063', NULL, NULL, 'Esterase FrsA [frsA].', NULL, 'FrsA', NULL, NULL, NULL, 7),
(19159, NULL, 'MF_01644', NULL, NULL, 'D-phenylhydantoinase [hyuA].', NULL, 'D_hydantoinase', NULL, NULL, NULL, 7),
(19160, NULL, 'MF_01672', NULL, NULL, 'Inosose dehydratase [iolE].', NULL, 'IolE', NULL, NULL, NULL, 7),
(19161, NULL, 'MF_01493', NULL, NULL, 'DEAD-box ATP-dependent RNA helicase CshA [cshA].', NULL, 'DEAD_helicase_CshA', NULL, NULL, NULL, 7);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19162, NULL, 'MF_01538', NULL, NULL, 'UPF0346 protein <locus_tag>.', NULL, 'UPF0346', NULL, NULL, NULL, 7),
(19163, NULL, 'MF_00520', NULL, NULL, 'Ribulokinase [araB].', NULL, 'Ribulokinase', NULL, NULL, NULL, 7),
(19164, NULL, 'MF_00843', NULL, NULL, 'Major outer membrane lipoprotein Lpp [lpp].', NULL, 'Lpp', NULL, NULL, NULL, 7),
(19165, NULL, 'MF_00965', NULL, NULL, 'ATP-dependent RNA helicase DbpA [dbpA].', NULL, 'DEAD_helicase_DbpA', NULL, NULL, NULL, 7),
(19166, NULL, 'MF_01312', NULL, NULL, 'Anaerobic nitric oxide reductase flavorubredoxin [norV].', NULL, 'NorV', NULL, NULL, NULL, 7),
(19167, NULL, 'MF_00643', NULL, NULL, 'Cytochrome b559 subunit beta [psbF].', NULL, 'PSII_PsbF', NULL, NULL, NULL, 7),
(19168, NULL, 'MF_00147_B', NULL, NULL, 'Triosephosphate isomerase [tpiA].', NULL, 'TIM_B', NULL, NULL, NULL, 7),
(19169, NULL, 'MF_01081', NULL, NULL, 'Probable tRNA pseudouridine synthase B [truB].', NULL, 'TruB_arch', NULL, NULL, NULL, 7),
(19170, NULL, 'MF_00421', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurQ [purQ].', NULL, 'PurQ', NULL, NULL, NULL, 7),
(19171, NULL, 'MF_02239', NULL, NULL, 'Protoporphyrinogen IX oxidase.', NULL, 'HemJ', NULL, NULL, NULL, 7),
(19172, NULL, 'MF_00830', NULL, NULL, 'Ureidoacrylate amidohydrolase RutB [rutB].', NULL, 'RutB', NULL, NULL, NULL, 7),
(19173, NULL, 'MF_00918', NULL, NULL, 'Probable transcriptional regulatory protein YeeN [yeeN].', NULL, 'Transcrip_reg_TACO1_YeeN', NULL, NULL, NULL, 7),
(19174, NULL, 'MF_00201', NULL, NULL, 'DNA repair protein RecO [recO].', NULL, 'RecO', NULL, NULL, NULL, 7),
(19175, NULL, 'MF_00246', NULL, NULL, 'Galactokinase [galK].', NULL, 'Galactokinase', NULL, NULL, NULL, 7),
(19176, NULL, 'MF_00526', NULL, NULL, 'Glutamate mutase sigma subunit [glmS].', NULL, 'Me_Asp_mutase_S', NULL, NULL, NULL, 7),
(19177, NULL, 'MF_02114', NULL, NULL, 'Phosphoenolpyruvate guanylyltransferase [fbiD].', NULL, 'CofC', NULL, NULL, NULL, 7),
(19178, NULL, 'MF_01314', NULL, NULL, 'Anaerobic nitric oxide reductase transcription regulator NorR [norR].', NULL, 'NorR', NULL, NULL, NULL, 7),
(19179, NULL, 'MF_00178', NULL, NULL, '6,7-dimethyl-8-ribityllumazine synthase [ribH].', NULL, 'Lumazine_synth', NULL, NULL, NULL, 7),
(19180, NULL, 'MF_01225_A', NULL, NULL, 'GTP 3'',8-cyclase [moaA].', NULL, 'MoaA_A', NULL, NULL, NULL, 7),
(19181, NULL, 'MF_00102', NULL, NULL, '4-hydroxy-tetrahydrodipicolinate reductase [dapB].', NULL, 'DapB', NULL, NULL, NULL, 7),
(19182, NULL, 'MF_04057', NULL, NULL, 'Packaging protein 1 [IVa2].', NULL, 'ADV_PKG1', NULL, NULL, NULL, 7),
(19183, NULL, 'MF_01141', NULL, NULL, 'Antiholin-like protein LrgA [lrgA].', NULL, 'LrgA', NULL, NULL, NULL, 7),
(19184, NULL, 'MF_01447', NULL, NULL, 'Probable bifunctional tRNA threonylcarbamoyladenosine biosynthesis protein.', NULL, 'Kae1_Bud32_arch', NULL, NULL, NULL, 7),
(19185, NULL, 'MF_00452', NULL, NULL, 'Phosphoenolpyruvate carboxykinase [GTP] [pckG].', NULL, 'PEPCK_GTP', NULL, NULL, NULL, 7),
(19186, NULL, 'MF_00436', NULL, NULL, 'RNA-binding protein Hfq [hfq].', NULL, 'Hfq', NULL, NULL, NULL, 7),
(19187, NULL, 'MF_01293', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaY [kbaY].', NULL, 'TagBP_aldolase_KbaY', NULL, NULL, NULL, 7),
(19188, NULL, 'MF_01555', NULL, NULL, 'Galactose-6-phosphate isomerase subunit LacA [lacA].', NULL, 'LacA', NULL, NULL, NULL, 7),
(19189, NULL, 'MF_01906', NULL, NULL, 'D-(-)-3-hydroxybutyrate oligomer hydrolase.', NULL, '3HBOH', NULL, NULL, NULL, 7),
(19190, NULL, 'MF_00023', NULL, NULL, 'SsrA-binding protein [smpB].', NULL, 'SmpB', NULL, NULL, NULL, 7),
(19191, NULL, 'MF_00986', NULL, NULL, 'L-fuculokinase [fucK].', NULL, 'Fuculokinase', NULL, NULL, NULL, 7),
(19192, NULL, 'MF_04150', NULL, NULL, 'RNA ligase 2.', NULL, 'RNALIG2_T4', NULL, NULL, NULL, 7),
(19193, NULL, 'MF_00162', NULL, NULL, 'Glutathione synthetase [gshB].', NULL, 'GSH_S', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19194, NULL, 'MF_01106', NULL, NULL, 'Arginine biosynthesis bifunctional protein ArgJ [argJ].', NULL, 'ArgJ', NULL, NULL, NULL, 7),
(19195, NULL, 'MF_01841', NULL, NULL, 'Agmatine deiminase [aguA].', NULL, 'Agmatine_deimin', NULL, NULL, NULL, 7),
(19196, NULL, 'MF_01460', NULL, NULL, 'Chromophore lyase CpcT/CpeT [cpcT].', NULL, 'Chrphore_lyase_CpxT', NULL, NULL, NULL, 7),
(19197, NULL, 'MF_01464_A', NULL, NULL, 'Protein-export membrane protein SecF [secF].', NULL, 'SecF_A', NULL, NULL, NULL, 7),
(19198, NULL, 'MF_01571', NULL, NULL, 'Proline--tRNA ligase [proS].', NULL, 'Pro_tRNA_synth_type3', NULL, NULL, NULL, 7),
(19199, NULL, 'MF_00809', NULL, NULL, 'ADP-dependent glucose/glucosamine kinase [glkA].', NULL, 'ADP_glucokinase', NULL, NULL, NULL, 7),
(19200, NULL, 'MF_00910', NULL, NULL, 'Cell division protein FtsL [ftsL].', NULL, 'FtsL', NULL, NULL, NULL, 7),
(19201, NULL, 'MF_00307', NULL, NULL, 'Prefoldin subunit beta [pfdB].', NULL, 'PfdB', NULL, NULL, NULL, 7),
(19202, NULL, 'MF_00502', NULL, NULL, '50S ribosomal protein L31 type B [rpmE2].', NULL, 'Ribosomal_L31_2', NULL, NULL, NULL, 7),
(19203, NULL, 'MF_00254', NULL, NULL, 'Glycine--tRNA ligase alpha subunit [glyQ].', NULL, 'Gly_tRNA_synth_alpha', NULL, NULL, NULL, 7),
(19204, NULL, 'MF_04073', NULL, NULL, 'Protein P [P].', NULL, 'HBV_DPOL', NULL, NULL, NULL, 7),
(19205, NULL, 'MF_00944', NULL, NULL, 'Ribosome-binding ATPase YchF [ychF].', NULL, 'YchF_OLA1_ATPase', NULL, NULL, NULL, 7),
(19206, NULL, 'MF_01523', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase J [rsmJ].', NULL, '16SrRNA_methyltr_J', NULL, NULL, NULL, 7),
(19207, NULL, 'MF_01839', NULL, NULL, 'Nucleoid occlusion factor SlmA [slmA].', NULL, 'NO_factor_SlmA', NULL, NULL, NULL, 7),
(19208, NULL, 'MF_03063', NULL, NULL, 'Elongation factor G, chloroplastic.', NULL, 'EF_G_plantC', NULL, NULL, NULL, 7),
(19209, NULL, 'MF_04025', NULL, NULL, 'Capsid vertex component 2 [CVC2].', NULL, 'HSV_CVC2', NULL, NULL, NULL, 7),
(19210, NULL, 'MF_00968', NULL, NULL, 'ATP-dependent RNA helicase RhlE [rhlE].', NULL, 'DEAD_helicase_RhlE', NULL, NULL, NULL, 7),
(19211, NULL, 'MF_01080', NULL, NULL, 'tRNA pseudouridine synthase B [truB].', NULL, 'TruB_bact', NULL, NULL, NULL, 7),
(19212, NULL, 'MF_01959', NULL, NULL, 'Cytochrome c-type biogenesis protein CcmE [ccmE].', NULL, 'CcmE', NULL, NULL, NULL, 7),
(19213, NULL, 'MF_02094', NULL, NULL, 'Phosphogluconate dehydratase [edd].', NULL, 'Edd', NULL, NULL, NULL, 7),
(19214, NULL, 'MF_01978', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_B2', NULL, NULL, NULL, 7),
(19215, NULL, 'MF_00013', NULL, NULL, 'Octanoyltransferase [lipB].', NULL, 'LipB', NULL, NULL, NULL, 7),
(19216, NULL, 'MF_00344', NULL, NULL, 'GMP synthase [glutamine-hydrolyzing] [guaA].', NULL, 'GMP_synthase', NULL, NULL, NULL, 7),
(19217, NULL, 'MF_01274', NULL, NULL, 'Type III pantothenate kinase [coaX].', NULL, 'Pantothen_kinase_3', NULL, NULL, NULL, 7),
(19218, NULL, 'MF_01103', NULL, NULL, 'UPF0291 protein <locus_tag>.', NULL, 'UPF0291', NULL, NULL, NULL, 7),
(19219, NULL, 'MF_03154', NULL, NULL, '1,2-dihydroxy-3-keto-5-methylthiopentene dioxygenase [ADI1].', NULL, 'Salvage_MtnD_euk', NULL, NULL, NULL, 7),
(19220, NULL, 'MF_00759', NULL, NULL, 'DNA mismatch repair protein MutH [mutH].', NULL, 'MutH', NULL, NULL, NULL, 7),
(19221, NULL, 'MF_00191', NULL, NULL, '4-hydroxy-3-methylbut-2-enyl diphosphate reductase [ispH].', NULL, 'IspH', NULL, NULL, NULL, 7),
(19222, NULL, 'MF_01014', NULL, NULL, '1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino] imidazole-4-carboxamide isomerase [hisA].', NULL, 'HisA', NULL, NULL, NULL, 7),
(19223, NULL, 'MF_01237', NULL, NULL, 'N-acetylneuraminate lyase [nanA].', NULL, 'N_acetylneuram_lyase', NULL, NULL, NULL, 7),
(19224, NULL, 'MF_04019', NULL, NULL, 'Triplex capsid protein 2 [TRX2].', NULL, 'HSV_TRX2', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19225, NULL, 'MF_02213', NULL, NULL, 'Lipid II isoglutaminyl synthase (glutamine-hydrolyzing) subunit GatD [gatD].', NULL, 'Lipid_II_synth_GatD', NULL, NULL, NULL, 7),
(19226, NULL, 'MF_00113', NULL, NULL, 'S-adenosylmethionine:tRNA ribosyltransferase-isomerase [queA].', NULL, 'QueA', NULL, NULL, NULL, 7),
(19227, NULL, 'MF_00599', NULL, NULL, 'Cell division protein FtsB [ftsB].', NULL, 'FtsB', NULL, NULL, NULL, 7),
(19228, NULL, 'MF_03056', NULL, NULL, 'tRNA (guanine-N(7)-)-methyltransferase non-catalytic subunit <gene_name> [WDR4].', NULL, 'TRM82', NULL, NULL, NULL, 7),
(19229, NULL, 'MF_00185', NULL, NULL, 'tRNA dimethylallyltransferase [miaA].', NULL, 'IPP_trans', NULL, NULL, NULL, 7),
(19230, NULL, 'MF_03006', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit G [EIF3G].', NULL, 'eIF3g', NULL, NULL, NULL, 7),
(19231, NULL, 'MF_00255', NULL, NULL, 'Glycine--tRNA ligase beta subunit [glyS].', NULL, 'Gly_tRNA_synth_beta', NULL, NULL, NULL, 7),
(19232, NULL, 'MF_00539', NULL, NULL, '50S ribosomal protein L27 [rpmA].', NULL, 'Ribosomal_L27', NULL, NULL, NULL, 7),
(19233, NULL, 'MF_01527_B', NULL, NULL, 'GTP cyclohydrolase FolE2 [folE2].', NULL, 'GTP_cyclohydrol_B', NULL, NULL, NULL, 7),
(19234, NULL, 'MF_01173', NULL, NULL, 'Succinylornithine transaminase [astC].', NULL, 'AstC_aminotrans_3', NULL, NULL, NULL, 7),
(19235, NULL, 'MF_00976', NULL, NULL, 'Outer membrane lipoprotein RcsF [rcsF].', NULL, 'RcsF', NULL, NULL, NULL, 7),
(19236, NULL, 'MF_00755', NULL, NULL, 'Ribonuclease P protein component 2 [rnp2].', NULL, 'RNase_P_2', NULL, NULL, NULL, 7),
(19237, NULL, 'MF_00737', NULL, NULL, 'Formimidoylglutamase [hutG].', NULL, 'Formimidoylglutam', NULL, NULL, NULL, 7),
(19238, NULL, 'MF_00632', NULL, NULL, 'UPF0234 protein YajQ [yajQ].', NULL, 'UPF0234', NULL, NULL, NULL, 7),
(19239, NULL, 'MF_00048', NULL, NULL, 'UPF0102 protein YraN [yraN].', NULL, 'UPF0102', NULL, NULL, NULL, 7),
(19240, NULL, 'MF_01308', NULL, NULL, 'envelope membrane protein, chloroplastic [cemA].', NULL, 'CemA', NULL, NULL, NULL, 7),
(19241, NULL, 'MF_01398', NULL, NULL, 'ATP synthase subunit b [atpF].', NULL, 'ATP_synth_b_bprime', NULL, NULL, NULL, 7),
(19242, NULL, 'MF_01222', NULL, NULL, 'Protein archease.', NULL, 'Archease_arch', NULL, NULL, NULL, 7),
(19243, NULL, 'MF_01100', NULL, NULL, '5''-deoxynucleotidase YfbR [yfbR].', NULL, '5DNU', NULL, NULL, NULL, 7),
(19244, NULL, 'MF_01060', NULL, NULL, 'Periplasmic trehalase [treA].', NULL, 'Peripl_trehalase', NULL, NULL, NULL, 7),
(19245, NULL, 'MF_00417', NULL, NULL, 'Pyrrolidone-carboxylate peptidase [pcp].', NULL, 'Pyrrolid_peptidase', NULL, NULL, NULL, 7),
(19246, NULL, 'MF_00328', NULL, NULL, 'Guanylate kinase [gmk].', NULL, 'Guanylate_kinase', NULL, NULL, NULL, 7),
(19247, NULL, 'MF_02058', NULL, NULL, 'Choline trimethylamine-lyase [cutC].', NULL, 'Choline_CutC', NULL, NULL, NULL, 7),
(19248, NULL, 'MF_00090', NULL, NULL, 'Protein-L-isoaspartate O-methyltransferase [pcm].', NULL, 'PIMT', NULL, NULL, NULL, 7),
(19249, NULL, 'MF_01339', NULL, NULL, 'Ribulose bisphosphate carboxylase [cbbM].', NULL, 'RuBisCO_L_type2', NULL, NULL, NULL, 7),
(19250, NULL, 'MF_01686', NULL, NULL, 'Putative thymidylate synthase [thyA].', NULL, 'Thymidy_synth_arch', NULL, NULL, NULL, 7),
(19251, NULL, 'MF_01881', NULL, NULL, 'Propionate kinase [tdcD].', NULL, 'Propion_kin_subfam1', NULL, NULL, NULL, 7),
(19252, NULL, 'MF_00098', NULL, NULL, 'Methionine--tRNA ligase [metG].', NULL, 'Met_tRNA_synth_type1', NULL, NULL, NULL, 7),
(19253, NULL, 'MF_01487', NULL, NULL, 'RecBCD enzyme subunit RecD [recD].', NULL, 'RecD', NULL, NULL, NULL, 7),
(19254, NULL, 'MF_02011', NULL, NULL, 'Cell cycle protein GpsB [gpsB].', NULL, 'GpsB', NULL, NULL, NULL, 7),
(19255, NULL, 'MF_00826', NULL, NULL, 'Glycine/sarcosine/betaine reductase complex component A [grdA].', NULL, 'GRDA', NULL, NULL, NULL, 7),
(19256, NULL, 'MF_00814', NULL, NULL, 'Nascent polypeptide-associated complex protein [nac].', NULL, 'NAC_arch', NULL, NULL, NULL, 7);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19257, NULL, 'MF_01042', NULL, NULL, 'UPF0115 protein YfcN [yfcN].', NULL, 'UPF0115', NULL, NULL, NULL, 7),
(19258, NULL, 'MF_00079', NULL, NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, 'HisG_Long', NULL, NULL, NULL, 7),
(19259, NULL, 'MF_00811', NULL, NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, 'DapD', NULL, NULL, NULL, 7),
(19260, NULL, 'MF_02048', NULL, NULL, 'D-aminoacyl-tRNA deacylase [dtd3].', NULL, 'Deacylase_DTD3', NULL, NULL, NULL, 7),
(19261, NULL, 'MF_00210', NULL, NULL, '3-phosphoshikimate 1-carboxyvinyltransferase [aroA].', NULL, 'EPSP_synth', NULL, NULL, NULL, 7),
(19262, NULL, 'MF_02122', NULL, NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase [dapD].', NULL, 'DapD_type2', NULL, NULL, NULL, 7),
(19263, NULL, 'MF_01091', NULL, NULL, '5,10-methylenetetrahydromethanopterin reductase [mer].', NULL, 'F420_mer', NULL, NULL, NULL, 7),
(19264, NULL, 'MF_00714', NULL, NULL, 'Alkylmercury lyase [merB].', NULL, 'MerB', NULL, NULL, NULL, 7),
(19265, NULL, 'MF_02100', NULL, NULL, 'Uncharacterized methyltransferase <locus_tag>.', NULL, 'Methyltr_YrrT', NULL, NULL, NULL, 7),
(19266, NULL, 'MF_03101', NULL, NULL, 'Deoxyhypusine hydroxylase [DOHH].', NULL, 'Deoxyhypusine_hydroxylase', NULL, NULL, NULL, 7),
(19267, NULL, 'MF_01865', NULL, NULL, 'Ribosomal protein S12 methylthiotransferase RimO [rimO].', NULL, 'MTTase_RimO', NULL, NULL, NULL, 7),
(19268, NULL, 'MF_04063', NULL, NULL, 'Polymerase acidic protein [PA].', NULL, 'INFV_PA', NULL, NULL, NULL, 7),
(19269, NULL, 'MF_01604', NULL, NULL, 'Thiamine kinase [thiK].', NULL, 'Thiamine_kinase', NULL, NULL, NULL, 7),
(19270, NULL, 'MF_01633', NULL, NULL, '7-cyano-7-deazaguanine synthase [queC].', NULL, 'QueC', NULL, NULL, NULL, 7),
(19271, NULL, 'MF_00836', NULL, NULL, 'Ribose 1,5-bisphosphate phosphokinase PhnN [phnN].', NULL, 'PhnN', NULL, NULL, NULL, 7),
(19272, NULL, 'MF_01328_A', NULL, NULL, '50S ribosomal protein L4 [rplD].', NULL, 'Ribosomal_L4_A', NULL, NULL, NULL, 7),
(19273, NULL, 'MF_01668', NULL, NULL, '5-dehydro-2-deoxygluconokinase [iolC].', NULL, 'IolC', NULL, NULL, NULL, 7),
(19274, NULL, 'MF_00721', NULL, NULL, '50S ribosomal protein L14e [rpl14e].', NULL, 'Ribosomal_L14e', NULL, NULL, NULL, 7),
(19275, NULL, 'MF_04013', NULL, NULL, 'Tripartite terminase subunit 3 [TRM3].', NULL, 'HSV_TRM3', NULL, NULL, NULL, 7),
(19276, NULL, 'MF_00047', NULL, NULL, 'D-alanine--D-alanine ligase [ddl].', NULL, 'Dala_Dala_lig', NULL, NULL, NULL, 7),
(19277, NULL, 'MF_01807', NULL, NULL, 'Tyrosine recombinase XerD [xerD].', NULL, 'Recomb_XerD', NULL, NULL, NULL, 7),
(19278, NULL, 'MF_02060', NULL, NULL, 'tRNA (guanosine(18)-2''-O)-methyltransferase [trmH].', NULL, 'tRNA_methyltr_TrmH', NULL, NULL, NULL, 7),
(19279, NULL, 'MF_01162', NULL, NULL, 'Bifunctional protein Aas [aas].', NULL, 'Aas', NULL, NULL, NULL, 7),
(19280, NULL, 'MF_01541', NULL, NULL, 'Sulfite reductase [NADPH] flavoprotein alpha-component [cysJ].', NULL, 'CysJ', NULL, NULL, NULL, 7),
(19281, NULL, 'MF_01649', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit beta [hcaF].', NULL, 'HcaF', NULL, NULL, NULL, 7),
(19282, NULL, 'MF_03030', NULL, NULL, 'Mitochondrial genome maintenance exonuclease 1 [MGME1].', NULL, 'MGME1', NULL, NULL, NULL, 7),
(19283, NULL, 'MF_03060', NULL, NULL, 'Draxin [DRAXIN].', NULL, 'Draxin', NULL, NULL, NULL, 7),
(19284, NULL, 'MF_00605', NULL, NULL, 'tRNA (guanine-N(1)-)-methyltransferase [trmD].', NULL, 'TrmD', NULL, NULL, NULL, 7),
(19285, NULL, 'MF_01941', NULL, NULL, 'Mid-cell-anchored protein Z [mapZ].', NULL, 'MapZ', NULL, NULL, NULL, 7),
(19286, NULL, 'MF_00653', NULL, NULL, 'Coenzyme PQQ synthesis protein B [pqqB].', NULL, 'PQQ_syn_PqqB', NULL, NULL, NULL, 7),
(19287, NULL, 'MF_01335', NULL, NULL, 'Cytochrome b6-f complex iron-sulfur subunit [petC].', NULL, 'Cytb6_f_Rieske', NULL, NULL, NULL, 7),
(19288, NULL, 'MF_00483', NULL, NULL, 'DNA replication terminus site-binding protein [tus].', NULL, 'Rep_term_Tus', NULL, NULL, NULL, 7);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19289, NULL, 'MF_01001', NULL, NULL, 'UDP-N-acetyl-D-mannosaminuronic acid transferase [wecG].', NULL, 'WecG_RffM', NULL, NULL, NULL, 7),
(19290, NULL, 'MF_01310', NULL, NULL, '30S ribosomal protein S11 [rpsK].', NULL, 'Ribosomal_S11', NULL, NULL, NULL, 7),
(19291, NULL, 'MF_04011', NULL, NULL, 'DNA primase.', NULL, 'HSV_PRIM', NULL, NULL, NULL, 7),
(19292, NULL, 'MF_01369_A', NULL, NULL, '50S ribosomal protein L23 [rplW].', NULL, 'Ribosomal_L23_A', NULL, NULL, NULL, 7),
(19293, NULL, 'MF_04081', NULL, NULL, 'Virion infectivity factor [vif].', NULL, 'HIV_VIF', NULL, NULL, NULL, 7),
(19294, NULL, 'MF_03015', NULL, NULL, '40S ribosomal protein SA [rps-0].', NULL, 'Ribosomal_S2_euk', NULL, NULL, NULL, 7),
(19295, NULL, 'MF_00057', NULL, NULL, '8-amino-3,8-dideoxy-manno-octulosonate cytidylyltransferase [kdsB].', NULL, 'KdsB', NULL, NULL, NULL, 7),
(19296, NULL, 'MF_01020', NULL, NULL, 'Phosphoribosyl-ATP pyrophosphatase [hisE].', NULL, 'HisE', NULL, NULL, NULL, 7),
(19297, NULL, 'MF_01443', NULL, NULL, 'Bis(5''-nucleosyl)-tetraphosphatase PrpE [asymmetrical] [prpE].', NULL, 'PrpE', NULL, NULL, NULL, 7),
(19298, NULL, 'MF_02020', NULL, NULL, 'UDP-N-acetylmuramate--L-alanyl-gamma-D-glutamyl-meso-2,6-diaminoheptandioate ligase [mpl].', NULL, 'Mpl', NULL, NULL, NULL, 7),
(19299, NULL, 'MF_01087', NULL, NULL, 'UPF0285 protein <locus_tag>.', NULL, 'UPF0285', NULL, NULL, NULL, 7),
(19300, NULL, 'MF_00615', NULL, NULL, 'DNA-directed RNA polymerase subunit P [rpoP].', NULL, 'RNApol_arch_P', NULL, NULL, NULL, 7),
(19301, NULL, 'MF_00547', NULL, NULL, '50S ribosomal protein L37e [rpl37e].', NULL, 'Ribosomal_L37e', NULL, NULL, NULL, 7),
(19302, NULL, 'MF_03211', NULL, NULL, 'RNA cytidine acetyltransferase [NAT10].', NULL, 'RNA_acetyltr_Nat10', NULL, NULL, NULL, 7),
(19303, NULL, 'MF_04204', NULL, NULL, 'Envelope small membrane protein [E].', NULL, 'BETA_CORONA_E', NULL, NULL, NULL, 7),
(19304, NULL, 'MF_04072', NULL, NULL, 'Hemagglutinin [HA].', NULL, 'INFV_HEMA', NULL, NULL, NULL, 7),
(19305, NULL, 'MF_01471', NULL, NULL, 'CRISPR-associated endoribonuclease Cas2 [cas2].', NULL, 'Cas2', NULL, NULL, NULL, 7),
(19306, NULL, 'MF_01052', NULL, NULL, 'Crotonobetainyl-CoA reductase [caiA].', NULL, 'CaiA', NULL, NULL, NULL, 7),
(19307, NULL, 'MF_00939', NULL, NULL, 'DNA topoisomerase 4 subunit B [parE].', NULL, 'ParE_type2', NULL, NULL, NULL, 7),
(19308, NULL, 'MF_00140_B', NULL, NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, 'Trp_tRNA_synth_B', NULL, NULL, NULL, 7),
(19309, NULL, 'MF_01256', NULL, NULL, 'Putative metal-dependent hydrolase <locus_tag>.', NULL, 'YfiT_hydrol', NULL, NULL, NULL, 7),
(19310, NULL, 'MF_00306', NULL, NULL, 'Signal recognition particle 54 kDa protein [srp54].', NULL, 'SRP54', NULL, NULL, NULL, 7),
(19311, NULL, 'MF_03102', NULL, NULL, 'Mitochondrial distribution and morphology protein 10 [MDM10].', NULL, 'Mdm10', NULL, NULL, NULL, 7),
(19312, NULL, 'MF_00496', NULL, NULL, 'Fructose-6-phosphate aldolase [fsa].', NULL, 'F6P_aldolase', NULL, NULL, NULL, 7),
(19313, NULL, 'MF_00540', NULL, NULL, 'Adenosine deaminase [add].', NULL, 'A_deaminase', NULL, NULL, NULL, 7),
(19314, NULL, 'MF_01271', NULL, NULL, 'N-acetyl-D-glucosamine kinase [nagK].', NULL, 'GlcNAc_kinase', NULL, NULL, NULL, 7),
(19315, NULL, 'MF_02104', NULL, NULL, 'Lactate utilization protein C [lutC].', NULL, 'LutC', NULL, NULL, NULL, 7),
(19316, NULL, 'MF_00777', NULL, NULL, '30S ribosomal protein S27ae [rps27ae].', NULL, 'Ribosomal_S27ae', NULL, NULL, NULL, 7),
(19317, NULL, 'MF_01217', NULL, NULL, 'Acyl carrier protein [acpP].', NULL, 'Acyl_carrier', NULL, NULL, NULL, 7),
(19318, NULL, 'MF_01677', NULL, NULL, 'Methylthioribulose-1-phosphate dehydratase [mtnB].', NULL, 'Salvage_MtnB', NULL, NULL, NULL, 7),
(19319, NULL, 'MF_01297', NULL, NULL, 'UPF0678 fatty acid-binding protein-like protein <locus_tag>.', NULL, 'UPF0678', NULL, NULL, NULL, 7),
(19320, NULL, 'MF_00187', NULL, NULL, 'Sulfur carrier protein FdhD [fdhD].', NULL, 'FdhD', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19321, NULL, 'MF_01007', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase H [rsmH].', NULL, '16SrRNA_methyltr_H', NULL, NULL, NULL, 7),
(19322, NULL, 'MF_00362', NULL, NULL, '50S ribosomal protein L10 [rplJ].', NULL, 'Ribosomal_L10', NULL, NULL, NULL, 7),
(19323, NULL, 'MF_01617', NULL, NULL, 'Fatty acid oxidation complex subunit alpha [fadJ].', NULL, 'FadJ', NULL, NULL, NULL, 7),
(19324, NULL, 'MF_04131', NULL, NULL, 'Outer capsid glycoprotein VP7.', NULL, 'Rota_VP7_A', NULL, NULL, NULL, 7),
(19325, NULL, 'MF_00991', NULL, NULL, 'Futalosine hydrolase [mqnB].', NULL, 'MqnB', NULL, NULL, NULL, 7),
(19326, NULL, 'MF_01603', NULL, NULL, 'Bifunctional protein HldE [hldE].', NULL, 'HldE', NULL, NULL, NULL, 7),
(19327, NULL, 'MF_02126', NULL, NULL, 'Release factor glutamine methyltransferase [prmC].', NULL, 'RF_methyltr_PrmC', NULL, NULL, NULL, 7),
(19328, NULL, 'MF_00900', NULL, NULL, 'GTPase HflX [hflX].', NULL, 'GTPase_HflX', NULL, NULL, NULL, 7),
(19329, NULL, 'MF_04094', NULL, NULL, 'Non-structural protein 3.', NULL, 'ROTA_A_NSP3', NULL, NULL, NULL, 7),
(19330, NULL, 'MF_01878', NULL, NULL, 'Dipeptide and tripeptide permease A [dtpA].', NULL, 'PTR2_DtpA_subfam', NULL, NULL, NULL, 7),
(19331, NULL, 'MF_00317', NULL, NULL, 'DNA polymerase sliding clamp [pcn].', NULL, 'DNApol_clamp_arch', NULL, NULL, NULL, 7),
(19332, NULL, 'MF_00833', NULL, NULL, 'FMN reductase (NADH) RutF [rutF].', NULL, 'RutF', NULL, NULL, NULL, 7),
(19333, NULL, 'MF_01295', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit KbaZ [kbaZ].', NULL, 'Tagatose_aldol_KbaZ', NULL, NULL, NULL, 7),
(19334, NULL, 'MF_01986', NULL, NULL, 'Probable UbiX-like flavin prenyltransferase.', NULL, 'ubiX_pad_yclB', NULL, NULL, NULL, 7),
(19335, NULL, 'MF_00303', NULL, NULL, 'Trigger factor [tig].', NULL, 'Trigger_factor_Tig', NULL, NULL, NULL, 7),
(19336, NULL, 'MF_01025', NULL, NULL, '2-isopropylmalate synthase [leuA].', NULL, 'LeuA_type1', NULL, NULL, NULL, 7),
(19337, NULL, 'MF_01146', NULL, NULL, 'Aquaporin Z [aqpZ].', NULL, 'Aquaporin_Z', NULL, NULL, NULL, 7),
(19338, NULL, 'MF_00238', NULL, NULL, 'Cytidylate kinase [cmk].', NULL, 'Cytidyl_kinase_type1', NULL, NULL, NULL, 7),
(19339, NULL, 'MF_04091', NULL, NULL, 'Non-structural glycoprotein 4.', NULL, 'ROTA_NSP4', NULL, NULL, NULL, 7),
(19340, NULL, 'MF_01264', NULL, NULL, 'CCA-adding enzyme [cca].', NULL, 'CCA_arch', NULL, NULL, NULL, 7),
(19341, NULL, 'MF_02059', NULL, NULL, 'Choline trimethylamine-lyase activating enzyme [cutD].', NULL, 'Activ_enz_CutD', NULL, NULL, NULL, 7),
(19342, NULL, 'MF_02110', NULL, NULL, 'UPF0763 protein <locus_tag>.', NULL, 'UPF0763', NULL, NULL, NULL, 7),
(19343, NULL, 'MF_01212', NULL, NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, 'dGTPase_type2', NULL, NULL, NULL, 7),
(19344, NULL, 'MF_00985', NULL, NULL, '2-amino-3-ketobutyrate coenzyme A ligase [kbl].', NULL, '2am3keto_CoA_ligase', NULL, NULL, NULL, 7),
(19345, NULL, 'MF_00193', NULL, NULL, 'NH(3)-dependent NAD(+) synthetase [nadE].', NULL, 'NadE_ammonia_dep', NULL, NULL, NULL, 7),
(19346, NULL, 'MF_01268', NULL, NULL, 'Bifunctional enzyme Fae/Hps [fae-hps].', NULL, 'Fae_Hps', NULL, NULL, NULL, 7),
(19347, NULL, 'MF_04202', NULL, NULL, 'Membrane protein [M].', NULL, 'BETA_CORONA_M', NULL, NULL, NULL, 7),
(19348, NULL, 'MF_00107', NULL, NULL, '2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase [ispF].', NULL, 'IspF', NULL, NULL, NULL, 7),
(19349, NULL, 'MF_00533', NULL, NULL, 'Nitrogenase iron protein [nifH].', NULL, 'NifH', NULL, NULL, NULL, 7),
(19350, NULL, 'MF_00267', NULL, NULL, 'Probable septum site-determining protein MinC [minC].', NULL, 'MinC', NULL, NULL, NULL, 7),
(19351, NULL, 'MF_00096', NULL, NULL, 'DNA mismatch repair protein MutS [mutS].', NULL, 'MutS', NULL, NULL, NULL, 7),
(19352, NULL, 'MF_04069', NULL, NULL, 'Matrix protein 2 [M].', NULL, 'INFV_M2', NULL, NULL, NULL, 7),
(19353, NULL, 'MF_04135', NULL, NULL, 'Portal protein B [B].', NULL, 'PORTAL_LAMBDA', NULL, NULL, NULL, 7);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19354, NULL, 'MF_01804', NULL, NULL, 'Segregation and condensation protein B [scpB].', NULL, 'ScpB', NULL, NULL, NULL, 7),
(19355, NULL, 'MF_01886', NULL, NULL, 'tRNA(Met) cytidine acetyltransferase TmcA [tmcA].', NULL, 'tRNA_acetyltr_TmcA', NULL, NULL, NULL, 7),
(19356, NULL, 'MF_01508', NULL, NULL, 'Replication factor C large subunit [rfcL].', NULL, 'RfcL', NULL, NULL, NULL, 7),
(19357, NULL, 'MF_01905', NULL, NULL, 'GlcNAc-binding protein A [gbpA].', NULL, 'GbpA', NULL, NULL, NULL, 7),
(19358, NULL, 'MF_04109', NULL, NULL, 'Endolysin.', NULL, 'ENDOLYSIN_LAMBDA', NULL, NULL, NULL, 7),
(19359, NULL, 'MF_04088', NULL, NULL, 'Non-structural protein 1.', NULL, 'ROTA_NSP1', NULL, NULL, NULL, 7),
(19360, NULL, 'MF_00612', NULL, NULL, 'UPF0225 protein YchJ [ychJ].', NULL, 'UPF0225', NULL, NULL, NULL, 7),
(19361, NULL, 'MF_00326', NULL, NULL, '50S ribosomal protein L7Ae [rpl7ae].', NULL, 'Ribosomal_L7Ae_Arch', NULL, NULL, NULL, 7),
(19362, NULL, 'MF_00648', NULL, NULL, 'Inosine/xanthosine triphosphatase.', NULL, 'Non_canon_purine_NTPase_YjjX', NULL, NULL, NULL, 7),
(19363, NULL, 'MF_01655', NULL, NULL, '2-keto-4-pentenoate hydratase [mhpD].', NULL, 'MhpD', NULL, NULL, NULL, 7),
(19364, NULL, 'MF_00851', NULL, NULL, 'Leader peptide SpeFL [speFL].', NULL, 'Leader_SpeFL', NULL, NULL, NULL, 7),
(19365, NULL, 'MF_01242', NULL, NULL, 'Aliphatic amidase [amiE].', NULL, 'Aliphatic_amidase', NULL, NULL, NULL, 7),
(19366, NULL, 'MF_01811', NULL, NULL, 'Membrane protein insertase YidC [yidC].', NULL, 'YidC_type2', NULL, NULL, NULL, 7),
(19367, NULL, 'MF_03067', NULL, NULL, 'E3 ubiquitin-protein ligase RNF8 [RNF8].', NULL, 'RNF8', NULL, NULL, NULL, 7),
(19368, NULL, 'MF_01055', NULL, NULL, 'Protein FixA [fixA].', NULL, 'FixA', NULL, NULL, NULL, 7),
(19369, NULL, 'MF_01231', NULL, NULL, 'Haloalkane dehalogenase [dhaA].', NULL, 'Haloalk_dehal_type2', NULL, NULL, NULL, 7),
(19370, NULL, 'MF_01552', NULL, NULL, 'Ribosomal protein S6--L-glutamate ligase [rimK].', NULL, 'RimK', NULL, NULL, NULL, 7),
(19371, NULL, 'MF_01223', NULL, NULL, 'UPF0212 protein <locus_tag>.', NULL, 'UPF0212', NULL, NULL, NULL, 7),
(19372, NULL, 'MF_00036_B', NULL, NULL, 'Alanine--tRNA ligase [alaS].', NULL, 'Ala_tRNA_synth_B', NULL, NULL, NULL, 7),
(19373, NULL, 'MF_01982', NULL, NULL, '2-phytyl-1,4-naphtoquinone methyltransferase [menG].', NULL, 'MenG_phylloquinone_subfam', NULL, NULL, NULL, 7),
(19374, NULL, 'MF_00710', NULL, NULL, 'Malonate decarboxylase acyl carrier protein [mdcC].', NULL, 'Malonate_deCO2ase_dsu', NULL, NULL, NULL, 7),
(19375, NULL, 'MF_00454', NULL, NULL, 'Putative fluoride ion transporter CrcB [crcB].', NULL, 'CrcB', NULL, NULL, NULL, 7),
(19376, NULL, 'MF_01316', NULL, NULL, 'Photosystem II reaction center protein I [psbI].', NULL, 'PSII_PsbI', NULL, NULL, NULL, 7),
(19377, NULL, 'MF_01114', NULL, NULL, 'Regulatory protein RecX [recX].', NULL, 'RecX', NULL, NULL, NULL, 7),
(19378, NULL, 'MF_01186', NULL, NULL, 'LPS-assembly lipoprotein LptE [lptE].', NULL, 'LPS_assembly_LptE', NULL, NULL, NULL, 7),
(19379, NULL, 'MF_03201', NULL, NULL, 'Elongation of very long chain fatty acids protein 1 [ELOVL1].', NULL, 'VLCF_elongase_1', NULL, NULL, NULL, 7),
(19380, NULL, 'MF_01247', NULL, NULL, 'HTH-type transcriptional regulator MalT [malT].', NULL, 'HTH_type_MalT', NULL, NULL, NULL, 7),
(19381, NULL, 'MF_00799', NULL, NULL, 'UPF0336 protein <locus_tag>.', NULL, 'UPF0336', NULL, NULL, NULL, 7),
(19382, NULL, 'MF_01507', NULL, NULL, 'UPF0297 protein <locus_tag>.', NULL, 'UPF0297', NULL, NULL, NULL, 7),
(19383, NULL, 'MF_01326_A', NULL, NULL, '50S ribosomal protein L24 [rplX].', NULL, 'Ribosomal_L24_A', NULL, NULL, NULL, 7),
(19384, NULL, 'MF_00305', NULL, NULL, 'Signal recognition particle 19 kDa protein [srp19].', NULL, 'SRP19', NULL, NULL, NULL, 7),
(19385, NULL, 'MF_00076', NULL, NULL, 'Imidazoleglycerol-phosphate dehydratase [hisB].', NULL, 'HisB', NULL, NULL, NULL, 7);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19386, NULL, 'MF_01833', NULL, NULL, 'tRNA-splicing endonuclease [endA].', NULL, 'EndA_short', NULL, NULL, NULL, 7),
(19387, NULL, 'MF_02127', NULL, NULL, 'Glucose 1-dehydrogenase [gdh].', NULL, 'Glucose_DH', NULL, NULL, NULL, 7),
(19388, NULL, 'MF_00083', NULL, NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, 'Pept_tRNA_hydro_bact', NULL, NULL, NULL, 7),
(19389, NULL, 'MF_00156', NULL, NULL, '3-methyl-2-oxobutanoate hydroxymethyltransferase [panB].', NULL, 'PanB', NULL, NULL, NULL, 7),
(19390, NULL, 'MF_02240', NULL, NULL, 'Phosphoserine phosphatase.', NULL, 'PSP', NULL, NULL, NULL, 7),
(19391, NULL, 'MF_01396', NULL, NULL, 'ATP synthase subunit c [atpH].', NULL, 'ATP_synth_c_bact', NULL, NULL, NULL, 7),
(19392, NULL, 'MF_01043', NULL, NULL, 'Glycerol-3-phosphate acyltransferase [plsY].', NULL, 'PlsY', NULL, NULL, NULL, 7),
(19393, NULL, 'MF_01468', NULL, NULL, 'Mini-ribonuclease 3 [mrnC].', NULL, 'RNase_Mini_III', NULL, NULL, NULL, 7),
(19394, NULL, 'MF_00803', NULL, NULL, 'Ribosome biogenesis protein Nop10 [nop10].', NULL, 'Nop10', NULL, NULL, NULL, 7),
(19395, NULL, 'MF_03003', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit D [EIF3D].', NULL, 'eIF3d', NULL, NULL, NULL, 7),
(19396, NULL, 'MF_01563', NULL, NULL, 'HTH-type transcriptional regulator UlaR [ulaR].', NULL, 'HTH_type_UlaR', NULL, NULL, NULL, 7),
(19397, NULL, 'MF_02001', NULL, NULL, 'Small heat shock protein IbpB [ibpB].', NULL, 'HSP20_IbpB', NULL, NULL, NULL, 7),
(19398, NULL, 'MF_04006', NULL, NULL, 'Protein E6 [E6].', NULL, 'HPV_E6', NULL, NULL, NULL, 7),
(19399, NULL, 'MF_00949', NULL, NULL, 'Transcription elongation factor Spt4 [spt4].', NULL, 'Spt4_arch', NULL, NULL, NULL, 7),
(19400, NULL, 'MF_01883', NULL, NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [mdcB].', NULL, 'MdcB', NULL, NULL, NULL, 7),
(19401, NULL, 'MF_01691', NULL, NULL, '2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase [dapH].', NULL, 'DapH', NULL, NULL, NULL, 7),
(19402, NULL, 'MF_00623', NULL, NULL, 'Exosome complex component Rrp4 [rrp4].', NULL, 'Exosome_Rrp4', NULL, NULL, NULL, 7),
(19403, NULL, 'MF_01858', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase K/L [rlmL].', NULL, '23SrRNA_methyltr_KL', NULL, NULL, NULL, 7),
(19404, NULL, 'MF_04079', NULL, NULL, 'Protein Tat [tat].', NULL, 'HIV_TAT', NULL, NULL, NULL, 7),
(19405, NULL, 'MF_01153', NULL, NULL, 'Co-chaperone protein DjlA [djlA].', NULL, 'DjlA', NULL, NULL, NULL, 7),
(19406, NULL, 'MF_00239', NULL, NULL, 'Cytidylate kinase [cmk].', NULL, 'Cytidyl_kinase_type2', NULL, NULL, NULL, 7),
(19407, NULL, 'MF_01143', NULL, NULL, 'Holin-like protein CidA [cidA].', NULL, 'CidA', NULL, NULL, NULL, 7),
(19408, NULL, 'MF_02019', NULL, NULL, 'UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase [murF].', NULL, 'MurF', NULL, NULL, NULL, 7),
(19409, NULL, 'MF_04082', NULL, NULL, 'Protein Vpu [vpu].', NULL, 'HIV_VPU', NULL, NULL, NULL, 7),
(19410, NULL, 'MF_00772', NULL, NULL, 'Methylated-DNA--protein-cysteine methyltransferase [ogt].', NULL, 'OGT', NULL, NULL, NULL, 7),
(19411, NULL, 'MF_00353', NULL, NULL, 'Light-independent protochlorophyllide reductase subunit B [bchB].', NULL, 'ChlB_BchB', NULL, NULL, NULL, 7),
(19412, NULL, 'MF_04054', NULL, NULL, 'DNA-binding protein [DBP].', NULL, 'ADV_DNB2', NULL, NULL, NULL, 7),
(19413, NULL, 'MF_01037', NULL, NULL, 'Methylenetetrahydrofolate--tRNA-(uracil-5-)-methyltransferase TrmFO [trmFO].', NULL, 'TrmFO', NULL, NULL, NULL, 7),
(19414, NULL, 'MF_01576', NULL, NULL, 'Bifunctional protein FolD [folD].', NULL, 'THF_DHG_CYH', NULL, NULL, NULL, 7),
(19415, NULL, 'MF_00524', NULL, NULL, 'Glucokinase [glk].', NULL, 'Glucokinase', NULL, NULL, NULL, 7),
(19416, NULL, 'MF_01047', NULL, NULL, 'UPF0227 protein YcfP [ycfP].', NULL, 'UPF0227', NULL, NULL, NULL, 7),
(19417, NULL, 'MF_00742', NULL, NULL, 'Formyl-CoA:oxalate CoA-transferase [frc].', NULL, 'Formyl_CoA_transfer', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19418, NULL, 'MF_00801', NULL, NULL, 'Endonuclease V [nfi].', NULL, 'Endonuclease_5', NULL, NULL, NULL, 7),
(19419, NULL, 'MF_01894', NULL, NULL, 'Chromosome partition protein Smc [smc].', NULL, 'Smc_prok', NULL, NULL, NULL, 7),
(19420, NULL, 'MF_00089', NULL, NULL, 'Phosphomethylpyrimidine synthase [thiC].', NULL, 'ThiC', NULL, NULL, NULL, 7),
(19421, NULL, 'MF_00273', NULL, NULL, '50S ribosomal protein L18Ae [rpl18a].', NULL, 'Ribosomal_L18Ae', NULL, NULL, NULL, 7),
(19422, NULL, 'MF_00027', NULL, NULL, 'Hydrogenobyrinate a,c-diamide synthase [cobB].', NULL, 'CobB_CbiA', NULL, NULL, NULL, 7),
(19423, NULL, 'MF_00144', NULL, NULL, 'tRNA-specific 2-thiouridylase MnmA [mnmA].', NULL, 'tRNA_thiouridyl_MnmA', NULL, NULL, NULL, 7),
(19424, NULL, 'MF_00433', NULL, NULL, 'Cytochrome b6-f complex subunit 6 [petL].', NULL, 'Cytb6_f_PetL', NULL, NULL, NULL, 7),
(19425, NULL, 'MF_03048', NULL, NULL, 'Ubiquitin-related modifier 1 [URM1].', NULL, 'Urm1', NULL, NULL, NULL, 7),
(19426, NULL, 'MF_03198', NULL, NULL, 'Protein-lysine N-methyltransferase <gene_name> [EFM6].', NULL, 'Methyltr_EFM6', NULL, NULL, NULL, 7),
(19427, NULL, 'MF_01674', NULL, NULL, 'O-phosphoserine--tRNA(Cys) ligase [sepS].', NULL, 'Sep_tRNA_synth', NULL, NULL, NULL, 7),
(19428, NULL, 'MF_00806', NULL, NULL, 'Autonomous glycyl radical cofactor [grcA].', NULL, 'GrcA', NULL, NULL, NULL, 7),
(19429, NULL, 'MF_01367', NULL, NULL, '50S ribosomal protein L14 [rplN].', NULL, 'Ribosomal_L14', NULL, NULL, NULL, 7),
(19430, NULL, 'MF_01496', NULL, NULL, 'Photosystem II CP43 reaction center protein [psbC].', NULL, 'PSII_PsbC_CP43', NULL, NULL, NULL, 7),
(19431, NULL, 'MF_01207', NULL, NULL, 'Protein-methionine-sulfoxide reductase heme-binding subunit MsrQ [msrQ].', NULL, 'MsrQ', NULL, NULL, NULL, 7),
(19432, NULL, 'MF_00622', NULL, NULL, 'Exosome complex component Rrp42 [rrp42].', NULL, 'Exosome_Rrp42', NULL, NULL, NULL, 7),
(19433, NULL, 'MF_00597', NULL, NULL, 'Probable acetoacetate decarboxylase [adc].', NULL, 'ADC', NULL, NULL, NULL, 7),
(19434, NULL, 'MF_00398', NULL, NULL, 'Probable apo-citrate lyase phosphoribosyl-dephospho-CoA transferase [citX].', NULL, 'CitX', NULL, NULL, NULL, 7),
(19435, NULL, 'MF_00764', NULL, NULL, 'UPF0306 protein YhbP [yhbP].', NULL, 'UPF0306', NULL, NULL, NULL, 7),
(19436, NULL, 'MF_00278', NULL, NULL, 'Imidazole glycerol phosphate synthase subunit HisH [hisH].', NULL, 'HisH', NULL, NULL, NULL, 7),
(19437, NULL, 'MF_01387', NULL, NULL, 'Chromatin protein Cren7 [creN7].', NULL, 'Chromatin_Cren7', NULL, NULL, NULL, 7),
(19438, NULL, 'MF_01429', NULL, NULL, 'Iron-binding protein IscA [iscA].', NULL, 'Fe_S_insert_IscA', NULL, NULL, NULL, 7),
(19439, NULL, 'MF_01059', NULL, NULL, 'Cytoplasmic trehalase [treF].', NULL, 'Cyt_trehalase', NULL, NULL, NULL, 7),
(19440, NULL, 'MF_02209', NULL, NULL, 'UDP-N-acetyl-alpha-D-muramoyl-L-alanyl-L-glutamate epimerase [murL].', NULL, 'MurL', NULL, NULL, NULL, 7),
(19441, NULL, 'MF_00960', NULL, NULL, '2-amino-3,7-dideoxy-D-threo-hept-6-ulosonate synthase [aroA''].', NULL, 'ADH_synthase', NULL, NULL, NULL, 7),
(19442, NULL, 'MF_01646', NULL, NULL, 'Siroheme synthase [cysG].', NULL, 'Siroheme_synth', NULL, NULL, NULL, 7),
(19443, NULL, 'MF_03158', NULL, NULL, 'Thiamine thiazole synthase, chloroplastic [THI4].', NULL, 'THI4', NULL, NULL, NULL, 7),
(19444, NULL, 'MF_03175', NULL, NULL, 'Methionine aminopeptidase 2 [METAP2].', NULL, 'MetAP_2_euk', NULL, NULL, NULL, 7),
(19445, NULL, 'MF_04015', NULL, NULL, 'Tripartite terminase subunit 2 [TRM2].', NULL, 'HSV_TRM2', NULL, NULL, NULL, 7),
(19446, NULL, 'MF_01109', NULL, NULL, 'Ornithine carbamoyltransferase, catabolic [argI].', NULL, 'OTCase', NULL, NULL, NULL, 7),
(19447, NULL, 'MF_04112', NULL, NULL, 'Lysis inhibition accessory protein.', NULL, 'Linr3_BPT4', NULL, NULL, NULL, 7),
(19448, NULL, 'MF_03071', NULL, NULL, 'Chromodomain-helicase-DNA-binding protein 8 [CHD8].', NULL, 'CHD8', NULL, NULL, NULL, 7);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19449, NULL, 'MF_00972', NULL, NULL, 'tRNA-specific adenosine deaminase [tadA].', NULL, 'tRNA_aden_deaminase', NULL, NULL, NULL, 7),
(19450, NULL, 'MF_00314', NULL, NULL, 'V-type ATP synthase subunit C [atpC].', NULL, 'ATP_synth_C_arch', NULL, NULL, NULL, 7),
(19451, NULL, 'MF_00930', NULL, NULL, 'Transcription elongation factor GreB [greB].', NULL, 'GreB', NULL, NULL, NULL, 7),
(19452, NULL, 'MF_00951', NULL, NULL, 'Transcription antitermination protein RfaH [rfaH].', NULL, 'RfaH', NULL, NULL, NULL, 7),
(19453, NULL, 'MF_01967', NULL, NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, 'Sirtuin_ClassII', NULL, NULL, NULL, 7),
(19454, NULL, 'MF_02070', NULL, NULL, 'N-acetylglucosaminyldiphosphoundecaprenol N-acetyl-beta-D-mannosaminyltransferase.', NULL, 'TagA_TarA', NULL, NULL, NULL, 7),
(19455, NULL, 'MF_01579', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase F [rsmF].', NULL, '16SrRNA_methyltr_F', NULL, NULL, NULL, 7),
(19456, NULL, 'MF_00994', NULL, NULL, 'Lipopolysaccharide assembly protein B [lapB].', NULL, 'LPS_assembly_LapB', NULL, NULL, NULL, 7),
(19457, NULL, 'MF_03181', NULL, NULL, 'PAN2-PAN3 deadenylation complex subunit PAN3 [PAN3].', NULL, 'PAN3', NULL, NULL, NULL, 7),
(19458, NULL, 'MF_00399', NULL, NULL, 'Thiol:disulfide interchange protein DsbD [dsbD].', NULL, 'DbsD', NULL, NULL, NULL, 7),
(19459, NULL, 'MF_04084', NULL, NULL, 'Pre-glycoprotein polyprotein GP complex [GPC].', NULL, 'ARENA_GPC', NULL, NULL, NULL, 7),
(19460, NULL, 'MF_01022', NULL, NULL, 'Histidine biosynthesis bifunctional protein HisB [hisB].', NULL, 'Bifunc_HisB', NULL, NULL, NULL, 7),
(19461, NULL, 'MF_01233', NULL, NULL, 'HTH-type transcriptional regulator HdfR [hdfR].', NULL, 'HTH_type_HdfR', NULL, NULL, NULL, 7),
(19462, NULL, 'MF_00444', NULL, NULL, 'ATP-dependent Clp protease proteolytic subunit [clpP].', NULL, 'ClpP', NULL, NULL, NULL, 7),
(19463, NULL, 'MF_01860', NULL, NULL, 'UPF0736 protein <locus_tag>.', NULL, 'UPF0736', NULL, NULL, NULL, 7),
(19464, NULL, 'MF_01433', NULL, NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihB [rihB].', NULL, 'Pyrim_hydro_RihB', NULL, NULL, NULL, 7),
(19465, NULL, 'MF_01270', NULL, NULL, 'Anhydro-N-acetylmuramic acid kinase [anmK].', NULL, 'AnhMurNAc_kinase', NULL, NULL, NULL, 7),
(19466, NULL, 'MF_00352', NULL, NULL, 'Light-independent protochlorophyllide reductase subunit N [bchN].', NULL, 'ChlN_BchN', NULL, NULL, NULL, 7),
(19467, NULL, 'MF_00650', NULL, NULL, 'Phosphoribosyl-dephospho-CoA transferase [mdcG].', NULL, 'Malonate_MdcG', NULL, NULL, NULL, 7),
(19468, NULL, 'MF_01815', NULL, NULL, '3-oxoacyl-[acyl-carrier-protein] synthase 3 [fabH].', NULL, 'FabH', NULL, NULL, NULL, 7),
(19469, NULL, 'MF_01250', NULL, NULL, 'Pyrophosphatase PpaX [ppaX].', NULL, 'Pyrophosphat_PpaX', NULL, NULL, NULL, 7),
(19470, NULL, 'MF_01199', NULL, NULL, 'Anti-adapter protein IraM [iraM].', NULL, 'Anti_adapt_IraM', NULL, NULL, NULL, 7),
(19471, NULL, 'MF_00798', NULL, NULL, 'Transcription attenuation protein MtrB [mtrB].', NULL, 'Trp_attenuator', NULL, NULL, NULL, 7),
(19472, NULL, 'MF_01480', NULL, NULL, 'CRISPR-associated endonuclease Cas9 [cas9].', NULL, 'Cas9', NULL, NULL, NULL, 7),
(19473, NULL, 'MF_00589', NULL, NULL, 'Photosystem II 12 kDa extrinsic protein [psbU].', NULL, 'PSII_PsbU', NULL, NULL, NULL, 7),
(19474, NULL, 'MF_03172', NULL, NULL, 'UMP-CMP kinase [CMPK1].', NULL, 'Adenylate_kinase_UMP_CMP_kin', NULL, NULL, NULL, 7),
(19475, NULL, 'MF_01607', NULL, NULL, 'HTH-type transcriptional regulator YidZ [yidZ].', NULL, 'HTH_type_YidZ', NULL, NULL, NULL, 7),
(19476, NULL, 'MF_00320', NULL, NULL, 'DNA-directed RNA polymerase subunit D [rpoD].', NULL, 'RNApol_arch_D', NULL, NULL, NULL, 7),
(19477, NULL, 'MF_03111', NULL, NULL, 'Ubiquinone biosynthesis protein <gene_name>, mitochondrial [COQ4].', NULL, 'Coq4', NULL, NULL, NULL, 7),
(19478, NULL, 'MF_00989', NULL, NULL, 'L-ribulose-5-phosphate 4-epimerase [araD].', NULL, 'AraD_entero', NULL, NULL, NULL, 7);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19479, NULL, 'MF_01275', NULL, NULL, 'Gamma-aminobutyraldehyde dehydrogenase [patD].', NULL, 'Aldedh_Prr', NULL, NULL, NULL, 7),
(19480, NULL, 'MF_00621', NULL, NULL, 'GTP-sensing transcriptional pleiotropic repressor CodY [codY].', NULL, 'HTH_type_CodY', NULL, NULL, NULL, 7),
(19481, NULL, 'MF_01877', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase I [rsmI].', NULL, '16SrRNA_methyltr_I', NULL, NULL, NULL, 7),
(19482, NULL, 'MF_01537', NULL, NULL, 'Pyrimidine/purine nucleoside phosphorylase [ppnP].', NULL, 'Nucleos_phosphorylase_PpnP', NULL, NULL, NULL, 7),
(19483, NULL, 'MF_04062', NULL, NULL, 'Polymerase basic protein 2 [PB2].', NULL, 'INV_PB2', NULL, NULL, NULL, 7),
(19484, NULL, 'MF_00117', NULL, NULL, '33 kDa chaperonin [hslO].', NULL, 'HslO', NULL, NULL, NULL, 7),
(19485, NULL, 'MF_01326_B', NULL, NULL, '50S ribosomal protein L24 [rplX].', NULL, 'Ribosomal_L24_B', NULL, NULL, NULL, 7),
(19486, NULL, 'MF_01902', NULL, NULL, 'Error-prone DNA polymerase [dnaE2].', NULL, 'DNApol_error_prone', NULL, NULL, NULL, 7),
(19487, NULL, 'MF_01108', NULL, NULL, 'Acetylornithine deacetylase [argE].', NULL, 'ArgE', NULL, NULL, NULL, 7),
(19488, NULL, 'MF_01021', NULL, NULL, 'Phosphoribosyl-AMP cyclohydrolase [hisI].', NULL, 'HisI', NULL, NULL, NULL, 7),
(19489, NULL, 'MF_04044', NULL, NULL, 'Large tegument protein deneddylase.', NULL, 'HSV_LTP', NULL, NULL, NULL, 7),
(19490, NULL, 'MF_00463', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit B [rsxB].', NULL, 'RsxB_RnfB', NULL, NULL, NULL, 7),
(19491, NULL, 'MF_00660', NULL, NULL, 'PqqA peptide cyclase [pqqE].', NULL, 'PqqE', NULL, NULL, NULL, 7),
(19492, NULL, 'MF_00220_B', NULL, NULL, 'Dihydroorotase [pyrC].', NULL, 'PyrC_classI_B', NULL, NULL, NULL, 7),
(19493, NULL, 'MF_00685', NULL, NULL, '1,4-alpha-glucan branching enzyme GlgB [glgB].', NULL, 'GlgB', NULL, NULL, NULL, 7),
(19494, NULL, 'MF_01345_B', NULL, NULL, '30S ribosomal protein S17 [rpsQ].', NULL, 'Ribosomal_S17_B', NULL, NULL, NULL, 7),
(19495, NULL, 'MF_01486', NULL, NULL, 'RecBCD enzyme subunit RecC [recC].', NULL, 'RecC', NULL, NULL, NULL, 7),
(19496, NULL, 'MF_00297', NULL, NULL, 'NADH pyrophosphatase [nudC].', NULL, 'Nudix_NudC', NULL, NULL, NULL, 7),
(19497, NULL, 'MF_00371', NULL, NULL, '30S ribosomal protein S27e [rps27e].', NULL, 'Ribosomal_S27e', NULL, NULL, NULL, 7),
(19498, NULL, 'MF_02230', NULL, NULL, 'Ribose 1,5-bisphosphate isomerase.', NULL, 'R15P_isomerase', NULL, NULL, NULL, 7),
(19499, NULL, 'MF_01559', NULL, NULL, 'L-lactate dehydrogenase [lldD].', NULL, 'L_lact_dehydr', NULL, NULL, NULL, 7),
(19500, NULL, 'MF_01163', NULL, NULL, '5-formaminoimidazole-4-carboxamide-1-(beta)-D-ribofuranosyl 5''-monophosphate synthetase [purP].', NULL, 'IMP_biosynth_PurP', NULL, NULL, NULL, 7),
(19501, NULL, 'MF_00925', NULL, NULL, 'Outer membrane protein assembly factor BamE [bamE].', NULL, 'OM_assembly_BamE', NULL, NULL, NULL, 7),
(19502, NULL, 'MF_01514', NULL, NULL, 'UPF0314 protein <locus_tag>.', NULL, 'UPF0314', NULL, NULL, NULL, 7),
(19503, NULL, 'MF_01984', NULL, NULL, 'Flavin prenyltransferase UbiX [ubiX].', NULL, 'ubiX_pad', NULL, NULL, NULL, 7),
(19504, NULL, 'MF_02068', NULL, NULL, 'Ribitol-5-phosphate cytidylyltransferase [tarI].', NULL, 'TarI', NULL, NULL, NULL, 7),
(19505, NULL, 'MF_00988', NULL, NULL, 'D-allose kinase [alsK].', NULL, 'Allose_kinase', NULL, NULL, NULL, 7),
(19506, NULL, 'MF_01907', NULL, NULL, 'thr operon leader peptide [thrL].', NULL, 'Leader_Thr', NULL, NULL, NULL, 7),
(19507, NULL, 'MF_00635', NULL, NULL, 'Probable deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, 'dUTPase_arch', NULL, NULL, NULL, 7),
(19508, NULL, 'MF_01300', NULL, NULL, 'C4-dicarboxylate transport protein [dctA].', NULL, 'C4_dicarb_transport', NULL, NULL, NULL, 7),
(19509, NULL, 'MF_01085', NULL, NULL, 'UPF0283 membrane protein YcjF [ycjF].', NULL, 'UPF0283', NULL, NULL, NULL, 7),
(19510, NULL, 'MF_01342', NULL, NULL, '50S ribosomal protein L16 [rplP].', NULL, 'Ribosomal_L16', NULL, NULL, NULL, 7);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19511, NULL, 'MF_01812', NULL, NULL, 'N-acetyltransferase Eis [eis].', NULL, 'Eis', NULL, NULL, NULL, 7),
(19512, NULL, 'MF_03130', NULL, NULL, 'Alpha-tubulin N-acetyltransferase 1 [mec-17].', NULL, 'mec17', NULL, NULL, NULL, 7),
(19513, NULL, 'MF_04089', NULL, NULL, 'Non-structural protein 2.', NULL, 'ROTA_NSP2', NULL, NULL, NULL, 7),
(19514, NULL, 'MF_03047', NULL, NULL, 'Ataxin-7-like protein 3 [ATXN7L3].', NULL, 'Sgf11', NULL, NULL, NULL, 7),
(19515, NULL, 'MF_04086', NULL, NULL, 'RNA-directed RNA polymerase L [L].', NULL, 'ARENA_L', NULL, NULL, NULL, 7),
(19516, NULL, 'MF_00223', NULL, NULL, 'GTP cyclohydrolase 1 [folE].', NULL, 'FolE', NULL, NULL, NULL, 7),
(19517, NULL, 'MF_00655', NULL, NULL, 'PqqA binding protein [pqqD].', NULL, 'PQQ_syn_PqqD', NULL, NULL, NULL, 7),
(19518, NULL, 'MF_01215', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, 'OMPdecase_type2', NULL, NULL, NULL, 7),
(19519, NULL, 'MF_01333_A', NULL, NULL, '50S ribosomal protein L5 [rplE].', NULL, 'Ribosomal_L5_A', NULL, NULL, NULL, 7),
(19520, NULL, 'MF_04051', NULL, NULL, 'Hexon protein [L3].', NULL, 'ADV_CAPSH', NULL, NULL, NULL, 7),
(19521, NULL, 'MF_04030', NULL, NULL, 'DNA replication helicase [HELI].', NULL, 'HSV_HELI', NULL, NULL, NULL, 7),
(19522, NULL, 'MF_00019', NULL, NULL, 'Phosphate acyltransferase [plsX].', NULL, 'PlsX', NULL, NULL, NULL, 7),
(19523, NULL, 'MF_04036', NULL, NULL, 'Envelope glycoprotein L [gL].', NULL, 'HSV_GL_betahv', NULL, NULL, NULL, 7),
(19524, NULL, 'MF_04203', NULL, NULL, 'Membrane protein [M].', NULL, 'GAMMA_CORONA_M', NULL, NULL, NULL, 7),
(19525, NULL, 'MF_00771', NULL, NULL, 'UPF0310 protein <locus_tag>.', NULL, 'UPF0310', NULL, NULL, NULL, 7),
(19526, NULL, 'MF_04056', NULL, NULL, 'Pre-histone-like nucleoprotein [L2].', NULL, 'ADV_PVII', NULL, NULL, NULL, 7),
(19527, NULL, 'MF_01550', NULL, NULL, 'Guanosine-5''-triphosphate,3''-diphosphate pyrophosphatase [gppA].', NULL, 'GppA', NULL, NULL, NULL, 7),
(19528, NULL, 'MF_01820', NULL, NULL, 'Small ribosomal subunit biogenesis GTPase RsgA [rsgA].', NULL, 'GTPase_RsgA', NULL, NULL, NULL, 7),
(19529, NULL, 'MF_00595', NULL, NULL, 'Phosphoenolpyruvate carboxylase [ppc].', NULL, 'PEPcase_type1', NULL, NULL, NULL, 7),
(19530, NULL, 'MF_01800', NULL, NULL, 'Chromosome partition protein MukB [mukB].', NULL, 'MukB', NULL, NULL, NULL, 7),
(19531, NULL, 'MF_03129', NULL, NULL, 'Lipoyl synthase, chloroplastic [LIP1P].', NULL, 'Lipoyl_synth_plantC', NULL, NULL, NULL, 7),
(19532, NULL, 'MF_00950', NULL, NULL, 'Transcription elongation factor Spt5 [spt5].', NULL, 'Spt5_arch', NULL, NULL, NULL, 7),
(19533, NULL, 'MF_01561', NULL, NULL, 'Probable phosphatase YcdX [ycdX].', NULL, 'YcdX_phosphat', NULL, NULL, NULL, 7),
(19534, NULL, 'MF_04142', NULL, NULL, 'NAD--protein ADP-ribosyltransferase modB [modB].', NULL, 'MODB_T4', NULL, NULL, NULL, 7),
(19535, NULL, 'MF_00361', NULL, NULL, 'NAD kinase [nadK].', NULL, 'NAD_kinase', NULL, NULL, NULL, 7),
(19536, NULL, 'MF_01953', NULL, NULL, 'Urease subunit alpha [ureC].', NULL, 'Urease_alpha', NULL, NULL, NULL, 7),
(19537, NULL, 'MF_00384', NULL, NULL, 'Homoserine kinase [thrB].', NULL, 'Homoser_kinase', NULL, NULL, NULL, 7),
(19538, NULL, 'MF_01232', NULL, NULL, 'UPF0229 protein YeaH [yeaH].', NULL, 'UPF0229', NULL, NULL, NULL, 7),
(19539, NULL, 'MF_01535', NULL, NULL, 'Rhamnulokinase [rhaB].', NULL, 'Rhamnulokinase', NULL, NULL, NULL, 7),
(19540, NULL, 'MF_04035', NULL, NULL, 'Envelope glycoprotein M [gM].', NULL, 'HSV_GM', NULL, NULL, NULL, 7),
(19541, NULL, 'MF_01159', NULL, NULL, 'Initiation-control protein YabA.', NULL, 'YabA', NULL, NULL, NULL, 7),
(19542, NULL, 'MF_01916', NULL, NULL, 'Cardiolipin synthase.', NULL, 'Cardiolipin_synth_Cls', NULL, NULL, NULL, 7),
(19543, NULL, 'MF_01947', NULL, NULL, 'N(4)-bis(aminopropyl)spermidine synthase [bpsA].', NULL, 'Aminopropyltransf_BpsA', NULL, NULL, NULL, 7),
(19544, NULL, 'MF_01896', NULL, NULL, 'DNA gyrase inhibitor [sbmC].', NULL, 'DNA_gyrase_inhibitor', NULL, NULL, NULL, 7);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19545, NULL, 'MF_01587', NULL, NULL, 'DNA ligase B [ligB].', NULL, 'DNA_ligase_B', NULL, NULL, NULL, 7),
(19546, NULL, 'MF_01280', NULL, NULL, 'Processive diacylglycerol beta-glucosyltransferase [ugtP].', NULL, 'Diacylglyc_glucosyltr', NULL, NULL, NULL, 7),
(19547, NULL, 'MF_01379', NULL, NULL, 'Photosystem II protein D1 [psbA].', NULL, 'PSII_PsbA_D1', NULL, NULL, NULL, 7),
(19548, NULL, 'MF_00844_B', NULL, NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, 'RqcH_B', NULL, NULL, NULL, 7),
(19549, NULL, 'MF_01989', NULL, NULL, 'Cyanuric acid amidohydrolase.', NULL, 'Cyc_amidohydrol', NULL, NULL, NULL, 7),
(19550, NULL, 'MF_00720', NULL, NULL, 'Primosomal replication protein N [priB].', NULL, 'PriB', NULL, NULL, NULL, 7),
(19551, NULL, 'MF_01283', NULL, NULL, 'Riboflavin biosynthesis protein RibBA [ribBA].', NULL, 'RibBA', NULL, NULL, NULL, 7),
(19552, NULL, 'MF_00172', NULL, NULL, '5-methyltetrahydropteroyltriglutamate--homocysteine methyltransferase [metE].', NULL, 'Meth_synth', NULL, NULL, NULL, 7),
(19553, NULL, 'MF_00592', NULL, NULL, 'Deoxyribose-phosphate aldolase [deoC].', NULL, 'DeoC_type2', NULL, NULL, NULL, 7),
(19554, NULL, 'MF_02131', NULL, NULL, '6-hydroxymethyl-7,8-dihydropterin pyrophosphokinase [mptE].', NULL, 'HMPDK_arch', NULL, NULL, NULL, 7),
(19555, NULL, 'MF_00194', NULL, NULL, 'Recombination-associated protein RdgC [rdgC].', NULL, 'RdgC', NULL, NULL, NULL, 7),
(19556, NULL, 'MF_01073', NULL, NULL, 'Macrodomain Ter protein [matP].', NULL, 'MatP', NULL, NULL, NULL, 7),
(19557, NULL, 'MF_01875', NULL, NULL, 'Non-homologous end joining protein Ku [ku].', NULL, 'Prokaryotic_Ku', NULL, NULL, NULL, 7),
(19558, NULL, 'MF_01565', NULL, NULL, 'Zinc transport protein ZntB [zntB].', NULL, 'ZntB', NULL, NULL, NULL, 7),
(19559, NULL, 'MF_03024', NULL, NULL, 'Katanin p60 ATPase-containing subunit A-like 1 [KATNAL1].', NULL, 'Katanin_p60_AL1', NULL, NULL, NULL, 7),
(19560, NULL, 'MF_03043', NULL, NULL, 'Queuine tRNA-ribosyltransferase accessory subunit 2 [QTRT2].', NULL, 'QTRT2', NULL, NULL, NULL, 7),
(19561, NULL, 'MF_01803', NULL, NULL, 'Chromosome partition protein MukF [mukF].', NULL, 'MukF', NULL, NULL, NULL, 7),
(19562, NULL, 'MF_00551', NULL, NULL, 'Uridine kinase [udk].', NULL, 'Uridine_kinase', NULL, NULL, NULL, 7),
(19563, NULL, 'MF_00188', NULL, NULL, 'Protease HtpX [htpX].', NULL, 'Pept_M48_protease_HtpX', NULL, NULL, NULL, 7),
(19564, NULL, 'MF_00523', NULL, NULL, 'UDP-3-O-(3-hydroxymyristoyl)glucosamine N-acyltransferase [lpxD].', NULL, 'LpxD', NULL, NULL, NULL, 7),
(19565, NULL, 'MF_01266', NULL, NULL, 'Probable L-ascorbate-6-phosphate lactonase UlaG [ulaG].', NULL, 'UlaG', NULL, NULL, NULL, 7),
(19566, NULL, 'MF_02079', NULL, NULL, 'Peptidoglycan glycosyltransferase MrdB [mrdB].', NULL, 'PGT_RodA', NULL, NULL, NULL, 7),
(19567, NULL, 'MF_01287', NULL, NULL, 'Digeranylgeranylglycerophospholipid reductase.', NULL, 'DGGGPL_reductase', NULL, NULL, NULL, 7),
(19568, NULL, 'MF_01868', NULL, NULL, 'Lipopolysaccharide core heptose(II)-phosphate phosphatase [ais].', NULL, 'Ais', NULL, NULL, NULL, 7),
(19569, NULL, 'MF_00401', NULL, NULL, 'Peroxiredoxin.', NULL, 'Peroxiredoxin', NULL, NULL, NULL, 7),
(19570, NULL, 'MF_00136', NULL, NULL, 'S-adenosylmethionine synthase [mat].', NULL, 'S_AdoMet_synth2', NULL, NULL, NULL, 7),
(19571, NULL, 'MF_00268', NULL, NULL, 'Protein RecA [recA].', NULL, 'RecA', NULL, NULL, NULL, 7),
(19572, NULL, 'MF_04092', NULL, NULL, 'Non-structural protein 5.', NULL, 'ROTA_NSP5', NULL, NULL, NULL, 7),
(19573, NULL, 'MF_00489', NULL, NULL, 'UPF0178 protein YaiI [yaiI].', NULL, 'UPF0178', NULL, NULL, NULL, 7),
(19574, NULL, 'MF_01348', NULL, NULL, 'Ycf48-like protein [hcf136].', NULL, 'Ycf48', NULL, NULL, NULL, 7),
(19575, NULL, 'MF_04141', NULL, NULL, 'NAD--protein ADP-ribosyltransferase modA [modA].', NULL, 'MODA_T4', NULL, NULL, NULL, 7),
(19576, NULL, 'MF_00519', NULL, NULL, 'L-arabinose isomerase [araA].', NULL, 'Arabinose_Isome', NULL, NULL, NULL, 7);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19577, NULL, 'MF_01370', NULL, NULL, 'Photosystem II reaction center Psb28 protein [psb28].', NULL, 'PSII_Psb28', NULL, NULL, NULL, 7),
(19578, NULL, 'MF_01408', NULL, NULL, 'Flavin-dependent thymidylate synthase [thyX].', NULL, 'ThyX', NULL, NULL, NULL, 7),
(19579, NULL, 'MF_00365', NULL, NULL, 'DNA replication and repair protein RecF [recF].', NULL, 'RecF', NULL, NULL, NULL, 7),
(19580, NULL, 'MF_01127', NULL, NULL, 'Acetyltransferase YpeA [ypeA].', NULL, 'Acetyltransf_YpeA', NULL, NULL, NULL, 7),
(19581, NULL, 'MF_01867', NULL, NULL, 'Putative cysteine ligase BshC [bshC].', NULL, 'BshC', NULL, NULL, NULL, 7),
(19582, NULL, 'MF_04018', NULL, NULL, 'Triplex capsid protein 1 [TRX1].', NULL, 'HSV_TRX1', NULL, NULL, NULL, 7),
(19583, NULL, 'MF_00459', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit A [rsxA].', NULL, 'RsxA_RnfA', NULL, NULL, NULL, 7),
(19584, NULL, 'MF_01459', NULL, NULL, 'Chromophore lyase CpcS/CpeS [cpcS].', NULL, 'Chrphore_lyase_CpxS', NULL, NULL, NULL, 7),
(19585, NULL, 'MF_00409', NULL, NULL, 'Tetraacyldisaccharide 4''-kinase [lpxK].', NULL, 'LpxK', NULL, NULL, NULL, 7),
(19586, NULL, 'MF_01490', NULL, NULL, 'Holliday junction resolvase Hjc [hjc].', NULL, 'HJ_Resolv_Hjc', NULL, NULL, NULL, 7),
(19587, NULL, 'MF_01094', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit B [mtrB].', NULL, 'MtrB', NULL, NULL, NULL, 7),
(19588, NULL, 'MF_00667', NULL, NULL, 'Small, acid-soluble spore protein H [sspH].', NULL, 'SspH', NULL, NULL, NULL, 7),
(19589, NULL, 'MF_00279', NULL, NULL, 'Pyridoxine 5''-phosphate synthase [pdxJ].', NULL, 'PdxJ', NULL, NULL, NULL, 7),
(19590, NULL, 'MF_01472', NULL, NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase GtfA subunit [gtfA].', NULL, 'GtfA', NULL, NULL, NULL, 7),
(19591, NULL, 'MF_00636', NULL, NULL, 'RNase adapter protein RapZ [rapZ].', NULL, 'RapZ_like', NULL, NULL, NULL, 7),
(19592, NULL, 'MF_00131', NULL, NULL, 'Tryptophan synthase alpha chain [trpA].', NULL, 'Trp_synth_alpha', NULL, NULL, NULL, 7),
(19593, NULL, 'MF_00051', NULL, NULL, 'Serine hydroxymethyltransferase [glyA].', NULL, 'SHMT', NULL, NULL, NULL, 7),
(19594, NULL, 'MF_01851', NULL, NULL, 'UPF0637 protein <locus_tag>.', NULL, 'UPF0637', NULL, NULL, NULL, 7),
(19595, NULL, 'MF_00044', NULL, NULL, 'Aspartate--tRNA(Asp/Asn) ligase [aspS].', NULL, 'Asp_tRNA_synth_type1', NULL, NULL, NULL, 7),
(19596, NULL, 'MF_00205', NULL, NULL, 'UvrABC system protein A [uvrA].', NULL, 'UvrA', NULL, NULL, NULL, 7),
(19597, NULL, 'MF_00055', NULL, NULL, 'MEMO1 family protein <locus_tag>.', NULL, 'MEMO1', NULL, NULL, NULL, 7),
(19598, NULL, 'MF_01464_B', NULL, NULL, 'Protein-export membrane protein SecF [secF].', NULL, 'SecF_B', NULL, NULL, NULL, 7),
(19599, NULL, 'MF_04027', NULL, NULL, 'Ribonucleoside-diphosphate reductase large subunit-like protein [RIR1].', NULL, 'HSV_RIR1_betahv', NULL, NULL, NULL, 7),
(19600, NULL, 'MF_00687', NULL, NULL, '4-deoxy-L-threo-5-hexosulose-uronate ketol-isomerase [kduI].', NULL, 'KduI', NULL, NULL, NULL, 7),
(19601, NULL, 'MF_03220', NULL, NULL, 'Succinate--CoA ligase [ADP-forming] subunit beta, mitochondrial [SUCLA2].', NULL, 'Succ_CoA_betaA_euk', NULL, NULL, NULL, 7),
(19602, NULL, 'MF_01221', NULL, NULL, 'UPF0210 protein <locus_tag>.', NULL, 'UPF0210', NULL, NULL, NULL, 7),
(19603, NULL, 'MF_01929', NULL, NULL, 'N5-carboxyaminoimidazole ribonucleotide mutase [purE].', NULL, 'PurE_classI', NULL, NULL, NULL, 7),
(19604, NULL, 'MF_02066', NULL, NULL, 'Cell division coordinator CpoB [cpoB].', NULL, 'CpoB', NULL, NULL, NULL, 7),
(19605, NULL, 'MF_00765', NULL, NULL, 'UPF0307 protein YjgA [yjgA].', NULL, 'UPF0307', NULL, NULL, NULL, 7),
(19606, NULL, 'MF_01505', NULL, NULL, 'Small, acid-soluble spore protein N [sspN].', NULL, 'SspN', NULL, NULL, NULL, 7),
(19607, NULL, 'MF_00618', NULL, NULL, 'Phycocyanobilin:ferredoxin oxidoreductase [pcyA].', NULL, 'Ferredoxin_bilin_red', NULL, NULL, NULL, 7);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19608, NULL, 'MF_00335', NULL, NULL, 'Ribonuclease Y [rny].', NULL, 'RNase_Y', NULL, NULL, NULL, 7),
(19609, NULL, 'MF_01072', NULL, NULL, 'Glucans biosynthesis glucosyltransferase H [mdoH].', NULL, 'MdoH_OpgH', NULL, NULL, NULL, 7),
(19610, NULL, 'MF_00449', NULL, NULL, 'DNA double-strand break repair Rad50 ATPase [rad50].', NULL, 'RAD50', NULL, NULL, NULL, 7),
(19611, NULL, 'MF_00232', NULL, NULL, 'Translation initiation factor 2 subunit beta [eif2b].', NULL, 'eIF_2_beta', NULL, NULL, NULL, 7),
(19612, NULL, 'MF_04108', NULL, NULL, 'Holin.', NULL, 'HOLIN_T7', NULL, NULL, NULL, 7),
(19613, NULL, 'MF_00082', NULL, NULL, 'Acetylglutamate kinase [argB].', NULL, 'ArgB', NULL, NULL, NULL, 7),
(19614, NULL, 'MF_01319', NULL, NULL, 'Thiol-disulfide oxidoreductase ResA [resA].', NULL, 'ResA', NULL, NULL, NULL, 7),
(19615, NULL, 'MF_00017', NULL, NULL, 'Recombination protein RecR [recR].', NULL, 'RecR', NULL, NULL, NULL, 7),
(19616, NULL, 'MF_00747', NULL, NULL, 'Isocitrate dehydrogenase kinase/phosphatase [aceK].', NULL, 'AceK', NULL, NULL, NULL, 7),
(19617, NULL, 'MF_03109', NULL, NULL, 'Protein SEY1 [SEY1].', NULL, 'Sey1', NULL, NULL, NULL, 7),
(19618, NULL, 'MF_00311', NULL, NULL, 'V-type proton ATPase subunit E [atpE].', NULL, 'ATP_synth_E_arch', NULL, NULL, NULL, 7),
(19619, NULL, 'MF_01634', NULL, NULL, 'tRNA-guanine(15) transglycosylase [tgtA].', NULL, 'TgtA_arch', NULL, NULL, NULL, 7),
(19620, NULL, 'MF_04007', NULL, NULL, 'Major DNA-binding protein [DBP].', NULL, 'HSV_DNBI', NULL, NULL, NULL, 7),
(19621, NULL, 'MF_02087', NULL, NULL, 'Pyridoxal phosphate homeostasis protein.', NULL, 'PLP_homeostasis', NULL, NULL, NULL, 7),
(19622, NULL, 'MF_03004', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit E [EIF3E].', NULL, 'eIF3e', NULL, NULL, NULL, 7),
(19623, NULL, 'MF_01569', NULL, NULL, 'Proline--tRNA ligase [proS].', NULL, 'Pro_tRNA_synth_type1', NULL, NULL, NULL, 7),
(19624, NULL, 'MF_02207', NULL, NULL, 'Cell shape-determining protein MreB [mreB].', NULL, 'MreB', NULL, NULL, NULL, 7),
(19625, NULL, 'MF_00572', NULL, NULL, '2-isopropylmalate synthase [leuA].', NULL, 'LeuA_type2', NULL, NULL, NULL, 7),
(19626, NULL, 'MF_02000', NULL, NULL, 'Small heat shock protein IbpA [ibpA].', NULL, 'HSP20_IbpA', NULL, NULL, NULL, 7),
(19627, NULL, 'MF_00478', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit E [rsxE].', NULL, 'RsxE_RnfE', NULL, NULL, NULL, 7),
(19628, NULL, 'MF_00123', NULL, NULL, 'Arginine--tRNA ligase [argS].', NULL, 'Arg_tRNA_synth', NULL, NULL, NULL, 7),
(19629, NULL, 'MF_00978', NULL, NULL, 'Bifunctional ligase/repressor BirA [birA].', NULL, 'Bifunct_BirA', NULL, NULL, NULL, 7),
(19630, NULL, 'MF_03170', NULL, NULL, 'Adenylate kinase 4, mitochondrial [AK4].', NULL, 'Adenylate_kinase_AK4', NULL, NULL, NULL, 7),
(19631, NULL, 'MF_00606', NULL, NULL, 'UV DNA damage endonuclease [uvsE].', NULL, 'UV_endonuclease', NULL, NULL, NULL, 7),
(19632, NULL, 'MF_01979', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_Short', NULL, NULL, NULL, 7),
(19633, NULL, 'MF_00264', NULL, NULL, 'UPF0128 protein <locus_tag>.', NULL, 'UPF0128', NULL, NULL, NULL, 7),
(19634, NULL, 'MF_04002', NULL, NULL, 'Major capsid protein L1 [L1].', NULL, 'PPV_L1', NULL, NULL, NULL, 7),
(19635, NULL, 'MF_00260', NULL, NULL, 'Porphobilinogen deaminase [hemC].', NULL, 'Porphobil_deam', NULL, NULL, NULL, 7),
(19636, NULL, 'MF_04087', NULL, NULL, 'RING finger protein Z [Z].', NULL, 'ARENA_Z', NULL, NULL, NULL, 7),
(19637, NULL, 'MF_00039', NULL, NULL, 'Putative adenylate kinase.', NULL, 'Adenylate_kinase_AK6', NULL, NULL, NULL, 7),
(19638, NULL, 'MF_00451', NULL, NULL, 'Nucleoside diphosphate kinase [ndk].', NULL, 'NDP_kinase', NULL, NULL, NULL, 7),
(19639, NULL, 'MF_01864', NULL, NULL, 'tRNA-2-methylthio-N(6)-dimethylallyladenosine synthase [miaB].', NULL, 'tRNA_metthiotr_MiaB', NULL, NULL, NULL, 7);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19640, NULL, 'MF_01467', NULL, NULL, 'Hypoxanthine/guanine phosphoribosyltransferase [hpt].', NULL, 'Hypx_phosphoribosyltr', NULL, NULL, NULL, 7),
(19641, NULL, 'MF_01983', NULL, NULL, 'UbiD-like decarboxylase.', NULL, 'UbiD_FDC', NULL, NULL, NULL, 7),
(19642, NULL, 'MF_01678', NULL, NULL, 'Putative methylthioribose-1-phosphate isomerase [mtnA].', NULL, 'Salvage_MtnA', NULL, NULL, NULL, 7),
(19643, NULL, 'MF_00080', NULL, NULL, 'Translation initiation factor IF-3 [infC].', NULL, 'IF_3', NULL, NULL, NULL, 7),
(19644, NULL, 'MF_00770', NULL, NULL, 'Rhamnulose-1-phosphate aldolase [rhaD].', NULL, 'RhaD', NULL, NULL, NULL, 7),
(19645, NULL, 'MF_00068', NULL, NULL, 'N-acetylmuramic acid 6-phosphate etherase [murQ].', NULL, 'MurQ', NULL, NULL, NULL, 7),
(19646, NULL, 'MF_00237', NULL, NULL, 'Sec-independent protein translocase protein TatB [tatB].', NULL, 'TatB', NULL, NULL, NULL, 7),
(19647, NULL, 'MF_00202', NULL, NULL, 'Isopentenyl-diphosphate Delta-isomerase [idi].', NULL, 'Idi', NULL, NULL, NULL, 7),
(19648, NULL, 'MF_01278', NULL, NULL, 'Type-2 serine--tRNA ligase [serS].', NULL, 'Ser_tRNA_synth_type2', NULL, NULL, NULL, 7),
(19649, NULL, 'MF_00176', NULL, NULL, 'Serine--tRNA ligase [serS].', NULL, 'Ser_tRNA_synth_type1', NULL, NULL, NULL, 7),
(19650, NULL, 'MF_00819', NULL, NULL, 'Putative septation protein SpoVG [spoVG].', NULL, 'SpoVG', NULL, NULL, NULL, 7),
(19651, NULL, 'MF_00838', NULL, NULL, 'Diadenylate cyclase [dacB].', NULL, 'DacB', NULL, NULL, NULL, 7),
(19652, NULL, 'MF_01230', NULL, NULL, 'Haloalkane dehalogenase [dhmA].', NULL, 'Haloalk_dehal_type1', NULL, NULL, NULL, 7),
(19653, NULL, 'MF_02061', NULL, NULL, 'Thioredoxin/glutathione peroxidase BtuE [btuE].', NULL, 'Thiored_glutath_peroxid', NULL, NULL, NULL, 7),
(19654, NULL, 'MF_01152', NULL, NULL, 'Chaperone protein DnaJ [dnaJ].', NULL, 'DnaJ', NULL, NULL, NULL, 7),
(19655, NULL, 'MF_00280', NULL, NULL, '50S ribosomal protein L10 [rpl10].', NULL, 'Ribosomal_L10_arch', NULL, NULL, NULL, 7),
(19656, NULL, 'MF_01033', NULL, NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, 'LeuB_type1', NULL, NULL, NULL, 7),
(19657, NULL, 'MF_02042', NULL, NULL, 'tRNA-dihydrouridine synthase B [dusB].', NULL, 'DusB_subfam', NULL, NULL, NULL, 7),
(19658, NULL, 'MF_03068', NULL, NULL, 'ATP-dependent RNA helicase DHX29 [DHX29].', NULL, 'DHX29', NULL, NULL, NULL, 7),
(19659, NULL, 'MF_00181', NULL, NULL, 'Probable cytosol aminopeptidase [pepA].', NULL, 'Cytosol_peptidase_M17', NULL, NULL, NULL, 7),
(19660, NULL, 'MF_02202', NULL, NULL, 'Tol-Pal system protein TolQ [tolQ].', NULL, 'TolQ', NULL, NULL, NULL, 7),
(19661, NULL, 'MF_00769', NULL, NULL, '2-phosphoglycerate kinase [pgk2].', NULL, '2PGK', NULL, NULL, NULL, 7),
(19662, NULL, 'MF_01175', NULL, NULL, 'tRNA-modifying protein YgfZ [ygfZ].', NULL, 'tRNA_modifying_YgfZ', NULL, NULL, NULL, 7),
(19663, NULL, 'MF_00795', NULL, NULL, 'Copper homeostasis protein CutC [cutC].', NULL, 'CutC', NULL, NULL, NULL, 7),
(19664, NULL, 'MF_02203', NULL, NULL, 'Tol-Pal system protein TolR [tolR].', NULL, 'TolR', NULL, NULL, NULL, 7),
(19665, NULL, 'MF_01513', NULL, NULL, 'Putative phenylalanine aminotransferase [pat].', NULL, 'Phe_aminotrans_2', NULL, NULL, NULL, 7),
(19666, NULL, 'MF_00157', NULL, NULL, 'Ribonuclease T [rnt].', NULL, 'RNase_T', NULL, NULL, NULL, 7),
(19667, NULL, 'MF_00077', NULL, NULL, 'tRNA (cytidine(56)-2''-O)-methyltransferase.', NULL, 'tRNA_methyltr_aTrm56', NULL, NULL, NULL, 7),
(19668, NULL, 'MF_00834', NULL, NULL, 'Adenosylmethionine-8-amino-7-oxononanoate aminotransferase [bioA].', NULL, 'BioA', NULL, NULL, NULL, 7),
(19669, NULL, 'MF_00005', NULL, NULL, 'Argininosuccinate synthase [argG].', NULL, 'Arg_succ_synth_type1', NULL, NULL, NULL, 7),
(19670, NULL, 'MF_01414', NULL, NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefF [kefF].', NULL, 'K_H_efflux_KefF', NULL, NULL, NULL, 7),
(19671, NULL, 'MF_00543', NULL, NULL, 'Tyrosine phenol-lyase [tpl].', NULL, 'Tyr_phenol_lyase', NULL, NULL, NULL, 7);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19672, NULL, 'MF_00841', NULL, NULL, 'Glucosyltransferase 3 [gtf3].', NULL, 'Gtf3', NULL, NULL, NULL, 7),
(19673, NULL, 'MF_00358', NULL, NULL, '30S ribosomal protein S21 [rpsU].', NULL, 'Ribosomal_S21', NULL, NULL, NULL, 7),
(19674, NULL, 'MF_01206', NULL, NULL, 'Protein-methionine-sulfoxide reductase catalytic subunit MsrP [msrP].', NULL, 'MsrP', NULL, NULL, NULL, 7),
(19675, NULL, 'MF_00527', NULL, NULL, 'Putative 3-methyladenine DNA glycosylase.', NULL, '3MGH', NULL, NULL, NULL, 7),
(19676, NULL, 'MF_01071', NULL, NULL, 'UPF0266 membrane protein YobD [yobD].', NULL, 'UPF0266', NULL, NULL, NULL, 7),
(19677, NULL, 'MF_01582', NULL, NULL, 'Serine/threonine transporter SstT [sstT].', NULL, 'Ser_Thr_transp_SstT', NULL, NULL, NULL, 7),
(19678, NULL, 'MF_03112', NULL, NULL, 'ATPase <gene_name> [GET3].', NULL, 'Asna1_Get3', NULL, NULL, NULL, 7),
(19679, NULL, 'MF_00184', NULL, NULL, 'Threonine--tRNA ligase [thrS].', NULL, 'Thr_tRNA_synth', NULL, NULL, NULL, 7),
(19680, NULL, 'MF_04129', NULL, NULL, 'Intermediate capsid protein VP6.', NULL, 'Rota_VP6_A', NULL, NULL, NULL, 7),
(19681, NULL, 'MF_01179', NULL, NULL, 'Cell division inhibitor SulA [sulA].', NULL, 'SulA', NULL, NULL, NULL, 7),
(19682, NULL, 'MF_01386', NULL, NULL, 'Photosystem II reaction center X protein [psbX].', NULL, 'PSII_PsbX_1', NULL, NULL, NULL, 7),
(19683, NULL, 'MF_04140', NULL, NULL, 'Flap endonuclease.', NULL, 'FEN_T5', NULL, NULL, NULL, 7),
(19684, NULL, 'MF_00556', NULL, NULL, 'Bacteriohemerythrin.', NULL, 'Hemerythrin', NULL, NULL, NULL, 7),
(19685, NULL, 'MF_00749', NULL, NULL, 'RNA chaperone ProQ [proQ].', NULL, 'ProQ', NULL, NULL, NULL, 7),
(19686, NULL, 'MF_02226', NULL, NULL, 'D-allulose-6-phosphate 3-epimerase [alsE].', NULL, 'AlluloseP_3_epimer', NULL, NULL, NULL, 7),
(19687, NULL, 'MF_00099', NULL, NULL, 'Protein-glutamate methylesterase/protein-glutamine glutaminase [cheB].', NULL, 'CheB_chemtxs', NULL, NULL, NULL, 7),
(19688, NULL, 'MF_00942', NULL, NULL, 'Endonuclease III [nth].', NULL, 'Nth', NULL, NULL, NULL, 7),
(19689, NULL, 'MF_00274', NULL, NULL, 'Nucleoid-associated protein YbaB [ybaB].', NULL, 'DNA_YbaB_EbfC', NULL, NULL, NULL, 7),
(19690, NULL, 'MF_00561', NULL, NULL, 'ADP-specific phosphofructokinase [pfkC].', NULL, 'ADP_PFKinase', NULL, NULL, NULL, 7),
(19691, NULL, 'MF_02015', NULL, NULL, 'Nucleoid occlusion protein [noc].', NULL, 'ParB_Noc', NULL, NULL, NULL, 7),
(19692, NULL, 'MF_00731', NULL, NULL, '2-succinylbenzoate--CoA ligase [menE].', NULL, 'MenE', NULL, NULL, NULL, 7),
(19693, NULL, 'MF_00086', NULL, NULL, 'S-adenosylmethionine synthase [metK].', NULL, 'S_AdoMet_synth1', NULL, NULL, NULL, 7),
(19694, NULL, 'MF_04012', NULL, NULL, 'Portal protein.', NULL, 'HSV_PORTL', NULL, NULL, NULL, 7),
(19695, NULL, 'MF_00028', NULL, NULL, 'Cobyric acid synthase [cobQ].', NULL, 'CobQ', NULL, NULL, NULL, 7),
(19696, NULL, 'MF_01440', NULL, NULL, 'Chemoreceptor glutamine deamidase CheD [cheD].', NULL, 'CheD', NULL, NULL, NULL, 7),
(19697, NULL, 'MF_03162', NULL, NULL, 'Putative tRNA (cytidine(32)/guanosine(34)-2''-O)-methyltransferase [TRM7].', NULL, 'RNA_methyltr_E_TRM7', NULL, NULL, NULL, 7),
(19698, NULL, 'MF_02228', NULL, NULL, 'Sulfopropanediol 3-dehydrogenase [hpsN].', NULL, 'Sulfopropanediol_dehydrog', NULL, NULL, NULL, 7),
(19699, NULL, 'MF_03005', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit F [EIF3F].', NULL, 'eIF3f', NULL, NULL, NULL, 7),
(19700, NULL, 'MF_00754', NULL, NULL, 'Ribonuclease P protein component 1 [rnp1].', NULL, 'RNase_P_1', NULL, NULL, NULL, 7),
(19701, NULL, 'MF_00559', NULL, NULL, 'Glyceraldehyde-3-phosphate dehydrogenase [gap].', NULL, 'G3P_dehdrog_arch', NULL, NULL, NULL, 7),
(19702, NULL, 'MF_00545', NULL, NULL, '30S ribosomal protein S24e [rps24e].', NULL, 'Ribosomal_S24e', NULL, NULL, NULL, 7),
(19703, NULL, 'MF_01403', NULL, NULL, 'Probable phosphoketolase.', NULL, 'Phosphoketolase', NULL, NULL, NULL, 7);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19704, NULL, 'MF_00723', NULL, NULL, 'Glutathione-dependent formaldehyde-activating enzyme [gfa].', NULL, 'Formald_GSH', NULL, NULL, NULL, 7),
(19705, NULL, 'MF_00336', NULL, NULL, 'ATP-dependent dethiobiotin synthetase BioD [bioD].', NULL, 'BioD', NULL, NULL, NULL, 7),
(19706, NULL, 'MF_00992', NULL, NULL, 'Cyclic dehypoxanthine futalosine synthase [mqnC].', NULL, 'MqnC', NULL, NULL, NULL, 7),
(19707, NULL, 'MF_01084', NULL, NULL, 'Diphthine synthase [dphB].', NULL, 'Diphthine_synth', NULL, NULL, NULL, 7),
(19708, NULL, 'MF_01345_A', NULL, NULL, '30S ribosomal protein S17 [rpsQ].', NULL, 'Ribosomal_S17_A', NULL, NULL, NULL, 7),
(19709, NULL, 'MF_01355', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit L [ndhL].', NULL, 'NDH1_NDH1L', NULL, NULL, NULL, 7),
(19710, NULL, 'MF_01528', NULL, NULL, 'Multidrug resistance protein MdtG [mdtG].', NULL, 'MFS_MdtG', NULL, NULL, NULL, 7),
(19711, NULL, 'MF_03227', NULL, NULL, 'Butyryl-CoA:acetate CoA-transferase.', NULL, 'But_acet_CoA_trans', NULL, NULL, NULL, 7),
(19712, NULL, 'MF_01498', NULL, NULL, 'DNA repair protein RadA [radA].', NULL, 'RadA_bact', NULL, NULL, NULL, 7),
(19713, NULL, 'MF_02031', NULL, NULL, 'Galactarate dehydratase (L-threo-forming) [garD].', NULL, 'Galactar_dehydrat', NULL, NULL, NULL, 7),
(19714, NULL, 'MF_01045', NULL, NULL, 'D-cysteine desulfhydrase [dcyD].', NULL, 'D_Cys_desulfhydr', NULL, NULL, NULL, 7),
(19715, NULL, 'MF_04055', NULL, NULL, 'DNA polymerase [POL].', NULL, 'ADV_DPOL', NULL, NULL, NULL, 7),
(19716, NULL, 'MF_01392', NULL, NULL, 'Cytochrome c biogenesis protein Ccs1 [ccs1].', NULL, 'CytC_Ccs1', NULL, NULL, NULL, 7),
(19717, NULL, 'MF_00630', NULL, NULL, 'UPF0232 protein <locus_tag>.', NULL, 'UPF0232', NULL, NULL, NULL, 7),
(19718, NULL, 'MF_02082', NULL, NULL, '[LysW]-aminoadipate/[LysW]-glutamate kinase [lysZ].', NULL, 'LysZ', NULL, NULL, NULL, 7),
(19719, NULL, 'MF_02103', NULL, NULL, 'Lactate utilization protein B [lutB].', NULL, 'LutB', NULL, NULL, NULL, 7),
(19720, NULL, 'MF_01544', NULL, NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeA [aaeA].', NULL, 'AaeA', NULL, NULL, NULL, 7),
(19721, NULL, 'MF_00016', NULL, NULL, 'Holliday junction ATP-dependent DNA helicase RuvB [ruvB].', NULL, 'DNA_helic_RuvB', NULL, NULL, NULL, 7),
(19722, NULL, 'MF_03013', NULL, NULL, 'Clustered mitochondria protein homolog [CLU1].', NULL, 'CLU', NULL, NULL, NULL, 7),
(19723, NULL, 'MF_02047', NULL, NULL, '6-phosphogluconate dehydrogenase, NAD(+)-dependent, decarboxylating.', NULL, '6PGDH_archaea', NULL, NULL, NULL, 7),
(19724, NULL, 'MF_01599', NULL, NULL, 'Na(+)/H(+) antiporter NhaB [nhaB].', NULL, 'NhaB', NULL, NULL, NULL, 7),
(19725, NULL, 'MF_00584', NULL, NULL, 'Putative HTH-type transcriptional regulatory protein <locus_tag>.', NULL, 'HTH_type_cro_C1', NULL, NULL, NULL, 7),
(19726, NULL, 'MF_00140_A', NULL, NULL, 'Tryptophan--tRNA ligase [trpS].', NULL, 'Trp_tRNA_synth_A', NULL, NULL, NULL, 7),
(19727, NULL, 'MF_00917', NULL, NULL, '7-carboxy-7-deazaguanine synthase [queE].', NULL, 'QueE', NULL, NULL, NULL, 7),
(19728, NULL, 'MF_01180', NULL, NULL, 'Flagellar protein FliT [fliT].', NULL, 'FliT', NULL, NULL, NULL, 7),
(19729, NULL, 'MF_01333_B', NULL, NULL, '50S ribosomal protein L5 [rplE].', NULL, 'Ribosomal_L5_B', NULL, NULL, NULL, 7),
(19730, NULL, 'MF_03193', NULL, NULL, 'Ubiquinone biosynthesis monooxygenase COQ6, mitochondrial [COQ6].', NULL, 'COQ6_monooxygenase', NULL, NULL, NULL, 7),
(19731, NULL, 'MF_00011', NULL, NULL, 'Adenylosuccinate synthetase [purA].', NULL, 'Adenylosucc_synth', NULL, NULL, NULL, 7),
(19732, NULL, 'MF_02052', NULL, NULL, '3-hydroxy-5-phosphonooxypentane-2,4-dione thiolase [lsrF].', NULL, 'LsrF', NULL, NULL, NULL, 7),
(19733, NULL, 'MF_01473', NULL, NULL, 'UDP-N-acetylglucosamine--peptide N-acetylglucosaminyltransferase stabilizing protein GtfB [gtfB].', NULL, 'GtfB', NULL, NULL, NULL, 7),
(19734, NULL, 'MF_00999', NULL, NULL, 'Sulfofructose kinase.', NULL, 'SF_kinase', NULL, NULL, NULL, 7);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19735, NULL, 'MF_00509', NULL, NULL, 'Cell division protein ZipA [zipA].', NULL, 'ZipA', NULL, NULL, NULL, 7),
(19736, NULL, 'MF_00703', NULL, NULL, 'Putative thymidine phosphorylase.', NULL, 'Thymid_phosp_2', NULL, NULL, NULL, 7),
(19737, NULL, 'MF_00922', NULL, NULL, 'Outer membrane protein assembly factor BamD [bamD].', NULL, 'OM_assembly_BamD', NULL, NULL, NULL, 7),
(19738, NULL, 'MF_02112', NULL, NULL, 'Proteasome-associated ATPase [mpa].', NULL, 'ARC_ATPase', NULL, NULL, NULL, 7),
(19739, NULL, 'MF_00652', NULL, NULL, 'UPF0246 protein YaaA [yaaA].', NULL, 'UPF0246', NULL, NULL, NULL, 7),
(19740, NULL, 'MF_01669', NULL, NULL, '3D-(3,5/4)-trihydroxycyclohexane-1,2-dione hydrolase [iolD].', NULL, 'IolD', NULL, NULL, NULL, 7),
(19741, NULL, 'MF_00503', NULL, NULL, '50S ribosomal protein L9 [rplI].', NULL, 'Ribosomal_L9', NULL, NULL, NULL, 7),
(19742, NULL, 'MF_00219', NULL, NULL, 'Dihydroorotase [pyrC].', NULL, 'PyrC_classII', NULL, NULL, NULL, 7),
(19743, NULL, 'MF_04043', NULL, NULL, 'Inner tegument protein.', NULL, 'HSV_ITP', NULL, NULL, NULL, 7),
(19744, NULL, 'MF_00018', NULL, NULL, 'UPF0758 protein YicR [yicR].', NULL, 'UPF0758_YicR', NULL, NULL, NULL, 7),
(19745, NULL, 'MF_00967', NULL, NULL, 'ATP-dependent RNA helicase SrmB [srmB].', NULL, 'DEAD_helicase_SrmB', NULL, NULL, NULL, 7),
(19746, NULL, 'MF_01845', NULL, NULL, 'UPF0597 protein YhaM [yhaM].', NULL, 'UPF0597', NULL, NULL, NULL, 7),
(19747, NULL, 'MF_00611', NULL, NULL, 'Protein FdhE [fdhE].', NULL, 'FdeH', NULL, NULL, NULL, 7),
(19748, NULL, 'MF_01416', NULL, NULL, 'ATP synthase subunit delta [atpD].', NULL, 'ATP_synth_delta_bact', NULL, NULL, NULL, 7),
(19749, NULL, 'MF_00276', NULL, NULL, 'Potassium-transporting ATPase KdpC subunit [kdpC].', NULL, 'KdpC', NULL, NULL, NULL, 7),
(19750, NULL, 'MF_00333', NULL, NULL, 'Oxygen-dependent coproporphyrinogen-III oxidase [hemF].', NULL, 'Coprogen_oxidas', NULL, NULL, NULL, 7),
(19751, NULL, 'MF_01191', NULL, NULL, 'UPF0442 protein YjjB [yjjB].', NULL, 'UPF0442', NULL, NULL, NULL, 7),
(19752, NULL, 'MF_01380', NULL, NULL, 'Iron-sulfur cluster insertion protein ErpA [erpA].', NULL, 'Fe_S_insert_ErpA', NULL, NULL, NULL, 7),
(19753, NULL, 'MF_00174', NULL, NULL, 'Elongation factor P--(R)-beta-lysine ligase [epmA].', NULL, 'EF_P_modif_A', NULL, NULL, NULL, 7),
(19754, NULL, 'MF_01363', NULL, NULL, '50S ribosomal protein L21 [rplU].', NULL, 'Ribosomal_L21', NULL, NULL, NULL, 7),
(19755, NULL, 'MF_01382', NULL, NULL, 'Protein translocase subunit SecA [secA].', NULL, 'SecA', NULL, NULL, NULL, 7),
(19756, NULL, 'MF_00694', NULL, NULL, 'Probable 5-dehydro-4-deoxyglucarate dehydratase.', NULL, 'KDGDH', NULL, NULL, NULL, 7),
(19757, NULL, 'MF_00846', NULL, NULL, 'Ribosome protection protein VmlR [vmlR].', NULL, 'VmlR', NULL, NULL, NULL, 7),
(19758, NULL, 'MF_01118', NULL, NULL, 'Uncharacterized MFS-type transporter YhhS [yhhS].', NULL, 'MFS_YhhS', NULL, NULL, NULL, 7),
(19759, NULL, 'MF_01675', NULL, NULL, 'O-phospho-L-seryl-tRNA:Cys-tRNA synthase.', NULL, 'Sep_Cys_tRNA_synth', NULL, NULL, NULL, 7),
(19760, NULL, 'MF_00245', NULL, NULL, 'UPF0122 protein <locus_tag>.', NULL, 'UPF0122', NULL, NULL, NULL, 7),
(19761, NULL, 'MF_01438', NULL, NULL, 'DNA integrity scanning protein DisA [disA].', NULL, 'DisA', NULL, NULL, NULL, 7),
(19762, NULL, 'MF_01520', NULL, NULL, 'Bifunctional enzyme IspD/IspF [ispDF].', NULL, 'IspDF', NULL, NULL, NULL, 7),
(19763, NULL, 'MF_01430', NULL, NULL, 'Outer membrane protein assembly factor BamA [bamA].', NULL, 'OM_assembly_BamA', NULL, NULL, NULL, 7),
(19764, NULL, 'MF_02069', NULL, NULL, 'Ribulose-5-phosphate reductase [tarJ].', NULL, 'TarJ', NULL, NULL, NULL, 7),
(19765, NULL, 'MF_01213', NULL, NULL, 'Deoxyguanosinetriphosphate triphosphohydrolase-like protein.', NULL, 'dGTPase_type3', NULL, NULL, NULL, 7),
(19766, NULL, 'MF_00251', NULL, NULL, '50S ribosomal protein L36 [rpmJ].', NULL, 'Ribosomal_L36', NULL, NULL, NULL, 7);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19767, NULL, 'MF_03117', NULL, NULL, 'Enolase-phosphatase E1 [ENOPH1].', NULL, 'Salvage_MtnC_euk', NULL, NULL, NULL, 7),
(19768, NULL, 'MF_00234', NULL, NULL, 'Adenylate kinase [adkA].', NULL, 'Adenylate_kinase_AdkA', NULL, NULL, NULL, 7),
(19769, NULL, 'MF_00804', NULL, NULL, 'NAD/NADP-dependent betaine aldehyde dehydrogenase [betB].', NULL, 'BADH', NULL, NULL, NULL, 7),
(19770, NULL, 'MF_03113', NULL, NULL, 'Golgi to ER traffic protein 1 [GET1].', NULL, 'Get1', NULL, NULL, NULL, 7),
(19771, NULL, 'MF_00852', NULL, NULL, '(S)-8-amino-7-oxononanoate synthase BioU [bioU].', NULL, 'BioU', NULL, NULL, NULL, 7),
(19772, NULL, 'MF_00218', NULL, NULL, 'Uroporphyrinogen decarboxylase [hemE].', NULL, 'URO_D', NULL, NULL, NULL, 7),
(19773, NULL, 'MF_00722', NULL, NULL, 'Endonuclease NucS [nucS].', NULL, 'NucS', NULL, NULL, NULL, 7),
(19774, NULL, 'MF_01324', NULL, NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC2].', NULL, 'RNApol_bact_RpoC2', NULL, NULL, NULL, 7),
(19775, NULL, 'MF_00905', NULL, NULL, '3'',5''-cyclic adenosine monophosphate phosphodiesterase CpdA [cpdA].', NULL, 'cAMP_phosphodiest_CpdA', NULL, NULL, NULL, 7),
(19776, NULL, 'MF_01805', NULL, NULL, 'Segregation and condensation protein A [scpA].', NULL, 'ScpA', NULL, NULL, NULL, 7),
(19777, NULL, 'MF_00345', NULL, NULL, 'GMP synthase [glutamine-hydrolyzing] subunit B [guaAB].', NULL, 'GMP_synthase_B', NULL, NULL, NULL, 7),
(19778, NULL, 'MF_01830', NULL, NULL, 'Putative hydro-lyase <locus_tag>.', NULL, 'Hydro_lyase', NULL, NULL, NULL, 7),
(19779, NULL, 'MF_03153', NULL, NULL, 'U1 small nuclear ribonucleoprotein C [SNRPC].', NULL, 'U1_C', NULL, NULL, NULL, 7),
(19780, NULL, 'MF_00075', NULL, NULL, 'Translation initiation factor IF-1 [infA].', NULL, 'IF_1', NULL, NULL, NULL, 7),
(19781, NULL, 'MF_01116', NULL, NULL, '16S rRNA aminocarboxypropyltransferase.', NULL, 'TSR3', NULL, NULL, NULL, 7),
(19782, NULL, 'MF_01428', NULL, NULL, 'Glutamyl-Q tRNA(Asp) synthetase [gluQ].', NULL, 'Glu_Q_tRNA_synth', NULL, NULL, NULL, 7),
(19783, NULL, 'MF_00763', NULL, NULL, 'UPF0305 protein <locus_tag>.', NULL, 'UPF0305', NULL, NULL, NULL, 7),
(19784, NULL, 'MF_01164', NULL, NULL, 'Undecaprenyl-phosphate 4-deoxy-4-formamido-L-arabinose transferase [arnC].', NULL, 'ArnC_transfer', NULL, NULL, NULL, 7),
(19785, NULL, 'MF_00844_A', NULL, NULL, 'Rqc2 homolog RqcH [rqcH].', NULL, 'RqcH_A', NULL, NULL, NULL, 7),
(19786, NULL, 'MF_00285', NULL, NULL, 'Potassium-transporting ATPase ATP-binding subunit [kdpB].', NULL, 'KdpB', NULL, NULL, NULL, 7),
(19787, NULL, 'MF_00569', NULL, NULL, 'Quinolinate synthase A [nadA].', NULL, 'NadA_type3', NULL, NULL, NULL, 7),
(19788, NULL, 'MF_01017', NULL, NULL, 'NAD(P)H dehydrogenase (quinone).', NULL, 'NQOR', NULL, NULL, NULL, 7),
(19789, NULL, 'MF_01371_B', NULL, NULL, '50S ribosomal protein L30 [rpmD].', NULL, 'Ribosomal_L30_B', NULL, NULL, NULL, 7),
(19790, NULL, 'MF_00530', NULL, NULL, 'ATP synthase epsilon chain [atpC].', NULL, 'ATP_synth_epsil_bac', NULL, NULL, NULL, 7),
(19791, NULL, 'MF_01874', NULL, NULL, 'UPF0756 membrane protein YeaL [yeaL].', NULL, 'UPF0756', NULL, NULL, NULL, 7),
(19792, NULL, 'MF_01553', NULL, NULL, 'UPF0356 protein <locus_tag>.', NULL, 'UPF0356', NULL, NULL, NULL, 7),
(19793, NULL, 'MF_03202', NULL, NULL, 'Elongation of very long chain fatty acids protein 2 [ELOVL2].', NULL, 'VLCF_elongase_2', NULL, NULL, NULL, 7),
(19794, NULL, 'MF_01863', NULL, NULL, 'UPF0741 protein <locus_tag>.', NULL, 'UPF0741', NULL, NULL, NULL, 7),
(19795, NULL, 'MF_00590', NULL, NULL, 'GTP-dependent dephospho-CoA kinase.', NULL, 'Dephospho_CoA_kinase_GTP_dep', NULL, NULL, NULL, 7),
(19796, NULL, 'MF_01497', NULL, NULL, 'Stress response kinase A [srkA].', NULL, 'SrkA_kinase', NULL, NULL, NULL, 7),
(19797, NULL, 'MF_00438', NULL, NULL, 'Photosystem II reaction center protein M [psbM].', NULL, 'PSII_PsbM', NULL, NULL, NULL, 7),
(19798, NULL, 'MF_01019', NULL, NULL, 'Histidine biosynthesis bifunctional protein HisIE [hisI].', NULL, 'HisIE', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19799, NULL, 'MF_01282', NULL, NULL, 'Virginiamycin B lyase [vgb].', NULL, 'VirginiamycinB_lyase', NULL, NULL, NULL, 7),
(19800, NULL, 'MF_00041', NULL, NULL, 'Cysteine--tRNA ligase [cysS].', NULL, 'Cys_tRNA_synth', NULL, NULL, NULL, 7),
(19801, NULL, 'MF_01245', NULL, NULL, 'UPF0248 protein <locus_tag>.', NULL, 'UPF0248', NULL, NULL, NULL, 7),
(19802, NULL, 'MF_00507', NULL, NULL, 'UPF0181 protein YoaH [yoaH].', NULL, 'UPF0181', NULL, NULL, NULL, 7),
(19803, NULL, 'MF_00535', NULL, NULL, 'Cyanate hydratase [cynS].', NULL, 'Cyanate_hydrat', NULL, NULL, NULL, 7),
(19804, NULL, 'MF_02244', NULL, NULL, 'Coproheme decarboxylase [chdC].', NULL, 'Coproheme_decarbox_2', NULL, NULL, NULL, 7),
(19805, NULL, 'MF_00613', NULL, NULL, 'Photosystem I reaction center subunit IV [psaE].', NULL, 'PSI_PsaE', NULL, NULL, NULL, 7),
(19806, NULL, 'MF_01397', NULL, NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, 'NDH1_NuoCD_2', NULL, NULL, NULL, 7),
(19807, NULL, 'MF_03058', NULL, NULL, 'Vacuolar ATPase assembly integral membrane protein <gene_name> [VMA21].', NULL, 'VMA21', NULL, NULL, NULL, 7),
(19808, NULL, 'MF_00292', NULL, NULL, '30S ribosomal protein S28e [rps28e].', NULL, 'Ribosomal_S28e', NULL, NULL, NULL, 7),
(19809, NULL, 'MF_03168', NULL, NULL, 'Adenylate kinase 2, mitochondrial [AK2].', NULL, 'Adenylate_kinase_AK2', NULL, NULL, NULL, 7),
(19810, NULL, 'MF_01105', NULL, NULL, 'Amino-acid acetyltransferase [argA].', NULL, 'N_acetyl_glu_synth', NULL, NULL, NULL, 7),
(19811, NULL, 'MF_00662', NULL, NULL, 'Phosphatidylserine decarboxylase proenzyme [psd].', NULL, 'PS_decarb_PSD_B_type1', NULL, NULL, NULL, 7),
(19812, NULL, 'MF_01389', NULL, NULL, 'Urease accessory protein UreG [ureG].', NULL, 'UreG', NULL, NULL, NULL, 7),
(19813, NULL, 'MF_04136', NULL, NULL, 'SAR-endolysin.', NULL, 'SAR_ENDOLYSIN', NULL, NULL, NULL, 7),
(19814, NULL, 'MF_01259', NULL, NULL, 'Bifunctional F420 biosynthesis protein FbiB [fbiB].', NULL, 'F420_ligase_FbiB', NULL, NULL, NULL, 7),
(19815, NULL, 'MF_02067', NULL, NULL, 'Fructose-1,6-bisphosphate aldolase/phosphatase [fbp].', NULL, 'FBP_aldolase_phosphatase', NULL, NULL, NULL, 7),
(19816, NULL, 'MF_00008', NULL, NULL, 'Thymidylate synthase [thyA].', NULL, 'Thymidy_synth_bact', NULL, NULL, NULL, 7),
(19817, NULL, 'MF_00222', NULL, NULL, 'Shikimate dehydrogenase (NADP(+)) [aroE].', NULL, 'Shikimate_DH_AroE', NULL, NULL, NULL, 7),
(19818, NULL, 'MF_00768', NULL, NULL, 'HTH-type transcriptional regulator BetI [betI].', NULL, 'HTH_type_BetI', NULL, NULL, NULL, 7),
(19819, NULL, 'MF_01257', NULL, NULL, 'Phosphoenolpyruvate transferase [fbiA].', NULL, 'CofD', NULL, NULL, NULL, 7),
(19820, NULL, 'MF_01499', NULL, NULL, 'Diadenylate cyclase [dacA].', NULL, 'DacA', NULL, NULL, NULL, 7),
(19821, NULL, 'MF_01151', NULL, NULL, 'Protein GrpE [grpE].', NULL, 'GrpE', NULL, NULL, NULL, 7),
(19822, NULL, 'MF_03223', NULL, NULL, 'Protein N-terminal and lysine N-methyltransferase EFM7 [EFM7].', NULL, 'Methyltr_EFM7', NULL, NULL, NULL, 7),
(19823, NULL, 'MF_01170', NULL, NULL, 'Chromosome-anchoring protein RacA [racA].', NULL, 'RacA', NULL, NULL, NULL, 7),
(19824, NULL, 'MF_01030', NULL, NULL, 'D-serine dehydratase [dsdA].', NULL, 'D_Ser_dehydrat', NULL, NULL, NULL, 7),
(19825, NULL, 'MF_01058', NULL, NULL, 'Der GTPase-activating protein YihI [yihI].', NULL, 'GAP_YihI', NULL, NULL, NULL, 7),
(19826, NULL, 'MF_01452', NULL, NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [addB].', NULL, 'AddB_type1', NULL, NULL, NULL, 7),
(19827, NULL, 'MF_01656', NULL, NULL, '4-hydroxy-2-oxovalerate aldolase [mhpE].', NULL, 'HOA', NULL, NULL, NULL, 7),
(19828, NULL, 'MF_00295', NULL, NULL, 'Homoserine O-succinyltransferase [metAS].', NULL, 'MetA_acyltransf', NULL, NULL, NULL, 7),
(19829, NULL, 'MF_01638', NULL, NULL, 'Pyridoxine/pyridoxal/pyridoxamine kinase [pdxK].', NULL, 'PdxK', NULL, NULL, NULL, 7),
(19830, NULL, 'MF_00677', NULL, NULL, 'UPF0261 protein <locus_tag>.', NULL, 'UPF0261', NULL, NULL, NULL, 7);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19831, NULL, 'MF_00049_B', NULL, NULL, 'Leucine--tRNA ligase [leuS].', NULL, 'Leu_tRNA_synth_B', NULL, NULL, NULL, 7),
(19832, NULL, 'MF_00996', NULL, NULL, '1,4-dihydroxy-6-naphtoate synthase [mqnD].', NULL, 'MqnD', NULL, NULL, NULL, 7),
(19833, NULL, 'MF_03115', NULL, NULL, 'Fe-S cluster assembly protein <gene_name> [DRE2].', NULL, 'Anamorsin', NULL, NULL, NULL, 7),
(19834, NULL, 'MF_01182', NULL, NULL, 'Cytochrome c-552 [nrfA].', NULL, 'Cytochrom_C552', NULL, NULL, NULL, 7),
(19835, NULL, 'MF_00640', NULL, NULL, 'Deoxyhypusine synthase-like protein.', NULL, 'DHS_like', NULL, NULL, NULL, 7),
(19836, NULL, 'MF_01436', NULL, NULL, 'Enterobactin exporter EntS [entS].', NULL, 'MFS_EntS', NULL, NULL, NULL, 7),
(19837, NULL, 'MF_00684', NULL, NULL, 'N(4)-acetylcytidine amidohydrolase.', NULL, 'ac4C_amidohydr', NULL, NULL, NULL, 7),
(19838, NULL, 'MF_00499', NULL, NULL, '50S ribosomal protein L13e [rpl13e].', NULL, 'Ribosomal_L13e', NULL, NULL, NULL, 7),
(19839, NULL, 'MF_00802', NULL, NULL, 'Bifunctional glutamine synthetase adenylyltransferase/adenylyl-removing enzyme [glnE].', NULL, 'GlnE', NULL, NULL, NULL, 7),
(19840, NULL, 'MF_00902', NULL, NULL, 'Sec-independent protein translocase protein TatC [tatC].', NULL, 'TatC', NULL, NULL, NULL, 7),
(19841, NULL, 'MF_02033', NULL, NULL, 'Cell division protein FtsA [ftsA].', NULL, 'FtsA', NULL, NULL, NULL, 7),
(19842, NULL, 'MF_00760', NULL, NULL, 'UPF0302 protein <locus_tag>.', NULL, 'UPF0302', NULL, NULL, NULL, 7),
(19843, NULL, 'MF_01832', NULL, NULL, 'Cysteine desulfuration protein SufE [sufE].', NULL, 'SufE', NULL, NULL, NULL, 7),
(19844, NULL, 'MF_00651', NULL, NULL, 'Putative pre-16S rRNA nuclease [yqgF].', NULL, 'Nuclease_YqgF', NULL, NULL, NULL, 7),
(19845, NULL, 'MF_01306_B', NULL, NULL, '30S ribosomal protein S4 [rpsD].', NULL, 'Ribosomal_S4_B', NULL, NULL, NULL, 7),
(19846, NULL, 'MF_01156', NULL, NULL, 'Iron-sulfur cluster repair protein ScdA [scdA].', NULL, 'RIC_ScdA', NULL, NULL, NULL, 7),
(19847, NULL, 'MF_00337', NULL, NULL, 'Exodeoxyribonuclease 7 small subunit [xseB].', NULL, 'Exonuc_7_S', NULL, NULL, NULL, 7),
(19848, NULL, 'MF_01478', NULL, NULL, '50S ribosomal protein L12 [rpl12].', NULL, 'Ribosomal_L12_arch', NULL, NULL, NULL, 7),
(19849, NULL, 'MF_00470', NULL, NULL, 'o-succinylbenzoate synthase [menC].', NULL, 'MenC_1', NULL, NULL, NULL, 7),
(19850, NULL, 'MF_01960', NULL, NULL, 'D-aminopeptidase [dap].', NULL, 'D_aminopeptidase', NULL, NULL, NULL, 7),
(19851, NULL, 'MF_00493', NULL, NULL, 'Transaldolase [tal].', NULL, 'Transaldolase_2', NULL, NULL, NULL, 7),
(19852, NULL, 'MF_01871', NULL, NULL, 'UPF0753 protein <locus_tag>.', NULL, 'UPF0753', NULL, NULL, NULL, 7),
(19853, NULL, 'MF_00418', NULL, NULL, '4-hydroxy-tetrahydrodipicolinate synthase [dapA].', NULL, 'DapA', NULL, NULL, NULL, 7),
(19854, NULL, 'MF_01622', NULL, NULL, 'tRNA 2-selenouridine synthase [selU].', NULL, 'tRNA_sel_U_synth', NULL, NULL, NULL, 7),
(19855, NULL, 'MF_02030', NULL, NULL, 'Undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphate transferase [wecA].', NULL, 'WecA_Gammaproteo', NULL, NULL, NULL, 7),
(19856, NULL, 'MF_01046', NULL, NULL, 'Protein/nucleic acid deglycase HchA [hchA].', NULL, 'Deglycase_HchA', NULL, NULL, NULL, 7),
(19857, NULL, 'MF_00974', NULL, NULL, 'DNA primase [dnaG].', NULL, 'DNA_primase_DnaG', NULL, NULL, NULL, 7),
(19858, NULL, 'MF_01666', NULL, NULL, 'Glyoxylate/hydroxypyruvate reductase A [ghrA].', NULL, '2_Hacid_dh_C_GhrA', NULL, NULL, NULL, 7),
(19859, NULL, 'MF_01313', NULL, NULL, 'Nitric oxide reductase FlRd-NAD(+) reductase [norW].', NULL, 'NorW', NULL, NULL, NULL, 7),
(19860, NULL, 'MF_01218_B', NULL, NULL, 'Uracil phosphoribosyltransferase [upp].', NULL, 'Upp_B', NULL, NULL, NULL, 7),
(19861, NULL, 'MF_00642', NULL, NULL, 'Cytochrome b559 subunit alpha [psbE].', NULL, 'PSII_PsbE', NULL, NULL, NULL, 7),
(19862, NULL, 'MF_02016', NULL, NULL, 'Membrane-bound lytic murein transglycosylase F [mltF].', NULL, 'MltF', NULL, NULL, NULL, 7);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19863, NULL, 'MF_00680', NULL, NULL, 'UPF0263 protein YciU [yciU].', NULL, 'UPF0263', NULL, NULL, NULL, 7),
(19864, NULL, 'MF_01887', NULL, NULL, '23S rRNA (guanosine-2''-O-)-methyltransferase RlmB [rlmB].', NULL, '23SrRNA_methyltr_B', NULL, NULL, NULL, 7),
(19865, NULL, 'MF_00104', NULL, NULL, 'Ribonuclease 3 [rnc].', NULL, 'RNase_III', NULL, NULL, NULL, 7),
(19866, NULL, 'MF_02075', NULL, NULL, 'Aspartate--tRNA(Asp) ligase [aspS].', NULL, 'Asp_tRNA_synth_type2', NULL, NULL, NULL, 7),
(19867, NULL, 'MF_01908', NULL, NULL, 'Cyclic 2,3-diphosphoglycerate synthetase [cpgS].', NULL, 'Cyc_PG_syn', NULL, NULL, NULL, 7),
(19868, NULL, 'MF_00472', NULL, NULL, 'Ubiquinone biosynthesis O-methyltransferase [ubiG].', NULL, 'UbiG', NULL, NULL, NULL, 7),
(19869, NULL, 'MF_03144', NULL, NULL, 'RNA-splicing ligase RtcB homolog [RTCB].', NULL, 'RtcB_euk', NULL, NULL, NULL, 7),
(19870, NULL, 'MF_01378', NULL, NULL, 'Cytochrome c-550 [psbV].', NULL, 'PSII_Cyt550', NULL, NULL, NULL, 7),
(19871, NULL, 'MF_01928', NULL, NULL, 'N5-carboxyaminoimidazole ribonucleotide synthase [purK].', NULL, 'PurK', NULL, NULL, NULL, 7),
(19872, NULL, 'MF_01619', NULL, NULL, 'NAD-dependent malic enzyme [maeA].', NULL, 'NAD_malic_enz', NULL, NULL, NULL, 7),
(19873, NULL, 'MF_01062', NULL, NULL, 'Phosphoenolpyruvate synthase regulatory protein [ppsR].', NULL, 'PSRP', NULL, NULL, NULL, 7),
(19874, NULL, 'MF_04014', NULL, NULL, 'Tripartite terminase subunit 1 [TRM1].', NULL, 'HSV_TRM1', NULL, NULL, NULL, 7),
(19875, NULL, 'MF_02133', NULL, NULL, 'Prokaryotic ubiquitin-like protein UBact [ubact].', NULL, 'UBact', NULL, NULL, NULL, 7),
(19876, NULL, 'MF_00915', NULL, NULL, 'Cell division protein FtsP [ftsP].', NULL, 'FtsP', NULL, NULL, NULL, 7),
(19877, NULL, 'MF_01925', NULL, NULL, 'Pyrroline-5-carboxylate reductase [proC].', NULL, 'P5C_reductase', NULL, NULL, NULL, 7),
(19878, NULL, 'MF_00064', NULL, NULL, 'Sulfate adenylyltransferase subunit 2 [cysD].', NULL, 'Sulf_adenylyltr_sub2', NULL, NULL, NULL, 7),
(19879, NULL, 'MF_00338', NULL, NULL, 'UPF0145 protein YbjQ [ybjQ].', NULL, 'UPF0145', NULL, NULL, NULL, 7),
(19880, NULL, 'MF_01485', NULL, NULL, 'RecBCD enzyme subunit RecB [recB].', NULL, 'RecB', NULL, NULL, NULL, 7),
(19881, NULL, 'MF_00208', NULL, NULL, 'UDP-N-acetylmuramoyl-L-alanyl-D-glutamate--2,6-diaminopimelate ligase [murE].', NULL, 'MurE', NULL, NULL, NULL, 7),
(19882, NULL, 'MF_00837', NULL, NULL, 'Lipid A palmitoyltransferase PagP [pagP].', NULL, 'PagP_transferase', NULL, NULL, NULL, 7),
(19883, NULL, 'MF_01531', NULL, NULL, 'Vitamin B12 transporter BtuB [btuB].', NULL, 'BtuB', NULL, NULL, NULL, 7),
(19884, NULL, 'MF_01893', NULL, NULL, 'tRNA pseudouridine synthase Pus10 [pus10].', NULL, 'Pus10_arch', NULL, NULL, NULL, 7),
(19885, NULL, 'MF_01412', NULL, NULL, 'Glutathione-regulated potassium-efflux system protein KefB [kefB].', NULL, 'K_H_efflux_KefB', NULL, NULL, NULL, 7),
(19886, NULL, 'MF_01961', NULL, NULL, 'Catalase-peroxidase [katG].', NULL, 'Catal_peroxid', NULL, NULL, NULL, 7),
(19887, NULL, 'MF_02018', NULL, NULL, 'PanD regulatory factor [panZ].', NULL, 'PanZ_PanM', NULL, NULL, NULL, 7),
(19888, NULL, 'MF_00565', NULL, NULL, 'D-alanyl carrier protein [dltC].', NULL, 'DltC', NULL, NULL, NULL, 7),
(19889, NULL, 'MF_00746', NULL, NULL, 'Protein SprT [sprT].', NULL, 'SprT', NULL, NULL, NULL, 7),
(19890, NULL, 'MF_00167', NULL, NULL, 'Translational regulator CsrA [csrA].', NULL, 'CsrA', NULL, NULL, NULL, 7),
(19891, NULL, 'MF_02105', NULL, NULL, 'Lactate utilization protein A [lutA].', NULL, 'LutA', NULL, NULL, NULL, 7),
(19892, NULL, 'MF_00993', NULL, NULL, 'Aminodeoxyfutalosine synthase [mqnE].', NULL, 'MqnE', NULL, NULL, NULL, 7),
(19893, NULL, 'MF_01364_A', NULL, NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, 'Ribosomal_S14_2_A', NULL, NULL, NULL, 7),
(19894, NULL, 'MF_01639', NULL, NULL, 'Pyridoxal kinase PdxY [pdxY].', NULL, 'PdxY', NULL, NULL, NULL, 7);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19895, NULL, 'MF_04033', NULL, NULL, 'Envelope glycoprotein H [gH].', NULL, 'HSV_GH', NULL, NULL, NULL, 7),
(19896, NULL, 'MF_01254', NULL, NULL, 'L-fucose isomerase [fucI].', NULL, 'Fucose_iso', NULL, NULL, NULL, 7),
(19897, NULL, 'MF_00220_A', NULL, NULL, 'Dihydroorotase [pyrC].', NULL, 'PyrC_classI_A', NULL, NULL, NULL, 7),
(19898, NULL, 'MF_01144', NULL, NULL, 'UPF0299 membrane protein YohJ [yohJ].', NULL, 'UPF0299', NULL, NULL, NULL, 7),
(19899, NULL, 'MF_01529', NULL, NULL, 'Multidrug resistance protein MdtH [mdtH].', NULL, 'MFS_MdtH', NULL, NULL, NULL, 7),
(19900, NULL, 'MF_02128', NULL, NULL, 'Thiamine-monophosphate kinase [thiL].', NULL, 'TMP_kinase', NULL, NULL, NULL, 7),
(19901, NULL, 'MF_01377', NULL, NULL, 'Probable lipid kinase YegS [yegS].', NULL, 'YegS', NULL, NULL, NULL, 7),
(19902, NULL, 'MF_02237', NULL, NULL, 'tRNA (cytosine(72)-C(5))-methyltransferase.', NULL, 'NSUN6', NULL, NULL, NULL, 7),
(19903, NULL, 'MF_00848', NULL, NULL, 'ATP-binding protein Uup [uup].', NULL, 'Uup', NULL, NULL, NULL, 7),
(19904, NULL, 'MF_00633', NULL, NULL, 'Cytochrome b6 [petB].', NULL, 'Cytb6_f_cytb6', NULL, NULL, NULL, 7),
(19905, NULL, 'MF_00956', NULL, NULL, 'GDP-L-fucose synthase [fcl].', NULL, 'GDP_fucose_synth', NULL, NULL, NULL, 7),
(19906, NULL, 'MF_00971', NULL, NULL, 'DNA-binding protein MutS2 [mutS2].', NULL, 'MutS2_archaea', NULL, NULL, NULL, 7),
(19907, NULL, 'MF_01940', NULL, NULL, 'RNA 2'',3''-cyclic phosphodiesterase [thpR].', NULL, 'RNA_CPDase', NULL, NULL, NULL, 7),
(19908, NULL, 'MF_04000', NULL, NULL, 'Replication protein E1 [E1].', NULL, 'PPV_E1', NULL, NULL, NULL, 7),
(19909, NULL, 'MF_01110', NULL, NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, 'ArgC_type2', NULL, NULL, NULL, 7),
(19910, NULL, 'MF_00688', NULL, NULL, 'Leucyl/phenylalanyl-tRNA--protein transferase [aat].', NULL, 'Leu_Phe_trans', NULL, NULL, NULL, 7),
(19911, NULL, 'MF_01945', NULL, NULL, 'Lipid A 1-diphosphate synthase [lpxT].', NULL, 'Lipid_A_LpxT', NULL, NULL, NULL, 7),
(19912, NULL, 'MF_00313', NULL, NULL, 'Glutaminase [glsA].', NULL, 'Glutaminase', NULL, NULL, NULL, 7),
(19913, NULL, 'MF_00536', NULL, NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, 'PdxA', NULL, NULL, NULL, 7),
(19914, NULL, 'MF_01518', NULL, NULL, 'Adenine deaminase [ade].', NULL, 'Adenine_deamin', NULL, NULL, NULL, 7),
(19915, NULL, 'MF_01857', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase I [rlmI].', NULL, '23SrRNA_methyltr_I', NULL, NULL, NULL, 7),
(19916, NULL, 'MF_03114', NULL, NULL, 'Golgi to ER traffic protein 2 [GET2].', NULL, 'Get2', NULL, NULL, NULL, 7),
(19917, NULL, 'MF_01373', NULL, NULL, 'Lipoprotein LpqB [lpqB].', NULL, 'LpqB_lipoprot', NULL, NULL, NULL, 7),
(19918, NULL, 'MF_01802', NULL, NULL, 'Chromosome partition protein MukE [mukE].', NULL, 'MukE', NULL, NULL, NULL, 7),
(19919, NULL, 'MF_02062', NULL, NULL, 'Sodium/glutamate symporter [gltS].', NULL, 'GltS', NULL, NULL, NULL, 7),
(19920, NULL, 'MF_01817', NULL, NULL, 'Tyrosine recombinase XerD-like.', NULL, 'Recomb_XerD_like', NULL, NULL, NULL, 7),
(19921, NULL, 'MF_00319', NULL, NULL, 'CDP-diacylglycerol pyrophosphatase [cdh].', NULL, 'Cdh', NULL, NULL, NULL, 7),
(19922, NULL, 'MF_01327', NULL, NULL, 'Thiamine-phosphate synthase [thiE].', NULL, 'TMP_synthase_cyanobact', NULL, NULL, NULL, 7),
(19923, NULL, 'MF_01545', NULL, NULL, 'p-hydroxybenzoic acid efflux pump subunit AaeB [aaeB].', NULL, 'AaeB', NULL, NULL, NULL, 7),
(19924, NULL, 'MF_01937', NULL, NULL, '1,4-dihydroxy-2-naphthoate octaprenyltransferase [menA].', NULL, 'MenA_1', NULL, NULL, NULL, 7),
(19925, NULL, 'MF_00940', NULL, NULL, 'Tat proofreading chaperone DmsD [dmsD].', NULL, 'DmsD_chaperone', NULL, NULL, NULL, 7),
(19926, NULL, 'MF_01343_B', NULL, NULL, '30S ribosomal protein S15 [rpsO].', NULL, 'Ribosomal_S15_B', NULL, NULL, NULL, 7),
(19927, NULL, 'MF_01965', NULL, NULL, 'ADP-dependent (S)-NAD(P)H-hydrate dehydratase [nnrD].', NULL, 'NADHX_dehydratase', NULL, NULL, NULL, 7);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19928, NULL, 'MF_01317', NULL, NULL, 'Photosystem II reaction center protein L [psbL].', NULL, 'PSII_PsbL', NULL, NULL, NULL, 7),
(19929, NULL, 'MF_01220_A', NULL, NULL, 'Uridylate kinase [pyrH].', NULL, 'PyrH_A', NULL, NULL, NULL, 7),
(19930, NULL, 'MF_01844', NULL, NULL, 'Na(+)/H(+) antiporter NhaA [nhaA].', NULL, 'NhaA', NULL, NULL, NULL, 7),
(19931, NULL, 'MF_04032', NULL, NULL, 'Envelope glycoprotein B [gB].', NULL, 'HSV_GB', NULL, NULL, NULL, 7),
(19932, NULL, 'MF_01135', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit delta [cdhD].', NULL, 'CdhD', NULL, NULL, NULL, 7),
(19933, NULL, 'MF_01415', NULL, NULL, 'Glutathione-regulated potassium-efflux system ancillary protein KefG [kefG].', NULL, 'K_H_efflux_KefG', NULL, NULL, NULL, 7),
(19934, NULL, 'MF_01856', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase B [rsmB].', NULL, '16SrRNA_methyltr_B', NULL, NULL, NULL, 7),
(19935, NULL, 'MF_00364', NULL, NULL, 'Beta-hexosaminidase [nagZ].', NULL, 'NagZ', NULL, NULL, NULL, 7),
(19936, NULL, 'MF_04047', NULL, NULL, 'Pre-hexon-linking protein IIIa.', NULL, 'ADV_CAP3', NULL, NULL, NULL, 7),
(19937, NULL, 'MF_04059', NULL, NULL, 'Protease [L3].', NULL, 'ADV_PRO', NULL, NULL, NULL, 7),
(19938, NULL, 'MF_00330', NULL, NULL, 'Cobalt transport protein CbiN [cbiN].', NULL, 'CbiN', NULL, NULL, NULL, 7),
(19939, NULL, 'MF_00627', NULL, NULL, 'L-threonine 3-dehydrogenase [tdh].', NULL, 'Thr_dehydrog', NULL, NULL, NULL, 7),
(19940, NULL, 'MF_00575', NULL, NULL, 'UDP-2,3-diacylglucosamine hydrolase [lpxH].', NULL, 'LpxH', NULL, NULL, NULL, 7),
(19941, NULL, 'MF_01985', NULL, NULL, 'Phenolic acid decarboxylase.', NULL, 'UbiD_YclC', NULL, NULL, NULL, 7),
(19942, NULL, 'MF_02074', NULL, NULL, 'Renalase.', NULL, 'Bact_renalase', NULL, NULL, NULL, 7),
(19943, NULL, 'MF_00196', NULL, NULL, 'Mannitol-1-phosphate 5-dehydrogenase [mtlD].', NULL, 'Mannitol_dehydrog', NULL, NULL, NULL, 7),
(19944, NULL, 'MF_01374', NULL, NULL, 'Hydroxyacylglutathione hydrolase [gloB].', NULL, 'Glyoxalase_2', NULL, NULL, NULL, 7),
(19945, NULL, 'MF_01051', NULL, NULL, 'Carnitinyl-CoA dehydratase [caiD].', NULL, 'CaiD', NULL, NULL, NULL, 7),
(19946, NULL, 'MF_00901', NULL, NULL, '3''-5'' ssDNA/RNA exonuclease TatD [tatD].', NULL, 'TatD_exonuclease', NULL, NULL, NULL, 7),
(19947, NULL, 'MF_04023', NULL, NULL, 'Nuclear egress protein 1 [NEC1].', NULL, 'HSV_NEC1', NULL, NULL, NULL, 7),
(19948, NULL, 'MF_00689', NULL, NULL, 'Aspartate/glutamate leucyltransferase [bpt].', NULL, 'Bpt', NULL, NULL, NULL, 7),
(19949, NULL, 'MF_01689', NULL, NULL, 'Ornithine aminotransferase [rocD].', NULL, 'Ornith_aminotrans_3', NULL, NULL, NULL, 7),
(19950, NULL, 'MF_02024', NULL, NULL, 'Lipid III flippase [wzxE].', NULL, 'WzxE', NULL, NULL, NULL, 7),
(19951, NULL, 'MF_01573', NULL, NULL, 'Pyrrolysine--tRNA ligase [pylS].', NULL, 'Pyl_tRNA_synth', NULL, NULL, NULL, 7),
(19952, NULL, 'MF_00215', NULL, NULL, 'Pantothenate kinase [coaA].', NULL, 'Pantothen_kinase_1', NULL, NULL, NULL, 7),
(19953, NULL, 'MF_01291', NULL, NULL, '5-keto-4-deoxy-D-glucarate aldolase [garL].', NULL, 'KDGluc_aldolase', NULL, NULL, NULL, 7),
(19954, NULL, 'MF_01546', NULL, NULL, 'Protein AaeX [aaeX].', NULL, 'AaeX', NULL, NULL, NULL, 7),
(19955, NULL, 'MF_03007', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit H [EIF3H].', NULL, 'eIF3h', NULL, NULL, NULL, 7),
(19956, NULL, 'MF_01119', NULL, NULL, 'UPF0294 protein YafD [yafD].', NULL, 'UPF0294', NULL, NULL, NULL, 7),
(19957, NULL, 'MF_00423', NULL, NULL, 'L-seryl-tRNA(Sec) selenium transferase [selA].', NULL, 'SelA', NULL, NULL, NULL, 7),
(19958, NULL, 'MF_00682', NULL, NULL, 'Co-chaperone protein HscB [hscB].', NULL, 'HscB', NULL, NULL, NULL, 7),
(19959, NULL, 'MF_01302_B', NULL, NULL, '30S ribosomal protein S8 [rpsH].', NULL, 'Ribosomal_S8_B', NULL, NULL, NULL, 7),
(19960, NULL, 'MF_04017', NULL, NULL, 'Capsid vertex component 1 [CVC1].', NULL, 'HSV_CVC1', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19961, NULL, 'MF_00036_A', NULL, NULL, 'Alanine--tRNA ligase [alaS].', NULL, 'Ala_tRNA_synth_A', NULL, NULL, NULL, 7),
(19962, NULL, 'MF_01637', NULL, NULL, 'Fe/S biogenesis protein NfuA [nfuA].', NULL, 'Fe_S_biogen_NfuA', NULL, NULL, NULL, 7),
(19963, NULL, 'MF_00790', NULL, NULL, 'Lipase chaperone [lifO].', NULL, 'Lipase_chap', NULL, NULL, NULL, 7),
(19964, NULL, 'MF_02081', NULL, NULL, 'Peptidoglycan D,D-transpeptidase MrdA [mrdA].', NULL, 'MrdA_transpept', NULL, NULL, NULL, 7),
(19965, NULL, 'MF_01038', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [gpmI].', NULL, 'GpmI', NULL, NULL, NULL, 7),
(19966, NULL, 'MF_00293', NULL, NULL, 'Protein PsbN [psbN].', NULL, 'PSII_PsbN', NULL, NULL, NULL, 7),
(19967, NULL, 'MF_01431', NULL, NULL, 'Pyrimidine-specific ribonucleoside hydrolase RihA [rihA].', NULL, 'Pyrim_hydro_RihA', NULL, NULL, NULL, 7),
(19968, NULL, 'MF_00263', NULL, NULL, 'UPF0127 protein <locus_tag>.', NULL, 'UPF0127', NULL, NULL, NULL, 7),
(19969, NULL, 'MF_00200', NULL, NULL, 'RNA 3''-terminal phosphate cyclase [rtcA].', NULL, 'RTC', NULL, NULL, NULL, 7),
(19970, NULL, 'MF_00598', NULL, NULL, 'Protein Smg [smg].', NULL, 'Smg', NULL, NULL, NULL, 7),
(19971, NULL, 'MF_00810', NULL, NULL, '50S ribosomal protein L32e [rpl32e].', NULL, 'Ribosomal_L32e', NULL, NULL, NULL, 7),
(19972, NULL, 'MF_01013', NULL, NULL, 'Imidazole glycerol phosphate synthase subunit HisF [hisF].', NULL, 'HisF', NULL, NULL, NULL, 7),
(19973, NULL, 'MF_01635', NULL, NULL, '4-hydroxybenzoate octaprenyltransferase [ubiA].', NULL, 'UbiA', NULL, NULL, NULL, 7),
(19974, NULL, 'MF_01681', NULL, NULL, 'Enolase-phosphatase E1 [mtnC].', NULL, 'Salvage_MtnC', NULL, NULL, NULL, 7),
(19975, NULL, 'MF_00465', NULL, NULL, 'S-adenosylmethionine decarboxylase proenzyme [speD].', NULL, 'AdoMetDC_2', NULL, NULL, NULL, 7),
(19976, NULL, 'MF_03039', NULL, NULL, 'Cytosolic Fe-S cluster assembly factor NUBP2 [NUBP2].', NULL, 'NUBP2', NULL, NULL, NULL, 7),
(19977, NULL, 'MF_01125', NULL, NULL, 'Reverse gyrase [rgy].', NULL, 'Reverse_gyrase', NULL, NULL, NULL, 7),
(19978, NULL, 'MF_00564', NULL, NULL, 'Ribonuclease PH [rph].', NULL, 'RNase_PH', NULL, NULL, NULL, 7),
(19979, NULL, 'MF_01142', NULL, NULL, 'Antiholin-like protein LrgB [lrgB].', NULL, 'LrgB', NULL, NULL, NULL, 7),
(19980, NULL, 'MF_01225_B', NULL, NULL, 'GTP 3'',8-cyclase [moaA].', NULL, 'MoaA_B', NULL, NULL, NULL, 7),
(19981, NULL, 'MF_02222', NULL, NULL, 'Homocitrate synthase.', NULL, 'Homocitr_synth_fung_arch', NULL, NULL, NULL, 7),
(19982, NULL, 'MF_00469', NULL, NULL, 'tRNA uridine(34) hydroxylase [trhO].', NULL, 'TrhO', NULL, NULL, NULL, 7),
(19983, NULL, 'MF_04050', NULL, NULL, 'Hexon-interlacing protein [IX].', NULL, 'ADV_CAP9', NULL, NULL, NULL, 7),
(19984, NULL, 'MF_00577', NULL, NULL, 'Urocanate hydratase [hutU].', NULL, 'HutU', NULL, NULL, NULL, 7),
(19985, NULL, 'MF_01356', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit K, chloroplastic [ndhK].', NULL, 'NDH1_NuoB', NULL, NULL, NULL, 7),
(19986, NULL, 'MF_00298', NULL, NULL, 'RNA pyrophosphohydrolase [rppH].', NULL, 'Nudix_RppH', NULL, NULL, NULL, 7),
(19987, NULL, 'MF_03205', NULL, NULL, 'Elongation of very long chain fatty acids protein 5 [ELOVL5].', NULL, 'VLCF_elongase_5', NULL, NULL, NULL, 7),
(19988, NULL, 'MF_01679', NULL, NULL, '2,3-diketo-5-methylthiopentyl-1-phosphate enolase [mtnW].', NULL, 'Salvage_MtnW', NULL, NULL, NULL, 7),
(19989, NULL, 'MF_01354', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit O [ndhO].', NULL, 'NDH1_NDH1O', NULL, NULL, NULL, 7),
(19990, NULL, 'MF_00576', NULL, NULL, 'Gas vesicle structural protein [gvpA].', NULL, 'Gas_vesicle_A', NULL, NULL, NULL, 7),
(19991, NULL, 'MF_00570', NULL, NULL, 'Nicotinate phosphoribosyltransferase [pncB].', NULL, 'NAPRTase', NULL, NULL, NULL, 7),
(19992, NULL, 'MF_00513', NULL, NULL, 'HTH-type transcriptional regulator ArgP [argP].', NULL, 'HTH_type_ArgP', NULL, NULL, NULL, 7); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(19993, NULL, 'MF_00420', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase subunit PurL [purL].', NULL, 'PurL_2', NULL, NULL, NULL, 7),
(19994, NULL, 'MF_00040', NULL, NULL, 'Ribosome-recycling factor [frr].', NULL, 'RRF', NULL, NULL, NULL, 7),
(19995, NULL, 'MF_04071', NULL, NULL, 'Neuraminidase [NA].', NULL, 'INFV_NRAM', NULL, NULL, NULL, 7),
(19996, NULL, 'MF_03216', NULL, NULL, 'Phosphatidyl-N-methylethanolamine N-methyltransferase [PEMT].', NULL, 'PLMT', NULL, NULL, NULL, 7),
(19997, NULL, 'MF_00031', NULL, NULL, 'Holliday junction ATP-dependent DNA helicase RuvA [ruvA].', NULL, 'DNA_helic_RuvA', NULL, NULL, NULL, 7),
(19998, NULL, 'MF_00781', NULL, NULL, 'Heterocyst differentiation control protein [hetR].', NULL, 'HetR', NULL, NULL, NULL, 7),
(19999, NULL, 'MF_00609', NULL, NULL, 'Histidine decarboxylase [hdc].', NULL, 'Pyridoxal_decarbox', NULL, NULL, NULL, 7),
(20000, NULL, 'MF_01580', NULL, NULL, 'Cell division activator CedA [cedA].', NULL, 'CedA', NULL, NULL, NULL, 7),
(20001, NULL, 'MF_00505', NULL, NULL, 'Chaperone protein HtpG [htpG].', NULL, 'HSP90', NULL, NULL, NULL, 7),
(20002, NULL, 'MF_00832', NULL, NULL, 'Putative aminoacrylate hydrolase RutD [rutD].', NULL, 'RutD', NULL, NULL, NULL, 7),
(20003, NULL, 'MF_02014', NULL, NULL, 'Cell division suppressor protein YneA [yneA].', NULL, 'YneA', NULL, NULL, NULL, 7),
(20004, NULL, 'MF_01664', NULL, NULL, 'Heme A synthase [ctaA].', NULL, 'HemeA_synth_type1', NULL, NULL, NULL, 7),
(20005, NULL, 'MF_00628', NULL, NULL, 'Peptidyl-tRNA hydrolase [pth].', NULL, 'Pept_tRNA_hydro_arch', NULL, NULL, NULL, 7),
(20006, NULL, 'MF_03138', NULL, NULL, 'Translation factor GUF1 homolog, organellar chromatophore [lepA].', NULL, 'GUFP', NULL, NULL, NULL, 7),
(20007, NULL, 'MF_01690', NULL, NULL, 'Succinyl-diaminopimelate desuccinylase [dapE].', NULL, 'DapE', NULL, NULL, NULL, 7),
(20008, NULL, 'MF_01536', NULL, NULL, 'UPF0344 protein <locus_tag>.', NULL, 'UPF0344', NULL, NULL, NULL, 7),
(20009, NULL, 'MF_00631', NULL, NULL, 'Cell division protein CrgA [crgA].', NULL, 'CrgA', NULL, NULL, NULL, 7),
(20010, NULL, 'MF_00697', NULL, NULL, 'UPF0276 protein <locus_tag>.', NULL, 'UPF0276', NULL, NULL, NULL, 7),
(20011, NULL, 'MF_01648', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase subunit alpha [hcaE].', NULL, 'HcaE', NULL, NULL, NULL, 7),
(20012, NULL, 'MF_00654', NULL, NULL, 'Pyrroloquinoline-quinone synthase [pqqC].', NULL, 'PQQ_syn_PqqC', NULL, NULL, NULL, 7),
(20013, NULL, 'MF_02073', NULL, NULL, 'Putrescine transporter PotE [potE].', NULL, 'Putrescine_transp', NULL, NULL, NULL, 7),
(20014, NULL, 'MF_02092', NULL, NULL, 'Quinone-dependent D-lactate dehydrogenase [dld].', NULL, 'DLDH_Dld', NULL, NULL, NULL, 7),
(20015, NULL, 'MF_00142', NULL, NULL, 'Iron-sulfur cluster assembly protein CyaY [cyaY].', NULL, 'CyaY', NULL, NULL, NULL, 7),
(20016, NULL, 'MF_01640', NULL, NULL, 'D-erythrose-4-phosphate dehydrogenase [epd].', NULL, 'E4P_dehydrog', NULL, NULL, NULL, 7),
(20017, NULL, 'MF_01492', NULL, NULL, 'Ribonuclease J [rnj].', NULL, 'RNase_J_arch', NULL, NULL, NULL, 7),
(20018, NULL, 'MF_00529', NULL, NULL, 'Nitrogenase-stabilizing/protective protein NifW [nifW].', NULL, 'NifW', NULL, NULL, NULL, 7),
(20019, NULL, 'MF_00135', NULL, NULL, 'N-(5''-phosphoribosyl)anthranilate isomerase [trpF].', NULL, 'PRAI', NULL, NULL, NULL, 7),
(20020, NULL, 'MF_00579', NULL, NULL, 'Formylmethanofuran--tetrahydromethanopterin formyltransferase [ftr].', NULL, 'FTR', NULL, NULL, NULL, 7),
(20021, NULL, 'MF_00963', NULL, NULL, 'RNA polymerase sigma factor RpoD [rpoD].', NULL, 'Sigma70_RpoD_SigA', NULL, NULL, NULL, 7),
(20022, NULL, 'MF_02223', NULL, NULL, 'Pantoate kinase.', NULL, 'Pantoate_kinase', NULL, NULL, NULL, 7),
(20023, NULL, 'MF_00100_A', NULL, NULL, 'Translation initiation factor IF-2 [infB].', NULL, 'IF_2_A', NULL, NULL, NULL, 7),
(20024, NULL, 'MF_01249', NULL, NULL, 'HPr kinase/phosphorylase [hprK].', NULL, 'HPr_kinase', NULL, NULL, NULL, 7);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20025, NULL, 'MF_04125', NULL, NULL, 'Outer capsid protein VP4.', NULL, 'Rota_VP4', NULL, NULL, NULL, 7),
(20026, NULL, 'MF_01204', NULL, NULL, 'Probable malonic semialdehyde reductase RutE [rutE].', NULL, 'Oxidoreductase_RutE_HadB', NULL, NULL, NULL, 7),
(20027, NULL, 'MF_00442', NULL, NULL, 'ATP-dependent DNA helicase Hel308 [hel308].', NULL, 'Helicase_Hel308', NULL, NULL, NULL, 7),
(20028, NULL, 'MF_00724', NULL, NULL, 'Flagellar hook-basal body complex protein FliE [fliE].', NULL, 'FliE', NULL, NULL, NULL, 7),
(20029, NULL, 'MF_01935', NULL, NULL, 'Isochorismate synthase MenF [menF].', NULL, 'MenF', NULL, NULL, NULL, 7),
(20030, NULL, 'MF_00321', NULL, NULL, 'Probable GTP-binding protein EngB [engB].', NULL, 'GTPase_EngB', NULL, NULL, NULL, 7),
(20031, NULL, 'MF_01955', NULL, NULL, 'Urease subunit alpha [ureA].', NULL, 'Urease_beta_gamma', NULL, NULL, NULL, 7),
(20032, NULL, 'MF_00441', NULL, NULL, 'Photosystem II reaction center protein K [psbK].', NULL, 'PSII_PsbK', NULL, NULL, NULL, 7),
(20033, NULL, 'MF_00447', NULL, NULL, 'Photosystem I reaction center subunit XI [psaL].', NULL, 'PSI_PsaL', NULL, NULL, NULL, 7),
(20034, NULL, 'MF_01602', NULL, NULL, 'Lipoate-protein ligase A [lplA].', NULL, 'LplA', NULL, NULL, NULL, 7),
(20035, NULL, 'MF_00022', NULL, NULL, 'Glutamate--tRNA ligase [gltX].', NULL, 'Glu_tRNA_synth_type1', NULL, NULL, NULL, 7),
(20036, NULL, 'MF_00794', NULL, NULL, 'Putative antitoxin <locus_tag>.', NULL, 'UPF0330', NULL, NULL, NULL, 7),
(20037, NULL, 'MF_01971', NULL, NULL, 'Kynurenine 3-monooxygenase [kmo].', NULL, 'Kynurenine_monooxygenase', NULL, NULL, NULL, 7),
(20038, NULL, 'MF_01002', NULL, NULL, 'TDP-N-acetylfucosamine:lipid II N-acetylfucosaminyltransferase [wecF].', NULL, 'WecF_RffT', NULL, NULL, NULL, 7),
(20039, NULL, 'MF_03025', NULL, NULL, 'Katanin p60 ATPase-containing subunit A-like 2 [KATNAL2].', NULL, 'Katanin_p60_AL2', NULL, NULL, NULL, 7),
(20040, NULL, 'MF_02028', NULL, NULL, 'UDP-N-acetylglucosamine 2-epimerase [wecB].', NULL, 'WecB_RffE', NULL, NULL, NULL, 7),
(20041, NULL, 'MF_01086', NULL, NULL, 'UPF0284 protein <locus_tag>.', NULL, 'UPF0284', NULL, NULL, NULL, 7),
(20042, NULL, 'MF_01341', NULL, NULL, '50S ribosomal protein L15 [rplO].', NULL, 'Ribosomal_L15', NULL, NULL, NULL, 7),
(20043, NULL, 'MF_00377', NULL, NULL, 'Chromosomal replication initiator protein DnaA [dnaA].', NULL, 'DnaA_bact', NULL, NULL, NULL, 7),
(20044, NULL, 'MF_00072', NULL, NULL, 'Peptide chain release factor 3 [prfC].', NULL, 'Rel_fac_3', NULL, NULL, NULL, 7),
(20045, NULL, 'MF_01600', NULL, NULL, 'UPF0182 protein <locus_tag>.', NULL, 'UPF0182', NULL, NULL, NULL, 7),
(20046, NULL, 'MF_02064', NULL, NULL, 'RNA polymerase sigma factor SigI [sigI].', NULL, 'Sigma70_SigI', NULL, NULL, NULL, 7),
(20047, NULL, 'MF_04080', NULL, NULL, 'Protein Vpr [vpr].', NULL, 'HIV_VPR', NULL, NULL, NULL, 7),
(20048, NULL, 'MF_03103', NULL, NULL, 'Maintenance of mitochondrial morphology protein 1 [MMM1].', NULL, 'Mmm1', NULL, NULL, NULL, 7),
(20049, NULL, 'MF_01870', NULL, NULL, 'Probable 4-deoxy-4-formamido-L-arabinose-phosphoundecaprenol deformylase ArnD [arnD].', NULL, 'ArnD', NULL, NULL, NULL, 7),
(20050, NULL, 'MF_01023', NULL, NULL, 'Histidinol-phosphate aminotransferase [hisC].', NULL, 'HisC_aminotrans_2', NULL, NULL, NULL, 7),
(20051, NULL, 'MF_01543', NULL, NULL, 'Formate--tetrahydrofolate ligase [fhs].', NULL, 'FTHFS', NULL, NULL, NULL, 7),
(20052, NULL, 'MF_02108', NULL, NULL, 'HTH-type transcriptional regulator MurR [murR].', NULL, 'HTH_type_MurR', NULL, NULL, NULL, 7),
(20053, NULL, 'MF_00088', NULL, NULL, 'UPF0109 protein <locus_tag>.', NULL, 'UPF0109', NULL, NULL, NULL, 7),
(20054, NULL, 'MF_01592', NULL, NULL, 'Uncharacterized Nudix hydrolase NudL [nudL].', NULL, 'Nudix_NudL', NULL, NULL, NULL, 7),
(20055, NULL, 'MF_01852', NULL, NULL, 'Threonylcarbamoyl-AMP synthase [tsaC].', NULL, 'TsaC', NULL, NULL, NULL, 7),
(20056, NULL, 'MF_01605', NULL, NULL, '6-phosphogluconolactonase [pgl].', NULL, '6P_gluconolactonase', NULL, NULL, NULL, 7); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20057, NULL, 'MF_00294', NULL, NULL, '50S ribosomal protein L33 [rpmG].', NULL, 'Ribosomal_L33', NULL, NULL, NULL, 7),
(20058, NULL, 'MF_04034', NULL, NULL, 'Envelope glycoprotein L [gL].', NULL, 'HSV_GL_alphagamma', NULL, NULL, NULL, 7),
(20059, NULL, 'MF_00531', NULL, NULL, '30S ribosomal protein S19 [rpsS].', NULL, 'Ribosomal_S19', NULL, NULL, NULL, 7),
(20060, NULL, 'MF_00429', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit E [nqrE].', NULL, 'NqrE', NULL, NULL, NULL, 7),
(20061, NULL, 'MF_00126', NULL, NULL, 'Glutamine--tRNA ligase [glnS].', NULL, 'Gln_tRNA_synth', NULL, NULL, NULL, 7),
(20062, NULL, 'MF_00997', NULL, NULL, 'Beta-barrel assembly-enhancing protease [bepA].', NULL, 'Protease_BepA', NULL, NULL, NULL, 7),
(20063, NULL, 'MF_03120', NULL, NULL, 'Lon protease homolog, mitochondrial [LONP1].', NULL, 'lonm_euk', NULL, NULL, NULL, 7),
(20064, NULL, 'MF_00132', NULL, NULL, 'Type 2 DNA topoisomerase 6 subunit A [top6A].', NULL, 'Top6A', NULL, NULL, NULL, 7),
(20065, NULL, 'MF_00230', NULL, NULL, 'Nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase [cobT].', NULL, 'CobT', NULL, NULL, NULL, 7),
(20066, NULL, 'MF_02034', NULL, NULL, 'Glutamate--cysteine ligase EgtA [egtA].', NULL, 'EgtA', NULL, NULL, NULL, 7),
(20067, NULL, 'MF_02119', NULL, NULL, 'Lipoyl-[GcvH]:protein N-lipoyltransferase [lipL].', NULL, 'LipL', NULL, NULL, NULL, 7),
(20068, NULL, 'MF_00853', NULL, NULL, 'Protoporphyrinogen IX dehydrogenase [quinone] [hemG].', NULL, 'HemG', NULL, NULL, NULL, 7),
(20069, NULL, 'MF_01031', NULL, NULL, '3-isopropylmalate dehydratase small subunit [leuD].', NULL, 'LeuD_type1', NULL, NULL, NULL, 7),
(20070, NULL, 'MF_01092', NULL, NULL, 'Cell division protein ZapD [zapD].', NULL, 'ZapD', NULL, NULL, NULL, 7),
(20071, NULL, 'MF_00173', NULL, NULL, 'Arginine repressor [argR].', NULL, 'Arg_repressor', NULL, NULL, NULL, 7),
(20072, NULL, 'MF_00108', NULL, NULL, '2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase [ispD].', NULL, 'IspD', NULL, NULL, NULL, 7),
(20073, NULL, 'MF_01411', NULL, NULL, 'LPS-assembly protein LptD [lptD].', NULL, 'LPS_assembly_LptD', NULL, NULL, NULL, 7),
(20074, NULL, 'MF_04074', NULL, NULL, 'Protein X [X].', NULL, 'HBV_X', NULL, NULL, NULL, 7),
(20075, NULL, 'MF_03116', NULL, NULL, 'Methylthioribulose-1-phosphate dehydratase [APIP].', NULL, 'Salvage_MtnB_euk', NULL, NULL, NULL, 7),
(20076, NULL, 'MF_00913', NULL, NULL, 'Probable peptidoglycan glycosyltransferase FtsW [ftsW].', NULL, 'PGT_FtsW_proteobact', NULL, NULL, NULL, 7),
(20077, NULL, 'MF_01184', NULL, NULL, 'Xanthine phosphoribosyltransferase [xpt].', NULL, 'XPRTase', NULL, NULL, NULL, 7),
(20078, NULL, 'MF_02088', NULL, NULL, 'Probable queuosine precursor transporter.', NULL, 'Q_prec_transport', NULL, NULL, NULL, 7),
(20079, NULL, 'MF_03183', NULL, NULL, 'Endonuclease III-like protein 1 [NTHL1].', NULL, 'Endonuclease_III_Nth', NULL, NULL, NULL, 7),
(20080, NULL, 'MF_01214', NULL, NULL, 'PyrE-like protein.', NULL, 'PyrE_like', NULL, NULL, NULL, 7),
(20081, NULL, 'MF_01834', NULL, NULL, 'tRNA-splicing endonuclease [endA].', NULL, 'EndA_long', NULL, NULL, NULL, 7),
(20082, NULL, 'MF_00116', NULL, NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [dut].', NULL, 'dUTPase_bact', NULL, NULL, NULL, 7),
(20083, NULL, 'MF_00927', NULL, NULL, 'Cell wall synthesis protein CwsA [cwsA].', NULL, 'CwsA', NULL, NULL, NULL, 7),
(20084, NULL, 'MF_01957', NULL, NULL, 'Serine/threonine-protein kinase PknD [pknD].', NULL, 'PknD_kinase', NULL, NULL, NULL, 7),
(20085, NULL, 'MF_01818', NULL, NULL, 'Ribonuclease BN [rbn].', NULL, 'RNase_Z_BN', NULL, NULL, NULL, 7),
(20086, NULL, 'MF_01653', NULL, NULL, '2,3-dihydroxyphenylpropionate/2,3-dihydroxicinnamic acid 1,2-dioxygenase [mhpB].', NULL, 'MhpB', NULL, NULL, NULL, 7),
(20087, NULL, 'MF_00241', NULL, NULL, '8-oxoguanine DNA glycosylase/AP lyase [ogg].', NULL, 'Ogg', NULL, NULL, NULL, 7);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20088, NULL, 'MF_00422', NULL, NULL, 'Protein translocase subunit SecE [secE].', NULL, 'SecE', NULL, NULL, NULL, 7),
(20089, NULL, 'MF_01083', NULL, NULL, 'Glutarate 2-hydroxylase [glaH].', NULL, 'glutarate_hydroxylase', NULL, NULL, NULL, 7),
(20090, NULL, 'MF_00497_B', NULL, NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, 'G1P_dehydrogenase_B', NULL, NULL, NULL, 7),
(20091, NULL, 'MF_00318', NULL, NULL, 'Enolase [eno].', NULL, 'Enolase', NULL, NULL, NULL, 7),
(20092, NULL, 'MF_01147', NULL, NULL, 'Phosphatidylglycerol--prolipoprotein diacylglyceryl transferase [lgt].', NULL, 'Lgt', NULL, NULL, NULL, 7),
(20093, NULL, 'MF_01228', NULL, NULL, 'Methionine--tRNA ligase [metG].', NULL, 'Met_tRNA_synth_type2', NULL, NULL, NULL, 7),
(20094, NULL, 'MF_00712', NULL, NULL, 'Probable glycine dehydrogenase (decarboxylating) subunit 1 [gcvPA].', NULL, 'GcvPA', NULL, NULL, NULL, 7),
(20095, NULL, 'MF_01659', NULL, NULL, '2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylate synthase [menD].', NULL, 'MenD', NULL, NULL, NULL, 7),
(20096, NULL, 'MF_03023', NULL, NULL, 'Meiotic spindle formation protein mei-1 [mei-1].', NULL, 'Katanin_p60_A1', NULL, NULL, NULL, 7),
(20097, NULL, 'MF_02106', NULL, NULL, 'Prokaryotic ubiquitin-like protein Pup [pup].', NULL, 'Pup', NULL, NULL, NULL, 7),
(20098, NULL, 'MF_01340', NULL, NULL, 'UPF0353 protein <locus_tag>.', NULL, 'UPF0353', NULL, NULL, NULL, 7),
(20099, NULL, 'MF_01044', NULL, NULL, 'Protein TsgA [tsgA].', NULL, 'MFS_TsgA', NULL, NULL, NULL, 7),
(20100, NULL, 'MF_01462', NULL, NULL, 'Cobalt transport protein CbiM [cbiM].', NULL, 'CbiM', NULL, NULL, NULL, 7),
(20101, NULL, 'MF_00052_A', NULL, NULL, 'Ribonuclease HII [rnhB].', NULL, 'RNase_HII_A', NULL, NULL, NULL, 7),
(20102, NULL, 'MF_00161', NULL, NULL, 'Lipoprotein signal peptidase [lspA].', NULL, 'LspA', NULL, NULL, NULL, 7),
(20103, NULL, 'MF_00360', NULL, NULL, '30S ribosomal protein S6 [rpsF].', NULL, 'Ribosomal_S6', NULL, NULL, NULL, 7),
(20104, NULL, 'MF_00820', NULL, NULL, '2,3-diketo-L-gulonate reductase [dlgD].', NULL, 'Diketo_gul_reduc', NULL, NULL, NULL, 7),
(20105, NULL, 'MF_02099', NULL, NULL, 'Hydrogenase maturation factor HybF [hybF].', NULL, 'HybF_subfam', NULL, NULL, NULL, 7),
(20106, NULL, 'MF_00937', NULL, NULL, 'DNA topoisomerase 4 subunit A [parC].', NULL, 'ParC_type2', NULL, NULL, NULL, 7),
(20107, NULL, 'MF_01158', NULL, NULL, 'DnaA regulatory inactivator Hda [hda].', NULL, 'Hda', NULL, NULL, NULL, 7),
(20108, NULL, 'MF_01322', NULL, NULL, 'DNA-directed RNA polymerase subunit beta'' [rpoC].', NULL, 'RNApol_bact_RpoC', NULL, NULL, NULL, 7),
(20109, NULL, 'MF_02097', NULL, NULL, 'Carnitine monooxygenase oxygenase subunit.', NULL, 'Carnitine_monoox_A', NULL, NULL, NULL, 7),
(20110, NULL, 'MF_04130', NULL, NULL, 'Outer capsid glycoprotein VP7.', NULL, 'Rota_VP7', NULL, NULL, NULL, 7),
(20111, NULL, 'MF_00168', NULL, NULL, 'Queuine tRNA-ribosyltransferase [tgt].', NULL, 'Q_tRNA_Tgt', NULL, NULL, NULL, 7),
(20112, NULL, 'MF_01350', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 1, chloroplastic [ndhA].', NULL, 'NDH1_NuoH', NULL, NULL, NULL, 7),
(20113, NULL, 'MF_00061', NULL, NULL, 'Putative 4-diphosphocytidyl-2-C-methyl-D-erythritol kinase [ispE].', NULL, 'IspE', NULL, NULL, NULL, 7),
(20114, NULL, 'MF_00961', NULL, NULL, 'RNA polymerase sigma factor RpoH [rpoH].', NULL, 'Sigma70_RpoH', NULL, NULL, NULL, 7),
(20115, NULL, 'MF_01211', NULL, NULL, 'Dihydroorotate dehydrogenase B (NAD(+)), electron transfer subunit [pyrK].', NULL, 'DHODB_Fe_S_bind', NULL, NULL, NULL, 7),
(20116, NULL, 'MF_02113_B', NULL, NULL, 'Proteasome subunit beta [prcB].', NULL, 'Proteasome_B_B', NULL, NULL, NULL, 7),
(20117, NULL, 'MF_03212', NULL, NULL, 'NADPH--cytochrome P450 reductase [POR].', NULL, 'NCPR', NULL, NULL, NULL, 7),
(20118, NULL, 'MF_00792', NULL, NULL, '15,16-dihydrobiliverdin:ferredoxin oxidoreductase [pebA].', NULL, 'PebA', NULL, NULL, NULL, 7);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20119, NULL, 'MF_02013', NULL, NULL, 'Cell division protein ZapA [zapA].', NULL, 'ZapA_type2', NULL, NULL, NULL, 7),
(20120, NULL, 'MF_00266', NULL, NULL, 'tRNA(Phe) 7-((3-amino-3-carboxypropyl)-4-demethylwyosine(37)-N(4))-methyltransferase [taw3].', NULL, 'TYW3_archaea', NULL, NULL, NULL, 7),
(20121, NULL, 'MF_00343', NULL, NULL, 'UPF0148 protein <locus_tag>.', NULL, 'UPF0148', NULL, NULL, NULL, 7),
(20122, NULL, 'MF_01263', NULL, NULL, 'CCA-adding enzyme [cca].', NULL, 'CCA_bact_type3', NULL, NULL, NULL, 7),
(20123, NULL, 'MF_00346', NULL, NULL, 'UPF0149 protein YgfB [ygfB].', NULL, 'UPF0149', NULL, NULL, NULL, 7),
(20124, NULL, 'MF_01406', NULL, NULL, 'UPF0282 protein <locus_tag>.', NULL, 'UPF0282', NULL, NULL, NULL, 7),
(20125, NULL, 'MF_00522', NULL, NULL, 'Photosystem I reaction center subunit IX [psaJ].', NULL, 'PSI_PsaJ', NULL, NULL, NULL, 7),
(20126, NULL, 'MF_01203', NULL, NULL, 'Voltage-gated ClC-type chloride channel ClcB [clcB].', NULL, 'CLC_ClcB', NULL, NULL, NULL, 7),
(20127, NULL, 'MF_01241', NULL, NULL, 'Glucosamine-6-phosphate deaminase [nagB].', NULL, 'GlcN6P_deamin', NULL, NULL, NULL, 7),
(20128, NULL, 'MF_00666', NULL, NULL, 'Small, acid-soluble spore protein P [sspP].', NULL, 'SspP', NULL, NULL, NULL, 7),
(20129, NULL, 'MF_01332', NULL, NULL, 'Secretion monitor [secM].', NULL, 'SecM', NULL, NULL, NULL, 7),
(20130, NULL, 'MF_00699', NULL, NULL, 'Probable Brix domain-containing ribosomal biogenesis protein.', NULL, 'BriX', NULL, NULL, NULL, 7),
(20131, NULL, 'MF_01015', NULL, NULL, 'Putative transport protein YbjL [ybjL].', NULL, 'YbjL', NULL, NULL, NULL, 7),
(20132, NULL, 'MF_00182', NULL, NULL, 'Methionyl-tRNA formyltransferase [fmt].', NULL, 'Formyl_trans', NULL, NULL, NULL, 7),
(20133, NULL, 'MF_00042', NULL, NULL, 'Ribonuclease H [rnhA].', NULL, 'RNase_H', NULL, NULL, NULL, 7),
(20134, NULL, 'MF_01166', NULL, NULL, 'Bifunctional polymyxin resistance protein ArnA [arnA].', NULL, 'ArnA', NULL, NULL, NULL, 7),
(20135, NULL, 'MF_01183', NULL, NULL, 'Chaperone SurA [surA].', NULL, 'Chaperone_SurA', NULL, NULL, NULL, 7),
(20136, NULL, 'MF_01185', NULL, NULL, 'Flagellar assembly factor FliW [fliW].', NULL, 'FliW', NULL, NULL, NULL, 7),
(20137, NULL, 'MF_01076', NULL, NULL, 'UPF0273 protein <locus_tag>.', NULL, 'UPF0273', NULL, NULL, NULL, 7),
(20138, NULL, 'MF_00479', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit G [rsxG].', NULL, 'RsxG_RnfG', NULL, NULL, NULL, 7),
(20139, NULL, 'MF_00482', NULL, NULL, 'Photosystem I P700 chlorophyll a apoprotein A2 [psaB].', NULL, 'PSI_PsaB', NULL, NULL, NULL, 7),
(20140, NULL, 'MF_03163', NULL, NULL, 'AdoMet-dependent rRNA methyltransferase <gene_name> [SPB1].', NULL, 'RNA_methyltr_E_SPB1', NULL, NULL, NULL, 7),
(20141, NULL, 'MF_01337_B', NULL, NULL, '50S ribosomal protein L18 [rplR].', NULL, 'Ribosomal_L18_B', NULL, NULL, NULL, 7),
(20142, NULL, 'MF_04128', NULL, NULL, 'Protein VP3.', NULL, 'Rota_VP3_A', NULL, NULL, NULL, 7),
(20143, NULL, 'MF_00903', NULL, NULL, 'Probable Sec-independent protein translocase protein TatE [tatE].', NULL, 'TatE', NULL, NULL, NULL, 7),
(20144, NULL, 'MF_01819', NULL, NULL, 'Transcriptional regulator SlyA [slyA].', NULL, 'HTH_type_SlyA', NULL, NULL, NULL, 7),
(20145, NULL, 'MF_00226_A', NULL, NULL, 'Putative competence-damage inducible protein [cinA].', NULL, 'CinA_A', NULL, NULL, NULL, 7),
(20146, NULL, 'MF_01519', NULL, NULL, 'UPF0325 protein YaeH [yaeH].', NULL, 'UPF0325', NULL, NULL, NULL, 7),
(20147, NULL, 'MF_00133', NULL, NULL, 'Tryptophan synthase beta chain [trpB].', NULL, 'Trp_synth_beta', NULL, NULL, NULL, 7),
(20148, NULL, 'MF_00322', NULL, NULL, 'Type 2 DNA topoisomerase 6 subunit B [top6B].', NULL, 'Top6B', NULL, NULL, NULL, 7),
(20149, NULL, 'MF_01311', NULL, NULL, 'Protein-disulfide oxidoreductase DsbI [dsbI].', NULL, 'DsbI', NULL, NULL, NULL, 7),
(20150, NULL, 'MF_01407', NULL, NULL, 'ORC1-type DNA replication protein.', NULL, 'ORC1_type_DNA_replic_protein', NULL, NULL, NULL, 7);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20151, NULL, 'MF_03052', NULL, NULL, 'Molybdopterin synthase catalytic subunit [cnxH].', NULL, 'MOC2B', NULL, NULL, NULL, 7),
(20152, NULL, 'MF_04096', NULL, NULL, 'Nucleoprotein [N].', NULL, 'BETA_CORONA_NCAP', NULL, NULL, NULL, 7),
(20153, NULL, 'MF_00347', NULL, NULL, 'Polyphosphate kinase [ppk].', NULL, 'Polyphosphate_kinase', NULL, NULL, NULL, 7),
(20154, NULL, 'MF_01074', NULL, NULL, 'Pyridinium-3,5-bisthiocarboxylic acid mononucleotide nickel insertion protein [larC].', NULL, 'LarC', NULL, NULL, NULL, 7),
(20155, NULL, 'MF_01618', NULL, NULL, '3-ketoacyl-CoA thiolase [fadI].', NULL, 'FadI', NULL, NULL, NULL, 7),
(20156, NULL, 'MF_00032', NULL, NULL, 'Translation initiation factor 6 [eif6].', NULL, 'eIF_6', NULL, NULL, NULL, 7),
(20157, NULL, 'MF_02005', NULL, NULL, 'Valine--tRNA ligase [valS].', NULL, 'Val_tRNA_synth_type2', NULL, NULL, NULL, 7),
(20158, NULL, 'MF_01556', NULL, NULL, 'Galactose-6-phosphate isomerase subunit LacB [lacB].', NULL, 'LacB', NULL, NULL, NULL, 7),
(20159, NULL, 'MF_02242', NULL, NULL, 'Archaetidylinositol phosphate synthase.', NULL, 'AIP_synthase', NULL, NULL, NULL, 7),
(20160, NULL, 'MF_00334', NULL, NULL, 'Homogentisate 1,2-dioxygenase [hmgA].', NULL, 'Homogentis_dioxygen', NULL, NULL, NULL, 7),
(20161, NULL, 'MF_00468', NULL, NULL, 'Sulfate transporter CysZ [cysZ].', NULL, 'CysZ', NULL, NULL, NULL, 7),
(20162, NULL, 'MF_00969', NULL, NULL, 'Transcription-repair-coupling factor [mfd].', NULL, 'TRCF', NULL, NULL, NULL, 7),
(20163, NULL, 'MF_01939', NULL, NULL, '2-methylisocitrate lyase [prpB].', NULL, 'PrpB', NULL, NULL, NULL, 7),
(20164, NULL, 'MF_04008', NULL, NULL, 'Capsid scaffolding protein.', NULL, 'HSV_SCAF', NULL, NULL, NULL, 7),
(20165, NULL, 'MF_00180', NULL, NULL, '3,4-dihydroxy-2-butanone 4-phosphate synthase [ribB].', NULL, 'RibB', NULL, NULL, NULL, 7),
(20166, NULL, 'MF_01542', NULL, NULL, 'UPF0349 protein <locus_tag>.', NULL, 'UPF0349', NULL, NULL, NULL, 7),
(20167, NULL, 'MF_00458', NULL, NULL, 'Photosystem I P700 chlorophyll a apoprotein A1 [psaA].', NULL, 'PSI_PsaA', NULL, NULL, NULL, 7),
(20168, NULL, 'MF_01026', NULL, NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, 'LeuC_type1', NULL, NULL, NULL, 7),
(20169, NULL, 'MF_00257', NULL, NULL, 'Putative snRNP Sm-like protein.', NULL, 'Lsm_RuxX', NULL, NULL, NULL, 7),
(20170, NULL, 'MF_00778', NULL, NULL, 'Probable subtilase-type protease inhibitor [sti].', NULL, 'SSI', NULL, NULL, NULL, 7),
(20171, NULL, 'MF_00553', NULL, NULL, 'Proteasome-activating nucleotidase [pan].', NULL, 'PAN', NULL, NULL, NULL, 7),
(20172, NULL, 'MF_00966', NULL, NULL, 'Glucose-6-phosphate 1-dehydrogenase [zwf].', NULL, 'G6PD', NULL, NULL, NULL, 7),
(20173, NULL, 'MF_01680', NULL, NULL, '2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase [mtnX].', NULL, 'Salvage_MtnX', NULL, NULL, NULL, 7),
(20174, NULL, 'MF_01590', NULL, NULL, 'tRNA U34 carboxymethyltransferase [cmoB].', NULL, 'tRNA_carboxymethyltr_CmoB', NULL, NULL, NULL, 7),
(20175, NULL, 'MF_01121', NULL, NULL, 'NAD-dependent protein deacylase [cobB].', NULL, 'Sirtuin_ClassIII', NULL, NULL, NULL, 7),
(20176, NULL, 'MF_00704', NULL, NULL, 'Probable aspartoacylase.', NULL, 'Aspartoacylase', NULL, NULL, NULL, 7),
(20177, NULL, 'MF_00797', NULL, NULL, 'UPF0335 protein <locus_tag>.', NULL, 'UPF0335', NULL, NULL, NULL, 7),
(20178, NULL, 'MF_04060', NULL, NULL, 'Shutoff protein [L4].', NULL, 'ADV_SHUT', NULL, NULL, NULL, 7),
(20179, NULL, 'MF_01075', NULL, NULL, 'K(+)/H(+) antiporter NhaP2 [nhaP2].', NULL, 'NhaP2', NULL, NULL, NULL, 7),
(20180, NULL, 'MF_03054', NULL, NULL, 'Cytoplasmic tRNA 2-thiolation protein 2 [CTU2].', NULL, 'CTU2', NULL, NULL, NULL, 7),
(20181, NULL, 'MF_02205', NULL, NULL, 'ATP-dependent DNA helicase DinG [dinG].', NULL, 'DinG_proteobact', NULL, NULL, NULL, 7),
(20182, NULL, 'MF_00634', NULL, NULL, 'UPF0235 protein YggU [yggU].', NULL, 'UPF0235', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20183, NULL, 'MF_01155', NULL, NULL, 'Chaperone modulatory protein CbpM [cbpM].', NULL, 'CbpM', NULL, NULL, NULL, 7),
(20184, NULL, 'MF_01643', NULL, NULL, 'Formate-dependent phosphoribosylglycinamide formyltransferase [purT].', NULL, 'PurT', NULL, NULL, NULL, 7),
(20185, NULL, 'MF_02130', NULL, NULL, 'Dihydroneopterin aldolase [mptD].', NULL, 'DHNA_arch', NULL, NULL, NULL, 7),
(20186, NULL, 'MF_00943', NULL, NULL, 'Maleate isomerase [maiA].', NULL, 'Maleate_isomerase', NULL, NULL, NULL, 7),
(20187, NULL, 'MF_00440', NULL, NULL, 'Transcriptional repressor NrdR [nrdR].', NULL, 'NrdR', NULL, NULL, NULL, 7),
(20188, NULL, 'MF_04038', NULL, NULL, 'Cytoplasmic envelopment protein 1.', NULL, 'HSV_CEP1', NULL, NULL, NULL, 7),
(20189, NULL, 'MF_01028', NULL, NULL, 'Putative (R)-citramalate synthase CimA [cimA].', NULL, 'CimA', NULL, NULL, NULL, 7),
(20190, NULL, 'MF_02043', NULL, NULL, 'tRNA-dihydrouridine(16) synthase [dusC].', NULL, 'DusC_subfam', NULL, NULL, NULL, 7),
(20191, NULL, 'MF_03104', NULL, NULL, 'Mitochondrial distribution and morphology protein 12 [MDM12].', NULL, 'Mdm12', NULL, NULL, NULL, 7),
(20192, NULL, 'MF_00270', NULL, NULL, '30S ribosomal protein S18 [rpsR].', NULL, 'Ribosomal_S18', NULL, NULL, NULL, 7),
(20193, NULL, 'MF_00691', NULL, NULL, '5-oxoprolinase subunit A [pxpA].', NULL, 'PxpA', NULL, NULL, NULL, 7),
(20194, NULL, 'MF_00354', NULL, NULL, 'Isopentenyl-diphosphate delta-isomerase [fni].', NULL, 'Idi_2', NULL, NULL, NULL, 7),
(20195, NULL, 'MF_00773', NULL, NULL, '50S ribosomal protein L24e [rpl24e].', NULL, 'Ribosomal_L24e', NULL, NULL, NULL, 7),
(20196, NULL, 'MF_01262', NULL, NULL, 'CCA-adding enzyme [cca].', NULL, 'CCA_bact_type2', NULL, NULL, NULL, 7),
(20197, NULL, 'MF_00657', NULL, NULL, 'PKHD-type hydroxylase YbiX [ybiX].', NULL, 'Hydroxyl_YbiX', NULL, NULL, NULL, 7),
(20198, NULL, 'MF_00250', NULL, NULL, 'DNA-directed RNA polymerase subunit N [rpoN].', NULL, 'RNApol_arch_N', NULL, NULL, NULL, 7),
(20199, NULL, 'MF_00310', NULL, NULL, 'V-type ATP synthase beta chain [atpB].', NULL, 'ATP_synth_B_arch', NULL, NULL, NULL, 7),
(20200, NULL, 'MF_02093', NULL, NULL, 'Probable beta-carotene 15,15''-dioxygenase.', NULL, 'Beta_carotene_diox', NULL, NULL, NULL, 7),
(20201, NULL, 'MF_01683', NULL, NULL, 'Methylthioribose kinase [mtnK].', NULL, 'Salvage_MtnK', NULL, NULL, NULL, 7),
(20202, NULL, 'MF_00130', NULL, NULL, 'Holliday junction resolvase RecU [recU].', NULL, 'RecU', NULL, NULL, NULL, 7),
(20203, NULL, 'MF_01099', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit F [mtrF].', NULL, 'MtrF', NULL, NULL, NULL, 7),
(20204, NULL, 'MF_02010', NULL, NULL, 'Anti-adapter protein IraD [iraD].', NULL, 'IraD', NULL, NULL, NULL, 7),
(20205, NULL, 'MF_00071', NULL, NULL, 'Elongation factor 4 [lepA].', NULL, 'LepA', NULL, NULL, NULL, 7),
(20206, NULL, 'MF_01551', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase M [rlmM].', NULL, '23SrRNA_methyltr_M', NULL, NULL, NULL, 7),
(20207, NULL, 'MF_01489', NULL, NULL, 'Putative DNA helicase Rad25 [rad25].', NULL, 'Helicase_Rad25_arch', NULL, NULL, NULL, 7),
(20208, NULL, 'MF_00829', NULL, NULL, 'UPF0435 protein <locus_tag>.', NULL, 'UPF0435', NULL, NULL, NULL, 7),
(20209, NULL, 'MF_00793', NULL, NULL, 'Phycoerythrobilin:ferredoxin oxidoreductase [pebB].', NULL, 'PebB', NULL, NULL, NULL, 7),
(20210, NULL, 'MF_02201', NULL, NULL, 'Ferredoxin-type protein NapF [napF].', NULL, 'NapF', NULL, NULL, NULL, 7),
(20211, NULL, 'MF_00514', NULL, NULL, '50S ribosomal protein L35 [rpmI].', NULL, 'Ribosomal_L35', NULL, NULL, NULL, 7),
(20212, NULL, 'MF_03070', NULL, NULL, 'Scavenger receptor class A member 5 [SCARA5].', NULL, 'SCARA5', NULL, NULL, NULL, 7),
(20213, NULL, 'MF_01968', NULL, NULL, 'NAD-dependent protein deacetylase [cobB].', NULL, 'Sirtuin_ClassU', NULL, NULL, NULL, 7),
(20214, NULL, 'MF_01138', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit beta [cdhC].', NULL, 'CdhC', NULL, NULL, NULL, 7);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20215, NULL, 'MF_03106', NULL, NULL, 'Sulfate adenylyltransferase [MET3].', NULL, 'Sulf_adenylyltr_euk', NULL, NULL, NULL, 7),
(20216, NULL, 'MF_00840', NULL, NULL, 'Diadenylate cyclase [dacZ].', NULL, 'DacZ', NULL, NULL, NULL, 7),
(20217, NULL, 'MF_00282', NULL, NULL, 'Phenylalanine--tRNA ligase alpha subunit [pheS].', NULL, 'Phe_tRNA_synth_alpha2', NULL, NULL, NULL, 7),
(20218, NULL, 'MF_01837', NULL, NULL, 'Adaptive-response sensory-kinase SasA [sasA].', NULL, 'Kinase_SasA', NULL, NULL, NULL, 7),
(20219, NULL, 'MF_00563', NULL, NULL, 'S-inosyl-L-homocysteine hydrolase [ahcY].', NULL, 'AdoHcyase', NULL, NULL, NULL, 7),
(20220, NULL, 'MF_00578', NULL, NULL, 'Glutamate--cysteine ligase [gshA].', NULL, 'Glu_cys_ligase', NULL, NULL, NULL, 7),
(20221, NULL, 'MF_00919', NULL, NULL, 'Ribosome modulation factor [rmf].', NULL, 'RMF', NULL, NULL, NULL, 7),
(20222, NULL, 'MF_03034', NULL, NULL, 'RISC-loading complex subunit @gn(TARBP2) [TARBP2].', NULL, 'TRBP2', NULL, NULL, NULL, 7),
(20223, NULL, 'MF_01952', NULL, NULL, 'L-ribulose-5-phosphate 4-epimerase UlaF [ulaF].', NULL, 'UlaF', NULL, NULL, NULL, 7),
(20224, NULL, 'MF_00087', NULL, NULL, 'Glutamyl-tRNA reductase [hemA].', NULL, 'Glu_tRNA_reductase', NULL, NULL, NULL, 7),
(20225, NULL, 'MF_01205', NULL, NULL, 'O-acetyl-ADP-ribose deacetylase [ymdB].', NULL, 'YmdB', NULL, NULL, NULL, 7),
(20226, NULL, 'MF_01652', NULL, NULL, '3-(3-hydroxy-phenyl)propionate/3-hydroxycinnamic acid hydroxylase [mhpA].', NULL, 'MhpA', NULL, NULL, NULL, 7),
(20227, NULL, 'MF_03016', NULL, NULL, '40S ribosomal protein SA [RPSA].', NULL, 'Ribosomal_S2_laminin_receptor', NULL, NULL, NULL, 7),
(20228, NULL, 'MF_01641', NULL, NULL, 'UPF0509 protein YciZ [yciZ].', NULL, 'UPF0509', NULL, NULL, NULL, 7),
(20229, NULL, 'MF_00757', NULL, NULL, 'Ribonuclease P protein component 4 [rnp4].', NULL, 'RNase_P_4', NULL, NULL, NULL, 7),
(20230, NULL, 'MF_00796', NULL, NULL, 'Nucleoside-triphosphatase <locus_tag>.', NULL, 'NTPase_1', NULL, NULL, NULL, 7),
(20231, NULL, 'MF_03011', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit L [EIF3L].', NULL, 'eIF3l', NULL, NULL, NULL, 7),
(20232, NULL, 'MF_01958', NULL, NULL, 'Acetyl esterase [aes].', NULL, 'Acetyl_esterase', NULL, NULL, NULL, 7),
(20233, NULL, 'MF_04052', NULL, NULL, 'Penton protein [L2].', NULL, 'ADV_CAPSP', NULL, NULL, NULL, 7),
(20234, NULL, 'MF_00312', NULL, NULL, 'V-type ATP synthase subunit F [atpF].', NULL, 'ATP_synth_F_arch', NULL, NULL, NULL, 7),
(20235, NULL, 'MF_00497_A', NULL, NULL, 'Glycerol-1-phosphate dehydrogenase [NAD(P)+] [egsA].', NULL, 'G1P_dehydrogenase_A', NULL, NULL, NULL, 7),
(20236, NULL, 'MF_00709', NULL, NULL, 'Fumarate reductase subunit D [frdD].', NULL, 'Fumarate_red_D', NULL, NULL, NULL, 7),
(20237, NULL, 'MF_00744', NULL, NULL, 'Met repressor [metJ].', NULL, 'MetJ', NULL, NULL, NULL, 7),
(20238, NULL, 'MF_00150', NULL, NULL, 'N-acetyl-gamma-glutamyl-phosphate reductase [argC].', NULL, 'ArgC_type1', NULL, NULL, NULL, 7),
(20239, NULL, 'MF_03065', NULL, NULL, 'Regulator of telomere elongation helicase 1 [RTEL1].', NULL, 'RTEL1', NULL, NULL, NULL, 7),
(20240, NULL, 'MF_01172', NULL, NULL, 'N-succinylarginine dihydrolase [astB].', NULL, 'AstB', NULL, NULL, NULL, 7),
(20241, NULL, 'MF_04127', NULL, NULL, 'Inner capsid protein VP2.', NULL, 'Rota_VP2_A', NULL, NULL, NULL, 7),
(20242, NULL, 'MF_00012', NULL, NULL, 'Dihydroxy-acid dehydratase [ilvD].', NULL, 'IlvD', NULL, NULL, NULL, 7),
(20243, NULL, 'MF_00357', NULL, NULL, 'Probable DNA-directed RNA polymerase subunit delta [rpoE].', NULL, 'RNApol_bact_RpoE', NULL, NULL, NULL, 7),
(20244, NULL, 'MF_03118', NULL, NULL, 'Probable bifunctional methylthioribulose-1-phosphate dehydratase/enolase-phosphatase E1.', NULL, 'Salvage_MtnBC', NULL, NULL, NULL, 7),
(20245, NULL, 'MF_01892', NULL, NULL, 'tRNA(Ile2) 2-agmatinylcytidine synthetase TiaS [tiaS].', NULL, 'tRNA_Ile2_agm2C_synt', NULL, NULL, NULL, 7);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20246, NULL, 'MF_00204', NULL, NULL, 'UvrABC system protein B [uvrB].', NULL, 'UvrB', NULL, NULL, NULL, 7),
(20247, NULL, 'MF_01862', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase C [rsmC].', NULL, '16SrRNA_methyltr_C', NULL, NULL, NULL, 7),
(20248, NULL, 'MF_00807', NULL, NULL, '1-aminocyclopropane-1-carboxylate deaminase [acdS].', NULL, 'ACC_deaminase', NULL, NULL, NULL, 7),
(20249, NULL, 'MF_01840', NULL, NULL, 'Aerobic magnesium-protoporphyrin IX monomethyl ester [oxidative] cyclase [acsF].', NULL, 'AcsF', NULL, NULL, NULL, 7),
(20250, NULL, 'MF_01504', NULL, NULL, 'Small, acid-soluble spore protein K [sspK].', NULL, 'SspK', NULL, NULL, NULL, 7),
(20251, NULL, 'MF_04041', NULL, NULL, 'Cytoplasmic envelopment protein 3.', NULL, 'HSV_CEP3_betahv', NULL, NULL, NULL, 7),
(20252, NULL, 'MF_01932', NULL, NULL, 'AMP nucleosidase [amn].', NULL, 'AMP_nucleosidase', NULL, NULL, NULL, 7),
(20253, NULL, 'MF_04113', NULL, NULL, 'Capsid vertex protein.', NULL, 'CAPSID_P_T4', NULL, NULL, NULL, 7),
(20254, NULL, 'MF_00818', NULL, NULL, 'NADPH-dependent 7-cyano-7-deazaguanine reductase [queF].', NULL, 'QueF_type1', NULL, NULL, NULL, 7),
(20255, NULL, 'MF_01277', NULL, NULL, 'HTH-type transcriptional repressor PurR [purR].', NULL, 'HTH_type_PurR', NULL, NULL, NULL, 7),
(20256, NULL, 'MF_01366', NULL, NULL, '50S ribosomal protein L13 [rplM].', NULL, 'Ribosomal_L13', NULL, NULL, NULL, 7),
(20257, NULL, 'MF_00728', NULL, NULL, 'Septation ring formation regulator EzrA [ezrA].', NULL, 'EzrA', NULL, NULL, NULL, 7),
(20258, NULL, 'MF_01236', NULL, NULL, 'HTH-type transcriptional repressor NanR [nanR].', NULL, 'HTH_NanR', NULL, NULL, NULL, 7),
(20259, NULL, 'MF_01695', NULL, NULL, 'D-inositol-3-phosphate glycosyltransferase [mshA].', NULL, 'MshA', NULL, NULL, NULL, 7),
(20260, NULL, 'MF_01831', NULL, NULL, 'Cysteine desulfurase [sufS].', NULL, 'SufS_aminotrans_5', NULL, NULL, NULL, 7),
(20261, NULL, 'MF_00152', NULL, NULL, 'Probable endonuclease 4 [nfo].', NULL, 'Nfo', NULL, NULL, NULL, 7),
(20262, NULL, 'MF_00134_A', NULL, NULL, 'Indole-3-glycerol phosphate synthase [trpC].', NULL, 'IGPS_A', NULL, NULL, NULL, 7),
(20263, NULL, 'MF_01950', NULL, NULL, 'Acyl carrier protein phosphodiesterase [acpH].', NULL, 'AcpH', NULL, NULL, NULL, 7),
(20264, NULL, 'MF_04042', NULL, NULL, 'Cytoplasmic envelopment protein 3.', NULL, 'HSV_CEP3_gammahv', NULL, NULL, NULL, 7),
(20265, NULL, 'MF_01034', NULL, NULL, 'Putative D-alanyl-D-alanine carboxypeptidase [yfeW].', NULL, 'S12_YfeW', NULL, NULL, NULL, 7),
(20266, NULL, 'MF_01296', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatZ [gatZ].', NULL, 'Tagatose_aldol_GatZ', NULL, NULL, NULL, 7),
(20267, NULL, 'MF_00355', NULL, NULL, 'Light-independent protochlorophyllide reductase iron-sulfur ATP-binding protein [bchL].', NULL, 'ChlL_BchL', NULL, NULL, NULL, 7),
(20268, NULL, 'MF_01628', NULL, NULL, 'Thymidine phosphorylase [deoA].', NULL, 'Thymid_phosp', NULL, NULL, NULL, 7),
(20269, NULL, 'MF_00356', NULL, NULL, 'DNA polymerase III PolC-type [polC].', NULL, 'DNApol_PolC', NULL, NULL, NULL, 7),
(20270, NULL, 'MF_01202', NULL, NULL, 'D-amino acid dehydrogenase [dadA].', NULL, 'DadA', NULL, NULL, NULL, 7),
(20271, NULL, 'MF_02117', NULL, NULL, 'N(2)-fixation sustaining protein CowN [cowN].', NULL, 'CowN', NULL, NULL, NULL, 7),
(20272, NULL, 'MF_03178', NULL, NULL, 'NADPH-dependent diflavin oxidoreductase 1 [TAH18].', NULL, 'NDOR1', NULL, NULL, NULL, 7),
(20273, NULL, 'MF_00544', NULL, NULL, 'Tryptophanase [tnaA].', NULL, 'Tryptophanase', NULL, NULL, NULL, 7),
(20274, NULL, 'MF_01921', NULL, NULL, 'S-adenosyl-L-methionine-dependent tRNA 4-demethylwyosine synthase [taw1].', NULL, 'TYW1_archaea', NULL, NULL, NULL, 7),
(20275, NULL, 'MF_01976', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_III', NULL, NULL, NULL, 7),
(20276, NULL, 'MF_04022', NULL, NULL, 'Small capsomere-interacting protein [SCP].', NULL, 'HSV_SCP_gammahv', NULL, NULL, NULL, 7);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20277, NULL, 'MF_01290', NULL, NULL, '2-keto-3-deoxy-L-rhamnonate aldolase [rhmA].', NULL, 'KDR_aldolase', NULL, NULL, NULL, 7),
(20278, NULL, 'MF_02072', NULL, NULL, 'Inhibitor of hydrogen peroxide resistance [iprA].', NULL, 'IprA', NULL, NULL, NULL, 7),
(20279, NULL, 'MF_01134', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit epsilon [cdhB].', NULL, 'CdhB', NULL, NULL, NULL, 7),
(20280, NULL, 'MF_01850', NULL, NULL, 'tRNA-cytidine(32) 2-sulfurtransferase [ttcA].', NULL, 'TtcA', NULL, NULL, NULL, 7),
(20281, NULL, 'MF_01187', NULL, NULL, 'UPF0434 protein YcaR [ycaR].', NULL, 'UPF0434', NULL, NULL, NULL, 7),
(20282, NULL, 'MF_00610', NULL, NULL, 'Cytochrome f [petA].', NULL, 'Cytb6_f_cytF', NULL, NULL, NULL, 7),
(20283, NULL, 'MF_01320_A', NULL, NULL, '50S ribosomal protein L2 [rplB].', NULL, 'Ribosomal_L2_A', NULL, NULL, NULL, 7),
(20284, NULL, 'MF_00103', NULL, NULL, 'Formamidopyrimidine-DNA glycosylase [mutM].', NULL, 'Fapy_DNA_glycosyl', NULL, NULL, NULL, 7),
(20285, NULL, 'MF_01423', NULL, NULL, 'Multidrug resistance protein MdtB [mdtB].', NULL, 'MdtB', NULL, NULL, NULL, 7),
(20286, NULL, 'MF_01962', NULL, NULL, 'Adenine deaminase.', NULL, 'Adenine_deaminase', NULL, NULL, NULL, 7),
(20287, NULL, 'MF_00941', NULL, NULL, 'GDP-mannose mannosyl hydrolase [gmm].', NULL, 'GDPMH_gmm', NULL, NULL, NULL, 7),
(20288, NULL, 'MF_00216', NULL, NULL, 'Translation initiation factor 1A [eif1a].', NULL, 'aIF_1A', NULL, NULL, NULL, 7),
(20289, NULL, 'MF_00290', NULL, NULL, 'tRNA (guanine(26)-N(2))-dimethyltransferase [trm1].', NULL, 'tRNA_dimethyltr_TRM1', NULL, NULL, NULL, 7),
(20290, NULL, 'MF_00784', NULL, NULL, 'Accessory gene regulator protein B [agrB].', NULL, 'AgrB', NULL, NULL, NULL, 7),
(20291, NULL, 'MF_01133', NULL, NULL, 'Ribulose bisphosphate carboxylase [rbcL].', NULL, 'RuBisCO_L_type3', NULL, NULL, NULL, 7),
(20292, NULL, 'MF_01330', NULL, NULL, 'Protein Ycf2 [ycf2].', NULL, 'Ycf2', NULL, NULL, NULL, 7),
(20293, NULL, 'MF_01517', NULL, NULL, 'Malate dehydrogenase [mdh].', NULL, 'Malate_dehydrog_2', NULL, NULL, NULL, 7),
(20294, NULL, 'MF_03001', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit B [EIF3B].', NULL, 'eIF3b', NULL, NULL, NULL, 7),
(20295, NULL, 'MF_01385', NULL, NULL, 'Urease accessory protein UreF [ureF].', NULL, 'UreF', NULL, NULL, NULL, 7),
(20296, NULL, 'MF_00649', NULL, NULL, 'DNA gyrase inhibitor YacG [yacG].', NULL, 'DNA_gyrase_inhibitor_YacG', NULL, NULL, NULL, 7),
(20297, NULL, 'MF_01196', NULL, NULL, 'Cell division protein ZapB [zapB].', NULL, 'ZapB', NULL, NULL, NULL, 7),
(20298, NULL, 'MF_01383', NULL, NULL, 'Photosystem II D2 protein [psbD].', NULL, 'PSII_PsbD_D2', NULL, NULL, NULL, 7),
(20299, NULL, 'MF_01198', NULL, NULL, 'Anti-adapter protein IraP [iraP].', NULL, 'Anti_adapt_IraP', NULL, NULL, NULL, 7),
(20300, NULL, 'MF_01050', NULL, NULL, 'L-carnitine CoA-transferase [caiB].', NULL, 'CaiB', NULL, NULL, NULL, 7),
(20301, NULL, 'MF_00614', NULL, NULL, 'Flap endonuclease 1 [fen].', NULL, 'Fen', NULL, NULL, NULL, 7),
(20302, NULL, 'MF_00327', NULL, NULL, '50S ribosomal protein L37Ae [rpl37ae].', NULL, 'Ribosomal_L37Ae', NULL, NULL, NULL, 7),
(20303, NULL, 'MF_01056', NULL, NULL, 'Protein FixB [fixB].', NULL, 'FixB', NULL, NULL, NULL, 7),
(20304, NULL, 'MF_00037', NULL, NULL, 'UDP-N-acetylenolpyruvoylglucosamine reductase [murB].', NULL, 'MurB', NULL, NULL, NULL, 7),
(20305, NULL, 'MF_00582', NULL, NULL, 'UPF0215 protein <locus_tag>.', NULL, 'UPF0215', NULL, NULL, NULL, 7),
(20306, NULL, 'MF_01009', NULL, NULL, 'Thiosulfate sulfurtransferase GlpE [glpE].', NULL, 'Thiosulf_sulfurtr', NULL, NULL, NULL, 7),
(20307, NULL, 'MF_03121', NULL, NULL, 'Lon protease homolog 2, peroxisomal [LONP2].', NULL, 'lonp2_euk', NULL, NULL, NULL, 7),
(20308, NULL, 'MF_00926', NULL, NULL, 'RNA polymerase-binding transcription factor DksA [dksA].', NULL, 'DksA', NULL, NULL, NULL, 7),
(20309, NULL, 'MF_03064', NULL, NULL, 'Mitochondrial glycine transporter [SLC25A38].', NULL, 'SLC25A38', NULL, NULL, NULL, 7);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20310, NULL, 'MF_00177', NULL, NULL, 'Lysine--tRNA ligase [lysS].', NULL, 'Lys_tRNA_synth_class1', NULL, NULL, NULL, 7),
(20311, NULL, 'MF_00847', NULL, NULL, 'Energy-dependent translational throttle protein EttA [ettA].', NULL, 'EttA', NULL, NULL, NULL, 7),
(20312, NULL, 'MF_01451', NULL, NULL, 'ATP-dependent helicase/nuclease subunit A [addA].', NULL, 'AddA', NULL, NULL, NULL, 7),
(20313, NULL, 'MF_02121', NULL, NULL, 'Aspartate-semialdehyde dehydrogenase [asd].', NULL, 'ASADH', NULL, NULL, NULL, 7),
(20314, NULL, 'MF_01188', NULL, NULL, 'UPF0441 protein YgiB [ygiB].', NULL, 'UPF0441', NULL, NULL, NULL, 7),
(20315, NULL, 'MF_00471', NULL, NULL, 'Regulator of ribonuclease activity A [rraA].', NULL, 'RraA', NULL, NULL, NULL, 7),
(20316, NULL, 'MF_00637', NULL, NULL, 'Anti-sigma F factor [spoIIAB].', NULL, 'Anti_sigma_F', NULL, NULL, NULL, 7),
(20317, NULL, 'MF_03057', NULL, NULL, 'Succinate dehydrogenase assembly factor 2, mitochondrial [SDHAF2].', NULL, 'SDHAF2', NULL, NULL, NULL, 7),
(20318, NULL, 'MF_04100', NULL, NULL, 'DNA-directed DNA polymerase.', NULL, 'DPOL_T4', NULL, NULL, NULL, 7),
(20319, NULL, 'MF_00711', NULL, NULL, 'Glycine dehydrogenase (decarboxylating) [gcvP].', NULL, 'GcvP', NULL, NULL, NULL, 7),
(20320, NULL, 'MF_00006', NULL, NULL, 'Argininosuccinate lyase [argH].', NULL, 'Arg_succ_lyase', NULL, NULL, NULL, 7),
(20321, NULL, 'MF_00952', NULL, NULL, 'DNA topoisomerase 1 [topA].', NULL, 'Topoisom_1_prok', NULL, NULL, NULL, 7),
(20322, NULL, 'MF_00776', NULL, NULL, 'Glyoxylate reductase [gyaR].', NULL, 'GyaR', NULL, NULL, NULL, 7),
(20323, NULL, 'MF_04009', NULL, NULL, 'Shutoff alkaline exonuclease.', NULL, 'HSV_AN', NULL, NULL, NULL, 7),
(20324, NULL, 'MF_00585', NULL, NULL, 'UPF0216 protein <locus_tag>.', NULL, 'UPF0216', NULL, NULL, NULL, 7),
(20325, NULL, 'MF_01209', NULL, NULL, 'Carbamoyl-phosphate synthase small chain [carA].', NULL, 'CPSase_S_chain', NULL, NULL, NULL, 7),
(20326, NULL, 'MF_00752', NULL, NULL, 'Photosystem II reaction center protein H [psbH].', NULL, 'PSII_PsbH', NULL, NULL, NULL, 7),
(20327, NULL, 'MF_04065', NULL, NULL, 'RNA-directed RNA polymerase catalytic subunit [PB1].', NULL, 'INFV_RDRP', NULL, NULL, NULL, 7),
(20328, NULL, 'MF_01120', NULL, NULL, '[LysW]-lysine/[LysW]-ornithine hydrolase [lysK].', NULL, 'LysK', NULL, NULL, NULL, 7),
(20329, NULL, 'MF_00435', NULL, NULL, 'Ketol-acid reductoisomerase (NADP(+)) [ilvC].', NULL, 'IlvC', NULL, NULL, NULL, 7),
(20330, NULL, 'MF_00466', NULL, NULL, 'Probable M18 family aminopeptidase 1 [apeA].', NULL, 'Aminopeptidase_M18_1', NULL, NULL, NULL, 7),
(20331, NULL, 'MF_01435', NULL, NULL, 'Protein YebF [yebF].', NULL, 'YebF', NULL, NULL, NULL, 7),
(20332, NULL, 'MF_00439', NULL, NULL, 'Photosystem I assembly protein Ycf3 [ycf3].', NULL, 'Ycf3', NULL, NULL, NULL, 7),
(20333, NULL, 'MF_04077', NULL, NULL, 'Protein Rev [rev].', NULL, 'REV_HIV1', NULL, NULL, NULL, 7),
(20334, NULL, 'MF_00932', NULL, NULL, 'Thiol:disulfide interchange protein DsbL [dsbL].', NULL, 'DsbL', NULL, NULL, NULL, 7),
(20335, NULL, 'MF_01369_B', NULL, NULL, '50S ribosomal protein L23 [rplW].', NULL, 'Ribosomal_L23_B', NULL, NULL, NULL, 7),
(20336, NULL, 'MF_01904', NULL, NULL, 'Phosphoenolpyruvate carboxylase [ppcA].', NULL, 'PEPcase_type2', NULL, NULL, NULL, 7),
(20337, NULL, 'MF_01915', NULL, NULL, 'Lipopolysaccharide export system protein LptC [lptC].', NULL, 'LPS_assembly_LptC', NULL, NULL, NULL, 7),
(20338, NULL, 'MF_01539', NULL, NULL, 'tRNA(Met) cytidine acetate ligase [tmcAL].', NULL, 'TmcAL', NULL, NULL, NULL, 7),
(20339, NULL, 'MF_01842', NULL, NULL, 'Archaemetzincin [amzA].', NULL, 'Archaemetzincin', NULL, NULL, NULL, 7),
(20340, NULL, 'MF_01847', NULL, NULL, 'HMP-PP phosphatase [cof].', NULL, 'HMP_PP_phosphat', NULL, NULL, NULL, 7),
(20341, NULL, 'MF_00262', NULL, NULL, 'Cell division topological specificity factor [minE].', NULL, 'MinE', NULL, NULL, NULL, 7),
(20342, NULL, 'MF_00242', NULL, NULL, 'Arginine deiminase [arcA].', NULL, 'Arg_deiminase', NULL, NULL, NULL, 7);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20343, NULL, 'MF_01018', NULL, NULL, 'ATP phosphoribosyltransferase [hisG].', NULL, 'HisG_Short', NULL, NULL, NULL, 7),
(20344, NULL, 'MF_01132', NULL, NULL, 'Regulatory protein Spx [spxA].', NULL, 'SpxA', NULL, NULL, NULL, 7),
(20345, NULL, 'MF_01269', NULL, NULL, 'Shikimate kinase 2 [aroL].', NULL, 'Shikimate_kinase_2', NULL, NULL, NULL, 7),
(20346, NULL, 'MF_01349', NULL, NULL, 'Bifunctional pantoate ligase/cytidylate kinase [panC/cmk].', NULL, 'PanCY', NULL, NULL, NULL, 7),
(20347, NULL, 'MF_00532_B', NULL, NULL, '30S ribosomal protein S9 [rpsI].', NULL, 'Ribosomal_S9_B', NULL, NULL, NULL, 7),
(20348, NULL, 'MF_01420', NULL, NULL, 'Probable cell division protein WhiA [whiA].', NULL, 'HTH_type_WhiA', NULL, NULL, NULL, 7),
(20349, NULL, 'MF_00203', NULL, NULL, 'UvrABC system protein C [uvrC].', NULL, 'UvrC', NULL, NULL, NULL, 7),
(20350, NULL, 'MF_00392', NULL, NULL, 'Lipid-A-disaccharide synthase [lpxB].', NULL, 'LpxB', NULL, NULL, NULL, 7),
(20351, NULL, 'MF_02241', NULL, NULL, 'Phosphatidylinositol phosphate synthase.', NULL, 'PIP_synthase', NULL, NULL, NULL, 7),
(20352, NULL, 'MF_01216', NULL, NULL, 'FMN-dependent NADH-azoreductase [azoR].', NULL, 'Azoreductase_type1', NULL, NULL, NULL, 7),
(20353, NULL, 'MF_01219', NULL, NULL, 'Bifunctional protein PyrR [pyrR].', NULL, 'PyrR', NULL, NULL, NULL, 7),
(20354, NULL, 'MF_03045', NULL, NULL, 'DIS3-like exonuclease 2 [DIS3L2].', NULL, 'DIS3L2', NULL, NULL, NULL, 7),
(20355, NULL, 'MF_04103', NULL, NULL, 'Baseplate wedge protein gp7.', NULL, 'BP07_T4', NULL, NULL, NULL, 7),
(20356, NULL, 'MF_04132', NULL, NULL, 'Outer capsid protein VP4.', NULL, 'Rota_A_VP4', NULL, NULL, NULL, 7),
(20357, NULL, 'MF_00518', NULL, NULL, 'D-aminoacyl-tRNA deacylase [dtd].', NULL, 'Deacylase_Dtd', NULL, NULL, NULL, 7),
(20358, NULL, 'MF_00464', NULL, NULL, 'S-adenosylmethionine decarboxylase proenzyme [speH].', NULL, 'AdoMetDC_1', NULL, NULL, NULL, 7),
(20359, NULL, 'MF_01192', NULL, NULL, 'Flap endonuclease Xni [xni].', NULL, 'Xni', NULL, NULL, NULL, 7),
(20360, NULL, 'MF_02038', NULL, NULL, 'Probable hercynylcysteine sulfoxide lyase [egtE].', NULL, 'EgtE', NULL, NULL, NULL, 7),
(20361, NULL, 'MF_04024', NULL, NULL, 'Nuclear egress protein 2 [NEC2].', NULL, 'HSV_NEC2', NULL, NULL, NULL, 7),
(20362, NULL, 'MF_03038', NULL, NULL, 'Cytosolic Fe-S cluster assembly factor NUBP1 [NUBP1].', NULL, 'NUBP1', NULL, NULL, NULL, 7),
(20363, NULL, 'MF_01307_B', NULL, NULL, '30S ribosomal protein S5 [rpsE].', NULL, 'Ribosomal_S5_B', NULL, NULL, NULL, 7),
(20364, NULL, 'MF_01942', NULL, NULL, 'Lipid A biosynthesis lauroyltransferase [lpxL].', NULL, 'Lipid_A_LpxL_LpxP', NULL, NULL, NULL, 7),
(20365, NULL, 'MF_00842', NULL, NULL, 'Outer membrane protein A [ompA].', NULL, 'OmpA', NULL, NULL, NULL, 7),
(20366, NULL, 'MF_01581', NULL, NULL, 'UPF0482 protein YnfB [ynfB].', NULL, 'UPF0482', NULL, NULL, NULL, 7),
(20367, NULL, 'MF_00473', NULL, NULL, 'Glucose-6-phosphate isomerase [pgi].', NULL, 'G6P_isomerase', NULL, NULL, NULL, 7),
(20368, NULL, 'MF_00100_B', NULL, NULL, 'Translation initiation factor IF-2 [infB].', NULL, 'IF_2_B', NULL, NULL, NULL, 7),
(20369, NULL, 'MF_00078', NULL, NULL, 'UPF0107 protein <locus_tag>.', NULL, 'UPF0107', NULL, NULL, NULL, 7),
(20370, NULL, 'MF_00800', NULL, NULL, 'UPF0340 protein <locus_tag>.', NULL, 'UPF0340', NULL, NULL, NULL, 7),
(20371, NULL, 'MF_04049', NULL, NULL, 'Pre-hexon-linking protein VIII [L4].', NULL, 'ADV_CAP8', NULL, NULL, NULL, 7),
(20372, NULL, 'MF_01562', NULL, NULL, 'UPF0365 protein <locus_tag>.', NULL, 'UPF0365', NULL, NULL, NULL, 7),
(20373, NULL, 'MF_00288', NULL, NULL, 'Methionine synthase [metE].', NULL, 'MetE', NULL, NULL, NULL, 7),
(20374, NULL, 'MF_00289_A', NULL, NULL, 'Proteasome subunit alpha [prcA].', NULL, 'Proteasome_A_A', NULL, NULL, NULL, 7),
(20375, NULL, 'MF_00487', NULL, NULL, 'Malate dehydrogenase [mdh].', NULL, 'Malate_dehydrog_3', NULL, NULL, NULL, 7);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20376, NULL, 'MF_03053', NULL, NULL, 'Cytoplasmic tRNA 2-thiolation protein 1 [CTU1].', NULL, 'CTU1', NULL, NULL, NULL, 7),
(20377, NULL, 'MF_02217', NULL, NULL, 'tRNA 5-hydroxyuridine methyltransferase [trmR].', NULL, 'TrmR_methyltr', NULL, NULL, NULL, 7),
(20378, NULL, 'MF_00050', NULL, NULL, 'Elongation factor Ts [tsf].', NULL, 'EF_Ts', NULL, NULL, NULL, 7),
(20379, NULL, 'MF_00434', NULL, NULL, 'Putative pterin-4-alpha-carbinolamine dehydratase.', NULL, 'Pterin_4_alpha', NULL, NULL, NULL, 7),
(20380, NULL, 'MF_01469', NULL, NULL, 'Ribonuclease M5 [rnmV].', NULL, 'RNase_M5', NULL, NULL, NULL, 7),
(20381, NULL, 'MF_02006', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type1', NULL, NULL, NULL, 7),
(20382, NULL, 'MF_00962', NULL, NULL, 'RNA polymerase sigma factor FliA [fliA].', NULL, 'Sigma70_FliA', NULL, NULL, NULL, 7),
(20383, NULL, 'MF_03027', NULL, NULL, 'Ribosome biogenesis protein @gn(BOP1) [BOP1].', NULL, 'BOP1', NULL, NULL, NULL, 7),
(20384, NULL, 'MF_00081', NULL, NULL, 'Heat-inducible transcription repressor HrcA [hrcA].', NULL, 'HrcA', NULL, NULL, NULL, 7),
(20385, NULL, 'MF_00541', NULL, NULL, 'L-rhamnose isomerase [rhaA].', NULL, 'RhaA', NULL, NULL, NULL, 7),
(20386, NULL, 'MF_01515', NULL, NULL, 'UPF0316 protein <locus_tag>.', NULL, 'UPF0316', NULL, NULL, NULL, 7),
(20387, NULL, 'MF_00063', NULL, NULL, 'Phosphoadenosine phosphosulfate reductase [cysH].', NULL, 'CysH', NULL, NULL, NULL, 7),
(20388, NULL, 'MF_00735', NULL, NULL, 'Ribosomal protein L11 methyltransferase [prmA].', NULL, 'Methyltr_PrmA', NULL, NULL, NULL, 7),
(20389, NULL, 'MF_01235', NULL, NULL, 'Putative N-acetylmannosamine-6-phosphate 2-epimerase [nanE].', NULL, 'ManNAc6P_epimer', NULL, NULL, NULL, 7),
(20390, NULL, 'MF_02225', NULL, NULL, 'Coenzyme A biosynthesis bifunctional protein CoaBC [coaBC].', NULL, 'CoaBC', NULL, NULL, NULL, 7),
(20391, NULL, 'MF_01966', NULL, NULL, 'NAD(P)H-hydrate epimerase [nnrE].', NULL, 'NADHX_epimerase', NULL, NULL, NULL, 7),
(20392, NULL, 'MF_00004', NULL, NULL, 'Adenine phosphoribosyltransferase [apt].', NULL, 'Aden_phosphoribosyltr', NULL, NULL, NULL, 7),
(20393, NULL, 'MF_00179', NULL, NULL, 'GTP cyclohydrolase-2 [ribA].', NULL, 'RibA', NULL, NULL, NULL, 7),
(20394, NULL, 'MF_00153', NULL, NULL, 'Probable deoxyhypusine synthase [dys].', NULL, 'DHS', NULL, NULL, NULL, 7),
(20395, NULL, 'MF_01104', NULL, NULL, 'Protein Syd [syd].', NULL, 'Syd', NULL, NULL, NULL, 7),
(20396, NULL, 'MF_00839', NULL, NULL, 'Ribosome hibernation promoting factor [hpf].', NULL, 'HPF', NULL, NULL, NULL, 7),
(20397, NULL, 'MF_01424', NULL, NULL, 'Multidrug resistance protein MdtC [mdtC].', NULL, 'MdtC', NULL, NULL, NULL, 7),
(20398, NULL, 'MF_04097', NULL, NULL, 'Nucleoprotein [N].', NULL, 'GAMMA_CORONA_NCAP', NULL, NULL, NULL, 7),
(20399, NULL, 'MF_01238', NULL, NULL, 'Sialic acid transporter NanT [nanT].', NULL, 'MFS_NanT', NULL, NULL, NULL, 7),
(20400, NULL, 'MF_00225', NULL, NULL, 'Dihydroorotate dehydrogenase (quinone) [pyrD].', NULL, 'DHO_dh_type2', NULL, NULL, NULL, 7),
(20401, NULL, 'MF_00350', NULL, NULL, 'DNA repair and recombination protein RadB [radB].', NULL, 'RadB', NULL, NULL, NULL, 7),
(20402, NULL, 'MF_04028', NULL, NULL, 'Ribonucleoside-diphosphate reductase small subunit [RIR2].', NULL, 'HSV_RIR2', NULL, NULL, NULL, 7),
(20403, NULL, 'MF_00252', NULL, NULL, 'Lysine--tRNA ligase [lysS].', NULL, 'Lys_tRNA_synth_class2', NULL, NULL, NULL, 7),
(20404, NULL, 'MF_01288', NULL, NULL, 'L-rhamnonate dehydratase [rhmD].', NULL, 'Rhamnon_dehydrat', NULL, NULL, NULL, 7),
(20405, NULL, 'MF_00379', NULL, NULL, 'tRNA modification GTPase MnmE [mnmE].', NULL, 'GTPase_MnmE', NULL, NULL, NULL, 7),
(20406, NULL, 'MF_00253_B', NULL, NULL, 'Glycine--tRNA ligase [glyQS].', NULL, 'Gly_tRNA_synth_B', NULL, NULL, NULL, 7),
(20407, NULL, 'MF_01425', NULL, NULL, 'Ferrous-iron efflux pump FieF [fieF].', NULL, 'Cation_efflux_FieF', NULL, NULL, NULL, 7);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20408, NULL, 'MF_01547', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase E [rlmE].', NULL, 'RNA_methyltr_E', NULL, NULL, NULL, 7),
(20409, NULL, 'MF_00693', NULL, NULL, 'Probable transcriptional regulatory protein YebC [yebC].', NULL, 'Transcrip_reg_TACO1', NULL, NULL, NULL, 7),
(20410, NULL, 'MF_00990', NULL, NULL, 'L-2-hydroxyglutarate dehydrogenase [lhgD].', NULL, 'L_hydroxyglutarate_dehydrogenase', NULL, NULL, NULL, 7),
(20411, NULL, 'MF_01036', NULL, NULL, 'Exoribonuclease 2 [rnb].', NULL, 'RNase_II', NULL, NULL, NULL, 7),
(20412, NULL, 'MF_01488', NULL, NULL, 'ATP-dependent RecD-like DNA helicase [recD2].', NULL, 'RecD_like', NULL, NULL, NULL, 7),
(20413, NULL, 'MF_01901', NULL, NULL, 'Arginine exporter protein ArgO [argO].', NULL, 'ArgO', NULL, NULL, NULL, 7),
(20414, NULL, 'MF_00141', NULL, NULL, 'Elongation factor P [efp].', NULL, 'EF_P', NULL, NULL, NULL, 7),
(20415, NULL, 'MF_00190', NULL, NULL, 'Cardiolipin synthase A [clsA].', NULL, 'Cardiolipin_synth_ClsA', NULL, NULL, NULL, 7),
(20416, NULL, 'MF_01298', NULL, NULL, 'Arginine decarboxylase proenzyme.', NULL, 'ArgDC', NULL, NULL, NULL, 7),
(20417, NULL, 'MF_04098', NULL, NULL, 'Spike glycoprotein [S].', NULL, 'GAMMA_CORONA_SPIKE', NULL, NULL, NULL, 7),
(20418, NULL, 'MF_00383', NULL, NULL, 'Transcription initiation factor IIB [tfb].', NULL, 'TF2B_arch', NULL, NULL, NULL, 7),
(20419, NULL, 'MF_01479', NULL, NULL, 'Transcriptional regulator WhiB [whiB].', NULL, 'WhiB', NULL, NULL, NULL, 7),
(20420, NULL, 'MF_02065', NULL, NULL, 'Endolytic murein transglycosylase [mltG].', NULL, 'MltG', NULL, NULL, NULL, 7),
(20421, NULL, 'MF_01095', NULL, NULL, 'UPF0292 protein <locus_tag>.', NULL, 'UPF0292', NULL, NULL, NULL, 7),
(20422, NULL, 'MF_01914', NULL, NULL, 'Lipopolysaccharide export system protein LptA [lptA].', NULL, 'LPS_assembly_LptA', NULL, NULL, NULL, 7),
(20423, NULL, 'MF_00430', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit F [nqrF].', NULL, 'NqrF', NULL, NULL, NULL, 7),
(20424, NULL, 'MF_01972', NULL, NULL, 'Tryptophan 2,3-dioxygenase [kynA].', NULL, 'T23O', NULL, NULL, NULL, 7),
(20425, NULL, 'MF_01251', NULL, NULL, 'UPF0313 protein YgiQ [ygiQ].', NULL, 'UPF0313', NULL, NULL, NULL, 7),
(20426, NULL, 'MF_00546', NULL, NULL, 'Acid shock protein [asr].', NULL, 'Asr', NULL, NULL, NULL, 7),
(20427, NULL, 'MF_01512', NULL, NULL, 'Metallothiol transferase FosB [fosB].', NULL, 'FosB', NULL, NULL, NULL, 7),
(20428, NULL, 'MF_01973', NULL, NULL, 'Lon protease [lon].', NULL, 'lon_bact', NULL, NULL, NULL, 7),
(20429, NULL, 'MF_00395', NULL, NULL, 'Cytochrome b6-f complex subunit 8 [petN].', NULL, 'Cytb6_f_PetN', NULL, NULL, NULL, 7),
(20430, NULL, 'MF_00588', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit E [gatE].', NULL, 'GatE', NULL, NULL, NULL, 7),
(20431, NULL, 'MF_00101', NULL, NULL, 'Holo-[acyl-carrier-protein] synthase [acpS].', NULL, 'AcpS', NULL, NULL, NULL, 7),
(20432, NULL, 'MF_00397', NULL, NULL, '2-(5''''-triphosphoribosyl)-3''-dephosphocoenzyme-A synthase [citG].', NULL, 'CitG', NULL, NULL, NULL, 7),
(20433, NULL, 'MF_00149', NULL, NULL, 'DNA mismatch repair protein MutL [mutL].', NULL, 'DNA_mis_repair', NULL, NULL, NULL, 7),
(20434, NULL, 'MF_01394', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit 3, chloroplastic [ndhC].', NULL, 'NDH1_NuoA', NULL, NULL, NULL, 7),
(20435, NULL, 'MF_02009', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type4', NULL, NULL, NULL, 7),
(20436, NULL, 'MF_00198', NULL, NULL, 'Polyamine aminopropyltransferase [speE].', NULL, 'Spermidine_synth', NULL, NULL, NULL, 7),
(20437, NULL, 'MF_00480_B', NULL, NULL, '30S ribosomal protein S7 [rpsG].', NULL, 'Ribosomal_S7_B', NULL, NULL, NULL, 7),
(20438, NULL, 'MF_00186', NULL, NULL, 'Glycerol kinase [glpK].', NULL, 'Glycerol_kin', NULL, NULL, NULL, 7),
(20439, NULL, 'MF_00659', NULL, NULL, 'UPF0250 protein YbeD [ybeD].', NULL, 'UPF0250', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20440, NULL, 'MF_01458', NULL, NULL, 'ATP-dependent zinc metalloprotease FtsH [ftsH].', NULL, 'FtsH', NULL, NULL, NULL, 7),
(20441, NULL, 'MF_02003', NULL, NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, 'Ile_tRNA_synth_type2', NULL, NULL, NULL, 7),
(20442, NULL, 'MF_04143', NULL, NULL, 'Poxin-Schlafen.', NULL, 'Poxins', NULL, NULL, NULL, 7),
(20443, NULL, 'MF_00287', NULL, NULL, 'Probable disulfide formation protein [bdbC].', NULL, 'BdbC', NULL, NULL, NULL, 7),
(20444, NULL, 'MF_01365_B', NULL, NULL, '50S ribosomal protein L6 [rplF].', NULL, 'Ribosomal_L6_B', NULL, NULL, NULL, 7),
(20445, NULL, 'MF_00475', NULL, NULL, 'Trp operon repressor [trpR].', NULL, 'Trp_repressor', NULL, NULL, NULL, 7),
(20446, NULL, 'MF_01149', NULL, NULL, 'Uncharacterized MFS-type transporter YcaD [ycaD].', NULL, 'MFS_YcaD', NULL, NULL, NULL, 7),
(20447, NULL, 'MF_01401', NULL, NULL, 'Peptide methionine sulfoxide reductase MsrA [msrA].', NULL, 'MsrA', NULL, NULL, NULL, 7),
(20448, NULL, 'MF_01124', NULL, NULL, 'Adapter protein MecA [mecA].', NULL, 'MecA', NULL, NULL, NULL, 7),
(20449, NULL, 'MF_01445', NULL, NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [tsaD].', NULL, 'TsaD', NULL, NULL, NULL, 7),
(20450, NULL, 'MF_01596', NULL, NULL, 'PhoP/PhoQ regulator MgrB [mgrB].', NULL, 'MgrB', NULL, NULL, NULL, 7),
(20451, NULL, 'MF_03037', NULL, NULL, 'Probable cytosolic iron-sulfur protein assembly protein CIAO1 [CIAO1].', NULL, 'ciao1', NULL, NULL, NULL, 7),
(20452, NULL, 'MF_01376', NULL, NULL, '2-aminoethylphosphonate--pyruvate transaminase [phnW].', NULL, 'PhnW_aminotrans_5', NULL, NULL, NULL, 7),
(20453, NULL, 'MF_00195', NULL, NULL, 'GTPase Der [der].', NULL, 'GTPase_Der', NULL, NULL, NULL, 7),
(20454, NULL, 'MF_00924', NULL, NULL, 'Outer membrane protein assembly factor BamC [bamC].', NULL, 'OM_assembly_BamC', NULL, NULL, NULL, 7),
(20455, NULL, 'MF_01064', NULL, NULL, 'UPF0253 protein YaeP [yaeP].', NULL, 'UPF0253', NULL, NULL, NULL, 7),
(20456, NULL, 'MF_01346', NULL, NULL, 'ATP synthase subunit alpha [atpA].', NULL, 'ATP_synth_alpha_bact', NULL, NULL, NULL, 7),
(20457, NULL, 'MF_01697', NULL, NULL, 'L-cysteine:1D-myo-inositol 2-amino-2-deoxy-alpha-D-glucopyranoside ligase [mshC].', NULL, 'MshC', NULL, NULL, NULL, 7),
(20458, NULL, 'MF_00510', NULL, NULL, 'Peptidase E [pepE].', NULL, 'Peptidase_E', NULL, NULL, NULL, 7),
(20459, NULL, 'MF_00106', NULL, NULL, 'Mannonate dehydratase [uxuA].', NULL, 'UxuA', NULL, NULL, NULL, 7),
(20460, NULL, 'MF_00165', NULL, NULL, 'Thymidylate kinase [tmk].', NULL, 'Thymidylate_kinase', NULL, NULL, NULL, 7),
(20461, NULL, 'MF_00147_A', NULL, NULL, 'Triosephosphate isomerase [tpiA].', NULL, 'TIM_A', NULL, NULL, NULL, 7),
(20462, NULL, 'MF_03026', NULL, NULL, 'Leucine zipper putative tumor suppressor 2 [LZTS2].', NULL, 'LZTS2', NULL, NULL, NULL, 7),
(20463, NULL, 'MF_03217', NULL, NULL, 'Phosphatidylethanolamine N-methyltransferase.', NULL, 'PEMT', NULL, NULL, NULL, 7),
(20464, NULL, 'MF_00382', NULL, NULL, '50S ribosomal protein L20 [rplT].', NULL, 'Ribosomal_L20', NULL, NULL, NULL, 7),
(20465, NULL, 'MF_01564', NULL, NULL, 'Protein TusB [tusB].', NULL, 'Thiourid_synth_B', NULL, NULL, NULL, 7),
(20466, NULL, 'MF_00500', NULL, NULL, '30S ribosomal protein S20 [rpsT].', NULL, 'Ribosomal_S20', NULL, NULL, NULL, 7),
(20467, NULL, 'MF_01457', NULL, NULL, 'Flagellar brake protein YcgR [ycgR].', NULL, 'YcgR', NULL, NULL, NULL, 7),
(20468, NULL, 'MF_01948', NULL, NULL, 'Lipopolysaccharide assembly protein A [lapA].', NULL, 'LPS_assembly_LapA', NULL, NULL, NULL, 7),
(20469, NULL, 'MF_00244', NULL, NULL, 'Probable nicotinate-nucleotide adenylyltransferase [nadD].', NULL, 'NaMN_adenylyltr', NULL, NULL, NULL, 7),
(20470, NULL, 'MF_00038', NULL, NULL, 'Phospho-N-acetylmuramoyl-pentapeptide-transferase [mraY].', NULL, 'MraY', NULL, NULL, NULL, 7),
(20471, NULL, 'MF_01444', NULL, NULL, 'Putative phosphoesterase <locus_tag>.', NULL, '2H_phosphoesterase_YjcG', NULL, NULL, NULL, 7);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20472, NULL, 'MF_02238', NULL, NULL, '3-dehydroshikimate dehydratase.', NULL, 'DSD', NULL, NULL, NULL, 7),
(20473, NULL, 'MF_03009', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit J [EIF3J].', NULL, 'eIF3j', NULL, NULL, NULL, 7),
(20474, NULL, 'MF_00069', NULL, NULL, 'Hydroxylamine reductase [hcp].', NULL, 'Hydroxylam_reduct', NULL, NULL, NULL, 7),
(20475, NULL, 'MF_01623', NULL, NULL, 'Penicillin-insensitive murein endopeptidase [mepA].', NULL, 'MepA', NULL, NULL, NULL, 7),
(20476, NULL, 'MF_00115', NULL, NULL, 'Large-conductance mechanosensitive channel [mscL].', NULL, 'MscL', NULL, NULL, NULL, 7),
(20477, NULL, 'MF_01586', NULL, NULL, 'Probable [Fe-S]-dependent transcriptional repressor [feoC].', NULL, 'FeoC', NULL, NULL, NULL, 7),
(20478, NULL, 'MF_00964', NULL, NULL, 'ATP-dependent RNA helicase DeaD [deaD].', NULL, 'DEAD_helicase_DeaD', NULL, NULL, NULL, 7),
(20479, NULL, 'MF_01917', NULL, NULL, 'Cardiolipin synthase B [clsB].', NULL, 'Cardiolipin_synth_ClsB', NULL, NULL, NULL, 7),
(20480, NULL, 'MF_00607', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase A [rsmA].', NULL, '16SrRNA_methyltr_A', NULL, NULL, NULL, 7),
(20481, NULL, 'MF_00427', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit C [nqrC].', NULL, 'NqrC', NULL, NULL, NULL, 7),
(20482, NULL, 'MF_02124', NULL, NULL, 'Alpha-1,4-glucan:maltose-1-phosphate maltosyltransferase [glgE].', NULL, 'GlgE', NULL, NULL, NULL, 7),
(20483, NULL, 'MF_01927', NULL, NULL, 'Formyltetrahydrofolate deformylase [purU].', NULL, 'PurU', NULL, NULL, NULL, 7),
(20484, NULL, 'MF_01011', NULL, NULL, 'tRNA/tmRNA (uracil-C(5))-methyltransferase [trmA].', NULL, 'RNA_methyltr_TrmA', NULL, NULL, NULL, 7),
(20485, NULL, 'MF_02115', NULL, NULL, 'FAD synthase [ribL].', NULL, 'FAD_synth_arch', NULL, NULL, NULL, 7),
(20486, NULL, 'MF_03032', NULL, NULL, 'Protein argonaute-3 [EIF2C3].', NULL, 'AGO3', NULL, NULL, NULL, 7),
(20487, NULL, 'MF_00171', NULL, NULL, 'tRNA pseudouridine synthase A [truA].', NULL, 'TruA', NULL, NULL, NULL, 7),
(20488, NULL, 'MF_04102', NULL, NULL, 'Baseplate wedge protein gp6.', NULL, 'BP06_T4', NULL, NULL, NULL, 7),
(20489, NULL, 'MF_04126', NULL, NULL, 'Intermediate capsid protein VP6.', NULL, 'Rota_VP6', NULL, NULL, NULL, 7),
(20490, NULL, 'MF_00206', NULL, NULL, 'Lipoyl synthase [lipA].', NULL, 'Lipoyl_synth', NULL, NULL, NULL, 7),
(20491, NULL, 'MF_01304', NULL, NULL, 'UPF0194 membrane protein YbhG [ybhG].', NULL, 'UPF0194', NULL, NULL, NULL, 7),
(20492, NULL, 'MF_01463_A', NULL, NULL, 'Protein translocase subunit SecD [secD].', NULL, 'SecD_A', NULL, NULL, NULL, 7),
(20493, NULL, 'MF_00304', NULL, NULL, 'Thiamine thiazole synthase [thi4].', NULL, 'Thi4', NULL, NULL, NULL, 7),
(20494, NULL, 'MF_01224_B', NULL, NULL, 'Cyclic pyranopterin monophosphate synthase [moaC].', NULL, 'MoaC_B', NULL, NULL, NULL, 7),
(20495, NULL, 'MF_03204', NULL, NULL, 'Elongation of very long chain fatty acids protein 4 [ELOVL4].', NULL, 'VLCF_elongase_4', NULL, NULL, NULL, 7),
(20496, NULL, 'MF_00516', NULL, NULL, 'Monomeric sarcosine oxidase [soxA].', NULL, 'MSOX', NULL, NULL, NULL, 7),
(20497, NULL, 'MF_00946', NULL, NULL, 'Acid stress chaperone HdeA [hdeA].', NULL, 'HdeA', NULL, NULL, NULL, 7),
(20498, NULL, 'MF_01112', NULL, NULL, 'UPF0201 protein <locus_tag>.', NULL, 'UPF0201', NULL, NULL, NULL, 7),
(20499, NULL, 'MF_03049', NULL, NULL, 'Adenylyltransferase and sulfurtransferase MOCS3 [MOCS3].', NULL, 'MOCS3_Uba4', NULL, NULL, NULL, 7),
(20500, NULL, 'MF_00138', NULL, NULL, 'Phosphoribosylamine--glycine ligase [purD].', NULL, 'GARS', NULL, NULL, NULL, 7),
(20501, NULL, 'MF_00707', NULL, NULL, 'UPF0735 ACT domain-containing protein <locus_tag>.', NULL, 'UPF0735', NULL, NULL, NULL, 7),
(20502, NULL, 'MF_00492', NULL, NULL, 'Transaldolase [tal].', NULL, 'Transaldolase_1', NULL, NULL, NULL, 7),
(20503, NULL, 'MF_01620', NULL, NULL, '3-ketoacyl-CoA thiolase [fadA].', NULL, 'FadA', NULL, NULL, NULL, 7);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20504, NULL, 'MF_00912', NULL, NULL, 'Cell division protein DivIB [divIB].', NULL, 'DivIB', NULL, NULL, NULL, 7),
(20505, NULL, 'MF_00761', NULL, NULL, 'UPF0303 protein <locus_tag>.', NULL, 'UPF0303', NULL, NULL, NULL, 7),
(20506, NULL, 'MF_01446', NULL, NULL, 'tRNA N6-adenosine threonylcarbamoyltransferase [kae1].', NULL, 'Kae1', NULL, NULL, NULL, 7),
(20507, NULL, 'MF_01399', NULL, NULL, 'ATP synthase subunit b'' [atpF2].', NULL, 'ATP_synth_bprime', NULL, NULL, NULL, 7),
(20508, NULL, 'MF_02113_A', NULL, NULL, 'Proteasome subunit beta [prcB].', NULL, 'Proteasome_B_A', NULL, NULL, NULL, 7),
(20509, NULL, 'MF_00405', NULL, NULL, '3-hydroxydecanoyl-[acyl-carrier-protein] dehydratase [fabA].', NULL, 'FabA', NULL, NULL, NULL, 7),
(20510, NULL, 'MF_00175', NULL, NULL, 'ATP-dependent Clp protease ATP-binding subunit ClpX [clpX].', NULL, 'ClpX', NULL, NULL, NULL, 7),
(20511, NULL, 'MF_01920', NULL, NULL, 'ATP-dependent DNA helicase Rep [rep].', NULL, 'Helicase_Rep', NULL, NULL, NULL, 7),
(20512, NULL, 'MF_04029', NULL, NULL, 'Thymidine kinase [TK].', NULL, 'HSV_KITH', NULL, NULL, NULL, 7),
(20513, NULL, 'MF_01410', NULL, NULL, 'Glucose-6-phosphate isomerase [pgiA].', NULL, 'G6P_isomerase_arch', NULL, NULL, NULL, 7),
(20514, NULL, 'MF_01612', NULL, NULL, '5-amino-6-(D-ribitylamino)uracil--L-tyrosine 4-hydroxyphenyl transferase [cofH].', NULL, 'FO_synth_sub2', NULL, NULL, NULL, 7),
(20515, NULL, 'MF_01922', NULL, NULL, 'tRNA(Phe) (4-demethylwyosine(37)-C(7)) aminocarboxypropyltransferase [taw2].', NULL, 'TYW2_archaea', NULL, NULL, NULL, 7),
(20516, NULL, 'MF_04206', NULL, NULL, 'Envelope small membrane protein [E].', NULL, 'GAMMA_CORONA_E', NULL, NULL, NULL, 7),
(20517, NULL, 'MF_00291_A', NULL, NULL, '30S ribosomal protein S2 [rpsB].', NULL, 'Ribosomal_S2_A', NULL, NULL, NULL, 7),
(20518, NULL, 'MF_00656', NULL, NULL, 'Coenzyme PQQ synthesis protein A [pqqA].', NULL, 'PQQ_syn_PqqA', NULL, NULL, NULL, 7),
(20519, NULL, 'MF_01041', NULL, NULL, 'UPF0223 protein <locus_tag>.', NULL, 'UPF0223', NULL, NULL, NULL, 7),
(20520, NULL, 'MF_01395', NULL, NULL, 'Acetyl-coenzyme A carboxylase carboxyl transferase subunit beta, chloroplastic [accD].', NULL, 'AcetylCoA_CT_beta', NULL, NULL, NULL, 7),
(20521, NULL, 'MF_01838', NULL, NULL, 'Trans-2-enoyl-CoA reductase [NADH] [fabV].', NULL, 'FabV_reductase', NULL, NULL, NULL, 7),
(20522, NULL, 'MF_01509', NULL, NULL, 'Replication factor C small subunit [rfcS].', NULL, 'RfcS', NULL, NULL, NULL, 7),
(20523, NULL, 'MF_02080', NULL, NULL, 'Peptidoglycan D,D-transpeptidase FtsI [ftsI].', NULL, 'FtsI_transpept', NULL, NULL, NULL, 7),
(20524, NULL, 'MF_01813', NULL, NULL, 'Ubiquinone/menaquinone biosynthesis C-methyltransferase UbiE [ubiE].', NULL, 'MenG_UbiE_methyltr', NULL, NULL, NULL, 7),
(20525, NULL, 'MF_01584', NULL, NULL, 'UPF0502 protein YceH [yceH].', NULL, 'UPF0502', NULL, NULL, NULL, 7),
(20526, NULL, 'MF_00753', NULL, NULL, 'Anaerobic glycerol-3-phosphate dehydrogenase subunit B [glpB].', NULL, 'Glycerol3P_GlpB', NULL, NULL, NULL, 7),
(20527, NULL, 'MF_01836', NULL, NULL, 'Circadian clock protein kinase KaiC [kaiC].', NULL, 'KaiC', NULL, NULL, NULL, 7),
(20528, NULL, 'MF_03228', NULL, NULL, 'Probable butyrate:acetyl-CoA coenzyme A-transferase.', NULL, 'But_CoA_trans', NULL, NULL, NULL, 7),
(20529, NULL, 'MF_00821', NULL, NULL, 'Protein-export protein SecB [secB].', NULL, 'SecB', NULL, NULL, NULL, 7),
(20530, NULL, 'MF_01390', NULL, NULL, 'Maturase K [matK].', NULL, 'MatK', NULL, NULL, NULL, 7),
(20531, NULL, 'MF_01954', NULL, NULL, 'Urease subunit beta [ureB].', NULL, 'Urease_beta', NULL, NULL, NULL, 7),
(20532, NULL, 'MF_02021', NULL, NULL, 'Cell division protein DamX [damX].', NULL, 'DamX', NULL, NULL, NULL, 7),
(20533, NULL, 'MF_03028', NULL, NULL, 'Pescadillo homolog [PES1].', NULL, 'Pescadillo', NULL, NULL, NULL, 7),
(20534, NULL, 'MF_01320_B', NULL, NULL, '50S ribosomal protein L2 [rplB].', NULL, 'Ribosomal_L2_B', NULL, NULL, NULL, 7);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20535, NULL, 'MF_00277', NULL, NULL, 'Bifunctional uridylyltransferase/uridylyl-removing enzyme [glnD].', NULL, 'PII_uridylyl_transf', NULL, NULL, NULL, 7),
(20536, NULL, 'MF_00602', NULL, NULL, 'Protein-arginine kinase [mcsB].', NULL, 'Prot_Arg_kinase', NULL, NULL, NULL, 7),
(20537, NULL, 'MF_01194', NULL, NULL, 'Heat shock protein HspQ [hspQ].', NULL, 'HspQ', NULL, NULL, NULL, 7),
(20538, NULL, 'MF_00020', NULL, NULL, 'Acetate kinase [ackA].', NULL, 'Acetate_kinase', NULL, NULL, NULL, 7),
(20539, NULL, 'MF_01930', NULL, NULL, 'Phosphoribosylglycinamide formyltransferase [purN].', NULL, 'PurN', NULL, NULL, NULL, 7),
(20540, NULL, 'MF_00189', NULL, NULL, 'Probable intracellular septation protein A [yciB].', NULL, 'Intracell_septation_prot_A', NULL, NULL, NULL, 7),
(20541, NULL, 'MF_00342', NULL, NULL, 'UPF0147 protein <locus_tag>.', NULL, 'UPF0147', NULL, NULL, NULL, 7),
(20542, NULL, 'MF_01200_A', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, 'OMPdecase_type1_A', NULL, NULL, NULL, 7),
(20543, NULL, 'MF_01824', NULL, NULL, 'Pyridoxal 5''-phosphate synthase subunit PdxS [pdxS].', NULL, 'PdxS', NULL, NULL, NULL, 7),
(20544, NULL, 'MF_00945_A', NULL, NULL, 'Transcription termination/antitermination protein NusA [nusA].', NULL, 'NusA_A', NULL, NULL, NULL, 7),
(20545, NULL, 'MF_01027', NULL, NULL, '3-isopropylmalate dehydratase large subunit [leuC].', NULL, 'LeuC_type2', NULL, NULL, NULL, 7),
(20546, NULL, 'MF_02200', NULL, NULL, 'Chaperone NapD [napD].', NULL, 'NapD', NULL, NULL, NULL, 7),
(20547, NULL, 'MF_01201', NULL, NULL, 'Alanine racemase.', NULL, 'Ala_racemase', NULL, NULL, NULL, 7),
(20548, NULL, 'MF_01503', NULL, NULL, 'Putative regulatory protein <locus_tag>.', NULL, 'RemA', NULL, NULL, NULL, 7),
(20549, NULL, 'MF_00386', NULL, NULL, 'Putative membrane protein insertion efficiency factor [yidD].', NULL, 'UPF0161_YidD', NULL, NULL, NULL, 7),
(20550, NULL, 'MF_00247', NULL, NULL, 'Soluble pyridine nucleotide transhydrogenase [sthA].', NULL, 'SthA', NULL, NULL, NULL, 7),
(20551, NULL, 'MF_00571', NULL, NULL, 'Galactose-1-phosphate uridylyltransferase [galT].', NULL, 'GalP_UDP_trans', NULL, NULL, NULL, 7),
(20552, NULL, 'MF_00736', NULL, NULL, '50S ribosomal protein L11 [rplK].', NULL, 'Ribosomal_L11', NULL, NULL, NULL, 7),
(20553, NULL, 'MF_00645', NULL, NULL, 'Protein <locus_tag>.', NULL, 'AMMECR1', NULL, NULL, NULL, 7),
(20554, NULL, 'MF_01909', NULL, NULL, 'Transcription factor E [tfe].', NULL, 'TFE_arch', NULL, NULL, NULL, 7),
(20555, NULL, 'MF_00002', NULL, NULL, 'Aspartate carbamoyltransferase regulatory chain [pyrI].', NULL, 'Asp_carb_tr_reg', NULL, NULL, NULL, 7),
(20556, NULL, 'MF_01384', NULL, NULL, 'Urease accessory protein UreD [ureD].', NULL, 'UreD', NULL, NULL, NULL, 7),
(20557, NULL, 'MF_02012', NULL, NULL, 'Cell division protein ZapA [zapA].', NULL, 'ZapA_type1', NULL, NULL, NULL, 7),
(20558, NULL, 'MF_02098', NULL, NULL, 'Carnitine monooxygenase reductase subunit.', NULL, 'Carnitine_monoox_B', NULL, NULL, NULL, 7),
(20559, NULL, 'MF_01567', NULL, NULL, 'UPF0371 protein <locus_tag>.', NULL, 'UPF0371', NULL, NULL, NULL, 7),
(20560, NULL, 'MF_01500', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit G [mtrG].', NULL, 'MtrG', NULL, NULL, NULL, 7),
(20561, NULL, 'MF_01566', NULL, NULL, 'UPF0370 protein YpfN [ypfN].', NULL, 'UPF0370', NULL, NULL, NULL, 7),
(20562, NULL, 'MF_00982', NULL, NULL, 'Transcriptional regulatory protein RcsA [rcsA].', NULL, 'RcsA', NULL, NULL, NULL, 7),
(20563, NULL, 'MF_00151', NULL, NULL, 'Phosphopantetheine adenylyltransferase [coaD].', NULL, 'PPAT_bact', NULL, NULL, NULL, 7),
(20564, NULL, 'MF_03000', NULL, NULL, 'Eukaryotic translation initiation factor 3 subunit A [EIF3A].', NULL, 'eIF3a', NULL, NULL, NULL, 7),
(20565, NULL, 'MF_00700', NULL, NULL, 'DNA primase small subunit PriS [priS].', NULL, 'DNA_primase_sml_arc', NULL, NULL, NULL, 7),
(20566, NULL, 'MF_00828', NULL, NULL, 'Photosystem I reaction center subunit XII [psaM].', NULL, 'PSI_PsaM', NULL, NULL, NULL, 7);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20567, NULL, 'MF_01331_B', NULL, NULL, '50S ribosomal protein L22 [rplV].', NULL, 'Ribosomal_L22_B', NULL, NULL, NULL, 7),
(20568, NULL, 'MF_01859', NULL, NULL, 'Ribosomal RNA large subunit methyltransferase G [rlmG].', NULL, '23SrRNA_methyltr_G', NULL, NULL, NULL, 7),
(20569, NULL, 'MF_00920', NULL, NULL, 'Signal recognition particle receptor FtsY [ftsY].', NULL, 'FtsY', NULL, NULL, NULL, 7),
(20570, NULL, 'MF_00453', NULL, NULL, 'Phosphoenolpyruvate carboxykinase (ATP) [pckA].', NULL, 'PEPCK_ATP', NULL, NULL, NULL, 7),
(20571, NULL, 'MF_03014', NULL, NULL, 'Kynurenine formamidase [AFMID].', NULL, 'KFase', NULL, NULL, NULL, 7),
(20572, NULL, 'MF_01402_B', NULL, NULL, '2,3-bisphosphoglycerate-independent phosphoglycerate mutase [apgM].', NULL, 'ApgM_B', NULL, NULL, NULL, 7),
(20573, NULL, 'MF_03122', NULL, NULL, '40S ribosomal protein S1 [RPS3A].', NULL, 'Ribosomal_S3Ae_euk', NULL, NULL, NULL, 7),
(20574, NULL, 'MF_00118_B', NULL, NULL, 'Elongation factor Tu [tuf].', NULL, 'EF_Tu_B', NULL, NULL, NULL, 7),
(20575, NULL, 'MF_02233', NULL, NULL, 'Ubiquinone biosynthesis protein UbiV [ubiV].', NULL, 'UbiV', NULL, NULL, NULL, 7),
(20576, NULL, 'MF_01661', NULL, NULL, 'D-ribose pyranase [rbsD].', NULL, 'D_rib_pyranase', NULL, NULL, NULL, 7),
(20577, NULL, 'MF_01098', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit E [mtrE].', NULL, 'MtrE', NULL, NULL, NULL, 7),
(20578, NULL, 'MF_00727', NULL, NULL, 'Protein-glutamine gamma-glutamyltransferase [tgl].', NULL, 'Tgl', NULL, NULL, NULL, 7),
(20579, NULL, 'MF_02095', NULL, NULL, '3''(2''),5''-bisphosphate nucleotidase CysQ [cysQ].', NULL, 'CysQ', NULL, NULL, NULL, 7),
(20580, NULL, 'MF_02220', NULL, NULL, 'Xylulose kinase [xylB].', NULL, 'XylB', NULL, NULL, NULL, 7),
(20581, NULL, 'MF_00160', NULL, NULL, 'Phosphoserine aminotransferase [serC].', NULL, 'SerC_aminotrans_5', NULL, NULL, NULL, 7),
(20582, NULL, 'MF_02227', NULL, NULL, 'Ribulose-phosphate 3-epimerase [rpe].', NULL, 'RPE', NULL, NULL, NULL, 7),
(20583, NULL, 'MF_01625', NULL, NULL, 'ATPase RavA [ravA].', NULL, 'ATPase_RavA', NULL, NULL, NULL, 7),
(20584, NULL, 'MF_00021', NULL, NULL, 'tRNA sulfurtransferase [thiI].', NULL, 'ThiI', NULL, NULL, NULL, 7),
(20585, NULL, 'MF_00970', NULL, NULL, 'Ribonuclease E [rne].', NULL, 'RNase_E', NULL, NULL, NULL, 7),
(20586, NULL, 'MF_00403_A', NULL, NULL, '30S ribosomal protein S12 [rpsL].', NULL, 'Ribosomal_S12_A', NULL, NULL, NULL, 7),
(20587, NULL, 'MF_02089', NULL, NULL, 'Epoxyqueuosine reductase QueH [queH].', NULL, 'QueH', NULL, NULL, NULL, 7),
(20588, NULL, 'MF_01343_A', NULL, NULL, '30S ribosomal protein S15 [rpsO].', NULL, 'Ribosomal_S15_A', NULL, NULL, NULL, 7),
(20589, NULL, 'MF_01359', NULL, NULL, 'NADH-quinone oxidoreductase subunit C/D [nuoC].', NULL, 'NDH1_NuoCD_1', NULL, NULL, NULL, 7),
(20590, NULL, 'MF_04119', NULL, NULL, 'Minor capsid protein.', NULL, 'CAPSID_PROTEIN_T7', NULL, NULL, NULL, 7),
(20591, NULL, 'MF_01964', NULL, NULL, 'Inosine-5''-monophosphate dehydrogenase [guaB].', NULL, 'IMPDH', NULL, NULL, NULL, 7),
(20592, NULL, 'MF_01670', NULL, NULL, 'Malonate-semialdehyde dehydrogenase [iolA].', NULL, 'IolA', NULL, NULL, NULL, 7),
(20593, NULL, 'MF_04099', NULL, NULL, 'Spike glycoprotein [S].', NULL, 'BETA_CORONA_SPIKE', NULL, NULL, NULL, 7),
(20594, NULL, 'MF_00676', NULL, NULL, 'UPF0260 protein YcgN [ycgN].', NULL, 'UPF0260', NULL, NULL, NULL, 7),
(20595, NULL, 'MF_00617', NULL, NULL, 'Mannosyl-3-phosphoglycerate phosphatase [mngB].', NULL, 'MPGP_rel', NULL, NULL, NULL, 7),
(20596, NULL, 'MF_01970', NULL, NULL, 'Kynureninase [kynU].', NULL, 'Kynureninase', NULL, NULL, NULL, 7),
(20597, NULL, 'MF_03055', NULL, NULL, 'tRNA (guanine-N(7)-)-methyltransferase [METTL1].', NULL, 'tRNA_methyltr_TrmB_euk', NULL, NULL, NULL, 7),
(20598, NULL, 'MF_00517', NULL, NULL, 'Probable sugar efflux transporter [sotB].', NULL, 'MFS_SotB', NULL, NULL, NULL, 7),
(20599, NULL, 'MF_01944', NULL, NULL, 'Lipid A biosynthesis myristoyltransferase [lpxM].', NULL, 'Lipid_A_LpxM', NULL, NULL, NULL, 7);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20600, NULL, 'MF_01476', NULL, NULL, '50S ribosomal protein L44e [rpl44e].', NULL, 'Ribosomal_L44e', NULL, NULL, NULL, 7),
(20601, NULL, 'MF_01067', NULL, NULL, 'UPF0259 membrane protein YciC [yciC].', NULL, 'UPF0259', NULL, NULL, NULL, 7),
(20602, NULL, 'MF_01371_A', NULL, NULL, '50S ribosomal protein L30 [rpmD].', NULL, 'Ribosomal_L30_A', NULL, NULL, NULL, 7),
(20603, NULL, 'MF_01511', NULL, NULL, 'GMP reductase [guaC].', NULL, 'GMP_reduct_type2', NULL, NULL, NULL, 7),
(20604, NULL, 'MF_00073', NULL, NULL, 'Transcription antitermination protein NusB [nusB].', NULL, 'NusB', NULL, NULL, NULL, 7),
(20605, NULL, 'MF_02071', NULL, NULL, 'Endolytic peptidoglycan transglycosylase RlpA [rlpA].', NULL, 'RlpA', NULL, NULL, NULL, 7),
(20606, NULL, 'MF_00432', NULL, NULL, 'Cytochrome b6-f complex subunit 5 [petG].', NULL, 'Cytb6_f_PetG', NULL, NULL, NULL, 7),
(20607, NULL, 'MF_04104', NULL, NULL, 'Holin.', NULL, 'HOLIN_T4', NULL, NULL, NULL, 7),
(20608, NULL, 'MF_00740', NULL, NULL, 'Phosphopentomutase [deoB].', NULL, 'Phosphopentomut', NULL, NULL, NULL, 7),
(20609, NULL, 'MF_01980', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_Long', NULL, NULL, NULL, 7),
(20610, NULL, 'MF_01210_A', NULL, NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, 'CPSase_L_chain_A', NULL, NULL, NULL, 7),
(20611, NULL, 'MF_00977', NULL, NULL, '3''-5'' exoribonuclease.', NULL, '3_5_Exoribonuc_actinobact', NULL, NULL, NULL, 7),
(20612, NULL, 'MF_00348', NULL, NULL, 'DNA repair and recombination protein RadA [radA].', NULL, 'RadA_arch', NULL, NULL, NULL, 7),
(20613, NULL, 'MF_01676', NULL, NULL, 'Alkyl hydroperoxide reductase AhpD [ahpD].', NULL, 'AhpD', NULL, NULL, NULL, 7),
(20614, NULL, 'MF_01177', NULL, NULL, 'HTH-type transcriptional repressor NsrR [nsrR].', NULL, 'HTH_type_NsrR', NULL, NULL, NULL, 7),
(20615, NULL, 'MF_04076', NULL, NULL, 'External core antigen [C].', NULL, 'HBV_HBEAG', NULL, NULL, NULL, 7),
(20616, NULL, 'MF_00587', NULL, NULL, 'tRNA (pseudouridine(54)-N(1))-methyltransferase [trmY].', NULL, 'tRNA_methyltr_TrmY', NULL, NULL, NULL, 7),
(20617, NULL, 'MF_01336', NULL, NULL, '50S ribosomal protein L25 [rplY].', NULL, 'Ribosomal_L25', NULL, NULL, NULL, 7),
(20618, NULL, 'MF_01441', NULL, NULL, 'DNA protection during starvation protein [dps].', NULL, 'Dps', NULL, NULL, NULL, 7),
(20619, NULL, 'MF_00462', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit D [rsxD].', NULL, 'RsxD_RnfD', NULL, NULL, NULL, 7),
(20620, NULL, 'MF_01591', NULL, NULL, 'Protein Ves [ves].', NULL, 'Ves', NULL, NULL, NULL, 7),
(20621, NULL, 'MF_00933', NULL, NULL, 'Arylsulfate sulfotransferase AssT [assT].', NULL, 'Arylsulfotrans_AssT', NULL, NULL, NULL, 7),
(20622, NULL, 'MF_04067', NULL, NULL, 'Nuclear export protein [NS].', NULL, 'INFV_NEP', NULL, NULL, NULL, 7),
(20623, NULL, 'MF_00958', NULL, NULL, 'Regulator of RpoS [rssB].', NULL, 'RssB', NULL, NULL, NULL, 7),
(20624, NULL, 'MF_00718', NULL, NULL, 'Tautomerase PptA [pptA].', NULL, 'Tautomerase_PptA', NULL, NULL, NULL, 7),
(20625, NULL, 'MF_01872', NULL, NULL, 'tRNA1(Val) (adenine(37)-N6)-methyltransferase [yfiC].', NULL, 'tRNA_methyltr_YfiC', NULL, NULL, NULL, 7),
(20626, NULL, 'MF_01463_B', NULL, NULL, 'Protein translocase subunit SecD [secD].', NULL, 'SecD_B', NULL, NULL, NULL, 7),
(20627, NULL, 'MF_00183', NULL, NULL, '1-deoxy-D-xylulose 5-phosphate reductoisomerase [dxr].', NULL, 'DXP_reductoisom', NULL, NULL, NULL, 7),
(20628, NULL, 'MF_03044', NULL, NULL, '25S rRNA (adenine(2142)-N(1))-methyltransferase [BMT2].', NULL, 'BMT2', NULL, NULL, NULL, 7),
(20629, NULL, 'MF_01334', NULL, NULL, '50S ribosomal protein L25 [rplY].', NULL, 'Ribosomal_L25_CTC', NULL, NULL, NULL, 7),
(20630, NULL, 'MF_03031', NULL, NULL, 'Protein argonaute-2 [AGO2].', NULL, 'AGO2', NULL, NULL, NULL, 7),
(20631, NULL, 'MF_00696', NULL, NULL, 'Fatty acid metabolism regulator protein [fadR].', NULL, 'HTH_FadR', NULL, NULL, NULL, 7);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20632, NULL, 'MF_01381', NULL, NULL, 'Endo-type membrane-bound lytic murein transglycosylase A [emtA].', NULL, 'EmtA', NULL, NULL, NULL, 7),
(20633, NULL, 'MF_02035', NULL, NULL, 'Hercynine oxygenase [egtB].', NULL, 'EgtB', NULL, NULL, NULL, 7),
(20634, NULL, 'MF_00300', NULL, NULL, 'Chorismate synthase [aroC].', NULL, 'Chorismate_synth', NULL, NULL, NULL, 7),
(20635, NULL, 'MF_01229', NULL, NULL, 'Alkanesulfonate monooxygenase [ssuD].', NULL, 'Alkanesulf_monooxygen', NULL, NULL, NULL, 7),
(20636, NULL, 'MF_00400', NULL, NULL, 'Multidrug resistance protein MdtK [mdtK].', NULL, 'MdtK', NULL, NULL, NULL, 7),
(20637, NULL, 'MF_02026', NULL, NULL, 'dTDP-4-amino-4,6-dideoxygalactose transaminase [wecE].', NULL, 'WecE_RffA', NULL, NULL, NULL, 7),
(20638, NULL, 'MF_00431', NULL, NULL, 'Photosystem I reaction center subunit VIII [psaI].', NULL, 'PSI_PsaI', NULL, NULL, NULL, 7),
(20639, NULL, 'MF_00228', NULL, NULL, 'Hydroxyethylthiazole kinase [thiM].', NULL, 'Thz_kinase', NULL, NULL, NULL, 7),
(20640, NULL, 'MF_00552', NULL, NULL, 'Zinc transporter ZitB [zitB].', NULL, 'ZitB', NULL, NULL, NULL, 7),
(20641, NULL, 'MF_01583', NULL, NULL, 'Threonine/serine transporter TdcC [tdcC].', NULL, 'Thr_Ser_transp_TdcC', NULL, NULL, NULL, 7),
(20642, NULL, 'MF_00931', NULL, NULL, 'Aldehyde decarbonylase.', NULL, 'Aldeh_decarbonylase', NULL, NULL, NULL, 7),
(20643, NULL, 'MF_01843', NULL, NULL, 'Protein Thf1 [thf1].', NULL, 'Thf1', NULL, NULL, NULL, 7),
(20644, NULL, 'MF_01097', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit D [mtrD].', NULL, 'MtrD', NULL, NULL, NULL, 7),
(20645, NULL, 'MF_03206', NULL, NULL, 'Elongation of very long chain fatty acids protein 6 [ELOVL6].', NULL, 'VLCF_elongase_6', NULL, NULL, NULL, 7),
(20646, NULL, 'MF_00062', NULL, NULL, 'Sulfate adenylyltransferase subunit 1 [cysN].', NULL, 'Sulf_adenylyltr_sub1', NULL, NULL, NULL, 7),
(20647, NULL, 'MF_01040', NULL, NULL, 'Probable phosphoglycerate mutase GpmB [gpmB].', NULL, 'PGAM_GpmB', NULL, NULL, NULL, 7),
(20648, NULL, 'MF_04144', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_LAMBDA', NULL, NULL, NULL, 7),
(20649, NULL, 'MF_02077', NULL, NULL, 'Lipid II flippase Amj [amj].', NULL, 'Amj_flippase', NULL, NULL, NULL, 7),
(20650, NULL, 'MF_00253_A', NULL, NULL, 'Glycine--tRNA ligase [glyQS].', NULL, 'Gly_tRNA_synth_A', NULL, NULL, NULL, 7),
(20651, NULL, 'MF_00272', NULL, NULL, 'Glycine cleavage system H protein [gcvH].', NULL, 'GcvH', NULL, NULL, NULL, 7),
(20652, NULL, 'MF_02215', NULL, NULL, 'Ubiquinone biosynthesis accessory factor UbiJ [ubiJ].', NULL, 'UbiJ', NULL, NULL, NULL, 7),
(20653, NULL, 'MF_01554_B', NULL, NULL, 'Phosphoglucosamine mutase [glmM].', NULL, 'GlmM_B', NULL, NULL, NULL, 7),
(20654, NULL, 'MF_00374', NULL, NULL, '50S ribosomal protein L29 [rpmC].', NULL, 'Ribosomal_L29', NULL, NULL, NULL, 7),
(20655, NULL, 'MF_01365_A', NULL, NULL, '50S ribosomal protein L6 [rplF].', NULL, 'Ribosomal_L6_A', NULL, NULL, NULL, 7),
(20656, NULL, 'MF_01161', NULL, NULL, 'tRNA(Ile)-lysidine synthase [tilS].', NULL, 'tRNA_Ile_lys_synt', NULL, NULL, NULL, 7),
(20657, NULL, 'MF_00460', NULL, NULL, 'Protein RnfH [rnfH].', NULL, 'UPF0125_RnfH', NULL, NULL, NULL, 7),
(20658, NULL, 'MF_04200', NULL, NULL, 'Spike glycoprotein [S].', NULL, 'ALPHA_CORONA_SPIKE', NULL, NULL, NULL, 7),
(20659, NULL, 'MF_02232', NULL, NULL, 'Ubiquinone biosynthesis protein UbiU [ubiU].', NULL, 'UbiU', NULL, NULL, NULL, 7),
(20660, NULL, 'MF_00815', NULL, NULL, 'ATP synthase gamma chain [atpG].', NULL, 'ATP_synth_gamma_bact', NULL, NULL, NULL, 7),
(20661, NULL, 'MF_01645', NULL, NULL, 'Allantoinase [allB].', NULL, 'Hydantoinase', NULL, NULL, NULL, 7),
(20662, NULL, 'MF_00248', NULL, NULL, 'ATP-dependent protease subunit HslV [hslV].', NULL, 'HslV', NULL, NULL, NULL, 7),
(20663, NULL, 'MF_01642', NULL, NULL, 'LL-diaminopimelate aminotransferase [dapL].', NULL, 'DapL_aminotrans_1', NULL, NULL, NULL, 7);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20664, NULL, 'MF_00224', NULL, NULL, 'Dihydroorotate dehydrogenase [pyrD].', NULL, 'DHO_dh_type1', NULL, NULL, NULL, 7),
(20665, NULL, 'MF_01006', NULL, NULL, 'Undecaprenyl-diphosphatase [uppP].', NULL, 'Undec_diphosphatase', NULL, NULL, NULL, 7),
(20666, NULL, 'MF_01309_A', NULL, NULL, '30S ribosomal protein S3 [rpsC].', NULL, 'Ribosomal_S3_A', NULL, NULL, NULL, 7),
(20667, NULL, 'MF_01861', NULL, NULL, 'UPF0738 protein <locus_tag>.', NULL, 'UPF0738', NULL, NULL, NULL, 7),
(20668, NULL, 'MF_01673', NULL, NULL, '5-deoxy-glucuronate isomerase [iolB].', NULL, 'IolB', NULL, NULL, NULL, 7),
(20669, NULL, 'MF_01455', NULL, NULL, 'UPF0757 protein YmgG [ymgG].', NULL, 'UPF0757', NULL, NULL, NULL, 7),
(20670, NULL, 'MF_04085', NULL, NULL, 'Nucleoprotein [N].', NULL, 'ARENA_NCAP', NULL, NULL, NULL, 7),
(20671, NULL, 'MF_01626', NULL, NULL, 'Protein ViaA [viaA].', NULL, 'ViaA', NULL, NULL, NULL, 7),
(20672, NULL, 'MF_01974', NULL, NULL, 'Methionine aminopeptidase [map].', NULL, 'MetAP_1', NULL, NULL, NULL, 7),
(20673, NULL, 'MF_02212', NULL, NULL, 'Broad specificity amino-acid racemase.', NULL, 'Bsr_racemase', NULL, NULL, NULL, 7),
(20674, NULL, 'MF_01061', NULL, NULL, 'Primosomal protein 1 [dnaT].', NULL, 'DnaT', NULL, NULL, NULL, 7),
(20675, NULL, 'MF_01210_B', NULL, NULL, 'Carbamoyl-phosphate synthase large chain [carB].', NULL, 'CPSase_L_chain_B', NULL, NULL, NULL, 7),
(20676, NULL, 'MF_00849', NULL, NULL, '50S ribosomal subunit assembly factor BipA [bipA].', NULL, 'BipA', NULL, NULL, NULL, 7),
(20677, NULL, 'MF_02007', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type2', NULL, NULL, NULL, 7),
(20678, NULL, 'MF_00813', NULL, NULL, 'Probable allantoicase [alc].', NULL, 'Allantoicase', NULL, NULL, NULL, 7),
(20679, NULL, 'MF_00121', NULL, NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit B [gatB].', NULL, 'GatB', NULL, NULL, NULL, 7),
(20680, NULL, 'MF_00243', NULL, NULL, 'Nicotinamide-nucleotide adenylyltransferase.', NULL, 'NMN_adenylyltr', NULL, NULL, NULL, 7),
(20681, NULL, 'MF_04031', NULL, NULL, 'Deoxyuridine 5''-triphosphate nucleotidohydrolase [DUT].', NULL, 'HSV_DUT', NULL, NULL, NULL, 7),
(20682, NULL, 'MF_00296', NULL, NULL, 'Homoserine O-acetyltransferase [metXA].', NULL, 'MetX_acyltransf', NULL, NULL, NULL, 7),
(20683, NULL, 'MF_00786', NULL, NULL, 'Probable cobalt-precorrin-6B C(15)-methyltransferase (decarboxylating) [cbiT].', NULL, 'CbiT', NULL, NULL, NULL, 7),
(20684, NULL, 'MF_02046', NULL, NULL, 'NAD-dependent glucose-6-phosphate dehydrogenase.', NULL, 'Glc6PDH_archaea', NULL, NULL, NULL, 7),
(20685, NULL, 'MF_04064', NULL, NULL, 'Protein PB1-F2 [PB1].', NULL, 'INFV_PB1F2', NULL, NULL, NULL, 7),
(20686, NULL, 'MF_00583_B', NULL, NULL, 'Putative ribose-phosphate pyrophosphokinase [prs].', NULL, 'RibP_PPkinase_B', NULL, NULL, NULL, 7),
(20687, NULL, 'MF_00084', NULL, NULL, 'Nodulation protein A [nodA].', NULL, 'NodA', NULL, NULL, NULL, 7),
(20688, NULL, 'MF_01501', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit H [mtrH].', NULL, 'MtrH', NULL, NULL, NULL, 7),
(20689, NULL, 'MF_00827', NULL, NULL, 'UPF0386 protein YjhX [yjhX].', NULL, 'UPF0386', NULL, NULL, NULL, 7),
(20690, NULL, 'MF_01442', NULL, NULL, 'Coproheme decarboxylase [chdC].', NULL, 'Coproheme_decarbox_1', NULL, NULL, NULL, 7),
(20691, NULL, 'MF_01461', NULL, NULL, 'Energy-coupling factor transporter transmembrane protein EcfT [ecfT].', NULL, 'EcfT', NULL, NULL, NULL, 7),
(20692, NULL, 'MF_01956', NULL, NULL, 'G/U mismatch-specific DNA glycosylase [mug].', NULL, 'MUG', NULL, NULL, NULL, 7),
(20693, NULL, 'MF_00495', NULL, NULL, 'Phosphoglycolate phosphatase [gph].', NULL, 'GPH_hydrolase_bact', NULL, NULL, NULL, 7),
(20694, NULL, 'MF_00415', NULL, NULL, 'Flagellar L-ring protein [flgH].', NULL, 'FlgH', NULL, NULL, NULL, 7),
(20695, NULL, 'MF_01448', NULL, NULL, 'UPF0473 protein <locus_tag>.', NULL, 'UPF0473', NULL, NULL, NULL, 7);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20696, NULL, 'MF_03126', NULL, NULL, 'Adenylosuccinate synthetase isozyme 1 [ADSSL1].', NULL, 'Adenylosucc_synth_vert_basic', NULL, NULL, NULL, 7),
(20697, NULL, 'MF_01168', NULL, NULL, 'N-glycosylase/DNA lyase.', NULL, 'AGOG', NULL, NULL, NULL, 7),
(20698, NULL, 'MF_00725', NULL, NULL, 'Flagellar transcriptional regulator FlhD [flhD].', NULL, 'FlhD', NULL, NULL, NULL, 7),
(20699, NULL, 'MF_01650', NULL, NULL, '3-phenylpropionate/cinnamic acid dioxygenase ferredoxin subunit [hcaC].', NULL, 'HcaC', NULL, NULL, NULL, 7),
(20700, NULL, 'MF_00782', NULL, NULL, 'Glutathione biosynthesis bifunctional protein GshAB [gshAB].', NULL, 'Glut_biosynth', NULL, NULL, NULL, 7),
(20701, NULL, 'MF_01165', NULL, NULL, 'Undecaprenyl phosphate-alpha-4-amino-4-deoxy-L-arabinose arabinosyl transferase [arnT].', NULL, 'ArnT_transfer', NULL, NULL, NULL, 7),
(20702, NULL, 'MF_02129', NULL, NULL, 'L-carnitine dehydrogenase [lcdH].', NULL, 'L_carnitine_dehydrog', NULL, NULL, NULL, 7),
(20703, NULL, 'MF_00170', NULL, NULL, 'Ribose-5-phosphate isomerase A [rpiA].', NULL, 'Rib_5P_isom_A', NULL, NULL, NULL, 7),
(20704, NULL, 'MF_01078', NULL, NULL, 'RNA-free ribonuclease P.', NULL, 'RNA_free_RNase_P', NULL, NULL, NULL, 7),
(20705, NULL, 'MF_00105', NULL, NULL, 'Transcription elongation factor GreA [greA].', NULL, 'GreA_GreB', NULL, NULL, NULL, 7),
(20706, NULL, 'MF_01294', NULL, NULL, 'D-tagatose-1,6-bisphosphate aldolase subunit GatY [gatY].', NULL, 'TagBP_aldolase_GatY', NULL, NULL, NULL, 7),
(20707, NULL, 'MF_04101', NULL, NULL, 'DNA-directed DNA polymerase.', NULL, 'DPOL_T7', NULL, NULL, NULL, 7),
(20708, NULL, 'MF_00914', NULL, NULL, 'L-alanine exporter AlaE [alaE].', NULL, 'L_Ala_exporter', NULL, NULL, NULL, 7),
(20709, NULL, 'MF_03226', NULL, NULL, 'Splicing factor YJU2 [YJU2].', NULL, 'YJU2', NULL, NULL, NULL, 7),
(20710, NULL, 'MF_02219', NULL, NULL, 'Type 3 secretion system secretin [sctC].', NULL, 'Type_III_secretin', NULL, NULL, NULL, 7),
(20711, NULL, 'MF_00119', NULL, NULL, 'Translation initiation factor 2 subunit gamma [eif2g].', NULL, 'eIF_2_gamma', NULL, NULL, NULL, 7),
(20712, NULL, 'MF_00574', NULL, NULL, 'Putative ribosomal protein L7Ae-like.', NULL, 'Ribosomal_L7Ae_Bact', NULL, NULL, NULL, 7),
(20713, NULL, 'MF_01477', NULL, NULL, 'Ribosomal silencing factor RsfS [rsfS].', NULL, 'Iojap_RsfS', NULL, NULL, NULL, 7),
(20714, NULL, 'MF_04001', NULL, NULL, 'Regulatory protein E2 [E2].', NULL, 'PPV_E2', NULL, NULL, NULL, 7),
(20715, NULL, 'MF_00437', NULL, NULL, 'Photosystem I assembly protein Ycf4 [ycf4].', NULL, 'Ycf4', NULL, NULL, NULL, 7),
(20716, NULL, 'MF_01150', NULL, NULL, 'Chaperone protein TorD [torD].', NULL, 'TorD', NULL, NULL, NULL, 7),
(20717, NULL, 'MF_00562', NULL, NULL, 'D-aminoacyl-tRNA deacylase [dtdA].', NULL, 'Deacylase_DtdA', NULL, NULL, NULL, 7),
(20718, NULL, 'MF_00774', NULL, NULL, 'Acyl transferase [luxD].', NULL, 'LuxD', NULL, NULL, NULL, 7),
(20719, NULL, 'MF_00003', NULL, NULL, 'Ribosome-binding factor A [rbfA].', NULL, 'RbfA', NULL, NULL, NULL, 7),
(20720, NULL, 'MF_04083', NULL, NULL, 'Envelope glycoprotein gp160 [env].', NULL, 'HIV_ENV', NULL, NULL, NULL, 7),
(20721, NULL, 'MF_00097', NULL, NULL, 'Thiamine-phosphate synthase [thiE].', NULL, 'TMP_synthase', NULL, NULL, NULL, 7),
(20722, NULL, 'MF_00007', NULL, NULL, 'DNA primase DnaG [dnaG].', NULL, 'DNA_primase_DnaG_arc', NULL, NULL, NULL, 7),
(20723, NULL, 'MF_02218', NULL, NULL, 'Glucosamine kinase.', NULL, 'GlcN_kinase', NULL, NULL, NULL, 7),
(20724, NULL, 'MF_00070', NULL, NULL, '2-keto-3-deoxygluconate permease [kdgT].', NULL, 'KdgT', NULL, NULL, NULL, 7),
(20725, NULL, 'MF_00111', NULL, NULL, 'UDP-N-acetylglucosamine 1-carboxyvinyltransferase [murA].', NULL, 'MurA', NULL, NULL, NULL, 7),
(20726, NULL, 'MF_00053', NULL, NULL, 'Ribonuclease HIII [rnhC].', NULL, 'RNase_HIII', NULL, NULL, NULL, 7),
(20727, NULL, 'MF_01344', NULL, NULL, 'Cytochrome b6-f complex subunit 4 [petD].', NULL, 'Cytb6_f_subIV', NULL, NULL, NULL, 7);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20728, NULL, 'MF_01265', NULL, NULL, 'L-aspartate dehydrogenase [nadX].', NULL, 'NadX', NULL, NULL, NULL, 7),
(20729, NULL, 'MF_04138', NULL, NULL, 'Tape measure protein [H].', NULL, 'TMP_LAMBDA', NULL, NULL, NULL, 7),
(20730, NULL, 'MF_01004', NULL, NULL, 'Vitamin B12 import system permease protein BtuC [btuC].', NULL, 'BtuC', NULL, NULL, NULL, 7),
(20731, NULL, 'MF_01318_B', NULL, NULL, '50S ribosomal protein L1 [rplA].', NULL, 'Ribosomal_L1_B', NULL, NULL, NULL, 7),
(20732, NULL, 'MF_01609', NULL, NULL, 'Glutamate--cysteine ligase [gshA].', NULL, 'Glu_cys_ligase_2', NULL, NULL, NULL, 7),
(20733, NULL, 'MF_01432', NULL, NULL, 'Non-specific ribonucleoside hydrolase RihC [rihC].', NULL, 'Nucleosid_hydro_RihC', NULL, NULL, NULL, 7),
(20734, NULL, 'MF_00414', NULL, NULL, 'Probable protein kinase UbiB [ubiB].', NULL, 'UbiB', NULL, NULL, NULL, 7),
(20735, NULL, 'MF_04037', NULL, NULL, 'Envelope glycoprotein N [gN].', NULL, 'HSV_GN', NULL, NULL, NULL, 7),
(20736, NULL, 'MF_00419', NULL, NULL, 'Phosphoribosylformylglycinamidine synthase [purL].', NULL, 'PurL_1', NULL, NULL, NULL, 7),
(20737, NULL, 'MF_00928', NULL, NULL, '4-O-beta-D-mannosyl-D-glucose phosphorylase.', NULL, 'Man_Glc_phosphorylase', NULL, NULL, NULL, 7),
(20738, NULL, 'MF_00146', NULL, NULL, 'dCTP deaminase, dUMP-forming [dcd].', NULL, 'dCTP_deaminase', NULL, NULL, NULL, 7),
(20739, NULL, 'MF_02023', NULL, NULL, 'Dissimilatory sulfite reductase.', NULL, 'Sulfite_red', NULL, NULL, NULL, 7),
(20740, NULL, 'MF_02078', NULL, NULL, 'Probable lipid II flippase MurJ [murJ].', NULL, 'MurJ_MviN', NULL, NULL, NULL, 7),
(20741, NULL, 'MF_02224', NULL, NULL, '4-phosphopantoate--beta-alanine ligase.', NULL, 'PPS', NULL, NULL, NULL, 7),
(20742, NULL, 'MF_02039', NULL, NULL, 'Cell division protein FtsN [ftsN].', NULL, 'FtsN_entero', NULL, NULL, NULL, 7),
(20743, NULL, 'MF_00291_B', NULL, NULL, '30S ribosomal protein S2 [rpsB].', NULL, 'Ribosomal_S2_B', NULL, NULL, NULL, 7),
(20744, NULL, 'MF_00033', NULL, NULL, 'UDP-N-acetylglucosamine--N-acetylmuramyl-(pentapeptide) pyrophosphoryl-undecaprenol N-acetylglucosamine transferase [murG].', NULL, 'MurG', NULL, NULL, NULL, 7),
(20745, NULL, 'MF_00911', NULL, NULL, 'Cell division protein FtsQ [ftsQ].', NULL, 'FtsQ_subfam', NULL, NULL, NULL, 7),
(20746, NULL, 'MF_00169', NULL, NULL, '3-dehydroquinate dehydratase [aroQ].', NULL, 'AroQ', NULL, NULL, NULL, 7),
(20747, NULL, 'MF_00639', NULL, NULL, 'UDP-N-acetylmuramoylalanine--D-glutamate ligase [murD].', NULL, 'MurD', NULL, NULL, NULL, 7),
(20748, NULL, 'MF_04053', NULL, NULL, 'Core-capsid bridging protein [L2].', NULL, 'ADV_CORE5', NULL, NULL, NULL, 7),
(20749, NULL, 'MF_00515', NULL, NULL, 'N-methyl-L-tryptophan oxidase [solA].', NULL, 'MTOX', NULL, NULL, NULL, 7),
(20750, NULL, 'MF_00785', NULL, NULL, 'Sirohydrochlorin cobaltochelatase [cbiX].', NULL, 'CbiX', NULL, NULL, NULL, 7),
(20751, NULL, 'MF_00074', NULL, NULL, 'Ribosomal RNA small subunit methyltransferase G [rsmG].', NULL, '16SrRNA_methyltr_G', NULL, NULL, NULL, 7),
(20752, NULL, 'MF_00695', NULL, NULL, 'High frequency lysogenization protein HflD [hflD].', NULL, 'HflD_protein', NULL, NULL, NULL, 7),
(20753, NULL, 'MF_01825', NULL, NULL, 'Erythronate-4-phosphate dehydrogenase [pdxB].', NULL, 'PdxB', NULL, NULL, NULL, 7),
(20754, NULL, 'MF_04133', NULL, NULL, 'Major capsid protein [E].', NULL, 'CAPSID_LAMBDA', NULL, NULL, NULL, 7),
(20755, NULL, 'MF_01938', NULL, NULL, '2-carboxy-1,4-naphthoquinone phytyltransferase [menA].', NULL, 'MenA_2', NULL, NULL, NULL, 7),
(20756, NULL, 'MF_02036', NULL, NULL, 'Gamma-glutamyl-hercynylcysteine sulfoxide hydrolase [egtC].', NULL, 'EgtC', NULL, NULL, NULL, 7),
(20757, NULL, 'MF_00788', NULL, NULL, '50S ribosomal protein L40e [rpl40e].', NULL, 'Ribosomal_L40e', NULL, NULL, NULL, 7),
(20758, NULL, 'MF_01154', NULL, NULL, 'Curved DNA-binding protein [cbpA].', NULL, 'CbpA', NULL, NULL, NULL, 7),
(20759, NULL, 'MF_02086', NULL, NULL, '4-hydroxythreonine-4-phosphate dehydrogenase [pdxA].', NULL, 'PdxA_Epsilonprot', NULL, NULL, NULL, 7);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20760, NULL, 'MF_00388', NULL, NULL, 'UDP-3-O-acyl-N-acetylglucosamine deacetylase [lpxC].', NULL, 'LpxC', NULL, NULL, NULL, 7),
(20761, NULL, 'MF_00791', NULL, NULL, 'Protein ApaG [apaG].', NULL, 'ApaG', NULL, NULL, NULL, 7),
(20762, NULL, 'MF_03046', NULL, NULL, 'Transcription and mRNA export factor <gene_name> [SUS1].', NULL, 'ENY2_Sus1', NULL, NULL, NULL, 7),
(20763, NULL, 'MF_01601', NULL, NULL, 'ADP-L-glycero-D-manno-heptose-6-epimerase [hldD].', NULL, 'Heptose_epimerase', NULL, NULL, NULL, 7),
(20764, NULL, 'MF_00066', NULL, NULL, 'Sulfate adenylyltransferase [sat].', NULL, 'Sulf_adenylyltr', NULL, NULL, NULL, 7),
(20765, NULL, 'MF_00128', NULL, NULL, 'Protein NrdI [nrdI].', NULL, 'NrdI', NULL, NULL, NULL, 7),
(20766, NULL, 'MF_00091', NULL, NULL, 'S-ribosylhomocysteine lyase [luxS].', NULL, 'LuxS', NULL, NULL, NULL, 7),
(20767, NULL, 'MF_00555', NULL, NULL, 'Aspartate--ammonia ligase [asnA].', NULL, 'AsnA', NULL, NULL, NULL, 7),
(20768, NULL, 'MF_01122', NULL, NULL, 'DNA/RNA-binding protein Alba [albA].', NULL, 'AlbA', NULL, NULL, NULL, 7),
(20769, NULL, 'MF_01465', NULL, NULL, 'Protein translocase subunit SecY [secY].', NULL, 'SecY', NULL, NULL, NULL, 7),
(20770, NULL, 'MF_04122', NULL, NULL, 'Internal virion protein gp15.', NULL, 'GP15_T7', NULL, NULL, NULL, 7),
(20771, NULL, 'MF_01066', NULL, NULL, 'Glucans biosynthesis protein C [mdoC].', NULL, 'MdoC_OpgC', NULL, NULL, NULL, 7),
(20772, NULL, 'MF_00283', NULL, NULL, 'Phenylalanine--tRNA ligase beta subunit [pheT].', NULL, 'Phe_tRNA_synth_beta1', NULL, NULL, NULL, 7),
(20773, NULL, 'MF_00163', NULL, NULL, 'Peptide deformylase [def].', NULL, 'Pep_deformylase', NULL, NULL, NULL, 7),
(20774, NULL, 'MF_00706', NULL, NULL, 'Ecotin [eco].', NULL, 'Ecotin', NULL, NULL, NULL, 7),
(20775, NULL, 'MF_00109', NULL, NULL, 'Shikimate kinase [aroK].', NULL, 'Shikimate_kinase', NULL, NULL, NULL, 7),
(20776, NULL, 'MF_01303', NULL, NULL, 'Photosystem I iron-sulfur center [psaC].', NULL, 'PSI_PsaC', NULL, NULL, NULL, 7),
(20777, NULL, 'MF_00542', NULL, NULL, 'Probable butyrate kinase [buk].', NULL, 'Butyrate_kinase', NULL, NULL, NULL, 7),
(20778, NULL, 'MF_01301', NULL, NULL, 'Maltoporin [lamB].', NULL, 'LamB', NULL, NULL, NULL, 7),
(20779, NULL, 'MF_04105', NULL, NULL, 'Antiholin.', NULL, 'ANTIH_T4', NULL, NULL, NULL, 7),
(20780, NULL, 'MF_02109', NULL, NULL, 'Cysteate synthase.', NULL, 'Cya_synthase', NULL, NULL, NULL, 7),
(20781, NULL, 'MF_01049', NULL, NULL, 'L-carnitine/gamma-butyrobetaine antiporter [caiT].', NULL, 'CaiT', NULL, NULL, NULL, 7),
(20782, NULL, 'MF_03151', NULL, NULL, 'Glutamyl-tRNA(Gln) amidotransferase subunit F, mitochondrial [GTF1].', NULL, 'GatF', NULL, NULL, NULL, 7),
(20783, NULL, 'MF_01510', NULL, NULL, 'GMP synthase [glutamine-hydrolyzing] subunit A [guaAA].', NULL, 'GMP_synthase_A', NULL, NULL, NULL, 7),
(20784, NULL, 'MF_01890', NULL, NULL, 'Penicillin-binding protein activator LpoA [lpoA].', NULL, 'LpoA', NULL, NULL, NULL, 7),
(20785, NULL, 'MF_00122', NULL, NULL, 'Aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase subunit C [gatC].', NULL, 'GatC', NULL, NULL, NULL, 7),
(20786, NULL, 'MF_00675', NULL, NULL, 'Uronate isomerase [uxaC].', NULL, 'UxaC', NULL, NULL, NULL, 7),
(20787, NULL, 'MF_01814', NULL, NULL, 'Transcription factor FapR [fapR].', NULL, 'Transcrip_fact_FapR', NULL, NULL, NULL, 7),
(20788, NULL, 'MF_00525', NULL, NULL, 'Surface composition regulator [glgS].', NULL, 'GlgS', NULL, NULL, NULL, 7),
(20789, NULL, 'MF_01272', NULL, NULL, 'Heme oxygenase (staphylobilin-producing) [isdG].', NULL, 'Heme_degrading_monooxygenase', NULL, NULL, NULL, 7),
(20790, NULL, 'MF_00455', NULL, NULL, 'Xylose isomerase [xylA].', NULL, 'Xylose_isom_A', NULL, NULL, NULL, 7),
(20791, NULL, 'MF_00448', NULL, NULL, '50S ribosomal protein L10e [rpl10e].', NULL, 'Ribosomal_L10e', NULL, NULL, NULL, 7),
(20792, NULL, 'MF_01069', NULL, NULL, 'Glucans biosynthesis protein G [mdoG].', NULL, 'MdoG_OpgG', NULL, NULL, NULL, 7);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20793, NULL, 'MF_00538', NULL, NULL, 'Probable 4-amino-4-deoxy-L-arabinose-phosphoundecaprenol flippase subunit ArnF [arnF].', NULL, 'Flippase_ArnF', NULL, NULL, NULL, 7),
(20794, NULL, 'MF_00498', NULL, NULL, 'UPF0179 protein <locus_tag>.', NULL, 'UPF0179', NULL, NULL, NULL, 7),
(20795, NULL, 'MF_00732', NULL, NULL, 'HTH-type transcriptional regulator MntR [mntR].', NULL, 'HTH_MntR', NULL, NULL, NULL, 7),
(20796, NULL, 'MF_01200_B', NULL, NULL, 'Orotidine 5''-phosphate decarboxylase [pyrF].', NULL, 'OMPdecase_type1_B', NULL, NULL, NULL, 7),
(20797, NULL, 'MF_01481', NULL, NULL, 'Photosystem II lipoprotein Psb27 [psb27].', NULL, 'PSII_Psb27', NULL, NULL, NULL, 7),
(20798, NULL, 'MF_01137', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit alpha [cdhA].', NULL, 'CdhA', NULL, NULL, NULL, 7),
(20799, NULL, 'MF_01975', NULL, NULL, 'Methionine aminopeptidase [map].', NULL, 'MetAP_2_arc', NULL, NULL, NULL, 7),
(20800, NULL, 'MF_03148', NULL, NULL, 'Inosine triphosphate pyrophosphatase [ITPA].', NULL, 'HAM1_NTPase', NULL, NULL, NULL, 7),
(20801, NULL, 'MF_00236', NULL, NULL, 'Sec-independent protein translocase protein TatA [tatA].', NULL, 'TatA_E', NULL, NULL, NULL, 7),
(20802, NULL, 'MF_00324', NULL, NULL, 'DNA polymerase II large subunit [polC].', NULL, 'DNApol_II_L_arch', NULL, NULL, NULL, 7),
(20803, NULL, 'MF_01684', NULL, NULL, '5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase [mtnN].', NULL, 'Salvage_MtnN', NULL, NULL, NULL, 7),
(20804, NULL, 'MF_01594', NULL, NULL, 'Rhomboid protease GlpG [glpG].', NULL, 'Rhomboid_GlpG', NULL, NULL, NULL, 7),
(20805, NULL, 'MF_00745', NULL, NULL, 'Protein SprT-like.', NULL, 'SprT_like', NULL, NULL, NULL, 7),
(20806, NULL, 'MF_02044', NULL, NULL, 'DNA double-strand break repair protein Mre11 [mre11].', NULL, 'Mre11', NULL, NULL, NULL, 7),
(20807, NULL, 'MF_00698', NULL, NULL, 'Xaa-Pro dipeptidyl-peptidase [pepX].', NULL, 'Aminopeptidase_S15', NULL, NULL, NULL, 7),
(20808, NULL, 'MF_04075', NULL, NULL, 'Large envelope protein [S].', NULL, 'HBV_HBSAG', NULL, NULL, NULL, 7),
(20809, NULL, 'MF_01688', NULL, NULL, '2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase [bphD].', NULL, 'Biphenyl_BphD', NULL, NULL, NULL, 7),
(20810, NULL, 'MF_00389', NULL, NULL, 'Protein TusC [tusC].', NULL, 'Thiourid_synth_C', NULL, NULL, NULL, 7),
(20811, NULL, 'MF_02116', NULL, NULL, '2-amino-5-formylamino-6-ribosylaminopyrimidin-4(3H)-one 5''-monophosphate deformylase [arfB].', NULL, 'FAPy_deform', NULL, NULL, NULL, 7),
(20812, NULL, 'MF_01102', NULL, NULL, 'tRNA 5-methylaminomethyl-2-thiouridine biosynthesis bifunctional protein MnmC [mnmC].', NULL, 'MnmC', NULL, NULL, NULL, 7),
(20813, NULL, 'MF_01117', NULL, NULL, 'CDP-archaeol synthase [carS].', NULL, 'CDP_archaeol_synth', NULL, NULL, NULL, 7),
(20814, NULL, 'MF_01934', NULL, NULL, '1,4-dihydroxy-2-naphthoyl-CoA synthase [menB].', NULL, 'MenB', NULL, NULL, NULL, 7),
(20815, NULL, 'MF_02008', NULL, NULL, 'Tyrosine--tRNA ligase [tyrS].', NULL, 'Tyr_tRNA_synth_type3', NULL, NULL, NULL, 7),
(20816, NULL, 'MF_00235', NULL, NULL, 'Adenylate kinase [adk].', NULL, 'Adenylate_kinase_Adk', NULL, NULL, NULL, 7),
(20817, NULL, 'MF_02118', NULL, NULL, 'Octanoyltransferase LipM [lipM].', NULL, 'LipM', NULL, NULL, NULL, 7),
(20818, NULL, 'MF_01325_A', NULL, NULL, '50S ribosomal protein L3 [rplC].', NULL, 'Ribosomal_L3_A', NULL, NULL, NULL, 7),
(20819, NULL, 'MF_01630', NULL, NULL, 'Periplasmic nitrate reductase [napA].', NULL, 'Nitrate_reduct_NapA', NULL, NULL, NULL, 7),
(20820, NULL, 'MF_01899', NULL, NULL, 'Ribonuclease D [rnd].', NULL, 'RNase_D', NULL, NULL, NULL, 7),
(20821, NULL, 'MF_01846', NULL, NULL, 'Nucleoside triphosphatase NudI [nudI].', NULL, 'Nudix_NudI', NULL, NULL, NULL, 7),
(20822, NULL, 'MF_04145', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_SPP1', NULL, NULL, NULL, 7),
(20823, NULL, 'MF_01977', NULL, NULL, 'Pyrophosphate--fructose 6-phosphate 1-phosphotransferase [pfp].', NULL, 'Phosphofructokinase_II_P', NULL, NULL, NULL, 7);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20824, NULL, 'MF_04120', NULL, NULL, 'Portal protein.', NULL, 'PORTAL_PROTEIN_T7', NULL, NULL, NULL, 7),
(20825, NULL, 'MF_01358', NULL, NULL, 'NAD(P)H-quinone oxidoreductase subunit H, chloroplastic [ndhH].', NULL, 'NDH1_NuoD', NULL, NULL, NULL, 7),
(20826, NULL, 'MF_00129', NULL, NULL, 'tRNA uridine 5-carboxymethylaminomethyl modification enzyme MnmG [mnmG].', NULL, 'MnmG_GidA', NULL, NULL, NULL, 7),
(20827, NULL, 'MF_01597', NULL, NULL, 'Spermidine export protein MdtI [mdtI].', NULL, 'MdtI', NULL, NULL, NULL, 7),
(20828, NULL, 'MF_02027', NULL, NULL, 'dTDP-fucosamine acetyltransferase [wecD].', NULL, 'WecD_RffC', NULL, NULL, NULL, 7),
(20829, NULL, 'MF_01694', NULL, NULL, 'Biotin synthase [bioB].', NULL, 'BioB', NULL, NULL, NULL, 7),
(20830, NULL, 'MF_00301', NULL, NULL, 'Homoserine kinase [thrB].', NULL, 'Homoser_kinase_2', NULL, NULL, NULL, 7),
(20831, NULL, 'MF_01400', NULL, NULL, 'Peptide methionine sulfoxide reductase MsrB [msrB].', NULL, 'MsrB', NULL, NULL, NULL, 7),
(20832, NULL, 'MF_00258', NULL, NULL, 'Glutamate racemase [murI].', NULL, 'Glu_racemase', NULL, NULL, NULL, 7),
(20833, NULL, 'MF_01309_B', NULL, NULL, '30S ribosomal protein S3 [rpsC].', NULL, 'Ribosomal_S3_B', NULL, NULL, NULL, 7),
(20834, NULL, 'MF_00822', NULL, NULL, 'Urease accessory protein UreE [ureE].', NULL, 'UreE', NULL, NULL, NULL, 7),
(20835, NULL, 'MF_00690', NULL, NULL, 'UPF0270 protein YheU [yheU].', NULL, 'UPF0270', NULL, NULL, NULL, 7),
(20836, NULL, 'MF_00491', NULL, NULL, 'NAD(P)H-quinone oxidoreductase chain 4 [ndhD].', NULL, 'NDH1_NuoM', NULL, NULL, NULL, 7),
(20837, NULL, 'MF_00461', NULL, NULL, 'Ion-translocating oxidoreductase complex subunit C [rsxC].', NULL, 'RsxC_RnfC', NULL, NULL, NULL, 7),
(20838, NULL, 'MF_03105', NULL, NULL, 'Mitochondrial distribution and morphology protein 34 [MDM34].', NULL, 'Mdm34', NULL, NULL, NULL, 7),
(20839, NULL, 'MF_00907', NULL, NULL, 'Proofreading thioesterase EntH [entH].', NULL, 'Thioesterase_EntH', NULL, NULL, NULL, 7),
(20840, NULL, 'MF_00034', NULL, NULL, 'Crossover junction endodeoxyribonuclease RuvC [ruvC].', NULL, 'RuvC', NULL, NULL, NULL, 7),
(20841, NULL, 'MF_01682', NULL, NULL, 'Acireductone dioxygenase [mtnD].', NULL, 'Salvage_MtnD', NULL, NULL, NULL, 7),
(20842, NULL, 'MF_02210', NULL, NULL, '[Ribosomal protein S18]-alanine N-acetyltransferase [rimI].', NULL, 'RimI', NULL, NULL, NULL, 7),
(20843, NULL, 'MF_03207', NULL, NULL, 'Elongation of very long chain fatty acids protein 7 [ELOVL7].', NULL, 'VLCF_elongase_7', NULL, NULL, NULL, 7),
(20844, NULL, 'MF_00532_A', NULL, NULL, '30S ribosomal protein S9 [rpsI].', NULL, 'Ribosomal_S9_A', NULL, NULL, NULL, 7),
(20845, NULL, 'MF_00669', NULL, NULL, 'Small, acid-soluble spore protein I [sspI].', NULL, 'SspI', NULL, NULL, NULL, 7),
(20846, NULL, 'MF_01136', NULL, NULL, 'Acetyl-CoA decarbonylase/synthase complex subunit gamma [cdhE].', NULL, 'CdhE', NULL, NULL, NULL, 7),
(20847, NULL, 'MF_04116', NULL, NULL, 'Highly immunogenic outer capsid protein.', NULL, 'HOC_T4', NULL, NULL, NULL, 7),
(20848, NULL, 'MF_01532', NULL, NULL, 'L-rhamnose-proton symporter [rhaT].', NULL, 'RhaT', NULL, NULL, NULL, 7),
(20849, NULL, 'MF_01855', NULL, NULL, 'Fructose-1,6-bisphosphatase class 1 [fbp].', NULL, 'FBPase_class1', NULL, NULL, NULL, 7),
(20850, NULL, 'MF_01923', NULL, NULL, 'Glutamate mutase epsilon subunit [glmE].', NULL, 'Me_Asp_mutase_E', NULL, NULL, NULL, 7),
(20851, NULL, 'MF_00026', NULL, NULL, 'DNA-binding protein <locus_tag>.', NULL, 'dsDNA_bind', NULL, NULL, NULL, 7),
(20852, NULL, 'MF_00373', NULL, NULL, '50S ribosomal protein L28 [rpmB].', NULL, 'Ribosomal_L28', NULL, NULL, NULL, 7),
(20853, NULL, 'MF_04137', NULL, NULL, 'Spanin, inner membrane subunit.', NULL, 'I_SPANIN_LAMBDA', NULL, NULL, NULL, 7),
(20854, NULL, 'MF_01453', NULL, NULL, 'ATP-dependent helicase/deoxyribonuclease subunit B [rexB].', NULL, 'AddB_type2', NULL, NULL, NULL, 7),
(20855, NULL, 'MF_02054', NULL, NULL, 'Tyrosine recombinase XerH [xerH].', NULL, 'Recomb_XerH', NULL, NULL, NULL, 7);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20856, NULL, 'MF_02037', NULL, NULL, 'Histidine N-alpha-methyltransferase [egtD].', NULL, 'EgtD', NULL, NULL, NULL, 7),
(20857, NULL, 'MF_03036', NULL, NULL, '2''-deoxynucleoside 5''-phosphate N-hydrolase 1 [DNPH1].', NULL, 'Nuc_phosphate_hydrolase', NULL, NULL, NULL, 7),
(20858, NULL, 'MF_00092', NULL, NULL, 'Endonuclease MutS2 [mutS2].', NULL, 'MutS2', NULL, NULL, NULL, 7),
(20859, NULL, 'MF_00566', NULL, NULL, 'Plastocyanin [petE].', NULL, 'Cytb6_f_plastocyanin', NULL, NULL, NULL, 7),
(20860, NULL, 'MF_01419', NULL, NULL, 'Phosphoglycolate phosphatase.', NULL, 'GPH_hydrolase_arch', NULL, NULL, NULL, 7),
(20861, NULL, 'MF_03033', NULL, NULL, 'Protein argonaute-4 [EIF2C4].', NULL, 'AGO4', NULL, NULL, NULL, 7),
(20862, NULL, 'MF_03199', NULL, NULL, 'Palmitoyltransferase <gene_name> [PFA4].', NULL, 'DHHC_PAT_PFA4', NULL, NULL, NULL, 7),
(20863, NULL, 'MF_01010', NULL, NULL, '23S rRNA (uracil(1939)-C(5))-methyltransferase RlmD [rlmD].', NULL, '23SrRNA_methyltr_RlmD', NULL, NULL, NULL, 7),
(20864, NULL, 'MF_01096', NULL, NULL, 'Tetrahydromethanopterin S-methyltransferase subunit C [mtrC].', NULL, 'MtrC', NULL, NULL, NULL, 7),
(20865, NULL, 'MF_01911', NULL, NULL, 'HTH-type transcriptional regulator Hpr [hpr].', NULL, 'HTH_type_Hpr', NULL, NULL, NULL, 7),
(20866, NULL, 'MF_00947', NULL, NULL, 'Acid stress chaperone HdeB [hdeB].', NULL, 'HdeB', NULL, NULL, NULL, 7),
(20867, NULL, 'MF_03141', NULL, NULL, 'Platelet-activating factor acetylhydrolase IB subunit alpha [PAFAH1B1].', NULL, 'lis1', NULL, NULL, NULL, 7),
(20868, NULL, 'MF_01148', NULL, NULL, 'Apolipoprotein N-acyltransferase [lnt].', NULL, 'Lnt', NULL, NULL, NULL, 7),
(20869, NULL, 'MF_00316', NULL, NULL, 'Molybdenum cofactor guanylyltransferase [mobA].', NULL, 'MobA', NULL, NULL, NULL, 7),
(20870, NULL, 'MF_00286', NULL, NULL, 'Disulfide bond formation protein B [dsbB].', NULL, 'DsbB', NULL, NULL, NULL, 7),
(20871, NULL, 'MF_01693', NULL, NULL, '8-amino-7-oxononanoate synthase [bioF].', NULL, 'BioF_aminotrans_2', NULL, NULL, NULL, 7),
(20872, NULL, 'MF_01698', NULL, NULL, 'Mycothiol acetyltransferase [mshD].', NULL, 'MshD', NULL, NULL, NULL, 7),
(20873, NULL, 'MF_01318_A', NULL, NULL, '50S ribosomal protein L1 [rplA].', NULL, 'Ribosomal_L1_A', NULL, NULL, NULL, 7),
(20874, NULL, 'MF_02096', NULL, NULL, 'DNA repair protein.', NULL, 'Nre', NULL, NULL, NULL, 7),
(20875, NULL, 'MF_04146', NULL, NULL, 'Terminase, large subunit.', NULL, 'TERL_T4', NULL, NULL, NULL, 7),
(20876, NULL, 'MF_01903', NULL, NULL, 'Xanthine-guanine phosphoribosyltransferase [gpt].', NULL, 'XGPRT', NULL, NULL, NULL, 7),
(20877, NULL, 'MF_02002', NULL, NULL, 'Isoleucine--tRNA ligase [ileS].', NULL, 'Ile_tRNA_synth_type1', NULL, NULL, NULL, 7),
(20878, NULL, 'MF_02053', NULL, NULL, 'Autoinducer-2 kinase [lsrK].', NULL, 'LsrK', NULL, NULL, NULL, 7),
(20879, NULL, 'MF_02084', NULL, NULL, '[LysW]-aminoadipate semialdehyde/glutamate semialdehyde transaminase [lysJ].', NULL, 'LysJ_aminotrans_3', NULL, NULL, NULL, 7),
(20880, NULL, 'MF_01115', NULL, NULL, 'Putative ion-transport protein YfeO [yfeO].', NULL, 'CLC_YfeO', NULL, NULL, NULL, 7),
(20881, NULL, 'MF_00112', NULL, NULL, 'Geranylgeranylglyceryl phosphate synthase [pcrB].', NULL, 'GGGP_HepGP_synthase', NULL, NULL, NULL, 7),
(20882, NULL, 'MF_03050', NULL, NULL, 'Molybdenum cofactor sulfurase [MOCOS].', NULL, 'MOCOS', NULL, NULL, NULL, 7),
(20883, NULL, 'MF_03128', NULL, NULL, 'Lipoyl synthase, mitochondrial [LIP1].', NULL, 'Lipoyl_synth_plantM', NULL, NULL, NULL, 7),
(20884, NULL, 'MF_01364_B', NULL, NULL, '30S ribosomal protein S14 type Z [rpsZ].', NULL, 'Ribosomal_S14_2_B', NULL, NULL, NULL, 7),
(20885, NULL, 'MF_01174', NULL, NULL, 'N-succinylglutamate 5-semialdehyde dehydrogenase [astD].', NULL, 'Aldedh_AstD', NULL, NULL, NULL, 7),
(20886, NULL, 'MF_01005', NULL, NULL, 'Vitamin B12 import ATP-binding protein BtuD [btuD].', NULL, 'BtuD', NULL, NULL, NULL, 7);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20887, NULL, 'MF_00775', NULL, NULL, 'UPF0311 protein <locus_tag>.', NULL, 'UPF0311', NULL, NULL, NULL, 7),
(20888, NULL, 'MF_01347', NULL, NULL, 'ATP synthase subunit beta [atpB].', NULL, 'ATP_synth_beta_bact', NULL, NULL, NULL, 7),
(20889, NULL, 'MF_01388', NULL, NULL, 'Photosystem II reaction center X protein [psbX].', NULL, 'PSII_PsbX_2', NULL, NULL, NULL, 7),
(20890, NULL, 'MF_02123', NULL, NULL, 'F420-dependent glucose-6-phosphate dehydrogenase [fgd].', NULL, 'F420_G6P_DH', NULL, NULL, NULL, 7),
(20891, NULL, 'MF_00426', NULL, NULL, 'Na(+)-translocating NADH-quinone reductase subunit B [nqrB].', NULL, 'NqrB', NULL, NULL, NULL, 7),
(20892, NULL, 'MF_00593', NULL, NULL, 'D-alanine--D-alanyl carrier protein ligase [dltA].', NULL, 'DltA', NULL, NULL, NULL, 7),
(20893, NULL, 'MF_01835', NULL, NULL, 'Circadian clock protein KaiB [kaiB].', NULL, 'KaiB', NULL, NULL, NULL, 7),
(20894, NULL, 'MF_00380', NULL, NULL, 'Integration host factor subunit alpha [ihfA].', NULL, 'IHF_alpha', NULL, NULL, NULL, 7),
(20895, NULL, 'MF_01534', NULL, NULL, 'HTH-type transcriptional activator RhaS [rhaS].', NULL, 'HTH_type_RhaS', NULL, NULL, NULL, 7),
(20896, NULL, 'MF_03051', NULL, NULL, 'Molybdopterin synthase sulfur carrier subunit [cnxG].', NULL, 'MOCS2A', NULL, NULL, NULL, 7),
(20897, NULL, 'MF_03177', NULL, NULL, 'ATP-dependent DNA helicase RRM3 [RRM3].', NULL, 'RRM3', NULL, NULL, NULL, 7),
(20898, NULL, 'MF_04078', NULL, NULL, 'Protein Nef [nef].', NULL, 'NEF_HIV', NULL, NULL, NULL, 7),
(20899, NULL, 'MF_00480_A', NULL, NULL, '30S ribosomal protein S7 [rpsG].', NULL, 'Ribosomal_S7_A', NULL, NULL, NULL, 7),
(20900, NULL, 'MF_01107', NULL, NULL, 'Acetylornithine/succinyldiaminopimelate aminotransferase [argD].', NULL, 'ArgD_aminotrans_3', NULL, NULL, NULL, 7),
(20901, NULL, 'MF_01526', NULL, NULL, 'UPF0342 protein <locus_tag>.', NULL, 'UPF0342', NULL, NULL, NULL, 7),
(20902, NULL, 'MF_01918', NULL, NULL, 'Cardiolipin synthase C [clsC].', NULL, 'Cardiolipin_synth_ClsC', NULL, NULL, NULL, 7),
(20903, NULL, 'MF_01279', NULL, NULL, 'Xaa-Pro dipeptidase [pepQ].', NULL, 'X_Pro_dipeptid', NULL, NULL, NULL, 7),
(20904, NULL, 'MF_04110', NULL, NULL, 'Endolysin.', NULL, 'ENDOLYSIN_T4', NULL, NULL, NULL, 7),
(20905, NULL, 'MF_03188', NULL, NULL, 'EEF1A lysine methyltransferase 2 [EEF1AKMT2].', NULL, 'Methyltr_EFM4', NULL, NULL, NULL, 7),
(20906, NULL, 'MF_01035', NULL, NULL, '3-isopropylmalate dehydrogenase [leuB].', NULL, 'LeuB_type2', NULL, NULL, NULL, 7),
(20907, NULL, 'MF_00411', NULL, NULL, 'DNA-directed RNA polymerase subunit A'''' [rpoA2].', NULL, 'RNApol_arch_A', NULL, NULL, NULL, 7),
(20908, NULL, 'MF_01258', NULL, NULL, 'Coenzyme F420:L-glutamate ligase [cofE].', NULL, 'F420_ligase_CofE', NULL, NULL, NULL, 7),
(20909, NULL, 'MF_00094', NULL, NULL, 'Peptide chain release factor 2 [prfB].', NULL, 'Rel_fac_2', NULL, NULL, NULL, 7),
(20910, NULL, 'MF_01671', NULL, NULL, 'Inositol 2-dehydrogenase/D-chiro-inositol 3-dehydrogenase [iolG].', NULL, 'IolG', NULL, NULL, NULL, 7),
(20911, NULL, 'MF_02231', NULL, NULL, 'Ubiquinone biosynthesis accessory factor UbiT [ubiT].', NULL, 'UbiT', NULL, NULL, NULL, 7),
(20912, NULL, 'MF_00906', NULL, NULL, 'Cell division protein ZapC [zapC].', NULL, 'ZapC', NULL, NULL, NULL, 7),
(20913, NULL, 'MF_00935', NULL, NULL, 'Alanine dehydrogenase [ala].', NULL, 'AlaDH_arch', NULL, NULL, NULL, 7),
(20914, NULL, 'MF_01077', NULL, NULL, 'Ribosome maturation factor RimP [rimP].', NULL, 'RimP', NULL, NULL, NULL, 7),
(20915, NULL, 'MF_02063', NULL, NULL, 'Proton/glutamate-aspartate symporter [gltP].', NULL, 'GltP_subfam', NULL, NULL, NULL, 7),
(20916, NULL, 'MF_00674', NULL, NULL, 'UPF0251 protein <locus_tag>.', NULL, 'UPF0251', NULL, NULL, NULL, 7),
(20917, NULL, 'MF_03100', NULL, NULL, 'Structure-specific endonuclease subunit <gene_name> [SLX1].', NULL, 'Endonuc_su_Slx1', NULL, NULL, NULL, 7),
(20918, NULL, 'PIRSF005785', NULL, NULL, NULL, NULL, 'Zn-prot_arch', NULL, NULL, NULL, 8);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20919, NULL, 'PIRSF011018', NULL, NULL, NULL, NULL, 'Nicalin', NULL, NULL, NULL, 8),
(20920, NULL, 'PIRSF021320', NULL, NULL, NULL, NULL, 'UCP021320', NULL, NULL, NULL, 8),
(20921, NULL, 'PIRSF006643', NULL, NULL, NULL, NULL, 'NDUA6', NULL, NULL, NULL, 8),
(20922, NULL, 'PIRSF037634', NULL, NULL, NULL, NULL, 'HS1-bp', NULL, NULL, NULL, 8),
(20923, NULL, 'PIRSF001247', NULL, NULL, NULL, NULL, 'Prot-Arg_deiminase', NULL, NULL, NULL, 8),
(20924, NULL, 'PIRSF028438', NULL, NULL, NULL, NULL, 'UCP028438', NULL, NULL, NULL, 8),
(20925, NULL, 'PIRSF036836', NULL, NULL, NULL, NULL, 'SBP1_RNase_bind', NULL, NULL, NULL, 8),
(20926, NULL, 'PIRSF028301', NULL, NULL, NULL, NULL, 'UCP028301', NULL, NULL, NULL, 8),
(20927, NULL, 'PIRSF001495', NULL, NULL, NULL, NULL, 'Met_asp_mut_epsi', NULL, NULL, NULL, 8),
(20928, NULL, 'PIRSF000262', NULL, NULL, NULL, NULL, 'MCR_alpha', NULL, NULL, NULL, 8),
(20929, NULL, 'PIRSF000137', NULL, NULL, NULL, NULL, 'Alcohol_oxidase', NULL, NULL, NULL, 8),
(20930, NULL, 'PIRSF000157', NULL, NULL, NULL, NULL, 'Oxoglu_dh_E1', NULL, NULL, NULL, 8),
(20931, NULL, 'PIRSF019736', NULL, NULL, NULL, NULL, 'dTMP_TKRP1', NULL, NULL, NULL, 8),
(20932, NULL, 'PIRSF030150', NULL, NULL, NULL, NULL, 'SrtB', NULL, NULL, NULL, 8),
(20933, NULL, 'PIRSF036893', NULL, NULL, NULL, NULL, 'Lipocalin_ApoD', NULL, NULL, NULL, 8),
(20934, NULL, 'PIRSF037303', NULL, NULL, NULL, NULL, 'APC4', NULL, NULL, NULL, 8),
(20935, NULL, 'PIRSF037839', NULL, NULL, NULL, NULL, 'RNase_H', NULL, NULL, NULL, 8),
(20936, NULL, 'PIRSF036752', NULL, NULL, NULL, NULL, 'TSase_MJ051', NULL, NULL, NULL, 8),
(20937, NULL, 'PIRSF019313', NULL, NULL, NULL, NULL, 'UCP019313', NULL, NULL, NULL, 8),
(20938, NULL, 'PIRSF006336', NULL, NULL, NULL, NULL, 'B-gal', NULL, NULL, NULL, 8),
(20939, NULL, 'PIRSF036537', NULL, NULL, NULL, NULL, 'EhaI', NULL, NULL, NULL, 8),
(20940, NULL, 'PIRSF002808', NULL, NULL, NULL, NULL, 'Hexose_phosphate_transp', NULL, NULL, NULL, 8),
(20941, NULL, 'PIRSF005682', NULL, NULL, NULL, NULL, 'Fascin', NULL, NULL, NULL, 8),
(20942, NULL, 'PIRSF007023', NULL, NULL, NULL, NULL, 'UDP-Galf_transf', NULL, NULL, NULL, 8),
(20943, NULL, 'PIRSF014735', NULL, NULL, NULL, NULL, 'UCP014735', NULL, NULL, NULL, 8),
(20944, NULL, 'PIRSF038214', NULL, NULL, NULL, NULL, 'ESCRT1_Vps37_fungi', NULL, NULL, NULL, 8),
(20945, NULL, 'PIRSF001093', NULL, NULL, NULL, NULL, 'B-hxosamndse_ab_euk_', NULL, NULL, NULL, 8),
(20946, NULL, 'PIRSF017617', NULL, NULL, NULL, NULL, 'Thr_aldolase', NULL, NULL, NULL, 8),
(20947, NULL, 'PIRSF037476', NULL, NULL, NULL, NULL, 'BLOC2_Hps6', NULL, NULL, NULL, 8),
(20948, NULL, 'PIRSF005018', NULL, NULL, NULL, NULL, 'UCP005018', NULL, NULL, NULL, 8),
(20949, NULL, 'PIRSF006092', NULL, NULL, NULL, NULL, 'GreA_GreB', NULL, NULL, NULL, 8),
(20950, NULL, 'PIRSF034077', NULL, NULL, NULL, NULL, 'UCP034077', NULL, NULL, NULL, 8),
(20951, NULL, 'PIRSF005499', NULL, NULL, NULL, NULL, 'PNPase', NULL, NULL, NULL, 8),
(20952, NULL, 'PIRSF021697', NULL, NULL, NULL, NULL, 'UCP021697', NULL, NULL, NULL, 8),
(20953, NULL, 'PIRSF002590', NULL, NULL, NULL, NULL, 'HSP9_HSP12', NULL, NULL, NULL, 8),
(20954, NULL, 'PIRSF000554', NULL, NULL, NULL, NULL, 'PKC_zeta', NULL, NULL, NULL, 8),
(20955, NULL, 'PIRSF005610', NULL, NULL, NULL, NULL, 'UCP005610', NULL, NULL, NULL, 8),
(20956, NULL, 'PIRSF036508', NULL, NULL, NULL, NULL, 'Condns_HCP-6', NULL, NULL, NULL, 8),
(20957, NULL, 'PIRSF005850', NULL, NULL, NULL, NULL, 'UCP005850', NULL, NULL, NULL, 8),
(20958, NULL, 'PIRSF000216', NULL, NULL, NULL, NULL, 'NDH-1_E', NULL, NULL, NULL, 8),
(20959, NULL, 'PIRSF005457', NULL, NULL, NULL, NULL, 'Glx', NULL, NULL, NULL, 8),
(20960, NULL, 'PIRSF003092', NULL, NULL, NULL, NULL, 'MinD', NULL, NULL, NULL, 8),
(20961, NULL, 'PIRSF001092', NULL, NULL, NULL, NULL, 'Alpha-L-fucosidase', NULL, NULL, NULL, 8),
(20962, NULL, 'PIRSF037933', NULL, NULL, NULL, NULL, 'Polyserase-2', NULL, NULL, NULL, 8);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(20963, NULL, 'PIRSF017029', NULL, NULL, NULL, NULL, 'SRP9', NULL, NULL, NULL, 8),
(20964, NULL, 'PIRSF025007', NULL, NULL, NULL, NULL, 'Sec15', NULL, NULL, NULL, 8),
(20965, NULL, 'PIRSF002583', NULL, NULL, NULL, NULL, 'HSP90_HTPG', NULL, NULL, NULL, 8),
(20966, NULL, 'PIRSF500628', NULL, NULL, NULL, NULL, 'PTGIS', NULL, NULL, NULL, 8),
(20967, NULL, 'PIRSF007159', NULL, NULL, NULL, NULL, 'Protease_ASVF', NULL, NULL, NULL, 8),
(20968, NULL, 'PIRSF005799', NULL, NULL, NULL, NULL, 'UDP-gal_transpt', NULL, NULL, NULL, 8),
(20969, NULL, 'PIRSF037559', NULL, NULL, NULL, NULL, 'Gly_redC_beta', NULL, NULL, NULL, 8),
(20970, NULL, 'PIRSF037706', NULL, NULL, NULL, NULL, 'MRP10', NULL, NULL, NULL, 8),
(20971, NULL, 'PIRSF036990', NULL, NULL, NULL, NULL, 'UCP_CBS_BON', NULL, NULL, NULL, 8),
(20972, NULL, 'PIRSF500102', NULL, NULL, NULL, NULL, 'ER-b', NULL, NULL, NULL, 8),
(20973, NULL, 'PIRSF020680', NULL, NULL, NULL, NULL, 'PhnH', NULL, NULL, NULL, 8),
(20974, NULL, 'PIRSF023381', NULL, NULL, NULL, NULL, 'Mpdu1', NULL, NULL, NULL, 8),
(20975, NULL, 'PIRSF012335', NULL, NULL, NULL, NULL, 'UCP012335', NULL, NULL, NULL, 8),
(20976, NULL, 'PIRSF026169', NULL, NULL, NULL, NULL, 'UCP026169', NULL, NULL, NULL, 8),
(20977, NULL, 'PIRSF007802', NULL, NULL, NULL, NULL, 'ATG10', NULL, NULL, NULL, 8),
(20978, NULL, 'PIRSF004669', NULL, NULL, NULL, NULL, 'FliQ', NULL, NULL, NULL, 8),
(20979, NULL, 'PIRSF004961', NULL, NULL, NULL, NULL, 'UCP004961_hydrolase', NULL, NULL, NULL, 8),
(20980, NULL, 'PIRSF012290', NULL, NULL, NULL, NULL, 'EutL_PduB', NULL, NULL, NULL, 8),
(20981, NULL, 'PIRSF018654', NULL, NULL, NULL, NULL, 'Fe-S_or_NB_arc', NULL, NULL, NULL, 8),
(20982, NULL, 'PIRSF019423', NULL, NULL, NULL, NULL, 'NMN_biosyn', NULL, NULL, NULL, 8),
(20983, NULL, 'PIRSF037090', NULL, NULL, NULL, NULL, 'IGluLR_plant', NULL, NULL, NULL, 8),
(20984, NULL, 'PIRSF004649', NULL, NULL, NULL, NULL, 'MlaC', NULL, NULL, NULL, 8),
(20985, NULL, 'PIRSF004094', NULL, NULL, NULL, NULL, 'Coat_SV', NULL, NULL, NULL, 8),
(20986, NULL, 'PIRSF018300', NULL, NULL, NULL, NULL, 'DNA_pol_alpha_2', NULL, NULL, NULL, 8),
(20987, NULL, 'PIRSF028111', NULL, NULL, NULL, NULL, 'UCP028111', NULL, NULL, NULL, 8),
(20988, NULL, 'PIRSF029730', NULL, NULL, NULL, NULL, 'UCP029730', NULL, NULL, NULL, 8),
(20989, NULL, 'PIRSF037343', NULL, NULL, NULL, NULL, 'PTSIIBC_sugar', NULL, NULL, NULL, 8),
(20990, NULL, 'PIRSF002495', NULL, NULL, NULL, NULL, 'VWF', NULL, NULL, NULL, 8),
(20991, NULL, 'PIRSF004953', NULL, NULL, NULL, NULL, 'EhaL', NULL, NULL, NULL, 8),
(20992, NULL, 'PIRSF006223', NULL, NULL, NULL, NULL, 'DsrC_TusE', NULL, NULL, NULL, 8),
(20993, NULL, 'PIRSF010521', NULL, NULL, NULL, NULL, 'Secr_Zn_protease', NULL, NULL, NULL, 8),
(20994, NULL, 'PIRSF031279', NULL, NULL, NULL, NULL, 'UCP031279', NULL, NULL, NULL, 8),
(20995, NULL, 'PIRSF003048', NULL, NULL, NULL, NULL, 'Hist_acetylase_PCAF', NULL, NULL, NULL, 8),
(20996, NULL, 'PIRSF000474', NULL, NULL, NULL, NULL, 'GM2_GD2_synthase', NULL, NULL, NULL, 8),
(20997, NULL, 'PIRSF500216', NULL, NULL, NULL, NULL, 'DltB', NULL, NULL, NULL, 8),
(20998, NULL, 'PIRSF006517', NULL, NULL, NULL, NULL, 'DNA_pol_mt_plasmid', NULL, NULL, NULL, 8),
(20999, NULL, 'PIRSF017082', NULL, NULL, NULL, NULL, 'YflP', NULL, NULL, NULL, 8),
(21000, NULL, 'PIRSF009103', NULL, NULL, NULL, NULL, 'Ivy', NULL, NULL, NULL, 8),
(21001, NULL, 'PIRSF037429', NULL, NULL, NULL, NULL, 'UCP037429', NULL, NULL, NULL, 8),
(21002, NULL, 'PIRSF036354', NULL, NULL, NULL, NULL, 'NosR', NULL, NULL, NULL, 8),
(21003, NULL, 'PIRSF036105', NULL, NULL, NULL, NULL, 'VirE3_Rhizobiaceae', NULL, NULL, NULL, 8),
(21004, NULL, 'PIRSF019709', NULL, NULL, NULL, NULL, 'MtxX', NULL, NULL, NULL, 8),
(21005, NULL, 'PIRSF005715', NULL, NULL, NULL, NULL, 'VPS45_Sec1', NULL, NULL, NULL, 8),
(21006, NULL, 'PIRSF025024', NULL, NULL, NULL, NULL, 'Txn_adaptor_ADA2', NULL, NULL, NULL, 8),
(21007, NULL, 'PIRSF005898', NULL, NULL, NULL, NULL, 'CpeC_CpcI', NULL, NULL, NULL, 8);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21008, NULL, 'PIRSF500165', NULL, NULL, NULL, NULL, 'HMDI', NULL, NULL, NULL, 8),
(21009, NULL, 'PIRSF037532', NULL, NULL, NULL, NULL, 'HK_NtrY', NULL, NULL, NULL, 8),
(21010, NULL, 'PIRSF038945', NULL, NULL, NULL, NULL, 'Thr_synthase', NULL, NULL, NULL, 8),
(21011, NULL, 'PIRSF000196', NULL, NULL, NULL, NULL, 'Pro_dehydrog', NULL, NULL, NULL, 8),
(21012, NULL, 'PIRSF015629', NULL, NULL, NULL, NULL, 'VAC_E6R', NULL, NULL, NULL, 8),
(21013, NULL, 'PIRSF000952', NULL, NULL, NULL, NULL, 'PLC-gamma', NULL, NULL, NULL, 8),
(21014, NULL, 'PIRSF016602', NULL, NULL, NULL, NULL, 'CurC', NULL, NULL, NULL, 8),
(21015, NULL, 'PIRSF029811', NULL, NULL, NULL, NULL, 'UCP029811', NULL, NULL, NULL, 8),
(21016, NULL, 'PIRSF010607', NULL, NULL, NULL, NULL, 'Txn_repr_CtsR', NULL, NULL, NULL, 8),
(21017, NULL, 'PIRSF000350', NULL, NULL, NULL, NULL, 'Hg-II_reductase_MerA', NULL, NULL, NULL, 8),
(21018, NULL, 'PIRSF009400', NULL, NULL, NULL, NULL, 'Hedgehog', NULL, NULL, NULL, 8),
(21019, NULL, 'PIRSF038192', NULL, NULL, NULL, NULL, 'Txn_reg_BtrU', NULL, NULL, NULL, 8),
(21020, NULL, 'PIRSF016210', NULL, NULL, NULL, NULL, 'UCP016210', NULL, NULL, NULL, 8),
(21021, NULL, 'PIRSF004572', NULL, NULL, NULL, NULL, 'SecM', NULL, NULL, NULL, 8),
(21022, NULL, 'PIRSF010611', NULL, NULL, NULL, NULL, 'UCP010611', NULL, NULL, NULL, 8),
(21023, NULL, 'PIRSF036531', NULL, NULL, NULL, NULL, 'Tpp15', NULL, NULL, NULL, 8),
(21024, NULL, 'PIRSF026166', NULL, NULL, NULL, NULL, 'UCP026166', NULL, NULL, NULL, 8),
(21025, NULL, 'PIRSF039110', NULL, NULL, NULL, NULL, 'IPP_transferase', NULL, NULL, NULL, 8),
(21026, NULL, 'PIRSF025023', NULL, NULL, NULL, NULL, 'Spt4', NULL, NULL, NULL, 8),
(21027, NULL, 'PIRSF010751', NULL, NULL, NULL, NULL, 'HOP1_fungal', NULL, NULL, NULL, 8),
(21028, NULL, 'PIRSF010256', NULL, NULL, NULL, NULL, 'CoxE_vWa', NULL, NULL, NULL, 8),
(21029, NULL, 'PIRSF006655', NULL, NULL, NULL, NULL, 'DHQS_altern', NULL, NULL, NULL, 8),
(21030, NULL, 'PIRSF009324', NULL, NULL, NULL, NULL, 'Cdk5_activator', NULL, NULL, NULL, 8),
(21031, NULL, 'PIRSF036177', NULL, NULL, NULL, NULL, 'HsdS', NULL, NULL, NULL, 8),
(21032, NULL, 'PIRSF037875', NULL, NULL, NULL, NULL, 'EpiP_NisP_MutP', NULL, NULL, NULL, 8),
(21033, NULL, 'PIRSF035836', NULL, NULL, NULL, NULL, 'UCP035836', NULL, NULL, NULL, 8),
(21034, NULL, 'PIRSF004916', NULL, NULL, NULL, NULL, 'UCP004916', NULL, NULL, NULL, 8),
(21035, NULL, 'PIRSF015761', NULL, NULL, NULL, NULL, 'Protein_L', NULL, NULL, NULL, 8),
(21036, NULL, 'PIRSF037635', NULL, NULL, NULL, NULL, 'BID3', NULL, NULL, NULL, 8),
(21037, NULL, 'PIRSF000242', NULL, NULL, NULL, NULL, 'HAO', NULL, NULL, NULL, 8),
(21038, NULL, 'PIRSF036495', NULL, NULL, NULL, NULL, 'IGFBP_rP_CNN', NULL, NULL, NULL, 8),
(21039, NULL, 'PIRSF015604', NULL, NULL, NULL, NULL, 'OBP_PBP_Ditrysia', NULL, NULL, NULL, 8),
(21040, NULL, 'PIRSF014774', NULL, NULL, NULL, NULL, 'YdgH', NULL, NULL, NULL, 8),
(21041, NULL, 'PIRSF024534', NULL, NULL, NULL, NULL, 'ThiW', NULL, NULL, NULL, 8),
(21042, NULL, 'PIRSF010631', NULL, NULL, NULL, NULL, 'A-rhamnsds', NULL, NULL, NULL, 8),
(21043, NULL, 'PIRSF028304', NULL, NULL, NULL, NULL, 'UCP028304', NULL, NULL, NULL, 8),
(21044, NULL, 'PIRSF029218', NULL, NULL, NULL, NULL, 'ParE', NULL, NULL, NULL, 8),
(21045, NULL, 'PIRSF035823', NULL, NULL, NULL, NULL, 'VirD5_Agrobacterium', NULL, NULL, NULL, 8),
(21046, NULL, 'PIRSF037031', NULL, NULL, NULL, NULL, 'Redox_disulf_2', NULL, NULL, NULL, 8),
(21047, NULL, 'PIRSF006257', NULL, NULL, NULL, NULL, 'UCP006257', NULL, NULL, NULL, 8),
(21048, NULL, 'PIRSF037881', NULL, NULL, NULL, NULL, 'Leupaxin', NULL, NULL, NULL, 8),
(21049, NULL, 'PIRSF019205', NULL, NULL, NULL, NULL, 'UCP019205_transporter', NULL, NULL, NULL, 8),
(21050, NULL, 'PIRSF027109', NULL, NULL, NULL, NULL, 'Golgi_SNARE', NULL, NULL, NULL, 8),
(21051, NULL, 'PIRSF029195', NULL, NULL, NULL, NULL, 'UCP029195_PTS_EIIA2', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21052, NULL, 'PIRSF036883', NULL, NULL, NULL, NULL, 'RR_HD-GYP_mod', NULL, NULL, NULL, 8),
(21053, NULL, 'PIRSF008765', NULL, NULL, NULL, NULL, 'PIG-P_GPI19', NULL, NULL, NULL, 8),
(21054, NULL, 'PIRSF015697', NULL, NULL, NULL, NULL, 'UCP015697', NULL, NULL, NULL, 8),
(21055, NULL, 'PIRSF003027', NULL, NULL, NULL, NULL, 'Txn_fact_GATA-1/2/3', NULL, NULL, NULL, 8),
(21056, NULL, 'PIRSF002466', NULL, NULL, NULL, NULL, 'Glycophorin', NULL, NULL, NULL, 8),
(21057, NULL, 'PIRSF016080', NULL, NULL, NULL, NULL, 'RE_MboI', NULL, NULL, NULL, 8),
(21058, NULL, 'PIRSF005739', NULL, NULL, NULL, NULL, 'O-mtase', NULL, NULL, NULL, 8),
(21059, NULL, 'PIRSF028846', NULL, NULL, NULL, NULL, 'UCP028846', NULL, NULL, NULL, 8),
(21060, NULL, 'PIRSF001355', NULL, NULL, NULL, NULL, 'SAM_decarbox_euk', NULL, NULL, NULL, 8),
(21061, NULL, 'PIRSF016573', NULL, NULL, NULL, NULL, 'Snapalysin', NULL, NULL, NULL, 8),
(21062, NULL, 'PIRSF037712', NULL, NULL, NULL, NULL, 'TIP-1', NULL, NULL, NULL, 8),
(21063, NULL, 'PIRSF030200', NULL, NULL, NULL, NULL, 'PaaB', NULL, NULL, NULL, 8),
(21064, NULL, 'PIRSF038016', NULL, NULL, NULL, NULL, 'Pin2_TRF1', NULL, NULL, NULL, 8),
(21065, NULL, 'PIRSF039073', NULL, NULL, NULL, NULL, 'BRR2', NULL, NULL, NULL, 8),
(21066, NULL, 'PIRSF001154', NULL, NULL, NULL, NULL, 'Compl_C2_B', NULL, NULL, NULL, 8),
(21067, NULL, 'PIRSF001653', NULL, NULL, NULL, NULL, 'API-B', NULL, NULL, NULL, 8),
(21068, NULL, 'PIRSF000988', NULL, NULL, NULL, NULL, 'DNase_I', NULL, NULL, NULL, 8),
(21069, NULL, 'PIRSF006118', NULL, NULL, NULL, NULL, 'KDO8-P_Ptase', NULL, NULL, NULL, 8),
(21070, NULL, 'PIRSF036704', NULL, NULL, NULL, NULL, 'UCP036704', NULL, NULL, NULL, 8),
(21071, NULL, 'PIRSF027110', NULL, NULL, NULL, NULL, 'PREG', NULL, NULL, NULL, 8),
(21072, NULL, 'PIRSF000081', NULL, NULL, NULL, NULL, 'Phycocyanin', NULL, NULL, NULL, 8),
(21073, NULL, 'PIRSF005788', NULL, NULL, NULL, NULL, 'NifK', NULL, NULL, NULL, 8),
(21074, NULL, 'PIRSF000077', NULL, NULL, NULL, NULL, 'Thioredoxin', NULL, NULL, NULL, 8),
(21075, NULL, 'PIRSF000502', NULL, NULL, NULL, NULL, 'Spermidine_synth', NULL, NULL, NULL, 8),
(21076, NULL, 'PIRSF003093', NULL, NULL, NULL, NULL, 'SulA', NULL, NULL, NULL, 8),
(21077, NULL, 'PIRSF023869', NULL, NULL, NULL, NULL, 'MED6_meta/plant', NULL, NULL, NULL, 8),
(21078, NULL, 'PIRSF036949', NULL, NULL, NULL, NULL, 'RPA32', NULL, NULL, NULL, 8),
(21079, NULL, 'PIRSF019714', NULL, NULL, NULL, NULL, 'NLBH', NULL, NULL, NULL, 8),
(21080, NULL, 'PIRSF005211', NULL, NULL, NULL, NULL, 'Ab_hydro_YheT', NULL, NULL, NULL, 8),
(21081, NULL, 'PIRSF000530', NULL, NULL, NULL, NULL, 'Galactokinase', NULL, NULL, NULL, 8),
(21082, NULL, 'PIRSF001461', NULL, NULL, NULL, NULL, 'RPE', NULL, NULL, NULL, 8),
(21083, NULL, 'PIRSF037149', NULL, NULL, NULL, NULL, 'NirB', NULL, NULL, NULL, 8),
(21084, NULL, 'PIRSF036292', NULL, NULL, NULL, NULL, 'Prenylcysteine_oxidase', NULL, NULL, NULL, 8),
(21085, NULL, 'PIRSF038126', NULL, NULL, NULL, NULL, 'SWI_SNF', NULL, NULL, NULL, 8),
(21086, NULL, 'PIRSF011312', NULL, NULL, NULL, NULL, 'HUS1', NULL, NULL, NULL, 8),
(21087, NULL, 'PIRSF001555', NULL, NULL, NULL, NULL, 'Asp_ammon_ligase', NULL, NULL, NULL, 8),
(21088, NULL, 'PIRSF000207', NULL, NULL, NULL, NULL, 'SiR-FP_CysJ', NULL, NULL, NULL, 8),
(21089, NULL, 'PIRSF017434', NULL, NULL, NULL, NULL, 'NT5C2', NULL, NULL, NULL, 8),
(21090, NULL, 'PIRSF037299', NULL, NULL, NULL, NULL, 'CRH1', NULL, NULL, NULL, 8),
(21091, NULL, 'PIRSF003203', NULL, NULL, NULL, NULL, 'AzlD', NULL, NULL, NULL, 8),
(21092, NULL, 'PIRSF003962', NULL, NULL, NULL, NULL, 'M_poly_NairoV', NULL, NULL, NULL, 8),
(21093, NULL, 'PIRSF009180', NULL, NULL, NULL, NULL, 'UCP009180', NULL, NULL, NULL, 8),
(21094, NULL, 'PIRSF036314', NULL, NULL, NULL, NULL, 'LDLR-rel_5_6', NULL, NULL, NULL, 8),
(21095, NULL, 'PIRSF033595', NULL, NULL, NULL, NULL, 'UCP033595', NULL, NULL, NULL, 8),
(21096, NULL, 'PIRSF017126', NULL, NULL, NULL, NULL, 'Condensin_H', NULL, NULL, NULL, 8);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21097, NULL, 'PIRSF020481', NULL, NULL, NULL, NULL, 'BAP', NULL, NULL, NULL, 8),
(21098, NULL, 'PIRSF020728', NULL, NULL, NULL, NULL, 'Fimbrin_SefA', NULL, NULL, NULL, 8),
(21099, NULL, 'PIRSF017349', NULL, NULL, NULL, NULL, 'UCP017349', NULL, NULL, NULL, 8),
(21100, NULL, 'PIRSF017300', NULL, NULL, NULL, NULL, 'snoRNP_Mpp10', NULL, NULL, NULL, 8),
(21101, NULL, 'PIRSF037258', NULL, NULL, NULL, NULL, 'UCP037258', NULL, NULL, NULL, 8),
(21102, NULL, 'PIRSF501107', NULL, NULL, NULL, NULL, 'Protein_kin_C_eta', NULL, NULL, NULL, 8),
(21103, NULL, 'PIRSF013684', NULL, NULL, NULL, NULL, 'BBS2', NULL, NULL, NULL, 8),
(21104, NULL, 'PIRSF036539', NULL, NULL, NULL, NULL, 'CmaT_thioesters', NULL, NULL, NULL, 8),
(21105, NULL, 'PIRSF005890', NULL, NULL, NULL, NULL, 'Phot_II_cyt_c550', NULL, NULL, NULL, 8),
(21106, NULL, 'PIRSF037354', NULL, NULL, NULL, NULL, 'RtcR', NULL, NULL, NULL, 8),
(21107, NULL, 'PIRSF000788', NULL, NULL, NULL, NULL, 'DNA_pol_ADV', NULL, NULL, NULL, 8),
(21108, NULL, 'PIRSF037756', NULL, NULL, NULL, NULL, 'MyD88', NULL, NULL, NULL, 8),
(21109, NULL, 'PIRSF007320', NULL, NULL, NULL, NULL, 'Fimbrillin_MatB', NULL, NULL, NULL, 8),
(21110, NULL, 'PIRSF036397', NULL, NULL, NULL, NULL, 'Bacteriophytochrome_rec', NULL, NULL, NULL, 8),
(21111, NULL, 'PIRSF036978', NULL, NULL, NULL, NULL, 'UCP036978_PHPhdr', NULL, NULL, NULL, 8),
(21112, NULL, 'PIRSF037844', NULL, NULL, NULL, NULL, 'Vpr-related_protease', NULL, NULL, NULL, 8),
(21113, NULL, 'PIRSF003923', NULL, NULL, NULL, NULL, 'SH_protein_mumps', NULL, NULL, NULL, 8),
(21114, NULL, 'PIRSF034585', NULL, NULL, NULL, NULL, 'SrfB', NULL, NULL, NULL, 8),
(21115, NULL, 'PIRSF036436', NULL, NULL, NULL, NULL, 'UCP036436_permease', NULL, NULL, NULL, 8),
(21116, NULL, 'PIRSF029543', NULL, NULL, NULL, NULL, 'UCP029543', NULL, NULL, NULL, 8),
(21117, NULL, 'PIRSF033622', NULL, NULL, NULL, NULL, 'UCP033622_transglutaminase', NULL, NULL, NULL, 8),
(21118, NULL, 'PIRSF018455', NULL, NULL, NULL, NULL, 'MepA', NULL, NULL, NULL, 8),
(21119, NULL, 'PIRSF006363', NULL, NULL, NULL, NULL, 'UCP006363_ACT', NULL, NULL, NULL, 8),
(21120, NULL, 'PIRSF037000', NULL, NULL, NULL, NULL, 'RNA_ed_MP18', NULL, NULL, NULL, 8),
(21121, NULL, 'PIRSF021239', NULL, NULL, NULL, NULL, 'UCP021239', NULL, NULL, NULL, 8),
(21122, NULL, 'PIRSF006066', NULL, NULL, NULL, NULL, 'HI0050', NULL, NULL, NULL, 8),
(21123, NULL, 'PIRSF011576', NULL, NULL, NULL, NULL, 'YabP', NULL, NULL, NULL, 8),
(21124, NULL, 'PIRSF039026', NULL, NULL, NULL, NULL, 'SiaP', NULL, NULL, NULL, 8),
(21125, NULL, 'PIRSF020408', NULL, NULL, NULL, NULL, 'UCP020408', NULL, NULL, NULL, 8),
(21126, NULL, 'PIRSF029755', NULL, NULL, NULL, NULL, 'UCP029755', NULL, NULL, NULL, 8),
(21127, NULL, 'PIRSF018503', NULL, NULL, NULL, NULL, 'BMOH_MMO_gamma', NULL, NULL, NULL, 8),
(21128, NULL, 'PIRSF018982', NULL, NULL, NULL, NULL, 'EutC', NULL, NULL, NULL, 8),
(21129, NULL, 'PIRSF030791', NULL, NULL, NULL, NULL, 'UCP030791', NULL, NULL, NULL, 8),
(21130, NULL, 'PIRSF038023', NULL, NULL, NULL, NULL, 'ANTXR2', NULL, NULL, NULL, 8),
(21131, NULL, 'PIRSF038079', NULL, NULL, NULL, NULL, 'Torsin-2A', NULL, NULL, NULL, 8),
(21132, NULL, 'PIRSF003401', NULL, NULL, NULL, NULL, 'Trans_E5_PLV', NULL, NULL, NULL, 8),
(21133, NULL, 'PIRSF018001', NULL, NULL, NULL, NULL, 'Aspartoacylase', NULL, NULL, NULL, 8),
(21134, NULL, 'PIRSF011468', NULL, NULL, NULL, NULL, 'PhnJ', NULL, NULL, NULL, 8),
(21135, NULL, 'PIRSF000850', NULL, NULL, NULL, NULL, 'PLD_PSS', NULL, NULL, NULL, 8),
(21136, NULL, 'PIRSF022260', NULL, NULL, NULL, NULL, 'UCP022260', NULL, NULL, NULL, 8),
(21137, NULL, 'PIRSF037293', NULL, NULL, NULL, NULL, 'ERdj5', NULL, NULL, NULL, 8),
(21138, NULL, 'PIRSF009597', NULL, NULL, NULL, NULL, 'UCP009597', NULL, NULL, NULL, 8),
(21139, NULL, 'PIRSF037546', NULL, NULL, NULL, NULL, 'RNA_pol_L_Rhabdo_sub', NULL, NULL, NULL, 8),
(21140, NULL, 'PIRSF001273', NULL, NULL, NULL, NULL, 'CDH', NULL, NULL, NULL, 8);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21141, NULL, 'PIRSF016104', NULL, NULL, NULL, NULL, 'PIG-C', NULL, NULL, NULL, 8),
(21142, NULL, 'PIRSF030748', NULL, NULL, NULL, NULL, 'Autotransporter_YhjY', NULL, NULL, NULL, 8),
(21143, NULL, 'PIRSF029394', NULL, NULL, NULL, NULL, 'UCP029394', NULL, NULL, NULL, 8),
(21144, NULL, 'PIRSF037827', NULL, NULL, NULL, NULL, 'Bcl-2-like_11', NULL, NULL, NULL, 8),
(21145, NULL, 'PIRSF003281', NULL, NULL, NULL, NULL, 'ExcA', NULL, NULL, NULL, 8),
(21146, NULL, 'PIRSF037834', NULL, NULL, NULL, NULL, 'PaaC', NULL, NULL, NULL, 8),
(21147, NULL, 'PIRSF015919', NULL, NULL, NULL, NULL, 'TFIIH_SSL1', NULL, NULL, NULL, 8),
(21148, NULL, 'PIRSF011491', NULL, NULL, NULL, NULL, 'Mtase_YbcY', NULL, NULL, NULL, 8),
(21149, NULL, 'PIRSF033860', NULL, NULL, NULL, NULL, 'UCP033860', NULL, NULL, NULL, 8),
(21150, NULL, 'PIRSF500176', NULL, NULL, NULL, NULL, 'L_ASNase', NULL, NULL, NULL, 8),
(21151, NULL, 'PIRSF006609', NULL, NULL, NULL, NULL, 'snRNP_SmF', NULL, NULL, NULL, 8),
(21152, NULL, 'PIRSF036487', NULL, NULL, NULL, NULL, 'Hydroxylase_rubr', NULL, NULL, NULL, 8),
(21153, NULL, 'PIRSF014897', NULL, NULL, NULL, NULL, 'UCP014897', NULL, NULL, NULL, 8),
(21154, NULL, 'PIRSF006160', NULL, NULL, NULL, NULL, 'AI2', NULL, NULL, NULL, 8),
(21155, NULL, 'PIRSF036382', NULL, NULL, NULL, NULL, 'RR_antiterminator', NULL, NULL, NULL, 8),
(21156, NULL, 'PIRSF001415', NULL, NULL, NULL, NULL, 'Porphbilin_synth', NULL, NULL, NULL, 8),
(21157, NULL, 'PIRSF000390', NULL, NULL, NULL, NULL, 'PLP_StrS', NULL, NULL, NULL, 8),
(21158, NULL, 'PIRSF028763', NULL, NULL, NULL, NULL, 'RNAP3_C34/C39', NULL, NULL, NULL, 8),
(21159, NULL, 'PIRSF005508', NULL, NULL, NULL, NULL, 'Arsen_res_ArsB', NULL, NULL, NULL, 8),
(21160, NULL, 'PIRSF003097', NULL, NULL, NULL, NULL, 'FtsX', NULL, NULL, NULL, 8),
(21161, NULL, 'PIRSF000036', NULL, NULL, NULL, NULL, 'Cytochrome_PsbE', NULL, NULL, NULL, 8),
(21162, NULL, 'PIRSF037632', NULL, NULL, NULL, NULL, 'Rep-8_protein', NULL, NULL, NULL, 8),
(21163, NULL, 'PIRSF003669', NULL, NULL, NULL, NULL, 'Aden_E1A', NULL, NULL, NULL, 8),
(21164, NULL, 'PIRSF011609', NULL, NULL, NULL, NULL, 'DRT102', NULL, NULL, NULL, 8),
(21165, NULL, 'PIRSF016179', NULL, NULL, NULL, NULL, 'UCP016179', NULL, NULL, NULL, 8),
(21166, NULL, 'PIRSF038919', NULL, NULL, NULL, NULL, 'NOG1', NULL, NULL, NULL, 8),
(21167, NULL, 'PIRSF006173', NULL, NULL, NULL, NULL, 'UCP006173', NULL, NULL, NULL, 8),
(21168, NULL, 'PIRSF017228', NULL, NULL, NULL, NULL, 'Sphnglp_dlt4_des', NULL, NULL, NULL, 8),
(21169, NULL, 'PIRSF501105', NULL, NULL, NULL, NULL, 'Protein_kin_C_theta', NULL, NULL, NULL, 8),
(21170, NULL, 'PIRSF002304', NULL, NULL, NULL, NULL, 'Band_41', NULL, NULL, NULL, 8),
(21171, NULL, 'PIRSF006398', NULL, NULL, NULL, NULL, 'Sec61_beta', NULL, NULL, NULL, 8),
(21172, NULL, 'PIRSF037002', NULL, NULL, NULL, NULL, 'RNA_ed_MP63', NULL, NULL, NULL, 8),
(21173, NULL, 'PIRSF000144', NULL, NULL, NULL, NULL, 'CbbBc', NULL, NULL, NULL, 8),
(21174, NULL, 'PIRSF006162', NULL, NULL, NULL, NULL, 'PgpA', NULL, NULL, NULL, 8),
(21175, NULL, 'PIRSF000471', NULL, NULL, NULL, NULL, 'Alpha_GT', NULL, NULL, NULL, 8),
(21176, NULL, 'PIRSF009136', NULL, NULL, NULL, NULL, 'MDUP_MalA', NULL, NULL, NULL, 8),
(21177, NULL, 'PIRSF037898', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Sputw3181_3341', NULL, NULL, NULL, 8),
(21178, NULL, 'PIRSF000075', NULL, NULL, NULL, NULL, 'Desulforedoxin', NULL, NULL, NULL, 8),
(21179, NULL, 'PIRSF032079', NULL, NULL, NULL, NULL, 'UCP032079', NULL, NULL, NULL, 8),
(21180, NULL, 'PIRSF000524', NULL, NULL, NULL, NULL, 'SPT', NULL, NULL, NULL, 8),
(21181, NULL, 'PIRSF016788', NULL, NULL, NULL, NULL, 'RR_Fis', NULL, NULL, NULL, 8),
(21182, NULL, 'PIRSF038095', NULL, NULL, NULL, NULL, 'NDUA1', NULL, NULL, NULL, 8),
(21183, NULL, 'PIRSF038142', NULL, NULL, NULL, NULL, 'Rhodopsin_bac', NULL, NULL, NULL, 8),
(21184, NULL, 'PIRSF009325', NULL, NULL, NULL, NULL, 'PTPRC-associated_protein', NULL, NULL, NULL, 8);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21185, NULL, 'PIRSF005588', NULL, NULL, NULL, NULL, 'DAD1_Ost2', NULL, NULL, NULL, 8),
(21186, NULL, 'PIRSF036406', NULL, NULL, NULL, NULL, 'Hept_kin', NULL, NULL, NULL, 8),
(21187, NULL, 'PIRSF018788', NULL, NULL, NULL, NULL, 'EutB', NULL, NULL, NULL, 8),
(21188, NULL, 'PIRSF002472', NULL, NULL, NULL, NULL, 'Amyloid_prot_SAA', NULL, NULL, NULL, 8),
(21189, NULL, 'PIRSF033909', NULL, NULL, NULL, NULL, 'UCP033909', NULL, NULL, NULL, 8),
(21190, NULL, 'PIRSF036633', NULL, NULL, NULL, NULL, 'FmdC_D', NULL, NULL, NULL, 8),
(21191, NULL, 'PIRSF011861', NULL, NULL, NULL, NULL, 'Biotinidase', NULL, NULL, NULL, 8),
(21192, NULL, 'PIRSF022936', NULL, NULL, NULL, NULL, 'RAD59_fungi', NULL, NULL, NULL, 8),
(21193, NULL, 'PIRSF036979', NULL, NULL, NULL, NULL, 'Arginase', NULL, NULL, NULL, 8),
(21194, NULL, 'PIRSF000384', NULL, NULL, NULL, NULL, 'PNMTase', NULL, NULL, NULL, 8),
(21195, NULL, 'PIRSF005465', NULL, NULL, NULL, NULL, 'GIRK_kir', NULL, NULL, NULL, 8),
(21196, NULL, 'PIRSF028609', NULL, NULL, NULL, NULL, 'UCP028609', NULL, NULL, NULL, 8),
(21197, NULL, 'PIRSF000025', NULL, NULL, NULL, NULL, 'Cytochrome_Bsub_c550', NULL, NULL, NULL, 8),
(21198, NULL, 'PIRSF000102', NULL, NULL, NULL, NULL, 'Lac_mal_DH', NULL, NULL, NULL, 8),
(21199, NULL, 'PIRSF036464', NULL, NULL, NULL, NULL, 'Ser_ala_racem', NULL, NULL, NULL, 8),
(21200, NULL, 'PIRSF500950', NULL, NULL, NULL, NULL, 'Alpha-PDGF_receptor', NULL, NULL, NULL, 8),
(21201, NULL, 'PIRSF026306', NULL, NULL, NULL, NULL, 'UCP026306', NULL, NULL, NULL, 8),
(21202, NULL, 'PIRSF033399', NULL, NULL, NULL, NULL, 'UCP033399', NULL, NULL, NULL, 8),
(21203, NULL, 'PIRSF037403', NULL, NULL, NULL, NULL, 'BMP3/GDF10', NULL, NULL, NULL, 8),
(21204, NULL, 'PIRSF000491', NULL, NULL, NULL, NULL, 'Alt_phage', NULL, NULL, NULL, 8),
(21205, NULL, 'PIRSF036698', NULL, NULL, NULL, NULL, 'UCP036698', NULL, NULL, NULL, 8),
(21206, NULL, 'PIRSF028758', NULL, NULL, NULL, NULL, 'Cyclin_C_H_G', NULL, NULL, NULL, 8),
(21207, NULL, 'PIRSF009310', NULL, NULL, NULL, NULL, 'Mtase_NodS', NULL, NULL, NULL, 8),
(21208, NULL, 'PIRSF002431', NULL, NULL, NULL, NULL, 'Saposin', NULL, NULL, NULL, 8),
(21209, NULL, 'PIRSF020485', NULL, NULL, NULL, NULL, 'PA-IL', NULL, NULL, NULL, 8),
(21210, NULL, 'PIRSF001836', NULL, NULL, NULL, NULL, 'Neuroparsin', NULL, NULL, NULL, 8),
(21211, NULL, 'PIRSF006910', NULL, NULL, NULL, NULL, 'NA_bind_Rv2694c', NULL, NULL, NULL, 8),
(21212, NULL, 'PIRSF003326', NULL, NULL, NULL, NULL, 'PET111', NULL, NULL, NULL, 8),
(21213, NULL, 'PIRSF000332', NULL, NULL, NULL, NULL, 'FMO', NULL, NULL, NULL, 8),
(21214, NULL, 'PIRSF000363', NULL, NULL, NULL, NULL, 'Nitrogenase_iron', NULL, NULL, NULL, 8),
(21215, NULL, 'PIRSF000830', NULL, NULL, NULL, NULL, 'L_ParamyxoV', NULL, NULL, NULL, 8),
(21216, NULL, 'PIRSF023577', NULL, NULL, NULL, NULL, 'NOSIP', NULL, NULL, NULL, 8),
(21217, NULL, 'PIRSF005353', NULL, NULL, NULL, NULL, 'PbuG', NULL, NULL, NULL, 8),
(21218, NULL, 'PIRSF006443', NULL, NULL, NULL, NULL, 'MoaB', NULL, NULL, NULL, 8),
(21219, NULL, 'PIRSF019345', NULL, NULL, NULL, NULL, 'SCPB', NULL, NULL, NULL, 8),
(21220, NULL, 'PIRSF016553', NULL, NULL, NULL, NULL, 'BIGH3_OSF2', NULL, NULL, NULL, 8),
(21221, NULL, 'PIRSF000778', NULL, NULL, NULL, NULL, 'RpoK/RPB6', NULL, NULL, NULL, 8),
(21222, NULL, 'PIRSF036444', NULL, NULL, NULL, NULL, 'Pesterase_YvnB', NULL, NULL, NULL, 8),
(21223, NULL, 'PIRSF038054', NULL, NULL, NULL, NULL, 'Nas7_nas8', NULL, NULL, NULL, 8),
(21224, NULL, 'PIRSF020736', NULL, NULL, NULL, NULL, 'MiaE', NULL, NULL, NULL, 8),
(21225, NULL, 'PIRSF036960', NULL, NULL, NULL, NULL, 'Neuropilin', NULL, NULL, NULL, 8),
(21226, NULL, 'PIRSF015868', NULL, NULL, NULL, NULL, 'HP0120', NULL, NULL, NULL, 8),
(21227, NULL, 'PIRSF001619', NULL, NULL, NULL, NULL, 'Biotin_synth', NULL, NULL, NULL, 8),
(21228, NULL, 'PIRSF015980', NULL, NULL, NULL, NULL, 'VAC_O1L', NULL, NULL, NULL, 8),
(21229, NULL, 'PIRSF001386', NULL, NULL, NULL, NULL, 'Trpase', NULL, NULL, NULL, 8);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21230, NULL, 'PIRSF004030', NULL, NULL, NULL, NULL, 'Z_ArenaV', NULL, NULL, NULL, 8),
(21231, NULL, 'PIRSF038169', NULL, NULL, NULL, NULL, 'WD_rpt_55', NULL, NULL, NULL, 8),
(21232, NULL, 'PIRSF000970', NULL, NULL, NULL, NULL, '2_3-cyc_nuc_Pdiesterase', NULL, NULL, NULL, 8),
(21233, NULL, 'PIRSF037187', NULL, NULL, NULL, NULL, 'SmB_SmN', NULL, NULL, NULL, 8),
(21234, NULL, 'PIRSF004555', NULL, NULL, NULL, NULL, 'UCP004555', NULL, NULL, NULL, 8),
(21235, NULL, 'PIRSF000032', NULL, NULL, NULL, NULL, 'Cytochrome_b6', NULL, NULL, NULL, 8),
(21236, NULL, 'PIRSF037214', NULL, NULL, NULL, NULL, 'UCP037214', NULL, NULL, NULL, 8),
(21237, NULL, 'PIRSF037235', NULL, NULL, NULL, NULL, 'Vps13_fungi', NULL, NULL, NULL, 8),
(21238, NULL, 'PIRSF037865', NULL, NULL, NULL, NULL, 'DFF_alpha', NULL, NULL, NULL, 8),
(21239, NULL, 'PIRSF500156', NULL, NULL, NULL, NULL, 'GalT_Corynebac', NULL, NULL, NULL, 8),
(21240, NULL, 'PIRSF001587', NULL, NULL, NULL, NULL, 'FGAM_synthase_II', NULL, NULL, NULL, 8),
(21241, NULL, 'PIRSF003271', NULL, NULL, NULL, NULL, 'TrbF', NULL, NULL, NULL, 8),
(21242, NULL, 'PIRSF005054', NULL, NULL, NULL, NULL, 'PF1131', NULL, NULL, NULL, 8),
(21243, NULL, 'PIRSF007798', NULL, NULL, NULL, NULL, 'UCP007798', NULL, NULL, NULL, 8),
(21244, NULL, 'PIRSF036802', NULL, NULL, NULL, NULL, 'Tau55_TFC7', NULL, NULL, NULL, 8),
(21245, NULL, 'PIRSF037037', NULL, NULL, NULL, NULL, 'Kelch_gigaxonin', NULL, NULL, NULL, 8),
(21246, NULL, 'PIRSF002746', NULL, NULL, NULL, NULL, 'Gluconate_transporter', NULL, NULL, NULL, 8),
(21247, NULL, 'PIRSF009451', NULL, NULL, NULL, NULL, 'Citrt_lyas_alpha', NULL, NULL, NULL, 8),
(21248, NULL, 'PIRSF038193', NULL, NULL, NULL, NULL, 'Hyaluronidase', NULL, NULL, NULL, 8),
(21249, NULL, 'PIRSF004160', NULL, NULL, NULL, NULL, 'Minor_spike_H', NULL, NULL, NULL, 8),
(21250, NULL, 'PIRSF004985', NULL, NULL, NULL, NULL, 'Hlld_jn_rslvs_ar', NULL, NULL, NULL, 8),
(21251, NULL, 'PIRSF001859', NULL, NULL, NULL, NULL, 'Eclosion_hormone', NULL, NULL, NULL, 8),
(21252, NULL, 'PIRSF011572', NULL, NULL, NULL, NULL, 'CodY', NULL, NULL, NULL, 8),
(21253, NULL, 'PIRSF028788', NULL, NULL, NULL, NULL, 'TfoX_Sxy', NULL, NULL, NULL, 8),
(21254, NULL, 'PIRSF032817', NULL, NULL, NULL, NULL, 'UCP032817', NULL, NULL, NULL, 8),
(21255, NULL, 'PIRSF036442', NULL, NULL, NULL, NULL, 'NAGS_animal', NULL, NULL, NULL, 8),
(21256, NULL, 'PIRSF016551', NULL, NULL, NULL, NULL, 'SAS5/TFIID_14', NULL, NULL, NULL, 8),
(21257, NULL, 'PIRSF000994', NULL, NULL, NULL, NULL, 'RE_XhoI', NULL, NULL, NULL, 8),
(21258, NULL, 'PIRSF038123', NULL, NULL, NULL, NULL, 'PTI6', NULL, NULL, NULL, 8),
(21259, NULL, 'PIRSF017849', NULL, NULL, NULL, NULL, 'TraD', NULL, NULL, NULL, 8),
(21260, NULL, 'PIRSF007036', NULL, NULL, NULL, NULL, 'Elb1', NULL, NULL, NULL, 8),
(21261, NULL, 'PIRSF030140', NULL, NULL, NULL, NULL, 'UCP030140', NULL, NULL, NULL, 8),
(21262, NULL, 'PIRSF001267', NULL, NULL, NULL, NULL, 'Pyrophosphatase_GppA_Ppx', NULL, NULL, NULL, 8),
(21263, NULL, 'PIRSF024492', NULL, NULL, NULL, NULL, 'UCP024492', NULL, NULL, NULL, 8),
(21264, NULL, 'PIRSF002869', NULL, NULL, NULL, NULL, 'MviN', NULL, NULL, NULL, 8),
(21265, NULL, 'PIRSF000880', NULL, NULL, NULL, NULL, 'Eryth_est', NULL, NULL, NULL, 8),
(21266, NULL, 'PIRSF031509', NULL, NULL, NULL, NULL, 'LiaF_YvqF', NULL, NULL, NULL, 8),
(21267, NULL, 'PIRSF004874', NULL, NULL, NULL, NULL, 'Prcrn_mtase_isom', NULL, NULL, NULL, 8),
(21268, NULL, 'PIRSF006488', NULL, NULL, NULL, NULL, 'ExoVII_small', NULL, NULL, NULL, 8),
(21269, NULL, 'PIRSF038074', NULL, NULL, NULL, NULL, 'Peroxin-12', NULL, NULL, NULL, 8),
(21270, NULL, 'PIRSF011544', NULL, NULL, NULL, NULL, 'NuiA', NULL, NULL, NULL, 8),
(21271, NULL, 'PIRSF005348', NULL, NULL, NULL, NULL, 'YxkH', NULL, NULL, NULL, 8),
(21272, NULL, 'PIRSF025550', NULL, NULL, NULL, NULL, 'UCP025550_lpd_carrier', NULL, NULL, NULL, 8),
(21273, NULL, 'PIRSF034981', NULL, NULL, NULL, NULL, 'Mtase_firmicutes', NULL, NULL, NULL, 8);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21274, NULL, 'PIRSF030850', NULL, NULL, NULL, NULL, 'UCP030850', NULL, NULL, NULL, 8),
(21275, NULL, 'PIRSF003696', NULL, NULL, NULL, NULL, 'VAC_C23L', NULL, NULL, NULL, 8),
(21276, NULL, 'PIRSF036504', NULL, NULL, NULL, NULL, 'NDK_H5', NULL, NULL, NULL, 8),
(21277, NULL, 'PIRSF003338', NULL, NULL, NULL, NULL, 'MAT1', NULL, NULL, NULL, 8),
(21278, NULL, 'PIRSF012508', NULL, NULL, NULL, NULL, 'YerC', NULL, NULL, NULL, 8),
(21279, NULL, 'PIRSF018867', NULL, NULL, NULL, NULL, 'Na_decarb_PF0672', NULL, NULL, NULL, 8),
(21280, NULL, 'PIRSF037237', NULL, NULL, NULL, NULL, 'Peptidase_WD_repeats_DUG2', NULL, NULL, NULL, 8),
(21281, NULL, 'PIRSF000636', NULL, NULL, NULL, NULL, 'TyrPK_Jak', NULL, NULL, NULL, 8),
(21282, NULL, 'PIRSF015945', NULL, NULL, NULL, NULL, 'V-ATP_synth_F', NULL, NULL, NULL, 8),
(21283, NULL, 'PIRSF501178', NULL, NULL, NULL, NULL, 'FNR-PetH', NULL, NULL, NULL, 8),
(21284, NULL, 'PIRSF037087', NULL, NULL, NULL, NULL, 'UCP037087', NULL, NULL, NULL, 8),
(21285, NULL, 'PIRSF018747', NULL, NULL, NULL, NULL, 'UCP018747', NULL, NULL, NULL, 8),
(21286, NULL, 'PIRSF010045', NULL, NULL, NULL, NULL, 'TMP_111', NULL, NULL, NULL, 8),
(21287, NULL, 'PIRSF003278', NULL, NULL, NULL, NULL, 'SopC', NULL, NULL, NULL, 8),
(21288, NULL, 'PIRSF500313', NULL, NULL, NULL, NULL, 'Bombyxin_B', NULL, NULL, NULL, 8),
(21289, NULL, 'PIRSF038896', NULL, NULL, NULL, NULL, 'NAPE-PLD', NULL, NULL, NULL, 8),
(21290, NULL, 'PIRSF005639', NULL, NULL, NULL, NULL, 'Glut_amidoT_SNO', NULL, NULL, NULL, 8),
(21291, NULL, 'PIRSF026567', NULL, NULL, NULL, NULL, 'Adenine_mtase_bact', NULL, NULL, NULL, 8),
(21292, NULL, 'PIRSF001388', NULL, NULL, NULL, NULL, 'Trichodiene_synth', NULL, NULL, NULL, 8),
(21293, NULL, 'PIRSF033490', NULL, NULL, NULL, NULL, 'MazF', NULL, NULL, NULL, 8),
(21294, NULL, 'PIRSF001883', NULL, NULL, NULL, NULL, 'TxP_I', NULL, NULL, NULL, 8),
(21295, NULL, 'PIRSF026568', NULL, NULL, NULL, NULL, 'UCP026568', NULL, NULL, NULL, 8),
(21296, NULL, 'PIRSF031611', NULL, NULL, NULL, NULL, 'ComGF', NULL, NULL, NULL, 8),
(21297, NULL, 'PIRSF037724', NULL, NULL, NULL, NULL, 'Txn_reg_HTH_MJ1545', NULL, NULL, NULL, 8),
(21298, NULL, 'PIRSF000382', NULL, NULL, NULL, NULL, 'Met_synth_MetE', NULL, NULL, NULL, 8),
(21299, NULL, 'PIRSF002341', NULL, NULL, NULL, NULL, 'Dystrophin_utrophin', NULL, NULL, NULL, 8),
(21300, NULL, 'PIRSF002764', NULL, NULL, NULL, NULL, 'CcmB', NULL, NULL, NULL, 8),
(21301, NULL, 'PIRSF006060', NULL, NULL, NULL, NULL, 'AA_transporter', NULL, NULL, NULL, 8),
(21302, NULL, 'PIRSF019136', NULL, NULL, NULL, NULL, 'EhaG', NULL, NULL, NULL, 8),
(21303, NULL, 'PIRSF002371', NULL, NULL, NULL, NULL, 'Alpha-s2-casein', NULL, NULL, NULL, 8),
(21304, NULL, 'PIRSF019217', NULL, NULL, NULL, NULL, 'AcxC', NULL, NULL, NULL, 8),
(21305, NULL, 'PIRSF037334', NULL, NULL, NULL, NULL, 'FucT_plant', NULL, NULL, NULL, 8),
(21306, NULL, 'PIRSF009158', NULL, NULL, NULL, NULL, 'UCP009158', NULL, NULL, NULL, 8),
(21307, NULL, 'PIRSF003217', NULL, NULL, NULL, NULL, 'Cro_protein', NULL, NULL, NULL, 8),
(21308, NULL, 'PIRSF002786', NULL, NULL, NULL, NULL, 'XcpX', NULL, NULL, NULL, 8),
(21309, NULL, 'PIRSF016636', NULL, NULL, NULL, NULL, 'AlgI_DltB', NULL, NULL, NULL, 8),
(21310, NULL, 'PIRSF031639', NULL, NULL, NULL, NULL, 'Ccs4', NULL, NULL, NULL, 8),
(21311, NULL, 'PIRSF005673', NULL, NULL, NULL, NULL, 'Importin_alpha', NULL, NULL, NULL, 8),
(21312, NULL, 'PIRSF009285', NULL, NULL, NULL, NULL, 'GAMT', NULL, NULL, NULL, 8),
(21313, NULL, 'PIRSF018978', NULL, NULL, NULL, NULL, 'tRNA_m1G_Mtase_archaea', NULL, NULL, NULL, 8),
(21314, NULL, 'PIRSF004311', NULL, NULL, NULL, NULL, 'SSB_T7', NULL, NULL, NULL, 8),
(21315, NULL, 'PIRSF006821', NULL, NULL, NULL, NULL, 'UCP006821', NULL, NULL, NULL, 8),
(21316, NULL, 'PIRSF002629', NULL, NULL, NULL, NULL, 'Txn_fact_POU_BRN', NULL, NULL, NULL, 8),
(21317, NULL, 'PIRSF009288', NULL, NULL, NULL, NULL, 'NDUB8', NULL, NULL, NULL, 8);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21318, NULL, 'PIRSF036599', NULL, NULL, NULL, NULL, 'AtpPhos', NULL, NULL, NULL, 8),
(21319, NULL, 'PIRSF037987', NULL, NULL, NULL, NULL, 'UCP037987', NULL, NULL, NULL, 8),
(21320, NULL, 'PIRSF002356', NULL, NULL, NULL, NULL, 'Calreticulin', NULL, NULL, NULL, 8),
(21321, NULL, 'PIRSF006487', NULL, NULL, NULL, NULL, 'GCST', NULL, NULL, NULL, 8),
(21322, NULL, 'PIRSF037097', NULL, NULL, NULL, NULL, 'AP4_epsilon', NULL, NULL, NULL, 8),
(21323, NULL, 'PIRSF030959', NULL, NULL, NULL, NULL, 'UCP030959', NULL, NULL, NULL, 8),
(21324, NULL, 'PIRSF016138', NULL, NULL, NULL, NULL, 'UCP016138', NULL, NULL, NULL, 8),
(21325, NULL, 'PIRSF018239', NULL, NULL, NULL, NULL, 'IGFBP_rP_mac25', NULL, NULL, NULL, 8),
(21326, NULL, 'PIRSF038065', NULL, NULL, NULL, NULL, 'TNFR_11B', NULL, NULL, NULL, 8),
(21327, NULL, 'PIRSF006291', NULL, NULL, NULL, NULL, 'GspM', NULL, NULL, NULL, 8),
(21328, NULL, 'PIRSF038006', NULL, NULL, NULL, NULL, 'MeCP2', NULL, NULL, NULL, 8),
(21329, NULL, 'PIRSF036497', NULL, NULL, NULL, NULL, 'HDH_short', NULL, NULL, NULL, 8),
(21330, NULL, 'PIRSF009998', NULL, NULL, NULL, NULL, 'DLC7', NULL, NULL, NULL, 8),
(21331, NULL, 'PIRSF020196', NULL, NULL, NULL, NULL, 'NS2', NULL, NULL, NULL, 8),
(21332, NULL, 'PIRSF032209', NULL, NULL, NULL, NULL, 'UCP032209', NULL, NULL, NULL, 8),
(21333, NULL, 'PIRSF019164', NULL, NULL, NULL, NULL, 'UCP019164', NULL, NULL, NULL, 8),
(21334, NULL, 'PIRSF037816', NULL, NULL, NULL, NULL, 'Viral_cyclin', NULL, NULL, NULL, 8),
(21335, NULL, 'PIRSF003108', NULL, NULL, NULL, NULL, 'DinJ', NULL, NULL, NULL, 8),
(21336, NULL, 'PIRSF017689', NULL, NULL, NULL, NULL, 'SepSecS', NULL, NULL, NULL, 8),
(21337, NULL, 'PIRSF002884', NULL, NULL, NULL, NULL, 'CheZ', NULL, NULL, NULL, 8),
(21338, NULL, 'PIRSF003078', NULL, NULL, NULL, NULL, 'GidB', NULL, NULL, NULL, 8),
(21339, NULL, 'PIRSF000521', NULL, NULL, NULL, NULL, 'Transaminase_4ab_Lys_Orn', NULL, NULL, NULL, 8),
(21340, NULL, 'PIRSF000532', NULL, NULL, NULL, NULL, 'ATP_PFK_prok', NULL, NULL, NULL, 8),
(21341, NULL, 'PIRSF015592', NULL, NULL, NULL, NULL, 'Pyrrolidone-crbxlat_pptds', NULL, NULL, NULL, 8),
(21342, NULL, 'PIRSF001138', NULL, NULL, NULL, NULL, 'Enteropeptidase', NULL, NULL, NULL, 8),
(21343, NULL, 'PIRSF016838', NULL, NULL, NULL, NULL, 'PafC', NULL, NULL, NULL, 8),
(21344, NULL, 'PIRSF005653', NULL, NULL, NULL, NULL, 'RpoN_RPB10', NULL, NULL, NULL, 8),
(21345, NULL, 'PIRSF038153', NULL, NULL, NULL, NULL, 'WRKY_txn_fact_IIe', NULL, NULL, NULL, 8),
(21346, NULL, 'PIRSF016481', NULL, NULL, NULL, NULL, 'PilP_PilQ', NULL, NULL, NULL, 8),
(21347, NULL, 'PIRSF032126', NULL, NULL, NULL, NULL, 'F0F1_ATP_synth_I', NULL, NULL, NULL, 8),
(21348, NULL, 'PIRSF019625', NULL, NULL, NULL, NULL, 'EVI2A', NULL, NULL, NULL, 8),
(21349, NULL, 'PIRSF004982', NULL, NULL, NULL, NULL, 'SlP', NULL, NULL, NULL, 8),
(21350, NULL, 'PIRSF000398', NULL, NULL, NULL, NULL, 'M_m6A_EcoRV', NULL, NULL, NULL, 8),
(21351, NULL, 'PIRSF019307', NULL, NULL, NULL, NULL, 'UCP019307', NULL, NULL, NULL, 8),
(21352, NULL, 'PIRSF036911', NULL, NULL, NULL, NULL, 'CREG', NULL, NULL, NULL, 8),
(21353, NULL, 'PIRSF036376', NULL, NULL, NULL, NULL, 'Corin', NULL, NULL, NULL, 8),
(21354, NULL, 'PIRSF036696', NULL, NULL, NULL, NULL, 'ACY-1', NULL, NULL, NULL, 8),
(21355, NULL, 'PIRSF500700', NULL, NULL, NULL, NULL, 'MDM2', NULL, NULL, NULL, 8),
(21356, NULL, 'PIRSF036915', NULL, NULL, NULL, NULL, 'Trnald_Bac_Plnt', NULL, NULL, NULL, 8),
(21357, NULL, 'PIRSF003575', NULL, NULL, NULL, NULL, 'MSA-2', NULL, NULL, NULL, 8),
(21358, NULL, 'PIRSF005546', NULL, NULL, NULL, NULL, 'Ifb-2', NULL, NULL, NULL, 8),
(21359, NULL, 'PIRSF500741', NULL, NULL, NULL, NULL, 'MAPKKK12', NULL, NULL, NULL, 8),
(21360, NULL, 'PIRSF006135', NULL, NULL, NULL, NULL, 'CobU', NULL, NULL, NULL, 8),
(21361, NULL, 'PIRSF003025', NULL, NULL, NULL, NULL, 'Transl_init_eIF5A', NULL, NULL, NULL, 8),
(21362, NULL, 'PIRSF019322', NULL, NULL, NULL, NULL, 'UCP019322', NULL, NULL, NULL, 8);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21363, NULL, 'PIRSF000071', NULL, NULL, NULL, NULL, 'Rubredoxin', NULL, NULL, NULL, 8),
(21364, NULL, 'PIRSF002148', NULL, NULL, NULL, NULL, 'RPS21e', NULL, NULL, NULL, 8),
(21365, NULL, 'PIRSF037575', NULL, NULL, NULL, NULL, 'SBP', NULL, NULL, NULL, 8),
(21366, NULL, 'PIRSF002455', NULL, NULL, NULL, NULL, 'ATP_synth_F6', NULL, NULL, NULL, 8),
(21367, NULL, 'PIRSF037672', NULL, NULL, NULL, NULL, 'UCP037672', NULL, NULL, NULL, 8),
(21368, NULL, 'PIRSF007945', NULL, NULL, NULL, NULL, 'SRB2', NULL, NULL, NULL, 8),
(21369, NULL, 'PIRSF000972', NULL, NULL, NULL, NULL, 'Arylsulf_plant', NULL, NULL, NULL, 8),
(21370, NULL, 'PIRSF031088', NULL, NULL, NULL, NULL, 'UCP031088_abhydr', NULL, NULL, NULL, 8),
(21371, NULL, 'PIRSF004729', NULL, NULL, NULL, NULL, 'MutL', NULL, NULL, NULL, 8),
(21372, NULL, 'PIRSF000346', NULL, NULL, NULL, NULL, 'Dlt9_acylACP_des', NULL, NULL, NULL, 8),
(21373, NULL, 'PIRSF037759', NULL, NULL, NULL, NULL, 'Asf1', NULL, NULL, NULL, 8),
(21374, NULL, 'PIRSF024009', NULL, NULL, NULL, NULL, 'UCP024009', NULL, NULL, NULL, 8),
(21375, NULL, 'PIRSF006446', NULL, NULL, NULL, NULL, 'Cyt_quinol_oxidase_1', NULL, NULL, NULL, 8),
(21376, NULL, 'PIRSF001432', NULL, NULL, NULL, NULL, 'Pect_lyase', NULL, NULL, NULL, 8),
(21377, NULL, 'PIRSF030158', NULL, NULL, NULL, NULL, 'UCP030158', NULL, NULL, NULL, 8),
(21378, NULL, 'PIRSF037104', NULL, NULL, NULL, NULL, 'H3K4_HMTase_Set1_fungi', NULL, NULL, NULL, 8),
(21379, NULL, 'PIRSF038992', NULL, NULL, NULL, NULL, 'Aldolase_Ia', NULL, NULL, NULL, 8),
(21380, NULL, 'PIRSF015658', NULL, NULL, NULL, NULL, 'MmdB_OadB', NULL, NULL, NULL, 8),
(21381, NULL, 'PIRSF000106', NULL, NULL, NULL, NULL, 'ME', NULL, NULL, NULL, 8),
(21382, NULL, 'PIRSF002937', NULL, NULL, NULL, NULL, 'Res_reg_Spo0A', NULL, NULL, NULL, 8),
(21383, NULL, 'PIRSF018282', NULL, NULL, NULL, NULL, 'MukF', NULL, NULL, NULL, 8),
(21384, NULL, 'PIRSF037840', NULL, NULL, NULL, NULL, 'Aldolase_YihT', NULL, NULL, NULL, 8),
(21385, NULL, 'PIRSF037579', NULL, NULL, NULL, NULL, 'MAPKK_SSK22', NULL, NULL, NULL, 8),
(21386, NULL, 'PIRSF029347', NULL, NULL, NULL, NULL, 'RecF', NULL, NULL, NULL, 8),
(21387, NULL, 'PIRSF012569', NULL, NULL, NULL, NULL, 'UCP012569', NULL, NULL, NULL, 8),
(21388, NULL, 'PIRSF017321', NULL, NULL, NULL, NULL, 'PIG-W', NULL, NULL, NULL, 8),
(21389, NULL, 'PIRSF000654', NULL, NULL, NULL, NULL, 'ILK', NULL, NULL, NULL, 8),
(21390, NULL, 'PIRSF012337', NULL, NULL, NULL, NULL, 'gp45', NULL, NULL, NULL, 8),
(21391, NULL, 'PIRSF015730', NULL, NULL, NULL, NULL, 'TFAR19', NULL, NULL, NULL, 8),
(21392, NULL, 'PIRSF032748', NULL, NULL, NULL, NULL, 'UCP032748', NULL, NULL, NULL, 8),
(21393, NULL, 'PIRSF004377', NULL, NULL, NULL, NULL, 'Ph_proh_core', NULL, NULL, NULL, 8),
(21394, NULL, 'PIRSF004954', NULL, NULL, NULL, NULL, 'Radical_SAM', NULL, NULL, NULL, 8),
(21395, NULL, 'PIRSF029129', NULL, NULL, NULL, NULL, 'UCP029129', NULL, NULL, NULL, 8),
(21396, NULL, 'PIRSF037257', NULL, NULL, NULL, NULL, 'UCP037257_Veg', NULL, NULL, NULL, 8),
(21397, NULL, 'PIRSF002674', NULL, NULL, NULL, NULL, 'VSP', NULL, NULL, NULL, 8),
(21398, NULL, 'PIRSF037905', NULL, NULL, NULL, NULL, 'Subtilisin_rel_CJE1557', NULL, NULL, NULL, 8),
(21399, NULL, 'PIRSF015981', NULL, NULL, NULL, NULL, 'VAC_F11L', NULL, NULL, NULL, 8),
(21400, NULL, 'PIRSF016938', NULL, NULL, NULL, NULL, 'RseA', NULL, NULL, NULL, 8),
(21401, NULL, 'PIRSF019401', NULL, NULL, NULL, NULL, 'SeqA', NULL, NULL, NULL, 8),
(21402, NULL, 'PIRSF004532', NULL, NULL, NULL, NULL, 'GlpX', NULL, NULL, NULL, 8),
(21403, NULL, 'PIRSF002512', NULL, NULL, NULL, NULL, 'Integrin_B', NULL, NULL, NULL, 8),
(21404, NULL, 'PIRSF021389', NULL, NULL, NULL, NULL, 'UCP021389', NULL, NULL, NULL, 8),
(21405, NULL, 'PIRSF006431', NULL, NULL, NULL, NULL, 'Pro_iminopeptidase', NULL, NULL, NULL, 8),
(21406, NULL, 'PIRSF016477', NULL, NULL, NULL, NULL, 'Prefoldin_4', NULL, NULL, NULL, 8),
(21407, NULL, 'PIRSF000209', NULL, NULL, NULL, NULL, 'Bifunctional_P450_P450R', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21408, NULL, 'PIRSF005384', NULL, NULL, NULL, NULL, 'RpiB_LacA_B', NULL, NULL, NULL, 8),
(21409, NULL, 'PIRSF000969', NULL, NULL, NULL, NULL, '3_5-cGMP_Pdiesterase_gamma', NULL, NULL, NULL, 8),
(21410, NULL, 'PIRSF002158', NULL, NULL, NULL, NULL, 'RPL2p_RPL2a_RPL8e_RPL2o', NULL, NULL, NULL, 8),
(21411, NULL, 'PIRSF038084', NULL, NULL, NULL, NULL, 'HAT1', NULL, NULL, NULL, 8),
(21412, NULL, 'PIRSF000185', NULL, NULL, NULL, NULL, 'Glu_DH', NULL, NULL, NULL, 8),
(21413, NULL, 'PIRSF021361', NULL, NULL, NULL, NULL, 'UCP021361', NULL, NULL, NULL, 8),
(21414, NULL, 'PIRSF002395', NULL, NULL, NULL, NULL, 'RIZ_SET', NULL, NULL, NULL, 8),
(21415, NULL, 'PIRSF013370', NULL, NULL, NULL, NULL, 'ACPS', NULL, NULL, NULL, 8),
(21416, NULL, 'PIRSF037818', NULL, NULL, NULL, NULL, 'Glucagon', NULL, NULL, NULL, 8),
(21417, NULL, 'PIRSF000977', NULL, NULL, NULL, NULL, 'Exodeoxyribonuclease_I', NULL, NULL, NULL, 8),
(21418, NULL, 'PIRSF005264', NULL, NULL, NULL, NULL, 'UCP005264', NULL, NULL, NULL, 8),
(21419, NULL, 'PIRSF005091', NULL, NULL, NULL, NULL, 'Mmb_sulf_HI1246', NULL, NULL, NULL, 8),
(21420, NULL, 'PIRSF037116', NULL, NULL, NULL, NULL, 'PhnK', NULL, NULL, NULL, 8),
(21421, NULL, 'PIRSF029636', NULL, NULL, NULL, NULL, 'UCP029636', NULL, NULL, NULL, 8),
(21422, NULL, 'PIRSF001815', NULL, NULL, NULL, NULL, 'Vasopressin_oxytocin', NULL, NULL, NULL, 8),
(21423, NULL, 'PIRSF000813', NULL, NULL, NULL, NULL, 'CCA_bact', NULL, NULL, NULL, 8),
(21424, NULL, 'PIRSF015601', NULL, NULL, NULL, NULL, 'MTase_slr0722', NULL, NULL, NULL, 8),
(21425, NULL, 'PIRSF019240', NULL, NULL, NULL, NULL, 'UCP019240_SpoVT/AbrB-related', NULL, NULL, NULL, 8),
(21426, NULL, 'PIRSF036918', NULL, NULL, NULL, NULL, 'Maltodextrin_glucosidase', NULL, NULL, NULL, 8),
(21427, NULL, 'PIRSF036565', NULL, NULL, NULL, NULL, 'Pyruvt_ip_decrb', NULL, NULL, NULL, 8),
(21428, NULL, 'PIRSF019225', NULL, NULL, NULL, NULL, 'Cyt_c1_Campylob', NULL, NULL, NULL, 8),
(21429, NULL, 'PIRSF005198', NULL, NULL, NULL, NULL, 'SKI2', NULL, NULL, NULL, 8),
(21430, NULL, 'PIRSF012876', NULL, NULL, NULL, NULL, 'Txn_rg_UCP012876', NULL, NULL, NULL, 8),
(21431, NULL, 'PIRSF000727', NULL, NULL, NULL, NULL, 'ThrA', NULL, NULL, NULL, 8),
(21432, NULL, 'PIRSF031074', NULL, NULL, NULL, NULL, 'UCP031074', NULL, NULL, NULL, 8),
(21433, NULL, 'PIRSF006677', NULL, NULL, NULL, NULL, 'AtPEPC', NULL, NULL, NULL, 8),
(21434, NULL, 'PIRSF006298', NULL, NULL, NULL, NULL, 'GtrA', NULL, NULL, NULL, 8),
(21435, NULL, 'PIRSF008455', NULL, NULL, NULL, NULL, 'UCP008455', NULL, NULL, NULL, 8),
(21436, NULL, 'PIRSF000437', NULL, NULL, NULL, NULL, 'GPAT_DHAPAT', NULL, NULL, NULL, 8),
(21437, NULL, 'PIRSF000812', NULL, NULL, NULL, NULL, 'AAD', NULL, NULL, NULL, 8),
(21438, NULL, 'PIRSF002599', NULL, NULL, NULL, NULL, 'Cold_shock_A', NULL, NULL, NULL, 8),
(21439, NULL, 'PIRSF000948', NULL, NULL, NULL, NULL, 'Sphingomyelin_Pdiesterase', NULL, NULL, NULL, 8),
(21440, NULL, 'PIRSF010312', NULL, NULL, NULL, NULL, 'SoxY', NULL, NULL, NULL, 8),
(21441, NULL, 'PIRSF022976', NULL, NULL, NULL, NULL, 'NADH_Oxi_21kDa', NULL, NULL, NULL, 8),
(21442, NULL, 'PIRSF000008', NULL, NULL, NULL, NULL, 'Cytochrome_c551i', NULL, NULL, NULL, 8),
(21443, NULL, 'PIRSF037250', NULL, NULL, NULL, NULL, 'CcmM', NULL, NULL, NULL, 8),
(21444, NULL, 'PIRSF021331', NULL, NULL, NULL, NULL, 'YkoF', NULL, NULL, NULL, 8),
(21445, NULL, 'PIRSF039008', NULL, NULL, NULL, NULL, 'YjbJ', NULL, NULL, NULL, 8),
(21446, NULL, 'PIRSF005790', NULL, NULL, NULL, NULL, 'Nitrogenase_stabiliz_NifW', NULL, NULL, NULL, 8),
(21447, NULL, 'PIRSF003095', NULL, NULL, NULL, NULL, 'Trigger_factor', NULL, NULL, NULL, 8),
(21448, NULL, 'PIRSF036625', NULL, NULL, NULL, NULL, 'GAF_ANTAR', NULL, NULL, NULL, 8),
(21449, NULL, 'PIRSF015195', NULL, NULL, NULL, NULL, 'UCP015195', NULL, NULL, NULL, 8),
(21450, NULL, 'PIRSF006425', NULL, NULL, NULL, NULL, 'UCP006425_WD40', NULL, NULL, NULL, 8),
(21451, NULL, 'PIRSF016255', NULL, NULL, NULL, NULL, 'Transl_init_eIF3e', NULL, NULL, NULL, 8);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21452, NULL, 'PIRSF032370', NULL, NULL, NULL, NULL, 'VraR', NULL, NULL, NULL, 8),
(21453, NULL, 'PIRSF033328', NULL, NULL, NULL, NULL, 'Phest_Mll4975', NULL, NULL, NULL, 8),
(21454, NULL, 'PIRSF013674', NULL, NULL, NULL, NULL, 'PXMP4', NULL, NULL, NULL, 8),
(21455, NULL, 'PIRSF014405', NULL, NULL, NULL, NULL, 'UCP014405', NULL, NULL, NULL, 8),
(21456, NULL, 'PIRSF028980', NULL, NULL, NULL, NULL, 'tRNAHis_guanlltr', NULL, NULL, NULL, 8),
(21457, NULL, 'PIRSF032178', NULL, NULL, NULL, NULL, 'UCP032178', NULL, NULL, NULL, 8),
(21458, NULL, 'PIRSF037336', NULL, NULL, NULL, NULL, 'IspG_partdup', NULL, NULL, NULL, 8),
(21459, NULL, 'PIRSF037950', NULL, NULL, NULL, NULL, 'E3_ub_ligase_RNF8', NULL, NULL, NULL, 8),
(21460, NULL, 'PIRSF001296', NULL, NULL, NULL, NULL, 'H/K_exch_ATPase_C', NULL, NULL, NULL, 8),
(21461, NULL, 'PIRSF008716', NULL, NULL, NULL, NULL, 'Ufc1', NULL, NULL, NULL, 8),
(21462, NULL, 'PIRSF006035', NULL, NULL, NULL, NULL, 'CO_dh_b_ACDS_e', NULL, NULL, NULL, 8),
(21463, NULL, 'PIRSF006076', NULL, NULL, NULL, NULL, 'Omp85', NULL, NULL, NULL, 8),
(21464, NULL, 'PIRSF037254', NULL, NULL, NULL, NULL, 'Gremlin', NULL, NULL, NULL, 8),
(21465, NULL, 'PIRSF034961', NULL, NULL, NULL, NULL, 'UCP034961_SH3_2', NULL, NULL, NULL, 8),
(21466, NULL, 'PIRSF011771', NULL, NULL, NULL, NULL, 'RMS1_SET', NULL, NULL, NULL, 8),
(21467, NULL, 'PIRSF500103', NULL, NULL, NULL, NULL, 'EndoV', NULL, NULL, NULL, 8),
(21468, NULL, 'PIRSF028991', NULL, NULL, NULL, NULL, 'Glycl_rad_HI0521', NULL, NULL, NULL, 8),
(21469, NULL, 'PIRSF020555', NULL, NULL, NULL, NULL, 'UCP020555', NULL, NULL, NULL, 8),
(21470, NULL, 'PIRSF003107', NULL, NULL, NULL, NULL, 'PhoU', NULL, NULL, NULL, 8),
(21471, NULL, 'PIRSF029120', NULL, NULL, NULL, NULL, 'UCP029120', NULL, NULL, NULL, 8),
(21472, NULL, 'PIRSF002144', NULL, NULL, NULL, NULL, 'RPS19p_RPS19a_RPS15e_RPS19o', NULL, NULL, NULL, 8),
(21473, NULL, 'PIRSF011489', NULL, NULL, NULL, NULL, 'UCP011489', NULL, NULL, NULL, 8),
(21474, NULL, 'PIRSF004078', NULL, NULL, NULL, NULL, 'Coat_ilarvirus', NULL, NULL, NULL, 8),
(21475, NULL, 'PIRSF003949', NULL, NULL, NULL, NULL, 'N_HantaV', NULL, NULL, NULL, 8),
(21476, NULL, 'PIRSF016487', NULL, NULL, NULL, NULL, 'CYTH_UCP016487', NULL, NULL, NULL, 8),
(21477, NULL, 'PIRSF000567', NULL, NULL, NULL, NULL, 'TYPK_Myt1', NULL, NULL, NULL, 8),
(21478, NULL, 'PIRSF016154', NULL, NULL, NULL, NULL, 'Nucl_a_bind_PIN_PH0500', NULL, NULL, NULL, 8),
(21479, NULL, 'PIRSF019435', NULL, NULL, NULL, NULL, 'UCP019435', NULL, NULL, NULL, 8),
(21480, NULL, 'PIRSF000184', NULL, NULL, NULL, NULL, 'GDH_NAD', NULL, NULL, NULL, 8),
(21481, NULL, 'PIRSF029928', NULL, NULL, NULL, NULL, 'ComGC', NULL, NULL, NULL, 8),
(21482, NULL, 'PIRSF039133', NULL, NULL, NULL, NULL, 'SUMO_E1B', NULL, NULL, NULL, 8),
(21483, NULL, 'PIRSF029502', NULL, NULL, NULL, NULL, 'UCP029502', NULL, NULL, NULL, 8),
(21484, NULL, 'PIRSF036894', NULL, NULL, NULL, NULL, 'PMI_Firm_short', NULL, NULL, NULL, 8),
(21485, NULL, 'PIRSF016123', NULL, NULL, NULL, NULL, 'UCP016123', NULL, NULL, NULL, 8),
(21486, NULL, 'PIRSF005758', NULL, NULL, NULL, NULL, 'Shikimt_kin_arch', NULL, NULL, NULL, 8),
(21487, NULL, 'PIRSF016493', NULL, NULL, NULL, NULL, 'Glycyl_aminpptds', NULL, NULL, NULL, 8),
(21488, NULL, 'PIRSF002905', NULL, NULL, NULL, NULL, 'PSI_A', NULL, NULL, NULL, 8),
(21489, NULL, 'PIRSF037892', NULL, NULL, NULL, NULL, 'Subtilisin_rel_SRU_0565', NULL, NULL, NULL, 8),
(21490, NULL, 'PIRSF001786', NULL, NULL, NULL, NULL, 'StpA_StpB', NULL, NULL, NULL, 8),
(21491, NULL, 'PIRSF037378', NULL, NULL, NULL, NULL, 'EIN2', NULL, NULL, NULL, 8),
(21492, NULL, 'PIRSF021362', NULL, NULL, NULL, NULL, 'UCP021362_HAD', NULL, NULL, NULL, 8),
(21493, NULL, 'PIRSF000006', NULL, NULL, NULL, NULL, 'Cbb3-Cox_fixP', NULL, NULL, NULL, 8),
(21494, NULL, 'PIRSF037871', NULL, NULL, NULL, NULL, 'TIM44', NULL, NULL, NULL, 8),
(21495, NULL, 'PIRSF028103', NULL, NULL, NULL, NULL, 'GcvR', NULL, NULL, NULL, 8);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21496, NULL, 'PIRSF019678', NULL, NULL, NULL, NULL, 'UCP019678', NULL, NULL, NULL, 8),
(21497, NULL, 'PIRSF006356', NULL, NULL, NULL, NULL, 'ADI', NULL, NULL, NULL, 8),
(21498, NULL, 'PIRSF500720', NULL, NULL, NULL, NULL, 'TEF-5', NULL, NULL, NULL, 8),
(21499, NULL, 'PIRSF015558', NULL, NULL, NULL, NULL, 'Txn_reg_DeoR', NULL, NULL, NULL, 8),
(21500, NULL, 'PIRSF038075', NULL, NULL, NULL, NULL, 'Env_UL49A', NULL, NULL, NULL, 8),
(21501, NULL, 'PIRSF000932', NULL, NULL, NULL, NULL, 'PTPN12', NULL, NULL, NULL, 8),
(21502, NULL, 'PIRSF000034', NULL, NULL, NULL, NULL, 'Cytochrome_b6f_V/PetG', NULL, NULL, NULL, 8),
(21503, NULL, 'PIRSF037048', NULL, NULL, NULL, NULL, 'PNPOx_plant', NULL, NULL, NULL, 8),
(21504, NULL, 'PIRSF006004', NULL, NULL, NULL, NULL, 'Cfr', NULL, NULL, NULL, 8),
(21505, NULL, 'PIRSF004682', NULL, NULL, NULL, NULL, 'GmhB', NULL, NULL, NULL, 8),
(21506, NULL, 'PIRSF001936', NULL, NULL, NULL, NULL, 'Interferon_gamma', NULL, NULL, NULL, 8),
(21507, NULL, 'PIRSF014470', NULL, NULL, NULL, NULL, 'UCP014470', NULL, NULL, NULL, 8),
(21508, NULL, 'PIRSF016195', NULL, NULL, NULL, NULL, 'UCP016195', NULL, NULL, NULL, 8),
(21509, NULL, 'PIRSF000263', NULL, NULL, NULL, NULL, 'Meth_CoM_rd_beta', NULL, NULL, NULL, 8),
(21510, NULL, 'PIRSF019260', NULL, NULL, NULL, NULL, 'PBSX_XkdE', NULL, NULL, NULL, 8),
(21511, NULL, 'PIRSF015853', NULL, NULL, NULL, NULL, 'Pep_DppA', NULL, NULL, NULL, 8),
(21512, NULL, 'PIRSF017233', NULL, NULL, NULL, NULL, 'IKAP', NULL, NULL, NULL, 8),
(21513, NULL, 'PIRSF018077', NULL, NULL, NULL, NULL, 'UCP018077', NULL, NULL, NULL, 8),
(21514, NULL, 'PIRSF015797', NULL, NULL, NULL, NULL, 'Virion_core', NULL, NULL, NULL, 8),
(21515, NULL, 'PIRSF031057', NULL, NULL, NULL, NULL, 'TPK1', NULL, NULL, NULL, 8),
(21516, NULL, 'PIRSF003956', NULL, NULL, NULL, NULL, 'NS-S_PhleboV', NULL, NULL, NULL, 8),
(21517, NULL, 'PIRSF002401', NULL, NULL, NULL, NULL, 'GTP-binding_obg', NULL, NULL, NULL, 8),
(21518, NULL, 'PIRSF005636', NULL, NULL, NULL, NULL, 'McrD', NULL, NULL, NULL, 8),
(21519, NULL, 'PIRSF016789', NULL, NULL, NULL, NULL, 'UCP016789', NULL, NULL, NULL, 8),
(21520, NULL, 'PIRSF001924', NULL, NULL, NULL, NULL, 'Shigella_toxin', NULL, NULL, NULL, 8),
(21521, NULL, 'PIRSF001109', NULL, NULL, NULL, NULL, 'SAHH', NULL, NULL, NULL, 8),
(21522, NULL, 'PIRSF033367', NULL, NULL, NULL, NULL, 'UCP033367_VanZ', NULL, NULL, NULL, 8),
(21523, NULL, 'PIRSF028345', NULL, NULL, NULL, NULL, 'UCP028345', NULL, NULL, NULL, 8),
(21524, NULL, 'PIRSF024622', NULL, NULL, NULL, NULL, 'Tfp_FimT', NULL, NULL, NULL, 8),
(21525, NULL, 'PIRSF007635', NULL, NULL, NULL, NULL, 'Mmp_autolysin', NULL, NULL, NULL, 8),
(21526, NULL, 'PIRSF005028', NULL, NULL, NULL, NULL, 'KhtT', NULL, NULL, NULL, 8),
(21527, NULL, 'PIRSF036862', NULL, NULL, NULL, NULL, 'ERp72', NULL, NULL, NULL, 8),
(21528, NULL, 'PIRSF018193', NULL, NULL, NULL, NULL, 'UCP018193', NULL, NULL, NULL, 8),
(21529, NULL, 'PIRSF022941', NULL, NULL, NULL, NULL, 'ORC6_fungal', NULL, NULL, NULL, 8),
(21530, NULL, 'PIRSF038147', NULL, NULL, NULL, NULL, 'STPK_RIO1', NULL, NULL, NULL, 8),
(21531, NULL, 'PIRSF001849', NULL, NULL, NULL, NULL, 'Guanylin', NULL, NULL, NULL, 8),
(21532, NULL, 'PIRSF002560', NULL, NULL, NULL, NULL, 'Bacterioferritin', NULL, NULL, NULL, 8),
(21533, NULL, 'PIRSF003354', NULL, NULL, NULL, NULL, 'Alpha-COP', NULL, NULL, NULL, 8),
(21534, NULL, 'PIRSF005419', NULL, NULL, NULL, NULL, 'FlhA', NULL, NULL, NULL, 8),
(21535, NULL, 'PIRSF006232', NULL, NULL, NULL, NULL, 'Pirin', NULL, NULL, NULL, 8),
(21536, NULL, 'PIRSF009416', NULL, NULL, NULL, NULL, 'LuxD', NULL, NULL, NULL, 8),
(21537, NULL, 'PIRSF039117', NULL, NULL, NULL, NULL, 'KaiC', NULL, NULL, NULL, 8),
(21538, NULL, 'PIRSF018953', NULL, NULL, NULL, NULL, 'UCP018953', NULL, NULL, NULL, 8),
(21539, NULL, 'PIRSF016896', NULL, NULL, NULL, NULL, 'GHMP_arc_MJ0969', NULL, NULL, NULL, 8),
(21540, NULL, 'PIRSF000548', NULL, NULL, NULL, NULL, 'PK_regulatory', NULL, NULL, NULL, 8);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21541, NULL, 'PIRSF033199', NULL, NULL, NULL, NULL, 'UCP033199', NULL, NULL, NULL, 8),
(21542, NULL, 'PIRSF037094', NULL, NULL, NULL, NULL, 'AP1_gamma', NULL, NULL, NULL, 8),
(21543, NULL, 'PIRSF009320', NULL, NULL, NULL, NULL, 'Nuc_binding_HP_1000', NULL, NULL, NULL, 8),
(21544, NULL, 'PIRSF021525', NULL, NULL, NULL, NULL, 'UCP021525', NULL, NULL, NULL, 8),
(21545, NULL, 'PIRSF029895', NULL, NULL, NULL, NULL, 'SpoIV', NULL, NULL, NULL, 8),
(21546, NULL, 'PIRSF000517', NULL, NULL, NULL, NULL, 'Tyr_transaminase', NULL, NULL, NULL, 8),
(21547, NULL, 'PIRSF000014', NULL, NULL, NULL, NULL, 'Cytochrome_c_torY_torC', NULL, NULL, NULL, 8),
(21548, NULL, 'PIRSF016441', NULL, NULL, NULL, NULL, 'GTF2I', NULL, NULL, NULL, 8),
(21549, NULL, 'PIRSF037653', NULL, NULL, NULL, NULL, 'SRY', NULL, NULL, NULL, 8),
(21550, NULL, 'PIRSF036643', NULL, NULL, NULL, NULL, 'FDH_alpha', NULL, NULL, NULL, 8),
(21551, NULL, 'PIRSF002867', NULL, NULL, NULL, NULL, 'CheV', NULL, NULL, NULL, 8),
(21552, NULL, 'PIRSF036899', NULL, NULL, NULL, NULL, 'AGP', NULL, NULL, NULL, 8),
(21553, NULL, 'PIRSF000808', NULL, NULL, NULL, NULL, 'GalT', NULL, NULL, NULL, 8),
(21554, NULL, 'PIRSF036636', NULL, NULL, NULL, NULL, 'QcrC', NULL, NULL, NULL, 8),
(21555, NULL, 'PIRSF021573', NULL, NULL, NULL, NULL, 'UCP021573', NULL, NULL, NULL, 8),
(21556, NULL, 'PIRSF002483', NULL, NULL, NULL, NULL, 'Plasminogen-related', NULL, NULL, NULL, 8),
(21557, NULL, 'PIRSF036399', NULL, NULL, NULL, NULL, 'Gal_kin_glcsltr', NULL, NULL, NULL, 8),
(21558, NULL, 'PIRSF031802', NULL, NULL, NULL, NULL, 'UCP031802', NULL, NULL, NULL, 8),
(21559, NULL, 'PIRSF036577', NULL, NULL, NULL, NULL, 'PDH_ADH_plant', NULL, NULL, NULL, 8),
(21560, NULL, 'PIRSF002279', NULL, NULL, NULL, NULL, 'Notch', NULL, NULL, NULL, 8),
(21561, NULL, 'PIRSF001361', NULL, NULL, NULL, NULL, 'DAHP_synthase', NULL, NULL, NULL, 8),
(21562, NULL, 'PIRSF005650', NULL, NULL, NULL, NULL, 'Uridylate_kin', NULL, NULL, NULL, 8),
(21563, NULL, 'PIRSF039114', NULL, NULL, NULL, NULL, 'V-ATPsynth_beta/V-ATPase_B', NULL, NULL, NULL, 8),
(21564, NULL, 'PIRSF018156', NULL, NULL, NULL, NULL, 'MRPL51_fungal', NULL, NULL, NULL, 8),
(21565, NULL, 'PIRSF001150', NULL, NULL, NULL, NULL, 'Plasmin', NULL, NULL, NULL, 8),
(21566, NULL, 'PIRSF015626', NULL, NULL, NULL, NULL, 'FdhD', NULL, NULL, NULL, 8),
(21567, NULL, 'PIRSF017085', NULL, NULL, NULL, NULL, 'Glycosyltransf_RedA', NULL, NULL, NULL, 8),
(21568, NULL, 'PIRSF003153', NULL, NULL, NULL, NULL, 'ATF2_CRE-BP1', NULL, NULL, NULL, 8),
(21569, NULL, 'PIRSF037249', NULL, NULL, NULL, NULL, 'Histone_Mtase_SET', NULL, NULL, NULL, 8),
(21570, NULL, 'PIRSF011132', NULL, NULL, NULL, NULL, 'TIG1_latexin_ovocalyxin-32', NULL, NULL, NULL, 8),
(21571, NULL, 'PIRSF028983', NULL, NULL, NULL, NULL, 'BCP1', NULL, NULL, NULL, 8),
(21572, NULL, 'PIRSF037565', NULL, NULL, NULL, NULL, 'RRNA_m2G_Mtase_RsmD', NULL, NULL, NULL, 8),
(21573, NULL, 'PIRSF006019', NULL, NULL, NULL, NULL, 'dCMP_deaminase', NULL, NULL, NULL, 8),
(21574, NULL, 'PIRSF037118', NULL, NULL, NULL, NULL, 'TerA', NULL, NULL, NULL, 8),
(21575, NULL, 'PIRSF000167', NULL, NULL, NULL, NULL, 'HemN', NULL, NULL, NULL, 8),
(21576, NULL, 'PIRSF002603', NULL, NULL, NULL, NULL, 'TEF', NULL, NULL, NULL, 8),
(21577, NULL, 'PIRSF028498', NULL, NULL, NULL, NULL, 'UCP028498', NULL, NULL, NULL, 8),
(21578, NULL, 'PIRSF012755', NULL, NULL, NULL, NULL, 'UCP012755', NULL, NULL, NULL, 8),
(21579, NULL, 'PIRSF000439', NULL, NULL, NULL, NULL, 'Oat_ACAT_DAG_ARE', NULL, NULL, NULL, 8),
(21580, NULL, 'PIRSF018327', NULL, NULL, NULL, NULL, 'VP40_FiloV', NULL, NULL, NULL, 8),
(21581, NULL, 'PIRSF037314', NULL, NULL, NULL, NULL, 'HK_MctS', NULL, NULL, NULL, 8),
(21582, NULL, 'PIRSF000084', NULL, NULL, NULL, NULL, 'Phytochrome_conventional', NULL, NULL, NULL, 8),
(21583, NULL, 'PIRSF006523', NULL, NULL, NULL, NULL, 'MtrF', NULL, NULL, NULL, 8),
(21584, NULL, 'PIRSF037394', NULL, NULL, NULL, NULL, 'ABC_permease_YkoE', NULL, NULL, NULL, 8);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21585, NULL, 'PIRSF005426', NULL, NULL, NULL, NULL, 'Frp', NULL, NULL, NULL, 8),
(21586, NULL, 'PIRSF005669', NULL, NULL, NULL, NULL, 'HAT_Elp3', NULL, NULL, NULL, 8),
(21587, NULL, 'PIRSF000549', NULL, NULL, NULL, NULL, 'Ser_prot_kin', NULL, NULL, NULL, 8),
(21588, NULL, 'PIRSF022079', NULL, NULL, NULL, NULL, 'UCP022079', NULL, NULL, NULL, 8),
(21589, NULL, 'PIRSF037709', NULL, NULL, NULL, NULL, 'DOV-IR', NULL, NULL, NULL, 8),
(21590, NULL, 'PIRSF000018', NULL, NULL, NULL, NULL, 'Mb_ADH_cytochrome_c', NULL, NULL, NULL, 8),
(21591, NULL, 'PIRSF038131', NULL, NULL, NULL, NULL, 'CX5C1', NULL, NULL, NULL, 8),
(21592, NULL, 'PIRSF037567', NULL, NULL, NULL, NULL, 'Mtase_MttB', NULL, NULL, NULL, 8),
(21593, NULL, 'PIRSF037178', NULL, NULL, NULL, NULL, 'TTR-like', NULL, NULL, NULL, 8),
(21594, NULL, 'PIRSF001072', NULL, NULL, NULL, NULL, 'HN_paramyxo', NULL, NULL, NULL, 8),
(21595, NULL, 'PIRSF017020', NULL, NULL, NULL, NULL, 'ASTE', NULL, NULL, NULL, 8),
(21596, NULL, 'PIRSF019370', NULL, NULL, NULL, NULL, 'EhaR', NULL, NULL, NULL, 8),
(21597, NULL, 'PIRSF037736', NULL, NULL, NULL, NULL, 'SCO1', NULL, NULL, NULL, 8),
(21598, NULL, 'PIRSF001024', NULL, NULL, NULL, NULL, 'Alph-amyl_fung', NULL, NULL, NULL, 8),
(21599, NULL, 'PIRSF020763', NULL, NULL, NULL, NULL, 'TcpF', NULL, NULL, NULL, 8),
(21600, NULL, 'PIRSF026583', NULL, NULL, NULL, NULL, 'YybT', NULL, NULL, NULL, 8),
(21601, NULL, 'PIRSF000719', NULL, NULL, NULL, NULL, 'AceK', NULL, NULL, NULL, 8),
(21602, NULL, 'PIRSF000705', NULL, NULL, NULL, NULL, 'DNK', NULL, NULL, NULL, 8),
(21603, NULL, 'PIRSF001747', NULL, NULL, NULL, NULL, 'Red1', NULL, NULL, NULL, 8),
(21604, NULL, 'PIRSF000509', NULL, NULL, NULL, NULL, 'Trp_DMAT', NULL, NULL, NULL, 8),
(21605, NULL, 'PIRSF006625', NULL, NULL, NULL, NULL, 'KduI', NULL, NULL, NULL, 8),
(21606, NULL, 'PIRSF002697', NULL, NULL, NULL, NULL, 'AmbtV', NULL, NULL, NULL, 8),
(21607, NULL, 'PIRSF007871', NULL, NULL, NULL, NULL, 'Cox20', NULL, NULL, NULL, 8),
(21608, NULL, 'PIRSF022603', NULL, NULL, NULL, NULL, 'UCP022603', NULL, NULL, NULL, 8),
(21609, NULL, 'PIRSF036301', NULL, NULL, NULL, NULL, 'Cripto_growth_factor', NULL, NULL, NULL, 8),
(21610, NULL, 'PIRSF037392', NULL, NULL, NULL, NULL, 'AMHRII', NULL, NULL, NULL, 8),
(21611, NULL, 'PIRSF002264', NULL, NULL, NULL, NULL, 'Lamprin', NULL, NULL, NULL, 8),
(21612, NULL, 'PIRSF019015', NULL, NULL, NULL, NULL, 'P60_peptidase_YkfC', NULL, NULL, NULL, 8),
(21613, NULL, 'PIRSF032572', NULL, NULL, NULL, NULL, 'MUB', NULL, NULL, NULL, 8),
(21614, NULL, 'PIRSF029693', NULL, NULL, NULL, NULL, 'UCP029693', NULL, NULL, NULL, 8),
(21615, NULL, 'PIRSF019169', NULL, NULL, NULL, NULL, 'Tfp_PilM', NULL, NULL, NULL, 8),
(21616, NULL, 'PIRSF006288', NULL, NULL, NULL, NULL, 'PII_uridyltransf', NULL, NULL, NULL, 8),
(21617, NULL, 'PIRSF036692', NULL, NULL, NULL, NULL, 'SDH_B', NULL, NULL, NULL, 8),
(21618, NULL, 'PIRSF000883', NULL, NULL, NULL, NULL, 'Pesterase_MJ0912', NULL, NULL, NULL, 8),
(21619, NULL, 'PIRSF000168', NULL, NULL, NULL, NULL, 'Acyl-CoA_oxidase', NULL, NULL, NULL, 8),
(21620, NULL, 'PIRSF001458', NULL, NULL, NULL, NULL, 'MerB', NULL, NULL, NULL, 8),
(21621, NULL, 'PIRSF010056', NULL, NULL, NULL, NULL, 'UCP010056', NULL, NULL, NULL, 8),
(21622, NULL, 'PIRSF001257', NULL, NULL, NULL, NULL, 'HIS4', NULL, NULL, NULL, 8),
(21623, NULL, 'PIRSF006615', NULL, NULL, NULL, NULL, 'Zn_crbxpep_Taq', NULL, NULL, NULL, 8),
(21624, NULL, 'PIRSF010386', NULL, NULL, NULL, NULL, 'RocB', NULL, NULL, NULL, 8),
(21625, NULL, 'PIRSF017834', NULL, NULL, NULL, NULL, 'NDUC2', NULL, NULL, NULL, 8),
(21626, NULL, 'PIRSF030561', NULL, NULL, NULL, NULL, 'UCP030561', NULL, NULL, NULL, 8),
(21627, NULL, 'PIRSF004357', NULL, NULL, NULL, NULL, 'MCP_bIL170', NULL, NULL, NULL, 8),
(21628, NULL, 'PIRSF019574', NULL, NULL, NULL, NULL, 'Periplasmic_polyamine_BP', NULL, NULL, NULL, 8),
(21629, NULL, 'PIRSF010219', NULL, NULL, NULL, NULL, 'UCP010219', NULL, NULL, NULL, 8);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21630, NULL, 'PIRSF027717', NULL, NULL, NULL, NULL, 'H4K20_HMTase', NULL, NULL, NULL, 8),
(21631, NULL, 'PIRSF037435', NULL, NULL, NULL, NULL, 'Hybr_HK_BC3207', NULL, NULL, NULL, 8),
(21632, NULL, 'PIRSF002383', NULL, NULL, NULL, NULL, 'NSG_calcyon', NULL, NULL, NULL, 8),
(21633, NULL, 'PIRSF000909', NULL, NULL, NULL, NULL, 'STPPPtase_PPZ', NULL, NULL, NULL, 8),
(21634, NULL, 'PIRSF038145', NULL, NULL, NULL, NULL, 'STPK_citron', NULL, NULL, NULL, 8),
(21635, NULL, 'PIRSF028101', NULL, NULL, NULL, NULL, 'UCP028101', NULL, NULL, NULL, 8),
(21636, NULL, 'PIRSF028739', NULL, NULL, NULL, NULL, 'Folate/thiamine_transporter', NULL, NULL, NULL, 8),
(21637, NULL, 'PIRSF001455', NULL, NULL, NULL, NULL, '3dhq_synth', NULL, NULL, NULL, 8),
(21638, NULL, 'PIRSF019455', NULL, NULL, NULL, NULL, 'CopR_AtkY', NULL, NULL, NULL, 8),
(21639, NULL, 'PIRSF033271', NULL, NULL, NULL, NULL, 'UCP033271', NULL, NULL, NULL, 8),
(21640, NULL, 'PIRSF001667', NULL, NULL, NULL, NULL, 'PKI', NULL, NULL, NULL, 8),
(21641, NULL, 'PIRSF038083', NULL, NULL, NULL, NULL, 'UCP038083_GIPC', NULL, NULL, NULL, 8),
(21642, NULL, 'PIRSF001413', NULL, NULL, NULL, NULL, 'Trp_syn_beta', NULL, NULL, NULL, 8),
(21643, NULL, 'PIRSF002721', NULL, NULL, NULL, NULL, 'Surface_antigen_Rickettsia', NULL, NULL, NULL, 8),
(21644, NULL, 'PIRSF004155', NULL, NULL, NULL, NULL, 'Phage_C', NULL, NULL, NULL, 8),
(21645, NULL, 'PIRSF004749', NULL, NULL, NULL, NULL, 'Pep_def', NULL, NULL, NULL, 8),
(21646, NULL, 'PIRSF038991', NULL, NULL, NULL, NULL, 'Protein_AbrB', NULL, NULL, NULL, 8),
(21647, NULL, 'PIRSF006704', NULL, NULL, NULL, NULL, 'TFIIS', NULL, NULL, NULL, 8),
(21648, NULL, 'PIRSF001348', NULL, NULL, NULL, NULL, 'PEP_carboxykin_GTP', NULL, NULL, NULL, 8),
(21649, NULL, 'PIRSF030250', NULL, NULL, NULL, NULL, 'Ptase_At2g46880', NULL, NULL, NULL, 8),
(21650, NULL, 'PIRSF001031', NULL, NULL, NULL, NULL, 'Glu-a-glcsd_SBD', NULL, NULL, NULL, 8),
(21651, NULL, 'PIRSF036852', NULL, NULL, NULL, NULL, 'RNase_H1_euk', NULL, NULL, NULL, 8),
(21652, NULL, 'PIRSF038097', NULL, NULL, NULL, NULL, 'V-ATP_synth_e1/e2', NULL, NULL, NULL, 8),
(21653, NULL, 'PIRSF004983', NULL, NULL, NULL, NULL, 'MenD', NULL, NULL, NULL, 8),
(21654, NULL, 'PIRSF028470', NULL, NULL, NULL, NULL, 'UCP028470', NULL, NULL, NULL, 8),
(21655, NULL, 'PIRSF002285', NULL, NULL, NULL, NULL, 'Op18_SCG10', NULL, NULL, NULL, 8),
(21656, NULL, 'PIRSF022207', NULL, NULL, NULL, NULL, 'UCP022207', NULL, NULL, NULL, 8),
(21657, NULL, 'PIRSF005052', NULL, NULL, NULL, NULL, 'P-loop_kin_YhbJ', NULL, NULL, NULL, 8),
(21658, NULL, 'PIRSF037307', NULL, NULL, NULL, NULL, 'Lhr-like_helic', NULL, NULL, NULL, 8),
(21659, NULL, 'PIRSF028777', NULL, NULL, NULL, NULL, 'UCP028777', NULL, NULL, NULL, 8),
(21660, NULL, 'PIRSF001123', NULL, NULL, NULL, NULL, 'PepA_GA', NULL, NULL, NULL, 8),
(21661, NULL, 'PIRSF011773', NULL, NULL, NULL, NULL, 'RFA3_yeast', NULL, NULL, NULL, 8),
(21662, NULL, 'PIRSF037489', NULL, NULL, NULL, NULL, 'NIF3_YqfO', NULL, NULL, NULL, 8),
(21663, NULL, 'PIRSF004923', NULL, NULL, NULL, NULL, 'RseC', NULL, NULL, NULL, 8),
(21664, NULL, 'PIRSF012159', NULL, NULL, NULL, NULL, 'Inh_gp21', NULL, NULL, NULL, 8),
(21665, NULL, 'PIRSF029038', NULL, NULL, NULL, NULL, 'Mtase_YbiN', NULL, NULL, NULL, 8),
(21666, NULL, 'PIRSF032623', NULL, NULL, NULL, NULL, 'Protease_SSO2181', NULL, NULL, NULL, 8),
(21667, NULL, 'PIRSF036470', NULL, NULL, NULL, NULL, 'PLD_plant', NULL, NULL, NULL, 8),
(21668, NULL, 'PIRSF030786', NULL, NULL, NULL, NULL, 'Lysis_prot_S', NULL, NULL, NULL, 8),
(21669, NULL, 'PIRSF029208', NULL, NULL, NULL, NULL, 'Tail_GPU', NULL, NULL, NULL, 8),
(21670, NULL, 'PIRSF017930', NULL, NULL, NULL, NULL, 'TraM', NULL, NULL, NULL, 8),
(21671, NULL, 'PIRSF011237', NULL, NULL, NULL, NULL, 'GpU', NULL, NULL, NULL, 8),
(21672, NULL, 'PIRSF037744', NULL, NULL, NULL, NULL, 'TIR_Ticam', NULL, NULL, NULL, 8),
(21673, NULL, 'PIRSF006553', NULL, NULL, NULL, NULL, 'TopoVI-B', NULL, NULL, NULL, 8);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21674, NULL, 'PIRSF037903', NULL, NULL, NULL, NULL, 'Subtilisin_rel_GFO_2223', NULL, NULL, NULL, 8),
(21675, NULL, 'PIRSF038928', NULL, NULL, NULL, NULL, 'Catalase_clade1-3', NULL, NULL, NULL, 8),
(21676, NULL, 'PIRSF501032', NULL, NULL, NULL, NULL, 'C-ets-2', NULL, NULL, NULL, 8),
(21677, NULL, 'PIRSF001084', NULL, NULL, NULL, NULL, 'B-galactosidase', NULL, NULL, NULL, 8),
(21678, NULL, 'PIRSF016070', NULL, NULL, NULL, NULL, 'Vir_PGP3-D_Chlamydiae', NULL, NULL, NULL, 8),
(21679, NULL, 'PIRSF020772', NULL, NULL, NULL, NULL, 'UCP020772', NULL, NULL, NULL, 8),
(21680, NULL, 'PIRSF036687', NULL, NULL, NULL, NULL, 'AcnB', NULL, NULL, NULL, 8),
(21681, NULL, 'PIRSF000906', NULL, NULL, NULL, NULL, 'FBPtase_Bacill', NULL, NULL, NULL, 8),
(21682, NULL, 'PIRSF010376', NULL, NULL, NULL, NULL, 'IspE', NULL, NULL, NULL, 8),
(21683, NULL, 'PIRSF001213', NULL, NULL, NULL, NULL, 'MCP', NULL, NULL, NULL, 8),
(21684, NULL, 'PIRSF001997', NULL, NULL, NULL, NULL, 'PTPRR', NULL, NULL, NULL, 8),
(21685, NULL, 'PIRSF015200', NULL, NULL, NULL, NULL, 'Cyclin_WDSV', NULL, NULL, NULL, 8),
(21686, NULL, 'PIRSF003268', NULL, NULL, NULL, NULL, 'TraJ_R1', NULL, NULL, NULL, 8),
(21687, NULL, 'PIRSF018326', NULL, NULL, NULL, NULL, 'VP35_FiloV', NULL, NULL, NULL, 8),
(21688, NULL, 'PIRSF001775', NULL, NULL, NULL, NULL, 'Thrombomodulin', NULL, NULL, NULL, 8),
(21689, NULL, 'PIRSF006594', NULL, NULL, NULL, NULL, 'UCP006594', NULL, NULL, NULL, 8),
(21690, NULL, 'PIRSF000386', NULL, NULL, NULL, NULL, 'tRNA_mtase', NULL, NULL, NULL, 8),
(21691, NULL, 'PIRSF012637', NULL, NULL, NULL, NULL, 'UCP012637', NULL, NULL, NULL, 8),
(21692, NULL, 'PIRSF038205', NULL, NULL, NULL, NULL, 'DRP2', NULL, NULL, NULL, 8),
(21693, NULL, 'PIRSF037610', NULL, NULL, NULL, NULL, 'BLOC-1_mut', NULL, NULL, NULL, 8),
(21694, NULL, 'PIRSF000611', NULL, NULL, NULL, NULL, 'STPK_MPS1', NULL, NULL, NULL, 8),
(21695, NULL, 'PIRSF038181', NULL, NULL, NULL, NULL, 'NCoA', NULL, NULL, NULL, 8),
(21696, NULL, 'PIRSF032656', NULL, NULL, NULL, NULL, 'Glycosylhydrolase_', NULL, NULL, NULL, 8),
(21697, NULL, 'PIRSF000401', NULL, NULL, NULL, NULL, 'RPL11_MTase', NULL, NULL, NULL, 8),
(21698, NULL, 'PIRSF500136', NULL, NULL, NULL, NULL, 'UDP_ManNAc_DH', NULL, NULL, NULL, 8),
(21699, NULL, 'PIRSF000803', NULL, NULL, NULL, NULL, 'DNA_pol_II_small_arch', NULL, NULL, NULL, 8),
(21700, NULL, 'PIRSF003314', NULL, NULL, NULL, NULL, 'IPP_isomerase_FMN-dep', NULL, NULL, NULL, 8),
(21701, NULL, 'PIRSF006606', NULL, NULL, NULL, NULL, 'UCP006606', NULL, NULL, NULL, 8),
(21702, NULL, 'PIRSF025798', NULL, NULL, NULL, NULL, 'Cables', NULL, NULL, NULL, 8),
(21703, NULL, 'PIRSF005992', NULL, NULL, NULL, NULL, 'AP_complex_mu', NULL, NULL, NULL, 8),
(21704, NULL, 'PIRSF002825', NULL, NULL, NULL, NULL, 'CfbpA', NULL, NULL, NULL, 8),
(21705, NULL, 'PIRSF009427', NULL, NULL, NULL, NULL, 'UCP009427_DNAmts', NULL, NULL, NULL, 8),
(21706, NULL, 'PIRSF016302', NULL, NULL, NULL, NULL, 'Man_a_manosd', NULL, NULL, NULL, 8),
(21707, NULL, 'PIRSF036521', NULL, NULL, NULL, NULL, 'UCP036521_pph', NULL, NULL, NULL, 8),
(21708, NULL, 'PIRSF006453', NULL, NULL, NULL, NULL, 'FwdA', NULL, NULL, NULL, 8),
(21709, NULL, 'PIRSF037473', NULL, NULL, NULL, NULL, 'BLOC2_Hps3', NULL, NULL, NULL, 8),
(21710, NULL, 'PIRSF019548', NULL, NULL, NULL, NULL, 'TNF_CD30L', NULL, NULL, NULL, 8),
(21711, NULL, 'PIRSF036426', NULL, NULL, NULL, NULL, 'Sirohaem_synth', NULL, NULL, NULL, 8),
(21712, NULL, 'PIRSF005413', NULL, NULL, NULL, NULL, 'COX11', NULL, NULL, NULL, 8),
(21713, NULL, 'PIRSF005539', NULL, NULL, NULL, NULL, 'F1_peptds', NULL, NULL, NULL, 8),
(21714, NULL, 'PIRSF005578', NULL, NULL, NULL, NULL, 'TlyA', NULL, NULL, NULL, 8),
(21715, NULL, 'PIRSF006503', NULL, NULL, NULL, NULL, 'UCP006503', NULL, NULL, NULL, 8),
(21716, NULL, 'PIRSF000699', NULL, NULL, NULL, NULL, 'PTS_IILac_III', NULL, NULL, NULL, 8),
(21717, NULL, 'PIRSF015703', NULL, NULL, NULL, NULL, 'UCP015703', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21718, NULL, 'PIRSF018432', NULL, NULL, NULL, NULL, 'WbeT', NULL, NULL, NULL, 8),
(21719, NULL, 'PIRSF000930', NULL, NULL, NULL, NULL, 'PTPN8_PTPN22', NULL, NULL, NULL, 8),
(21720, NULL, 'PIRSF036983', NULL, NULL, NULL, NULL, 'UCP_2CBS_MJ1404', NULL, NULL, NULL, 8),
(21721, NULL, 'PIRSF037158', NULL, NULL, NULL, NULL, 'UCP037158', NULL, NULL, NULL, 8),
(21722, NULL, 'PIRSF000934', NULL, NULL, NULL, NULL, 'PTPN14_PTPN21', NULL, NULL, NULL, 8),
(21723, NULL, 'PIRSF036557', NULL, NULL, NULL, NULL, 'XdhA_RC', NULL, NULL, NULL, 8),
(21724, NULL, 'PIRSF012293', NULL, NULL, NULL, NULL, 'EutA', NULL, NULL, NULL, 8),
(21725, NULL, 'PIRSF001488', NULL, NULL, NULL, NULL, 'Tdi_protein', NULL, NULL, NULL, 8),
(21726, NULL, 'PIRSF000233', NULL, NULL, NULL, NULL, 'Nitr_rd_NADH', NULL, NULL, NULL, 8),
(21727, NULL, 'PIRSF037369', NULL, NULL, NULL, NULL, 'STPK_unc51', NULL, NULL, NULL, 8),
(21728, NULL, 'PIRSF000007', NULL, NULL, NULL, NULL, 'Ubiq_cycred_cyc', NULL, NULL, NULL, 8),
(21729, NULL, 'PIRSF001892', NULL, NULL, NULL, NULL, 'CyaE', NULL, NULL, NULL, 8),
(21730, NULL, 'PIRSF036940', NULL, NULL, NULL, NULL, 'PanK_bac_aCoA', NULL, NULL, NULL, 8),
(21731, NULL, 'PIRSF019454', NULL, NULL, NULL, NULL, 'UCP019454_CBS_PAB0389', NULL, NULL, NULL, 8),
(21732, NULL, 'PIRSF016020', NULL, NULL, NULL, NULL, 'PHexose_mutarotase', NULL, NULL, NULL, 8),
(21733, NULL, 'PIRSF027377', NULL, NULL, NULL, NULL, 'Nitrile_oxidored_QueF', NULL, NULL, NULL, 8),
(21734, NULL, 'PIRSF013232', NULL, NULL, NULL, NULL, 'UCP013232', NULL, NULL, NULL, 8),
(21735, NULL, 'PIRSF004862', NULL, NULL, NULL, NULL, 'FliF', NULL, NULL, NULL, 8),
(21736, NULL, 'PIRSF006054', NULL, NULL, NULL, NULL, 'UCP006054', NULL, NULL, NULL, 8),
(21737, NULL, 'PIRSF029958', NULL, NULL, NULL, NULL, 'Necrosis-inducing_protein', NULL, NULL, NULL, 8),
(21738, NULL, 'PIRSF002541', NULL, NULL, NULL, NULL, 'SP_pAIF', NULL, NULL, NULL, 8),
(21739, NULL, 'PIRSF039100', NULL, NULL, NULL, NULL, 'ARPC4', NULL, NULL, NULL, 8),
(21740, NULL, 'PIRSF006614', NULL, NULL, NULL, NULL, 'Methylglyox_syn', NULL, NULL, NULL, 8),
(21741, NULL, 'PIRSF005357', NULL, NULL, NULL, NULL, 'UCP005357', NULL, NULL, NULL, 8),
(21742, NULL, 'PIRSF000657', NULL, NULL, NULL, NULL, 'STPK_ASFV', NULL, NULL, NULL, 8),
(21743, NULL, 'PIRSF020370', NULL, NULL, NULL, NULL, 'Oms28', NULL, NULL, NULL, 8),
(21744, NULL, 'PIRSF012535', NULL, NULL, NULL, NULL, 'UCP012535', NULL, NULL, NULL, 8),
(21745, NULL, 'PIRSF012509', NULL, NULL, NULL, NULL, 'CamS', NULL, NULL, NULL, 8),
(21746, NULL, 'PIRSF000148', NULL, NULL, NULL, NULL, 'ASA_dh', NULL, NULL, NULL, 8),
(21747, NULL, 'PIRSF018634', NULL, NULL, NULL, NULL, 'UCP018634', NULL, NULL, NULL, 8),
(21748, NULL, 'PIRSF000208', NULL, NULL, NULL, NULL, 'P450R', NULL, NULL, NULL, 8),
(21749, NULL, 'PIRSF000463', NULL, NULL, NULL, NULL, 'GlgB', NULL, NULL, NULL, 8),
(21750, NULL, 'PIRSF006324', NULL, NULL, NULL, NULL, 'LeuE', NULL, NULL, NULL, 8),
(21751, NULL, 'PIRSF015415', NULL, NULL, NULL, NULL, 'COG8', NULL, NULL, NULL, 8),
(21752, NULL, 'PIRSF005859', NULL, NULL, NULL, NULL, 'PBR', NULL, NULL, NULL, 8),
(21753, NULL, 'PIRSF008502', NULL, NULL, NULL, NULL, 'UCP008502', NULL, NULL, NULL, 8),
(21754, NULL, 'PIRSF037730', NULL, NULL, NULL, NULL, 'CWA_LytH', NULL, NULL, NULL, 8),
(21755, NULL, 'PIRSF004882', NULL, NULL, NULL, NULL, 'GTP_bind_MJ1339', NULL, NULL, NULL, 8),
(21756, NULL, 'PIRSF007050', NULL, NULL, NULL, NULL, 'UCP007050', NULL, NULL, NULL, 8),
(21757, NULL, 'PIRSF016128', NULL, NULL, NULL, NULL, 'UCP016128', NULL, NULL, NULL, 8),
(21758, NULL, 'PIRSF031512', NULL, NULL, NULL, NULL, 'EpsL', NULL, NULL, NULL, 8),
(21759, NULL, 'PIRSF000941', NULL, NULL, NULL, NULL, 'DUSP12', NULL, NULL, NULL, 8),
(21760, NULL, 'PIRSF037135', NULL, NULL, NULL, NULL, 'Matriptase-2', NULL, NULL, NULL, 8),
(21761, NULL, 'PIRSF016275', NULL, NULL, NULL, NULL, 'DNA_pol_II_DP2', NULL, NULL, NULL, 8),
(21762, NULL, 'PIRSF001837', NULL, NULL, NULL, NULL, 'Leptin', NULL, NULL, NULL, 8);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21763, NULL, 'PIRSF037631', NULL, NULL, NULL, NULL, 'Snapin', NULL, NULL, NULL, 8),
(21764, NULL, 'PIRSF003692', NULL, NULL, NULL, NULL, 'VAC_C14L', NULL, NULL, NULL, 8),
(21765, NULL, 'PIRSF000460', NULL, NULL, NULL, NULL, 'Glucan_phosphorylase_GlgP', NULL, NULL, NULL, 8),
(21766, NULL, 'PIRSF000827', NULL, NULL, NULL, NULL, 'RdRPol_OMV', NULL, NULL, NULL, 8),
(21767, NULL, 'PIRSF016511', NULL, NULL, NULL, NULL, 'Cyclin_Pcl', NULL, NULL, NULL, 8),
(21768, NULL, 'PIRSF009290', NULL, NULL, NULL, NULL, 'FrlB', NULL, NULL, NULL, 8),
(21769, NULL, 'PIRSF001141', NULL, NULL, NULL, NULL, 'Acrosin', NULL, NULL, NULL, 8),
(21770, NULL, 'PIRSF015161', NULL, NULL, NULL, NULL, 'TAFI48', NULL, NULL, NULL, 8),
(21771, NULL, 'PIRSF021292', NULL, NULL, NULL, NULL, 'ComGD', NULL, NULL, NULL, 8),
(21772, NULL, 'PIRSF005642', NULL, NULL, NULL, NULL, 'UCP005642', NULL, NULL, NULL, 8),
(21773, NULL, 'PIRSF003109', NULL, NULL, NULL, NULL, 'RE_McrC', NULL, NULL, NULL, 8),
(21774, NULL, 'PIRSF002369', NULL, NULL, NULL, NULL, 'Apovitellenin_I', NULL, NULL, NULL, 8),
(21775, NULL, 'PIRSF006593', NULL, NULL, NULL, NULL, 'UCP006593', NULL, NULL, NULL, 8),
(21776, NULL, 'PIRSF037159', NULL, NULL, NULL, NULL, 'UCP037159', NULL, NULL, NULL, 8),
(21777, NULL, 'PIRSF021288', NULL, NULL, NULL, NULL, 'YmfK_ACT', NULL, NULL, NULL, 8),
(21778, NULL, 'PIRSF000445', NULL, NULL, NULL, NULL, 'GluTR', NULL, NULL, NULL, 8),
(21779, NULL, 'PIRSF039087', NULL, NULL, NULL, NULL, 'L10E', NULL, NULL, NULL, 8),
(21780, NULL, 'PIRSF020623', NULL, NULL, NULL, NULL, 'PaaX', NULL, NULL, NULL, 8),
(21781, NULL, 'PIRSF001589', NULL, NULL, NULL, NULL, 'Asn_synthetase_glu-h', NULL, NULL, NULL, 8),
(21782, NULL, 'PIRSF008130', NULL, NULL, NULL, NULL, 'UCP008130', NULL, NULL, NULL, 8),
(21783, NULL, 'PIRSF036934', NULL, NULL, NULL, NULL, 'TrpE-G', NULL, NULL, NULL, 8),
(21784, NULL, 'PIRSF000927', NULL, NULL, NULL, NULL, 'PTPN3_PTPN4', NULL, NULL, NULL, 8),
(21785, NULL, 'PIRSF038155', NULL, NULL, NULL, NULL, 'AS2', NULL, NULL, NULL, 8),
(21786, NULL, 'PIRSF036446', NULL, NULL, NULL, NULL, 'Phosphoesterase_HI0762', NULL, NULL, NULL, 8),
(21787, NULL, 'PIRSF011271', NULL, NULL, NULL, NULL, 'SycE', NULL, NULL, NULL, 8),
(21788, NULL, 'PIRSF036429', NULL, NULL, NULL, NULL, 'P5C_synthetase', NULL, NULL, NULL, 8),
(21789, NULL, 'PIRSF026509', NULL, NULL, NULL, NULL, 'UCP026509', NULL, NULL, NULL, 8),
(21790, NULL, 'PIRSF027887', NULL, NULL, NULL, NULL, 'Amidohyd_027887', NULL, NULL, NULL, 8),
(21791, NULL, 'PIRSF019635', NULL, NULL, NULL, NULL, 'Cytochrome_b245_alpha', NULL, NULL, NULL, 8),
(21792, NULL, 'PIRSF037204', NULL, NULL, NULL, NULL, 'UCP037204', NULL, NULL, NULL, 8),
(21793, NULL, 'PIRSF000852', NULL, NULL, NULL, NULL, 'Phosphatidylserin_synth_fung', NULL, NULL, NULL, 8),
(21794, NULL, 'PIRSF037016', NULL, NULL, NULL, NULL, 'Pseudouridin_synth_euk', NULL, NULL, NULL, 8),
(21795, NULL, 'PIRSF006621', NULL, NULL, NULL, NULL, 'Dus', NULL, NULL, NULL, 8),
(21796, NULL, 'PIRSF000282', NULL, NULL, NULL, NULL, 'COX7', NULL, NULL, NULL, 8),
(21797, NULL, 'PIRSF007828', NULL, NULL, NULL, NULL, 'Dipeptidyl-peptidase_III', NULL, NULL, NULL, 8),
(21798, NULL, 'PIRSF038204', NULL, NULL, NULL, NULL, 'Distrobrevin', NULL, NULL, NULL, 8),
(21799, NULL, 'PIRSF029594', NULL, NULL, NULL, NULL, 'UCP029594', NULL, NULL, NULL, 8),
(21800, NULL, 'PIRSF004869', NULL, NULL, NULL, NULL, 'PflX', NULL, NULL, NULL, 8),
(21801, NULL, 'PIRSF002855', NULL, NULL, NULL, NULL, 'Murein-lipo', NULL, NULL, NULL, 8),
(21802, NULL, 'PIRSF001863', NULL, NULL, NULL, NULL, 'MAT_Alpha1', NULL, NULL, NULL, 8),
(21803, NULL, 'PIRSF037707', NULL, NULL, NULL, NULL, 'TOM20', NULL, NULL, NULL, 8),
(21804, NULL, 'PIRSF038170', NULL, NULL, NULL, NULL, 'TRM6', NULL, NULL, NULL, 8),
(21805, NULL, 'PIRSF001418', NULL, NULL, NULL, NULL, 'ACN', NULL, NULL, NULL, 8),
(21806, NULL, 'PIRSF005011', NULL, NULL, NULL, NULL, 'SanA', NULL, NULL, NULL, 8);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21807, NULL, 'PIRSF010354', NULL, NULL, NULL, NULL, 'Trx_SET', NULL, NULL, NULL, 8),
(21808, NULL, 'PIRSF019381', NULL, NULL, NULL, NULL, 'YcjX', NULL, NULL, NULL, 8),
(21809, NULL, 'PIRSF037162', NULL, NULL, NULL, NULL, 'PRDM', NULL, NULL, NULL, 8),
(21810, NULL, 'PIRSF016907', NULL, NULL, NULL, NULL, 'Kin_ATP-NAD', NULL, NULL, NULL, 8),
(21811, NULL, 'PIRSF029287', NULL, NULL, NULL, NULL, 'UCP029287', NULL, NULL, NULL, 8),
(21812, NULL, 'PIRSF003377', NULL, NULL, NULL, NULL, 'VP2_VP3_PPV', NULL, NULL, NULL, 8),
(21813, NULL, 'PIRSF021290', NULL, NULL, NULL, NULL, 'UCP021290', NULL, NULL, NULL, 8),
(21814, NULL, 'PIRSF018933', NULL, NULL, NULL, NULL, 'UCP018933', NULL, NULL, NULL, 8),
(21815, NULL, 'PIRSF004348', NULL, NULL, NULL, NULL, 'RNA_pol_inhibit', NULL, NULL, NULL, 8),
(21816, NULL, 'PIRSF031853', NULL, NULL, NULL, NULL, 'UCP031853', NULL, NULL, NULL, 8),
(21817, NULL, 'PIRSF016661', NULL, NULL, NULL, NULL, 'BioY', NULL, NULL, NULL, 8),
(21818, NULL, 'PIRSF029886', NULL, NULL, NULL, NULL, 'KBAA', NULL, NULL, NULL, 8),
(21819, NULL, 'PIRSF007313', NULL, NULL, NULL, NULL, 'PhnI', NULL, NULL, NULL, 8),
(21820, NULL, 'PIRSF019373', NULL, NULL, NULL, NULL, 'EhaF', NULL, NULL, NULL, 8),
(21821, NULL, 'PIRSF033887', NULL, NULL, NULL, NULL, 'PduX', NULL, NULL, NULL, 8),
(21822, NULL, 'PIRSF006707', NULL, NULL, NULL, NULL, 'MJ1563', NULL, NULL, NULL, 8),
(21823, NULL, 'PIRSF000319', NULL, NULL, NULL, NULL, 'Trp_2-mono_O2ase', NULL, NULL, NULL, 8),
(21824, NULL, 'PIRSF004750', NULL, NULL, NULL, NULL, 'Nitrile_oxidored_YqcD', NULL, NULL, NULL, 8),
(21825, NULL, 'PIRSF031780', NULL, NULL, NULL, NULL, 'UCP031780', NULL, NULL, NULL, 8),
(21826, NULL, 'PIRSF000847', NULL, NULL, NULL, NULL, 'Phos_ph_gly_syn', NULL, NULL, NULL, 8),
(21827, NULL, 'PIRSF007319', NULL, NULL, NULL, NULL, 'UCP007319', NULL, NULL, NULL, 8),
(21828, NULL, 'PIRSF037947', NULL, NULL, NULL, NULL, 'XRP2', NULL, NULL, NULL, 8),
(21829, NULL, 'PIRSF005412', NULL, NULL, NULL, NULL, 'UCP005412_abhydr', NULL, NULL, NULL, 8),
(21830, NULL, 'PIRSF004338', NULL, NULL, NULL, NULL, 'Integrase', NULL, NULL, NULL, 8),
(21831, NULL, 'PIRSF026986', NULL, NULL, NULL, NULL, 'MET_SET', NULL, NULL, NULL, 8),
(21832, NULL, 'PIRSF000151', NULL, NULL, NULL, NULL, 'GPR', NULL, NULL, NULL, 8),
(21833, NULL, 'PIRSF004161', NULL, NULL, NULL, NULL, 'DNA-bp_J_Microviridae', NULL, NULL, NULL, 8),
(21834, NULL, 'PIRSF027093', NULL, NULL, NULL, NULL, 'EndopolyPtase_N1', NULL, NULL, NULL, 8),
(21835, NULL, 'PIRSF032064', NULL, NULL, NULL, NULL, 'UCP032064', NULL, NULL, NULL, 8),
(21836, NULL, 'PIRSF031551', NULL, NULL, NULL, NULL, 'UCP031551', NULL, NULL, NULL, 8),
(21837, NULL, 'PIRSF500951', NULL, NULL, NULL, NULL, 'SCGF_recepter', NULL, NULL, NULL, 8),
(21838, NULL, 'PIRSF026649', NULL, NULL, NULL, NULL, 'MsbB', NULL, NULL, NULL, 8),
(21839, NULL, 'PIRSF030829', NULL, NULL, NULL, NULL, 'DAG_kinase_plant', NULL, NULL, NULL, 8),
(21840, NULL, 'PIRSF032436', NULL, NULL, NULL, NULL, 'UCP032436', NULL, NULL, NULL, 8),
(21841, NULL, 'PIRSF013022', NULL, NULL, NULL, NULL, 'UCP013022', NULL, NULL, NULL, 8),
(21842, NULL, 'PIRSF037882', NULL, NULL, NULL, NULL, 'Subtilisin_rel_fervidolysin', NULL, NULL, NULL, 8),
(21843, NULL, 'PIRSF005216', NULL, NULL, NULL, NULL, 'PvlArgDC', NULL, NULL, NULL, 8),
(21844, NULL, 'PIRSF006169', NULL, NULL, NULL, NULL, 'UCP006169', NULL, NULL, NULL, 8),
(21845, NULL, 'PIRSF038189', NULL, NULL, NULL, NULL, 'IRAK4', NULL, NULL, NULL, 8),
(21846, NULL, 'PIRSF036632', NULL, NULL, NULL, NULL, 'GOGAT_lg_1_3', NULL, NULL, NULL, 8),
(21847, NULL, 'PIRSF038038', NULL, NULL, NULL, NULL, 'Gemin-2', NULL, NULL, NULL, 8),
(21848, NULL, 'PIRSF018494', NULL, NULL, NULL, NULL, 'PBSX_VPQ', NULL, NULL, NULL, 8),
(21849, NULL, 'PIRSF011794', NULL, NULL, NULL, NULL, 'Rhamnogalacturonase_B', NULL, NULL, NULL, 8),
(21850, NULL, 'PIRSF001265', NULL, NULL, NULL, NULL, 'H+-PPtase', NULL, NULL, NULL, 8);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21851, NULL, 'PIRSF000478', NULL, NULL, NULL, NULL, 'TP_PyNP', NULL, NULL, NULL, 8),
(21852, NULL, 'PIRSF004179', NULL, NULL, NULL, NULL, 'DNAterm_GP3', NULL, NULL, NULL, 8),
(21853, NULL, 'PIRSF006470', NULL, NULL, NULL, NULL, 'DctB', NULL, NULL, NULL, 8),
(21854, NULL, 'PIRSF007056', NULL, NULL, NULL, NULL, 'UCP007056', NULL, NULL, NULL, 8),
(21855, NULL, 'PIRSF037322', NULL, NULL, NULL, NULL, 'CDKN3', NULL, NULL, NULL, 8),
(21856, NULL, 'PIRSF001225', NULL, NULL, NULL, NULL, 'Urease_gammabeta', NULL, NULL, NULL, 8),
(21857, NULL, 'PIRSF026673', NULL, NULL, NULL, NULL, 'UCP026673_ion_chan', NULL, NULL, NULL, 8),
(21858, NULL, 'PIRSF037935', NULL, NULL, NULL, NULL, 'TMPRSS13', NULL, NULL, NULL, 8),
(21859, NULL, 'PIRSF036586', NULL, NULL, NULL, NULL, 'CDP-ribitol_syn', NULL, NULL, NULL, 8),
(21860, NULL, 'PIRSF001251', NULL, NULL, NULL, NULL, 'AMP_deaminase', NULL, NULL, NULL, 8),
(21861, NULL, 'PIRSF002094', NULL, NULL, NULL, NULL, 'OMP26_Skp', NULL, NULL, NULL, 8),
(21862, NULL, 'PIRSF029163', NULL, NULL, NULL, NULL, 'MDH2', NULL, NULL, NULL, 8),
(21863, NULL, 'PIRSF036688', NULL, NULL, NULL, NULL, 'CmuA', NULL, NULL, NULL, 8),
(21864, NULL, 'PIRSF018427', NULL, NULL, NULL, NULL, 'Isopentenyldiphpt_isom', NULL, NULL, NULL, 8),
(21865, NULL, 'PIRSF006809', NULL, NULL, NULL, NULL, 'GTP-binding_hflX', NULL, NULL, NULL, 8),
(21866, NULL, 'PIRSF501104', NULL, NULL, NULL, NULL, 'Protein_kin_C_delta', NULL, NULL, NULL, 8),
(21867, NULL, 'PIRSF017998', NULL, NULL, NULL, NULL, 'UCP017998', NULL, NULL, NULL, 8),
(21868, NULL, 'PIRSF031043', NULL, NULL, NULL, NULL, 'UCP031043', NULL, NULL, NULL, 8),
(21869, NULL, 'PIRSF004846', NULL, NULL, NULL, NULL, 'ModA', NULL, NULL, NULL, 8),
(21870, NULL, 'PIRSF026713', NULL, NULL, NULL, NULL, 'PMI_Firm_long', NULL, NULL, NULL, 8),
(21871, NULL, 'PIRSF007972', NULL, NULL, NULL, NULL, 'Gra2', NULL, NULL, NULL, 8),
(21872, NULL, 'PIRSF001336', NULL, NULL, NULL, NULL, 'ARGDC', NULL, NULL, NULL, 8),
(21873, NULL, 'PIRSF035865', NULL, NULL, NULL, NULL, 'UCP035865', NULL, NULL, NULL, 8),
(21874, NULL, 'PIRSF012565', NULL, NULL, NULL, NULL, 'UCP012565', NULL, NULL, NULL, 8),
(21875, NULL, 'PIRSF007991', NULL, NULL, NULL, NULL, 'Vang-like', NULL, NULL, NULL, 8),
(21876, NULL, 'PIRSF004959', NULL, NULL, NULL, NULL, 'UCP004959', NULL, NULL, NULL, 8),
(21877, NULL, 'PIRSF005604', NULL, NULL, NULL, NULL, 'EndGlu_transf', NULL, NULL, NULL, 8),
(21878, NULL, 'PIRSF001227', NULL, NULL, NULL, NULL, 'Pen_acylase', NULL, NULL, NULL, 8),
(21879, NULL, 'PIRSF030962', NULL, NULL, NULL, NULL, 'Dehydrase', NULL, NULL, NULL, 8),
(21880, NULL, 'PIRSF036522', NULL, NULL, NULL, NULL, 'UCP036522_pph', NULL, NULL, NULL, 8),
(21881, NULL, 'PIRSF029215', NULL, NULL, NULL, NULL, 'UCP029215', NULL, NULL, NULL, 8),
(21882, NULL, 'PIRSF036392', NULL, NULL, NULL, NULL, 'RR_ARR_type-B', NULL, NULL, NULL, 8),
(21883, NULL, 'PIRSF004800', NULL, NULL, NULL, NULL, 'Hmw2', NULL, NULL, NULL, 8),
(21884, NULL, 'PIRSF016550', NULL, NULL, NULL, NULL, 'Rab_ger_ger_transf_A_euk', NULL, NULL, NULL, 8),
(21885, NULL, 'PIRSF037851', NULL, NULL, NULL, NULL, 'Subtilisin_cyano', NULL, NULL, NULL, 8),
(21886, NULL, 'PIRSF033091', NULL, NULL, NULL, NULL, 'Pesterase_YhaO', NULL, NULL, NULL, 8),
(21887, NULL, 'PIRSF501176', NULL, NULL, NULL, NULL, 'DNApol_mu', NULL, NULL, NULL, 8),
(21888, NULL, 'PIRSF037870', NULL, NULL, NULL, NULL, 'Doublin', NULL, NULL, NULL, 8),
(21889, NULL, 'PIRSF004853', NULL, NULL, NULL, NULL, 'UCP004853', NULL, NULL, NULL, 8),
(21890, NULL, 'PIRSF012608', NULL, NULL, NULL, NULL, 'UCP012608', NULL, NULL, NULL, 8),
(21891, NULL, 'PIRSF007939', NULL, NULL, NULL, NULL, 'RRN6', NULL, NULL, NULL, 8),
(21892, NULL, 'PIRSF028570', NULL, NULL, NULL, NULL, 'UCP028570', NULL, NULL, NULL, 8),
(21893, NULL, 'PIRSF038093', NULL, NULL, NULL, NULL, 'ARPC1', NULL, NULL, NULL, 8),
(21894, NULL, 'PIRSF030780', NULL, NULL, NULL, NULL, 'Md_memb_hyd', NULL, NULL, NULL, 8);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21895, NULL, 'PIRSF036962', NULL, NULL, NULL, NULL, 'UCP036962_SignTr_Ycf55', NULL, NULL, NULL, 8),
(21896, NULL, 'PIRSF001948', NULL, NULL, NULL, NULL, 'MCSF', NULL, NULL, NULL, 8),
(21897, NULL, 'PIRSF005943', NULL, NULL, NULL, NULL, 'NMPRT', NULL, NULL, NULL, 8),
(21898, NULL, 'PIRSF025926', NULL, NULL, NULL, NULL, 'UCP025926', NULL, NULL, NULL, 8),
(21899, NULL, 'PIRSF001430', NULL, NULL, NULL, NULL, 'PSU-A', NULL, NULL, NULL, 8),
(21900, NULL, 'PIRSF036585', NULL, NULL, NULL, NULL, 'EchD', NULL, NULL, NULL, 8),
(21901, NULL, 'PIRSF001486', NULL, NULL, NULL, NULL, 'CatC', NULL, NULL, NULL, 8),
(21902, NULL, 'PIRSF000381', NULL, NULL, NULL, NULL, 'Met_synth_MetH', NULL, NULL, NULL, 8),
(21903, NULL, 'PIRSF003135', NULL, NULL, NULL, NULL, 'Primosomal_n', NULL, NULL, NULL, 8),
(21904, NULL, 'PIRSF039089', NULL, NULL, NULL, NULL, 'ATP_synthase_gamma', NULL, NULL, NULL, 8),
(21905, NULL, 'PIRSF010260', NULL, NULL, NULL, NULL, 'UCP010260', NULL, NULL, NULL, 8),
(21906, NULL, 'PIRSF037692', NULL, NULL, NULL, NULL, 'UCP037692', NULL, NULL, NULL, 8),
(21907, NULL, 'PIRSF006581', NULL, NULL, NULL, NULL, 'EhaD', NULL, NULL, NULL, 8),
(21908, NULL, 'PIRSF018454', NULL, NULL, NULL, NULL, 'TRL10', NULL, NULL, NULL, 8),
(21909, NULL, 'PIRSF004764', NULL, NULL, NULL, NULL, 'YmfJ', NULL, NULL, NULL, 8),
(21910, NULL, 'PIRSF028756', NULL, NULL, NULL, NULL, 'PPK2', NULL, NULL, NULL, 8),
(21911, NULL, 'PIRSF014753', NULL, NULL, NULL, NULL, 'UCP014753', NULL, NULL, NULL, 8),
(21912, NULL, 'PIRSF005522', NULL, NULL, NULL, NULL, 'UCP005522', NULL, NULL, NULL, 8),
(21913, NULL, 'PIRSF020979', NULL, NULL, NULL, NULL, 'UCP020979', NULL, NULL, NULL, 8),
(21914, NULL, 'PIRSF037167', NULL, NULL, NULL, NULL, 'Mtase_YfcB', NULL, NULL, NULL, 8),
(21915, NULL, 'PIRSF017804', NULL, NULL, NULL, NULL, 'Secretion_EccD1', NULL, NULL, NULL, 8),
(21916, NULL, 'PIRSF029416', NULL, NULL, NULL, NULL, 'UCP029416_PTP', NULL, NULL, NULL, 8),
(21917, NULL, 'PIRSF000005', NULL, NULL, NULL, NULL, 'Cytochrome_c4', NULL, NULL, NULL, 8),
(21918, NULL, 'PIRSF004866', NULL, NULL, NULL, NULL, 'IMP_cclhdr_arch', NULL, NULL, NULL, 8),
(21919, NULL, 'PIRSF037989', NULL, NULL, NULL, NULL, 'UCP037989', NULL, NULL, NULL, 8),
(21920, NULL, 'PIRSF006549', NULL, NULL, NULL, NULL, 'PDH_arog_dh_reg', NULL, NULL, NULL, 8),
(21921, NULL, 'PIRSF501177', NULL, NULL, NULL, NULL, 'BoxA', NULL, NULL, NULL, 8),
(21922, NULL, 'PIRSF002486', NULL, NULL, NULL, NULL, 'CIP_VAC_C3L', NULL, NULL, NULL, 8),
(21923, NULL, 'PIRSF032620', NULL, NULL, NULL, NULL, 'UCP032620', NULL, NULL, NULL, 8),
(21924, NULL, 'PIRSF038146', NULL, NULL, NULL, NULL, 'STPK_RIO3', NULL, NULL, NULL, 8),
(21925, NULL, 'PIRSF029047', NULL, NULL, NULL, NULL, 'KMTS', NULL, NULL, NULL, 8),
(21926, NULL, 'PIRSF000903', NULL, NULL, NULL, NULL, 'B5n-ttraPtase_sm', NULL, NULL, NULL, 8),
(21927, NULL, 'PIRSF001100', NULL, NULL, NULL, NULL, 'Cellulase', NULL, NULL, NULL, 8),
(21928, NULL, 'PIRSF016522', NULL, NULL, NULL, NULL, 'MOG', NULL, NULL, NULL, 8),
(21929, NULL, 'PIRSF039102', NULL, NULL, NULL, NULL, 'Ddl/VanB', NULL, NULL, NULL, 8),
(21930, NULL, 'PIRSF036510', NULL, NULL, NULL, NULL, 'PDH_fung', NULL, NULL, NULL, 8),
(21931, NULL, 'PIRSF000232', NULL, NULL, NULL, NULL, 'YdjA', NULL, NULL, NULL, 8),
(21932, NULL, 'PIRSF036685', NULL, NULL, NULL, NULL, 'BacLeuNPeptidase', NULL, NULL, NULL, 8),
(21933, NULL, 'PIRSF000203', NULL, NULL, NULL, NULL, 'NADP_transhydrogenase_alpha', NULL, NULL, NULL, 8),
(21934, NULL, 'PIRSF000660', NULL, NULL, NULL, NULL, 'STPK_GCN2', NULL, NULL, NULL, 8),
(21935, NULL, 'PIRSF500784', NULL, NULL, NULL, NULL, 'TAG1', NULL, NULL, NULL, 8),
(21936, NULL, 'PIRSF000926', NULL, NULL, NULL, NULL, 'PTPN1_PTPN2', NULL, NULL, NULL, 8),
(21937, NULL, 'PIRSF000118', NULL, NULL, NULL, NULL, 'Ilv5_plant', NULL, NULL, NULL, 8),
(21938, NULL, 'PIRSF018586', NULL, NULL, NULL, NULL, 'FADD', NULL, NULL, NULL, 8),
(21939, NULL, 'PIRSF037379', NULL, NULL, NULL, NULL, 'Urm1', NULL, NULL, NULL, 8);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21940, NULL, 'PIRSF026396', NULL, NULL, NULL, NULL, 'UCP026396_dh', NULL, NULL, NULL, 8),
(21941, NULL, 'PIRSF037404', NULL, NULL, NULL, NULL, 'DNMT1', NULL, NULL, NULL, 8),
(21942, NULL, 'PIRSF017854', NULL, NULL, NULL, NULL, 'TrbD', NULL, NULL, NULL, 8),
(21943, NULL, 'PIRSF022613', NULL, NULL, NULL, NULL, 'MBA1', NULL, NULL, NULL, 8),
(21944, NULL, 'PIRSF032899', NULL, NULL, NULL, NULL, 'UCP032899', NULL, NULL, NULL, 8),
(21945, NULL, 'PIRSF036888', NULL, NULL, NULL, NULL, 'HDGYPm_UCP036888', NULL, NULL, NULL, 8),
(21946, NULL, 'PIRSF028841', NULL, NULL, NULL, NULL, 'APC10', NULL, NULL, NULL, 8),
(21947, NULL, 'PIRSF000098', NULL, NULL, NULL, NULL, 'Homoser_dh', NULL, NULL, NULL, 8),
(21948, NULL, 'PIRSF004929', NULL, NULL, NULL, NULL, 'UCP004929', NULL, NULL, NULL, 8),
(21949, NULL, 'PIRSF038144', NULL, NULL, NULL, NULL, 'Ladinin-1', NULL, NULL, NULL, 8),
(21950, NULL, 'PIRSF013899', NULL, NULL, NULL, NULL, 'UCP013899', NULL, NULL, NULL, 8),
(21951, NULL, 'PIRSF500231', NULL, NULL, NULL, NULL, 'Oat_dag', NULL, NULL, NULL, 8),
(21952, NULL, 'PIRSF001939', NULL, NULL, NULL, NULL, 'IL-3', NULL, NULL, NULL, 8),
(21953, NULL, 'PIRSF036458', NULL, NULL, NULL, NULL, 'Butyrate_kin', NULL, NULL, NULL, 8),
(21954, NULL, 'PIRSF018412', NULL, NULL, NULL, NULL, 'TEBP_beta', NULL, NULL, NULL, 8),
(21955, NULL, 'PIRSF004611', NULL, NULL, NULL, NULL, 'CBP2', NULL, NULL, NULL, 8),
(21956, NULL, 'PIRSF000666', NULL, NULL, NULL, NULL, 'TyrPK_ephrin_receptor', NULL, NULL, NULL, 8),
(21957, NULL, 'PIRSF033924', NULL, NULL, NULL, NULL, 'UCP033924', NULL, NULL, NULL, 8),
(21958, NULL, 'PIRSF015695', NULL, NULL, NULL, NULL, 'STPK_F10L', NULL, NULL, NULL, 8),
(21959, NULL, 'PIRSF037383', NULL, NULL, NULL, NULL, 'LicCA', NULL, NULL, NULL, 8),
(21960, NULL, 'PIRSF031143', NULL, NULL, NULL, NULL, 'UCP031143', NULL, NULL, NULL, 8),
(21961, NULL, 'PIRSF033725', NULL, NULL, NULL, NULL, 'UCP033725', NULL, NULL, NULL, 8),
(21962, NULL, 'PIRSF037913', NULL, NULL, NULL, NULL, 'HDAC_I_euk', NULL, NULL, NULL, 8),
(21963, NULL, 'PIRSF034452', NULL, NULL, NULL, NULL, 'TIM-br_sig_trnsd', NULL, NULL, NULL, 8),
(21964, NULL, 'PIRSF037666', NULL, NULL, NULL, NULL, 'GerPD', NULL, NULL, NULL, 8),
(21965, NULL, 'PIRSF019549', NULL, NULL, NULL, NULL, 'Gpr', NULL, NULL, NULL, 8),
(21966, NULL, 'PIRSF021505', NULL, NULL, NULL, NULL, 'O_gly_hdrol', NULL, NULL, NULL, 8),
(21967, NULL, 'PIRSF037014', NULL, NULL, NULL, NULL, 'SNF1LK_vert', NULL, NULL, NULL, 8),
(21968, NULL, 'PIRSF500627', NULL, NULL, NULL, NULL, 'Cytochrome_CYP8B1', NULL, NULL, NULL, 8),
(21969, NULL, 'PIRSF020419', NULL, NULL, NULL, NULL, 'Fe_uptake_reg_CjrA', NULL, NULL, NULL, 8),
(21970, NULL, 'PIRSF000566', NULL, NULL, NULL, NULL, 'STPK_Sbk1', NULL, NULL, NULL, 8),
(21971, NULL, 'PIRSF016496', NULL, NULL, NULL, NULL, 'Kin_FomA', NULL, NULL, NULL, 8),
(21972, NULL, 'PIRSF001103', NULL, NULL, NULL, NULL, 'Endo-b-N-acetylglucosaminidase', NULL, NULL, NULL, 8),
(21973, NULL, 'PIRSF000851', NULL, NULL, NULL, NULL, 'PcS', NULL, NULL, NULL, 8),
(21974, NULL, 'PIRSF037726', NULL, NULL, NULL, NULL, 'IL-22', NULL, NULL, NULL, 8),
(21975, NULL, 'PIRSF000277', NULL, NULL, NULL, NULL, 'COX_VIa', NULL, NULL, NULL, 8),
(21976, NULL, 'PIRSF007165', NULL, NULL, NULL, NULL, 'UCP007165', NULL, NULL, NULL, 8),
(21977, NULL, 'PIRSF037497', NULL, NULL, NULL, NULL, 'MreD_Clostridium/Treponema', NULL, NULL, NULL, 8),
(21978, NULL, 'PIRSF034247', NULL, NULL, NULL, NULL, 'RCAS1', NULL, NULL, NULL, 8),
(21979, NULL, 'PIRSF029122', NULL, NULL, NULL, NULL, 'UCP029122', NULL, NULL, NULL, 8),
(21980, NULL, 'PIRSF036872', NULL, NULL, NULL, NULL, 'L_TospoV', NULL, NULL, NULL, 8),
(21981, NULL, 'PIRSF037854', NULL, NULL, NULL, NULL, 'DhpA', NULL, NULL, NULL, 8),
(21982, NULL, 'PIRSF003496', NULL, NULL, NULL, NULL, 'Myristoylat_tegument_UL11', NULL, NULL, NULL, 8),
(21983, NULL, 'PIRSF500101', NULL, NULL, NULL, NULL, 'ER-a', NULL, NULL, NULL, 8);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(21984, NULL, 'PIRSF009533', NULL, NULL, NULL, NULL, 'FlbT', NULL, NULL, NULL, 8),
(21985, NULL, 'PIRSF011716', NULL, NULL, NULL, NULL, 'Endoprotease_Ssy5', NULL, NULL, NULL, 8),
(21986, NULL, 'PIRSF031982', NULL, NULL, NULL, NULL, 'UCP031982_abhydr', NULL, NULL, NULL, 8),
(21987, NULL, 'PIRSF038959', NULL, NULL, NULL, NULL, 'SdpI', NULL, NULL, NULL, 8),
(21988, NULL, 'PIRSF000183', NULL, NULL, NULL, NULL, 'Alanine_dh', NULL, NULL, NULL, 8),
(21989, NULL, 'PIRSF002736', NULL, NULL, NULL, NULL, 'Citrt_lyas_gamma', NULL, NULL, NULL, 8),
(21990, NULL, 'PIRSF001060', NULL, NULL, NULL, NULL, 'Endochitinase', NULL, NULL, NULL, 8),
(21991, NULL, 'PIRSF001363', NULL, NULL, NULL, NULL, 'Malate_synth', NULL, NULL, NULL, 8),
(21992, NULL, 'PIRSF002017', NULL, NULL, NULL, NULL, 'CD14', NULL, NULL, NULL, 8),
(21993, NULL, 'PIRSF006993', NULL, NULL, NULL, NULL, 'UCP006993', NULL, NULL, NULL, 8),
(21994, NULL, 'PIRSF036461', NULL, NULL, NULL, NULL, 'Chmtx_methlestr', NULL, NULL, NULL, 8),
(21995, NULL, 'PIRSF001423', NULL, NULL, NULL, NULL, 'Urocanate_hydrat', NULL, NULL, NULL, 8),
(21996, NULL, 'PIRSF000615', NULL, NULL, NULL, NULL, 'TyrPK_CSF1-R', NULL, NULL, NULL, 8),
(21997, NULL, 'PIRSF501106', NULL, NULL, NULL, NULL, 'Protein_kin_C_epsilon', NULL, NULL, NULL, 8),
(21998, NULL, 'PIRSF036569', NULL, NULL, NULL, NULL, 'Hml', NULL, NULL, NULL, 8),
(21999, NULL, 'PIRSF034515', NULL, NULL, NULL, NULL, 'Chondroitinase', NULL, NULL, NULL, 8),
(22000, NULL, 'PIRSF039014', NULL, NULL, NULL, NULL, 'OTR_cyc', NULL, NULL, NULL, 8),
(22001, NULL, 'PIRSF020431', NULL, NULL, NULL, NULL, 'NapD_delta/epsilon', NULL, NULL, NULL, 8),
(22002, NULL, 'PIRSF004523', NULL, NULL, NULL, NULL, 'ABC_peripl_P37', NULL, NULL, NULL, 8),
(22003, NULL, 'PIRSF036558', NULL, NULL, NULL, NULL, 'Ntrrd_NNDBI_PRT', NULL, NULL, NULL, 8),
(22004, NULL, 'PIRSF037475', NULL, NULL, NULL, NULL, 'BLOC2_Hps5', NULL, NULL, NULL, 8),
(22005, NULL, 'PIRSF017209', NULL, NULL, NULL, NULL, 'Memb_At2g17000', NULL, NULL, NULL, 8),
(22006, NULL, 'PIRSF001942', NULL, NULL, NULL, NULL, 'IL-7', NULL, NULL, NULL, 8),
(22007, NULL, 'PIRSF017962', NULL, NULL, NULL, NULL, 'UCP017962', NULL, NULL, NULL, 8),
(22008, NULL, 'PIRSF003950', NULL, NULL, NULL, NULL, 'N_NairoV', NULL, NULL, NULL, 8),
(22009, NULL, 'PIRSF039096', NULL, NULL, NULL, NULL, 'p16-ARC', NULL, NULL, NULL, 8),
(22010, NULL, 'PIRSF029171', NULL, NULL, NULL, NULL, 'Esterase_LipA', NULL, NULL, NULL, 8),
(22011, NULL, 'PIRSF027158', NULL, NULL, NULL, NULL, 'Lys_MTase_YDR198C', NULL, NULL, NULL, 8),
(22012, NULL, 'PIRSF006305', NULL, NULL, NULL, NULL, 'Maf', NULL, NULL, NULL, 8),
(22013, NULL, 'PIRSF026492', NULL, NULL, NULL, NULL, 'Dig_cycl_CHASE', NULL, NULL, NULL, 8),
(22014, NULL, 'PIRSF001220', NULL, NULL, NULL, NULL, 'L-ASNase_gatD', NULL, NULL, 1, 8),
(22015, NULL, 'PIRSF000355', NULL, NULL, NULL, NULL, 'NrdB', NULL, NULL, NULL, 8),
(22016, NULL, 'PIRSF000797', NULL, NULL, NULL, NULL, 'DNA_pol_mitochondrial', NULL, NULL, NULL, 8),
(22017, NULL, 'PIRSF037899', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Moth_2364', NULL, NULL, NULL, 8),
(22018, NULL, 'PIRSF009564', NULL, NULL, NULL, NULL, 'HdeA', NULL, NULL, NULL, 8),
(22019, NULL, 'PIRSF022995', NULL, NULL, NULL, NULL, 'ROP2', NULL, NULL, NULL, 8),
(22020, NULL, 'PIRSF028774', NULL, NULL, NULL, NULL, 'UCP028774', NULL, NULL, NULL, 8),
(22021, NULL, 'PIRSF034565', NULL, NULL, NULL, NULL, 'UCP034565', NULL, NULL, NULL, 8),
(22022, NULL, 'PIRSF000632', NULL, NULL, NULL, NULL, 'TyrPK_fps', NULL, NULL, NULL, 8),
(22023, NULL, 'PIRSF001439', NULL, NULL, NULL, NULL, 'CryM', NULL, NULL, NULL, 8),
(22024, NULL, 'PIRSF014669', NULL, NULL, NULL, NULL, 'UCP014669', NULL, NULL, NULL, 8),
(22025, NULL, 'PIRSF036417', NULL, NULL, NULL, NULL, 'Very_long_ch_3-ktacl-CoA_syn', NULL, NULL, NULL, 8),
(22026, NULL, 'PIRSF001223', NULL, NULL, NULL, NULL, 'Urease_gamma', NULL, NULL, NULL, 8),
(22027, NULL, 'PIRSF006294', NULL, NULL, NULL, NULL, 'PEP_crbxkin', NULL, NULL, NULL, 8);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22028, NULL, 'PIRSF017215', NULL, NULL, NULL, NULL, 'ESCRT2_Vps22', NULL, NULL, NULL, 8),
(22029, NULL, 'PIRSF015849', NULL, NULL, NULL, NULL, 'TFIIF-beta', NULL, NULL, NULL, 8),
(22030, NULL, 'PIRSF028205', NULL, NULL, NULL, NULL, 'UCP028205', NULL, NULL, NULL, 8),
(22031, NULL, 'PIRSF000538', NULL, NULL, NULL, NULL, 'GlpK', NULL, NULL, NULL, 8),
(22032, NULL, 'PIRSF025414', NULL, NULL, NULL, NULL, 'Alpha-N-AFase', NULL, NULL, NULL, 8),
(22033, NULL, 'PIRSF038471', NULL, NULL, NULL, NULL, 'MreC', NULL, NULL, NULL, 8),
(22034, NULL, 'PIRSF006577', NULL, NULL, NULL, NULL, 'UCP006577', NULL, NULL, NULL, 8),
(22035, NULL, 'PIRSF035609', NULL, NULL, NULL, NULL, 'UCP035609_HNH_endo', NULL, NULL, NULL, 8),
(22036, NULL, 'PIRSF004761', NULL, NULL, NULL, NULL, 'Hydrgn_mat_HypA', NULL, NULL, NULL, 8),
(22037, NULL, 'PIRSF009303', NULL, NULL, NULL, NULL, 'RAD9', NULL, NULL, NULL, 8),
(22038, NULL, 'PIRSF018297', NULL, NULL, NULL, NULL, 'Doc', NULL, NULL, NULL, 8),
(22039, NULL, 'PIRSF036054', NULL, NULL, NULL, NULL, 'UCP036054', NULL, NULL, NULL, 8),
(22040, NULL, 'PIRSF037217', NULL, NULL, NULL, NULL, 'Carboxypeptdase_S', NULL, NULL, NULL, 8),
(22041, NULL, 'PIRSF038143', NULL, NULL, NULL, NULL, 'Podoclyxn-like_1', NULL, NULL, NULL, 8),
(22042, NULL, 'PIRSF019325', NULL, NULL, NULL, NULL, 'GPI', NULL, NULL, NULL, 8),
(22043, NULL, 'PIRSF006493', NULL, NULL, NULL, NULL, 'Prok_Ku', NULL, NULL, NULL, 8),
(22044, NULL, 'PIRSF029598', NULL, NULL, NULL, NULL, 'PsiE', NULL, NULL, NULL, 8),
(22045, NULL, 'PIRSF021980', NULL, NULL, NULL, NULL, 'UCP021980_RNA-bind', NULL, NULL, NULL, 8),
(22046, NULL, 'PIRSF038958', NULL, NULL, NULL, NULL, 'PG_synth_SpoVB', NULL, NULL, NULL, 8),
(22047, NULL, 'PIRSF002744', NULL, NULL, NULL, NULL, 'Pur-cyt_permease', NULL, NULL, NULL, 8),
(22048, NULL, 'PIRSF017267', NULL, NULL, NULL, NULL, 'Sulfiredoxin', NULL, NULL, NULL, 8),
(22049, NULL, 'PIRSF017290', NULL, NULL, NULL, NULL, 'ROT1', NULL, NULL, NULL, 8),
(22050, NULL, 'PIRSF028655', NULL, NULL, NULL, NULL, 'NMP1', NULL, NULL, NULL, 8),
(22051, NULL, 'PIRSF006268', NULL, NULL, NULL, NULL, 'ApbE', NULL, NULL, NULL, 8),
(22052, NULL, 'PIRSF015380', NULL, NULL, NULL, NULL, 'Site-sp_rcmb', NULL, NULL, NULL, 8),
(22053, NULL, 'PIRSF035905', NULL, NULL, NULL, NULL, 'UCP035905_mp', NULL, NULL, NULL, 8),
(22054, NULL, 'PIRSF000825', NULL, NULL, NULL, NULL, 'L_HantaV', NULL, NULL, NULL, 8),
(22055, NULL, 'PIRSF017250', NULL, NULL, NULL, NULL, 'tRNA_endo_SEN34', NULL, NULL, NULL, 8),
(22056, NULL, 'PIRSF004808', NULL, NULL, NULL, NULL, 'LasT', NULL, NULL, NULL, 8),
(22057, NULL, 'PIRSF011561', NULL, NULL, NULL, NULL, 'PAD', NULL, NULL, NULL, 8),
(22058, NULL, 'PIRSF021424', NULL, NULL, NULL, NULL, 'RTP', NULL, NULL, NULL, 8),
(22059, NULL, 'PIRSF021513', NULL, NULL, NULL, NULL, 'GrhN_RubW', NULL, NULL, NULL, 8),
(22060, NULL, 'PIRSF000389', NULL, NULL, NULL, NULL, 'DHFR-TS', NULL, NULL, NULL, 8),
(22061, NULL, 'PIRSF027124', NULL, NULL, NULL, NULL, 'HAT_Rtt109', NULL, NULL, NULL, 8),
(22062, NULL, 'PIRSF037993', NULL, NULL, NULL, NULL, 'STPK_Pim-1', NULL, NULL, NULL, 8),
(22063, NULL, 'PIRSF005919', NULL, NULL, NULL, NULL, 'UCP005919', NULL, NULL, NULL, 8),
(22064, NULL, 'PIRSF006834', NULL, NULL, NULL, NULL, 'UCP006834', NULL, NULL, NULL, 8),
(22065, NULL, 'PIRSF037479', NULL, NULL, NULL, NULL, 'Pg_GlcNAc_deacet', NULL, NULL, NULL, 8),
(22066, NULL, 'PIRSF028445', NULL, NULL, NULL, NULL, 'UCP028445', NULL, NULL, NULL, 8),
(22067, NULL, 'PIRSF001773', NULL, NULL, NULL, NULL, 'COX10', NULL, NULL, NULL, 8),
(22068, NULL, 'PIRSF001221', NULL, NULL, NULL, NULL, 'Amidase_fungi', NULL, NULL, NULL, 8),
(22069, NULL, 'PIRSF007061', NULL, NULL, NULL, NULL, 'UCP007061', NULL, NULL, NULL, 8),
(22070, NULL, 'PIRSF000489', NULL, NULL, NULL, NULL, 'NAD_ADPRT', NULL, NULL, NULL, 8),
(22071, NULL, 'PIRSF018863', NULL, NULL, NULL, NULL, 'UCP018863', NULL, NULL, NULL, 8),
(22072, NULL, 'PIRSF032441', NULL, NULL, NULL, NULL, 'UCP032441', NULL, NULL, NULL, 8);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22073, NULL, 'PIRSF008881', NULL, NULL, NULL, NULL, 'Fhx_P25', NULL, NULL, NULL, 8),
(22074, NULL, 'PIRSF000956', NULL, NULL, NULL, NULL, 'PLC-beta', NULL, NULL, NULL, 8),
(22075, NULL, 'PIRSF001771', NULL, NULL, NULL, NULL, 'Cyclin_A_B_D_E', NULL, NULL, NULL, 8),
(22076, NULL, 'PIRSF003764', NULL, NULL, NULL, NULL, 'VAC_K7R', NULL, NULL, NULL, 8),
(22077, NULL, 'PIRSF015647', NULL, NULL, NULL, NULL, 'FBPtase_archl', NULL, NULL, NULL, 8),
(22078, NULL, 'PIRSF037656', NULL, NULL, NULL, NULL, 'UCP037656_ESAT_EsxN', NULL, NULL, NULL, 8),
(22079, NULL, 'PIRSF037895', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Sama_2696', NULL, NULL, NULL, 8),
(22080, NULL, 'PIRSF038133', NULL, NULL, NULL, NULL, 'EAF3_MRG15', NULL, NULL, NULL, 8),
(22081, NULL, 'PIRSF000767', NULL, NULL, NULL, NULL, 'Sigma_factor_SigC', NULL, NULL, NULL, 8),
(22082, NULL, 'PIRSF001716', NULL, NULL, NULL, NULL, 'Dorsal', NULL, NULL, NULL, 8),
(22083, NULL, 'PIRSF037825', NULL, NULL, NULL, NULL, 'GMP-Pdiesterase_delta', NULL, NULL, NULL, 8),
(22084, NULL, 'PIRSF021603', NULL, NULL, NULL, NULL, 'UCP21603_Ac_t', NULL, NULL, NULL, 8),
(22085, NULL, 'PIRSF000383', NULL, NULL, NULL, NULL, 'PEAMT', NULL, NULL, NULL, 8),
(22086, NULL, 'PIRSF037548', NULL, NULL, NULL, NULL, 'L_Filoviridae', NULL, NULL, NULL, 8),
(22087, NULL, 'PIRSF005496', NULL, NULL, NULL, NULL, 'ATP_hel_HrpB', NULL, NULL, NULL, 8),
(22088, NULL, 'PIRSF009407', NULL, NULL, NULL, NULL, 'IDH_monmr', NULL, NULL, NULL, 8),
(22089, NULL, 'PIRSF016379', NULL, NULL, NULL, NULL, 'ENT', NULL, NULL, NULL, 8),
(22090, NULL, 'PIRSF034456', NULL, NULL, NULL, NULL, 'UCP034456', NULL, NULL, NULL, 8),
(22091, NULL, 'PIRSF003948', NULL, NULL, NULL, NULL, 'N_TospoV', NULL, NULL, NULL, 8),
(22092, NULL, 'PIRSF037900', NULL, NULL, NULL, NULL, 'Subtilisin_rel_PfSUB_1', NULL, NULL, NULL, 8),
(22093, NULL, 'PIRSF005727', NULL, NULL, NULL, NULL, 'Beta-COP', NULL, NULL, NULL, 8),
(22094, NULL, 'PIRSF004631', NULL, NULL, NULL, NULL, 'Retroelement_env', NULL, NULL, NULL, 8),
(22095, NULL, 'PIRSF016565', NULL, NULL, NULL, NULL, 'PucC', NULL, NULL, NULL, 8),
(22096, NULL, 'PIRSF017117', NULL, NULL, NULL, NULL, 'YscY', NULL, NULL, NULL, 8),
(22097, NULL, 'PIRSF000915', NULL, NULL, NULL, NULL, 'PGP-type_phosphatase', NULL, NULL, NULL, 8),
(22098, NULL, 'PIRSF016516', NULL, NULL, NULL, NULL, 'Allantoicase', NULL, NULL, NULL, 8),
(22099, NULL, 'PIRSF021308', NULL, NULL, NULL, NULL, 'UCP021308', NULL, NULL, NULL, 8),
(22100, NULL, 'PIRSF030333', NULL, NULL, NULL, NULL, 'UCP030333_Alba', NULL, NULL, NULL, 8),
(22101, NULL, 'PIRSF000239', NULL, NULL, NULL, NULL, 'AHPC', NULL, NULL, NULL, 8),
(22102, NULL, 'PIRSF029764', NULL, NULL, NULL, NULL, 'RSM25', NULL, NULL, NULL, 8),
(22103, NULL, 'PIRSF004485', NULL, NULL, NULL, NULL, 'T7_18-5', NULL, NULL, NULL, 8),
(22104, NULL, 'PIRSF006102', NULL, NULL, NULL, NULL, 'NQR_DE', NULL, NULL, NULL, 8),
(22105, NULL, 'PIRSF017222', NULL, NULL, NULL, NULL, 'Transl_init_eIF2A', NULL, NULL, NULL, 8),
(22106, NULL, 'PIRSF020565', NULL, NULL, NULL, NULL, '3Ho_Ac_ACP_DH', NULL, NULL, NULL, 8),
(22107, NULL, 'PIRSF031402', NULL, NULL, NULL, NULL, 'SYS1_homolog', NULL, NULL, NULL, 8),
(22108, NULL, 'PIRSF011515', NULL, NULL, NULL, NULL, 'EspG/VirA', NULL, NULL, NULL, 8),
(22109, NULL, 'PIRSF003767', NULL, NULL, NULL, NULL, 'VAC_I3L', NULL, NULL, NULL, 8),
(22110, NULL, 'PIRSF004395', NULL, NULL, NULL, NULL, 'Tail_Z', NULL, NULL, NULL, 8),
(22111, NULL, 'PIRSF037375', NULL, NULL, NULL, NULL, 'EstA', NULL, NULL, NULL, 8),
(22112, NULL, 'PIRSF006351', NULL, NULL, NULL, NULL, 'PTS_EIIC-Cellobiose', NULL, NULL, NULL, 8),
(22113, NULL, 'PIRSF001238', NULL, NULL, NULL, NULL, 'IadA', NULL, NULL, NULL, 8),
(22114, NULL, 'PIRSF037109', NULL, NULL, NULL, NULL, 'Hox9', NULL, NULL, NULL, 8),
(22115, NULL, 'PIRSF036408', NULL, NULL, NULL, NULL, 'PduS', NULL, NULL, NULL, 8),
(22116, NULL, 'PIRSF000745', NULL, NULL, NULL, NULL, 'VAC_RPO30', NULL, NULL, NULL, 8);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22117, NULL, 'PIRSF002421', NULL, NULL, NULL, NULL, 'L-selectin', NULL, NULL, NULL, 8),
(22118, NULL, 'PIRSF005023', NULL, NULL, NULL, NULL, 'CODH', NULL, NULL, NULL, 8),
(22119, NULL, 'PIRSF009151', NULL, NULL, NULL, NULL, 'UCP009151', NULL, NULL, NULL, 8),
(22120, NULL, 'PIRSF000094', NULL, NULL, NULL, NULL, 'Enoyl-ACP_rdct', NULL, NULL, NULL, 8),
(22121, NULL, 'PIRSF000294', NULL, NULL, NULL, NULL, 'Cytochrome-c_peroxidase', NULL, NULL, NULL, 8),
(22122, NULL, 'PIRSF016323', NULL, NULL, NULL, NULL, 'tRNA_m1G_Mtase_euk', NULL, NULL, NULL, 8),
(22123, NULL, 'PIRSF000897', NULL, NULL, NULL, NULL, 'Acid_Ptase_ClsA', NULL, NULL, NULL, 8),
(22124, NULL, 'PIRSF003888', NULL, NULL, NULL, NULL, 'NCAP_CRV', NULL, NULL, NULL, 8),
(22125, NULL, 'PIRSF003938', NULL, NULL, NULL, NULL, 'NS1_influenza_B', NULL, NULL, NULL, 8),
(22126, NULL, 'PIRSF003180', NULL, NULL, NULL, NULL, 'DiGMP_Pdiesterase_YuxH', NULL, NULL, NULL, 8),
(22127, NULL, 'PIRSF038207', NULL, NULL, NULL, NULL, 'PP1_GT_animal', NULL, NULL, NULL, 8),
(22128, NULL, 'PIRSF018781', NULL, NULL, NULL, NULL, 'UCP018781', NULL, NULL, NULL, 8),
(22129, NULL, 'PIRSF011356', NULL, NULL, NULL, NULL, 'VP30_FiloV', NULL, NULL, NULL, 8),
(22130, NULL, 'PIRSF004960', NULL, NULL, NULL, NULL, 'MtrH_MtxH', NULL, NULL, NULL, 8),
(22131, NULL, 'PIRSF037052', NULL, NULL, NULL, NULL, 'UCP037052', NULL, NULL, NULL, 8),
(22132, NULL, 'PIRSF012443', NULL, NULL, NULL, NULL, 'UCP012443', NULL, NULL, NULL, 8),
(22133, NULL, 'PIRSF001554', NULL, NULL, NULL, NULL, 'SucCS_beta', NULL, NULL, NULL, 8),
(22134, NULL, 'PIRSF003230', NULL, NULL, NULL, NULL, 'YbgC', NULL, NULL, NULL, 8),
(22135, NULL, 'PIRSF038861', NULL, NULL, NULL, NULL, 'UCP038861', NULL, NULL, NULL, 8),
(22136, NULL, 'PIRSF003960', NULL, NULL, NULL, NULL, 'M_poly_TospoV', NULL, NULL, NULL, 8),
(22137, NULL, 'PIRSF032025', NULL, NULL, NULL, NULL, 'UCP032025', NULL, NULL, NULL, 8),
(22138, NULL, 'PIRSF028520', NULL, NULL, NULL, NULL, 'UCP028520', NULL, NULL, NULL, 8),
(22139, NULL, 'PIRSF039101', NULL, NULL, NULL, NULL, 'LysRS2', NULL, NULL, NULL, 8),
(22140, NULL, 'PIRSF003267', NULL, NULL, NULL, NULL, 'TraJ_F', NULL, NULL, NULL, 8),
(22141, NULL, 'PIRSF020945', NULL, NULL, NULL, NULL, 'GGP', NULL, NULL, NULL, 8),
(22142, NULL, 'PIRSF017632', NULL, NULL, NULL, NULL, 'Ceramidase', NULL, NULL, NULL, 8),
(22143, NULL, 'PIRSF029033', NULL, NULL, NULL, NULL, 'UCP029033', NULL, NULL, NULL, 8),
(22144, NULL, 'PIRSF012622', NULL, NULL, NULL, NULL, 'UCP012622', NULL, NULL, NULL, 8),
(22145, NULL, 'PIRSF000127', NULL, NULL, NULL, NULL, 'Xanthine_dh', NULL, NULL, NULL, 8),
(22146, NULL, 'PIRSF011368', NULL, NULL, NULL, NULL, 'LPP20', NULL, NULL, NULL, 8),
(22147, NULL, 'PIRSF029407', NULL, NULL, NULL, NULL, 'UCP029407', NULL, NULL, NULL, 8),
(22148, NULL, 'PIRSF037638', NULL, NULL, NULL, NULL, 'B144_protein', NULL, NULL, NULL, 8),
(22149, NULL, 'PIRSF014972', NULL, NULL, NULL, NULL, 'FlK', NULL, NULL, NULL, 8),
(22150, NULL, 'PIRSF031679', NULL, NULL, NULL, NULL, 'Mtase_Alr7345', NULL, NULL, NULL, 8),
(22151, NULL, 'PIRSF033729', NULL, NULL, NULL, NULL, 'UCP033729', NULL, NULL, NULL, 8),
(22152, NULL, 'PIRSF036874', NULL, NULL, NULL, NULL, 'GPC_FiloV', NULL, NULL, NULL, 8),
(22153, NULL, 'PIRSF000243', NULL, NULL, NULL, NULL, 'NrfA', NULL, NULL, NULL, 8),
(22154, NULL, 'PIRSF037824', NULL, NULL, NULL, NULL, 'Orexin', NULL, NULL, NULL, 8),
(22155, NULL, 'PIRSF002457', NULL, NULL, NULL, NULL, 'DASS', NULL, NULL, NULL, 8),
(22156, NULL, 'PIRSF036498', NULL, NULL, NULL, NULL, 'Kaurene_synth_fungi', NULL, NULL, NULL, 8),
(22157, NULL, 'PIRSF026546', NULL, NULL, NULL, NULL, 'UCP_CBS_YqzB', NULL, NULL, NULL, 8),
(22158, NULL, 'PIRSF036578', NULL, NULL, NULL, NULL, 'RFC1', NULL, NULL, NULL, 8),
(22159, NULL, 'PIRSF037350', NULL, NULL, NULL, NULL, 'Mtase_ZK1128', NULL, NULL, NULL, 8),
(22160, NULL, 'PIRSF005250', NULL, NULL, NULL, NULL, 'UCP005250', NULL, NULL, NULL, 8);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22161, NULL, 'PIRSF037112', NULL, NULL, NULL, NULL, 'ArdC', NULL, NULL, NULL, 8),
(22162, NULL, 'PIRSF000446', NULL, NULL, NULL, NULL, 'Mct', NULL, NULL, NULL, 8),
(22163, NULL, 'PIRSF001149', NULL, NULL, NULL, NULL, 'Thrombin', NULL, NULL, NULL, 8),
(22164, NULL, 'PIRSF004505', NULL, NULL, NULL, NULL, 'MT_bac', NULL, NULL, NULL, 8),
(22165, NULL, 'PIRSF037256', NULL, NULL, NULL, NULL, 'UCP037256', NULL, NULL, NULL, 8),
(22166, NULL, 'PIRSF018472', NULL, NULL, NULL, NULL, 'MreD_proteobac', NULL, NULL, NULL, 8),
(22167, NULL, 'PIRSF037099', NULL, NULL, NULL, NULL, 'Stonin', NULL, NULL, NULL, 8),
(22168, NULL, 'PIRSF030820', NULL, NULL, NULL, NULL, 'UCP030820', NULL, NULL, NULL, 8),
(22169, NULL, 'PIRSF000138', NULL, NULL, NULL, NULL, 'Al-hdrx_acd_dh', NULL, NULL, NULL, 8),
(22170, NULL, 'PIRSF038072', NULL, NULL, NULL, NULL, 'Na(+)/PI_cotransporter', NULL, NULL, NULL, 8),
(22171, NULL, 'PIRSF016702', NULL, NULL, NULL, NULL, 'DNA_bp_PD1', NULL, NULL, NULL, 8),
(22172, NULL, 'PIRSF003953', NULL, NULL, NULL, NULL, 'N_PhelboV', NULL, NULL, NULL, 8),
(22173, NULL, 'PIRSF001043', NULL, NULL, NULL, NULL, 'EG-B', NULL, NULL, NULL, 8),
(22174, NULL, 'PIRSF037943', NULL, NULL, NULL, NULL, 'SPAG7', NULL, NULL, NULL, 8),
(22175, NULL, 'PIRSF016533', NULL, NULL, NULL, NULL, 'Sp17', NULL, NULL, NULL, 8),
(22176, NULL, 'PIRSF009437', NULL, NULL, NULL, NULL, 'NQR-1_subunit_C', NULL, NULL, NULL, 8),
(22177, NULL, 'PIRSF003407', NULL, NULL, NULL, NULL, 'Trans_E7_PLV', NULL, NULL, NULL, 8),
(22178, NULL, 'PIRSF030219', NULL, NULL, NULL, NULL, 'Heme_oxygenase_decyc_plant', NULL, NULL, NULL, 8),
(22179, NULL, 'PIRSF037850', NULL, NULL, NULL, NULL, 'Subtilase_Euglen', NULL, NULL, NULL, 8),
(22180, NULL, 'PIRSF001143', NULL, NULL, NULL, NULL, 'Coagul_factor_X', NULL, NULL, NULL, 8),
(22181, NULL, 'PIRSF007936', NULL, NULL, NULL, NULL, 'SRB6', NULL, NULL, NULL, 8),
(22182, NULL, 'PIRSF006230', NULL, NULL, NULL, NULL, 'MG442', NULL, NULL, NULL, 8),
(22183, NULL, 'PIRSF002412', NULL, NULL, NULL, NULL, 'MA_DBI', NULL, NULL, NULL, 8),
(22184, NULL, 'PIRSF034934', NULL, NULL, NULL, NULL, 'AbiF_AbiD', NULL, NULL, NULL, 8),
(22185, NULL, 'PIRSF032840', NULL, NULL, NULL, NULL, 'UCP032840', NULL, NULL, NULL, 8),
(22186, NULL, 'PIRSF038980', NULL, NULL, NULL, NULL, 'A2M_bac', NULL, NULL, NULL, 8),
(22187, NULL, 'PIRSF000409', NULL, NULL, NULL, NULL, 'Ada', NULL, NULL, NULL, 8),
(22188, NULL, 'PIRSF028160', NULL, NULL, NULL, NULL, 'UCP028160', NULL, NULL, NULL, 8),
(22189, NULL, 'PIRSF017479', NULL, NULL, NULL, NULL, 'TRAPP_1_Trs31', NULL, NULL, NULL, 8),
(22190, NULL, 'PIRSF029509', NULL, NULL, NULL, NULL, 'UCP029509', NULL, NULL, NULL, 8),
(22191, NULL, 'PIRSF018148', NULL, NULL, NULL, NULL, 'UCP_CBS_YBR214w', NULL, NULL, NULL, 8),
(22192, NULL, 'PIRSF034217', NULL, NULL, NULL, NULL, 'UCP_Mll2898', NULL, NULL, NULL, 8),
(22193, NULL, 'PIRSF031900', NULL, NULL, NULL, NULL, 'UCP031900', NULL, NULL, NULL, 8),
(22194, NULL, 'PIRSF015625', NULL, NULL, NULL, NULL, 'VAC_I1L', NULL, NULL, NULL, 8),
(22195, NULL, 'PIRSF007892', NULL, NULL, NULL, NULL, 'NAGS_fungal', NULL, NULL, NULL, 8),
(22196, NULL, 'PIRSF038148', NULL, NULL, NULL, NULL, 'Rmt2', NULL, NULL, NULL, 8),
(22197, NULL, 'PIRSF005229', NULL, NULL, NULL, NULL, 'AO', NULL, NULL, NULL, 8),
(22198, NULL, 'PIRSF005518', NULL, NULL, NULL, NULL, 'MtrB', NULL, NULL, NULL, 8),
(22199, NULL, 'PIRSF016315', NULL, NULL, NULL, NULL, 'p21-ARC', NULL, NULL, NULL, 8),
(22200, NULL, 'PIRSF028538', NULL, NULL, NULL, NULL, 'UCP028538', NULL, NULL, NULL, 8),
(22201, NULL, 'PIRSF020738', NULL, NULL, NULL, NULL, 'InvJ', NULL, NULL, NULL, 8),
(22202, NULL, 'PIRSF005053', NULL, NULL, NULL, NULL, 'RNAP_F_arch', NULL, NULL, NULL, 8),
(22203, NULL, 'PIRSF033096', NULL, NULL, NULL, NULL, 'PPPtase_5', NULL, NULL, NULL, 8),
(22204, NULL, 'PIRSF018571', NULL, NULL, NULL, NULL, 'SpoIIGA', NULL, NULL, NULL, 8),
(22205, NULL, 'PIRSF006320', NULL, NULL, NULL, NULL, 'Elb2', NULL, NULL, NULL, 8);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22206, NULL, 'PIRSF000260', NULL, NULL, NULL, NULL, 'FTRc', NULL, NULL, NULL, 8),
(22207, NULL, 'PIRSF032184', NULL, NULL, NULL, NULL, 'V-ATP_synth_H', NULL, NULL, NULL, 8),
(22208, NULL, 'PIRSF018168', NULL, NULL, NULL, NULL, 'Beta-mannanase', NULL, NULL, NULL, 8),
(22209, NULL, 'PIRSF004008', NULL, NULL, NULL, NULL, 'VAC_E3L', NULL, NULL, NULL, 8),
(22210, NULL, 'PIRSF005243', NULL, NULL, NULL, NULL, 'ROO', NULL, NULL, NULL, 8),
(22211, NULL, 'PIRSF036484', NULL, NULL, NULL, NULL, 'PPi-PFK_SMc01852', NULL, NULL, NULL, 8),
(22212, NULL, 'PIRSF037487', NULL, NULL, NULL, NULL, 'Sulfite_red_assimil', NULL, NULL, NULL, 8),
(22213, NULL, 'PIRSF020893', NULL, NULL, NULL, NULL, 'UCP020893', NULL, NULL, NULL, 8),
(22214, NULL, 'PIRSF021328', NULL, NULL, NULL, NULL, 'UCP021328', NULL, NULL, NULL, 8),
(22215, NULL, 'PIRSF006421', NULL, NULL, NULL, NULL, 'UCP006421', NULL, NULL, NULL, 8),
(22216, NULL, 'PIRSF006648', NULL, NULL, NULL, NULL, 'DrrB', NULL, NULL, NULL, 8),
(22217, NULL, 'PIRSF030802', NULL, NULL, NULL, NULL, 'UCP030802', NULL, NULL, NULL, 8),
(22218, NULL, 'PIRSF037210', NULL, NULL, NULL, NULL, 'TGM_prok', NULL, NULL, NULL, 8),
(22219, NULL, 'PIRSF037511', NULL, NULL, NULL, NULL, 'Transl_init_SUI1_prok', NULL, NULL, NULL, 8),
(22220, NULL, 'PIRSF038071', NULL, NULL, NULL, NULL, 'GFR-alpha', NULL, NULL, NULL, 8),
(22221, NULL, 'PIRSF003113', NULL, NULL, NULL, NULL, 'BolA', NULL, NULL, NULL, 8),
(22222, NULL, 'PIRSF038034', NULL, NULL, NULL, NULL, 'RFXANK', NULL, NULL, NULL, 8),
(22223, NULL, 'PIRSF022280', NULL, NULL, NULL, NULL, 'UCP022280', NULL, NULL, NULL, 8),
(22224, NULL, 'PIRSF026389', NULL, NULL, NULL, NULL, 'Ethylen_sen_hybr_HK', NULL, NULL, NULL, 8),
(22225, NULL, 'PIRSF000836', NULL, NULL, NULL, NULL, 'L_ArenaV', NULL, NULL, NULL, 8),
(22226, NULL, 'PIRSF003945', NULL, NULL, NULL, NULL, 'M_poly_HantaV', NULL, NULL, NULL, 8),
(22227, NULL, 'PIRSF035652', NULL, NULL, NULL, NULL, 'UCP035652', NULL, NULL, NULL, 8),
(22228, NULL, 'PIRSF001741', NULL, NULL, NULL, NULL, 'MAGUK_DLGH', NULL, NULL, NULL, 8),
(22229, NULL, 'PIRSF018267', NULL, NULL, NULL, NULL, 'VSR_endonuc', NULL, NULL, NULL, 8),
(22230, NULL, 'PIRSF020357', NULL, NULL, NULL, NULL, 'UCP020357', NULL, NULL, NULL, 8),
(22231, NULL, 'PIRSF009360', NULL, NULL, NULL, NULL, 'UCP009360', NULL, NULL, NULL, 8),
(22232, NULL, 'PIRSF034367', NULL, NULL, NULL, NULL, 'UCP034367', NULL, NULL, NULL, 8),
(22233, NULL, 'PIRSF017066', NULL, NULL, NULL, NULL, 'FlaD_arch', NULL, NULL, NULL, 8),
(22234, NULL, 'PIRSF036641', NULL, NULL, NULL, NULL, 'IMPase_NAD_kin', NULL, NULL, NULL, 8),
(22235, NULL, 'PIRSF003376', NULL, NULL, NULL, NULL, 'VP1_PMV', NULL, NULL, NULL, 8),
(22236, NULL, 'PIRSF034005', NULL, NULL, NULL, NULL, 'Omp19', NULL, NULL, NULL, 8),
(22237, NULL, 'PIRSF037984', NULL, NULL, NULL, NULL, 'Met_synth_TM0269', NULL, NULL, NULL, 8),
(22238, NULL, 'PIRSF006598', NULL, NULL, NULL, NULL, 'UCP006598', NULL, NULL, NULL, 8),
(22239, NULL, 'PIRSF002496', NULL, NULL, NULL, NULL, 'Chordin', NULL, NULL, NULL, 8),
(22240, NULL, 'PIRSF018649', NULL, NULL, NULL, NULL, 'UCP018649', NULL, NULL, NULL, 8),
(22241, NULL, 'PIRSF002565', NULL, NULL, NULL, NULL, 'Statherin', NULL, NULL, NULL, 8),
(22242, NULL, 'PIRSF017529', NULL, NULL, NULL, NULL, 'Aquaporin-11_12', NULL, NULL, NULL, 8),
(22243, NULL, 'PIRSF005586', NULL, NULL, NULL, NULL, 'RNApol_RpoM', NULL, NULL, NULL, 8),
(22244, NULL, 'PIRSF002549', NULL, NULL, NULL, NULL, 'Transferrin', NULL, NULL, NULL, 8),
(22245, NULL, 'PIRSF006630', NULL, NULL, NULL, NULL, 'NADS_GAT', NULL, NULL, NULL, 8),
(22246, NULL, 'PIRSF006557', NULL, NULL, NULL, NULL, 'UCP006557_sign', NULL, NULL, NULL, 8),
(22247, NULL, 'PIRSF038800', NULL, NULL, NULL, NULL, 'KYNU', NULL, NULL, NULL, 8),
(22248, NULL, 'PIRSF038971', NULL, NULL, NULL, NULL, 'PhnM', NULL, NULL, NULL, 8),
(22249, NULL, 'PIRSF005514', NULL, NULL, NULL, NULL, 'Mitoh_ATP-synt_D', NULL, NULL, NULL, 8);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22250, NULL, 'PIRSF005355', NULL, NULL, NULL, NULL, 'UBIAD1', NULL, NULL, NULL, 8),
(22251, NULL, 'PIRSF037213', NULL, NULL, NULL, NULL, 'UCP037213', NULL, NULL, NULL, 8),
(22252, NULL, 'PIRSF028153', NULL, NULL, NULL, NULL, 'MshI', NULL, NULL, NULL, 8),
(22253, NULL, 'PIRSF033579', NULL, NULL, NULL, NULL, 'Anaer_Co_chel_CbiK', NULL, NULL, NULL, 8),
(22254, NULL, 'PIRSF018249', NULL, NULL, NULL, NULL, 'MyrA', NULL, NULL, NULL, 8),
(22255, NULL, 'PIRSF000574', NULL, NULL, NULL, NULL, 'STPK_PknK', NULL, NULL, NULL, 8),
(22256, NULL, 'PIRSF028754', NULL, NULL, NULL, NULL, 'UCP028754', NULL, NULL, NULL, 8),
(22257, NULL, 'PIRSF037980', NULL, NULL, NULL, NULL, 'Sarcos_oxid_alpha', NULL, NULL, NULL, 8),
(22258, NULL, 'PIRSF003913', NULL, NULL, NULL, NULL, 'M2_paramyxovir', NULL, NULL, NULL, 8),
(22259, NULL, 'PIRSF011452', NULL, NULL, NULL, NULL, 'UCP011452_HNH', NULL, NULL, NULL, 8),
(22260, NULL, 'PIRSF028937', NULL, NULL, NULL, NULL, 'Lg_Ch_AO', NULL, NULL, NULL, 8),
(22261, NULL, 'PIRSF036535', NULL, NULL, NULL, NULL, 'EhaE', NULL, NULL, NULL, 8),
(22262, NULL, 'PIRSF005700', NULL, NULL, NULL, NULL, 'PepC', NULL, NULL, NULL, 8),
(22263, NULL, 'PIRSF006600', NULL, NULL, NULL, NULL, 'UCP006600', NULL, NULL, NULL, 8),
(22264, NULL, 'PIRSF000824', NULL, NULL, NULL, NULL, 'L_OrthobunV', NULL, NULL, NULL, 8),
(22265, NULL, 'PIRSF006280', NULL, NULL, NULL, NULL, 'YfiF', NULL, NULL, NULL, 8),
(22266, NULL, 'PIRSF037713', NULL, NULL, NULL, NULL, 'BT_exbB-like_prot_1', NULL, NULL, NULL, 8),
(22267, NULL, 'PIRSF003269', NULL, NULL, NULL, NULL, 'TrbA', NULL, NULL, NULL, 8),
(22268, NULL, 'PIRSF006639', NULL, NULL, NULL, NULL, 'UCP006639_pph', NULL, NULL, NULL, 8),
(22269, NULL, 'PIRSF022080', NULL, NULL, NULL, NULL, 'UCP022080', NULL, NULL, NULL, 8),
(22270, NULL, 'PIRSF017246', NULL, NULL, NULL, NULL, 'TFIID_TAF10', NULL, NULL, NULL, 8),
(22271, NULL, 'PIRSF011386', NULL, NULL, NULL, NULL, 'FixH', NULL, NULL, NULL, 8),
(22272, NULL, 'PIRSF016666', NULL, NULL, NULL, NULL, 'UCP016666', NULL, NULL, NULL, 8),
(22273, NULL, 'PIRSF037961', NULL, NULL, NULL, NULL, 'FGF-19_FGF-21', NULL, NULL, NULL, 8),
(22274, NULL, 'PIRSF029056', NULL, NULL, NULL, NULL, 'UCP029056', NULL, NULL, NULL, 8),
(22275, NULL, 'PIRSF039123', NULL, NULL, NULL, NULL, 'Diphthamide_synthase', NULL, NULL, NULL, 8),
(22276, NULL, 'PIRSF015855', NULL, NULL, NULL, NULL, 'TypeIII_Mtase_mKpnI', NULL, NULL, NULL, 8),
(22277, NULL, 'PIRSF030283', NULL, NULL, NULL, NULL, 'Small_HSP_plant', NULL, NULL, NULL, 8),
(22278, NULL, 'PIRSF004323', NULL, NULL, NULL, NULL, 'Xis-Tn', NULL, NULL, NULL, 8),
(22279, NULL, 'PIRSF004546', NULL, NULL, NULL, NULL, 'UCP004546', NULL, NULL, NULL, 8),
(22280, NULL, 'PIRSF018259', NULL, NULL, NULL, NULL, 'CAML', NULL, NULL, NULL, 8),
(22281, NULL, 'PIRSF022062', NULL, NULL, NULL, NULL, 'UCP022062', NULL, NULL, NULL, 8),
(22282, NULL, 'PIRSF016478', NULL, NULL, NULL, NULL, 'Epsilon-COP', NULL, NULL, NULL, 8),
(22283, NULL, 'PIRSF001399', NULL, NULL, NULL, NULL, 'DHQase_2', NULL, NULL, NULL, 8),
(22284, NULL, 'PIRSF016821', NULL, NULL, NULL, NULL, 'HSP15', NULL, NULL, NULL, 8),
(22285, NULL, 'PIRSF038003', NULL, NULL, NULL, NULL, 'PINCH', NULL, NULL, NULL, 8),
(22286, NULL, 'PIRSF004857', NULL, NULL, NULL, NULL, 'Kin_aa_kin', NULL, NULL, NULL, 8),
(22287, NULL, 'PIRSF022145', NULL, NULL, NULL, NULL, 'Sulfocyanin', NULL, NULL, NULL, 8),
(22288, NULL, 'PIRSF026991', NULL, NULL, NULL, NULL, 'MND1', NULL, NULL, NULL, 8),
(22289, NULL, 'PIRSF036538', NULL, NULL, NULL, NULL, 'EhaK', NULL, NULL, NULL, 8),
(22290, NULL, 'PIRSF002889', NULL, NULL, NULL, NULL, 'Rod_FlgB', NULL, NULL, NULL, 8),
(22291, NULL, 'PIRSF019466', NULL, NULL, NULL, NULL, 'EutH', NULL, NULL, NULL, 8),
(22292, NULL, 'PIRSF033303', NULL, NULL, NULL, NULL, 'UCP033303', NULL, NULL, NULL, 8),
(22293, NULL, 'PIRSF002773', NULL, NULL, NULL, NULL, 'ABC_prm/ATPase_B', NULL, NULL, NULL, 8),
(22294, NULL, 'PIRSF006031', NULL, NULL, NULL, NULL, 'UCP006031', NULL, NULL, NULL, 8);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22295, NULL, 'PIRSF007004', NULL, NULL, NULL, NULL, 'UCP007004', NULL, NULL, NULL, 8),
(22296, NULL, 'PIRSF036536', NULL, NULL, NULL, NULL, 'EhaH', NULL, NULL, NULL, 8),
(22297, NULL, 'PIRSF028977', NULL, NULL, NULL, NULL, 'Noc3', NULL, NULL, NULL, 8),
(22298, NULL, 'PIRSF031644', NULL, NULL, NULL, NULL, 'UCP031644', NULL, NULL, NULL, 8),
(22299, NULL, 'PIRSF011444', NULL, NULL, NULL, NULL, 'UCP011444', NULL, NULL, NULL, 8),
(22300, NULL, 'PIRSF016580', NULL, NULL, NULL, NULL, 'Acylprotsyn_LuxE', NULL, NULL, NULL, 8),
(22301, NULL, 'PIRSF003003', NULL, NULL, NULL, NULL, 'Colicin_imm', NULL, NULL, NULL, 8),
(22302, NULL, 'PIRSF004028', NULL, NULL, NULL, NULL, 'GPC_ArenaV', NULL, NULL, NULL, 8),
(22303, NULL, 'PIRSF037236', NULL, NULL, NULL, NULL, 'TaqI', NULL, NULL, NULL, 8),
(22304, NULL, 'PIRSF020275', NULL, NULL, NULL, NULL, 'RadSAM_TM0948', NULL, NULL, NULL, 8),
(22305, NULL, 'PIRSF027019', NULL, NULL, NULL, NULL, 'Euk_LigT', NULL, NULL, NULL, 8),
(22306, NULL, 'PIRSF028732', NULL, NULL, NULL, NULL, 'Alba', NULL, NULL, NULL, 8),
(22307, NULL, 'PIRSF016509', NULL, NULL, NULL, NULL, 'MtrE', NULL, NULL, NULL, 8),
(22308, NULL, 'PIRSF006276', NULL, NULL, NULL, NULL, 'UspA', NULL, NULL, NULL, 8),
(22309, NULL, 'PIRSF000428', NULL, NULL, NULL, NULL, 'P_Ac_trans', NULL, NULL, NULL, 8),
(22310, NULL, 'PIRSF002116', NULL, NULL, NULL, NULL, 'RPS4a_RPS4e', NULL, NULL, NULL, 8),
(22311, NULL, 'PIRSF037663', NULL, NULL, NULL, NULL, 'Acetyltransf_GNAT', NULL, NULL, NULL, 8),
(22312, NULL, 'PIRSF038018', NULL, NULL, NULL, NULL, 'BIO', NULL, NULL, NULL, 8),
(22313, NULL, 'PIRSF038175', NULL, NULL, NULL, NULL, 'MAPKKK14', NULL, NULL, NULL, 8),
(22314, NULL, 'PIRSF015892', NULL, NULL, NULL, NULL, 'N-myristl_transf', NULL, NULL, NULL, 8),
(22315, NULL, 'PIRSF036950', NULL, NULL, NULL, NULL, 'UCP036950', NULL, NULL, NULL, 8),
(22316, NULL, 'PIRSF019876', NULL, NULL, NULL, NULL, 'HasA', NULL, NULL, NULL, 8),
(22317, NULL, 'PIRSF017199', NULL, NULL, NULL, NULL, 'Dim1', NULL, NULL, NULL, 8),
(22318, NULL, 'PIRSF035009', NULL, NULL, NULL, NULL, 'UCP035009_HSDR_N', NULL, NULL, NULL, 8),
(22319, NULL, 'PIRSF017205', NULL, NULL, NULL, NULL, 'ERO', NULL, NULL, NULL, 8),
(22320, NULL, 'PIRSF037464', NULL, NULL, NULL, NULL, 'UCP037464_APP1', NULL, NULL, NULL, 8),
(22321, NULL, 'PIRSF021171', NULL, NULL, NULL, NULL, 'UCP022271', NULL, NULL, NULL, 8),
(22322, NULL, 'PIRSF028836', NULL, NULL, NULL, NULL, 'ISN1', NULL, NULL, NULL, 8),
(22323, NULL, 'PIRSF011570', NULL, NULL, NULL, NULL, 'SpoVAD', NULL, NULL, NULL, 8),
(22324, NULL, 'PIRSF037561', NULL, NULL, NULL, NULL, 'Pardaxin', NULL, NULL, NULL, 8),
(22325, NULL, 'PIRSF011474', NULL, NULL, NULL, NULL, 'GutM', NULL, NULL, NULL, 8),
(22326, NULL, 'PIRSF001906', NULL, NULL, NULL, NULL, 'ATX_III', NULL, NULL, NULL, 8),
(22327, NULL, 'PIRSF037948', NULL, NULL, NULL, NULL, 'ZMYND10', NULL, NULL, NULL, 8),
(22328, NULL, 'PIRSF007212', NULL, NULL, NULL, NULL, 'Capsid_P70', NULL, NULL, NULL, 8),
(22329, NULL, 'PIRSF029505', NULL, NULL, NULL, NULL, 'UCP029505', NULL, NULL, NULL, 8),
(22330, NULL, 'PIRSF021485', NULL, NULL, NULL, NULL, 'UCP021485', NULL, NULL, NULL, 8),
(22331, NULL, 'PIRSF018660', NULL, NULL, NULL, NULL, 'Archl_flaC', NULL, NULL, NULL, 8),
(22332, NULL, 'PIRSF036612', NULL, NULL, NULL, NULL, 'ABC_ATP_LytTR', NULL, NULL, NULL, 8),
(22333, NULL, 'PIRSF028440', NULL, NULL, NULL, NULL, 'UCP_LAB_N', NULL, NULL, NULL, 8),
(22334, NULL, 'PIRSF029727', NULL, NULL, NULL, NULL, 'UCP029727', NULL, NULL, NULL, 8),
(22335, NULL, 'PIRSF001013', NULL, NULL, NULL, NULL, 'RNAse_Ba', NULL, NULL, NULL, 8),
(22336, NULL, 'PIRSF002026', NULL, NULL, NULL, NULL, 'Nematode_globin', NULL, NULL, NULL, 8),
(22337, NULL, 'PIRSF016557', NULL, NULL, NULL, NULL, 'CpsB', NULL, NULL, NULL, 8),
(22338, NULL, 'PIRSF026584', NULL, NULL, NULL, NULL, 'Delta_tox', NULL, NULL, NULL, 8),
(22339, NULL, 'PIRSF036456', NULL, NULL, NULL, NULL, 'ASAL_AGS', NULL, NULL, NULL, 8);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22340, NULL, 'PIRSF016753', NULL, NULL, NULL, NULL, 'P_lipid/glycerol_ac_tran', NULL, NULL, NULL, 8),
(22341, NULL, 'PIRSF001703', NULL, NULL, NULL, NULL, 'GABP_alpha', NULL, NULL, NULL, 8),
(22342, NULL, 'PIRSF003265', NULL, NULL, NULL, NULL, 'TraQ', NULL, NULL, NULL, 8),
(22343, NULL, 'PIRSF022536', NULL, NULL, NULL, NULL, 'A612L_SET', NULL, NULL, NULL, 8),
(22344, NULL, 'PIRSF029288', NULL, NULL, NULL, NULL, 'SciE_ImpE', NULL, NULL, NULL, 8),
(22345, NULL, 'PIRSF001218', NULL, NULL, NULL, NULL, 'Protease_ADV', NULL, NULL, NULL, 8),
(22346, NULL, 'PIRSF037093', NULL, NULL, NULL, NULL, 'Gamma-COP', NULL, NULL, NULL, 8),
(22347, NULL, 'PIRSF015921', NULL, NULL, NULL, NULL, 'FA_sphingolip_des', NULL, NULL, NULL, 8),
(22348, NULL, 'PIRSF038981', NULL, NULL, NULL, NULL, 'GRP', NULL, NULL, NULL, 8),
(22349, NULL, 'PIRSF009445', NULL, NULL, NULL, NULL, 'Cyc_PG_syn', NULL, NULL, NULL, 8),
(22350, NULL, 'PIRSF030823', NULL, NULL, NULL, NULL, 'UCP030823_PK_HhH', NULL, NULL, NULL, 8),
(22351, NULL, 'PIRSF015952', NULL, NULL, NULL, NULL, 'U3snoRNP11', NULL, NULL, NULL, 8),
(22352, NULL, 'PIRSF011443', NULL, NULL, NULL, NULL, 'YgjV', NULL, NULL, NULL, 8),
(22353, NULL, 'PIRSF000535', NULL, NULL, NULL, NULL, '1PFK/6PFK/LacC', NULL, NULL, NULL, 8),
(22354, NULL, 'PIRSF036525', NULL, NULL, NULL, NULL, 'CobF', NULL, NULL, NULL, 8),
(22355, NULL, 'PIRSF031684', NULL, NULL, NULL, NULL, 'Txn_reg_031684', NULL, NULL, NULL, 8),
(22356, NULL, 'PIRSF018644', NULL, NULL, NULL, NULL, 'FAU-1', NULL, NULL, NULL, 8),
(22357, NULL, 'PIRSF016632', NULL, NULL, NULL, NULL, 'PLD_actino_fungi', NULL, NULL, NULL, 8),
(22358, NULL, 'PIRSF036939', NULL, NULL, NULL, NULL, 'PanK_long', NULL, NULL, NULL, 8),
(22359, NULL, 'PIRSF500125', NULL, NULL, NULL, NULL, '4_HPA_large', NULL, NULL, NULL, 8),
(22360, NULL, 'PIRSF006287', NULL, NULL, NULL, NULL, 'UCP006287', NULL, NULL, NULL, 8),
(22361, NULL, 'PIRSF015040', NULL, NULL, NULL, NULL, 'ATPase_SAG2001', NULL, NULL, NULL, 8),
(22362, NULL, 'PIRSF001594', NULL, NULL, NULL, NULL, 'PCB', NULL, NULL, NULL, 8),
(22363, NULL, 'PIRSF017324', NULL, NULL, NULL, NULL, 'UCP017324', NULL, NULL, NULL, 8),
(22364, NULL, 'PIRSF037750', NULL, NULL, NULL, NULL, 'TIR_Tirap', NULL, NULL, NULL, 8),
(22365, NULL, 'PIRSF036603', NULL, NULL, NULL, NULL, 'DNA_pol_eta', NULL, NULL, NULL, 8),
(22366, NULL, 'PIRSF017875', NULL, NULL, NULL, NULL, 'Photosystem_II_Ycf48-like', NULL, NULL, NULL, 8),
(22367, NULL, 'PIRSF028188', NULL, NULL, NULL, NULL, 'Amdntrnsf_FN0238', NULL, NULL, NULL, 8),
(22368, NULL, 'PIRSF003182', NULL, NULL, NULL, NULL, 'HK_hybr_ArcB', NULL, NULL, NULL, 8),
(22369, NULL, 'PIRSF027391', NULL, NULL, NULL, NULL, 'Hpre_diP_synt_I', NULL, NULL, NULL, 8),
(22370, NULL, 'PIRSF500204', NULL, NULL, NULL, NULL, 'RBP_purpurin', NULL, NULL, NULL, 8),
(22371, NULL, 'PIRSF037676', NULL, NULL, NULL, NULL, 'UCP037676', NULL, NULL, NULL, 8),
(22372, NULL, 'PIRSF016394', NULL, NULL, NULL, NULL, 'Lsm2', NULL, NULL, NULL, 8),
(22373, NULL, 'PIRSF005902', NULL, NULL, NULL, NULL, 'DNase_TatD', NULL, NULL, NULL, 8),
(22374, NULL, 'PIRSF000732', NULL, NULL, NULL, NULL, 'PTS_enzyme_I', NULL, NULL, NULL, 8),
(22375, NULL, 'PIRSF010244', NULL, NULL, NULL, NULL, 'UCP010244_imp', NULL, NULL, NULL, 8),
(22376, NULL, 'PIRSF033634', NULL, NULL, NULL, NULL, 'UCP033634', NULL, NULL, NULL, 8),
(22377, NULL, 'PIRSF000068', NULL, NULL, NULL, NULL, 'Zn_Fdx_Sulfol', NULL, NULL, NULL, 8),
(22378, NULL, 'PIRSF036572', NULL, NULL, NULL, NULL, 'RPP20', NULL, NULL, NULL, 8),
(22379, NULL, 'PIRSF005894', NULL, NULL, NULL, NULL, 'Monothiol_GRX', NULL, NULL, NULL, 8),
(22380, NULL, 'PIRSF028688', NULL, NULL, NULL, NULL, 'UCP028688', NULL, NULL, NULL, 8),
(22381, NULL, 'PIRSF000534', NULL, NULL, NULL, NULL, 'ATP_PFK_TP0108', NULL, NULL, NULL, 8),
(22382, NULL, 'PIRSF000013', NULL, NULL, NULL, NULL, '4_hem_cytochrm_NapC', NULL, NULL, NULL, 8),
(22383, NULL, 'PIRSF029254', NULL, NULL, NULL, NULL, 'MutS_C_archaeal', NULL, NULL, NULL, 8);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22384, NULL, 'PIRSF038134', NULL, NULL, NULL, NULL, 'Toc33/toc34', NULL, NULL, NULL, 8),
(22385, NULL, 'PIRSF016939', NULL, NULL, NULL, NULL, 'ADP_ribosylarg_hydrolase', NULL, NULL, NULL, 8),
(22386, NULL, 'PIRSF018688', NULL, NULL, NULL, NULL, 'UCP018688', NULL, NULL, NULL, 8),
(22387, NULL, 'PIRSF000485', NULL, NULL, NULL, NULL, 'Pur1', NULL, NULL, NULL, 8),
(22388, NULL, 'PIRSF017184', NULL, NULL, NULL, NULL, 'Nnr', NULL, NULL, NULL, 8),
(22389, NULL, 'PIRSF036618', NULL, NULL, NULL, NULL, 'MobB_MoeA', NULL, NULL, NULL, 8),
(22390, NULL, 'PIRSF035042', NULL, NULL, NULL, NULL, 'UCP035042_thirdx', NULL, NULL, NULL, 8),
(22391, NULL, 'PIRSF029187', NULL, NULL, NULL, NULL, 'SHR3', NULL, NULL, NULL, 8),
(22392, NULL, 'PIRSF003760', NULL, NULL, NULL, NULL, 'VAC_K3L_Serpin', NULL, NULL, NULL, 8),
(22393, NULL, 'PIRSF000039', NULL, NULL, NULL, NULL, 'Phenol_monooxy_K', NULL, NULL, NULL, 8),
(22394, NULL, 'PIRSF006591', NULL, NULL, NULL, NULL, 'UCP_CBS_MJ1004', NULL, NULL, NULL, 8),
(22395, NULL, 'PIRSF030210', NULL, NULL, NULL, NULL, 'UCP030210', NULL, NULL, NULL, 8),
(22396, NULL, 'PIRSF037894', NULL, NULL, NULL, NULL, 'Subtilisin_rel_CspABC', NULL, NULL, NULL, 8),
(22397, NULL, 'PIRSF038119', NULL, NULL, NULL, NULL, 'NUP53', NULL, NULL, NULL, 8),
(22398, NULL, 'PIRSF007580', NULL, NULL, NULL, NULL, 'UCP07580', NULL, NULL, NULL, 8),
(22399, NULL, 'PIRSF029766', NULL, NULL, NULL, NULL, 'UCP029766', NULL, NULL, NULL, 8),
(22400, NULL, 'PIRSF029938', NULL, NULL, NULL, NULL, 'UCP029938', NULL, NULL, NULL, 8),
(22401, NULL, 'PIRSF015852', NULL, NULL, NULL, NULL, 'RRNA_mtase_Grm', NULL, NULL, NULL, 8),
(22402, NULL, 'PIRSF036389', NULL, NULL, NULL, NULL, 'IOR_B', NULL, NULL, NULL, 8),
(22403, NULL, 'PIRSF002551', NULL, NULL, NULL, NULL, 'Hemopexin', NULL, NULL, NULL, 8),
(22404, NULL, 'PIRSF037992', NULL, NULL, NULL, NULL, 'HnRNP_C_Raly', NULL, NULL, NULL, 8),
(22405, NULL, 'PIRSF038001', NULL, NULL, NULL, NULL, 'Caspase_ICE', NULL, NULL, NULL, 8),
(22406, NULL, 'PIRSF031796', NULL, NULL, NULL, NULL, 'UCP031796', NULL, NULL, NULL, 8),
(22407, NULL, 'PIRSF009292', NULL, NULL, NULL, NULL, 'BLIP', NULL, NULL, NULL, 8),
(22408, NULL, 'PIRSF019663', NULL, NULL, NULL, NULL, 'Legumain', NULL, NULL, NULL, 8),
(22409, NULL, 'PIRSF500175', NULL, NULL, NULL, NULL, 'Glu_ADT_D', NULL, NULL, NULL, 8),
(22410, NULL, 'PIRSF000728', NULL, NULL, NULL, NULL, 'NAGK', NULL, NULL, NULL, 8),
(22411, NULL, 'PIRSF010044', NULL, NULL, NULL, NULL, 'UCP010044', NULL, NULL, NULL, 8),
(22412, NULL, 'PIRSF013171', NULL, NULL, NULL, NULL, 'Pur_nuclsid_perm', NULL, NULL, NULL, 8),
(22413, NULL, 'PIRSF020467', NULL, NULL, NULL, NULL, 'RE_Tsp45I', NULL, NULL, NULL, 8),
(22414, NULL, 'PIRSF001356', NULL, NULL, NULL, NULL, 'SAM_decarboxylas', NULL, NULL, NULL, 8),
(22415, NULL, 'PIRSF004362', NULL, NULL, NULL, NULL, 'Endo_II_phage_DenA', NULL, NULL, NULL, 8),
(22416, NULL, 'PIRSF037445', NULL, NULL, NULL, NULL, 'UCP037445_abhydr', NULL, NULL, NULL, 8),
(22417, NULL, 'PIRSF036594', NULL, NULL, NULL, NULL, 'MoaC_MogA', NULL, NULL, NULL, 8),
(22418, NULL, 'PIRSF002892', NULL, NULL, NULL, NULL, 'Flagellin_A', NULL, NULL, NULL, 8),
(22419, NULL, 'PIRSF036668', NULL, NULL, NULL, NULL, 'ATPase_UCP036668', NULL, NULL, NULL, 8),
(22420, NULL, 'PIRSF006078', NULL, NULL, NULL, NULL, 'GlxK', NULL, NULL, NULL, 8),
(22421, NULL, 'PIRSF004966', NULL, NULL, NULL, NULL, 'Aconts_X_swiv', NULL, NULL, NULL, 8),
(22422, NULL, 'PIRSF008153', NULL, NULL, NULL, NULL, 'CYFIP', NULL, NULL, NULL, 8),
(22423, NULL, 'PIRSF016498', NULL, NULL, NULL, NULL, 'UCP016498', NULL, NULL, NULL, 8),
(22424, NULL, 'PIRSF033101', NULL, NULL, NULL, NULL, 'UCP033101', NULL, NULL, NULL, 8),
(22425, NULL, 'PIRSF000310', NULL, NULL, NULL, NULL, 'Upt_hd_small', NULL, NULL, NULL, 8),
(22426, NULL, 'PIRSF002417', NULL, NULL, NULL, NULL, 'Lipid_binding_protein', NULL, NULL, NULL, 8),
(22427, NULL, 'PIRSF006113', NULL, NULL, NULL, NULL, 'PTP_synth', NULL, NULL, NULL, 8);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22428, NULL, 'PIRSF500947', NULL, NULL, NULL, NULL, 'CSF-1_receptor', NULL, NULL, NULL, 8),
(22429, NULL, 'PIRSF028973', NULL, NULL, NULL, NULL, 'DcpS', NULL, NULL, NULL, 8),
(22430, NULL, 'PIRSF015792', NULL, NULL, NULL, NULL, 'VAC_F16L', NULL, NULL, NULL, 8),
(22431, NULL, 'PIRSF016958', NULL, NULL, NULL, NULL, 'Mtase_AD-003', NULL, NULL, NULL, 8),
(22432, NULL, 'PIRSF030042', NULL, NULL, NULL, NULL, 'UCP030042', NULL, NULL, NULL, 8),
(22433, NULL, 'PIRSF002882', NULL, NULL, NULL, NULL, 'VapD', NULL, NULL, NULL, 8),
(22434, NULL, 'PIRSF000525', NULL, NULL, NULL, NULL, 'SerC', NULL, NULL, NULL, 8),
(22435, NULL, 'PIRSF038886', NULL, NULL, NULL, NULL, 'Pellino', NULL, NULL, NULL, 8),
(22436, NULL, 'PIRSF037677', NULL, NULL, NULL, NULL, 'Msh6', NULL, NULL, NULL, 8),
(22437, NULL, 'PIRSF029950', NULL, NULL, NULL, NULL, 'UCP029950', NULL, NULL, NULL, 8),
(22438, NULL, 'PIRSF028944', NULL, NULL, NULL, NULL, 'Beta_gluc_GBA2', NULL, NULL, NULL, 8),
(22439, NULL, 'PIRSF039003', NULL, NULL, NULL, NULL, 'IscX', NULL, NULL, NULL, 8),
(22440, NULL, 'PIRSF001767', NULL, NULL, NULL, NULL, 'Cdc6', NULL, NULL, NULL, 8),
(22441, NULL, 'PIRSF038135', NULL, NULL, NULL, NULL, 'WD_rpt_23', NULL, NULL, NULL, 8),
(22442, NULL, 'PIRSF005897', NULL, NULL, NULL, NULL, 'RR_PatA', NULL, NULL, NULL, 8),
(22443, NULL, 'PIRSF004491', NULL, NULL, NULL, NULL, 'RibF_RibC', NULL, NULL, NULL, 8),
(22444, NULL, 'PIRSF000105', NULL, NULL, NULL, NULL, 'HCDH', NULL, NULL, NULL, 8),
(22445, NULL, 'PIRSF000747', NULL, NULL, NULL, NULL, 'RPB5', NULL, NULL, NULL, 8),
(22446, NULL, 'PIRSF018506', NULL, NULL, NULL, NULL, 'Prpndl_dhdrts_md', NULL, NULL, NULL, 8),
(22447, NULL, 'PIRSF002190', NULL, NULL, NULL, NULL, 'Ribosomal_L18a', NULL, NULL, NULL, 8),
(22448, NULL, 'PIRSF016988', NULL, NULL, NULL, NULL, 'UCP016988', NULL, NULL, NULL, 8),
(22449, NULL, 'PIRSF036666', NULL, NULL, NULL, NULL, 'G6S', NULL, NULL, NULL, 8),
(22450, NULL, 'PIRSF005624', NULL, NULL, NULL, NULL, 'Ni-bind_GTPase', NULL, NULL, NULL, 8),
(22451, NULL, 'PIRSF005651', NULL, NULL, NULL, NULL, 'HflC', NULL, NULL, NULL, 8),
(22452, NULL, 'PIRSF036401', NULL, NULL, NULL, NULL, 'Gcp_STYKS', NULL, NULL, NULL, 8),
(22453, NULL, 'PIRSF015665', NULL, NULL, NULL, NULL, 'CHOPT', NULL, NULL, NULL, 8),
(22454, NULL, 'PIRSF037328', NULL, NULL, NULL, NULL, 'Inhibin_alpha', NULL, NULL, NULL, 8),
(22455, NULL, 'PIRSF000711', NULL, NULL, NULL, NULL, 'PFK27', NULL, NULL, NULL, 8),
(22456, NULL, 'PIRSF016183', NULL, NULL, NULL, NULL, 'UCP016183', NULL, NULL, NULL, 8),
(22457, NULL, 'PIRSF037919', NULL, NULL, NULL, NULL, 'HDAC_II_yeast', NULL, NULL, NULL, 8),
(22458, NULL, 'PIRSF038025', NULL, NULL, NULL, NULL, 'PTEN', NULL, NULL, NULL, 8),
(22459, NULL, 'PIRSF036951', NULL, NULL, NULL, NULL, 'Mas1', NULL, NULL, NULL, 8),
(22460, NULL, 'PIRSF002854', NULL, NULL, NULL, NULL, 'MetQ', NULL, NULL, NULL, 8),
(22461, NULL, 'PIRSF011769', NULL, NULL, NULL, NULL, 'RAD17', NULL, NULL, NULL, 8),
(22462, NULL, 'PIRSF004131', NULL, NULL, NULL, NULL, 'RNA_pol_P2', NULL, NULL, NULL, 8),
(22463, NULL, 'PIRSF006439', NULL, NULL, NULL, NULL, 'Indolepyruvate_ferr_oxidored', NULL, NULL, NULL, 8),
(22464, NULL, 'PIRSF018296', NULL, NULL, NULL, NULL, 'Format_dh_formtn_FdhE', NULL, NULL, NULL, 8),
(22465, NULL, 'PIRSF000556', NULL, NULL, NULL, NULL, 'MAPKKK9_MAPKKK10_MAPKKK11', NULL, NULL, NULL, 8),
(22466, NULL, 'PIRSF006607', NULL, NULL, NULL, NULL, 'RNAmts_UCP006607', NULL, NULL, NULL, 8),
(22467, NULL, 'PIRSF037671', NULL, NULL, NULL, NULL, 'Chloroquine_res_transporter', NULL, NULL, NULL, 8),
(22468, NULL, 'PIRSF037932', NULL, NULL, NULL, NULL, 'A2BP1', NULL, NULL, NULL, 8),
(22469, NULL, 'PIRSF039085', NULL, NULL, NULL, NULL, 'ABC_ATPase_HisP', NULL, NULL, NULL, 8),
(22470, NULL, 'PIRSF000799', NULL, NULL, NULL, NULL, 'DNA_pol_epsilon_2', NULL, NULL, NULL, 8),
(22471, NULL, 'PIRSF000009', NULL, NULL, NULL, NULL, 'Cytochrome_c551', NULL, NULL, NULL, 8);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22472, NULL, 'PIRSF000156', NULL, NULL, NULL, NULL, 'Pyruvate_dh_E1', NULL, NULL, NULL, 8),
(22473, NULL, 'PIRSF018005', NULL, NULL, NULL, NULL, 'UCP018005', NULL, NULL, NULL, 8),
(22474, NULL, 'PIRSF029548', NULL, NULL, NULL, NULL, 'UCP029548', NULL, NULL, NULL, 8),
(22475, NULL, 'PIRSF028477', NULL, NULL, NULL, NULL, 'UCP028477', NULL, NULL, NULL, 8),
(22476, NULL, 'PIRSF000076', NULL, NULL, NULL, NULL, 'HCP', NULL, NULL, NULL, 8),
(22477, NULL, 'PIRSF024658', NULL, NULL, NULL, NULL, 'FlaF_archaea', NULL, NULL, NULL, 8),
(22478, NULL, 'PIRSF029037', NULL, NULL, NULL, NULL, 'UCP029037_Zn_ribbon', NULL, NULL, NULL, 8),
(22479, NULL, 'PIRSF004976', NULL, NULL, NULL, NULL, 'ATPase_YdaO', NULL, NULL, NULL, 8),
(22480, NULL, 'PIRSF000408', NULL, NULL, NULL, NULL, 'Alkyltransferas_AdaA', NULL, NULL, NULL, 8),
(22481, NULL, 'PIRSF031653', NULL, NULL, NULL, NULL, 'UCP031653', NULL, NULL, NULL, 8),
(22482, NULL, 'PIRSF037356', NULL, NULL, NULL, NULL, 'UCP037356', NULL, NULL, NULL, 8),
(22483, NULL, 'PIRSF037490', NULL, NULL, NULL, NULL, 'UCP037490_NIF3', NULL, NULL, NULL, 8),
(22484, NULL, 'PIRSF019404', NULL, NULL, NULL, NULL, 'FliJ', NULL, NULL, NULL, 8),
(22485, NULL, 'PIRSF025479', NULL, NULL, NULL, NULL, 'UCP025479', NULL, NULL, NULL, 8),
(22486, NULL, 'PIRSF029172', NULL, NULL, NULL, NULL, 'UCP029172_ABC_sbc_YnjB', NULL, NULL, NULL, 8),
(22487, NULL, 'PIRSF011124', NULL, NULL, NULL, NULL, 'MRP63', NULL, NULL, NULL, 8),
(22488, NULL, 'PIRSF007138', NULL, NULL, NULL, NULL, 'FIG1', NULL, NULL, NULL, 8),
(22489, NULL, 'PIRSF007312', NULL, NULL, NULL, NULL, 'Inner_mem_YidI', NULL, NULL, NULL, 8),
(22490, NULL, 'PIRSF000190', NULL, NULL, NULL, NULL, 'Pyd_amn-ph_oxd', NULL, NULL, NULL, 8),
(22491, NULL, 'PIRSF002133', NULL, NULL, NULL, NULL, 'RPS12p_RPS12a_RPS23e_RPS12o', NULL, NULL, NULL, 8),
(22492, NULL, 'PIRSF016817', NULL, NULL, NULL, NULL, 'UCP016817_carboligase', NULL, NULL, NULL, 8),
(22493, NULL, 'PIRSF000995', NULL, NULL, NULL, NULL, 'RE_EcoRV', NULL, NULL, NULL, 8),
(22494, NULL, 'PIRSF015971', NULL, NULL, NULL, NULL, 'VAC_F1L', NULL, NULL, NULL, 8),
(22495, NULL, 'PIRSF001222', NULL, NULL, NULL, NULL, 'Urease', NULL, NULL, NULL, 8),
(22496, NULL, 'PIRSF002520', NULL, NULL, NULL, NULL, 'ALB', NULL, NULL, NULL, 8),
(22497, NULL, 'PIRSF005019', NULL, NULL, NULL, NULL, 'EhaA', NULL, NULL, NULL, 8),
(22498, NULL, 'PIRSF015417', NULL, NULL, NULL, NULL, 'T31B5_30_vWA', NULL, NULL, NULL, 8),
(22499, NULL, 'PIRSF000550', NULL, NULL, NULL, NULL, 'PKC_alpha', NULL, NULL, NULL, 8),
(22500, NULL, 'PIRSF031773', NULL, NULL, NULL, NULL, 'ABC_31773', NULL, NULL, NULL, 8),
(22501, NULL, 'PIRSF006483', NULL, NULL, NULL, NULL, 'Membrane_protein_YitT', NULL, NULL, NULL, 8),
(22502, NULL, 'PIRSF016439', NULL, NULL, NULL, NULL, 'UP2', NULL, NULL, NULL, 8),
(22503, NULL, 'PIRSF001604', NULL, NULL, NULL, NULL, 'LigA', NULL, NULL, NULL, 8),
(22504, NULL, 'PIRSF037332', NULL, NULL, NULL, NULL, 'FucT_metazoa', NULL, NULL, NULL, 8),
(22505, NULL, 'PIRSF020513', NULL, NULL, NULL, NULL, '6alphaFUT_NodZ', NULL, NULL, NULL, 8),
(22506, NULL, 'PIRSF000690', NULL, NULL, NULL, NULL, 'Phosphotransf_FPr', NULL, NULL, NULL, 8),
(22507, NULL, 'PIRSF036881', NULL, NULL, NULL, NULL, 'PAT', NULL, NULL, NULL, 8),
(22508, NULL, 'PIRSF013286', NULL, NULL, NULL, NULL, 'MED6_fungi', NULL, NULL, NULL, 8),
(22509, NULL, 'PIRSF037880', NULL, NULL, NULL, NULL, 'Parkin', NULL, NULL, NULL, 8),
(22510, NULL, 'PIRSF026802', NULL, NULL, NULL, NULL, 'UCP026802', NULL, NULL, NULL, 8),
(22511, NULL, 'PIRSF000047', NULL, NULL, NULL, NULL, 'Cytochrome_CYPVIIA1', NULL, NULL, NULL, 8),
(22512, NULL, 'PIRSF032162', NULL, NULL, NULL, NULL, 'UCP032162_imp', NULL, NULL, NULL, 8),
(22513, NULL, 'PIRSF001359', NULL, NULL, NULL, NULL, 'F_bP_aldolase_II', NULL, NULL, NULL, 8),
(22514, NULL, 'PIRSF001426', NULL, NULL, NULL, NULL, 'NHase_alpha', NULL, NULL, NULL, 8),
(22515, NULL, 'PIRSF011860', NULL, NULL, NULL, NULL, 'NRIF3', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22516, NULL, 'PIRSF015982', NULL, NULL, NULL, NULL, 'VAC_M2L', NULL, NULL, NULL, 8),
(22517, NULL, 'PIRSF006334', NULL, NULL, NULL, NULL, 'Cdd_plus_pseudo', NULL, NULL, NULL, 8),
(22518, NULL, 'PIRSF037081', NULL, NULL, NULL, NULL, 'P-loop_All4644', NULL, NULL, NULL, 8),
(22519, NULL, 'PIRSF009467', NULL, NULL, NULL, NULL, 'Urease_acces_UreF', NULL, NULL, NULL, 8),
(22520, NULL, 'PIRSF038130', NULL, NULL, NULL, NULL, 'WRKY_txn_fact_IIc', NULL, NULL, NULL, 8),
(22521, NULL, 'PIRSF028770', NULL, NULL, NULL, NULL, 'UCP028770', NULL, NULL, NULL, 8),
(22522, NULL, 'PIRSF036956', NULL, NULL, NULL, NULL, 'Hrs_Vps27', NULL, NULL, NULL, 8),
(22523, NULL, 'PIRSF018505', NULL, NULL, NULL, NULL, 'Prpndl_dhdrts_sm', NULL, NULL, NULL, 8),
(22524, NULL, 'PIRSF002291', NULL, NULL, NULL, NULL, 'Beta_adaptin', NULL, NULL, NULL, 8),
(22525, NULL, 'PIRSF000124', NULL, NULL, NULL, NULL, 'UDPglc_GDPman_dh', NULL, NULL, NULL, 8),
(22526, NULL, 'PIRSF000605', NULL, NULL, NULL, NULL, 'RPS6_kin_1', NULL, NULL, NULL, 8),
(22527, NULL, 'PIRSF005215', NULL, NULL, NULL, NULL, 'TehB', NULL, NULL, NULL, 8),
(22528, NULL, 'PIRSF000779', NULL, NULL, NULL, NULL, 'RPB8', NULL, NULL, NULL, 8),
(22529, NULL, 'PIRSF001293', NULL, NULL, NULL, NULL, 'ATP6V0A1', NULL, NULL, NULL, 8),
(22530, NULL, 'PIRSF017570', NULL, NULL, NULL, NULL, 'H3K79_H-MTase_fungal', NULL, NULL, NULL, 8),
(22531, NULL, 'PIRSF036298', NULL, NULL, NULL, NULL, 'FDH_4Fe4S', NULL, NULL, NULL, 8),
(22532, NULL, 'PIRSF019364', NULL, NULL, NULL, NULL, 'RapGH', NULL, NULL, NULL, 8),
(22533, NULL, 'PIRSF022057', NULL, NULL, NULL, NULL, 'UCP022057', NULL, NULL, NULL, 8),
(22534, NULL, 'PIRSF005520', NULL, NULL, NULL, NULL, 'UCP005520', NULL, NULL, NULL, 8),
(22535, NULL, 'PIRSF000894', NULL, NULL, NULL, NULL, 'Acid_Ptase', NULL, NULL, NULL, 8),
(22536, NULL, 'PIRSF005632', NULL, NULL, NULL, NULL, 'Met_synth_catalytic', NULL, NULL, NULL, 8),
(22537, NULL, 'PIRSF017565', NULL, NULL, NULL, NULL, 'Kin_ATP-NAD_euk', NULL, NULL, NULL, 8),
(22538, NULL, 'PIRSF017107', NULL, NULL, NULL, NULL, 'MAAL', NULL, NULL, NULL, 8),
(22539, NULL, 'PIRSF007542', NULL, NULL, NULL, NULL, 'UCP007542', NULL, NULL, NULL, 8),
(22540, NULL, 'PIRSF004884', NULL, NULL, NULL, NULL, 'Sugar_kin_arch', NULL, NULL, NULL, 8),
(22541, NULL, 'PIRSF038455', NULL, NULL, NULL, NULL, 'SoxA', NULL, NULL, NULL, 8),
(22542, NULL, 'PIRSF019072', NULL, NULL, NULL, NULL, 'UCP019072', NULL, NULL, NULL, 8),
(22543, NULL, 'PIRSF038172', NULL, NULL, NULL, NULL, 'MAPKKKK', NULL, NULL, NULL, 8),
(22544, NULL, 'PIRSF038940', NULL, NULL, NULL, NULL, 'Low_specificity_LTA', NULL, NULL, NULL, 8),
(22545, NULL, 'PIRSF038171', NULL, NULL, NULL, NULL, 'MAPKKK8', NULL, NULL, NULL, 8),
(22546, NULL, 'PIRSF021265', NULL, NULL, NULL, NULL, 'ManO', NULL, NULL, NULL, 8),
(22547, NULL, 'PIRSF026544', NULL, NULL, NULL, NULL, 'DksA_homolog', NULL, NULL, NULL, 8),
(22548, NULL, 'PIRSF001475', NULL, NULL, NULL, NULL, 'Cyclophilin_E', NULL, NULL, NULL, 8),
(22549, NULL, 'PIRSF011521', NULL, NULL, NULL, NULL, 'VieB', NULL, NULL, NULL, 8),
(22550, NULL, 'PIRSF001427', NULL, NULL, NULL, NULL, 'NHase_beta', NULL, NULL, NULL, 8),
(22551, NULL, 'PIRSF022909', NULL, NULL, NULL, NULL, 'UCP022909', NULL, NULL, NULL, 8),
(22552, NULL, 'PIRSF003954', NULL, NULL, NULL, NULL, 'NS-S_OrthobunV', NULL, NULL, NULL, 8),
(22553, NULL, 'PIRSF000163', NULL, NULL, NULL, NULL, 'ChlB', NULL, NULL, NULL, 8),
(22554, NULL, 'PIRSF011409', NULL, NULL, NULL, NULL, '3HB_olig_hydr', NULL, NULL, NULL, 8),
(22555, NULL, 'PIRSF019847', NULL, NULL, NULL, NULL, 'Tri6', NULL, NULL, NULL, 8),
(22556, NULL, 'PIRSF002690', NULL, NULL, NULL, NULL, 'Plant_L_lectin', NULL, NULL, NULL, 8),
(22557, NULL, 'PIRSF001294', NULL, NULL, NULL, NULL, 'H/K_exch_ATPase_A', NULL, NULL, NULL, 8),
(22558, NULL, 'PIRSF000026', NULL, NULL, NULL, NULL, 'Cytochrome_cc3', NULL, NULL, NULL, 8),
(22559, NULL, 'PIRSF003688', NULL, NULL, NULL, NULL, 'VAC_PP', NULL, NULL, NULL, 8);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22560, NULL, 'PIRSF018786', NULL, NULL, NULL, NULL, 'UCP018786', NULL, NULL, NULL, 8),
(22561, NULL, 'PIRSF029688', NULL, NULL, NULL, NULL, 'UCP29688_pentapep', NULL, NULL, NULL, 8),
(22562, NULL, 'PIRSF032862', NULL, NULL, NULL, NULL, 'UCP032862_Fe-S', NULL, NULL, NULL, 8),
(22563, NULL, 'PIRSF004952', NULL, NULL, NULL, NULL, 'RNase_P_2', NULL, NULL, NULL, 8),
(22564, NULL, 'PIRSF001658', NULL, NULL, NULL, NULL, 'Amylase_inhib', NULL, NULL, NULL, 8),
(22565, NULL, 'PIRSF007466', NULL, NULL, NULL, NULL, 'SpoIVA', NULL, NULL, NULL, 8),
(22566, NULL, 'PIRSF016383', NULL, NULL, NULL, NULL, 'UCP016383', NULL, NULL, NULL, 8),
(22567, NULL, 'PIRSF037785', NULL, NULL, NULL, NULL, 'RecU', NULL, NULL, NULL, 8),
(22568, NULL, 'PIRSF006728', NULL, NULL, NULL, NULL, 'CinA', NULL, NULL, NULL, 8),
(22569, NULL, 'PIRSF037863', NULL, NULL, NULL, NULL, 'SLP_lactobac', NULL, NULL, NULL, 8),
(22570, NULL, 'PIRSF000309', NULL, NULL, NULL, NULL, 'HoxU', NULL, NULL, NULL, 8),
(22571, NULL, 'PIRSF006337', NULL, NULL, NULL, NULL, 'Glycosyltrehalos_trehalohydrls', NULL, NULL, NULL, 8),
(22572, NULL, 'PIRSF036313', NULL, NULL, NULL, NULL, 'Fibulin-1', NULL, NULL, NULL, 8),
(22573, NULL, 'PIRSF025218', NULL, NULL, NULL, NULL, 'UCP025218', NULL, NULL, NULL, 8),
(22574, NULL, 'PIRSF032582', NULL, NULL, NULL, NULL, 'Cas2', NULL, NULL, NULL, 8),
(22575, NULL, 'PIRSF500144', NULL, NULL, NULL, NULL, 'IODI_III', NULL, NULL, NULL, 8),
(22576, NULL, 'PIRSF037291', NULL, NULL, NULL, NULL, 'UCP037291_gluthr', NULL, NULL, NULL, 8),
(22577, NULL, 'PIRSF036684', NULL, NULL, NULL, NULL, 'ME_PTA', NULL, NULL, NULL, 8),
(22578, NULL, 'PIRSF000331', NULL, NULL, NULL, NULL, 'HpaA_HpaB', NULL, NULL, NULL, 8),
(22579, NULL, 'PIRSF006529', NULL, NULL, NULL, NULL, 'UCP006529_dinclt', NULL, NULL, NULL, 8),
(22580, NULL, 'PIRSF020687', NULL, NULL, NULL, NULL, 'UCP020687', NULL, NULL, NULL, 8),
(22581, NULL, 'PIRSF027982', NULL, NULL, NULL, NULL, 'EryCV', NULL, NULL, NULL, 8),
(22582, NULL, 'PIRSF036542', NULL, NULL, NULL, NULL, 'SpmA_SpmB', NULL, NULL, NULL, 8),
(22583, NULL, 'PIRSF038017', NULL, NULL, NULL, NULL, 'GTP-BP_GEM', NULL, NULL, NULL, 8),
(22584, NULL, 'PIRSF015013', NULL, NULL, NULL, NULL, 'UCP015013', NULL, NULL, NULL, 8),
(22585, NULL, 'PIRSF017706', NULL, NULL, NULL, NULL, 'TFIP11', NULL, NULL, NULL, 8),
(22586, NULL, 'PIRSF001134', NULL, NULL, NULL, NULL, 'Streptogrisin', NULL, NULL, NULL, 8),
(22587, NULL, 'PIRSF038321', NULL, NULL, NULL, NULL, 'PTS_glc_srb_IIC', NULL, NULL, NULL, 8),
(22588, NULL, 'PIRSF005240', NULL, NULL, NULL, NULL, 'CcmF', NULL, NULL, NULL, 8),
(22589, NULL, 'PIRSF002211', NULL, NULL, NULL, NULL, 'RPL30p', NULL, NULL, NULL, 8),
(22590, NULL, 'PIRSF000806', NULL, NULL, NULL, NULL, 'UDPGP', NULL, NULL, NULL, 8),
(22591, NULL, 'PIRSF014422', NULL, NULL, NULL, NULL, 'UCP014422', NULL, NULL, NULL, 8),
(22592, NULL, 'PIRSF000938', NULL, NULL, NULL, NULL, 'PTPN1_yeast', NULL, NULL, NULL, 8),
(22593, NULL, 'PIRSF036640', NULL, NULL, NULL, NULL, 'FPGT', NULL, NULL, NULL, 8),
(22594, NULL, 'PIRSF037907', NULL, NULL, NULL, NULL, 'Subtilisin_rel_TK1689', NULL, NULL, NULL, 8),
(22595, NULL, 'PIRSF018147', NULL, NULL, NULL, NULL, 'ORM1', NULL, NULL, NULL, 8),
(22596, NULL, 'PIRSF030811', NULL, NULL, NULL, NULL, 'UCP030811', NULL, NULL, NULL, 8),
(22597, NULL, 'PIRSF500138', NULL, NULL, NULL, NULL, 'GPI8', NULL, NULL, NULL, 8),
(22598, NULL, 'PIRSF006787', NULL, NULL, NULL, NULL, 'Hydrgn_mat_HoxX', NULL, NULL, NULL, 8),
(22599, NULL, 'PIRSF000178', NULL, NULL, NULL, NULL, 'SDH_cyt_b560', NULL, NULL, NULL, 8),
(22600, NULL, 'PIRSF036432', NULL, NULL, NULL, NULL, 'Diphthine_synth', NULL, NULL, NULL, 8),
(22601, NULL, 'PIRSF003781', NULL, NULL, NULL, NULL, 'VAC_C5L', NULL, NULL, NULL, 8),
(22602, NULL, 'PIRSF036568', NULL, NULL, NULL, NULL, 'CYTH_CHAD_HD', NULL, NULL, NULL, 8),
(22603, NULL, 'PIRSF029202', NULL, NULL, NULL, NULL, 'UCP029202', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22604, NULL, 'PIRSF036226', NULL, NULL, NULL, NULL, 'UCP036226', NULL, NULL, NULL, 8),
(22605, NULL, 'PIRSF037188', NULL, NULL, NULL, NULL, 'Lsm7', NULL, NULL, NULL, 8),
(22606, NULL, 'PIRSF500683', NULL, NULL, NULL, NULL, 'Lactotransferrin', NULL, NULL, NULL, 8),
(22607, NULL, 'PIRSF000238', NULL, NULL, NULL, NULL, 'AhpF', NULL, NULL, NULL, 8),
(22608, NULL, 'PIRSF004977', NULL, NULL, NULL, NULL, 'UCP004977', NULL, NULL, NULL, 8),
(22609, NULL, 'PIRSF037004', NULL, NULL, NULL, NULL, 'UCP037004', NULL, NULL, NULL, 8),
(22610, NULL, 'PIRSF006256', NULL, NULL, NULL, NULL, 'CMP_trnsf_HypF', NULL, NULL, NULL, 8),
(22611, NULL, 'PIRSF001492', NULL, NULL, NULL, NULL, 'IPGAM', NULL, NULL, NULL, 8),
(22612, NULL, 'PIRSF002368', NULL, NULL, NULL, NULL, 'Clusterin', NULL, NULL, NULL, 8),
(22613, NULL, 'PIRSF011649', NULL, NULL, NULL, NULL, 'MtTFB', NULL, NULL, NULL, 8),
(22614, NULL, 'PIRSF007510', NULL, NULL, NULL, NULL, 'UCP007510', NULL, NULL, NULL, 8),
(22615, NULL, 'PIRSF006402', NULL, NULL, NULL, NULL, 'UCP006402_thioredoxin', NULL, NULL, NULL, 8),
(22616, NULL, 'PIRSF037201', NULL, NULL, NULL, NULL, 'Ub_ligase_E6AP', NULL, NULL, NULL, 8),
(22617, NULL, 'PIRSF000385', NULL, NULL, NULL, NULL, 'Gly_N-mtase', NULL, NULL, NULL, 8),
(22618, NULL, 'PIRSF016527', NULL, NULL, NULL, NULL, 'TNF_CD40', NULL, NULL, NULL, 8),
(22619, NULL, 'PIRSF000290', NULL, NULL, NULL, NULL, 'PPO_plant', NULL, NULL, NULL, 8),
(22620, NULL, 'PIRSF028063', NULL, NULL, NULL, NULL, 'UCP028063', NULL, NULL, NULL, 8),
(22621, NULL, 'PIRSF028226', NULL, NULL, NULL, NULL, 'PhaP', NULL, NULL, NULL, 8),
(22622, NULL, 'PIRSF038128', NULL, NULL, NULL, NULL, 'CORI1', NULL, NULL, NULL, 8),
(22623, NULL, 'PIRSF036410', NULL, NULL, NULL, NULL, 'EutE_PduP', NULL, NULL, NULL, 8),
(22624, NULL, 'PIRSF019078', NULL, NULL, NULL, NULL, 'UCP019078', NULL, NULL, NULL, 8),
(22625, NULL, 'PIRSF004499', NULL, NULL, NULL, NULL, 'Transl_init_SUI1_Euk', NULL, NULL, NULL, 8),
(22626, NULL, 'PIRSF021494', NULL, NULL, NULL, NULL, 'Rv0216', NULL, NULL, NULL, 8),
(22627, NULL, 'PIRSF019302', NULL, NULL, NULL, NULL, 'UCP019302', NULL, NULL, NULL, 8),
(22628, NULL, 'PIRSF003775', NULL, NULL, NULL, NULL, 'E3_ub_ligase_p28', NULL, NULL, NULL, 8),
(22629, NULL, 'PIRSF000116', NULL, NULL, NULL, NULL, 'IlvC_gammaproteo', NULL, NULL, NULL, 8),
(22630, NULL, 'PIRSF038076', NULL, NULL, NULL, NULL, 'US8A', NULL, NULL, NULL, 8),
(22631, NULL, 'PIRSF024484', NULL, NULL, NULL, NULL, 'UCP024484', NULL, NULL, NULL, 8),
(22632, NULL, 'PIRSF000741', NULL, NULL, NULL, NULL, 'FasBCD', NULL, NULL, NULL, 8),
(22633, NULL, 'PIRSF019543', NULL, NULL, NULL, NULL, 'Clavaminate_syn', NULL, NULL, NULL, 8),
(22634, NULL, 'PIRSF009471', NULL, NULL, NULL, NULL, 'UCP009471', NULL, NULL, NULL, 8),
(22635, NULL, 'PIRSF037228', NULL, NULL, NULL, NULL, 'Lan_mod_RumM', NULL, NULL, NULL, 8),
(22636, NULL, 'PIRSF032968', NULL, NULL, NULL, NULL, 'UCP032968', NULL, NULL, NULL, 8),
(22637, NULL, 'PIRSF002070', NULL, NULL, NULL, NULL, 'SSB', NULL, NULL, NULL, 8),
(22638, NULL, 'PIRSF022632', NULL, NULL, NULL, NULL, 'UCP022632', NULL, NULL, NULL, 8),
(22639, NULL, 'PIRSF000497', NULL, NULL, NULL, NULL, 'MAT', NULL, NULL, NULL, 8),
(22640, NULL, 'PIRSF015268', NULL, NULL, NULL, NULL, 'Virulence_RhuM', NULL, NULL, NULL, 8),
(22641, NULL, 'PIRSF027682', NULL, NULL, NULL, NULL, 'UCP027682_CUB_vWA', NULL, NULL, NULL, 8),
(22642, NULL, 'PIRSF001788', NULL, NULL, NULL, NULL, 'GMF-beta', NULL, NULL, NULL, 8),
(22643, NULL, 'PIRSF001111', NULL, NULL, NULL, NULL, 'Isochorismatase', NULL, NULL, NULL, 8),
(22644, NULL, 'PIRSF005822', NULL, NULL, NULL, NULL, 'NDUA2', NULL, NULL, NULL, 8),
(22645, NULL, 'PIRSF006392', NULL, NULL, NULL, NULL, 'IPGAM_arch', NULL, NULL, NULL, 8),
(22646, NULL, 'PIRSF004270', NULL, NULL, NULL, NULL, 'UCP004270', NULL, NULL, NULL, 8),
(22647, NULL, 'PIRSF010603', NULL, NULL, NULL, NULL, 'UCP010603', NULL, NULL, NULL, 8),
(22648, NULL, 'PIRSF017888', NULL, NULL, NULL, NULL, 'CPSF-25', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22649, NULL, 'PIRSF000447', NULL, NULL, NULL, NULL, 'KAS_II', NULL, NULL, NULL, 8),
(22650, NULL, 'PIRSF006865', NULL, NULL, NULL, NULL, 'Ecotin', NULL, NULL, NULL, 8),
(22651, NULL, 'PIRSF005719', NULL, NULL, NULL, NULL, 'SMC', NULL, NULL, NULL, 8),
(22652, NULL, 'PIRSF029658', NULL, NULL, NULL, NULL, 'UCP029658_TPR', NULL, NULL, NULL, 8),
(22653, NULL, 'PIRSF004177', NULL, NULL, NULL, NULL, 'gp1_phi29', NULL, NULL, NULL, 8),
(22654, NULL, 'PIRSF034445', NULL, NULL, NULL, NULL, 'CpxP_Spy', NULL, NULL, NULL, 8),
(22655, NULL, 'PIRSF000188', NULL, NULL, NULL, NULL, 'Phe_leu_dh', NULL, NULL, NULL, 8),
(22656, NULL, 'PIRSF001795', NULL, NULL, NULL, NULL, 'TRH', NULL, NULL, NULL, 8),
(22657, NULL, 'PIRSF037431', NULL, NULL, NULL, NULL, 'HK_LiaS', NULL, NULL, NULL, 8),
(22658, NULL, 'PIRSF002155', NULL, NULL, NULL, NULL, 'RPL1p_RPL1a_RPL10e_RPL1o', NULL, NULL, NULL, 8),
(22659, NULL, 'PIRSF016766', NULL, NULL, NULL, NULL, 'UCP016766_ATPgrasp', NULL, NULL, NULL, 8),
(22660, NULL, 'PIRSF001196', NULL, NULL, NULL, NULL, 'Meprin', NULL, NULL, NULL, 8),
(22661, NULL, 'PIRSF019239', NULL, NULL, NULL, NULL, 'MrpE', NULL, NULL, NULL, 8),
(22662, NULL, 'PIRSF007487', NULL, NULL, NULL, NULL, 'CoiA', NULL, NULL, NULL, 8),
(22663, NULL, 'PIRSF003383', NULL, NULL, NULL, NULL, 'E1_PLV', NULL, NULL, NULL, 8),
(22664, NULL, 'PIRSF008210', NULL, NULL, NULL, NULL, 'UCP008210', NULL, NULL, NULL, 8),
(22665, NULL, 'PIRSF020514', NULL, NULL, NULL, NULL, 'NolB', NULL, NULL, NULL, 8),
(22666, NULL, 'PIRSF039072', NULL, NULL, NULL, NULL, 'ATPase_subunit_beta', NULL, NULL, NULL, 8),
(22667, NULL, 'PIRSF017385', NULL, NULL, NULL, NULL, 'CtaF', NULL, NULL, NULL, 8),
(22668, NULL, 'PIRSF019265', NULL, NULL, NULL, NULL, 'UCP019265', NULL, NULL, NULL, 8),
(22669, NULL, 'PIRSF001491', NULL, NULL, NULL, NULL, 'Ppentomutase', NULL, NULL, NULL, 8),
(22670, NULL, 'PIRSF016495', NULL, NULL, NULL, NULL, 'UCP016495', NULL, NULL, NULL, 8),
(22671, NULL, 'PIRSF003249', NULL, NULL, NULL, NULL, 'PyrBI_leader_pep', NULL, NULL, NULL, 8),
(22672, NULL, 'PIRSF030840', NULL, NULL, NULL, NULL, 'ShuX', NULL, NULL, NULL, 8),
(22673, NULL, 'PIRSF037430', NULL, NULL, NULL, NULL, 'Ribotoxin_alpha-sarcin', NULL, NULL, NULL, 8),
(22674, NULL, 'PIRSF000729', NULL, NULL, NULL, NULL, 'GK', NULL, NULL, NULL, 8),
(22675, NULL, 'PIRSF034754', NULL, NULL, NULL, NULL, 'SigE', NULL, NULL, NULL, 8),
(22676, NULL, 'PIRSF001400', NULL, NULL, NULL, NULL, 'Enolase', NULL, NULL, NULL, 8),
(22677, NULL, 'PIRSF002131', NULL, NULL, NULL, NULL, 'RPS11p_RPS11a_RPS14e_RPS11o', NULL, NULL, NULL, 8),
(22678, NULL, 'PIRSF006241', NULL, NULL, NULL, NULL, 'HyI', NULL, NULL, NULL, 8),
(22679, NULL, 'PIRSF036158', NULL, NULL, NULL, NULL, 'UCP036158_MarR', NULL, NULL, NULL, 8),
(22680, NULL, 'PIRSF500183', NULL, NULL, NULL, NULL, 'Hepatocyte_GF', NULL, NULL, NULL, 8),
(22681, NULL, 'PIRSF016934', NULL, NULL, NULL, NULL, 'UCP016934', NULL, NULL, NULL, 8),
(22682, NULL, 'PIRSF003784', NULL, NULL, NULL, NULL, 'VAC_N1L', NULL, NULL, NULL, 8),
(22683, NULL, 'PIRSF015696', NULL, NULL, NULL, NULL, 'VAC_E10R', NULL, NULL, NULL, 8),
(22684, NULL, 'PIRSF036511', NULL, NULL, NULL, NULL, 'ATP_citrt_syn', NULL, NULL, NULL, 8),
(22685, NULL, 'PIRSF000388', NULL, NULL, NULL, NULL, 'PanB', NULL, NULL, NULL, 8),
(22686, NULL, 'PIRSF007764', NULL, NULL, NULL, NULL, 'GINS_Sld5', NULL, NULL, NULL, 8),
(22687, NULL, 'PIRSF036427', NULL, NULL, NULL, NULL, 'Precrrn-2_mtase', NULL, NULL, NULL, 8),
(22688, NULL, 'PIRSF005978', NULL, NULL, NULL, NULL, 'HTH_MJ0621', NULL, NULL, NULL, 8),
(22689, NULL, 'PIRSF005713', NULL, NULL, NULL, NULL, 'P2X_purinoceptor', NULL, NULL, NULL, 8),
(22690, NULL, 'PIRSF000349', NULL, NULL, NULL, NULL, 'MnSOD_FeSOD', NULL, NULL, NULL, 8),
(22691, NULL, 'PIRSF002859', NULL, NULL, NULL, NULL, 'Lipo_traT', NULL, NULL, NULL, 8),
(22692, NULL, 'PIRSF036597', NULL, NULL, NULL, NULL, 'Protse_InhA_rel', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22693, NULL, 'PIRSF000777', NULL, NULL, NULL, NULL, 'RNA_pol_RPC31', NULL, NULL, NULL, 8),
(22694, NULL, 'PIRSF016719', NULL, NULL, NULL, NULL, 'UCP016719', NULL, NULL, NULL, 8),
(22695, NULL, 'PIRSF012939', NULL, NULL, NULL, NULL, 'NAR2', NULL, NULL, NULL, 8),
(22696, NULL, 'PIRSF030013', NULL, NULL, NULL, NULL, 'ThuA_PalA', NULL, NULL, NULL, 8),
(22697, NULL, 'PIRSF006743', NULL, NULL, NULL, NULL, 'Exonuclease_Xnr1', NULL, NULL, NULL, 8),
(22698, NULL, 'PIRSF011503', NULL, NULL, NULL, NULL, 'DdrB_PduH', NULL, NULL, NULL, 8),
(22699, NULL, 'PIRSF034659', NULL, NULL, NULL, NULL, 'Vir_TviA', NULL, NULL, NULL, 8),
(22700, NULL, 'PIRSF028135', NULL, NULL, NULL, NULL, 'UCP028135_HipA-like', NULL, NULL, NULL, 8),
(22701, NULL, 'PIRSF000027', NULL, NULL, NULL, NULL, 'Cytochrome_c_prime', NULL, NULL, NULL, 8),
(22702, NULL, 'PIRSF006779', NULL, NULL, NULL, NULL, 'UCP006779', NULL, NULL, NULL, 8),
(22703, NULL, 'PIRSF018468', NULL, NULL, NULL, NULL, 'Rep_DICDI', NULL, NULL, NULL, 8),
(22704, NULL, 'PIRSF015974', NULL, NULL, NULL, NULL, 'CLN3_BTN1', NULL, NULL, NULL, 8),
(22705, NULL, 'PIRSF018783', NULL, NULL, NULL, NULL, 'UCP018783', NULL, NULL, NULL, 8),
(22706, NULL, 'PIRSF036758', NULL, NULL, NULL, NULL, 'Aden_M_ParB', NULL, NULL, NULL, 8),
(22707, NULL, 'PIRSF009415', NULL, NULL, NULL, NULL, 'TFIIA_gamma_hum', NULL, NULL, NULL, 8),
(22708, NULL, 'PIRSF028175', NULL, NULL, NULL, NULL, 'UCP028175', NULL, NULL, NULL, 8),
(22709, NULL, 'PIRSF035427', NULL, NULL, NULL, NULL, 'All2852', NULL, NULL, NULL, 8),
(22710, NULL, 'PIRSF004878', NULL, NULL, NULL, NULL, 'RNase_P_4', NULL, NULL, NULL, 8),
(22711, NULL, 'PIRSF003726', NULL, NULL, NULL, NULL, 'Vaccinia_VP39', NULL, NULL, NULL, 8),
(22712, NULL, 'PIRSF000887', NULL, NULL, NULL, NULL, 'Pesterase_MJ0037', NULL, NULL, NULL, 8),
(22713, NULL, 'PIRSF016660', NULL, NULL, NULL, NULL, 'YedI', NULL, NULL, NULL, 8),
(22714, NULL, 'PIRSF002498', NULL, NULL, NULL, NULL, 'TF_factor_3', NULL, NULL, NULL, 8),
(22715, NULL, 'PIRSF016325', NULL, NULL, NULL, NULL, 'PTPA', NULL, NULL, NULL, 8),
(22716, NULL, 'PIRSF016094', NULL, NULL, NULL, NULL, 'VirC2', NULL, NULL, NULL, 8),
(22717, NULL, 'PIRSF037902', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Ava_4226', NULL, NULL, NULL, 8),
(22718, NULL, 'PIRSF500133', NULL, NULL, NULL, NULL, 'UDPglc_DH_euk', NULL, NULL, NULL, 8),
(22719, NULL, 'PIRSF001340', NULL, NULL, NULL, NULL, 'AIRC', NULL, NULL, NULL, 8),
(22720, NULL, 'PIRSF004417', NULL, NULL, NULL, NULL, 'Anti_term_Q', NULL, NULL, NULL, 8),
(22721, NULL, 'PIRSF500722', NULL, NULL, NULL, NULL, 'TEF-3', NULL, NULL, NULL, 8),
(22722, NULL, 'PIRSF003137', NULL, NULL, NULL, NULL, 'CoM_red_McrC', NULL, NULL, NULL, 8),
(22723, NULL, 'PIRSF008835', NULL, NULL, NULL, NULL, 'TPR_repeat_11_Fis1', NULL, NULL, NULL, 8),
(22724, NULL, 'PIRSF036466', NULL, NULL, NULL, NULL, 'UCP036466', NULL, NULL, NULL, 8),
(22725, NULL, 'PIRSF005378', NULL, NULL, NULL, NULL, 'RNA_3-term_P_cyclase', NULL, NULL, NULL, 8),
(22726, NULL, 'PIRSF038127', NULL, NULL, NULL, NULL, 'UCP038127_LOB', NULL, NULL, NULL, 8),
(22727, NULL, 'PIRSF016184', NULL, NULL, NULL, NULL, 'Ismrse_PhzF', NULL, NULL, NULL, 8),
(22728, NULL, 'PIRSF037923', NULL, NULL, NULL, NULL, 'UCP037923', NULL, NULL, NULL, 8),
(22729, NULL, 'PIRSF005572', NULL, NULL, NULL, NULL, 'NifS', NULL, NULL, NULL, 8),
(22730, NULL, 'PIRSF001174', NULL, NULL, NULL, NULL, 'Lon_proteas', NULL, NULL, NULL, 8),
(22731, NULL, 'PIRSF000707', NULL, NULL, NULL, NULL, 'Hygromycin-B_kin', NULL, NULL, NULL, 8),
(22732, NULL, 'PIRSF021898', NULL, NULL, NULL, NULL, 'UCP021898', NULL, NULL, NULL, 8),
(22733, NULL, 'PIRSF015614', NULL, NULL, NULL, NULL, 'TRAF', NULL, NULL, NULL, 8),
(22734, NULL, 'PIRSF028069', NULL, NULL, NULL, NULL, 'UCP028069', NULL, NULL, NULL, 8),
(22735, NULL, 'PIRSF007797', NULL, NULL, NULL, NULL, 'RSM22', NULL, NULL, NULL, 8),
(22736, NULL, 'PIRSF029557', NULL, NULL, NULL, NULL, 'UCP029557', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22737, NULL, 'PIRSF037096', NULL, NULL, NULL, NULL, 'AP3_beta', NULL, NULL, NULL, 8),
(22738, NULL, 'PIRSF039012', NULL, NULL, NULL, NULL, 'ASP', NULL, NULL, NULL, 8),
(22739, NULL, 'PIRSF010076', NULL, NULL, NULL, NULL, 'PAC1', NULL, NULL, NULL, 8),
(22740, NULL, 'PIRSF003958', NULL, NULL, NULL, NULL, 'NS-S_TospoV', NULL, NULL, NULL, 8),
(22741, NULL, 'PIRSF004509', NULL, NULL, NULL, NULL, 'UCP004509_Rem', NULL, NULL, NULL, 8),
(22742, NULL, 'PIRSF011355', NULL, NULL, NULL, NULL, 'VP24', NULL, NULL, NULL, 8),
(22743, NULL, 'PIRSF028200', NULL, NULL, NULL, NULL, 'UCP028200', NULL, NULL, NULL, 8),
(22744, NULL, 'PIRSF000187', NULL, NULL, NULL, NULL, 'GOGAT', NULL, NULL, NULL, 8),
(22745, NULL, 'PIRSF024608', NULL, NULL, NULL, NULL, 'UCP024608', NULL, NULL, NULL, 8),
(22746, NULL, 'PIRSF036761', NULL, NULL, NULL, NULL, 'GDH_Mll4104', NULL, NULL, NULL, 8),
(22747, NULL, 'PIRSF000929', NULL, NULL, NULL, NULL, 'PTPN6_PTPN11', NULL, NULL, NULL, 8),
(22748, NULL, 'PIRSF037420', NULL, NULL, NULL, NULL, 'PqqE', NULL, NULL, NULL, 8),
(22749, NULL, 'PIRSF009414', NULL, NULL, NULL, NULL, 'LuxC', NULL, NULL, NULL, 8),
(22750, NULL, 'PIRSF000490', NULL, NULL, NULL, NULL, 'Diphtheria_toxin', NULL, NULL, NULL, 8),
(22751, NULL, 'PIRSF020818', NULL, NULL, NULL, NULL, 'PHB_depoly', NULL, NULL, NULL, 8),
(22752, NULL, 'PIRSF032341', NULL, NULL, NULL, NULL, 'UCP032341_glycerophostrnsf', NULL, NULL, NULL, 8),
(22753, NULL, 'PIRSF039032', NULL, NULL, NULL, NULL, 'HigB-2', NULL, NULL, NULL, 8),
(22754, NULL, 'PIRSF030092', NULL, NULL, NULL, NULL, 'UCP030092', NULL, NULL, NULL, 8),
(22755, NULL, 'PIRSF037433', NULL, NULL, NULL, NULL, 'HK_STH3221', NULL, NULL, NULL, 8),
(22756, NULL, 'PIRSF001365', NULL, NULL, NULL, NULL, 'DHDPS', NULL, NULL, NULL, 8),
(22757, NULL, 'PIRSF000354', NULL, NULL, NULL, NULL, 'Factors_V_VIII', NULL, NULL, NULL, 8),
(22758, NULL, 'PIRSF005227', NULL, NULL, NULL, NULL, 'Asp_dh_NAD_syn', NULL, NULL, NULL, 8),
(22759, NULL, 'PIRSF036873', NULL, NULL, NULL, NULL, 'L_TenuV', NULL, NULL, NULL, 8),
(22760, NULL, 'PIRSF038154', NULL, NULL, NULL, NULL, 'GTE6', NULL, NULL, NULL, 8),
(22761, NULL, 'PIRSF500776', NULL, NULL, NULL, NULL, 'Hyaluronidase_3', NULL, NULL, NULL, 8),
(22762, NULL, 'PIRSF019251', NULL, NULL, NULL, NULL, 'Rv0465c', NULL, NULL, NULL, 8),
(22763, NULL, 'PIRSF029271', NULL, NULL, NULL, NULL, 'Pdx1', NULL, NULL, NULL, 8),
(22764, NULL, 'PIRSF037861', NULL, NULL, NULL, NULL, 'Prion_URE2', NULL, NULL, NULL, 8),
(22765, NULL, 'PIRSF037442', NULL, NULL, NULL, NULL, 'UCP037442_abhydr', NULL, NULL, NULL, 8),
(22766, NULL, 'PIRSF028583', NULL, NULL, NULL, NULL, 'UCP028583', NULL, NULL, NULL, 8),
(22767, NULL, 'PIRSF025648', NULL, NULL, NULL, NULL, 'DDH', NULL, NULL, NULL, 8),
(22768, NULL, 'PIRSF032756', NULL, NULL, NULL, NULL, 'UCP032756', NULL, NULL, NULL, 8),
(22769, NULL, 'PIRSF003768', NULL, NULL, NULL, NULL, 'VAC_I5L', NULL, NULL, NULL, 8),
(22770, NULL, 'PIRSF008633', NULL, NULL, NULL, NULL, 'BEX', NULL, NULL, NULL, 8),
(22771, NULL, 'PIRSF019115', NULL, NULL, NULL, NULL, 'UCP019115', NULL, NULL, NULL, 8),
(22772, NULL, 'PIRSF017932', NULL, NULL, NULL, NULL, 'Conjugal_TraB', NULL, NULL, NULL, 8),
(22773, NULL, 'PIRSF019422', NULL, NULL, NULL, NULL, 'MltA', NULL, NULL, NULL, 8),
(22774, NULL, 'PIRSF036503', NULL, NULL, NULL, NULL, 'NDK7', NULL, NULL, NULL, 8),
(22775, NULL, 'PIRSF000044', NULL, NULL, NULL, NULL, 'Cis_Diol_DH_RD', NULL, NULL, NULL, 8),
(22776, NULL, 'PIRSF036431', NULL, NULL, NULL, NULL, 'HK_DctB', NULL, NULL, NULL, 8),
(22777, NULL, 'PIRSF012524', NULL, NULL, NULL, NULL, 'YitL_S1', NULL, NULL, NULL, 8),
(22778, NULL, 'PIRSF001620', NULL, NULL, NULL, NULL, 'TFPI', NULL, NULL, NULL, 8),
(22779, NULL, 'PIRSF004803', NULL, NULL, NULL, NULL, 'RnjA', NULL, NULL, NULL, 8),
(22780, NULL, 'PIRSF003028', NULL, NULL, NULL, NULL, 'Txn_fact_GATA_4/5/6', NULL, NULL, NULL, 8),
(22781, NULL, 'PIRSF021287', NULL, NULL, NULL, NULL, 'YmcA', NULL, NULL, NULL, 8);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22782, NULL, 'PIRSF006171', NULL, NULL, NULL, NULL, 'RR_citrat_malat', NULL, NULL, NULL, 8),
(22783, NULL, 'PIRSF018293', NULL, NULL, NULL, NULL, 'TRAPP_1_Bet3', NULL, NULL, NULL, 8),
(22784, NULL, 'PIRSF007663', NULL, NULL, NULL, NULL, 'UCP007663', NULL, NULL, NULL, 8),
(22785, NULL, 'PIRSF006187', NULL, NULL, NULL, NULL, 'UCP006187', NULL, NULL, NULL, 8),
(22786, NULL, 'PIRSF005956', NULL, NULL, NULL, NULL, 'BtpA', NULL, NULL, NULL, 8),
(22787, NULL, 'PIRSF026343', NULL, NULL, NULL, NULL, 'NlpB', NULL, NULL, NULL, 8),
(22788, NULL, 'PIRSF037512', NULL, NULL, NULL, NULL, 'PxSR', NULL, NULL, NULL, 8),
(22789, NULL, 'PIRSF018497', NULL, NULL, NULL, NULL, 'V-ATP_synth_D', NULL, NULL, NULL, 8),
(22790, NULL, 'PIRSF000441', NULL, NULL, NULL, NULL, 'CysE', NULL, NULL, NULL, 8),
(22791, NULL, 'PIRSF022993', NULL, NULL, NULL, NULL, 'Profilin_api', NULL, NULL, NULL, 8),
(22792, NULL, 'PIRSF036613', NULL, NULL, NULL, NULL, 'LytTR', NULL, NULL, NULL, 8),
(22793, NULL, 'PIRSF015693', NULL, NULL, NULL, NULL, 'VAC-48L_nuct', NULL, NULL, NULL, 8),
(22794, NULL, 'PIRSF036492', NULL, NULL, NULL, NULL, 'ALDH', NULL, NULL, NULL, 8),
(22795, NULL, 'PIRSF003170', NULL, NULL, NULL, NULL, 'Pet18p', NULL, NULL, NULL, 8),
(22796, NULL, 'PIRSF500742', NULL, NULL, NULL, NULL, 'MAPKKK13', NULL, NULL, NULL, 8),
(22797, NULL, 'PIRSF000166', NULL, NULL, NULL, NULL, 'Coproporphyri_ox', NULL, NULL, NULL, 8),
(22798, NULL, 'PIRSF018957', NULL, NULL, NULL, NULL, 'UCP018957', NULL, NULL, NULL, 8),
(22799, NULL, 'PIRSF019254', NULL, NULL, NULL, NULL, 'CFP29', NULL, NULL, NULL, 8),
(22800, NULL, 'PIRSF030050', NULL, NULL, NULL, NULL, 'UCP030050_HTH', NULL, NULL, NULL, 8),
(22801, NULL, 'PIRSF500795', NULL, NULL, NULL, NULL, 'Thiamine_transporter_2', NULL, NULL, NULL, 8),
(22802, NULL, 'PIRSF028934', NULL, NULL, NULL, NULL, 'Cyclin_CG14939', NULL, NULL, NULL, 8),
(22803, NULL, 'PIRSF015950', NULL, NULL, NULL, NULL, 'Mev_P_decrbx', NULL, NULL, NULL, 8),
(22804, NULL, 'PIRSF037347', NULL, NULL, NULL, NULL, 'HK_CHASE2_PAS', NULL, NULL, NULL, 8),
(22805, NULL, 'PIRSF012281', NULL, NULL, NULL, NULL, 'UCP012281', NULL, NULL, NULL, 8),
(22806, NULL, 'PIRSF033736', NULL, NULL, NULL, NULL, 'UCP033763', NULL, NULL, NULL, 8),
(22807, NULL, 'PIRSF036995', NULL, NULL, NULL, NULL, 'RSM24', NULL, NULL, NULL, 8),
(22808, NULL, 'PIRSF021377', NULL, NULL, NULL, NULL, 'YtfJ', NULL, NULL, NULL, 8),
(22809, NULL, 'PIRSF021964', NULL, NULL, NULL, NULL, 'UCP921964', NULL, NULL, NULL, 8),
(22810, NULL, 'PIRSF031737', NULL, NULL, NULL, NULL, 'TM_LytTR', NULL, NULL, NULL, 8),
(22811, NULL, 'PIRSF000676', NULL, NULL, NULL, NULL, 'Homoser_kin', NULL, NULL, NULL, 8),
(22812, NULL, 'PIRSF026534', NULL, NULL, NULL, NULL, 'ABN', NULL, NULL, NULL, 8),
(22813, NULL, 'PIRSF037755', NULL, NULL, NULL, NULL, 'Mettl2', NULL, NULL, NULL, 8),
(22814, NULL, 'PIRSF000551', NULL, NULL, NULL, NULL, 'PKC_delta', NULL, NULL, NULL, 8),
(22815, NULL, 'PIRSF015694', NULL, NULL, NULL, NULL, 'VAC_F15L', NULL, NULL, NULL, 8),
(22816, NULL, 'PIRSF006304', NULL, NULL, NULL, NULL, 'GatC', NULL, NULL, NULL, 8),
(22817, NULL, 'PIRSF029669', NULL, NULL, NULL, NULL, 'UCP029669', NULL, NULL, NULL, 8),
(22818, NULL, 'PIRSF002465', NULL, NULL, NULL, NULL, 'Phsphlp_syn_PlsX', NULL, NULL, NULL, 8),
(22819, NULL, 'PIRSF005590', NULL, NULL, NULL, NULL, 'RPL10a_RPL10e', NULL, NULL, NULL, 8),
(22820, NULL, 'PIRSF001935', NULL, NULL, NULL, NULL, 'IL-6', NULL, NULL, NULL, 8),
(22821, NULL, 'PIRSF015689', NULL, NULL, NULL, NULL, 'Actaldh_dh_actylatng', NULL, NULL, NULL, 8),
(22822, NULL, 'PIRSF034781', NULL, NULL, NULL, NULL, 'GEF_SopE', NULL, NULL, NULL, 8),
(22823, NULL, 'PIRSF000505', NULL, NULL, NULL, NULL, 'EPSPS', NULL, NULL, NULL, 8),
(22824, NULL, 'PIRSF028035', NULL, NULL, NULL, NULL, 'UCP028035', NULL, NULL, NULL, 8),
(22825, NULL, 'PIRSF029962', NULL, NULL, NULL, NULL, 'UCP029962', NULL, NULL, NULL, 8),
(22826, NULL, 'PIRSF021435', NULL, NULL, NULL, NULL, 'SpoIIIAB', NULL, NULL, NULL, 8);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22827, NULL, 'PIRSF034890', NULL, NULL, NULL, NULL, 'Pesteras_lmo2642', NULL, NULL, NULL, 8),
(22828, NULL, 'PIRSF000264', NULL, NULL, NULL, NULL, 'Meth_CoM_rd_gama', NULL, NULL, NULL, 8),
(22829, NULL, 'PIRSF018671', NULL, NULL, NULL, NULL, 'UCP018671', NULL, NULL, NULL, 8),
(22830, NULL, 'PIRSF001875', NULL, NULL, NULL, NULL, 'Alpha_defensin', NULL, NULL, NULL, 8),
(22831, NULL, 'PIRSF016308', NULL, NULL, NULL, NULL, 'UBP', NULL, NULL, NULL, 8),
(22832, NULL, 'PIRSF001341', NULL, NULL, NULL, NULL, 'His_decarboxylas', NULL, NULL, NULL, 8),
(22833, NULL, 'PIRSF008955', NULL, NULL, NULL, NULL, 'AGOG', NULL, NULL, NULL, 8),
(22834, NULL, 'PIRSF000962', NULL, NULL, NULL, NULL, '3_5-cyc_nuc_Pdiesterase', NULL, NULL, NULL, 8),
(22835, NULL, 'PIRSF004692', NULL, NULL, NULL, NULL, 'KdsD_KpsF', NULL, NULL, NULL, 8),
(22836, NULL, 'PIRSF005883', NULL, NULL, NULL, NULL, 'Carbohydrate_ST', NULL, NULL, NULL, 8),
(22837, NULL, 'PIRSF002006', NULL, NULL, NULL, NULL, 'PTPR_alpha_epsilon', NULL, NULL, NULL, 8),
(22838, NULL, 'PIRSF000292', NULL, NULL, NULL, NULL, 'Ubiqnol_oxid_II', NULL, NULL, NULL, 8),
(22839, NULL, 'PIRSF009265', NULL, NULL, NULL, NULL, 'GCH3', NULL, NULL, NULL, 8),
(22840, NULL, 'PIRSF019311', NULL, NULL, NULL, NULL, 'Mb_md_hydr_PF0129', NULL, NULL, NULL, 8),
(22841, NULL, 'PIRSF001435', NULL, NULL, NULL, NULL, 'Nth', NULL, NULL, NULL, 8),
(22842, NULL, 'PIRSF001778', NULL, NULL, NULL, NULL, 'Pro-EGF', NULL, NULL, NULL, 8),
(22843, NULL, 'PIRSF037504', NULL, NULL, NULL, NULL, 'GRA6', NULL, NULL, NULL, 8),
(22844, NULL, 'PIRSF037664', NULL, NULL, NULL, NULL, 'MmoD', NULL, NULL, NULL, 8),
(22845, NULL, 'PIRSF038601', NULL, NULL, NULL, NULL, 'UCP038601', NULL, NULL, NULL, 8),
(22846, NULL, 'PIRSF002216', NULL, NULL, NULL, NULL, 'MRPL31', NULL, NULL, NULL, 8),
(22847, NULL, 'PIRSF005993', NULL, NULL, NULL, NULL, 'Occludin', NULL, NULL, NULL, 8),
(22848, NULL, 'PIRSF017190', NULL, NULL, NULL, NULL, 'NIP7', NULL, NULL, NULL, 8),
(22849, NULL, 'PIRSF021350', NULL, NULL, NULL, NULL, 'UCP021350', NULL, NULL, NULL, 8),
(22850, NULL, 'PIRSF006603', NULL, NULL, NULL, NULL, 'DinF', NULL, NULL, NULL, 8),
(22851, NULL, 'PIRSF016937', NULL, NULL, NULL, NULL, 'UCP016937', NULL, NULL, NULL, 8),
(22852, NULL, 'PIRSF036762', NULL, NULL, NULL, NULL, 'GAA1', NULL, NULL, NULL, 8),
(22853, NULL, 'PIRSF013212', NULL, NULL, NULL, NULL, 'PRDM1_SET', NULL, NULL, NULL, 8),
(22854, NULL, 'PIRSF003169', NULL, NULL, NULL, NULL, 'HK_DegS', NULL, NULL, NULL, 8),
(22855, NULL, 'PIRSF500181', NULL, NULL, NULL, NULL, 'Complement_B', NULL, NULL, NULL, 8),
(22856, NULL, 'PIRSF037196', NULL, NULL, NULL, NULL, 'PvcA', NULL, NULL, NULL, 8),
(22857, NULL, 'PIRSF006716', NULL, NULL, NULL, NULL, 'Spore_CotF', NULL, NULL, NULL, 8),
(22858, NULL, 'PIRSF016202', NULL, NULL, NULL, NULL, 'PH1107', NULL, NULL, NULL, 8),
(22859, NULL, 'PIRSF012150', NULL, NULL, NULL, NULL, 'UCP012150', NULL, NULL, NULL, 8),
(22860, NULL, 'PIRSF000858', NULL, NULL, NULL, NULL, 'SCOT-t', NULL, NULL, NULL, 8),
(22861, NULL, 'PIRSF006806', NULL, NULL, NULL, NULL, '5_FTHF', NULL, NULL, NULL, 8),
(22862, NULL, 'PIRSF028234', NULL, NULL, NULL, NULL, 'UCP028234', NULL, NULL, NULL, 8),
(22863, NULL, 'PIRSF006005', NULL, NULL, NULL, NULL, 'GalT_BS', NULL, NULL, NULL, 8),
(22864, NULL, 'PIRSF017127', NULL, NULL, NULL, NULL, 'Condensin_D2', NULL, NULL, NULL, 8),
(22865, NULL, 'PIRSF017835', NULL, NULL, NULL, NULL, 'ATP-synth_g_mitoch_animal', NULL, NULL, NULL, 8),
(22866, NULL, 'PIRSF029143', NULL, NULL, NULL, NULL, 'UCP029143', NULL, NULL, NULL, 8),
(22867, NULL, 'PIRSF032442', NULL, NULL, NULL, NULL, 'UCP032442', NULL, NULL, NULL, 8),
(22868, NULL, 'PIRSF004557', NULL, NULL, NULL, NULL, 'SecY_Sec61alpha', NULL, NULL, NULL, 8),
(22869, NULL, 'PIRSF037239', NULL, NULL, NULL, NULL, 'Exonuclease_Xrn2', NULL, NULL, NULL, 8),
(22870, NULL, 'PIRSF000617', NULL, NULL, NULL, NULL, 'TyrPK_HGF-R', NULL, NULL, NULL, 8);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22871, NULL, 'PIRSF036989', NULL, NULL, NULL, NULL, 'Zeaxanthin_epoxidase', NULL, NULL, NULL, 8),
(22872, NULL, 'PIRSF028921', NULL, NULL, NULL, NULL, 'Vps41', NULL, NULL, NULL, 8),
(22873, NULL, 'PIRSF016725', NULL, NULL, NULL, NULL, 'UCP016725', NULL, NULL, NULL, 8),
(22874, NULL, 'PIRSF019075', NULL, NULL, NULL, NULL, 'UCP019075', NULL, NULL, NULL, 8),
(22875, NULL, 'PIRSF500682', NULL, NULL, NULL, NULL, 'Serotransferrin', NULL, NULL, NULL, 8),
(22876, NULL, 'PIRSF037263', NULL, NULL, NULL, NULL, 'UCP037263', NULL, NULL, NULL, 8),
(22877, NULL, 'PIRSF028773', NULL, NULL, NULL, NULL, 'UCP028773', NULL, NULL, NULL, 8),
(22878, NULL, 'PIRSF003947', NULL, NULL, NULL, NULL, 'N_OrthobunV', NULL, NULL, NULL, 8),
(22879, NULL, 'PIRSF036561', NULL, NULL, NULL, NULL, 'ThTPase', NULL, NULL, NULL, 8),
(22880, NULL, 'PIRSF031601', NULL, NULL, NULL, NULL, 'UCP031601', NULL, NULL, NULL, 8),
(22881, NULL, 'PIRSF007027', NULL, NULL, NULL, NULL, 'UCP007027', NULL, NULL, NULL, 8),
(22882, NULL, 'PIRSF000033', NULL, NULL, NULL, NULL, 'Cytochrome_b6f_IV', NULL, NULL, NULL, 8),
(22883, NULL, 'PIRSF007747', NULL, NULL, NULL, NULL, 'RIT1', NULL, NULL, NULL, 8),
(22884, NULL, 'PIRSF000647', NULL, NULL, NULL, NULL, 'STPK_SpkB', NULL, NULL, NULL, 8),
(22885, NULL, 'PIRSF006530', NULL, NULL, NULL, NULL, 'MtrC', NULL, NULL, NULL, 8),
(22886, NULL, 'PIRSF002372', NULL, NULL, NULL, NULL, 'Beta-casein', NULL, NULL, NULL, 8),
(22887, NULL, 'PIRSF015283', NULL, NULL, NULL, NULL, 'RpfE', NULL, NULL, NULL, 8),
(22888, NULL, 'PIRSF028589', NULL, NULL, NULL, NULL, 'UCP028589', NULL, NULL, NULL, 8),
(22889, NULL, 'PIRSF015582', NULL, NULL, NULL, NULL, 'Cit_lyase_B', NULL, NULL, NULL, 8),
(22890, NULL, 'PIRSF004654', NULL, NULL, NULL, NULL, 'NlpI', NULL, NULL, NULL, 8),
(22891, NULL, 'PIRSF000476', NULL, NULL, NULL, NULL, 'EGT', NULL, NULL, NULL, 8),
(22892, NULL, 'PIRSF002305', NULL, NULL, NULL, NULL, 'ERM', NULL, NULL, NULL, 8),
(22893, NULL, 'PIRSF001956', NULL, NULL, NULL, NULL, 'IL3R_beta_c', NULL, NULL, NULL, 8),
(22894, NULL, 'PIRSF035859', NULL, NULL, NULL, NULL, 'ABC_tp_sb', NULL, NULL, NULL, 8),
(22895, NULL, 'PIRSF002939', NULL, NULL, NULL, NULL, 'IF_sigma_H', NULL, NULL, NULL, 8),
(22896, NULL, 'PIRSF037119', NULL, NULL, NULL, NULL, 'HK_PgtB', NULL, NULL, NULL, 8),
(22897, NULL, 'PIRSF001369', NULL, NULL, NULL, NULL, 'Citrate_synth', NULL, NULL, NULL, 8),
(22898, NULL, 'PIRSF019464', NULL, NULL, NULL, NULL, 'UCP019464', NULL, NULL, NULL, 8),
(22899, NULL, 'PIRSF015278', NULL, NULL, NULL, NULL, 'UCP015278', NULL, NULL, NULL, 8),
(22900, NULL, 'PIRSF016552', NULL, NULL, NULL, NULL, 'MtrD', NULL, NULL, NULL, 8),
(22901, NULL, 'PIRSF037971', NULL, NULL, NULL, NULL, 'TLX_CD46', NULL, NULL, NULL, 8),
(22902, NULL, 'PIRSF015599', NULL, NULL, NULL, NULL, 'KIT_ligand_MCF', NULL, NULL, NULL, 8),
(22903, NULL, 'PIRSF003867', NULL, NULL, NULL, NULL, 'Rev_lenti-OC', NULL, NULL, NULL, 8),
(22904, NULL, 'PIRSF000177', NULL, NULL, NULL, NULL, 'Fumar_rd_cyt_b', NULL, NULL, NULL, 8),
(22905, NULL, 'PIRSF036514', NULL, NULL, NULL, NULL, 'Sm_HSP_B1', NULL, NULL, NULL, 8),
(22906, NULL, 'PIRSF000431', NULL, NULL, NULL, NULL, 'G3POAT', NULL, NULL, NULL, 8),
(22907, NULL, 'PIRSF026508', NULL, NULL, NULL, NULL, 'TelA', NULL, NULL, NULL, 8),
(22908, NULL, 'PIRSF027133', NULL, NULL, NULL, NULL, 'Rrn11', NULL, NULL, NULL, 8),
(22909, NULL, 'PIRSF001191', NULL, NULL, NULL, NULL, 'MMP_stromelysin', NULL, NULL, NULL, 8),
(22910, NULL, 'PIRSF020653', NULL, NULL, NULL, NULL, 'UCP020653', NULL, NULL, NULL, 8),
(22911, NULL, 'PIRSF031854', NULL, NULL, NULL, NULL, 'UCP031854', NULL, NULL, NULL, 8),
(22912, NULL, 'PIRSF036055', NULL, NULL, NULL, NULL, 'UCP036055', NULL, NULL, NULL, 8),
(22913, NULL, 'PIRSF009120', NULL, NULL, NULL, NULL, 'UCP009120_prtse', NULL, NULL, NULL, 8),
(22914, NULL, 'PIRSF000278', NULL, NULL, NULL, NULL, 'COX_VIb', NULL, NULL, NULL, 8),
(22915, NULL, 'PIRSF028704', NULL, NULL, NULL, NULL, 'UCP028704', NULL, NULL, NULL, 8); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22916, NULL, 'PIRSF016238', NULL, NULL, NULL, NULL, 'Gdnf', NULL, NULL, NULL, 8),
(22917, NULL, 'PIRSF018814', NULL, NULL, NULL, NULL, 'UCP018814', NULL, NULL, NULL, 8),
(22918, NULL, 'PIRSF036478', NULL, NULL, NULL, NULL, 'Uropor_mtas_plnt', NULL, NULL, NULL, 8),
(22919, NULL, 'PIRSF020967', NULL, NULL, NULL, NULL, 'UCP020967', NULL, NULL, NULL, 8),
(22920, NULL, 'PIRSF001438', NULL, NULL, NULL, NULL, 'PBGD', NULL, NULL, NULL, 8),
(22921, NULL, 'PIRSF028513', NULL, NULL, NULL, NULL, 'LptC', NULL, NULL, NULL, 8),
(22922, NULL, 'PIRSF005622', NULL, NULL, NULL, NULL, 'Hydrgn_mat_hypD', NULL, NULL, NULL, 8),
(22923, NULL, 'PIRSF016013', NULL, NULL, NULL, NULL, 'AtER_Rer1p', NULL, NULL, NULL, 8),
(22924, NULL, 'PIRSF007778', NULL, NULL, NULL, NULL, 'UCP007778', NULL, NULL, NULL, 8),
(22925, NULL, 'PIRSF027174', NULL, NULL, NULL, NULL, 'YMR209C', NULL, NULL, NULL, 8),
(22926, NULL, 'PIRSF022996', NULL, NULL, NULL, NULL, 'SAG2', NULL, NULL, NULL, 8),
(22927, NULL, 'PIRSF038885', NULL, NULL, NULL, NULL, 'COB', NULL, NULL, NULL, 8),
(22928, NULL, 'PIRSF034303', NULL, NULL, NULL, NULL, 'UCP034303', NULL, NULL, NULL, 8),
(22929, NULL, 'PIRSF034455', NULL, NULL, NULL, NULL, 'UCP034455', NULL, NULL, NULL, 8),
(22930, NULL, 'PIRSF000743', NULL, NULL, NULL, NULL, 'RPO19', NULL, NULL, NULL, 8),
(22931, NULL, 'PIRSF021700', NULL, NULL, NULL, NULL, '3-demethylubiquinone_Mtase', NULL, NULL, NULL, 8),
(22932, NULL, 'PIRSF003165', NULL, NULL, NULL, NULL, 'Chaper_prot_SicA', NULL, NULL, NULL, 8),
(22933, NULL, 'PIRSF000547', NULL, NULL, NULL, NULL, 'Prot_kinase_T7', NULL, NULL, NULL, 8),
(22934, NULL, 'PIRSF004553', NULL, NULL, NULL, NULL, 'Methylase_YhhF', NULL, NULL, NULL, 8),
(22935, NULL, 'PIRSF000037', NULL, NULL, NULL, NULL, 'Cytochrome_PsbF', NULL, NULL, NULL, 8),
(22936, NULL, 'PIRSF036555', NULL, NULL, NULL, NULL, 'SUMT_yeast', NULL, NULL, NULL, 8),
(22937, NULL, 'PIRSF038186', NULL, NULL, NULL, NULL, 'ITPK', NULL, NULL, NULL, 8),
(22938, NULL, 'PIRSF000149', NULL, NULL, NULL, NULL, 'GAPDH', NULL, NULL, NULL, 8),
(22939, NULL, 'PIRSF000141', NULL, NULL, NULL, NULL, 'Anaerobic_G3P_dh', NULL, NULL, NULL, 8),
(22940, NULL, 'PIRSF016429', NULL, NULL, NULL, NULL, 'UPTG', NULL, NULL, NULL, 8),
(22941, NULL, 'PIRSF015692', NULL, NULL, NULL, NULL, 'VAC_E2L', NULL, NULL, NULL, 8),
(22942, NULL, 'PIRSF002845', NULL, NULL, NULL, NULL, 'Ttrprl_mtas_MazG', NULL, NULL, NULL, 8),
(22943, NULL, 'PIRSF001263', NULL, NULL, NULL, NULL, 'Cyanate_hydratas', NULL, NULL, NULL, 8),
(22944, NULL, 'PIRSF006281', NULL, NULL, NULL, NULL, 'MdoG', NULL, NULL, NULL, 8),
(22945, NULL, 'PIRSF037227', NULL, NULL, NULL, NULL, 'AbgB', NULL, NULL, NULL, 8),
(22946, NULL, 'PIRSF029904', NULL, NULL, NULL, NULL, 'UCP029904_pph', NULL, NULL, NULL, 8),
(22947, NULL, 'PIRSF005295', NULL, NULL, NULL, NULL, 'UCP005295_hydrolase', NULL, NULL, NULL, 8),
(22948, NULL, 'PIRSF000821', NULL, NULL, NULL, NULL, 'RdRPol', NULL, NULL, NULL, 8),
(22949, NULL, 'PIRSF026587', NULL, NULL, NULL, NULL, 'Epsilon_toxin', NULL, NULL, NULL, 8),
(22950, NULL, 'PIRSF005965', NULL, NULL, NULL, NULL, 'Chor_mut_AroH', NULL, NULL, NULL, 8),
(22951, NULL, 'PIRSF005276', NULL, NULL, NULL, NULL, 'SspB', NULL, NULL, NULL, 8),
(22952, NULL, 'PIRSF038027', NULL, NULL, NULL, NULL, 'Ufm1', NULL, NULL, NULL, 8),
(22953, NULL, 'PIRSF038073', NULL, NULL, NULL, NULL, 'B-acetylglucosaminyltrns_Rfng', NULL, NULL, NULL, 8),
(22954, NULL, 'PIRSF037215', NULL, NULL, NULL, NULL, 'Peptidase_T', NULL, NULL, NULL, 8),
(22955, NULL, 'PIRSF000422', NULL, NULL, NULL, NULL, 'NAT_A', NULL, NULL, NULL, 8),
(22956, NULL, 'PIRSF009867', NULL, NULL, NULL, NULL, 'Rrn10', NULL, NULL, NULL, 8),
(22957, NULL, 'PIRSF022393', NULL, NULL, NULL, NULL, 'HAP', NULL, NULL, NULL, 8),
(22958, NULL, 'PIRSF026671', NULL, NULL, NULL, NULL, 'AA_dipeptidase', NULL, NULL, NULL, 8),
(22959, NULL, 'PIRSF037309', NULL, NULL, NULL, NULL, 'PPA2_B55', NULL, NULL, NULL, 8);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(22960, NULL, 'PIRSF019554', NULL, NULL, NULL, NULL, 'LT-IIA', NULL, NULL, NULL, 8),
(22961, NULL, 'PIRSF032038', NULL, NULL, NULL, NULL, 'UCP023238', NULL, NULL, NULL, 8),
(22962, NULL, 'PIRSF037270', NULL, NULL, NULL, NULL, 'MIS', NULL, NULL, NULL, 8),
(22963, NULL, 'PIRSF037472', NULL, NULL, NULL, NULL, 'DHPS_Mtase', NULL, NULL, NULL, 8),
(22964, NULL, 'PIRSF000361', NULL, NULL, NULL, NULL, 'Frd-NADP+_RD', NULL, NULL, NULL, 8),
(22965, NULL, 'PIRSF036931', NULL, NULL, NULL, NULL, 'Doc2', NULL, NULL, NULL, 8),
(22966, NULL, 'PIRSF037318', NULL, NULL, NULL, NULL, 'RfaP', NULL, NULL, NULL, 8),
(22967, NULL, 'PIRSF010309', NULL, NULL, NULL, NULL, 'Cyc-rich_prot', NULL, NULL, NULL, 8),
(22968, NULL, 'PIRSF001522', NULL, NULL, NULL, NULL, 'OmpP', NULL, NULL, NULL, 8),
(22969, NULL, 'PIRSF007398', NULL, NULL, NULL, NULL, 'Sll0148_casp', NULL, NULL, NULL, 8),
(22970, NULL, 'PIRSF028177', NULL, NULL, NULL, NULL, 'TcmP', NULL, NULL, NULL, 8),
(22971, NULL, 'PIRSF029691', NULL, NULL, NULL, NULL, 'UCP029691', NULL, NULL, NULL, 8),
(22972, NULL, 'PIRSF011791', NULL, NULL, NULL, NULL, 'Retromer_Vps17', NULL, NULL, NULL, 8),
(22973, NULL, 'PIRSF017318', NULL, NULL, NULL, NULL, 'Chor_mut_AroQ_eu', NULL, NULL, NULL, 8),
(22974, NULL, 'PIRSF037382', NULL, NULL, NULL, NULL, 'CCT_LicC', NULL, NULL, NULL, 8),
(22975, NULL, 'PIRSF027744', NULL, NULL, NULL, NULL, 'Snx9', NULL, NULL, NULL, 8),
(22976, NULL, 'PIRSF032675', NULL, NULL, NULL, NULL, 'UCP032675', NULL, NULL, NULL, 8),
(22977, NULL, 'PIRSF034405', NULL, NULL, NULL, NULL, 'UCP034405', NULL, NULL, NULL, 8),
(22978, NULL, 'PIRSF002374', NULL, NULL, NULL, NULL, 'Kappa-casein', NULL, NULL, NULL, 8),
(22979, NULL, 'PIRSF004950', NULL, NULL, NULL, NULL, 'Mmb_sulf_HI0842', NULL, NULL, NULL, 8),
(22980, NULL, 'PIRSF000846', NULL, NULL, NULL, NULL, 'ATP_adenylyltr', NULL, NULL, NULL, 8),
(22981, NULL, 'PIRSF039050', NULL, NULL, NULL, NULL, 'Ade_cyc', NULL, NULL, NULL, 8),
(22982, NULL, 'PIRSF037710', NULL, NULL, NULL, NULL, 'COX7A2L', NULL, NULL, NULL, 8),
(22983, NULL, 'PIRSF009433', NULL, NULL, NULL, NULL, 'UCP009433', NULL, NULL, NULL, 8),
(22984, NULL, 'PIRSF037253', NULL, NULL, NULL, NULL, 'HTH_CBS', NULL, NULL, NULL, 8),
(22985, NULL, 'PIRSF022944', NULL, NULL, NULL, NULL, 'MRP8', NULL, NULL, NULL, 8),
(22986, NULL, 'PIRSF015244', NULL, NULL, NULL, NULL, 'UCP015244', NULL, NULL, NULL, 8),
(22987, NULL, 'PIRSF016624', NULL, NULL, NULL, NULL, 'Mu_prophg_I', NULL, NULL, NULL, 8),
(22988, NULL, 'PIRSF037657', NULL, NULL, NULL, NULL, 'Lipopeptide_LppL', NULL, NULL, NULL, 8),
(22989, NULL, 'PIRSF038931', NULL, NULL, NULL, NULL, 'GerQ', NULL, NULL, NULL, 8),
(22990, NULL, 'PIRSF037492', NULL, NULL, NULL, NULL, 'UCP037492_HAD', NULL, NULL, NULL, 8),
(22991, NULL, 'PIRSF038096', NULL, NULL, NULL, NULL, 'CD27BP', NULL, NULL, NULL, 8),
(22992, NULL, 'PIRSF018938', NULL, NULL, NULL, NULL, 'UCP018938', NULL, NULL, NULL, 8),
(22993, NULL, 'PIRSF028043', NULL, NULL, NULL, NULL, 'PP2A_B56', NULL, NULL, NULL, 8),
(22994, NULL, 'PIRSF016408', NULL, NULL, NULL, NULL, 'PAGM', NULL, NULL, NULL, 8),
(22995, NULL, 'PIRSF011407', NULL, NULL, NULL, NULL, 'OmpS_Legionella', NULL, NULL, NULL, 8),
(22996, NULL, 'PIRSF007860', NULL, NULL, NULL, NULL, 'Vps11', NULL, NULL, NULL, 8),
(22997, NULL, 'PIRSF000822', NULL, NULL, NULL, NULL, 'RdRPol_RDV', NULL, NULL, NULL, 8),
(22998, NULL, 'PIRSF037514', NULL, NULL, NULL, NULL, 'Rab_ger_ger_transf_A_fungal', NULL, NULL, NULL, 8),
(22999, NULL, 'PIRSF010130', NULL, NULL, NULL, NULL, 'PduL', NULL, NULL, NULL, 8),
(23000, NULL, 'PIRSF004793', NULL, NULL, NULL, NULL, 'UCP004793', NULL, NULL, NULL, 8),
(23001, NULL, 'PIRSF033913', NULL, NULL, NULL, NULL, 'S-S_format_DsbB', NULL, NULL, NULL, 8),
(23002, NULL, 'PIRSF002816', NULL, NULL, NULL, NULL, 'AraF', NULL, NULL, NULL, 8),
(23003, NULL, 'PIRSF037232', NULL, NULL, NULL, NULL, 'Tricalbin', NULL, NULL, NULL, 8),
(23004, NULL, 'PIRSF000423', NULL, NULL, NULL, NULL, 'ArgA', NULL, NULL, NULL, 8);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23005, NULL, 'PIRSF004810', NULL, NULL, NULL, NULL, 'ChrA', NULL, NULL, NULL, 8),
(23006, NULL, 'PIRSF002096', NULL, NULL, NULL, NULL, 'HnS', NULL, NULL, NULL, 8),
(23007, NULL, 'PIRSF000119', NULL, NULL, NULL, NULL, 'Ilv5_fungal', NULL, NULL, NULL, 8),
(23008, NULL, 'PIRSF003959', NULL, NULL, NULL, NULL, 'NS-M_TospoV', NULL, NULL, NULL, 8),
(23009, NULL, 'PIRSF026610', NULL, NULL, NULL, NULL, 'UCP026610', NULL, NULL, NULL, 8),
(23010, NULL, 'PIRSF000193', NULL, NULL, NULL, NULL, 'P5CR', NULL, NULL, NULL, 8),
(23011, NULL, 'PIRSF012320', NULL, NULL, NULL, NULL, 'Prplsmic_HI0178', NULL, NULL, NULL, 8),
(23012, NULL, 'PIRSF027352', NULL, NULL, NULL, NULL, 'ERp29', NULL, NULL, NULL, 8),
(23013, NULL, 'PIRSF036516', NULL, NULL, NULL, NULL, 'CDT_A', NULL, NULL, NULL, 8),
(23014, NULL, 'PIRSF005536', NULL, NULL, NULL, NULL, 'Agal', NULL, NULL, NULL, 8),
(23015, NULL, 'PIRSF010052', NULL, NULL, NULL, NULL, 'Polyub_prc_Npl4', NULL, NULL, NULL, 8),
(23016, NULL, 'PIRSF036200', NULL, NULL, NULL, NULL, 'UCP_TEII', NULL, NULL, NULL, 8),
(23017, NULL, 'PIRSF038005', NULL, NULL, NULL, NULL, 'MBD4', NULL, NULL, NULL, 8),
(23018, NULL, 'PIRSF028415', NULL, NULL, NULL, NULL, 'UCP028415', NULL, NULL, NULL, 8),
(23019, NULL, 'PIRSF003961', NULL, NULL, NULL, NULL, 'M_poly_PhleboV', NULL, NULL, NULL, 8),
(23020, NULL, 'PIRSF037956', NULL, NULL, NULL, NULL, 'ZRANB2', NULL, NULL, NULL, 8),
(23021, NULL, 'PIRSF000126', NULL, NULL, NULL, NULL, '11-beta-HSD1', NULL, NULL, NULL, 8),
(23022, NULL, 'PIRSF026622', NULL, NULL, NULL, NULL, 'UCP026622_CAAX', NULL, NULL, NULL, 8),
(23023, NULL, 'PIRSF014995', NULL, NULL, NULL, NULL, 'UCP014995', NULL, NULL, NULL, 8),
(23024, NULL, 'PIRSF000904', NULL, NULL, NULL, NULL, 'FBPtase_SBPase', NULL, NULL, NULL, 8),
(23025, NULL, 'PIRSF036437', NULL, NULL, NULL, NULL, 'HK_TorS', NULL, NULL, NULL, 8),
(23026, NULL, 'PIRSF037506', NULL, NULL, NULL, NULL, 'NTP_gondii', NULL, NULL, NULL, 8),
(23027, NULL, 'PIRSF037911', NULL, NULL, NULL, NULL, 'HDAC_II_euk', NULL, NULL, NULL, 8),
(23028, NULL, 'PIRSF006278', NULL, NULL, NULL, NULL, 'ACCD_DCysDesulf', NULL, NULL, NULL, 8),
(23029, NULL, 'PIRSF012563', NULL, NULL, NULL, NULL, 'YtxC', NULL, NULL, NULL, 8),
(23030, NULL, 'PIRSF038010', NULL, NULL, NULL, NULL, 'VASP', NULL, NULL, NULL, 8),
(23031, NULL, 'PIRSF001382', NULL, NULL, NULL, NULL, 'TrpG-trpC-trpF', NULL, NULL, NULL, 8),
(23032, NULL, 'PIRSF016548', NULL, NULL, NULL, NULL, 'Rsd_AlgQ', NULL, NULL, NULL, 8),
(23033, NULL, 'PIRSF037874', NULL, NULL, NULL, NULL, 'NCK', NULL, NULL, NULL, 8),
(23034, NULL, 'PIRSF000371', NULL, NULL, NULL, NULL, 'PFLA_YjjW', NULL, NULL, NULL, 8),
(23035, NULL, 'PIRSF037432', NULL, NULL, NULL, NULL, 'HK_NreB', NULL, NULL, NULL, 8),
(23036, NULL, 'PIRSF018250', NULL, NULL, NULL, NULL, 'Saccharopine_DH_Lys', NULL, NULL, NULL, 8),
(23037, NULL, 'PIRSF000414', NULL, NULL, NULL, NULL, 'PurH', NULL, NULL, NULL, 8),
(23038, NULL, 'PIRSF013329', NULL, NULL, NULL, NULL, 'UCP013329', NULL, NULL, NULL, 8),
(23039, NULL, 'PIRSF029745', NULL, NULL, NULL, NULL, 'FhaC', NULL, NULL, NULL, 8),
(23040, NULL, 'PIRSF005763', NULL, NULL, NULL, NULL, 'Txn_reg_ModE', NULL, NULL, NULL, 8),
(23041, NULL, 'PIRSF007949', NULL, NULL, NULL, NULL, 'Vps16', NULL, NULL, NULL, 8),
(23042, NULL, 'PIRSF015750', NULL, NULL, NULL, NULL, 'Riboflv_synth_arch', NULL, NULL, NULL, 8),
(23043, NULL, 'PIRSF000114', NULL, NULL, NULL, NULL, 'Glycerol-3-P_dh', NULL, NULL, NULL, 8),
(23044, NULL, 'PIRSF000498', NULL, NULL, NULL, NULL, 'Riboflavin_syn_A', NULL, NULL, NULL, 8),
(23045, NULL, 'PIRSF000714', NULL, NULL, NULL, NULL, 'HIT', NULL, NULL, NULL, 8),
(23046, NULL, 'PIRSF004015', NULL, NULL, NULL, NULL, 'LigT_rotavirus', NULL, NULL, NULL, 8),
(23047, NULL, 'PIRSF020479', NULL, NULL, NULL, NULL, 'UCP020479_CheW', NULL, NULL, NULL, 8),
(23048, NULL, 'PIRSF037682', NULL, NULL, NULL, NULL, 'Saliv_gland_allergen_Aed3', NULL, NULL, NULL, 8),
(23049, NULL, 'PIRSF500063', NULL, NULL, NULL, NULL, 'DHAPAT', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23050, NULL, 'PIRSF005901', NULL, NULL, NULL, NULL, 'EF-P', NULL, NULL, NULL, 8),
(23051, NULL, 'PIRSF016502', NULL, NULL, NULL, NULL, 'Urea_transporter', NULL, NULL, NULL, 8),
(23052, NULL, 'PIRSF021439', NULL, NULL, NULL, NULL, 'YabA', NULL, NULL, NULL, 8),
(23053, NULL, 'PIRSF005646', NULL, NULL, NULL, NULL, 'FwdB', NULL, NULL, NULL, 8),
(23054, NULL, 'PIRSF033535', NULL, NULL, NULL, NULL, 'UCP033535_plp', NULL, NULL, NULL, 8),
(23055, NULL, 'PIRSF037630', NULL, NULL, NULL, NULL, 'Blos3', NULL, NULL, NULL, 8),
(23056, NULL, 'PIRSF005409', NULL, NULL, NULL, NULL, 'VAMP-5_synaptobrevin', NULL, NULL, NULL, 8),
(23057, NULL, 'PIRSF035261', NULL, NULL, NULL, NULL, 'UCP035261', NULL, NULL, NULL, 8),
(23058, NULL, 'PIRSF037001', NULL, NULL, NULL, NULL, 'RNA_ed_MP81', NULL, NULL, NULL, 8),
(23059, NULL, 'PIRSF038051', NULL, NULL, NULL, NULL, 'Lys-Histone-de-mtase', NULL, NULL, NULL, 8),
(23060, NULL, 'PIRSF000170', NULL, NULL, NULL, NULL, 'Succ_dh_cyt_b558', NULL, NULL, NULL, 8),
(23061, NULL, 'PIRSF038921', NULL, NULL, NULL, NULL, 'P14a', NULL, NULL, NULL, 8),
(23062, NULL, 'PIRSF036670', NULL, NULL, NULL, NULL, 'ATPase_UCP036670', NULL, NULL, NULL, 8),
(23063, NULL, 'PIRSF038092', NULL, NULL, NULL, NULL, 'NPSF_NPFF_NPAF', NULL, NULL, NULL, 8),
(23064, NULL, 'PIRSF000029', NULL, NULL, NULL, NULL, 'Cytochrome_b562', NULL, NULL, NULL, 8),
(23065, NULL, 'PIRSF016616', NULL, NULL, NULL, NULL, 'HNMT', NULL, NULL, NULL, 8),
(23066, NULL, 'PIRSF002181', NULL, NULL, NULL, NULL, 'RPL13p_RPL13Aa_RPL16e_RPL13o', NULL, NULL, NULL, 8),
(23067, NULL, 'PIRSF000450', NULL, NULL, NULL, NULL, 'HTS', NULL, NULL, NULL, 8),
(23068, NULL, 'PIRSF005658', NULL, NULL, NULL, NULL, 'FwdF', NULL, NULL, NULL, 8),
(23069, NULL, 'PIRSF006107', NULL, NULL, NULL, NULL, 'PTA_proteo', NULL, NULL, NULL, 8),
(23070, NULL, 'PIRSF500134', NULL, NULL, NULL, NULL, 'UDPglc_DH_bac', NULL, NULL, NULL, 8),
(23071, NULL, 'PIRSF002191', NULL, NULL, NULL, NULL, 'Ribosomal_L19', NULL, NULL, NULL, 8),
(23072, NULL, 'PIRSF037778', NULL, NULL, NULL, NULL, 'UCP037778_transp_RibU', NULL, NULL, NULL, 8),
(23073, NULL, 'PIRSF037733', NULL, NULL, NULL, NULL, 'Txn_fact_FapR', NULL, NULL, NULL, 8),
(23074, NULL, 'PIRSF005814', NULL, NULL, NULL, NULL, 'MutS_YshD', NULL, NULL, NULL, 8),
(23075, NULL, 'PIRSF029827', NULL, NULL, NULL, NULL, 'Fe_traffic_YggX', NULL, NULL, NULL, 8),
(23076, NULL, 'PIRSF031804', NULL, NULL, NULL, NULL, 'UCP031804', NULL, NULL, NULL, 8),
(23077, NULL, 'PIRSF012611', NULL, NULL, NULL, NULL, 'UCP012611', NULL, NULL, NULL, 8),
(23078, NULL, 'PIRSF003944', NULL, NULL, NULL, NULL, 'M_poly_OrthobunV', NULL, NULL, NULL, 8),
(23079, NULL, 'PIRSF004911', NULL, NULL, NULL, NULL, 'L-lysine_2_3-aminomutase', NULL, NULL, NULL, 8),
(23080, NULL, 'PIRSF028458', NULL, NULL, NULL, NULL, 'UCP028458', NULL, NULL, NULL, 8),
(23081, NULL, 'PIRSF032146', NULL, NULL, NULL, NULL, 'UCP032146', NULL, NULL, NULL, 8),
(23082, NULL, 'PIRSF020269', NULL, NULL, NULL, NULL, 'UCP020269', NULL, NULL, NULL, 8),
(23083, NULL, 'PIRSF017811', NULL, NULL, NULL, NULL, 'CKI_KRP_plant', NULL, NULL, NULL, 8),
(23084, NULL, 'PIRSF016400', NULL, NULL, NULL, NULL, 'TRAP-beta', NULL, NULL, NULL, 8),
(23085, NULL, 'PIRSF001373', NULL, NULL, NULL, NULL, 'TrpE', NULL, NULL, NULL, 8),
(23086, NULL, 'PIRSF006685', NULL, NULL, NULL, NULL, 'UCP_006685', NULL, NULL, NULL, 8),
(23087, NULL, 'PIRSF000580', NULL, NULL, NULL, NULL, 'STPK_ULK1', NULL, NULL, NULL, 8),
(23088, NULL, 'PIRSF037595', NULL, NULL, NULL, NULL, 'Toll-like_receptor', NULL, NULL, NULL, 8),
(23089, NULL, 'PIRSF002397', NULL, NULL, NULL, NULL, 'BRCA2', NULL, NULL, NULL, 8),
(23090, NULL, 'PIRSF000724', NULL, NULL, NULL, NULL, 'Pgk', NULL, NULL, NULL, 8),
(23091, NULL, 'PIRSF028137', NULL, NULL, NULL, NULL, 'UCP028137', NULL, NULL, NULL, 8),
(23092, NULL, 'PIRSF009160', NULL, NULL, NULL, NULL, 'UCP009160', NULL, NULL, NULL, 8),
(23093, NULL, 'PIRSF037032', NULL, NULL, NULL, NULL, 'BiliverdinRD_A', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23094, NULL, 'PIRSF001529', NULL, NULL, NULL, NULL, 'Ser-tRNA_ligase', NULL, NULL, NULL, 8),
(23095, NULL, 'PIRSF037390', NULL, NULL, NULL, NULL, 'DoxA_doxD', NULL, NULL, NULL, 8),
(23096, NULL, 'PIRSF005261', NULL, NULL, NULL, NULL, 'HSP33', NULL, NULL, NULL, 8),
(23097, NULL, 'PIRSF501175', NULL, NULL, NULL, NULL, 'TDT', NULL, NULL, NULL, 8),
(23098, NULL, 'PIRSF028141', NULL, NULL, NULL, NULL, 'C-di-GMP_BP_PA4608', NULL, NULL, NULL, 8),
(23099, NULL, 'PIRSF037226', NULL, NULL, NULL, NULL, 'Amidohydrolase_ACY1L2', NULL, NULL, NULL, 8),
(23100, NULL, 'PIRSF034300', NULL, NULL, NULL, NULL, 'UCP034300', NULL, NULL, NULL, 8),
(23101, NULL, 'PIRSF036428', NULL, NULL, NULL, NULL, 'CobL_MTase', NULL, NULL, NULL, 8),
(23102, NULL, 'PIRSF000296', NULL, NULL, NULL, NULL, 'SrpA', NULL, NULL, NULL, 8),
(23103, NULL, 'PIRSF029389', NULL, NULL, NULL, NULL, 'Subtilisin_rel_PA1242', NULL, NULL, NULL, 8),
(23104, NULL, 'PIRSF037732', NULL, NULL, NULL, NULL, 'YlbP', NULL, NULL, NULL, 8),
(23105, NULL, 'PIRSF000333', NULL, NULL, NULL, NULL, 'INOS', NULL, NULL, NULL, 8),
(23106, NULL, 'PIRSF037470', NULL, NULL, NULL, NULL, 'RRP', NULL, NULL, NULL, 8),
(23107, NULL, 'PIRSF000882', NULL, NULL, NULL, NULL, 'DSB_repair_MRE11', NULL, NULL, NULL, 8),
(23108, NULL, 'PIRSF005485', NULL, NULL, NULL, NULL, 'HrcA', NULL, NULL, NULL, 8),
(23109, NULL, 'PIRSF038973', NULL, NULL, NULL, NULL, 'SpoIIM', NULL, NULL, NULL, 8),
(23110, NULL, 'PIRSF001467', NULL, NULL, NULL, NULL, 'Peptidylpro_ismrse', NULL, NULL, NULL, 8),
(23111, NULL, 'PIRSF006595', NULL, NULL, NULL, NULL, 'UCP006595', NULL, NULL, NULL, 8),
(23112, NULL, 'PIRSF002490', NULL, NULL, NULL, NULL, 'SLRP_I', NULL, NULL, NULL, 8),
(23113, NULL, 'PIRSF017607', NULL, NULL, NULL, NULL, 'Numb_numb_like', NULL, NULL, NULL, 8),
(23114, NULL, 'PIRSF012318', NULL, NULL, NULL, NULL, 'UCP012318', NULL, NULL, NULL, 8),
(23115, NULL, 'PIRSF010636', NULL, NULL, NULL, NULL, 'ANTAR_solo', NULL, NULL, NULL, 8),
(23116, NULL, 'PIRSF038120', NULL, NULL, NULL, NULL, 'Uch', NULL, NULL, NULL, 8),
(23117, NULL, 'PIRSF015596', NULL, NULL, NULL, NULL, '5_alpha-SR2', NULL, NULL, NULL, 8),
(23118, NULL, 'PIRSF008711', NULL, NULL, NULL, NULL, 'UCP008711', NULL, NULL, NULL, 8),
(23119, NULL, 'PIRSF005647', NULL, NULL, NULL, NULL, 'CooC', NULL, NULL, NULL, 8),
(23120, NULL, 'PIRSF005784', NULL, NULL, NULL, NULL, 'RnfB', NULL, NULL, NULL, 8),
(23121, NULL, 'PIRSF003639', NULL, NULL, NULL, NULL, 'Capsid_P80/P87', NULL, NULL, NULL, 8),
(23122, NULL, 'PIRSF036575', NULL, NULL, NULL, NULL, 'CM_nematode', NULL, NULL, NULL, 8),
(23123, NULL, 'PIRSF036920', NULL, NULL, NULL, NULL, 'X4Y4', NULL, NULL, NULL, 8),
(23124, NULL, 'PIRSF036922', NULL, NULL, NULL, NULL, 'RNaseH_PGAM', NULL, NULL, NULL, 8),
(23125, NULL, 'PIRSF001205', NULL, NULL, NULL, NULL, 'Serralysin', NULL, NULL, NULL, 8),
(23126, NULL, 'PIRSF000456', NULL, NULL, NULL, NULL, 'UDP-GlcNAc_acltr', NULL, NULL, NULL, 8),
(23127, NULL, 'PIRSF016089', NULL, NULL, NULL, NULL, 'SPC3', NULL, NULL, NULL, 8),
(23128, NULL, 'PIRSF019587', NULL, NULL, NULL, NULL, 'PGPase', NULL, NULL, NULL, 8),
(23129, NULL, 'PIRSF037006', NULL, NULL, NULL, NULL, 'Wax_synthase', NULL, NULL, NULL, 8),
(23130, NULL, 'PIRSF039097', NULL, NULL, NULL, NULL, 'MoSto_subunit', NULL, NULL, NULL, 8),
(23131, NULL, 'PIRSF004633', NULL, NULL, NULL, NULL, 'UCP_PLP_oxd', NULL, NULL, NULL, 8),
(23132, NULL, 'PIRSF037320', NULL, NULL, NULL, NULL, 'Sac3', NULL, NULL, NULL, 8),
(23133, NULL, 'PIRSF006380', NULL, NULL, NULL, NULL, 'UCP006380', NULL, NULL, NULL, 8),
(23134, NULL, 'PIRSF015679', NULL, NULL, NULL, NULL, 'VAC_mptidase_G1L', NULL, NULL, NULL, 8),
(23135, NULL, 'PIRSF002703', NULL, NULL, NULL, NULL, 'PR5', NULL, NULL, NULL, 8),
(23136, NULL, 'PIRSF020785', NULL, NULL, NULL, NULL, 'ComB', NULL, NULL, NULL, 8),
(23137, NULL, 'PIRSF001640', NULL, NULL, NULL, NULL, 'Hirudin', NULL, NULL, NULL, 8),
(23138, NULL, 'PIRSF002984', NULL, NULL, NULL, NULL, 'Opacity_prot', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23139, NULL, 'PIRSF038118', NULL, NULL, NULL, NULL, 'MBP_jacalin', NULL, NULL, NULL, 8),
(23140, NULL, 'PIRSF020606', NULL, NULL, NULL, NULL, 'UCP020606', NULL, NULL, NULL, 8),
(23141, NULL, 'PIRSF003716', NULL, NULL, NULL, NULL, 'VAC_F3L', NULL, NULL, NULL, 8),
(23142, NULL, 'PIRSF027807', NULL, NULL, NULL, NULL, 'Cerberus', NULL, NULL, NULL, 8),
(23143, NULL, 'PIRSF003229', NULL, NULL, NULL, NULL, 'ROM', NULL, NULL, NULL, 8),
(23144, NULL, 'PIRSF004962', NULL, NULL, NULL, NULL, 'UCP004962', NULL, NULL, NULL, 8),
(23145, NULL, 'PIRSF028291', NULL, NULL, NULL, NULL, 'UCP028291', NULL, NULL, NULL, 8),
(23146, NULL, 'PIRSF028744', NULL, NULL, NULL, NULL, 'UCP028744_Gp-49', NULL, NULL, NULL, 8),
(23147, NULL, 'PIRSF000744', NULL, NULL, NULL, NULL, 'RPO22', NULL, NULL, NULL, 8),
(23148, NULL, 'PIRSF000241', NULL, NULL, NULL, NULL, 'Urate_oxidase', NULL, NULL, NULL, 8),
(23149, NULL, 'PIRSF005963', NULL, NULL, NULL, NULL, 'Lipoyl_synth', NULL, NULL, NULL, 8),
(23150, NULL, 'PIRSF028762', NULL, NULL, NULL, NULL, 'ABD1', NULL, NULL, NULL, 8),
(23151, NULL, 'PIRSF002033', NULL, NULL, NULL, NULL, 'Hemerythrin_euk', NULL, NULL, NULL, 8),
(23152, NULL, 'PIRSF000819', NULL, NULL, NULL, NULL, 'Streptomycin_3-adenylyltransf', NULL, NULL, NULL, 8),
(23153, NULL, 'PIRSF000343', NULL, NULL, NULL, NULL, 'HMX1', NULL, NULL, NULL, 8),
(23154, NULL, 'PIRSF002811', NULL, NULL, NULL, NULL, 'DnaG', NULL, NULL, NULL, 8),
(23155, NULL, 'PIRSF001235', NULL, NULL, NULL, NULL, 'Amidase_hyd_carb', NULL, NULL, NULL, 8),
(23156, NULL, 'PIRSF000443', NULL, NULL, NULL, NULL, 'Homoser_Ac_trans', NULL, NULL, NULL, 8),
(23157, NULL, 'PIRSF006540', NULL, NULL, NULL, NULL, 'Nop17p', NULL, NULL, NULL, 8),
(23158, NULL, 'PIRSF023956', NULL, NULL, NULL, NULL, 'TPMT', NULL, NULL, NULL, 8),
(23159, NULL, 'PIRSF004925', NULL, NULL, NULL, NULL, 'HcaT', NULL, NULL, NULL, 8),
(23160, NULL, 'PIRSF028335', NULL, NULL, NULL, NULL, 'OppA', NULL, NULL, NULL, 8),
(23161, NULL, 'PIRSF003778', NULL, NULL, NULL, NULL, 'VAC_C8L', NULL, NULL, NULL, 8),
(23162, NULL, 'PIRSF012294', NULL, NULL, NULL, NULL, 'ATR_EutT', NULL, NULL, NULL, 8),
(23163, NULL, 'PIRSF006006', NULL, NULL, NULL, NULL, 'UCP006006', NULL, NULL, NULL, 8),
(23164, NULL, 'PIRSF036365', NULL, NULL, NULL, NULL, 'Nematode_astacin', NULL, NULL, NULL, 8),
(23165, NULL, 'PIRSF000199', NULL, NULL, NULL, NULL, 'Dhfr_type_II', NULL, NULL, NULL, 8),
(23166, NULL, 'PIRSF027081', NULL, NULL, NULL, NULL, 'RPP29', NULL, NULL, NULL, 8),
(23167, NULL, 'PIRSF500166', NULL, NULL, NULL, NULL, 'HMDII_III', NULL, NULL, NULL, 8),
(23168, NULL, 'PIRSF018774', NULL, NULL, NULL, NULL, 'GOGAT_lg_dom1', NULL, NULL, NULL, 8),
(23169, NULL, 'PIRSF036900', NULL, NULL, NULL, NULL, 'Rd_RNA_pol_NRV', NULL, NULL, NULL, 8),
(23170, NULL, 'PIRSF001569', NULL, NULL, NULL, NULL, 'E3_ub_ligase_SMURF1', NULL, NULL, NULL, 8),
(23171, NULL, 'PIRSF038881', NULL, NULL, NULL, NULL, 'RNAbp_HP1423', NULL, NULL, NULL, 8),
(23172, NULL, 'PIRSF036946', NULL, NULL, NULL, NULL, 'Arg_N-mtase', NULL, NULL, NULL, 8),
(23173, NULL, 'PIRSF011131', NULL, NULL, NULL, NULL, 'SAC', NULL, NULL, NULL, 8),
(23174, NULL, 'PIRSF036912', NULL, NULL, NULL, NULL, 'Sac7', NULL, NULL, NULL, 8),
(23175, NULL, 'PIRSF002695', NULL, NULL, NULL, NULL, 'A-agglutinin', NULL, NULL, NULL, 8),
(23176, NULL, 'PIRSF017316', NULL, NULL, NULL, NULL, 'Pesterase_C1039', NULL, NULL, NULL, 8),
(23177, NULL, 'PIRSF037395', NULL, NULL, NULL, NULL, 'UCP037395_ABCper', NULL, NULL, NULL, 8),
(23178, NULL, 'PIRSF005895', NULL, NULL, NULL, NULL, 'UCP005895_mtase', NULL, NULL, NULL, 8),
(23179, NULL, 'PIRSF037647', NULL, NULL, NULL, NULL, 'LisH', NULL, NULL, NULL, 8),
(23180, NULL, 'PIRSF032806', NULL, NULL, NULL, NULL, 'UCP032806', NULL, NULL, NULL, 8),
(23181, NULL, 'PIRSF002903', NULL, NULL, NULL, NULL, 'CmsA/CmsE', NULL, NULL, NULL, 8),
(23182, NULL, 'PIRSF008459', NULL, NULL, NULL, NULL, 'UCP008459', NULL, NULL, NULL, 8);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23183, NULL, 'PIRSF016599', NULL, NULL, NULL, NULL, 'Xaa-His_dipept', NULL, NULL, NULL, 8),
(23184, NULL, 'PIRSF036482', NULL, NULL, NULL, NULL, 'PPi_PFK_TM0289', NULL, NULL, NULL, 8),
(23185, NULL, 'PIRSF018507', NULL, NULL, NULL, NULL, 'Prpndl_dhdrts_lg', NULL, NULL, NULL, 8),
(23186, NULL, 'PIRSF005751', NULL, NULL, NULL, NULL, 'Acet_citr_lig', NULL, NULL, NULL, 8),
(23187, NULL, 'PIRSF019317', NULL, NULL, NULL, NULL, 'UCP019317', NULL, NULL, NULL, 8),
(23188, NULL, 'PIRSF031924', NULL, NULL, NULL, NULL, 'Pi-irrepressible_AP', NULL, NULL, NULL, 8),
(23189, NULL, 'PIRSF028680', NULL, NULL, NULL, NULL, 'UCP028680', NULL, NULL, NULL, 8),
(23190, NULL, 'PIRSF003368', NULL, NULL, NULL, NULL, 'Large_T_antigen_PPV', NULL, NULL, NULL, 8),
(23191, NULL, 'PIRSF017207', NULL, NULL, NULL, NULL, 'UCP017207_Tmem85', NULL, NULL, NULL, 8),
(23192, NULL, 'PIRSF010072', NULL, NULL, NULL, NULL, 'BBS5_fem-3', NULL, NULL, NULL, 8),
(23193, NULL, 'PIRSF015957', NULL, NULL, NULL, NULL, 'UCP015957', NULL, NULL, NULL, 8),
(23194, NULL, 'PIRSF000563', NULL, NULL, NULL, NULL, 'Homeobox_Pitx/Unc30', NULL, NULL, NULL, 8),
(23195, NULL, 'PIRSF005303', NULL, NULL, NULL, NULL, 'Thiam_monoph_kin', NULL, NULL, NULL, 8),
(23196, NULL, 'PIRSF014979', NULL, NULL, NULL, NULL, 'UCP014979', NULL, NULL, NULL, 8),
(23197, NULL, 'PIRSF037345', NULL, NULL, NULL, NULL, 'ALG8_EndoV', NULL, NULL, NULL, 8),
(23198, NULL, 'PIRSF038061', NULL, NULL, NULL, NULL, 'K(+)', NULL, NULL, NULL, 8),
(23199, NULL, 'PIRSF037846', NULL, NULL, NULL, NULL, 'Autolysin_YrvJ', NULL, NULL, NULL, 8),
(23200, NULL, 'PIRSF001693', NULL, NULL, NULL, NULL, 'Txn_fact_GAMYB', NULL, NULL, NULL, 8),
(23201, NULL, 'PIRSF000375', NULL, NULL, NULL, NULL, 'NifU', NULL, NULL, NULL, 8),
(23202, NULL, 'PIRSF017681', NULL, NULL, NULL, NULL, '3-HAO', NULL, NULL, NULL, 8),
(23203, NULL, 'PIRSF029091', NULL, NULL, NULL, NULL, 'RstB1_B2', NULL, NULL, NULL, 8),
(23204, NULL, 'PIRSF031277', NULL, NULL, NULL, NULL, 'UCP031277', NULL, NULL, NULL, 8),
(23205, NULL, 'PIRSF017901', NULL, NULL, NULL, NULL, 'GCL', NULL, NULL, NULL, 8),
(23206, NULL, 'PIRSF037186', NULL, NULL, NULL, NULL, 'LPLUNC', NULL, NULL, NULL, 8),
(23207, NULL, 'PIRSF000980', NULL, NULL, NULL, NULL, 'RecC', NULL, NULL, NULL, 8),
(23208, NULL, 'PIRSF006181', NULL, NULL, NULL, NULL, 'EbsC_YbaK', NULL, NULL, NULL, 8),
(23209, NULL, 'PIRSF000181', NULL, NULL, NULL, NULL, 'Grc_selenoprot_A', NULL, NULL, NULL, 8),
(23210, NULL, 'PIRSF000477', NULL, NULL, NULL, NULL, 'PurNPase', NULL, NULL, NULL, 8),
(23211, NULL, 'PIRSF004380', NULL, NULL, NULL, NULL, 'GroES_Gp31_phage', NULL, NULL, NULL, 8),
(23212, NULL, 'PIRSF000112', NULL, NULL, NULL, NULL, 'Glycerol_dh', NULL, NULL, NULL, 8),
(23213, NULL, 'PIRSF001828', NULL, NULL, NULL, NULL, 'Thymosin_beta', NULL, NULL, NULL, 8),
(23214, NULL, 'PIRSF009393', NULL, NULL, NULL, NULL, 'Orn_decarb', NULL, NULL, NULL, 8),
(23215, NULL, 'PIRSF039004', NULL, NULL, NULL, NULL, 'ADE_EF_0837', NULL, NULL, NULL, 8),
(23216, NULL, 'PIRSF022699', NULL, NULL, NULL, NULL, 'MND2', NULL, NULL, NULL, 8),
(23217, NULL, 'PIRSF037242', NULL, NULL, NULL, NULL, 'CNDP_dipeptidase', NULL, NULL, NULL, 8),
(23218, NULL, 'PIRSF009343', NULL, NULL, NULL, NULL, 'SUV39_HMTase_SET', NULL, NULL, NULL, 8),
(23219, NULL, 'PIRSF037035', NULL, NULL, NULL, NULL, 'StpC', NULL, NULL, NULL, 8),
(23220, NULL, 'PIRSF015753', NULL, NULL, NULL, NULL, 'GST', NULL, NULL, NULL, 8),
(23221, NULL, 'PIRSF034586', NULL, NULL, NULL, NULL, 'SfrC', NULL, NULL, NULL, 8),
(23222, NULL, 'PIRSF038984', NULL, NULL, NULL, NULL, 'FAD_binding_protein', NULL, NULL, NULL, 8),
(23223, NULL, 'PIRSF001705', NULL, NULL, NULL, NULL, 'Myc_protein', NULL, NULL, NULL, 8),
(23224, NULL, 'PIRSF005637', NULL, NULL, NULL, NULL, 'UCP005637', NULL, NULL, NULL, 8),
(23225, NULL, 'PIRSF025737', NULL, NULL, NULL, NULL, 'Cyco1', NULL, NULL, NULL, 8),
(23226, NULL, 'PIRSF037266', NULL, NULL, NULL, NULL, 'UCP037266', NULL, NULL, NULL, 8);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23227, NULL, 'PIRSF029063', NULL, NULL, NULL, NULL, 'IV_sec_VirJ', NULL, NULL, NULL, 8),
(23228, NULL, 'PIRSF017269', NULL, NULL, NULL, NULL, 'GCD14', NULL, NULL, NULL, 8),
(23229, NULL, 'PIRSF026426', NULL, NULL, NULL, NULL, 'UCP026426', NULL, NULL, NULL, 8),
(23230, NULL, 'PIRSF016262', NULL, NULL, NULL, NULL, 'LPLase', NULL, NULL, NULL, 8),
(23231, NULL, 'PIRSF017903', NULL, NULL, NULL, NULL, 'CPDase_plant', NULL, NULL, NULL, 8),
(23232, NULL, 'PIRSF037274', NULL, NULL, NULL, NULL, 'PIP5K_plant', NULL, NULL, NULL, 8),
(23233, NULL, 'PIRSF039131', NULL, NULL, NULL, NULL, 'Parvin', NULL, NULL, NULL, 8),
(23234, NULL, 'PIRSF000169', NULL, NULL, NULL, NULL, 'SDH_D', NULL, NULL, NULL, 8),
(23235, NULL, 'PIRSF018063', NULL, NULL, NULL, NULL, 'Ferrtn_UCP018063', NULL, NULL, NULL, 8),
(23236, NULL, 'PIRSF005644', NULL, NULL, NULL, NULL, 'Hdrgns_mtr_HypE', NULL, NULL, NULL, 8),
(23237, NULL, 'PIRSF016933', NULL, NULL, NULL, NULL, 'PrsW', NULL, NULL, NULL, 8),
(23238, NULL, 'PIRSF004539', NULL, NULL, NULL, NULL, 'Anaerob_C4-dicrbxlt_transp', NULL, NULL, NULL, 8),
(23239, NULL, 'PIRSF000543', NULL, NULL, NULL, NULL, 'NDUAA', NULL, NULL, NULL, 8),
(23240, NULL, 'PIRSF000848', NULL, NULL, NULL, NULL, 'CDP_diag_ino_3_P', NULL, NULL, NULL, 8),
(23241, NULL, 'PIRSF009452', NULL, NULL, NULL, NULL, 'MtrA_MtxA', NULL, NULL, NULL, 8),
(23242, NULL, 'PIRSF012359', NULL, NULL, NULL, NULL, 'UCP012359', NULL, NULL, NULL, 8),
(23243, NULL, 'PIRSF000022', NULL, NULL, NULL, NULL, 'Bc1_14K', NULL, NULL, NULL, 8),
(23244, NULL, 'PIRSF004919', NULL, NULL, NULL, NULL, 'TldD', NULL, NULL, NULL, 8),
(23245, NULL, 'PIRSF004690', NULL, NULL, NULL, NULL, 'DmsD', NULL, NULL, NULL, 8),
(23246, NULL, 'PIRSF500948', NULL, NULL, NULL, NULL, 'Beta-PDGF_receptor', NULL, NULL, NULL, 8),
(23247, NULL, 'PIRSF001500', NULL, NULL, NULL, NULL, 'Chor_mut_pdt_Ppr', NULL, NULL, NULL, 8),
(23248, NULL, 'PIRSF001549', NULL, NULL, NULL, NULL, 'His-tRNA_synth', NULL, NULL, NULL, 8),
(23249, NULL, 'PIRSF019262', NULL, NULL, NULL, NULL, 'UCP019262', NULL, NULL, NULL, 8),
(23250, NULL, 'PIRSF006386', NULL, NULL, NULL, NULL, 'HCCAis_GSTk', NULL, NULL, NULL, 8),
(23251, NULL, 'PIRSF002849', NULL, NULL, NULL, NULL, 'MoxR', NULL, NULL, NULL, 8),
(23252, NULL, 'PIRSF009221', NULL, NULL, NULL, NULL, 'VAP_Rhodococcus_equi', NULL, NULL, NULL, 8),
(23253, NULL, 'PIRSF002129', NULL, NULL, NULL, NULL, 'RPS6e', NULL, NULL, NULL, 8),
(23254, NULL, 'PIRSF036488', NULL, NULL, NULL, NULL, 'Myoglobin_tremt', NULL, NULL, NULL, 8),
(23255, NULL, 'PIRSF009279', NULL, NULL, NULL, NULL, 'CRF-BP', NULL, NULL, NULL, 8),
(23256, NULL, 'PIRSF001979', NULL, NULL, NULL, NULL, 'Alpha_1B_glycoprot', NULL, NULL, NULL, 8),
(23257, NULL, 'PIRSF006272', NULL, NULL, NULL, NULL, 'UCP006272', NULL, NULL, NULL, 8),
(23258, NULL, 'PIRSF012467', NULL, NULL, NULL, NULL, 'UCP012467', NULL, NULL, NULL, 8),
(23259, NULL, 'PIRSF000933', NULL, NULL, NULL, NULL, 'PTPN13', NULL, NULL, NULL, 8),
(23260, NULL, 'PIRSF036805', NULL, NULL, NULL, NULL, '26S_protsm_s5a', NULL, NULL, NULL, 8),
(23261, NULL, 'PIRSF002595', NULL, NULL, NULL, NULL, 'RR_SKN7', NULL, NULL, NULL, 8),
(23262, NULL, 'PIRSF008159', NULL, NULL, NULL, NULL, 'UCP008159_ABC', NULL, NULL, NULL, 8),
(23263, NULL, 'PIRSF037091', NULL, NULL, NULL, NULL, 'AP2_alpha', NULL, NULL, NULL, 8),
(23264, NULL, 'PIRSF037793', NULL, NULL, NULL, NULL, 'EsaB', NULL, NULL, NULL, 8),
(23265, NULL, 'PIRSF015840', NULL, NULL, NULL, NULL, 'Lem3/Cdc50', NULL, NULL, NULL, 8),
(23266, NULL, 'PIRSF028729', NULL, NULL, NULL, NULL, 'SCF_Skp', NULL, NULL, NULL, 8),
(23267, NULL, 'PIRSF034409', NULL, NULL, NULL, NULL, 'Oligosach_lyase', NULL, NULL, NULL, 8),
(23268, NULL, 'PIRSF036361', NULL, NULL, NULL, NULL, 'YunD', NULL, NULL, NULL, 8),
(23269, NULL, 'PIRSF015883', NULL, NULL, NULL, NULL, 'ADP-Pfk_glckin', NULL, NULL, NULL, 8),
(23270, NULL, 'PIRSF001617', NULL, NULL, NULL, NULL, 'Alpha-AR', NULL, NULL, NULL, 8);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23271, NULL, 'PIRSF029692', NULL, NULL, NULL, NULL, 'UCP029692', NULL, NULL, NULL, 8),
(23272, NULL, 'PIRSF001831', NULL, NULL, NULL, NULL, 'Thyroglobulin', NULL, NULL, NULL, 8),
(23273, NULL, 'PIRSF018567', NULL, NULL, NULL, NULL, 'AcoX', NULL, NULL, NULL, 8),
(23274, NULL, 'PIRSF036440', NULL, NULL, NULL, NULL, 'ARG5-6', NULL, NULL, NULL, 8),
(23275, NULL, 'PIRSF033318', NULL, NULL, NULL, NULL, 'GFA', NULL, NULL, NULL, 8),
(23276, NULL, 'PIRSF028408', NULL, NULL, NULL, NULL, 'UCP028408', NULL, NULL, NULL, 8),
(23277, NULL, 'PIRSF030771', NULL, NULL, NULL, NULL, 'UCP030771', NULL, NULL, NULL, 8),
(23278, NULL, 'PIRSF016578', NULL, NULL, NULL, NULL, 'PIGM', NULL, NULL, NULL, 8),
(23279, NULL, 'PIRSF037208', NULL, NULL, NULL, NULL, 'ATE_prok', NULL, NULL, NULL, 8),
(23280, NULL, 'PIRSF003259', NULL, NULL, NULL, NULL, 'TraL', NULL, NULL, NULL, 8),
(23281, NULL, 'PIRSF037599', NULL, NULL, NULL, NULL, 'GDPMH', NULL, NULL, NULL, 8),
(23282, NULL, 'PIRSF001832', NULL, NULL, NULL, NULL, 'PTH', NULL, NULL, NULL, 8),
(23283, NULL, 'PIRSF011911', NULL, NULL, NULL, NULL, 'Minor_capsid_gp61', NULL, NULL, NULL, 8),
(23284, NULL, 'PIRSF028865', NULL, NULL, NULL, NULL, 'Membrin-2', NULL, NULL, NULL, 8),
(23285, NULL, 'PIRSF003085', NULL, NULL, NULL, NULL, 'CmaB', NULL, NULL, NULL, 8),
(23286, NULL, 'PIRSF002450', NULL, NULL, NULL, NULL, 'K+_transpter_TRK', NULL, NULL, NULL, 8),
(23287, NULL, 'PIRSF000868', NULL, NULL, NULL, NULL, '14-3-3', NULL, NULL, NULL, 8),
(23288, NULL, 'PIRSF002023', NULL, NULL, NULL, NULL, 'PA2_inhib_alpha/gamma', NULL, NULL, NULL, 8),
(23289, NULL, 'PIRSF001338', NULL, NULL, NULL, NULL, 'AIR_carboxylase', NULL, NULL, NULL, 8),
(23290, NULL, 'PIRSF007783', NULL, NULL, NULL, NULL, 'YHR121w', NULL, NULL, NULL, 8),
(23291, NULL, 'PIRSF004029', NULL, NULL, NULL, NULL, 'N_ArenaV', NULL, NULL, NULL, 8),
(23292, NULL, 'PIRSF010372', NULL, NULL, NULL, NULL, 'PaiB', NULL, NULL, NULL, 8),
(23293, NULL, 'PIRSF037748', NULL, NULL, NULL, NULL, 'RNase_HIII', NULL, NULL, NULL, 8),
(23294, NULL, 'PIRSF006413', NULL, NULL, NULL, NULL, 'Transl_init_IF-6', NULL, NULL, NULL, 8),
(23295, NULL, 'PIRSF001327', NULL, NULL, NULL, NULL, 'ArsAB_ATPase', NULL, NULL, NULL, 8),
(23296, NULL, 'PIRSF000179', NULL, NULL, NULL, NULL, 'FrdD', NULL, NULL, NULL, 8),
(23297, NULL, 'PIRSF015873', NULL, NULL, NULL, NULL, 'FwdD', NULL, NULL, NULL, 8),
(23298, NULL, 'PIRSF001456', NULL, NULL, NULL, NULL, 'Chorismate_synth', NULL, NULL, NULL, 8),
(23299, NULL, 'PIRSF037609', NULL, NULL, NULL, NULL, 'BLOC-1_pldn', NULL, NULL, NULL, 8),
(23300, NULL, 'PIRSF028099', NULL, NULL, NULL, NULL, 'Thiol_oxidored', NULL, NULL, NULL, 8),
(23301, NULL, 'PIRSF033541', NULL, NULL, NULL, NULL, 'ORF25P_Sir2', NULL, NULL, NULL, 8),
(23302, NULL, 'PIRSF039090', NULL, NULL, NULL, NULL, 'Flis', NULL, NULL, NULL, 8),
(23303, NULL, 'PIRSF002031', NULL, NULL, NULL, NULL, 'Poly_globin', NULL, NULL, NULL, 8),
(23304, NULL, 'PIRSF022788', NULL, NULL, NULL, NULL, 'UCP022788', NULL, NULL, NULL, 8),
(23305, NULL, 'PIRSF001028', NULL, NULL, NULL, NULL, 'Alpha-amylase_plant', NULL, NULL, NULL, 8),
(23306, NULL, 'PIRSF000337', NULL, NULL, NULL, NULL, 'NTA_MOA', NULL, NULL, NULL, 8),
(23307, NULL, 'PIRSF006468', NULL, NULL, NULL, NULL, 'BCAT1', NULL, NULL, NULL, 8),
(23308, NULL, 'PIRSF037225', NULL, NULL, NULL, NULL, 'UCP037225', NULL, NULL, NULL, 8),
(23309, NULL, 'PIRSF001332', NULL, NULL, NULL, NULL, 'Acetolac_decarb', NULL, NULL, NULL, 8),
(23310, NULL, 'PIRSF036936', NULL, NULL, NULL, NULL, 'IGPS_HisHF', NULL, NULL, NULL, 8),
(23311, NULL, 'PIRSF004789', NULL, NULL, NULL, NULL, 'DR1281', NULL, NULL, NULL, 8),
(23312, NULL, 'PIRSF029644', NULL, NULL, NULL, NULL, 'UCP029644', NULL, NULL, NULL, 8),
(23313, NULL, 'PIRSF034653', NULL, NULL, NULL, NULL, 'Mtase_yjhp', NULL, NULL, NULL, 8),
(23314, NULL, 'PIRSF004006', NULL, NULL, NULL, NULL, 'Minor_cap_RTV', NULL, NULL, NULL, 8),
(23315, NULL, 'PIRSF037123', NULL, NULL, NULL, NULL, 'H3K79_HMTase_animal', NULL, NULL, NULL, 8);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23316, NULL, 'PIRSF037137', NULL, NULL, NULL, NULL, 'HPS_DMK', NULL, NULL, NULL, 8),
(23317, NULL, 'PIRSF004681', NULL, NULL, NULL, NULL, 'UCP004681', NULL, NULL, NULL, 8),
(23318, NULL, 'PIRSF027936', NULL, NULL, NULL, NULL, 'UCP027936', NULL, NULL, NULL, 8),
(23319, NULL, 'PIRSF001558', NULL, NULL, NULL, NULL, 'GSHase', NULL, NULL, NULL, 8),
(23320, NULL, 'PIRSF038934', NULL, NULL, NULL, NULL, 'HyaE_HupG', NULL, NULL, NULL, 8),
(23321, NULL, 'PIRSF037891', NULL, NULL, NULL, NULL, 'Cycloviolacin', NULL, NULL, NULL, 8),
(23322, NULL, 'PIRSF031878', NULL, NULL, NULL, NULL, 'UCP031878', NULL, NULL, NULL, 8),
(23323, NULL, 'PIRSF500139', NULL, NULL, NULL, NULL, 'AE', NULL, NULL, NULL, 8),
(23324, NULL, 'PIRSF500813', NULL, NULL, NULL, NULL, 'PP1_PTG', NULL, NULL, NULL, 8),
(23325, NULL, 'PIRSF018637', NULL, NULL, NULL, NULL, 'TrmK', NULL, NULL, NULL, 8),
(23326, NULL, 'PIRSF001787', NULL, NULL, NULL, NULL, 'TGF-beta', NULL, NULL, NULL, 8),
(23327, NULL, 'PIRSF033143', NULL, NULL, NULL, NULL, 'LytTR_solo', NULL, NULL, NULL, 8),
(23328, NULL, 'PIRSF001882', NULL, NULL, NULL, NULL, 'Insect_neurot_curtatoxin', NULL, NULL, NULL, 8),
(23329, NULL, 'PIRSF020906', NULL, NULL, NULL, NULL, 'Anti_s_fact_PmgA', NULL, NULL, NULL, 8),
(23330, NULL, 'PIRSF000628', NULL, NULL, NULL, NULL, 'FGFR', NULL, NULL, NULL, 8),
(23331, NULL, 'PIRSF002162', NULL, NULL, NULL, NULL, 'RPL6p_RPL6a_RPL9e_RPL9o', NULL, NULL, NULL, 8),
(23332, NULL, 'PIRSF022704', NULL, NULL, NULL, NULL, 'UCP022704', NULL, NULL, NULL, 8),
(23333, NULL, 'PIRSF037949', NULL, NULL, NULL, NULL, 'Transl_init_eIF-3_RNA-bind', NULL, NULL, NULL, 8),
(23334, NULL, 'PIRSF037969', NULL, NULL, NULL, NULL, 'U1-C', NULL, NULL, NULL, 8),
(23335, NULL, 'PIRSF005627', NULL, NULL, NULL, NULL, 'MTD', NULL, NULL, NULL, 8),
(23336, NULL, 'PIRSF002724', NULL, NULL, NULL, NULL, 'Actobindin', NULL, NULL, NULL, 8),
(23337, NULL, 'PIRSF007951', NULL, NULL, NULL, NULL, 'Hemolysin_aeg', NULL, NULL, NULL, 8),
(23338, NULL, 'PIRSF002574', NULL, NULL, NULL, NULL, 'SPRL1', NULL, NULL, NULL, 8),
(23339, NULL, 'PIRSF001789', NULL, NULL, NULL, NULL, 'NGFB', NULL, NULL, 4, 8),
(23340, NULL, 'PIRSF037409', NULL, NULL, NULL, NULL, 'UCP037409_transporter', NULL, NULL, NULL, 8),
(23341, NULL, 'PIRSF036580', NULL, NULL, NULL, NULL, 'Cyclin_L', NULL, NULL, NULL, 8),
(23342, NULL, 'PIRSF005449', NULL, NULL, NULL, NULL, 'TRAM', NULL, NULL, NULL, 8),
(23343, NULL, 'PIRSF032908', NULL, NULL, NULL, NULL, 'UCP032908', NULL, NULL, NULL, 8),
(23344, NULL, 'PIRSF036917', NULL, NULL, NULL, NULL, 'Alph_amls_MalS', NULL, NULL, NULL, 8),
(23345, NULL, 'PIRSF005690', NULL, NULL, NULL, NULL, 'GerBA', NULL, NULL, NULL, 8),
(23346, NULL, 'PIRSF003509', NULL, NULL, NULL, NULL, 'UL45_HPV', NULL, NULL, NULL, 8),
(23347, NULL, 'PIRSF004576', NULL, NULL, NULL, NULL, 'Resolvase_Rsv', NULL, NULL, NULL, 8),
(23348, NULL, 'PIRSF007807', NULL, NULL, NULL, NULL, 'CDC123', NULL, NULL, NULL, 8),
(23349, NULL, 'PIRSF002122', NULL, NULL, NULL, NULL, 'RPS7p_RPS7a_RPS5e_RPS7o', NULL, NULL, NULL, 8),
(23350, NULL, 'PIRSF038100', NULL, NULL, NULL, NULL, 'TEX28', NULL, NULL, NULL, 8),
(23351, NULL, 'PIRSF000804', NULL, NULL, NULL, NULL, 'DNA_pol_III_b', NULL, NULL, NULL, 8),
(23352, NULL, 'PIRSF036947', NULL, NULL, NULL, NULL, 'Spt6', NULL, NULL, NULL, 8),
(23353, NULL, 'PIRSF001941', NULL, NULL, NULL, NULL, 'IL-4', NULL, NULL, NULL, 8),
(23354, NULL, 'PIRSF029703', NULL, NULL, NULL, NULL, 'Mig-14', NULL, NULL, NULL, 8),
(23355, NULL, 'PIRSF500060', NULL, NULL, NULL, NULL, 'UCP500060', NULL, NULL, NULL, 8),
(23356, NULL, 'PIRSF038149', NULL, NULL, NULL, NULL, 'Pyruvate_Pi_dikinase_reg', NULL, NULL, NULL, 8),
(23357, NULL, 'PIRSF030837', NULL, NULL, NULL, NULL, 'TerW', NULL, NULL, NULL, 8),
(23358, NULL, 'PIRSF500210', NULL, NULL, NULL, NULL, 'FBPtase', NULL, NULL, NULL, 8),
(23359, NULL, 'PIRSF001065', NULL, NULL, NULL, NULL, 'Lysozyme_g', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23360, NULL, 'PIRSF023803', NULL, NULL, NULL, NULL, 'RNase_P', NULL, NULL, NULL, 8),
(23361, NULL, 'PIRSF032900', NULL, NULL, NULL, NULL, 'MALP', NULL, NULL, NULL, 8),
(23362, NULL, 'PIRSF000513', NULL, NULL, NULL, NULL, 'Thz_kinase', NULL, NULL, NULL, 8),
(23363, NULL, 'PIRSF038057', NULL, NULL, NULL, NULL, 'Hatching_uvs2', NULL, NULL, NULL, 8),
(23364, NULL, 'PIRSF011560', NULL, NULL, NULL, NULL, 'ComK', NULL, NULL, NULL, 8),
(23365, NULL, 'PIRSF025725', NULL, NULL, NULL, NULL, 'UCP025725', NULL, NULL, NULL, 8),
(23366, NULL, 'PIRSF006247', NULL, NULL, NULL, NULL, 'TrkH', NULL, NULL, NULL, 8),
(23367, NULL, 'PIRSF000723', NULL, NULL, NULL, NULL, 'Carbamate_kin', NULL, NULL, NULL, 8),
(23368, NULL, 'PIRSF000552', NULL, NULL, NULL, NULL, 'PKC_mu_nu_D2', NULL, NULL, NULL, 8),
(23369, NULL, 'PIRSF039020', NULL, NULL, NULL, NULL, 'EhpR', NULL, NULL, NULL, 8),
(23370, NULL, 'PIRSF002290', NULL, NULL, NULL, NULL, 'CHC', NULL, NULL, NULL, 8),
(23371, NULL, 'PIRSF032131', NULL, NULL, NULL, NULL, 'UCP032131', NULL, NULL, NULL, 8),
(23372, NULL, 'PIRSF017018', NULL, NULL, NULL, NULL, 'Tp34', NULL, NULL, NULL, 8),
(23373, NULL, 'PIRSF009562', NULL, NULL, NULL, NULL, 'PerB', NULL, NULL, NULL, 8),
(23374, NULL, 'PIRSF004932', NULL, NULL, NULL, NULL, 'DNA_bp_Tfx', NULL, NULL, NULL, 8),
(23375, NULL, 'PIRSF037660', NULL, NULL, NULL, NULL, 'HA-17', NULL, NULL, NULL, 8),
(23376, NULL, 'PIRSF029477', NULL, NULL, NULL, NULL, 'UCP029477', NULL, NULL, NULL, 8),
(23377, NULL, 'PIRSF036638', NULL, NULL, NULL, NULL, 'M_m6A_StsI', NULL, NULL, NULL, 8),
(23378, NULL, 'PIRSF018072', NULL, NULL, NULL, NULL, 'UCP018072', NULL, NULL, NULL, 8),
(23379, NULL, 'PIRSF000101', NULL, NULL, NULL, NULL, 'D-lactate_dh', NULL, NULL, NULL, 8),
(23380, NULL, 'PIRSF033053', NULL, NULL, NULL, NULL, 'UCP033503_fimbr', NULL, NULL, NULL, 8),
(23381, NULL, 'PIRSF033239', NULL, NULL, NULL, NULL, 'ExoD', NULL, NULL, NULL, 8),
(23382, NULL, 'PIRSF037393', NULL, NULL, NULL, NULL, 'TGFRII', NULL, NULL, NULL, 8),
(23383, NULL, 'PIRSF000267', NULL, NULL, NULL, NULL, 'Cyt_oxidse_sub2', NULL, NULL, NULL, 8),
(23384, NULL, 'PIRSF002967', NULL, NULL, NULL, NULL, 'Fimbr_prot_A', NULL, NULL, NULL, 8),
(23385, NULL, 'PIRSF003352', NULL, NULL, NULL, NULL, 'MAK16', NULL, NULL, NULL, 8),
(23386, NULL, 'PIRSF005677', NULL, NULL, NULL, NULL, 'PPi_PFK_PfpB', NULL, NULL, NULL, 8),
(23387, NULL, 'PIRSF014439', NULL, NULL, NULL, NULL, 'APE1894_ACT', NULL, NULL, NULL, 8),
(23388, NULL, 'PIRSF021441', NULL, NULL, NULL, NULL, 'CcdC', NULL, NULL, NULL, 8),
(23389, NULL, 'PIRSF016175', NULL, NULL, NULL, NULL, 'UCP016175', NULL, NULL, NULL, 8),
(23390, NULL, 'PIRSF037488', NULL, NULL, NULL, NULL, 'Miro', NULL, NULL, NULL, 8),
(23391, NULL, 'PIRSF000619', NULL, NULL, NULL, NULL, 'TyrPK_EGF-R', NULL, NULL, NULL, 8),
(23392, NULL, 'PIRSF011502', NULL, NULL, NULL, NULL, 'DdrA_PduG', NULL, NULL, NULL, 8),
(23393, NULL, 'PIRSF000090', NULL, NULL, NULL, NULL, 'Beta-ETF', NULL, NULL, NULL, 8),
(23394, NULL, 'PIRSF006429', NULL, NULL, NULL, NULL, 'GOGAT_lg_2', NULL, NULL, NULL, 8),
(23395, NULL, 'PIRSF036388', NULL, NULL, NULL, NULL, 'Ctsl_amnpptdse_B', NULL, NULL, NULL, 8),
(23396, NULL, 'PIRSF026633', NULL, NULL, NULL, NULL, 'UCP026633_TfuA-like', NULL, NULL, NULL, 8),
(23397, NULL, 'PIRSF029792', NULL, NULL, NULL, NULL, 'Pro_racemase', NULL, NULL, NULL, 8),
(23398, NULL, 'PIRSF016393', NULL, NULL, NULL, NULL, 'Enhancer_rudimentary', NULL, NULL, NULL, 8),
(23399, NULL, 'PIRSF034285', NULL, NULL, NULL, NULL, 'UCP034285', NULL, NULL, NULL, 8),
(23400, NULL, 'PIRSF002513', NULL, NULL, NULL, NULL, 'Integrin_B4', NULL, NULL, NULL, 8),
(23401, NULL, 'PIRSF036363', NULL, NULL, NULL, NULL, 'STPPP_BSU1', NULL, NULL, NULL, 8),
(23402, NULL, 'PIRSF004638', NULL, NULL, NULL, NULL, 'UCP004638', NULL, NULL, NULL, 8),
(23403, NULL, 'PIRSF036961', NULL, NULL, NULL, NULL, 'Kremen', NULL, NULL, NULL, 8),
(23404, NULL, 'PIRSF037505', NULL, NULL, NULL, NULL, 'BHMT', NULL, NULL, NULL, 8);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23405, NULL, 'PIRSF002134', NULL, NULL, NULL, NULL, 'RPS13p_RPS13a_RPS18e_RPS13o', NULL, NULL, NULL, 8),
(23406, NULL, 'PIRSF000164', NULL, NULL, NULL, NULL, 'DHO_oxidase', NULL, NULL, NULL, 8),
(23407, NULL, 'PIRSF038895', NULL, NULL, NULL, NULL, 'FPGS', NULL, NULL, NULL, 8),
(23408, NULL, 'PIRSF037136', NULL, NULL, NULL, NULL, 'RKM1', NULL, NULL, NULL, 8),
(23409, NULL, 'PIRSF000303', NULL, NULL, NULL, NULL, 'Glutathion_perox', NULL, NULL, NULL, 8),
(23410, NULL, 'PIRSF034834', NULL, NULL, NULL, NULL, 'PduT', NULL, NULL, NULL, 8),
(23411, NULL, 'PIRSF015617', NULL, NULL, NULL, NULL, 'Adenosyltransferase_CobA', NULL, NULL, NULL, 8),
(23412, NULL, 'PIRSF020632', NULL, NULL, NULL, NULL, 'YeaR', NULL, NULL, NULL, 8),
(23413, NULL, 'PIRSF038941', NULL, NULL, NULL, NULL, 'NspC', NULL, NULL, NULL, 8),
(23414, NULL, 'PIRSF000111', NULL, NULL, NULL, NULL, 'ALDH_ADH', NULL, NULL, NULL, 8),
(23415, NULL, 'PIRSF000379', NULL, NULL, NULL, NULL, 'For_Ac_trans_1', NULL, NULL, NULL, 8),
(23416, NULL, 'PIRSF039093', NULL, NULL, NULL, NULL, 'HslV', NULL, NULL, NULL, 8),
(23417, NULL, 'PIRSF000336', NULL, NULL, NULL, NULL, 'TH', NULL, NULL, NULL, 8),
(23418, NULL, 'PIRSF027833', NULL, NULL, NULL, NULL, 'MtTFB2', NULL, NULL, NULL, 8),
(23419, NULL, 'PIRSF001657', NULL, NULL, NULL, NULL, 'Alpha-amyl_inhib_seed_allergen', NULL, NULL, NULL, 8),
(23420, NULL, 'PIRSF005879', NULL, NULL, NULL, NULL, 'C/EBP', NULL, NULL, NULL, 8),
(23421, NULL, 'PIRSF006414', NULL, NULL, NULL, NULL, 'Ftr_formyl_trnsf', NULL, NULL, NULL, 8),
(23422, NULL, 'PIRSF039144', NULL, NULL, NULL, NULL, 'GlnB', NULL, NULL, NULL, 8),
(23423, NULL, 'PIRSF006157', NULL, NULL, NULL, NULL, 'Doxgns_DODA', NULL, NULL, NULL, 8),
(23424, NULL, 'PIRSF028696', NULL, NULL, NULL, NULL, 'UCP028696', NULL, NULL, NULL, 8),
(23425, NULL, 'PIRSF018875', NULL, NULL, NULL, NULL, 'UCP018875_ABC_perm', NULL, NULL, NULL, 8),
(23426, NULL, 'PIRSF036750', NULL, NULL, NULL, NULL, 'dCMP_HMase', NULL, NULL, NULL, 8),
(23427, NULL, 'PIRSF000514', NULL, NULL, NULL, NULL, 'Pentafunct_AroM', NULL, NULL, NULL, 8),
(23428, NULL, 'PIRSF008505', NULL, NULL, NULL, NULL, 'UCP008505', NULL, NULL, NULL, 8),
(23429, NULL, 'PIRSF024851', NULL, NULL, NULL, NULL, 'SCD1', NULL, NULL, NULL, 8),
(23430, NULL, 'PIRSF029393', NULL, NULL, NULL, NULL, 'UCP029393', NULL, NULL, NULL, 8),
(23431, NULL, 'PIRSF016992', NULL, NULL, NULL, NULL, 'Txn_fac_GATA_plant', NULL, NULL, NULL, 8),
(23432, NULL, 'PIRSF036421', NULL, NULL, NULL, NULL, 'Tricorn_protease', NULL, NULL, NULL, 8),
(23433, NULL, 'PIRSF036441', NULL, NULL, NULL, NULL, 'NAGK_DUF619', NULL, NULL, NULL, 8),
(23434, NULL, 'PIRSF000912', NULL, NULL, NULL, NULL, 'PPEF', NULL, NULL, NULL, 8),
(23435, NULL, 'PIRSF009404', NULL, NULL, NULL, NULL, 'Txn_factor_DP', NULL, NULL, NULL, 8),
(23436, NULL, 'PIRSF037901', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Nmul_A1891', NULL, NULL, NULL, 8),
(23437, NULL, 'PIRSF021774', NULL, NULL, NULL, NULL, 'UCP021774', NULL, NULL, NULL, 8),
(23438, NULL, 'PIRSF017388', NULL, NULL, NULL, NULL, 'Esterase_lipase', NULL, NULL, NULL, 8),
(23439, NULL, 'PIRSF036541', NULL, NULL, NULL, NULL, 'UCP036541_AIR', NULL, NULL, NULL, 8),
(23440, NULL, 'PIRSF037251', NULL, NULL, NULL, NULL, 'AADAC', NULL, NULL, NULL, 8),
(23441, NULL, 'PIRSF000019', NULL, NULL, NULL, NULL, 'Bc1_11K', NULL, NULL, NULL, 8),
(23442, NULL, 'PIRSF029681', NULL, NULL, NULL, NULL, 'PagL', NULL, NULL, NULL, 8),
(23443, NULL, 'PIRSF035808', NULL, NULL, NULL, NULL, 'Pdiesterase_Brain_239', NULL, NULL, NULL, 8),
(23444, NULL, 'PIRSF029285', NULL, NULL, NULL, NULL, 'Aminopept', NULL, NULL, NULL, 8),
(23445, NULL, 'PIRSF011844', NULL, NULL, NULL, NULL, 'Sufu', NULL, NULL, NULL, 8),
(23446, NULL, 'PIRSF036767', NULL, NULL, NULL, NULL, 'ASM-like_Pdiesterase', NULL, NULL, NULL, 8),
(23447, NULL, 'PIRSF001217', NULL, NULL, NULL, NULL, 'Protease_4_SppA', NULL, NULL, NULL, 8),
(23448, NULL, 'PIRSF000533', NULL, NULL, NULL, NULL, 'ATP_PFK_euk', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23449, NULL, 'PIRSF005047', NULL, NULL, NULL, NULL, 'UCP005047_PHP', NULL, NULL, NULL, 8),
(23450, NULL, 'PIRSF037456', NULL, NULL, NULL, NULL, 'BAMBI', NULL, NULL, NULL, 8),
(23451, NULL, 'PIRSF000192', NULL, NULL, NULL, NULL, 'Amine_dh_beta', NULL, NULL, NULL, 8),
(23452, NULL, 'PIRSF012666', NULL, NULL, NULL, NULL, 'UCP012666', NULL, NULL, NULL, 8),
(23453, NULL, 'PIRSF019236', NULL, NULL, NULL, NULL, 'UCP019236', NULL, NULL, NULL, 8),
(23454, NULL, 'PIRSF032673', NULL, NULL, NULL, NULL, 'UCP032673', NULL, NULL, NULL, 8),
(23455, NULL, 'PIRSF036411', NULL, NULL, NULL, NULL, 'ATR_PduO', NULL, NULL, NULL, 8),
(23456, NULL, 'PIRSF036534', NULL, NULL, NULL, NULL, 'EhaC', NULL, NULL, NULL, 8),
(23457, NULL, 'PIRSF038286', NULL, NULL, NULL, NULL, 'PRAME', NULL, NULL, NULL, 8),
(23458, NULL, 'PIRSF009264', NULL, NULL, NULL, NULL, 'TagBP_ald_acces_AgaZ', NULL, NULL, NULL, 8),
(23459, NULL, 'PIRSF500064', NULL, NULL, NULL, NULL, 'GPAT', NULL, NULL, NULL, 8),
(23460, NULL, 'PIRSF004640', NULL, NULL, NULL, NULL, 'IspG', NULL, NULL, NULL, 8),
(23461, NULL, 'PIRSF038055', NULL, NULL, NULL, NULL, 'Nas9_nas10_nas11', NULL, NULL, NULL, 8),
(23462, NULL, 'PIRSF028743', NULL, NULL, NULL, NULL, 'GvpO_protein', NULL, NULL, NULL, 8),
(23463, NULL, 'PIRSF032086', NULL, NULL, NULL, NULL, 'UCP032086', NULL, NULL, NULL, 8),
(23464, NULL, 'PIRSF019693', NULL, NULL, NULL, NULL, 'VAMP_assoc_prot', NULL, NULL, NULL, 8),
(23465, NULL, 'PIRSF035875', NULL, NULL, NULL, NULL, 'RNase_BN', NULL, NULL, NULL, 8),
(23466, NULL, 'PIRSF037207', NULL, NULL, NULL, NULL, 'ATE1_euk', NULL, NULL, NULL, 8),
(23467, NULL, 'PIRSF500794', NULL, NULL, NULL, NULL, 'Thiamine_transporter_1', NULL, NULL, NULL, 8),
(23468, NULL, 'PIRSF001473', NULL, NULL, NULL, NULL, 'FK506-bp_FPR3', NULL, NULL, NULL, 8),
(23469, NULL, 'PIRSF001357', NULL, NULL, NULL, NULL, 'DeoC', NULL, NULL, NULL, 8),
(23470, NULL, 'PIRSF000136', NULL, NULL, NULL, NULL, 'LGO_GLO', NULL, NULL, NULL, 8),
(23471, NULL, 'PIRSF037181', NULL, NULL, NULL, NULL, 'UCP037181', NULL, NULL, NULL, 8),
(23472, NULL, 'PIRSF001905', NULL, NULL, NULL, NULL, 'Sea_anemon_toxin', NULL, NULL, NULL, 8),
(23473, NULL, 'PIRSF032888', NULL, NULL, NULL, NULL, 'UCP032888', NULL, NULL, NULL, 8),
(23474, NULL, 'PIRSF036924', NULL, NULL, NULL, NULL, 'Snx5_Snx6', NULL, NULL, NULL, 8),
(23475, NULL, 'PIRSF000440', NULL, NULL, NULL, NULL, 'CAT', NULL, NULL, NULL, 8),
(23476, NULL, 'PIRSF030798', NULL, NULL, NULL, NULL, 'UCP030798', NULL, NULL, NULL, 8),
(23477, NULL, 'PIRSF005825', NULL, NULL, NULL, NULL, 'PufQ', NULL, NULL, NULL, 8),
(23478, NULL, 'PIRSF008315', NULL, NULL, NULL, NULL, 'UCP008315', NULL, NULL, NULL, 8),
(23479, NULL, 'PIRSF007028', NULL, NULL, NULL, NULL, 'UCP007028', NULL, NULL, NULL, 8),
(23480, NULL, 'PIRSF036517', NULL, NULL, NULL, NULL, 'Ext_hemo', NULL, NULL, NULL, 8),
(23481, NULL, 'PIRSF022950', NULL, NULL, NULL, NULL, 'Pptase_methylesteras', NULL, NULL, NULL, 8),
(23482, NULL, 'PIRSF028998', NULL, NULL, NULL, NULL, 'GINS_PSF2', NULL, NULL, NULL, 8),
(23483, NULL, 'PIRSF001553', NULL, NULL, NULL, NULL, 'SucCS_alpha', NULL, NULL, NULL, 8),
(23484, NULL, 'PIRSF036615', NULL, NULL, NULL, NULL, 'MHYT_LytTR', NULL, NULL, NULL, 8),
(23485, NULL, 'PIRSF000472', NULL, NULL, NULL, NULL, 'Alpha1_6FUT_euk', NULL, NULL, NULL, 8),
(23486, NULL, 'PIRSF000624', NULL, NULL, NULL, NULL, 'TyrPK_TMrec_ROR', NULL, NULL, NULL, 8),
(23487, NULL, 'PIRSF033563', NULL, NULL, NULL, NULL, 'UCP033563', NULL, NULL, NULL, 8),
(23488, NULL, 'PIRSF000099', NULL, NULL, NULL, NULL, 'Histidinol_dh', NULL, NULL, NULL, 8),
(23489, NULL, 'PIRSF001237', NULL, NULL, NULL, NULL, 'Dihydroorotase', NULL, NULL, NULL, 8),
(23490, NULL, 'PIRSF011416', NULL, NULL, NULL, NULL, 'Ais-TraG-AfrS', NULL, NULL, NULL, 8),
(23491, NULL, 'PIRSF030989', NULL, NULL, NULL, NULL, 'Glycoporin_RafY', NULL, NULL, NULL, 8),
(23492, NULL, 'PIRSF030125', NULL, NULL, NULL, NULL, 'UCP030125', NULL, NULL, NULL, 8); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23493, NULL, 'PIRSF037942', NULL, NULL, NULL, NULL, 'MH2A1', NULL, NULL, NULL, 8),
(23494, NULL, 'PIRSF038150', NULL, NULL, NULL, NULL, 'Metaxin', NULL, NULL, NULL, 8),
(23495, NULL, 'PIRSF006325', NULL, NULL, NULL, NULL, 'Mtase_YecO', NULL, NULL, NULL, 8),
(23496, NULL, 'PIRSF036710', NULL, NULL, NULL, NULL, 'YphA_Bacsu', NULL, NULL, NULL, 8),
(23497, NULL, 'PIRSF018234', NULL, NULL, NULL, NULL, 'Pp1_interacting', NULL, NULL, NULL, 8),
(23498, NULL, 'PIRSF026326', NULL, NULL, NULL, NULL, 'InaA', NULL, NULL, NULL, 8),
(23499, NULL, 'PIRSF031134', NULL, NULL, NULL, NULL, 'MTRK', NULL, NULL, NULL, 8),
(23500, NULL, 'PIRSF028288', NULL, NULL, NULL, NULL, 'UCP028288', NULL, NULL, NULL, 8),
(23501, NULL, 'PIRSF036407', NULL, NULL, NULL, NULL, 'SelenoP_synth', NULL, NULL, NULL, 8),
(23502, NULL, 'PIRSF037387', NULL, NULL, NULL, NULL, 'JP', NULL, NULL, NULL, 8),
(23503, NULL, 'PIRSF004967', NULL, NULL, NULL, NULL, 'DPH1', NULL, NULL, NULL, 8),
(23504, NULL, 'PIRSF006250', NULL, NULL, NULL, NULL, 'NadC_ModD', NULL, NULL, NULL, 8),
(23505, NULL, 'PIRSF010252', NULL, NULL, NULL, NULL, 'ZapC', NULL, NULL, NULL, 8),
(23506, NULL, 'PIRSF036794', NULL, NULL, NULL, NULL, 'UCP_erythr_ester', NULL, NULL, NULL, 8),
(23507, NULL, 'PIRSF017340', NULL, NULL, NULL, NULL, 'Nudix_hydro', NULL, NULL, NULL, 8),
(23508, NULL, 'PIRSF000865', NULL, NULL, NULL, NULL, 'LPL_LIPH', NULL, NULL, NULL, 8),
(23509, NULL, 'PIRSF020588', NULL, NULL, NULL, NULL, 'Flk', NULL, NULL, NULL, 8),
(23510, NULL, 'PIRSF020217', NULL, NULL, NULL, NULL, 'UCP020217', NULL, NULL, NULL, 8),
(23511, NULL, 'PIRSF026640', NULL, NULL, NULL, NULL, 'Peripl_chor_mut', NULL, NULL, NULL, 8),
(23512, NULL, 'PIRSF018871', NULL, NULL, NULL, NULL, 'UCP018871', NULL, NULL, NULL, 8),
(23513, NULL, 'PIRSF000706', NULL, NULL, NULL, NULL, 'Kanamycin_kin', NULL, NULL, NULL, 8),
(23514, NULL, 'PIRSF015848', NULL, NULL, NULL, NULL, 'TEBP_alpha', NULL, NULL, NULL, 8),
(23515, NULL, 'PIRSF036628', NULL, NULL, NULL, NULL, 'IolB', NULL, NULL, NULL, 8),
(23516, NULL, 'PIRSF005096', NULL, NULL, NULL, NULL, 'GALM', NULL, NULL, NULL, 8),
(23517, NULL, 'PIRSF016158', NULL, NULL, NULL, NULL, 'HMD', NULL, NULL, NULL, 8),
(23518, NULL, 'PIRSF004178', NULL, NULL, NULL, NULL, 'DNA_pol_Bac_phage', NULL, NULL, NULL, 8),
(23519, NULL, 'PIRSF036400', NULL, NULL, NULL, NULL, 'RR_Ctr_UCP036400', NULL, NULL, NULL, 8),
(23520, NULL, 'PIRSF006641', NULL, NULL, NULL, NULL, 'EngD', NULL, NULL, NULL, 8),
(23521, NULL, 'PIRSF005149', NULL, NULL, NULL, NULL, 'IPC-B_HD', NULL, NULL, NULL, 8),
(23522, NULL, 'PIRSF016919', NULL, NULL, NULL, NULL, 'HupE_UreJ', NULL, NULL, NULL, 8),
(23523, NULL, 'PIRSF016792', NULL, NULL, NULL, NULL, 'UCP016792', NULL, NULL, NULL, 8),
(23524, NULL, 'PIRSF037062', NULL, NULL, NULL, NULL, 'INSL6', NULL, NULL, NULL, 8),
(23525, NULL, 'PIRSF002799', NULL, NULL, NULL, NULL, 'PBP1b', NULL, NULL, NULL, 8),
(23526, NULL, 'PIRSF019711', NULL, NULL, NULL, NULL, 'Memb_prtease_arc', NULL, NULL, NULL, 8),
(23527, NULL, 'PIRSF006578', NULL, NULL, NULL, NULL, 'FwdE', NULL, NULL, NULL, 8),
(23528, NULL, 'PIRSF038141', NULL, NULL, NULL, NULL, 'PP1_12ABC_vert', NULL, NULL, NULL, 8),
(23529, NULL, 'PIRSF019271', NULL, NULL, NULL, NULL, 'Acid_Ptase_C', NULL, NULL, NULL, 8),
(23530, NULL, 'PIRSF016897', NULL, NULL, NULL, NULL, 'GlpP', NULL, NULL, NULL, 8),
(23531, NULL, 'PIRSF033095', NULL, NULL, NULL, NULL, '5NTD_SA0022', NULL, NULL, NULL, 8),
(23532, NULL, 'PIRSF037262', NULL, NULL, NULL, NULL, 'UCP037262', NULL, NULL, NULL, 8),
(23533, NULL, 'PIRSF001600', NULL, NULL, NULL, NULL, 'DNA_ligase_T3', NULL, NULL, NULL, 8),
(23534, NULL, 'PIRSF033093', NULL, NULL, NULL, NULL, 'UCP_ML1119', NULL, NULL, NULL, 8),
(23535, NULL, 'PIRSF003890', NULL, NULL, NULL, NULL, 'LigT_coronavirus', NULL, NULL, NULL, 8),
(23536, NULL, 'PIRSF001665', NULL, NULL, NULL, NULL, 'PLB', NULL, NULL, NULL, 8),
(23537, NULL, 'PIRSF001843', NULL, NULL, NULL, NULL, 'NKB', NULL, NULL, NULL, 8);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23538, NULL, 'PIRSF000161', NULL, NULL, NULL, NULL, 'DHPR', NULL, NULL, NULL, 8),
(23539, NULL, 'PIRSF029720', NULL, NULL, NULL, NULL, 'UCP029720', NULL, NULL, NULL, 8),
(23540, NULL, 'PIRSF037029', NULL, NULL, NULL, NULL, 'BAG_1', NULL, NULL, NULL, 8),
(23541, NULL, 'PIRSF000587', NULL, NULL, NULL, NULL, 'PI3K_Vps34', NULL, NULL, NULL, 8),
(23542, NULL, 'PIRSF038166', NULL, NULL, NULL, NULL, 'DMRL_synth_chloropl', NULL, NULL, NULL, 8),
(23543, NULL, 'PIRSF031066', NULL, NULL, NULL, NULL, 'SPF45', NULL, NULL, NULL, 8),
(23544, NULL, 'PIRSF001394', NULL, NULL, NULL, NULL, 'Fe_dep_fumar_hy', NULL, NULL, NULL, 8),
(23545, NULL, 'PIRSF001822', NULL, NULL, NULL, NULL, 'Dermaseptin_prec', NULL, NULL, NULL, 8),
(23546, NULL, 'PIRSF004955', NULL, NULL, NULL, NULL, 'HTH_arch', NULL, NULL, NULL, 8),
(23547, NULL, 'PIRSF037999', NULL, NULL, NULL, NULL, 'TNFR_3_LTBR', NULL, NULL, NULL, 8),
(23548, NULL, 'PIRSF015589', NULL, NULL, NULL, NULL, 'PPK_bact', NULL, NULL, NULL, 8),
(23549, NULL, 'PIRSF000726', NULL, NULL, NULL, NULL, 'Asp_kin', NULL, NULL, NULL, 8),
(23550, NULL, 'PIRSF500135', NULL, NULL, NULL, NULL, 'GDPman_DH', NULL, NULL, NULL, 8),
(23551, NULL, 'PIRSF036500', NULL, NULL, NULL, NULL, 'GMP_red_Firmic', NULL, NULL, NULL, 8),
(23552, NULL, 'PIRSF034852', NULL, NULL, NULL, NULL, 'UCP034852', NULL, NULL, NULL, 8),
(23553, NULL, 'PIRSF029611', NULL, NULL, NULL, NULL, 'UCP029611', NULL, NULL, NULL, 8),
(23554, NULL, 'PIRSF032762', NULL, NULL, NULL, NULL, 'UCP032762', NULL, NULL, NULL, 8),
(23555, NULL, 'PIRSF003698', NULL, NULL, NULL, NULL, 'VAC_C10L', NULL, NULL, NULL, 8),
(23556, NULL, 'PIRSF000103', NULL, NULL, NULL, NULL, 'HIBADH', NULL, NULL, NULL, 8),
(23557, NULL, 'PIRSF018539', NULL, NULL, NULL, NULL, 'CDT_B', NULL, NULL, NULL, 8),
(23558, NULL, 'PIRSF000817', NULL, NULL, NULL, NULL, 'Nucleotidyltrnsf', NULL, NULL, NULL, 8),
(23559, NULL, 'PIRSF006692', NULL, NULL, NULL, NULL, 'Txn_reg_HTH_AF0396', NULL, NULL, NULL, 8),
(23560, NULL, 'PIRSF016095', NULL, NULL, NULL, NULL, 'VirD2', NULL, NULL, NULL, 8),
(23561, NULL, 'PIRSF000139', NULL, NULL, NULL, NULL, 'Glc_ox_4Fe-4S', NULL, NULL, NULL, 8),
(23562, NULL, 'PIRSF021719', NULL, NULL, NULL, NULL, 'UCP021719', NULL, NULL, NULL, 8),
(23563, NULL, 'PIRSF009554', NULL, NULL, NULL, NULL, 'UCP009554', NULL, NULL, NULL, 8),
(23564, NULL, 'PIRSF026760', NULL, NULL, NULL, NULL, 'UCP026760', NULL, NULL, NULL, 8),
(23565, NULL, 'PIRSF003128', NULL, NULL, NULL, NULL, 'RecN', NULL, NULL, NULL, 8),
(23566, NULL, 'PIRSF000345', NULL, NULL, NULL, NULL, 'OLE1', NULL, NULL, NULL, 8),
(23567, NULL, 'PIRSF006864', NULL, NULL, NULL, NULL, 'UCP006864', NULL, NULL, NULL, 8),
(23568, NULL, 'PIRSF038159', NULL, NULL, NULL, NULL, 'PP1_16AB', NULL, NULL, NULL, 8),
(23569, NULL, 'PIRSF005962', NULL, NULL, NULL, NULL, 'Amidohydrol_AmhX', NULL, NULL, NULL, 8),
(23570, NULL, 'PIRSF500808', NULL, NULL, NULL, NULL, 'PTPR_alpha', NULL, NULL, NULL, 8),
(23571, NULL, 'PIRSF500824', NULL, NULL, NULL, NULL, 'TrpB_prok', NULL, NULL, NULL, 8),
(23572, NULL, 'PIRSF004762', NULL, NULL, NULL, NULL, 'COFH', NULL, NULL, NULL, 8),
(23573, NULL, 'PIRSF012641', NULL, NULL, NULL, NULL, 'UCP012641', NULL, NULL, NULL, 8),
(23574, NULL, 'PIRSF038085', NULL, NULL, NULL, NULL, 'ChM-II', NULL, NULL, NULL, 8),
(23575, NULL, 'PIRSF036620', NULL, NULL, NULL, NULL, 'MPTbdFAD', NULL, NULL, NULL, 8),
(23576, NULL, 'PIRSF038215', NULL, NULL, NULL, NULL, 'Cripto-3_rel', NULL, NULL, NULL, 8),
(23577, NULL, 'PIRSF028065', NULL, NULL, NULL, NULL, 'UCP028065', NULL, NULL, NULL, 8),
(23578, NULL, 'PIRSF037113', NULL, NULL, NULL, NULL, 'Yin_yang', NULL, NULL, NULL, 8),
(23579, NULL, 'PIRSF005225', NULL, NULL, NULL, NULL, 'LAG1_LAC1', NULL, NULL, NULL, 8),
(23580, NULL, 'PIRSF000189', NULL, NULL, NULL, NULL, 'D-aa_oxidase', NULL, NULL, NULL, 8),
(23581, NULL, 'PIRSF033094', NULL, NULL, NULL, NULL, 'Pesterase_CT488', NULL, NULL, NULL, 8),
(23582, NULL, 'PIRSF027779', NULL, NULL, NULL, NULL, 'UCP207779', NULL, NULL, NULL, 8);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23583, NULL, 'PIRSF037185', NULL, NULL, NULL, NULL, 'Cetp', NULL, NULL, NULL, 8),
(23584, NULL, 'PIRSF028431', NULL, NULL, NULL, NULL, 'UCP028431', NULL, NULL, NULL, 8),
(23585, NULL, 'PIRSF004440', NULL, NULL, NULL, NULL, 'GpP', NULL, NULL, NULL, 8),
(23586, NULL, 'PIRSF011282', NULL, NULL, NULL, NULL, 'Synaptogyrin', NULL, NULL, NULL, 8),
(23587, NULL, 'PIRSF032676', NULL, NULL, NULL, NULL, 'PQQC_032676', NULL, NULL, NULL, 8),
(23588, NULL, 'PIRSF022348', NULL, NULL, NULL, NULL, 'UCP022348', NULL, NULL, NULL, 8),
(23589, NULL, 'PIRSF001069', NULL, NULL, NULL, NULL, 'Lytic_enz_p15', NULL, NULL, NULL, 8),
(23590, NULL, 'PIRSF008756', NULL, NULL, NULL, NULL, 'P_tr_PHO88', NULL, NULL, NULL, 8),
(23591, NULL, 'PIRSF500126', NULL, NULL, NULL, NULL, 'Pgk_euglenozoa', NULL, NULL, NULL, 8),
(23592, NULL, 'PIRSF003073', NULL, NULL, NULL, NULL, 'DNAC_TnpB_IstB', NULL, NULL, NULL, 8),
(23593, NULL, 'PIRSF037578', NULL, NULL, NULL, NULL, 'MAPKKK_STE11_Cryp', NULL, NULL, NULL, 8),
(23594, NULL, 'PIRSF016468', NULL, NULL, NULL, NULL, 'RDS3p', NULL, NULL, NULL, 8),
(23595, NULL, 'PIRSF006205', NULL, NULL, NULL, NULL, 'Dxp_reductoisomrs', NULL, NULL, NULL, 8),
(23596, NULL, 'PIRSF002900', NULL, NULL, NULL, NULL, 'LH-2', NULL, NULL, NULL, 8),
(23597, NULL, 'PIRSF004374', NULL, NULL, NULL, NULL, 'Gp59', NULL, NULL, NULL, 8),
(23598, NULL, 'PIRSF037290', NULL, NULL, NULL, NULL, 'UCP037290', NULL, NULL, NULL, 8),
(23599, NULL, 'PIRSF015588', NULL, NULL, NULL, NULL, 'AP_complex_sigma', NULL, NULL, NULL, 8),
(23600, NULL, 'PIRSF028235', NULL, NULL, NULL, NULL, 'UCP028235', NULL, NULL, NULL, 8),
(23601, NULL, 'PIRSF025624', NULL, NULL, NULL, NULL, 'ACT_PheB', NULL, NULL, NULL, 8),
(23602, NULL, 'PIRSF027153', NULL, NULL, NULL, NULL, 'NNF1', NULL, NULL, NULL, 8),
(23603, NULL, 'PIRSF028162', NULL, NULL, NULL, NULL, 'BcbE', NULL, NULL, NULL, 8),
(23604, NULL, 'PIRSF001002', NULL, NULL, NULL, NULL, 'EcoRI', NULL, NULL, NULL, 8),
(23605, NULL, 'PIRSF015897', NULL, NULL, NULL, NULL, 'PRIB5', NULL, NULL, NULL, 8),
(23606, NULL, 'PIRSF016482', NULL, NULL, NULL, NULL, 'PilO', NULL, NULL, NULL, 8),
(23607, NULL, 'PIRSF000368', NULL, NULL, NULL, NULL, 'Anaer_RNR_III_small', NULL, NULL, NULL, 8),
(23608, NULL, 'PIRSF003440', NULL, NULL, NULL, NULL, 'UCP003440', NULL, NULL, NULL, 8),
(23609, NULL, 'PIRSF038019', NULL, NULL, NULL, NULL, 'Neurexophilin', NULL, NULL, NULL, 8),
(23610, NULL, 'PIRSF015034', NULL, NULL, NULL, NULL, 'YacH', NULL, NULL, NULL, 8),
(23611, NULL, 'PIRSF005925', NULL, NULL, NULL, NULL, 'Dos', NULL, NULL, NULL, 8),
(23612, NULL, 'PIRSF001444', NULL, NULL, NULL, NULL, 'Adenylate_cycl', NULL, NULL, NULL, 8),
(23613, NULL, 'PIRSF029826', NULL, NULL, NULL, NULL, 'UCP029826_pph', NULL, NULL, NULL, 8),
(23614, NULL, 'PIRSF001586', NULL, NULL, NULL, NULL, 'FGAM_synth_I', NULL, NULL, NULL, 8),
(23615, NULL, 'PIRSF000097', NULL, NULL, NULL, NULL, 'AKR', NULL, NULL, NULL, 8),
(23616, NULL, 'PIRSF029595', NULL, NULL, NULL, NULL, 'LecB', NULL, NULL, NULL, 8),
(23617, NULL, 'PIRSF007531', NULL, NULL, NULL, NULL, 'CPT', NULL, NULL, NULL, 8),
(23618, NULL, 'PIRSF016055', NULL, NULL, NULL, NULL, 'NqrB', NULL, NULL, NULL, 8),
(23619, NULL, 'PIRSF036480', NULL, NULL, NULL, NULL, 'FormyFH4_hydr', NULL, NULL, NULL, 8),
(23620, NULL, 'PIRSF037177', NULL, NULL, NULL, NULL, 'COMT_euk', NULL, NULL, NULL, 8),
(23621, NULL, 'PIRSF038994', NULL, NULL, NULL, NULL, 'NagA', NULL, NULL, NULL, 8),
(23622, NULL, 'PIRSF005567', NULL, NULL, NULL, NULL, 'Beta''-COP', NULL, NULL, NULL, 8),
(23623, NULL, 'PIRSF005246', NULL, NULL, NULL, NULL, 'MukB', NULL, NULL, NULL, 8),
(23624, NULL, 'PIRSF006563', NULL, NULL, NULL, NULL, 'UCP006563', NULL, NULL, NULL, 8),
(23625, NULL, 'PIRSF010361', NULL, NULL, NULL, NULL, 'UCP010361', NULL, NULL, NULL, 8),
(23626, NULL, 'PIRSF005335', NULL, NULL, NULL, NULL, 'CCA_arch', NULL, NULL, NULL, 8),
(23627, NULL, 'PIRSF011360', NULL, NULL, NULL, NULL, 'PVC2', NULL, NULL, NULL, 8);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23628, NULL, 'PIRSF006815', NULL, NULL, NULL, NULL, 'GcvPA', NULL, NULL, NULL, 8),
(23629, NULL, 'PIRSF026317', NULL, NULL, NULL, NULL, 'UCP026317_WGR', NULL, NULL, NULL, 8),
(23630, NULL, 'PIRSF000709', NULL, NULL, NULL, NULL, '6PFK_fruc_bisph_Ptase', NULL, NULL, NULL, 8),
(23631, NULL, 'PIRSF019029', NULL, NULL, NULL, NULL, 'Txn_fac_bZIP_E4BP4', NULL, NULL, NULL, 8),
(23632, NULL, 'PIRSF000604', NULL, NULL, NULL, NULL, 'TyrPK_SYK', NULL, NULL, NULL, 8),
(23633, NULL, 'PIRSF037053', NULL, NULL, NULL, NULL, 'UCP037053', NULL, NULL, NULL, 8),
(23634, NULL, 'PIRSF008292', NULL, NULL, NULL, NULL, 'UCP008292', NULL, NULL, NULL, 8),
(23635, NULL, 'PIRSF002379', NULL, NULL, NULL, NULL, 'Coagulogen', NULL, NULL, NULL, 8),
(23636, NULL, 'PIRSF037038', NULL, NULL, NULL, NULL, 'Bombyxin', NULL, NULL, NULL, 8),
(23637, NULL, 'PIRSF000197', NULL, NULL, NULL, NULL, 'Bifunct_PutA', NULL, NULL, NULL, 8),
(23638, NULL, 'PIRSF037938', NULL, NULL, NULL, NULL, 'SIR2_euk', NULL, NULL, NULL, 8),
(23639, NULL, 'PIRSF005087', NULL, NULL, NULL, NULL, 'NrdI', NULL, NULL, NULL, 8),
(23640, NULL, 'PIRSF018008', NULL, NULL, NULL, NULL, 'UCP018008', NULL, NULL, NULL, 8),
(23641, NULL, 'PIRSF026579', NULL, NULL, NULL, NULL, 'SpoVT', NULL, NULL, NULL, 8),
(23642, NULL, 'PIRSF036999', NULL, NULL, NULL, NULL, 'RNA_ed_MP42', NULL, NULL, NULL, 8),
(23643, NULL, 'PIRSF038925', NULL, NULL, NULL, NULL, 'AMP-prot_trans', NULL, NULL, NULL, 8),
(23644, NULL, 'PIRSF005765', NULL, NULL, NULL, NULL, 'Fib-L', NULL, NULL, NULL, 8),
(23645, NULL, 'PIRSF000340', NULL, NULL, NULL, NULL, 'MPO_fungal', NULL, NULL, NULL, 8),
(23646, NULL, 'PIRSF009431', NULL, NULL, NULL, NULL, 'UCP009431', NULL, NULL, NULL, 8),
(23647, NULL, 'PIRSF018100', NULL, NULL, NULL, NULL, 'CsgC', NULL, NULL, NULL, 8),
(23648, NULL, 'PIRSF009309', NULL, NULL, NULL, NULL, 'RE_BamHI', NULL, NULL, NULL, 8),
(23649, NULL, 'PIRSF016642', NULL, NULL, NULL, NULL, 'UCP016642', NULL, NULL, NULL, 8),
(23650, NULL, 'PIRSF001814', NULL, NULL, NULL, NULL, 'Somatostatin', NULL, NULL, NULL, 8),
(23651, NULL, 'PIRSF037092', NULL, NULL, NULL, NULL, 'AP3_delta', NULL, NULL, NULL, 8),
(23652, NULL, 'PIRSF000609', NULL, NULL, NULL, NULL, 'STPK_YKL116c', NULL, NULL, NULL, 8),
(23653, NULL, 'PIRSF006846', NULL, NULL, NULL, NULL, 'UL5', NULL, NULL, NULL, 8),
(23654, NULL, 'PIRSF037289', NULL, NULL, NULL, NULL, 'SARA/endofin', NULL, NULL, NULL, 8),
(23655, NULL, 'PIRSF014728', NULL, NULL, NULL, NULL, 'PqaA', NULL, NULL, NULL, 8),
(23656, NULL, 'PIRSF009375', NULL, NULL, NULL, NULL, 'Retromer_Vps35', NULL, NULL, NULL, 8),
(23657, NULL, 'PIRSF036490', NULL, NULL, NULL, NULL, 'Aldedh_dupl', NULL, NULL, NULL, 8),
(23658, NULL, 'PIRSF037847', NULL, NULL, NULL, NULL, 'NiaR', NULL, NULL, NULL, 8),
(23659, NULL, 'PIRSF039137', NULL, NULL, NULL, NULL, 'ABC_branched_ATPase', NULL, NULL, NULL, 8),
(23660, NULL, 'PIRSF006156', NULL, NULL, NULL, NULL, 'YafQ', NULL, NULL, NULL, 8),
(23661, NULL, 'PIRSF017259', NULL, NULL, NULL, NULL, 'tRNA_Mtase_TRM11', NULL, NULL, NULL, 8),
(23662, NULL, 'PIRSF038013', NULL, NULL, NULL, NULL, 'TNF10_TNF11', NULL, NULL, NULL, 8),
(23663, NULL, 'PIRSF000905', NULL, NULL, NULL, NULL, 'G6Pase', NULL, NULL, NULL, 8),
(23664, NULL, 'PIRSF006188', NULL, NULL, NULL, NULL, 'UCP006188', NULL, NULL, NULL, 8),
(23665, NULL, 'PIRSF014677', NULL, NULL, NULL, NULL, 'UCP014677', NULL, NULL, NULL, 8),
(23666, NULL, 'PIRSF006221', NULL, NULL, NULL, NULL, 'KT3K', NULL, NULL, NULL, 8),
(23667, NULL, 'PIRSF033111', NULL, NULL, NULL, NULL, 'UCP033111', NULL, NULL, NULL, 8),
(23668, NULL, 'PIRSF036238', NULL, NULL, NULL, NULL, 'UCP036238', NULL, NULL, NULL, 8),
(23669, NULL, 'PIRSF000459', NULL, NULL, NULL, NULL, 'TGM_EBP42', NULL, NULL, NULL, 8),
(23670, NULL, 'PIRSF000087', NULL, NULL, NULL, NULL, 'PYP', NULL, NULL, NULL, 8),
(23671, NULL, 'PIRSF004848', NULL, NULL, NULL, NULL, 'YBL036c_PLPDEIII', NULL, NULL, NULL, 8),
(23672, NULL, 'PIRSF029008', NULL, NULL, NULL, NULL, 'MecA', NULL, NULL, NULL, 8);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23673, NULL, 'PIRSF038168', NULL, NULL, NULL, NULL, 'MAPKKK7', NULL, NULL, NULL, 8),
(23674, NULL, 'PIRSF006246', NULL, NULL, NULL, NULL, 'ADC', NULL, NULL, NULL, 8),
(23675, NULL, 'PIRSF001734', NULL, NULL, NULL, NULL, 'BRCA1', NULL, NULL, NULL, 8),
(23676, NULL, 'PIRSF019634', NULL, NULL, NULL, NULL, 'tRNA_lig_yeast', NULL, NULL, NULL, 8),
(23677, NULL, 'PIRSF020372', NULL, NULL, NULL, NULL, 'Rev_Borrelia', NULL, NULL, NULL, 8),
(23678, NULL, 'PIRSF001112', NULL, NULL, NULL, NULL, 'Epoxide_hydro', NULL, NULL, NULL, 8),
(23679, NULL, 'PIRSF006485', NULL, NULL, NULL, NULL, 'EngA', NULL, NULL, NULL, 8),
(23680, NULL, 'PIRSF018579', NULL, NULL, NULL, NULL, 'Sbp', NULL, NULL, NULL, 8),
(23681, NULL, 'PIRSF030365', NULL, NULL, NULL, NULL, 'UCP030365', NULL, NULL, NULL, 8),
(23682, NULL, 'PIRSF013217', NULL, NULL, NULL, NULL, 'UCP013217_Opy1', NULL, NULL, NULL, 8),
(23683, NULL, 'PIRSF002111', NULL, NULL, NULL, NULL, 'RpsA', NULL, NULL, NULL, 8),
(23684, NULL, 'PIRSF036654', NULL, NULL, NULL, NULL, 'Fum_suc_asp_HD', NULL, NULL, NULL, 8),
(23685, NULL, 'PIRSF032285', NULL, NULL, NULL, NULL, 'UCP032285', NULL, NULL, NULL, 8),
(23686, NULL, 'PIRSF021278', NULL, NULL, NULL, NULL, 'AcuA', NULL, NULL, NULL, 8),
(23687, NULL, 'PIRSF016305', NULL, NULL, NULL, NULL, 'LCMT', NULL, NULL, NULL, 8),
(23688, NULL, 'PIRSF019375', NULL, NULL, NULL, NULL, 'UCP019375', NULL, NULL, NULL, 8),
(23689, NULL, 'PIRSF031505', NULL, NULL, NULL, NULL, 'GalT_short', NULL, NULL, NULL, 8),
(23690, NULL, 'PIRSF000454', NULL, NULL, NULL, NULL, 'FAS_yeast_alpha', NULL, NULL, NULL, 8),
(23691, NULL, 'PIRSF017306', NULL, NULL, NULL, NULL, 'Ureidoglycolate_hydrolase', NULL, NULL, NULL, 8),
(23692, NULL, 'PIRSF006293', NULL, NULL, NULL, NULL, 'ExsB', NULL, NULL, NULL, 8),
(23693, NULL, 'PIRSF036778', NULL, NULL, NULL, NULL, 'UCP036778', NULL, NULL, NULL, 8),
(23694, NULL, 'PIRSF015947', NULL, NULL, NULL, NULL, '26S_protsm_Rpn2', NULL, NULL, NULL, 8),
(23695, NULL, 'PIRSF018153', NULL, NULL, NULL, NULL, 'Glycolip_mannosyltransf_fung', NULL, NULL, NULL, 8),
(23696, NULL, 'PIRSF000876', NULL, NULL, NULL, NULL, 'RR_chemtxs_CheB', NULL, NULL, NULL, 8),
(23697, NULL, 'PIRSF005852', NULL, NULL, NULL, NULL, 'UCP005852', NULL, NULL, NULL, 8),
(23698, NULL, 'PIRSF003817', NULL, NULL, NULL, NULL, 'Gen_Poly_FLV', NULL, NULL, NULL, 8),
(23699, NULL, 'PIRSF035170', NULL, NULL, NULL, NULL, 'HD_phosphohydro', NULL, NULL, NULL, 8),
(23700, NULL, 'PIRSF003841', NULL, NULL, NULL, NULL, 'Gypsy_env', NULL, NULL, NULL, 8),
(23701, NULL, 'PIRSF016570', NULL, NULL, NULL, NULL, 'Ku80', NULL, NULL, NULL, 8),
(23702, NULL, 'PIRSF030471', NULL, NULL, NULL, NULL, 'STR_Vng0742h', NULL, NULL, NULL, 8),
(23703, NULL, 'PIRSF027893', NULL, NULL, NULL, NULL, 'UCP027893', NULL, NULL, NULL, 8),
(23704, NULL, 'PIRSF008109', NULL, NULL, NULL, NULL, 'RFamide_ACEP-1', NULL, NULL, NULL, 8),
(23705, NULL, 'PIRSF500206', NULL, NULL, NULL, NULL, 'MtrH', NULL, NULL, NULL, 8),
(23706, NULL, 'PIRSF005461', NULL, NULL, NULL, NULL, '23S_rRNA_mtase', NULL, NULL, NULL, 8),
(23707, NULL, 'PIRSF006444', NULL, NULL, NULL, NULL, 'PaaK', NULL, NULL, NULL, 8),
(23708, NULL, 'PIRSF001992', NULL, NULL, NULL, NULL, 'CD74_antigen', NULL, NULL, NULL, 8),
(23709, NULL, 'PIRSF009328', NULL, NULL, NULL, NULL, 'RMT_SET', NULL, NULL, NULL, 8),
(23710, NULL, 'PIRSF031568', NULL, NULL, NULL, NULL, 'UCP031568', NULL, NULL, NULL, 8),
(23711, NULL, 'PIRSF038007', NULL, NULL, NULL, NULL, 'IL-12B', NULL, NULL, NULL, 8),
(23712, NULL, 'PIRSF001137', NULL, NULL, NULL, NULL, 'Haptoglobin', NULL, NULL, NULL, 8),
(23713, NULL, 'PIRSF011588', NULL, NULL, NULL, NULL, 'Gly_sarc_betain_reduct_a_b', NULL, NULL, NULL, 8),
(23714, NULL, 'PIRSF036506', NULL, NULL, NULL, NULL, 'MtRNA_frt_NDPSE', NULL, NULL, NULL, 8),
(23715, NULL, 'PIRSF000484', NULL, NULL, NULL, NULL, 'NAPRT', NULL, NULL, NULL, 8),
(23716, NULL, 'PIRSF009193', NULL, NULL, NULL, NULL, 'UCP009193', NULL, NULL, NULL, 8); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23717, NULL, 'PIRSF015901', NULL, NULL, NULL, NULL, 'NAC_alpha', NULL, NULL, NULL, 8),
(23718, NULL, 'PIRSF007349', NULL, NULL, NULL, NULL, 'Tsp_L', NULL, NULL, NULL, 8),
(23719, NULL, 'PIRSF013503', NULL, NULL, NULL, NULL, 'OTUB', NULL, NULL, NULL, 8),
(23720, NULL, 'PIRSF021438', NULL, NULL, NULL, NULL, 'DltD', NULL, NULL, NULL, 8),
(23721, NULL, 'PIRSF003783', NULL, NULL, NULL, NULL, 'VAC_C1L', NULL, NULL, NULL, 8),
(23722, NULL, 'PIRSF030066', NULL, NULL, NULL, NULL, 'UCP030066', NULL, NULL, NULL, 8),
(23723, NULL, 'PIRSF001779', NULL, NULL, NULL, NULL, 'GF_C11R', NULL, NULL, NULL, 8),
(23724, NULL, 'PIRSF009376', NULL, NULL, NULL, NULL, 'PLD_euk', NULL, NULL, NULL, 8),
(23725, NULL, 'PIRSF015477', NULL, NULL, NULL, NULL, 'Bpr', NULL, NULL, NULL, 8),
(23726, NULL, 'PIRSF000451', NULL, NULL, NULL, NULL, 'PKS_III', NULL, NULL, NULL, 8),
(23727, NULL, 'PIRSF029883', NULL, NULL, NULL, NULL, 'KdgF', NULL, NULL, NULL, 8),
(23728, NULL, 'PIRSF037240', NULL, NULL, NULL, NULL, 'MAF1', NULL, NULL, NULL, 8),
(23729, NULL, 'PIRSF000620', NULL, NULL, NULL, NULL, 'Insulin_receptor', NULL, NULL, NULL, 8),
(23730, NULL, 'PIRSF007808', NULL, NULL, NULL, NULL, 'Mms22p', NULL, NULL, NULL, 8),
(23731, NULL, 'PIRSF000770', NULL, NULL, NULL, NULL, 'SigK_SigE', NULL, NULL, NULL, 8),
(23732, NULL, 'PIRSF016465', NULL, NULL, NULL, NULL, 'Kapp', NULL, NULL, NULL, 8),
(23733, NULL, 'PIRSF030175', NULL, NULL, NULL, NULL, 'UCP030175', NULL, NULL, NULL, 8),
(23734, NULL, 'PIRSF001155', NULL, NULL, NULL, NULL, 'C1r_C1s_MASP', NULL, NULL, NULL, 8),
(23735, NULL, 'PIRSF037259', NULL, NULL, NULL, NULL, 'ABC_permease_EcsB', NULL, NULL, NULL, 8),
(23736, NULL, 'PIRSF018425', NULL, NULL, NULL, NULL, 'PolyA_polymerase', NULL, NULL, NULL, 8),
(23737, NULL, 'PIRSF031032', NULL, NULL, NULL, NULL, 'TMP_97', NULL, NULL, NULL, 8),
(23738, NULL, 'PIRSF031578', NULL, NULL, NULL, NULL, 'UCP0310578_VanZ', NULL, NULL, NULL, 8),
(23739, NULL, 'PIRSF004574', NULL, NULL, NULL, NULL, 'RepA4', NULL, NULL, NULL, 8),
(23740, NULL, 'PIRSF006755', NULL, NULL, NULL, NULL, 'DTB_synth', NULL, NULL, NULL, 8),
(23741, NULL, 'PIRSF012526', NULL, NULL, NULL, NULL, 'CYTH_UCP012526', NULL, NULL, NULL, 8),
(23742, NULL, 'PIRSF004075', NULL, NULL, NULL, NULL, 'Coat_Flexivir', NULL, NULL, NULL, 8),
(23743, NULL, 'PIRSF001790', NULL, NULL, NULL, NULL, 'TNF_C22L', NULL, NULL, NULL, 8),
(23744, NULL, 'PIRSF038165', NULL, NULL, NULL, NULL, 'MAPKKK12_MAPKKK13', NULL, NULL, NULL, 8),
(23745, NULL, 'PIRSF019853', NULL, NULL, NULL, NULL, 'UCP019853', NULL, NULL, NULL, 8),
(23746, NULL, 'PIRSF000854', NULL, NULL, NULL, NULL, 'PEP_synthase', NULL, NULL, NULL, 8),
(23747, NULL, 'PIRSF017302', NULL, NULL, NULL, NULL, 'Gltscr2', NULL, NULL, NULL, 8),
(23748, NULL, 'PIRSF004698', NULL, NULL, NULL, NULL, 'UCP_CBS_MJ0100', NULL, NULL, NULL, 8),
(23749, NULL, 'PIRSF002912', NULL, NULL, NULL, NULL, 'PsaK', NULL, NULL, NULL, 8),
(23750, NULL, 'PIRSF037673', NULL, NULL, NULL, NULL, 'UCP037673', NULL, NULL, NULL, 8),
(23751, NULL, 'PIRSF006373', NULL, NULL, NULL, NULL, 'TFE_archaea', NULL, NULL, NULL, 8),
(23752, NULL, 'PIRSF036409', NULL, NULL, NULL, NULL, 'EutP_PduV', NULL, NULL, NULL, 8),
(23753, NULL, 'PIRSF037966', NULL, NULL, NULL, NULL, 'BZLF1', NULL, NULL, NULL, 8),
(23754, NULL, 'PIRSF014300', NULL, NULL, NULL, NULL, 'Protoglobin', NULL, NULL, NULL, 8),
(23755, NULL, 'PIRSF037646', NULL, NULL, NULL, NULL, 'Apaf_1', NULL, NULL, NULL, 8),
(23756, NULL, 'PIRSF018557', NULL, NULL, NULL, NULL, 'DAN', NULL, NULL, NULL, 8),
(23757, NULL, 'PIRSF002936', NULL, NULL, NULL, NULL, 'SAT_2', NULL, NULL, NULL, 8),
(23758, NULL, 'PIRSF000857', NULL, NULL, NULL, NULL, 'PAPS_reductase', NULL, NULL, NULL, 8),
(23759, NULL, 'PIRSF001145', NULL, NULL, NULL, NULL, 'Tissue_plasm_act', NULL, NULL, NULL, 8),
(23760, NULL, 'PIRSF002394', NULL, NULL, NULL, NULL, 'GNBP_B', NULL, NULL, NULL, 8),
(23761, NULL, 'PIRSF004602', NULL, NULL, NULL, NULL, 'ATPgrasp_PurP', NULL, NULL, NULL, 8);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23762, NULL, 'PIRSF004108', NULL, NULL, NULL, NULL, 'Coat_Tenuivirus', NULL, NULL, NULL, 8),
(23763, NULL, 'PIRSF028784', NULL, NULL, NULL, NULL, 'MrpF', NULL, NULL, NULL, 8),
(23764, NULL, 'PIRSF001625', NULL, NULL, NULL, NULL, 'Prot_inhib_pacifastin', NULL, NULL, NULL, 8),
(23765, NULL, 'PIRSF033905', NULL, NULL, NULL, NULL, 'UCP033905', NULL, NULL, NULL, 8),
(23766, NULL, 'PIRSF033018', NULL, NULL, NULL, NULL, 'EspD', NULL, NULL, NULL, 8),
(23767, NULL, 'PIRSF034110', NULL, NULL, NULL, NULL, 'UCP034110', NULL, NULL, NULL, 8),
(23768, NULL, 'PIRSF000370', NULL, NULL, NULL, NULL, 'QueE', NULL, NULL, NULL, 8),
(23769, NULL, 'PIRSF000862', NULL, NULL, NULL, NULL, 'Steryl_ester_lip', NULL, NULL, NULL, 8),
(23770, NULL, 'PIRSF000501', NULL, NULL, NULL, NULL, 'DHPS_Campy', NULL, NULL, NULL, 8),
(23771, NULL, 'PIRSF027923', NULL, NULL, NULL, NULL, 'Rubrer_027923', NULL, NULL, NULL, 8),
(23772, NULL, 'PIRSF005989', NULL, NULL, NULL, NULL, 'Ectatomin', NULL, NULL, NULL, 8),
(23773, NULL, 'PIRSF001000', NULL, NULL, NULL, NULL, 'PDG_ENDV', NULL, NULL, NULL, 8),
(23774, NULL, 'PIRSF003033', NULL, NULL, NULL, NULL, 'Ku70', NULL, NULL, NULL, 8),
(23775, NULL, 'PIRSF016134', NULL, NULL, NULL, NULL, 'UCP016134', NULL, NULL, NULL, 8),
(23776, NULL, 'PIRSF019202', NULL, NULL, NULL, NULL, 'UCP019202', NULL, NULL, NULL, 8),
(23777, NULL, 'PIRSF006521', NULL, NULL, NULL, NULL, 'TEF-1-beta_archaea', NULL, NULL, NULL, 8),
(23778, NULL, 'PIRSF038157', NULL, NULL, NULL, NULL, 'Cpn21', NULL, NULL, NULL, 8),
(23779, NULL, 'PIRSF002530', NULL, NULL, NULL, NULL, 'FTZ-F1', NULL, NULL, NULL, 8),
(23780, NULL, 'PIRSF004897', NULL, NULL, NULL, NULL, 'UCP004897_ACT', NULL, NULL, NULL, 8),
(23781, NULL, 'PIRSF038098', NULL, NULL, NULL, NULL, 'SOX-12/11/4a', NULL, NULL, NULL, 8),
(23782, NULL, 'PIRSF037828', NULL, NULL, NULL, NULL, 'SAP', NULL, NULL, NULL, 8),
(23783, NULL, 'PIRSF000631', NULL, NULL, NULL, NULL, 'TyrPK_receptor_Ret', NULL, NULL, NULL, 8),
(23784, NULL, 'PIRSF018748', NULL, NULL, NULL, NULL, 'UCP018748', NULL, NULL, NULL, 8),
(23785, NULL, 'PIRSF000853', NULL, NULL, NULL, NULL, 'PPDK', NULL, NULL, NULL, 8),
(23786, NULL, 'PIRSF033132', NULL, NULL, NULL, NULL, 'UCP033132', NULL, NULL, NULL, 8),
(23787, NULL, 'PIRSF031051', NULL, NULL, NULL, NULL, 'PLP_phosphatas_PHOSPHO2', NULL, NULL, NULL, 8),
(23788, NULL, 'PIRSF006698', NULL, NULL, NULL, NULL, 'Septin', NULL, NULL, NULL, 8),
(23789, NULL, 'PIRSF037931', NULL, NULL, NULL, NULL, 'TMPRSS9_polyserase-1', NULL, NULL, NULL, 8),
(23790, NULL, 'PIRSF031475', NULL, NULL, NULL, NULL, 'UCP031475', NULL, NULL, NULL, 8),
(23791, NULL, 'PIRSF009374', NULL, NULL, NULL, NULL, 'RUNX_CBFa', NULL, NULL, NULL, 8),
(23792, NULL, 'PIRSF004117', NULL, NULL, NULL, NULL, 'Phage_coat_B', NULL, NULL, NULL, 8),
(23793, NULL, 'PIRSF037125', NULL, NULL, NULL, NULL, 'Nob1', NULL, NULL, NULL, 8),
(23794, NULL, 'PIRSF032522', NULL, NULL, NULL, NULL, 'TcaA', NULL, NULL, NULL, 8),
(23795, NULL, 'PIRSF029900', NULL, NULL, NULL, NULL, 'Alpha-glucuronds', NULL, NULL, NULL, 8),
(23796, NULL, 'PIRSF006909', NULL, NULL, NULL, NULL, 'UCP006909', NULL, NULL, NULL, 8),
(23797, NULL, 'PIRSF500687', NULL, NULL, NULL, NULL, 'MTase_demethylubiq_bact', NULL, NULL, NULL, 8),
(23798, NULL, 'PIRSF028503', NULL, NULL, NULL, NULL, 'UCP028503', NULL, NULL, NULL, 8),
(23799, NULL, 'PIRSF012702', NULL, NULL, NULL, NULL, 'MlrC', NULL, NULL, NULL, 8),
(23800, NULL, 'PIRSF028810', NULL, NULL, NULL, NULL, 'Alg10', NULL, NULL, NULL, 8),
(23801, NULL, 'PIRSF032543', NULL, NULL, NULL, NULL, 'UCP032543_ParB', NULL, NULL, NULL, 8),
(23802, NULL, 'PIRSF038927', NULL, NULL, NULL, NULL, 'Catalase_clade2', NULL, NULL, NULL, 8),
(23803, NULL, 'PIRSF016049', NULL, NULL, NULL, NULL, 'Mann_dehydr_UxuA', NULL, NULL, NULL, 8),
(23804, NULL, 'PIRSF028687', NULL, NULL, NULL, NULL, 'UCP028687', NULL, NULL, NULL, 8),
(23805, NULL, 'PIRSF000204', NULL, NULL, NULL, NULL, 'PNTB', NULL, NULL, NULL, 8);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23806, NULL, 'PIRSF016564', NULL, NULL, NULL, NULL, 'NDUS6', NULL, NULL, NULL, 8),
(23807, NULL, 'PIRSF003167', NULL, NULL, NULL, NULL, 'HK_NarX/NarQ', NULL, NULL, NULL, 8),
(23808, NULL, 'PIRSF015557', NULL, NULL, NULL, NULL, 'UCP015557', NULL, NULL, NULL, 8),
(23809, NULL, 'PIRSF008129', NULL, NULL, NULL, NULL, 'Noggin', NULL, NULL, NULL, 8),
(23810, NULL, 'PIRSF020870', NULL, NULL, NULL, NULL, 'Radical_SAM_bac', NULL, NULL, NULL, 8),
(23811, NULL, 'PIRSF031503', NULL, NULL, NULL, NULL, 'UCP031503_mp', NULL, NULL, NULL, 8),
(23812, NULL, 'PIRSF037945', NULL, NULL, NULL, NULL, 'PGRP-S', NULL, NULL, NULL, 8),
(23813, NULL, 'PIRSF004567', NULL, NULL, NULL, NULL, 'TnsE', NULL, NULL, NULL, 8),
(23814, NULL, 'PIRSF037221', NULL, NULL, NULL, NULL, 'UCP037221', NULL, NULL, NULL, 8),
(23815, NULL, 'PIRSF018162', NULL, NULL, NULL, NULL, 'TRAMP_AIR', NULL, NULL, NULL, 8),
(23816, NULL, 'PIRSF007059', NULL, NULL, NULL, NULL, 'ComD', NULL, NULL, NULL, 8),
(23817, NULL, 'PIRSF016398', NULL, NULL, NULL, NULL, 'TFIIE-beta', NULL, NULL, NULL, 8),
(23818, NULL, 'PIRSF037495', NULL, NULL, NULL, NULL, 'OoxA/HcnB', NULL, NULL, NULL, 8),
(23819, NULL, 'PIRSF500230', NULL, NULL, NULL, NULL, 'Sterol_acyltranf_ACAT', NULL, NULL, NULL, 8),
(23820, NULL, 'PIRSF033642', NULL, NULL, NULL, NULL, 'UCP033642', NULL, NULL, NULL, 8),
(23821, NULL, 'PIRSF002297', NULL, NULL, NULL, NULL, 'Spectrin_beta', NULL, NULL, NULL, 8),
(23822, NULL, 'PIRSF001362', NULL, NULL, NULL, NULL, 'ICL', NULL, NULL, NULL, 8),
(23823, NULL, 'PIRSF036665', NULL, NULL, NULL, NULL, 'Sulf1', NULL, NULL, NULL, 8),
(23824, NULL, 'PIRSF037893', NULL, NULL, NULL, NULL, 'Subtilisin_rel_Maqu_2796', NULL, NULL, NULL, 8),
(23825, NULL, 'PIRSF036959', NULL, NULL, NULL, NULL, 'mRNA_cap_alpha', NULL, NULL, NULL, 8),
(23826, NULL, 'PIRSF028139', NULL, NULL, NULL, NULL, 'DOPA-diox_rel_Mll2280', NULL, NULL, NULL, 8),
(23827, NULL, 'PIRSF036540', NULL, NULL, NULL, NULL, 'UCP036540_AIR', NULL, NULL, NULL, 8),
(23828, NULL, 'PIRSF015162', NULL, NULL, NULL, NULL, 'IL-18', NULL, NULL, NULL, 8),
(23829, NULL, 'PIRSF006091', NULL, NULL, NULL, NULL, 'E_trnsport_RnfG', NULL, NULL, NULL, 8),
(23830, NULL, 'PIRSF037568', NULL, NULL, NULL, NULL, 'ROCK', NULL, NULL, NULL, 8),
(23831, NULL, 'PIRSF034081', NULL, NULL, NULL, NULL, 'ATPase_Atu1862', NULL, NULL, NULL, 8),
(23832, NULL, 'PIRSF000507', NULL, NULL, NULL, NULL, 'IPT', NULL, NULL, NULL, 8),
(23833, NULL, 'PIRSF018169', NULL, NULL, NULL, NULL, 'PAF_acetylhydrolase', NULL, NULL, NULL, 8),
(23834, NULL, 'PIRSF006318', NULL, NULL, NULL, NULL, 'YhcB', NULL, NULL, NULL, 8),
(23835, NULL, 'PIRSF015000', NULL, NULL, NULL, NULL, 'UCP01500', NULL, NULL, NULL, 8),
(23836, NULL, 'PIRSF001021', NULL, NULL, NULL, NULL, 'Alph-amls_thrmst', NULL, NULL, NULL, 8),
(23837, NULL, 'PIRSF000939', NULL, NULL, NULL, NULL, 'MAPK_Ptase', NULL, NULL, NULL, 8),
(23838, NULL, 'PIRSF005063', NULL, NULL, NULL, NULL, 'UCP_CBS_MJ1232', NULL, NULL, NULL, 8),
(23839, NULL, 'PIRSF007948', NULL, NULL, NULL, NULL, 'Wun1', NULL, NULL, NULL, 8),
(23840, NULL, 'PIRSF012560', NULL, NULL, NULL, NULL, 'UCP012560', NULL, NULL, NULL, 8),
(23841, NULL, 'PIRSF015691', NULL, NULL, NULL, NULL, 'VAC_E5R', NULL, NULL, NULL, 8),
(23842, NULL, 'PIRSF006748', NULL, NULL, NULL, NULL, 'MDM_2/4', NULL, NULL, NULL, 8),
(23843, NULL, 'PIRSF037930', NULL, NULL, NULL, NULL, 'K_endopeptidase', NULL, NULL, NULL, 8),
(23844, NULL, 'PIRSF005278', NULL, NULL, NULL, NULL, 'UCP005278', NULL, NULL, NULL, 8),
(23845, NULL, 'PIRSF021383', NULL, NULL, NULL, NULL, 'YunB', NULL, NULL, NULL, 8),
(23846, NULL, 'PIRSF000108', NULL, NULL, NULL, NULL, 'IDH_NADP', NULL, NULL, NULL, 8),
(23847, NULL, 'PIRSF015690', NULL, NULL, NULL, NULL, 'VAC_E8R', NULL, NULL, NULL, 8),
(23848, NULL, 'PIRSF026532', NULL, NULL, NULL, NULL, 'Mtx2_tox', NULL, NULL, NULL, 8),
(23849, NULL, 'PIRSF007248', NULL, NULL, NULL, NULL, 'UCP007248', NULL, NULL, NULL, 8);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23850, NULL, 'PIRSF029342', NULL, NULL, NULL, NULL, 'UCP029342_Bll4150', NULL, NULL, NULL, 8),
(23851, NULL, 'PIRSF017016', NULL, NULL, NULL, NULL, 'NDUA8', NULL, NULL, NULL, 8),
(23852, NULL, 'PIRSF019073', NULL, NULL, NULL, NULL, 'UCP019073', NULL, NULL, NULL, 8),
(23853, NULL, 'PIRSF037866', NULL, NULL, NULL, NULL, 'EBP50', NULL, NULL, NULL, 8),
(23854, NULL, 'PIRSF000746', NULL, NULL, NULL, NULL, 'RPO35', NULL, NULL, NULL, 8),
(23855, NULL, 'PIRSF037527', NULL, NULL, NULL, NULL, 'GTPase_Tem1', NULL, NULL, NULL, 8),
(23856, NULL, 'PIRSF004930', NULL, NULL, NULL, NULL, 'Tln_factor_SUA5', NULL, NULL, NULL, 8),
(23857, NULL, 'PIRSF037921', NULL, NULL, NULL, NULL, 'STPK_RIP2', NULL, NULL, NULL, 8),
(23858, NULL, 'PIRSF018417', NULL, NULL, NULL, NULL, 'FACC_protein', NULL, NULL, NULL, 8),
(23859, NULL, 'PIRSF034039', NULL, NULL, NULL, NULL, 'UCP034039', NULL, NULL, NULL, 8),
(23860, NULL, 'PIRSF001097', NULL, NULL, NULL, NULL, 'Agarase', NULL, NULL, NULL, 8),
(23861, NULL, 'PIRSF002161', NULL, NULL, NULL, NULL, 'RPL5p_RPL5a_RPL11e_RPL5o', NULL, NULL, NULL, 8),
(23862, NULL, 'PIRSF037988', NULL, NULL, NULL, NULL, 'UCP037988', NULL, NULL, NULL, 8),
(23863, NULL, 'PIRSF034888', NULL, NULL, NULL, NULL, 'P-loop_UCP034888', NULL, NULL, NULL, 8),
(23864, NULL, 'PIRSF026782', NULL, NULL, NULL, NULL, 'CbiD', NULL, NULL, NULL, 8),
(23865, NULL, 'PIRSF001563', NULL, NULL, NULL, NULL, 'Folylpolyglu_synth', NULL, NULL, NULL, 8),
(23866, NULL, 'PIRSF001535', NULL, NULL, NULL, NULL, 'ProRS_1', NULL, NULL, NULL, 8),
(23867, NULL, 'PIRSF002756', NULL, NULL, NULL, NULL, 'PstS', NULL, NULL, NULL, 8),
(23868, NULL, 'PIRSF006170', NULL, NULL, NULL, NULL, 'YfgM', NULL, NULL, NULL, 8),
(23869, NULL, 'PIRSF019706', NULL, NULL, NULL, NULL, 'EhaB', NULL, NULL, NULL, 8),
(23870, NULL, 'PIRSF037437', NULL, NULL, NULL, NULL, 'Atp22', NULL, NULL, NULL, 8),
(23871, NULL, 'PIRSF038139', NULL, NULL, NULL, NULL, 'EF-2_kin', NULL, NULL, NULL, 8),
(23872, NULL, 'PIRSF500207', NULL, NULL, NULL, NULL, 'MtrA', NULL, NULL, NULL, 8),
(23873, NULL, 'PIRSF037941', NULL, NULL, NULL, NULL, 'TMPRSS11ABCDE', NULL, NULL, NULL, 8),
(23874, NULL, 'PIRSF005557', NULL, NULL, NULL, NULL, 'Sialyl_trans', NULL, NULL, NULL, 8),
(23875, NULL, 'PIRSF500154', NULL, NULL, NULL, NULL, 'RPB6', NULL, NULL, NULL, 8),
(23876, NULL, 'PIRSF000283', NULL, NULL, NULL, NULL, 'COX9', NULL, NULL, NULL, 8),
(23877, NULL, 'PIRSF000429', NULL, NULL, NULL, NULL, 'Ac-CoA_Ac_transf', NULL, NULL, NULL, 8),
(23878, NULL, 'PIRSF037991', NULL, NULL, NULL, NULL, 'UCP037991_UBX_2_7', NULL, NULL, NULL, 8),
(23879, NULL, 'PIRSF000610', NULL, NULL, NULL, NULL, 'STPK_YKL171w', NULL, NULL, NULL, 8),
(23880, NULL, 'PIRSF037708', NULL, NULL, NULL, NULL, 'Protein_FYV7', NULL, NULL, NULL, 8),
(23881, NULL, 'PIRSF006588', NULL, NULL, NULL, NULL, 'TyrRS_arch_euk', NULL, NULL, NULL, 8),
(23882, NULL, 'PIRSF001434', NULL, NULL, NULL, NULL, 'CGS', NULL, NULL, NULL, 8),
(23883, NULL, 'PIRSF027386', NULL, NULL, NULL, NULL, 'UCP027386_ABC_sbc_TM0202', NULL, NULL, NULL, 8),
(23884, NULL, 'PIRSF000095', NULL, NULL, NULL, NULL, '17beta-HSD', NULL, NULL, NULL, 8),
(23885, NULL, 'PIRSF017245', NULL, NULL, NULL, NULL, 'Phosphoketolase', NULL, NULL, NULL, 8),
(23886, NULL, 'PIRSF005900', NULL, NULL, NULL, NULL, 'Dps', NULL, NULL, NULL, 8),
(23887, NULL, 'PIRSF000826', NULL, NULL, NULL, NULL, 'L_PhleboV', NULL, NULL, NULL, 8),
(23888, NULL, 'PIRSF016662', NULL, NULL, NULL, NULL, 'UCP016662_Toprim', NULL, NULL, NULL, 8),
(23889, NULL, 'PIRSF034789', NULL, NULL, NULL, NULL, 'Type_III_secr_syst_SsaM', NULL, NULL, NULL, 8),
(23890, NULL, 'PIRSF018266', NULL, NULL, NULL, NULL, 'FecR', NULL, NULL, NULL, 8),
(23891, NULL, 'PIRSF036626', NULL, NULL, NULL, NULL, 'MPTBd_MobAlike', NULL, NULL, NULL, 8),
(23892, NULL, 'PIRSF014872', NULL, NULL, NULL, NULL, 'UCP014872', NULL, NULL, NULL, 8),
(23893, NULL, 'PIRSF033949', NULL, NULL, NULL, NULL, 'Phosest_Mlr3352', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23894, NULL, 'PIRSF000559', NULL, NULL, NULL, NULL, 'cGMP-dep_kinase', NULL, NULL, NULL, 8),
(23895, NULL, 'PIRSF038015', NULL, NULL, NULL, NULL, 'N-chimaerin', NULL, NULL, NULL, 8),
(23896, NULL, 'PIRSF000109', NULL, NULL, NULL, NULL, '6PGD', NULL, NULL, NULL, 8),
(23897, NULL, 'PIRSF036551', NULL, NULL, NULL, NULL, 'Chitosanase', NULL, NULL, NULL, 8),
(23898, NULL, 'PIRSF000376', NULL, NULL, NULL, NULL, 'ACDS_gamma', NULL, NULL, NULL, 8),
(23899, NULL, 'PIRSF031767', NULL, NULL, NULL, NULL, 'MHYE_LytTR', NULL, NULL, NULL, 8),
(23900, NULL, 'PIRSF000545', NULL, NULL, NULL, NULL, 'Pantothenate_kin', NULL, NULL, NULL, 8),
(23901, NULL, 'PIRSF021524', NULL, NULL, NULL, NULL, 'MSH_acetyltransferase', NULL, NULL, NULL, 8),
(23902, NULL, 'PIRSF009530', NULL, NULL, NULL, NULL, 'Nvp', NULL, NULL, NULL, 8),
(23903, NULL, 'PIRSF500312', NULL, NULL, NULL, NULL, 'Bombyxin_A', NULL, NULL, NULL, 8),
(23904, NULL, 'PIRSF015877', NULL, NULL, NULL, NULL, 'UCP015877', NULL, NULL, NULL, 8),
(23905, NULL, 'PIRSF013220', NULL, NULL, NULL, NULL, 'UCP013220', NULL, NULL, NULL, 8),
(23906, NULL, 'PIRSF027202', NULL, NULL, NULL, NULL, 'Ced_4', NULL, NULL, NULL, 8),
(23907, NULL, 'PIRSF012886', NULL, NULL, NULL, NULL, 'UCP012886', NULL, NULL, NULL, 8),
(23908, NULL, 'PIRSF039033', NULL, NULL, NULL, NULL, 'START_dom', NULL, NULL, NULL, 8),
(23909, NULL, 'PIRSF000362', NULL, NULL, NULL, NULL, 'FNR', NULL, NULL, NULL, 8),
(23910, NULL, 'PIRSF006158', NULL, NULL, NULL, NULL, 'UCP006158_SH3', NULL, NULL, NULL, 8),
(23911, NULL, 'PIRSF001146', NULL, NULL, NULL, NULL, 'Factor_XII_HGFA', NULL, NULL, NULL, 8),
(23912, NULL, 'PIRSF017179', NULL, NULL, NULL, NULL, 'RISC-Tudor-SN', NULL, NULL, NULL, 8),
(23913, NULL, 'PIRSF019083', NULL, NULL, NULL, NULL, 'UCP019083_VanZ', NULL, NULL, NULL, 8),
(23914, NULL, 'PIRSF004486', NULL, NULL, NULL, NULL, 'MraW', NULL, NULL, NULL, 8),
(23915, NULL, 'PIRSF000845', NULL, NULL, NULL, NULL, 'mRNA_capping_reovirus', NULL, NULL, NULL, 8),
(23916, NULL, 'PIRSF015894', NULL, NULL, NULL, NULL, 'PRMT5', NULL, NULL, NULL, 8),
(23917, NULL, 'PIRSF016433', NULL, NULL, NULL, NULL, 'Viral_DNA_prim', NULL, NULL, NULL, 8),
(23918, NULL, 'PIRSF000495', NULL, NULL, NULL, NULL, 'Amidotransf_HisH', NULL, NULL, NULL, 8),
(23919, NULL, 'PIRSF028451', NULL, NULL, NULL, NULL, 'UCP028451', NULL, NULL, NULL, 8),
(23920, NULL, 'PIRSF038132', NULL, NULL, NULL, NULL, 'NUDIX_AtNUDT22', NULL, NULL, NULL, 8),
(23921, NULL, 'PIRSF011668', NULL, NULL, NULL, NULL, 'Ccz1p', NULL, NULL, NULL, 8),
(23922, NULL, 'PIRSF003900', NULL, NULL, NULL, NULL, 'N_FiloV', NULL, NULL, NULL, 8),
(23923, NULL, 'PIRSF006105', NULL, NULL, NULL, NULL, 'NapB', NULL, NULL, NULL, 8),
(23924, NULL, 'PIRSF035918', NULL, NULL, NULL, NULL, 'UCP035918', NULL, NULL, NULL, 8),
(23925, NULL, 'PIRSF036424', NULL, NULL, NULL, NULL, 'Transl_init_eIF3b', NULL, NULL, NULL, 8),
(23926, NULL, 'PIRSF038163', NULL, NULL, NULL, NULL, 'ITPK_unchar_domain', NULL, NULL, NULL, 8),
(23927, NULL, 'PIRSF037281', NULL, NULL, NULL, NULL, 'Wee1_like_PK', NULL, NULL, NULL, 8),
(23928, NULL, 'PIRSF036483', NULL, NULL, NULL, NULL, 'PFK_XF0274', NULL, NULL, NULL, 8),
(23929, NULL, 'PIRSF002097', NULL, NULL, NULL, NULL, 'DNA-bp_Fis', NULL, NULL, NULL, 8),
(23930, NULL, 'PIRSF020079', NULL, NULL, NULL, NULL, 'UCP020079', NULL, NULL, NULL, 8),
(23931, NULL, 'PIRSF005954', NULL, NULL, NULL, NULL, 'Thrmst_ogg', NULL, NULL, NULL, 8),
(23932, NULL, 'PIRSF006533', NULL, NULL, NULL, NULL, 'UCP006533', NULL, NULL, NULL, 8),
(23933, NULL, 'PIRSF016521', NULL, NULL, NULL, NULL, 'Acyl-CoA_hydro', NULL, NULL, NULL, 8),
(23934, NULL, 'PIRSF019108', NULL, NULL, NULL, NULL, 'Txn_reg_CopG', NULL, NULL, NULL, 8),
(23935, NULL, 'PIRSF036639', NULL, NULL, NULL, NULL, 'PMK_anim', NULL, NULL, NULL, 8),
(23936, NULL, 'PIRSF002419', NULL, NULL, NULL, NULL, 'Tetraspanin', NULL, NULL, NULL, 8),
(23937, NULL, 'PIRSF004305', NULL, NULL, NULL, NULL, 'Imm', NULL, NULL, NULL, 8);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23938, NULL, 'PIRSF004525', NULL, NULL, NULL, NULL, 'Pilin_peptidase-dep_B', NULL, NULL, NULL, 8),
(23939, NULL, 'PIRSF037373', NULL, NULL, NULL, NULL, 'UCP037373_trxn_reg', NULL, NULL, NULL, 8),
(23940, NULL, 'PIRSF000641', NULL, NULL, NULL, NULL, 'SRK', NULL, NULL, NULL, 8),
(23941, NULL, 'PIRSF000110', NULL, NULL, NULL, NULL, 'G6PD', NULL, NULL, NULL, 8),
(23942, NULL, 'PIRSF021591', NULL, NULL, NULL, NULL, 'UCP021591', NULL, NULL, NULL, 8),
(23943, NULL, 'PIRSF016951', NULL, NULL, NULL, NULL, 'MADP_ribosyltransf_Edin', NULL, NULL, NULL, 8),
(23944, NULL, 'PIRSF036370', NULL, NULL, NULL, NULL, 'ST14', NULL, NULL, NULL, 8),
(23945, NULL, 'PIRSF037139', NULL, NULL, NULL, NULL, 'UCP037139', NULL, NULL, NULL, 8),
(23946, NULL, 'PIRSF036312', NULL, NULL, NULL, NULL, 'Fibrillin', NULL, NULL, NULL, 8),
(23947, NULL, 'PIRSF037618', NULL, NULL, NULL, NULL, 'RNA_Mtase_bacterial', NULL, NULL, NULL, 8),
(23948, NULL, 'PIRSF037714', NULL, NULL, NULL, NULL, 'TolR', NULL, NULL, NULL, 8),
(23949, NULL, 'PIRSF012943', NULL, NULL, NULL, NULL, 'UCP012943', NULL, NULL, NULL, 8),
(23950, NULL, 'PIRSF036289', NULL, NULL, NULL, NULL, 'Glycosyl_hydrolase_malt_phosph', NULL, NULL, NULL, 8),
(23951, NULL, 'PIRSF000017', NULL, NULL, NULL, NULL, 'RC_cytochrome', NULL, NULL, NULL, 8),
(23952, NULL, 'PIRSF015578', NULL, NULL, NULL, NULL, 'Myoinositol-ppht_synth', NULL, NULL, NULL, 8),
(23953, NULL, 'PIRSF004990', NULL, NULL, NULL, NULL, 'UCP004990', NULL, NULL, NULL, 8),
(23954, NULL, 'PIRSF031890', NULL, NULL, NULL, NULL, 'UCP031890_transporter_Tim44', NULL, NULL, NULL, 8),
(23955, NULL, 'PIRSF005285', NULL, NULL, NULL, NULL, 'tRNA_splic_endonuc_archaea', NULL, NULL, NULL, 8),
(23956, NULL, 'PIRSF005917', NULL, NULL, NULL, NULL, 'MTase_YraL', NULL, NULL, NULL, 8),
(23957, NULL, 'PIRSF006346', NULL, NULL, NULL, NULL, 'Ni_metllenz_mat', NULL, NULL, NULL, 8),
(23958, NULL, 'PIRSF016021', NULL, NULL, NULL, NULL, 'ESCAROLA', NULL, NULL, NULL, 8),
(23959, NULL, 'PIRSF037536', NULL, NULL, NULL, NULL, 'WD35', NULL, NULL, NULL, 8),
(23960, NULL, 'PIRSF001152', NULL, NULL, NULL, NULL, 'HGF_MST1', NULL, NULL, NULL, 8),
(23961, NULL, 'PIRSF006661', NULL, NULL, NULL, NULL, 'UCP006661_PP-loop', NULL, NULL, NULL, 8),
(23962, NULL, 'PIRSF036958', NULL, NULL, NULL, NULL, 'mRNA_capping_HCE', NULL, NULL, NULL, 8),
(23963, NULL, 'PIRSF500217', NULL, NULL, NULL, NULL, 'AlgI', NULL, NULL, NULL, 8),
(23964, NULL, 'PIRSF005928', NULL, NULL, NULL, NULL, 'Nucleotidltrnsf', NULL, NULL, NULL, 8),
(23965, NULL, 'PIRSF015736', NULL, NULL, NULL, NULL, 'MI', NULL, NULL, NULL, 8),
(23966, NULL, 'PIRSF036773', NULL, NULL, NULL, NULL, 'HIRIP5', NULL, NULL, NULL, 8),
(23967, NULL, 'PIRSF018431', NULL, NULL, NULL, NULL, 'Molluscan_insulin_rel_peptide', NULL, NULL, NULL, 8),
(23968, NULL, 'PIRSF037434', NULL, NULL, NULL, NULL, 'HK_ChrS', NULL, NULL, NULL, 8),
(23969, NULL, 'PIRSF000452', NULL, NULL, NULL, NULL, '6-N-acetyltransf', NULL, NULL, NULL, 8),
(23970, NULL, 'PIRSF024865', NULL, NULL, NULL, NULL, 'UCP024865', NULL, NULL, NULL, 8),
(23971, NULL, 'PIRSF000130', NULL, NULL, NULL, NULL, 'IMPDH', NULL, NULL, NULL, 8),
(23972, NULL, 'PIRSF038122', NULL, NULL, NULL, NULL, 'COBRA', NULL, NULL, NULL, 8),
(23973, NULL, 'PIRSF018868', NULL, NULL, NULL, NULL, 'UCP018868', NULL, NULL, NULL, 8),
(23974, NULL, 'PIRSF007352', NULL, NULL, NULL, NULL, 'OapB', NULL, NULL, NULL, 8),
(23975, NULL, 'PIRSF037402', NULL, NULL, NULL, NULL, 'Lefty', NULL, NULL, NULL, 8),
(23976, NULL, 'PIRSF011869', NULL, NULL, NULL, NULL, 'Nibrin_animal', NULL, NULL, NULL, 8),
(23977, NULL, 'PIRSF015618', NULL, NULL, NULL, NULL, 'BHLH_neuroD', NULL, NULL, NULL, 8),
(23978, NULL, 'PIRSF000512', NULL, NULL, NULL, NULL, 'TMP_PPase_Cyanobac', NULL, NULL, NULL, 8),
(23979, NULL, 'PIRSF036489', NULL, NULL, NULL, NULL, '10-FTHFDH', NULL, NULL, NULL, 8),
(23980, NULL, 'PIRSF005856', NULL, NULL, NULL, NULL, 'Rad51', NULL, NULL, NULL, 8);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(23981, NULL, 'PIRSF000900', NULL, NULL, NULL, NULL, 'Acid_Ptase_Asper', NULL, NULL, NULL, 8),
(23982, NULL, 'PIRSF007407', NULL, NULL, NULL, NULL, 'UCP007407_Abi', NULL, NULL, NULL, 8),
(23983, NULL, 'PIRSF017494', NULL, NULL, NULL, NULL, 'Thiazolinyl_imide_reduct_YbtU', NULL, NULL, NULL, 8),
(23984, NULL, 'PIRSF014484', NULL, NULL, NULL, NULL, 'UCP014484', NULL, NULL, NULL, 8),
(23985, NULL, 'PIRSF002004', NULL, NULL, NULL, NULL, 'Leukocyte_common_antigen', NULL, NULL, NULL, 8),
(23986, NULL, 'PIRSF000378', NULL, NULL, NULL, NULL, 'Gly_radicl_YfiD', NULL, NULL, NULL, 8),
(23987, NULL, 'PIRSF036592', NULL, NULL, NULL, NULL, 'Methlestr_CheB', NULL, NULL, NULL, 8),
(23988, NULL, 'PIRSF007103', NULL, NULL, NULL, NULL, 'UCP007103', NULL, NULL, NULL, 8),
(23989, NULL, 'PIRSF017371', NULL, NULL, NULL, NULL, 'UCP017371', NULL, NULL, NULL, 8),
(23990, NULL, 'PIRSF037205', NULL, NULL, NULL, NULL, 'UCP037205', NULL, NULL, NULL, 8),
(23991, NULL, 'PIRSF000083', NULL, NULL, NULL, NULL, 'Allophyco_linker', NULL, NULL, NULL, 8),
(23992, NULL, 'PIRSF026449', NULL, NULL, NULL, NULL, 'UCP026449', NULL, NULL, NULL, 8),
(23993, NULL, 'PIRSF032067', NULL, NULL, NULL, NULL, 'Cyanophycinase', NULL, NULL, NULL, 8),
(23994, NULL, 'PIRSF000235', NULL, NULL, NULL, NULL, 'GMP_reductase', NULL, NULL, NULL, 8),
(23995, NULL, 'PIRSF003101', NULL, NULL, NULL, NULL, 'FtsA', NULL, NULL, NULL, 8),
(23996, NULL, 'PIRSF001866', NULL, NULL, NULL, NULL, 'Mating_factor_alpha', NULL, NULL, NULL, 8),
(23997, NULL, 'PIRSF003161', NULL, NULL, NULL, NULL, 'FliG', NULL, NULL, NULL, 8),
(23998, NULL, 'PIRSF004776', NULL, NULL, NULL, NULL, 'NadR_NMNAT/RNK', NULL, NULL, NULL, 8),
(23999, NULL, 'PIRSF026412', NULL, NULL, NULL, NULL, 'Streptogrm_lyase', NULL, NULL, NULL, 8),
(24000, NULL, 'PIRSF004697', NULL, NULL, NULL, NULL, 'UCP_CBS_CP12', NULL, NULL, NULL, 8),
(24001, NULL, 'PIRSF500793', NULL, NULL, NULL, NULL, 'Folate_transporter_1', NULL, NULL, NULL, 8),
(24002, NULL, 'PIRSF036548', NULL, NULL, NULL, NULL, 'Fdx_FixX', NULL, NULL, NULL, 8),
(24003, NULL, 'PIRSF000089', NULL, NULL, NULL, NULL, 'Electra_flavoP_a', NULL, NULL, NULL, 8),
(24004, NULL, 'PIRSF037023', NULL, NULL, NULL, NULL, 'Api_ROM4_ROM5', NULL, NULL, NULL, 8),
(24005, NULL, 'PIRSF000180', NULL, NULL, NULL, NULL, 'FrdC', NULL, NULL, NULL, 8),
(24006, NULL, 'PIRSF005512', NULL, NULL, NULL, NULL, 'UCP005512', NULL, NULL, NULL, 8),
(24007, NULL, 'PIRSF039088', NULL, NULL, NULL, NULL, 'F_ATPase_subunit_alpha', NULL, NULL, NULL, 8),
(24008, NULL, 'PIRSF003059', NULL, NULL, NULL, NULL, 'GtfA', NULL, NULL, NULL, 8),
(24009, NULL, 'PIRSF003766', NULL, NULL, NULL, NULL, 'VAC_I2L', NULL, NULL, NULL, 8),
(24010, NULL, 'PIRSF001199', NULL, NULL, NULL, NULL, 'BMP1', NULL, NULL, NULL, 8),
(24011, NULL, 'PIRSF036593', NULL, NULL, NULL, NULL, 'GrdD', NULL, NULL, NULL, 8),
(24012, NULL, 'PIRSF003336', NULL, NULL, NULL, NULL, 'RadB', NULL, NULL, NULL, 8),
(24013, NULL, 'PIRSF028561', NULL, NULL, NULL, NULL, 'Ac_Trasf', NULL, NULL, NULL, 8),
(24014, NULL, 'PIRSF006404', NULL, NULL, NULL, NULL, 'UCP_M50_CBS', NULL, NULL, NULL, 8),
(24015, NULL, 'PIRSF008381', NULL, NULL, NULL, NULL, 'TP0020_vWA', NULL, NULL, NULL, 8),
(24016, NULL, 'PIRSF035805', NULL, NULL, NULL, NULL, 'Tdk', NULL, NULL, NULL, 8),
(24017, NULL, 'PIRSF026434', NULL, NULL, NULL, NULL, 'RR_ycf55', NULL, NULL, NULL, 8),
(24018, NULL, 'PIRSF011091', NULL, NULL, NULL, NULL, 'BBS7', NULL, NULL, NULL, 8),
(24019, NULL, 'PIRSF500814', NULL, NULL, NULL, NULL, 'PP1_GL', NULL, NULL, NULL, 8),
(24020, NULL, 'PIRSF004548', NULL, NULL, NULL, NULL, 'CreD', NULL, NULL, NULL, 8),
(24021, NULL, 'PIRSF016567', NULL, NULL, NULL, NULL, 'IFNAR1', NULL, NULL, NULL, 8),
(24022, NULL, 'PIRSF007519', NULL, NULL, NULL, NULL, 'Protease_InhA', NULL, NULL, NULL, 8),
(24023, NULL, 'PIRSF000171', NULL, NULL, NULL, NULL, 'SDHA_APRA_LASPO', NULL, NULL, NULL, 8),
(24024, NULL, 'PIRSF000412', NULL, NULL, NULL, NULL, 'SHMT', NULL, NULL, NULL, 8);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24025, NULL, 'PIRSF006816', NULL, NULL, NULL, NULL, 'Cyc3_hyd_g', NULL, NULL, NULL, 8),
(24026, NULL, 'PIRSF037246', NULL, NULL, NULL, NULL, 'UCP037246', NULL, NULL, NULL, 8),
(24027, NULL, 'PIRSF000661', NULL, NULL, NULL, NULL, 'STPK_RAD53', NULL, NULL, NULL, 8),
(24028, NULL, 'PIRSF006769', NULL, NULL, NULL, NULL, 'RibD', NULL, NULL, NULL, 8),
(24029, NULL, 'PIRSF033722', NULL, NULL, NULL, NULL, 'DnaD_CA_C3587', NULL, NULL, NULL, 8),
(24030, NULL, 'PIRSF001390', NULL, NULL, NULL, NULL, 'Dipicolinate_synth_subunit_B', NULL, NULL, NULL, 8),
(24031, NULL, 'PIRSF008142', NULL, NULL, NULL, NULL, 'SH3-bind_E-rich_L', NULL, NULL, NULL, 8),
(24032, NULL, 'PIRSF037327', NULL, NULL, NULL, NULL, 'TFIIIB_Bdp1_fungal', NULL, NULL, NULL, 8),
(24033, NULL, 'PIRSF031715', NULL, NULL, NULL, NULL, 'CobT_chel', NULL, NULL, NULL, 8),
(24034, NULL, 'PIRSF036945', NULL, NULL, NULL, NULL, 'Spt5', NULL, NULL, NULL, 8),
(24035, NULL, 'PIRSF003159', NULL, NULL, NULL, NULL, 'FlhC', NULL, NULL, NULL, 8),
(24036, NULL, 'PIRSF037465', NULL, NULL, NULL, NULL, 'UCP037465_Zn', NULL, NULL, NULL, 8),
(24037, NULL, 'PIRSF037995', NULL, NULL, NULL, NULL, 'CB-R', NULL, NULL, NULL, 8),
(24038, NULL, 'PIRSF037163', NULL, NULL, NULL, NULL, 'PRDM12', NULL, NULL, NULL, 8),
(24039, NULL, 'PIRSF038021', NULL, NULL, NULL, NULL, 'UCP038021_RWDD2', NULL, NULL, NULL, 8),
(24040, NULL, 'PIRSF500185', NULL, NULL, NULL, NULL, 'MSP_HGFL', NULL, NULL, NULL, 8),
(24041, NULL, 'PIRSF011484', NULL, NULL, NULL, NULL, 'YaeQ', NULL, NULL, NULL, 8),
(24042, NULL, 'PIRSF038953', NULL, NULL, NULL, NULL, 'SigI', NULL, NULL, NULL, 8),
(24043, NULL, 'PIRSF016396', NULL, NULL, NULL, NULL, 'Prefoldin_3', NULL, NULL, NULL, 8),
(24044, NULL, 'PIRSF036948', NULL, NULL, NULL, NULL, 'TOM1', NULL, NULL, NULL, 8),
(24045, NULL, 'PIRSF009141', NULL, NULL, NULL, NULL, 'UCP009141', NULL, NULL, NULL, 8),
(24046, NULL, 'PIRSF038901', NULL, NULL, NULL, NULL, 'AQR_cwf11', NULL, NULL, NULL, 8),
(24047, NULL, 'PIRSF032437', NULL, NULL, NULL, NULL, 'UCP032437', NULL, NULL, NULL, 8),
(24048, NULL, 'PIRSF037219', NULL, NULL, NULL, NULL, 'NOS_oxygenase', NULL, NULL, NULL, 8),
(24049, NULL, 'PIRSF037738', NULL, NULL, NULL, NULL, 'UCP037738', NULL, NULL, NULL, 8),
(24050, NULL, 'PIRSF028299', NULL, NULL, NULL, NULL, 'UCP028299', NULL, NULL, NULL, 8),
(24051, NULL, 'PIRSF000159', NULL, NULL, NULL, NULL, 'NifJ', NULL, NULL, NULL, 8),
(24052, NULL, 'PIRSF037637', NULL, NULL, NULL, NULL, 'SAP18', NULL, NULL, NULL, 8),
(24053, NULL, 'PIRSF002741', NULL, NULL, NULL, NULL, 'MppA', NULL, NULL, NULL, 8),
(24054, NULL, 'PIRSF005067', NULL, NULL, NULL, NULL, 'Tma_RNA-bind', NULL, NULL, NULL, 8),
(24055, NULL, 'PIRSF005427', NULL, NULL, NULL, NULL, 'RseB', NULL, NULL, NULL, 8),
(24056, NULL, 'PIRSF037852', NULL, NULL, NULL, NULL, 'Subtilisin_rel_SAV5721', NULL, NULL, NULL, 8),
(24057, NULL, 'PIRSF500773', NULL, NULL, NULL, NULL, 'Hyaluronidase_PH20_Hyal5', NULL, NULL, NULL, 8),
(24058, NULL, 'PIRSF036659', NULL, NULL, NULL, NULL, 'BdbC', NULL, NULL, NULL, 8),
(24059, NULL, 'PIRSF004604', NULL, NULL, NULL, NULL, 'UCP004604', NULL, NULL, NULL, 8),
(24060, NULL, 'PIRSF017393', NULL, NULL, NULL, NULL, 'MTase_SAV2177', NULL, NULL, NULL, 8),
(24061, NULL, 'PIRSF001259', NULL, NULL, NULL, NULL, 'RibA', NULL, NULL, NULL, 8),
(24062, NULL, 'PIRSF010340', NULL, NULL, NULL, NULL, 'Midasin', NULL, NULL, NULL, 8),
(24063, NULL, 'PIRSF038156', NULL, NULL, NULL, NULL, 'RNA_polymII_KELP', NULL, NULL, NULL, 8),
(24064, NULL, 'PIRSF500699', NULL, NULL, NULL, NULL, 'MDM4', NULL, NULL, NULL, 8),
(24065, NULL, 'PIRSF011789', NULL, NULL, NULL, NULL, 'tRNA_endo_SEN2', NULL, NULL, NULL, 8),
(24066, NULL, 'PIRSF011396', NULL, NULL, NULL, NULL, 'Trp_halogenase', NULL, NULL, NULL, 8),
(24067, NULL, 'PIRSF007858', NULL, NULL, NULL, NULL, 'ORC4', NULL, NULL, NULL, 8),
(24068, NULL, 'PIRSF018461', NULL, NULL, NULL, NULL, 'Phage_rep_C1', NULL, NULL, NULL, 8);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24069, NULL, 'PIRSF018968', NULL, NULL, NULL, NULL, 'ABC_permease_BceB', NULL, NULL, NULL, 8),
(24070, NULL, 'PIRSF019883', NULL, NULL, NULL, NULL, 'UCP019883', NULL, NULL, NULL, 8),
(24071, NULL, 'PIRSF026631', NULL, NULL, NULL, NULL, 'UCP026631', NULL, NULL, NULL, 8),
(24072, NULL, 'PIRSF000722', NULL, NULL, NULL, NULL, 'Acetate_prop_kin', NULL, NULL, NULL, 8),
(24073, NULL, 'PIRSF026478', NULL, NULL, NULL, NULL, 'UCP026478_dh', NULL, NULL, NULL, 8),
(24074, NULL, 'PIRSF007010', NULL, NULL, NULL, NULL, 'UCP007010', NULL, NULL, NULL, 8),
(24075, NULL, 'PIRSF038196', NULL, NULL, NULL, NULL, 'IRF-1_IRF-2', NULL, NULL, NULL, 8),
(24076, NULL, 'PIRSF012562', NULL, NULL, NULL, NULL, 'UCP012562', NULL, NULL, NULL, 8),
(24077, NULL, 'PIRSF037471', NULL, NULL, NULL, NULL, 'UCP037471', NULL, NULL, NULL, 8),
(24078, NULL, 'PIRSF016150', NULL, NULL, NULL, NULL, 'FucT_helico', NULL, NULL, NULL, 8),
(24079, NULL, 'PIRSF016281', NULL, NULL, NULL, NULL, 'Transl_init_eIF3d', NULL, NULL, NULL, 8),
(24080, NULL, 'PIRSF038996', NULL, NULL, NULL, NULL, 'FldA', NULL, NULL, NULL, 8),
(24081, NULL, 'PIRSF003196', NULL, NULL, NULL, NULL, 'Trp_repressor', NULL, NULL, NULL, 8),
(24082, NULL, 'PIRSF029570', NULL, NULL, NULL, NULL, 'UCP029570', NULL, NULL, NULL, 8),
(24083, NULL, 'PIRSF029256', NULL, NULL, NULL, NULL, 'SpoU_TrmH', NULL, NULL, NULL, 8),
(24084, NULL, 'PIRSF001330', NULL, NULL, NULL, NULL, 'IOD', NULL, NULL, NULL, 8),
(24085, NULL, 'PIRSF015793', NULL, NULL, NULL, NULL, 'VAC_EEV', NULL, NULL, NULL, 8),
(24086, NULL, 'PIRSF003299', NULL, NULL, NULL, NULL, 'VirB8_PtlE', NULL, NULL, NULL, 8),
(24087, NULL, 'PIRSF032474', NULL, NULL, NULL, NULL, 'Rot', NULL, NULL, NULL, 8),
(24088, NULL, 'PIRSF006519', NULL, NULL, NULL, NULL, 'GOGAT_dom3', NULL, NULL, NULL, 8),
(24089, NULL, 'PIRSF037161', NULL, NULL, NULL, NULL, 'PRDM4', NULL, NULL, NULL, 8),
(24090, NULL, 'PIRSF003854', NULL, NULL, NULL, NULL, 'Vif_BLV', NULL, NULL, NULL, 8),
(24091, NULL, 'PIRSF011575', NULL, NULL, NULL, NULL, 'YabG', NULL, NULL, NULL, 8),
(24092, NULL, 'PIRSF001110', NULL, NULL, NULL, NULL, 'ADOMetase', NULL, NULL, NULL, 8),
(24093, NULL, 'PIRSF003047', NULL, NULL, NULL, NULL, 'TFIID_TAF1_animal', NULL, NULL, NULL, 8),
(24094, NULL, 'PIRSF037955', NULL, NULL, NULL, NULL, 'Snurportin-1', NULL, NULL, NULL, 8),
(24095, NULL, 'PIRSF018136', NULL, NULL, NULL, NULL, 'L_lectin_yeast', NULL, NULL, NULL, 8),
(24096, NULL, 'PIRSF000898', NULL, NULL, NULL, NULL, 'Acid_Ptase_5', NULL, NULL, NULL, 8),
(24097, NULL, 'PIRSF000606', NULL, NULL, NULL, NULL, 'RPS6_kin_2', NULL, NULL, NULL, 8),
(24098, NULL, 'PIRSF036996', NULL, NULL, NULL, NULL, 'RSM23', NULL, NULL, NULL, 8),
(24099, NULL, 'PIRSF029775', NULL, NULL, NULL, NULL, 'Isochor_pyr_lyas', NULL, NULL, NULL, 8),
(24100, NULL, 'PIRSF000162', NULL, NULL, NULL, NULL, 'P_chlorophyll_rd', NULL, NULL, NULL, 8),
(24101, NULL, 'PIRSF028840', NULL, NULL, NULL, NULL, 'MMP37', NULL, NULL, NULL, 8),
(24102, NULL, 'PIRSF006601', NULL, NULL, NULL, NULL, 'ATPase_UCP006601', NULL, NULL, NULL, 8),
(24103, NULL, 'PIRSF021940', NULL, NULL, NULL, NULL, 'UCP021940', NULL, NULL, NULL, 8),
(24104, NULL, 'PIRSF020634', NULL, NULL, NULL, NULL, 'TerY_vWA', NULL, NULL, NULL, 8),
(24105, NULL, 'PIRSF500061', NULL, NULL, NULL, NULL, 'GOGAT_lg2_archl', NULL, NULL, NULL, 8),
(24106, NULL, 'PIRSF035040', NULL, NULL, NULL, NULL, 'UCP_CBS_Lmo0553', NULL, NULL, NULL, 8),
(24107, NULL, 'PIRSF028757', NULL, NULL, NULL, NULL, 'LD-carboxypeptidase', NULL, NULL, NULL, 8),
(24108, NULL, 'PIRSF009283', NULL, NULL, NULL, NULL, '4HPP_dioxygenase', NULL, NULL, NULL, 8),
(24109, NULL, 'PIRSF037798', NULL, NULL, NULL, NULL, 'Hsp31', NULL, NULL, NULL, 8),
(24110, NULL, 'PIRSF015965', NULL, NULL, NULL, NULL, '26S_protsm_Rpn1', NULL, NULL, NULL, 8),
(24111, NULL, 'PIRSF018636', NULL, NULL, NULL, NULL, 'CbiX_N-term', NULL, NULL, NULL, 8),
(24112, NULL, 'PIRSF008757', NULL, NULL, NULL, NULL, 'UCP008757', NULL, NULL, NULL, 8);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24113, NULL, 'PIRSF001770', NULL, NULL, NULL, NULL, 'Cyclin_CLN', NULL, NULL, NULL, 8),
(24114, NULL, 'PIRSF037469', NULL, NULL, NULL, NULL, 'Chc_related', NULL, NULL, NULL, 8),
(24115, NULL, 'PIRSF018269', NULL, NULL, NULL, NULL, 'CDP-DAG_synth_e', NULL, NULL, NULL, 8),
(24116, NULL, 'PIRSF021497', NULL, NULL, NULL, NULL, 'Sulfotransf_LpsS', NULL, NULL, NULL, 8),
(24117, NULL, 'PIRSF037338', NULL, NULL, NULL, NULL, 'Spastin', NULL, NULL, NULL, 8),
(24118, NULL, 'PIRSF038036', NULL, NULL, NULL, NULL, 'Cdc42ep2', NULL, NULL, NULL, 8),
(24119, NULL, 'PIRSF036543', NULL, NULL, NULL, NULL, 'YdrC_chlamyd', NULL, NULL, NULL, 8),
(24120, NULL, 'PIRSF005648', NULL, NULL, NULL, NULL, 'UCP005648_Ca_binding', NULL, NULL, NULL, 8),
(24121, NULL, 'PIRSF016571', NULL, NULL, NULL, NULL, 'C/EBPzeta_CHOP_DDIT3', NULL, NULL, NULL, 8),
(24122, NULL, 'PIRSF037238', NULL, NULL, NULL, NULL, 'Carboxypeptidase_G2', NULL, NULL, NULL, 8),
(24123, NULL, 'PIRSF001959', NULL, NULL, NULL, NULL, 'EPO_receptor', NULL, NULL, NULL, 8),
(24124, NULL, 'PIRSF036402', NULL, NULL, NULL, NULL, 'Ureas_acces_UreE', NULL, NULL, NULL, 8),
(24125, NULL, 'PIRSF003779', NULL, NULL, NULL, NULL, 'VAC_C7L', NULL, NULL, NULL, 8),
(24126, NULL, 'PIRSF500939', NULL, NULL, NULL, NULL, 'ERR1-2-3', NULL, NULL, NULL, 8),
(24127, NULL, 'PIRSF002030', NULL, NULL, NULL, NULL, 'Globin_Protozoa_Cyanob', NULL, NULL, NULL, 8),
(24128, NULL, 'PIRSF029876', NULL, NULL, NULL, NULL, 'UCP029876', NULL, NULL, NULL, 8),
(24129, NULL, 'PIRSF001499', NULL, NULL, NULL, NULL, 'Chor_mut_pdh_Tpr', NULL, NULL, NULL, 8),
(24130, NULL, 'PIRSF018357', NULL, NULL, NULL, NULL, 'Trans_reg_ArsR', NULL, NULL, NULL, 8),
(24131, NULL, 'PIRSF005813', NULL, NULL, NULL, NULL, 'MSH2', NULL, NULL, NULL, 8),
(24132, NULL, 'PIRSF012296', NULL, NULL, NULL, NULL, 'EutS_PduU', NULL, NULL, NULL, 8),
(24133, NULL, 'PIRSF001951', NULL, NULL, NULL, NULL, 'EPO', NULL, NULL, NULL, 8),
(24134, NULL, 'PIRSF001478', NULL, NULL, NULL, NULL, 'L-ara_isomerase', NULL, NULL, NULL, 8),
(24135, NULL, 'PIRSF038039', NULL, NULL, NULL, NULL, 'UCP038039_Lin-7_homol', NULL, NULL, NULL, 8),
(24136, NULL, 'PIRSF011362', NULL, NULL, NULL, NULL, 'DevR', NULL, NULL, NULL, 8),
(24137, NULL, 'PIRSF001480', NULL, NULL, NULL, NULL, 'PMI', NULL, NULL, NULL, 8),
(24138, NULL, 'PIRSF005562', NULL, NULL, NULL, NULL, 'FAS_yeast_beta', NULL, NULL, NULL, 8),
(24139, NULL, 'PIRSF001698', NULL, NULL, NULL, NULL, 'C-ETS', NULL, NULL, NULL, 8),
(24140, NULL, 'PIRSF004944', NULL, NULL, NULL, NULL, 'UCP004944_hydrls', NULL, NULL, NULL, 8),
(24141, NULL, 'PIRSF006515', NULL, NULL, NULL, NULL, 'KRR1', NULL, NULL, NULL, 8),
(24142, NULL, 'PIRSF036459', NULL, NULL, NULL, NULL, 'DAP_dec_asp_kin', NULL, NULL, NULL, 8),
(24143, NULL, 'PIRSF021332', NULL, NULL, NULL, NULL, 'UCP021332', NULL, NULL, NULL, 8),
(24144, NULL, 'PIRSF000410', NULL, NULL, NULL, NULL, 'CheR', NULL, NULL, NULL, 8),
(24145, NULL, 'PIRSF004159', NULL, NULL, NULL, NULL, 'VGG', NULL, NULL, NULL, 8),
(24146, NULL, 'PIRSF011859', NULL, NULL, NULL, NULL, 'TNFR_17_CD269', NULL, NULL, NULL, 8),
(24147, NULL, 'PIRSF028170', NULL, NULL, NULL, NULL, 'UCP028170', NULL, NULL, NULL, 8),
(24148, NULL, 'PIRSF017818', NULL, NULL, NULL, NULL, 'Acid_Ptase_B', NULL, NULL, NULL, 8),
(24149, NULL, 'PIRSF029225', NULL, NULL, NULL, NULL, 'DNA_pol_III_psi', NULL, NULL, NULL, 8),
(24150, NULL, 'PIRSF028340', NULL, NULL, NULL, NULL, 'UCP028340', NULL, NULL, NULL, 8),
(24151, NULL, 'PIRSF002527', NULL, NULL, NULL, NULL, 'ER-like_NR', NULL, NULL, NULL, 8),
(24152, NULL, 'PIRSF006456', NULL, NULL, NULL, NULL, 'UCP006456', NULL, NULL, NULL, 8),
(24153, NULL, 'PIRSF006500', NULL, NULL, NULL, NULL, 'MtrG', NULL, NULL, NULL, 8),
(24154, NULL, 'PIRSF014899', NULL, NULL, NULL, NULL, 'UCP014899', NULL, NULL, NULL, 8),
(24155, NULL, 'PIRSF003174', NULL, NULL, NULL, NULL, 'CreA', NULL, NULL, NULL, 8),
(24156, NULL, 'PIRSF000040', NULL, NULL, NULL, NULL, 'MMOH_comp', NULL, NULL, NULL, 8);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24157, NULL, 'PIRSF024051', NULL, NULL, NULL, NULL, 'UCP024051', NULL, NULL, NULL, 8),
(24158, NULL, 'PIRSF036630', NULL, NULL, NULL, NULL, 'Aconts_X_fused', NULL, NULL, NULL, 8),
(24159, NULL, 'PIRSF004699', NULL, NULL, NULL, NULL, 'UCP_CBS_ParB', NULL, NULL, NULL, 8),
(24160, NULL, 'PIRSF017535', NULL, NULL, NULL, NULL, 'ESCRT1_Vps28', NULL, NULL, NULL, 8),
(24161, NULL, 'PIRSF039099', NULL, NULL, NULL, NULL, 'APP-BP1', NULL, NULL, NULL, 8),
(24162, NULL, 'PIRSF009449', NULL, NULL, NULL, NULL, 'DNA_primase_large', NULL, NULL, NULL, 8),
(24163, NULL, 'PIRSF037010', NULL, NULL, NULL, NULL, 'SF3B5', NULL, NULL, NULL, 8),
(24164, NULL, 'PIRSF005290', NULL, NULL, NULL, NULL, 'NOT_su_3_5', NULL, NULL, NULL, 8),
(24165, NULL, 'PIRSF017292', NULL, NULL, NULL, NULL, 'UCP017292_zn', NULL, NULL, NULL, 8),
(24166, NULL, 'PIRSF030218', NULL, NULL, NULL, NULL, 'Mannosyltr_MA4085', NULL, NULL, NULL, 8),
(24167, NULL, 'PIRSF016839', NULL, NULL, NULL, NULL, 'PhP', NULL, NULL, NULL, 8),
(24168, NULL, 'PIRSF038995', NULL, NULL, NULL, NULL, 'SRP68', NULL, NULL, NULL, 8),
(24169, NULL, 'PIRSF009226', NULL, NULL, NULL, NULL, 'UCP009226_DNArpr', NULL, NULL, NULL, 8),
(24170, NULL, 'PIRSF037799', NULL, NULL, NULL, NULL, 'Tautomer_YdcE', NULL, NULL, NULL, 8),
(24171, NULL, 'PIRSF007043', NULL, NULL, NULL, NULL, 'YopQ', NULL, NULL, NULL, 8),
(24172, NULL, 'PIRSF038972', NULL, NULL, NULL, NULL, 'Trm12', NULL, NULL, NULL, 8),
(24173, NULL, 'PIRSF500625', NULL, NULL, NULL, NULL, 'Cytochrome_CYP7A1', NULL, NULL, NULL, 8),
(24174, NULL, 'PIRSF017023', NULL, NULL, NULL, NULL, 'KNR4', NULL, NULL, NULL, 8),
(24175, NULL, 'PIRSF008546', NULL, NULL, NULL, NULL, 'UCP008546', NULL, NULL, NULL, 8),
(24176, NULL, 'PIRSF010606', NULL, NULL, NULL, NULL, 'CotJB', NULL, NULL, NULL, 8),
(24177, NULL, 'PIRSF017288', NULL, NULL, NULL, NULL, 'PMK_GHMP_euk', NULL, NULL, NULL, 8),
(24178, NULL, 'PIRSF000774', NULL, NULL, NULL, NULL, 'RpoN', NULL, NULL, NULL, 8),
(24179, NULL, 'PIRSF015875', NULL, NULL, NULL, NULL, 'UCP015875', NULL, NULL, NULL, 8),
(24180, NULL, 'PIRSF037867', NULL, NULL, NULL, NULL, 'CD261_antigen', NULL, NULL, NULL, 8),
(24181, NULL, 'PIRSF025560', NULL, NULL, NULL, NULL, 'UCP025560', NULL, NULL, NULL, 8),
(24182, NULL, 'PIRSF038922', NULL, NULL, NULL, NULL, 'SRP72', NULL, NULL, NULL, 8),
(24183, NULL, 'PIRSF037260', NULL, NULL, NULL, NULL, 'UCP037260', NULL, NULL, NULL, 8),
(24184, NULL, 'PIRSF003796', NULL, NULL, NULL, NULL, 'M-T4_MXV', NULL, NULL, NULL, 8),
(24185, NULL, 'PIRSF031501', NULL, NULL, NULL, NULL, 'QueT', NULL, NULL, NULL, 8),
(24186, NULL, 'PIRSF002888', NULL, NULL, NULL, NULL, 'FliM', NULL, NULL, NULL, 8),
(24187, NULL, 'PIRSF002686', NULL, NULL, NULL, NULL, 'SLG', NULL, NULL, NULL, 8),
(24188, NULL, 'PIRSF036573', NULL, NULL, NULL, NULL, 'REV1', NULL, NULL, NULL, 8),
(24189, NULL, 'PIRSF038151', NULL, NULL, NULL, NULL, 'TOM9-2_plant', NULL, NULL, NULL, 8),
(24190, NULL, 'PIRSF023322', NULL, NULL, NULL, NULL, 'UCP023322_TM_coiled-coil', NULL, NULL, NULL, 8),
(24191, NULL, 'PIRSF014543', NULL, NULL, NULL, NULL, 'UCP014543', NULL, NULL, NULL, 8),
(24192, NULL, 'PIRSF000194', NULL, NULL, NULL, NULL, 'DHFR', NULL, NULL, NULL, 8),
(24193, NULL, 'PIRSF023925', NULL, NULL, NULL, NULL, 'G0S2', NULL, NULL, NULL, 8),
(24194, NULL, 'PIRSF002572', NULL, NULL, NULL, NULL, 'PIP-GCDFP-15', NULL, NULL, NULL, 8),
(24195, NULL, 'PIRSF003273', NULL, NULL, NULL, NULL, 'Mobilization_A', NULL, NULL, NULL, 8),
(24196, NULL, 'PIRSF011221', NULL, NULL, NULL, NULL, 'Chloropl_CC', NULL, NULL, NULL, 8),
(24197, NULL, 'PIRSF009935', NULL, NULL, NULL, NULL, 'TCTA', NULL, NULL, NULL, 8),
(24198, NULL, 'PIRSF001007', NULL, NULL, NULL, NULL, 'RusA', NULL, NULL, NULL, 8),
(24199, NULL, 'PIRSF005444', NULL, NULL, NULL, NULL, 'PEMT_MPLS', NULL, NULL, NULL, 8),
(24200, NULL, 'PIRSF038056', NULL, NULL, NULL, NULL, 'BP10_SPAN', NULL, NULL, NULL, 8),
(24201, NULL, 'TIGR01773', NULL, NULL, 'GABAperm: GABA permease', NULL, 'TIGR01773', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24202, NULL, 'TIGR04334', NULL, NULL, 'rSAM_Clo7bot: radical SAM/SPASM domain Clo7bot peptide maturase', NULL, 'TIGR04334', NULL, NULL, NULL, 9),
(24203, NULL, 'TIGR01533', NULL, NULL, 'lipo_e_P4: 5''-nucleotidase, lipoprotein e(P4) family', NULL, 'TIGR01533', NULL, NULL, NULL, 9),
(24204, NULL, 'TIGR02171', NULL, NULL, 'Fb_sc_TIGR02171: fibrobacter succinogenes paralogous family TIGR02171', NULL, 'TIGR02171', NULL, NULL, NULL, 9),
(24205, NULL, 'TIGR03983', NULL, NULL, 'cas1_MYXAN: CRISPR-associated endonuclease Cas1, subtype MYXAN', NULL, 'TIGR03983', NULL, NULL, NULL, 9),
(24206, NULL, 'TIGR01966', NULL, NULL, 'RNasePH: ribonuclease PH', NULL, 'TIGR01966', NULL, NULL, NULL, 9),
(24207, NULL, 'TIGR04038', NULL, NULL, 'tatD_link_rSAM: radical SAM protein, TatD family-associated', NULL, 'TIGR04038', NULL, NULL, NULL, 9),
(24208, NULL, 'TIGR02068', NULL, NULL, 'cya_phycin_syn: cyanophycin synthetase', NULL, 'TIGR02068', NULL, NULL, NULL, 9),
(24209, NULL, 'TIGR03743', NULL, NULL, 'SXT_TraD: conjugative coupling factor TraD, SXT/TOL subfamily', NULL, 'TIGR03743', NULL, NULL, NULL, 9),
(24210, NULL, 'TIGR00942', NULL, NULL, '2a6301s05: multicomponent Na+:H+ antiporter', NULL, 'TIGR00942', NULL, NULL, NULL, 9),
(24211, NULL, 'TIGR03936', NULL, NULL, 'sam_1_link_chp: radical SAM-linked protein', NULL, 'TIGR03936', NULL, NULL, NULL, 9),
(24212, NULL, 'TIGR01340', NULL, NULL, 'aconitase_mito: aconitate hydratase, mitochondrial', NULL, 'TIGR01340', NULL, NULL, NULL, 9),
(24213, NULL, 'TIGR02364', NULL, NULL, 'dha_pts: dihydroxyacetone kinase, phosphotransfer subunit', NULL, 'TIGR02364', NULL, NULL, NULL, 9),
(24214, NULL, 'TIGR00839', NULL, NULL, 'aspA: aspartate ammonia-lyase', NULL, 'TIGR00839', NULL, NULL, NULL, 9),
(24215, NULL, 'TIGR04141', NULL, NULL, 'TIGR04141: sporadically distributed protein, TIGR04141 family', NULL, 'TIGR04141', NULL, NULL, NULL, 9),
(24216, NULL, 'TIGR03687', NULL, NULL, 'pupylate_cterm: ubiquitin-like protein Pup', NULL, 'TIGR03687', NULL, NULL, NULL, 9),
(24217, NULL, 'TIGR03195', NULL, NULL, '4hydrxCoA_B: 4-hydroxybenzoyl-CoA reductase, beta subunit', NULL, 'TIGR03195', NULL, NULL, NULL, 9),
(24218, NULL, 'TIGR02797', NULL, NULL, 'exbB: tonB-system energizer ExbB', NULL, 'TIGR02797', NULL, NULL, NULL, 9),
(24219, NULL, 'TIGR04085', NULL, NULL, 'rSAM_more_4Fe4S: radical SAM additional 4Fe4S-binding SPASM domain', NULL, 'TIGR04085', NULL, NULL, NULL, 9),
(24220, NULL, 'TIGR01237', NULL, NULL, 'D1pyr5carbox2: putative delta-1-pyrroline-5-carboxylate dehydrogenase', NULL, 'TIGR01237', NULL, NULL, NULL, 9),
(24221, NULL, 'TIGR02912', NULL, NULL, 'sulfite_red_C: sulfite reductase, subunit C', NULL, 'TIGR02912', NULL, NULL, NULL, 9),
(24222, NULL, 'TIGR02420', NULL, NULL, 'dksA: RNA polymerase-binding protein DksA', NULL, 'TIGR02420', NULL, NULL, NULL, 9),
(24223, NULL, 'TIGR04527', NULL, NULL, 'mycoplas_twoTM: two transmembrane protein', NULL, 'TIGR04527', NULL, NULL, NULL, 9),
(24224, NULL, 'TIGR03447', NULL, NULL, 'mycothiol_MshC: cysteine--1-D-myo-inosityl 2-amino-2-deoxy-alpha-D-glucopyranoside ligase', NULL, 'TIGR03447', NULL, NULL, NULL, 9),
(24225, NULL, 'TIGR03310', NULL, NULL, 'matur_MocA_YgfJ: molybdenum cofactor cytidylyltransferase', NULL, 'TIGR03310', NULL, NULL, NULL, 9),
(24226, NULL, 'TIGR04278', NULL, NULL, 'viperin: antiviral radical SAM protein viperin', NULL, 'TIGR04278', NULL, NULL, NULL, 9),
(24227, NULL, 'TIGR00154', NULL, NULL, 'ispE: 4-(cytidine 5''-diphospho)-2-C-methyl-D-erythritol kinase', NULL, 'TIGR00154', NULL, NULL, NULL, 9),
(24228, NULL, 'TIGR03503', NULL, NULL, 'TIGR03503: TIGR03503 family protein', NULL, 'TIGR03503', NULL, NULL, NULL, 9),
(24229, NULL, 'TIGR03251', NULL, NULL, 'LAT_fam: L-lysine 6-transaminase', NULL, 'TIGR03251', NULL, NULL, NULL, 9),
(24230, NULL, 'TIGR00406', NULL, NULL, 'prmA: ribosomal protein L11 methyltransferase', NULL, 'TIGR00406', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24231, NULL, 'TIGR01580', NULL, NULL, 'narG: nitrate reductase, alpha subunit', NULL, 'TIGR01580', NULL, NULL, NULL, 9),
(24232, NULL, 'TIGR03254', NULL, NULL, 'oxalate_oxc: oxalyl-CoA decarboxylase', NULL, 'TIGR03254', NULL, NULL, NULL, 9),
(24233, NULL, 'TIGR02856', NULL, NULL, 'spore_yqfC: sporulation protein YqfC', NULL, 'TIGR02856', NULL, NULL, NULL, 9),
(24234, NULL, 'TIGR00347', NULL, NULL, 'bioD: dethiobiotin synthase', NULL, 'TIGR00347', NULL, NULL, NULL, 9),
(24235, NULL, 'TIGR00693', NULL, NULL, 'thiE: thiamine-phosphate diphosphorylase', NULL, 'TIGR00693', NULL, NULL, NULL, 9),
(24236, NULL, 'TIGR00883', NULL, NULL, '2A0106: MFS transporter, metabolite:H+ symporter (MHS) family protein', NULL, 'TIGR00883', NULL, NULL, NULL, 9),
(24237, NULL, 'TIGR00213', NULL, NULL, 'GmhB_yaeD: D,D-heptose 1,7-bisphosphate phosphatase', NULL, 'TIGR00213', NULL, NULL, NULL, 9),
(24238, NULL, 'TIGR00403', NULL, NULL, 'ndhI: NADH-plastoquinone oxidoreductase, I subunit', NULL, 'TIGR00403', NULL, NULL, NULL, 9),
(24239, NULL, 'TIGR01041', NULL, NULL, 'ATP_syn_B_arch: ATP synthase archaeal, B subunit', NULL, 'TIGR01041', NULL, NULL, NULL, 9),
(24240, NULL, 'TIGR01178', NULL, NULL, 'ade: adenine deaminase', NULL, 'TIGR01178', NULL, NULL, NULL, 9),
(24241, NULL, 'TIGR03011', NULL, NULL, 'sulf_tusB_dsrH: sulfur relay protein TusB/DsrH', NULL, 'TIGR03011', NULL, NULL, NULL, 9),
(24242, NULL, 'TIGR00646', NULL, NULL, 'MG010: DNA primase-like protein', NULL, 'TIGR00646', NULL, NULL, NULL, 9),
(24243, NULL, 'TIGR00836', NULL, NULL, 'amt: ammonium transporter', NULL, 'TIGR00836', NULL, NULL, NULL, 9),
(24244, NULL, 'TIGR02616', NULL, NULL, 'tnaC_leader: tryptophanase leader peptide', NULL, 'TIGR02616', NULL, NULL, NULL, 9),
(24245, NULL, 'TIGR02806', NULL, NULL, 'clostrip: clostripain', NULL, 'TIGR02806', NULL, NULL, NULL, 9),
(24246, NULL, 'TIGR00587', NULL, NULL, 'nfo: apurinic endonuclease (APN1)', NULL, 'TIGR00587', NULL, NULL, NULL, 9),
(24247, NULL, 'TIGR02660', NULL, NULL, 'nifV_homocitr: homocitrate synthase', NULL, 'TIGR02660', NULL, NULL, NULL, 9),
(24248, NULL, 'TIGR03494', NULL, NULL, 'salicyl_syn: salicylate synthase', NULL, 'TIGR03494', NULL, NULL, NULL, 9),
(24249, NULL, 'TIGR03684', NULL, NULL, 'arCOG00985: arCOG04150 universal archaeal PUA-domain protein', NULL, 'TIGR03684', NULL, NULL, NULL, 9),
(24250, NULL, 'TIGR00397', NULL, NULL, 'mauM_napG: MauM/NapG family ferredoxin-type protein', NULL, 'TIGR00397', NULL, NULL, NULL, 9),
(24251, NULL, 'TIGR01100', NULL, NULL, 'V_ATP_synt_C: V-type ATPase, C subunit', NULL, 'TIGR01100', NULL, NULL, NULL, 9),
(24252, NULL, 'TIGR01729', NULL, NULL, 'taurine_ABC_bnd: taurine ABC transporter, periplasmic binding protein', NULL, 'TIGR01729', NULL, NULL, NULL, 9),
(24253, NULL, 'TIGR01919', NULL, NULL, 'hisA-trpF: bifunctional HisA/TrpF protein', NULL, 'TIGR01919', NULL, NULL, NULL, 9),
(24254, NULL, 'TIGR02367', NULL, NULL, 'PylS_Cterm: pyrrolysine--tRNA ligase, C-terminal region', NULL, 'TIGR02367', NULL, NULL, NULL, 9),
(24255, NULL, 'TIGR02557', NULL, NULL, 'HpaP: type III secretion protein HpaP', NULL, 'TIGR02557', NULL, NULL, NULL, 9),
(24256, NULL, 'TIGR03802', NULL, NULL, 'Asp_Ala_antiprt: aspartate-alanine antiporter', NULL, 'TIGR03802', NULL, NULL, NULL, 9),
(24257, NULL, 'TIGR04440', NULL, NULL, 'glyco_TIGR04440: glycosyltransferase domain', NULL, 'TIGR04440', NULL, NULL, NULL, 9),
(24258, NULL, 'TIGR02065', NULL, NULL, 'ECX1: exosome complex exonuclease 1', NULL, 'TIGR02065', NULL, NULL, NULL, 9),
(24259, NULL, 'TIGR03790', NULL, NULL, 'TIGR03790: TIGR03790 family protein', NULL, 'TIGR03790', NULL, NULL, NULL, 9),
(24260, NULL, 'TIGR03207', NULL, NULL, 'cyc_hxne_CoA_dh: cyclohexanecarboxyl-CoA dehydrogenase', NULL, 'TIGR03207', NULL, NULL, NULL, 9),
(24261, NULL, 'TIGR01474', NULL, NULL, 'ubiA_proteo: 4-hydroxybenzoate polyprenyl transferase', NULL, 'TIGR01474', NULL, NULL, NULL, 9),
(24262, NULL, 'TIGR03148', NULL, NULL, 'cyt_nit_nrfD: cytochrome c nitrite reductase, NrfD subunit', NULL, 'TIGR03148', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24263, NULL, 'TIGR03986', NULL, NULL, 'TIGR03986: CRISPR-associated protein', NULL, 'TIGR03986', NULL, NULL, NULL, 9),
(24264, NULL, 'TIGR04571', NULL, NULL, 'LmtA_Leptospira: lipid A Kdo2 1-phosphate O-methyltransferase', NULL, 'TIGR04571', NULL, NULL, NULL, 9),
(24265, NULL, 'TIGR01284', NULL, NULL, 'alt_nitrog_alph: nitrogenase alpha chain', NULL, 'TIGR01284', NULL, NULL, NULL, 9),
(24266, NULL, 'TIGR00260', NULL, NULL, 'thrC: threonine synthase', NULL, 'TIGR00260', NULL, NULL, NULL, 9),
(24267, NULL, 'TIGR00450', NULL, NULL, 'mnmE_trmE_thdF: tRNA modification GTPase TrmE', NULL, 'TIGR00450', NULL, NULL, NULL, 9),
(24268, NULL, 'TIGR02124', NULL, NULL, 'hypE: hydrogenase expression/formation protein HypE', NULL, 'TIGR02124', NULL, NULL, NULL, 9),
(24269, NULL, 'TIGR04381', NULL, NULL, 'HTH_TypR: TyrR family helix-turn-helix domain', NULL, 'TIGR04381', NULL, NULL, NULL, 9),
(24270, NULL, 'TIGR00391', NULL, NULL, 'hydA: hydrogenase (NiFe) small subunit (hydA)', NULL, 'TIGR00391', NULL, NULL, NULL, 9),
(24271, NULL, 'TIGR03793', NULL, NULL, 'TOMM_pelo: NHLP leader peptide domain', NULL, 'TIGR03793', NULL, NULL, NULL, 9),
(24272, NULL, 'TIGR00705', NULL, NULL, 'SppA_67K: signal peptide peptidase SppA, 67K type', NULL, 'TIGR00705', NULL, NULL, NULL, 9),
(24273, NULL, 'TIGR00104', NULL, NULL, 'tRNA_TsaA: tRNA-Thr(GGU) m(6)t(6)A37 methyltransferase TsaA', NULL, 'TIGR00104', NULL, NULL, NULL, 9),
(24274, NULL, 'TIGR04384', NULL, NULL, 'putr_carbamoyl: putrescine carbamoyltransferase', NULL, 'TIGR04384', NULL, NULL, NULL, 9),
(24275, NULL, 'TIGR02121', NULL, NULL, 'Na_Pro_sym: sodium/proline symporter', NULL, 'TIGR02121', NULL, NULL, NULL, 9),
(24276, NULL, 'TIGR00344', NULL, NULL, 'alaS: alanine--tRNA ligase', NULL, 'TIGR00344', NULL, NULL, NULL, 9),
(24277, NULL, 'TIGR01776', NULL, NULL, 'TonB-tbp-lbp: TonB-dependent lactoferrin and transferrin receptors', NULL, 'TIGR01776', NULL, NULL, NULL, 9),
(24278, NULL, 'TIGR02258', NULL, NULL, '2_5_ligase: 2''-5'' RNA ligase', NULL, 'TIGR02258', NULL, NULL, NULL, 9),
(24279, NULL, 'TIGR01103', NULL, NULL, 'fliP: flagellar biosynthetic protein FliP', NULL, 'TIGR01103', NULL, NULL, NULL, 9),
(24280, NULL, 'TIGR03746', NULL, NULL, 'conj_TIGR03746: integrating conjugative element protein, PFL_4703 family', NULL, 'TIGR03746', NULL, NULL, NULL, 9),
(24281, NULL, 'TIGR00151', NULL, NULL, 'ispF: 2-C-methyl-D-erythritol 2,4-cyclodiphosphate synthase', NULL, 'TIGR00151', NULL, NULL, NULL, 9),
(24282, NULL, 'TIGR03980', NULL, NULL, 'prismane_assoc: hybrid cluster protein-associated redox disulfide domain', NULL, 'TIGR03980', NULL, NULL, NULL, 9),
(24283, NULL, 'TIGR01530', NULL, NULL, 'nadN: NAD nucleotidase', NULL, 'TIGR01530', NULL, NULL, NULL, 9),
(24284, NULL, 'TIGR04228', NULL, NULL, 'isopep_sspB_C2: adhesin isopeptide-forming adherence domain', NULL, 'TIGR04228', NULL, NULL, NULL, 9),
(24285, NULL, 'TIGR02610', NULL, NULL, 'PHA_gran_rgn: putative polyhydroxyalkanoic acid system protein', NULL, 'TIGR02610', NULL, NULL, NULL, 9),
(24286, NULL, 'TIGR02230', NULL, NULL, 'ATPase_gene1: putative F0F1-ATPase subunit', NULL, 'TIGR02230', NULL, NULL, NULL, 9),
(24287, NULL, 'TIGR03120', NULL, NULL, 'one_C_mch: methenyltetrahydromethanopterin cyclohydrolase', NULL, 'TIGR03120', NULL, NULL, NULL, 9),
(24288, NULL, 'TIGR03500', NULL, NULL, 'FliO_TIGR: flagellar biosynthetic protein FliO', NULL, 'TIGR03500', NULL, NULL, NULL, 9),
(24289, NULL, 'TIGR03939', NULL, NULL, 'PGA_TPR_OMP: poly-beta-1,6 N-acetyl-D-glucosamine export porin PgaA', NULL, 'TIGR03939', NULL, NULL, NULL, 9),
(24290, NULL, 'TIGR03257', NULL, NULL, 'met_CoM_red_bet: methyl-coenzyme M reductase, beta subunit', NULL, 'TIGR03257', NULL, NULL, NULL, 9),
(24291, NULL, 'TIGR00649', NULL, NULL, 'MG423: beta-CASP ribonuclease, RNase J family', NULL, 'TIGR00649', NULL, NULL, NULL, 9),
(24292, NULL, 'TIGR03385', NULL, NULL, 'CoA_CoA_reduc: CoA-disulfide reductase', NULL, 'TIGR03385', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24293, NULL, 'TIGR02470', NULL, NULL, 'sucr_synth: sucrose synthase', NULL, 'TIGR02470', NULL, NULL, NULL, 9),
(24294, NULL, 'TIGR04035', NULL, NULL, 'glucan_65_rpt: glucan-binding repeat', NULL, 'TIGR04035', NULL, NULL, NULL, 9),
(24295, NULL, 'TIGR00880', NULL, NULL, '2_A_01_02: multidrug resistance protein', NULL, 'TIGR00880', NULL, NULL, NULL, 9),
(24296, NULL, 'TIGR03637', NULL, NULL, 'cas1_YPEST: CRISPR-associated endonuclease Cas1, subtype I-F/YPEST', NULL, 'TIGR03637', NULL, NULL, NULL, 9),
(24297, NULL, 'TIGR04275', NULL, NULL, 'beta_prop_Msarc: beta propeller repeat', NULL, 'TIGR04275', NULL, NULL, NULL, 9),
(24298, NULL, 'TIGR02794', NULL, NULL, 'tolA_full: protein TolA', NULL, 'TIGR02794', NULL, NULL, NULL, 9),
(24299, NULL, 'TIGR03061', NULL, NULL, 'pip_yhgE_Nterm: YhgE/Pip N-terminal domain', NULL, 'TIGR03061', NULL, NULL, NULL, 9),
(24300, NULL, 'TIGR03444', NULL, NULL, 'EgtA_Cys_ligase: ergothioneine biosynthesis glutamate--cysteine ligase EgtA', NULL, 'TIGR03444', NULL, NULL, NULL, 9),
(24301, NULL, 'TIGR04337', NULL, NULL, 'AmmeMemoSam_rS: AmmeMemoRadiSam system radical SAM enzyme', NULL, 'TIGR04337', NULL, NULL, NULL, 9),
(24302, NULL, 'TIGR00288', NULL, NULL, 'TIGR00288: TIGR00288 family protein', NULL, 'TIGR00288', NULL, NULL, NULL, 9),
(24303, NULL, 'TIGR01832', NULL, NULL, 'kduD: 2-deoxy-D-gluconate 3-dehydrogenase', NULL, 'TIGR01832', NULL, NULL, NULL, 9),
(24304, NULL, 'TIGR02666', NULL, NULL, 'moaA: molybdenum cofactor biosynthesis protein A', NULL, 'TIGR02666', NULL, NULL, NULL, 9),
(24305, NULL, 'TIGR02987', NULL, NULL, 'met_A_Alw26: type II restriction m6 adenine DNA methyltransferase, Alw26I/Eco31I/Esp3I family', NULL, 'TIGR02987', NULL, NULL, NULL, 9),
(24306, NULL, 'TIGR03014', NULL, NULL, 'EpsL: exopolysaccharide biosynthesis operon protein EpsL', NULL, 'TIGR03014', NULL, NULL, NULL, 9),
(24307, NULL, 'TIGR00453', NULL, NULL, 'ispD: 2-C-methyl-D-erythritol 4-phosphate cytidylyltransferase', NULL, 'TIGR00453', NULL, NULL, NULL, 9),
(24308, NULL, 'TIGR04032', NULL, NULL, 'toxin_SdpC: antimicrobial peptide, SdpC family', NULL, 'TIGR04032', NULL, NULL, NULL, 9),
(24309, NULL, 'TIGR02473', NULL, NULL, 'flagell_FliJ: flagellar export protein FliJ', NULL, 'TIGR02473', NULL, NULL, NULL, 9),
(24310, NULL, 'TIGR04169', NULL, NULL, 'perox_w_seleSAM: alkylhydroperoxidase/carboxymuconolactone decarboxylase family protein', NULL, 'TIGR04169', NULL, NULL, NULL, 9),
(24311, NULL, 'TIGR02853', NULL, NULL, 'spore_dpaA: dipicolinic acid synthetase, A subunit', NULL, 'TIGR02853', NULL, NULL, NULL, 9),
(24312, NULL, 'TIGR03491', NULL, NULL, 'TIGR03491: putative RecB family nuclease, TM0106 family', NULL, 'TIGR03491', NULL, NULL, NULL, 9),
(24313, NULL, 'TIGR01091', NULL, NULL, 'upp: uracil phosphoribosyltransferase', NULL, 'TIGR01091', NULL, NULL, NULL, 9),
(24314, NULL, 'TIGR01424', NULL, NULL, 'gluta_reduc_2: glutathione-disulfide reductase', NULL, 'TIGR01424', NULL, NULL, NULL, 9),
(24315, NULL, 'TIGR02803', NULL, NULL, 'ExbD_1: TonB system transport protein ExbD', NULL, 'TIGR02803', NULL, NULL, NULL, 9),
(24316, NULL, 'TIGR00092', NULL, NULL, 'TIGR00092: GTP-binding protein YchF', NULL, 'TIGR00092', NULL, NULL, NULL, 9),
(24317, NULL, 'TIGR03198', NULL, NULL, 'pucE: xanthine dehydrogenase E subunit', NULL, 'TIGR03198', NULL, NULL, NULL, 9),
(24318, NULL, 'TIGR03578', NULL, NULL, 'EF_0831: conserved hypothetical protein EF_0831/AHA_3912', NULL, 'TIGR03578', NULL, NULL, NULL, 9),
(24319, NULL, 'TIGR02423', NULL, NULL, 'protocat_alph: protocatechuate 3,4-dioxygenase, alpha subunit', NULL, 'TIGR02423', NULL, NULL, NULL, 9),
(24320, NULL, 'TIGR02199', NULL, NULL, 'rfaE_dom_II: bifunctional protein RfaE, domain II', NULL, 'TIGR02199', NULL, NULL, NULL, 9),
(24321, NULL, 'TIGR04082', NULL, NULL, 'rSAM_for_selen: selenobiotic family peptide radical SAM maturase', NULL, 'TIGR04082', NULL, NULL, NULL, 9),
(24322, NULL, 'TIGR01044', NULL, NULL, 'rplV_bact: ribosomal protein uL22', NULL, 'TIGR01044', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24323, NULL, 'TIGR01882', NULL, NULL, 'peptidase-T: peptidase T', NULL, 'TIGR01882', NULL, NULL, NULL, 9),
(24324, NULL, 'TIGR00210', NULL, NULL, 'gltS: sodium/glutamate symporter', NULL, 'TIGR00210', NULL, NULL, NULL, 9),
(24325, NULL, 'TIGR03805', NULL, NULL, 'beta_helix_1: parallel beta-helix repeat-containing protein', NULL, 'TIGR03805', NULL, NULL, NULL, 9),
(24326, NULL, 'TIGR03550', NULL, NULL, 'F420_cofG: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofG subunit', NULL, 'TIGR03550', NULL, NULL, NULL, 9),
(24327, NULL, 'TIGR03930', NULL, NULL, 'WXG100_ESAT6: WXG100 family type VII secretion target', NULL, 'TIGR03930', NULL, NULL, NULL, 9),
(24328, NULL, 'TIGR03989', NULL, NULL, 'Rxyl_3153: NDMA-dependent alcohol dehydrogenase, Rxyl_3153 family', NULL, 'TIGR03989', NULL, NULL, NULL, 9),
(24329, NULL, 'TIGR01150', NULL, NULL, 'puhA: photosynthetic reaction center H subunit', NULL, 'TIGR01150', NULL, NULL, NULL, 9),
(24330, NULL, 'TIGR01969', NULL, NULL, 'minD_arch: cell division ATPase MinD', NULL, 'TIGR01969', NULL, NULL, NULL, 9),
(24331, NULL, 'TIGR01287', NULL, NULL, 'nifH: nitrogenase iron protein', NULL, 'TIGR01287', NULL, NULL, NULL, 9),
(24332, NULL, 'TIGR04200', NULL, NULL, 'targ_of_XrtJ: XrtJ-associated TM-motif-TM protein', NULL, 'TIGR04200', NULL, NULL, NULL, 9),
(24333, NULL, 'TIGR02619', NULL, NULL, 'TIGR02619: putative CRISPR-associated protein, APE2256 family', NULL, 'TIGR02619', NULL, NULL, NULL, 9),
(24334, NULL, 'TIGR02317', NULL, NULL, 'prpB: methylisocitrate lyase', NULL, 'TIGR02317', NULL, NULL, NULL, 9),
(24335, NULL, 'TIGR03852', NULL, NULL, 'sucrose_gtfA: sucrose phosphorylase', NULL, 'TIGR03852', NULL, NULL, NULL, 9),
(24336, NULL, 'TIGR00394', NULL, NULL, 'lac_pts_IIC: PTS system, lactose-specific IIC component', NULL, 'TIGR00394', NULL, NULL, NULL, 9),
(24337, NULL, 'TIGR04443', NULL, NULL, 'F420_CofF: coenzyme gamma-F420-2:alpha-L-glutamate ligase', NULL, 'TIGR04443', NULL, NULL, NULL, 9),
(24338, NULL, 'TIGR00696', NULL, NULL, 'wecG_tagA_cpsF: glycosyltransferase, WecB/TagA/CpsF family', NULL, 'TIGR00696', NULL, NULL, NULL, 9),
(24339, NULL, 'TIGR01726', NULL, NULL, 'HEQRo_perm_3TM: amino ABC transporter, permease protein, 3-TM region, His/Glu/Gln/Arg/opine family', NULL, 'TIGR01726', NULL, NULL, NULL, 9),
(24340, NULL, 'TIGR02062', NULL, NULL, 'RNase_B: exoribonuclease II', NULL, 'TIGR02062', NULL, NULL, NULL, 9),
(24341, NULL, 'TIGR00512', NULL, NULL, 'salvage_mtnA: S-methyl-5-thioribose-1-phosphate isomerase', NULL, 'TIGR00512', NULL, NULL, NULL, 9),
(24342, NULL, 'TIGR01346', NULL, NULL, 'isocit_lyase: isocitrate lyase', NULL, 'TIGR01346', NULL, NULL, NULL, 9),
(24343, NULL, 'TIGR00833', NULL, NULL, 'actII: transport protein', NULL, 'TIGR00833', NULL, NULL, NULL, 9),
(24344, NULL, 'TIGR01667', NULL, NULL, 'YCCS_YHJK: integral membrane protein, YccS/YhfK family', NULL, 'TIGR01667', NULL, NULL, NULL, 9),
(24345, NULL, 'TIGR03039', NULL, NULL, 'PS_II_CP47: photosystem II chlorophyll-binding protein CP47', NULL, 'TIGR03039', NULL, NULL, NULL, 9),
(24346, NULL, 'TIGR00581', NULL, NULL, 'moaC: molybdenum cofactor biosynthesis protein C', NULL, 'TIGR00581', NULL, NULL, NULL, 9),
(24347, NULL, 'TIGR00515', NULL, NULL, 'accD: acetyl-CoA carboxylase, carboxyl transferase, beta subunit', NULL, 'TIGR00515', NULL, NULL, NULL, 9),
(24348, NULL, 'TIGR01069', NULL, NULL, 'mutS2: MutS2 family protein', NULL, 'TIGR01069', NULL, NULL, NULL, 9),
(24349, NULL, 'TIGR02551', NULL, NULL, 'SpaO_YscQ: type III secretion apparatus protein, YscQ/HrcQ family', NULL, 'TIGR02551', NULL, NULL, NULL, 9),
(24350, NULL, 'TIGR02688', NULL, NULL, 'TIGR02688: TIGR02688 family protein', NULL, 'TIGR02688', NULL, NULL, NULL, 9),
(24351, NULL, 'TIGR01393', NULL, NULL, 'lepA: elongation factor 4', NULL, 'TIGR01393', NULL, NULL, NULL, 9),
(24352, NULL, 'TIGR02311', NULL, NULL, 'HpaI: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', NULL, 'TIGR02311', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24353, NULL, 'TIGR01172', NULL, NULL, 'cysE: serine O-acetyltransferase', NULL, 'TIGR01172', NULL, NULL, NULL, 9),
(24354, NULL, 'TIGR02448', NULL, NULL, 'TIGR02448: conserverd hypothetical protein', NULL, 'TIGR02448', NULL, NULL, NULL, 9),
(24355, NULL, 'TIGR04194', NULL, NULL, 'grasp_w_spasm_A: grasp-with-spasm leader A domain', NULL, 'TIGR04194', NULL, NULL, NULL, 9),
(24356, NULL, 'TIGR04521', NULL, NULL, 'ECF_ATPase_2: energy-coupling factor transporter ATPase', NULL, 'TIGR04521', NULL, NULL, NULL, 9),
(24357, NULL, 'TIGR00238', NULL, NULL, 'TIGR00238: KamA family protein', NULL, 'TIGR00238', NULL, NULL, NULL, 9),
(24358, NULL, 'TIGR02744', NULL, NULL, 'TrbI_Ftype: type-F conjugative transfer system protein TrbI', NULL, 'TIGR02744', NULL, NULL, NULL, 9),
(24359, NULL, 'TIGR00811', NULL, NULL, 'sit: silicon transporter', NULL, 'TIGR00811', NULL, NULL, NULL, 9),
(24360, NULL, 'TIGR01106', NULL, NULL, 'ATPase-IIC_X-K: Na,H/K antiporter P-type ATPase, alpha subunit', NULL, 'TIGR01106', NULL, NULL, NULL, 9),
(24361, NULL, 'TIGR03142', NULL, NULL, 'cytochro_ccmI: cytochrome c-type biogenesis protein CcmI', NULL, 'TIGR03142', NULL, NULL, NULL, 9),
(24362, NULL, 'TIGR04418', NULL, NULL, 'PriB_gamma: primosomal replication protein PriB', NULL, 'TIGR04418', NULL, NULL, NULL, 9),
(24363, NULL, 'TIGR03509', NULL, NULL, 'OMP_MtrB_PioB: decaheme-associated outer membrane protein, MtrB/PioB family', NULL, 'TIGR03509', NULL, NULL, NULL, 9),
(24364, NULL, 'TIGR00341', NULL, NULL, 'TIGR00341: TIGR00341 family protein', NULL, 'TIGR00341', NULL, NULL, NULL, 9),
(24365, NULL, 'TIGR03363', NULL, NULL, 'VI_chp_8: type VI secretion-associated protein, ImpA family', NULL, 'TIGR03363', NULL, NULL, NULL, 9),
(24366, NULL, 'TIGR00045', NULL, NULL, 'TIGR00045: glycerate kinase', NULL, 'TIGR00045', NULL, NULL, NULL, 9),
(24367, NULL, 'TIGR03575', NULL, NULL, 'selen_PSTK_euk: L-seryl-tRNA(Sec) kinase', NULL, 'TIGR03575', NULL, NULL, NULL, 9),
(24368, NULL, 'TIGR04490', NULL, NULL, 'SoxZ_true: thiosulfate oxidation carrier complex protein SoxZ', NULL, 'TIGR04490', NULL, NULL, NULL, 9),
(24369, NULL, 'TIGR01720', NULL, NULL, 'NRPS-para261: non-ribosomal peptide synthase domain TIGR01720', NULL, 'TIGR01720', NULL, NULL, NULL, 9),
(24370, NULL, 'TIGR03067', NULL, NULL, 'Planc_TIGR03067: Planctomycetes uncharacterized domain TIGR03067', NULL, 'TIGR03067', NULL, NULL, NULL, 9),
(24371, NULL, 'TIGR03827', NULL, NULL, 'GNAT_ablB: putative beta-lysine N-acetyltransferase', NULL, 'TIGR03827', NULL, NULL, NULL, 9),
(24372, NULL, 'TIGR00727', NULL, NULL, 'ISP4_OPT: small oligopeptide transporter, OPT family', NULL, 'TIGR00727', NULL, NULL, NULL, 9),
(24373, NULL, 'TIGR01642', NULL, NULL, 'U2AF_lg: U2 snRNP auxilliary factor, large subunit, splicing factor', NULL, 'TIGR01642', NULL, NULL, NULL, 9),
(24374, NULL, 'TIGR02015', NULL, NULL, 'BchY: chlorophyllide reductase subunit Y', NULL, 'TIGR02015', NULL, NULL, NULL, 9),
(24375, NULL, 'TIGR03749', NULL, NULL, 'conj_TIGR03749: integrating conjugative element protein, PFL_4704 family', NULL, 'TIGR03749', NULL, NULL, NULL, 9),
(24376, NULL, 'TIGR01960', NULL, NULL, 'ndhF3_CO2: NAD(P)H dehydrogenase, subunit NdhF3 family', NULL, 'TIGR01960', NULL, NULL, NULL, 9),
(24377, NULL, 'TIGR01318', NULL, NULL, 'gltD_gamma_fam: glutamate synthase, small subunit', NULL, 'TIGR01318', NULL, NULL, NULL, 9),
(24378, NULL, 'TIGR02984', NULL, NULL, 'Sig-70_plancto1: RNA polymerase sigma-70 factor, Planctomycetaceae-specific subfamily 1', NULL, 'TIGR02984', NULL, NULL, NULL, 9),
(24379, NULL, 'TIGR02208', NULL, NULL, 'lipid_A_msbB: lipid A biosynthesis (KDO)2-(lauroyl)-lipid IVA acyltransferase', NULL, 'TIGR02208', NULL, NULL, NULL, 9),
(24380, NULL, 'TIGR02476', NULL, NULL, 'BluB: 5,6-dimethylbenzimidazole synthase', NULL, 'TIGR02476', NULL, NULL, NULL, 9),
(24381, NULL, 'TIGR02918', NULL, NULL, 'TIGR02918: accessory Sec system glycosylation protein GtfA', NULL, 'TIGR02918', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24382, NULL, 'TIGR00478', NULL, NULL, 'tly: TlyA family rRNA methyltransferase/putative hemolysin', NULL, 'TIGR00478', NULL, NULL, NULL, 9),
(24383, NULL, 'TIGR00101', NULL, NULL, 'ureG: urease accessory protein UreG', NULL, 'TIGR00101', NULL, NULL, NULL, 9),
(24384, NULL, 'TIGR01885', NULL, NULL, 'Orn_aminotrans: ornithine--oxo-acid transaminase', NULL, 'TIGR01885', NULL, NULL, NULL, 9),
(24385, NULL, 'TIGR01645', NULL, NULL, 'half-pint: poly-U binding splicing factor, half-pint family', NULL, 'TIGR01645', NULL, NULL, NULL, 9),
(24386, NULL, 'TIGR02236', NULL, NULL, 'recomb_radA: DNA repair and recombination protein RadA', NULL, 'TIGR02236', NULL, NULL, NULL, 9),
(24387, NULL, 'TIGR03064', NULL, NULL, 'sortase_srtB: sortase, SrtB family', NULL, 'TIGR03064', NULL, NULL, NULL, 9),
(24388, NULL, 'TIGR00023', NULL, NULL, 'TIGR00023: acyl-phosphate glycerol 3-phosphate acyltransferase', NULL, 'TIGR00023', NULL, NULL, NULL, 9),
(24389, NULL, 'TIGR04446', NULL, NULL, 'pren_cyc_PirE: prenylated cyclic peptide, anacyclamide/piricyclamide family', NULL, 'TIGR04446', NULL, NULL, NULL, 9),
(24390, NULL, 'TIGR03441', NULL, NULL, 'urea_trans_yut: urea transporter', NULL, 'TIGR03441', NULL, NULL, NULL, 9),
(24391, NULL, 'TIGR00266', NULL, NULL, 'TIGR00266: TIGR00266 family protein', NULL, 'TIGR00266', NULL, NULL, NULL, 9),
(24392, NULL, 'TIGR01854', NULL, NULL, 'lipid_A_lpxH: UDP-2,3-diacylglucosamine diphosphatase', NULL, 'TIGR01854', NULL, NULL, NULL, 9),
(24393, NULL, 'TIGR04203', NULL, NULL, 'RPT_S_cricet: Streptococcal surface-anchored protein repeat, S. criceti family', NULL, 'TIGR04203', NULL, NULL, NULL, 9),
(24394, NULL, 'TIGR04166', NULL, NULL, 'methano_MtrB: tetrahydromethanopterin S-methyltransferase, subunit B', NULL, 'TIGR04166', NULL, NULL, NULL, 9),
(24395, NULL, 'TIGR02850', NULL, NULL, 'spore_sigG: RNA polymerase sigma-G factor', NULL, 'TIGR02850', NULL, NULL, NULL, 9),
(24396, NULL, 'TIGR01617', NULL, NULL, 'arsC_related: transcriptional regulator, Spx/MgsR family', NULL, 'TIGR01617', NULL, NULL, NULL, 9),
(24397, NULL, 'TIGR01349', NULL, NULL, 'PDHac_trf_mito: pyruvate dehydrogenase complex dihydrolipoamide acetyltransferase', NULL, 'TIGR01349', NULL, NULL, NULL, 9),
(24398, NULL, 'TIGR01539', NULL, NULL, 'portal_lambda: phage portal protein, lambda family', NULL, 'TIGR01539', NULL, NULL, NULL, 9),
(24399, NULL, 'TIGR03612', NULL, NULL, 'RutA: pyrimidine utilization protein A', NULL, 'TIGR03612', NULL, NULL, NULL, 9),
(24400, NULL, 'TIGR04060', NULL, NULL, 'formate_focA: formate transporter FocA', NULL, 'TIGR04060', NULL, NULL, NULL, 9),
(24401, NULL, 'TIGR01402', NULL, NULL, 'fliQ: flagellar biosynthetic protein FliQ', NULL, 'TIGR01402', NULL, NULL, NULL, 9),
(24402, NULL, 'TIGR02772', NULL, NULL, 'Ku_bact: Ku protein', NULL, 'TIGR02772', NULL, NULL, NULL, 9),
(24403, NULL, 'TIGR03036', NULL, NULL, 'trp_2_3_diox: tryptophan 2,3-dioxygenase', NULL, 'TIGR03036', NULL, NULL, NULL, 9),
(24404, NULL, 'TIGR01212', NULL, NULL, 'TIGR01212: radical SAM protein, TIGR01212 family', NULL, 'TIGR01212', NULL, NULL, NULL, 9),
(24405, NULL, 'TIGR00758', NULL, NULL, 'UDG_fam4: uracil-DNA glycosylase, family 4', NULL, 'TIGR00758', NULL, NULL, NULL, 9),
(24406, NULL, 'TIGR00948', NULL, NULL, '2a75: L-lysine exporter', NULL, 'TIGR00948', NULL, NULL, NULL, 9),
(24407, NULL, 'TIGR02196', NULL, NULL, 'GlrX_YruB: glutaredoxin-like protein, YruB-family', NULL, 'TIGR02196', NULL, NULL, NULL, 9),
(24408, NULL, 'TIGR02314', NULL, NULL, 'ABC_MetN: D-methionine ABC transporter, ATP-binding protein', NULL, 'TIGR02314', NULL, NULL, NULL, 9),
(24409, NULL, 'TIGR03855', NULL, NULL, 'NAD_NadX: aspartate dehydrogenase', NULL, 'TIGR03855', NULL, NULL, NULL, 9),
(24410, NULL, 'TIGR03279', NULL, NULL, 'cyano_FeS_chp: putative radical SAM enzyme, TIGR03279 family', NULL, 'TIGR03279', NULL, NULL, NULL, 9),
(24411, NULL, 'TIGR02445', NULL, NULL, 'fadA: acetyl-CoA C-acyltransferase FadA', NULL, 'TIGR02445', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24412, NULL, 'TIGR04191', NULL, NULL, 'YphP_YqiW: putative bacilliredoxin, YphP/YqiW family', NULL, 'TIGR04191', NULL, NULL, NULL, 9),
(24413, NULL, 'TIGR00945', NULL, NULL, 'tatC: twin arginine-targeting protein translocase TatC', NULL, 'TIGR00945', NULL, NULL, NULL, 9),
(24414, NULL, 'TIGR03469', NULL, NULL, 'HpnB: hopene-associated glycosyltransferase HpnB', NULL, 'TIGR03469', NULL, NULL, NULL, 9),
(24415, NULL, 'TIGR04524', NULL, NULL, 'mycoplas_M_dom: IgG-blocking virulence domain', NULL, 'TIGR04524', NULL, NULL, NULL, 9),
(24416, NULL, 'TIGR01963', NULL, NULL, 'PHB_DH: 3-hydroxybutyrate dehydrogenase', NULL, 'TIGR01963', NULL, NULL, NULL, 9),
(24417, NULL, 'TIGR03332', NULL, NULL, 'salvage_mtnW: 2,3-diketo-5-methylthiopentyl-1-phosphate enolase', NULL, 'TIGR03332', NULL, NULL, NULL, 9),
(24418, NULL, 'TIGR00771', NULL, NULL, 'DcuC: transporter, anaerobic C4-dicarboxylate uptake C (DcuC) family', NULL, 'TIGR00771', NULL, NULL, NULL, 9),
(24419, NULL, 'TIGR01723', NULL, NULL, 'hmd_TIGR: 5,10-methenyltetrahydromethanopterin hydrogenase', NULL, 'TIGR01723', NULL, NULL, NULL, 9),
(24420, NULL, 'TIGR03572', NULL, NULL, 'WbuZ: glycosyl amidation-associated protein WbuZ', NULL, 'TIGR03572', NULL, NULL, NULL, 9),
(24421, NULL, 'TIGR03506', NULL, NULL, 'FlgEFG_subfam: flagellar hook-basal body protein', NULL, 'TIGR03506', NULL, NULL, NULL, 9),
(24422, NULL, 'TIGR03933', NULL, NULL, 'PIA_icaB: intercellular adhesin biosynthesis polysaccharide N-deacetylase', NULL, 'TIGR03933', NULL, NULL, NULL, 9),
(24423, NULL, 'TIGR00048', NULL, NULL, 'rRNA_mod_RlmN: 23S rRNA (adenine(2503)-C(2))-methyltransferase', NULL, 'TIGR00048', NULL, NULL, NULL, 9),
(24424, NULL, 'TIGR02554', NULL, NULL, 'PrgH: type III secretion apparatus protein PrgH/EprH', NULL, 'TIGR02554', NULL, NULL, NULL, 9),
(24425, NULL, 'TIGR00372', NULL, NULL, 'cas4: CRISPR-associated protein Cas4', NULL, 'TIGR00372', NULL, NULL, NULL, 9),
(24426, NULL, 'TIGR02878', NULL, NULL, 'spore_ypjB: sporulation protein YpjB', NULL, 'TIGR02878', NULL, NULL, NULL, 9),
(24427, NULL, 'TIGR03173', NULL, NULL, 'pbuX: xanthine permease', NULL, 'TIGR03173', NULL, NULL, NULL, 9),
(24428, NULL, 'TIGR00518', NULL, NULL, 'alaDH: alanine dehydrogenase', NULL, 'TIGR00518', NULL, NULL, NULL, 9),
(24429, NULL, 'TIGR02981', NULL, NULL, 'phageshock_pspE: phage shock operon rhodanese PspE', NULL, 'TIGR02981', NULL, NULL, NULL, 9),
(24430, NULL, 'TIGR02479', NULL, NULL, 'FliA_WhiG: RNA polymerase sigma factor, FliA/WhiG family', NULL, 'TIGR02479', NULL, NULL, NULL, 9),
(24431, NULL, 'TIGR03497', NULL, NULL, 'FliI_clade2: flagellar protein export ATPase FliI', NULL, 'TIGR03497', NULL, NULL, NULL, 9),
(24432, NULL, 'TIGR00235', NULL, NULL, 'udk: uridine kinase', NULL, 'TIGR00235', NULL, NULL, NULL, 9),
(24433, NULL, 'TIGR00409', NULL, NULL, 'proS_fam_II: proline--tRNA ligase', NULL, 'TIGR00409', NULL, NULL, NULL, 9),
(24434, NULL, 'TIGR01427', NULL, NULL, 'PTS_IIC_fructo: PTS system, Fru family, IIC component', NULL, 'TIGR01427', NULL, NULL, NULL, 9),
(24435, NULL, 'TIGR02342', NULL, NULL, 'chap_CCT_delta: T-complex protein 1, delta subunit', NULL, 'TIGR02342', NULL, NULL, NULL, 9),
(24436, NULL, 'TIGR00157', NULL, NULL, 'TIGR00157: ribosome small subunit-dependent GTPase A', NULL, 'TIGR00157', NULL, NULL, NULL, 9),
(24437, NULL, 'TIGR00917', NULL, NULL, '2A060601: Niemann-Pick C type protein family', NULL, 'TIGR00917', NULL, NULL, NULL, 9),
(24438, NULL, 'TIGR01109', NULL, NULL, 'Na_pump_decarbB: sodium ion-translocating decarboxylase, beta subunit', NULL, 'TIGR01109', NULL, NULL, NULL, 9),
(24439, NULL, 'TIGR04163', NULL, NULL, 'rSAM_cobopep: peptide-modifying radical SAM enzyme CbpB', NULL, 'TIGR04163', NULL, NULL, NULL, 9),
(24440, NULL, 'TIGR00475', NULL, NULL, 'selB: selenocysteine-specific translation elongation factor', NULL, 'TIGR00475', NULL, NULL, NULL, 9),
(24441, NULL, 'TIGR01508', NULL, NULL, 'rib_reduct_arch: diaminohydroxyphosphoribosylaminopyrimidine reductase', NULL, 'TIGR01508', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24442, NULL, 'TIGR04088', NULL, NULL, 'cognate_SipW: SipW-cognate class signal peptide', NULL, 'TIGR04088', NULL, NULL, NULL, 9),
(24443, NULL, 'TIGR01888', NULL, NULL, 'cas_cmr3: CRISPR type III-B/RAMP module-associated protein Cmr3', NULL, 'TIGR01888', NULL, NULL, NULL, 9),
(24444, NULL, 'TIGR01066', NULL, NULL, 'rplM_bact: ribosomal protein uL13', NULL, 'TIGR01066', NULL, NULL, NULL, 9),
(24445, NULL, 'TIGR02915', NULL, NULL, 'PEP_resp_reg: PEP-CTERM-box response regulator transcription factor', NULL, 'TIGR02915', NULL, NULL, NULL, 9),
(24446, NULL, 'TIGR02018', NULL, NULL, 'his_ut_repres: histidine utilization repressor', NULL, 'TIGR02018', NULL, NULL, NULL, 9),
(24447, NULL, 'TIGR01390', NULL, NULL, 'CycNucDiestase: 2'',3''-cyclic-nucleotide 2''-phosphodiesterase', NULL, 'TIGR01390', NULL, NULL, NULL, 9),
(24448, NULL, 'TIGR02741', NULL, NULL, 'TraQ: type-F conjugative transfer system pilin chaperone TraQ', NULL, 'TIGR02741', NULL, NULL, NULL, 9),
(24449, NULL, 'TIGR01281', NULL, NULL, 'DPOR_bchL: light-independent protochlorophyllide reductase, iron-sulfur ATP-binding protein', NULL, 'TIGR01281', NULL, NULL, NULL, 9),
(24450, NULL, 'TIGR04206', NULL, NULL, 'near_ArtA: TIGR04206 family protein', NULL, 'TIGR04206', NULL, NULL, NULL, 9),
(24451, NULL, 'TIGR02663', NULL, NULL, 'nifX: nitrogen fixation protein NifX', NULL, 'TIGR02663', NULL, NULL, NULL, 9),
(24452, NULL, 'TIGR00263', NULL, NULL, 'trpB: tryptophan synthase, beta subunit', NULL, 'TIGR00263', NULL, NULL, NULL, 9),
(24453, NULL, 'TIGR03858', NULL, NULL, 'LLM_2I7G: probable oxidoreductase, LLM family', NULL, 'TIGR03858', NULL, NULL, NULL, 9),
(24454, NULL, 'TIGR01614', NULL, NULL, 'PME_inhib: pectinesterase inhibitor domain', NULL, 'TIGR01614', NULL, NULL, NULL, 9),
(24455, NULL, 'TIGR03721', NULL, NULL, 'exospore_TM: BclB C-terminal domain', NULL, 'TIGR03721', NULL, NULL, NULL, 9),
(24456, NULL, 'TIGR00690', NULL, NULL, 'rpoZ: DNA-directed RNA polymerase, omega subunit', NULL, 'TIGR00690', NULL, NULL, NULL, 9),
(24457, NULL, 'TIGR03615', NULL, NULL, 'RutF: pyrimidine utilization flavin reductase protein F', NULL, 'TIGR03615', NULL, NULL, NULL, 9),
(24458, NULL, 'TIGR00369', NULL, NULL, 'unchar_dom_1: uncharacterized domain 1', NULL, 'TIGR00369', NULL, NULL, NULL, 9),
(24459, NULL, 'TIGR03388', NULL, NULL, 'ascorbase: L-ascorbate oxidase', NULL, 'TIGR03388', NULL, NULL, NULL, 9),
(24460, NULL, 'TIGR04272', NULL, NULL, 'cxxc_cxxc_Mbark: CxxC-x17-CxxC domain', NULL, 'TIGR04272', NULL, NULL, NULL, 9),
(24461, NULL, 'TIGR04449', NULL, NULL, 'halocin_C8_dom: halocin C8-like bacteriocin domain', NULL, 'TIGR04449', NULL, NULL, NULL, 9),
(24462, NULL, 'TIGR02205', NULL, NULL, 'septum_zipA: cell division protein ZipA', NULL, 'TIGR02205', NULL, NULL, NULL, 9),
(24463, NULL, 'TIGR00020', NULL, NULL, 'prfB: peptide chain release factor 2', NULL, 'TIGR00020', NULL, NULL, NULL, 9),
(24464, NULL, 'TIGR01751', NULL, NULL, 'crot-CoA-red: crotonyl-CoA carboxylase/reductase', NULL, 'TIGR01751', NULL, NULL, NULL, 9),
(24465, NULL, 'TIGR01175', NULL, NULL, 'pilM: type IV pilus assembly protein PilM', NULL, 'TIGR01175', NULL, NULL, NULL, 9),
(24466, NULL, 'TIGR02193', NULL, NULL, 'heptsyl_trn_I: lipopolysaccharide heptosyltransferase I', NULL, 'TIGR02193', NULL, NULL, NULL, 9),
(24467, NULL, 'TIGR01097', NULL, NULL, 'PhnE: phosphonate ABC transporter, permease protein PhnE', NULL, 'TIGR01097', NULL, NULL, NULL, 9),
(24468, NULL, 'TIGR01857', NULL, NULL, 'FGAM-synthase: phosphoribosylformylglycinamidine synthase', NULL, 'TIGR01857', NULL, NULL, NULL, 9),
(24469, NULL, 'TIGR01779', NULL, NULL, 'TonB-B12: TonB-dependent vitamin B12 receptor', NULL, 'TIGR01779', NULL, NULL, NULL, 9),
(24470, NULL, 'TIGR00624', NULL, NULL, 'tag: DNA-3-methyladenine glycosylase I', NULL, 'TIGR00624', NULL, NULL, NULL, 9),
(24471, NULL, 'TIGR03145', NULL, NULL, 'cyt_nit_nrfE: cytochrome c nitrate reductase biogenesis protein NrfE', NULL, 'TIGR03145', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24472, NULL, 'TIGR02809', NULL, NULL, 'phasin_3: phasin family protein', NULL, 'TIGR02809', NULL, NULL, NULL, 9),
(24473, NULL, 'TIGR02127', NULL, NULL, 'pyrF_sub2: orotidine 5''-phosphate decarboxylase', NULL, 'TIGR02127', NULL, NULL, NULL, 9),
(24474, NULL, 'TIGR03360', NULL, NULL, 'VI_minor_1: type VI secretion-associated protein, VC_A0118 family', NULL, 'TIGR03360', NULL, NULL, NULL, 9),
(24475, NULL, 'TIGR00584', NULL, NULL, 'mug: mismatch-specific thymine-DNA glycosylate (mug)', NULL, 'TIGR00584', NULL, NULL, NULL, 9),
(24476, NULL, 'TIGR00702', NULL, NULL, 'TIGR00702: YcaO-type kinase domain', NULL, 'TIGR00702', NULL, NULL, NULL, 9),
(24477, NULL, 'TIGR04312', NULL, NULL, 'choice_anch_B: choice-of-anchor B domain', NULL, 'TIGR04312', NULL, NULL, NULL, 9),
(24478, NULL, 'TIGR01536', NULL, NULL, 'asn_synth_AEB: asparagine synthase (glutamine-hydrolyzing)', NULL, 'TIGR01536', NULL, NULL, NULL, 9),
(24479, NULL, 'TIGR01215', NULL, NULL, 'minE: cell division topological specificity factor MinE', NULL, 'TIGR01215', NULL, NULL, NULL, 9),
(24480, NULL, 'TIGR03419', NULL, NULL, 'NifU_clost: FeS cluster assembly scaffold protein NifU', NULL, 'TIGR03419', NULL, NULL, NULL, 9),
(24481, NULL, 'TIGR03659', NULL, NULL, 'IsdE: heme ABC transporter, heme-binding protein isdE', NULL, 'TIGR03659', NULL, NULL, NULL, 9),
(24482, NULL, 'TIGR00375', NULL, NULL, 'TIGR00375: TIGR00375 family protein', NULL, 'TIGR00375', NULL, NULL, NULL, 9),
(24483, NULL, 'TIGR00721', NULL, NULL, 'tfx: DNA-binding protein, Tfx family', NULL, 'TIGR00721', NULL, NULL, NULL, 9),
(24484, NULL, 'TIGR03899', NULL, NULL, 'TIGR03899: TIGR03899 family protein', NULL, 'TIGR03899', NULL, NULL, NULL, 9),
(24485, NULL, 'TIGR03522', NULL, NULL, 'GldA_ABC_ATP: gliding motility-associated ABC transporter ATP-binding subunit GldA', NULL, 'TIGR03522', NULL, NULL, NULL, 9),
(24486, NULL, 'TIGR03176', NULL, NULL, 'AllC: allantoate amidohydrolase', NULL, 'TIGR03176', NULL, NULL, NULL, 9),
(24487, NULL, 'TIGR02401', NULL, NULL, 'trehalose_TreY: malto-oligosyltrehalose synthase', NULL, 'TIGR02401', NULL, NULL, NULL, 9),
(24488, NULL, 'TIGR02538', NULL, NULL, 'type_IV_pilB: type IV-A pilus assembly ATPase PilB', NULL, 'TIGR02538', NULL, NULL, NULL, 9),
(24489, NULL, 'TIGR03762', NULL, NULL, 'archaeo_artC: archaeosortase C', NULL, 'TIGR03762', NULL, NULL, NULL, 9),
(24490, NULL, 'TIGR03466', NULL, NULL, 'HpnA: hopanoid-associated sugar epimerase', NULL, 'TIGR03466', NULL, NULL, NULL, 9),
(24491, NULL, 'TIGR04315', NULL, NULL, 'octaheme_Shew: octaheme c-type cytochrome, tetrathionate reductase family', NULL, 'TIGR04315', NULL, NULL, NULL, 9),
(24492, NULL, 'TIGR01016', NULL, NULL, 'sucCoAbeta: succinate-CoA ligase, beta subunit', NULL, 'TIGR01016', NULL, NULL, NULL, 9),
(24493, NULL, 'TIGR02778', NULL, NULL, 'ligD_pol: DNA ligase D, polymerase domain', NULL, 'TIGR02778', NULL, NULL, NULL, 9),
(24494, NULL, 'TIGR02190', NULL, NULL, 'GlrX-dom: glutaredoxin-family domain', NULL, 'TIGR02190', NULL, NULL, NULL, 9),
(24495, NULL, 'TIGR02881', NULL, NULL, 'spore_V_K: stage V sporulation protein K', NULL, 'TIGR02881', NULL, NULL, NULL, 9),
(24496, NULL, 'TIGR01496', NULL, NULL, 'DHPS: dihydropteroate synthase', NULL, 'TIGR01496', NULL, NULL, NULL, 9),
(24497, NULL, 'TIGR00135', NULL, NULL, 'gatC: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, C subunit', NULL, 'TIGR00135', NULL, NULL, NULL, 9),
(24498, NULL, 'TIGR03964', NULL, NULL, 'mycofact_creat: mycofactocin system creatininase family protein', NULL, 'TIGR03964', NULL, NULL, NULL, 9),
(24499, NULL, 'TIGR00618', NULL, NULL, 'sbcc: exonuclease SbcC', NULL, 'TIGR00618', NULL, NULL, NULL, 9),
(24500, NULL, 'TIGR01063', NULL, NULL, 'gyrA: DNA gyrase, A subunit', NULL, 'TIGR01063', NULL, NULL, NULL, 9),
(24501, NULL, 'TIGR01505', NULL, NULL, 'tartro_sem_red: 2-hydroxy-3-oxopropionate reductase', NULL, 'TIGR01505', NULL, NULL, NULL, 9),
(24502, NULL, 'TIGR01514', NULL, NULL, 'NAPRTase: nicotinate phosphoribosyltransferase', NULL, 'TIGR01514', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24503, NULL, 'TIGR04259', NULL, NULL, 'oxa_formateAnti: oxalate/formate antiporter', NULL, 'TIGR04259', NULL, NULL, NULL, 9),
(24504, NULL, 'TIGR01754', NULL, NULL, 'flav_RNR: putative ribonucleotide reductase-associated flavodoxin', NULL, 'TIGR01754', NULL, NULL, NULL, 9),
(24505, NULL, 'TIGR04019', NULL, NULL, 'B_thiol_YtxJ: bacillithiol system protein YtxJ', NULL, 'TIGR04019', NULL, NULL, NULL, 9),
(24506, NULL, 'TIGR01262', NULL, NULL, 'maiA: maleylacetoacetate isomerase', NULL, 'TIGR01262', NULL, NULL, NULL, 9),
(24507, NULL, 'TIGR04546', NULL, NULL, 'rSAM_ahbC_deAc: 12,18-didecarboxysiroheme deacetylase', NULL, 'TIGR04546', NULL, NULL, NULL, 9),
(24508, NULL, 'TIGR01321', NULL, NULL, 'TrpR: trp operon repressor', NULL, 'TIGR01321', NULL, NULL, NULL, 9),
(24509, NULL, 'TIGR02682', NULL, NULL, 'cas_csx11: CRISPR-associated protein, Csx11 family', NULL, 'TIGR02682', NULL, NULL, NULL, 9),
(24510, NULL, 'TIGR00864', NULL, NULL, 'PCC: polycystin cation channel protein', NULL, 'TIGR00864', NULL, NULL, NULL, 9),
(24511, NULL, 'TIGR01698', NULL, NULL, 'PUNP: purine nucleotide phosphorylase', NULL, 'TIGR01698', NULL, NULL, NULL, 9),
(24512, NULL, 'TIGR00858', NULL, NULL, 'bioF: 8-amino-7-oxononanoate synthase', NULL, 'TIGR00858', NULL, NULL, NULL, 9),
(24513, NULL, 'TIGR01256', NULL, NULL, 'modA: molybdate ABC transporter, periplasmic molybdate-binding protein', NULL, 'TIGR01256', NULL, NULL, NULL, 9),
(24514, NULL, 'TIGR00920', NULL, NULL, '2A060605: 3-hydroxy-3-methylglutaryl-coenzyme A reductase', NULL, 'TIGR00920', NULL, NULL, NULL, 9),
(24515, NULL, 'TIGR03167', NULL, NULL, 'tRNA_sel_U_synt: tRNA 2-selenouridine synthase', NULL, 'TIGR03167', NULL, NULL, NULL, 9),
(24516, NULL, 'TIGR02339', NULL, NULL, 'thermosome_arch: thermosome, various subunits, archaeal', NULL, 'TIGR02339', NULL, NULL, NULL, 9),
(24517, NULL, 'TIGR00817', NULL, NULL, 'tpt: Tpt phosphate/phosphoenolpyruvate translocator', NULL, 'TIGR00817', NULL, NULL, NULL, 9),
(24518, NULL, 'TIGR00319', NULL, NULL, 'desulf_FeS4: desulfoferrodoxin FeS4 iron-binding domain', NULL, 'TIGR00319', NULL, NULL, NULL, 9),
(24519, NULL, 'TIGR03475', NULL, NULL, 'tap_IncFII_lead: RepA leader peptide Tap', NULL, 'TIGR03475', NULL, NULL, NULL, 9),
(24520, NULL, 'TIGR03618', NULL, NULL, 'Rv1155_F420: PPOX class probable F420-dependent enzyme', NULL, 'TIGR03618', NULL, NULL, NULL, 9),
(24521, NULL, 'TIGR00129', NULL, NULL, 'fdhD_narQ: formate dehydrogenase family accessory protein FdhD', NULL, 'TIGR00129', NULL, NULL, NULL, 9),
(24522, NULL, 'TIGR02202', NULL, NULL, 'Ehrlichia_rpt: Ehrlichia chaffeensis immunodominant surface protein repeat', NULL, 'TIGR02202', NULL, NULL, NULL, 9),
(24523, NULL, 'TIGR03030', NULL, NULL, 'CelA: cellulose synthase catalytic subunit (UDP-forming)', NULL, 'TIGR03030', NULL, NULL, NULL, 9),
(24524, NULL, 'TIGR02046', NULL, NULL, 'sdhC_b558_fam: succinate dehydrogenase (or fumarate reductase) cytochrome b subunit, b558 family', NULL, 'TIGR02046', NULL, NULL, NULL, 9),
(24525, NULL, 'TIGR04356', NULL, NULL, 'grasp_GAK: ATP-grasp enzyme, GAK system', NULL, 'TIGR04356', NULL, NULL, NULL, 9),
(24526, NULL, 'TIGR03821', NULL, NULL, 'EFP_modif_epmB: EF-P beta-lysylation protein EpmB', NULL, 'TIGR03821', NULL, NULL, NULL, 9),
(24527, NULL, 'TIGR00366', NULL, NULL, 'TIGR00366: TIGR00366 family protein', NULL, 'TIGR00366', NULL, NULL, NULL, 9),
(24528, NULL, 'TIGR02837', NULL, NULL, 'spore_II_R: stage II sporulation protein R', NULL, 'TIGR02837', NULL, NULL, NULL, 9),
(24529, NULL, 'TIGR00176', NULL, NULL, 'mobB: molybdopterin-guanine dinucleotide biosynthesis protein B', NULL, 'TIGR00176', NULL, NULL, NULL, 9),
(24530, NULL, 'TIGR01938', NULL, NULL, 'nqrC: NADH:ubiquinone oxidoreductase, Na(+)-translocating, C subunit', NULL, 'TIGR01938', NULL, NULL, NULL, 9),
(24531, NULL, 'TIGR01159', NULL, NULL, 'DRP1: density-regulated protein DRP1', NULL, 'TIGR01159', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24532, NULL, 'TIGR04362', NULL, NULL, 'choice_anch_C: choice-of-anchor C domain', NULL, 'TIGR04362', NULL, NULL, NULL, 9),
(24533, NULL, 'TIGR01022', NULL, NULL, 'rpmJ_bact: ribosomal protein bL36', NULL, 'TIGR01022', NULL, NULL, NULL, 9),
(24534, NULL, 'TIGR04499', NULL, NULL, 'abortive_AbiA: abortive infection protein, AbiA family', NULL, 'TIGR04499', NULL, NULL, NULL, 9),
(24535, NULL, 'TIGR02635', NULL, NULL, 'RhaI_grampos: L-rhamnose isomerase', NULL, 'TIGR02635', NULL, NULL, NULL, 9),
(24536, NULL, 'TIGR02143', NULL, NULL, 'trmA_only: tRNA (uracil(54)-C(5))-methyltransferase', NULL, 'TIGR02143', NULL, NULL, NULL, 9),
(24537, NULL, 'TIGR02825', NULL, NULL, 'B4_12hDH: leukotriene B4 12-hydroxydehydrogenase/15-oxo-prostaglandin 13-reductase', NULL, 'TIGR02825', NULL, NULL, NULL, 9),
(24538, NULL, 'TIGR00182', NULL, NULL, 'plsX: fatty acid/phospholipid synthesis protein PlsX', NULL, 'TIGR00182', NULL, NULL, NULL, 9),
(24539, NULL, 'TIGR01795', NULL, NULL, 'CM_mono_cladeE: chorismate mutase', NULL, 'TIGR01795', NULL, NULL, NULL, 9),
(24540, NULL, 'TIGR01985', NULL, NULL, 'phasin_2: phasin', NULL, 'TIGR01985', NULL, NULL, NULL, 9),
(24541, NULL, 'TIGR01493', NULL, NULL, 'HAD-SF-IA-v2: HAD hydrolase, family IA, variant 2', NULL, 'TIGR01493', NULL, NULL, NULL, 9),
(24542, NULL, 'TIGR04054', NULL, NULL, 'rSAM_NirJ1: putative heme d1 biosynthesis radical SAM protein NirJ1', NULL, 'TIGR04054', NULL, NULL, NULL, 9),
(24543, NULL, 'TIGR03718', NULL, NULL, 'R_switched_Alx: integral membrane protein, TerC family', NULL, 'TIGR03718', NULL, NULL, NULL, 9),
(24544, NULL, 'TIGR02451', NULL, NULL, 'anti_sig_ChrR: anti-sigma factor, putative, ChrR family', NULL, 'TIGR02451', NULL, NULL, NULL, 9),
(24545, NULL, 'TIGR02641', NULL, NULL, 'gvpC_cyan_rpt: gas vesicle protein GvpC repeat', NULL, 'TIGR02641', NULL, NULL, NULL, 9),
(24546, NULL, 'TIGR04505', NULL, NULL, 'PtsS_plasma: phosphate ABC transporter substrate-binding protein', NULL, 'TIGR04505', NULL, NULL, NULL, 9),
(24547, NULL, 'TIGR01991', NULL, NULL, 'HscA: Fe-S protein assembly chaperone HscA', NULL, 'TIGR01991', NULL, NULL, NULL, 9),
(24548, NULL, 'TIGR03665', NULL, NULL, 'arCOG04150: arCOG04150 universal archaeal KH domain protein', NULL, 'TIGR03665', NULL, NULL, NULL, 9),
(24549, NULL, 'TIGR00627', NULL, NULL, 'tfb4: transcription factor tfb4', NULL, 'TIGR00627', NULL, NULL, NULL, 9),
(24550, NULL, 'TIGR01801', NULL, NULL, 'CM_A: chorismate mutase', NULL, 'TIGR01801', NULL, NULL, NULL, 9),
(24551, NULL, 'TIGR02700', NULL, NULL, 'flavo_MJ0208: archaeoflavoprotein, MJ0208 family', NULL, 'TIGR02700', NULL, NULL, NULL, 9),
(24552, NULL, 'TIGR03229', NULL, NULL, 'benzo_1_2_benA: benzoate 1,2-dioxygenase, large subunit', NULL, 'TIGR03229', NULL, NULL, NULL, 9),
(24553, NULL, 'TIGR03609', NULL, NULL, 'S_layer_CsaB: polysaccharide pyruvyl transferase CsaB', NULL, 'TIGR03609', NULL, NULL, NULL, 9),
(24554, NULL, 'TIGR04247', NULL, NULL, 'NosD_copper_fam: nitrous oxide reductase family maturation protein NosD', NULL, 'TIGR04247', NULL, NULL, NULL, 9),
(24555, NULL, 'TIGR00325', NULL, NULL, 'lpxC: UDP-3-O-[3-hydroxymyristoyl] N-acetylglucosamine deacetylase', NULL, 'TIGR00325', NULL, NULL, NULL, 9),
(24556, NULL, 'TIGR04110', NULL, NULL, 'heme_HutZ: heme utilization protein HutZ', NULL, 'TIGR04110', NULL, NULL, NULL, 9),
(24557, NULL, 'TIGR02348', NULL, NULL, 'GroEL: chaperonin GroL', NULL, 'TIGR02348', NULL, NULL, NULL, 9),
(24558, NULL, 'TIGR02728', NULL, NULL, 'spore_gerQ: spore coat protein GerQ', NULL, 'TIGR02728', NULL, NULL, NULL, 9),
(24559, NULL, 'TIGR00911', NULL, NULL, '2A0308: L-type amino acid transporter', NULL, 'TIGR00911', NULL, NULL, NULL, 9),
(24560, NULL, 'TIGR02211', NULL, NULL, 'LolD_lipo_ex: lipoprotein releasing system, ATP-binding protein', NULL, 'TIGR02211', NULL, NULL, NULL, 9),
(24561, NULL, 'TIGR03727', NULL, NULL, 'urea_t_UrtC_arc: urea ABC transporter, permease protein UrtC', NULL, 'TIGR03727', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24562, NULL, 'TIGR02588', NULL, NULL, 'TIGR02588: TIGR02588 family protein', NULL, 'TIGR02588', NULL, NULL, NULL, 9),
(24563, NULL, 'TIGR03366', NULL, NULL, 'HpnZ_proposed: putative phosphonate catabolism associated alcohol dehydrogenase', NULL, 'TIGR03366', NULL, NULL, NULL, 9),
(24564, NULL, 'TIGR03276', NULL, NULL, 'Phn-HD: phosphonate degradation operons associated HDIG domain protein', NULL, 'TIGR03276', NULL, NULL, NULL, 9),
(24565, NULL, 'TIGR01813', NULL, NULL, 'flavo_cyto_c: flavocytochrome c', NULL, 'TIGR01813', NULL, NULL, NULL, 9),
(24566, NULL, 'TIGR01686', NULL, NULL, 'FkbH: FkbH domain', NULL, 'TIGR01686', NULL, NULL, NULL, 9),
(24567, NULL, 'TIGR02968', NULL, NULL, 'succ_dehyd_anc: succinate dehydrogenase, hydrophobic membrane anchor protein', NULL, 'TIGR02968', NULL, NULL, NULL, 9),
(24568, NULL, 'TIGR02395', NULL, NULL, 'rpoN_sigma: RNA polymerase sigma-54 factor', NULL, 'TIGR02395', NULL, NULL, NULL, 9),
(24569, NULL, 'TIGR00531', NULL, NULL, 'BCCP: acetyl-CoA carboxylase, biotin carboxyl carrier protein', NULL, 'TIGR00531', NULL, NULL, NULL, 9),
(24570, NULL, 'TIGR03774', NULL, NULL, 'RPE2: rickettsial palindromic element RPE2 domain', NULL, 'TIGR03774', NULL, NULL, NULL, 9),
(24571, NULL, 'TIGR04552', NULL, NULL, 'TIGR04552: TIGR04552 family protein', NULL, 'TIGR04552', NULL, NULL, NULL, 9),
(24572, NULL, 'TIGR01315', NULL, NULL, '5C_CHO_kinase: FGGY-family pentulose kinase', NULL, 'TIGR01315', NULL, NULL, NULL, 9),
(24573, NULL, 'TIGR01910', NULL, NULL, 'DapE-ArgE: peptidase, ArgE/DapE family', NULL, 'TIGR01910', NULL, NULL, NULL, 9),
(24574, NULL, 'TIGR02102', NULL, NULL, 'pullulan_Gpos: pullulanase, extracellular', NULL, 'TIGR02102', NULL, NULL, NULL, 9),
(24575, NULL, 'TIGR01072', NULL, NULL, 'murA: UDP-N-acetylglucosamine 1-carboxyvinyltransferase', NULL, 'TIGR01072', NULL, NULL, NULL, 9),
(24576, NULL, 'TIGR04415', NULL, NULL, 'O_hepto_targRPT: autotransporter passenger strand-loop-strand repeat', NULL, 'TIGR04415', NULL, NULL, NULL, 9),
(24577, NULL, 'TIGR01452', NULL, NULL, 'PGP_euk: phosphoglycolate/pyridoxal phosphate phosphatase family', NULL, 'TIGR01452', NULL, NULL, NULL, 9),
(24578, NULL, 'TIGR02090', NULL, NULL, 'LEU1_arch: isopropylmalate/citramalate/homocitrate synthases', NULL, 'TIGR02090', NULL, NULL, NULL, 9),
(24579, NULL, 'TIGR01131', NULL, NULL, 'ATP_synt_6_or_A: ATP synthase F0, A subunit', NULL, 'TIGR01131', NULL, NULL, NULL, 9),
(24580, NULL, 'TIGR04294', NULL, NULL, 'pre_pil_HX9DG: prepilin-type processing-associated H-X9-DG domain', NULL, 'TIGR04294', NULL, NULL, NULL, 9),
(24581, NULL, 'TIGR00170', NULL, NULL, 'leuC: 3-isopropylmalate dehydratase, large subunit', NULL, 'TIGR00170', NULL, NULL, NULL, 9),
(24582, NULL, 'TIGR02286', NULL, NULL, 'PaaD: phenylacetic acid degradation protein PaaD', NULL, 'TIGR02286', NULL, NULL, NULL, 9),
(24583, NULL, 'TIGR03958', NULL, NULL, 'monoFe_hyd_HmdC: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdC', NULL, 'TIGR03958', NULL, NULL, NULL, 9),
(24584, NULL, 'TIGR02872', NULL, NULL, 'spore_ytvI: sporulation integral membrane protein YtvI', NULL, 'TIGR02872', NULL, NULL, NULL, 9),
(24585, NULL, 'TIGR00668', NULL, NULL, 'apaH: bis(5''-nucleosyl)-tetraphosphatase (symmetrical)', NULL, 'TIGR00668', NULL, NULL, NULL, 9),
(24586, NULL, 'TIGR00422', NULL, NULL, 'valS: valine--tRNA ligase', NULL, 'TIGR00422', NULL, NULL, NULL, 9),
(24587, NULL, 'TIGR02990', NULL, NULL, 'ectoine_eutA: ectoine utilization protein EutA', NULL, 'TIGR02990', NULL, NULL, NULL, 9),
(24588, NULL, 'TIGR03460', NULL, NULL, 'crt_membr_arch: carotene biosynthesis associated membrane protein', NULL, 'TIGR03460', NULL, NULL, NULL, 9),
(24589, NULL, 'TIGR03871', NULL, NULL, 'ABC_peri_MoxJ_2: quinoprotein dehydrogenase-associated probable ABC transporter substrate-binding protein', NULL, 'TIGR03871', NULL, NULL, NULL, 9),
(24590, NULL, 'TIGR02579', NULL, NULL, 'cas_csx3: CRISPR-associated protein, Csx3 family', NULL, 'TIGR02579', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24591, NULL, 'TIGR03597', NULL, NULL, 'GTPase_YqeH: ribosome biogenesis GTPase YqeH', NULL, 'TIGR03597', NULL, NULL, NULL, 9),
(24592, NULL, 'TIGR03080', NULL, NULL, 'CH4_NH3mon_ox_A: methane monooxygenase/ammonia monooxygenase, subunit A', NULL, 'TIGR03080', NULL, NULL, NULL, 9),
(24593, NULL, 'TIGR00073', NULL, NULL, 'hypB: hydrogenase accessory protein HypB', NULL, 'TIGR00073', NULL, NULL, NULL, 9),
(24594, NULL, 'TIGR03045', NULL, NULL, 'PS_II_C550: cytochrome c-550', NULL, 'TIGR03045', NULL, NULL, NULL, 9),
(24595, NULL, 'TIGR01268', NULL, NULL, 'Phe4hydrox_tetr: phenylalanine-4-hydroxylase', NULL, 'TIGR01268', NULL, NULL, NULL, 9),
(24596, NULL, 'TIGR02442', NULL, NULL, 'Cob-chelat-sub: cobaltochelatase subunit', NULL, 'TIGR02442', NULL, NULL, NULL, 9),
(24597, NULL, 'TIGR00852', NULL, NULL, 'pts-Glc: PTS system, maltose and glucose-specific subfamily, IIC component', NULL, 'TIGR00852', NULL, NULL, NULL, 9),
(24598, NULL, 'TIGR03911', NULL, NULL, 'pyrrolys_PylD: pyrrolysine biosynthesis protein PylD', NULL, 'TIGR03911', NULL, NULL, NULL, 9),
(24599, NULL, 'TIGR01561', NULL, NULL, 'gde_arch: putative glycogen debranching enzyme, archaeal type', NULL, 'TIGR01561', NULL, NULL, NULL, 9),
(24600, NULL, 'TIGR03425', NULL, NULL, 'urea_degr_2: urea carboxylase-associated protein 2', NULL, 'TIGR03425', NULL, NULL, NULL, 9),
(24601, NULL, 'TIGR00559', NULL, NULL, 'pdxJ: pyridoxine 5''-phosphate synthase', NULL, 'TIGR00559', NULL, NULL, NULL, 9),
(24602, NULL, 'TIGR02940', NULL, NULL, 'anfO_nitrog: Fe-only nitrogenase accessory protein AnfO', NULL, 'TIGR02940', NULL, NULL, NULL, 9),
(24603, NULL, 'TIGR01365', NULL, NULL, 'serC_2: phosphoserine aminotransferase', NULL, 'TIGR01365', NULL, NULL, NULL, 9),
(24604, NULL, 'TIGR01745', NULL, NULL, 'asd_gamma: aspartate-semialdehyde dehydrogenase', NULL, 'TIGR01745', NULL, NULL, NULL, 9),
(24605, NULL, 'TIGR02383', NULL, NULL, 'Hfq: RNA chaperone Hfq', NULL, 'TIGR02383', NULL, NULL, NULL, 9),
(24606, NULL, 'TIGR04424', NULL, NULL, 'metallo_McbB: McbB family protein', NULL, 'TIGR04424', NULL, NULL, NULL, 9),
(24607, NULL, 'TIGR02239', NULL, NULL, 'recomb_RAD51: DNA repair protein RAD51', NULL, 'TIGR02239', NULL, NULL, NULL, 9),
(24608, NULL, 'TIGR04122', NULL, NULL, 'Xnuc_lig_assoc: putative exonuclease, DNA ligase-associated', NULL, 'TIGR04122', NULL, NULL, NULL, 9),
(24609, NULL, 'TIGR01863', NULL, NULL, 'cas_Csd1: CRISPR-associated protein Cas8c/Csd1, subtype I-C/DVULG', NULL, 'TIGR01863', NULL, NULL, NULL, 9),
(24610, NULL, 'TIGR04306', NULL, NULL, 'salvage_TenA: thiaminase II', NULL, 'TIGR04306', NULL, NULL, NULL, 9),
(24611, NULL, 'TIGR01589', NULL, NULL, 'A_thal_3526: uncharacterized plant-specific domain TIGR01589', NULL, 'TIGR01589', NULL, NULL, NULL, 9),
(24612, NULL, 'TIGR00434', NULL, NULL, 'cysH: phosophoadenylyl-sulfate reductase', NULL, 'TIGR00434', NULL, NULL, NULL, 9),
(24613, NULL, 'TIGR02081', NULL, NULL, 'metW: methionine biosynthesis protein MetW', NULL, 'TIGR02081', NULL, NULL, NULL, 9),
(24614, NULL, 'TIGR04063', NULL, NULL, 'stp3: PEP-CTERM/exosortase A-associated glycosyltransferase, Daro_2409 family', NULL, 'TIGR04063', NULL, NULL, NULL, 9),
(24615, NULL, 'TIGR03413', NULL, NULL, 'GSH_gloB: hydroxyacylglutathione hydrolase', NULL, 'TIGR03413', NULL, NULL, NULL, 9),
(24616, NULL, 'TIGR01405', NULL, NULL, 'polC_Gram_pos: DNA polymerase III, alpha subunit, Gram-positive type', NULL, 'TIGR01405', NULL, NULL, NULL, 9),
(24617, NULL, 'TIGR03092', NULL, NULL, 'SASP_sspI: small, acid-soluble spore protein I', NULL, 'TIGR03092', NULL, NULL, NULL, 9),
(24618, NULL, 'TIGR00995', NULL, NULL, '3a0901s06TIC22: chloroplast protein import component, Tic22 family', NULL, 'TIGR00995', NULL, NULL, NULL, 9),
(24619, NULL, 'TIGR04437', NULL, NULL, 'WaaZ_KDO_III: 3-deoxy-D-manno-oct-2-ulosonate III transferase WaaZ', NULL, 'TIGR04437', NULL, NULL, NULL, 9),
(24620, NULL, 'TIGR04300', NULL, NULL, 'exosort_XrtM: exosortase family protein XrtM', NULL, 'TIGR04300', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24621, NULL, 'TIGR02791', NULL, NULL, 'VirB5: P-type DNA transfer protein VirB5', NULL, 'TIGR02791', NULL, NULL, NULL, 9),
(24622, NULL, 'TIGR01153', NULL, NULL, 'psbC: photosystem II 44 kDa subunit reaction center protein', NULL, 'TIGR01153', NULL, NULL, NULL, 9),
(24623, NULL, 'TIGR01876', NULL, NULL, 'cas_Cas5d: CRISPR-associated protein Cas5, subtype I-C/DVULG', NULL, 'TIGR01876', NULL, NULL, NULL, 9),
(24624, NULL, 'TIGR03556', NULL, NULL, 'photolyase_8HDF: deoxyribodipyrimidine photo-lyase, 8-HDF type', NULL, 'TIGR03556', NULL, NULL, NULL, 9),
(24625, NULL, 'TIGR00755', NULL, NULL, 'ksgA: ribosomal RNA small subunit methyltransferase A', NULL, 'TIGR00755', NULL, NULL, NULL, 9),
(24626, NULL, 'TIGR03316', NULL, NULL, 'ygeW: knotted carbamoyltransferase YgeW', NULL, 'TIGR03316', NULL, NULL, NULL, 9),
(24627, NULL, 'TIGR04540', NULL, NULL, 'CLB_0814_fam: conserved hypothetical protein', NULL, 'TIGR04540', NULL, NULL, NULL, 9),
(24628, NULL, 'TIGR00497', NULL, NULL, 'hsdM: type I restriction-modification system, M subunit', NULL, 'TIGR00497', NULL, NULL, NULL, 9),
(24629, NULL, 'TIGR00120', NULL, NULL, 'ArgJ: glutamate N-acetyltransferase/amino-acid acetyltransferase', NULL, 'TIGR00120', NULL, NULL, NULL, 9),
(24630, NULL, 'TIGR03584', NULL, NULL, 'PseF: pseudaminic acid cytidylyltransferase', NULL, 'TIGR03584', NULL, NULL, NULL, 9),
(24631, NULL, 'TIGR00708', NULL, NULL, 'cobA: cob(I)yrinic acid a,c-diamide adenosyltransferase', NULL, 'TIGR00708', NULL, NULL, NULL, 9),
(24632, NULL, 'TIGR02669', NULL, NULL, 'SpoIID_LytB: SpoIID/LytB domain', NULL, 'TIGR02669', NULL, NULL, NULL, 9),
(24633, NULL, 'TIGR00285', NULL, NULL, 'TIGR00285: DNA-binding protein Alba', NULL, 'TIGR00285', NULL, NULL, NULL, 9),
(24634, NULL, 'TIGR04225', NULL, NULL, 'CshA_fibril_rpt: CshA-type fibril repeat', NULL, 'TIGR04225', NULL, NULL, NULL, 9),
(24635, NULL, 'TIGR02280', NULL, NULL, 'PaaB1: phenylacetate degradation probable enoyl-CoA hydratase PaaB', NULL, 'TIGR02280', NULL, NULL, NULL, 9),
(24636, NULL, 'TIGR01181', NULL, NULL, 'dTDP_gluc_dehyt: dTDP-glucose 4,6-dehydratase', NULL, 'TIGR01181', NULL, NULL, NULL, 9),
(24637, NULL, 'TIGR04465', NULL, NULL, 'ArgArg_F420: TAT-translocated F420-dependent dehydrogenase, FGD2 family', NULL, 'TIGR04465', NULL, NULL, NULL, 9),
(24638, NULL, 'TIGR00484', NULL, NULL, 'EF-G: translation elongation factor G', NULL, 'TIGR00484', NULL, NULL, NULL, 9),
(24639, NULL, 'TIGR02532', NULL, NULL, 'IV_pilin_GFxxxE: prepilin-type N-terminal cleavage/methylation domain', NULL, 'TIGR02532', NULL, NULL, NULL, 9),
(24640, NULL, 'TIGR01623', NULL, NULL, 'put_zinc_LRP1: putative zinc finger domain, LRP1 type', NULL, 'TIGR01623', NULL, NULL, NULL, 9),
(24641, NULL, 'TIGR02040', NULL, NULL, 'PpsR-CrtJ: transcriptional regulator PpsR', NULL, 'TIGR02040', NULL, NULL, NULL, 9),
(24642, NULL, 'TIGR04471', NULL, NULL, 'rSAM_mob_pairA: radical SAM mobile pair protein A', NULL, 'TIGR04471', NULL, NULL, NULL, 9),
(24643, NULL, 'TIGR00989', NULL, NULL, '3a0801s07tom40: mitochondrial import receptor subunit', NULL, 'TIGR00989', NULL, NULL, NULL, 9),
(24644, NULL, 'TIGR00360', NULL, NULL, 'ComEC_N-term: ComEC/Rec2-related protein', NULL, 'TIGR00360', NULL, NULL, NULL, 9),
(24645, NULL, 'TIGR01636', NULL, NULL, 'phage_rinA: phage transcriptional regulator, RinA family', NULL, 'TIGR01636', NULL, NULL, NULL, 9),
(24646, NULL, 'TIGR03058', NULL, NULL, 'rpt_csmH: chlorosome envelope protein H', NULL, 'TIGR03058', NULL, NULL, NULL, 9),
(24647, NULL, 'TIGR01125', NULL, NULL, 'TIGR01125: ribosomal protein S12 methylthiotransferase RimO', NULL, 'TIGR01125', NULL, NULL, NULL, 9),
(24648, NULL, 'TIGR00026', NULL, NULL, 'hi_GC_TIGR00026: deazaflavin-dependent oxidoreductase, nitroreductase family', NULL, 'TIGR00026', NULL, NULL, NULL, 9),
(24649, NULL, 'TIGR00612', NULL, NULL, 'ispG_gcpE: 4-hydroxy-3-methylbut-2-en-1-yl diphosphate synthase', NULL, 'TIGR00612', NULL, NULL, NULL, 9);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24650, NULL, 'TIGR02034', NULL, NULL, 'CysN: sulfate adenylyltransferase, large subunit', NULL, 'TIGR02034', NULL, NULL, NULL, 9),
(24651, NULL, 'TIGR02149', NULL, NULL, 'glgA_Coryne: glycogen synthase, Corynebacterium family', NULL, 'TIGR02149', NULL, NULL, NULL, 9),
(24652, NULL, 'TIGR02510', NULL, NULL, 'NrdE-prime: ribonucleoside-diphosphate reductase, alpha chain', NULL, 'TIGR02510', NULL, NULL, NULL, 9),
(24653, NULL, 'TIGR02012', NULL, NULL, 'tigrfam_recA: protein RecA', NULL, 'TIGR02012', NULL, NULL, NULL, 9),
(24654, NULL, 'TIGR02457', NULL, NULL, 'TreS_Cterm: putative maltokinase', NULL, 'TIGR02457', NULL, NULL, NULL, 9),
(24655, NULL, 'TIGR02647', NULL, NULL, 'DNA: TIGR02647 family protein', NULL, 'TIGR02647', NULL, NULL, NULL, 9),
(24656, NULL, 'TIGR03808', NULL, NULL, 'RR_plus_rpt_1: twin-arg-translocated uncharacterized repeat protein', NULL, 'TIGR03808', NULL, NULL, NULL, 9),
(24657, NULL, 'TIGR02320', NULL, NULL, 'PEP_mutase: phosphoenolpyruvate mutase', NULL, 'TIGR02320', NULL, NULL, NULL, 9),
(24658, NULL, 'TIGR01835', NULL, NULL, 'HMG-CoA-S_prok: hydroxymethylglutaryl-CoA synthase', NULL, 'TIGR01835', NULL, NULL, NULL, 9),
(24659, NULL, 'TIGR02217', NULL, NULL, 'chp_TIGR02217: TIGR02217 family protein', NULL, 'TIGR02217', NULL, NULL, NULL, 9),
(24660, NULL, 'TIGR03631', NULL, NULL, 'uS13_bact: ribosomal protein uS13', NULL, 'TIGR03631', NULL, NULL, NULL, 9),
(24661, NULL, 'TIGR01664', NULL, NULL, 'DNA-3''-Pase: DNA 3''-phosphatase', NULL, 'TIGR01664', NULL, NULL, NULL, 9),
(24662, NULL, 'TIGR04185', NULL, NULL, 'ATPgraspMvdC: ATP-grasp ribosomal peptide maturase, MvdC family', NULL, 'TIGR04185', NULL, NULL, NULL, 9),
(24663, NULL, 'TIGR02492', NULL, NULL, 'flgK_ends: flagellar hook-associated protein FlgK', NULL, 'TIGR02492', NULL, NULL, NULL, 9),
(24664, NULL, 'TIGR03201', NULL, NULL, 'dearomat_had: 6-hydroxycyclohex-1-ene-1-carbonyl-CoA dehydrogenase', NULL, 'TIGR03201', NULL, NULL, NULL, 9),
(24665, NULL, 'TIGR00456', NULL, NULL, 'argS: arginine--tRNA ligase', NULL, 'TIGR00456', NULL, NULL, NULL, 9),
(24666, NULL, 'TIGR04013', NULL, NULL, 'B12_SAM_MJ_1487: B12-binding domain/radical SAM domain protein, MJ_1487 family', NULL, 'TIGR04013', NULL, NULL, NULL, 9),
(24667, NULL, 'TIGR00783', NULL, NULL, 'ccs: citrate carrier protein, CCS family', NULL, 'TIGR00783', NULL, NULL, NULL, 9),
(24668, NULL, 'TIGR04493', NULL, NULL, 'microcomp_PduM: microcompartment protein PduM', NULL, 'TIGR04493', NULL, NULL, NULL, 9),
(24669, NULL, 'TIGR01337', NULL, NULL, 'apcB: allophycocyanin, beta subunit', NULL, 'TIGR01337', NULL, NULL, NULL, 9),
(24670, NULL, 'TIGR04172', NULL, NULL, 'DGQHR_dnd_1: DNA phosphorothioation-associated DGQHR protein 1', NULL, 'TIGR04172', NULL, NULL, NULL, 9),
(24671, NULL, 'TIGR02177', NULL, NULL, 'PorB_KorB: 2-oxoacid:acceptor oxidoreductase, beta subunit, pyruvate/2-ketoisovalerate family', NULL, 'TIGR02177', NULL, NULL, NULL, 9),
(24672, NULL, 'TIGR01807', NULL, NULL, 'CM_P2: chorismate mutase', NULL, 'TIGR01807', NULL, NULL, NULL, 9),
(24673, NULL, 'TIGR02333', NULL, NULL, '2met_isocit_dHY: 2-methylisocitrate dehydratase, Fe/S-dependent', NULL, 'TIGR02333', NULL, NULL, NULL, 9),
(24674, NULL, 'TIGR03161', NULL, NULL, 'ribazole_CobZ: alpha-ribazole phosphatase CobZ', NULL, 'TIGR03161', NULL, NULL, NULL, 9),
(24675, NULL, 'TIGR00004', NULL, NULL, 'TIGR00004: reactive intermediate/imine deaminase', NULL, 'TIGR00004', NULL, NULL, NULL, 9),
(24676, NULL, 'TIGR02962', NULL, NULL, 'hdxy_isourate: hydroxyisourate hydrolase', NULL, 'TIGR02962', NULL, NULL, NULL, 9),
(24677, NULL, 'TIGR03836', NULL, NULL, 'termin_org_HMW1: cytadherence high molecular weight protein 1 N-terminal region', NULL, 'TIGR03836', NULL, NULL, NULL, 9),
(24678, NULL, 'TIGR00777', NULL, NULL, 'ahpD: alkylhydroperoxidase, AhpD family', NULL, 'TIGR00777', NULL, NULL, NULL, 9),
(24679, NULL, 'TIGR03298', NULL, NULL, 'argP: transcriptional regulator, ArgP family', NULL, 'TIGR03298', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24680, NULL, 'TIGR03344', NULL, NULL, 'VI_effect_Hcp1: type VI secretion system effector, Hcp1 family', NULL, 'TIGR03344', NULL, NULL, NULL, 9),
(24681, NULL, 'TIGR00640', NULL, NULL, 'acid_CoA_mut_C: methylmalonyl-CoA mutase C-terminal domain', NULL, 'TIGR00640', NULL, NULL, NULL, 9),
(24682, NULL, 'TIGR00830', NULL, NULL, 'PTBA: PTS system, glucose subfamily, IIA component', NULL, 'TIGR00830', NULL, NULL, NULL, 9),
(24683, NULL, 'TIGR00967', NULL, NULL, '3a0501s007: preprotein translocase, SecY subunit', NULL, 'TIGR00967', NULL, NULL, NULL, 9),
(24684, NULL, 'TIGR02831', NULL, NULL, 'spo_II_M: stage II sporulation protein M', NULL, 'TIGR02831', NULL, NULL, NULL, 9),
(24685, NULL, 'TIGR03528', NULL, NULL, '2_3_DAP_am_ly: diaminopropionate ammonia-lyase', NULL, 'TIGR03528', NULL, NULL, NULL, 9),
(24686, NULL, 'TIGR03338', NULL, NULL, 'phnR_burk: phosphonate utilization associated transcriptional regulator', NULL, 'TIGR03338', NULL, NULL, NULL, 9),
(24687, NULL, 'TIGR03796', NULL, NULL, 'NHLM_micro_ABC1: NHLM bacteriocin system ABC transporter, peptidase/ATP-binding protein', NULL, 'TIGR03796', NULL, NULL, NULL, 9),
(24688, NULL, 'TIGR03017', NULL, NULL, 'EpsF: chain length determinant protein EpsF', NULL, 'TIGR03017', NULL, NULL, NULL, 9),
(24689, NULL, 'TIGR04178', NULL, NULL, 'exo_archaeo: exosortase/archaeosortase family protein', NULL, 'TIGR04178', NULL, NULL, NULL, 9),
(24690, NULL, 'TIGR02504', NULL, NULL, 'NrdJ_Z: ribonucleoside-diphosphate reductase, adenosylcobalamin-dependent', NULL, 'TIGR02504', NULL, NULL, NULL, 9),
(24691, NULL, 'TIGR00509', NULL, NULL, 'bisC_fam: molybdopterin guanine dinucleotide-containing S/N-oxide reductases', NULL, 'TIGR00509', NULL, NULL, NULL, 9),
(24692, NULL, 'TIGR00565', NULL, NULL, 'trpE_proteo: anthranilate synthase component I', NULL, 'TIGR00565', NULL, NULL, NULL, 9),
(24693, NULL, 'TIGR02108', NULL, NULL, 'PQQ_syn_pqqB: coenzyme PQQ biosynthesis protein B', NULL, 'TIGR02108', NULL, NULL, NULL, 9),
(24694, NULL, 'TIGR01343', NULL, NULL, 'hacA_fam: homoaconitate hydratase family protein', NULL, 'TIGR01343', NULL, NULL, NULL, 9),
(24695, NULL, 'TIGR02361', NULL, NULL, 'dak_ATP: dihydroxyacetone kinase', NULL, 'TIGR02361', NULL, NULL, NULL, 9),
(24696, NULL, 'TIGR03952', NULL, NULL, 'metzin_BF0631: zinc-dependent metalloproteinase lipoprotein, BF0631 family', NULL, 'TIGR03952', NULL, NULL, NULL, 9),
(24697, NULL, 'TIGR03126', NULL, NULL, 'one_C_fae: formaldehyde-activating enzyme', NULL, 'TIGR03126', NULL, NULL, NULL, 9),
(24698, NULL, 'TIGR01583', NULL, NULL, 'formate-DH-gamm: formate dehydrogenase, gamma subunit', NULL, 'TIGR01583', NULL, NULL, NULL, 9),
(24699, NULL, 'TIGR03849', NULL, NULL, 'arch_ComA: phosphosulfolactate synthase', NULL, 'TIGR03849', NULL, NULL, NULL, 9),
(24700, NULL, 'TIGR04144', NULL, NULL, 'archaeo_VPXXXP: archaeosortase B', NULL, 'TIGR04144', NULL, NULL, NULL, 9),
(24701, NULL, 'TIGR02934', NULL, NULL, 'nifT_nitrog: probable nitrogen fixation protein FixT', NULL, 'TIGR02934', NULL, NULL, NULL, 9),
(24702, NULL, 'TIGR03712', NULL, NULL, 'acc_sec_asp2: accessory Sec system protein Asp2', NULL, 'TIGR03712', NULL, NULL, NULL, 9),
(24703, NULL, 'TIGR02498', NULL, NULL, 'type_III_ssaH: type III secretion system protein, SsaH family', NULL, 'TIGR02498', NULL, NULL, NULL, 9),
(24704, NULL, 'TIGR02464', NULL, NULL, 'ribofla_fusion: conserved hypothetical protein', NULL, 'TIGR02464', NULL, NULL, NULL, 9),
(24705, NULL, 'TIGR01085', NULL, NULL, 'murE: UDP-N-acetylmuramyl-tripeptide synthetase', NULL, 'TIGR01085', NULL, NULL, NULL, 9),
(24706, NULL, 'TIGR04041', NULL, NULL, 'activase_YjjW: glycine radical enzyme activase, YjjW family', NULL, 'TIGR04041', NULL, NULL, NULL, 9),
(24707, NULL, 'TIGR04007', NULL, NULL, 'wcaI: colanic acid biosynthesis glycosyltransferase WcaI', NULL, 'TIGR04007', NULL, NULL, NULL, 9),
(24708, NULL, 'TIGR01206', NULL, NULL, 'lysW: lysine biosynthesis protein LysW', NULL, 'TIGR01206', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24709, NULL, 'TIGR02996', NULL, NULL, 'rpt_mate_G_obs: repeat-companion domain TIGR02996', NULL, 'TIGR02996', NULL, NULL, NULL, 9),
(24710, NULL, 'TIGR02859', NULL, NULL, 'spore_sigH: RNA polymerase sigma-H factor', NULL, 'TIGR02859', NULL, NULL, NULL, 9),
(24711, NULL, 'TIGR03591', NULL, NULL, 'polynuc_phos: polyribonucleotide nucleotidyltransferase', NULL, 'TIGR03591', NULL, NULL, NULL, 9),
(24712, NULL, 'TIGR03877', NULL, NULL, 'thermo_KaiC_1: KaiC domain protein, Ph0284 family', NULL, 'TIGR03877', NULL, NULL, NULL, 9),
(24713, NULL, 'TIGR02722', NULL, NULL, 'lp_: uncharacterized lipoprotein', NULL, 'TIGR02722', NULL, NULL, NULL, 9),
(24714, NULL, 'TIGR00537', NULL, NULL, 'hemK_rel_arch: putative methylase', NULL, 'TIGR00537', NULL, NULL, NULL, 9),
(24715, NULL, 'TIGR00095', NULL, NULL, 'TIGR00095: 16S rRNA (guanine(966)-N(2))-methyltransferase RsmD', NULL, 'TIGR00095', NULL, NULL, NULL, 9),
(24716, NULL, 'TIGR00593', NULL, NULL, 'pola: DNA polymerase I', NULL, 'TIGR00593', NULL, NULL, NULL, 9),
(24717, NULL, 'TIGR00926', NULL, NULL, '2A1704: oligopeptide transporter, peptide:H+ symporter', NULL, 'TIGR00926', NULL, NULL, NULL, 9),
(24718, NULL, 'TIGR01944', NULL, NULL, 'rnfB: electron transport complex, RnfABCDGE type, B subunit', NULL, 'TIGR01944', NULL, NULL, NULL, 9),
(24719, NULL, 'TIGR00674', NULL, NULL, 'dapA: 4-hydroxy-tetrahydrodipicolinate synthase', NULL, 'TIGR00674', NULL, NULL, NULL, 9),
(24720, NULL, 'TIGR04069', NULL, NULL, 'ocin_ACP_rel: peptide maturation system acyl carrier-related protein', NULL, 'TIGR04069', NULL, NULL, NULL, 9),
(24721, NULL, 'TIGR00353', NULL, NULL, 'nrfE: cytochrome c-type biogenesis protein CcmF', NULL, 'TIGR00353', NULL, NULL, NULL, 9),
(24722, NULL, 'TIGR01704', NULL, NULL, 'MTA/SAH-Nsdase: MTA/SAH nucleosidase', NULL, 'TIGR01704', NULL, NULL, NULL, 9),
(24723, NULL, 'TIGR01446', NULL, NULL, 'DnaD_dom: DnaD domain protein', NULL, 'TIGR01446', NULL, NULL, NULL, 9),
(24724, NULL, 'TIGR02224', NULL, NULL, 'recomb_XerC: tyrosine recombinase XerC', NULL, 'TIGR02224', NULL, NULL, NULL, 9),
(24725, NULL, 'TIGR01194', NULL, NULL, 'cyc_pep_trnsptr: cyclic peptide transporter', NULL, 'TIGR01194', NULL, NULL, NULL, 9),
(24726, NULL, 'TIGR00216', NULL, NULL, 'ispH_lytB: 4-hydroxy-3-methylbut-2-enyl diphosphate reductase', NULL, 'TIGR00216', NULL, NULL, NULL, 9),
(24727, NULL, 'TIGR04281', NULL, NULL, 'peripla_PGF_1: putative ABC transporter PGF-CTERM-modified substrate-binding protein', NULL, 'TIGR04281', NULL, NULL, NULL, 9),
(24728, NULL, 'TIGR02750', NULL, NULL, 'TraN_Ftype: type-F conjugative transfer system mating-pair stabilization protein TraN', NULL, 'TIGR02750', NULL, NULL, NULL, 9),
(24729, NULL, 'TIGR01869', NULL, NULL, 'casC_Cse4: CRISPR-associated protein Cas7/Cse4/CasC, subtype I-E/ECOLI', NULL, 'TIGR01869', NULL, NULL, NULL, 9),
(24730, NULL, 'TIGR02887', NULL, NULL, 'spore_ger_x_C: germination protein, Ger(x)C family', NULL, 'TIGR02887', NULL, NULL, NULL, 9),
(24731, NULL, 'TIGR01732', NULL, NULL, 'tiny_TM_bacill: conserved hypothetical protein', NULL, 'TIGR01732', NULL, NULL, NULL, 9),
(24732, NULL, 'TIGR03270', NULL, NULL, 'methan_mark_4: putative methanogen marker protein 4', NULL, 'TIGR03270', NULL, NULL, NULL, 9),
(24733, NULL, 'TIGR02389', NULL, NULL, 'RNA_pol_rpoA2: DNA-directed RNA polymerase, subunit A''''', NULL, 'TIGR02389', NULL, NULL, NULL, 9),
(24734, NULL, 'TIGR02252', NULL, NULL, 'DREG-2: HAD hydrolase, REG-2-like, family IA', NULL, 'TIGR02252', NULL, NULL, NULL, 9),
(24735, NULL, 'TIGR02613', NULL, NULL, 'mob_myst_B: mobile mystery protein B', NULL, 'TIGR02613', NULL, NULL, NULL, 9),
(24736, NULL, 'TIGR03235', NULL, NULL, 'DNA_S_dndA: cysteine desulfurase DndA', NULL, 'TIGR03235', NULL, NULL, NULL, 9),
(24737, NULL, 'TIGR03768', NULL, NULL, 'RPA4764: metallophosphoesterase, RPA4764 family', NULL, 'TIGR03768', NULL, NULL, NULL, 9),
(24738, NULL, 'TIGR02096', NULL, NULL, 'TIGR02096: conserved hypothetical protein', NULL, 'TIGR02096', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24739, NULL, 'TIGR02906', NULL, NULL, 'spore_CotS: spore coat protein, CotS family', NULL, 'TIGR02906', NULL, NULL, NULL, 9),
(24740, NULL, 'TIGR01371', NULL, NULL, 'met_syn_B12ind: 5-methyltetrahydropteroyltriglutamate--homocysteine S-methyltransferase', NULL, 'TIGR01371', NULL, NULL, NULL, 9),
(24741, NULL, 'TIGR01234', NULL, NULL, 'L-ribulokinase: ribulokinase', NULL, 'TIGR01234', NULL, NULL, NULL, 9),
(24742, NULL, 'TIGR01692', NULL, NULL, 'HIBADH: 3-hydroxyisobutyrate dehydrogenase', NULL, 'TIGR01692', NULL, NULL, NULL, 9),
(24743, NULL, 'TIGR00749', NULL, NULL, 'glk: glucokinase', NULL, 'TIGR00749', NULL, NULL, NULL, 9),
(24744, NULL, 'TIGR01555', NULL, NULL, 'phge_rel_HI1409: phage-associated protein, HI1409 family', NULL, 'TIGR01555', NULL, NULL, NULL, 9),
(24745, NULL, 'TIGR02573', NULL, NULL, 'LcrG_PcrG: type III secretion protein LcrG', NULL, 'TIGR02573', NULL, NULL, NULL, 9),
(24746, NULL, 'TIGR00107', NULL, NULL, 'deoD: purine nucleoside phosphorylase', NULL, 'TIGR00107', NULL, NULL, NULL, 9),
(24747, NULL, 'TIGR02429', NULL, NULL, 'pcaI_scoA_fam: 3-oxoacid CoA-transferase, A subunit', NULL, 'TIGR02429', NULL, NULL, NULL, 9),
(24748, NULL, 'TIGR00400', NULL, NULL, 'mgtE: magnesium transporter', NULL, 'TIGR00400', NULL, NULL, NULL, 9),
(24749, NULL, 'TIGR03740', NULL, NULL, 'galliderm_ABC: lantibiotic protection ABC transporter, ATP-binding subunit', NULL, 'TIGR03740', NULL, NULL, NULL, 9),
(24750, NULL, 'TIGR03603', NULL, NULL, 'cyclo_dehy_ocin: thiazole/oxazole-forming peptide maturase, SagC family component', NULL, 'TIGR03603', NULL, NULL, NULL, 9),
(24751, NULL, 'TIGR00244', NULL, NULL, 'TIGR00244: transcriptional regulator NrdR', NULL, 'TIGR00244', NULL, NULL, NULL, 9),
(24752, NULL, 'TIGR01399', NULL, NULL, 'hrcV: type III secretion protein, HrcV family', NULL, 'TIGR01399', NULL, NULL, NULL, 9),
(24753, NULL, 'TIGR00886', NULL, NULL, '2A0108: nitrite transporter', NULL, 'TIGR00886', NULL, NULL, NULL, 9),
(24754, NULL, 'TIGR03086', NULL, NULL, 'TIGR03086: TIGR03086 family protein', NULL, 'TIGR03086', NULL, NULL, NULL, 9),
(24755, NULL, 'TIGR01078', NULL, NULL, 'arcA: arginine deiminase', NULL, 'TIGR01078', NULL, NULL, NULL, 9),
(24756, NULL, 'TIGR03917', NULL, NULL, 'Frankia_40_dom: Frankia-40 domain', NULL, 'TIGR03917', NULL, NULL, NULL, 9),
(24757, NULL, 'TIGR01916', NULL, NULL, 'F420_cofE: coenzyme F420-0:L-glutamate ligase', NULL, 'TIGR01916', NULL, NULL, NULL, 9),
(24758, NULL, 'TIGR04253', NULL, NULL, 'mesacon_CoA_iso: mesaconyl-CoA isomerase', NULL, 'TIGR04253', NULL, NULL, NULL, 9),
(24759, NULL, 'TIGR04116', NULL, NULL, 'CXXX_rpt_assoc: CXXX repeat peptide modification system protein', NULL, 'TIGR04116', NULL, NULL, NULL, 9),
(24760, NULL, 'TIGR00067', NULL, NULL, 'glut_race: glutamate racemase', NULL, 'TIGR00067', NULL, NULL, NULL, 9),
(24761, NULL, 'TIGR00388', NULL, NULL, 'glyQ: glycine--tRNA ligase, alpha subunit', NULL, 'TIGR00388', NULL, NULL, NULL, 9),
(24762, NULL, 'TIGR00789', NULL, NULL, 'flhB_rel: FlhB domain protein', NULL, 'TIGR00789', NULL, NULL, NULL, 9),
(24763, NULL, 'TIGR00652', NULL, NULL, 'DapF: diaminopimelate epimerase', NULL, 'TIGR00652', NULL, NULL, NULL, 9),
(24764, NULL, 'TIGR02607', NULL, NULL, 'antidote_HigA: addiction module antidote protein, HigA family', NULL, 'TIGR02607', NULL, NULL, NULL, 9),
(24765, NULL, 'TIGR03260', NULL, NULL, 'met_CoM_red_D: methyl-coenzyme M reductase operon protein D', NULL, 'TIGR03260', NULL, NULL, NULL, 9),
(24766, NULL, 'TIGR03245', NULL, NULL, 'arg_AOST_alph: arginine/ornithine succinyltransferase, alpha subunit', NULL, 'TIGR03245', NULL, NULL, NULL, 9),
(24767, NULL, 'TIGR03397', NULL, NULL, 'acid_phos_Burk: acid phosphatase, Burkholderia-type', NULL, 'TIGR03397', NULL, NULL, NULL, 9),
(24768, NULL, 'TIGR00309', NULL, NULL, 'V_ATPase_subD: V-type ATPase, D subunit', NULL, 'TIGR00309', NULL, NULL, NULL, 9),
(24769, NULL, 'TIGR00637', NULL, NULL, 'ModE_repress: ModE molybdate transport repressor domain', NULL, 'TIGR00637', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24770, NULL, 'TIGR00500', NULL, NULL, 'met_pdase_I: methionine aminopeptidase, type I', NULL, 'TIGR00500', NULL, NULL, NULL, 9),
(24771, NULL, 'TIGR02759', NULL, NULL, 'TraD_Ftype: type IV conjugative transfer system coupling protein TraD', NULL, 'TIGR02759', NULL, NULL, NULL, 9),
(24772, NULL, 'TIGR02622', NULL, NULL, 'CDP_4_6_dhtase: CDP-glucose 4,6-dehydratase', NULL, 'TIGR02622', NULL, NULL, NULL, 9),
(24773, NULL, 'TIGR01003', NULL, NULL, 'PTS_HPr_family: phosphocarrier, HPr family', NULL, 'TIGR01003', NULL, NULL, NULL, 9),
(24774, NULL, 'TIGR02950', NULL, NULL, 'SigM_subfam: RNA polymerase sigma factor, SigM family', NULL, 'TIGR02950', NULL, NULL, NULL, 9),
(24775, NULL, 'TIGR01275', NULL, NULL, 'ACC_deam_rel: pyridoxal phosphate-dependent enzymes, D-cysteine desulfhydrase family', NULL, 'TIGR01275', NULL, NULL, NULL, 9),
(24776, NULL, 'TIGR01928', NULL, NULL, 'menC_lowGC/arch: o-succinylbenzoate synthase', NULL, 'TIGR01928', NULL, NULL, NULL, 9),
(24777, NULL, 'TIGR00251', NULL, NULL, 'TIGR00251: TIGR00251 family protein', NULL, 'TIGR00251', NULL, NULL, NULL, 9),
(24778, NULL, 'TIGR04536', NULL, NULL, 'geobac_encap: encapsulated protein', NULL, 'TIGR04536', NULL, NULL, NULL, 9),
(24779, NULL, 'TIGR01823', NULL, NULL, 'PabB-fungal: aminodeoxychorismate synthase', NULL, 'TIGR01823', NULL, NULL, NULL, 9),
(24780, NULL, 'TIGR01331', NULL, NULL, 'bisphos_cysQ: 3''(2''),5''-bisphosphate nucleotidase', NULL, 'TIGR01331', NULL, NULL, NULL, 9),
(24781, NULL, 'TIGR02074', NULL, NULL, 'PBP_1a_fam: penicillin-binding protein, 1A family', NULL, 'TIGR02074', NULL, NULL, NULL, 9),
(24782, NULL, 'TIGR02598', NULL, NULL, 'TIGR02598: Verru_Chthon cassette protein B', NULL, 'TIGR02598', NULL, NULL, NULL, 9),
(24783, NULL, 'TIGR04029', NULL, NULL, 'CMD_Avi_7170: CMD domain protein, Avi_7170 family', NULL, 'TIGR04029', NULL, NULL, NULL, 9),
(24784, NULL, 'TIGR03886', NULL, NULL, 'lyase_spl_fam: spore photoproduct lyase family protein', NULL, 'TIGR03886', NULL, NULL, NULL, 9),
(24785, NULL, 'TIGR04431', NULL, NULL, 'N6_acetyl_AAC6: aminoglycoside N(6'')-acetyltransferase, AacA4 family', NULL, 'TIGR04431', NULL, NULL, NULL, 9),
(24786, NULL, 'TIGR00845', NULL, NULL, 'caca: sodium/calcium exchanger 1', NULL, 'TIGR00845', NULL, NULL, NULL, 9),
(24787, NULL, 'TIGR03945', NULL, NULL, 'PLP_SbnA_fam: 2,3-diaminopropionate biosynthesis protein SbnA', NULL, 'TIGR03945', NULL, NULL, NULL, 9),
(24788, NULL, 'TIGR04091', NULL, NULL, 'LTA_dltB: D-alanyl-lipoteichoic acid biosynthesis protein DltB', NULL, 'TIGR04091', NULL, NULL, NULL, 9),
(24789, NULL, 'TIGR02414', NULL, NULL, 'pepN_proteo: aminopeptidase N', NULL, 'TIGR02414', NULL, NULL, NULL, 9),
(24790, NULL, 'TIGR00684', NULL, NULL, 'narJ: nitrate reductase molybdenum cofactor assembly chaperone', NULL, 'TIGR00684', NULL, NULL, NULL, 9),
(24791, NULL, 'TIGR04340', NULL, NULL, 'rSAM_ACGX: radical SAM/SPASM domain protein, ACGX system', NULL, 'TIGR04340', NULL, NULL, NULL, 9),
(24792, NULL, 'TIGR01436', NULL, NULL, 'glu_cys_lig_pln: glutamate--cysteine ligase', NULL, 'TIGR01436', NULL, NULL, NULL, 9),
(24793, NULL, 'TIGR02165', NULL, NULL, 'cas5_6_GSU0054: CRISPR-associated protein GSU0054/csb2, Dpsyc system', NULL, 'TIGR02165', NULL, NULL, NULL, 9),
(24794, NULL, 'TIGR03693', NULL, NULL, 'ocin_ThiF_like: putative thiazole-containing bacteriocin maturation protein', NULL, 'TIGR03693', NULL, NULL, NULL, 9),
(24795, NULL, 'TIGR01972', NULL, NULL, 'NDH_I_M: proton-translocating NADH-quinone oxidoreductase, chain M', NULL, 'TIGR01972', NULL, NULL, NULL, 9),
(24796, NULL, 'TIGR04375', NULL, NULL, 'cyano_w_EgtBD: hercynine metabolism protein', NULL, 'TIGR04375', NULL, NULL, NULL, 9),
(24797, NULL, 'TIGR01717', NULL, NULL, 'AMP-nucleosdse: AMP nucleosidase', NULL, 'TIGR01717', NULL, NULL, NULL, 9),
(24798, NULL, 'TIGR03600', NULL, NULL, 'phage_DnaB: phage replicative helicase, DnaB family', NULL, 'TIGR03600', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24799, NULL, 'TIGR03737', NULL, NULL, 'PRTRC_B: PRTRC system protein B', NULL, 'TIGR03737', NULL, NULL, NULL, 9),
(24800, NULL, 'TIGR03889', NULL, NULL, 'nitrile_acc: nitrile hydratase accessory protein', NULL, 'TIGR03889', NULL, NULL, NULL, 9),
(24801, NULL, 'TIGR02267', NULL, NULL, 'TIGR02267: DUSAM domain', NULL, 'TIGR02267', NULL, NULL, NULL, 9),
(24802, NULL, 'TIGR00195', NULL, NULL, 'exoDNase_III: exodeoxyribonuclease III', NULL, 'TIGR00195', NULL, NULL, NULL, 9),
(24803, NULL, 'TIGR02130', NULL, NULL, 'dapB_plant: dihydrodipicolinate reductase', NULL, 'TIGR02130', NULL, NULL, NULL, 9),
(24804, NULL, 'TIGR01925', NULL, NULL, 'spIIAB: anti-sigma F factor', NULL, 'TIGR01925', NULL, NULL, NULL, 9),
(24805, NULL, 'TIGR03705', NULL, NULL, 'poly_P_kin: polyphosphate kinase 1', NULL, 'TIGR03705', NULL, NULL, NULL, 9),
(24806, NULL, 'TIGR03784', NULL, NULL, 'marine_sortase: sortase, marine proteobacterial type', NULL, 'TIGR03784', NULL, NULL, NULL, 9),
(24807, NULL, 'TIGR02595', NULL, NULL, 'PEP_exosort: PEP-CTERM protein-sorting domain', NULL, 'TIGR02595', NULL, NULL, NULL, 9),
(24808, NULL, 'TIGR04079', NULL, NULL, 'phero_cyc_pep: KxxxW-cyclized secreted peptide', NULL, 'TIGR04079', NULL, NULL, NULL, 9),
(24809, NULL, 'TIGR00148', NULL, NULL, 'TIGR00148: decarboxylase, UbiD family', NULL, 'TIGR00148', NULL, NULL, NULL, 9),
(24810, NULL, 'TIGR01486', NULL, NULL, 'HAD-SF-IIB-MPGP: mannosyl-3-phosphoglycerate phosphatase family', NULL, 'TIGR01486', NULL, NULL, NULL, 9),
(24811, NULL, 'TIGR00711', NULL, NULL, 'efflux_EmrB: drug resistance MFS transporter, drug:H+ antiporter-2 (14 Spanner) (DHA2) family', NULL, 'TIGR00711', NULL, NULL, NULL, 9),
(24812, NULL, 'TIGR03304', NULL, NULL, 'OMP85_target: outer membrane insertion C-terminal signal', NULL, 'TIGR03304', NULL, NULL, NULL, 9),
(24813, NULL, 'TIGR03409', NULL, NULL, 'urea_trans_UrtB: urea ABC transporter, permease protein UrtB', NULL, 'TIGR03409', NULL, NULL, NULL, 9),
(24814, NULL, 'TIGR02903', NULL, NULL, 'spore_lon_C: ATP-dependent protease, Lon family', NULL, 'TIGR02903', NULL, NULL, NULL, 9),
(24815, NULL, 'TIGR03678', NULL, NULL, 'het_cyc_patell: bacteriocin leader peptide, microcyclamide/patellamide family', NULL, 'TIGR03678', NULL, NULL, NULL, 9),
(24816, NULL, 'TIGR03541', NULL, NULL, 'reg_near_HchA: LuxR family transcriptional regulatory, chaperone HchA-associated', NULL, 'TIGR03541', NULL, NULL, NULL, 9),
(24817, NULL, 'TIGR02118', NULL, NULL, 'TIGR02118: conserved hypothetical protein', NULL, 'TIGR02118', NULL, NULL, NULL, 9),
(24818, NULL, 'TIGR02818', NULL, NULL, 'adh_III_F_hyde: S-(hydroxymethyl)glutathione dehydrogenase/class III alcohol dehydrogenase', NULL, 'TIGR02818', NULL, NULL, NULL, 9),
(24819, NULL, 'TIGR00895', NULL, NULL, '2A0115: MFS transporter, aromatic acid:H+ symporter (AAHS) family', NULL, 'TIGR00895', NULL, NULL, NULL, 9),
(24820, NULL, 'TIGR00980', NULL, NULL, '3a0801so1tim17: mitochondrial import inner membrane translocase subunit tim17', NULL, 'TIGR00980', NULL, NULL, NULL, 9),
(24821, NULL, 'TIGR04047', NULL, NULL, 'MSMEG_0565_glyc: glycosyltransferase, MSMEG_0565 family', NULL, 'TIGR04047', NULL, NULL, NULL, 9),
(24822, NULL, 'TIGR02059', NULL, NULL, 'swm_rep_I: cyanobacterial long protein repeat', NULL, 'TIGR02059', NULL, NULL, NULL, 9),
(24823, NULL, 'TIGR02563', NULL, NULL, 'cas_Csy4: CRISPR-associated endoribonuclease Cas6/Csy4, subtype I-F/YPEST', NULL, 'TIGR02563', NULL, NULL, NULL, 9),
(24824, NULL, 'TIGR03292', NULL, NULL, 'PhnH_redo: phosphonate C-P lyase system protein PhnH', NULL, 'TIGR03292', NULL, NULL, NULL, 9),
(24825, NULL, 'TIGR03213', NULL, NULL, '23dbph12diox: 2,3-dihydroxybiphenyl 1,2-dioxygenase', NULL, 'TIGR03213', NULL, NULL, NULL, 9),
(24826, NULL, 'TIGR00011', NULL, NULL, 'YbaK_EbsC: Cys-tRNA(Pro) deacylase', NULL, 'TIGR00011', NULL, NULL, NULL, 9),
(24827, NULL, 'TIGR00306', NULL, NULL, 'apgM: phosphoglycerate mutase (2,3-diphosphoglycerate-independent), archaeal form', NULL, 'TIGR00306', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24828, NULL, 'TIGR00222', NULL, NULL, 'panB: 3-methyl-2-oxobutanoate hydroxymethyltransferase', NULL, 'TIGR00222', NULL, NULL, NULL, 9),
(24829, NULL, 'TIGR00602', NULL, NULL, 'rad24: checkpoint protein rad24', NULL, 'TIGR00602', NULL, NULL, NULL, 9),
(24830, NULL, 'TIGR00739', NULL, NULL, 'yajC: preprotein translocase, YajC subunit', NULL, 'TIGR00739', NULL, NULL, NULL, 9),
(24831, NULL, 'TIGR01377', NULL, NULL, 'soxA_mon: sarcosine oxidase, monomeric form', NULL, 'TIGR01377', NULL, NULL, NULL, 9),
(24832, NULL, 'TIGR01240', NULL, NULL, 'mevDPdecarb: diphosphomevalonate decarboxylase', NULL, 'TIGR01240', NULL, NULL, NULL, 9),
(24833, NULL, 'TIGR03295', NULL, NULL, 'frhA: coenzyme F420 hydrogenase, subunit alpha', NULL, 'TIGR03295', NULL, NULL, NULL, 9),
(24834, NULL, 'TIGR03210', NULL, NULL, 'badI: 2-ketocyclohexanecarboxyl-CoA hydrolase', NULL, 'TIGR03210', NULL, NULL, NULL, 9),
(24835, NULL, 'TIGR02709', NULL, NULL, 'branched_ptb: branched-chain phosphotransacylase', NULL, 'TIGR02709', NULL, NULL, NULL, 9),
(24836, NULL, 'TIGR00359', NULL, NULL, 'cello_pts_IIC: PTS system, cellobiose-specific IIC component', NULL, 'TIGR00359', NULL, NULL, NULL, 9),
(24837, NULL, 'TIGR02071', NULL, NULL, 'PBP_1b: penicillin-binding protein 1B', NULL, 'TIGR02071', NULL, NULL, NULL, 9),
(24838, NULL, 'TIGR00930', NULL, NULL, '2a30: K-Cl cotransporter', NULL, 'TIGR00930', NULL, NULL, NULL, 9),
(24839, NULL, 'TIGR00687', NULL, NULL, 'pyridox_kin: pyridoxal kinase', NULL, 'TIGR00687', NULL, NULL, NULL, 9),
(24840, NULL, 'TIGR04434', NULL, NULL, 'rSAM_Pput_1520: B12-binding domain/radical SAM domain protein', NULL, 'TIGR04434', NULL, NULL, NULL, 9),
(24841, NULL, 'TIGR00415', NULL, NULL, 'serS_MJ: serine--tRNA ligase', NULL, 'TIGR00415', NULL, NULL, NULL, 9),
(24842, NULL, 'TIGR03347', NULL, NULL, 'VI_chp_1: type VI secretion protein, VC_A0111 family', NULL, 'TIGR03347', NULL, NULL, NULL, 9),
(24843, NULL, 'TIGR03139', NULL, NULL, 'QueF-II: 7-cyano-7-deazaguanine reductase', NULL, 'TIGR03139', NULL, NULL, NULL, 9),
(24844, NULL, 'TIGR02657', NULL, NULL, 'amicyanin: amicyanin', NULL, 'TIGR02657', NULL, NULL, NULL, 9),
(24845, NULL, 'TIGR00207', NULL, NULL, 'fliG: flagellar motor switch protein FliG', NULL, 'TIGR00207', NULL, NULL, NULL, 9),
(24846, NULL, 'TIGR02891', NULL, NULL, 'CtaD_CoxA: cytochrome c oxidase, subunit I', NULL, 'TIGR02891', NULL, NULL, NULL, 9),
(24847, NULL, 'TIGR00441', NULL, NULL, 'gmhA: phosphoheptose isomerase', NULL, 'TIGR00441', NULL, NULL, NULL, 9),
(24848, NULL, 'TIGR02024', NULL, NULL, 'FtcD: glutamate formiminotransferase', NULL, 'TIGR02024', NULL, NULL, NULL, 9),
(24849, NULL, 'TIGR01898', NULL, NULL, 'cas_TM1791_cmr6: CRISPR type III-B/RAMP module RAMP protein Cmr6', NULL, 'TIGR01898', NULL, NULL, NULL, 9),
(24850, NULL, 'TIGR04094', NULL, NULL, 'adjacent_YSIRK: YSIRK-targeted surface antigen transcriptional regulator', NULL, 'TIGR04094', NULL, NULL, NULL, 9),
(24851, NULL, 'TIGR04474', NULL, NULL, 'tcm_partner: three-Cys-motif partner protein', NULL, 'TIGR04474', NULL, NULL, NULL, 9),
(24852, NULL, 'TIGR01381', NULL, NULL, 'E1_like_apg7: E1-like protein-activating enzyme Gsa7p/Apg7p', NULL, 'TIGR01381', NULL, NULL, NULL, 9),
(24853, NULL, 'TIGR04481', NULL, NULL, 'PR_assoc_PrdC: proline reductase-associated electron transfer protein PrdC', NULL, 'TIGR04481', NULL, NULL, NULL, 9),
(24854, NULL, 'TIGR02411', NULL, NULL, 'leuko_A4_hydro: leukotriene A-4 hydrolase/aminopeptidase', NULL, 'TIGR02411', NULL, NULL, NULL, 9),
(24855, NULL, 'TIGR02168', NULL, NULL, 'SMC_prok_B: chromosome segregation protein SMC', NULL, 'TIGR02168', NULL, NULL, NULL, 9),
(24856, NULL, 'TIGR02548', NULL, NULL, 'casB_cse2: CRISPR type I-E/ECOLI-associated protein CasB/Cse2', NULL, 'TIGR02548', NULL, NULL, NULL, 9),
(24857, NULL, 'TIGR03186', NULL, NULL, 'AKGDH_not_PDH: alpha-ketoglutarate dehydrogenase', NULL, 'TIGR03186', NULL, NULL, NULL, 9),
(24858, NULL, 'TIGR03628', NULL, NULL, 'arch_S11P: ribosomal protein uS11', NULL, 'TIGR03628', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24859, NULL, 'TIGR03843', NULL, NULL, 'TIGR03843: conserved hypothetical protein', NULL, 'TIGR03843', NULL, NULL, NULL, 9),
(24860, NULL, 'TIGR02031', NULL, NULL, 'BchD-ChlD: magnesium chelatase ATPase subunit D', NULL, 'TIGR02031', NULL, NULL, NULL, 9),
(24861, NULL, 'TIGR02489', NULL, NULL, 'flgE_epsilon: flagellar hook protein FlgE', NULL, 'TIGR02489', NULL, NULL, NULL, 9),
(24862, NULL, 'TIGR01714', NULL, NULL, 'phage_rep_org_N: phage replisome organizer, putative, N-terminal region', NULL, 'TIGR01714', NULL, NULL, NULL, 9),
(24863, NULL, 'TIGR00550', NULL, NULL, 'nadA: quinolinate synthetase complex, A subunit', NULL, 'TIGR00550', NULL, NULL, NULL, 9),
(24864, NULL, 'TIGR01053', NULL, NULL, 'LSD1: zinc finger domain, LSD1 subclass', NULL, 'TIGR01053', NULL, NULL, NULL, 9),
(24865, NULL, 'TIGR01433', NULL, NULL, 'CyoA: ubiquinol oxidase, subunit II', NULL, 'TIGR01433', NULL, NULL, NULL, 9),
(24866, NULL, 'TIGR00786', NULL, NULL, 'dctM: TRAP transporter, DctM subunit', NULL, 'TIGR00786', NULL, NULL, NULL, 9),
(24867, NULL, 'TIGR04533', NULL, NULL, 'cyanosortB_assc: cyanoexosortase B-associated protein', NULL, 'TIGR04533', NULL, NULL, NULL, 9),
(24868, NULL, 'TIGR03248', NULL, NULL, 'galactar-dH20: galactarate dehydratase', NULL, 'TIGR03248', NULL, NULL, NULL, 9),
(24869, NULL, 'TIGR02329', NULL, NULL, 'propionate_PrpR: propionate catabolism operon regulatory protein PrpR', NULL, 'TIGR02329', NULL, NULL, NULL, 9),
(24870, NULL, 'TIGR03002', NULL, NULL, 'outer_YhbN_LptA: lipopolysaccharide transport periplasmic protein LptA', NULL, 'TIGR03002', NULL, NULL, NULL, 9),
(24871, NULL, 'TIGR00743', NULL, NULL, 'TIGR00743: conserved hypothetical protein', NULL, 'TIGR00743', NULL, NULL, NULL, 9),
(24872, NULL, 'TIGR01577', NULL, NULL, 'oligosac_amyl: oligosaccharide amylase', NULL, 'TIGR01577', NULL, NULL, NULL, 9),
(24873, NULL, 'TIGR00160', NULL, NULL, 'MGSA: methylglyoxal synthase', NULL, 'TIGR00160', NULL, NULL, NULL, 9),
(24874, NULL, 'TIGR02305', NULL, NULL, 'HpaG-N-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, N-terminal subunit', NULL, 'TIGR02305', NULL, NULL, NULL, 9),
(24875, NULL, 'TIGR01542', NULL, NULL, 'A118_put_portal: phage portal protein, putative, A118 family', NULL, 'TIGR01542', NULL, NULL, NULL, 9),
(24876, NULL, 'TIGR00297', NULL, NULL, 'TIGR00297: TIGR00297 family protein', NULL, 'TIGR00297', NULL, NULL, NULL, 9),
(24877, NULL, 'TIGR04325', NULL, NULL, 'MTase_LIC12133: putative methyltransferase, LIC12133 family', NULL, 'TIGR04325', NULL, NULL, NULL, 9),
(24878, NULL, 'TIGR00590', NULL, NULL, 'pcna: proliferating cell nuclear antigen (pcna)', NULL, 'TIGR00590', NULL, NULL, NULL, 9),
(24879, NULL, 'TIGR02697', NULL, NULL, 'WPE_wolbac: Wolbachia palindromic element domain', NULL, 'TIGR02697', NULL, NULL, NULL, 9),
(24880, NULL, 'TIGR02560', NULL, NULL, 'HrpB4: type III secretion protein HrpB4', NULL, 'TIGR02560', NULL, NULL, NULL, 9),
(24881, NULL, 'TIGR01249', NULL, NULL, 'pro_imino_pep_1: prolyl aminopeptidase', NULL, 'TIGR01249', NULL, NULL, NULL, 9),
(24882, NULL, 'TIGR04103', NULL, NULL, 'rSAM_nif11_3: nif11-class peptide radical SAM maturase 3', NULL, 'TIGR04103', NULL, NULL, NULL, 9),
(24883, NULL, 'TIGR01384', NULL, NULL, 'TFS_arch: transcription factor S', NULL, 'TIGR01384', NULL, NULL, NULL, 9),
(24884, NULL, 'TIGR01764', NULL, NULL, 'excise: DNA binding domain, excisionase family', NULL, 'TIGR01764', NULL, NULL, NULL, 9),
(24885, NULL, 'TIGR02180', NULL, NULL, 'GRX_euk: glutaredoxin', NULL, 'TIGR02180', NULL, NULL, NULL, 9),
(24886, NULL, 'TIGR03307', NULL, NULL, 'PhnP: phosphonate metabolism protein PhnP', NULL, 'TIGR03307', NULL, NULL, NULL, 9),
(24887, NULL, 'TIGR01679', NULL, NULL, 'bact_FAD_ox: FAD-linked oxidoreductase', NULL, 'TIGR01679', NULL, NULL, NULL, 9),
(24888, NULL, 'TIGR02716', NULL, NULL, 'C20_methyl_CrtF: C-20 methyltransferase BchU', NULL, 'TIGR02716', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24889, NULL, 'TIGR04372', NULL, NULL, 'glycosyl_04372: putative glycosyltransferase, TIGR04372 family', NULL, 'TIGR04372', NULL, NULL, NULL, 9),
(24890, NULL, 'TIGR01334', NULL, NULL, 'modD: modD protein', NULL, 'TIGR01334', NULL, NULL, NULL, 9),
(24891, NULL, 'TIGR02513', NULL, NULL, 'type_III_yscB: type III secretion system chaperone, YscB family', NULL, 'TIGR02513', NULL, NULL, NULL, 9),
(24892, NULL, 'TIGR02978', NULL, NULL, 'phageshock_pspC: phage shock protein C', NULL, 'TIGR02978', NULL, NULL, NULL, 9),
(24893, NULL, 'TIGR03288', NULL, NULL, 'CoB_CoM_SS_B: CoB--CoM heterodisulfide reductase, subunit B', NULL, 'TIGR03288', NULL, NULL, NULL, 9),
(24894, NULL, 'TIGR00793', NULL, NULL, 'kdgT: 2-keto-3-deoxygluconate transporter', NULL, 'TIGR00793', NULL, NULL, NULL, 9),
(24895, NULL, 'TIGR02133', NULL, NULL, 'RPI_actino: ribose 5-phosphate isomerase', NULL, 'TIGR02133', NULL, NULL, NULL, 9),
(24896, NULL, 'TIGR03026', NULL, NULL, 'NDP-sugDHase: nucleotide sugar dehydrogenase', NULL, 'TIGR03026', NULL, NULL, NULL, 9),
(24897, NULL, 'TIGR00578', NULL, NULL, 'ku70: ATP-dependent DNA helicase II, 70 kDa subunit (ku70)', NULL, 'TIGR00578', NULL, NULL, NULL, 9),
(24898, NULL, 'TIGR04044', NULL, NULL, 'MSMEG_0572_fam: MSMEG_0572 family protein', NULL, 'TIGR04044', NULL, NULL, NULL, 9),
(24899, NULL, 'TIGR01006', NULL, NULL, 'polys_exp_MPA1: polysaccharide export protein, MPA1 family', NULL, 'TIGR01006', NULL, NULL, NULL, 9),
(24900, NULL, 'TIGR02461', NULL, NULL, 'osmo_MPG_phos: mannosyl-3-phosphoglycerate phosphatase', NULL, 'TIGR02461', NULL, NULL, NULL, 9),
(24901, NULL, 'TIGR03394', NULL, NULL, 'indol_phenyl_DC: indolepyruvate/phenylpyruvate decarboxylase', NULL, 'TIGR03394', NULL, NULL, NULL, 9),
(24902, NULL, 'TIGR02376', NULL, NULL, 'Cu_nitrite_red: nitrite reductase, copper-containing', NULL, 'TIGR02376', NULL, NULL, NULL, 9),
(24903, NULL, 'TIGR03111', NULL, NULL, 'glyc2_xrt_Gpos1: putative glycosyltransferase, exosortase G-associated', NULL, 'TIGR03111', NULL, NULL, NULL, 9),
(24904, NULL, 'TIGR04266', NULL, NULL, 'NDMA_methanol: NDMA-dependent methanol dehydrogenase', NULL, 'TIGR04266', NULL, NULL, NULL, 9),
(24905, NULL, 'TIGR03406', NULL, NULL, 'FeS_long_SufT: probable FeS assembly SUF system protein SufT', NULL, 'TIGR03406', NULL, NULL, NULL, 9),
(24906, NULL, 'TIGR00113', NULL, NULL, 'queA: S-adenosylmethionine:tRNA ribosyltransferase-isomerase', NULL, 'TIGR00113', NULL, NULL, NULL, 9),
(24907, NULL, 'TIGR01870', NULL, NULL, 'cas_TM1810_Csm2: CRISPR type III-A/MTUBE-associated protein Csm2', NULL, 'TIGR01870', NULL, NULL, NULL, 9),
(24908, NULL, 'TIGR03151', NULL, NULL, 'enACPred_II: putative enoyl-[acyl-carrier-protein] reductase II', NULL, 'TIGR03151', NULL, NULL, NULL, 9),
(24909, NULL, 'TIGR03734', NULL, NULL, 'PRTRC_parB: PRTRC system ParB family protein', NULL, 'TIGR03734', NULL, NULL, NULL, 9),
(24910, NULL, 'TIGR04568', NULL, NULL, 'arch_SelU_Nterm: selenouridine synthase, SelU N-terminal-like subunit', NULL, 'TIGR04568', NULL, NULL, NULL, 9),
(24911, NULL, 'TIGR00257', NULL, NULL, 'IMPACT_YIGZ: uncharacterized protein, YigZ family', NULL, 'TIGR00257', NULL, NULL, NULL, 9),
(24912, NULL, 'TIGR02520', NULL, NULL, 'pilus_B_mal_scr: type IVB pilus formation outer membrane protein, R64 PilN family', NULL, 'TIGR02520', NULL, NULL, NULL, 9),
(24913, NULL, 'TIGR02900', NULL, NULL, 'spore_V_B: stage V sporulation protein B', NULL, 'TIGR02900', NULL, NULL, NULL, 9),
(24914, NULL, 'TIGR03354', NULL, NULL, 'VI_FHA: type VI secretion system FHA domain protein', NULL, 'TIGR03354', NULL, NULL, NULL, 9),
(24915, NULL, 'TIGR02841', NULL, NULL, 'spore_YyaC: putative sporulation protein YyaC', NULL, 'TIGR02841', NULL, NULL, NULL, 9),
(24916, NULL, 'TIGR03675', NULL, NULL, 'arCOG00543: arCOG00543 universal archaeal KH-domain/beta-lactamase-domain protein', NULL, 'TIGR03675', NULL, NULL, NULL, 9),
(24917, NULL, 'TIGR03625', NULL, NULL, 'L3_bact: 50S ribosomal protein uL3', NULL, 'TIGR03625', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24918, NULL, 'TIGR01604', NULL, NULL, 'PYST-C2: Plasmodium yoelii subtelomeric domain PYST-C2', NULL, 'TIGR01604', NULL, NULL, NULL, 9),
(24919, NULL, 'TIGR01327', NULL, NULL, 'PGDH: phosphoglycerate dehydrogenase', NULL, 'TIGR01327', NULL, NULL, NULL, 9),
(24920, NULL, 'TIGR01655', NULL, NULL, 'yxeA_fam: conserved hypothetical protein', NULL, 'TIGR01655', NULL, NULL, NULL, 9),
(24921, NULL, 'TIGR03640', NULL, NULL, 'cas1_DVULG: CRISPR-associated endonuclease Cas1, subtype I-C/DVULG', NULL, 'TIGR03640', NULL, NULL, NULL, 9),
(24922, NULL, 'TIGR00083', NULL, NULL, 'ribF: riboflavin biosynthesis protein RibF', NULL, 'TIGR00083', NULL, NULL, NULL, 9),
(24923, NULL, 'TIGR03777', NULL, NULL, 'RPE4: rickettsial palindromic element RPE4 domain', NULL, 'TIGR03777', NULL, NULL, NULL, 9),
(24924, NULL, 'TIGR01222', NULL, NULL, 'minC: septum site-determining protein MinC', NULL, 'TIGR01222', NULL, NULL, NULL, 9),
(24925, NULL, 'TIGR03073', NULL, NULL, 'release_rtcB: release factor H-coupled RctB family protein', NULL, 'TIGR03073', NULL, NULL, NULL, 9),
(24926, NULL, 'TIGR02274', NULL, NULL, 'dCTP_deam: deoxycytidine triphosphate deaminase', NULL, 'TIGR02274', NULL, NULL, NULL, 9),
(24927, NULL, 'TIGR03432', NULL, NULL, 'yjhG_yagF: putative dehydratase, YjhG/YagF family', NULL, 'TIGR03432', NULL, NULL, NULL, 9),
(24928, NULL, 'TIGR00051', NULL, NULL, 'TIGR00051: acyl-CoA thioester hydrolase, YbgC/YbaW family', NULL, 'TIGR00051', NULL, NULL, NULL, 9),
(24929, NULL, 'TIGR02158', NULL, NULL, 'PA_CoA_Oxy3: phenylacetate-CoA oxygenase, PaaI subunit', NULL, 'TIGR02158', NULL, NULL, NULL, 9),
(24930, NULL, 'TIGR01900', NULL, NULL, 'dapE-gram_pos: succinyl-diaminopimelate desuccinylase', NULL, 'TIGR01900', NULL, NULL, NULL, 9),
(24931, NULL, 'TIGR04231', NULL, NULL, 'seadorna_VP5: seadornavirus VP5 protein', NULL, 'TIGR04231', NULL, NULL, NULL, 9),
(24932, NULL, 'TIGR03893', NULL, NULL, 'lant_SP_1948: type 2 lantibiotic, SP_1948 family', NULL, 'TIGR03893', NULL, NULL, NULL, 9),
(24933, NULL, 'TIGR00805', NULL, NULL, 'oat: sodium-independent organic anion transporter', NULL, 'TIGR00805', NULL, NULL, NULL, 9),
(24934, NULL, 'TIGR04156', NULL, NULL, 'cyanoexo_CrtB: cyanoexosortase B', NULL, 'TIGR04156', NULL, NULL, NULL, 9),
(24935, NULL, 'TIGR03104', NULL, NULL, 'trio_amidotrans: asparagine synthase family amidotransferase', NULL, 'TIGR03104', NULL, NULL, NULL, 9),
(24936, NULL, 'TIGR01816', NULL, NULL, 'sdhA_forward: succinate dehydrogenase, flavoprotein subunit', NULL, 'TIGR01816', NULL, NULL, NULL, 9),
(24937, NULL, 'TIGR00736', NULL, NULL, 'nifR3_rel_arch: putative TIM-barrel protein', NULL, 'TIGR00736', NULL, NULL, NULL, 9),
(24938, NULL, 'TIGR03998', NULL, NULL, 'thiol_BshC: bacillithiol biosynthesis cysteine-adding enzyme BshC', NULL, 'TIGR03998', NULL, NULL, NULL, 9),
(24939, NULL, 'TIGR01056', NULL, NULL, 'topB: DNA topoisomerase III', NULL, 'TIGR01056', NULL, NULL, NULL, 9),
(24940, NULL, 'TIGR02731', NULL, NULL, 'phytoene_desat: phytoene desaturase', NULL, 'TIGR02731', NULL, NULL, NULL, 9),
(24941, NULL, 'TIGR03077', NULL, NULL, 'not_gcvH: glycine cleavage protein H-like protein', NULL, 'TIGR03077', NULL, NULL, NULL, 9),
(24942, NULL, 'TIGR00871', NULL, NULL, 'zwf: glucose-6-phosphate dehydrogenase', NULL, 'TIGR00871', NULL, NULL, NULL, 9),
(24943, NULL, 'TIGR03565', NULL, NULL, 'alk_sulf_monoox: alkanesulfonate monooxygenase, FMNH(2)-dependent', NULL, 'TIGR03565', NULL, NULL, NULL, 9),
(24944, NULL, 'TIGR04216', NULL, NULL, 'halo_surf_glyco: major cell surface glycoprotein', NULL, 'TIGR04216', NULL, NULL, NULL, 9),
(24945, NULL, 'TIGR04484', NULL, NULL, 'thiosulf_SoxA: sulfur oxidation c-type cytochrome SoxA', NULL, 'TIGR04484', NULL, NULL, NULL, 9),
(24946, NULL, 'TIGR00543', NULL, NULL, 'isochor_syn: isochorismate synthase', NULL, 'TIGR00543', NULL, NULL, NULL, 9),
(24947, NULL, 'TIGR02021', NULL, NULL, 'BchM-ChlM: magnesium protoporphyrin O-methyltransferase', NULL, 'TIGR02021', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24948, NULL, 'TIGR03569', NULL, NULL, 'NeuB_NnaB: N-acetylneuraminate synthase', NULL, 'TIGR03569', NULL, NULL, NULL, 9),
(24949, NULL, 'TIGR00465', NULL, NULL, 'ilvC: ketol-acid reductoisomerase', NULL, 'TIGR00465', NULL, NULL, NULL, 9),
(24950, NULL, 'TIGR01010', NULL, NULL, 'BexC_CtrB_KpsE: polysaccharide export inner-membrane protein, BexC/CtrB/KpsE family', NULL, 'TIGR01010', NULL, NULL, NULL, 9),
(24951, NULL, 'TIGR02486', NULL, NULL, 'RDH: reductive dehalogenase', NULL, 'TIGR02486', NULL, NULL, NULL, 9),
(24952, NULL, 'TIGR02734', NULL, NULL, 'crtI_fam: phytoene desaturase', NULL, 'TIGR02734', NULL, NULL, NULL, 9),
(24953, NULL, 'TIGR01112', NULL, NULL, 'mtrD: tetrahydromethanopterin S-methyltransferase, subunit D', NULL, 'TIGR01112', NULL, NULL, NULL, 9),
(24954, NULL, 'TIGR01147', NULL, NULL, 'V_ATP_synt_G: V-type ATPase, G subunit', NULL, 'TIGR01147', NULL, NULL, NULL, 9),
(24955, NULL, 'TIGR03285', NULL, NULL, 'methan_mark_14: putative methanogenesis marker protein 14', NULL, 'TIGR03285', NULL, NULL, NULL, 9),
(24956, NULL, 'TIGR02407', NULL, NULL, 'ectoine_ectB: diaminobutyrate--2-oxoglutarate aminotransferase', NULL, 'TIGR02407', NULL, NULL, NULL, 9),
(24957, NULL, 'TIGR03220', NULL, NULL, 'catechol_dmpE: 2-oxopent-4-enoate hydratase', NULL, 'TIGR03220', NULL, NULL, NULL, 9),
(24958, NULL, 'TIGR01592', NULL, NULL, 'holin_SPP1: holin, SPP1 family', NULL, 'TIGR01592', NULL, NULL, NULL, 9),
(24959, NULL, 'TIGR04153', NULL, NULL, 'cyanosortA_assc: cyanosortase A-associated protein', NULL, 'TIGR04153', NULL, NULL, NULL, 9),
(24960, NULL, 'TIGR00796', NULL, NULL, 'livcs: branched-chain amino acid transport system II carrier protein', NULL, 'TIGR00796', NULL, NULL, NULL, 9),
(24961, NULL, 'TIGR03357', NULL, NULL, 'VI_zyme: type VI secretion system lysozyme-like protein', NULL, 'TIGR03357', NULL, NULL, NULL, 9),
(24962, NULL, 'TIGR02352', NULL, NULL, 'thiamin_ThiO: glycine oxidase ThiO', NULL, 'TIGR02352', NULL, NULL, NULL, 9),
(24963, NULL, 'TIGR00331', NULL, NULL, 'hrcA: heat-inducible transcription repressor HrcA', NULL, 'TIGR00331', NULL, NULL, NULL, 9),
(24964, NULL, 'TIGR00294', NULL, NULL, 'TIGR00294: GTP cyclohydrolase', NULL, 'TIGR00294', NULL, NULL, NULL, 9),
(24965, NULL, 'TIGR03029', NULL, NULL, 'EpsG: chain length determinant protein tyrosine kinase EpsG', NULL, 'TIGR03029', NULL, NULL, NULL, 9),
(24966, NULL, 'TIGR00973', NULL, NULL, 'leuA_bact: 2-isopropylmalate synthase', NULL, 'TIGR00973', NULL, NULL, NULL, 9),
(24967, NULL, 'TIGR04459', NULL, NULL, 'TisB_tox: type I toxin-antitoxin system toxin TisB', NULL, 'TIGR04459', NULL, NULL, NULL, 9),
(24968, NULL, 'TIGR00528', NULL, NULL, 'gcvT: glycine cleavage system T protein', NULL, 'TIGR00528', NULL, NULL, NULL, 9),
(24969, NULL, 'TIGR01440', NULL, NULL, 'TIGR01440: TIGR01440 family protein', NULL, 'TIGR01440', NULL, NULL, NULL, 9),
(24970, NULL, 'TIGR04138', NULL, NULL, 'Plancto_Ver_chp: Verruc_Plancto-restricted protein', NULL, 'TIGR04138', NULL, NULL, NULL, 9),
(24971, NULL, 'TIGR01761', NULL, NULL, 'thiaz-red: thiazolinyl imide reductase', NULL, 'TIGR01761', NULL, NULL, NULL, 9),
(24972, NULL, 'TIGR03534', NULL, NULL, 'RF_mod_PrmC: protein-(glutamine-N5) methyltransferase, release factor-specific', NULL, 'TIGR03534', NULL, NULL, NULL, 9),
(24973, NULL, 'TIGR02438', NULL, NULL, 'catachol_actin: catechol 1,2-dioxygenase', NULL, 'TIGR02438', NULL, NULL, NULL, 9),
(24974, NULL, 'TIGR00313', NULL, NULL, 'cobQ: cobyric acid synthase CobQ', NULL, 'TIGR00313', NULL, NULL, NULL, 9),
(24975, NULL, 'TIGR02301', NULL, NULL, 'TIGR02301: TIGR02301 family protein', NULL, 'TIGR02301', NULL, NULL, NULL, 9),
(24976, NULL, 'TIGR02523', NULL, NULL, 'type_IV_pilV: type IV pilus modification protein PilV', NULL, 'TIGR02523', NULL, NULL, NULL, 9),
(24977, NULL, 'TIGR03861', NULL, NULL, 'phenyl_ABC_PedC: alcohol ABC transporter, permease protein', NULL, 'TIGR03861', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(24978, NULL, 'TIGR02943', NULL, NULL, 'Sig70_famx1: RNA polymerase sigma-70 factor, TIGR02943 family', NULL, 'TIGR02943', NULL, NULL, NULL, 9),
(24979, NULL, 'TIGR03999', NULL, NULL, 'thiol_BshA: N-acetyl-alpha-D-glucosaminyl L-malate synthase BshA', NULL, 'TIGR03999', NULL, NULL, NULL, 9),
(24980, NULL, 'TIGR00188', NULL, NULL, 'rnpA: ribonuclease P protein component', NULL, 'TIGR00188', NULL, NULL, NULL, 9),
(24981, NULL, 'TIGR04368', NULL, NULL, 'Glu_2_3_NH3_mut: glutamate 2,3-aminomutase', NULL, 'TIGR04368', NULL, NULL, NULL, 9),
(24982, NULL, 'TIGR04322', NULL, NULL, 'rSAM_QueE_Ecoli: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR04322', NULL, NULL, NULL, 9),
(24983, NULL, 'TIGR01932', NULL, NULL, 'hflC: HflC protein', NULL, 'TIGR01932', NULL, NULL, NULL, 9),
(24984, NULL, 'TIGR02766', NULL, NULL, 'crypt_chrom_pln: cryptochrome, plant family', NULL, 'TIGR02766', NULL, NULL, NULL, 9),
(24985, NULL, 'TIGR04001', NULL, NULL, 'thiol_BshB1: bacillithiol biosynthesis deacetylase BshB1', NULL, 'TIGR04001', NULL, NULL, NULL, 9),
(24986, NULL, 'TIGR02183', NULL, NULL, 'GRXA: glutaredoxin, GrxA family', NULL, 'TIGR02183', NULL, NULL, NULL, 9),
(24987, NULL, 'TIGR01670', NULL, NULL, 'KdsC-phosphatas: 3-deoxy-D-manno-octulosonate 8-phosphate phosphatase, YrbI family', NULL, 'TIGR01670', NULL, NULL, NULL, 9),
(24988, NULL, 'TIGR02292', NULL, NULL, 'ygfB_yecA: yecA family protein', NULL, 'TIGR02292', NULL, NULL, NULL, 9),
(24989, NULL, 'TIGR02243', NULL, NULL, 'TIGR02243: putative baseplate assembly protein', NULL, 'TIGR02243', NULL, NULL, NULL, 9),
(24990, NULL, 'TIGR00185', NULL, NULL, 'tRNA_yibK_trmL: tRNA (cytidine(34)-2''-O)-methyltransferase', NULL, 'TIGR00185', NULL, NULL, NULL, 9),
(24991, NULL, 'TIGR01225', NULL, NULL, 'hutH: histidine ammonia-lyase', NULL, 'TIGR01225', NULL, NULL, NULL, 9),
(24992, NULL, 'TIGR04262', NULL, NULL, 'orph_peri_GRRM: extracellular substrate-binding orphan protein, GRRM family', NULL, 'TIGR04262', NULL, NULL, NULL, 9),
(24993, NULL, 'TIGR04399', NULL, NULL, 'acc_Sec_SLAP: accessory Sec system S-layer assembly protein', NULL, 'TIGR04399', NULL, NULL, NULL, 9),
(24994, NULL, 'TIGR02844', NULL, NULL, 'spore_III_D: sporulation transcriptional regulator SpoIIID', NULL, 'TIGR02844', NULL, NULL, NULL, 9),
(24995, NULL, 'TIGR01607', NULL, NULL, 'PST-A: Plasmodium subtelomeric family', NULL, 'TIGR01607', NULL, NULL, NULL, 9),
(24996, NULL, 'TIGR03643', NULL, NULL, 'TIGR03643: TIGR03643 family protein', NULL, 'TIGR03643', NULL, NULL, NULL, 9),
(24997, NULL, 'TIGR01789', NULL, NULL, 'lycopene_cycl: lycopene cyclase', NULL, 'TIGR01789', NULL, NULL, NULL, 9),
(24998, NULL, 'TIGR00634', NULL, NULL, 'recN: DNA repair protein RecN', NULL, 'TIGR00634', NULL, NULL, NULL, 9),
(24999, NULL, 'TIGR00808', NULL, NULL, 'malonate_madM: malonate transporter, MadM subunit', NULL, 'TIGR00808', NULL, NULL, NULL, 9),
(25000, NULL, 'TIGR02056', NULL, NULL, 'ChlG: chlorophyll synthase ChlG', NULL, 'TIGR02056', NULL, NULL, NULL, 9),
(25001, NULL, 'TIGR03905', NULL, NULL, 'TIGR03905_4_Cys: uncharacterized protein TIGR03905', NULL, 'TIGR03905', NULL, NULL, NULL, 9),
(25002, NULL, 'TIGR04213', NULL, NULL, 'PGF_pre_PGF: PGF-pre-PGF domain', NULL, 'TIGR04213', NULL, NULL, NULL, 9),
(25003, NULL, 'TIGR03971', NULL, NULL, 'SDR_subfam_1: SDR family mycofactocin-dependent oxidoreductase', NULL, 'TIGR03971', NULL, NULL, NULL, 9),
(25004, NULL, 'TIGR03568', NULL, NULL, 'NeuC_NnaA: UDP-N-acetyl-D-glucosamine 2-epimerase, UDP-hydrolysing', NULL, 'TIGR03568', NULL, NULL, NULL, 9),
(25005, NULL, 'TIGR01324', NULL, NULL, 'cysta_beta_ly_B: cystathionine beta-lyase', NULL, 'TIGR01324', NULL, NULL, NULL, 9),
(25006, NULL, 'TIGR03431', NULL, NULL, 'PhnD: phosphonate ABC transporter, periplasmic phosphonate binding protein', NULL, 'TIGR03431', NULL, NULL, NULL, 9),
(25007, NULL, 'TIGR00870', NULL, NULL, 'trp: transient-receptor-potential calcium channel protein', NULL, 'TIGR00870', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25008, NULL, 'TIGR02516', NULL, NULL, 'type_III_yscC: type III secretion outer membrane pore, YscC/HrcC family', NULL, 'TIGR02516', NULL, NULL, NULL, 9),
(25009, NULL, 'TIGR01826', NULL, NULL, 'CofD_related: conserved hypothetical protein', NULL, 'TIGR01826', NULL, NULL, NULL, 9),
(25010, NULL, 'TIGR00907', NULL, NULL, '2A0304: amino acid permease', NULL, 'TIGR00907', NULL, NULL, NULL, 9),
(25011, NULL, 'TIGR00468', NULL, NULL, 'pheS: phenylalanine--tRNA ligase, alpha subunit', NULL, 'TIGR00468', NULL, NULL, NULL, 9),
(25012, NULL, 'TIGR02977', NULL, NULL, 'phageshock_pspA: phage shock protein A', NULL, 'TIGR02977', NULL, NULL, NULL, 9),
(25013, NULL, 'TIGR03650', NULL, NULL, 'violacein_E: violacein biosynthesis enzyme VioE', NULL, 'TIGR03650', NULL, NULL, NULL, 9),
(25014, NULL, 'TIGR03074', NULL, NULL, 'PQQ_membr_DH: membrane-bound PQQ-dependent dehydrogenase, glucose/quinate/shikimate family', NULL, 'TIGR03074', NULL, NULL, NULL, 9),
(25015, NULL, 'TIGR00419', NULL, NULL, 'tim: triose-phosphate isomerase', NULL, 'TIGR00419', NULL, NULL, NULL, 9),
(25016, NULL, 'TIGR03896', NULL, NULL, 'cyc_nuc_ocin: bacteriocin-type transport-associated protein', NULL, 'TIGR03896', NULL, NULL, NULL, 9),
(25017, NULL, 'TIGR01652', NULL, NULL, 'ATPase-Plipid: phospholipid-translocating P-type ATPase, flippase', NULL, 'TIGR01652', NULL, NULL, NULL, 9),
(25018, NULL, 'TIGR03752', NULL, NULL, 'conj_TIGR03752: integrating conjugative element protein, PFL_4705 family', NULL, 'TIGR03752', NULL, NULL, NULL, 9),
(25019, NULL, 'TIGR03787', NULL, NULL, 'marine_sort_RR: proteobacterial dedicated sortase system response regulator', NULL, 'TIGR03787', NULL, NULL, NULL, 9),
(25020, NULL, 'TIGR01819', NULL, NULL, 'F420_cofD: 2-phospho-L-lactate transferase', NULL, 'TIGR01819', NULL, NULL, NULL, 9),
(25021, NULL, 'TIGR02769', NULL, NULL, 'nickel_nikE: nickel import ATP-binding protein NikE', NULL, 'TIGR02769', NULL, NULL, NULL, 9),
(25022, NULL, 'TIGR00525', NULL, NULL, 'folB: dihydroneopterin aldolase', NULL, 'TIGR00525', NULL, NULL, NULL, 9),
(25023, NULL, 'TIGR02632', NULL, NULL, 'RhaD_aldol-ADH: rhamnulose-1-phosphate aldolase/alcohol dehydrogenase', NULL, 'TIGR02632', NULL, NULL, NULL, 9),
(25024, NULL, 'TIGR03322', NULL, NULL, 'alt_F1F0_F0_C: alternate F1F0 ATPase, F0 subunit C', NULL, 'TIGR03322', NULL, NULL, NULL, 9),
(25025, NULL, 'TIGR00192', NULL, NULL, 'urease_beta: urease, beta subunit', NULL, 'TIGR00192', NULL, NULL, NULL, 9),
(25026, NULL, 'TIGR02840', NULL, NULL, 'spore_YtaF: putative sporulation protein YtaF', NULL, 'TIGR02840', NULL, NULL, NULL, 9),
(25027, NULL, 'TIGR04477', NULL, NULL, 'sorted_by_XrtN: XrtN system VIT domain protein', NULL, 'TIGR04477', NULL, NULL, NULL, 9),
(25028, NULL, 'TIGR03995', NULL, NULL, 'target_X_rSAM: putative rSAM target protein, CGCGG family', NULL, 'TIGR03995', NULL, NULL, NULL, 9),
(25029, NULL, 'TIGR03183', NULL, NULL, 'DNA_S_dndC: putative sulfurtransferase DndC', NULL, 'TIGR03183', NULL, NULL, NULL, 9),
(25030, NULL, 'TIGR00898', NULL, NULL, '2A0119: cation transport protein', NULL, 'TIGR00898', NULL, NULL, NULL, 9),
(25031, NULL, 'TIGR01116', NULL, NULL, 'ATPase-IIA1_Ca: calcium-translocating P-type ATPase, SERCA-type', NULL, 'TIGR01116', NULL, NULL, NULL, 9),
(25032, NULL, 'TIGR01935', NULL, NULL, 'NOT-MenG: RraA family', NULL, 'TIGR01935', NULL, NULL, NULL, 9),
(25033, NULL, 'TIGR02953', NULL, NULL, 'penta_MxKDx: pentapeptide MXKDX repeat protein', NULL, 'TIGR02953', NULL, NULL, NULL, 9),
(25034, NULL, 'TIGR00086', NULL, NULL, 'smpB: SsrA-binding protein', NULL, 'TIGR00086', NULL, NULL, NULL, 9),
(25035, NULL, 'TIGR01038', NULL, NULL, 'uL22_arch_euk: ribosomal protein uL22', NULL, 'TIGR01038', NULL, NULL, NULL, 9),
(25036, NULL, 'TIGR02868', NULL, NULL, 'CydC: thiol reductant ABC exporter, CydC subunit', NULL, 'TIGR02868', NULL, NULL, NULL, 9),
(25037, NULL, 'TIGR01713', NULL, NULL, 'typeII_sec_gspC: type II secretion system protein C', NULL, 'TIGR01713', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25038, NULL, 'TIGR00204', NULL, NULL, 'dxs: 1-deoxy-D-xylulose-5-phosphate synthase', NULL, 'TIGR00204', NULL, NULL, NULL, 9),
(25039, NULL, 'TIGR00761', NULL, NULL, 'argB: acetylglutamate kinase', NULL, 'TIGR00761', NULL, NULL, NULL, 9),
(25040, NULL, 'TIGR02625', NULL, NULL, 'YiiL_rotase: L-rhamnose mutarotase', NULL, 'TIGR02625', NULL, NULL, NULL, 9),
(25041, NULL, 'TIGR01359', NULL, NULL, 'UMP_CMP_kin_fam: UMP-CMP kinase family', NULL, 'TIGR01359', NULL, NULL, NULL, 9),
(25042, NULL, 'TIGR00270', NULL, NULL, 'TIGR00270: TIGR00270 family protein', NULL, 'TIGR00270', NULL, NULL, NULL, 9),
(25043, NULL, 'TIGR01595', NULL, NULL, 'cas_CT1132: CRISPR-associated protein, CT1132 family', NULL, 'TIGR01595', NULL, NULL, NULL, 9),
(25044, NULL, 'TIGR02304', NULL, NULL, 'aden_form_hyp: putative adenylate-forming enzyme', NULL, 'TIGR02304', NULL, NULL, NULL, 9),
(25045, NULL, 'TIGR02049', NULL, NULL, 'gshA_ferroox: glutamate--cysteine ligase', NULL, 'TIGR02049', NULL, NULL, NULL, 9),
(25046, NULL, 'TIGR03459', NULL, NULL, 'crt_membr: carotene biosynthesis associated membrane protein', NULL, 'TIGR03459', NULL, NULL, NULL, 9),
(25047, NULL, 'TIGR02946', NULL, NULL, 'acyl_WS_DGAT: acyltransferase, WS/DGAT/MGAT', NULL, 'TIGR02946', NULL, NULL, NULL, 9),
(25048, NULL, 'TIGR04297', NULL, NULL, 'thauma_sortase: thaumarchaeosortase', NULL, 'TIGR04297', NULL, NULL, NULL, 9),
(25049, NULL, 'TIGR04160', NULL, NULL, 'methbact_MbnC: methanobactin biosynthesis cassette protein MbnC', NULL, 'TIGR04160', NULL, NULL, NULL, 9),
(25050, NULL, 'TIGR02673', NULL, NULL, 'FtsE: cell division ATP-binding protein FtsE', NULL, 'TIGR02673', NULL, NULL, NULL, 9),
(25051, NULL, 'TIGR01209', NULL, NULL, 'TIGR01209: RNA ligase, Pab1020 family', NULL, 'TIGR01209', NULL, NULL, NULL, 9),
(25052, NULL, 'TIGR03627', NULL, NULL, 'uS9_arch: ribosomal protein uS9', NULL, 'TIGR03627', NULL, NULL, NULL, 9),
(25053, NULL, 'TIGR00914', NULL, NULL, '2A0601: heavy metal efflux pump, CzcA family', NULL, 'TIGR00914', NULL, NULL, NULL, 9),
(25054, NULL, 'TIGR02377', NULL, NULL, 'MocE_fam_FeS: Rieske [2Fe-2S] domain protein, MocE subfamily', NULL, 'TIGR02377', NULL, NULL, NULL, 9),
(25055, NULL, 'TIGR01689', NULL, NULL, 'EcbF-BcbF: capsule biosynthesis phosphatase', NULL, 'TIGR01689', NULL, NULL, NULL, 9),
(25056, NULL, 'TIGR04113', NULL, NULL, 'cas_csx17: CRISPR-associated protein Csx17, subtype Dpsyc', NULL, 'TIGR04113', NULL, NULL, NULL, 9),
(25057, NULL, 'TIGR01707', NULL, NULL, 'gspI: type II secretion system protein I', NULL, 'TIGR01707', NULL, NULL, NULL, 9),
(25058, NULL, 'TIGR03129', NULL, NULL, 'one_C_dehyd_B: formylmethanofuran dehydrogenase subunit B', NULL, 'TIGR03129', NULL, NULL, NULL, 9),
(25059, NULL, 'TIGR01224', NULL, NULL, 'hutI: imidazolonepropionase', NULL, 'TIGR01224', NULL, NULL, NULL, 9),
(25060, NULL, 'TIGR00431', NULL, NULL, 'TruB: tRNA pseudouridine(55) synthase', NULL, 'TIGR00431', NULL, NULL, NULL, 9),
(25061, NULL, 'TIGR00425', NULL, NULL, 'CBF5: putative rRNA pseudouridine synthase', NULL, 'TIGR00425', NULL, NULL, NULL, 9),
(25062, NULL, 'TIGR02008', NULL, NULL, 'fdx_plant: ferredoxin [2Fe-2S]', NULL, 'TIGR02008', NULL, NULL, NULL, 9),
(25063, NULL, 'TIGR03955', NULL, NULL, 'rSAM_HydG: [FeFe] hydrogenase H-cluster radical SAM maturase HydG', NULL, 'TIGR03955', NULL, NULL, NULL, 9),
(25064, NULL, 'TIGR04107', NULL, NULL, 'rSAM_HutW: putative heme utilization radical SAM enzyme HutW', NULL, 'TIGR04107', NULL, NULL, NULL, 9),
(25065, NULL, 'TIGR02875', NULL, NULL, 'spore_0_A: sporulation transcription factor Spo0A', NULL, 'TIGR02875', NULL, NULL, NULL, 9),
(25066, NULL, 'TIGR00416', NULL, NULL, 'sms: DNA repair protein RadA', NULL, 'TIGR00416', NULL, NULL, NULL, 9),
(25067, NULL, 'TIGR03949', NULL, NULL, 'bact_IIb_cerein: class IIb bacteriocin, lactobin A/cerein 7B family', NULL, 'TIGR03949', NULL, NULL, NULL, 9),
(25068, NULL, 'TIGR02351', NULL, NULL, 'thiH: thiazole biosynthesis protein ThiH', NULL, 'TIGR02351', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25069, NULL, 'TIGR03457', NULL, NULL, 'sulphoacet_xsc: sulfoacetaldehyde acetyltransferase', NULL, 'TIGR03457', NULL, NULL, NULL, 9),
(25070, NULL, 'TIGR00079', NULL, NULL, 'pept_deformyl: peptide deformylase', NULL, 'TIGR00079', NULL, NULL, NULL, 9),
(25071, NULL, 'TIGR02410', NULL, NULL, 'carnitine_TMLD: trimethyllysine dioxygenase', NULL, 'TIGR02410', NULL, NULL, NULL, 9),
(25072, NULL, 'TIGR04095', NULL, NULL, 'dnd_restrict_1: DNA phosphorothioation system restriction enzyme', NULL, 'TIGR04095', NULL, NULL, NULL, 9),
(25073, NULL, 'TIGR02240', NULL, NULL, 'PHA_depoly_arom: poly(3-hydroxyalkanoate) depolymerase', NULL, 'TIGR02240', NULL, NULL, NULL, 9),
(25074, NULL, 'TIGR02843', NULL, NULL, 'CyoB: cytochrome o ubiquinol oxidase, subunit I', NULL, 'TIGR02843', NULL, NULL, NULL, 9),
(25075, NULL, 'TIGR01593', NULL, NULL, 'holin_tox_secr: toxin secretion/phage lysis holin', NULL, 'TIGR01593', NULL, NULL, NULL, 9),
(25076, NULL, 'TIGR04265', NULL, NULL, 'bac_cardiolipin: cardiolipin synthase', NULL, 'TIGR04265', NULL, NULL, NULL, 9),
(25077, NULL, 'TIGR02345', NULL, NULL, 'chap_CCT_eta: T-complex protein 1, eta subunit', NULL, 'TIGR02345', NULL, NULL, NULL, 9),
(25078, NULL, 'TIGR04309', NULL, NULL, 'amanitin: amanitin/phalloidin family toxin', NULL, 'TIGR04309', NULL, NULL, NULL, 9),
(25079, NULL, 'TIGR04256', NULL, NULL, 'GxxExxY: GxxExxY protein', NULL, 'TIGR04256', NULL, NULL, NULL, 9),
(25080, NULL, 'TIGR01695', NULL, NULL, 'murJ_mviN: murein biosynthesis integral membrane protein MurJ', NULL, 'TIGR01695', NULL, NULL, NULL, 9),
(25081, NULL, 'TIGR00574', NULL, NULL, 'dnl1: DNA ligase I, ATP-dependent (dnl1)', NULL, 'TIGR00574', NULL, NULL, NULL, 9),
(25082, NULL, 'TIGR03135', NULL, NULL, 'malonate_mdcG: malonate decarboxylase holo-[acyl-carrier-protein] synthase', NULL, 'TIGR03135', NULL, NULL, NULL, 9),
(25083, NULL, 'TIGR01113', NULL, NULL, 'mtrE: tetrahydromethanopterin S-methyltransferase, subunit E', NULL, 'TIGR01113', NULL, NULL, NULL, 9),
(25084, NULL, 'TIGR01218', NULL, NULL, 'Gpos_tandem_5TM: tandem five-TM protein', NULL, 'TIGR01218', NULL, NULL, NULL, 9),
(25085, NULL, 'TIGR00849', NULL, NULL, 'gutA: PTS system, glucitol/sorbitol-specific IIA component', NULL, 'TIGR00849', NULL, NULL, NULL, 9),
(25086, NULL, 'TIGR02732', NULL, NULL, 'zeta_caro_desat: 9,9''-di-cis-zeta-carotene desaturase', NULL, 'TIGR02732', NULL, NULL, NULL, 9),
(25087, NULL, 'TIGR03908', NULL, NULL, 'QH_alpha: quinohemoprotein amine dehydrogenase, alpha subunit', NULL, 'TIGR03908', NULL, NULL, NULL, 9),
(25088, NULL, 'TIGR01060', NULL, NULL, 'eno: phosphopyruvate hydratase', NULL, 'TIGR01060', NULL, NULL, NULL, 9),
(25089, NULL, 'TIGR01748', NULL, NULL, 'rhaA: L-rhamnose isomerase', NULL, 'TIGR01748', NULL, NULL, NULL, 9),
(25090, NULL, 'TIGR02058', NULL, NULL, 'lin0512_fam: conserved hypothetical protein', NULL, 'TIGR02058', NULL, NULL, NULL, 9),
(25091, NULL, 'TIGR01265', NULL, NULL, 'tyr_nico_aTase: tyrosine/nicotianamine family aminotransferase', NULL, 'TIGR01265', NULL, NULL, NULL, 9),
(25092, NULL, 'TIGR00896', NULL, NULL, 'CynX: cyanate transporter', NULL, 'TIGR00896', NULL, NULL, NULL, 9),
(25093, NULL, 'TIGR03914', NULL, NULL, 'UDG_fam_dom: uracil-DNA glycosylase family domain', NULL, 'TIGR03914', NULL, NULL, NULL, 9),
(25094, NULL, 'TIGR02890', NULL, NULL, 'bacill_yteA: regulatory protein, yteA family', NULL, 'TIGR02890', NULL, NULL, NULL, 9),
(25095, NULL, 'TIGR01546', NULL, NULL, 'GAPDH-II_archae: glyceraldehyde-3-phosphate dehydrogenase, type II', NULL, 'TIGR01546', NULL, NULL, NULL, 9),
(25096, NULL, 'TIGR01054', NULL, NULL, 'rgy: reverse gyrase', NULL, 'TIGR01054', NULL, NULL, NULL, 9),
(25097, NULL, 'TIGR02884', NULL, NULL, 'spore_pdaA: delta-lactam-biosynthetic de-N-acetylase', NULL, 'TIGR02884', NULL, NULL, NULL, 9),
(25098, NULL, 'TIGR04400', NULL, NULL, 'RK_trnsloc_Pase: Arg-Lys translocation region protein phosphatase', NULL, 'TIGR04400', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25099, NULL, 'TIGR00908', NULL, NULL, '2A0305: ethanolamine permease', NULL, 'TIGR00908', NULL, NULL, NULL, 9),
(25100, NULL, 'TIGR02392', NULL, NULL, 'rpoH_proteo: alternative sigma factor RpoH', NULL, 'TIGR02392', NULL, NULL, NULL, 9),
(25101, NULL, 'TIGR03540', NULL, NULL, 'DapC_direct: LL-diaminopimelate aminotransferase', NULL, 'TIGR03540', NULL, NULL, NULL, 9),
(25102, NULL, 'TIGR01271', NULL, NULL, 'CFTR_protein: cystic fibrosis transmembrane conductor regulator (CFTR)', NULL, 'TIGR01271', NULL, NULL, NULL, 9),
(25103, NULL, 'TIGR00568', NULL, NULL, 'alkb: alkylated DNA repair protein AlkB', NULL, 'TIGR00568', NULL, NULL, NULL, 9),
(25104, NULL, 'TIGR03370', NULL, NULL, 'VPLPA-CTERM: VPLPA-CTERM protein sorting domain', NULL, 'TIGR03370', NULL, NULL, NULL, 9),
(25105, NULL, 'TIGR01552', NULL, NULL, 'phd_fam: prevent-host-death family protein', NULL, 'TIGR01552', NULL, NULL, NULL, 9),
(25106, NULL, 'TIGR03416', NULL, NULL, 'ABC_choXWV_perm: choline ABC transporter, permease protein', NULL, 'TIGR03416', NULL, NULL, NULL, 9),
(25107, NULL, 'TIGR02386', NULL, NULL, 'rpoC_TIGR: DNA-directed RNA polymerase, beta'' subunit', NULL, 'TIGR02386', NULL, NULL, NULL, 9),
(25108, NULL, 'TIGR00712', NULL, NULL, 'glpT: glycerol-3-phosphate transporter', NULL, 'TIGR00712', NULL, NULL, NULL, 9),
(25109, NULL, 'TIGR01611', NULL, NULL, 'tail_tube: phage major tail tube protein', NULL, 'TIGR01611', NULL, NULL, NULL, 9),
(25110, NULL, 'TIGR01716', NULL, NULL, 'RGG_Cterm: transcriptional activator, Rgg/GadR/MutR family, C-terminal domain', NULL, 'TIGR01716', NULL, NULL, NULL, 9),
(25111, NULL, 'TIGR01639', NULL, NULL, 'P_fal_TIGR01639: Plasmodium falciparum uncharacterized domain TIGR01639', NULL, 'TIGR01639', NULL, NULL, NULL, 9),
(25112, NULL, 'TIGR01122', NULL, NULL, 'ilvE_I: branched-chain amino acid aminotransferase', NULL, 'TIGR01122', NULL, NULL, NULL, 9),
(25113, NULL, 'TIGR02140', NULL, NULL, 'permease_CysW: sulfate ABC transporter, permease protein CysW', NULL, 'TIGR02140', NULL, NULL, NULL, 9),
(25114, NULL, 'TIGR02277', NULL, NULL, 'PaaX_trns_reg: phenylacetic acid degradation operon negative regulatory protein PaaX', NULL, 'TIGR02277', NULL, NULL, NULL, 9),
(25115, NULL, 'TIGR04365', NULL, NULL, 'spare_glycyl: autonomous glycyl radical cofactor GrcA', NULL, 'TIGR04365', NULL, NULL, NULL, 9),
(25116, NULL, 'TIGR01259', NULL, NULL, 'comE: comEA protein', NULL, 'TIGR01259', NULL, NULL, NULL, 9),
(25117, NULL, 'TIGR00998', NULL, NULL, '8a0101: efflux pump membrane protein', NULL, 'TIGR00998', NULL, NULL, NULL, 9),
(25118, NULL, 'TIGR01502', NULL, NULL, 'B_methylAsp_ase: methylaspartate ammonia-lyase', NULL, 'TIGR01502', NULL, NULL, NULL, 9),
(25119, NULL, 'TIGR02775', NULL, NULL, 'TrbG_Ti: P-type conjugative transfer protein TrbG', NULL, 'TIGR02775', NULL, NULL, NULL, 9),
(25120, NULL, 'TIGR04318', NULL, NULL, 'lacto_ODC_hypo: putative ornithine decarboxylase', NULL, 'TIGR04318', NULL, NULL, NULL, 9),
(25121, NULL, 'TIGR00035', NULL, NULL, 'asp_race: aspartate racemase', NULL, 'TIGR00035', NULL, NULL, NULL, 9),
(25122, NULL, 'TIGR01620', NULL, NULL, 'hyp_HI0043: TIGR01620 family protein', NULL, 'TIGR01620', NULL, NULL, NULL, 9),
(25123, NULL, 'TIGR04197', NULL, NULL, 'T7SS_SACOL2603: type VII secretion effector, TIGR04197 family', NULL, 'TIGR04197', NULL, NULL, NULL, 9),
(25124, NULL, 'TIGR00821', NULL, NULL, 'EII-GUT: PTS system, glucitol/sorbitol-specific, IIC component', NULL, 'TIGR00821', NULL, NULL, NULL, 9),
(25125, NULL, 'TIGR02404', NULL, NULL, 'trehalos_R_Bsub: trehalose operon repressor', NULL, 'TIGR02404', NULL, NULL, NULL, 9),
(25126, NULL, 'TIGR03042', NULL, NULL, 'PS_II_psbQ_bact: photosystem II protein PsbQ', NULL, 'TIGR03042', NULL, NULL, NULL, 9),
(25127, NULL, 'TIGR03559', NULL, NULL, 'F420_Rv3520c: probable F420-dependent oxidoreductase, Rv3520c family', NULL, 'TIGR03559', NULL, NULL, NULL, 9),
(25128, NULL, 'TIGR03463', NULL, NULL, 'osq_cycl: 2,3-oxidosqualene cyclase', NULL, 'TIGR03463', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25129, NULL, 'TIGR01013', NULL, NULL, '2a58: sodium-dependent inorganic phosphate (Pi) transporter', NULL, 'TIGR01013', NULL, NULL, NULL, 9),
(25130, NULL, 'TIGR00363', NULL, NULL, 'TIGR00363: lipoprotein, YaeC family', NULL, 'TIGR00363', NULL, NULL, NULL, 9),
(25131, NULL, 'TIGR03519', NULL, NULL, 'T9SS_PorP_fam: type IX secretion system membrane protein, PorP/SprF family', NULL, 'TIGR03519', NULL, NULL, NULL, 9),
(25132, NULL, 'TIGR02902', NULL, NULL, 'spore_lonB: ATP-dependent protease LonB', NULL, 'TIGR02902', NULL, NULL, NULL, 9),
(25133, NULL, 'TIGR04537', NULL, NULL, 'encap_target: encapsulation C-terminal sorting signal', NULL, 'TIGR04537', NULL, NULL, NULL, 9),
(25134, NULL, 'TIGR01976', NULL, NULL, 'am_tr_V_VC1184: cysteine desulfurase family protein', NULL, 'TIGR01976', NULL, NULL, NULL, 9),
(25135, NULL, 'TIGR01511', NULL, NULL, 'ATPase-IB1_Cu: copper-translocating P-type ATPase', NULL, 'TIGR01511', NULL, NULL, NULL, 9),
(25136, NULL, 'TIGR03677', NULL, NULL, 'eL8_ribo: ribosomal protein eL8', NULL, 'TIGR03677', NULL, NULL, NULL, 9),
(25137, NULL, 'TIGR03961', NULL, NULL, 'rSAM_PTO1314: archaeal radical SAM protein, PTO1314 family', NULL, 'TIGR03961', NULL, NULL, NULL, 9),
(25138, NULL, 'TIGR00042', NULL, NULL, 'TIGR00042: non-canonical purine NTP pyrophosphatase, RdgB/HAM1 family', NULL, 'TIGR00042', NULL, NULL, NULL, 9),
(25139, NULL, 'TIGR01004', NULL, NULL, 'PulS_OutS: lipoprotein, PulS/OutS family', NULL, 'TIGR01004', NULL, NULL, NULL, 9),
(25140, NULL, 'TIGR00861', NULL, NULL, 'MIP: MIP family channel proteins', NULL, 'TIGR00861', NULL, NULL, NULL, 9),
(25141, NULL, 'TIGR02869', NULL, NULL, 'spore_SleB: spore cortex-lytic enzyme', NULL, 'TIGR02869', NULL, NULL, NULL, 9),
(25142, NULL, 'TIGR04209', NULL, NULL, 'sarcinarray: sarcinarray family protein', NULL, 'TIGR04209', NULL, NULL, NULL, 9),
(25143, NULL, 'TIGR01197', NULL, NULL, 'nramp: metal ion transporter, metal ion (Mn2+/Fe2+) transporter (Nramp) family', NULL, 'TIGR01197', NULL, NULL, NULL, 9),
(25144, NULL, 'TIGR00481', NULL, NULL, 'TIGR00481: Raf kinase inhibitor-like protein, YbhB/YbcL family', NULL, 'TIGR00481', NULL, NULL, NULL, 9),
(25145, NULL, 'TIGR03238', NULL, NULL, 'dnd_assoc_3: DNA phosphorothioation-dependent restriction protein DptF', NULL, 'TIGR03238', NULL, NULL, NULL, 9),
(25146, NULL, 'TIGR01757', NULL, NULL, 'Malate-DH_plant: malate dehydrogenase, NADP-dependent', NULL, 'TIGR01757', NULL, NULL, NULL, 9),
(25147, NULL, 'TIGR00144', NULL, NULL, 'beta_RFAP_syn: beta-ribofuranosylaminobenzene 5''-phosphate synthase family', NULL, 'TIGR00144', NULL, NULL, NULL, 9),
(25148, NULL, 'TIGR01162', NULL, NULL, 'purE: phosphoribosylaminoimidazole carboxylase, catalytic subunit', NULL, 'TIGR01162', NULL, NULL, NULL, 9),
(25149, NULL, 'TIGR00677', NULL, NULL, 'fadh2_euk: methylenetetrahydrofolate reductase', NULL, 'TIGR00677', NULL, NULL, NULL, 9),
(25150, NULL, 'TIGR01299', NULL, NULL, 'synapt_SV2: synaptic vesicle protein SV2', NULL, 'TIGR01299', NULL, NULL, NULL, 9),
(25151, NULL, 'TIGR00179', NULL, NULL, 'murB: UDP-N-acetylenolpyruvoylglucosamine reductase', NULL, 'TIGR00179', NULL, NULL, NULL, 9),
(25152, NULL, 'TIGR00970', NULL, NULL, 'leuA_yeast: 2-isopropylmalate synthase', NULL, 'TIGR00970', NULL, NULL, NULL, 9),
(25153, NULL, 'TIGR00472', NULL, NULL, 'pheT_bact: phenylalanine--tRNA ligase, beta subunit', NULL, 'TIGR00472', NULL, NULL, NULL, 9),
(25154, NULL, 'TIGR02336', NULL, NULL, 'TIGR02336: 1,3-beta-galactosyl-N-acetylhexosamine phosphorylase', NULL, 'TIGR02336', NULL, NULL, NULL, 9),
(25155, NULL, 'TIGR03668', NULL, NULL, 'Rv0121_F420: PPOX class probable F420-dependent enzyme, Rv0121 family', NULL, 'TIGR03668', NULL, NULL, NULL, 9),
(25156, NULL, 'TIGR01648', NULL, NULL, 'hnRNP-R-Q: hnRNP-R, Q splicing factor family', NULL, 'TIGR01648', NULL, NULL, NULL, 9),
(25157, NULL, 'TIGR04051', NULL, NULL, 'rSAM_NirJ: heme d1 biosynthesis radical SAM protein NirJ', NULL, 'TIGR04051', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25158, NULL, 'TIGR02454', NULL, NULL, 'ECF_T_CbiQ: cobalt ECF transporter T component CbiQ', NULL, 'TIGR02454', NULL, NULL, NULL, 9),
(25159, NULL, 'TIGR01941', NULL, NULL, 'nqrF: NADH:ubiquinone oxidoreductase, Na(+)-translocating, F subunit', NULL, 'TIGR01941', NULL, NULL, NULL, 9),
(25160, NULL, 'TIGR00958', NULL, NULL, '3a01208: antigen peptide transporter 2', NULL, 'TIGR00958', NULL, NULL, NULL, 9),
(25161, NULL, 'TIGR02834', NULL, NULL, 'spo_ytxC: putative sporulation protein YtxC', NULL, 'TIGR02834', NULL, NULL, NULL, 9),
(25162, NULL, 'TIGR03472', NULL, NULL, 'HpnI: hopanoid biosynthesis associated glycosyl transferase protein HpnI', NULL, 'TIGR03472', NULL, NULL, NULL, 9),
(25163, NULL, 'TIGR00814', NULL, NULL, 'stp: serine transporter', NULL, 'TIGR00814', NULL, NULL, NULL, 9),
(25164, NULL, 'TIGR02952', NULL, NULL, 'Sig70_famx2: RNA polymerase sigma-70 factor, TIGR02952 family', NULL, 'TIGR02952', NULL, NULL, NULL, 9),
(25165, NULL, 'TIGR03970', NULL, NULL, 'Rv0697: dehydrogenase, Rv0697 family', NULL, 'TIGR03970', NULL, NULL, NULL, 9),
(25166, NULL, 'TIGR04004', NULL, NULL, 'WcaM: colanic acid biosynthesis protein WcaM', NULL, 'TIGR04004', NULL, NULL, NULL, 9),
(25167, NULL, 'TIGR01490', NULL, NULL, 'HAD-SF-IB-hyp1: HAD hydrolase, family IB', NULL, 'TIGR01490', NULL, NULL, NULL, 9),
(25168, NULL, 'TIGR03531', NULL, NULL, 'selenium_SpcS: O-phosphoseryl-tRNA(Sec) selenium transferase', NULL, 'TIGR03531', NULL, NULL, NULL, 9),
(25169, NULL, 'TIGR02782', NULL, NULL, 'TrbB_P: P-type conjugative transfer ATPase TrbB', NULL, 'TIGR02782', NULL, NULL, NULL, 9),
(25170, NULL, 'TIGR03812', NULL, NULL, 'tyr_de_CO2_Arch: tyrosine decarboxylase MnfA', NULL, 'TIGR03812', NULL, NULL, NULL, 9),
(25171, NULL, 'TIGR00316', NULL, NULL, 'cdhC: CO dehydrogenase/CO-methylating acetyl-CoA synthase complex, beta subunit', NULL, 'TIGR00316', NULL, NULL, NULL, 9),
(25172, NULL, 'TIGR03033', NULL, NULL, 'phage_rel_nuc: putative phage-type endonuclease', NULL, 'TIGR03033', NULL, NULL, NULL, 9),
(25173, NULL, 'TIGR04502', NULL, NULL, 'microcomp_EutL: microcompartment protein EutL', NULL, 'TIGR04502', NULL, NULL, NULL, 9),
(25174, NULL, 'TIGR03996', NULL, NULL, 'mycofact_OYE_1: mycofactocin system FadH/OYE family oxidoreductase 1', NULL, 'TIGR03996', NULL, NULL, NULL, 9),
(25175, NULL, 'TIGR04188', NULL, NULL, 'methyltr_grsp: methyltransferase, ATP-grasp peptide maturase system', NULL, 'TIGR04188', NULL, NULL, NULL, 9),
(25176, NULL, 'TIGR04263', NULL, NULL, 'SasC_Mrp_aggreg: SasC/Mrp/FmtB intercellular aggregation domain', NULL, 'TIGR04263', NULL, NULL, NULL, 9),
(25177, NULL, 'TIGR03294', NULL, NULL, 'FrhG: coenzyme F420 hydrogenase, subunit gamma', NULL, 'TIGR03294', NULL, NULL, NULL, 9),
(25178, NULL, 'TIGR00206', NULL, NULL, 'fliF: flagellar M-ring protein FliF', NULL, 'TIGR00206', NULL, NULL, NULL, 9),
(25179, NULL, 'TIGR02227', NULL, NULL, 'sigpep_I_bact: signal peptidase I', NULL, 'TIGR02227', NULL, NULL, NULL, 9),
(25180, NULL, 'TIGR02242', NULL, NULL, 'tail_TIGR02242: phage tail protein domain', NULL, 'TIGR02242', NULL, NULL, NULL, 9),
(25181, NULL, 'TIGR00787', NULL, NULL, 'dctP: TRAP transporter solute receptor, DctP family', NULL, 'TIGR00787', NULL, NULL, NULL, 9),
(25182, NULL, 'TIGR03348', NULL, NULL, 'VI_IcmF: type VI secretion protein IcmF', NULL, 'TIGR03348', NULL, NULL, NULL, 9),
(25183, NULL, 'TIGR03211', NULL, NULL, 'catechol_2_3: catechol 2,3 dioxygenase', NULL, 'TIGR03211', NULL, NULL, NULL, 9),
(25184, NULL, 'TIGR01586', NULL, NULL, 'yopT_cys_prot: cysteine protease domain, YopT-type', NULL, 'TIGR01586', NULL, NULL, NULL, 9),
(25185, NULL, 'TIGR03846', NULL, NULL, 'sulfopy_beta: sulfopyruvate decarboxylase, beta subunit', NULL, 'TIGR03846', NULL, NULL, NULL, 9),
(25186, NULL, 'TIGR00534', NULL, NULL, 'OpcA: glucose-6-phosphate dehydrogenase assembly protein OpcA', NULL, 'TIGR00534', NULL, NULL, NULL, 9),
(25187, NULL, 'TIGR02379', NULL, NULL, 'ECA_wecE: TDP-4-keto-6-deoxy-D-glucose transaminase', NULL, 'TIGR02379', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25188, NULL, 'TIGR03921', NULL, NULL, 'T7SS_mycosin: type VII secretion-associated serine protease mycosin', NULL, 'TIGR03921', NULL, NULL, NULL, 9),
(25189, NULL, 'TIGR04010', NULL, NULL, 'WcaD: putative colanic acid polymerase WcaD', NULL, 'TIGR04010', NULL, NULL, NULL, 9),
(25190, NULL, 'TIGR02570', NULL, NULL, 'cas7_GSU0053: CRISPR-associated protein GSU0053/csb1, Dpsyc system', NULL, 'TIGR02570', NULL, NULL, NULL, 9),
(25191, NULL, 'TIGR02937', NULL, NULL, 'sigma70-ECF: RNA polymerase sigma factor, sigma-70 family', NULL, 'TIGR02937', NULL, NULL, NULL, 9),
(25192, NULL, 'TIGR02495', NULL, NULL, 'NrdG2: anaerobic ribonucleoside-triphosphate reductase activating protein', NULL, 'TIGR02495', NULL, NULL, NULL, 9),
(25193, NULL, 'TIGR02800', NULL, NULL, 'propeller_TolB: Tol-Pal system beta propeller repeat protein TolB', NULL, 'TIGR02800', NULL, NULL, NULL, 9),
(25194, NULL, 'TIGR01443', NULL, NULL, 'intein_Cterm: intein C-terminal splicing region', NULL, 'TIGR01443', NULL, NULL, NULL, 9),
(25195, NULL, 'TIGR00459', NULL, NULL, 'aspS_bact: aspartate--tRNA ligase', NULL, 'TIGR00459', NULL, NULL, NULL, 9),
(25196, NULL, 'TIGR02302', NULL, NULL, 'aProt_lowcomp: TIGR02302 family protein', NULL, 'TIGR02302', NULL, NULL, NULL, 9),
(25197, NULL, 'TIGR03136', NULL, NULL, 'malonate_biotin: Na+-transporting malonate decarboxylase, carboxybiotin decarboxylase subunit', NULL, 'TIGR03136', NULL, NULL, NULL, 9),
(25198, NULL, 'TIGR02993', NULL, NULL, 'ectoine_eutD: ectoine utilization protein EutD', NULL, 'TIGR02993', NULL, NULL, NULL, 9),
(25199, NULL, 'TIGR01115', NULL, NULL, 'pufM: photosynthetic reaction center M subunit', NULL, 'TIGR01115', NULL, NULL, NULL, 9),
(25200, NULL, 'TIGR04147', NULL, NULL, 'GGGPS_Halobact: phosphoglycerol geranylgeranyltransferase, putative', NULL, 'TIGR04147', NULL, NULL, NULL, 9),
(25201, NULL, 'TIGR01374', NULL, NULL, 'soxD: sarcosine oxidase, delta subunit family', NULL, 'TIGR01374', NULL, NULL, NULL, 9),
(25202, NULL, 'TIGR03634', NULL, NULL, 'arc_protsome_B: proteasome endopeptidase complex, archaeal, beta subunit', NULL, 'TIGR03634', NULL, NULL, NULL, 9),
(25203, NULL, 'TIGR02725', NULL, NULL, 'phenyl_P_gamma: phenylphosphate carboxylase, gamma subunit', NULL, 'TIGR02725', NULL, NULL, NULL, 9),
(25204, NULL, 'TIGR00036', NULL, NULL, 'dapB: 4-hydroxy-tetrahydrodipicolinate reductase', NULL, 'TIGR00036', NULL, NULL, NULL, 9),
(25205, NULL, 'TIGR00540', NULL, NULL, 'TPR_hemY_coli: heme biosynthesis-associated TPR protein', NULL, 'TIGR00540', NULL, NULL, NULL, 9),
(25206, NULL, 'TIGR00194', NULL, NULL, 'uvrC: excinuclease ABC subunit C', NULL, 'TIGR00194', NULL, NULL, NULL, 9),
(25207, NULL, 'TIGR03306', NULL, NULL, 'altF1_A: alternate F1F0 ATPase, F0 subunit A', NULL, 'TIGR03306', NULL, NULL, NULL, 9),
(25208, NULL, 'TIGR00575', NULL, NULL, 'dnlj: DNA ligase, NAD-dependent', NULL, 'TIGR00575', NULL, NULL, NULL, 9),
(25209, NULL, 'TIGR02719', NULL, NULL, 'repress_PhaQ: poly-beta-hydroxybutyrate-responsive repressor', NULL, 'TIGR02719', NULL, NULL, NULL, 9),
(25210, NULL, 'TIGR03736', NULL, NULL, 'PRTRC_ThiF: PRTRC system ThiF family protein', NULL, 'TIGR03736', NULL, NULL, NULL, 9),
(25211, NULL, 'TIGR00746', NULL, NULL, 'arcC: carbamate kinase', NULL, 'TIGR00746', NULL, NULL, NULL, 9),
(25212, NULL, 'TIGR01545', NULL, NULL, 'YfhB_g-proteo: HAD hydrolase, family IF', NULL, 'TIGR01545', NULL, NULL, NULL, 9),
(25213, NULL, 'TIGR03581', NULL, NULL, 'EF_0839: conserved hypothetical protein EF_0839/AHA_3917', NULL, 'TIGR03581', NULL, NULL, NULL, 9),
(25214, NULL, 'TIGR03887', NULL, NULL, 'thiocyan_alph: thiocyanate hydrolase, gamma subunit', NULL, 'TIGR03887', NULL, NULL, NULL, 9),
(25215, NULL, 'TIGR01368', NULL, NULL, 'CPSaseIIsmall: carbamoyl-phosphate synthase, small subunit', NULL, 'TIGR01368', NULL, NULL, NULL, 9),
(25216, NULL, 'TIGR03566', NULL, NULL, 'FMN_reduc_MsuE: FMN reductase', NULL, 'TIGR03566', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25217, NULL, 'TIGR01866', NULL, NULL, 'cas_Csn2: CRISPR type II-A/NMEMI-associated protein Csn2', NULL, 'TIGR01866', NULL, NULL, NULL, 9),
(25218, NULL, 'TIGR03101', NULL, NULL, 'hydr2_PEP: exosortase A system-associated hydrolase 2', NULL, 'TIGR03101', NULL, NULL, NULL, 9),
(25219, NULL, 'TIGR00110', NULL, NULL, 'ilvD: dihydroxy-acid dehydratase', NULL, 'TIGR00110', NULL, NULL, NULL, 9),
(25220, NULL, 'TIGR03083', NULL, NULL, 'TIGR03083: uncharacterized Actinobacterial protein TIGR03083', NULL, 'TIGR03083', NULL, NULL, NULL, 9),
(25221, NULL, 'TIGR03422', NULL, NULL, 'mito_frataxin: frataxin', NULL, 'TIGR03422', NULL, NULL, NULL, 9),
(25222, NULL, 'TIGR01873', NULL, NULL, 'cas_CT1978: CRISPR-associated endoribonuclease Cas2, subtype I-E/ECOLI', NULL, 'TIGR01873', NULL, NULL, NULL, 9),
(25223, NULL, 'TIGR04433', NULL, NULL, 'UrcA_uranyl: UrcA family protein', NULL, 'TIGR04433', NULL, NULL, NULL, 9),
(25224, NULL, 'TIGR03076', NULL, NULL, 'near_not_gcvH: chlamydial GcvH-like protein upstream region protein', NULL, 'TIGR03076', NULL, NULL, NULL, 9),
(25225, NULL, 'TIGR00418', NULL, NULL, 'thrS: threonine--tRNA ligase', NULL, 'TIGR00418', NULL, NULL, NULL, 9),
(25226, NULL, 'TIGR02072', NULL, NULL, 'BioC: malonyl-acyl carrier protein O-methyltransferase BioC', NULL, 'TIGR02072', NULL, NULL, NULL, 9),
(25227, NULL, 'TIGR01088', NULL, NULL, 'aroQ: 3-dehydroquinate dehydratase, type II', NULL, 'TIGR01088', NULL, NULL, NULL, 9),
(25228, NULL, 'TIGR02439', NULL, NULL, 'catechol_proteo: catechol 1,2-dioxygenase', NULL, 'TIGR02439', NULL, NULL, NULL, 9),
(25229, NULL, 'TIGR01926', NULL, NULL, 'peroxid_rel: uncharacterized peroxidase-related enzyme', NULL, 'TIGR01926', NULL, NULL, NULL, 9),
(25230, NULL, 'TIGR00745', NULL, NULL, 'apbA_panE: 2-dehydropantoate 2-reductase', NULL, 'TIGR00745', NULL, NULL, NULL, 9),
(25231, NULL, 'TIGR03750', NULL, NULL, 'conj_TIGR03750: conjugative transfer region protein, TIGR03750 family', NULL, 'TIGR03750', NULL, NULL, NULL, 9),
(25232, NULL, 'TIGR04427', NULL, NULL, 'PLP_DesI: dTDP-4-dehydro-6-deoxyglucose aminotransferase', NULL, 'TIGR04427', NULL, NULL, NULL, 9),
(25233, NULL, 'TIGR03920', NULL, NULL, 'T7SS_EccD: type VII secretion integral membrane protein EccD', NULL, 'TIGR03920', NULL, NULL, NULL, 9),
(25234, NULL, 'TIGR01231', NULL, NULL, 'lacC: tagatose-6-phosphate kinase', NULL, 'TIGR01231', NULL, NULL, NULL, 9),
(25235, NULL, 'TIGR02609', NULL, NULL, 'doc_partner: putative addiction module antidote', NULL, 'TIGR02609', NULL, NULL, NULL, 9),
(25236, NULL, 'TIGR00889', NULL, NULL, '2A0110: nucleoside transporter', NULL, 'TIGR00889', NULL, NULL, NULL, 9),
(25237, NULL, 'TIGR00247', NULL, NULL, 'TIGR00247: conserved hypothetical protein, YceG family', NULL, 'TIGR00247', NULL, NULL, NULL, 9),
(25238, NULL, 'TIGR04106', NULL, NULL, 'cas8c_GSU0052: CRISPR-associated protein GSU0052/csb3, Dpsyc system', NULL, 'TIGR04106', NULL, NULL, NULL, 9),
(25239, NULL, 'TIGR01654', NULL, NULL, 'bact_immun_7tm: bacteriocin-associated integral membrane protein', NULL, 'TIGR01654', NULL, NULL, NULL, 9),
(25240, NULL, 'TIGR02672', NULL, NULL, 'cas_csm6: CRISPR type III-A/MTUBE-associated protein Csm6', NULL, 'TIGR02672', NULL, NULL, NULL, 9),
(25241, NULL, 'TIGR03690', NULL, NULL, '20S_bact_beta: proteasome, beta subunit', NULL, 'TIGR03690', NULL, NULL, NULL, 9),
(25242, NULL, 'TIGR03778', NULL, NULL, 'VPDSG_CTERM: VPDSG-CTERM protein sorting domain', NULL, 'TIGR03778', NULL, NULL, NULL, 9),
(25243, NULL, 'TIGR02623', NULL, NULL, 'G1P_cyt_trans: glucose-1-phosphate cytidylyltransferase', NULL, 'TIGR02623', NULL, NULL, NULL, 9),
(25244, NULL, 'TIGR00636', NULL, NULL, 'PduO_Nterm: ATP:cob(I)alamin adenosyltransferase', NULL, 'TIGR00636', NULL, NULL, NULL, 9),
(25245, NULL, 'TIGR03641', NULL, NULL, 'cas1_HMARI: CRISPR-associated endonuclease Cas1, subtype I-B/HMARI/TNEAP', NULL, 'TIGR03641', NULL, NULL, NULL, 9),
(25246, NULL, 'TIGR00254', NULL, NULL, 'GGDEF: diguanylate cyclase (GGDEF) domain', NULL, 'TIGR00254', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25247, NULL, 'TIGR01605', NULL, NULL, 'PYST-D: Plasmodium yoelii subtelomeric family PYST-D', NULL, 'TIGR01605', NULL, NULL, NULL, 9),
(25248, NULL, 'TIGR01982', NULL, NULL, 'UbiB: 2-polyprenylphenol 6-hydroxylase', NULL, 'TIGR01982', NULL, NULL, NULL, 9),
(25249, NULL, 'TIGR04331', NULL, NULL, 'o_ant_LIC12162: putative transferase, LIC12162 family', NULL, 'TIGR04331', NULL, NULL, NULL, 9),
(25250, NULL, 'TIGR01375', NULL, NULL, 'soxG: sarcosine oxidase, gamma subunit family', NULL, 'TIGR01375', NULL, NULL, NULL, 9),
(25251, NULL, 'TIGR02290', NULL, NULL, 'M3_fam_3: oligoendopeptidase, pepF/M3 family', NULL, 'TIGR02290', NULL, NULL, NULL, 9),
(25252, NULL, 'TIGR00138', NULL, NULL, 'rsmG_gidB: 16S rRNA (guanine(527)-N(7))-methyltransferase RsmG', NULL, 'TIGR00138', NULL, NULL, NULL, 9),
(25253, NULL, 'TIGR00220', NULL, NULL, 'mscL: large conductance mechanosensitive channel protein', NULL, 'TIGR00220', NULL, NULL, NULL, 9),
(25254, NULL, 'TIGR04215', NULL, NULL, 'choice_anch_A: choice-of-anchor A domain', NULL, 'TIGR04215', NULL, NULL, NULL, 9),
(25255, NULL, 'TIGR03525', NULL, NULL, 'GldK: gliding motility-associated lipoprotein GldK', NULL, 'TIGR03525', NULL, NULL, NULL, 9),
(25256, NULL, 'TIGR02174', NULL, NULL, 'CXXU_selWTH: selT/selW/selH selenoprotein domain', NULL, 'TIGR02174', NULL, NULL, NULL, 9),
(25257, NULL, 'TIGR00752', NULL, NULL, 'slp: outer membrane lipoprotein, Slp family', NULL, 'TIGR00752', NULL, NULL, NULL, 9),
(25258, NULL, 'TIGR02099', NULL, NULL, 'TIGR02099: TIGR02099 family protein', NULL, 'TIGR02099', NULL, NULL, NULL, 9),
(25259, NULL, 'TIGR00029', NULL, NULL, 'S20: ribosomal protein bS20', NULL, 'TIGR00029', NULL, NULL, NULL, 9),
(25260, NULL, 'TIGR01047', NULL, NULL, 'nspC: carboxynorspermidine decarboxylase', NULL, 'TIGR01047', NULL, NULL, NULL, 9),
(25261, NULL, 'TIGR04003', NULL, NULL, 'rSAM_BssD: [benzylsuccinate synthase]-activating enzyme', NULL, 'TIGR04003', NULL, NULL, NULL, 9),
(25262, NULL, 'TIGR00855', NULL, NULL, 'L12: ribosomal protein bL12', NULL, 'TIGR00855', NULL, NULL, NULL, 9),
(25263, NULL, 'TIGR01442', NULL, NULL, 'SASP_gamma: small, acid-soluble spore protein, gamma-type', NULL, 'TIGR01442', NULL, NULL, NULL, 9),
(25264, NULL, 'TIGR02460', NULL, NULL, 'osmo_MPGsynth: mannosyl-3-phosphoglycerate synthase', NULL, 'TIGR02460', NULL, NULL, NULL, 9),
(25265, NULL, 'TIGR03948', NULL, NULL, 'butyr_acet_CoA: butyryl-CoA:acetate CoA-transferase', NULL, 'TIGR03948', NULL, NULL, NULL, 9),
(25266, NULL, 'TIGR04045', NULL, NULL, 'MSMEG_0567_GNAT: putative N-acetyltransferase, MSMEG_0567 N-terminal domain family', NULL, 'TIGR04045', NULL, NULL, NULL, 9),
(25267, NULL, 'TIGR01763', NULL, NULL, 'MalateDH_bact: malate dehydrogenase, NAD-dependent', NULL, 'TIGR01763', NULL, NULL, NULL, 9),
(25268, NULL, 'TIGR03811', NULL, NULL, 'tyr_de_CO2_Ent: tyrosine decarboxylase', NULL, 'TIGR03811', NULL, NULL, NULL, 9),
(25269, NULL, 'TIGR02597', NULL, NULL, 'TIGR02597: TIGR02597 family protein', NULL, 'TIGR02597', NULL, NULL, NULL, 9),
(25270, NULL, 'TIGR00357', NULL, NULL, 'TIGR00357: methionine-R-sulfoxide reductase', NULL, 'TIGR00357', NULL, NULL, NULL, 9),
(25271, NULL, 'TIGR04468', NULL, NULL, 'arg_2_3_am_muta: arginine 2,3-aminomutase', NULL, 'TIGR04468', NULL, NULL, NULL, 9),
(25272, NULL, 'TIGR01272', NULL, NULL, 'gluP: glucose/galactose transporter WARNING', NULL, 'TIGR01272', NULL, NULL, NULL, 9),
(25273, NULL, 'TIGR01770', NULL, NULL, 'NDH_I_N: proton-translocating NADH-quinone oxidoreductase, chain N', NULL, 'TIGR01770', NULL, NULL, NULL, 9),
(25274, NULL, 'TIGR03192', NULL, NULL, 'benz_CoA_bzdQ: benzoyl-CoA reductase, bzd-type, Q subunit', NULL, 'TIGR03192', NULL, NULL, NULL, 9),
(25275, NULL, 'TIGR02283', NULL, NULL, 'MltB_2: lytic murein transglycosylase', NULL, 'TIGR02283', NULL, NULL, NULL, 9),
(25276, NULL, 'TIGR00527', NULL, NULL, 'gcvH: glycine cleavage system H protein', NULL, 'TIGR00527', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25277, NULL, 'TIGR04222', NULL, NULL, 'near_uncomplex: TIGR04222 domain', NULL, 'TIGR04222', NULL, NULL, NULL, 9),
(25278, NULL, 'TIGR00848', NULL, NULL, 'fruA: PTS system, fructose subfamily, IIA component', NULL, 'TIGR00848', NULL, NULL, NULL, 9),
(25279, NULL, 'TIGR03313', NULL, NULL, 'Se_sel_red_Mo: probable selenate reductase, molybdenum-binding subunit', NULL, 'TIGR03313', NULL, NULL, NULL, 9),
(25280, NULL, 'TIGR04543', NULL, NULL, 'ketoArg_3Met: 2-ketoarginine methyltransferase', NULL, 'TIGR04543', NULL, NULL, NULL, 9),
(25281, NULL, 'TIGR04359', NULL, NULL, 'TrbK_RP4: entry exclusion lipoprotein TrbK', NULL, 'TIGR04359', NULL, NULL, NULL, 9),
(25282, NULL, 'TIGR00643', NULL, NULL, 'recG: ATP-dependent DNA helicase RecG', NULL, 'TIGR00643', NULL, NULL, NULL, 9),
(25283, NULL, 'TIGR03204', NULL, NULL, 'pimC_large: pimeloyl-CoA dehydrogenase, large subunit', NULL, 'TIGR03204', NULL, NULL, NULL, 9),
(25284, NULL, 'TIGR03702', NULL, NULL, 'lip_kinase_YegS: lipid kinase YegS', NULL, 'TIGR03702', NULL, NULL, NULL, 9),
(25285, NULL, 'TIGR04324', NULL, NULL, 'SpoChoClust_2: sporadic carbohydrate cluster 2OG-Fe(II) oxygenase', NULL, 'TIGR04324', NULL, NULL, NULL, 9),
(25286, NULL, 'TIGR00145', NULL, NULL, 'TIGR00145: FTR1 family protein', NULL, 'TIGR00145', NULL, NULL, NULL, 9),
(25287, NULL, 'TIGR02181', NULL, NULL, 'GRX_bact: glutaredoxin 3', NULL, 'TIGR02181', NULL, NULL, NULL, 9),
(25288, NULL, 'TIGR01163', NULL, NULL, 'rpe: ribulose-phosphate 3-epimerase', NULL, 'TIGR01163', NULL, NULL, NULL, 9),
(25289, NULL, 'TIGR03185', NULL, NULL, 'DNA_S_dndD: DNA sulfur modification protein DndD', NULL, 'TIGR03185', NULL, NULL, NULL, 9),
(25290, NULL, 'TIGR02781', NULL, NULL, 'VirB9: P-type conjugative transfer protein VirB9', NULL, 'TIGR02781', NULL, NULL, NULL, 9),
(25291, NULL, 'TIGR01817', NULL, NULL, 'nifA: Nif-specific regulatory protein', NULL, 'TIGR01817', NULL, NULL, NULL, 9),
(25292, NULL, 'TIGR02030', NULL, NULL, 'BchI-ChlI: magnesium chelatase ATPase subunit I', NULL, 'TIGR02030', NULL, NULL, NULL, 9),
(25293, NULL, 'TIGR04154', NULL, NULL, 'archaeo_STT3: oligosaccharyl transferase, archaeosortase A system-associated', NULL, 'TIGR04154', NULL, NULL, NULL, 9),
(25294, NULL, 'TIGR04475', NULL, NULL, 'Phe_D_beta_mut: phenylalanine aminomutase (D-beta-phenylalanine forming)', NULL, 'TIGR04475', NULL, NULL, NULL, 9),
(25295, NULL, 'TIGR00957', NULL, NULL, 'MRP_assoc_pro: multi drug resistance-associated protein (MRP)', NULL, 'TIGR00957', NULL, NULL, NULL, 9),
(25296, NULL, 'TIGR00315', NULL, NULL, 'cdhB: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', NULL, 'TIGR00315', NULL, NULL, NULL, 9),
(25297, NULL, 'TIGR01661', NULL, NULL, 'ELAV_HUD_SF: ELAV/HuD family splicing factor', NULL, 'TIGR01661', NULL, NULL, NULL, 9),
(25298, NULL, 'TIGR03518', NULL, NULL, 'ABC_perm_GldF: gliding motility-associated ABC transporter permease protein GldF', NULL, 'TIGR03518', NULL, NULL, NULL, 9),
(25299, NULL, 'TIGR01477', NULL, NULL, 'RIFIN: variant surface antigen, rifin family', NULL, 'TIGR01477', NULL, NULL, NULL, 9),
(25300, NULL, 'TIGR02009', NULL, NULL, 'PGMB-YQAB-SF: beta-phosphoglucomutase family hydrolase', NULL, 'TIGR02009', NULL, NULL, NULL, 9),
(25301, NULL, 'TIGR02507', NULL, NULL, 'MtrF: tetrahydromethanopterin S-methyltransferase, F subunit', NULL, 'TIGR02507', NULL, NULL, NULL, 9),
(25302, NULL, 'TIGR00322', NULL, NULL, 'diphth2_R: diphthamide biosynthesis enzyme Dph1/Dph2 domain', NULL, 'TIGR00322', NULL, NULL, NULL, 9),
(25303, NULL, 'TIGR00820', NULL, NULL, 'zip: ZIP zinc/iron transport family', NULL, 'TIGR00820', NULL, NULL, NULL, 9),
(25304, NULL, 'TIGR02488', NULL, NULL, 'flgG_G_neg: flagellar basal-body rod protein FlgG', NULL, 'TIGR02488', NULL, NULL, NULL, 9),
(25305, NULL, 'TIGR01975', NULL, NULL, 'isoAsp_dipep: beta-aspartyl peptidase', NULL, 'TIGR01975', NULL, NULL, NULL, 9),
(25306, NULL, 'TIGR03027', NULL, NULL, 'pepcterm_export: putative polysaccharide export protein, PEP-CTERM sytem-associated', NULL, 'TIGR03027', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25307, NULL, 'TIGR00466', NULL, NULL, 'kdsB: 3-deoxy-D-manno-octulosonate cytidylyltransferase', NULL, 'TIGR00466', NULL, NULL, NULL, 9),
(25308, NULL, 'TIGR01484', NULL, NULL, 'HAD-SF-IIB: HAD hydrolase, family IIB', NULL, 'TIGR01484', NULL, NULL, NULL, 9),
(25309, NULL, 'TIGR02514', NULL, NULL, 'type_III_yscP: type III secretion system needle length determinant', NULL, 'TIGR02514', NULL, NULL, NULL, 9),
(25310, NULL, 'TIGR00964', NULL, NULL, 'secE_bact: preprotein translocase, SecE subunit', NULL, 'TIGR00964', NULL, NULL, NULL, 9),
(25311, NULL, 'TIGR01156', NULL, NULL, 'cytb6/f_IV: cytb6/f complex subunit IV', NULL, 'TIGR01156', NULL, NULL, NULL, 9),
(25312, NULL, 'TIGR00001', NULL, NULL, 'rpmI_bact: ribosomal protein bL35', NULL, 'TIGR00001', NULL, NULL, NULL, 9),
(25313, NULL, 'TIGR01333', NULL, NULL, 'cyt_b559_beta: cytochrome b559, beta subunit', NULL, 'TIGR01333', NULL, NULL, NULL, 9),
(25314, NULL, 'TIGR03839', NULL, NULL, 'termin_org_P1: adhesin P1', NULL, 'TIGR03839', NULL, NULL, NULL, 9),
(25315, NULL, 'TIGR02167', NULL, NULL, 'Liste_lipo_26: bacterial surface protein 26-residue repeat', NULL, 'TIGR02167', NULL, NULL, NULL, 9),
(25316, NULL, 'TIGR02828', NULL, NULL, 'TIGR02828: putative membrane fusion protein', NULL, 'TIGR02828', NULL, NULL, NULL, 9),
(25317, NULL, 'TIGR01798', NULL, NULL, 'cit_synth_I: citrate (Si)-synthase', NULL, 'TIGR01798', NULL, NULL, NULL, 9),
(25318, NULL, 'TIGR03968', NULL, NULL, 'mycofact_TetR: mycofactocin system transcriptional regulator', NULL, 'TIGR03968', NULL, NULL, NULL, 9),
(25319, NULL, 'TIGR01758', NULL, NULL, 'MDH_euk_cyt: malate dehydrogenase, NAD-dependent', NULL, 'TIGR01758', NULL, NULL, NULL, 9),
(25320, NULL, 'TIGR01501', NULL, NULL, 'MthylAspMutase: methylaspartate mutase, S subunit', NULL, 'TIGR01501', NULL, NULL, NULL, 9),
(25321, NULL, 'TIGR04486', NULL, NULL, 'thiosulf_SoxB: thiosulfohydrolase SoxB', NULL, 'TIGR04486', NULL, NULL, NULL, 9),
(25322, NULL, 'TIGR01878', NULL, NULL, 'cas_Csa5: CRISPR type I-A/APERN-associated protein Csa5', NULL, 'TIGR01878', NULL, NULL, NULL, 9),
(25323, NULL, 'TIGR01998', NULL, NULL, 'PTS-II-BC-nag: PTS system, N-acetylglucosamine-specific IIBC component', NULL, 'TIGR01998', NULL, NULL, NULL, 9),
(25324, NULL, 'TIGR03848', NULL, NULL, 'MSMEG_4193: probable phosphomutase, MSMEG_4193 family', NULL, 'TIGR03848', NULL, NULL, NULL, 9),
(25325, NULL, 'TIGR04366', NULL, NULL, 'cupin_WbuC: cupin fold metalloprotein, WbuC family', NULL, 'TIGR04366', NULL, NULL, NULL, 9),
(25326, NULL, 'TIGR00927', NULL, NULL, '2A1904: K+-dependent Na+/Ca+ exchanger', NULL, 'TIGR00927', NULL, NULL, NULL, 9),
(25327, NULL, 'TIGR04542', NULL, NULL, 'GMC_mycofac_2: GMC family mycofactocin-associated oxidreductase', NULL, 'TIGR04542', NULL, NULL, NULL, 9),
(25328, NULL, 'TIGR02109', NULL, NULL, 'PQQ_syn_pqqE: coenzyme PQQ biosynthesis enzyme PqqE', NULL, 'TIGR02109', NULL, NULL, NULL, 9),
(25329, NULL, 'TIGR00019', NULL, NULL, 'prfA: peptide chain release factor 1', NULL, 'TIGR00019', NULL, NULL, NULL, 9),
(25330, NULL, 'TIGR03535', NULL, NULL, 'DapD_actino: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', NULL, 'TIGR03535', NULL, NULL, NULL, 9),
(25331, NULL, 'TIGR00002', NULL, NULL, 'S16: ribosomal protein bS16', NULL, 'TIGR00002', NULL, NULL, NULL, 9),
(25332, NULL, 'TIGR01445', NULL, NULL, 'intein_Nterm: intein N-terminal splicing region', NULL, 'TIGR01445', NULL, NULL, NULL, 9),
(25333, NULL, 'TIGR01252', NULL, NULL, 'acetolac_decarb: alpha-acetolactate decarboxylase', NULL, 'TIGR01252', NULL, NULL, NULL, 9),
(25334, NULL, 'TIGR02944', NULL, NULL, 'suf_reg_Xantho: FeS assembly SUF system regulator', NULL, 'TIGR02944', NULL, NULL, NULL, 9),
(25335, NULL, 'TIGR01073', NULL, NULL, 'pcrA: ATP-dependent DNA helicase PcrA', NULL, 'TIGR01073', NULL, NULL, NULL, 9),
(25336, NULL, 'TIGR03342', NULL, NULL, 'dsrC_tusE_dsvC: sulfur relay protein, TusE/DsrC/DsvC family', NULL, 'TIGR03342', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25337, NULL, 'TIGR00854', NULL, NULL, 'pts-sorbose: PTS system, mannose/fructose/sorbose family, IIB component', NULL, 'TIGR00854', NULL, NULL, NULL, 9),
(25338, NULL, 'TIGR01685', NULL, NULL, 'MDP-1: magnesium-dependent phosphatase-1', NULL, 'TIGR01685', NULL, NULL, NULL, 9),
(25339, NULL, 'TIGR04422', NULL, NULL, 'PLP_IMCC1989: putative PLP-dependent aminotransferase', NULL, 'TIGR04422', NULL, NULL, NULL, 9),
(25340, NULL, 'TIGR00435', NULL, NULL, 'cysS: cysteine--tRNA ligase', NULL, 'TIGR00435', NULL, NULL, NULL, 9),
(25341, NULL, 'TIGR02083', NULL, NULL, 'LEU2: 3-isopropylmalate dehydratase, large subunit', NULL, 'TIGR02083', NULL, NULL, NULL, 9),
(25342, NULL, 'TIGR03775', NULL, NULL, 'RPE3: rickettsial palindromic element RPE3 domain', NULL, 'TIGR03775', NULL, NULL, NULL, 9),
(25343, NULL, 'TIGR02525', NULL, NULL, 'plasmid_TraJ: plasmid transfer ATPase TraJ', NULL, 'TIGR02525', NULL, NULL, NULL, 9),
(25344, NULL, 'TIGR04173', NULL, NULL, 'PIP_CTERM: PIP-CTERM protein sorting domain', NULL, 'TIGR04173', NULL, NULL, NULL, 9),
(25345, NULL, 'TIGR02332', NULL, NULL, 'HpaX: 4-hydroxyphenylacetate permease', NULL, 'TIGR02332', NULL, NULL, NULL, 9),
(25346, NULL, 'TIGR00242', NULL, NULL, 'TIGR00242: division/cell wall cluster transcriptional repressor MraZ', NULL, 'TIGR00242', NULL, NULL, NULL, 9),
(25347, NULL, 'TIGR02511', NULL, NULL, 'type_III_tyeA: type III secretion effector delivery regulator, TyeA family', NULL, 'TIGR02511', NULL, NULL, NULL, 9),
(25348, NULL, 'TIGR03476', NULL, NULL, 'HpnL: putative membrane protein', NULL, 'TIGR03476', NULL, NULL, NULL, 9),
(25349, NULL, 'TIGR03356', NULL, NULL, 'BGL: beta-galactosidase', NULL, 'TIGR03356', NULL, NULL, NULL, 9),
(25350, NULL, 'TIGR00678', NULL, NULL, 'holB: DNA polymerase III, delta'' subunit', NULL, 'TIGR00678', NULL, NULL, NULL, 9),
(25351, NULL, 'TIGR00868', NULL, NULL, 'hCaCC: calcium-activated chloride channel protein 1', NULL, 'TIGR00868', NULL, NULL, NULL, 9),
(25352, NULL, 'TIGR01029', NULL, NULL, 'rpsG_bact: ribosomal protein uS7', NULL, 'TIGR01029', NULL, NULL, NULL, 9),
(25353, NULL, 'TIGR02695', NULL, NULL, 'azurin: azurin', NULL, 'TIGR02695', NULL, NULL, NULL, 9),
(25354, NULL, 'TIGR01193', NULL, NULL, 'bacteriocin_ABC: ABC-type bacteriocin transporter', NULL, 'TIGR01193', NULL, NULL, NULL, 9),
(25355, NULL, 'TIGR01132', NULL, NULL, 'pgm: phosphoglucomutase, alpha-D-glucose phosphate-specific', NULL, 'TIGR01132', NULL, NULL, NULL, 9),
(25356, NULL, 'TIGR00798', NULL, NULL, 'mtc: tricarboxylate carrier', NULL, 'TIGR00798', NULL, NULL, NULL, 9),
(25357, NULL, 'TIGR00988', NULL, NULL, 'hip: integration host factor, beta subunit', NULL, 'TIGR00988', NULL, NULL, NULL, 9),
(25358, NULL, 'TIGR01322', NULL, NULL, 'scrB_fam: sucrose-6-phosphate hydrolase', NULL, 'TIGR01322', NULL, NULL, NULL, 9),
(25359, NULL, 'TIGR02824', NULL, NULL, 'quinone_pig3: putative NAD(P)H quinone oxidoreductase, PIG3 family', NULL, 'TIGR02824', NULL, NULL, NULL, 9),
(25360, NULL, 'TIGR02765', NULL, NULL, 'crypto_DASH: cryptochrome, DASH family', NULL, 'TIGR02765', NULL, NULL, NULL, 9),
(25361, NULL, 'TIGR03789', NULL, NULL, 'pdsO: proteobacterial sortase system peptidoglycan-associated protein', NULL, 'TIGR03789', NULL, NULL, NULL, 9),
(25362, NULL, 'TIGR02405', NULL, NULL, 'trehalos_R_Ecol: trehalose operon repressor', NULL, 'TIGR02405', NULL, NULL, NULL, 9),
(25363, NULL, 'TIGR00614', NULL, NULL, 'recQ_fam: ATP-dependent DNA helicase, RecQ family', NULL, 'TIGR00614', NULL, NULL, NULL, 9),
(25364, NULL, 'TIGR00804', NULL, NULL, 'nupC: nucleoside transporter, NupC family', NULL, 'TIGR00804', NULL, NULL, NULL, 9),
(25365, NULL, 'TIGR00122', NULL, NULL, 'birA_repr_reg: biotin operon repressor', NULL, 'TIGR00122', NULL, NULL, NULL, 9),
(25366, NULL, 'TIGR01624', NULL, NULL, 'LRP1_Cterm: LRP1 C-terminal domain', NULL, 'TIGR01624', NULL, NULL, NULL, 9),
(25367, NULL, 'TIGR02262', NULL, NULL, 'benz_CoA_lig: benzoate-CoA ligase family', NULL, 'TIGR02262', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25368, NULL, 'TIGR02452', NULL, NULL, 'TIGR02452: TIGR02452 family protein', NULL, 'TIGR02452', NULL, NULL, NULL, 9),
(25369, NULL, 'TIGR03907', NULL, NULL, 'QH_beta: quinohemoprotein amine dehydrogenase, beta subunit', NULL, 'TIGR03907', NULL, NULL, NULL, 9),
(25370, NULL, 'TIGR04545', NULL, NULL, 'rSAM_ahbD_hemeb: heme b synthase', NULL, 'TIGR04545', NULL, NULL, NULL, 9),
(25371, NULL, 'TIGR04053', NULL, NULL, 'sam_11: radical SAM protein, BA_1875 family', NULL, 'TIGR04053', NULL, NULL, NULL, 9),
(25372, NULL, 'TIGR01565', NULL, NULL, 'homeo_ZF_HD: homeobox domain, ZF-HD class', NULL, 'TIGR01565', NULL, NULL, NULL, 9),
(25373, NULL, 'TIGR04243', NULL, NULL, 'nodulat_NodB: chitooligosaccharide deacetylase NodB', NULL, 'TIGR04243', NULL, NULL, NULL, 9),
(25374, NULL, 'TIGR00365', NULL, NULL, 'TIGR00365: monothiol glutaredoxin, Grx4 family', NULL, 'TIGR00365', NULL, NULL, NULL, 9),
(25375, NULL, 'TIGR00555', NULL, NULL, 'panK_eukar: pantothenate kinase', NULL, 'TIGR00555', NULL, NULL, NULL, 9),
(25376, NULL, 'TIGR02039', NULL, NULL, 'CysD: sulfate adenylyltransferase, small subunit', NULL, 'TIGR02039', NULL, NULL, NULL, 9),
(25377, NULL, 'TIGR03102', NULL, NULL, 'halo_cynanin: halocyanin domain', NULL, 'TIGR03102', NULL, NULL, NULL, 9),
(25378, NULL, 'TIGR01755', NULL, NULL, 'flav_wrbA: NAD(P)H:quinone oxidoreductase, type IV', NULL, 'TIGR01755', NULL, NULL, NULL, 9),
(25379, NULL, 'TIGR04302', NULL, NULL, 'geo_PqqD_fam: GeoRSP system PqqD family protein', NULL, 'TIGR04302', NULL, NULL, NULL, 9),
(25380, NULL, 'TIGR01814', NULL, NULL, 'kynureninase: kynureninase', NULL, 'TIGR01814', NULL, NULL, NULL, 9),
(25381, NULL, 'TIGR03043', NULL, NULL, 'PS_II_psbZ: photosystem II core protein PsbZ', NULL, 'TIGR03043', NULL, NULL, NULL, 9),
(25382, NULL, 'TIGR02838', NULL, NULL, 'spore_V_AC: stage V sporulation protein AC', NULL, 'TIGR02838', NULL, NULL, NULL, 9),
(25383, NULL, 'TIGR03462', NULL, NULL, 'CarR_dom_SF: lycopene cyclase domain', NULL, 'TIGR03462', NULL, NULL, NULL, 9),
(25384, NULL, 'TIGR01828', NULL, NULL, 'pyru_phos_dikin: pyruvate, phosphate dikinase', NULL, 'TIGR01828', NULL, NULL, NULL, 9),
(25385, NULL, 'TIGR02466', NULL, NULL, 'TIGR02466: conserved hypothetical protein', NULL, 'TIGR02466', NULL, NULL, NULL, 9),
(25386, NULL, 'TIGR02586', NULL, NULL, 'cas5_cmx5_devS: CRISPR-associated protein Cas5/DevS, subtype MYXAN', NULL, 'TIGR02586', NULL, NULL, NULL, 9),
(25387, NULL, 'TIGR03401', NULL, NULL, 'cyanamide_fam: HD domain protein, cyanamide hydratase family', NULL, 'TIGR03401', NULL, NULL, NULL, 9),
(25388, NULL, 'TIGR03918', NULL, NULL, 'GTP_HydF: [FeFe] hydrogenase H-cluster maturation GTPase HydF', NULL, 'TIGR03918', NULL, NULL, NULL, 9),
(25389, NULL, 'TIGR00913', NULL, NULL, '2A0310: amino acid permease (yeast)', NULL, 'TIGR00913', NULL, NULL, NULL, 9),
(25390, NULL, 'TIGR04556', NULL, NULL, 'PKS_assoc: polyketide synthase-associated domain', NULL, 'TIGR04556', NULL, NULL, NULL, 9),
(25391, NULL, 'TIGR01948', NULL, NULL, 'rnfE: electron transport complex, RnfABCDGE type, E subunit', NULL, 'TIGR01948', NULL, NULL, NULL, 9),
(25392, NULL, 'TIGR04009', NULL, NULL, 'wcaE: colanic acid biosynthesis glycosyltransferase WcaE', NULL, 'TIGR04009', NULL, NULL, NULL, 9),
(25393, NULL, 'TIGR01551', NULL, NULL, 'major_capsid_P2: phage major capsid protein, P2 family', NULL, 'TIGR01551', NULL, NULL, NULL, 9),
(25394, NULL, 'TIGR04249', NULL, NULL, 'SCM_chp_ScmC: SynChlorMet cassette protein ScmC', NULL, 'TIGR04249', NULL, NULL, NULL, 9),
(25395, NULL, 'TIGR01311', NULL, NULL, 'glycerol_kin: glycerol kinase', NULL, 'TIGR01311', NULL, NULL, NULL, 9),
(25396, NULL, 'TIGR00857', NULL, NULL, 'pyrC_multi: dihydroorotase, multifunctional complex type', NULL, 'TIGR00857', NULL, NULL, NULL, 9),
(25397, NULL, 'TIGR02947', NULL, NULL, 'SigH_actino: RNA polymerase sigma-70 factor, TIGR02947 family', NULL, 'TIGR02947', NULL, NULL, NULL, 9),
(25398, NULL, 'TIGR02659', NULL, NULL, 'TTQ_MADH_Lt: methylamine dehydrogenase (amicyanin) light chain', NULL, 'TIGR02659', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25399, NULL, 'TIGR00063', NULL, NULL, 'folE: GTP cyclohydrolase I', NULL, 'TIGR00063', NULL, NULL, NULL, 9),
(25400, NULL, 'TIGR04436', NULL, NULL, 'SpoChoClust_3: putative 2OG-Fe(II) oxygenase', NULL, 'TIGR04436', NULL, NULL, NULL, 9),
(25401, NULL, 'TIGR00569', NULL, NULL, 'ccl1: cyclin ccl1', NULL, 'TIGR00569', NULL, NULL, NULL, 9),
(25402, NULL, 'TIGR03725', NULL, NULL, 'T6A_YeaZ: tRNA threonylcarbamoyl adenosine modification protein YeaZ', NULL, 'TIGR03725', NULL, NULL, NULL, 9),
(25403, NULL, 'TIGR03954', NULL, NULL, 'integ_memb_HG: integral membrane protein', NULL, 'TIGR03954', NULL, NULL, NULL, 9),
(25404, NULL, 'TIGR01504', NULL, NULL, 'glyox_carbo_lig: glyoxylate carboligase', NULL, 'TIGR01504', NULL, NULL, NULL, 9),
(25405, NULL, 'TIGR00292', NULL, NULL, 'TIGR00292: thiazole biosynthesis enzyme', NULL, 'TIGR00292', NULL, NULL, NULL, 9),
(25406, NULL, 'TIGR03113', NULL, NULL, 'exosortase_2: exosortase B', NULL, 'TIGR03113', NULL, NULL, NULL, 9),
(25407, NULL, 'TIGR01023', NULL, NULL, 'rpmG_bact: ribosomal protein bL33', NULL, 'TIGR01023', NULL, NULL, NULL, 9),
(25408, NULL, 'TIGR02754', NULL, NULL, 'sod_Ni_protease: nickel-type superoxide dismutase maturation protease', NULL, 'TIGR02754', NULL, NULL, NULL, 9),
(25409, NULL, 'TIGR03392', NULL, NULL, 'FeS_syn_CsdA: cysteine desulfurase, catalytic subunit CsdA', NULL, 'TIGR03392', NULL, NULL, NULL, 9),
(25410, NULL, 'TIGR01079', NULL, NULL, 'rplX_bact: ribosomal protein uL24', NULL, 'TIGR01079', NULL, NULL, NULL, 9),
(25411, NULL, 'TIGR01495', NULL, NULL, 'ETRAMP: early transcribed membrane protein (ETRAMP) family', NULL, 'TIGR01495', NULL, NULL, NULL, 9),
(25412, NULL, 'TIGR03297', NULL, NULL, 'Ppyr-DeCO2ase: phosphonopyruvate decarboxylase', NULL, 'TIGR03297', NULL, NULL, NULL, 9),
(25413, NULL, 'TIGR02159', NULL, NULL, 'PA_CoA_Oxy4: phenylacetate-CoA oxygenase, PaaJ subunit', NULL, 'TIGR02159', NULL, NULL, NULL, 9),
(25414, NULL, 'TIGR00625', NULL, NULL, 'tfb2: transcription factor Tfb2', NULL, 'TIGR00625', NULL, NULL, NULL, 9),
(25415, NULL, 'TIGR04363', NULL, NULL, 'LD_lanti_pre: FxLD family lantipeptide', NULL, 'TIGR04363', NULL, NULL, NULL, 9),
(25416, NULL, 'TIGR00052', NULL, NULL, 'TIGR00052: nudix-type nucleoside diphosphatase, YffH/AdpP family', NULL, 'TIGR00052', NULL, NULL, NULL, 9),
(25417, NULL, 'TIGR00111', NULL, NULL, 'pelota: mRNA surveillance protein pelota', NULL, 'TIGR00111', NULL, NULL, NULL, 9),
(25418, NULL, 'TIGR03585', NULL, NULL, 'PseH: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine N-acetyltransferase', NULL, 'TIGR03585', NULL, NULL, NULL, 9),
(25419, NULL, 'TIGR02142', NULL, NULL, 'modC_ABC: molybdate ABC transporter, ATP-binding protein', NULL, 'TIGR02142', NULL, NULL, NULL, 9),
(25420, NULL, 'TIGR01266', NULL, NULL, 'fum_ac_acetase: fumarylacetoacetase', NULL, 'TIGR01266', NULL, NULL, NULL, 9),
(25421, NULL, 'TIGR02768', NULL, NULL, 'TraA_Ti: Ti-type conjugative transfer relaxase TraA', NULL, 'TIGR02768', NULL, NULL, NULL, 9),
(25422, NULL, 'TIGR00748', NULL, NULL, 'HMG_CoA_syn_Arc: putative hydroxymethylglutaryl-CoA synthase', NULL, 'TIGR00748', NULL, NULL, NULL, 9),
(25423, NULL, 'TIGR01386', NULL, NULL, 'cztS_silS_copS: heavy metal sensor kinase', NULL, 'TIGR01386', NULL, NULL, NULL, 9),
(25424, NULL, 'TIGR02218', NULL, NULL, 'phg_TIGR02218: phage conserved hypothetical protein BR0599', NULL, 'TIGR02218', NULL, NULL, NULL, 9),
(25425, NULL, 'TIGR00231', NULL, NULL, 'small_GTP: small GTP-binding protein domain', NULL, 'TIGR00231', NULL, NULL, NULL, 9),
(25426, NULL, 'TIGR04377', NULL, NULL, 'myo_inos_iolD: 3,5/4-trihydroxycyclohexa-1,2-dione hydrolase', NULL, 'TIGR04377', NULL, NULL, NULL, 9),
(25427, NULL, 'TIGR03222', NULL, NULL, 'benzo_boxC: benzoyl-CoA-dihydrodiol lyase', NULL, 'TIGR03222', NULL, NULL, NULL, 9),
(25428, NULL, 'TIGR03859', NULL, NULL, 'PQQ_PqqD: coenzyme PQQ biosynthesis protein PqqD', NULL, 'TIGR03859', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25429, NULL, 'TIGR00505', NULL, NULL, 'ribA: GTP cyclohydrolase II', NULL, 'TIGR00505', NULL, NULL, NULL, 9),
(25430, NULL, 'TIGR03283', NULL, NULL, 'thy_syn_methano: thymidylate synthase, methanogen type', NULL, 'TIGR03283', NULL, NULL, NULL, 9),
(25431, NULL, 'TIGR00675', NULL, NULL, 'dcm: DNA (cytosine-5-)-methyltransferase', NULL, 'TIGR00675', NULL, NULL, NULL, 9),
(25432, NULL, 'TIGR01889', NULL, NULL, 'Staph_reg_Sar: staphylococcal accessory regulator family', NULL, 'TIGR01889', NULL, NULL, NULL, 9),
(25433, NULL, 'TIGR00734', NULL, NULL, 'hisAF_rel: hisA/hisF family protein', NULL, 'TIGR00734', NULL, NULL, NULL, 9),
(25434, NULL, 'TIGR02888', NULL, NULL, 'spore_YlmC_YmxH: sporulation protein, YlmC/YmxH family', NULL, 'TIGR02888', NULL, NULL, NULL, 9),
(25435, NULL, 'TIGR01674', NULL, NULL, 'phage_lambda_G: phage minor tail protein G', NULL, 'TIGR01674', NULL, NULL, NULL, 9),
(25436, NULL, 'TIGR02645', NULL, NULL, 'ARCH_P_rylase: putative thymidine phosphorylase', NULL, 'TIGR02645', NULL, NULL, NULL, 9),
(25437, NULL, 'TIGR00689', NULL, NULL, 'rpiB_lacA_lacB: sugar-phosphate isomerase, RpiB/LacA/LacB family', NULL, 'TIGR00689', NULL, NULL, NULL, 9),
(25438, NULL, 'TIGR02704', NULL, NULL, 'carboxysome_B: carboxysome peptide B', NULL, 'TIGR02704', NULL, NULL, NULL, 9),
(25439, NULL, 'TIGR00172', NULL, NULL, 'maf: septum formation protein Maf', NULL, 'TIGR00172', NULL, NULL, NULL, 9),
(25440, NULL, 'TIGR02343', NULL, NULL, 'chap_CCT_epsi: T-complex protein 1, epsilon subunit', NULL, 'TIGR02343', NULL, NULL, NULL, 9),
(25441, NULL, 'TIGR03465', NULL, NULL, 'HpnD: squalene synthase HpnD', NULL, 'TIGR03465', NULL, NULL, NULL, 9),
(25442, NULL, 'TIGR00977', NULL, NULL, 'citramal_synth: citramalate synthase', NULL, 'TIGR00977', NULL, NULL, NULL, 9),
(25443, NULL, 'TIGR01202', NULL, NULL, 'bchC: chlorophyll synthesis pathway protein BchC', NULL, 'TIGR01202', NULL, NULL, NULL, 9),
(25444, NULL, 'TIGR02402', NULL, NULL, 'trehalose_TreZ: malto-oligosyltrehalose trehalohydrolase', NULL, 'TIGR02402', NULL, NULL, NULL, 9),
(25445, NULL, 'TIGR03845', NULL, NULL, 'sulfopyru_alph: sulfopyruvate decarboxylase, alpha subunit', NULL, 'TIGR03845', NULL, NULL, NULL, 9),
(25446, NULL, 'TIGR01143', NULL, NULL, 'murF: UDP-N-acetylmuramoyl-tripeptide--D-alanyl-D-alanine ligase', NULL, 'TIGR01143', NULL, NULL, NULL, 9),
(25447, NULL, 'TIGR01372', NULL, NULL, 'soxA: sarcosine oxidase, alpha subunit family', NULL, 'TIGR01372', NULL, NULL, NULL, 9),
(25448, NULL, 'TIGR02874', NULL, NULL, 'spore_ytfJ: sporulation protein YtfJ', NULL, 'TIGR02874', NULL, NULL, NULL, 9),
(25449, NULL, 'TIGR00807', NULL, NULL, 'malonate_madL: malonate transporter, MadL subunit', NULL, 'TIGR00807', NULL, NULL, NULL, 9),
(25450, NULL, 'TIGR01431', NULL, NULL, 'adm_rel: adenosine deaminase-related growth factor', NULL, 'TIGR01431', NULL, NULL, NULL, 9),
(25451, NULL, 'TIGR03904', NULL, NULL, 'SAM_YgiQ: uncharacterized radical SAM protein YgiQ', NULL, 'TIGR03904', NULL, NULL, NULL, 9),
(25452, NULL, 'TIGR04129', NULL, NULL, 'CxxH_BA5709: CxxH/CxxC protein, BA_5709 family', NULL, 'TIGR04129', NULL, NULL, NULL, 9),
(25453, NULL, 'TIGR02656', NULL, NULL, 'cyanin_plasto: plastocyanin', NULL, 'TIGR02656', NULL, NULL, NULL, 9),
(25454, NULL, 'TIGR01084', NULL, NULL, 'mutY: A/G-specific adenine glycosylase', NULL, 'TIGR01084', NULL, NULL, NULL, 9),
(25455, NULL, 'TIGR02536', NULL, NULL, 'eut_hyp: ethanolamine utilization protein', NULL, 'TIGR02536', NULL, NULL, NULL, 9),
(25456, NULL, 'TIGR01018', NULL, NULL, 'uS4_arch: ribosomal protein uS4', NULL, 'TIGR01018', NULL, NULL, NULL, 9),
(25457, NULL, 'TIGR03571', NULL, NULL, 'lucif_BA3436: luciferase-type oxidoreductase, BA3436 family', NULL, 'TIGR03571', NULL, NULL, NULL, 9),
(25458, NULL, 'TIGR02813', NULL, NULL, 'omega_3_PfaA: polyketide-type polyunsaturated fatty acid synthase PfaA', NULL, 'TIGR02813', NULL, NULL, NULL, 9),
(25459, NULL, 'TIGR00723', NULL, NULL, 'ttdB_fumA_fumB: hydrolyase, tartrate beta subunit/fumarate domain protein, Fe-S type', NULL, 'TIGR00723', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25460, NULL, 'TIGR00566', NULL, NULL, 'trpG_papA: glutamine amidotransferase of anthranilate synthase or aminodeoxychorismate synthase', NULL, 'TIGR00566', NULL, NULL, NULL, 9),
(25461, NULL, 'TIGR02416', NULL, NULL, 'CO_dehy_Mo_lg: carbon-monoxide dehydrogenase, large subunit', NULL, 'TIGR02416', NULL, NULL, NULL, 9),
(25462, NULL, 'TIGR03247', NULL, NULL, 'glucar-dehydr: glucarate dehydratase', NULL, 'TIGR03247', NULL, NULL, NULL, 9),
(25463, NULL, 'TIGR04162', NULL, NULL, 'exo_VPEID: exosortase E/protease, VPEID-CTERM system', NULL, 'TIGR04162', NULL, NULL, NULL, 9),
(25464, NULL, 'TIGR00253', NULL, NULL, 'RNA_bind_YhbY: putative RNA-binding protein, YhbY family', NULL, 'TIGR00253', NULL, NULL, NULL, 9),
(25465, NULL, 'TIGR00133', NULL, NULL, 'gatB: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, B subunit', NULL, 'TIGR00133', NULL, NULL, NULL, 9),
(25466, NULL, 'TIGR00307', NULL, NULL, 'eS8: ribosomal protein eS8', NULL, 'TIGR00307', NULL, NULL, NULL, 9),
(25467, NULL, 'TIGR00963', NULL, NULL, 'secA: preprotein translocase, SecA subunit', NULL, 'TIGR00963', NULL, NULL, NULL, 9),
(25468, NULL, 'TIGR04506', NULL, NULL, 'F_threo_transal: fluorothreonine transaldolase', NULL, 'TIGR04506', NULL, NULL, NULL, 9),
(25469, NULL, 'TIGR02223', NULL, NULL, 'ftsN: cell division protein FtsN', NULL, 'TIGR02223', NULL, NULL, NULL, 9),
(25470, NULL, 'TIGR04282', NULL, NULL, 'glyco_like_cofC: transferase 1, rSAM/selenodomain-associated', NULL, 'TIGR04282', NULL, NULL, NULL, 9),
(25471, NULL, 'TIGR00603', NULL, NULL, 'rad25: DNA repair helicase rad25', NULL, 'TIGR00603', NULL, NULL, NULL, 9),
(25472, NULL, 'TIGR01157', NULL, NULL, 'pufL: photosynthetic reaction center L subunit', NULL, 'TIGR01157', NULL, NULL, NULL, 9),
(25473, NULL, 'TIGR00474', NULL, NULL, 'selA: L-seryl-tRNA(Sec) selenium transferase', NULL, 'TIGR00474', NULL, NULL, NULL, 9),
(25474, NULL, 'TIGR02564', NULL, NULL, 'cas_Csy1: CRISPR type I-F/YPEST-associated protein Csy1', NULL, 'TIGR02564', NULL, NULL, NULL, 9),
(25475, NULL, 'TIGR02103', NULL, NULL, 'pullul_strch: alpha-1,6-glucosidases, pullulanase-type', NULL, 'TIGR02103', NULL, NULL, NULL, 9),
(25476, NULL, 'TIGR04497', NULL, NULL, 'GRASP_targ_2: putative ATP-grasp target RiPP', NULL, 'TIGR04497', NULL, NULL, NULL, 9),
(25477, NULL, 'TIGR03739', NULL, NULL, 'PRTRC_D: PRTRC system protein D', NULL, 'TIGR03739', NULL, NULL, NULL, 9),
(25478, NULL, 'TIGR03487', NULL, NULL, 'cas_csp2: CRISPR-associated protein Cas8c/Csp2, subtype PGING', NULL, 'TIGR03487', NULL, NULL, NULL, 9),
(25479, NULL, 'TIGR00013', NULL, NULL, 'taut: 4-oxalocrotonate tautomerase family enzyme', NULL, 'TIGR00013', NULL, NULL, NULL, 9),
(25480, NULL, 'TIGR01397', NULL, NULL, 'fliM_switch: flagellar motor switch protein FliM', NULL, 'TIGR01397', NULL, NULL, NULL, 9),
(25481, NULL, 'TIGR01554', NULL, NULL, 'major_cap_HK97: phage major capsid protein, HK97 family', NULL, 'TIGR01554', NULL, NULL, NULL, 9),
(25482, NULL, 'TIGR01649', NULL, NULL, 'hnRNP-L_PTB: hnRNP-L/PTB/hephaestus splicing factor family', NULL, 'TIGR01649', NULL, NULL, NULL, 9),
(25483, NULL, 'TIGR01973', NULL, NULL, 'NuoG: NADH dehydrogenase (quinone), G subunit', NULL, 'TIGR01973', NULL, NULL, NULL, 9),
(25484, NULL, 'TIGR02321', NULL, NULL, 'Pphn_pyruv_hyd: phosphonopyruvate hydrolase', NULL, 'TIGR02321', NULL, NULL, NULL, 9),
(25485, NULL, 'TIGR02268', NULL, NULL, 'TIGR02268: Myxococcus xanthus paralogous family TIGR02268', NULL, 'TIGR02268', NULL, NULL, NULL, 9),
(25486, NULL, 'TIGR03703', NULL, NULL, 'plsB: glycerol-3-phosphate O-acyltransferase', NULL, 'TIGR03703', NULL, NULL, NULL, 9),
(25487, NULL, 'TIGR01526', NULL, NULL, 'nadR_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', NULL, 'TIGR01526', NULL, NULL, NULL, 9),
(25488, NULL, 'TIGR00058', NULL, NULL, 'Hemerythrin: hemerythrin family non-heme iron protein', NULL, 'TIGR00058', NULL, NULL, NULL, 9),
(25489, NULL, 'TIGR04184', NULL, NULL, 'ATPgraspMvdD: ATP-grasp ribosomal peptide maturase, MvdD family', NULL, 'TIGR04184', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25490, NULL, 'TIGR02201', NULL, NULL, 'heptsyl_trn_III: putative lipopolysaccharide heptosyltransferase III', NULL, 'TIGR02201', NULL, NULL, NULL, 9),
(25491, NULL, 'TIGR01853', NULL, NULL, 'lipid_A_lpxD: UDP-3-O-[3-hydroxymyristoyl] glucosamine N-acyltransferase LpxD', NULL, 'TIGR01853', NULL, NULL, NULL, 9),
(25492, NULL, 'TIGR04118', NULL, NULL, 'Cxxx_AC3_0185: modification target Cys-rich peptide, AC3_0185 family', NULL, 'TIGR04118', NULL, NULL, NULL, 9),
(25493, NULL, 'TIGR00281', NULL, NULL, 'TIGR00281: segregation and condensation protein B', NULL, 'TIGR00281', NULL, NULL, NULL, 9),
(25494, NULL, 'TIGR04531', NULL, NULL, 'nonproteo_OH: putative nonproteinogenic amino acid hydroxylase', NULL, 'TIGR04531', NULL, NULL, NULL, 9),
(25495, NULL, 'TIGR01420', NULL, NULL, 'pilT_fam: twitching motility protein', NULL, 'TIGR01420', NULL, NULL, NULL, 9),
(25496, NULL, 'TIGR01610', NULL, NULL, 'phage_O_Nterm: phage replication protein O, N-terminal domain', NULL, 'TIGR01610', NULL, NULL, NULL, 9),
(25497, NULL, 'TIGR03049', NULL, NULL, 'PS_I_psaK: photosystem I reaction center subunit PsaK', NULL, 'TIGR03049', NULL, NULL, NULL, 9),
(25498, NULL, 'TIGR01263', NULL, NULL, '4HPPD: 4-hydroxyphenylpyruvate dioxygenase', NULL, 'TIGR01263', NULL, NULL, NULL, 9),
(25499, NULL, 'TIGR04308', NULL, NULL, 'repeat_SSSPR51: surface protein repeat SSSPR-51', NULL, 'TIGR04308', NULL, NULL, NULL, 9),
(25500, NULL, 'TIGR01540', NULL, NULL, 'portal_PBSX: phage portal protein, PBSX family', NULL, 'TIGR01540', NULL, NULL, NULL, 9),
(25501, NULL, 'TIGR01062', NULL, NULL, 'parC_Gneg: DNA topoisomerase IV, A subunit', NULL, 'TIGR01062', NULL, NULL, NULL, 9),
(25502, NULL, 'TIGR04238', NULL, NULL, 'seadorna_dsRNA: seadornavirus double-stranded RNA-binding protein', NULL, 'TIGR04238', NULL, NULL, NULL, 9),
(25503, NULL, 'TIGR00161', NULL, NULL, 'TIGR00161: TIGR00161 family protein', NULL, 'TIGR00161', NULL, NULL, NULL, 9),
(25504, NULL, 'TIGR00351', NULL, NULL, 'narI: respiratory nitrate reductase, gamma subunit', NULL, 'TIGR00351', NULL, NULL, NULL, 9),
(25505, NULL, 'TIGR03823', NULL, NULL, 'FliZ: flagellar regulatory protein FliZ', NULL, 'TIGR03823', NULL, NULL, NULL, 9),
(25506, NULL, 'TIGR00594', NULL, NULL, 'polc: DNA polymerase III, alpha subunit', NULL, 'TIGR00594', NULL, NULL, NULL, 9),
(25507, NULL, 'TIGR04198', NULL, NULL, 'paramyx_RNAcap: mRNA capping enzyme', NULL, 'TIGR04198', NULL, NULL, NULL, 9),
(25508, NULL, 'TIGR03233', NULL, NULL, 'DNA_S_dndB: DNA sulfur modification protein DndB', NULL, 'TIGR03233', NULL, NULL, NULL, 9),
(25509, NULL, 'TIGR01959', NULL, NULL, 'nuoF_fam: NADH oxidoreductase (quinone), F subunit', NULL, 'TIGR01959', NULL, NULL, NULL, 9),
(25510, NULL, 'TIGR01277', NULL, NULL, 'thiQ: thiamine ABC transporter, ATP-binding protein', NULL, 'TIGR01277', NULL, NULL, NULL, 9),
(25511, NULL, 'TIGR01769', NULL, NULL, 'GGGP: phosphoglycerol geranylgeranyltransferase', NULL, 'TIGR01769', NULL, NULL, NULL, 9),
(25512, NULL, 'TIGR01317', NULL, NULL, 'GOGAT_sm_gam: glutamate synthase, NADH/NADPH, small subunit', NULL, 'TIGR01317', NULL, NULL, NULL, 9),
(25513, NULL, 'TIGR00600', NULL, NULL, 'rad2: DNA excision repair protein (rad2)', NULL, 'TIGR00600', NULL, NULL, NULL, 9),
(25514, NULL, 'TIGR03809', NULL, NULL, 'TIGR03809: TIGR03809 family protein', NULL, 'TIGR03809', NULL, NULL, NULL, 9),
(25515, NULL, 'TIGR00267', NULL, NULL, 'TIGR00267: TIGR00267 family protein', NULL, 'TIGR00267', NULL, NULL, NULL, 9),
(25516, NULL, 'TIGR02779', NULL, NULL, 'NHEJ_ligase_lig: DNA ligase D, ligase domain', NULL, 'TIGR02779', NULL, NULL, NULL, 9),
(25517, NULL, 'TIGR00843', NULL, NULL, 'benE: benzoate transporter', NULL, 'TIGR00843', NULL, NULL, NULL, 9),
(25518, NULL, 'TIGR03272', NULL, NULL, 'methan_mark_6: putative methanogenesis marker protein 6', NULL, 'TIGR03272', NULL, NULL, NULL, 9),
(25519, NULL, 'TIGR00496', NULL, NULL, 'frr: ribosome recycling factor', NULL, 'TIGR00496', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25520, NULL, 'TIGR00256', NULL, NULL, 'TIGR00256: D-tyrosyl-tRNA(Tyr) deacylase', NULL, 'TIGR00256', NULL, NULL, NULL, 9),
(25521, NULL, 'TIGR01208', NULL, NULL, 'rmlA_long: glucose-1-phosphate thymidylyltransferase', NULL, 'TIGR01208', NULL, NULL, NULL, 9),
(25522, NULL, 'TIGR03244', NULL, NULL, 'arg_catab_AstA: arginine N-succinyltransferase', NULL, 'TIGR03244', NULL, NULL, NULL, 9),
(25523, NULL, 'TIGR00376', NULL, NULL, 'TIGR00376: putative DNA helicase', NULL, 'TIGR00376', NULL, NULL, NULL, 9),
(25524, NULL, 'TIGR03004', NULL, NULL, 'ectoine_ehuC: ectoine/hydroxyectoine ABC transporter, permease protein EhuC', NULL, 'TIGR03004', NULL, NULL, NULL, 9),
(25525, NULL, 'TIGR03261', NULL, NULL, 'phnS2: putative 2-aminoethylphosphonate ABC transporter, periplasmic 2-aminoethylphosphonate-binding protein', NULL, 'TIGR03261', NULL, NULL, NULL, 9),
(25526, NULL, 'TIGR02550', NULL, NULL, 'flagell_flgL: flagellar hook-associated protein 3', NULL, 'TIGR02550', NULL, NULL, NULL, 9),
(25527, NULL, 'TIGR02670', NULL, NULL, 'cas_csx8: CRISPR-associated protein Cas8a1/Csx8, subtype I', NULL, 'TIGR02670', NULL, NULL, NULL, 9),
(25528, NULL, 'TIGR00829', NULL, NULL, 'FRU: PTS system, Fru family, IIB component', NULL, 'TIGR00829', NULL, NULL, NULL, 9),
(25529, NULL, 'TIGR01291', NULL, NULL, 'nodJ: ABC-2 type transporter, NodJ family', NULL, 'TIGR01291', NULL, NULL, NULL, 9),
(25530, NULL, 'TIGR03124', NULL, NULL, 'citrate_citX: holo-ACP synthase CitX', NULL, 'TIGR03124', NULL, NULL, NULL, 9),
(25531, NULL, 'TIGR01635', NULL, NULL, 'tail_comp_S: phage virion morphogenesis protein', NULL, 'TIGR01635', NULL, NULL, NULL, 9),
(25532, NULL, 'TIGR03381', NULL, NULL, 'agmatine_aguB: N-carbamoylputrescine amidase', NULL, 'TIGR03381', NULL, NULL, NULL, 9),
(25533, NULL, 'TIGR02346', NULL, NULL, 'chap_CCT_theta: T-complex protein 1, theta subunit', NULL, 'TIGR02346', NULL, NULL, NULL, 9),
(25534, NULL, 'TIGR00966', NULL, NULL, '3a0501s07: protein-export membrane protein SecF', NULL, 'TIGR00966', NULL, NULL, NULL, 9),
(25535, NULL, 'TIGR01744', NULL, NULL, 'XPRTase: xanthine phosphoribosyltransferase', NULL, 'TIGR01744', NULL, NULL, NULL, 9),
(25536, NULL, 'TIGR02899', NULL, NULL, 'spore_safA: spore coat assembly protein SafA', NULL, 'TIGR02899', NULL, NULL, NULL, 9),
(25537, NULL, 'TIGR03605', NULL, NULL, 'antibiot_sagB: SagB-type dehydrogenase domain', NULL, 'TIGR03605', NULL, NULL, NULL, 9),
(25538, NULL, 'TIGR03834', NULL, NULL, 'EAGR_box: EAGR box', NULL, 'TIGR03834', NULL, NULL, NULL, 9),
(25539, NULL, 'TIGR01515', NULL, NULL, 'branching_enzym: 1,4-alpha-glucan branching enzyme', NULL, 'TIGR01515', NULL, NULL, NULL, 9),
(25540, NULL, 'TIGR04491', NULL, NULL, 'reactive_PduG: diol dehydratase reactivase alpha subunit', NULL, 'TIGR04491', NULL, NULL, NULL, 9),
(25541, NULL, 'TIGR03169', NULL, NULL, 'Nterm_to_SelD: pyridine nucleotide-disulfide oxidoreductase family protein', NULL, 'TIGR03169', NULL, NULL, NULL, 9),
(25542, NULL, 'TIGR03929', NULL, NULL, 'T7_esaA_Nterm: type VII secretion protein EsaA', NULL, 'TIGR03929', NULL, NULL, NULL, 9),
(25543, NULL, 'TIGR02014', NULL, NULL, 'BchZ: chlorophyllide reductase subunit Z', NULL, 'TIGR02014', NULL, NULL, NULL, 9),
(25544, NULL, 'TIGR00147', NULL, NULL, 'TIGR00147: lipid kinase, YegS/Rv2252/BmrU family', NULL, 'TIGR00147', NULL, NULL, NULL, 9),
(25545, NULL, 'TIGR04104', NULL, NULL, 'cxxc_20_cxxc: cxxc_20_cxxc protein', NULL, 'TIGR04104', NULL, NULL, NULL, 9),
(25546, NULL, 'TIGR00069', NULL, NULL, 'hisD: histidinol dehydrogenase', NULL, 'TIGR00069', NULL, NULL, NULL, 9),
(25547, NULL, 'TIGR00471', NULL, NULL, 'pheT_arch: phenylalanine--tRNA ligase, beta subunit', NULL, 'TIGR00471', NULL, NULL, NULL, 9),
(25548, NULL, 'TIGR04520', NULL, NULL, 'ECF_ATPase_1: energy-coupling factor transporter ATPase', NULL, 'TIGR04520', NULL, NULL, NULL, 9),
(25549, NULL, 'TIGR02561', NULL, NULL, 'HrpB1_HrpK: type III secretion protein HrpB1/HrpK', NULL, 'TIGR02561', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25550, NULL, 'TIGR03660', NULL, NULL, 'T1SS_rpt_143: T1SS-143 repeat domain', NULL, 'TIGR03660', NULL, NULL, NULL, 9),
(25551, NULL, 'TIGR02094', NULL, NULL, 'more_P_ylases: alpha-glucan phosphorylases', NULL, 'TIGR02094', NULL, NULL, NULL, 9),
(25552, NULL, 'TIGR03596', NULL, NULL, 'GTPase_YlqF: ribosome biogenesis GTP-binding protein YlqF', NULL, 'TIGR03596', NULL, NULL, NULL, 9),
(25553, NULL, 'TIGR02441', NULL, NULL, 'fa_ox_alpha_mit: fatty acid oxidation complex, alpha subunit, mitochondrial', NULL, 'TIGR02441', NULL, NULL, NULL, 9),
(25554, NULL, 'TIGR01406', NULL, NULL, 'dnaQ_proteo: DNA polymerase III, epsilon subunit', NULL, 'TIGR01406', NULL, NULL, NULL, 9),
(25555, NULL, 'TIGR04064', NULL, NULL, 'rSAM_nif11: nif11-like peptide radical SAM maturase', NULL, 'TIGR04064', NULL, NULL, NULL, 9),
(25556, NULL, 'TIGR00952', NULL, NULL, 'S15_bact: ribosomal protein uS15', NULL, 'TIGR00952', NULL, NULL, NULL, 9),
(25557, NULL, 'TIGR02908', NULL, NULL, 'CoxD_Bacillus: cytochrome c oxidase, subunit IVB', NULL, 'TIGR02908', NULL, NULL, NULL, 9),
(25558, NULL, 'TIGR00178', NULL, NULL, 'monomer_idh: isocitrate dehydrogenase, NADP-dependent', NULL, 'TIGR00178', NULL, NULL, NULL, 9),
(25559, NULL, 'TIGR02028', NULL, NULL, 'ChlP: geranylgeranyl reductase', NULL, 'TIGR02028', NULL, NULL, NULL, 9),
(25560, NULL, 'TIGR03943', NULL, NULL, 'TIGR03943: TIGR03943 family protein', NULL, 'TIGR03943', NULL, NULL, NULL, 9),
(25561, NULL, 'TIGR00485', NULL, NULL, 'EF-Tu: translation elongation factor Tu', NULL, 'TIGR00485', NULL, NULL, NULL, 9),
(25562, NULL, 'TIGR01987', NULL, NULL, 'HI0074: nucleotidyltransferase substrate binding protein, HI0074 family', NULL, 'TIGR01987', NULL, NULL, NULL, 9),
(25563, NULL, 'TIGR00832', NULL, NULL, 'acr3: arsenical-resistance protein', NULL, 'TIGR00832', NULL, NULL, NULL, 9),
(25564, NULL, 'TIGR03152', NULL, NULL, 'cyto_c552_HCOOH: formate-dependent cytochrome c nitrite reductase, c552 subunit', NULL, 'TIGR03152', NULL, NULL, NULL, 9),
(25565, NULL, 'TIGR03353', NULL, NULL, 'VI_chp_4: type VI secretion protein, VC_A0114 family', NULL, 'TIGR03353', NULL, NULL, NULL, 9),
(25566, NULL, 'TIGR04411', NULL, NULL, 'T2SS_GspN_Lepto: type II secretion system protein N', NULL, 'TIGR04411', NULL, NULL, NULL, 9),
(25567, NULL, 'TIGR03700', NULL, NULL, 'mena_SCO4494: putative menaquinone biosynthesis radical SAM enzyme, SCO4494 family', NULL, 'TIGR03700', NULL, NULL, NULL, 9),
(25568, NULL, 'TIGR02148', NULL, NULL, 'Fibro_Slime: fibro-slime domain', NULL, 'TIGR02148', NULL, NULL, NULL, 9),
(25569, NULL, 'TIGR03138', NULL, NULL, 'QueF: queuine synthase', NULL, 'TIGR03138', NULL, NULL, NULL, 9),
(25570, NULL, 'TIGR01182', NULL, NULL, 'eda: 2-dehydro-3-deoxyphosphogluconate aldolase/4-hydroxy-2-oxoglutarate aldolase', NULL, 'TIGR01182', NULL, NULL, NULL, 9),
(25571, NULL, 'TIGR01942', NULL, NULL, 'pcnB: poly(A) polymerase', NULL, 'TIGR01942', NULL, NULL, NULL, 9),
(25572, NULL, 'TIGR03780', NULL, NULL, 'Bac_Flav_CT_N: Bacteroides conjugative transposon TraN protein', NULL, 'TIGR03780', NULL, NULL, NULL, 9),
(25573, NULL, 'TIGR03407', NULL, NULL, 'urea_ABC_UrtA: urea ABC transporter, urea binding protein', NULL, 'TIGR03407', NULL, NULL, NULL, 9),
(25574, NULL, 'TIGR00362', NULL, NULL, 'DnaA: chromosomal replication initiator protein DnaA', NULL, 'TIGR00362', NULL, NULL, NULL, 9),
(25575, NULL, 'TIGR02212', NULL, NULL, 'lolCE: lipoprotein releasing system, transmembrane protein, LolC/E family', NULL, 'TIGR02212', NULL, NULL, NULL, 9),
(25576, NULL, 'TIGR03957', NULL, NULL, 'rSAM_HmdB: 5,10-methenyltetrahydromethanopterin hydrogenase cofactor biosynthesis protein HmdB', NULL, 'TIGR03957', NULL, NULL, NULL, 9),
(25577, NULL, 'TIGR02547', NULL, NULL, 'casA_cse1: CRISPR type I-E/ECOLI-associated protein CasA/Cse1', NULL, 'TIGR02547', NULL, NULL, NULL, 9),
(25578, NULL, 'TIGR04293', NULL, NULL, 'archaeo_artF: archaeosortase family protein ArtF', NULL, 'TIGR04293', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25579, NULL, 'TIGR03367', NULL, NULL, 'queuosine_QueD: queuosine biosynthesis protein QueD', NULL, 'TIGR03367', NULL, NULL, NULL, 9),
(25580, NULL, 'TIGR01300', NULL, NULL, 'CPA3_mnhG_phaG: monovalent cation/proton antiporter, MnhG/PhaG subunit', NULL, 'TIGR01300', NULL, NULL, NULL, 9),
(25581, NULL, 'TIGR02802', NULL, NULL, 'Pal_lipo: peptidoglycan-associated lipoprotein', NULL, 'TIGR02802', NULL, NULL, NULL, 9),
(25582, NULL, 'TIGR04050', NULL, NULL, 'MSMEG_0567_Cter: AIR synthase-related protein, MSMEG_0567 C-terminal family', NULL, 'TIGR04050', NULL, NULL, NULL, 9),
(25583, NULL, 'TIGR00709', NULL, NULL, 'dat: 2,4-diaminobutyrate 4-transaminase', NULL, 'TIGR00709', NULL, NULL, NULL, 9),
(25584, NULL, 'TIGR02455', NULL, NULL, 'TreS_stutzeri: trehalose synthase', NULL, 'TIGR02455', NULL, NULL, NULL, 9),
(25585, NULL, 'TIGR03714', NULL, NULL, 'secA2: accessory Sec system translocase SecA2', NULL, 'TIGR03714', NULL, NULL, NULL, 9),
(25586, NULL, 'TIGR00938', NULL, NULL, 'thrB_alt: homoserine kinase', NULL, 'TIGR00938', NULL, NULL, NULL, 9),
(25587, NULL, 'TIGR02684', NULL, NULL, 'dnstrm_HI1420: probable addiction module antidote protein', NULL, 'TIGR02684', NULL, NULL, NULL, 9),
(25588, NULL, 'TIGR00440', NULL, NULL, 'glnS: glutamine--tRNA ligase', NULL, 'TIGR00440', NULL, NULL, NULL, 9),
(25589, NULL, 'TIGR03794', NULL, NULL, 'NHLM_micro_HlyD: NHLM bacteriocin system secretion protein', NULL, 'TIGR03794', NULL, NULL, NULL, 9),
(25590, NULL, 'TIGR01104', NULL, NULL, 'V_PPase: V-type H(+)-translocating pyrophosphatase', NULL, 'TIGR01104', NULL, NULL, NULL, 9),
(25591, NULL, 'TIGR01417', NULL, NULL, 'PTS_I_fam: phosphoenolpyruvate-protein phosphotransferase', NULL, 'TIGR01417', NULL, NULL, NULL, 9),
(25592, NULL, 'TIGR01391', NULL, NULL, 'dnaG: DNA primase', NULL, 'TIGR01391', NULL, NULL, NULL, 9),
(25593, NULL, 'TIGR00287', NULL, NULL, 'cas1: CRISPR-associated endonuclease Cas1', NULL, 'TIGR00287', NULL, NULL, NULL, 9),
(25594, NULL, 'TIGR02963', NULL, NULL, 'xanthine_xdhA: xanthine dehydrogenase, small subunit', NULL, 'TIGR02963', NULL, NULL, NULL, 9),
(25595, NULL, 'TIGR03024', NULL, NULL, 'arch_PEF_CTERM: PEF-CTERM protein sorting domain', NULL, 'TIGR03024', NULL, NULL, NULL, 9),
(25596, NULL, 'TIGR03507', NULL, NULL, 'decahem_SO1788: decaheme c-type cytochrome, OmcA/MtrC family', NULL, 'TIGR03507', NULL, NULL, NULL, 9),
(25597, NULL, 'TIGR03481', NULL, NULL, 'HpnM: hopanoid biosynthesis associated membrane protein HpnM', NULL, 'TIGR03481', NULL, NULL, NULL, 9),
(25598, NULL, 'TIGR00873', NULL, NULL, 'gnd: 6-phosphogluconate dehydrogenase (decarboxylating)', NULL, 'TIGR00873', NULL, NULL, NULL, 9),
(25599, NULL, 'TIGR02793', NULL, NULL, 'nikR: nickel-responsive transcriptional regulator NikR', NULL, 'TIGR02793', NULL, NULL, NULL, 9),
(25600, NULL, 'TIGR01520', NULL, NULL, 'FruBisAldo_II_A: fructose-bisphosphate aldolase, class II', NULL, 'TIGR01520', NULL, NULL, NULL, 9),
(25601, NULL, 'TIGR01288', NULL, NULL, 'nodI: nodulation ABC transporter NodI', NULL, 'TIGR01288', NULL, NULL, NULL, 9),
(25602, NULL, 'TIGR03378', NULL, NULL, 'glycerol3P_GlpB: glycerol-3-phosphate dehydrogenase, anaerobic, B subunit', NULL, 'TIGR03378', NULL, NULL, NULL, 9),
(25603, NULL, 'TIGR03610', NULL, NULL, 'RutC: pyrimidine utilization protein C', NULL, 'TIGR03610', NULL, NULL, NULL, 9),
(25604, NULL, 'TIGR04089', NULL, NULL, 'exp_by_SipW_III: alternate signal-mediated exported protein, RER_14450 family', NULL, 'TIGR04089', NULL, NULL, NULL, 9),
(25605, NULL, 'TIGR00680', NULL, NULL, 'kdpA: K+-transporting ATPase, A subunit', NULL, 'TIGR00680', NULL, NULL, NULL, 9),
(25606, NULL, 'TIGR04458', NULL, NULL, 'CYP450_TxtE: 4-nitrotryptophan synthase', NULL, 'TIGR04458', NULL, NULL, NULL, 9),
(25607, NULL, 'TIGR02368', NULL, NULL, 'dimeth_PyL: dimethylamine:corrinoid methyltransferase', NULL, 'TIGR02368', NULL, NULL, NULL, 9),
(25608, NULL, 'TIGR02770', NULL, NULL, 'nickel_nikD: nickel import ATP-binding protein NikD', NULL, 'TIGR02770', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25609, NULL, 'TIGR01168', NULL, NULL, 'YSIRK_signal: gram-positive signal peptide, YSIRK family', NULL, 'TIGR01168', NULL, NULL, NULL, 9),
(25610, NULL, 'TIGR01426', NULL, NULL, 'MGT: glycosyltransferase, MGT family', NULL, 'TIGR01426', NULL, NULL, NULL, 9),
(25611, NULL, 'TIGR00278', NULL, NULL, 'TIGR00278: putative membrane protein insertion efficiency factor', NULL, 'TIGR00278', NULL, NULL, NULL, 9),
(25612, NULL, 'TIGR04347', NULL, NULL, 'pseudo_SAM_Halo: pseudo-rSAM protein/SPASM domain protein', NULL, 'TIGR04347', NULL, NULL, NULL, 9),
(25613, NULL, 'TIGR03680', NULL, NULL, 'eif2g_arch: translation initiation factor 2, gamma subunit', NULL, 'TIGR03680', NULL, NULL, NULL, 9),
(25614, NULL, 'TIGR03516', NULL, NULL, 'ppisom_GldI: peptidyl-prolyl isomerase, gliding motility-associated', NULL, 'TIGR03516', NULL, NULL, NULL, 9),
(25615, NULL, 'TIGR01590', NULL, NULL, 'yir-bir-cir_Pla: yir/bir/cir-family of variant antigens', NULL, 'TIGR01590', NULL, NULL, NULL, 9),
(25616, NULL, 'TIGR03932', NULL, NULL, 'PIA_icaD: intracellular adhesion protein D', NULL, 'TIGR03932', NULL, NULL, NULL, 9),
(25617, NULL, 'TIGR01007', NULL, NULL, 'eps_fam: capsular exopolysaccharide family', NULL, 'TIGR01007', NULL, NULL, NULL, 9),
(25618, NULL, 'TIGR03850', NULL, NULL, 'bind_CPR_0540: carbohydrate ABC transporter substrate-binding protein, CPR_0540 family', NULL, 'TIGR03850', NULL, NULL, NULL, 9),
(25619, NULL, 'TIGR04517', NULL, NULL, 'rSAM_PoyD: radical SAM family RiPP maturation amino acid epimerase', NULL, 'TIGR04517', NULL, NULL, NULL, 9),
(25620, NULL, 'TIGR01842', NULL, NULL, 'type_I_sec_PrtD: type I secretion system ATPase', NULL, 'TIGR01842', NULL, NULL, NULL, 9),
(25621, NULL, 'TIGR01760', NULL, NULL, 'tape_meas_TP901: phage tail tape measure protein, TP901 family, core region', NULL, 'TIGR01760', NULL, NULL, NULL, 9),
(25622, NULL, 'TIGR00024', NULL, NULL, 'SbcD_rel_arch: putative phosphoesterase', NULL, 'TIGR00024', NULL, NULL, NULL, 9),
(25623, NULL, 'TIGR02784', NULL, NULL, 'addA_alphas: double-strand break repair helicase AddA', NULL, 'TIGR02784', NULL, NULL, NULL, 9),
(25624, NULL, 'TIGR04288', NULL, NULL, 'CGP_CTERM: CGP-CTERM domain', NULL, 'TIGR04288', NULL, NULL, NULL, 9),
(25625, NULL, 'TIGR01663', NULL, NULL, 'PNK-3''Pase: polynucleotide kinase 3''-phosphatase', NULL, 'TIGR01663', NULL, NULL, NULL, 9),
(25626, NULL, 'TIGR03993', NULL, NULL, 'hydrog_HybE: [NiFe] hydrogenase assembly chaperone, HybE family', NULL, 'TIGR03993', NULL, NULL, NULL, 9),
(25627, NULL, 'TIGR00659', NULL, NULL, 'TIGR00659: TIGR00659 family protein', NULL, 'TIGR00659', NULL, NULL, NULL, 9),
(25628, NULL, 'TIGR02852', NULL, NULL, 'spore_dpaB: dipicolinic acid synthetase, B subunit', NULL, 'TIGR02852', NULL, NULL, NULL, 9),
(25629, NULL, 'TIGR01350', NULL, NULL, 'lipoamide_DH: dihydrolipoyl dehydrogenase', NULL, 'TIGR01350', NULL, NULL, NULL, 9),
(25630, NULL, 'TIGR02307', NULL, NULL, 'RNA_lig_RNL2: RNA ligase, Rnl2 family', NULL, 'TIGR02307', NULL, NULL, NULL, 9),
(25631, NULL, 'TIGR02819', NULL, NULL, 'fdhA_non_GSH: formaldehyde dehydrogenase, glutathione-independent', NULL, 'TIGR02819', NULL, NULL, NULL, 9),
(25632, NULL, 'TIGR04048', NULL, NULL, 'nitrile_sll0784: putative nitrilase, sll0784 family', NULL, 'TIGR04048', NULL, NULL, NULL, 9),
(25633, NULL, 'TIGR03147', NULL, NULL, 'cyt_nit_nrfF: cytochrome c nitrite reductase, accessory protein NrfF', NULL, 'TIGR03147', NULL, NULL, NULL, 9),
(25634, NULL, 'TIGR03337', NULL, NULL, 'phnR: phosphonate utilization transcriptional regulator PhnR', NULL, 'TIGR03337', NULL, NULL, NULL, 9),
(25635, NULL, 'TIGR01833', NULL, NULL, 'HMG-CoA-S_euk: hydroxymethylglutaryl-CoA synthase', NULL, 'TIGR01833', NULL, NULL, NULL, 9),
(25636, NULL, 'TIGR04218', NULL, NULL, 'TOMM_plantaz: ribosomal natural product, plantazolicin-class', NULL, 'TIGR04218', NULL, NULL, NULL, 9),
(25637, NULL, 'TIGR02137', NULL, NULL, 'HSK-PSP: phosphoserine phosphatase/homoserine phosphotransferase bifunctional protein', NULL, 'TIGR02137', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25638, NULL, 'TIGR03671', NULL, NULL, 'cca_archaeal: CCA-adding enzyme', NULL, 'TIGR03671', NULL, NULL, NULL, 9),
(25639, NULL, 'TIGR00457', NULL, NULL, 'asnS: asparagine--tRNA ligase', NULL, 'TIGR00457', NULL, NULL, NULL, 9),
(25640, NULL, 'TIGR00038', NULL, NULL, 'efp: translation elongation factor P', NULL, 'TIGR00038', NULL, NULL, NULL, 9),
(25641, NULL, 'TIGR01297', NULL, NULL, 'CDF: cation diffusion facilitator family transporter', NULL, 'TIGR01297', NULL, NULL, NULL, 9),
(25642, NULL, 'TIGR02360', NULL, NULL, 'pbenz_hydroxyl: 4-hydroxybenzoate 3-monooxygenase', NULL, 'TIGR02360', NULL, NULL, NULL, 9),
(25643, NULL, 'TIGR04034', NULL, NULL, 'export_SdpA: antimicrobial peptide system protein, SdpA family', NULL, 'TIGR04034', NULL, NULL, NULL, 9),
(25644, NULL, 'TIGR01467', NULL, NULL, 'cobI_cbiL: precorrin-2 C(20)-methyltransferase', NULL, 'TIGR01467', NULL, NULL, NULL, 9),
(25645, NULL, 'TIGR03973', NULL, NULL, 'six_Cys_in_45: six-cysteine peptide SCIFF', NULL, 'TIGR03973', NULL, NULL, NULL, 9),
(25646, NULL, 'TIGR04145', NULL, NULL, 'Firmicu_CTERM: Firmicu-CTERM domain', NULL, 'TIGR04145', NULL, NULL, NULL, 9),
(25647, NULL, 'TIGR00823', NULL, NULL, 'EIIA-LAC: PTS system, lactose-specific IIa component', NULL, 'TIGR00823', NULL, NULL, NULL, 9),
(25648, NULL, 'TIGR02327', NULL, NULL, 'int_mem_ywzB: conserved hypothetical integral membrane protein', NULL, 'TIGR02327', NULL, NULL, NULL, 9),
(25649, NULL, 'TIGR03829', NULL, NULL, 'YokU_near_AblA: uncharacterized protein, YokU family', NULL, 'TIGR03829', NULL, NULL, NULL, 9),
(25650, NULL, 'TIGR02530', NULL, NULL, 'flg_new: flagellar operon protein', NULL, 'TIGR02530', NULL, NULL, NULL, 9),
(25651, NULL, 'TIGR04204', NULL, NULL, 'MAST_ArtA_sort: MAST domain', NULL, 'TIGR04204', NULL, NULL, NULL, 9),
(25652, NULL, 'TIGR02471', NULL, NULL, 'sucr_syn_bact_C: sucrose-phosphate synthase, sucrose phosphatase-like domain', NULL, 'TIGR02471', NULL, NULL, NULL, 9),
(25653, NULL, 'TIGR02123', NULL, NULL, 'TRAP_fused: TRAP transporter, 4TM/12TM fusion protein', NULL, 'TIGR02123', NULL, NULL, NULL, 9),
(25654, NULL, 'TIGR03278', NULL, NULL, 'methan_mark_10: methanogenesis marker radical SAM protein', NULL, 'TIGR03278', NULL, NULL, NULL, 9),
(25655, NULL, 'TIGR04382', NULL, NULL, 'myo_inos_iolC_N: 5-dehydro-2-deoxygluconokinase', NULL, 'TIGR04382', NULL, NULL, NULL, 9),
(25656, NULL, 'TIGR01188', NULL, NULL, 'drrA: daunorubicin resistance ABC transporter, ATP-binding protein', NULL, 'TIGR01188', NULL, NULL, NULL, 9),
(25657, NULL, 'TIGR03038', NULL, NULL, 'PS_II_psbM: photosystem II reaction center protein PsbM', NULL, 'TIGR03038', NULL, NULL, NULL, 9),
(25658, NULL, 'TIGR02069', NULL, NULL, 'cyanophycinase: cyanophycinase', NULL, 'TIGR02069', NULL, NULL, NULL, 9),
(25659, NULL, 'TIGR02983', NULL, NULL, 'SigE-fam_strep: RNA polymerase sigma-70 factor, sigma-E family', NULL, 'TIGR02983', NULL, NULL, NULL, 9),
(25660, NULL, 'TIGR00033', NULL, NULL, 'aroC: chorismate synthase', NULL, 'TIGR00033', NULL, NULL, NULL, 9),
(25661, NULL, 'TIGR02005', NULL, NULL, 'PTS-IIBC-alpha: PTS system, alpha-glucoside-specific IIBC component', NULL, 'TIGR02005', NULL, NULL, NULL, 9),
(25662, NULL, 'TIGR02919', NULL, NULL, 'TIGR02919: accessory Sec system glycosyltransferase GtfB', NULL, 'TIGR02919', NULL, NULL, NULL, 9),
(25663, NULL, 'TIGR02893', NULL, NULL, 'spore_yabQ: spore cortex biosynthesis protein YabQ', NULL, 'TIGR02893', NULL, NULL, NULL, 9),
(25664, NULL, 'TIGR03800', NULL, NULL, 'PLP_synth_Pdx2: pyridoxal 5''-phosphate synthase, glutaminase subunit Pdx2', NULL, 'TIGR03800', NULL, NULL, NULL, 9),
(25665, NULL, 'TIGR03862', NULL, NULL, 'flavo_PP4765: flavoprotein, TIGR03862 family', NULL, 'TIGR03862', NULL, NULL, NULL, 9),
(25666, NULL, 'TIGR04526', NULL, NULL, 'predic_Ig_block: putative immunoglobulin-blocking virulence protein', NULL, 'TIGR04526', NULL, NULL, NULL, 9),
(25667, NULL, 'TIGR01098', NULL, NULL, '3A0109s03R: phosphate/phosphite/phosphonate ABC transporter, periplasmic binding protein', NULL, 'TIGR01098', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25668, NULL, 'TIGR00580', NULL, NULL, 'mfd: transcription-repair coupling factor', NULL, 'TIGR00580', NULL, NULL, NULL, 9),
(25669, NULL, 'TIGR00932', NULL, NULL, '2a37: transporter, monovalent cation:proton antiporter-2 (CPA2) family', NULL, 'TIGR00932', NULL, NULL, NULL, 9),
(25670, NULL, 'TIGR01710', NULL, NULL, 'typeII_sec_gspG: type II secretion system protein G', NULL, 'TIGR01710', NULL, NULL, NULL, 9),
(25671, NULL, 'TIGR03864', NULL, NULL, 'PQQ_ABC_ATP: ABC transporter, ATP-binding subunit, PQQ-dependent alcohol dehydrogenase system', NULL, 'TIGR03864', NULL, NULL, NULL, 9),
(25672, NULL, 'TIGR03448', NULL, NULL, 'mycothiol_MshD: mycothiol synthase', NULL, 'TIGR03448', NULL, NULL, NULL, 9),
(25673, NULL, 'TIGR00838', NULL, NULL, 'argH: argininosuccinate lyase', NULL, 'TIGR00838', NULL, NULL, NULL, 9),
(25674, NULL, 'TIGR01901', NULL, NULL, 'adhes_NPXG: filamentous hemagglutinin family N-terminal domain', NULL, 'TIGR01901', NULL, NULL, NULL, 9),
(25675, NULL, 'TIGR00750', NULL, NULL, 'lao: LAO/AO transport system ATPase', NULL, 'TIGR00750', NULL, NULL, NULL, 9),
(25676, NULL, 'TIGR04157', NULL, NULL, 'glyco_rSAM_CFB: glycosyltransferase, GG-Bacteroidales peptide system', NULL, 'TIGR04157', NULL, NULL, NULL, 9),
(25677, NULL, 'TIGR04268', NULL, NULL, 'FxSxx-COOH: FXSXX-COOH protein', NULL, 'TIGR04268', NULL, NULL, NULL, 9),
(25678, NULL, 'TIGR00510', NULL, NULL, 'lipA: lipoyl synthase', NULL, 'TIGR00510', NULL, NULL, NULL, 9),
(25679, NULL, 'TIGR01358', NULL, NULL, 'DAHP_synth_II: 3-deoxy-7-phosphoheptulonate synthase', NULL, 'TIGR01358', NULL, NULL, NULL, 9),
(25680, NULL, 'TIGR02178', NULL, NULL, 'yeiP: elongation factor P-like protein YeiP', NULL, 'TIGR02178', NULL, NULL, NULL, 9),
(25681, NULL, 'TIGR00203', NULL, NULL, 'cydB: cytochrome d ubiquinol oxidase, subunit II', NULL, 'TIGR00203', NULL, NULL, NULL, 9),
(25682, NULL, 'TIGR03208', NULL, NULL, 'cyc_hxne_CoA_lg: cyclohexanecarboxylate-CoA ligase', NULL, 'TIGR03208', NULL, NULL, NULL, 9),
(25683, NULL, 'TIGR02237', NULL, NULL, 'recomb_radB: DNA repair and recombination protein RadB', NULL, 'TIGR02237', NULL, NULL, NULL, 9),
(25684, NULL, 'TIGR04075', NULL, NULL, 'bacter_Pnkp: polynucleotide kinase-phosphatase', NULL, 'TIGR04075', NULL, NULL, NULL, 9),
(25685, NULL, 'TIGR00340', NULL, NULL, 'zpr1_rel: zinc finger protein ZPR1 homolog', NULL, 'TIGR00340', NULL, NULL, NULL, 9),
(25686, NULL, 'TIGR02600', NULL, NULL, 'Verru_Chthon_A: Verru_Chthon cassette protein A', NULL, 'TIGR02600', NULL, NULL, NULL, 9),
(25687, NULL, 'TIGR02928', NULL, NULL, 'TIGR02928: orc1/cdc6 family replication initiation protein', NULL, 'TIGR02928', NULL, NULL, NULL, 9),
(25688, NULL, 'TIGR01570', NULL, NULL, 'A_thal_3588: uncharacterized plant-specific domain TIGR01570', NULL, 'TIGR01570', NULL, NULL, NULL, 9),
(25689, NULL, 'TIGR02067', NULL, NULL, 'his_9_HisN: histidinol-phosphatase', NULL, 'TIGR02067', NULL, NULL, NULL, 9),
(25690, NULL, 'TIGR04098', NULL, NULL, 'biosyn_clust_1: biosynthesis cluster domain', NULL, 'TIGR04098', NULL, NULL, NULL, 9),
(25691, NULL, 'TIGR04327', NULL, NULL, 'OMP_LA_2444: outer membrane protein, LA_2444/LA_4059 family', NULL, 'TIGR04327', NULL, NULL, NULL, 9),
(25692, NULL, 'TIGR00694', NULL, NULL, 'thiM: hydroxyethylthiazole kinase', NULL, 'TIGR00694', NULL, NULL, NULL, 9),
(25693, NULL, 'TIGR02430', NULL, NULL, 'pcaF: 3-oxoadipyl-CoA thiolase', NULL, 'TIGR02430', NULL, NULL, NULL, 9),
(25694, NULL, 'TIGR04391', NULL, NULL, 'CcmD_alt_fam: CcmD family protein', NULL, 'TIGR04391', NULL, NULL, NULL, 9),
(25695, NULL, 'TIGR01282', NULL, NULL, 'nifD: nitrogenase molybdenum-iron protein alpha chain', NULL, 'TIGR01282', NULL, NULL, NULL, 9),
(25696, NULL, 'TIGR02251', NULL, NULL, 'HIF-SF_euk: dullard-like phosphatase domain', NULL, 'TIGR02251', NULL, NULL, NULL, 9),
(25697, NULL, 'TIGR02114', NULL, NULL, 'coaB_strep: phosphopantothenate--cysteine ligase', NULL, 'TIGR02114', NULL, NULL, NULL, 9);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25698, NULL, 'TIGR03753', NULL, NULL, 'blh_monoox: beta-carotene 15,15''-monooxygenase, Brp/Blh family', NULL, 'TIGR03753', NULL, NULL, NULL, 9),
(25699, NULL, 'TIGR00729', NULL, NULL, 'TIGR00729: ribonuclease HII', NULL, 'TIGR00729', NULL, NULL, NULL, 9),
(25700, NULL, 'TIGR03630', NULL, NULL, 'uS17_arch: ribosomal protein uS17', NULL, 'TIGR03630', NULL, NULL, NULL, 9),
(25701, NULL, 'TIGR02749', NULL, NULL, 'prenyl_cyano: solanesyl diphosphate synthase', NULL, 'TIGR02749', NULL, NULL, NULL, 9),
(25702, NULL, 'TIGR04084', NULL, NULL, 'rSAM_AF0577: putative peptide-modifying radical SAM enzyme, AF0577 family', NULL, 'TIGR04084', NULL, NULL, NULL, 9),
(25703, NULL, 'TIGR00762', NULL, NULL, 'DegV: EDD domain protein, DegV family', NULL, 'TIGR00762', NULL, NULL, NULL, 9),
(25704, NULL, 'TIGR00217', NULL, NULL, 'malQ: 4-alpha-glucanotransferase', NULL, 'TIGR00217', NULL, NULL, NULL, 9),
(25705, NULL, 'TIGR00387', NULL, NULL, 'glcD: glycolate oxidase, subunit GlcD', NULL, 'TIGR00387', NULL, NULL, NULL, 9),
(25706, NULL, 'TIGR02421', NULL, NULL, 'QEGLA: conserved hypothetical protein', NULL, 'TIGR02421', NULL, NULL, NULL, 9),
(25707, NULL, 'TIGR03923', NULL, NULL, 'T7SS_EccE: type VII secretion protein EccE', NULL, 'TIGR03923', NULL, NULL, NULL, 9),
(25708, NULL, 'TIGR01733', NULL, NULL, 'AA-adenyl-dom: amino acid adenylation domain', NULL, 'TIGR01733', NULL, NULL, NULL, 9),
(25709, NULL, 'TIGR04254', NULL, NULL, 'OpituPEPCTERM_1: putative globular PEP-CTERM protein', NULL, 'TIGR04254', NULL, NULL, NULL, 9),
(25710, NULL, 'TIGR01247', NULL, NULL, 'drrB: daunorubicin resistance ABC transporter membrane protein', NULL, 'TIGR01247', NULL, NULL, NULL, 9),
(25711, NULL, 'TIGR02128', NULL, NULL, 'G6PI_arch: bifunctional phosphoglucose/phosphomannose isomerase', NULL, 'TIGR02128', NULL, NULL, NULL, 9),
(25712, NULL, 'TIGR03694', NULL, NULL, 'exosort_acyl: N-acyl amino acid synthase, PEP-CTERM/exosortase system-associated', NULL, 'TIGR03694', NULL, NULL, NULL, 9),
(25713, NULL, 'TIGR03590', NULL, NULL, 'PseG: UDP-2,4-diacetamido-2,4,6-trideoxy-beta-L-altropyranose hydrolase', NULL, 'TIGR03590', NULL, NULL, NULL, 9),
(25714, NULL, 'TIGR01903', NULL, NULL, 'cas5_csm4: CRISPR type III-A/MTUBE-associated RAMP protein Csm4', NULL, 'TIGR01903', NULL, NULL, NULL, 9),
(25715, NULL, 'TIGR04450', NULL, NULL, 'Gpos_C8_like: putative immunity protein/bacteriocin', NULL, 'TIGR04450', NULL, NULL, NULL, 9),
(25716, NULL, 'TIGR01719', NULL, NULL, 'euk_UDPppase: uridine phosphorylase', NULL, 'TIGR01719', NULL, NULL, NULL, 9),
(25717, NULL, 'TIGR00571', NULL, NULL, 'dam: DNA adenine methylase', NULL, 'TIGR00571', NULL, NULL, NULL, 9),
(25718, NULL, 'TIGR02055', NULL, NULL, 'APS_reductase: adenylylsulfate reductase, thioredoxin dependent', NULL, 'TIGR02055', NULL, NULL, NULL, 9),
(25719, NULL, 'TIGR03557', NULL, NULL, 'F420_G6P_family: F420-dependent oxidoreductase, G6PDH family', NULL, 'TIGR03557', NULL, NULL, NULL, 9),
(25720, NULL, 'TIGR03099', NULL, NULL, 'dCO2ase_PEP1: pyridoxal-dependent decarboxylase, exosortase A system-associated', NULL, 'TIGR03099', NULL, NULL, NULL, 9),
(25721, NULL, 'TIGR00106', NULL, NULL, 'TIGR00106: uncharacterized protein, MTH1187 family', NULL, 'TIGR00106', NULL, NULL, NULL, 9),
(25722, NULL, 'TIGR01549', NULL, NULL, 'HAD-SF-IA-v1: HAD hydrolase, family IA, variant 1', NULL, 'TIGR01549', NULL, NULL, NULL, 9),
(25723, NULL, 'TIGR03446', NULL, NULL, 'mycothiol_Mca: mycothiol conjugate amidase Mca', NULL, 'TIGR03446', NULL, NULL, NULL, 9),
(25724, NULL, 'TIGR01608', NULL, NULL, 'citD: citrate lyase acyl carrier protein', NULL, 'TIGR01608', NULL, NULL, NULL, 9),
(25725, NULL, 'TIGR04561', NULL, NULL, 'membra_charge: integral membrane protein', NULL, 'TIGR04561', NULL, NULL, NULL, 9),
(25726, NULL, 'TIGR03269', NULL, NULL, 'met_CoM_red_A2: methyl coenzyme M reductase system, component A2', NULL, 'TIGR03269', NULL, NULL, NULL, 9),
(25727, NULL, 'TIGR04417', NULL, NULL, 'PFTS_polysacc: polysaccharide biosynthesis PFTS motif protein', NULL, 'TIGR04417', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25728, NULL, 'TIGR03616', NULL, NULL, 'RutG: pyrimidine utilization transport protein G', NULL, 'TIGR03616', NULL, NULL, NULL, 9),
(25729, NULL, 'TIGR00326', NULL, NULL, 'eubact_ribD: riboflavin biosynthesis protein RibD', NULL, 'TIGR00326', NULL, NULL, NULL, 9),
(25730, NULL, 'TIGR03331', NULL, NULL, 'SAM_DCase_Eco: S-adenosylmethionine decarboxylase proenzyme', NULL, 'TIGR03331', NULL, NULL, NULL, 9),
(25731, NULL, 'TIGR00272', NULL, NULL, 'DPH2: diphthamide biosynthesis protein 2', NULL, 'TIGR00272', NULL, NULL, NULL, 9),
(25732, NULL, 'TIGR04143', NULL, NULL, 'VPxxxP_CTERM: VPXXXP-CTERM protein sorting domain', NULL, 'TIGR04143', NULL, NULL, NULL, 9),
(25733, NULL, 'TIGR02933', NULL, NULL, 'nifM_nitrog: nitrogen fixation protein NifM', NULL, 'TIGR02933', NULL, NULL, NULL, 9),
(25734, NULL, 'TIGR01138', NULL, NULL, 'cysM: cysteine synthase B', NULL, 'TIGR01138', NULL, NULL, NULL, 9),
(25735, NULL, 'TIGR02362', NULL, NULL, 'dhaK1b: probable dihydroxyacetone kinase DhaK1b subunit', NULL, 'TIGR02362', NULL, NULL, NULL, 9),
(25736, NULL, 'TIGR02259', NULL, NULL, 'benz_CoA_red_A: benzoyl-CoA reductase, subunit A', NULL, 'TIGR02259', NULL, NULL, NULL, 9),
(25737, NULL, 'TIGR00169', NULL, NULL, 'leuB: 3-isopropylmalate dehydrogenase', NULL, 'TIGR00169', NULL, NULL, NULL, 9),
(25738, NULL, 'TIGR02019', NULL, NULL, 'BchJ: bacteriochlorophyll 4-vinyl reductase', NULL, 'TIGR02019', NULL, NULL, NULL, 9),
(25739, NULL, 'TIGR02729', NULL, NULL, 'Obg_CgtA: Obg family GTPase CgtA', NULL, 'TIGR02729', NULL, NULL, NULL, 9),
(25740, NULL, 'TIGR04179', NULL, NULL, 'rhombo_lipo: rhombotail lipoprotein', NULL, 'TIGR04179', NULL, NULL, NULL, 9),
(25741, NULL, 'TIGR01651', NULL, NULL, 'CobT: cobaltochelatase, CobT subunit', NULL, 'TIGR01651', NULL, NULL, NULL, 9),
(25742, NULL, 'TIGR02089', NULL, NULL, 'TTC: tartrate dehydrogenase', NULL, 'TIGR02089', NULL, NULL, NULL, 9),
(25743, NULL, 'TIGR04349', NULL, NULL, 'rSAM_QueE_gams: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR04349', NULL, NULL, NULL, 9),
(25744, NULL, 'TIGR03938', NULL, NULL, 'deacetyl_PgaB: poly-beta-1,6-N-acetyl-D-glucosamine N-deacetylase PgaB', NULL, 'TIGR03938', NULL, NULL, NULL, 9),
(25745, NULL, 'TIGR00585', NULL, NULL, 'mutl: DNA mismatch repair protein MutL', NULL, 'TIGR00585', NULL, NULL, NULL, 9),
(25746, NULL, 'TIGR01481', NULL, NULL, 'ccpA: catabolite control protein A', NULL, 'TIGR01481', NULL, NULL, NULL, 9),
(25747, NULL, 'TIGR01535', NULL, NULL, 'glucan_glucosid: glucan 1,4-alpha-glucosidase', NULL, 'TIGR01535', NULL, NULL, NULL, 9),
(25748, NULL, 'TIGR01848', NULL, NULL, 'PHA_reg_PhaR: polyhydroxyalkanoate synthesis repressor PhaR', NULL, 'TIGR01848', NULL, NULL, NULL, 9),
(25749, NULL, 'TIGR02675', NULL, NULL, 'tape_meas_nterm: tape measure domain', NULL, 'TIGR02675', NULL, NULL, NULL, 9),
(25750, NULL, 'TIGR01964', NULL, NULL, 'chpXY: CO2 hydration protein', NULL, 'TIGR01964', NULL, NULL, NULL, 9),
(25751, NULL, 'TIGR02192', NULL, NULL, 'HtrL_YibB: protein YibB', NULL, 'TIGR02192', NULL, NULL, NULL, 9),
(25752, NULL, 'TIGR00982', NULL, NULL, 'uS12_E_A: ribosomal protein uS12', NULL, 'TIGR00982', NULL, NULL, NULL, 9),
(25753, NULL, 'TIGR02961', NULL, NULL, 'allantoicase: allantoicase', NULL, 'TIGR02961', NULL, NULL, NULL, 9),
(25754, NULL, 'TIGR04313', NULL, NULL, 'aro_clust_Mycop: aromatic cluster surface protein', NULL, 'TIGR04313', NULL, NULL, NULL, 9),
(25755, NULL, 'TIGR03303', NULL, NULL, 'OM_YaeT: outer membrane protein assembly complex, YaeT protein', NULL, 'TIGR03303', NULL, NULL, NULL, 9),
(25756, NULL, 'TIGR01992', NULL, NULL, 'PTS-IIBC-Tre: PTS system, trehalose-specific IIBC component', NULL, 'TIGR01992', NULL, NULL, NULL, 9),
(25757, NULL, 'TIGR03496', NULL, NULL, 'FliI_clade1: flagellar protein export ATPase FliI', NULL, 'TIGR03496', NULL, NULL, NULL, 9),
(25758, NULL, 'TIGR00197', NULL, NULL, 'yjeF_nterm: YjeF family N-terminal domain', NULL, 'TIGR00197', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25759, NULL, 'TIGR01213', NULL, NULL, 'pseudo_Pus10arc: tRNA pseudouridine(54/55) synthase', NULL, 'TIGR01213', NULL, NULL, NULL, 9),
(25760, NULL, 'TIGR00700', NULL, NULL, 'GABAtrnsam: 4-aminobutyrate transaminase', NULL, 'TIGR00700', NULL, NULL, NULL, 9),
(25761, NULL, 'TIGR00639', NULL, NULL, 'PurN: phosphoribosylglycinamide formyltransferase', NULL, 'TIGR00639', NULL, NULL, NULL, 9),
(25762, NULL, 'TIGR01705', NULL, NULL, 'MTA/SAH-nuc-hyp: putative 5''-methylthioadenosine/S-adenosylhomocysteine nucleosidase', NULL, 'TIGR01705', NULL, NULL, NULL, 9),
(25763, NULL, 'TIGR01308', NULL, NULL, 'rpmD_bact: ribosomal protein uL30', NULL, 'TIGR01308', NULL, NULL, NULL, 9),
(25764, NULL, 'TIGR02997', NULL, NULL, 'Sig70-cyanoRpoD: RNA polymerase sigma factor, cyanobacterial RpoD-like family', NULL, 'TIGR02997', NULL, NULL, NULL, 9),
(25765, NULL, 'TIGR02620', NULL, NULL, 'cas_VVA1548: putative CRISPR-associated protein, VVA1548 family', NULL, 'TIGR02620', NULL, NULL, NULL, 9),
(25766, NULL, 'TIGR03644', NULL, NULL, 'marine_trans_1: probable ammonium transporter, marine subtype', NULL, 'TIGR03644', NULL, NULL, NULL, 9),
(25767, NULL, 'TIGR00455', NULL, NULL, 'apsK: adenylyl-sulfate kinase', NULL, 'TIGR00455', NULL, NULL, NULL, 9),
(25768, NULL, 'TIGR03228', NULL, NULL, 'anthran_1_2_A: anthranilate 1,2-dioxygenase, large subunit', NULL, 'TIGR03228', NULL, NULL, NULL, 9),
(25769, NULL, 'TIGR00530', NULL, NULL, 'AGP_acyltrn: 1-acylglycerol-3-phosphate O-acyltransferases', NULL, 'TIGR00530', NULL, NULL, NULL, 9),
(25770, NULL, 'TIGR03814', NULL, NULL, 'Gln_ase: glutaminase A', NULL, 'TIGR03814', NULL, NULL, NULL, 9),
(25771, NULL, 'TIGR00128', NULL, NULL, 'fabD: malonyl CoA-acyl carrier protein transacylase', NULL, 'TIGR00128', NULL, NULL, NULL, 9),
(25772, NULL, 'TIGR03133', NULL, NULL, 'malonate_beta: biotin-independent malonate decarboxylase, beta subunit', NULL, 'TIGR03133', NULL, NULL, NULL, 9),
(25773, NULL, 'TIGR04341', NULL, NULL, 'target_ACGX: ACGX-repeat peptide', NULL, 'TIGR04341', NULL, NULL, NULL, 9),
(25774, NULL, 'TIGR00954', NULL, NULL, '3a01203: peroxysomal long chain fatty acyl transporter', NULL, 'TIGR00954', NULL, NULL, NULL, 9),
(25775, NULL, 'TIGR02804', NULL, NULL, 'ExbD_2: TonB system transport protein ExbD', NULL, 'TIGR02804', NULL, NULL, NULL, 9),
(25776, NULL, 'TIGR01336', NULL, NULL, 'psaB: photosystem I core protein PsaB', NULL, 'TIGR01336', NULL, NULL, NULL, 9),
(25777, NULL, 'TIGR02164', NULL, NULL, 'torA: trimethylamine-N-oxide reductase TorA', NULL, 'TIGR02164', NULL, NULL, NULL, 9),
(25778, NULL, 'TIGR02491', NULL, NULL, 'NrdG: anaerobic ribonucleoside-triphosphate reductase activating protein', NULL, 'TIGR02491', NULL, NULL, NULL, 9),
(25779, NULL, 'TIGR00469', NULL, NULL, 'pheS_mito: phenylalanine--tRNA ligase', NULL, 'TIGR00469', NULL, NULL, NULL, 9),
(25780, NULL, 'TIGR04000', NULL, NULL, 'thiol_BshB2: bacillithiol biosynthesis deacetylase BshB2', NULL, 'TIGR04000', NULL, NULL, NULL, 9),
(25781, NULL, 'TIGR02287', NULL, NULL, 'PaaY: phenylacetic acid degradation protein PaaY', NULL, 'TIGR02287', NULL, NULL, NULL, 9),
(25782, NULL, 'TIGR03979', NULL, NULL, 'His_Ser_Rich: His-Xaa-Ser repeat protein HxsA', NULL, 'TIGR03979', NULL, NULL, NULL, 9),
(25783, NULL, 'TIGR02477', NULL, NULL, 'PFKA_PPi: diphosphate--fructose-6-phosphate 1-phosphotransferase', NULL, 'TIGR02477', NULL, NULL, NULL, 9),
(25784, NULL, 'TIGR04511', NULL, NULL, 'SagB_rel_DH_2: putative peptide maturation dehydrogenase', NULL, 'TIGR04511', NULL, NULL, NULL, 9),
(25785, NULL, 'TIGR00490', NULL, NULL, 'aEF-2: translation elongation factor aEF-2', NULL, 'TIGR00490', NULL, NULL, NULL, 9),
(25786, NULL, 'TIGR02634', NULL, NULL, 'xylF: D-xylose ABC transporter, D-xylose-binding protein', NULL, 'TIGR02634', NULL, NULL, NULL, 9),
(25787, NULL, 'TIGR03666', NULL, NULL, 'Rv2061_F420: PPOX class probable F420-dependent enzyme, Rv2061 family', NULL, 'TIGR03666', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25788, NULL, 'TIGR00784', NULL, NULL, 'citMHS: citrate transporter', NULL, 'TIGR00784', NULL, NULL, NULL, 9),
(25789, NULL, 'TIGR03501', NULL, NULL, 'GlyGly_CTERM: GlyGly-CTERM domain', NULL, 'TIGR03501', NULL, NULL, NULL, 9),
(25790, NULL, 'TIGR00156', NULL, NULL, 'TIGR00156: TIGR00156 family protein', NULL, 'TIGR00156', NULL, NULL, NULL, 9),
(25791, NULL, 'TIGR01951', NULL, NULL, 'nusB: transcription antitermination factor NusB', NULL, 'TIGR01951', NULL, NULL, NULL, 9),
(25792, NULL, 'TIGR00312', NULL, NULL, 'cbiD: cobalamin biosynthesis protein CbiD', NULL, 'TIGR00312', NULL, NULL, NULL, 9),
(25793, NULL, 'TIGR02799', NULL, NULL, 'thio_ybgC: tol-pal system-associated acyl-CoA thioesterase', NULL, 'TIGR02799', NULL, NULL, NULL, 9),
(25794, NULL, 'TIGR00142', NULL, NULL, 'hycI: hydrogenase maturation peptidase HycI', NULL, 'TIGR00142', NULL, NULL, NULL, 9),
(25795, NULL, 'TIGR04014', NULL, NULL, 'B12_SAM_MJ_0865: B12-binding domain/radical SAM domain protein, MJ_0865 family', NULL, 'TIGR04014', NULL, NULL, NULL, 9),
(25796, NULL, 'TIGR00653', NULL, NULL, 'GlnA: glutamine synthetase, type I', NULL, 'TIGR00653', NULL, NULL, NULL, 9),
(25797, NULL, 'TIGR01978', NULL, NULL, 'sufC: FeS assembly ATPase SufC', NULL, 'TIGR01978', NULL, NULL, NULL, 9),
(25798, NULL, 'TIGR01009', NULL, NULL, 'rpsC_bact: ribosomal protein uS3', NULL, 'TIGR01009', NULL, NULL, NULL, 9),
(25799, NULL, 'TIGR02969', NULL, NULL, 'mam_aldehyde_ox: aldehyde oxidase', NULL, 'TIGR02969', NULL, NULL, NULL, 9),
(25800, NULL, 'TIGR03174', NULL, NULL, 'cas_Csc3: CRISPR type I-D/CYANO-associated protein Csc3/Cas10d', NULL, 'TIGR03174', NULL, NULL, NULL, 9),
(25801, NULL, 'TIGR02661', NULL, NULL, 'MauD: methylamine dehydrogenase accessory protein MauD', NULL, 'TIGR02661', NULL, NULL, NULL, 9),
(25802, NULL, 'TIGR01166', NULL, NULL, 'cbiO: cobalt ABC transporter, ATP-binding protein', NULL, 'TIGR01166', NULL, NULL, NULL, 9),
(25803, NULL, 'TIGR00516', NULL, NULL, 'acpS: holo-[acyl-carrier-protein] synthase', NULL, 'TIGR00516', NULL, NULL, NULL, 9),
(25804, NULL, 'TIGR03521', NULL, NULL, 'GldG: gliding-associated putative ABC transporter substrate-binding component GldG', NULL, 'TIGR03521', NULL, NULL, NULL, 9),
(25805, NULL, 'TIGR01774', NULL, NULL, 'PFL2-3: glycyl radical enzyme, PFL2/glycerol dehydratase family', NULL, 'TIGR01774', NULL, NULL, NULL, 9),
(25806, NULL, 'TIGR02552', NULL, NULL, 'LcrH_SycD: type III secretion low calcium response chaperone LcrH/SycD', NULL, 'TIGR02552', NULL, NULL, NULL, 9),
(25807, NULL, 'TIGR02743', NULL, NULL, 'TraW: type-F conjugative transfer system protein TraW', NULL, 'TIGR02743', NULL, NULL, NULL, 9),
(25808, NULL, 'TIGR02606', NULL, NULL, 'antidote_CC2985: putative addiction module antidote protein, CC2985 family', NULL, 'TIGR02606', NULL, NULL, NULL, 9),
(25809, NULL, 'TIGR03898', NULL, NULL, 'lanti_MRSA_kill: type 2 lantibiotic, mersacidin/lichenicidin family', NULL, 'TIGR03898', NULL, NULL, NULL, 9),
(25810, NULL, 'TIGR01227', NULL, NULL, 'hutG: formimidoylglutamase', NULL, 'TIGR01227', NULL, NULL, NULL, 9),
(25811, NULL, 'TIGR03263', NULL, NULL, 'guanyl_kin: guanylate kinase', NULL, 'TIGR03263', NULL, NULL, NULL, 9),
(25812, NULL, 'TIGR00893', NULL, NULL, '2A0114: D-galactonate transporter', NULL, 'TIGR00893', NULL, NULL, NULL, 9),
(25813, NULL, 'TIGR03317', NULL, NULL, 'ygfZ_signature: folate-binding protein YgfZ', NULL, 'TIGR03317', NULL, NULL, NULL, 9),
(25814, NULL, 'TIGR04472', NULL, NULL, 'reg_rSAM_mob: mobile rSAM pair MarR family regulator', NULL, 'TIGR04472', NULL, NULL, NULL, 9),
(25815, NULL, 'TIGR01173', NULL, NULL, 'glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', NULL, 'TIGR01173', NULL, NULL, NULL, 9),
(25816, NULL, 'TIGR03242', NULL, NULL, 'arg_catab_astE: succinylglutamate desuccinylase', NULL, 'TIGR03242', NULL, NULL, NULL, 9),
(25817, NULL, 'TIGR02033', NULL, NULL, 'D-hydantoinase: dihydropyrimidinase', NULL, 'TIGR02033', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25818, NULL, 'TIGR00346', NULL, NULL, 'azlC: azaleucine resistance protein AzlC', NULL, 'TIGR00346', NULL, NULL, NULL, 9),
(25819, NULL, 'TIGR02382', NULL, NULL, 'wecD_rffC: TDP-D-fucosamine acetyltransferase', NULL, 'TIGR02382', NULL, NULL, NULL, 9),
(25820, NULL, 'TIGR03188', NULL, NULL, 'histidine_hisI: phosphoribosyl-ATP diphosphatase', NULL, 'TIGR03188', NULL, NULL, NULL, 9),
(25821, NULL, 'TIGR04123', NULL, NULL, 'P_estr_lig_assc: metallophosphoesterase, DNA ligase-associated', NULL, 'TIGR04123', NULL, NULL, NULL, 9),
(25822, NULL, 'TIGR00947', NULL, NULL, '2A73: putative bicarbonate transporter, IctB family', NULL, 'TIGR00947', NULL, NULL, NULL, 9),
(25823, NULL, 'TIGR02436', NULL, NULL, 'TIGR02436: four helix bundle protein', NULL, 'TIGR02436', NULL, NULL, NULL, 9),
(25824, NULL, 'TIGR01118', NULL, NULL, 'lacA: galactose-6-phosphate isomerase, LacA subunit', NULL, 'TIGR01118', NULL, NULL, NULL, 9),
(25825, NULL, 'TIGR00544', NULL, NULL, 'lgt: prolipoprotein diacylglyceryl transferase', NULL, 'TIGR00544', NULL, NULL, NULL, 9),
(25826, NULL, 'TIGR00088', NULL, NULL, 'trmD: tRNA (guanine(37)-N(1))-methyltransferase', NULL, 'TIGR00088', NULL, NULL, NULL, 9),
(25827, NULL, 'TIGR00183', NULL, NULL, 'prok_nadp_idh: isocitrate dehydrogenase, NADP-dependent', NULL, 'TIGR00183', NULL, NULL, NULL, 9),
(25828, NULL, 'TIGR04232', NULL, NULL, 'seadorna_VP3: seadornavirus VP3 protein', NULL, 'TIGR04232', NULL, NULL, NULL, 9),
(25829, NULL, 'TIGR01937', NULL, NULL, 'nqrB: NADH:ubiquinone oxidoreductase, Na(+)-translocating, B subunit', NULL, 'TIGR01937', NULL, NULL, NULL, 9),
(25830, NULL, 'TIGR02715', NULL, NULL, 'amido_AtzE: amidohydrolase, AtzE family', NULL, 'TIGR02715', NULL, NULL, NULL, 9),
(25831, NULL, 'TIGR00707', NULL, NULL, 'argD: transaminase, acetylornithine/succinylornithine family', NULL, 'TIGR00707', NULL, NULL, NULL, 9),
(25832, NULL, 'TIGR04402', NULL, NULL, 'mob_CxxC_CxxC: mobilome CxxCx(11)CxxC protein', NULL, 'TIGR04402', NULL, NULL, NULL, 9),
(25833, NULL, 'TIGR03372', NULL, NULL, 'putres_am_tran: putrescine aminotransferase', NULL, 'TIGR03372', NULL, NULL, NULL, 9),
(25834, NULL, 'TIGR01043', NULL, NULL, 'ATP_syn_A_arch: ATP synthase archaeal, A subunit', NULL, 'TIGR01043', NULL, NULL, NULL, 9),
(25835, NULL, 'TIGR02273', NULL, NULL, '16S_RimM: 16S rRNA processing protein RimM', NULL, 'TIGR02273', NULL, NULL, NULL, 9),
(25836, NULL, 'TIGR02198', NULL, NULL, 'rfaE_dom_I: bifunctional protein RfaE, domain I', NULL, 'TIGR02198', NULL, NULL, NULL, 9),
(25837, NULL, 'TIGR00714', NULL, NULL, 'hscB: Fe-S protein assembly co-chaperone HscB', NULL, 'TIGR00714', NULL, NULL, NULL, 9),
(25838, NULL, 'TIGR00074', NULL, NULL, 'hypC_hupF: hydrogenase assembly chaperone HypC/HupF', NULL, 'TIGR00074', NULL, NULL, NULL, 9),
(25839, NULL, 'TIGR00421', NULL, NULL, 'ubiX_pad: polyprenyl P-hydroxybenzoate and phenylacrylic acid decarboxylases', NULL, 'TIGR00421', NULL, NULL, NULL, 9),
(25840, NULL, 'TIGR03079', NULL, NULL, 'CH4_NH3mon_ox_B: methane monooxygenase/ammonia monooxygenase, subunit B', NULL, 'TIGR03079', NULL, NULL, NULL, 9),
(25841, NULL, 'TIGR01404', NULL, NULL, 'FlhB_rel_III: type III secretion protein, YscU/HrpY family', NULL, 'TIGR01404', NULL, NULL, NULL, 9),
(25842, NULL, 'TIGR04567', NULL, NULL, 'RNAP_delt_lowGC: DNA-directed RNA polymerase delta subunit', NULL, 'TIGR04567', NULL, NULL, NULL, 9),
(25843, NULL, 'TIGR03065', NULL, NULL, 'srtB_sig_QVPTGV: sortase B signal domain, QVPTGV class', NULL, 'TIGR03065', NULL, NULL, NULL, 9),
(25844, NULL, 'TIGR00407', NULL, NULL, 'proA: glutamate-5-semialdehyde dehydrogenase', NULL, 'TIGR00407', NULL, NULL, NULL, 9),
(25845, NULL, 'TIGR01057', NULL, NULL, 'topA_arch: DNA topoisomerase I', NULL, 'TIGR01057', NULL, NULL, NULL, 9),
(25846, NULL, 'TIGR03119', NULL, NULL, 'one_C_fhcD: formylmethanofuran--tetrahydromethanopterin N-formyltransferase', NULL, 'TIGR03119', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25847, NULL, 'TIGR03440', NULL, NULL, 'egtB_TIGR03440: ergothioneine biosynthesis protein EgtB', NULL, 'TIGR03440', NULL, NULL, NULL, 9),
(25848, NULL, 'TIGR01699', NULL, NULL, 'XAPA: xanthosine phosphorylase', NULL, 'TIGR01699', NULL, NULL, NULL, 9),
(25849, NULL, 'TIGR03093', NULL, NULL, 'SASP_sspL: small, acid-soluble spore protein L', NULL, 'TIGR03093', NULL, NULL, NULL, 9),
(25850, NULL, 'TIGR02580', NULL, NULL, 'cas_RAMP_Cmr4: CRISPR type III-B/RAMP module RAMP protein Cmr4', NULL, 'TIGR02580', NULL, NULL, NULL, 9),
(25851, NULL, 'TIGR02559', NULL, NULL, 'HrpB7: type III secretion protein HrpB7', NULL, 'TIGR02559', NULL, NULL, NULL, 9),
(25852, NULL, 'TIGR01923', NULL, NULL, 'menE: O-succinylbenzoate-CoA ligase', NULL, 'TIGR01923', NULL, NULL, NULL, 9),
(25853, NULL, 'TIGR03412', NULL, NULL, 'iscX_yfhJ: FeS assembly protein IscX', NULL, 'TIGR03412', NULL, NULL, NULL, 9),
(25854, NULL, 'TIGR02566', NULL, NULL, 'cas_Csy3: CRISPR type I-F/YPEST-associated protein Csy3', NULL, 'TIGR02566', NULL, NULL, NULL, 9),
(25855, NULL, 'TIGR00879', NULL, NULL, 'SP: MFS transporter, sugar porter (SP) family', NULL, 'TIGR00879', NULL, NULL, NULL, 9),
(25856, NULL, 'TIGR01411', NULL, NULL, 'tatAE: twin arginine-targeting protein translocase, TatA/E family', NULL, 'TIGR01411', NULL, NULL, NULL, 9),
(25857, NULL, 'TIGR04397', NULL, NULL, 'SecA2_Bac_anthr: accessory Sec system translocase SecA2', NULL, 'TIGR04397', NULL, NULL, NULL, 9),
(25858, NULL, 'TIGR03884', NULL, NULL, 'sel_bind_Methan: selenium-binding protein', NULL, 'TIGR03884', NULL, NULL, NULL, 9),
(25859, NULL, 'TIGR00381', NULL, NULL, 'cdhD: CO dehydrogenase/acetyl-CoA synthase, delta subunit', NULL, 'TIGR00381', NULL, NULL, NULL, 9),
(25860, NULL, 'TIGR01883', NULL, NULL, 'PepT-like: peptidase T-like protein', NULL, 'TIGR01883', NULL, NULL, NULL, 9),
(25861, NULL, 'TIGR04109', NULL, NULL, 'heme_ox_HugZ: heme oxygenase, HugZ family', NULL, 'TIGR04109', NULL, NULL, NULL, 9),
(25862, NULL, 'TIGR00237', NULL, NULL, 'xseA: exodeoxyribonuclease VII, large subunit', NULL, 'TIGR00237', NULL, NULL, NULL, 9),
(25863, NULL, 'TIGR01739', NULL, NULL, 'tegu_FGAM_synt: herpesvirus tegument protein/v-FGAM-synthase', NULL, 'TIGR01739', NULL, NULL, NULL, 9),
(25864, NULL, 'TIGR01909', NULL, NULL, 'C_GCAxxG_C_C: C_GCAxxG_C_C family protein', NULL, 'TIGR01909', NULL, NULL, NULL, 9),
(25865, NULL, 'TIGR03426', NULL, NULL, 'shape_MreD: rod shape-determining protein MreD', NULL, 'TIGR03426', NULL, NULL, NULL, 9),
(25866, NULL, 'TIGR02913', NULL, NULL, 'HAF_rpt: probable extracellular repeat, HAF family', NULL, 'TIGR02913', NULL, NULL, NULL, 9),
(25867, NULL, 'TIGR03256', NULL, NULL, 'met_CoM_red_alp: methyl-coenzyme M reductase, alpha subunit', NULL, 'TIGR03256', NULL, NULL, NULL, 9),
(25868, NULL, 'TIGR01241', NULL, NULL, 'FtsH_fam: ATP-dependent metallopeptidase HflB', NULL, 'TIGR01241', NULL, NULL, NULL, 9),
(25869, NULL, 'TIGR02396', NULL, NULL, 'diverge_rpsU: rpsU-divergently transcribed protein', NULL, 'TIGR02396', NULL, NULL, NULL, 9),
(25870, NULL, 'TIGR01050', NULL, NULL, 'rpsS_bact: ribosomal protein uS19', NULL, 'TIGR01050', NULL, NULL, NULL, 9),
(25871, NULL, 'TIGR00412', NULL, NULL, 'redox_disulf_2: redox-active disulfide protein 2', NULL, 'TIGR00412', NULL, NULL, NULL, 9),
(25872, NULL, 'TIGR02967', NULL, NULL, 'guan_deamin: guanine deaminase', NULL, 'TIGR02967', NULL, NULL, NULL, 9),
(25873, NULL, 'TIGR00877', NULL, NULL, 'purD: phosphoribosylamine--glycine ligase', NULL, 'TIGR00877', NULL, NULL, NULL, 9),
(25874, NULL, 'TIGR01082', NULL, NULL, 'murC: UDP-N-acetylmuramate--L-alanine ligase', NULL, 'TIGR01082', NULL, NULL, NULL, 9),
(25875, NULL, 'TIGR02999', NULL, NULL, 'Sig-70_X6: RNA polymerase sigma factor, TIGR02999 family', NULL, 'TIGR02999', NULL, NULL, NULL, 9),
(25876, NULL, 'TIGR02534', NULL, NULL, 'mucon_cyclo: muconate and chloromuconate cycloisomerases', NULL, 'TIGR02534', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25877, NULL, 'TIGR03453', NULL, NULL, 'partition_RepA: plasmid partitioning protein RepA', NULL, 'TIGR03453', NULL, NULL, NULL, 9),
(25878, NULL, 'TIGR00605', NULL, NULL, 'rad4: DNA repair protein rad4', NULL, 'TIGR00605', NULL, NULL, NULL, 9),
(25879, NULL, 'TIGR02654', NULL, NULL, 'circ_KaiB: circadian clock protein KaiB', NULL, 'TIGR02654', NULL, NULL, NULL, 9),
(25880, NULL, 'TIGR03052', NULL, NULL, 'PS_I_psaI: photosystem I reaction center subunit VIII', NULL, 'TIGR03052', NULL, NULL, NULL, 9),
(25881, NULL, 'TIGR00444', NULL, NULL, 'mazG: MazG family protein', NULL, 'TIGR00444', NULL, NULL, NULL, 9),
(25882, NULL, 'TIGR01363', NULL, NULL, 'strep_his_triad: streptococcal histidine triad protein', NULL, 'TIGR01363', NULL, NULL, NULL, 9),
(25883, NULL, 'TIGR00564', NULL, NULL, 'trpE_most: anthranilate synthase component I', NULL, 'TIGR00564', NULL, NULL, NULL, 9),
(25884, NULL, 'TIGR00757', NULL, NULL, 'RNaseEG: ribonuclease, Rne/Rng family', NULL, 'TIGR00757', NULL, NULL, NULL, 9),
(25885, NULL, 'TIGR02847', NULL, NULL, 'CyoD: cytochrome o ubiquinol oxidase subunit IV', NULL, 'TIGR02847', NULL, NULL, NULL, 9),
(25886, NULL, 'TIGR02686', NULL, NULL, 'relax_trwC: conjugative relaxase domain', NULL, 'TIGR02686', NULL, NULL, NULL, 9),
(25887, NULL, 'TIGR02194', NULL, NULL, 'GlrX_NrdH: glutaredoxin-like protein NrdH', NULL, 'TIGR02194', NULL, NULL, NULL, 9),
(25888, NULL, 'TIGR02221', NULL, NULL, 'cas_TM1812: CRISPR-associated protein, TM1812 family', NULL, 'TIGR02221', NULL, NULL, NULL, 9),
(25889, NULL, 'TIGR00163', NULL, NULL, 'PS_decarb: phosphatidylserine decarboxylase', NULL, 'TIGR00163', NULL, NULL, NULL, 9),
(25890, NULL, 'TIGR04252', NULL, NULL, 'SCM_precur_ScmA: SynChlorMet cassette protein ScmA', NULL, 'TIGR04252', NULL, NULL, NULL, 9),
(25891, NULL, 'TIGR00131', NULL, NULL, 'gal_kin: galactokinase', NULL, 'TIGR00131', NULL, NULL, NULL, 9),
(25892, NULL, 'TIGR04284', NULL, NULL, 'aldehy_Rv0768: aldehyde dehydrogenase, Rv0768 family', NULL, 'TIGR04284', NULL, NULL, NULL, 9),
(25893, NULL, 'TIGR02162', NULL, NULL, 'torC: trimethylamine-N-oxide reductase c-type cytochrome TorC', NULL, 'TIGR02162', NULL, NULL, NULL, 9),
(25894, NULL, 'TIGR02253', NULL, NULL, 'CTE7: HAD hydrolase, TIGR02253 family', NULL, 'TIGR02253', NULL, NULL, NULL, 9),
(25895, NULL, 'TIGR03172', NULL, NULL, 'TIGR03172: putative selenium-dependent hydroxylase accessory protein YqeC', NULL, 'TIGR03172', NULL, NULL, NULL, 9),
(25896, NULL, 'TIGR03333', NULL, NULL, 'salvage_mtnX: 2-hydroxy-3-keto-5-methylthiopentenyl-1-phosphate phosphatase', NULL, 'TIGR03333', NULL, NULL, NULL, 9),
(25897, NULL, 'TIGR00596', NULL, NULL, 'rad1: DNA repair protein (rad1)', NULL, 'TIGR00596', NULL, NULL, NULL, 9),
(25898, NULL, 'TIGR01855', NULL, NULL, 'IMP_synth_hisH: imidazole glycerol phosphate synthase, glutamine amidotransferase subunit', NULL, 'TIGR01855', NULL, NULL, NULL, 9),
(25899, NULL, 'TIGR03614', NULL, NULL, 'RutB: pyrimidine utilization protein B', NULL, 'TIGR03614', NULL, NULL, NULL, 9),
(25900, NULL, 'TIGR04343', NULL, NULL, 'egtE_PLP_lyase: ergothioneine biosynthesis PLP-dependent enzyme EgtE', NULL, 'TIGR04343', NULL, NULL, NULL, 9),
(25901, NULL, 'TIGR00072', NULL, NULL, 'hydrog_prot: hydrogenase maturation protease', NULL, 'TIGR00072', NULL, NULL, NULL, 9),
(25902, NULL, 'TIGR01243', NULL, NULL, 'CDC48: AAA family ATPase, CDC48 subfamily', NULL, 'TIGR01243', NULL, NULL, NULL, 9),
(25903, NULL, 'TIGR03798', NULL, NULL, 'ocin_TIGR03798: nif11-like leader peptide domain', NULL, 'TIGR03798', NULL, NULL, NULL, 9),
(25904, NULL, 'TIGR01767', NULL, NULL, 'MTRK: S-methyl-5-thioribose kinase', NULL, 'TIGR01767', NULL, NULL, NULL, 9),
(25905, NULL, 'TIGR02502', NULL, NULL, 'type_III_YscX: type III secretion protein, YscX family', NULL, 'TIGR02502', NULL, NULL, NULL, 9),
(25906, NULL, 'TIGR04445', NULL, NULL, 'preny_LynF_TruF: peptide O-prenyltransferase, LynF/TruF/PatF family', NULL, 'TIGR04445', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25907, NULL, 'TIGR03927', NULL, NULL, 'T7SS_EssA_Firm: type VII secretion protein EssA', NULL, 'TIGR03927', NULL, NULL, NULL, 9),
(25908, NULL, 'TIGR04565', NULL, NULL, 'OMP_myx_plus: outer membrane beta-barrel protein', NULL, 'TIGR04565', NULL, NULL, NULL, 9),
(25909, NULL, 'TIGR01957', NULL, NULL, 'nuoB_fam: NADH-quinone oxidoreductase, B subunit', NULL, 'TIGR01957', NULL, NULL, NULL, 9),
(25910, NULL, 'TIGR00936', NULL, NULL, 'ahcY: adenosylhomocysteinase', NULL, 'TIGR00936', NULL, NULL, NULL, 9),
(25911, NULL, 'TIGR01302', NULL, NULL, 'IMP_dehydrog: inosine-5''-monophosphate dehydrogenase', NULL, 'TIGR01302', NULL, NULL, NULL, 9),
(25912, NULL, 'TIGR00385', NULL, NULL, 'dsbE: periplasmic protein thiol:disulfide oxidoreductases, DsbE subfamily', NULL, 'TIGR00385', NULL, NULL, NULL, 9),
(25913, NULL, 'TIGR03664', NULL, NULL, 'fut_nucase: futalosine hydrolase', NULL, 'TIGR03664', NULL, NULL, NULL, 9),
(25914, NULL, 'TIGR02092', NULL, NULL, 'glgD: glucose-1-phosphate adenylyltransferase, GlgD subunit', NULL, 'TIGR02092', NULL, NULL, NULL, 9),
(25915, NULL, 'TIGR01887', NULL, NULL, 'dipeptidaselike: putative dipeptidase', NULL, 'TIGR01887', NULL, NULL, NULL, 9),
(25916, NULL, 'TIGR01735', NULL, NULL, 'FGAM_synt: phosphoribosylformylglycinamidine synthase', NULL, 'TIGR01735', NULL, NULL, NULL, 9),
(25917, NULL, 'TIGR04413', NULL, NULL, 'MYXAN_cmx8: CRISPR type MYXAN-associated protein Cmx8', NULL, 'TIGR04413', NULL, NULL, NULL, 9),
(25918, NULL, 'TIGR03959', NULL, NULL, 'hyd_TM1266: putative iron-only hydrogenase system regulator', NULL, 'TIGR03959', NULL, NULL, NULL, 9),
(25919, NULL, 'TIGR04100', NULL, NULL, 'rSAM_pair_X: radical SAM enzyme, TIGR04100 family', NULL, 'TIGR04100', NULL, NULL, NULL, 9),
(25920, NULL, 'TIGR00233', NULL, NULL, 'trpS: tryptophan--tRNA ligase', NULL, 'TIGR00233', NULL, NULL, NULL, 9),
(25921, NULL, 'TIGR01422', NULL, NULL, 'phosphonatase: phosphonoacetaldehyde hydrolase', NULL, 'TIGR01422', NULL, NULL, NULL, 9),
(25922, NULL, 'TIGR01676', NULL, NULL, 'GLDHase: galactonolactone dehydrogenase', NULL, 'TIGR01676', NULL, NULL, NULL, 9),
(25923, NULL, 'TIGR03646', NULL, NULL, 'YtoQ_fam: YtoQ family protein', NULL, 'TIGR03646', NULL, NULL, NULL, 9),
(25924, NULL, 'TIGR00503', NULL, NULL, 'prfC: peptide chain release factor 3', NULL, 'TIGR00503', NULL, NULL, NULL, 9),
(25925, NULL, 'TIGR03154', NULL, NULL, 'sulfolob_CbsA: cytochrome b558/566, subunit A', NULL, 'TIGR03154', NULL, NULL, NULL, 9),
(25926, NULL, 'TIGR01703', NULL, NULL, 'hybrid_clust: hydroxylamine reductase', NULL, 'TIGR01703', NULL, NULL, NULL, 9),
(25927, NULL, 'TIGR01211', NULL, NULL, 'ELP3: radical SAM enzyme/protein acetyltransferase, ELP3 family', NULL, 'TIGR01211', NULL, NULL, NULL, 9),
(25928, NULL, 'TIGR00968', NULL, NULL, '3a0106s01: sulfate ABC transporter, ATP-binding protein', NULL, 'TIGR00968', NULL, NULL, NULL, 9),
(25929, NULL, 'TIGR02713', NULL, NULL, 'allophanate_hyd: allophanate hydrolase', NULL, 'TIGR02713', NULL, NULL, NULL, 9),
(25930, NULL, 'TIGR03351', NULL, NULL, 'PhnX-like: phosphonatase-like hydrolase', NULL, 'TIGR03351', NULL, NULL, NULL, 9),
(25931, NULL, 'TIGR02373', NULL, NULL, 'photo_yellow: photoactive yellow protein', NULL, 'TIGR02373', NULL, NULL, NULL, 9),
(25932, NULL, 'TIGR00666', NULL, NULL, 'PBP4: D-alanyl-D-alanine carboxypeptidase/D-alanyl-D-alanine-endopeptidase', NULL, 'TIGR00666', NULL, NULL, NULL, 9),
(25933, NULL, 'TIGR01395', NULL, NULL, 'FlgC: flagellar basal-body rod protein FlgC', NULL, 'TIGR01395', NULL, NULL, NULL, 9),
(25934, NULL, 'TIGR00201', NULL, NULL, 'comF: comF family protein', NULL, 'TIGR00201', NULL, NULL, NULL, 9),
(25935, NULL, 'TIGR00725', NULL, NULL, 'TIGR00725: TIGR00725 family protein', NULL, 'TIGR00725', NULL, NULL, NULL, 9),
(25936, NULL, 'TIGR01454', NULL, NULL, 'AHBA_synth_RP: AHBA synthesis associated protein', NULL, 'TIGR01454', NULL, NULL, NULL, 9),
(25937, NULL, 'TIGR04132', NULL, NULL, 'intra_fol_E_lig: putative folate metabolism gamma-glutamate ligase', NULL, 'TIGR04132', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25938, NULL, 'TIGR02897', NULL, NULL, 'QoxC: cytochrome aa3 quinol oxidase, subunit III', NULL, 'TIGR02897', NULL, NULL, NULL, 9),
(25939, NULL, 'TIGR00342', NULL, NULL, 'TIGR00342: tRNA sulfurtransferase ThiI', NULL, 'TIGR00342', NULL, NULL, NULL, 9),
(25940, NULL, 'TIGR00979', NULL, NULL, 'fumC_II: fumarate hydratase, class II', NULL, 'TIGR00979', NULL, NULL, NULL, 9),
(25941, NULL, 'TIGR00859', NULL, NULL, 'ENaC: sodium channel transporter', NULL, 'TIGR00859', NULL, NULL, NULL, 9),
(25942, NULL, 'TIGR00462', NULL, NULL, 'genX: EF-P lysine aminoacylase GenX', NULL, 'TIGR00462', NULL, NULL, NULL, 9),
(25943, NULL, 'TIGR01497', NULL, NULL, 'kdpB: K+-transporting ATPase, B subunit', NULL, 'TIGR01497', NULL, NULL, NULL, 9),
(25944, NULL, 'TIGR02400', NULL, NULL, 'trehalose_OtsA: alpha,alpha-trehalose-phosphate synthase (UDP-forming)', NULL, 'TIGR02400', NULL, NULL, NULL, 9),
(25945, NULL, 'TIGR02917', NULL, NULL, 'PEP_TPR_lipo: putative PEP-CTERM system TPR-repeat lipoprotein', NULL, 'TIGR02917', NULL, NULL, NULL, 9),
(25946, NULL, 'TIGR03555', NULL, NULL, 'F420_mer: 5,10-methylenetetrahydromethanopterin reductase', NULL, 'TIGR03555', NULL, NULL, NULL, 9),
(25947, NULL, 'TIGR02949', NULL, NULL, 'anti_SigH_actin: anti-sigma factor, TIGR02949 family', NULL, 'TIGR02949', NULL, NULL, NULL, 9),
(25948, NULL, 'TIGR01032', NULL, NULL, 'rplT_bact: ribosomal protein bL20', NULL, 'TIGR01032', NULL, NULL, NULL, 9),
(25949, NULL, 'TIGR01152', NULL, NULL, 'psbD: photosystem II D2 protein (photosystem q(a) protein)', NULL, 'TIGR01152', NULL, NULL, NULL, 9),
(25950, NULL, 'TIGR04554', NULL, NULL, '3TM_mycoplas: three transmembrane helix protein', NULL, 'TIGR04554', NULL, NULL, NULL, 9),
(25951, NULL, 'TIGR03748', NULL, NULL, 'conj_PilL: integrating conjugative element protein PilL, PFGI-1 class', NULL, 'TIGR03748', NULL, NULL, NULL, 9),
(25952, NULL, 'TIGR01946', NULL, NULL, 'rnfD: electron transport complex, RnfABCDGE type, D subunit', NULL, 'TIGR01946', NULL, NULL, NULL, 9),
(25953, NULL, 'TIGR01658', NULL, NULL, 'EYA-cons_domain: EYA conserved domain', NULL, 'TIGR01658', NULL, NULL, NULL, 9),
(25954, NULL, 'TIGR02865', NULL, NULL, 'spore_II_E: stage II sporulation protein E', NULL, 'TIGR02865', NULL, NULL, NULL, 9),
(25955, NULL, 'TIGR00698', NULL, NULL, 'TIGR00698: conserved hypothetical protein', NULL, 'TIGR00698', NULL, NULL, NULL, 9),
(25956, NULL, 'TIGR02636', NULL, NULL, 'galM_Leloir: galactose mutarotase', NULL, 'TIGR02636', NULL, NULL, NULL, 9),
(25957, NULL, 'TIGR03274', NULL, NULL, 'methan_mark_7: putative methanogenesis marker protein 7', NULL, 'TIGR03274', NULL, NULL, NULL, 9),
(25958, NULL, 'TIGR01141', NULL, NULL, 'hisC: histidinol-phosphate transaminase', NULL, 'TIGR01141', NULL, NULL, NULL, 9),
(25959, NULL, 'TIGR04202', NULL, NULL, 'capSnatchArena: RNA endonuclease, cap-snatching', NULL, 'TIGR04202', NULL, NULL, NULL, 9),
(25960, NULL, 'TIGR03696', NULL, NULL, 'Rhs_assc_core: RHS repeat-associated core domain', NULL, 'TIGR03696', NULL, NULL, NULL, 9),
(25961, NULL, 'TIGR01665', NULL, NULL, 'put_anti_recept: phage minor structural protein, N-terminal region', NULL, 'TIGR01665', NULL, NULL, NULL, 9),
(25962, NULL, 'TIGR02112', NULL, NULL, 'cyd_oper_ybgE: cyd operon protein YbgE', NULL, 'TIGR02112', NULL, NULL, NULL, 9),
(25963, NULL, 'TIGR03755', NULL, NULL, 'conj_TIGR03755: integrating conjugative element protein, PFL_4711 family', NULL, 'TIGR03755', NULL, NULL, NULL, 9),
(25964, NULL, 'TIGR02584', NULL, NULL, 'cas_NE0113: CRISPR-associated protein, NE0113 family', NULL, 'TIGR02584', NULL, NULL, NULL, 9),
(25965, NULL, 'TIGR00802', NULL, NULL, 'nico: transition metal uptake transporter, Ni2+-Co2+ transporter (NiCoT) family', NULL, 'TIGR00802', NULL, NULL, NULL, 9),
(25966, NULL, 'TIGR00514', NULL, NULL, 'accC: acetyl-CoA carboxylase, biotin carboxylase subunit', NULL, 'TIGR00514', NULL, NULL, NULL, 9),
(25967, NULL, 'TIGR03231', NULL, NULL, 'anthran_1_2_B: anthranilate 1,2-dioxygenase, small subunit', NULL, 'TIGR03231', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25968, NULL, 'TIGR04150', NULL, NULL, 'pseudo_rSAM_GG: pseudo-rSAM protein, GG-Bacteroidales system', NULL, 'TIGR04150', NULL, NULL, NULL, 9),
(25969, NULL, 'TIGR01200', NULL, NULL, 'GLPGLI: GLPGLI family protein', NULL, 'TIGR01200', NULL, NULL, NULL, 9),
(25970, NULL, 'TIGR02296', NULL, NULL, 'HpaC: 4-hydroxyphenylacetate 3-monooxygenase, reductase component', NULL, 'TIGR02296', NULL, NULL, NULL, 9),
(25971, NULL, 'TIGR02060', NULL, NULL, 'aprB: adenylylsulfate reductase, beta subunit', NULL, 'TIGR02060', NULL, NULL, NULL, 9),
(25972, NULL, 'TIGR02355', NULL, NULL, 'moeB: molybdopterin synthase sulfurylase MoeB', NULL, 'TIGR02355', NULL, NULL, NULL, 9),
(25973, NULL, 'TIGR04386', NULL, NULL, 'ThiC_like_1: ThiC-like protein 1', NULL, 'TIGR04386', NULL, NULL, NULL, 9),
(25974, NULL, 'TIGR00904', NULL, NULL, 'mreB: cell shape determining protein, MreB/Mrl family', NULL, 'TIGR00904', NULL, NULL, NULL, 9),
(25975, NULL, 'TIGR03562', NULL, NULL, 'osmo_induc_OsmC: peroxiredoxin, OsmC subfamily', NULL, 'TIGR03562', NULL, NULL, NULL, 9),
(25976, NULL, 'TIGR03857', NULL, NULL, 'F420_MSMEG_2249: probable F420-dependent oxidoreductase, MSMEG_2249 family', NULL, 'TIGR03857', NULL, NULL, NULL, 9),
(25977, NULL, 'TIGR04495', NULL, NULL, 'RiPP_XyeA: putative rSAM-modified RiPP, XyeA family', NULL, 'TIGR04495', NULL, NULL, NULL, 9),
(25978, NULL, 'TIGR01837', NULL, NULL, 'PHA_granule_1: poly(hydroxyalkanoate) granule-associated protein', NULL, 'TIGR01837', NULL, NULL, NULL, 9),
(25979, NULL, 'TIGR01129', NULL, NULL, 'secD: protein-export membrane protein SecD', NULL, 'TIGR01129', NULL, NULL, NULL, 9),
(25980, NULL, 'TIGR02475', NULL, NULL, 'CobW: cobalamin biosynthesis protein CobW', NULL, 'TIGR02475', NULL, NULL, NULL, 9),
(25981, NULL, 'TIGR00335', NULL, NULL, 'primase_sml: putative DNA primase, eukaryotic-type, small subunit', NULL, 'TIGR00335', NULL, NULL, NULL, 9),
(25982, NULL, 'TIGR04030', NULL, NULL, 'perox_Avi_7169: alkylhydroperoxidase domain protein, Avi_7169 family', NULL, 'TIGR04030', NULL, NULL, NULL, 9),
(25983, NULL, 'TIGR01320', NULL, NULL, 'mal_quin_oxido: malate dehydrogenase (acceptor)', NULL, 'TIGR01320', NULL, NULL, NULL, 9),
(25984, NULL, 'TIGR04547', NULL, NULL, 'Mollicu_LP: MOLPALP family lipoprotein', NULL, 'TIGR04547', NULL, NULL, NULL, 9),
(25985, NULL, 'TIGR04311', NULL, NULL, 'rSAM_Geo_metal: putative metalloenzyme radical SAM/SPASM domain maturase', NULL, 'TIGR04311', NULL, NULL, NULL, 9),
(25986, NULL, 'TIGR02010', NULL, NULL, 'IscR: iron-sulfur cluster assembly transcription factor IscR', NULL, 'TIGR02010', NULL, NULL, NULL, 9),
(25987, NULL, 'TIGR03512', NULL, NULL, 'GldD_lipo: gliding motility-associated lipoprotein GldD', NULL, 'TIGR03512', NULL, NULL, NULL, 9),
(25988, NULL, 'TIGR03977', NULL, NULL, 'rSAM_pair_HxsC: His-Xaa-Ser system radical SAM maturase HxsC', NULL, 'TIGR03977', NULL, NULL, NULL, 9),
(25989, NULL, 'TIGR00061', NULL, NULL, 'L21: ribosomal protein bL21', NULL, 'TIGR00061', NULL, NULL, NULL, 9),
(25990, NULL, 'TIGR00623', NULL, NULL, 'sula: cell division inhibitor SulA', NULL, 'TIGR00623', NULL, NULL, NULL, 9),
(25991, NULL, 'TIGR01261', NULL, NULL, 'hisB_Nterm: histidinol-phosphatase', NULL, 'TIGR01261', NULL, NULL, NULL, 9),
(25992, NULL, 'TIGR02763', NULL, NULL, 'chlamy_scaf: scaffolding protein', NULL, 'TIGR02763', NULL, NULL, NULL, 9),
(25993, NULL, 'TIGR01556', NULL, NULL, 'rhamnosyltran: rhamnosyltransferase', NULL, 'TIGR01556', NULL, NULL, NULL, 9),
(25994, NULL, 'TIGR00401', NULL, NULL, 'msrA: peptide-methionine (S)-S-oxide reductase', NULL, 'TIGR00401', NULL, NULL, NULL, 9),
(25995, NULL, 'TIGR01254', NULL, NULL, 'sfuA: ABC transporter periplasmic binding protein, thiB subfamily', NULL, 'TIGR01254', NULL, NULL, NULL, 9),
(25996, NULL, 'TIGR01778', NULL, NULL, 'TonB-copper: TonB-dependent copper receptor', NULL, 'TIGR01778', NULL, NULL, NULL, 9),
(25997, NULL, 'TIGR01313', NULL, NULL, 'therm_gnt_kin: carbohydrate kinase, thermoresistant glucokinase family', NULL, 'TIGR01313', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(25998, NULL, 'TIGR02815', NULL, NULL, 'agaS_fam: putative sugar isomerase, AgaS family', NULL, 'TIGR02815', NULL, NULL, NULL, 9),
(25999, NULL, 'TIGR04018', NULL, NULL, 'Bthiol_YpdA: putative bacillithiol system oxidoreductase, YpdA family', NULL, 'TIGR04018', NULL, NULL, NULL, 9),
(26000, NULL, 'TIGR01601', NULL, NULL, 'PYST-C1: Plasmodium yoelii subtelomeric domain PYST-C1', NULL, 'TIGR01601', NULL, NULL, NULL, 9),
(26001, NULL, 'TIGR00054', NULL, NULL, 'TIGR00054: RIP metalloprotease RseP', NULL, 'TIGR00054', NULL, NULL, NULL, 9),
(26002, NULL, 'TIGR01785', NULL, NULL, 'TonB-hemin: TonB-dependent heme/hemoglobin receptor family protein', NULL, 'TIGR01785', NULL, NULL, NULL, 9),
(26003, NULL, 'TIGR02756', NULL, NULL, 'TraK_Ftype: type-F conjugative transfer system secretin TraK', NULL, 'TIGR02756', NULL, NULL, NULL, 9),
(26004, NULL, 'TIGR00283', NULL, NULL, 'arch_pth2: peptidyl-tRNA hydrolase', NULL, 'TIGR00283', NULL, NULL, NULL, 9),
(26005, NULL, 'TIGR02482', NULL, NULL, 'PFKA_ATP: 6-phosphofructokinase', NULL, 'TIGR02482', NULL, NULL, NULL, 9),
(26006, NULL, 'TIGR02107', NULL, NULL, 'PQQ_syn_pqqA: coenzyme PQQ precursor peptide PqqA', NULL, 'TIGR02107', NULL, NULL, NULL, 9),
(26007, NULL, 'TIGR04023', NULL, NULL, 'PPOX_MSMEG_5819: PPOX class F420-dependent enzyme, MSMEG_5819/OxyR family', NULL, 'TIGR04023', NULL, NULL, NULL, 9),
(26008, NULL, 'TIGR01567', NULL, NULL, 'S_layer_rel_Mac: S-layer family duplication domain', NULL, 'TIGR01567', NULL, NULL, NULL, 9),
(26009, NULL, 'TIGR02053', NULL, NULL, 'MerA: mercury(II) reductase', NULL, 'TIGR02053', NULL, NULL, NULL, 9),
(26010, NULL, 'TIGR01447', NULL, NULL, 'recD: exodeoxyribonuclease V, alpha subunit', NULL, 'TIGR01447', NULL, NULL, NULL, 9),
(26011, NULL, 'TIGR03537', NULL, NULL, 'DapC: succinyldiaminopimelate transaminase', NULL, 'TIGR03537', NULL, NULL, NULL, 9),
(26012, NULL, 'TIGR03902', NULL, NULL, 'rhom_GG_sort: rhombosortase', NULL, 'TIGR03902', NULL, NULL, NULL, 9),
(26013, NULL, 'TIGR01790', NULL, NULL, 'carotene-cycl: lycopene cyclase family protein', NULL, 'TIGR01790', NULL, NULL, NULL, 9),
(26014, NULL, 'TIGR01812', NULL, NULL, 'sdhA_frdA_Gneg: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', NULL, 'TIGR01812', NULL, NULL, NULL, 9),
(26015, NULL, 'TIGR03505', NULL, NULL, 'FimV_core: FimV N-terminal domain', NULL, 'TIGR03505', NULL, NULL, NULL, 9),
(26016, NULL, 'TIGR04488', NULL, NULL, 'SoxY_true_GGCGG: thiosulfate oxidation carrier protein SoxY', NULL, 'TIGR04488', NULL, NULL, NULL, 9),
(26017, NULL, 'TIGR01599', NULL, NULL, 'PYST-A: Plasmodium yoelii subtelomeric family PYST-A', NULL, 'TIGR01599', NULL, NULL, NULL, 9),
(26018, NULL, 'TIGR02246', NULL, NULL, 'TIGR02246: conserved hypothetical protein', NULL, 'TIGR02246', NULL, NULL, NULL, 9),
(26019, NULL, 'TIGR04452', NULL, NULL, 'Lepto_Lipo_YY_C: small lipoprotein, LA_3946 family', NULL, 'TIGR04452', NULL, NULL, NULL, 9),
(26020, NULL, 'TIGR00017', NULL, NULL, 'cmk: cytidylate kinase', NULL, 'TIGR00017', NULL, NULL, NULL, 9),
(26021, NULL, 'TIGR01134', NULL, NULL, 'purF: amidophosphoribosyltransferase', NULL, 'TIGR01134', NULL, NULL, NULL, 9),
(26022, NULL, 'TIGR04336', NULL, NULL, 'AmmeMemoSam_B: AmmeMemoRadiSam system protein B', NULL, 'TIGR04336', NULL, NULL, NULL, 9),
(26023, NULL, 'TIGR01563', NULL, NULL, 'gp16_SPP1: putative phage head-tail adaptor', NULL, 'TIGR01563', NULL, NULL, NULL, 9),
(26024, NULL, 'TIGR00553', NULL, NULL, 'pabB: aminodeoxychorismate synthase, component I', NULL, 'TIGR00553', NULL, NULL, NULL, 9),
(26025, NULL, 'TIGR02706', NULL, NULL, 'P_butyryltrans: phosphate butyryltransferase', NULL, 'TIGR02706', NULL, NULL, NULL, 9),
(26026, NULL, 'TIGR00648', NULL, NULL, 'recU: recombination protein U', NULL, 'TIGR00648', NULL, NULL, NULL, 9),
(26027, NULL, 'TIGR03653', NULL, NULL, 'uL6_arch: ribosomal protein uL6', NULL, 'TIGR03653', NULL, NULL, NULL, 9),
(26028, NULL, 'TIGR04068', NULL, NULL, 'rSAM_ocin_clost: Cys-rich peptide radical SAM maturase CcpM', NULL, 'TIGR04068', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26029, NULL, 'TIGR02398', NULL, NULL, 'gluc_glyc_Psyn: glucosylglycerol-phosphate synthase', NULL, 'TIGR02398', NULL, NULL, NULL, 9),
(26030, NULL, 'TIGR01102', NULL, NULL, 'yscR: type III secretion apparatus protein, YscR/HrcR family', NULL, 'TIGR01102', NULL, NULL, NULL, 9),
(26031, NULL, 'TIGR02738', NULL, NULL, 'TrbB: type-F conjugative transfer system pilin assembly thiol-disulfide isomerase TrbB', NULL, 'TIGR02738', NULL, NULL, NULL, 9),
(26032, NULL, 'TIGR03657', NULL, NULL, 'IsdB: heme uptake protein IsdB', NULL, 'TIGR03657', NULL, NULL, NULL, 9),
(26033, NULL, 'TIGR00884', NULL, NULL, 'guaA_Cterm: GMP synthase (glutamine-hydrolyzing), C-terminal domain', NULL, 'TIGR00884', NULL, NULL, NULL, 9),
(26034, NULL, 'TIGR02643', NULL, NULL, 'T_phosphoryl: thymidine phosphorylase', NULL, 'TIGR02643', NULL, NULL, NULL, 9),
(26035, NULL, 'TIGR01907', NULL, NULL, 'casE_Cse3: CRISPR-associated protein Cas6/Cse3/CasE, subtype I-E/ECOLI', NULL, 'TIGR01907', NULL, NULL, NULL, 9),
(26036, NULL, 'TIGR03410', NULL, NULL, 'urea_trans_UrtE: urea ABC transporter, ATP-binding protein UrtE', NULL, 'TIGR03410', NULL, NULL, NULL, 9),
(26037, NULL, 'TIGR01027', NULL, NULL, 'proB: glutamate 5-kinase', NULL, 'TIGR01027', NULL, NULL, NULL, 9),
(26038, NULL, 'TIGR01179', NULL, NULL, 'galE: UDP-glucose 4-epimerase GalE', NULL, 'TIGR01179', NULL, NULL, NULL, 9),
(26039, NULL, 'TIGR01939', NULL, NULL, 'nqrD: NADH:ubiquinone oxidoreductase, Na(+)-translocating, D subunit', NULL, 'TIGR01939', NULL, NULL, NULL, 9),
(26040, NULL, 'TIGR02974', NULL, NULL, 'phageshock_pspF: psp operon transcriptional activator', NULL, 'TIGR02974', NULL, NULL, NULL, 9),
(26041, NULL, 'TIGR03095', NULL, NULL, 'rusti_cyanin: rusticyanin', NULL, 'TIGR03095', NULL, NULL, NULL, 9),
(26042, NULL, 'TIGR03442', NULL, NULL, 'TIGR03442: ergothioneine biosynthesis protein EgtC', NULL, 'TIGR03442', NULL, NULL, NULL, 9),
(26043, NULL, 'TIGR00986', NULL, NULL, '3a0801s05tom22: mitochondrial import receptor subunit', NULL, 'TIGR00986', NULL, NULL, NULL, 9),
(26044, NULL, 'TIGR00764', NULL, NULL, 'lon_rel: putative ATP-dependent protease', NULL, 'TIGR00764', NULL, NULL, NULL, 9),
(26045, NULL, 'TIGR01370', NULL, NULL, 'TIGR01370: extracellular protein', NULL, 'TIGR01370', NULL, NULL, NULL, 9),
(26046, NULL, 'TIGR03063', NULL, NULL, 'srtB_target: sortase B cell surface sorting signal', NULL, 'TIGR03063', NULL, NULL, NULL, 9),
(26047, NULL, 'TIGR00451', NULL, NULL, 'unchar_dom_2: uncharacterized domain 2', NULL, 'TIGR00451', NULL, NULL, NULL, 9),
(26048, NULL, 'TIGR03219', NULL, NULL, 'salicylate_mono: salicylate 1-monooxygenase', NULL, 'TIGR03219', NULL, NULL, NULL, 9),
(26049, NULL, 'TIGR03149', NULL, NULL, 'cyt_nit_nrfC: cytochrome c nitrite reductase, Fe-S protein', NULL, 'TIGR03149', NULL, NULL, NULL, 9),
(26050, NULL, 'TIGR00174', NULL, NULL, 'miaA: tRNA dimethylallyltransferase', NULL, 'TIGR00174', NULL, NULL, NULL, 9),
(26051, NULL, 'TIGR00405', NULL, NULL, 'KOW_elon_Spt5: transcription elongation factor Spt5', NULL, 'TIGR00405', NULL, NULL, NULL, 9),
(26052, NULL, 'TIGR02151', NULL, NULL, 'IPP_isom_2: isopentenyl-diphosphate delta-isomerase, type 2', NULL, 'TIGR02151', NULL, NULL, NULL, 9),
(26053, NULL, 'TIGR00521', NULL, NULL, 'coaBC_dfp: phosphopantothenoylcysteine decarboxylase / phosphopantothenate--cysteine ligase', NULL, 'TIGR00521', NULL, NULL, NULL, 9),
(26054, NULL, 'TIGR01250', NULL, NULL, 'pro_imino_pep_2: proline-specific peptidase', NULL, 'TIGR01250', NULL, NULL, NULL, 9),
(26055, NULL, 'TIGR04354', NULL, NULL, 'amphi-Trp: amphi-Trp domain', NULL, 'TIGR04354', NULL, NULL, NULL, 9),
(26056, NULL, 'TIGR02144', NULL, NULL, 'LysX_arch: lysine biosynthesis enzyme LysX', NULL, 'TIGR02144', NULL, NULL, NULL, 9),
(26057, NULL, 'TIGR04408', NULL, NULL, 'LptG_lptG: LPS export ABC transporter permease LptG', NULL, 'TIGR04408', NULL, NULL, NULL, 9),
(26058, NULL, 'TIGR01683', NULL, NULL, 'thiS: thiamine biosynthesis protein ThiS', NULL, 'TIGR01683', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26059, NULL, 'TIGR04361', NULL, NULL, 'TrbK_Ti: entry exclusion protein TrbK', NULL, 'TIGR04361', NULL, NULL, NULL, 9),
(26060, NULL, 'TIGR02366', NULL, NULL, 'DHAK_reg: probable dihydroxyacetone kinase regulator', NULL, 'TIGR02366', NULL, NULL, NULL, 9),
(26061, NULL, 'TIGR03868', NULL, NULL, 'F420-O_ABCperi: proposed F420-0 ABC transporter, periplasmic F420-0 binding protein', NULL, 'TIGR03868', NULL, NULL, NULL, 9),
(26062, NULL, 'TIGR00228', NULL, NULL, 'ruvC: crossover junction endodeoxyribonuclease RuvC', NULL, 'TIGR00228', NULL, NULL, NULL, 9),
(26063, NULL, 'TIGR02858', NULL, NULL, 'spore_III_AA: stage III sporulation protein AA', NULL, 'TIGR02858', NULL, NULL, NULL, 9),
(26064, NULL, 'TIGR00673', NULL, NULL, 'cynS: cyanase', NULL, 'TIGR00673', NULL, NULL, NULL, 9),
(26065, NULL, 'TIGR00181', NULL, NULL, 'pepF: oligoendopeptidase F', NULL, 'TIGR00181', NULL, NULL, NULL, 9),
(26066, NULL, 'TIGR03875', NULL, NULL, 'RNA_lig_partner: RNA ligase partner, MJ_0950 family', NULL, 'TIGR03875', NULL, NULL, NULL, 9),
(26067, NULL, 'TIGR02956', NULL, NULL, 'TMAO_torS: TMAO reductase sytem sensor TorS', NULL, 'TIGR02956', NULL, NULL, NULL, 9),
(26068, NULL, 'TIGR01356', NULL, NULL, 'aroA: 3-phosphoshikimate 1-carboxyvinyltransferase', NULL, 'TIGR01356', NULL, NULL, NULL, 9),
(26069, NULL, 'TIGR03639', NULL, NULL, 'cas1_NMENI: CRISPR-associated endonuclease Cas1, subtype II/NMENI', NULL, 'TIGR03639', NULL, NULL, NULL, 9),
(26070, NULL, 'TIGR00437', NULL, NULL, 'feoB: ferrous iron transport protein B', NULL, 'TIGR00437', NULL, NULL, NULL, 9),
(26071, NULL, 'TIGR00941', NULL, NULL, '2a6301s03: multicomponent Na+:H+ antiporter, MnhC subunit', NULL, 'TIGR00941', NULL, NULL, NULL, 9),
(26072, NULL, 'TIGR03403', NULL, NULL, 'nifS_epsilon: cysteine desulfurase, NifS family', NULL, 'TIGR03403', NULL, NULL, NULL, 9),
(26073, NULL, 'TIGR01860', NULL, NULL, 'VNFD: nitrogenase vanadium-iron protein, alpha chain', NULL, 'TIGR01860', NULL, NULL, NULL, 9),
(26074, NULL, 'TIGR03435', NULL, NULL, 'Soli_TIGR03435: soil-associated protein, TIGR03435 family', NULL, 'TIGR03435', NULL, NULL, NULL, 9),
(26075, NULL, 'TIGR01519', NULL, NULL, 'plasmod_dom_1: Plasmodium falciparum uncharacterized domain', NULL, 'TIGR01519', NULL, NULL, NULL, 9),
(26076, NULL, 'TIGR03950', NULL, NULL, 'sidero_Fe_reduc: siderophore ferric iron reductase, AHA_1954 family', NULL, 'TIGR03950', NULL, NULL, NULL, 9),
(26077, NULL, 'TIGR03070', NULL, NULL, 'couple_hipB: transcriptional regulator, y4mF family', NULL, 'TIGR03070', NULL, NULL, NULL, 9),
(26078, NULL, 'TIGR03830', NULL, NULL, 'CxxCG_CxxCG_HTH: putative zinc finger/helix-turn-helix protein, YgiT family', NULL, 'TIGR03830', NULL, NULL, NULL, 9),
(26079, NULL, 'TIGR01345', NULL, NULL, 'malate_syn_G: malate synthase G', NULL, 'TIGR01345', NULL, NULL, NULL, 9),
(26080, NULL, 'TIGR00119', NULL, NULL, 'acolac_sm: acetolactate synthase, small subunit', NULL, 'TIGR00119', NULL, NULL, NULL, 9),
(26081, NULL, 'TIGR01465', NULL, NULL, 'cobM_cbiF: precorrin-4 C11-methyltransferase', NULL, 'TIGR01465', NULL, NULL, NULL, 9),
(26082, NULL, 'TIGR01000', NULL, NULL, 'bacteriocin_acc: bacteriocin secretion accessory protein', NULL, 'TIGR01000', NULL, NULL, NULL, 9),
(26083, NULL, 'TIGR04350', NULL, NULL, 'C_S_lyase_PatB: putative C-S lyase', NULL, 'TIGR04350', NULL, NULL, NULL, 9),
(26084, NULL, 'TIGR00065', NULL, NULL, 'ftsZ: cell division protein FtsZ', NULL, 'TIGR00065', NULL, NULL, NULL, 9),
(26085, NULL, 'TIGR02209', NULL, NULL, 'ftsL_broad: cell division protein FtsL', NULL, 'TIGR02209', NULL, NULL, NULL, 9),
(26086, NULL, 'TIGR04159', NULL, NULL, 'methbact_MbnB: methanobactin biosynthesis cassette protein MbnB', NULL, 'TIGR04159', NULL, NULL, NULL, 9),
(26087, NULL, 'TIGR04125', NULL, NULL, 'exosort_PGF_TRM: archaeosortase A', NULL, 'TIGR04125', NULL, NULL, NULL, 9),
(26088, NULL, 'TIGR01581', NULL, NULL, 'Mo_ABC_porter: NifC-like ABC-type porter', NULL, 'TIGR01581', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26089, NULL, 'TIGR03008', NULL, NULL, 'pepcterm_CAAX: CAAX prenyl protease-related protein', NULL, 'TIGR03008', NULL, NULL, NULL, 9),
(26090, NULL, 'TIGR01461', NULL, NULL, 'greB: transcription elongation factor GreB', NULL, 'TIGR01461', NULL, NULL, NULL, 9),
(26091, NULL, 'TIGR02035', NULL, NULL, 'D_Ser_am_lyase: D-serine ammonia-lyase', NULL, 'TIGR02035', NULL, NULL, NULL, 9),
(26092, NULL, 'TIGR02380', NULL, NULL, 'ECA_wecA: undecaprenyl-phosphate alpha-N-acetylglucosaminyl 1-phosphatetransferase', NULL, 'TIGR02380', NULL, NULL, NULL, 9),
(26093, NULL, 'TIGR02691', NULL, NULL, 'arsC_pI258_fam: arsenate reductase (thioredoxin)', NULL, 'TIGR02691', NULL, NULL, NULL, 9),
(26094, NULL, 'TIGR00310', NULL, NULL, 'ZPR1_znf: ZPR1 zinc finger domain', NULL, 'TIGR00310', NULL, NULL, NULL, 9),
(26095, NULL, 'TIGR00546', NULL, NULL, 'lnt: apolipoprotein N-acyltransferase', NULL, 'TIGR00546', NULL, NULL, NULL, 9),
(26096, NULL, 'TIGR00775', NULL, NULL, 'NhaD: Na+/H+ antiporter, NhaD family', NULL, 'TIGR00775', NULL, NULL, NULL, 9),
(26097, NULL, 'TIGR03551', NULL, NULL, 'F420_cofH: 7,8-didemethyl-8-hydroxy-5-deazariboflavin synthase, CofH subunit', NULL, 'TIGR03551', NULL, NULL, NULL, 9),
(26098, NULL, 'TIGR01892', NULL, NULL, 'AcOrn-deacetyl: acetylornithine deacetylase (ArgE)', NULL, 'TIGR01892', NULL, NULL, NULL, 9),
(26099, NULL, 'TIGR04470', NULL, NULL, 'rSAM_mob_pairB: radical SAM mobile pair protein B', NULL, 'TIGR04470', NULL, NULL, NULL, 9),
(26100, NULL, 'TIGR04279', NULL, NULL, 'TIGR04279: TIGR04279 domain', NULL, 'TIGR04279', NULL, NULL, NULL, 9),
(26101, NULL, 'TIGR01236', NULL, NULL, 'D1pyr5carbox1: 1-pyrroline-5-carboxylate dehydrogenase', NULL, 'TIGR01236', NULL, NULL, NULL, 9),
(26102, NULL, 'TIGR00655', NULL, NULL, 'PurU: formyltetrahydrofolate deformylase', NULL, 'TIGR00655', NULL, NULL, NULL, 9),
(26103, NULL, 'TIGR03759', NULL, NULL, 'conj_TIGR03759: integrating conjugative element protein, PFL_4693 family', NULL, 'TIGR03759', NULL, NULL, NULL, 9),
(26104, NULL, 'TIGR02745', NULL, NULL, 'ccoG_rdxA_fixG: cytochrome c oxidase accessory protein CcoG', NULL, 'TIGR02745', NULL, NULL, NULL, 9),
(26105, NULL, 'TIGR00782', NULL, NULL, 'ccoP: cytochrome c oxidase, cbb3-type, subunit III', NULL, 'TIGR00782', NULL, NULL, NULL, 9),
(26106, NULL, 'TIGR02604', NULL, NULL, 'Piru_Ver_Nterm: putative membrane-bound dehydrogenase domain', NULL, 'TIGR02604', NULL, NULL, NULL, 9),
(26107, NULL, 'TIGR02155', NULL, NULL, 'PA_CoA_ligase: phenylacetate-CoA ligase', NULL, 'TIGR02155', NULL, NULL, NULL, 9),
(26108, NULL, 'TIGR03490', NULL, NULL, 'Mycoplas_LppA: mycoides cluster lipoprotein, LppA/P72 family', NULL, 'TIGR03490', NULL, NULL, NULL, 9),
(26109, NULL, 'TIGR03015', NULL, NULL, 'pepcterm_ATPase: putative secretion ATPase, PEP-CTERM locus subfamily', NULL, 'TIGR03015', NULL, NULL, NULL, 9),
(26110, NULL, 'TIGR01914', NULL, NULL, 'cas_Csa4: CRISPR-associated protein Cas8a2/Csa4, subtype I-A/APERN', NULL, 'TIGR01914', NULL, NULL, NULL, 9),
(26111, NULL, 'TIGR01472', NULL, NULL, 'gmd: GDP-mannose 4,6-dehydratase', NULL, 'TIGR01472', NULL, NULL, NULL, 9),
(26112, NULL, 'TIGR01352', NULL, NULL, 'tonB_Cterm: TonB family C-terminal domain', NULL, 'TIGR01352', NULL, NULL, NULL, 9),
(26113, NULL, 'TIGR02854', NULL, NULL, 'spore_II_GA: sigma-E processing peptidase SpoIIGA', NULL, 'TIGR02854', NULL, NULL, NULL, 9),
(26114, NULL, 'TIGR03117', NULL, NULL, 'cas_csf4: CRISPR type AFERR-associated DEAD/DEAH-box helicase Csf4', NULL, 'TIGR03117', NULL, NULL, NULL, 9),
(26115, NULL, 'TIGR01921', NULL, NULL, 'DAP-DH: diaminopimelate dehydrogenase', NULL, 'TIGR01921', NULL, NULL, NULL, 9),
(26116, NULL, 'TIGR01574', NULL, NULL, 'miaB-methiolase: tRNA-i(6)A37 thiotransferase enzyme MiaB', NULL, 'TIGR01574', NULL, NULL, NULL, 9),
(26117, NULL, 'TIGR00303', NULL, NULL, 'TIGR00303: TIGR00303 family protein', NULL, 'TIGR00303', NULL, NULL, NULL, 9),
(26118, NULL, 'TIGR01805', NULL, NULL, 'CM_mono_grmpos: chorismate mutase', NULL, 'TIGR01805', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26119, NULL, 'TIGR01458', NULL, NULL, 'HAD-SF-IIA-hyp3: HAD hydrolase, TIGR01458 family', NULL, 'TIGR01458', NULL, NULL, NULL, 9),
(26120, NULL, 'TIGR02611', NULL, NULL, 'TIGR02611: TIGR02611 family protein', NULL, 'TIGR02611', NULL, NULL, NULL, 9),
(26121, NULL, 'TIGR04241', NULL, NULL, 'adenoE3CR1rpt: mastadenovirus E3 CR1-alpha-1', NULL, 'TIGR04241', NULL, NULL, NULL, 9),
(26122, NULL, 'TIGR01059', NULL, NULL, 'gyrB: DNA gyrase, B subunit', NULL, 'TIGR01059', NULL, NULL, NULL, 9),
(26123, NULL, 'TIGR02264', NULL, NULL, 'gmx_para_CXXCG: Myxococcus xanthus double-CXXCG motif paralogous family', NULL, 'TIGR02264', NULL, NULL, NULL, 9),
(26124, NULL, 'TIGR02271', NULL, NULL, 'TIGR02271: conserved domain', NULL, 'TIGR02271', NULL, NULL, NULL, 9),
(26125, NULL, 'TIGR03773', NULL, NULL, 'anch_rpt_wall: putative ABC transporter-associated repeat protein', NULL, 'TIGR03773', NULL, NULL, NULL, 9),
(26126, NULL, 'TIGR03766', NULL, NULL, 'TIGR03766: conserved hypothetical integral membrane protein', NULL, 'TIGR03766', NULL, NULL, NULL, 9),
(26127, NULL, 'TIGR04227', NULL, NULL, 'zmp_18_rpt: zinc metalloproteinase 18-residue repeat', NULL, 'TIGR04227', NULL, NULL, NULL, 9),
(26128, NULL, 'TIGR00768', NULL, NULL, 'rimK_fam: alpha-L-glutamate ligase, RimK family', NULL, 'TIGR00768', NULL, NULL, NULL, 9),
(26129, NULL, 'TIGR02318', NULL, NULL, 'phosphono_phnM: phosphonate metabolism protein PhnM', NULL, 'TIGR02318', NULL, NULL, NULL, 9),
(26130, NULL, 'TIGR04456', NULL, NULL, 'LruC_dom: LruC domain', NULL, 'TIGR04456', NULL, NULL, NULL, 9),
(26131, NULL, 'TIGR01994', NULL, NULL, 'SUF_scaf_2: SUF system FeS assembly protein, NifU family', NULL, 'TIGR01994', NULL, NULL, NULL, 9),
(26132, NULL, 'TIGR00539', NULL, NULL, 'hemN_rel: putative oxygen-independent coproporphyrinogen III oxidase', NULL, 'TIGR00539', NULL, NULL, NULL, 9),
(26133, NULL, 'TIGR03301', NULL, NULL, 'PhnW-AepZ: 2-aminoethylphosphonate aminotransferase', NULL, 'TIGR03301', NULL, NULL, NULL, 9),
(26134, NULL, 'TIGR04234', NULL, NULL, 'seadorna_RNAP: RNA-directed RNA polymerase', NULL, 'TIGR04234', NULL, NULL, NULL, 9),
(26135, NULL, 'TIGR00126', NULL, NULL, 'deoC: deoxyribose-phosphate aldolase', NULL, 'TIGR00126', NULL, NULL, NULL, 9),
(26136, NULL, 'TIGR02042', NULL, NULL, 'sir: sulfite reductase, ferredoxin dependent', NULL, 'TIGR02042', NULL, NULL, NULL, 9),
(26137, NULL, 'TIGR03544', NULL, NULL, 'DivI1A_domain: DivIVA domain', NULL, 'TIGR03544', NULL, NULL, NULL, 9),
(26138, NULL, 'TIGR04463', NULL, NULL, 'rSAM_vs_C_rich: radical SAM/SPASM domain protein maturase', NULL, 'TIGR04463', NULL, NULL, NULL, 9),
(26139, NULL, 'TIGR03197', NULL, NULL, 'MnmC_Cterm: tRNA U-34 5-methylaminomethyl-2-thiouridine biosynthesis protein MnmC, C-terminal domain', NULL, 'TIGR03197', NULL, NULL, NULL, 9),
(26140, NULL, 'TIGR04057', NULL, NULL, 'SusC_RagA_signa: TonB-dependent outer membrane receptor, SusC/RagA subfamily, signature region', NULL, 'TIGR04057', NULL, NULL, NULL, 9),
(26141, NULL, 'TIGR01810', NULL, NULL, 'betA: choline dehydrogenase', NULL, 'TIGR01810', NULL, NULL, NULL, 9),
(26142, NULL, 'TIGR00841', NULL, NULL, 'bass: bile acid transporter', NULL, 'TIGR00841', NULL, NULL, NULL, 9),
(26143, NULL, 'TIGR03088', NULL, NULL, 'stp2: sugar transferase, PEP-CTERM/EpsH1 system associated', NULL, 'TIGR03088', NULL, NULL, NULL, 9),
(26144, NULL, 'TIGR03539', NULL, NULL, 'DapC_actino: succinyldiaminopimelate transaminase', NULL, 'TIGR03539', NULL, NULL, NULL, 9),
(26145, NULL, 'TIGR03900', NULL, NULL, 'prc_long_Delta: putative carboxyl-terminal-processing protease, deltaproteobacterial', NULL, 'TIGR03900', NULL, NULL, NULL, 9),
(26146, NULL, 'TIGR01449', NULL, NULL, 'PGP_bact: phosphoglycolate phosphatase, bacterial', NULL, 'TIGR01449', NULL, NULL, NULL, 9),
(26147, NULL, 'TIGR01962', NULL, NULL, 'NuoD: NADH dehydrogenase (quinone), D subunit', NULL, 'TIGR01962', NULL, NULL, NULL, 9),
(26148, NULL, 'TIGR02087', NULL, NULL, 'LEUD_arch: 3-isopropylmalate dehydratase, small subunit', NULL, 'TIGR02087', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26149, NULL, 'TIGR01136', NULL, NULL, 'cysKM: cysteine synthase', NULL, 'TIGR01136', NULL, NULL, NULL, 9),
(26150, NULL, 'TIGR01792', NULL, NULL, 'urease_alph: urease, alpha subunit', NULL, 'TIGR01792', NULL, NULL, NULL, 9),
(26151, NULL, 'TIGR04570', NULL, NULL, 'mollicut_2TM: small integral membrane protein', NULL, 'TIGR04570', NULL, NULL, NULL, 9),
(26152, NULL, 'TIGR00328', NULL, NULL, 'flhB: flagellar biosynthetic protein FlhB', NULL, 'TIGR00328', NULL, NULL, NULL, 9),
(26153, NULL, 'TIGR00993', NULL, NULL, '3a0901s04IAP86: chloroplast protein import component Toc86/159, G and M domains', NULL, 'TIGR00993', NULL, NULL, NULL, 9),
(26154, NULL, 'TIGR01619', NULL, NULL, 'hyp_HI0040: TIGR01619 family protein', NULL, 'TIGR01619', NULL, NULL, NULL, 9),
(26155, NULL, 'TIGR02105', NULL, NULL, 'III_needle: type III secretion apparatus needle protein', NULL, 'TIGR02105', NULL, NULL, NULL, 9),
(26156, NULL, 'TIGR02418', NULL, NULL, 'acolac_catab: acetolactate synthase, catabolic', NULL, 'TIGR02418', NULL, NULL, NULL, 9),
(26157, NULL, 'TIGR00390', NULL, NULL, 'hslU: ATP-dependent protease HslVU, ATPase subunit', NULL, 'TIGR00390', NULL, NULL, NULL, 9),
(26158, NULL, 'TIGR04025', NULL, NULL, 'PPOX_FMN_DR2398: pyridoxamine 5''-phosphate oxidase, FMN-binding family', NULL, 'TIGR04025', NULL, NULL, NULL, 9),
(26159, NULL, 'TIGR03882', NULL, NULL, 'cyclo_dehyd_2: bacteriocin biosynthesis cyclodehydratase domain', NULL, 'TIGR03882', NULL, NULL, NULL, 9),
(26160, NULL, 'TIGR04508', NULL, NULL, 'queE_Cx14CxxC: 7-carboxy-7-deazaguanine synthase', NULL, 'TIGR04508', NULL, NULL, NULL, 9),
(26161, NULL, 'TIGR02480', NULL, NULL, 'fliN: flagellar motor switch protein FliN', NULL, 'TIGR02480', NULL, NULL, NULL, 9),
(26162, NULL, 'TIGR00199', NULL, NULL, 'PncC_domain: amidohydrolase, PncC family', NULL, 'TIGR00199', NULL, NULL, NULL, 9),
(26163, NULL, 'TIGR01279', NULL, NULL, 'DPOR_bchN: light-independent protochlorophyllide reductase, N subunit', NULL, 'TIGR01279', NULL, NULL, NULL, 9),
(26164, NULL, 'TIGR02289', NULL, NULL, 'M3_not_pepF: oligoendopeptidase, M3 family', NULL, 'TIGR02289', NULL, NULL, NULL, 9),
(26165, NULL, 'TIGR04379', NULL, NULL, 'myo_inos_iolE: myo-inosose-2 dehydratase', NULL, 'TIGR04379', NULL, NULL, NULL, 9),
(26166, NULL, 'TIGR02650', NULL, NULL, 'RNase_Z_T_toga: ribonuclease Z, Thermotoga type', NULL, 'TIGR02650', NULL, NULL, NULL, 9),
(26167, NULL, 'TIGR01681', NULL, NULL, 'HAD-SF-IIIC: HAD phosphatase, family IIIC', NULL, 'TIGR01681', NULL, NULL, NULL, 9),
(26168, NULL, 'TIGR00560', NULL, NULL, 'pgsA: CDP-diacylglycerol--glycerol-3-phosphate 3-phosphatidyltransferase', NULL, 'TIGR00560', NULL, NULL, NULL, 9),
(26169, NULL, 'TIGR03258', NULL, NULL, 'PhnT: 2-aminoethylphosphonate ABC transport system, ATP-binding component PhnT', NULL, 'TIGR03258', NULL, NULL, NULL, 9),
(26170, NULL, 'TIGR03709', NULL, NULL, 'PPK2_rel_1: polyphosphate:nucleotide phosphotransferase, PPK2 family', NULL, 'TIGR03709', NULL, NULL, NULL, 9),
(26171, NULL, 'TIGR02591', NULL, NULL, 'cas_Csh1: CRISPR-associated protein Cas8b/Csh1, subtype I-B/HMARI', NULL, 'TIGR02591', NULL, NULL, NULL, 9),
(26172, NULL, 'TIGR03771', NULL, NULL, 'anch_rpt_ABC: anchored repeat-type ABC transporter, ATP-binding subunit', NULL, 'TIGR03771', NULL, NULL, NULL, 9),
(26173, NULL, 'TIGR00167', NULL, NULL, 'cbbA: ketose-bisphosphate aldolase', NULL, 'TIGR00167', NULL, NULL, NULL, 9),
(26174, NULL, 'TIGR02427', NULL, NULL, 'protocat_pcaD: 3-oxoadipate enol-lactonase', NULL, 'TIGR02427', NULL, NULL, NULL, 9),
(26175, NULL, 'TIGR01953', NULL, NULL, 'NusA: transcription termination factor NusA', NULL, 'TIGR01953', NULL, NULL, NULL, 9),
(26176, NULL, 'TIGR00337', NULL, NULL, 'PyrG: CTP synthase', NULL, 'TIGR00337', NULL, NULL, NULL, 9),
(26177, NULL, 'TIGR02257', NULL, NULL, 'cobalto_cobN: cobaltochelatase, CobN subunit', NULL, 'TIGR02257', NULL, NULL, NULL, 9),
(26178, NULL, 'TIGR02761', NULL, NULL, 'TraE_TIGR: type IV conjugative transfer system protein TraE', NULL, 'TIGR02761', NULL, NULL, NULL, 9);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26179, NULL, 'TIGR02931', NULL, NULL, 'anfK_nitrog: Fe-only nitrogenase, beta subunit', NULL, 'TIGR02931', NULL, NULL, NULL, 9),
(26180, NULL, 'TIGR03428', NULL, NULL, 'ureacarb_perm: permease, urea carboxylase system', NULL, 'TIGR03428', NULL, NULL, NULL, 9),
(26181, NULL, 'TIGR00671', NULL, NULL, 'baf: pantothenate kinase, type III', NULL, 'TIGR00671', NULL, NULL, NULL, 9),
(26182, NULL, 'TIGR00609', NULL, NULL, 'recB: exodeoxyribonuclease V, beta subunit', NULL, 'TIGR00609', NULL, NULL, NULL, 9),
(26183, NULL, 'TIGR03369', NULL, NULL, 'cellulose_bcsE: cellulose biosynthesis protein BcsE', NULL, 'TIGR03369', NULL, NULL, NULL, 9),
(26184, NULL, 'TIGR00730', NULL, NULL, 'TIGR00730: TIGR00730 family protein', NULL, 'TIGR00730', NULL, NULL, NULL, 9),
(26185, NULL, 'TIGR02078', NULL, NULL, 'AspKin_pair: putative Pyrococcus aspartate kinase subunit', NULL, 'TIGR02078', NULL, NULL, NULL, 9),
(26186, NULL, 'TIGR03097', NULL, NULL, 'PEP_O_lig_1: probable O-glycosylation ligase, exosortase A-associated', NULL, 'TIGR03097', NULL, NULL, NULL, 9),
(26187, NULL, 'TIGR03199', NULL, NULL, 'pucC: xanthine dehydrogenase C subunit', NULL, 'TIGR03199', NULL, NULL, NULL, 9),
(26188, NULL, 'TIGR01408', NULL, NULL, 'Ube1: ubiquitin-activating enzyme E1', NULL, 'TIGR01408', NULL, NULL, NULL, 9),
(26189, NULL, 'TIGR00056', NULL, NULL, 'TIGR00056: ABC transport permease subunit', NULL, 'TIGR00056', NULL, NULL, NULL, 9),
(26190, NULL, 'TIGR02529', NULL, NULL, 'EutJ: ethanolamine utilization protein EutJ family protein', NULL, 'TIGR02529', NULL, NULL, NULL, 9),
(26191, NULL, 'TIGR02922', NULL, NULL, 'TIGR02922: TIGR02922 family protein', NULL, 'TIGR02922', NULL, NULL, NULL, 9),
(26192, NULL, 'TIGR02752', NULL, NULL, 'MenG_heptapren: demethylmenaquinone methyltransferase', NULL, 'TIGR02752', NULL, NULL, NULL, 9),
(26193, NULL, 'TIGR04236', NULL, NULL, 'seadorna_VP2: seadornavirus VP2 protein', NULL, 'TIGR04236', NULL, NULL, NULL, 9),
(26194, NULL, 'TIGR03941', NULL, NULL, 'tRNA_deam_assoc: putative tRNA adenosine deaminase-associated protein', NULL, 'TIGR03941', NULL, NULL, NULL, 9),
(26195, NULL, 'TIGR04066', NULL, NULL, 'nat_prod_clost: peptide maturation system protein, TIGR04066 family', NULL, 'TIGR04066', NULL, NULL, NULL, 9),
(26196, NULL, 'TIGR02459', NULL, NULL, 'CbtB: cobalt transporter subunit CbtB (proposed)', NULL, 'TIGR02459', NULL, NULL, NULL, 9),
(26197, NULL, 'TIGR02248', NULL, NULL, 'mutH_TIGR: DNA mismatch repair endonuclease MutH', NULL, 'TIGR02248', NULL, NULL, NULL, 9),
(26198, NULL, 'TIGR04388', NULL, NULL, 'Lepto_longest: putative large structural protein', NULL, 'TIGR04388', NULL, NULL, NULL, 9),
(26199, NULL, 'TIGR02629', NULL, NULL, 'L_rham_iso_rhiz: L-rhamnose catabolism isomerase', NULL, 'TIGR02629', NULL, NULL, NULL, 9),
(26200, NULL, 'TIGR01127', NULL, NULL, 'ilvA_1Cterm: threonine ammonia-lyase', NULL, 'TIGR01127', NULL, NULL, NULL, 9),
(26201, NULL, 'TIGR01690', NULL, NULL, 'ICE_RAQPRD: integrative conjugative element protein, RAQPRD family', NULL, 'TIGR01690', NULL, NULL, NULL, 9),
(26202, NULL, 'TIGR03226', NULL, NULL, 'PhnU: 2-aminoethylphosphonate ABC transporter, permease protein', NULL, 'TIGR03226', NULL, NULL, NULL, 9),
(26203, NULL, 'TIGR03730', NULL, NULL, 'tungstate_WtpA: tungstate ABC transporter binding protein WtpA', NULL, 'TIGR03730', NULL, NULL, NULL, 9),
(26204, NULL, 'TIGR02582', NULL, NULL, 'cas7_TM1809: CRISPR type III-A/MTUBE-associated RAMP protein Csm3', NULL, 'TIGR02582', NULL, NULL, NULL, 9),
(26205, NULL, 'TIGR03560', NULL, NULL, 'F420_Rv1855c: probable F420-dependent oxidoreductase, Rv1855c family', NULL, 'TIGR03560', NULL, NULL, NULL, 9),
(26206, NULL, 'TIGR01912', NULL, NULL, 'TatC-Arch: Sec-independent protein translocase TatC', NULL, 'TIGR01912', NULL, NULL, NULL, 9),
(26207, NULL, 'TIGR00378', NULL, NULL, 'cax: calcium/proton exchanger', NULL, 'TIGR00378', NULL, NULL, NULL, 9),
(26208, NULL, 'TIGR02720', NULL, NULL, 'pyruv_oxi_spxB: pyruvate oxidase', NULL, 'TIGR02720', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26209, NULL, 'TIGR00882', NULL, NULL, '2A0105: oligosaccharide:H+ symporter', NULL, 'TIGR00882', NULL, NULL, NULL, 9),
(26210, NULL, 'TIGR04558', NULL, NULL, 'SoxH_rel_PQQ_1: quinoprotein relay system zinc metallohydrolase 1', NULL, 'TIGR04558', NULL, NULL, NULL, 9),
(26211, NULL, 'TIGR03056', NULL, NULL, 'bchO_mg_che_rel: putative magnesium chelatase accessory protein', NULL, 'TIGR03056', NULL, NULL, NULL, 9),
(26212, NULL, 'TIGR03390', NULL, NULL, 'ascorbOXfungal: L-ascorbate oxidase', NULL, 'TIGR03390', NULL, NULL, NULL, 9),
(26213, NULL, 'TIGR01238', NULL, NULL, 'D1pyr5carbox3: delta-1-pyrroline-5-carboxylate dehydrogenase', NULL, 'TIGR01238', NULL, NULL, NULL, 9),
(26214, NULL, 'TIGR03115', NULL, NULL, 'cas7_csf2: CRISPR type IV/AFERR-associated protein Csf2', NULL, 'TIGR03115', NULL, NULL, NULL, 9),
(26215, NULL, 'TIGR01068', NULL, NULL, 'thioredoxin: thioredoxin', NULL, 'TIGR01068', NULL, NULL, NULL, 9),
(26216, NULL, 'TIGR03984', NULL, NULL, 'TIGR03984: CRISPR-associated protein, TIGR03984 family', NULL, 'TIGR03984', NULL, NULL, NULL, 9),
(26217, NULL, 'TIGR00099', NULL, NULL, 'Cof-subfamily: Cof-like hydrolase', NULL, 'TIGR00099', NULL, NULL, NULL, 9),
(26218, NULL, 'TIGR04127', NULL, NULL, 'flavo_near_exo: exosortase F-associated protein', NULL, 'TIGR04127', NULL, NULL, NULL, 9),
(26219, NULL, 'TIGR03158', NULL, NULL, 'cas3_cyano: CRISPR-associated helicase Cas3, subtype CYANO', NULL, 'TIGR03158', NULL, NULL, NULL, 9),
(26220, NULL, 'TIGR02003', NULL, NULL, 'PTS-II-BC-unk1: PTS system, IIBC component', NULL, 'TIGR02003', NULL, NULL, NULL, 9),
(26221, NULL, 'TIGR01499', NULL, NULL, 'folC: bifunctional protein FolC', NULL, 'TIGR01499', NULL, NULL, NULL, 9),
(26222, NULL, 'TIGR00460', NULL, NULL, 'fmt: methionyl-tRNA formyltransferase', NULL, 'TIGR00460', NULL, NULL, NULL, 9),
(26223, NULL, 'TIGR01894', NULL, NULL, 'cas_TM1795_cmr1: CRISPR type III-B/RAMP module RAMP protein Cmr1', NULL, 'TIGR01894', NULL, NULL, NULL, 9),
(26224, NULL, 'TIGR00097', NULL, NULL, 'HMP-P_kinase: hydroxymethylpyrimidine kinase/phosphomethylpyrimidine kinase', NULL, 'TIGR00097', NULL, NULL, NULL, 9),
(26225, NULL, 'TIGR00290', NULL, NULL, 'MJ0570_dom: MJ0570-related uncharacterized domain', NULL, 'TIGR00290', NULL, NULL, NULL, 9),
(26226, NULL, 'TIGR00621', NULL, NULL, 'ssb: single-stranded DNA-binding protein', NULL, 'TIGR00621', NULL, NULL, NULL, 9),
(26227, NULL, 'TIGR02187', NULL, NULL, 'GlrX_arch: glutaredoxin-like domain protein', NULL, 'TIGR02187', NULL, NULL, NULL, 9),
(26228, NULL, 'TIGR03982', NULL, NULL, 'TIGR03982: His-Xaa-Ser system protein, TIGR03982 family', NULL, 'TIGR03982', NULL, NULL, NULL, 9),
(26229, NULL, 'TIGR02711', NULL, NULL, 'symport_actP: cation/acetate symporter ActP', NULL, 'TIGR02711', NULL, NULL, NULL, 9),
(26230, NULL, 'TIGR03437', NULL, NULL, 'Soli_cterm: Solibacter uncharacterized C-terminal domain', NULL, 'TIGR03437', NULL, NULL, NULL, 9),
(26231, NULL, 'TIGR01034', NULL, NULL, 'metK: methionine adenosyltransferase', NULL, 'TIGR01034', NULL, NULL, NULL, 9),
(26232, NULL, 'TIGR02189', NULL, NULL, 'GlrX-like_plant: glutaredoxin-like family', NULL, 'TIGR02189', NULL, NULL, NULL, 9),
(26233, NULL, 'TIGR03607', NULL, NULL, 'TIGR03607: patatin-related protein', NULL, 'TIGR03607', NULL, NULL, NULL, 9),
(26234, NULL, 'TIGR03319', NULL, NULL, 'RNase_Y: ribonuclease Y', NULL, 'TIGR03319', NULL, NULL, NULL, 9),
(26235, NULL, 'TIGR01204', NULL, NULL, 'bioW: 6-carboxyhexanoate--CoA ligase', NULL, 'TIGR01204', NULL, NULL, NULL, 9),
(26236, NULL, 'TIGR02359', NULL, NULL, 'thiW: energy coupling factor transporter S component ThiW', NULL, 'TIGR02359', NULL, NULL, NULL, 9),
(26237, NULL, 'TIGR00269', NULL, NULL, 'TIGR00269: TIGR00269 family protein', NULL, 'TIGR00269', NULL, NULL, NULL, 9),
(26238, NULL, 'TIGR02541', NULL, NULL, 'flagell_FlgJ: flagellar rod assembly protein/muramidase FlgJ', NULL, 'TIGR02541', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26239, NULL, 'TIGR03267', NULL, NULL, 'methan_mark_2: putative methanogenesis marker protein 2', NULL, 'TIGR03267', NULL, NULL, NULL, 9),
(26240, NULL, 'TIGR01669', NULL, NULL, 'phage_XkdX: phage uncharacterized protein, XkdX family', NULL, 'TIGR01669', NULL, NULL, NULL, 9),
(26241, NULL, 'TIGR03326', NULL, NULL, 'rubisco_III: ribulose bisphosphate carboxylase, type III', NULL, 'TIGR03326', NULL, NULL, NULL, 9),
(26242, NULL, 'TIGR01783', NULL, NULL, 'TonB-siderophor: TonB-dependent siderophore receptor', NULL, 'TIGR01783', NULL, NULL, NULL, 9),
(26243, NULL, 'TIGR01839', NULL, NULL, 'PHA_synth_II: poly(R)-hydroxyalkanoic acid synthase, class II', NULL, 'TIGR01839', NULL, NULL, NULL, 9),
(26244, NULL, 'TIGR03156', NULL, NULL, 'GTP_HflX: GTP-binding protein HflX', NULL, 'TIGR03156', NULL, NULL, NULL, 9),
(26245, NULL, 'TIGR03873', NULL, NULL, 'F420-0_ABC_ATP: proposed F420-0 ABC transporter, ATP-binding protein', NULL, 'TIGR03873', NULL, NULL, NULL, 9),
(26246, NULL, 'TIGR03047', NULL, NULL, 'PS_II_psb28: photosystem II reaction center protein Psb28', NULL, 'TIGR03047', NULL, NULL, NULL, 9),
(26247, NULL, 'TIGR00800', NULL, NULL, 'ncs1: NCS1 nucleoside transporter family', NULL, 'TIGR00800', NULL, NULL, NULL, 9),
(26248, NULL, 'TIGR04016', NULL, NULL, 'WcaB: colanic acid biosynthesis acetyltransferase WcaB', NULL, 'TIGR04016', NULL, NULL, NULL, 9),
(26249, NULL, 'TIGR02371', NULL, NULL, 'ala_DH_arch: alanine dehydrogenase', NULL, 'TIGR02371', NULL, NULL, NULL, 9),
(26250, NULL, 'TIGR00507', NULL, NULL, 'aroE: shikimate dehydrogenase', NULL, 'TIGR00507', NULL, NULL, NULL, 9),
(26251, NULL, 'TIGR00439', NULL, NULL, 'ftsX: putative protein insertion permease FtsX', NULL, 'TIGR00439', NULL, NULL, NULL, 9),
(26252, NULL, 'TIGR04134', NULL, NULL, 'lipo_with_rSAM: putative lipoprotein, rSAM/lipoprotein system', NULL, 'TIGR04134', NULL, NULL, NULL, 9),
(26253, NULL, 'TIGR02820', NULL, NULL, 'formald_GSH: S-(hydroxymethyl)glutathione synthase', NULL, 'TIGR02820', NULL, NULL, NULL, 9),
(26254, NULL, 'TIGR03975', NULL, NULL, 'rSAM_ocin_1: ribosomal peptide maturation radical SAM protein 1', NULL, 'TIGR03975', NULL, NULL, NULL, 9),
(26255, NULL, 'TIGR03510', NULL, NULL, 'XapX: XapX domain', NULL, 'TIGR03510', NULL, NULL, NULL, 9),
(26256, NULL, 'TIGR02822', NULL, NULL, 'adh_fam_2: zinc-binding alcohol dehydrogenase family protein', NULL, 'TIGR02822', NULL, NULL, NULL, 9),
(26257, NULL, 'TIGR00158', NULL, NULL, 'L9: ribosomal protein bL9', NULL, 'TIGR00158', NULL, NULL, NULL, 9),
(26258, NULL, 'TIGR01851', NULL, NULL, 'argC_other: N-acetyl-gamma-glutamyl-phosphate reductase', NULL, 'TIGR01851', NULL, NULL, NULL, 9),
(26259, NULL, 'TIGR03340', NULL, NULL, 'phn_DUF6: phosphonate utilization associated putative membrane protein', NULL, 'TIGR03340', NULL, NULL, NULL, 9),
(26260, NULL, 'TIGR01306', NULL, NULL, 'GMP_reduct_2: guanosine monophosphate reductase', NULL, 'TIGR01306', NULL, NULL, NULL, 9),
(26261, NULL, 'TIGR03165', NULL, NULL, 'F1F0_chp_2: F1/F0 ATPase, Methanosarcina type, subunit 2', NULL, 'TIGR03165', NULL, NULL, NULL, 9),
(26262, NULL, 'TIGR04549', NULL, NULL, 'LP_HExxH_w_tonB: substrate import-associated zinc metallohydrolase lipoprotein', NULL, 'TIGR04549', NULL, NULL, NULL, 9),
(26263, NULL, 'TIGR03328', NULL, NULL, 'salvage_mtnB: methylthioribulose-1-phosphate dehydratase', NULL, 'TIGR03328', NULL, NULL, NULL, 9),
(26264, NULL, 'TIGR03170', NULL, NULL, 'flgA_cterm: flagella basal body P-ring formation protein FlgA', NULL, 'TIGR03170', NULL, NULL, NULL, 9),
(26265, NULL, 'TIGR03335', NULL, NULL, 'F390_ftsA: coenzyme F390 synthetase', NULL, 'TIGR03335', NULL, NULL, NULL, 9),
(26266, NULL, 'TIGR00276', NULL, NULL, 'TIGR00276: epoxyqueuosine reductase', NULL, 'TIGR00276', NULL, NULL, NULL, 9),
(26267, NULL, 'TIGR02808', NULL, NULL, 'short_TIGR02808: TIGR02808 family protein', NULL, 'TIGR02808', NULL, NULL, NULL, 9),
(26268, NULL, 'TIGR03217', NULL, NULL, '4OH_2_O_val_ald: 4-hydroxy-2-oxovalerate aldolase', NULL, 'TIGR03217', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26269, NULL, 'TIGR02357', NULL, NULL, 'ECF_ThiT_YuaJ: energy-coupled thiamine transporter ThiT', NULL, 'TIGR02357', NULL, NULL, NULL, 9),
(26270, NULL, 'TIGR02638', NULL, NULL, 'lactal_redase: lactaldehyde reductase', NULL, 'TIGR02638', NULL, NULL, NULL, 9),
(26271, NULL, 'TIGR00984', NULL, NULL, '3a0801s03tim44: mitochondrial import inner membrane, translocase subunit', NULL, 'TIGR00984', NULL, NULL, NULL, 9),
(26272, NULL, 'TIGR02298', NULL, NULL, 'HpaD_Fe: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', NULL, 'TIGR02298', NULL, NULL, NULL, 9),
(26273, NULL, 'TIGR02527', NULL, NULL, 'dot_icm_IcmQ: Dot/Icm secretion system protein IcmQ', NULL, 'TIGR02527', NULL, NULL, NULL, 9),
(26274, NULL, 'TIGR00630', NULL, NULL, 'uvra: excinuclease ABC subunit A', NULL, 'TIGR00630', NULL, NULL, NULL, 9),
(26275, NULL, 'TIGR01025', NULL, NULL, 'uS19_arch: ribosomal protein uS19', NULL, 'TIGR01025', NULL, NULL, NULL, 9),
(26276, NULL, 'TIGR02468', NULL, NULL, 'sucrsPsyn_pln: sucrose phosphate synthase', NULL, 'TIGR02468', NULL, NULL, NULL, 9),
(26277, NULL, 'TIGR01844', NULL, NULL, 'type_I_sec_TolC: type I secretion outer membrane protein, TolC family', NULL, 'TIGR01844', NULL, NULL, NULL, 9),
(26278, NULL, 'TIGR03880', NULL, NULL, 'KaiC_arch_3: KaiC domain protein, AF_0351 family', NULL, 'TIGR03880', NULL, NULL, NULL, 9),
(26279, NULL, 'TIGR00875', NULL, NULL, 'fsa_talC_mipB: fructose-6-phosphate aldolase', NULL, 'TIGR00875', NULL, NULL, NULL, 9),
(26280, NULL, 'TIGR03451', NULL, NULL, 'mycoS_dep_FDH: S-(hydroxymethyl)mycothiol dehydrogenase', NULL, 'TIGR03451', NULL, NULL, NULL, 9),
(26281, NULL, 'TIGR00392', NULL, NULL, 'ileS: isoleucine--tRNA ligase', NULL, 'TIGR00392', NULL, NULL, NULL, 9),
(26282, NULL, 'TIGR01415', NULL, NULL, 'trpB_rel: pyridoxal-phosphate dependent TrpB-like enzyme', NULL, 'TIGR01415', NULL, NULL, NULL, 9),
(26283, NULL, 'TIGR02965', NULL, NULL, 'xanthine_xdhB: xanthine dehydrogenase, molybdopterin binding subunit', NULL, 'TIGR02965', NULL, NULL, NULL, 9),
(26284, NULL, 'TIGR03108', NULL, NULL, 'eps_aminotran_1: exosortase A system-associated amidotransferase 1', NULL, 'TIGR03108', NULL, NULL, NULL, 9),
(26285, NULL, 'TIGR03934', NULL, NULL, 'TQXA_dom: TQXA domain', NULL, 'TIGR03934', NULL, NULL, NULL, 9),
(26286, NULL, 'TIGR01361', NULL, NULL, 'DAHP_synth_Bsub: 3-deoxy-7-phosphoheptulonate synthase', NULL, 'TIGR01361', NULL, NULL, NULL, 9),
(26287, NULL, 'TIGR03054', NULL, NULL, 'photo_alph_chp1: putative photosynthetic complex assembly protein', NULL, 'TIGR03054', NULL, NULL, NULL, 9),
(26288, NULL, 'TIGR00410', NULL, NULL, 'lacE: PTS system, lactose/cellobiose family IIC component', NULL, 'TIGR00410', NULL, NULL, NULL, 9),
(26289, NULL, 'TIGR02849', NULL, NULL, 'spore_III_AD: stage III sporulation protein AD', NULL, 'TIGR02849', NULL, NULL, NULL, 9),
(26290, NULL, 'TIGR03689', NULL, NULL, 'pup_AAA: proteasome ATPase', NULL, 'TIGR03689', NULL, NULL, NULL, 9),
(26291, NULL, 'TIGR03818', NULL, NULL, 'MotA1: flagellar motor stator protein MotA', NULL, 'TIGR03818', NULL, NULL, NULL, 9),
(26292, NULL, 'TIGR00759', NULL, NULL, 'aceE: pyruvate dehydrogenase (acetyl-transferring), homodimeric type', NULL, 'TIGR00759', NULL, NULL, NULL, 9),
(26293, NULL, 'TIGR03764', NULL, NULL, 'ICE_PFGI_1_parB: integrating conjugative element, PFGI_1 class, ParB family protein', NULL, 'TIGR03764', NULL, NULL, NULL, 9),
(26294, NULL, 'TIGR00562', NULL, NULL, 'proto_IX_ox: protoporphyrinogen oxidase', NULL, 'TIGR00562', NULL, NULL, NULL, 9),
(26295, NULL, 'TIGR00929', NULL, NULL, 'VirB4_CagE: type IV secretion/conjugal transfer ATPase, VirB4 family', NULL, 'TIGR00929', NULL, NULL, NULL, 9),
(26296, NULL, 'TIGR00991', NULL, NULL, '3a0901s02IAP34: GTP-binding protein', NULL, 'TIGR00991', NULL, NULL, NULL, 9),
(26297, NULL, 'TIGR00446', NULL, NULL, 'nop2p: NOL1/NOP2/sun family putative RNA methylase', NULL, 'TIGR00446', NULL, NULL, NULL, 9),
(26298, NULL, 'TIGR02214', NULL, NULL, 'spoVD_pbp: stage V sporulation protein D', NULL, 'TIGR02214', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26299, NULL, 'TIGR00219', NULL, NULL, 'mreC: rod shape-determining protein MreC', NULL, 'TIGR00219', NULL, NULL, NULL, 9),
(26300, NULL, 'TIGR03224', NULL, NULL, 'benzo_boxA: benzoyl-CoA oxygenase/reductase, BoxA protein', NULL, 'TIGR03224', NULL, NULL, NULL, 9),
(26301, NULL, 'TIGR03281', NULL, NULL, 'methan_mark_12: putative methanogenesis marker protein 12', NULL, 'TIGR03281', NULL, NULL, NULL, 9),
(26302, NULL, 'TIGR00124', NULL, NULL, 'cit_ly_ligase: [citrate (pro-3S)-lyase] ligase', NULL, 'TIGR00124', NULL, NULL, NULL, 9),
(26303, NULL, 'TIGR04291', NULL, NULL, 'arsen_driv_ArsA: arsenical pump-driving ATPase', NULL, 'TIGR04291', NULL, NULL, NULL, 9),
(26304, NULL, 'TIGR00616', NULL, NULL, 'rect: recombinase, phage RecT family', NULL, 'TIGR00616', NULL, NULL, NULL, 9),
(26305, NULL, 'TIGR02309', NULL, NULL, 'HpaB-1: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', NULL, 'TIGR02309', NULL, NULL, NULL, 9),
(26306, NULL, 'TIGR01191', NULL, NULL, 'ccmC: heme exporter protein CcmC', NULL, 'TIGR01191', NULL, NULL, NULL, 9),
(26307, NULL, 'TIGR03376', NULL, NULL, 'glycerol3P_DH: glycerol-3-phosphate dehydrogenase (NAD(+))', NULL, 'TIGR03376', NULL, NULL, NULL, 9),
(26308, NULL, 'TIGR03621', NULL, NULL, 'F420_MSMEG_2516: probable F420-dependent oxidoreductase, MSMEG_2516 family', NULL, 'TIGR03621', NULL, NULL, NULL, 9),
(26309, NULL, 'TIGR01286', NULL, NULL, 'nifK: nitrogenase molybdenum-iron protein beta chain', NULL, 'TIGR01286', NULL, NULL, NULL, 9),
(26310, NULL, 'TIGR01728', NULL, NULL, 'SsuA_fam: ABC transporter, substrate-binding protein, aliphatic sulfonates family', NULL, 'TIGR01728', NULL, NULL, NULL, 9),
(26311, NULL, 'TIGR01701', NULL, NULL, 'Fdhalpha-like: oxidoreductase alpha (molybdopterin) subunit', NULL, 'TIGR01701', NULL, NULL, NULL, 9),
(26312, NULL, 'TIGR02679', NULL, NULL, 'TIGR02679: TIGR02679 family protein', NULL, 'TIGR02679', NULL, NULL, NULL, 9),
(26313, NULL, 'TIGR04059', NULL, NULL, 'Ald_deCOase: long-chain fatty aldehyde decarbonylase', NULL, 'TIGR04059', NULL, NULL, NULL, 9),
(26314, NULL, 'TIGR04229', NULL, NULL, 'geopeptide: putative radical SAM-modified peptide', NULL, 'TIGR04229', NULL, NULL, NULL, 9),
(26315, NULL, 'TIGR01531', NULL, NULL, 'glyc_debranch: glycogen debranching enzyme', NULL, 'TIGR01531', NULL, NULL, NULL, 9),
(26316, NULL, 'TIGR01996', NULL, NULL, 'PTS-II-BC-sucr: PTS system, sucrose-specific IIBC component', NULL, 'TIGR01996', NULL, NULL, NULL, 9),
(26317, NULL, 'TIGR00049', NULL, NULL, 'TIGR00049: iron-sulfur cluster assembly accessory protein', NULL, 'TIGR00049', NULL, NULL, NULL, 9),
(26318, NULL, 'TIGR04304', NULL, NULL, 'GeoRSP_SPASM: GeoRSP system SPASM domain protein', NULL, 'TIGR04304', NULL, NULL, NULL, 9),
(26319, NULL, 'TIGR02139', NULL, NULL, 'permease_CysT: sulfate ABC transporter, permease protein CysT', NULL, 'TIGR02139', NULL, NULL, NULL, 9),
(26320, NULL, 'TIGR02870', NULL, NULL, 'spore_II_D: stage II sporulation protein D', NULL, 'TIGR02870', NULL, NULL, NULL, 9),
(26321, NULL, 'TIGR04461', NULL, NULL, 'endura_MppQ: enduracididine biosynthesis enzyme MppQ', NULL, 'TIGR04461', NULL, NULL, NULL, 9),
(26322, NULL, 'TIGR02425', NULL, NULL, 'decarb_PcaC: 4-carboxymuconolactone decarboxylase', NULL, 'TIGR02425', NULL, NULL, NULL, 9),
(26323, NULL, 'TIGR02044', NULL, NULL, 'CueR: Cu(I)-responsive transcriptional regulator', NULL, 'TIGR02044', NULL, NULL, NULL, 9),
(26324, NULL, 'TIGR02924', NULL, NULL, 'ICDH_alpha: isocitrate dehydrogenase', NULL, 'TIGR02924', NULL, NULL, NULL, 9),
(26325, NULL, 'TIGR03546', NULL, NULL, 'TIGR03546: TIGR03546 family protein', NULL, 'TIGR03546', NULL, NULL, NULL, 9),
(26326, NULL, 'TIGR04563', NULL, NULL, 'TIGR04563: MXAN_4361/MXAN_4362 family small protein', NULL, 'TIGR04563', NULL, NULL, NULL, 9),
(26327, NULL, 'TIGR00589', NULL, NULL, 'ogt: methylated-DNA--[protein]-cysteine S-methyltransferase', NULL, 'TIGR00589', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26328, NULL, 'TIGR04080', NULL, NULL, 'rSAM_pep_cyc: KxxxW cyclic peptide radical SAM maturase', NULL, 'TIGR04080', NULL, NULL, NULL, 9),
(26329, NULL, 'TIGR04447', NULL, NULL, 'PatC_TenC_TruC: cyanobactin cluster PatC/TenC/TruC protein', NULL, 'TIGR04447', NULL, NULL, NULL, 9),
(26330, NULL, 'TIGR04393', NULL, NULL, 'rpt_T5SS_PEPC: T5SS/PEP-CTERM-associated repeat', NULL, 'TIGR04393', NULL, NULL, NULL, 9),
(26331, NULL, 'TIGR01388', NULL, NULL, 'rnd: ribonuclease D', NULL, 'TIGR01388', NULL, NULL, NULL, 9),
(26332, NULL, 'TIGR03594', NULL, NULL, 'GTPase_EngA: ribosome-associated GTPase EngA', NULL, 'TIGR03594', NULL, NULL, NULL, 9),
(26333, NULL, 'TIGR00732', NULL, NULL, 'dprA: DNA protecting protein DprA', NULL, 'TIGR00732', NULL, NULL, NULL, 9),
(26334, NULL, 'TIGR01558', NULL, NULL, 'sm_term_P27: putative phage terminase, small subunit, P27 family', NULL, 'TIGR01558', NULL, NULL, NULL, 9),
(26335, NULL, 'TIGR01075', NULL, NULL, 'uvrD: DNA helicase II', NULL, 'TIGR01075', NULL, NULL, NULL, 9),
(26336, NULL, 'TIGR02577', NULL, NULL, 'cas_TM1794_Cmr2: CRISPR-associated protein Cas10/Cmr2, subtype III-B', NULL, 'TIGR02577', NULL, NULL, NULL, 9),
(26337, NULL, 'TIGR03723', NULL, NULL, 'T6A_TsaD_YgjD: tRNA threonylcarbamoyl adenosine modification protein TsaD', NULL, 'TIGR03723', NULL, NULL, NULL, 9),
(26338, NULL, 'TIGR02693', NULL, NULL, 'arsenite_ox_L: arsenite oxidase, large subunit', NULL, 'TIGR02693', NULL, NULL, NULL, 9),
(26339, NULL, 'TIGR02602', NULL, NULL, '8TM_EpsH: exosortase', NULL, 'TIGR02602', NULL, NULL, NULL, 9),
(26340, NULL, 'TIGR01245', NULL, NULL, 'trpD: anthranilate phosphoribosyltransferase', NULL, 'TIGR01245', NULL, NULL, NULL, 9),
(26341, NULL, 'TIGR02747', NULL, NULL, 'TraV: type IV conjugative transfer system protein TraV', NULL, 'TIGR02747', NULL, NULL, NULL, 9),
(26342, NULL, 'TIGR00718', NULL, NULL, 'sda_alpha: L-serine dehydratase, iron-sulfur-dependent, alpha subunit', NULL, 'TIGR00718', NULL, NULL, NULL, 9),
(26343, NULL, 'TIGR04250', NULL, NULL, 'SCM_rSAM_ScmE: SynChlorMet cassette radical SAM/SPASM protein ScmE', NULL, 'TIGR04250', NULL, NULL, NULL, 9),
(26344, NULL, 'TIGR00902', NULL, NULL, '2A0127: MFS transporter, phenyl propionate permease (PPP) family', NULL, 'TIGR00902', NULL, NULL, NULL, 9),
(26345, NULL, 'TIGR00240', NULL, NULL, 'ATCase_reg: aspartate carbamoyltransferase, regulatory subunit', NULL, 'TIGR00240', NULL, NULL, NULL, 9),
(26346, NULL, 'TIGR01572', NULL, NULL, 'A_thl_para_3677: Arabidopsis paralogous family TIGR01572', NULL, 'TIGR01572', NULL, NULL, NULL, 9),
(26347, NULL, 'TIGR00070', NULL, NULL, 'hisG: ATP phosphoribosyltransferase', NULL, 'TIGR00070', NULL, NULL, NULL, 9),
(26348, NULL, 'TIGR02085', NULL, NULL, 'meth_trns_rumB: 23S rRNA (uracil-5-)-methyltransferase RumB', NULL, 'TIGR02085', NULL, NULL, NULL, 9),
(26349, NULL, 'TIGR01742', NULL, NULL, 'SA_tandem_lipo: Staphylococcus tandem lipoproteins', NULL, 'TIGR01742', NULL, NULL, NULL, 9),
(26350, NULL, 'TIGR04420', NULL, NULL, 'Sec_Non_Glob: Sec region non-globular protein', NULL, 'TIGR04420', NULL, NULL, NULL, 9),
(26351, NULL, 'TIGR04073', NULL, NULL, 'exo_TIGR04073: putative exosortase-associated protein, TIGR04073 family', NULL, 'TIGR04073', NULL, NULL, NULL, 9),
(26352, NULL, 'TIGR02432', NULL, NULL, 'lysidine_TilS_N: tRNA(Ile)-lysidine synthetase', NULL, 'TIGR02432', NULL, NULL, NULL, 9),
(26353, NULL, 'TIGR03006', NULL, NULL, 'pepcterm_polyde: polysaccharide deacetylase family protein, PEP-CTERM locus subfamily', NULL, 'TIGR03006', NULL, NULL, NULL, 9),
(26354, NULL, 'TIGR02863', NULL, NULL, 'spore_sspJ: small, acid-soluble spore protein, SspJ family', NULL, 'TIGR02863', NULL, NULL, NULL, 9),
(26355, NULL, 'TIGR00494', NULL, NULL, 'crcB: protein CrcB', NULL, 'TIGR00494', NULL, NULL, NULL, 9),
(26356, NULL, 'TIGR00827', NULL, NULL, 'EIIC-GAT: PTS system, galactitol-specific IIC component', NULL, 'TIGR00827', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26357, NULL, 'TIGR04522', NULL, NULL, 'EcfS_MSC_0063: putative energy coupling factor transporter S component', NULL, 'TIGR04522', NULL, NULL, NULL, 9),
(26358, NULL, 'TIGR00773', NULL, NULL, 'NhaA: Na+/H+ antiporter NhaA', NULL, 'TIGR00773', NULL, NULL, NULL, 9),
(26359, NULL, 'TIGR03587', NULL, NULL, 'Pse_Me-ase: pseudaminic acid biosynthesis-associated methylase', NULL, 'TIGR03587', NULL, NULL, NULL, 9),
(26360, NULL, 'TIGR02037', NULL, NULL, 'degP_htrA_DO: peptidase Do', NULL, 'TIGR02037', NULL, NULL, NULL, 9),
(26361, NULL, 'TIGR00548', NULL, NULL, 'lolB: outer membrane lipoprotein LolB', NULL, 'TIGR00548', NULL, NULL, NULL, 9),
(26362, NULL, 'TIGR04406', NULL, NULL, 'LPS_export_lptB: LPS export ABC transporter ATP-binding protein', NULL, 'TIGR04406', NULL, NULL, NULL, 9),
(26363, NULL, 'TIGR01347', NULL, NULL, 'sucB: dihydrolipoyllysine-residue succinyltransferase, E2 component of oxoglutarate dehydrogenase (succinyl-transferring) complex', NULL, 'TIGR01347', NULL, NULL, NULL, 9),
(26364, NULL, 'TIGR03383', NULL, NULL, 'urate_oxi: urate oxidase', NULL, 'TIGR03383', NULL, NULL, NULL, 9),
(26365, NULL, 'TIGR03122', NULL, NULL, 'one_C_dehyd_C: formylmethanofuran dehydrogenase subunit C', NULL, 'TIGR03122', NULL, NULL, NULL, 9),
(26366, NULL, 'TIGR04352', NULL, NULL, 'HprK_rel_A: HprK-related kinase A', NULL, 'TIGR04352', NULL, NULL, NULL, 9),
(26367, NULL, 'TIGR01293', NULL, NULL, 'Kv_beta: voltage-dependent potassium channel beta subunit', NULL, 'TIGR01293', NULL, NULL, NULL, 9),
(26368, NULL, 'TIGR04277', NULL, NULL, 'squa_tetra_cyc: tetrahymanol synthase', NULL, 'TIGR04277', NULL, NULL, NULL, 9),
(26369, NULL, 'TIGR01517', NULL, NULL, 'ATPase-IIB_Ca: calcium-translocating P-type ATPase, PMCA-type', NULL, 'TIGR01517', NULL, NULL, NULL, 9),
(26370, NULL, 'TIGR03553', NULL, NULL, 'F420_FbiB_CTERM: F420 biosynthesis protein FbiB, C-terminal domain', NULL, 'TIGR03553', NULL, NULL, NULL, 9),
(26371, NULL, 'TIGR00117', NULL, NULL, 'acnB: aconitate hydratase 2', NULL, 'TIGR00117', NULL, NULL, NULL, 9),
(26372, NULL, 'TIGR01463', NULL, NULL, 'mtaA_cmuA: methyltransferase, MtaA/CmuA family', NULL, 'TIGR01463', NULL, NULL, NULL, 9),
(26373, NULL, 'TIGR03716', NULL, NULL, 'R_switched_YkoY: integral membrane protein, YkoY family', NULL, 'TIGR03716', NULL, NULL, NULL, 9),
(26374, NULL, 'TIGR00664', NULL, NULL, 'DNA_III_psi: DNA polymerase III, psi subunit', NULL, 'TIGR00664', NULL, NULL, NULL, 9),
(26375, NULL, 'TIGR02788', NULL, NULL, 'VirB11: P-type DNA transfer ATPase VirB11', NULL, 'TIGR02788', NULL, NULL, NULL, 9),
(26376, NULL, 'TIGR01633', NULL, NULL, 'phi3626_gp14_N: putative phage tail component, N-terminal domain', NULL, 'TIGR01633', NULL, NULL, NULL, 9),
(26377, NULL, 'TIGR02207', NULL, NULL, 'lipid_A_htrB: lipid A biosynthesis lauroyl (or palmitoleoyl) acyltransferase', NULL, 'TIGR02207', NULL, NULL, NULL, 9),
(26378, NULL, 'TIGR02316', NULL, NULL, 'propion_prpE: propionate--CoA ligase', NULL, 'TIGR02316', NULL, NULL, NULL, 9),
(26379, NULL, 'TIGR00943', NULL, NULL, '2a6301s02: monovalent cation:proton antiporter', NULL, 'TIGR00943', NULL, NULL, NULL, 9),
(26380, NULL, 'TIGR01354', NULL, NULL, 'cyt_deam_tetra: cytidine deaminase', NULL, 'TIGR01354', NULL, NULL, NULL, 9),
(26381, NULL, 'TIGR01184', NULL, NULL, 'ntrCD: nitrate ABC transporter, ATP-binding proteins C and D', NULL, 'TIGR01184', NULL, NULL, NULL, 9),
(26382, NULL, 'TIGR01626', NULL, NULL, 'ytfJ_HI0045: conserved hypothetical protein YtfJ-family, TIGR01626', NULL, 'TIGR01626', NULL, NULL, NULL, 9),
(26383, NULL, 'TIGR01456', NULL, NULL, 'CECR5: HAD hydrolase, TIGR01456 family', NULL, 'TIGR01456', NULL, NULL, NULL, 9),
(26384, NULL, 'TIGR01989', NULL, NULL, 'COQ6: ubiquinone biosynthesis monooxygenase COQ6', NULL, 'TIGR01989', NULL, NULL, NULL, 9),
(26385, NULL, 'TIGR03492', NULL, NULL, 'TIGR03492: conserved hypothetical protein', NULL, 'TIGR03492', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26386, NULL, 'TIGR00008', NULL, NULL, 'infA: translation initiation factor IF-1', NULL, 'TIGR00008', NULL, NULL, NULL, 9),
(26387, NULL, 'TIGR00834', NULL, NULL, 'ae: anion exchange protein', NULL, 'TIGR00834', NULL, NULL, NULL, 9),
(26388, NULL, 'TIGR00780', NULL, NULL, 'ccoN: cytochrome c oxidase, cbb3-type, subunit I', NULL, 'TIGR00780', NULL, NULL, NULL, 9),
(26389, NULL, 'TIGR04515', NULL, NULL, 'P450_rel_GT_act: P450-derived glycosyltranferase activator', NULL, 'TIGR04515', NULL, NULL, NULL, 9),
(26390, NULL, 'TIGR04168', NULL, NULL, 'TIGR04168: TIGR04168 family protein', NULL, 'TIGR04168', NULL, NULL, NULL, 9),
(26391, NULL, 'TIGR01803', NULL, NULL, 'CM-like: chorismate mutase related enzymes', NULL, 'TIGR01803', NULL, NULL, NULL, 9),
(26392, NULL, 'TIGR01524', NULL, NULL, 'ATPase-IIIB_Mg: magnesium-translocating P-type ATPase', NULL, 'TIGR01524', NULL, NULL, NULL, 9),
(26393, NULL, 'TIGR03013', NULL, NULL, 'EpsB_2: sugar transferase, PEP-CTERM system associated', NULL, 'TIGR03013', NULL, NULL, NULL, 9),
(26394, NULL, 'TIGR00022', NULL, NULL, 'TIGR00022: YhcH/YjgK/YiaL family protein', NULL, 'TIGR00022', NULL, NULL, NULL, 9),
(26395, NULL, 'TIGR03648', NULL, NULL, 'Na_symport_lg: probable sodium:solute symporter, VC_2705 subfamily', NULL, 'TIGR03648', NULL, NULL, NULL, 9),
(26396, NULL, 'TIGR02146', NULL, NULL, 'LysS_fung_arch: homocitrate synthase', NULL, 'TIGR02146', NULL, NULL, NULL, 9),
(26397, NULL, 'TIGR01177', NULL, NULL, 'TIGR01177: putative methyltransferase, TIGR01177 family', NULL, 'TIGR01177', NULL, NULL, NULL, 9),
(26398, NULL, 'TIGR02323', NULL, NULL, 'CP_lyasePhnK: phosphonate C-P lyase system protein PhnK', NULL, 'TIGR02323', NULL, NULL, NULL, 9),
(26399, NULL, 'TIGR03825', NULL, NULL, 'FliH_bacil: flagellar assembly protein FliH', NULL, 'TIGR03825', NULL, NULL, NULL, 9),
(26400, NULL, 'TIGR03478', NULL, NULL, 'DMSO_red_II_bet: DMSO reductase family type II enzyme, iron-sulfur subunit', NULL, 'TIGR03478', NULL, NULL, NULL, 9),
(26401, NULL, 'TIGR00487', NULL, NULL, 'IF-2: translation initiation factor IF-2', NULL, 'TIGR00487', NULL, NULL, NULL, 9),
(26402, NULL, 'TIGR04182', NULL, NULL, 'glyco_TIGR04182: glycosyltransferase, TIGR04182 family', NULL, 'TIGR04182', NULL, NULL, NULL, 9),
(26403, NULL, 'TIGR00950', NULL, NULL, '2A78: carboxylate/amino acid/amine transporter', NULL, 'TIGR00950', NULL, NULL, NULL, 9),
(26404, NULL, 'TIGR04338', NULL, NULL, 'HEXXH_Rv0185: putative metallohydrolase, TIGR04338 family', NULL, 'TIGR04338', NULL, NULL, NULL, 9),
(26405, NULL, 'TIGR00657', NULL, NULL, 'asp_kinases: aspartate kinase', NULL, 'TIGR00657', NULL, NULL, NULL, 9),
(26406, NULL, 'TIGR03662', NULL, NULL, 'Chlor_Arch_YYY: chlor_Arch_YYY domain', NULL, 'TIGR03662', NULL, NULL, NULL, 9),
(26407, NULL, 'TIGR01640', NULL, NULL, 'F_box_assoc_1: F-box protein interaction domain', NULL, 'TIGR01640', NULL, NULL, NULL, 9),
(26408, NULL, 'TIGR02153', NULL, NULL, 'gatD_arch: glutamyl-tRNA(Gln) amidotransferase, subunit D', NULL, 'TIGR02153', NULL, NULL, NULL, 9),
(26409, NULL, 'TIGR03655', NULL, NULL, 'anti_R_Lar: restriction alleviation protein, Lar family', NULL, 'TIGR03655', NULL, NULL, NULL, 9),
(26410, NULL, 'TIGR02500', NULL, NULL, 'type_III_yscD: type III secretion apparatus protein, YscD/HrpQ family', NULL, 'TIGR02500', NULL, NULL, NULL, 9),
(26411, NULL, 'TIGR02795', NULL, NULL, 'tol_pal_ybgF: tol-pal system protein YbgF', NULL, 'TIGR02795', NULL, NULL, NULL, 9),
(26412, NULL, 'TIGR04175', NULL, NULL, 'archaeo_artD: archaeosortase D', NULL, 'TIGR04175', NULL, NULL, NULL, 9),
(26413, NULL, 'TIGR01470', NULL, NULL, 'cysG_Nterm: siroheme synthase, N-terminal domain', NULL, 'TIGR01470', NULL, NULL, NULL, 9),
(26414, NULL, 'TIGR03832', NULL, NULL, 'Tyr_2_3_mutase: tyrosine 2,3-aminomutase', NULL, 'TIGR03832', NULL, NULL, NULL, 9),
(26415, NULL, 'TIGR02330', NULL, NULL, 'prpD: 2-methylcitrate dehydratase', NULL, 'TIGR02330', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26416, NULL, 'TIGR03020', NULL, NULL, 'EpsA: transcriptional regulator EpsA', NULL, 'TIGR03020', NULL, NULL, NULL, 9),
(26417, NULL, 'TIGR03485', NULL, NULL, 'cas_csx13_N: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype', NULL, 'TIGR03485', NULL, NULL, NULL, 9),
(26418, NULL, 'TIGR02972', NULL, NULL, 'TMAO_torE: trimethylamine N-oxide reductase system, TorE protein', NULL, 'TIGR02972', NULL, NULL, NULL, 9),
(26419, NULL, 'TIGR02160', NULL, NULL, 'PA_CoA_Oxy5: phenylacetate-CoA oxygenase/reductase, PaaK subunit', NULL, 'TIGR02160', NULL, NULL, NULL, 9),
(26420, NULL, 'TIGR04345', NULL, NULL, 'ovoA_Cterm: putative 4-mercaptohistidine N1-methyltranferase', NULL, 'TIGR04345', NULL, NULL, NULL, 9),
(26421, NULL, 'TIGR04214', NULL, NULL, 'CSLREA_Nterm: CSLREA domain', NULL, 'TIGR04214', NULL, NULL, NULL, 9),
(26422, NULL, 'TIGR00081', NULL, NULL, 'purC: phosphoribosylaminoimidazolesuccinocarboxamide synthase', NULL, 'TIGR00081', NULL, NULL, NULL, 9),
(26423, NULL, 'TIGR01893', NULL, NULL, 'aa-his-dipept: Xaa-His dipeptidase', NULL, 'TIGR01893', NULL, NULL, NULL, 9),
(26424, NULL, 'TIGR04454', NULL, NULL, 'Lepto_4Cys: small lipoprotein, LB_250 family', NULL, 'TIGR04454', NULL, NULL, NULL, 9),
(26425, NULL, 'TIGR03816', NULL, NULL, 'tadE_like_DECH: helicase/secretion neighborhood TadE-like protein', NULL, 'TIGR03816', NULL, NULL, NULL, 9),
(26426, NULL, 'TIGR01606', NULL, NULL, 'holin_BlyA: holin, BlyA family', NULL, 'TIGR01606', NULL, NULL, NULL, 9),
(26427, NULL, 'TIGR02004', NULL, NULL, 'PTS-IIBC-malX: PTS system, maltose and glucose-specific IIBC component', NULL, 'TIGR02004', NULL, NULL, NULL, 9),
(26428, NULL, 'TIGR04261', NULL, NULL, 'rSAM_GlyRichRpt: radical SAM/SPASM domain protein, GRRM system', NULL, 'TIGR04261', NULL, NULL, NULL, 9),
(26429, NULL, 'TIGR02244', NULL, NULL, 'HAD-IG-Ncltidse: HAD superfamily (subfamily IG) hydrolase, 5''-nucleotidase', NULL, 'TIGR02244', NULL, NULL, NULL, 9),
(26430, NULL, 'TIGR04398', NULL, NULL, 'SLAP_DUP: SLAP domain', NULL, 'TIGR04398', NULL, NULL, NULL, 9),
(26431, NULL, 'TIGR00274', NULL, NULL, 'TIGR00274: N-acetylmuramic acid 6-phosphate etherase', NULL, 'TIGR00274', NULL, NULL, NULL, 9),
(26432, NULL, 'TIGR04158', NULL, NULL, 'rSAM_MIA_synth: 3-methyl-2-indolic acid synthase', NULL, 'TIGR04158', NULL, NULL, NULL, 9),
(26433, NULL, 'TIGR03623', NULL, NULL, 'TIGR03623: probable DNA repair protein', NULL, 'TIGR03623', NULL, NULL, NULL, 9),
(26434, NULL, 'TIGR01846', NULL, NULL, 'type_I_sec_HlyB: type I secretion system ATPase', NULL, 'TIGR01846', NULL, NULL, NULL, 9),
(26435, NULL, 'TIGR01653', NULL, NULL, 'lactococcin_972: bacteriocin, lactococcin 972 family', NULL, 'TIGR01653', NULL, NULL, NULL, 9),
(26436, NULL, 'TIGR02051', NULL, NULL, 'MerR: Hg(II)-responsive transcriptional regulator', NULL, 'TIGR02051', NULL, NULL, NULL, 9),
(26437, NULL, 'TIGR03075', NULL, NULL, 'PQQ_enz_alc_DH: PQQ-dependent dehydrogenase, methanol/ethanol family', NULL, 'TIGR03075', NULL, NULL, NULL, 9),
(26438, NULL, 'TIGR01357', NULL, NULL, 'aroB: 3-dehydroquinate synthase', NULL, 'TIGR01357', NULL, NULL, NULL, 9),
(26439, NULL, 'TIGR03430', NULL, NULL, 'trp_dimet_allyl: tryptophan dimethylallyltransferase', NULL, 'TIGR03430', NULL, NULL, NULL, 9),
(26440, NULL, 'TIGR01220', NULL, NULL, 'Pmev_kin_Gr_pos: phosphomevalonate kinase', NULL, 'TIGR01220', NULL, NULL, NULL, 9),
(26441, NULL, 'TIGR02437', NULL, NULL, 'FadB: fatty oxidation complex, alpha subunit FadB', NULL, 'TIGR02437', NULL, NULL, NULL, 9),
(26442, NULL, 'TIGR03670', NULL, NULL, 'rpoB_arch: DNA-directed RNA polymerase subunit B', NULL, 'TIGR03670', NULL, NULL, NULL, 9),
(26443, NULL, 'TIGR02780', NULL, NULL, 'TrbJ_Ti: P-type conjugative transfer protein TrbJ', NULL, 'TIGR02780', NULL, NULL, NULL, 9),
(26444, NULL, 'TIGR00822', NULL, NULL, 'EII-Sor: PTS system, mannose/fructose/sorbose family, IIC component', NULL, 'TIGR00822', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26445, NULL, 'TIGR00330', NULL, NULL, 'glpX: fructose-1,6-bisphosphatase, class II', NULL, 'TIGR00330', NULL, NULL, NULL, 9),
(26446, NULL, 'TIGR00959', NULL, NULL, 'ffh: signal recognition particle protein', NULL, 'TIGR00959', NULL, NULL, NULL, 9),
(26447, NULL, 'TIGR01597', NULL, NULL, 'PYST-B: Plasmodium yoelii subtelomeric family PYST-B', NULL, 'TIGR01597', NULL, NULL, NULL, 9),
(26448, NULL, 'TIGR03028', NULL, NULL, 'EpsE: polysaccharide export protein EpsE', NULL, 'TIGR03028', NULL, NULL, NULL, 9),
(26449, NULL, 'TIGR00766', NULL, NULL, 'TIGR00766: inner membrane protein YhjD', NULL, 'TIGR00766', NULL, NULL, NULL, 9),
(26450, NULL, 'TIGR01164', NULL, NULL, 'rplP_bact: ribosomal protein uL16', NULL, 'TIGR01164', NULL, NULL, NULL, 9),
(26451, NULL, 'TIGR02188', NULL, NULL, 'Ac_CoA_lig_AcsA: acetate--CoA ligase', NULL, 'TIGR02188', NULL, NULL, NULL, 9),
(26452, NULL, 'TIGR01161', NULL, NULL, 'purK: phosphoribosylaminoimidazole carboxylase, ATPase subunit', NULL, 'TIGR01161', NULL, NULL, NULL, 9),
(26453, NULL, 'TIGR03863', NULL, NULL, 'PQQ_ABC_bind: ABC transporter, substrate binding protein, PQQ-dependent alcohol dehydrogenase system', NULL, 'TIGR03863', NULL, NULL, NULL, 9),
(26454, NULL, 'TIGR04510', NULL, NULL, 'mod_pep_cyc: putative peptide modification system cyclase', NULL, 'TIGR04510', NULL, NULL, NULL, 9),
(26455, NULL, 'TIGR01413', NULL, NULL, 'Dyp_perox_fam: Dyp-type peroxidase family', NULL, 'TIGR01413', NULL, NULL, NULL, 9),
(26456, NULL, 'TIGR00763', NULL, NULL, 'lon: endopeptidase La', NULL, 'TIGR00763', NULL, NULL, NULL, 9),
(26457, NULL, 'TIGR04099', NULL, NULL, 'biosn_Pnap_2097: probable biosynthetic protein, Pnap_2097 family', NULL, 'TIGR04099', NULL, NULL, NULL, 9),
(26458, NULL, 'TIGR03134', NULL, NULL, 'malonate_gamma: biotin-independent malonate decarboxylase, gamma subunit', NULL, 'TIGR03134', NULL, NULL, NULL, 9),
(26459, NULL, 'TIGR00523', NULL, NULL, 'eIF-1A: translation initiation factor eIF-1A', NULL, 'TIGR00523', NULL, NULL, NULL, 9),
(26460, NULL, 'TIGR00573', NULL, NULL, 'dnaq: exonuclease, DNA polymerase III, epsilon subunit family', NULL, 'TIGR00573', NULL, NULL, NULL, 9),
(26461, NULL, 'TIGR01114', NULL, NULL, 'mtrH: N5-methyltetrahydromethanopterin:coenzyme M methyltransferase subunit H', NULL, 'TIGR01114', NULL, NULL, NULL, 9),
(26462, NULL, 'TIGR03324', NULL, NULL, 'alt_F1F0_F1_al: alternate F1F0 ATPase, F1 subunit alpha', NULL, 'TIGR03324', NULL, NULL, NULL, 9),
(26463, NULL, 'TIGR04513', NULL, NULL, 'VPAMP_CTERM: VPAMP-CTERM protein sorting domain', NULL, 'TIGR04513', NULL, NULL, NULL, 9),
(26464, NULL, 'TIGR02976', NULL, NULL, 'phageshock_pspB: phage shock protein B', NULL, 'TIGR02976', NULL, NULL, NULL, 9),
(26465, NULL, 'TIGR03181', NULL, NULL, 'PDH_E1_alph_x: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', NULL, 'TIGR03181', NULL, NULL, NULL, 9),
(26466, NULL, 'TIGR01905', NULL, NULL, 'paired_CXXCH_1: doubled CXXCH domain', NULL, 'TIGR01905', NULL, NULL, NULL, 9),
(26467, NULL, 'TIGR01298', NULL, NULL, 'RNaseT: ribonuclease T', NULL, 'TIGR01298', NULL, NULL, NULL, 9),
(26468, NULL, 'TIGR03371', NULL, NULL, 'cellulose_yhjQ: cellulose synthase operon protein YhjQ', NULL, 'TIGR03371', NULL, NULL, NULL, 9),
(26469, NULL, 'TIGR00333', NULL, NULL, 'nrdI: nrdI protein', NULL, 'TIGR00333', NULL, NULL, NULL, 9),
(26470, NULL, 'TIGR04395', NULL, NULL, 'cutC_activ_rSAM: choline TMA-lyase-activating enzyme', NULL, 'TIGR04395', NULL, NULL, NULL, 9),
(26471, NULL, 'TIGR00719', NULL, NULL, 'sda_beta: L-serine dehydratase, iron-sulfur-dependent, beta subunit', NULL, 'TIGR00719', NULL, NULL, NULL, 9),
(26472, NULL, 'TIGR00909', NULL, NULL, '2A0306: amino acid transporter', NULL, 'TIGR00909', NULL, NULL, NULL, 9),
(26473, NULL, 'TIGR00037', NULL, NULL, 'eIF_5A: translation elongation factor IF5A', NULL, 'TIGR00037', NULL, NULL, NULL, 9),
(26474, NULL, 'TIGR00227', NULL, NULL, 'ribD_Cterm: riboflavin-specific deaminase C-terminal domain', NULL, 'TIGR00227', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26475, NULL, 'TIGR02110', NULL, NULL, 'PQQ_syn_pqqF: coenzyme PQQ biosynthesis protein PqqF', NULL, 'TIGR02110', NULL, NULL, NULL, 9),
(26476, NULL, 'TIGR02929', NULL, NULL, 'anfG_nitrog: Fe-only nitrogenase, delta subunit', NULL, 'TIGR02929', NULL, NULL, NULL, 9),
(26477, NULL, 'TIGR03757', NULL, NULL, 'conj_TIGR03757: integrating conjugative element protein, PFL_4709 family', NULL, 'TIGR03757', NULL, NULL, NULL, 9),
(26478, NULL, 'TIGR02300', NULL, NULL, 'FYDLN_acid: TIGR02300 family protein', NULL, 'TIGR02300', NULL, NULL, NULL, 9),
(26479, NULL, 'TIGR01952', NULL, NULL, 'nusA_arch: NusA family KH domain protein, archaeal', NULL, 'TIGR01952', NULL, NULL, NULL, 9),
(26480, NULL, 'TIGR01650', NULL, NULL, 'PD_CobS: cobaltochelatase, CobS subunit', NULL, 'TIGR01650', NULL, NULL, NULL, 9),
(26481, NULL, 'TIGR04217', NULL, NULL, 'archae_ser_T: archaetidylserine synthase', NULL, 'TIGR04217', NULL, NULL, NULL, 9),
(26482, NULL, 'TIGR01460', NULL, NULL, 'HAD-SF-IIA: HAD hydrolase, family IIA', NULL, 'TIGR01460', NULL, NULL, NULL, 9),
(26483, NULL, 'TIGR04348', NULL, NULL, 'TIGR04348: putative glycosyltransferase, TIGR04348 family', NULL, 'TIGR04348', NULL, NULL, NULL, 9),
(26484, NULL, 'TIGR04021', NULL, NULL, 'LLM_DMSO2_sfnG: dimethyl sulfone monooxygenase SfnG', NULL, 'TIGR04021', NULL, NULL, NULL, 9),
(26485, NULL, 'TIGR02484', NULL, NULL, 'CitB: CitB domain protein', NULL, 'TIGR02484', NULL, NULL, NULL, 9),
(26486, NULL, 'TIGR04407', NULL, NULL, 'LptF_YjgP: LPS export ABC transporter permease LptF', NULL, 'TIGR04407', NULL, NULL, NULL, 9),
(26487, NULL, 'TIGR03626', NULL, NULL, 'L3_arch: ribosomal protein uL3', NULL, 'TIGR03626', NULL, NULL, NULL, 9),
(26488, NULL, 'TIGR02543', NULL, NULL, 'List_Bact_rpt: repeat, TIGR02543 family', NULL, 'TIGR02543', NULL, NULL, NULL, 9),
(26489, NULL, 'TIGR02733', NULL, NULL, 'desat_CrtD: C-3'',4'' desaturase CrtD', NULL, 'TIGR02733', NULL, NULL, NULL, 9),
(26490, NULL, 'TIGR03567', NULL, NULL, 'FMN_reduc_SsuE: FMN reductase', NULL, 'TIGR03567', NULL, NULL, NULL, 9),
(26491, NULL, 'TIGR00031', NULL, NULL, 'UDP-GALP_mutase: UDP-galactopyranose mutase', NULL, 'TIGR00031', NULL, NULL, NULL, 9),
(26492, NULL, 'TIGR03673', NULL, NULL, 'uL14_arch: 50S ribosomal protein uL14', NULL, 'TIGR03673', NULL, NULL, NULL, 9),
(26493, NULL, 'TIGR00271', NULL, NULL, 'TIGR00271: uncharacterized hydrophobic domain', NULL, 'TIGR00271', NULL, NULL, NULL, 9),
(26494, NULL, 'TIGR02138', NULL, NULL, 'phosphate_pstC: phosphate ABC transporter, permease protein PstC', NULL, 'TIGR02138', NULL, NULL, NULL, 9),
(26495, NULL, 'TIGR03866', NULL, NULL, 'PQQ_ABC_repeats: PQQ-dependent catabolism-associated beta-propeller protein', NULL, 'TIGR03866', NULL, NULL, NULL, 9),
(26496, NULL, 'TIGR04264', NULL, NULL, 'hyperosmo_Ebh: hyperosmolarity resistance protein Ebh', NULL, 'TIGR04264', NULL, NULL, NULL, 9),
(26497, NULL, 'TIGR02241', NULL, NULL, 'TIGR02241: conserved hypothetical phage tail region protein', NULL, 'TIGR02241', NULL, NULL, NULL, 9),
(26498, NULL, 'TIGR01167', NULL, NULL, 'LPXTG_anchor: LPXTG cell wall anchor domain', NULL, 'TIGR01167', NULL, NULL, NULL, 9),
(26499, NULL, 'TIGR01547', NULL, NULL, 'phage_term_2: phage terminase, large subunit, PBSX family', NULL, 'TIGR01547', NULL, NULL, NULL, 9),
(26500, NULL, 'TIGR02185', NULL, NULL, 'Trep_Strep: putative ECF transporter S component, Trep_Strep family', NULL, 'TIGR02185', NULL, NULL, NULL, 9),
(26501, NULL, 'TIGR04320', NULL, NULL, 'Surf_Exclu_PgrA: SEC10/PgrA surface exclusion domain', NULL, 'TIGR04320', NULL, NULL, NULL, 9),
(26502, NULL, 'TIGR01030', NULL, NULL, 'rpmH_bact: ribosomal protein bL34', NULL, 'TIGR01030', NULL, NULL, NULL, 9),
(26503, NULL, 'TIGR03137', NULL, NULL, 'AhpC: peroxiredoxin', NULL, 'TIGR03137', NULL, NULL, NULL, 9),
(26504, NULL, 'TIGR01849', NULL, NULL, 'PHB_depoly_PhaZ: polyhydroxyalkanoate depolymerase, intracellular', NULL, 'TIGR01849', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26505, NULL, 'TIGR04108', NULL, NULL, 'HutX: putative heme utilization carrier protein HutX', NULL, 'TIGR04108', NULL, NULL, NULL, 9),
(26506, NULL, 'TIGR00380', NULL, NULL, 'cobD: cobalamin biosynthesis protein CobD', NULL, 'TIGR00380', NULL, NULL, NULL, 9),
(26507, NULL, 'TIGR00769', NULL, NULL, 'AAA: ADP/ATP carrier protein family', NULL, 'TIGR00769', NULL, NULL, NULL, 9),
(26508, NULL, 'TIGR01787', NULL, NULL, 'squalene_cyclas: squalene/oxidosqualene cyclases', NULL, 'TIGR01787', NULL, NULL, NULL, 9),
(26509, NULL, 'TIGR00632', NULL, NULL, 'vsr: DNA mismatch endonuclease Vsr', NULL, 'TIGR00632', NULL, NULL, NULL, 9),
(26510, NULL, 'TIGR01410', NULL, NULL, 'tatB: twin arginine-targeting protein translocase TatB', NULL, 'TIGR01410', NULL, NULL, NULL, 9),
(26511, NULL, 'TIGR02001', NULL, NULL, 'gcw_chp: conserved hypothetical protein', NULL, 'TIGR02001', NULL, NULL, NULL, 9),
(26512, NULL, 'TIGR00576', NULL, NULL, 'dut: dUTP diphosphatase', NULL, 'TIGR00576', NULL, NULL, NULL, 9),
(26513, NULL, 'TIGR00897', NULL, NULL, '2A0118: polyol permease', NULL, 'TIGR00897', NULL, NULL, NULL, 9),
(26514, NULL, 'TIGR01223', NULL, NULL, 'Pmev_kin_anim: phosphomevalonate kinase', NULL, 'TIGR01223', NULL, NULL, NULL, 9),
(26515, NULL, 'TIGR01603', NULL, NULL, 'maj_tail_phi13: phage major tail protein, phi13 family', NULL, 'TIGR01603', NULL, NULL, NULL, 9),
(26516, NULL, 'TIGR02378', NULL, NULL, 'nirD_assim_sml: nitrite reductase [NAD(P)H], small subunit', NULL, 'TIGR02378', NULL, NULL, NULL, 9),
(26517, NULL, 'TIGR00956', NULL, NULL, '3a01205: pleiotropic drug resistance family protein', NULL, 'TIGR00956', NULL, NULL, NULL, 9),
(26518, NULL, 'TIGR04049', NULL, NULL, 'AIR_rel_sll0787: AIR synthase-related protein, sll0787 family', NULL, 'TIGR04049', NULL, NULL, NULL, 9),
(26519, NULL, 'TIGR02593', NULL, NULL, 'CRISPR_cas5: CRISPR-associated protein Cas5', NULL, 'TIGR02593', NULL, NULL, NULL, 9),
(26520, NULL, 'TIGR01351', NULL, NULL, 'adk: adenylate kinase', NULL, 'TIGR01351', NULL, NULL, NULL, 9),
(26521, NULL, 'TIGR02546', NULL, NULL, 'III_secr_ATP: type III secretion apparatus H+-transporting two-sector ATPase', NULL, 'TIGR02546', NULL, NULL, NULL, 9),
(26522, NULL, 'TIGR02926', NULL, NULL, 'AhaH: ATP synthase archaeal, H subunit', NULL, 'TIGR02926', NULL, NULL, NULL, 9),
(26523, NULL, 'TIGR01908', NULL, NULL, 'cas_CXXC_CXXC: CRISPR-associated protein Cas8b1/Cst1, subtype I-B/TNEAP', NULL, 'TIGR01908', NULL, NULL, NULL, 9),
(26524, NULL, 'TIGR03564', NULL, NULL, 'F420_MSMEG_4879: F420-dependent oxidoreductase, MSMEG_4879 family', NULL, 'TIGR03564', NULL, NULL, NULL, 9),
(26525, NULL, 'TIGR03925', NULL, NULL, 'T7SS_EccC_b: type VII secretion protein EccCb', NULL, 'TIGR03925', NULL, NULL, NULL, 9),
(26526, NULL, 'TIGR01594', NULL, NULL, 'holin_lambda: phage holin, lambda family', NULL, 'TIGR01594', NULL, NULL, NULL, 9),
(26527, NULL, 'TIGR03078', NULL, NULL, 'CH4_NH3mon_ox_C: methane monooxygenase/ammonia monooxygenase, subunit C', NULL, 'TIGR03078', NULL, NULL, NULL, 9),
(26528, NULL, 'TIGR03458', NULL, NULL, 'YgfH_subfam: succinate CoA transferase', NULL, 'TIGR03458', NULL, NULL, NULL, 9),
(26529, NULL, 'TIGR02303', NULL, NULL, 'HpaG-C-term: 4-hydroxyphenylacetate degradation bifunctional isomerase/decarboxylase, C-terminal subunit', NULL, 'TIGR02303', NULL, NULL, NULL, 9),
(26530, NULL, 'TIGR00526', NULL, NULL, 'folB_dom: FolB domain', NULL, 'TIGR00526', NULL, NULL, NULL, 9),
(26531, NULL, 'TIGR02973', NULL, NULL, 'nitrate_rd_NapE: periplasmic nitrate reductase, NapE protein', NULL, 'TIGR02973', NULL, NULL, NULL, 9),
(26532, NULL, 'TIGR00760', NULL, NULL, 'araD: L-ribulose-5-phosphate 4-epimerase', NULL, 'TIGR00760', NULL, NULL, NULL, 9),
(26533, NULL, 'TIGR00906', NULL, NULL, '2A0303: cationic amino acid transport permease', NULL, 'TIGR00906', NULL, NULL, NULL, 9),
(26534, NULL, 'TIGR04516', NULL, NULL, 'glycosyl_450act: glycosyltransferase, activator-dependent family', NULL, 'TIGR04516', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26535, NULL, 'TIGR03517', NULL, NULL, 'GldM_gliding: gliding motility-associated protein GldM', NULL, 'TIGR03517', NULL, NULL, NULL, 9),
(26536, NULL, 'TIGR02867', NULL, NULL, 'spore_II_P: stage II sporulation protein P', NULL, 'TIGR02867', NULL, NULL, NULL, 9),
(26537, NULL, 'TIGR02487', NULL, NULL, 'NrdD: anaerobic ribonucleoside-triphosphate reductase', NULL, 'TIGR02487', NULL, NULL, NULL, 9),
(26538, NULL, 'TIGR01117', NULL, NULL, 'mmdA: methylmalonyl-CoA decarboxylase alpha subunit', NULL, 'TIGR01117', NULL, NULL, NULL, 9),
(26539, NULL, 'TIGR00087', NULL, NULL, 'surE: 5''/3''-nucleotidase SurE', NULL, 'TIGR00087', NULL, NULL, NULL, 9),
(26540, NULL, 'TIGR01712', NULL, NULL, 'phage_N6A_met: phage N-6-adenine-methyltransferase', NULL, 'TIGR01712', NULL, NULL, NULL, 9),
(26541, NULL, 'TIGR02350', NULL, NULL, 'prok_dnaK: chaperone protein DnaK', NULL, 'TIGR02350', NULL, NULL, NULL, 9),
(26542, NULL, 'TIGR03000', NULL, NULL, 'plancto_dom_1: Planctomycetes uncharacterized domain TIGR03000', NULL, 'TIGR03000', NULL, NULL, NULL, 9),
(26543, NULL, 'TIGR03819', NULL, NULL, 'heli_sec_ATPase: helicase/secretion neighborhood ATPase', NULL, 'TIGR03819', NULL, NULL, NULL, 9),
(26544, NULL, 'TIGR00165', NULL, NULL, 'S18: ribosomal protein bS18', NULL, 'TIGR00165', NULL, NULL, NULL, 9),
(26545, NULL, 'TIGR04457', NULL, NULL, 'lipo_LenA_lepto: lipoprotein LenA', NULL, 'TIGR04457', NULL, NULL, NULL, 9),
(26546, NULL, 'TIGR00467', NULL, NULL, 'lysS_arch: lysine--tRNA ligase', NULL, 'TIGR00467', NULL, NULL, NULL, 9),
(26547, NULL, 'TIGR02730', NULL, NULL, 'carot_isom: carotene isomerase', NULL, 'TIGR02730', NULL, NULL, NULL, 9),
(26548, NULL, 'TIGR04096', NULL, NULL, 'dnd_rel_methyl: DNA phosphorothioation-associated putative methyltransferase', NULL, 'TIGR04096', NULL, NULL, NULL, 9),
(26549, NULL, 'TIGR03321', NULL, NULL, 'alt_F1F0_F0_B: alternate F1F0 ATPase, F0 subunit B', NULL, 'TIGR03321', NULL, NULL, NULL, 9),
(26550, NULL, 'TIGR01896', NULL, NULL, 'cas_AF1879: CRISPR-associated protein Cas4/Csa1, subtype I-A/APERN', NULL, 'TIGR01896', NULL, NULL, NULL, 9),
(26551, NULL, 'TIGR03184', NULL, NULL, 'DNA_S_dndE: DNA sulfur modification protein DndE', NULL, 'TIGR03184', NULL, NULL, NULL, 9),
(26552, NULL, 'TIGR04155', NULL, NULL, 'cyano_PEP: PEP-CTERM protein sorting domain, cyanobacterial subclass', NULL, 'TIGR04155', NULL, NULL, NULL, 9),
(26553, NULL, 'TIGR00224', NULL, NULL, 'pckA: phosphoenolpyruvate carboxykinase (ATP)', NULL, 'TIGR00224', NULL, NULL, NULL, 9),
(26554, NULL, 'TIGR01955', NULL, NULL, 'RfaH: transcription elongation factor/antiterminator RfaH', NULL, 'TIGR01955', NULL, NULL, NULL, 9),
(26555, NULL, 'TIGR01058', NULL, NULL, 'parE_Gpos: DNA topoisomerase IV, B subunit', NULL, 'TIGR01058', NULL, NULL, NULL, 9),
(26556, NULL, 'TIGR02291', NULL, NULL, 'rimK_rel_E_lig: alpha-L-glutamate ligase homolog', NULL, 'TIGR02291', NULL, NULL, NULL, 9),
(26557, NULL, 'TIGR03262', NULL, NULL, 'PhnU2: putative 2-aminoethylphosphonate ABC transporter, permease protein', NULL, 'TIGR03262', NULL, NULL, NULL, 9),
(26558, NULL, 'TIGR00221', NULL, NULL, 'nagA: N-acetylglucosamine-6-phosphate deacetylase', NULL, 'TIGR00221', NULL, NULL, NULL, 9),
(26559, NULL, 'TIGR03483', NULL, NULL, 'FtsZ_alphas_C: cell division protein FtsZ, alphaProteobacterial C-terminal extension', NULL, 'TIGR03483', NULL, NULL, NULL, 9),
(26560, NULL, 'TIGR01226', NULL, NULL, 'phe_am_lyase: phenylalanine ammonia-lyase', NULL, 'TIGR01226', NULL, NULL, NULL, 9),
(26561, NULL, 'TIGR03399', NULL, NULL, 'RNA_3prim_cycl: RNA 3''-phosphate cyclase', NULL, 'TIGR03399', NULL, NULL, NULL, 9),
(26562, NULL, 'TIGR00358', NULL, NULL, '3_prime_RNase: VacB and RNase II family 3''-5'' exoribonucleases', NULL, 'TIGR00358', NULL, NULL, NULL, 9),
(26563, NULL, 'TIGR02605', NULL, NULL, 'CxxC_CxxC_SSSS: putative regulatory protein, FmdB family', NULL, 'TIGR02605', NULL, NULL, NULL, 9),
(26564, NULL, 'TIGR03022', NULL, NULL, 'WbaP_sugtrans: undecaprenyl-phosphate galactose phosphotransferase WbaP', NULL, 'TIGR03022', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26565, NULL, 'TIGR00461', NULL, NULL, 'gcvP: glycine dehydrogenase', NULL, 'TIGR00461', NULL, NULL, NULL, 9),
(26566, NULL, 'TIGR03243', NULL, NULL, 'arg_catab_AOST: arginine and ornithine succinyltransferase subunits', NULL, 'TIGR03243', NULL, NULL, NULL, 9),
(26567, NULL, 'TIGR03159', NULL, NULL, 'cas_Csc1: CRISPR type I-D/CYANO-associated protein Csc1', NULL, 'TIGR03159', NULL, NULL, NULL, 9),
(26568, NULL, 'TIGR00598', NULL, NULL, 'rad14: DNA repair protein', NULL, 'TIGR00598', NULL, NULL, NULL, 9),
(26569, NULL, 'TIGR02328', NULL, NULL, 'TIGR02328: conserved hypothetical protein', NULL, 'TIGR02328', NULL, NULL, NULL, 9),
(26570, NULL, 'TIGR02901', NULL, NULL, 'QoxD: cytochrome aa3 quinol oxidase, subunit IV', NULL, 'TIGR02901', NULL, NULL, NULL, 9),
(26571, NULL, 'TIGR04401', NULL, NULL, 'TAT_Cys_rich: twin-arginine translocation signal/Cys-rich four helix bundle protein', NULL, 'TIGR04401', NULL, NULL, NULL, 9),
(26572, NULL, 'TIGR04074', NULL, NULL, 'bacter_Hen1: 3'' terminal RNA ribose 2''-O-methyltransferase Hen1', NULL, 'TIGR04074', NULL, NULL, NULL, 9),
(26573, NULL, 'TIGR02431', NULL, NULL, 'pcaR_pcaU: beta-ketoadipate pathway transcriptional regulators, PcaR/PcaU/PobR family', NULL, 'TIGR02431', NULL, NULL, NULL, 9),
(26574, NULL, 'TIGR02652', NULL, NULL, 'TIGR02652: TIGR02652 family protein', NULL, 'TIGR02652', NULL, NULL, NULL, 9),
(26575, NULL, 'TIGR01052', NULL, NULL, 'top6b: DNA topoisomerase VI, B subunit', NULL, 'TIGR01052', NULL, NULL, NULL, 9),
(26576, NULL, 'TIGR01419', NULL, NULL, 'nitro_reg_IIA: PTS IIA-like nitrogen-regulatory protein PtsN', NULL, 'TIGR01419', NULL, NULL, NULL, 9),
(26577, NULL, 'TIGR01737', NULL, NULL, 'FGAM_synth_I: phosphoribosylformylglycinamidine synthase I', NULL, 'TIGR01737', NULL, NULL, NULL, 9),
(26578, NULL, 'TIGR03810', NULL, NULL, 'arg_ornith_anti: arginine-ornithine antiporter', NULL, 'TIGR03810', NULL, NULL, NULL, 9),
(26579, NULL, 'TIGR01600', NULL, NULL, 'phage_tail_L: phage minor tail protein L', NULL, 'TIGR01600', NULL, NULL, NULL, 9),
(26580, NULL, 'TIGR01659', NULL, NULL, 'sex-lethal: sex-lethal family splicing factor', NULL, 'TIGR01659', NULL, NULL, NULL, 9),
(26581, NULL, 'TIGR03732', NULL, NULL, 'lanti_perm_MutE: lantibiotic protection ABC transporter permease subunit, MutE/EpiE family', NULL, 'TIGR03732', NULL, NULL, NULL, 9),
(26582, NULL, 'TIGR01977', NULL, NULL, 'am_tr_V_EF2568: cysteine desulfurase family protein', NULL, 'TIGR01977', NULL, NULL, NULL, 9),
(26583, NULL, 'TIGR01485', NULL, NULL, 'SPP_plant-cyano: sucrose phosphatase', NULL, 'TIGR01485', NULL, NULL, NULL, 9),
(26584, NULL, 'TIGR01292', NULL, NULL, 'TRX_reduct: thioredoxin-disulfide reductase', NULL, 'TIGR01292', NULL, NULL, NULL, 9),
(26585, NULL, 'TIGR00828', NULL, NULL, 'EIID-AGA: PTS system, mannose/fructose/sorbose family, IID component', NULL, 'TIGR00828', NULL, NULL, NULL, 9),
(26586, NULL, 'TIGR00894', NULL, NULL, '2A0114euk: Na(+)-dependent inorganic phosphate cotransporter', NULL, 'TIGR00894', NULL, NULL, NULL, 9),
(26587, NULL, 'TIGR02892', NULL, NULL, 'spore_yabP: sporulation protein YabP', NULL, 'TIGR02892', NULL, NULL, NULL, 9),
(26588, NULL, 'TIGR04566', NULL, NULL, 'myxo_TraA_Nterm: outer membrane exchange protein TraA, N-terminal region', NULL, 'TIGR04566', NULL, NULL, NULL, 9),
(26589, NULL, 'TIGR02116', NULL, NULL, 'toxin_Txe_YoeB: addiction module toxin, Txe/YoeB family', NULL, 'TIGR02116', NULL, NULL, NULL, 9),
(26590, NULL, 'TIGR02568', NULL, NULL, 'LcrE: type III secretion regulator YopN/LcrE/InvE/MxiC', NULL, 'TIGR02568', NULL, NULL, NULL, 9),
(26591, NULL, 'TIGR00635', NULL, NULL, 'ruvB: Holliday junction DNA helicase RuvB', NULL, 'TIGR00635', NULL, NULL, NULL, 9),
(26592, NULL, 'TIGR00383', NULL, NULL, 'corA: magnesium and cobalt transport protein CorA', NULL, 'TIGR00383', NULL, NULL, NULL, 9),
(26593, NULL, 'TIGR04289', NULL, NULL, 'heavy_Cys: eight-cysteine-cluster domain', NULL, 'TIGR04289', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26594, NULL, 'TIGR03991', NULL, NULL, 'alt_bact_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', NULL, 'TIGR03991', NULL, NULL, NULL, 9),
(26595, NULL, 'TIGR00903', NULL, NULL, '2A0129: major facilitator 4 family protein', NULL, 'TIGR00903', NULL, NULL, NULL, 9),
(26596, NULL, 'TIGR01525', NULL, NULL, 'ATPase-IB_hvy: heavy metal translocating P-type ATPase', NULL, 'TIGR01525', NULL, NULL, NULL, 9),
(26597, NULL, 'TIGR02353', NULL, NULL, 'NRPS_term_dom: non-ribosomal peptide synthetase terminal domain of unknown function', NULL, 'TIGR02353', NULL, NULL, NULL, 9),
(26598, NULL, 'TIGR00713', NULL, NULL, 'hemL: glutamate-1-semialdehyde-2,1-aminomutase', NULL, 'TIGR00713', NULL, NULL, NULL, 9),
(26599, NULL, 'TIGR03704', NULL, NULL, 'PrmC_rel_meth: putative protein-(glutamine-N5) methyltransferase, unknown substrate-specific', NULL, 'TIGR03704', NULL, NULL, NULL, 9),
(26600, NULL, 'TIGR04152', NULL, NULL, 'exosort_VPLPA: exosortase D, VPLPA-CTERM-specific', NULL, 'TIGR04152', NULL, NULL, NULL, 9),
(26601, NULL, 'TIGR01591', NULL, NULL, 'Fdh-alpha: formate dehydrogenase, alpha subunit', NULL, 'TIGR01591', NULL, NULL, NULL, 9),
(26602, NULL, 'TIGR02786', NULL, NULL, 'addB_alphas: double-strand break repair protein AddB', NULL, 'TIGR02786', NULL, NULL, NULL, 9),
(26603, NULL, 'TIGR04323', NULL, NULL, 'SpoChoClust_1: sporadic carbohydrate cluster protein, LIC12192 family', NULL, 'TIGR04323', NULL, NULL, NULL, 9),
(26604, NULL, 'TIGR02182', NULL, NULL, 'GRXB: glutaredoxin, GrxB family', NULL, 'TIGR02182', NULL, NULL, NULL, 9),
(26605, NULL, 'TIGR04046', NULL, NULL, 'MSMEG_0569_nitr: flavin-dependent oxidoreductase, MSMEG_0569 family', NULL, 'TIGR04046', NULL, NULL, NULL, 9),
(26606, NULL, 'TIGR01304', NULL, NULL, 'IMP_DH_rel_2: IMP dehydrogenase family protein', NULL, 'TIGR01304', NULL, NULL, NULL, 9),
(26607, NULL, 'TIGR03561', NULL, NULL, 'organ_hyd_perox: peroxiredoxin, Ohr subfamily', NULL, 'TIGR03561', NULL, NULL, NULL, 9),
(26608, NULL, 'TIGR00143', NULL, NULL, 'hypF: carbamoyltransferase HypF', NULL, 'TIGR00143', NULL, NULL, NULL, 9),
(26609, NULL, 'TIGR03050', NULL, NULL, 'PS_I_psaK_plant: photosystem I reaction center PsaK', NULL, 'TIGR03050', NULL, NULL, NULL, 9),
(26610, NULL, 'TIGR00607', NULL, NULL, 'rad52: recombination protein rad52', NULL, 'TIGR00607', NULL, NULL, NULL, 9),
(26611, NULL, 'TIGR03240', NULL, NULL, 'arg_catab_astD: succinylglutamate-semialdehyde dehydrogenase', NULL, 'TIGR03240', NULL, NULL, NULL, 9),
(26612, NULL, 'TIGR03869', NULL, NULL, 'F420-0_ABCperm: proposed F420-0 ABC transporter, permease protein', NULL, 'TIGR03869', NULL, NULL, NULL, 9),
(26613, NULL, 'TIGR02904', NULL, NULL, 'spore_ysxE: spore coat protein YsxE', NULL, 'TIGR02904', NULL, NULL, NULL, 9),
(26614, NULL, 'TIGR03377', NULL, NULL, 'glycerol3P_GlpA: glycerol-3-phosphate dehydrogenase, anaerobic, A subunit', NULL, 'TIGR03377', NULL, NULL, NULL, 9),
(26615, NULL, 'TIGR03265', NULL, NULL, 'PhnT2: putative 2-aminoethylphosphonate ABC transporter, ATP-binding protein', NULL, 'TIGR03265', NULL, NULL, NULL, 9),
(26616, NULL, 'TIGR03455', NULL, NULL, 'HisG_C-term: ATP phosphoribosyltransferase, C-terminal domain', NULL, 'TIGR03455', NULL, NULL, NULL, 9),
(26617, NULL, 'TIGR01080', NULL, NULL, 'rplX_A_E: ribosomal protein uL24', NULL, 'TIGR01080', NULL, NULL, NULL, 9),
(26618, NULL, 'TIGR01840', NULL, NULL, 'esterase_phb: esterase, PHB depolymerase family', NULL, 'TIGR01840', NULL, NULL, NULL, 9),
(26619, NULL, 'TIGR03187', NULL, NULL, 'DGQHR: DGQHR domain', NULL, 'TIGR03187', NULL, NULL, NULL, 9),
(26620, NULL, 'TIGR00529', NULL, NULL, 'AF0261: integral membrane protein, TIGR00529 family', NULL, 'TIGR00529', NULL, NULL, NULL, 9),
(26621, NULL, 'TIGR01899', NULL, NULL, 'cas_TM1807_csm5: CRISPR type III-A/MTUBE-associated RAMP protein Csm5', NULL, 'TIGR01899', NULL, NULL, NULL, 9),
(26622, NULL, 'TIGR03947', NULL, NULL, 'viomycin_VioD: capreomycidine synthase', NULL, 'TIGR03947', NULL, NULL, NULL, 9);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26623, NULL, 'TIGR00934', NULL, NULL, '2a38euk: potassium uptake protein, Trk family', NULL, 'TIGR00934', NULL, NULL, NULL, 9),
(26624, NULL, 'TIGR01762', NULL, NULL, 'chlorin-enz: chlorinating enzyme', NULL, 'TIGR01762', NULL, NULL, NULL, 9),
(26625, NULL, 'TIGR01270', NULL, NULL, 'Trp_5_monoox: tryptophan 5-monooxygenase', NULL, 'TIGR01270', NULL, NULL, NULL, 9),
(26626, NULL, 'TIGR01055', NULL, NULL, 'parE_Gneg: DNA topoisomerase IV, B subunit', NULL, 'TIGR01055', NULL, NULL, NULL, 9),
(26627, NULL, 'TIGR02596', NULL, NULL, 'TIGR02596: Verru_Chthon cassette protein D', NULL, 'TIGR02596', NULL, NULL, NULL, 9),
(26628, NULL, 'TIGR02864', NULL, NULL, 'spore_sspO: small, acid-soluble spore protein O', NULL, 'TIGR02864', NULL, NULL, NULL, 9),
(26629, NULL, 'TIGR04538', NULL, NULL, 'P450_cycloAA_1: cytochrome P450, cyclodipeptide synthase-associated', NULL, 'TIGR04538', NULL, NULL, NULL, 9),
(26630, NULL, 'TIGR02674', NULL, NULL, 'cas_cyan_RAMP_2: CRISPR-associated RAMP protein, Csx10 family', NULL, 'TIGR02674', NULL, NULL, NULL, 9),
(26631, NULL, 'TIGR03698', NULL, NULL, 'clan_AA_DTGF: clan AA aspartic protease, AF_0612 family', NULL, 'TIGR03698', NULL, NULL, NULL, 9),
(26632, NULL, 'TIGR00891', NULL, NULL, '2A0112: MFS transporter, sialate:H+ symporter (SHS) family', NULL, 'TIGR00891', NULL, NULL, NULL, 9),
(26633, NULL, 'TIGR01083', NULL, NULL, 'nth: endonuclease III', NULL, 'TIGR01083', NULL, NULL, NULL, 9),
(26634, NULL, 'TIGR03589', NULL, NULL, 'PseB: UDP-N-acetylglucosamine 4,6-dehydratase (inverting)', NULL, 'TIGR03589', NULL, NULL, NULL, 9),
(26635, NULL, 'TIGR04404', NULL, NULL, 'RiPP_SkfA: sporulation killing factor', NULL, 'TIGR04404', NULL, NULL, NULL, 9),
(26636, NULL, 'TIGR01843', NULL, NULL, 'type_I_hlyD: type I secretion membrane fusion protein, HlyD family', NULL, 'TIGR01843', NULL, NULL, NULL, 9),
(26637, NULL, 'TIGR02998', NULL, NULL, 'RraA_entero: regulator of ribonuclease activity A', NULL, 'TIGR02998', NULL, NULL, NULL, 9),
(26638, NULL, 'TIGR02434', NULL, NULL, 'CobF: precorrin-6A synthase (deacetylating)', NULL, 'TIGR02434', NULL, NULL, NULL, 9),
(26639, NULL, 'TIGR02861', NULL, NULL, 'SASP_H: small acid-soluble spore protein, H-type', NULL, 'TIGR02861', NULL, NULL, NULL, 9),
(26640, NULL, 'TIGR04071', NULL, NULL, 'methanobac_OB3b: methanobactin precursor, Mb-OB3b family', NULL, 'TIGR04071', NULL, NULL, NULL, 9),
(26641, NULL, 'TIGR00638', NULL, NULL, 'Mop: molybdenum-pterin binding domain', NULL, 'TIGR00638', NULL, NULL, NULL, 9),
(26642, NULL, 'TIGR01416', NULL, NULL, 'Rieske_proteo: ubiquinol-cytochrome c reductase, iron-sulfur subunit', NULL, 'TIGR01416', NULL, NULL, NULL, 9),
(26643, NULL, 'TIGR00501', NULL, NULL, 'met_pdase_II: methionine aminopeptidase, type II', NULL, 'TIGR00501', NULL, NULL, NULL, 9),
(26644, NULL, 'TIGR00464', NULL, NULL, 'gltX_bact: glutamate--tRNA ligase', NULL, 'TIGR00464', NULL, NULL, NULL, 9),
(26645, NULL, 'TIGR01656', NULL, NULL, 'Histidinol-ppas: histidinol-phosphate phosphatase domain', NULL, 'TIGR01656', NULL, NULL, NULL, 9),
(26646, NULL, 'TIGR00492', NULL, NULL, 'alr: alanine racemase', NULL, 'TIGR00492', NULL, NULL, NULL, 9),
(26647, NULL, 'TIGR03813', NULL, NULL, 'put_Glu_GABA_T: putative glutamate/gamma-aminobutyrate antiporter', NULL, 'TIGR03813', NULL, NULL, NULL, 9),
(26648, NULL, 'TIGR00168', NULL, NULL, 'infC: translation initiation factor IF-3', NULL, 'TIGR00168', NULL, NULL, NULL, 9),
(26649, NULL, 'TIGR02608', NULL, NULL, 'delta_60_rpt: delta-60 repeat domain', NULL, 'TIGR02608', NULL, NULL, NULL, 9),
(26650, NULL, 'TIGR04043', NULL, NULL, 'rSAM_MSMEG_0568: radical SAM protein, MSMEG_0568 family', NULL, 'TIGR04043', NULL, NULL, NULL, 9),
(26651, NULL, 'TIGR02007', NULL, NULL, 'fdx_isc: ferredoxin, 2Fe-2S type, ISC system', NULL, 'TIGR02007', NULL, NULL, NULL, 9),
(26652, NULL, 'TIGR02462', NULL, NULL, 'pyranose_ox: pyranose oxidase', NULL, 'TIGR02462', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26653, NULL, 'TIGR01295', NULL, NULL, 'PedC_BrcD: putative bacteriocin transport accessory protein', NULL, 'TIGR01295', NULL, NULL, NULL, 9),
(26654, NULL, 'TIGR02073', NULL, NULL, 'PBP_1c: penicillin-binding protein 1C', NULL, 'TIGR02073', NULL, NULL, NULL, 9),
(26655, NULL, 'TIGR04180', NULL, NULL, 'EDH_00030: NAD dependent epimerase/dehydratase, LLPSF_EDH_00030 family', NULL, 'TIGR04180', NULL, NULL, NULL, 9),
(26656, NULL, 'TIGR02970', NULL, NULL, 'succ_dehyd_cytB: succinate dehydrogenase, cytochrome b556 subunit', NULL, 'TIGR02970', NULL, NULL, NULL, 9),
(26657, NULL, 'TIGR04569', NULL, NULL, 'arch_SelU_Cterm: selenouridine synthase, SelU C-terminal-like subunit', NULL, 'TIGR04569', NULL, NULL, NULL, 9),
(26658, NULL, 'TIGR02325', NULL, NULL, 'C_P_lyase_phnF: phosphonate metabolism transcriptional regulator PhnF', NULL, 'TIGR02325', NULL, NULL, NULL, 9),
(26659, NULL, 'TIGR04432', NULL, NULL, 'rSAM_Cfr: 23S rRNA (adenine(2503)-C(8))-methyltransferase Cfr', NULL, 'TIGR04432', NULL, NULL, NULL, 9),
(26660, NULL, 'TIGR00140', NULL, NULL, 'hupD: hydrogenase expression/formation protein', NULL, 'TIGR00140', NULL, NULL, NULL, 9),
(26661, NULL, 'TIGR01482', NULL, NULL, 'SPP-subfamily: sucrose-phosphate phosphatase subfamily', NULL, 'TIGR01482', NULL, NULL, NULL, 9),
(26662, NULL, 'TIGR03025', NULL, NULL, 'EPS_sugtrans: exopolysaccharide biosynthesis polyprenyl glycosylphosphotransferase', NULL, 'TIGR03025', NULL, NULL, NULL, 9),
(26663, NULL, 'TIGR00825', NULL, NULL, 'EIIBC-GUT: PTS system, glucitol/sorbitol-specific, IIBC component', NULL, 'TIGR00825', NULL, NULL, NULL, 9),
(26664, NULL, 'TIGR01734', NULL, NULL, 'D-ala-DACP-lig: D-alanine--poly(phosphoribitol) ligase, subunit 1', NULL, 'TIGR01734', NULL, NULL, NULL, 9),
(26665, NULL, 'TIGR03480', NULL, NULL, 'HpnN: hopanoid biosynthesis associated RND transporter like protein HpnN', NULL, 'TIGR03480', NULL, NULL, NULL, 9),
(26666, NULL, 'TIGR03601', NULL, NULL, 'B_an_ocin: bacteriocin, heterocycloanthracin/sonorensin family', NULL, 'TIGR03601', NULL, NULL, NULL, 9),
(26667, NULL, 'TIGR00900', NULL, NULL, '2A0121: H+ Antiporter protein', NULL, 'TIGR00900', NULL, NULL, NULL, 9),
(26668, NULL, 'TIGR02247', NULL, NULL, 'HAD-1A3-hyp: epoxide hydrolase N-terminal domain-like phosphatase', NULL, 'TIGR02247', NULL, NULL, NULL, 9),
(26669, NULL, 'TIGR03922', NULL, NULL, 'T7SS_EccA: type VII secretion AAA-ATPase EccA', NULL, 'TIGR03922', NULL, NULL, NULL, 9),
(26670, NULL, 'TIGR03978', NULL, NULL, 'rSAM_paired_1: His-Xaa-Ser system radical SAM maturase HxsB', NULL, 'TIGR03978', NULL, NULL, NULL, 9),
(26671, NULL, 'TIGR04326', NULL, NULL, 'O_ant_LIC13510: surface carbohydrate biosynthesis protein, LIC13510 family', NULL, 'TIGR04326', NULL, NULL, NULL, 9),
(26672, NULL, 'TIGR01765', NULL, NULL, 'tspaseT_teng_N: transposase, putative, N-terminal domain', NULL, 'TIGR01765', NULL, NULL, NULL, 9),
(26673, NULL, 'TIGR02219', NULL, NULL, 'phage_NlpC_fam: putative phage cell wall peptidase, NlpC/P60 family', NULL, 'TIGR02219', NULL, NULL, NULL, 9),
(26674, NULL, 'TIGR03374', NULL, NULL, 'ABALDH: 1-pyrroline dehydrogenase', NULL, 'TIGR03374', NULL, NULL, NULL, 9),
(26675, NULL, 'TIGR03735', NULL, NULL, 'PRTRC_A: PRTRC system protein A', NULL, 'TIGR03735', NULL, NULL, NULL, 9),
(26676, NULL, 'TIGR02113', NULL, NULL, 'coaC_strep: phosphopantothenoylcysteine decarboxylase', NULL, 'TIGR02113', NULL, NULL, NULL, 9),
(26677, NULL, 'TIGR04392', NULL, NULL, 'haoB_nitrify: hydroxylamine oxidation protein HaoB', NULL, 'TIGR04392', NULL, NULL, NULL, 9),
(26678, NULL, 'TIGR03268', NULL, NULL, 'methan_mark_3: putative methanogenesis marker protein 3', NULL, 'TIGR03268', NULL, NULL, NULL, 9),
(26679, NULL, 'TIGR00716', NULL, NULL, 'rnhC: ribonuclease HIII', NULL, 'TIGR00716', NULL, NULL, NULL, 9),
(26680, NULL, 'TIGR02356', NULL, NULL, 'adenyl_thiF: thiazole biosynthesis adenylyltransferase ThiF', NULL, 'TIGR02356', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26681, NULL, 'TIGR00112', NULL, NULL, 'proC: pyrroline-5-carboxylate reductase', NULL, 'TIGR00112', NULL, NULL, NULL, 9),
(26682, NULL, 'TIGR00570', NULL, NULL, 'cdk7: CDK-activating kinase assembly factor MAT1', NULL, 'TIGR00570', NULL, NULL, NULL, 9),
(26683, NULL, 'TIGR03707', NULL, NULL, 'PPK2_P_aer: polyphosphate kinase 2', NULL, 'TIGR03707', NULL, NULL, NULL, 9),
(26684, NULL, 'TIGR02783', NULL, NULL, 'TrbL_P: P-type conjugative transfer protein TrbL', NULL, 'TIGR02783', NULL, NULL, NULL, 9),
(26685, NULL, 'TIGR03695', NULL, NULL, 'menH_SHCHC: 2-succinyl-6-hydroxy-2,4-cyclohexadiene-1-carboxylate synthase', NULL, 'TIGR03695', NULL, NULL, NULL, 9),
(26686, NULL, 'TIGR01229', NULL, NULL, 'rocF_arginase: arginase', NULL, 'TIGR01229', NULL, NULL, NULL, 9),
(26687, NULL, 'TIGR02599', NULL, NULL, 'TIGR02599: Verru_Chthon cassette protein C', NULL, 'TIGR02599', NULL, NULL, NULL, 9),
(26688, NULL, 'TIGR00355', NULL, NULL, 'purH: phosphoribosylaminoimidazolecarboxamide formyltransferase/IMP cyclohydrolase', NULL, 'TIGR00355', NULL, NULL, NULL, 9),
(26689, NULL, 'TIGR01307', NULL, NULL, 'pgm_bpd_ind: phosphoglycerate mutase (2,3-diphosphoglycerate-independent)', NULL, 'TIGR01307', NULL, NULL, NULL, 9),
(26690, NULL, 'TIGR01522', NULL, NULL, 'ATPase-IIA2_Ca: calcium-transporting P-type ATPase, PMR1-type', NULL, 'TIGR01522', NULL, NULL, NULL, 9),
(26691, NULL, 'TIGR02540', NULL, NULL, 'gpx7: putative glutathione peroxidase Gpx7', NULL, 'TIGR02540', NULL, NULL, NULL, 9),
(26692, NULL, 'TIGR03629', NULL, NULL, 'uS13_arch: ribosomal protein uS13', NULL, 'TIGR03629', NULL, NULL, NULL, 9),
(26693, NULL, 'TIGR02677', NULL, NULL, 'TIGR02677: TIGR02677 family protein', NULL, 'TIGR02677', NULL, NULL, NULL, 9),
(26694, NULL, 'TIGR00277', NULL, NULL, 'HDIG: HDIG domain', NULL, 'TIGR00277', NULL, NULL, NULL, 9),
(26695, NULL, 'TIGR04286', NULL, NULL, 'MSEP-CTERM: MSEP-CTERM protein', NULL, 'TIGR04286', NULL, NULL, NULL, 9),
(26696, NULL, 'TIGR01628', NULL, NULL, 'PABP-1234: polyadenylate binding protein, human types 1, 2, 3, 4 family', NULL, 'TIGR01628', NULL, NULL, NULL, 9),
(26697, NULL, 'TIGR00931', NULL, NULL, 'antiport_nhaC: Na+/H+ antiporter NhaC', NULL, 'TIGR00931', NULL, NULL, NULL, 9),
(26698, NULL, 'TIGR03053', NULL, NULL, 'PS_I_psaM: photosystem I reaction center subunit XII', NULL, 'TIGR03053', NULL, NULL, NULL, 9),
(26699, NULL, 'TIGR00034', NULL, NULL, 'aroFGH: 3-deoxy-7-phosphoheptulonate synthase', NULL, 'TIGR00034', NULL, NULL, NULL, 9),
(26700, NULL, 'TIGR03131', NULL, NULL, 'malonate_mdcH: malonate decarboxylase, epsilon subunit', NULL, 'TIGR03131', NULL, NULL, NULL, 9),
(26701, NULL, 'TIGR03452', NULL, NULL, 'mycothione_red: mycothione reductase', NULL, 'TIGR03452', NULL, NULL, NULL, 9),
(26702, NULL, 'TIGR01189', NULL, NULL, 'ccmA: heme ABC exporter, ATP-binding protein CcmA', NULL, 'TIGR01189', NULL, NULL, NULL, 9),
(26703, NULL, 'TIGR01930', NULL, NULL, 'AcCoA-C-Actrans: acetyl-CoA C-acyltransferase', NULL, 'TIGR01930', NULL, NULL, NULL, 9),
(26704, NULL, 'TIGR04177', NULL, NULL, 'exosort_XrtH: exosortase H, IPTLxxWG-CTERM-specific', NULL, 'TIGR04177', NULL, NULL, NULL, 9),
(26705, NULL, 'TIGR04040', NULL, NULL, 'glycyl_YjjI: glycine radical enzyme, YjjI family', NULL, 'TIGR04040', NULL, NULL, NULL, 9),
(26706, NULL, 'TIGR02465', NULL, NULL, 'chlorocat_1_2: chlorocatechol 1,2-dioxygenase', NULL, 'TIGR02465', NULL, NULL, NULL, 9),
(26707, NULL, 'TIGR02811', NULL, NULL, 'formate_TAT: formate dehydrogenase region TAT target', NULL, 'TIGR02811', NULL, NULL, NULL, 9),
(26708, NULL, 'TIGR01827', NULL, NULL, 'gatC_rel: putative Asp-tRNA(Asn)/Glu-tRNA(Gln) amidotransferase, subunit C', NULL, 'TIGR01827', NULL, NULL, NULL, 9),
(26709, NULL, 'TIGR02708', NULL, NULL, 'L_lactate_ox: L-lactate oxidase', NULL, 'TIGR02708', NULL, NULL, NULL, 9),
(26710, NULL, 'TIGR00448', NULL, NULL, 'rpoE: DNA-directed RNA polymerase', NULL, 'TIGR00448', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26711, NULL, 'TIGR02225', NULL, NULL, 'recomb_XerD: tyrosine recombinase XerD', NULL, 'TIGR02225', NULL, NULL, NULL, 9),
(26712, NULL, 'TIGR01432', NULL, NULL, 'QOXA: cytochrome aa3 quinol oxidase, subunit II', NULL, 'TIGR01432', NULL, NULL, NULL, 9),
(26713, NULL, 'TIGR04280', NULL, NULL, 'geopep_mat_rSAM: putative geopeptide radical SAM maturase', NULL, 'TIGR04280', NULL, NULL, NULL, 9),
(26714, NULL, 'TIGR00785', NULL, NULL, 'dass: transporter, divalent anion:Na+ symporter (DASS) family', NULL, 'TIGR00785', NULL, NULL, NULL, 9),
(26715, NULL, 'TIGR01329', NULL, NULL, 'cysta_beta_ly_E: cystathionine beta-lyase', NULL, 'TIGR01329', NULL, NULL, NULL, 9),
(26716, NULL, 'TIGR03296', NULL, NULL, 'M6dom_TIGR03296: M6 family metalloprotease domain', NULL, 'TIGR03296', NULL, NULL, NULL, 9),
(26717, NULL, 'TIGR03106', NULL, NULL, 'trio_M42_hydro: hydrolase, peptidase M42 family', NULL, 'TIGR03106', NULL, NULL, NULL, 9),
(26718, NULL, 'TIGR02169', NULL, NULL, 'SMC_prok_A: chromosome segregation protein SMC', NULL, 'TIGR02169', NULL, NULL, NULL, 9),
(26719, NULL, 'TIGR00305', NULL, NULL, 'TIGR00305: putative toxin-antitoxin system toxin component, PIN family', NULL, 'TIGR00305', NULL, NULL, NULL, 9),
(26720, NULL, 'TIGR03352', NULL, NULL, 'VI_chp_3: type VI secretion lipoprotein, VC_A0113 family', NULL, 'TIGR03352', NULL, NULL, NULL, 9),
(26721, NULL, 'TIGR03592', NULL, NULL, 'yidC_oxa1_cterm: membrane protein insertase, YidC/Oxa1 family', NULL, 'TIGR03592', NULL, NULL, NULL, 9),
(26722, NULL, 'TIGR03009', NULL, NULL, 'plancto_dom_2: Planctomycetes uncharacterized domain TIGR03009', NULL, 'TIGR03009', NULL, NULL, NULL, 9),
(26723, NULL, 'TIGR03844', NULL, NULL, 'cysteate_syn: cysteate synthase', NULL, 'TIGR03844', NULL, NULL, NULL, 9),
(26724, NULL, 'TIGR00592', NULL, NULL, 'pol2: DNA polymerase (pol2)', NULL, 'TIGR00592', NULL, NULL, NULL, 9),
(26725, NULL, 'TIGR00688', NULL, NULL, 'rarD: protein RarD', NULL, 'TIGR00688', NULL, NULL, NULL, 9),
(26726, NULL, 'TIGR03153', NULL, NULL, 'cytochr_NrfH: cytochrome c nitrite reductase, small subunit', NULL, 'TIGR03153', NULL, NULL, NULL, 9),
(26727, NULL, 'TIGR03604', NULL, NULL, 'TOMM_cyclo_SagD: thiazole/oxazole-forming peptide maturase, SagD family component', NULL, 'TIGR03604', NULL, NULL, NULL, 9),
(26728, NULL, 'TIGR00006', NULL, NULL, 'TIGR00006: 16S rRNA (cytosine(1402)-N(4))-methyltransferase', NULL, 'TIGR00006', NULL, NULL, NULL, 9),
(26729, NULL, 'TIGR00311', NULL, NULL, 'aIF-2beta: putative translation initiation factor aIF-2, beta subunit', NULL, 'TIGR00311', NULL, NULL, NULL, 9),
(26730, NULL, 'TIGR01672', NULL, NULL, 'AphA: HAD phosphatase, family IIIB', NULL, 'TIGR01672', NULL, NULL, NULL, 9),
(26731, NULL, 'TIGR03346', NULL, NULL, 'chaperone_ClpB: ATP-dependent chaperone protein ClpB', NULL, 'TIGR03346', NULL, NULL, NULL, 9),
(26732, NULL, 'TIGR03788', NULL, NULL, 'marine_srt_targ: marine proteobacterial sortase target protein', NULL, 'TIGR03788', NULL, NULL, NULL, 9),
(26733, NULL, 'TIGR01924', NULL, NULL, 'rsbW_low_gc: anti-sigma B factor', NULL, 'TIGR01924', NULL, NULL, NULL, 9),
(26734, NULL, 'TIGR02948', NULL, NULL, 'SigW_bacill: RNA polymerase sigma-W factor', NULL, 'TIGR02948', NULL, NULL, NULL, 9),
(26735, NULL, 'TIGR03411', NULL, NULL, 'urea_trans_UrtD: urea ABC transporter, ATP-binding protein UrtD', NULL, 'TIGR03411', NULL, NULL, NULL, 9),
(26736, NULL, 'TIGR01086', NULL, NULL, 'fucA: L-fuculose phosphate aldolase', NULL, 'TIGR01086', NULL, NULL, NULL, 9),
(26737, NULL, 'TIGR03094', NULL, NULL, 'sulfo_cyanin: sulfocyanin', NULL, 'TIGR03094', NULL, NULL, NULL, 9),
(26738, NULL, 'TIGR02954', NULL, NULL, 'Sig70_famx3: RNA polymerase sigma-70 factor, TIGR02954 family', NULL, 'TIGR02954', NULL, NULL, NULL, 9),
(26739, NULL, 'TIGR00504', NULL, NULL, 'pyro_pdase: pyroglutamyl-peptidase I', NULL, 'TIGR00504', NULL, NULL, NULL, 9),
(26740, NULL, 'TIGR01338', NULL, NULL, 'phycocy_alpha: phycocyanin, alpha subunit', NULL, 'TIGR01338', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26741, NULL, 'TIGR00987', NULL, NULL, 'himA: integration host factor, alpha subunit', NULL, 'TIGR00987', NULL, NULL, NULL, 9),
(26742, NULL, 'TIGR01971', NULL, NULL, 'NuoI: NADH-quinone oxidoreductase, chain I', NULL, 'TIGR01971', NULL, NULL, NULL, 9),
(26743, NULL, 'TIGR04186', NULL, NULL, 'GRASP_targ: putative ATP-grasp target RiPP', NULL, 'TIGR04186', NULL, NULL, NULL, 9),
(26744, NULL, 'TIGR01145', NULL, NULL, 'ATP_synt_delta: ATP synthase F1, delta subunit', NULL, 'TIGR01145', NULL, NULL, NULL, 9),
(26745, NULL, 'TIGR01335', NULL, NULL, 'psaA: photosystem I core protein PsaA', NULL, 'TIGR01335', NULL, NULL, NULL, 9),
(26746, NULL, 'TIGR04532', NULL, NULL, 'PT_fungal_PKS: polyketide product template domain', NULL, 'TIGR04532', NULL, NULL, NULL, 9),
(26747, NULL, 'TIGR01868', NULL, NULL, 'casD_Cas5e: CRISPR-associated protein Cas5/CasD, subtype I-E/ECOLI', NULL, 'TIGR01868', NULL, NULL, NULL, 9),
(26748, NULL, 'TIGR01768', NULL, NULL, 'GGGP-family: geranylgeranylglyceryl phosphate synthase family protein', NULL, 'TIGR01768', NULL, NULL, NULL, 9),
(26749, NULL, 'TIGR03651', NULL, NULL, 'circ_ocin_uber: circular bacteriocin, circularin A/uberolysin family', NULL, 'TIGR03651', NULL, NULL, NULL, 9),
(26750, NULL, 'TIGR03841', NULL, NULL, 'F420_Rv3093c: probable F420-dependent oxidoreductase, Rv3093c family', NULL, 'TIGR03841', NULL, NULL, NULL, 9),
(26751, NULL, 'TIGR00803', NULL, NULL, 'nst: UDP-galactose transporter', NULL, 'TIGR00803', NULL, NULL, NULL, 9),
(26752, NULL, 'TIGR01180', NULL, NULL, 'aman2_put: putative alpha-1,2-mannosidase', NULL, 'TIGR01180', NULL, NULL, NULL, 9),
(26753, NULL, 'TIGR00489', NULL, NULL, 'aEF-1_beta: translation elongation factor aEF-1 beta', NULL, 'TIGR00489', NULL, NULL, NULL, 9),
(26754, NULL, 'TIGR03548', NULL, NULL, 'mutarot_permut: cyclically-permuted mutarotase family protein', NULL, 'TIGR03548', NULL, NULL, NULL, 9),
(26755, NULL, 'TIGR02649', NULL, NULL, 'true_RNase_BN: ribonuclease BN', NULL, 'TIGR02649', NULL, NULL, NULL, 9),
(26756, NULL, 'TIGR02032', NULL, NULL, 'GG-red-SF: geranylgeranyl reductase family', NULL, 'TIGR02032', NULL, NULL, NULL, 9),
(26757, NULL, 'TIGR03299', NULL, NULL, 'LGT_TIGR03299: phage/plasmid-like protein TIGR03299', NULL, 'TIGR03299', NULL, NULL, NULL, 9),
(26758, NULL, 'TIGR03489', NULL, NULL, 'cas_csp1: CRISPR-associated protein Cas7/Csp1, subtype PGING', NULL, 'TIGR03489', NULL, NULL, NULL, 9),
(26759, NULL, 'TIGR02524', NULL, NULL, 'dot_icm_DotB: Dot/Icm secretion system ATPase DotB', NULL, 'TIGR02524', NULL, NULL, NULL, 9),
(26760, NULL, 'TIGR01133', NULL, NULL, 'murG: undecaprenyldiphospho-muramoylpentapeptide beta-N-acetylglucosaminyltransferase', NULL, 'TIGR01133', NULL, NULL, NULL, 9),
(26761, NULL, 'TIGR00293', NULL, NULL, 'TIGR00293: prefoldin, alpha subunit', NULL, 'TIGR00293', NULL, NULL, NULL, 9),
(26762, NULL, 'TIGR02995', NULL, NULL, 'ectoine_ehuB: ectoine/hydroxyectoine ABC transporter solute-binding protein EhuB', NULL, 'TIGR02995', NULL, NULL, NULL, 9),
(26763, NULL, 'TIGR02714', NULL, NULL, 'amido_AtzD_TrzD: ring-opening amidohydrolases', NULL, 'TIGR02714', NULL, NULL, NULL, 9),
(26764, NULL, 'TIGR00791', NULL, NULL, 'gntP: transporter, gluconate:H+ symporter (GntP) family', NULL, 'TIGR00791', NULL, NULL, NULL, 9),
(26765, NULL, 'TIGR04329', NULL, NULL, 'cas1_PREFRAN: CRISPR-associated endonuclease Cas1, subtype PREFRAN', NULL, 'TIGR04329', NULL, NULL, NULL, 9),
(26766, NULL, 'TIGR03645', NULL, NULL, 'glyox_marine: lactoylglutathione lyase family protein', NULL, 'TIGR03645', NULL, NULL, NULL, 9),
(26767, NULL, 'TIGR03835', NULL, NULL, 'termin_org_DnaJ: terminal organelle assembly protein TopJ', NULL, 'TIGR03835', NULL, NULL, NULL, 9),
(26768, NULL, 'TIGR04473', NULL, NULL, 'taxol_Phe_23mut: phenylalanine aminomutase (L-beta-phenylalanine forming)', NULL, 'TIGR04473', NULL, NULL, NULL, 9),
(26769, NULL, 'TIGR01631', NULL, NULL, 'Trypano_RHS: trypanosome RHS family', NULL, 'TIGR01631', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26770, NULL, 'TIGR02026', NULL, NULL, 'BchE: magnesium-protoporphyrin IX monomethyl ester anaerobic oxidative cyclase', NULL, 'TIGR02026', NULL, NULL, NULL, 9),
(26771, NULL, 'TIGR00208', NULL, NULL, 'fliS: flagellar protein FliS', NULL, 'TIGR00208', NULL, NULL, NULL, 9),
(26772, NULL, 'TIGR02216', NULL, NULL, 'phage_TIGR02216: phage conserved hypothetical protein', NULL, 'TIGR02216', NULL, NULL, NULL, 9),
(26773, NULL, 'TIGR00018', NULL, NULL, 'panC: pantoate--beta-alanine ligase', NULL, 'TIGR00018', NULL, NULL, NULL, 9),
(26774, NULL, 'TIGR01002', NULL, NULL, 'hlyII: beta-channel forming cytolysin', NULL, 'TIGR01002', NULL, NULL, NULL, 9),
(26775, NULL, 'TIGR00149', NULL, NULL, 'TIGR00149_YjbQ: secondary thiamine-phosphate synthase enzyme', NULL, 'TIGR00149', NULL, NULL, NULL, 9),
(26776, NULL, 'TIGR01740', NULL, NULL, 'pyrF: orotidine 5''-phosphate decarboxylase', NULL, 'TIGR01740', NULL, NULL, NULL, 9),
(26777, NULL, 'TIGR02895', NULL, NULL, 'spore_sigI: RNA polymerase sigma-I factor', NULL, 'TIGR02895', NULL, NULL, NULL, 9),
(26778, NULL, 'TIGR01759', NULL, NULL, 'MalateDH-SF1: malate dehydrogenase', NULL, 'TIGR01759', NULL, NULL, NULL, 9),
(26779, NULL, 'TIGR02655', NULL, NULL, 'circ_KaiC: circadian clock protein KaiC', NULL, 'TIGR02655', NULL, NULL, NULL, 9),
(26780, NULL, 'TIGR04301', NULL, NULL, 'ODC_inducible: ornithine decarboxylase SpeF', NULL, 'TIGR04301', NULL, NULL, NULL, 9),
(26781, NULL, 'TIGR01622', NULL, NULL, 'SF-CC1: splicing factor, CC1-like family', NULL, 'TIGR01622', NULL, NULL, NULL, 9),
(26782, NULL, 'TIGR01186', NULL, NULL, 'proV: glycine betaine/L-proline transport ATP binding subunit', NULL, 'TIGR01186', NULL, NULL, NULL, 9),
(26783, NULL, 'TIGR01500', NULL, NULL, 'sepiapter_red: sepiapterin reductase', NULL, 'TIGR01500', NULL, NULL, NULL, 9),
(26784, NULL, 'TIGR04438', NULL, NULL, 'small_Trp_rich: small Trp-rich protein', NULL, 'TIGR04438', NULL, NULL, NULL, 9),
(26785, NULL, 'TIGR01877', NULL, NULL, 'cas_cas6: CRISPR-associated endoribonuclease Cas6', NULL, 'TIGR01877', NULL, NULL, NULL, 9),
(26786, NULL, 'TIGR02518', NULL, NULL, 'EutH_ACDH: acetaldehyde dehydrogenase (acetylating)', NULL, 'TIGR02518', NULL, NULL, NULL, 9),
(26787, NULL, 'TIGR00878', NULL, NULL, 'purM: phosphoribosylformylglycinamidine cyclo-ligase', NULL, 'TIGR00878', NULL, NULL, NULL, 9),
(26788, NULL, 'TIGR03776', NULL, NULL, 'RPE5: rickettsial palindromic element RPE5 domain', NULL, 'TIGR03776', NULL, NULL, NULL, 9),
(26789, NULL, 'TIGR02621', NULL, NULL, 'cas3_GSU0051: CRISPR-associated helicase Cas3, subtype Dpsyc', NULL, 'TIGR02621', NULL, NULL, NULL, 9),
(26790, NULL, 'TIGR02397', NULL, NULL, 'dnaX_nterm: DNA polymerase III, subunit gamma and tau', NULL, 'TIGR02397', NULL, NULL, NULL, 9),
(26791, NULL, 'TIGR01242', NULL, NULL, '26Sp45: 26S proteasome subunit P45 family', NULL, 'TIGR01242', NULL, NULL, NULL, 9),
(26792, NULL, 'TIGR02020', NULL, NULL, 'BchF: 2-vinyl bacteriochlorophyllide hydratase', NULL, 'TIGR02020', NULL, NULL, NULL, 9),
(26793, NULL, 'TIGR00389', NULL, NULL, 'glyS_dimeric: glycine--tRNA ligase', NULL, 'TIGR00389', NULL, NULL, NULL, 9),
(26794, NULL, 'TIGR01684', NULL, NULL, 'viral_ppase: viral phosphatase', NULL, 'TIGR01684', NULL, NULL, NULL, 9),
(26795, NULL, 'TIGR03692', NULL, NULL, 'ATP_dep_HslV: ATP-dependent protease HslVU, peptidase subunit', NULL, 'TIGR03692', NULL, NULL, NULL, 9),
(26796, NULL, 'TIGR00012', NULL, NULL, 'L29: ribosomal protein uL29', NULL, 'TIGR00012', NULL, NULL, NULL, 9),
(26797, NULL, 'TIGR04485', NULL, NULL, 'thiosulf_SoxX: sulfur oxidation c-type cytochrome SoxX', NULL, 'TIGR04485', NULL, NULL, NULL, 9),
(26798, NULL, 'TIGR02565', NULL, NULL, 'cas_Csy2: CRISPR type I-F/YPEST-associated protein Csy2', NULL, 'TIGR02565', NULL, NULL, NULL, 9),
(26799, NULL, 'TIGR00115', NULL, NULL, 'tig: trigger factor', NULL, 'TIGR00115', NULL, NULL, NULL, 9),
(26800, NULL, 'TIGR00975', NULL, NULL, '3a0107s03: phosphate ABC transporter, phosphate-binding protein PstS', NULL, 'TIGR00975', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26801, NULL, 'TIGR00196', NULL, NULL, 'yjeF_cterm: YjeF family C-terminal domain', NULL, 'TIGR00196', NULL, NULL, NULL, 9),
(26802, NULL, 'TIGR04245', NULL, NULL, 'nodulat_NodA: N-acyltransferase NodA', NULL, 'TIGR04245', NULL, NULL, NULL, 9),
(26803, NULL, 'TIGR00498', NULL, NULL, 'lexA: repressor LexA', NULL, 'TIGR00498', NULL, NULL, NULL, 9),
(26804, NULL, 'TIGR01528', NULL, NULL, 'NMN_trans_PnuC: nicotinamide mononucleotide transporter PnuC', NULL, 'TIGR01528', NULL, NULL, NULL, 9),
(26805, NULL, 'TIGR02758', NULL, NULL, 'TraA_TIGR: type IV conjugative transfer system pilin TraA', NULL, 'TIGR02758', NULL, NULL, NULL, 9),
(26806, NULL, 'TIGR02260', NULL, NULL, 'benz_CoA_red_B: benzoyl-CoA reductase, subunit B', NULL, 'TIGR02260', NULL, NULL, NULL, 9),
(26807, NULL, 'TIGR03536', NULL, NULL, 'DapD_gpp: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', NULL, 'TIGR03536', NULL, NULL, NULL, 9),
(26808, NULL, 'TIGR00059', NULL, NULL, 'L17: ribosomal protein bL17', NULL, 'TIGR00059', NULL, NULL, NULL, 9),
(26809, NULL, 'TIGR00252', NULL, NULL, 'TIGR00252: TIGR00252 family protein', NULL, 'TIGR00252', NULL, NULL, NULL, 9),
(26810, NULL, 'TIGR04429', NULL, NULL, 'Phr_nterm: Phr family secreted Rap phosphatase inhibitor', NULL, 'TIGR04429', NULL, NULL, NULL, 9),
(26811, NULL, 'TIGR00420', NULL, NULL, 'trmU: tRNA (5-methylaminomethyl-2-thiouridylate)-methyltransferase', NULL, 'TIGR00420', NULL, NULL, NULL, 9),
(26812, NULL, 'TIGR02409', NULL, NULL, 'carnitine_bodg: gamma-butyrobetaine hydroxylase', NULL, 'TIGR02409', NULL, NULL, NULL, 9),
(26813, NULL, 'TIGR04136', NULL, NULL, 'rSAM_FibroRumin: radical SAM peptide maturase, FibroRumin system', NULL, 'TIGR04136', NULL, NULL, NULL, 9),
(26814, NULL, 'TIGR01575', NULL, NULL, 'rimI: ribosomal-protein-alanine acetyltransferase', NULL, 'TIGR01575', NULL, NULL, NULL, 9),
(26815, NULL, 'TIGR01731', NULL, NULL, 'fil_hemag_20aa: adhesin HecA family 20-residue repeat (two copies)', NULL, 'TIGR01731', NULL, NULL, NULL, 9),
(26816, NULL, 'TIGR02886', NULL, NULL, 'spore_II_AA: anti-sigma F factor antagonist', NULL, 'TIGR02886', NULL, NULL, NULL, 9),
(26817, NULL, 'TIGR02907', NULL, NULL, 'spore_VI_D: stage VI sporulation protein D', NULL, 'TIGR02907', NULL, NULL, NULL, 9),
(26818, NULL, 'TIGR00557', NULL, NULL, 'pdxA: 4-hydroxythreonine-4-phosphate dehydrogenase PdxA', NULL, 'TIGR00557', NULL, NULL, NULL, 9),
(26819, NULL, 'TIGR01195', NULL, NULL, 'oadG_fam: sodium pump decarboxylases, gamma subunit', NULL, 'TIGR01195', NULL, NULL, NULL, 9),
(26820, NULL, 'TIGR03118', NULL, NULL, 'PEPCTERM_chp_1: TIGR03118 family protein', NULL, 'TIGR03118', NULL, NULL, NULL, 9),
(26821, NULL, 'TIGR02076', NULL, NULL, 'pyrH_arch: putative uridylate kinase', NULL, 'TIGR02076', NULL, NULL, NULL, 9),
(26822, NULL, 'TIGR02456', NULL, NULL, 'treS_nterm: trehalose synthase', NULL, 'TIGR02456', NULL, NULL, NULL, 9),
(26823, NULL, 'TIGR01301', NULL, NULL, 'GPH_sucrose: sucrose/H+ symporter', NULL, 'TIGR01301', NULL, NULL, NULL, 9),
(26824, NULL, 'TIGR03944', NULL, NULL, 'dehyd_SbnB_fam: 2,3-diaminopropionate biosynthesis protein SbnB', NULL, 'TIGR03944', NULL, NULL, NULL, 9),
(26825, NULL, 'TIGR01077', NULL, NULL, 'L13_A_E: ribosomal protein uL13', NULL, 'TIGR01077', NULL, NULL, NULL, 9),
(26826, NULL, 'TIGR00243', NULL, NULL, 'Dxr: 1-deoxy-D-xylulose 5-phosphate reductoisomerase', NULL, 'TIGR00243', NULL, NULL, NULL, 9),
(26827, NULL, 'TIGR03885', NULL, NULL, 'flavin_revert: probable non-F420 flavinoid oxidoreductase', NULL, 'TIGR03885', NULL, NULL, NULL, 9),
(26828, NULL, 'TIGR03302', NULL, NULL, 'OM_YfiO: outer membrane assembly lipoprotein YfiO', NULL, 'TIGR03302', NULL, NULL, NULL, 9),
(26829, NULL, 'TIGR02272', NULL, NULL, 'gentisate_1_2: gentisate 1,2-dioxygenase', NULL, 'TIGR02272', NULL, NULL, NULL, 9),
(26830, NULL, 'TIGR03059', NULL, NULL, 'psaOeuk: photosystem I protein PsaO', NULL, 'TIGR03059', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26831, NULL, 'TIGR01936', NULL, NULL, 'nqrA: NADH:ubiquinone oxidoreductase, Na(+)-translocating, A subunit', NULL, 'TIGR01936', NULL, NULL, NULL, 9),
(26832, NULL, 'TIGR03583', NULL, NULL, 'EF_0837: putative amidohydrolase, EF_0837/AHA_3915 family', NULL, 'TIGR03583', NULL, NULL, NULL, 9),
(26833, NULL, 'TIGR04233', NULL, NULL, 'seadorna_VP8: seadornavirus VP8 protein', NULL, 'TIGR04233', NULL, NULL, NULL, 9),
(26834, NULL, 'TIGR00361', NULL, NULL, 'ComEC_Rec2: DNA internalization-related competence protein ComEC/Rec2', NULL, 'TIGR00361', NULL, NULL, NULL, 9),
(26835, NULL, 'TIGR00682', NULL, NULL, 'lpxK: tetraacyldisaccharide 4''-kinase', NULL, 'TIGR00682', NULL, NULL, NULL, 9),
(26836, NULL, 'TIGR03439', NULL, NULL, 'methyl_EasF: probable methyltransferase domain, EasF family', NULL, 'TIGR03439', NULL, NULL, NULL, 9),
(26837, NULL, 'TIGR04077', NULL, NULL, 'expor_sig_YdyF: exported signaling peptide, YydF/SAG_2028 family', NULL, 'TIGR04077', NULL, NULL, NULL, 9),
(26838, NULL, 'TIGR00741', NULL, NULL, 'yfiA: ribosomal subunit interface protein', NULL, 'TIGR00741', NULL, NULL, NULL, 9),
(26839, NULL, 'TIGR00604', NULL, NULL, 'rad3: DNA repair helicase (rad3)', NULL, 'TIGR00604', NULL, NULL, NULL, 9),
(26840, NULL, 'TIGR01438', NULL, NULL, 'TGR: thioredoxin and glutathione reductase', NULL, 'TIGR01438', NULL, NULL, NULL, 9),
(26841, NULL, 'TIGR01379', NULL, NULL, 'thiL: thiamine-phosphate kinase', NULL, 'TIGR01379', NULL, NULL, NULL, 9),
(26842, NULL, 'TIGR00545', NULL, NULL, 'lipoyltrans: lipoyltransferase and lipoate-protein ligase', NULL, 'TIGR00545', NULL, NULL, NULL, 9),
(26843, NULL, 'TIGR00912', NULL, NULL, '2A0309: spore germination protein (amino acid permease)', NULL, 'TIGR00912', NULL, NULL, NULL, 9),
(26844, NULL, 'TIGR03760', NULL, NULL, 'ICE_TraI_Pfluor: integrating conjugative element relaxase, PFGI-1 class', NULL, 'TIGR03760', NULL, NULL, NULL, 9),
(26845, NULL, 'TIGR02347', NULL, NULL, 'chap_CCT_zeta: T-complex protein 1, zeta subunit', NULL, 'TIGR02347', NULL, NULL, NULL, 9),
(26846, NULL, 'TIGR02210', NULL, NULL, 'rodA_shape: rod shape-determining protein RodA', NULL, 'TIGR02210', NULL, NULL, NULL, 9),
(26847, NULL, 'TIGR02587', NULL, NULL, 'TIGR02587: putative integral membrane protein TIGR02587', NULL, 'TIGR02587', NULL, NULL, NULL, 9),
(26848, NULL, 'TIGR02845', NULL, NULL, 'spore_V_AD: stage V sporulation protein AD', NULL, 'TIGR02845', NULL, NULL, NULL, 9),
(26849, NULL, 'TIGR00809', NULL, NULL, 'secB: protein-export chaperone SecB', NULL, 'TIGR00809', NULL, NULL, NULL, 9),
(26850, NULL, 'TIGR02450', NULL, NULL, 'TIGR02450: tryptophan-rich conserved hypothetical protein', NULL, 'TIGR02450', NULL, NULL, NULL, 9),
(26851, NULL, 'TIGR01466', NULL, NULL, 'cobJ_cbiH: precorrin-3B C17-methyltransferase', NULL, 'TIGR01466', NULL, NULL, NULL, 9),
(26852, NULL, 'TIGR03966', NULL, NULL, 'actino_HemFlav: heme/flavin dehydrogenase, mycofactocin system', NULL, 'TIGR03966', NULL, NULL, NULL, 9),
(26853, NULL, 'TIGR02690', NULL, NULL, 'resist_ArsH: arsenical resistance protein ArsH', NULL, 'TIGR02690', NULL, NULL, NULL, 9),
(26854, NULL, 'TIGR00654', NULL, NULL, 'PhzF_family: phenazine biosynthesis protein, PhzF family', NULL, 'TIGR00654', NULL, NULL, NULL, 9),
(26855, NULL, 'TIGR03003', NULL, NULL, 'ectoine_ehuD: ectoine/hydroxyectoine ABC transporter, permease protein EhuD', NULL, 'TIGR03003', NULL, NULL, NULL, 9),
(26856, NULL, 'TIGR03713', NULL, NULL, 'acc_sec_asp1: accessory Sec system protein Asp1', NULL, 'TIGR03713', NULL, NULL, NULL, 9),
(26857, NULL, 'TIGR01494', NULL, NULL, 'ATPase_P-type: HAD ATPase, P-type, family IC', NULL, 'TIGR01494', NULL, NULL, NULL, 9),
(26858, NULL, 'TIGR04295', NULL, NULL, 'B12_rSAM_oligo: B12-binding domain/radical SAM domain protein, rhizo-twelve system', NULL, 'TIGR04295', NULL, NULL, NULL, 9),
(26859, NULL, 'TIGR00184', NULL, NULL, 'purA: adenylosuccinate synthase', NULL, 'TIGR00184', NULL, NULL, NULL, 9);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26860, NULL, 'TIGR04370', NULL, NULL, 'glyco_rpt_poly: oligosaccharide repeat unit polymerase', NULL, 'TIGR04370', NULL, NULL, NULL, 9),
(26861, NULL, 'TIGR02375', NULL, NULL, 'pseudoazurin: pseudoazurin', NULL, 'TIGR02375', NULL, NULL, NULL, 9),
(26862, NULL, 'TIGR04130', NULL, NULL, 'FnlA: UDP-N-acetylglucosamine 4,6-dehydratase/5-epimerase', NULL, 'TIGR04130', NULL, NULL, NULL, 9),
(26863, NULL, 'TIGR00202', NULL, NULL, 'csrA: carbon storage regulator', NULL, 'TIGR00202', NULL, NULL, NULL, 9),
(26864, NULL, 'TIGR02135', NULL, NULL, 'phoU_full: phosphate transport system regulatory protein PhoU', NULL, 'TIGR02135', NULL, NULL, NULL, 9),
(26865, NULL, 'TIGR00442', NULL, NULL, 'hisS: histidine--tRNA ligase', NULL, 'TIGR00442', NULL, NULL, NULL, 9),
(26866, NULL, 'TIGR02817', NULL, NULL, 'adh_fam_1: zinc-binding alcohol dehydrogenase family protein', NULL, 'TIGR02817', NULL, NULL, NULL, 9),
(26867, NULL, 'TIGR00190', NULL, NULL, 'thiC: phosphomethylpyrimidine synthase', NULL, 'TIGR00190', NULL, NULL, NULL, 9),
(26868, NULL, 'TIGR02633', NULL, NULL, 'xylG: D-xylose ABC transporter, ATP-binding protein', NULL, 'TIGR02633', NULL, NULL, NULL, 9),
(26869, NULL, 'TIGR03726', NULL, NULL, 'strep_RK_lipo: putative cross-wall-targeting lipoprotein signal', NULL, 'TIGR03726', NULL, NULL, NULL, 9),
(26870, NULL, 'TIGR01718', NULL, NULL, 'Uridine-psphlse: uridine phosphorylase', NULL, 'TIGR01718', NULL, NULL, NULL, 9),
(26871, NULL, 'TIGR04055', NULL, NULL, 'rSAM_NirJ2: putative heme d1 biosynthesis radical SAM protein NirJ2', NULL, 'TIGR04055', NULL, NULL, NULL, 9),
(26872, NULL, 'TIGR03994', NULL, NULL, 'rSAM_HemZ: coproporphyrinogen dehydrogenase HemZ', NULL, 'TIGR03994', NULL, NULL, NULL, 9),
(26873, NULL, 'TIGR03215', NULL, NULL, 'ac_ald_DH_ac: acetaldehyde dehydrogenase (acetylating)', NULL, 'TIGR03215', NULL, NULL, NULL, 9),
(26874, NULL, 'TIGR02702', NULL, NULL, 'SufR_cyano: iron-sulfur cluster biosynthesis transcriptional regulator SufR', NULL, 'TIGR02702', NULL, NULL, NULL, 9),
(26875, NULL, 'TIGR01207', NULL, NULL, 'rmlA: glucose-1-phosphate thymidylyltransferase', NULL, 'TIGR01207', NULL, NULL, NULL, 9),
(26876, NULL, 'TIGR03290', NULL, NULL, 'CoB_CoM_SS_C: CoB--CoM heterodisulfide reductase, subunit C', NULL, 'TIGR03290', NULL, NULL, NULL, 9),
(26877, NULL, 'TIGR00797', NULL, NULL, 'matE: MATE efflux family protein', NULL, 'TIGR00797', NULL, NULL, NULL, 9),
(26878, NULL, 'TIGR00470', NULL, NULL, 'sepS: O-phosphoserine--tRNA ligase', NULL, 'TIGR00470', NULL, NULL, NULL, 9),
(26879, NULL, 'TIGR02306', NULL, NULL, 'RNA_lig_DRB0094: RNA ligase', NULL, 'TIGR02306', NULL, NULL, NULL, 9),
(26880, NULL, 'TIGR02163', NULL, NULL, 'napH_: ferredoxin-type protein, NapH/MauN family', NULL, 'TIGR02163', NULL, NULL, NULL, 9),
(26881, NULL, 'TIGR01678', NULL, NULL, 'FAD_lactone_ox: sugar 1,4-lactone oxidases', NULL, 'TIGR01678', NULL, NULL, NULL, 9),
(26882, NULL, 'TIGR03358', NULL, NULL, 'VI_chp_5: type VI secretion protein, VC_A0107 family', NULL, 'TIGR03358', NULL, NULL, NULL, 9),
(26883, NULL, 'TIGR01781', NULL, NULL, 'Trep_dent_lipo: Treponema denticola clustered lipoprotein', NULL, 'TIGR01781', NULL, NULL, NULL, 9),
(26884, NULL, 'TIGR03031', NULL, NULL, 'cas_csx12: CRISPR system subtype II-B RNA-guided endonuclease Cas9/Csx12', NULL, 'TIGR03031', NULL, NULL, NULL, 9),
(26885, NULL, 'TIGR04479', NULL, NULL, 'bcpD_PhpK_rSAM: radical SAM P-methyltransferase, PhpK family', NULL, 'TIGR04479', NULL, NULL, NULL, 9),
(26886, NULL, 'TIGR03168', NULL, NULL, '1-PFK: hexose kinase, 1-phosphofructokinase family', NULL, 'TIGR03168', NULL, NULL, NULL, 9),
(26887, NULL, 'TIGR03514', NULL, NULL, 'GldB_lipo: gliding motility-associated lipoprotein GldB', NULL, 'TIGR03514', NULL, NULL, NULL, 9),
(26888, NULL, 'TIGR04342', NULL, NULL, 'EXLDI: EXLDI protein', NULL, 'TIGR04342', NULL, NULL, NULL, 9),
(26889, NULL, 'TIGR03474', NULL, NULL, 'incFII_RepA: incFII family plasmid replication initiator RepA', NULL, 'TIGR03474', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26890, NULL, 'TIGR01958', NULL, NULL, 'nuoE_fam: NADH-quinone oxidoreductase, E subunit', NULL, 'TIGR01958', NULL, NULL, NULL, 9),
(26891, NULL, 'TIGR03461', NULL, NULL, 'pabC_Proteo: aminodeoxychorismate lyase', NULL, 'TIGR03461', NULL, NULL, NULL, 9),
(26892, NULL, 'TIGR00299', NULL, NULL, 'TIGR00299: TIGR00299 family protein', NULL, 'TIGR00299', NULL, NULL, NULL, 9),
(26893, NULL, 'TIGR01488', NULL, NULL, 'HAD-SF-IB: HAD phosphoserine phosphatase-like hydrolase, family IB', NULL, 'TIGR01488', NULL, NULL, NULL, 9),
(26894, NULL, 'TIGR03044', NULL, NULL, 'PS_II_psb27: photosystem II protein Psb27', NULL, 'TIGR03044', NULL, NULL, NULL, 9),
(26895, NULL, 'TIGR02839', NULL, NULL, 'spore_V_AE: stage V sporulation protein AE', NULL, 'TIGR02839', NULL, NULL, NULL, 9),
(26896, NULL, 'TIGR03782', NULL, NULL, 'Bac_Flav_CT_J: Bacteroides conjugative transposon TraJ protein', NULL, 'TIGR03782', NULL, NULL, NULL, 9),
(26897, NULL, 'TIGR01008', NULL, NULL, 'uS3_euk_arch: ribosomal protein uS3', NULL, 'TIGR01008', NULL, NULL, NULL, 9),
(26898, NULL, 'TIGR03972', NULL, NULL, 'rSAM_TYW1: wyosine biosynthesis protein TYW1', NULL, 'TIGR03972', NULL, NULL, NULL, 9),
(26899, NULL, 'TIGR03679', NULL, NULL, 'arCOG00187: arCOG00187 universal archaeal metal-binding-domain/4Fe-4S-binding-domain containing ABC transporter, ATP-binding protein', NULL, 'TIGR03679', NULL, NULL, NULL, 9),
(26900, NULL, 'TIGR00339', NULL, NULL, 'sopT: sulfate adenylyltransferase', NULL, 'TIGR00339', NULL, NULL, NULL, 9),
(26901, NULL, 'TIGR00483', NULL, NULL, 'EF-1_alpha: translation elongation factor EF-1, subunit alpha', NULL, 'TIGR00483', NULL, NULL, NULL, 9),
(26902, NULL, 'TIGR01513', NULL, NULL, 'NAPRTase_put: nicotinate phosphoribosyltransferase', NULL, 'TIGR01513', NULL, NULL, NULL, 9),
(26903, NULL, 'TIGR04519', NULL, NULL, 'MoCo_extend_TAT: MoCo/4Fe-4S cofactor protein extended Tat translocation domain', NULL, 'TIGR04519', NULL, NULL, NULL, 9),
(26904, NULL, 'TIGR04171', NULL, NULL, 'RNR_1b_NrdF: ribonucleoside-diphosphate reductase, class 1b, beta subunit', NULL, 'TIGR04171', NULL, NULL, NULL, 9),
(26905, NULL, 'TIGR01506', NULL, NULL, 'ribC_arch: riboflavin synthase', NULL, 'TIGR01506', NULL, NULL, NULL, 9),
(26906, NULL, 'TIGR02334', NULL, NULL, 'prpF: probable AcnD-accessory protein PrpF', NULL, 'TIGR02334', NULL, NULL, NULL, 9),
(26907, NULL, 'TIGR04027', NULL, NULL, 'LLM_KPN_01858: putative FMN-dependent luciferase-like monooxygenase, KPN_01858 family', NULL, 'TIGR04027', NULL, NULL, NULL, 9),
(26908, NULL, 'TIGR01821', NULL, NULL, '5aminolev_synth: 5-aminolevulinic acid synthase', NULL, 'TIGR01821', NULL, NULL, NULL, 9),
(26909, NULL, 'TIGR00162', NULL, NULL, 'TIGR00162: TIGR00162 family protein', NULL, 'TIGR00162', NULL, NULL, NULL, 9),
(26910, NULL, 'TIGR01323', NULL, NULL, 'nitrile_alph: nitrile hydratase, alpha subunit', NULL, 'TIGR01323', NULL, NULL, NULL, 9),
(26911, NULL, 'TIGR02157', NULL, NULL, 'PA_CoA_Oxy2: phenylacetate-CoA oxygenase, PaaH subunit', NULL, 'TIGR02157', NULL, NULL, NULL, 9),
(26912, NULL, 'TIGR00619', NULL, NULL, 'sbcd: exonuclease SbcCD, D subunit', NULL, 'TIGR00619', NULL, NULL, NULL, 9),
(26913, NULL, 'TIGR03072', NULL, NULL, 'release_prfH: putative peptide chain release factor H', NULL, 'TIGR03072', NULL, NULL, NULL, 9),
(26914, NULL, 'TIGR04090', NULL, NULL, 'exp_by_SipW_IV: alternate signal-mediated exported protein, CPF_0494 family', NULL, 'TIGR04090', NULL, NULL, NULL, 9),
(26915, NULL, 'TIGR01637', NULL, NULL, 'phage_arpU: phage transcriptional regulator, ArpU family', NULL, 'TIGR01637', NULL, NULL, NULL, 9),
(26916, NULL, 'TIGR02054', NULL, NULL, 'MerD: mercuric resistence transcriptional repressor protein MerD', NULL, 'TIGR02054', NULL, NULL, NULL, 9),
(26917, NULL, 'TIGR01999', NULL, NULL, 'iscU: FeS cluster assembly scaffold IscU', NULL, 'TIGR01999', NULL, NULL, NULL, 9),
(26918, NULL, 'TIGR02415', NULL, NULL, '23BDH: acetoin reductases', NULL, 'TIGR02415', NULL, NULL, NULL, 9);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26919, NULL, 'TIGR03433', NULL, NULL, 'padR_acidobact: transcriptional regulator, Acidobacterial, PadR-family', NULL, 'TIGR03433', NULL, NULL, NULL, 9),
(26920, NULL, 'TIGR01862', NULL, NULL, 'N2-ase-Ialpha: nitrogenase component I, alpha chain', NULL, 'TIGR01862', NULL, NULL, NULL, 9),
(26921, NULL, 'TIGR02294', NULL, NULL, 'nickel_nikA: nickel ABC transporter, nickel/metallophore periplasmic binding protein', NULL, 'TIGR02294', NULL, NULL, NULL, 9),
(26922, NULL, 'TIGR00258', NULL, NULL, 'TIGR00258: inosine/xanthosine triphosphatase', NULL, 'TIGR00258', NULL, NULL, NULL, 9),
(26923, NULL, 'TIGR00844', NULL, NULL, 'c_cpa1: sodium/hydrogen antiporter', NULL, 'TIGR00844', NULL, NULL, NULL, 9),
(26924, NULL, 'TIGR04211', NULL, NULL, 'SH3_and_anchor: SH3 domain protein', NULL, 'TIGR04211', NULL, NULL, NULL, 9),
(26925, NULL, 'TIGR03903', NULL, NULL, 'TOMM_kin_cyc: TOMM system kinase/cyclase fusion protein', NULL, 'TIGR03903', NULL, NULL, NULL, 9),
(26926, NULL, 'TIGR01036', NULL, NULL, 'pyrD_sub2: dihydroorotate dehydrogenase (fumarate)', NULL, 'TIGR01036', NULL, NULL, NULL, 9),
(26927, NULL, 'TIGR01890', NULL, NULL, 'N-Ac-Glu-synth: amino-acid N-acetyltransferase', NULL, 'TIGR01890', NULL, NULL, NULL, 9),
(26928, NULL, 'TIGR00981', NULL, NULL, 'rpsL_bact: ribosomal protein uS12', NULL, 'TIGR00981', NULL, NULL, NULL, 9),
(26929, NULL, 'TIGR00374', NULL, NULL, 'TIGR00374: TIGR00374 family protein', NULL, 'TIGR00374', NULL, NULL, NULL, 9),
(26930, NULL, 'TIGR01139', NULL, NULL, 'cysK: cysteine synthase A', NULL, 'TIGR01139', NULL, NULL, NULL, 9),
(26931, NULL, 'TIGR01753', NULL, NULL, 'flav_short: flavodoxin', NULL, 'TIGR01753', NULL, NULL, NULL, 9),
(26932, NULL, 'TIGR04560', NULL, NULL, 'ribo_THX: ribosomal small subunit protein bTHX', NULL, 'TIGR04560', NULL, NULL, NULL, 9),
(26933, NULL, 'TIGR01609', NULL, NULL, 'PF_unchar_267: Plasmodium falciparum uncharacterized protein TIGR01609', NULL, 'TIGR01609', NULL, NULL, NULL, 9),
(26934, NULL, 'TIGR02627', NULL, NULL, 'rhamnulo_kin: rhamnulokinase', NULL, 'TIGR02627', NULL, NULL, NULL, 9),
(26935, NULL, 'TIGR02764', NULL, NULL, 'spore_ybaN_pdaB: polysaccharide deacetylase family sporulation protein PdaB', NULL, 'TIGR02764', NULL, NULL, NULL, 9),
(26936, NULL, 'TIGR03542', NULL, NULL, 'DAPAT_plant: LL-diaminopimelate aminotransferase', NULL, 'TIGR03542', NULL, NULL, NULL, 9),
(26937, NULL, 'TIGR03405', NULL, NULL, 'Phn_Fe-ADH: phosphonate metabolism-associated iron-containing alcohol dehydrogenase', NULL, 'TIGR03405', NULL, NULL, NULL, 9),
(26938, NULL, 'TIGR04199', NULL, NULL, 'exosort_xrtJ: exosortase J', NULL, 'TIGR04199', NULL, NULL, NULL, 9),
(26939, NULL, 'TIGR04062', NULL, NULL, 'dnd_assoc_4: dnd system-associated protein 4', NULL, 'TIGR04062', NULL, NULL, NULL, 9),
(26940, NULL, 'TIGR00121', NULL, NULL, 'birA_ligase: biotin--[acetyl-CoA-carboxylase] ligase', NULL, 'TIGR00121', NULL, NULL, NULL, 9),
(26941, NULL, 'TIGR02443', NULL, NULL, 'TIGR02443: conserved hypothetical protein', NULL, 'TIGR02443', NULL, NULL, NULL, 9),
(26942, NULL, 'TIGR04307', NULL, NULL, 'ProTailRpt: proline-rich tail region repeat', NULL, 'TIGR04307', NULL, NULL, NULL, 9),
(26943, NULL, 'TIGR01276', NULL, NULL, 'thiB: thiamin/thiamin pyrophosphate ABC transporter, thiamin/thiamin pyrophospate-binding protein', NULL, 'TIGR01276', NULL, NULL, NULL, 9),
(26944, NULL, 'TIGR02191', NULL, NULL, 'RNaseIII: ribonuclease III', NULL, 'TIGR02191', NULL, NULL, NULL, 9),
(26945, NULL, 'TIGR03284', NULL, NULL, 'thym_sym: thymidylate synthase', NULL, 'TIGR03284', NULL, NULL, NULL, 9),
(26946, NULL, 'TIGR03221', NULL, NULL, 'muco_delta: muconolactone delta-isomerase', NULL, 'TIGR03221', NULL, NULL, NULL, 9),
(26947, NULL, 'TIGR04451', NULL, NULL, 'lanti_SCO0268: lantipeptide, SCO0268 family', NULL, 'TIGR04451', NULL, NULL, NULL, 9),
(26948, NULL, 'TIGR03598', NULL, NULL, 'GTPase_YsxC: ribosome biogenesis GTP-binding protein YsxC', NULL, 'TIGR03598', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26949, NULL, 'TIGR04314', NULL, NULL, 'methano7heme: methanogenesis multiheme c-type cytochrome', NULL, 'TIGR04314', NULL, NULL, NULL, 9),
(26950, NULL, 'TIGR04376', NULL, NULL, 'TIGR04376: TIGR04376 family protein', NULL, 'TIGR04376', NULL, NULL, NULL, 9),
(26951, NULL, 'TIGR03617', NULL, NULL, 'F420_MSMEG_2256: probable F420-dependent oxidoreductase, MSMEG_2256 family', NULL, 'TIGR03617', NULL, NULL, NULL, 9),
(26952, NULL, 'TIGR04239', NULL, NULL, 'rhombo_GlpG: rhomboid family protease GlpG', NULL, 'TIGR04239', NULL, NULL, NULL, 9),
(26953, NULL, 'TIGR04102', NULL, NULL, 'SWIM_PBPRA1643: SWIM/SEC-C metal-binding motif protein, PBPRA1643 family', NULL, 'TIGR04102', NULL, NULL, NULL, 9),
(26954, NULL, 'TIGR01541', NULL, NULL, 'tape_meas_lam_C: phage tail tape measure protein, lambda family', NULL, 'TIGR01541', NULL, NULL, NULL, 9),
(26955, NULL, 'TIGR03754', NULL, NULL, 'conj_TOL_TraD: conjugative coupling factor TraD, PFGI-1 class', NULL, 'TIGR03754', NULL, NULL, NULL, 9),
(26956, NULL, 'TIGR00367', NULL, NULL, 'TIGR00367: K+-dependent Na+/Ca+ exchanger homolog', NULL, 'TIGR00367', NULL, NULL, NULL, 9),
(26957, NULL, 'TIGR01385', NULL, NULL, 'TFSII: transcription elongation factor S-II', NULL, 'TIGR01385', NULL, NULL, NULL, 9),
(26958, NULL, 'TIGR00230', NULL, NULL, 'sfsA: sugar fermentation stimulation protein', NULL, 'TIGR00230', NULL, NULL, NULL, 9),
(26959, NULL, 'TIGR02736', NULL, NULL, 'cbb3_Q_epsi: cytochrome c oxidase, cbb3-type, CcoQ subunit', NULL, 'TIGR02736', NULL, NULL, NULL, 9),
(26960, NULL, 'TIGR02696', NULL, NULL, 'pppGpp_PNP: guanosine pentaphosphate synthetase I/polyribonucleotide nucleotidyltransferase', NULL, 'TIGR02696', NULL, NULL, NULL, 9),
(26961, NULL, 'TIGR01111', NULL, NULL, 'mtrA: tetrahydromethanopterin S-methyltransferase, subunit A', NULL, 'TIGR01111', NULL, NULL, NULL, 9),
(26962, NULL, 'TIGR02266', NULL, NULL, 'gmx_TIGR02266: Myxococcus xanthus paralogous domain TIGR02266', NULL, 'TIGR02266', NULL, NULL, NULL, 9),
(26963, NULL, 'TIGR02873', NULL, NULL, 'spore_ylxY: probable sporulation protein, polysaccharide deacetylase family', NULL, 'TIGR02873', NULL, NULL, NULL, 9),
(26964, NULL, 'TIGR02238', NULL, NULL, 'recomb_DMC1: meiotic recombinase Dmc1', NULL, 'TIGR02238', NULL, NULL, NULL, 9),
(26965, NULL, 'TIGR00053', NULL, NULL, 'TIGR00053: addiction module toxin component, YafQ family', NULL, 'TIGR00053', NULL, NULL, NULL, 9),
(26966, NULL, 'TIGR01071', NULL, NULL, 'rplO_bact: ribosomal protein uL15', NULL, 'TIGR01071', NULL, NULL, NULL, 9),
(26967, NULL, 'TIGR02920', NULL, NULL, 'acc_sec_Y2: accessory Sec system translocase SecY2', NULL, 'TIGR02920', NULL, NULL, NULL, 9),
(26968, NULL, 'TIGR03393', NULL, NULL, 'indolpyr_decarb: indolepyruvate decarboxylase', NULL, 'TIGR03393', NULL, NULL, NULL, 9),
(26969, NULL, 'TIGR00735', NULL, NULL, 'hisF: imidazoleglycerol phosphate synthase, cyclase subunit', NULL, 'TIGR00735', NULL, NULL, NULL, 9),
(26970, NULL, 'TIGR01746', NULL, NULL, 'Thioester-redct: thioester reductase domain', NULL, 'TIGR01746', NULL, NULL, NULL, 9),
(26971, NULL, 'TIGR04423', NULL, NULL, 'casT3_TIGR04423: CRISPR type III-associated protein, TIGR04423 family', NULL, 'TIGR04423', NULL, NULL, NULL, 9),
(26972, NULL, 'TIGR04267', NULL, NULL, 'mod_HExxH: HEXXH motif domain', NULL, 'TIGR04267', NULL, NULL, NULL, 9),
(26973, NULL, 'TIGR02082', NULL, NULL, 'metH: methionine synthase', NULL, 'TIGR02082', NULL, NULL, NULL, 9),
(26974, NULL, 'TIGR00551', NULL, NULL, 'nadB: L-aspartate oxidase', NULL, 'TIGR00551', NULL, NULL, NULL, 9),
(26975, NULL, 'TIGR00872', NULL, NULL, 'gnd_rel: 6-phosphogluconate dehydrogenase (decarboxylating)', NULL, 'TIGR00872', NULL, NULL, NULL, 9),
(26976, NULL, 'TIGR01902', NULL, NULL, 'dapE-lys-deAc: N-acetyl-ornithine/N-acetyl-lysine deacetylase', NULL, 'TIGR01902', NULL, NULL, NULL, 9),
(26977, NULL, 'TIGR03249', NULL, NULL, 'KdgD: 5-dehydro-4-deoxyglucarate dehydratase', NULL, 'TIGR03249', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(26978, NULL, 'TIGR01064', NULL, NULL, 'pyruv_kin: pyruvate kinase', NULL, 'TIGR01064', NULL, NULL, NULL, 9),
(26979, NULL, 'TIGR03112', NULL, NULL, '6_pyr_pter_rel: 6-pyruvoyl tetrahydropterin synthase-related domain', NULL, 'TIGR03112', NULL, NULL, NULL, 9),
(26980, NULL, 'TIGR01248', NULL, NULL, 'drrC: daunorubicin resistance protein C', NULL, 'TIGR01248', NULL, NULL, NULL, 9),
(26981, NULL, 'TIGR02880', NULL, NULL, 'cbbX_cfxQ: CbbX protein', NULL, 'TIGR02880', NULL, NULL, NULL, 9),
(26982, NULL, 'TIGR01569', NULL, NULL, 'A_tha_TIGR01569: plant integral membrane protein TIGR01569', NULL, 'TIGR01569', NULL, NULL, NULL, 9),
(26983, NULL, 'TIGR02101', NULL, NULL, 'IpaC_SipC: type III secretion target, IpaC/SipC family', NULL, 'TIGR02101', NULL, NULL, NULL, 9),
(26984, NULL, 'TIGR00414', NULL, NULL, 'serS: serine--tRNA ligase', NULL, 'TIGR00414', NULL, NULL, NULL, 9),
(26985, NULL, 'TIGR03891', NULL, NULL, 'thiopep_ocin: thiopeptide-type bacteriocin biosynthesis domain', NULL, 'TIGR03891', NULL, NULL, NULL, 9),
(26986, NULL, 'TIGR03570', NULL, NULL, 'NeuD_NnaD: sugar O-acyltransferase, sialic acid O-acetyltransferase NeuD family', NULL, 'TIGR03570', NULL, NULL, NULL, 9),
(26987, NULL, 'TIGR00532', NULL, NULL, 'HMG_CoA_R_NAD: hydroxymethylglutaryl-CoA reductase, degradative', NULL, 'TIGR00532', NULL, NULL, NULL, 9),
(26988, NULL, 'TIGR01170', NULL, NULL, 'rplA_mito: ribosomal protein uL1, mitochondrial', NULL, 'TIGR01170', NULL, NULL, NULL, 9),
(26989, NULL, 'TIGR03365', NULL, NULL, 'Bsubt_queE: 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR03365', NULL, NULL, NULL, 9),
(26990, NULL, 'TIGR00517', NULL, NULL, 'acyl_carrier: acyl carrier protein', NULL, 'TIGR00517', NULL, NULL, NULL, 9),
(26991, NULL, 'TIGR00669', NULL, NULL, 'asnA: aspartate--ammonia ligase', NULL, 'TIGR00669', NULL, NULL, NULL, 9),
(26992, NULL, 'TIGR03140', NULL, NULL, 'AhpF: alkyl hydroperoxide reductase subunit F', NULL, 'TIGR03140', NULL, NULL, NULL, 9),
(26993, NULL, 'TIGR03277', NULL, NULL, 'methan_mark_9: putative methanogenesis marker domain 9', NULL, 'TIGR03277', NULL, NULL, NULL, 9),
(26994, NULL, 'TIGR02727', NULL, NULL, 'MTHFS_bact: 5-formyltetrahydrofolate cyclo-ligase', NULL, 'TIGR02727', NULL, NULL, NULL, 9),
(26995, NULL, 'TIGR03037', NULL, NULL, 'anthran_nbaC: 3-hydroxyanthranilate 3,4-dioxygenase', NULL, 'TIGR03037', NULL, NULL, NULL, 9),
(26996, NULL, 'TIGR00860', NULL, NULL, 'LIC: cation transporter family protein', NULL, 'TIGR00860', NULL, NULL, NULL, 9),
(26997, NULL, 'TIGR02935', NULL, NULL, 'TIGR02935: probable nitrogen fixation protein', NULL, 'TIGR02935', NULL, NULL, NULL, 9),
(26998, NULL, 'TIGR00965', NULL, NULL, 'dapD: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-succinyltransferase', NULL, 'TIGR00965', NULL, NULL, NULL, 9),
(26999, NULL, 'TIGR01108', NULL, NULL, 'oadA: oxaloacetate decarboxylase alpha subunit', NULL, 'TIGR01108', NULL, NULL, NULL, 9),
(27000, NULL, 'TIGR03558', NULL, NULL, 'oxido_grp_1: luciferase family oxidoreductase, group 1', NULL, 'TIGR03558', NULL, NULL, NULL, 9),
(27001, NULL, 'TIGR02742', NULL, NULL, 'TrbC_Ftype: type-F conjugative transfer system pilin assembly protein TrbC', NULL, 'TIGR02742', NULL, NULL, NULL, 9),
(27002, NULL, 'TIGR01943', NULL, NULL, 'rnfA: electron transport complex, RnfABCDGE type, A subunit', NULL, 'TIGR01943', NULL, NULL, NULL, 9),
(27003, NULL, 'TIGR03526', NULL, NULL, 'selenium_YgeY: putative selenium metabolism hydrolase', NULL, 'TIGR03526', NULL, NULL, NULL, 9),
(27004, NULL, 'TIGR04164', NULL, NULL, 'cobo_pep: modified peptide precursor CbpA', NULL, 'TIGR04164', NULL, NULL, NULL, 9),
(27005, NULL, 'TIGR02341', NULL, NULL, 'chap_CCT_beta: T-complex protein 1, beta subunit', NULL, 'TIGR02341', NULL, NULL, NULL, 9),
(27006, NULL, 'TIGR02446', NULL, NULL, 'FadI: acetyl-CoA C-acyltransferase FadI', NULL, 'TIGR02446', NULL, NULL, NULL, 9),
(27007, NULL, 'TIGR04012', NULL, NULL, 'poly_gGlu_PgsB: poly-gamma-glutamate synthase PgsB', NULL, 'TIGR04012', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27008, NULL, 'TIGR04504', NULL, NULL, 'SDR_subfam_2: SDR family mycofactocin-dependent oxidoreductase', NULL, 'TIGR04504', NULL, NULL, NULL, 9),
(27009, NULL, 'TIGR01796', NULL, NULL, 'CM_mono_aroH: chorismate mutase', NULL, 'TIGR01796', NULL, NULL, NULL, 9),
(27010, NULL, 'TIGR00324', NULL, NULL, 'endA: tRNA-intron lyase', NULL, 'TIGR00324', NULL, NULL, NULL, 9),
(27011, NULL, 'TIGR00075', NULL, NULL, 'hypD: hydrogenase expression/formation protein HypD', NULL, 'TIGR00075', NULL, NULL, NULL, 9),
(27012, NULL, 'TIGR03421', NULL, NULL, 'FeS_CyaY: iron donor protein CyaY', NULL, 'TIGR03421', NULL, NULL, NULL, 9),
(27013, NULL, 'TIGR04196', NULL, NULL, 'glycopep_SunS: glycopeptide, sublancin family', NULL, 'TIGR04196', NULL, NULL, NULL, 9),
(27014, NULL, 'TIGR02250', NULL, NULL, 'FCP1_euk: FCP1-like phosphatase, phosphatase domain', NULL, 'TIGR02250', NULL, NULL, NULL, 9),
(27015, NULL, 'TIGR02774', NULL, NULL, 'rexB_recomb: ATP-dependent nuclease subunit B', NULL, 'TIGR02774', NULL, NULL, NULL, 9),
(27016, NULL, 'TIGR03084', NULL, NULL, 'TIGR03084: TIGR03084 family protein', NULL, 'TIGR03084', NULL, NULL, NULL, 9),
(27017, NULL, 'TIGR04255', NULL, NULL, 'sporadTIGR04255: TIGR04255 family protein', NULL, 'TIGR04255', NULL, NULL, NULL, 9),
(27018, NULL, 'TIGR01662', NULL, NULL, 'HAD-SF-IIIA: HAD hydrolase, family IIIA', NULL, 'TIGR01662', NULL, NULL, NULL, 9),
(27019, NULL, 'TIGR01612', NULL, NULL, '235kDa-fam: rhoptry protein', NULL, 'TIGR01612', NULL, NULL, NULL, 9),
(27020, NULL, 'TIGR00090', NULL, NULL, 'rsfS_iojap_ybeB: ribosome silencing factor', NULL, 'TIGR00090', NULL, NULL, NULL, 9),
(27021, NULL, 'TIGR03632', NULL, NULL, 'uS11_bact: ribosomal protein uS11', NULL, 'TIGR03632', NULL, NULL, NULL, 9),
(27022, NULL, 'TIGR03769', NULL, NULL, 'P_ac_wall_RPT: actinobacterial surface-anchored protein domain', NULL, 'TIGR03769', NULL, NULL, NULL, 9),
(27023, NULL, 'TIGR04270', NULL, NULL, 'Rama_corrin_act: methylamine methyltransferase corrinoid protein reductive activase', NULL, 'TIGR04270', NULL, NULL, NULL, 9),
(27024, NULL, 'TIGR02013', NULL, NULL, 'rpoB: DNA-directed RNA polymerase, beta subunit', NULL, 'TIGR02013', NULL, NULL, NULL, 9),
(27025, NULL, 'TIGR02203', NULL, NULL, 'MsbA_lipidA: lipid A export permease/ATP-binding protein MsbA', NULL, 'TIGR02203', NULL, NULL, NULL, 9),
(27026, NULL, 'TIGR02235', NULL, NULL, 'menA_cyano-plnt: 1,4-dihydroxy-2-naphthoate phytyltransferase', NULL, 'TIGR02235', NULL, NULL, NULL, 9),
(27027, NULL, 'TIGR03960', NULL, NULL, 'rSAM_fuse_unch: radical SAM family uncharacterized protein', NULL, 'TIGR03960', NULL, NULL, NULL, 9),
(27028, NULL, 'TIGR03854', NULL, NULL, 'F420_MSMEG_3544: probable F420-dependent oxidoreductase, MSMEG_3544 family', NULL, 'TIGR03854', NULL, NULL, NULL, 9),
(27029, NULL, 'TIGR03081', NULL, NULL, 'metmalonyl_epim: methylmalonyl-CoA epimerase', NULL, 'TIGR03081', NULL, NULL, NULL, 9),
(27030, NULL, 'TIGR00043', NULL, NULL, 'TIGR00043: rRNA maturation RNase YbeY', NULL, 'TIGR00043', NULL, NULL, NULL, 9),
(27031, NULL, 'TIGR01990', NULL, NULL, 'bPGM: beta-phosphoglucomutase', NULL, 'TIGR01990', NULL, NULL, NULL, 9),
(27032, NULL, 'TIGR04223', NULL, NULL, 'quorum_AgrD: cyclic lactone autoinducer peptide', NULL, 'TIGR04223', NULL, NULL, NULL, 9),
(27033, NULL, 'TIGR00816', NULL, NULL, 'tdt: C4-dicarboxylate transporter/malic acid transport protein', NULL, 'TIGR00816', NULL, NULL, NULL, 9),
(27034, NULL, 'TIGR04205', NULL, NULL, 'classIII_w_PIP: class III signal peptide protein, archaeosortase D/PIP-CTERM system', NULL, 'TIGR04205', NULL, NULL, NULL, 9),
(27035, NULL, 'TIGR02282', NULL, NULL, 'MltB: lytic murein transglycosylase B', NULL, 'TIGR02282', NULL, NULL, NULL, 9),
(27036, NULL, 'TIGR02387', NULL, NULL, 'rpoC1_cyan: DNA-directed RNA polymerase, gamma subunit', NULL, 'TIGR02387', NULL, NULL, NULL, 9),
(27037, NULL, 'TIGR03913', NULL, NULL, 'rad_SAM_trio: Y_X(10)_GDL-associated radical SAM protein', NULL, 'TIGR03913', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27038, NULL, 'TIGR01808', NULL, NULL, 'CM_M_hiGC-arch: chorismate mutase', NULL, 'TIGR01808', NULL, NULL, NULL, 9),
(27039, NULL, 'TIGR01021', NULL, NULL, 'rpsE_bact: ribosomal protein uS5', NULL, 'TIGR01021', NULL, NULL, NULL, 9),
(27040, NULL, 'TIGR01316', NULL, NULL, 'gltA: glutamate synthase (NADPH), homotetrameric', NULL, 'TIGR01316', NULL, NULL, NULL, 9),
(27041, NULL, 'TIGR02668', NULL, NULL, 'moaA_archaeal: probable molybdenum cofactor biosynthesis protein A', NULL, 'TIGR02668', NULL, NULL, NULL, 9),
(27042, NULL, 'TIGR00476', NULL, NULL, 'selD: selenide, water dikinase', NULL, 'TIGR00476', NULL, NULL, NULL, 9),
(27043, NULL, 'TIGR00863', NULL, NULL, 'P2X: cation transporter protein', NULL, 'TIGR00863', NULL, NULL, NULL, 9),
(27044, NULL, 'TIGR03069', NULL, NULL, 'PS_II_S4: photosystem II S4 domain protein', NULL, 'TIGR03069', NULL, NULL, NULL, 9),
(27045, NULL, 'TIGR03573', NULL, NULL, 'WbuX: N-acetyl sugar amidotransferase', NULL, 'TIGR03573', NULL, NULL, NULL, 9),
(27046, NULL, 'TIGR04492', NULL, NULL, 'VioB: iminophenyl-pyruvate dimer synthase VioB', NULL, 'TIGR04492', NULL, NULL, NULL, 9),
(27047, NULL, 'TIGR00430', NULL, NULL, 'Q_tRNA_tgt: tRNA-guanine transglycosylase', NULL, 'TIGR00430', NULL, NULL, NULL, 9),
(27048, NULL, 'TIGR00535', NULL, NULL, 'SAM_DCase: S-adenosylmethionine decarboxylase proenzyme', NULL, 'TIGR00535', NULL, NULL, NULL, 9),
(27049, NULL, 'TIGR03128', NULL, NULL, 'RuMP_HxlA: 3-hexulose-6-phosphate synthase', NULL, 'TIGR03128', NULL, NULL, NULL, 9),
(27050, NULL, 'TIGR02478', NULL, NULL, '6PF1K_euk: 6-phosphofructokinase', NULL, 'TIGR02478', NULL, NULL, NULL, 9),
(27051, NULL, 'TIGR04551', NULL, NULL, 'TIGR04551: TIGR04551 family protein', NULL, 'TIGR04551', NULL, NULL, NULL, 9),
(27052, NULL, 'TIGR01644', NULL, NULL, 'phage_P2_V: phage baseplate assembly protein V', NULL, 'TIGR01644', NULL, NULL, NULL, 9),
(27053, NULL, 'TIGR01749', NULL, NULL, 'fabA: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabA', NULL, 'TIGR01749', NULL, NULL, NULL, 9),
(27054, NULL, 'TIGR04193', NULL, NULL, 'SPASM_w_grasp: SPASM domain peptide maturase, grasp-with-spasm system', NULL, 'TIGR04193', NULL, NULL, NULL, 9),
(27055, NULL, 'TIGR01105', NULL, NULL, 'galF: regulatory protein GalF', NULL, 'TIGR01105', NULL, NULL, NULL, 9),
(27056, NULL, 'TIGR01120', NULL, NULL, 'rpiB: ribose 5-phosphate isomerase B', NULL, 'TIGR01120', NULL, NULL, NULL, 9),
(27057, NULL, 'TIGR03175', NULL, NULL, 'AllD: ureidoglycolate dehydrogenase', NULL, 'TIGR03175', NULL, NULL, NULL, 9),
(27058, NULL, 'TIGR02312', NULL, NULL, 'HpaH: 2-oxo-hepta-3-ene-1,7-dioic acid hydratase', NULL, 'TIGR02312', NULL, NULL, NULL, 9),
(27059, NULL, 'TIGR02449', NULL, NULL, 'TIGR02449: TIGR02449 family protein', NULL, 'TIGR02449', NULL, NULL, NULL, 9),
(27060, NULL, 'TIGR02777', NULL, NULL, 'LigD_PE_dom: DNA ligase D, 3''-phosphoesterase domain', NULL, 'TIGR02777', NULL, NULL, NULL, 9),
(27061, NULL, 'TIGR03795', NULL, NULL, 'RNP_Burkhold: ribosomal natural product, two-chain TOMM family', NULL, 'TIGR03795', NULL, NULL, NULL, 9),
(27062, NULL, 'TIGR02640', NULL, NULL, 'gas_vesic_GvpN: gas vesicle protein GvpN', NULL, 'TIGR02640', NULL, NULL, NULL, 9),
(27063, NULL, 'TIGR04146', NULL, NULL, 'GGGPS_Afulg: phosphoglycerol geranylgeranyltransferase', NULL, 'TIGR04146', NULL, NULL, NULL, 9),
(27064, NULL, 'TIGR02829', NULL, NULL, 'spore_III_AE: stage III sporulation protein AE', NULL, 'TIGR02829', NULL, NULL, NULL, 9),
(27065, NULL, 'TIGR03330', NULL, NULL, 'SAM_DCase_Bsu: S-adenosylmethionine decarboxylase proenzyme', NULL, 'TIGR03330', NULL, NULL, NULL, 9),
(27066, NULL, 'TIGR01049', NULL, NULL, 'rpsJ_bact: ribosomal protein uS10', NULL, 'TIGR01049', NULL, NULL, NULL, 9),
(27067, NULL, 'TIGR00321', NULL, NULL, 'dhys: deoxyhypusine synthase', NULL, 'TIGR00321', NULL, NULL, NULL, 9),
(27068, NULL, 'TIGR00078', NULL, NULL, 'nadC: nicotinate-nucleotide diphosphorylase (carboxylating)', NULL, 'TIGR00078', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27069, NULL, 'TIGR01858', NULL, NULL, 'tag_bisphos_ald: class II aldolase, tagatose bisphosphate family', NULL, 'TIGR01858', NULL, NULL, NULL, 9),
(27070, NULL, 'TIGR02876', NULL, NULL, 'spore_yqfD: sporulation protein YqfD', NULL, 'TIGR02876', NULL, NULL, NULL, 9),
(27071, NULL, 'TIGR01721', NULL, NULL, 'AMN-like: putative AMP nucleosidase', NULL, 'TIGR01721', NULL, NULL, NULL, 9),
(27072, NULL, 'TIGR00458', NULL, NULL, 'aspS_nondisc: aspartate--tRNA(Asn) ligase', NULL, 'TIGR00458', NULL, NULL, NULL, 9),
(27073, NULL, 'TIGR01096', NULL, NULL, '3A0103s03R: lysine-arginine-ornithine-binding periplasmic protein', NULL, 'TIGR01096', NULL, NULL, NULL, 9),
(27074, NULL, 'TIGR03916', NULL, NULL, 'rSAM_link_UDG: putative DNA modification/repair radical SAM protein', NULL, 'TIGR03916', NULL, NULL, NULL, 9),
(27075, NULL, 'TIGR03019', NULL, NULL, 'pepcterm_femAB: FemAB-related protein, PEP-CTERM system-associated', NULL, 'TIGR03019', NULL, NULL, NULL, 9),
(27076, NULL, 'TIGR03909', NULL, NULL, 'pyrrolys_PylC: pyrrolysine biosynthesis protein PylC', NULL, 'TIGR03909', NULL, NULL, NULL, 9),
(27077, NULL, 'TIGR04419', NULL, NULL, 'no_iron_rSAM: HemN-related non-iron pseudo-SAM protein PsgB', NULL, 'TIGR04419', NULL, NULL, NULL, 9),
(27078, NULL, 'TIGR03467', NULL, NULL, 'HpnE: squalene-associated FAD-dependent desaturase', NULL, 'TIGR03467', NULL, NULL, NULL, 9),
(27079, NULL, 'TIGR02938', NULL, NULL, 'nifL_nitrog: nitrogen fixation negative regulator NifL', NULL, 'TIGR02938', NULL, NULL, NULL, 9),
(27080, NULL, 'TIGR03807', NULL, NULL, 'RR_fam_repeat: putative cofactor-binding repeat', NULL, 'TIGR03807', NULL, NULL, NULL, 9),
(27081, NULL, 'TIGR01799', NULL, NULL, 'CM_T: chorismate mutase', NULL, 'TIGR01799', NULL, NULL, NULL, 9),
(27082, NULL, 'TIGR00040', NULL, NULL, 'yfcE: phosphodiesterase, MJ0936 family', NULL, 'TIGR00040', NULL, NULL, NULL, 9),
(27083, NULL, 'TIGR00177', NULL, NULL, 'molyb_syn: molybdenum cofactor synthesis domain', NULL, 'TIGR00177', NULL, NULL, NULL, 9),
(27084, NULL, 'TIGR03682', NULL, NULL, 'arCOG04112: diphthamide biosynthesis enzyme Dph2', NULL, 'TIGR03682', NULL, NULL, NULL, 9),
(27085, NULL, 'TIGR00262', NULL, NULL, 'trpA: tryptophan synthase, alpha subunit', NULL, 'TIGR00262', NULL, NULL, NULL, 9),
(27086, NULL, 'TIGR01615', NULL, NULL, 'A_thal_3542: uncharacterized plant-specific domain TIGR01615', NULL, 'TIGR01615', NULL, NULL, NULL, 9),
(27087, NULL, 'TIGR01214', NULL, NULL, 'rmlD: dTDP-4-dehydrorhamnose reductase', NULL, 'TIGR01214', NULL, NULL, NULL, 9),
(27088, NULL, 'TIGR03635', NULL, NULL, 'uS17_bact: ribosomal protein uS17', NULL, 'TIGR03635', NULL, NULL, NULL, 9),
(27089, NULL, 'TIGR02801', NULL, NULL, 'tolR: protein TolR', NULL, 'TIGR02801', NULL, NULL, NULL, 9),
(27090, NULL, 'TIGR02048', NULL, NULL, 'gshA_cyano: putative glutamate--cysteine ligase', NULL, 'TIGR02048', NULL, NULL, NULL, 9),
(27091, NULL, 'TIGR02369', NULL, NULL, 'trimeth_pyl: trimethylamine:corrinoid methyltransferase', NULL, 'TIGR02369', NULL, NULL, NULL, 9),
(27092, NULL, 'TIGR03576', NULL, NULL, 'pyridox_MJ0158: pyridoxal phosphate enzyme, MJ0158 family', NULL, 'TIGR03576', NULL, NULL, NULL, 9),
(27093, NULL, 'TIGR02508', NULL, NULL, 'type_III_yscG: type III secretion protein, YscG family', NULL, 'TIGR02508', NULL, NULL, NULL, 9),
(27094, NULL, 'TIGR03956', NULL, NULL, 'rSAM_HydE: [FeFe] hydrogenase H-cluster radical SAM maturase HydE', NULL, 'TIGR03956', NULL, NULL, NULL, 9),
(27095, NULL, 'TIGR00028', NULL, NULL, 'Mtu_PIN_fam: toxin-antitoxin system PIN domain toxin', NULL, 'TIGR00028', NULL, NULL, NULL, 9),
(27096, NULL, 'TIGR00408', NULL, NULL, 'proS_fam_I: proline--tRNA ligase', NULL, 'TIGR00408', NULL, NULL, NULL, 9),
(27097, NULL, 'TIGR00918', NULL, NULL, '2A060602: transmembrane receptor Patched', NULL, 'TIGR00918', NULL, NULL, NULL, 9),
(27098, NULL, 'TIGR02985', NULL, NULL, 'Sig70_bacteroi1: RNA polymerase sigma-70 factor, Bacteroides expansion family 1', NULL, 'TIGR02985', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27099, NULL, 'TIGR04273', NULL, NULL, 'Y_sulf_Ax21: sulfation-dependent quorum factor, Ax21 family', NULL, 'TIGR04273', NULL, NULL, NULL, 9),
(27100, NULL, 'TIGR02232', NULL, NULL, 'myxo_disulf_rpt: Myxococcus cysteine-rich repeat', NULL, 'TIGR02232', NULL, NULL, NULL, 9),
(27101, NULL, 'TIGR03963', NULL, NULL, 'rSAM_QueE_Clost: putative 7-cyano-7-deazaguanosine (preQ0) biosynthesis protein QueE', NULL, 'TIGR03963', NULL, NULL, NULL, 9),
(27102, NULL, 'TIGR03066', NULL, NULL, 'Gem_osc_para_1: Gemmata obscuriglobus paralogous family TIGR03066', NULL, 'TIGR03066', NULL, NULL, NULL, 9),
(27103, NULL, 'TIGR01550', NULL, NULL, 'DOC_P1: death-on-curing family protein', NULL, 'TIGR01550', NULL, NULL, NULL, 9),
(27104, NULL, 'TIGR01724', NULL, NULL, 'hmd_rel: H2-forming N(5),N(10)-methenyltetrahydromethanopterin dehydrogenase-related protein', NULL, 'TIGR01724', NULL, NULL, NULL, 9),
(27105, NULL, 'TIGR03745', NULL, NULL, 'conj_TIGR03745: integrating conjugative element membrane protein, PFL_4702 family', NULL, 'TIGR03745', NULL, NULL, NULL, 9),
(27106, NULL, 'TIGR01687', NULL, NULL, 'moaD_arch: MoaD family protein', NULL, 'TIGR01687', NULL, NULL, NULL, 9),
(27107, NULL, 'TIGR01709', NULL, NULL, 'typeII_sec_gspL: type II secretion system protein L', NULL, 'TIGR01709', NULL, NULL, NULL, 9),
(27108, NULL, 'TIGR02173', NULL, NULL, 'cyt_kin_arch: putative cytidylate kinase', NULL, 'TIGR02173', NULL, NULL, NULL, 9),
(27109, NULL, 'TIGR04111', NULL, NULL, 'BcepMu_gp16: phage-associated protein, BcepMu gp16 family', NULL, 'TIGR04111', NULL, NULL, NULL, 9),
(27110, NULL, 'TIGR04332', NULL, NULL, 'gamma_Glu_sys: poly-gamma-glutamate system protein', NULL, 'TIGR04332', NULL, NULL, NULL, 9),
(27111, NULL, 'TIGR04248', NULL, NULL, 'SCM_PqqD_rel: SynChlorMet cassette protein ScmD', NULL, 'TIGR04248', NULL, NULL, NULL, 9),
(27112, NULL, 'TIGR00137', NULL, NULL, 'gid_trmFO: tRNA:m(5)U-54 methyltransferase', NULL, 'TIGR00137', NULL, NULL, NULL, 9),
(27113, NULL, 'TIGR00105', NULL, NULL, 'L31: ribosomal protein bL31', NULL, 'TIGR00105', NULL, NULL, NULL, 9),
(27114, NULL, 'TIGR00068', NULL, NULL, 'glyox_I: lactoylglutathione lyase', NULL, 'TIGR00068', NULL, NULL, NULL, 9),
(27115, NULL, 'TIGR02141', NULL, NULL, 'modB_ABC: molybdate ABC transporter, permease protein', NULL, 'TIGR02141', NULL, NULL, NULL, 9),
(27116, NULL, 'TIGR03312', NULL, NULL, 'Se_sel_red_FAD: probable selenate reductase, FAD-binding subunit', NULL, 'TIGR03312', NULL, NULL, NULL, 9),
(27117, NULL, 'TIGR03417', NULL, NULL, 'chol_sulfatase: choline-sulfatase', NULL, 'TIGR03417', NULL, NULL, NULL, 9),
(27118, NULL, 'TIGR01342', NULL, NULL, 'acon_putative: putative aconitate hydratase', NULL, 'TIGR01342', NULL, NULL, NULL, 9),
(27119, NULL, 'TIGR03193', NULL, NULL, '4hydroxCoAred: 4-hydroxybenzoyl-CoA reductase, gamma subunit', NULL, 'TIGR03193', NULL, NULL, NULL, 9),
(27120, NULL, 'TIGR04364', NULL, NULL, 'methyltran_FxLD: methyltransferase, FxLD system', NULL, 'TIGR04364', NULL, NULL, NULL, 9),
(27121, NULL, 'TIGR03741', NULL, NULL, 'PRTRC_E: PRTRC system protein E', NULL, 'TIGR03741', NULL, NULL, NULL, 9),
(27122, NULL, 'TIGR02403', NULL, NULL, 'trehalose_treC: alpha,alpha-phosphotrehalase', NULL, 'TIGR02403', NULL, NULL, NULL, 9),
(27123, NULL, 'TIGR02066', NULL, NULL, 'dsrB: sulfite reductase, dissimilatory-type beta subunit', NULL, 'TIGR02066', NULL, NULL, NULL, 9),
(27124, NULL, 'TIGR03897', NULL, NULL, 'lanti_2_LanM: type 2 lantibiotic biosynthesis protein LanM', NULL, 'TIGR03897', NULL, NULL, NULL, 9),
(27125, NULL, 'TIGR00888', NULL, NULL, 'guaA_Nterm: GMP synthase (glutamine-hydrolyzing), N-terminal domain', NULL, 'TIGR00888', NULL, NULL, NULL, 9),
(27126, NULL, 'TIGR00396', NULL, NULL, 'leuS_bact: leucine--tRNA ligase', NULL, 'TIGR00396', NULL, NULL, NULL, 9),
(27127, NULL, 'TIGR03533', NULL, NULL, 'L3_gln_methyl: protein-(glutamine-N5) methyltransferase, ribosomal protein L3-specific', NULL, 'TIGR03533', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27128, NULL, 'TIGR02826', NULL, NULL, 'RNR_activ_nrdG3: anaerobic ribonucleoside-triphosphate reductase activating protein', NULL, 'TIGR02826', NULL, NULL, NULL, 9),
(27129, NULL, 'TIGR01917', NULL, NULL, 'gly_red_sel_B: glycine reductase, selenoprotein B', NULL, 'TIGR01917', NULL, NULL, NULL, 9),
(27130, NULL, 'TIGR00641', NULL, NULL, 'acid_CoA_mut_N: methylmalonyl-CoA mutase N-terminal domain', NULL, 'TIGR00641', NULL, NULL, NULL, 9),
(27131, NULL, 'TIGR01475', NULL, NULL, 'ubiA_other: putative 4-hydroxybenzoate polyprenyltransferase', NULL, 'TIGR01475', NULL, NULL, NULL, 9),
(27132, NULL, 'TIGR04036', NULL, NULL, 'LLM_CE1758_fam: putative luciferase-like monooxygenase, FMN-dependent, CE1758 family', NULL, 'TIGR04036', NULL, NULL, NULL, 9),
(27133, NULL, 'TIGR01479', NULL, NULL, 'GMP_PMI: mannose-1-phosphate guanylyltransferase/mannose-6-phosphate isomerase', NULL, 'TIGR01479', NULL, NULL, NULL, 9),
(27134, NULL, 'TIGR02836', NULL, NULL, 'spore_IV_A: stage IV sporulation protein A', NULL, 'TIGR02836', NULL, NULL, NULL, 9),
(27135, NULL, 'TIGR02394', NULL, NULL, 'rpoS_proteo: RNA polymerase sigma factor RpoS', NULL, 'TIGR02394', NULL, NULL, NULL, 9),
(27136, NULL, 'TIGR00972', NULL, NULL, '3a0107s01c2: phosphate ABC transporter, ATP-binding protein', NULL, 'TIGR00972', NULL, NULL, NULL, 9),
(27137, NULL, 'TIGR01983', NULL, NULL, 'UbiG: 3-demethylubiquinone-9 3-O-methyltransferase', NULL, 'TIGR01983', NULL, NULL, NULL, 9),
(27138, NULL, 'TIGR03100', NULL, NULL, 'hydr1_PEP: exosortase A system-associated hydrolase 1', NULL, 'TIGR03100', NULL, NULL, NULL, 9),
(27139, NULL, 'TIGR03205', NULL, NULL, 'pimA: dicarboxylate--CoA ligase PimA', NULL, 'TIGR03205', NULL, NULL, NULL, 9),
(27140, NULL, 'TIGR02680', NULL, NULL, 'TIGR02680: TIGR02680 family protein', NULL, 'TIGR02680', NULL, NULL, NULL, 9),
(27141, NULL, 'TIGR01232', NULL, NULL, 'lacD: tagatose 1,6-diphosphate aldolase', NULL, 'TIGR01232', NULL, NULL, NULL, 9),
(27142, NULL, 'TIGR01369', NULL, NULL, 'CPSaseII_lrg: carbamoyl-phosphate synthase, large subunit', NULL, 'TIGR01369', NULL, NULL, NULL, 9),
(27143, NULL, 'TIGR02615', NULL, NULL, 'spoVE: stage V sporulation protein E', NULL, 'TIGR02615', NULL, NULL, NULL, 9),
(27144, NULL, 'TIGR03339', NULL, NULL, 'phn_lysR: aminoethylphosphonate catabolism associated LysR family transcriptional regulator', NULL, 'TIGR03339', NULL, NULL, NULL, 9),
(27145, NULL, 'TIGR01697', NULL, NULL, 'PNPH-PUNA-XAPA: inosine/guanosine/xanthosine phosphorylase family', NULL, 'TIGR01697', NULL, NULL, NULL, 9),
(27146, NULL, 'TIGR02614', NULL, NULL, 'ftsW: cell division protein FtsW', NULL, 'TIGR02614', NULL, NULL, NULL, 9),
(27147, NULL, 'TIGR00423', NULL, NULL, 'TIGR00423: radical SAM domain protein, CofH subfamily', NULL, 'TIGR00423', NULL, NULL, NULL, 9),
(27148, NULL, 'TIGR03206', NULL, NULL, 'benzo_BadH: 2-hydroxycyclohexanecarboxyl-CoA dehydrogenase', NULL, 'TIGR03206', NULL, NULL, NULL, 9),
(27149, NULL, 'TIGR01093', NULL, NULL, 'aroD: 3-dehydroquinate dehydratase, type I', NULL, 'TIGR01093', NULL, NULL, NULL, 9),
(27150, NULL, 'TIGR02988', NULL, NULL, 'YaaA_near_RecF: S4 domain protein YaaA', NULL, 'TIGR02988', NULL, NULL, NULL, 9),
(27151, NULL, 'TIGR00215', NULL, NULL, 'lpxB: lipid-A-disaccharide synthase', NULL, 'TIGR00215', NULL, NULL, NULL, 9),
(27152, NULL, 'TIGR04544', NULL, NULL, '3metArgNH2trans: beta-methylarginine biosynthesis bifunctional aminotransferase', NULL, 'TIGR04544', NULL, NULL, NULL, 9),
(27153, NULL, 'TIGR00751', NULL, NULL, 'menA: 1,4-dihydroxy-2-naphthoate octaprenyltransferase', NULL, 'TIGR00751', NULL, NULL, NULL, 9),
(27154, NULL, 'TIGR04466', NULL, NULL, 'rSAM_BlsE: cytosylglucuronate decarboxylase', NULL, 'TIGR04466', NULL, NULL, NULL, 9),
(27155, NULL, 'TIGR02176', NULL, NULL, 'pyruv_ox_red: pyruvate:ferredoxin (flavodoxin) oxidoreductase', NULL, 'TIGR02176', NULL, NULL, NULL, 9),
(27156, NULL, 'TIGR00778', NULL, NULL, 'ahpD_dom: alkylhydroperoxidase AhpD family core domain', NULL, 'TIGR00778', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27157, NULL, 'TIGR03953', NULL, NULL, 'rplD_bact: 50S ribosomal protein uL4', NULL, 'TIGR03953', NULL, NULL, NULL, 9),
(27158, NULL, 'TIGR02406', NULL, NULL, 'ectoine_EctA: diaminobutyrate acetyltransferase', NULL, 'TIGR02406', NULL, NULL, NULL, 9),
(27159, NULL, 'TIGR01264', NULL, NULL, 'tyr_amTase_E: tyrosine aminotransferase', NULL, 'TIGR01264', NULL, NULL, NULL, 9),
(27160, NULL, 'TIGR02851', NULL, NULL, 'spore_V_T: stage V sporulation protein T', NULL, 'TIGR02851', NULL, NULL, NULL, 9),
(27161, NULL, 'TIGR03685', NULL, NULL, 'ribo_P1_arch: 50S ribosomal protein P1', NULL, 'TIGR03685', NULL, NULL, NULL, 9),
(27162, NULL, 'TIGR03449', NULL, NULL, 'mycothiol_MshA: D-inositol-3-phosphate glycosyltransferase', NULL, 'TIGR03449', NULL, NULL, NULL, 9),
(27163, NULL, 'TIGR00856', NULL, NULL, 'pyrC_dimer: dihydroorotase, homodimeric type', NULL, 'TIGR00856', NULL, NULL, NULL, 9),
(27164, NULL, 'TIGR02098', NULL, NULL, 'MJ0042_CXXC: MJ0042 family finger-like domain', NULL, 'TIGR02098', NULL, NULL, NULL, 9),
(27165, NULL, 'TIGR03315', NULL, NULL, 'Se_ygfK: putative selenate reductase, YgfK subunit', NULL, 'TIGR03315', NULL, NULL, NULL, 9),
(27166, NULL, 'TIGR02172', NULL, NULL, 'Fb_sc_TIGR02172: fibrobacter succinogenes paralogous family TIGR02172', NULL, 'TIGR02172', NULL, NULL, NULL, 9),
(27167, NULL, 'TIGR01980', NULL, NULL, 'sufB: FeS assembly protein SufB', NULL, 'TIGR01980', NULL, NULL, NULL, 9),
(27168, NULL, 'TIGR03190', NULL, NULL, 'benz_CoA_bzdN: benzoyl-CoA reductase, bzd-type, N subunit', NULL, 'TIGR03190', NULL, NULL, NULL, 9),
(27169, NULL, 'TIGR00754', NULL, NULL, 'bfr: bacterioferritin', NULL, 'TIGR00754', NULL, NULL, NULL, 9),
(27170, NULL, 'TIGR00962', NULL, NULL, 'atpA: ATP synthase F1, alpha subunit', NULL, 'TIGR00962', NULL, NULL, NULL, 9),
(27171, NULL, 'TIGR03523', NULL, NULL, 'GldN: gliding motility associated protein GldN', NULL, 'TIGR03523', NULL, NULL, NULL, 9),
(27172, NULL, 'TIGR04333', NULL, NULL, 'Clo7Bot_mod_Cys: Cys-rich peptide, Clo7bot family', NULL, 'TIGR04333', NULL, NULL, NULL, 9),
(27173, NULL, 'TIGR01772', NULL, NULL, 'MDH_euk_gproteo: malate dehydrogenase, NAD-dependent', NULL, 'TIGR01772', NULL, NULL, NULL, 9),
(27174, NULL, 'TIGR02724', NULL, NULL, 'phenyl_P_beta: phenylphosphate carboxylase, beta subunit', NULL, 'TIGR02724', NULL, NULL, NULL, 9),
(27175, NULL, 'TIGR02505', NULL, NULL, 'RTPR: ribonucleoside-triphosphate reductase, adenosylcobalamin-dependent', NULL, 'TIGR02505', NULL, NULL, NULL, 9),
(27176, NULL, 'TIGR00567', NULL, NULL, '3mg: DNA-3-methyladenine glycosylase', NULL, 'TIGR00567', NULL, NULL, NULL, 9),
(27177, NULL, 'TIGR04005', NULL, NULL, 'wcaL: colanic acid biosynthesis glycosyltransferase WcaL', NULL, 'TIGR04005', NULL, NULL, NULL, 9),
(27178, NULL, 'TIGR01257', NULL, NULL, 'rim_protein: rim ABC transporter', NULL, 'TIGR01257', NULL, NULL, NULL, 9),
(27179, NULL, 'TIGR01553', NULL, NULL, 'formate-DH-alph: formate dehydrogenase-N alpha subunit', NULL, 'TIGR01553', NULL, NULL, NULL, 9),
(27180, NULL, 'TIGR01815', NULL, NULL, 'TrpE-clade3: anthranilate synthase', NULL, 'TIGR01815', NULL, NULL, NULL, 9),
(27181, NULL, 'TIGR01373', NULL, NULL, 'soxB: sarcosine oxidase, beta subunit family', NULL, 'TIGR01373', NULL, NULL, NULL, 9),
(27182, NULL, 'TIGR03879', NULL, NULL, 'near_KaiC_dom: probable regulatory domain', NULL, 'TIGR03879', NULL, NULL, NULL, 9),
(27183, NULL, 'TIGR02391', NULL, NULL, 'hypoth_ymh: TIGR02391 family protein', NULL, 'TIGR02391', NULL, NULL, NULL, 9),
(27184, NULL, 'TIGR03414', NULL, NULL, 'ABC_choline_bnd: choline ABC transporter, periplasmic binding protein', NULL, 'TIGR03414', NULL, NULL, NULL, 9),
(27185, NULL, 'TIGR02833', NULL, NULL, 'spore_III_AB: stage III sporulation protein AB', NULL, 'TIGR02833', NULL, NULL, NULL, 9),
(27186, NULL, 'TIGR01881', NULL, NULL, 'cas_Cmr5: CRISPR type III-B/RAMP module-associated protein Cmr5', NULL, 'TIGR01881', NULL, NULL, NULL, 9);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27187, NULL, 'TIGR03988', NULL, NULL, 'antisig_RsrA: mycothiol system anti-sigma-R factor', NULL, 'TIGR03988', NULL, NULL, NULL, 9),
(27188, NULL, 'TIGR03091', NULL, NULL, 'SASP_sspK: small, acid-soluble spore protein K', NULL, 'TIGR03091', NULL, NULL, NULL, 9),
(27189, NULL, 'TIGR01918', NULL, NULL, 'various_sel_PB: selenoprotein B, glycine/betaine/sarcosine/D-proline reductase family', NULL, 'TIGR01918', NULL, NULL, NULL, 9),
(27190, NULL, 'TIGR00426', NULL, NULL, 'TIGR00426: competence protein ComEA helix-hairpin-helix repeat region', NULL, 'TIGR00426', NULL, NULL, NULL, 9),
(27191, NULL, 'TIGR02960', NULL, NULL, 'SigX5: RNA polymerase sigma-70 factor, TIGR02960 family', NULL, 'TIGR02960', NULL, NULL, NULL, 9),
(27192, NULL, 'TIGR04121', NULL, NULL, 'DEXH_lig_assoc: DEXH box helicase, DNA ligase-associated', NULL, 'TIGR04121', NULL, NULL, NULL, 9),
(27193, NULL, 'TIGR03424', NULL, NULL, 'urea_degr_1: urea carboxylase-associated protein 1', NULL, 'TIGR03424', NULL, NULL, NULL, 9),
(27194, NULL, 'TIGR02911', NULL, NULL, 'sulfite_red_B: sulfite reductase, subunit B', NULL, 'TIGR02911', NULL, NULL, NULL, 9),
(27195, NULL, 'TIGR04258', NULL, NULL, '4helix_suffix: four helix bundle suffix domain', NULL, 'TIGR04258', NULL, NULL, NULL, 9),
(27196, NULL, 'TIGR02384', NULL, NULL, 'RelB_DinJ: addiction module antitoxin, RelB/DinJ family', NULL, 'TIGR02384', NULL, NULL, NULL, 9),
(27197, NULL, 'TIGR03103', NULL, NULL, 'trio_acet_GNAT: GNAT-family acetyltransferase TIGR03103', NULL, 'TIGR03103', NULL, NULL, NULL, 9),
(27198, NULL, 'TIGR03742', NULL, NULL, 'PRTRC_F: PRTRC system protein F', NULL, 'TIGR03742', NULL, NULL, NULL, 9),
(27199, NULL, 'TIGR02571', NULL, NULL, 'ComEB: ComE operon protein 2', NULL, 'TIGR02571', NULL, NULL, NULL, 9),
(27200, NULL, 'TIGR01560', NULL, NULL, 'put_DNA_pack: uncharacterized phage protein (possible DNA packaging)', NULL, 'TIGR01560', NULL, NULL, NULL, 9),
(27201, NULL, 'TIGR00645', NULL, NULL, 'HI0507: TIGR00645 family protein', NULL, 'TIGR00645', NULL, NULL, NULL, 9),
(27202, NULL, 'TIGR02509', NULL, NULL, 'type_III_yopR: type III secretion effector, YopR family', NULL, 'TIGR02509', NULL, NULL, NULL, 9),
(27203, NULL, 'TIGR02512', NULL, NULL, 'FeFe_hydrog_A: [FeFe] hydrogenase, group A', NULL, 'TIGR02512', NULL, NULL, NULL, 9),
(27204, NULL, 'TIGR01158', NULL, NULL, 'SUI1_rel: putative translation initiation factor SUI1', NULL, 'TIGR01158', NULL, NULL, NULL, 9),
(27205, NULL, 'TIGR00003', NULL, NULL, 'TIGR00003: copper ion binding protein', NULL, 'TIGR00003', NULL, NULL, NULL, 9),
(27206, NULL, 'TIGR04114', NULL, NULL, 'tSAM_targ_Cxxx: modification target Cys-rich repeat', NULL, 'TIGR04114', NULL, NULL, NULL, 9),
(27207, NULL, 'TIGR00239', NULL, NULL, '2oxo_dh_E1: oxoglutarate dehydrogenase (succinyl-transferring), E1 component', NULL, 'TIGR00239', NULL, NULL, NULL, 9),
(27208, NULL, 'TIGR03237', NULL, NULL, 'dnd_assoc_2: DNA phosphorothioation-dependent restriction protein DptH', NULL, 'TIGR03237', NULL, NULL, NULL, 9),
(27209, NULL, 'TIGR00747', NULL, NULL, 'fabH: 3-oxoacyl-[acyl-carrier-protein] synthase III', NULL, 'TIGR00747', NULL, NULL, NULL, 9),
(27210, NULL, 'TIGR03667', NULL, NULL, 'Rv3369: PPOX class probable F420-dependent enzyme, Rv3369 family', NULL, 'TIGR03667', NULL, NULL, NULL, 9),
(27211, NULL, 'TIGR03530', NULL, NULL, 'GldJ_short: gliding motility-associated lipoprotein GldJ', NULL, 'TIGR03530', NULL, NULL, NULL, 9),
(27212, NULL, 'TIGR00317', NULL, NULL, 'cobS: cobalamin 5''-phosphate synthase', NULL, 'TIGR00317', NULL, NULL, NULL, 9),
(27213, NULL, 'TIGR01267', NULL, NULL, 'Phe4hydrox_mono: phenylalanine-4-hydroxylase', NULL, 'TIGR01267', NULL, NULL, NULL, 9),
(27214, NULL, 'TIGR01130', NULL, NULL, 'ER_PDI_fam: protein disulfide isomerase', NULL, 'TIGR01130', NULL, NULL, NULL, 9),
(27215, NULL, 'TIGR03308', NULL, NULL, 'phn_thr-fam: phosphonate metabolim protein, transferase hexapeptide repeat family', NULL, 'TIGR03308', NULL, NULL, NULL, 9);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27216, NULL, 'TIGR04220', NULL, NULL, 'patB_acyB_mcaB: cyanobactin biosynthesis protein, PatB/AcyB/McaB family', NULL, 'TIGR04220', NULL, NULL, NULL, 9),
(27217, NULL, 'TIGR04357', NULL, NULL, 'CofD_rel_GAK: CofD-related protein, GAK system', NULL, 'TIGR04357', NULL, NULL, NULL, 9),
(27218, NULL, 'TIGR02285', NULL, NULL, 'TIGR02285: conserved hypothetical protein', NULL, 'TIGR02285', NULL, NULL, NULL, 9),
(27219, NULL, 'TIGR03202', NULL, NULL, 'pucB: xanthine dehydrogenase accessory protein pucB', NULL, 'TIGR03202', NULL, NULL, NULL, 9),
(27220, NULL, 'TIGR02063', NULL, NULL, 'RNase_R: ribonuclease R', NULL, 'TIGR02063', NULL, NULL, NULL, 9),
(27221, NULL, 'TIGR02493', NULL, NULL, 'PFLA: pyruvate formate-lyase 1-activating enzyme', NULL, 'TIGR02493', NULL, NULL, NULL, 9),
(27222, NULL, 'TIGR04442', NULL, NULL, 'TIGR04442: TIGR04442 family protein', NULL, 'TIGR04442', NULL, NULL, NULL, 9),
(27223, NULL, 'TIGR02618', NULL, NULL, 'tyr_phenol_ly: tyrosine phenol-lyase', NULL, 'TIGR02618', NULL, NULL, NULL, 9),
(27224, NULL, 'TIGR00348', NULL, NULL, 'hsdR: type I site-specific deoxyribonuclease, HsdR family', NULL, 'TIGR00348', NULL, NULL, NULL, 9),
(27225, NULL, 'TIGR01694', NULL, NULL, 'MTAP: methylthioadenosine phosphorylase', NULL, 'TIGR01694', NULL, NULL, NULL, 9),
(27226, NULL, 'TIGR00433', NULL, NULL, 'bioB: biotin synthase', NULL, 'TIGR00433', NULL, NULL, NULL, 9),
(27227, NULL, 'TIGR01451', NULL, NULL, 'B_ant_repeat: conserved repeat domain', NULL, 'TIGR01451', NULL, NULL, NULL, 9),
(27228, NULL, 'TIGR01588', NULL, NULL, 'citE: citrate (pro-3S)-lyase, beta subunit', NULL, 'TIGR01588', NULL, NULL, NULL, 9),
(27229, NULL, 'TIGR03851', NULL, NULL, 'chitin_NgcE: carbohydrate ABC transporter, N-acetylglucosamine/diacetylchitobiose-binding protein', NULL, 'TIGR03851', NULL, NULL, NULL, 9),
(27230, NULL, 'TIGR01444', NULL, NULL, 'fkbM_fam: methyltransferase, FkbM family', NULL, 'TIGR01444', NULL, NULL, NULL, 9),
(27231, NULL, 'TIGR01366', NULL, NULL, 'serC_3: putative phosphoserine aminotransferase', NULL, 'TIGR01366', NULL, NULL, NULL, 9),
(27232, NULL, 'TIGR00853', NULL, NULL, 'pts-lac: PTS system, lactose/cellobiose family IIB component', NULL, 'TIGR00853', NULL, NULL, NULL, 9),
(27233, NULL, 'TIGR04149', NULL, NULL, 'GG_sam_targ_CFB: natural product precursor, GG-Bacteroidales family', NULL, 'TIGR04149', NULL, NULL, NULL, 9),
(27234, NULL, 'TIGR03636', NULL, NULL, 'uL23_arch: ribosomal protein uL23', NULL, 'TIGR03636', NULL, NULL, NULL, 9),
(27235, NULL, 'TIGR01706', NULL, NULL, 'NAPA: periplasmic nitrate reductase, large subunit', NULL, 'TIGR01706', NULL, NULL, NULL, 9),
(27236, NULL, 'TIGR01123', NULL, NULL, 'ilvE_II: branched-chain amino acid aminotransferase', NULL, 'TIGR01123', NULL, NULL, NULL, 9),
(27237, NULL, 'TIGR02278', NULL, NULL, 'PaaN-DH: phenylacetic acid degradation protein paaN', NULL, 'TIGR02278', NULL, NULL, NULL, 9),
(27238, NULL, 'TIGR04541', NULL, NULL, 'thiaminase_BcmE: thiamine pyridinylase', NULL, 'TIGR04541', NULL, NULL, NULL, 9),
(27239, NULL, 'TIGR00211', NULL, NULL, 'glyS: glycine--tRNA ligase, beta subunit', NULL, 'TIGR00211', NULL, NULL, NULL, 9),
(27240, NULL, 'TIGR02717', NULL, NULL, 'AcCoA-syn-alpha: acetyl coenzyme A synthetase (ADP forming), alpha domain', NULL, 'TIGR02717', NULL, NULL, NULL, 9),
(27241, NULL, 'TIGR01045', NULL, NULL, 'RPE1: rickettsial palindromic element RPE1 domain', NULL, 'TIGR01045', NULL, NULL, NULL, 9),
(27242, NULL, 'TIGR00676', NULL, NULL, 'fadh2: methylenetetrahydrofolate reductase [NAD(P)H]', NULL, 'TIGR00676', NULL, NULL, NULL, 9),
(27243, NULL, 'TIGR00093', NULL, NULL, 'TIGR00093: pseudouridine synthase', NULL, 'TIGR00093', NULL, NULL, NULL, 9),
(27244, NULL, 'TIGR00997', NULL, NULL, 'ispZ: intracellular septation protein A', NULL, 'TIGR00997', NULL, NULL, NULL, 9),
(27245, NULL, 'TIGR00255', NULL, NULL, 'TIGR00255: TIGR00255 family protein', NULL, 'TIGR00255', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27246, NULL, 'TIGR00103', NULL, NULL, 'DNA_YbaB_EbfC: DNA-binding protein, YbaB/EbfC family', NULL, 'TIGR00103', NULL, NULL, NULL, 9),
(27247, NULL, 'TIGR00601', NULL, NULL, 'rad23: UV excision repair protein Rad23', NULL, 'TIGR00601', NULL, NULL, NULL, 9),
(27248, NULL, 'TIGR00738', NULL, NULL, 'rrf2_super: Rrf2 family protein', NULL, 'TIGR00738', NULL, NULL, NULL, 9),
(27249, NULL, 'TIGR00583', NULL, NULL, 'mre11: DNA repair protein (mre11)', NULL, 'TIGR00583', NULL, NULL, NULL, 9),
(27250, NULL, 'TIGR01376', NULL, NULL, 'POMP_repeat: chlamydial polymorphic outer membrane protein repeat', NULL, 'TIGR01376', NULL, NULL, NULL, 9),
(27251, NULL, 'TIGR01722', NULL, NULL, 'MMSDH: methylmalonate-semialdehyde dehydrogenase (acylating)', NULL, 'TIGR01722', NULL, NULL, NULL, 9),
(27252, NULL, 'TIGR02521', NULL, NULL, 'type_IV_pilW: type IV pilus biogenesis/stability protein PilW', NULL, 'TIGR02521', NULL, NULL, NULL, 9),
(27253, NULL, 'TIGR01537', NULL, NULL, 'portal_HK97: phage portal protein, HK97 family', NULL, 'TIGR01537', NULL, NULL, NULL, 9),
(27254, NULL, 'TIGR03314', NULL, NULL, 'Se_ssnA: putative selenium metabolism protein SsnA', NULL, 'TIGR03314', NULL, NULL, NULL, 9),
(27255, NULL, 'TIGR04467', NULL, NULL, 'CGA_synthase: hydroxymethylcytosylglucuronate/cytosylglucuronate synthase', NULL, 'TIGR04467', NULL, NULL, NULL, 9),
(27256, NULL, 'TIGR02017', NULL, NULL, 'hutG_amidohyd: N-formylglutamate deformylase', NULL, 'TIGR02017', NULL, NULL, NULL, 9),
(27257, NULL, 'TIGR03779', NULL, NULL, 'Bac_Flav_CT_M: Bacteroides conjugative transposon TraM protein', NULL, 'TIGR03779', NULL, NULL, NULL, 9),
(27258, NULL, 'TIGR03191', NULL, NULL, 'benz_CoA_bzdO: benzoyl-CoA reductase, bzd-type, O subunit', NULL, 'TIGR03191', NULL, NULL, NULL, 9),
(27259, NULL, 'TIGR01874', NULL, NULL, 'cas_cas5a: CRISPR-associated protein Cas5, subtype I-A/APERN', NULL, 'TIGR01874', NULL, NULL, NULL, 9),
(27260, NULL, 'TIGR04002', NULL, NULL, 'TIGR04002: TIGR04002 family protein', NULL, 'TIGR04002', NULL, NULL, NULL, 9),
(27261, NULL, 'TIGR02064', NULL, NULL, 'dsrA: sulfite reductase, dissimilatory-type alpha subunit', NULL, 'TIGR02064', NULL, NULL, NULL, 9),
(27262, NULL, 'TIGR02506', NULL, NULL, 'NrdE_NrdA: ribonucleoside-diphosphate reductase, alpha subunit', NULL, 'TIGR02506', NULL, NULL, NULL, 9),
(27263, NULL, 'TIGR02515', NULL, NULL, 'IV_pilus_PilQ: type IV pilus secretin PilQ', NULL, 'TIGR02515', NULL, NULL, NULL, 9),
(27264, NULL, 'TIGR01367', NULL, NULL, 'pyrE_Therm: orotate phosphoribosyltransferase', NULL, 'TIGR01367', NULL, NULL, NULL, 9),
(27265, NULL, 'TIGR04441', NULL, NULL, 'lept_O_ant_chp1: surface carbohydrate biosynthesis protein', NULL, 'TIGR04441', NULL, NULL, NULL, 9),
(27266, NULL, 'TIGR00753', NULL, NULL, 'undec_PP_bacA: undecaprenyl-diphosphatase UppP', NULL, 'TIGR00753', NULL, NULL, NULL, 9),
(27267, NULL, 'TIGR01859', NULL, NULL, 'fruc_bis_ald_: fructose-1,6-bisphosphate aldolase, class II', NULL, 'TIGR01859', NULL, NULL, NULL, 9),
(27268, NULL, 'TIGR02175', NULL, NULL, 'PorC_KorC: 2-oxoacid:acceptor oxidoreductase, gamma subunit, pyruvate/2-ketoisovalerate family', NULL, 'TIGR02175', NULL, NULL, NULL, 9),
(27269, NULL, 'TIGR01400', NULL, NULL, 'fliR: flagellar biosynthetic protein FliR', NULL, 'TIGR01400', NULL, NULL, NULL, 9),
(27270, NULL, 'TIGR04500', NULL, NULL, 'PpiC_rel_mature: putative peptide maturation system protein', NULL, 'TIGR04500', NULL, NULL, NULL, 9),
(27271, NULL, 'TIGR00249', NULL, NULL, 'sixA: phosphohistidine phosphatase SixA', NULL, 'TIGR00249', NULL, NULL, NULL, 9),
(27272, NULL, 'TIGR02070', NULL, NULL, 'mono_pep_trsgly: monofunctional biosynthetic peptidoglycan transglycosylase', NULL, 'TIGR02070', NULL, NULL, NULL, 9),
(27273, NULL, 'TIGR03683', NULL, NULL, 'A-tRNA_syn_arch: alanine--tRNA ligase', NULL, 'TIGR03683', NULL, NULL, NULL, 9),
(27274, NULL, 'TIGR01865', NULL, NULL, 'cas_Csn1: CRISPR subtype II RNA-guided endonuclease Cas9', NULL, 'TIGR01865', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27275, NULL, 'TIGR04330', NULL, NULL, 'cas_Cpf1: CRISPR-associated protein Cpf1, subtype PREFRAN', NULL, 'TIGR04330', NULL, NULL, NULL, 9),
(27276, NULL, 'TIGR04435', NULL, NULL, 'restrict_AAA_1: restriction system-associated AAA family ATPase', NULL, 'TIGR04435', NULL, NULL, NULL, 9),
(27277, NULL, 'TIGR02699', NULL, NULL, 'archaeo_AfpA: archaeoflavoprotein AfpA', NULL, 'TIGR02699', NULL, NULL, NULL, 9),
(27278, NULL, 'TIGR04271', NULL, NULL, 'ThiI_C_thiazole: thiazole biosynthesis domain', NULL, 'TIGR04271', NULL, NULL, NULL, 9),
(27279, NULL, 'TIGR03633', NULL, NULL, 'arc_protsome_A: proteasome endopeptidase complex, archaeal, alpha subunit', NULL, 'TIGR03633', NULL, NULL, NULL, 9),
(27280, NULL, 'TIGR02234', NULL, NULL, 'trp_oprn_chp: membrane protein, TIGR02234 family', NULL, 'TIGR02234', NULL, NULL, NULL, 9),
(27281, NULL, 'TIGR00214', NULL, NULL, 'lipB: lipoyl(octanoyl) transferase', NULL, 'TIGR00214', NULL, NULL, NULL, 9),
(27282, NULL, 'TIGR00679', NULL, NULL, 'hpr-ser: HPr(Ser) kinase/phosphatase', NULL, 'TIGR00679', NULL, NULL, NULL, 9),
(27283, NULL, 'TIGR00091', NULL, NULL, 'TIGR00091: tRNA (guanine-N(7)-)-methyltransferase', NULL, 'TIGR00091', NULL, NULL, NULL, 9),
(27284, NULL, 'TIGR00542', NULL, NULL, 'hxl6Piso_put: putative hexulose-6-phosphate isomerase', NULL, 'TIGR00542', NULL, NULL, NULL, 9),
(27285, NULL, 'TIGR01230', NULL, NULL, 'agmatinase: agmatinase', NULL, 'TIGR01230', NULL, NULL, NULL, 9),
(27286, NULL, 'TIGR01578', NULL, NULL, 'MiaB-like-B: MiaB-like tRNA modifying enzyme, archaeal-type', NULL, 'TIGR01578', NULL, NULL, NULL, 9),
(27287, NULL, 'TIGR00246', NULL, NULL, 'tRNA_RlmH_YbeA: rRNA large subunit m3Psi methyltransferase RlmH', NULL, 'TIGR00246', NULL, NULL, NULL, 9),
(27288, NULL, 'TIGR00261', NULL, NULL, 'traB: TraB family protein', NULL, 'TIGR00261', NULL, NULL, NULL, 9),
(27289, NULL, 'TIGR00744', NULL, NULL, 'ROK_glcA_fam: ROK family protein (putative glucokinase)', NULL, 'TIGR00744', NULL, NULL, NULL, 9),
(27290, NULL, 'TIGR03738', NULL, NULL, 'PRTRC_C: PRTRC system protein C', NULL, 'TIGR03738', NULL, NULL, NULL, 9),
(27291, NULL, 'TIGR02562', NULL, NULL, 'cas3_yersinia: CRISPR-associated helicase Cas3, subtype I-F/YPEST', NULL, 'TIGR02562', NULL, NULL, NULL, 9),
(27292, NULL, 'TIGR04426', NULL, NULL, 'rSAM_desII: TDP-4-amino-4,6-dideoxy-D-glucose deaminase', NULL, 'TIGR04426', NULL, NULL, NULL, 9),
(27293, NULL, 'TIGR01435', NULL, NULL, 'glu_cys_lig_rel: glutamate--cysteine ligase/glutathione synthase', NULL, 'TIGR01435', NULL, NULL, NULL, 9),
(27294, NULL, 'TIGR01048', NULL, NULL, 'lysA: diaminopimelate decarboxylase', NULL, 'TIGR01048', NULL, NULL, NULL, 9),
(27295, NULL, 'TIGR02556', NULL, NULL, 'cas_TM1802: CRISPR-associated protein, TM1802 family', NULL, 'TIGR02556', NULL, NULL, NULL, 9),
(27296, NULL, 'TIGR03803', NULL, NULL, 'Gloeo_Verruco: gloeo_Verruco repeat', NULL, 'TIGR03803', NULL, NULL, NULL, 9),
(27297, NULL, 'TIGR01880', NULL, NULL, 'Ac-peptdase-euk: N-acyl-L-amino-acid amidohydrolase', NULL, 'TIGR01880', NULL, NULL, NULL, 9),
(27298, NULL, 'TIGR04086', NULL, NULL, 'TIGR04086_membr: putative membrane protein, TIGR04086 family', NULL, 'TIGR04086', NULL, NULL, NULL, 9),
(27299, NULL, 'TIGR03305', NULL, NULL, 'alt_F1F0_F1_bet: alternate F1F0 ATPase, F1 subunit beta', NULL, 'TIGR03305', NULL, NULL, NULL, 9),
(27300, NULL, 'TIGR00398', NULL, NULL, 'metG: methionine--tRNA ligase', NULL, 'TIGR00398', NULL, NULL, NULL, 9),
(27301, NULL, 'TIGR01441', NULL, NULL, 'GPR: GPR endopeptidase', NULL, 'TIGR01441', NULL, NULL, NULL, 9),
(27302, NULL, 'TIGR01382', NULL, NULL, 'PfpI: intracellular protease, PfpI family', NULL, 'TIGR01382', NULL, NULL, NULL, 9),
(27303, NULL, 'TIGR04139', NULL, NULL, 'CxxCx5CxxC_targ: putative peptide modification target, TIGR04139 family', NULL, 'TIGR04139', NULL, NULL, NULL, 9),
(27304, NULL, 'TIGR01107', NULL, NULL, 'Na_K_ATPase_bet: Na+/K+ ATPase, beta subunit', NULL, 'TIGR01107', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27305, NULL, 'TIGR00044', NULL, NULL, 'TIGR00044: pyridoxal phosphate enzyme, YggS family', NULL, 'TIGR00044', NULL, NULL, NULL, 9),
(27306, NULL, 'TIGR03349', NULL, NULL, 'IV_VI_DotU: type IV/VI secretion system protein, DotU family', NULL, 'TIGR03349', NULL, NULL, NULL, 9),
(27307, NULL, 'TIGR03729', NULL, NULL, 'acc_ester: putative phosphoesterase', NULL, 'TIGR03729', NULL, NULL, NULL, 9),
(27308, NULL, 'TIGR03212', NULL, NULL, 'uraD_N-term-dom: putative urate catabolism protein', NULL, 'TIGR03212', NULL, NULL, NULL, 9),
(27309, NULL, 'TIGR00651', NULL, NULL, 'pta: phosphate acetyltransferase', NULL, 'TIGR00651', NULL, NULL, NULL, 9),
(27310, NULL, 'TIGR04230', NULL, NULL, 'seadorna_VP11: seadornavirus VP11 protein', NULL, 'TIGR04230', NULL, NULL, NULL, 9),
(27311, NULL, 'TIGR04367', NULL, NULL, 'HpnR_B12_rSAM: hopanoid C-3 methylase HpnR', NULL, 'TIGR04367', NULL, NULL, NULL, 9),
(27312, NULL, 'TIGR02275', NULL, NULL, 'DHB_AMP_lig: (2,3-dihydroxybenzoyl)adenylate synthase', NULL, 'TIGR02275', NULL, NULL, NULL, 9),
(27313, NULL, 'TIGR03293', NULL, NULL, 'PhnG_redo: phosphonate C-P lyase system protein PhnG', NULL, 'TIGR03293', NULL, NULL, NULL, 9),
(27314, NULL, 'TIGR01171', NULL, NULL, 'rplB_bact: ribosomal protein uL2', NULL, 'TIGR01171', NULL, NULL, NULL, 9),
(27315, NULL, 'TIGR00788', NULL, NULL, 'fbt: folate/biopterin transporter', NULL, 'TIGR00788', NULL, NULL, NULL, 9),
(27316, NULL, 'TIGR03744', NULL, NULL, 'traC_PFL_4706: conjugative transfer ATPase, PFL_4706 family', NULL, 'TIGR03744', NULL, NULL, NULL, 9),
(27317, NULL, 'TIGR00533', NULL, NULL, 'HMG_CoA_R_NADP: hydroxymethylglutaryl-CoA reductase (NADPH)', NULL, 'TIGR00533', NULL, NULL, NULL, 9),
(27318, NULL, 'TIGR04195', NULL, NULL, 'S_glycosyl_SunS: peptide S-glycosyltransferase, SunS family', NULL, 'TIGR04195', NULL, NULL, NULL, 9),
(27319, NULL, 'TIGR03396', NULL, NULL, 'PC_PLC: phospholipase C, phosphocholine-specific', NULL, 'TIGR03396', NULL, NULL, NULL, 9),
(27320, NULL, 'TIGR00703', NULL, NULL, 'TIGR00703: TIGR00703 family protein', NULL, 'TIGR00703', NULL, NULL, NULL, 9),
(27321, NULL, 'TIGR01429', NULL, NULL, 'AMP_deaminase: AMP deaminase', NULL, 'TIGR01429', NULL, NULL, NULL, 9),
(27322, NULL, 'TIGR00205', NULL, NULL, 'fliE: flagellar hook-basal body complex protein FliE', NULL, 'TIGR00205', NULL, NULL, NULL, 9),
(27323, NULL, 'TIGR02773', NULL, NULL, 'addB_Gpos: helicase-exonuclease AddAB, AddB subunit', NULL, 'TIGR02773', NULL, NULL, NULL, 9),
(27324, NULL, 'TIGR03710', NULL, NULL, 'OAFO_sf: 2-oxoacid:acceptor oxidoreductase, alpha subunit', NULL, 'TIGR03710', NULL, NULL, NULL, 9),
(27325, NULL, 'TIGR00153', NULL, NULL, 'TIGR00153: TIGR00153 family protein', NULL, 'TIGR00153', NULL, NULL, NULL, 9),
(27326, NULL, 'TIGR00323', NULL, NULL, 'eIF-6: putative translation initiation factor eIF-6', NULL, 'TIGR00323', NULL, NULL, NULL, 9),
(27327, NULL, 'TIGR01478', NULL, NULL, 'STEVOR: variant surface antigen, stevor family', NULL, 'TIGR01478', NULL, NULL, NULL, 9),
(27328, NULL, 'TIGR01927', NULL, NULL, 'menC_gamma/gm+: o-succinylbenzoate synthase', NULL, 'TIGR01927', NULL, NULL, NULL, 9),
(27329, NULL, 'TIGR02945', NULL, NULL, 'SUF_assoc: FeS assembly SUF system protein', NULL, 'TIGR02945', NULL, NULL, NULL, 9),
(27330, NULL, 'TIGR03068', NULL, NULL, 'srtB_sig_NPQTN: sortase B signal domain, NPQTN class', NULL, 'TIGR03068', NULL, NULL, NULL, 9),
(27331, NULL, 'TIGR01476', NULL, NULL, 'chlor_syn_BchG: bacteriochlorophyll/chlorophyll synthetase', NULL, 'TIGR01476', NULL, NULL, NULL, 9),
(27332, NULL, 'TIGR01089', NULL, NULL, 'fucI: L-fucose isomerase', NULL, 'TIGR01089', NULL, NULL, NULL, 9),
(27333, NULL, 'TIGR00949', NULL, NULL, '2A76: homoserine/Threonine efflux protein', NULL, 'TIGR00949', NULL, NULL, NULL, 9),
(27334, NULL, 'TIGR02119', NULL, NULL, 'panF: sodium/pantothenate symporter', NULL, 'TIGR02119', NULL, NULL, NULL, 9),
(27335, NULL, 'TIGR02447', NULL, NULL, 'yiiD_Cterm: putative thioesterase domain', NULL, 'TIGR02447', NULL, NULL, NULL, 9);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27336, NULL, 'TIGR00370', NULL, NULL, 'TIGR00370: sensor histidine kinase inhibitor, KipI family', NULL, 'TIGR00370', NULL, NULL, NULL, 9),
(27337, NULL, 'TIGR01809', NULL, NULL, 'Shik-DH-AROM: shikimate-5-dehydrogenase', NULL, 'TIGR01809', NULL, NULL, NULL, 9),
(27338, NULL, 'TIGR01967', NULL, NULL, 'DEAH_box_HrpA: RNA helicase HrpA', NULL, 'TIGR01967', NULL, NULL, NULL, 9),
(27339, NULL, 'TIGR02617', NULL, NULL, 'tnaA_trp_ase: tryptophanase', NULL, 'TIGR02617', NULL, NULL, NULL, 9),
(27340, NULL, 'TIGR00779', NULL, NULL, 'cad: cadmium resistance transporter family protein', NULL, 'TIGR00779', NULL, NULL, NULL, 9),
(27341, NULL, 'TIGR01587', NULL, NULL, 'cas3_core: CRISPR-associated helicase Cas3', NULL, 'TIGR01587', NULL, NULL, NULL, 9),
(27342, NULL, 'TIGR01341', NULL, NULL, 'aconitase_1: aconitate hydratase 1', NULL, 'TIGR01341', NULL, NULL, NULL, 9),
(27343, NULL, 'TIGR03847', NULL, NULL, 'TIGR03847: conserved hypothetical protein', NULL, 'TIGR03847', NULL, NULL, NULL, 9),
(27344, NULL, 'TIGR00314', NULL, NULL, 'cdhA: CO dehydrogenase/acetyl-CoA synthase complex, epsilon subunit', NULL, 'TIGR00314', NULL, NULL, NULL, 9),
(27345, NULL, 'TIGR03791', NULL, NULL, 'TTQ_mauG: tryptophan tryptophylquinone biosynthesis enzyme MauG', NULL, 'TIGR03791', NULL, NULL, NULL, 9),
(27346, NULL, 'TIGR01148', NULL, NULL, 'mtrC: tetrahydromethanopterin S-methyltransferase, subunit C', NULL, 'TIGR01148', NULL, NULL, NULL, 9),
(27347, NULL, 'TIGR01469', NULL, NULL, 'cobA_cysG_Cterm: uroporphyrinogen-III C-methyltransferase', NULL, 'TIGR01469', NULL, NULL, NULL, 9),
(27348, NULL, 'TIGR00193', NULL, NULL, 'urease_gam: urease, gamma subunit', NULL, 'TIGR00193', NULL, NULL, NULL, 9),
(27349, NULL, 'TIGR04039', NULL, NULL, 'MXAN_0977_Heme2: di-heme enzyme, MXAN_0977 family', NULL, 'TIGR04039', NULL, NULL, NULL, 9),
(27350, NULL, 'TIGR01646', NULL, NULL, 'vgr_GE: Rhs element Vgr protein', NULL, 'TIGR01646', NULL, NULL, NULL, 9),
(27351, NULL, 'TIGR02284', NULL, NULL, 'TIGR02284: conserved hypothetical protein', NULL, 'TIGR02284', NULL, NULL, NULL, 9),
(27352, NULL, 'TIGR02664', NULL, NULL, 'nitr_red_assoc: conserved hypothetical protein', NULL, 'TIGR02664', NULL, NULL, NULL, 9),
(27353, NULL, 'TIGR03203', NULL, NULL, 'pimD_small: pimeloyl-CoA dehydrogenase, small subunit', NULL, 'TIGR03203', NULL, NULL, NULL, 9),
(27354, NULL, 'TIGR04221', NULL, NULL, 'SecA2_Mycobac: accessory Sec system translocase SecA2', NULL, 'TIGR04221', NULL, NULL, NULL, 9),
(27355, NULL, 'TIGR01613', NULL, NULL, 'primase_Cterm: phage/plasmid primase, P4 family, C-terminal domain', NULL, 'TIGR01613', NULL, NULL, NULL, 9),
(27356, NULL, 'TIGR04358', NULL, NULL, 'XXXCH_domain: XXXCH domain', NULL, 'TIGR04358', NULL, NULL, NULL, 9),
(27357, NULL, 'TIGR04207', NULL, NULL, 'halo_sig_pep: surface glycoprotein signal peptide', NULL, 'TIGR04207', NULL, NULL, NULL, 9),
(27358, NULL, 'TIGR01280', NULL, NULL, 'xseB: exodeoxyribonuclease VII, small subunit', NULL, 'TIGR01280', NULL, NULL, NULL, 9),
(27359, NULL, 'TIGR01818', NULL, NULL, 'ntrC: nitrogen regulation protein NR(I)', NULL, 'TIGR01818', NULL, NULL, NULL, 9),
(27360, NULL, 'TIGR00212', NULL, NULL, 'hemC: hydroxymethylbilane synthase', NULL, 'TIGR00212', NULL, NULL, NULL, 9),
(27361, NULL, 'TIGR01974', NULL, NULL, 'NDH_I_L: proton-translocating NADH-quinone oxidoreductase, chain L', NULL, 'TIGR01974', NULL, NULL, NULL, 9),
(27362, NULL, 'TIGR03838', NULL, NULL, 'queuosine_YadB: glutamyl-queuosine tRNA(Asp) synthetase', NULL, 'TIGR03838', NULL, NULL, NULL, 9),
(27363, NULL, 'TIGR00642', NULL, NULL, 'mmCoA_mut_beta: methylmalonyl-CoA mutase, small subunit', NULL, 'TIGR00642', NULL, NULL, NULL, 9),
(27364, NULL, 'TIGR01797', NULL, NULL, 'CM_P_1: chorismate mutase', NULL, 'TIGR01797', NULL, NULL, NULL, 9),
(27365, NULL, 'TIGR01332', NULL, NULL, 'cyt_b559_alpha: cytochrome b559, alpha subunit', NULL, 'TIGR01332', NULL, NULL, NULL, 9),
(27366, NULL, 'TIGR02166', NULL, NULL, 'dmsA_ynfE: anaerobic dimethyl sulfoxide reductase, A subunit, DmsA/YnfE family', NULL, 'TIGR02166', NULL, NULL, NULL, 9);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27367, NULL, 'TIGR00644', NULL, NULL, 'recJ: single-stranded-DNA-specific exonuclease RecJ', NULL, 'TIGR00644', NULL, NULL, NULL, 9),
(27368, NULL, 'TIGR01011', NULL, NULL, 'rpsB_bact: ribosomal protein uS2', NULL, 'TIGR01011', NULL, NULL, NULL, 9),
(27369, NULL, 'TIGR04148', NULL, NULL, 'GG_samocin_CFB: radical SAM peptide maturase, GG-Bacteroidales family', NULL, 'TIGR04148', NULL, NULL, NULL, 9),
(27370, NULL, 'TIGR04528', NULL, NULL, 'acido_non_PQQ: acido-empty-quinoprotein group A', NULL, 'TIGR04528', NULL, NULL, NULL, 9),
(27371, NULL, 'TIGR04037', NULL, NULL, 'LLM_duo_CE1759: LLM-partnered FMN reductase, CE1759 family', NULL, 'TIGR04037', NULL, NULL, NULL, 9),
(27372, NULL, 'TIGR00847', NULL, NULL, 'ccoS: cytochrome oxidase maturation protein, cbb3-type', NULL, 'TIGR00847', NULL, NULL, NULL, 9),
(27373, NULL, 'TIGR02494', NULL, NULL, 'PFLE_PFLC: glycyl-radical enzyme activating protein', NULL, 'TIGR02494', NULL, NULL, NULL, 9),
(27374, NULL, 'TIGR01039', NULL, NULL, 'atpD: ATP synthase F1, beta subunit', NULL, 'TIGR01039', NULL, NULL, NULL, 9),
(27375, NULL, 'TIGR04011', NULL, NULL, 'poly_gGlu_PgsC: poly-gamma-glutamate biosynthesis protein PgsC', NULL, 'TIGR04011', NULL, NULL, NULL, 9),
(27376, NULL, 'TIGR01450', NULL, NULL, 'recC: exodeoxyribonuclease V, gamma subunit', NULL, 'TIGR01450', NULL, NULL, NULL, 9),
(27377, NULL, 'TIGR01830', NULL, NULL, '3oxo_ACP_reduc: 3-oxoacyl-[acyl-carrier-protein] reductase', NULL, 'TIGR01830', NULL, NULL, NULL, 9),
(27378, NULL, 'TIGR03361', NULL, NULL, 'VI_Rhs_Vgr: type VI secretion system Vgr family protein', NULL, 'TIGR03361', NULL, NULL, NULL, 9),
(27379, NULL, 'TIGR03498', NULL, NULL, 'FliI_clade3: flagellar protein export ATPase FliI', NULL, 'TIGR03498', NULL, NULL, NULL, 9),
(27380, NULL, 'TIGR02310', NULL, NULL, 'HpaB-2: 4-hydroxyphenylacetate 3-monooxygenase, oxygenase component', NULL, 'TIGR02310', NULL, NULL, NULL, 9),
(27381, NULL, 'TIGR03144', NULL, NULL, 'cytochr_II_ccsB: cytochrome c-type biogenesis protein CcsB', NULL, 'TIGR03144', NULL, NULL, NULL, 9),
(27382, NULL, 'TIGR02992', NULL, NULL, 'ectoine_eutC: ectoine utilization protein EutC', NULL, 'TIGR02992', NULL, NULL, NULL, 9),
(27383, NULL, 'TIGR04476', NULL, NULL, 'exosort_XrtN: exosortase N', NULL, 'TIGR04476', NULL, NULL, NULL, 9),
(27384, NULL, 'TIGR03701', NULL, NULL, 'mena_SCO4490: menaquinone biosynthesis decarboxylase, SCO4490 family', NULL, 'TIGR03701', NULL, NULL, NULL, 9),
(27385, NULL, 'TIGR01660', NULL, NULL, 'narH: nitrate reductase, beta subunit', NULL, 'TIGR01660', NULL, NULL, NULL, 9),
(27386, NULL, 'TIGR03642', NULL, NULL, 'cas_csx14: CRISPR-associated protein, Csx14 family', NULL, 'TIGR03642', NULL, NULL, NULL, 9),
(27387, NULL, 'TIGR04535', NULL, NULL, 'ferrit_encaps: ferritin-like protein', NULL, 'TIGR04535', NULL, NULL, NULL, 9),
(27388, NULL, 'TIGR00519', NULL, NULL, 'asnASE_I: L-asparaginase, type I', NULL, 'TIGR00519', NULL, NULL, NULL, 9),
(27389, NULL, 'TIGR00152', NULL, NULL, 'TIGR00152: dephospho-CoA kinase', NULL, 'TIGR00152', NULL, NULL, NULL, 9),
(27390, NULL, 'TIGR01258', NULL, NULL, 'pgm_1: phosphoglycerate mutase 1 family', NULL, 'TIGR01258', NULL, NULL, NULL, 9),
(27391, NULL, 'TIGR01121', NULL, NULL, 'D_amino_aminoT: D-amino-acid transaminase', NULL, 'TIGR01121', NULL, NULL, NULL, 9),
(27392, NULL, 'TIGR02671', NULL, NULL, 'cas_csx9: CRISPR-associated protein Cas8a2/Csx9, subtype I-A/APERN', NULL, 'TIGR02671', NULL, NULL, NULL, 9),
(27393, NULL, 'TIGR04317', NULL, NULL, 'W_rSAM_matur: tungsten cofactor oxidoreducase radical SAM maturase', NULL, 'TIGR04317', NULL, NULL, NULL, 9),
(27394, NULL, 'TIGR02740', NULL, NULL, 'TraF-like: TraF-like protein', NULL, 'TIGR02740', NULL, NULL, NULL, 9),
(27395, NULL, 'TIGR01771', NULL, NULL, 'L-LDH-NAD: L-lactate dehydrogenase', NULL, 'TIGR01771', NULL, NULL, NULL, 9),
(27396, NULL, 'TIGR01756', NULL, NULL, 'LDH_protist: lactate dehydrogenase', NULL, 'TIGR01756', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27397, NULL, 'TIGR03676', NULL, NULL, 'aRF1/eRF1: peptide chain release factor 1, archaeal and eukaryotic forms', NULL, 'TIGR03676', NULL, NULL, NULL, 9),
(27398, NULL, 'TIGR02624', NULL, NULL, 'rhamnu_1P_ald: rhamnulose-1-phosphate aldolase', NULL, 'TIGR02624', NULL, NULL, NULL, 9),
(27399, NULL, 'TIGR04469', NULL, NULL, 'CGA_synth_rel: CGA synthase-related protein', NULL, 'TIGR04469', NULL, NULL, NULL, 9),
(27400, NULL, 'TIGR01273', NULL, NULL, 'speA: arginine decarboxylase', NULL, 'TIGR01273', NULL, NULL, NULL, 9),
(27401, NULL, 'TIGR03792', NULL, NULL, 'TIGR03792: uncharacterized cyanobacterial protein, TIGR03792 family', NULL, 'TIGR03792', NULL, NULL, NULL, 9),
(27402, NULL, 'TIGR00289', NULL, NULL, 'TIGR00289: TIGR00289 family protein', NULL, 'TIGR00289', NULL, NULL, NULL, 9),
(27403, NULL, 'TIGR03906', NULL, NULL, 'quino_hemo_SAM: quinohemoprotein amine dehydrogenase maturation protein', NULL, 'TIGR03906', NULL, NULL, NULL, 9),
(27404, NULL, 'TIGR02549', NULL, NULL, 'CRISPR_DxTHG: CRISPR-associated DxTHG motif protein', NULL, 'TIGR02549', NULL, NULL, NULL, 9),
(27405, NULL, 'TIGR02057', NULL, NULL, 'PAPS_reductase: phosphoadenosine phosphosulfate reductase', NULL, 'TIGR02057', NULL, NULL, NULL, 9),
(27406, NULL, 'TIGR00999', NULL, NULL, '8a0102: membrane fusion protein cluster 2 protein', NULL, 'TIGR00999', NULL, NULL, NULL, 9),
(27407, NULL, 'TIGR03464', NULL, NULL, 'HpnC: squalene synthase HpnC', NULL, 'TIGR03464', NULL, NULL, NULL, 9),
(27408, NULL, 'TIGR00916', NULL, NULL, '2A0604s01: protein-export membrane protein, SecD/SecF family', NULL, 'TIGR00916', NULL, NULL, NULL, 9),
(27409, NULL, 'TIGR03041', NULL, NULL, 'PS_antenn_a_b: chlorophyll a/b binding light-harvesting protein', NULL, 'TIGR03041', NULL, NULL, NULL, 9),
(27410, NULL, 'TIGR01046', NULL, NULL, 'uS10_euk_arch: ribosomal protein uS10', NULL, 'TIGR01046', NULL, NULL, NULL, 9),
(27411, NULL, 'TIGR00704', NULL, NULL, 'NaPi_cotrn_rel: Na/Pi-cotransporter II-related protein', NULL, 'TIGR00704', NULL, NULL, NULL, 9),
(27412, NULL, 'TIGR02555', NULL, NULL, 'OrgA_MxiK: type III secretion apparatus protein OrgA/MxiK', NULL, 'TIGR02555', NULL, NULL, NULL, 9),
(27413, NULL, 'TIGR02126', NULL, NULL, 'phgtail_TP901_1: phage major tail protein, TP901-1 family', NULL, 'TIGR02126', NULL, NULL, NULL, 9),
(27414, NULL, 'TIGR03408', NULL, NULL, 'urea_trans_UrtC: urea ABC transporter, permease protein UrtC', NULL, 'TIGR03408', NULL, NULL, NULL, 9),
(27415, NULL, 'TIGR00710', NULL, NULL, 'efflux_Bcr_CflA: drug resistance transporter, Bcr/CflA subfamily', NULL, 'TIGR00710', NULL, NULL, NULL, 9),
(27416, NULL, 'TIGR01544', NULL, NULL, 'HAD-SF-IE: HAD hydrolase, family IE', NULL, 'TIGR01544', NULL, NULL, NULL, 9),
(27417, NULL, 'TIGR03253', NULL, NULL, 'oxalate_frc: formyl-CoA transferase', NULL, 'TIGR03253', NULL, NULL, NULL, 9),
(27418, NULL, 'TIGR01217', NULL, NULL, 'ac_ac_CoA_syn: acetoacetate-CoA ligase', NULL, 'TIGR01217', NULL, NULL, NULL, 9),
(27419, NULL, 'TIGR02767', NULL, NULL, 'TraG-Ti: Ti-type conjugative transfer system protein TraG', NULL, 'TIGR02767', NULL, NULL, NULL, 9),
(27420, NULL, 'TIGR02269', NULL, NULL, 'TIGR02269: Myxococcus xanthus paralogous lipoprotein family TIGR02269', NULL, 'TIGR02269', NULL, NULL, NULL, 9),
(27421, NULL, 'TIGR00692', NULL, NULL, 'tdh: L-threonine 3-dehydrogenase', NULL, 'TIGR00692', NULL, NULL, NULL, 9),
(27422, NULL, 'TIGR03389', NULL, NULL, 'laccase: laccase', NULL, 'TIGR03389', NULL, NULL, NULL, 9),
(27423, NULL, 'TIGR01696', NULL, NULL, 'deoB: phosphopentomutase', NULL, 'TIGR01696', NULL, NULL, NULL, 9),
(27424, NULL, 'TIGR00691', NULL, NULL, 'spoT_relA: RelA/SpoT family protein', NULL, 'TIGR00691', NULL, NULL, NULL, 9),
(27425, NULL, 'TIGR03252', NULL, NULL, 'TIGR03252: uncharacterized HhH-GPD family protein', NULL, 'TIGR03252', NULL, NULL, NULL, 9),
(27426, NULL, 'TIGR01198', NULL, NULL, 'pgl: 6-phosphogluconolactonase', NULL, 'TIGR01198', NULL, NULL, NULL, 9);         
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27427, NULL, 'TIGR04120', NULL, NULL, 'DNA_lig_bact: DNA ligase, ATP-dependent, PP_1105 family', NULL, 'TIGR04120', NULL, NULL, NULL, 9),
(27428, NULL, 'TIGR02385', NULL, NULL, 'RelE_StbE: addiction module toxin, RelE/StbE family', NULL, 'TIGR02385', NULL, NULL, NULL, 9),
(27429, NULL, 'TIGR00399', NULL, NULL, 'metG_C_term: methionine--tRNA ligase, beta subunit', NULL, 'TIGR00399', NULL, NULL, NULL, 9),
(27430, NULL, 'TIGR04550', NULL, NULL, 'sMetMonox_MmoD: soluble methane monooxygenase-binding protein MmoD', NULL, 'TIGR04550', NULL, NULL, NULL, 9),
(27431, NULL, 'TIGR00922', NULL, NULL, 'nusG: transcription termination/antitermination factor NusG', NULL, 'TIGR00922', NULL, NULL, NULL, 9),
(27432, NULL, 'TIGR00364', NULL, NULL, 'TIGR00364: queuosine biosynthesis protein QueC', NULL, 'TIGR00364', NULL, NULL, NULL, 9),
(27433, NULL, 'TIGR01715', NULL, NULL, 'phage_lam_T: phage tail assembly protein T', NULL, 'TIGR01715', NULL, NULL, NULL, 9),
(27434, NULL, 'TIGR03751', NULL, NULL, 'conj_TIGR03751: conjugative transfer region lipoprotein, TIGR03751 family', NULL, 'TIGR03751', NULL, NULL, NULL, 9),
(27435, NULL, 'TIGR04105', NULL, NULL, 'FeFe_hydrog_B1: [FeFe] hydrogenase, group B1/B3', NULL, 'TIGR04105', NULL, NULL, NULL, 9),
(27436, NULL, 'TIGR02412', NULL, NULL, 'pepN_strep_liv: aminopeptidase N', NULL, 'TIGR02412', NULL, NULL, NULL, 9),
(27437, NULL, 'TIGR00417', NULL, NULL, 'speE: spermidine synthase', NULL, 'TIGR00417', NULL, NULL, NULL, 9),
(27438, NULL, 'TIGR00862', NULL, NULL, 'O-ClC: intracellular chloride channel protein', NULL, 'TIGR00862', NULL, NULL, NULL, 9),
(27439, NULL, 'TIGR02883', NULL, NULL, 'spore_cwlD: N-acetylmuramoyl-L-alanine amidase CwlD', NULL, 'TIGR02883', NULL, NULL, NULL, 9),
(27440, NULL, 'TIGR04093', NULL, NULL, 'cas1_CYANO: CRISPR-associated endonuclease Cas1, subtype CYANO', NULL, 'TIGR04093', NULL, NULL, NULL, 9),
(27441, NULL, 'TIGR00424', NULL, NULL, 'APS_reduc: 5''-adenylylsulfate reductase, thioredoxin-independent', NULL, 'TIGR00424', NULL, NULL, NULL, 9),
(27442, NULL, 'TIGR04087', NULL, NULL, 'YqxM_for_SipW: YqxM protein', NULL, 'TIGR04087', NULL, NULL, NULL, 9),
(27443, NULL, 'TIGR03574', NULL, NULL, 'selen_PSTK: L-seryl-tRNA(Sec) kinase', NULL, 'TIGR03574', NULL, NULL, NULL, 9),
(27444, NULL, 'TIGR03894', NULL, NULL, 'chp_P_marinus_1: conserved hypothetical protein, TIGR03894 family', NULL, 'TIGR03894', NULL, NULL, NULL, 9),
(27445, NULL, 'TIGR03423', NULL, NULL, 'pbp2_mrdA: penicillin-binding protein 2', NULL, 'TIGR03423', NULL, NULL, NULL, 9),
(27446, NULL, 'TIGR02910', NULL, NULL, 'sulfite_red_A: sulfite reductase, subunit A', NULL, 'TIGR02910', NULL, NULL, NULL, 9),
(27447, NULL, 'TIGR01401', NULL, NULL, 'fliR_like_III: type III secretion apparatus protein SpaR/YscT/HrcT', NULL, 'TIGR01401', NULL, NULL, NULL, 9),
(27448, NULL, 'TIGR02877', NULL, NULL, 'spore_yhbH: sporulation protein YhbH', NULL, 'TIGR02877', NULL, NULL, NULL, 9),
(27449, NULL, 'TIGR04257', NULL, NULL, 'nanowire_3heme: c(7)-type cytochrome triheme domain', NULL, 'TIGR04257', NULL, NULL, NULL, 9),
(27450, NULL, 'TIGR03082', NULL, NULL, 'Gneg_AbrB_dup: membrane protein AbrB duplication', NULL, 'TIGR03082', NULL, NULL, NULL, 9),
(27451, NULL, 'TIGR03580', NULL, NULL, 'EF_0832: conserved hypothetical protein EF_0832/AHA_3913', NULL, 'TIGR03580', NULL, NULL, NULL, 9),
(27452, NULL, 'TIGR03246', NULL, NULL, 'arg_catab_astC: succinylornithine transaminase family', NULL, 'TIGR03246', NULL, NULL, NULL, 9),
(27453, NULL, 'TIGR00077', NULL, NULL, 'lspA: signal peptidase II', NULL, 'TIGR00077', NULL, NULL, NULL, 9),
(27454, NULL, 'TIGR01428', NULL, NULL, 'HAD_type_II: haloacid dehalogenase, type II', NULL, 'TIGR01428', NULL, NULL, NULL, 9),
(27455, NULL, 'TIGR03888', NULL, NULL, 'nitrile_beta: nitrile hydratase, beta subunit', NULL, 'TIGR03888', NULL, NULL, NULL, 9),
(27456, NULL, 'TIGR00915', NULL, NULL, '2A0602: RND transporter, hydrophobe/amphiphile efflux-1 (HAE1) family', NULL, 'TIGR00915', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27457, NULL, 'TIGR01061', NULL, NULL, 'parC_Gpos: DNA topoisomerase IV, A subunit', NULL, 'TIGR01061', NULL, NULL, NULL, 9),
(27458, NULL, 'TIGR00685', NULL, NULL, 'T6PP: trehalose-phosphatase', NULL, 'TIGR00685', NULL, NULL, NULL, 9),
(27459, NULL, 'TIGR01708', NULL, NULL, 'typeII_sec_gspH: type II secretion system protein H', NULL, 'TIGR01708', NULL, NULL, NULL, 9),
(27460, NULL, 'TIGR02726', NULL, NULL, 'phenyl_P_delta: phenylphosphate carboxylase, delta subunit', NULL, 'TIGR02726', NULL, NULL, NULL, 9),
(27461, NULL, 'TIGR04298', NULL, NULL, 'his_histam_anti: histidine-histamine antiporter', NULL, 'TIGR04298', NULL, NULL, NULL, 9),
(27462, NULL, 'TIGR00050', NULL, NULL, 'rRNA_methyl_1: RNA methyltransferase, TrmH family, group 1', NULL, 'TIGR00050', NULL, NULL, NULL, 9),
(27463, NULL, 'TIGR04161', NULL, NULL, 'VPEID-CTERM: VPEID-CTERM protein sorting domain', NULL, 'TIGR04161', NULL, NULL, NULL, 9),
(27464, NULL, 'TIGR00187', NULL, NULL, 'ribE: riboflavin synthase, alpha subunit', NULL, 'TIGR00187', NULL, NULL, NULL, 9),
(27465, NULL, 'TIGR02344', NULL, NULL, 'chap_CCT_gamma: T-complex protein 1, gamma subunit', NULL, 'TIGR02344', NULL, NULL, NULL, 9),
(27466, NULL, 'TIGR00084', NULL, NULL, 'ruvA: Holliday junction DNA helicase RuvA', NULL, 'TIGR00084', NULL, NULL, NULL, 9),
(27467, NULL, 'TIGR02125', NULL, NULL, 'CytB-hydogenase: Ni/Fe-hydrogenase, b-type cytochrome subunit', NULL, 'TIGR02125', NULL, NULL, NULL, 9),
(27468, NULL, 'TIGR01933', NULL, NULL, 'hflK: HflK protein', NULL, 'TIGR01933', NULL, NULL, NULL, 9),
(27469, NULL, 'TIGR03499', NULL, NULL, 'FlhF: flagellar biosynthesis protein FlhF', NULL, 'TIGR03499', NULL, NULL, NULL, 9),
(27470, NULL, 'TIGR02228', NULL, NULL, 'sigpep_I_arch: signal peptidase I', NULL, 'TIGR02228', NULL, NULL, NULL, 9),
(27471, NULL, 'TIGR00806', NULL, NULL, 'rfc: reduced folate carrier', NULL, 'TIGR00806', NULL, NULL, NULL, 9),
(27472, NULL, 'TIGR04380', NULL, NULL, 'myo_inos_iolG: inositol 2-dehydrogenase', NULL, 'TIGR04380', NULL, NULL, NULL, 9),
(27473, NULL, 'TIGR03471', NULL, NULL, 'HpnJ: hopanoid biosynthesis associated radical SAM protein HpnJ', NULL, 'TIGR03471', NULL, NULL, NULL, 9),
(27474, NULL, 'TIGR03034', NULL, NULL, 'TIGR03034: conserved hypothetical protein', NULL, 'TIGR03034', NULL, NULL, NULL, 9),
(27475, NULL, 'TIGR02453', NULL, NULL, 'TIGR02453: TIGR02453 family protein', NULL, 'TIGR02453', NULL, NULL, NULL, 9),
(27476, NULL, 'TIGR02842', NULL, NULL, 'CyoC: cytochrome o ubiquinol oxidase, subunit III', NULL, 'TIGR02842', NULL, NULL, NULL, 9),
(27477, NULL, 'TIGR04189', NULL, NULL, 'surface_SprA: cell surface protein SprA', NULL, 'TIGR04189', NULL, NULL, NULL, 9),
(27478, NULL, 'TIGR03860', NULL, NULL, 'FMN_nitrolo: FMN-dependent oxidoreductase, nitrilotriacetate monooxygenase family', NULL, 'TIGR03860', NULL, NULL, NULL, 9),
(27479, NULL, 'TIGR04052', NULL, NULL, 'AZL_007920_fam: AZL_007920/MXAN_0976 family protein', NULL, 'TIGR04052', NULL, NULL, NULL, 9),
(27480, NULL, 'TIGR03997', NULL, NULL, 'mycofact_OYE_2: mycofactocin system FadH/OYE family oxidoreductase 2', NULL, 'TIGR03997', NULL, NULL, NULL, 9),
(27481, NULL, 'TIGR03853', NULL, NULL, 'matur_matur: putative metal-binding protein', NULL, 'TIGR03853', NULL, NULL, NULL, 9),
(27482, NULL, 'TIGR01538', NULL, NULL, 'portal_SPP1: phage portal protein, SPP1 family', NULL, 'TIGR01538', NULL, NULL, NULL, 9),
(27483, NULL, 'TIGR03532', NULL, NULL, 'DapD_Ac: 2,3,4,5-tetrahydropyridine-2,6-dicarboxylate N-acetyltransferase', NULL, 'TIGR03532', NULL, NULL, NULL, 9),
(27484, NULL, 'TIGR03362', NULL, NULL, 'VI_chp_7: type VI secretion-associated protein, VC_A0119 family', NULL, 'TIGR03362', NULL, NULL, NULL, 9),
(27485, NULL, 'TIGR02951', NULL, NULL, 'DMSO_dmsB: dimethylsulfoxide reductase, chain B', NULL, 'TIGR02951', NULL, NULL, NULL, 9),
(27486, NULL, 'TIGR00308', NULL, NULL, 'TRM1: N2,N2-dimethylguanosine tRNA methyltransferase', NULL, 'TIGR00308', NULL, NULL, NULL, 9);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27487, NULL, 'TIGR03804', NULL, NULL, 'para_beta_helix: parallel beta-helix repeat', NULL, 'TIGR03804', NULL, NULL, NULL, 9),
(27488, NULL, 'TIGR04373', NULL, NULL, 'egtB_X_signatur: EgtB-related enzyme signature domain', NULL, 'TIGR04373', NULL, NULL, NULL, 9),
(27489, NULL, 'TIGR03143', NULL, NULL, 'AhpF_homolog: putative alkyl hydroperoxide reductase F subunit', NULL, 'TIGR03143', NULL, NULL, NULL, 9),
(27490, NULL, 'TIGR02132', NULL, NULL, 'phaR_Bmeg: polyhydroxyalkanoic acid synthase, PhaR subunit', NULL, 'TIGR02132', NULL, NULL, NULL, 9),
(27491, NULL, 'TIGR01940', NULL, NULL, 'nqrE: NADH:ubiquinone oxidoreductase, Na(+)-translocating, E subunit', NULL, 'TIGR01940', NULL, NULL, NULL, 9),
(27492, NULL, 'TIGR03287', NULL, NULL, 'methan_mark_16: putative methanogenesis marker 16 metalloprotein', NULL, 'TIGR03287', NULL, NULL, NULL, 9),
(27493, NULL, 'TIGR02630', NULL, NULL, 'xylose_isom_A: xylose isomerase', NULL, 'TIGR02630', NULL, NULL, NULL, 9),
(27494, NULL, 'TIGR02665', NULL, NULL, 'molyb_mobA: molybdenum cofactor guanylyltransferase', NULL, 'TIGR02665', NULL, NULL, NULL, 9),
(27495, NULL, 'TIGR00296', NULL, NULL, 'TIGR00296: uncharacterized protein, PH0010 family', NULL, 'TIGR00296', NULL, NULL, NULL, 9),
(27496, NULL, 'TIGR01510', NULL, NULL, 'coaD_prev_kdtB: pantetheine-phosphate adenylyltransferase', NULL, 'TIGR01510', NULL, NULL, NULL, 9),
(27497, NULL, 'TIGR00629', NULL, NULL, 'uvde: UV damage endonuclease UvdE', NULL, 'TIGR00629', NULL, NULL, NULL, 9),
(27498, NULL, 'TIGR01647', NULL, NULL, 'ATPase-IIIA_H: plasma-membrane proton-efflux P-type ATPase', NULL, 'TIGR01647', NULL, NULL, NULL, 9),
(27499, NULL, 'TIGR03785', NULL, NULL, 'marine_sort_HK: proteobacterial dedicated sortase system histidine kinase', NULL, 'TIGR03785', NULL, NULL, NULL, 9),
(27500, NULL, 'TIGR00971', NULL, NULL, '3a0106s03: sulfate ABC transporter, sulfate-binding protein', NULL, 'TIGR00971', NULL, NULL, NULL, 9),
(27501, NULL, 'TIGR01149', NULL, NULL, 'mtrG: tetrahydromethanopterin S-methyltransferase, subunit G', NULL, 'TIGR01149', NULL, NULL, NULL, 9),
(27502, NULL, 'TIGR01491', NULL, NULL, 'HAD-SF-IB-PSPlk: phosphoserine phosphatase-like hydrolase, archaeal', NULL, 'TIGR01491', NULL, NULL, NULL, 9),
(27503, NULL, 'TIGR02200', NULL, NULL, 'GlrX_actino: glutaredoxin-like protein', NULL, 'TIGR02200', NULL, NULL, NULL, 9),
(27504, NULL, 'TIGR01319', NULL, NULL, 'glmL_fam: conserved hypothetical protein', NULL, 'TIGR01319', NULL, NULL, NULL, 9),
(27505, NULL, 'TIGR03962', NULL, NULL, 'mycofact_rSAM: mycofactocin radical SAM maturase', NULL, 'TIGR03962', NULL, NULL, NULL, 9),
(27506, NULL, 'TIGR03355', NULL, NULL, 'VI_chp_2: type VI secretion protein, EvpB/VC_A0108 family', NULL, 'TIGR03355', NULL, NULL, NULL, 9),
(27507, NULL, 'TIGR04501', NULL, NULL, 'microcomp_PduB: microcompartment protein PduB', NULL, 'TIGR04501', NULL, NULL, NULL, 9),
(27508, NULL, 'TIGR03150', NULL, NULL, 'fabF: beta-ketoacyl-acyl-carrier-protein synthase II', NULL, 'TIGR03150', NULL, NULL, NULL, 9),
(27509, NULL, 'TIGR02016', NULL, NULL, 'BchX: chlorophyllide reductase iron protein subunit X', NULL, 'TIGR02016', NULL, NULL, NULL, 9),
(27510, NULL, 'TIGR00813', NULL, NULL, 'sss: transporter, solute:sodium symporter (SSS) family', NULL, 'TIGR00813', NULL, NULL, NULL, 9),
(27511, NULL, 'TIGR01831', NULL, NULL, 'fabG_rel: putative 3-oxoacyl-(acyl-carrier-protein) reductase', NULL, 'TIGR01831', NULL, NULL, NULL, 9),
(27512, NULL, 'TIGR02979', NULL, NULL, 'phageshock_pspD: phage shock protein PspD', NULL, 'TIGR02979', NULL, NULL, NULL, 9),
(27513, NULL, 'TIGR01968', NULL, NULL, 'minD_bact: septum site-determining protein MinD', NULL, 'TIGR01968', NULL, NULL, NULL, 9),
(27514, NULL, 'TIGR02986', NULL, NULL, 'restrict_Alw26I: type II restriction endonuclease, Alw26I/Eco31I/Esp3I family', NULL, 'TIGR02986', NULL, NULL, NULL, 9),
(27515, NULL, 'TIGR03178', NULL, NULL, 'allantoinase: allantoinase', NULL, 'TIGR03178', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27516, NULL, 'TIGR02023', NULL, NULL, 'BchP-ChlP: geranylgeranyl reductase', NULL, 'TIGR02023', NULL, NULL, NULL, 9),
(27517, NULL, 'TIGR04529', NULL, NULL, 'MTB_hemophore: hemophore-related protein, Rv0203/Rv1174c family', NULL, 'TIGR04529', NULL, NULL, NULL, 9),
(27518, NULL, 'TIGR01005', NULL, NULL, 'eps_transp_fam: exopolysaccharide transport protein family', NULL, 'TIGR01005', NULL, NULL, NULL, 9),
(27519, NULL, 'TIGR02835', NULL, NULL, 'spore_sigmaE: RNA polymerase sigma-E factor', NULL, 'TIGR02835', NULL, NULL, NULL, 9),
(27520, NULL, 'TIGR04482', NULL, NULL, 'D_pro_red_PrdD: proline reductase cluster protein PrdD', NULL, 'TIGR04482', NULL, NULL, NULL, 9),
(27521, NULL, 'TIGR03669', NULL, NULL, 'urea_ABC_arch: urea ABC transporter, substrate-binding protein', NULL, 'TIGR03669', NULL, NULL, NULL, 9),
(27522, NULL, 'TIGR01326', NULL, NULL, 'OAH_OAS_sulfhy: O-acetylhomoserine aminocarboxypropyltransferase/cysteine synthase', NULL, 'TIGR01326', NULL, NULL, NULL, 9),
(27523, NULL, 'TIGR01503', NULL, NULL, 'MthylAspMut_E: methylaspartate mutase, E subunit', NULL, 'TIGR01503', NULL, NULL, NULL, 9),
(27524, NULL, 'TIGR00794', NULL, NULL, 'kup: potassium uptake protein', NULL, 'TIGR00794', NULL, NULL, NULL, 9),
(27525, NULL, 'TIGR01012', NULL, NULL, 'uS2_euk_arch: ribosomal protein uS2', NULL, 'TIGR01012', NULL, NULL, NULL, 9),
(27526, NULL, 'TIGR00473', NULL, NULL, 'pssA: CDP-diacylglycerol-serine O-phosphatidyltransferase', NULL, 'TIGR00473', NULL, NULL, NULL, 9),
(27527, NULL, 'TIGR02658', NULL, NULL, 'TTQ_MADH_Hv: methylamine dehydrogenase (amicyanin) heavy chain', NULL, 'TIGR02658', NULL, NULL, NULL, 9),
(27528, NULL, 'TIGR02337', NULL, NULL, 'HpaR: homoprotocatechuate degradation operon regulator, HpaR', NULL, 'TIGR02337', NULL, NULL, NULL, 9),
(27529, NULL, 'TIGR01824', NULL, NULL, 'PabB-clade2: aminodeoxychorismate synthase, component I', NULL, 'TIGR01824', NULL, NULL, NULL, 9),
(27530, NULL, 'TIGR01638', NULL, NULL, 'Atha_cystat_rel: Arabidopsis thaliana cystatin-related protein', NULL, 'TIGR01638', NULL, NULL, NULL, 9),
(27531, NULL, 'TIGR02276', NULL, NULL, 'beta_rpt_yvtn: 40-residue YVTN family beta-propeller repeat', NULL, 'TIGR02276', NULL, NULL, NULL, 9),
(27532, NULL, 'TIGR03711', NULL, NULL, 'acc_sec_asp3: accessory Sec system protein Asp3', NULL, 'TIGR03711', NULL, NULL, NULL, 9),
(27533, NULL, 'TIGR02156', NULL, NULL, 'PA_CoA_Oxy1: phenylacetate-CoA oxygenase, PaaG subunit', NULL, 'TIGR02156', NULL, NULL, NULL, 9),
(27534, NULL, 'TIGR03831', NULL, NULL, 'YgiT_finger: YgiT-type zinc finger domain', NULL, 'TIGR03831', NULL, NULL, NULL, 9),
(27535, NULL, 'TIGR00186', NULL, NULL, 'rRNA_methyl_3: RNA methyltransferase, TrmH family, group 3', NULL, 'TIGR00186', NULL, NULL, NULL, 9),
(27536, NULL, 'TIGR01621', NULL, NULL, 'RluA-like: pseudouridine synthase Rlu family protein, TIGR01621', NULL, 'TIGR01621', NULL, NULL, NULL, 9),
(27537, NULL, 'TIGR02036', NULL, NULL, 'dsdC: D-serine deaminase transcriptional activator', NULL, 'TIGR02036', NULL, NULL, NULL, 9),
(27538, NULL, 'TIGR03728', NULL, NULL, 'glyco_access_1: glycosyltransferase, SP_1767 family', NULL, 'TIGR03728', NULL, NULL, NULL, 9),
(27539, NULL, 'TIGR00066', NULL, NULL, 'g_glut_trans: gamma-glutamyltransferase', NULL, 'TIGR00066', NULL, NULL, NULL, 9),
(27540, NULL, 'TIGR01741', NULL, NULL, 'staph_tand_hypo: conserved hypothetical protein', NULL, 'TIGR01741', NULL, NULL, NULL, 9),
(27541, NULL, 'TIGR01861', NULL, NULL, 'ANFD: nitrogenase iron-iron protein, alpha chain', NULL, 'TIGR01861', NULL, NULL, NULL, 9),
(27542, NULL, 'TIGR03951', NULL, NULL, 'Fe_III_red_FhuF: siderophore-iron reductase FhuF', NULL, 'TIGR03951', NULL, NULL, NULL, 9),
(27543, NULL, 'TIGR04126', NULL, NULL, 'PGF_CTERM: PGF-CTERM archaeal protein-sorting signal', NULL, 'TIGR04126', NULL, NULL, NULL, 9),
(27544, NULL, 'TIGR04439', NULL, NULL, 'histamin_N_OH: putative histamine N-monooxygenase', NULL, 'TIGR04439', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27545, NULL, 'TIGR04559', NULL, NULL, 'SoxH_rel_PQQ_2: quinoprotein relay system zinc metallohydrolase 2', NULL, 'TIGR04559', NULL, NULL, NULL, 9),
(27546, NULL, 'TIGR03895', NULL, NULL, 'protease_PatA: cyanobactin maturation protease, PatA/PatG family', NULL, 'TIGR03895', NULL, NULL, NULL, 9),
(27547, NULL, 'TIGR00379', NULL, NULL, 'cobB: cobyrinic acid a,c-diamide synthase', NULL, 'TIGR00379', NULL, NULL, NULL, 9),
(27548, NULL, 'TIGR02469', NULL, NULL, 'CbiT: precorrin-6Y C5,15-methyltransferase (decarboxylating), CbiT subunit', NULL, 'TIGR02469', NULL, NULL, NULL, 9),
(27549, NULL, 'TIGR04246', NULL, NULL, 'nitrous_NosZ_Gp: nitrous-oxide reductase, Sec-dependent', NULL, 'TIGR04246', NULL, NULL, NULL, 9),
(27550, NULL, 'TIGR02692', NULL, NULL, 'tRNA_CCA_actino: CCA tRNA nucleotidyltransferase', NULL, 'TIGR02692', NULL, NULL, NULL, 9),
(27551, NULL, 'TIGR03582', NULL, NULL, 'EF_0829: PRD domain protein, EF_0829/AHA_3910 family', NULL, 'TIGR03582', NULL, NULL, NULL, 9),
(27552, NULL, 'TIGR01325', NULL, NULL, 'O_suc_HS_sulf: O-succinylhomoserine sulfhydrylase', NULL, 'TIGR01325', NULL, NULL, NULL, 9),
(27553, NULL, 'TIGR03090', NULL, NULL, 'SASP_tlp: small, acid-soluble spore protein tlp', NULL, 'TIGR03090', NULL, NULL, NULL, 9),
(27554, NULL, 'TIGR00259', NULL, NULL, 'thylakoid_BtpA: membrane complex biogenesis protein, BtpA family', NULL, 'TIGR00259', NULL, NULL, NULL, 9),
(27555, NULL, 'TIGR01934', NULL, NULL, 'MenG_MenH_UbiE: ubiquinone/menaquinone biosynthesis methyltransferase', NULL, 'TIGR01934', NULL, NULL, NULL, 9),
(27556, NULL, 'TIGR01492', NULL, NULL, 'CPW_WPC: Plasmodium falciparum CPW-WPC domain', NULL, 'TIGR01492', NULL, NULL, NULL, 9),
(27557, NULL, 'TIGR02885', NULL, NULL, 'spore_sigF: RNA polymerase sigma-F factor', NULL, 'TIGR02885', NULL, NULL, NULL, 9),
(27558, NULL, 'TIGR02349', NULL, NULL, 'DnaJ_bact: chaperone protein DnaJ', NULL, 'TIGR02349', NULL, NULL, NULL, 9),
(27559, NULL, 'TIGR03415', NULL, NULL, 'ABC_choXWV_ATP: choline ABC transporter, ATP-binding protein', NULL, 'TIGR03415', NULL, NULL, NULL, 9),
(27560, NULL, 'TIGR03359', NULL, NULL, 'VI_chp_6: type VI secretion protein, TIGR03359 family', NULL, 'TIGR03359', NULL, NULL, NULL, 9),
(27561, NULL, 'TIGR01269', NULL, NULL, 'Tyr_3_monoox: tyrosine 3-monooxygenase', NULL, 'TIGR01269', NULL, NULL, NULL, 9),
(27562, NULL, 'TIGR00910', NULL, NULL, '2A0307_GadC: glutamate:gamma-aminobutyrate antiporter', NULL, 'TIGR00910', NULL, NULL, NULL, 9),
(27563, NULL, 'TIGR00661', NULL, NULL, 'MJ1255: conserved hypothetical protein', NULL, 'TIGR00661', NULL, NULL, NULL, 9),
(27564, NULL, 'TIGR03608', NULL, NULL, 'L_ocin_972_ABC: putative bacteriocin export ABC transporter, lactococcin 972 group', NULL, 'TIGR03608', NULL, NULL, NULL, 9),
(27565, NULL, 'TIGR02751', NULL, NULL, 'PEPCase_arch: phosphoenolpyruvate carboxylase', NULL, 'TIGR02751', NULL, NULL, NULL, 9),
(27566, NULL, 'TIGR04006', NULL, NULL, 'wcaK: colanic acid biosynthesis pyruvyl transferase WcaK', NULL, 'TIGR04006', NULL, NULL, NULL, 9),
(27567, NULL, 'TIGR01518', NULL, NULL, 'g3p_cytidyltrns: glycerol-3-phosphate cytidylyltransferase', NULL, 'TIGR01518', NULL, NULL, NULL, 9),
(27568, NULL, 'TIGR02701', NULL, NULL, 'shell_carb_anhy: carboxysome shell carbonic anhydrase', NULL, 'TIGR02701', NULL, NULL, NULL, 9),
(27569, NULL, 'TIGR00318', NULL, NULL, 'cyaB: putative adenylyl cyclase CyaB', NULL, 'TIGR00318', NULL, NULL, NULL, 9),
(27570, NULL, 'TIGR00508', NULL, NULL, 'bioA: adenosylmethionine-8-amino-7-oxononanoate transaminase', NULL, 'TIGR00508', NULL, NULL, NULL, 9),
(27571, NULL, 'TIGR01146', NULL, NULL, 'ATPsyn_F1gamma: ATP synthase F1, gamma subunit', NULL, 'TIGR01146', NULL, NULL, NULL, 9),
(27572, NULL, 'TIGR02648', NULL, NULL, 'rep_term_tus: DNA replication terminus site-binding protein', NULL, 'TIGR02648', NULL, NULL, NULL, 9),
(27573, NULL, 'TIGR00438', NULL, NULL, 'rrmJ: ribosomal RNA large subunit methyltransferase J', NULL, 'TIGR00438', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27574, NULL, 'TIGR02941', NULL, NULL, 'Sigma_B: RNA polymerase sigma-B factor', NULL, 'TIGR02941', NULL, NULL, NULL, 9),
(27575, NULL, 'TIGR03166', NULL, NULL, 'alt_F1F0_F1_eps: alternate F1F0 ATPase, F1 subunit epsilon', NULL, 'TIGR03166', NULL, NULL, NULL, 9),
(27576, NULL, 'TIGR03286', NULL, NULL, 'methan_mark_15: putative methanogenesis marker protein 15', NULL, 'TIGR03286', NULL, NULL, NULL, 9),
(27577, NULL, 'TIGR00628', NULL, NULL, 'ung: uracil-DNA glycosylase', NULL, 'TIGR00628', NULL, NULL, NULL, 9),
(27578, NULL, 'TIGR00541', NULL, NULL, 'hisDCase_pyru: histidine decarboxylase, pyruvoyl type', NULL, 'TIGR00541', NULL, NULL, NULL, 9),
(27579, NULL, 'TIGR00731', NULL, NULL, 'bL25_bact_ctc: ribosomal protein bL25, Ctc-form', NULL, 'TIGR00731', NULL, NULL, NULL, 9),
(27580, NULL, 'TIGR02871', NULL, NULL, 'spore_ylbJ: sporulation integral membrane protein YlbJ', NULL, 'TIGR02871', NULL, NULL, NULL, 9),
(27581, NULL, 'TIGR01920', NULL, NULL, 'Shik_kin_archae: shikimate kinase', NULL, 'TIGR01920', NULL, NULL, NULL, 9),
(27582, NULL, 'TIGR01219', NULL, NULL, 'Pmev_kin_ERG8: phosphomevalonate kinase', NULL, 'TIGR01219', NULL, NULL, NULL, 9),
(27583, NULL, 'TIGR01800', NULL, NULL, 'cit_synth_II: 2-methylcitrate synthase/citrate synthase II', NULL, 'TIGR01800', NULL, NULL, NULL, 9),
(27584, NULL, 'TIGR03429', NULL, NULL, 'arom_pren_DMATS: aromatic prenyltransferase, DMATS type', NULL, 'TIGR03429', NULL, NULL, NULL, 9),
(27585, NULL, 'TIGR02097', NULL, NULL, 'yccV: hemimethylated DNA binding domain', NULL, 'TIGR02097', NULL, NULL, NULL, 9),
(27586, NULL, 'TIGR03239', NULL, NULL, 'GarL: 2-dehydro-3-deoxyglucarate aldolase', NULL, 'TIGR03239', NULL, NULL, NULL, 9),
(27587, NULL, 'TIGR03116', NULL, NULL, 'cas5_csf3: CRISPR type IV/AFERR-associated protein Csf3', NULL, 'TIGR03116', NULL, NULL, NULL, 9),
(27588, NULL, 'TIGR02215', NULL, NULL, 'phage_chp_gp8: phage conserved hypothetical protein, phiE125 gp8 family', NULL, 'TIGR02215', NULL, NULL, NULL, 9),
(27589, NULL, 'TIGR03599', NULL, NULL, 'YloV: DAK2 domain fusion protein YloV', NULL, 'TIGR03599', NULL, NULL, NULL, 9),
(27590, NULL, 'TIGR04290', NULL, NULL, 'meth_Rta_06860: methyltransferase, Rta_06860 family', NULL, 'TIGR04290', NULL, NULL, NULL, 9),
(27591, NULL, 'TIGR00974', NULL, NULL, '3a0107s02c: phosphate ABC transporter, permease protein PstA', NULL, 'TIGR00974', NULL, NULL, NULL, 9),
(27592, NULL, 'TIGR00482', NULL, NULL, 'TIGR00482: nicotinate (nicotinamide) nucleotide adenylyltransferase', NULL, 'TIGR00482', NULL, NULL, NULL, 9),
(27593, NULL, 'TIGR01984', NULL, NULL, 'UbiH: 2-polyprenyl-6-methoxyphenol 4-hydroxylase', NULL, 'TIGR01984', NULL, NULL, NULL, 9),
(27594, NULL, 'TIGR01579', NULL, NULL, 'MiaB-like-C: MiaB-like tRNA modifying enzyme', NULL, 'TIGR01579', NULL, NULL, NULL, 9),
(27595, NULL, 'TIGR00005', NULL, NULL, 'rluA_subfam: pseudouridine synthase, RluA family', NULL, 'TIGR00005', NULL, NULL, NULL, 9),
(27596, NULL, 'TIGR02589', NULL, NULL, 'cas_Csd2: CRISPR-associated protein Cas7/Csd2, subtype I-C/DVULG', NULL, 'TIGR02589', NULL, NULL, NULL, 9),
(27597, NULL, 'TIGR02393', NULL, NULL, 'RpoD_Cterm: RNA polymerase sigma factor RpoD', NULL, 'TIGR02393', NULL, NULL, NULL, 9),
(27598, NULL, 'TIGR02399', NULL, NULL, 'salt_tol_Pase: glucosylglycerol 3-phosphatase', NULL, 'TIGR02399', NULL, NULL, NULL, 9),
(27599, NULL, 'TIGR02229', NULL, NULL, 'caa3_sub_IV: caa(3)-type oxidase, subunit IV', NULL, 'TIGR02229', NULL, NULL, NULL, 9),
(27600, NULL, 'TIGR04112', NULL, NULL, 'seleno_YedE: putative selenium metabolism protein, YedE family', NULL, 'TIGR04112', NULL, NULL, NULL, 9),
(27601, NULL, 'TIGR01389', NULL, NULL, 'recQ: ATP-dependent DNA helicase RecQ', NULL, 'TIGR01389', NULL, NULL, NULL, 9),
(27602, NULL, 'TIGR04067', NULL, NULL, 'oc_CLOSPO_01332: putative bacteriocin precursor, CLOSPO_01332 family', NULL, 'TIGR04067', NULL, NULL, NULL, 9),
(27603, NULL, 'TIGR01205', NULL, NULL, 'D_ala_D_alaTIGR: D-alanine--D-alanine ligase', NULL, 'TIGR01205', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27604, NULL, 'TIGR03652', NULL, NULL, 'FeS_repair_RIC: iron-sulfur cluster repair di-iron protein', NULL, 'TIGR03652', NULL, NULL, NULL, 9),
(27605, NULL, 'TIGR03881', NULL, NULL, 'KaiC_arch_4: KaiC domain protein, PAE1156 family', NULL, 'TIGR03881', NULL, NULL, NULL, 9),
(27606, NULL, 'TIGR01448', NULL, NULL, 'recD_rel: helicase, RecD/TraA family', NULL, 'TIGR01448', NULL, NULL, NULL, 9),
(27607, NULL, 'TIGR02086', NULL, NULL, 'IPMI_arch: 3-isopropylmalate dehydratase, large subunit', NULL, 'TIGR02086', NULL, NULL, NULL, 9),
(27608, NULL, 'TIGR03658', NULL, NULL, 'IsdH_HarA: haptoglobin-binding heme uptake protein HarA', NULL, 'TIGR03658', NULL, NULL, NULL, 9),
(27609, NULL, 'TIGR01811', NULL, NULL, 'sdhA_Bsu: succinate dehydrogenase or fumarate reductase, flavoprotein subunit', NULL, 'TIGR01811', NULL, NULL, NULL, 9),
(27610, NULL, 'TIGR00016', NULL, NULL, 'ackA: acetate kinase', NULL, 'TIGR00016', NULL, NULL, NULL, 9),
(27611, NULL, 'TIGR04316', NULL, NULL, 'dhbA_paeA: 2,3-dihydro-2,3-dihydroxybenzoate dehydrogenase', NULL, 'TIGR04316', NULL, NULL, NULL, 9),
(27612, NULL, 'TIGR01688', NULL, NULL, 'dltC: D-alanine--poly(phosphoribitol) ligase, subunit 2', NULL, 'TIGR01688', NULL, NULL, NULL, 9),
(27613, NULL, 'TIGR03538', NULL, NULL, 'DapC_gpp: succinyldiaminopimelate transaminase', NULL, 'TIGR03538', NULL, NULL, NULL, 9),
(27614, NULL, 'TIGR04176', NULL, NULL, 'MarR_EPS: EPS-associated transcriptional regulator, MarR family', NULL, 'TIGR04176', NULL, NULL, NULL, 9),
(27615, NULL, 'TIGR02539', NULL, NULL, 'SepCysS: O-phospho-L-seryl-tRNA:Cys-tRNA synthase', NULL, 'TIGR02539', NULL, NULL, NULL, 9),
(27616, NULL, 'TIGR00840', NULL, NULL, 'b_cpa1: sodium/hydrogen exchanger 3', NULL, 'TIGR00840', NULL, NULL, NULL, 9),
(27617, NULL, 'TIGR03160', NULL, NULL, 'cobT_DBIPRT: nicotinate-nucleotide--dimethylbenzimidazole phosphoribosyltransferase', NULL, 'TIGR03160', NULL, NULL, NULL, 9),
(27618, NULL, 'TIGR01995', NULL, NULL, 'PTS-II-ABC-beta: PTS system, beta-glucoside-specific IIABC component', NULL, 'TIGR01995', NULL, NULL, NULL, 9),
(27619, NULL, 'TIGR01070', NULL, NULL, 'mutS1: DNA mismatch repair protein MutS', NULL, 'TIGR01070', NULL, NULL, NULL, 9),
(27620, NULL, 'TIGR00189', NULL, NULL, 'tesB: acyl-CoA thioesterase II', NULL, 'TIGR00189', NULL, NULL, NULL, 9),
(27621, NULL, 'TIGR03345', NULL, NULL, 'VI_ClpV1: type VI secretion ATPase, ClpV1 family', NULL, 'TIGR03345', NULL, NULL, NULL, 9),
(27622, NULL, 'TIGR01931', NULL, NULL, 'cysJ: sulfite reductase [NADPH] flavoprotein, alpha-component', NULL, 'TIGR01931', NULL, NULL, NULL, 9),
(27623, NULL, 'TIGR04056', NULL, NULL, 'OMP_RagA_SusC: TonB-linked outer membrane protein, SusC/RagA family', NULL, 'TIGR04056', NULL, NULL, NULL, 9),
(27624, NULL, 'TIGR02279', NULL, NULL, 'PaaC-3OHAcCoADH: 3-hydroxyacyl-CoA dehydrogenase PaaC', NULL, 'TIGR02279', NULL, NULL, NULL, 9),
(27625, NULL, 'TIGR01568', NULL, NULL, 'A_thal_3678: uncharacterized plant-specific domain TIGR01568', NULL, 'TIGR01568', NULL, NULL, NULL, 9),
(27626, NULL, 'TIGR03057', NULL, NULL, 'xxxLxxG_by_4: X-X-X-Leu-X-X-Gly heptad repeats', NULL, 'TIGR03057', NULL, NULL, NULL, 9),
(27627, NULL, 'TIGR02994', NULL, NULL, 'ectoine_eutE: ectoine utilization protein EutE', NULL, 'TIGR02994', NULL, NULL, NULL, 9),
(27628, NULL, 'TIGR03892', NULL, NULL, 'thiopep_precurs: thiazolylpeptide-type bacteriocin precursor', NULL, 'TIGR03892', NULL, NULL, NULL, 9),
(27629, NULL, 'TIGR00304', NULL, NULL, 'TIGR00304: TIGR00304 family protein', NULL, 'TIGR00304', NULL, NULL, NULL, 9),
(27630, NULL, 'TIGR03772', NULL, NULL, 'anch_rpt_subst: anchored repeat ABC transporter, substrate-binding protein', NULL, 'TIGR03772', NULL, NULL, NULL, 9),
(27631, NULL, 'TIGR02827', NULL, NULL, 'RNR_anaer_Bdell: anaerobic ribonucleoside-triphosphate reductase', NULL, 'TIGR02827', NULL, NULL, NULL, 9),
(27632, NULL, 'TIGR01190', NULL, NULL, 'ccmB: heme exporter protein CcmB', NULL, 'TIGR01190', NULL, NULL, NULL, 9);       
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27633, NULL, 'TIGR00245', NULL, NULL, 'TIGR00245: TIGR00245 family protein', NULL, 'TIGR00245', NULL, NULL, NULL, 9),
(27634, NULL, 'TIGR01875', NULL, NULL, 'cas_MJ0381: CRISPR-associated autoregulator DevR family', NULL, 'TIGR01875', NULL, NULL, NULL, 9),
(27635, NULL, 'TIGR00720', NULL, NULL, 'sda_mono: L-serine ammonia-lyase', NULL, 'TIGR00720', NULL, NULL, NULL, 9),
(27636, NULL, 'TIGR01459', NULL, NULL, 'HAD-SF-IIA-hyp4: HAD hydrolase, TIGR01459 family', NULL, 'TIGR01459', NULL, NULL, NULL, 9),
(27637, NULL, 'TIGR03965', NULL, NULL, 'mycofact_glyco: mycofactocin system glycosyltransferase', NULL, 'TIGR03965', NULL, NULL, NULL, 9),
(27638, NULL, 'TIGR02810', NULL, NULL, 'agaZ_gatZ: D-tagatose-bisphosphate aldolase, class II, non-catalytic subunit', NULL, 'TIGR02810', NULL, NULL, NULL, 9),
(27639, NULL, 'TIGR02522', NULL, NULL, 'pilus_cpaD: pilus (Caulobacter type) biogenesis lipoprotein CpaD', NULL, 'TIGR02522', NULL, NULL, NULL, 9),
(27640, NULL, 'TIGR00432', NULL, NULL, 'arcsn_tRNA_tgt: tRNA-guanine(15) transglycosylase', NULL, 'TIGR00432', NULL, NULL, NULL, 9),
(27641, NULL, 'TIGR00488', NULL, NULL, 'TIGR00488: putative HD superfamily hydrolase', NULL, 'TIGR00488', NULL, NULL, NULL, 9),
(27642, NULL, 'TIGR03418', NULL, NULL, 'chol_sulf_TF: putative choline sulfate-utilization transcription factor', NULL, 'TIGR03418', NULL, NULL, NULL, 9),
(27643, NULL, 'TIGR03786', NULL, NULL, 'strep_pil_rpt: streptococcal pilin isopeptide linkage domain', NULL, 'TIGR03786', NULL, NULL, NULL, 9),
(27644, NULL, 'TIGR01216', NULL, NULL, 'ATP_synt_epsi: ATP synthase F1, epsilon subunit', NULL, 'TIGR01216', NULL, NULL, NULL, 9),
(27645, NULL, 'TIGR02338', NULL, NULL, 'gimC_beta: prefoldin, beta subunit', NULL, 'TIGR02338', NULL, NULL, NULL, 9),
(27646, NULL, 'TIGR03236', NULL, NULL, 'dnd_assoc_1: DNA phosphorothioation-dependent restriction protein DptG', NULL, 'TIGR03236', NULL, NULL, NULL, 9),
(27647, NULL, 'TIGR02718', NULL, NULL, 'sider_RhtX_FptX: siderophore transporter, RhtX/FptX family', NULL, 'TIGR02718', NULL, NULL, NULL, 9),
(27648, NULL, 'TIGR00368', NULL, NULL, 'TIGR00368: Mg chelatase-like protein', NULL, 'TIGR00368', NULL, NULL, NULL, 9),
(27649, NULL, 'TIGR00781', NULL, NULL, 'ccoO: cytochrome c oxidase, cbb3-type, subunit II', NULL, 'TIGR00781', NULL, NULL, NULL, 9),
(27650, NULL, 'TIGR02631', NULL, NULL, 'xylA_Arthro: xylose isomerase', NULL, 'TIGR02631', NULL, NULL, NULL, 9),
(27651, NULL, 'TIGR00295', NULL, NULL, 'TIGR00295: TIGR00295 family protein', NULL, 'TIGR00295', NULL, NULL, NULL, 9),
(27652, NULL, 'TIGR03602', NULL, NULL, 'streptolysinS: bacteriocin protoxin, streptolysin S family', NULL, 'TIGR03602', NULL, NULL, NULL, 9),
(27653, NULL, 'TIGR00795', NULL, NULL, 'lctP: transporter, lactate permease (LctP) family', NULL, 'TIGR00795', NULL, NULL, NULL, 9),
(27654, NULL, 'TIGR01627', NULL, NULL, 'A_thal_3515: uncharacterized plant-specific domain TIGR01627', NULL, 'TIGR01627', NULL, NULL, NULL, 9),
(27655, NULL, 'TIGR03309', NULL, NULL, 'matur_yqeB: selenium-dependent molybdenum hydroxylase system protein, YqeB family', NULL, 'TIGR03309', NULL, NULL, NULL, 9),
(27656, NULL, 'TIGR01339', NULL, NULL, 'phycocy_beta: phycocyanin, beta subunit', NULL, 'TIGR01339', NULL, NULL, NULL, 9),
(27657, NULL, 'TIGR00611', NULL, NULL, 'recf: DNA replication and repair protein RecF', NULL, 'TIGR00611', NULL, NULL, NULL, 9),
(27658, NULL, 'TIGR00125', NULL, NULL, 'cyt_tran_rel: cytidyltransferase-like domain', NULL, 'TIGR00125', NULL, NULL, NULL, 9),
(27659, NULL, 'TIGR02390', NULL, NULL, 'RNA_pol_rpoA1: DNA-directed RNA polymerase subunit A''', NULL, 'TIGR02390', NULL, NULL, NULL, 9),
(27660, NULL, 'TIGR04115', NULL, NULL, 'rSAM_Cxxx_rpt: radical SAM peptide maturase, CXXX-repeat target family', NULL, 'TIGR04115', NULL, NULL, NULL, 9),
(27661, NULL, 'TIGR00552', NULL, NULL, 'nadE: NAD+ synthetase', NULL, 'TIGR00552', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27662, NULL, 'TIGR02572', NULL, NULL, 'LcrR: type III secretion system regulator LcrR', NULL, 'TIGR02572', NULL, NULL, NULL, 9),
(27663, NULL, 'TIGR04483', NULL, NULL, 'D_pro_red_PrdB: D-proline reductase (dithiol), PrdB protein', NULL, 'TIGR04483', NULL, NULL, NULL, 9),
(27664, NULL, 'TIGR02022', NULL, NULL, 'hutF: formiminoglutamate deiminase', NULL, 'TIGR02022', NULL, NULL, NULL, 9),
(27665, NULL, 'TIGR04299', NULL, NULL, 'antiport_PotE: putrescine-ornithine antiporter', NULL, 'TIGR04299', NULL, NULL, NULL, 9),
(27666, NULL, 'TIGR03177', NULL, NULL, 'pilus_cpaB: Flp pilus assembly protein CpaB', NULL, 'TIGR03177', NULL, NULL, NULL, 9),
(27667, NULL, 'TIGR03479', NULL, NULL, 'DMSO_red_II_alp: DMSO reductase family type II enzyme, molybdopterin subunit', NULL, 'TIGR03479', NULL, NULL, NULL, 9),
(27668, NULL, 'TIGR00139', NULL, NULL, 'h_aconitase: homoaconitase', NULL, 'TIGR00139', NULL, NULL, NULL, 9),
(27669, NULL, 'TIGR03524', NULL, NULL, 'GldJ: gliding motility-associated lipoprotein GldJ', NULL, 'TIGR03524', NULL, NULL, NULL, 9),
(27670, NULL, 'TIGR04509', NULL, NULL, 'mod_pep_NH_fam: putative modified peptide', NULL, 'TIGR04509', NULL, NULL, NULL, 9),
(27671, NULL, 'TIGR01752', NULL, NULL, 'flav_long: flavodoxin', NULL, 'TIGR01752', NULL, NULL, NULL, 9),
(27672, NULL, 'TIGR01981', NULL, NULL, 'sufD: FeS assembly protein SufD', NULL, 'TIGR01981', NULL, NULL, NULL, 9),
(27673, NULL, 'TIGR02265', NULL, NULL, 'Mxa_TIGR02265: Myxococcales-restricted protein, TIGR02265 family', NULL, 'TIGR02265', NULL, NULL, NULL, 9),
(27674, NULL, 'TIGR04240', NULL, NULL, 'flavi_E_stem: flavivirus envelope glycoprotein E, stem/anchor domain', NULL, 'TIGR04240', NULL, NULL, NULL, 9),
(27675, NULL, 'TIGR02896', NULL, NULL, 'spore_III_AF: stage III sporulation protein AF', NULL, 'TIGR02896', NULL, NULL, NULL, 9),
(27676, NULL, 'TIGR02776', NULL, NULL, 'NHEJ_ligase_prk: DNA ligase D', NULL, 'TIGR02776', NULL, NULL, NULL, 9),
(27677, NULL, 'TIGR03691', NULL, NULL, '20S_bact_alpha: proteasome, alpha subunit', NULL, 'TIGR03691', NULL, NULL, NULL, 9),
(27678, NULL, 'TIGR03127', NULL, NULL, 'RuMP_HxlB: 6-phospho 3-hexuloisomerase', NULL, 'TIGR03127', NULL, NULL, NULL, 9),
(27679, NULL, 'TIGR03404', NULL, NULL, 'bicupin_oxalic: bicupin, oxalate decarboxylase family', NULL, 'TIGR03404', NULL, NULL, NULL, 9),
(27680, NULL, 'TIGR01065', NULL, NULL, 'hlyIII: channel protein, hemolysin III family', NULL, 'TIGR01065', NULL, NULL, NULL, 9),
(27681, NULL, 'TIGR03350', NULL, NULL, 'type_VI_ompA: type VI secretion system peptidoglycan-associated domain', NULL, 'TIGR03350', NULL, NULL, NULL, 9),
(27682, NULL, 'TIGR01825', NULL, NULL, 'gly_Cac_T_rel: putative pyridoxal phosphate-dependent acyltransferase', NULL, 'TIGR01825', NULL, NULL, NULL, 9),
(27683, NULL, 'TIGR01185', NULL, NULL, 'devC: ABC exporter transmembrane subunit, DevC protein', NULL, 'TIGR01185', NULL, NULL, NULL, 9),
(27684, NULL, 'TIGR03230', NULL, NULL, 'lipo_lipase: lipoprotein lipase', NULL, 'TIGR03230', NULL, NULL, NULL, 9),
(27685, NULL, 'TIGR01260', NULL, NULL, 'ATP_synt_c: ATP synthase F0, C subunit', NULL, 'TIGR01260', NULL, NULL, NULL, 9),
(27686, NULL, 'TIGR03155', NULL, NULL, 'sulfolob_CbsB: cytochrome b558/566, subunit B', NULL, 'TIGR03155', NULL, NULL, NULL, 9),
(27687, NULL, 'TIGR01314', NULL, NULL, 'gntK_FGGY: gluconate kinase', NULL, 'TIGR01314', NULL, NULL, NULL, 9),
(27688, NULL, 'TIGR04078', NULL, NULL, 'rSAM_yydG: peptide modification radical SAM enzyme, YydG family', NULL, 'TIGR04078', NULL, NULL, NULL, 9),
(27689, NULL, 'TIGR01380', NULL, NULL, 'glut_syn: glutathione synthase', NULL, 'TIGR01380', NULL, NULL, NULL, 9),
(27690, NULL, 'TIGR03035', NULL, NULL, 'trp_arylform: arylformamidase', NULL, 'TIGR03035', NULL, NULL, NULL, 9),
(27691, NULL, 'TIGR04061', NULL, NULL, 'AZL_007950_fam: AZL_007950 family protein', NULL, 'TIGR04061', NULL, NULL, NULL, 9),
(27692, NULL, 'TIGR01632', NULL, NULL, 'L11_bact: ribosomal protein uL11', NULL, 'TIGR01632', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27693, NULL, 'TIGR03915', NULL, NULL, 'SAM_7_link_chp: probable DNA metabolism protein', NULL, 'TIGR03915', NULL, NULL, NULL, 9),
(27694, NULL, 'TIGR04360', NULL, NULL, 'other_trbK: conjugative transfer region protein TrbK', NULL, 'TIGR04360', NULL, NULL, NULL, 9),
(27695, NULL, 'TIGR03663', NULL, NULL, 'TIGR03663: TIGR03663 family protein', NULL, 'TIGR03663', NULL, NULL, NULL, 9),
(27696, NULL, 'TIGR02145', NULL, NULL, 'Fib_succ_major: fibrobacter succinogenes major paralogous domain', NULL, 'TIGR02145', NULL, NULL, NULL, 9),
(27697, NULL, 'TIGR03820', NULL, NULL, 'lys_2_3_AblA: lysine-2,3-aminomutase', NULL, 'TIGR03820', NULL, NULL, NULL, 9),
(27698, NULL, 'TIGR03110', NULL, NULL, 'exosort_Gpos: exosortase family protein XrtG', NULL, 'TIGR03110', NULL, NULL, NULL, 9),
(27699, NULL, 'TIGR00373', NULL, NULL, 'TIGR00373: transcription factor E', NULL, 'TIGR00373', NULL, NULL, NULL, 9),
(27700, NULL, 'TIGR00815', NULL, NULL, 'sulP: sulfate permease', NULL, 'TIGR00815', NULL, NULL, NULL, 9),
(27701, NULL, 'TIGR02980', NULL, NULL, 'SigBFG: RNA polymerase sigma-70 factor, sigma-B/F/G subfamily', NULL, 'TIGR02980', NULL, NULL, NULL, 9),
(27702, NULL, 'TIGR01747', NULL, NULL, 'diampropi_NH3ly: diaminopropionate ammonia-lyase family', NULL, 'TIGR01747', NULL, NULL, NULL, 9),
(27703, NULL, 'TIGR02905', NULL, NULL, 'spore_yutH: spore coat protein YutH', NULL, 'TIGR02905', NULL, NULL, NULL, 9),
(27704, NULL, 'TIGR03470', NULL, NULL, 'HpnH: hopanoid biosynthesis associated radical SAM protein HpnH', NULL, 'TIGR03470', NULL, NULL, NULL, 9),
(27705, NULL, 'TIGR03837', NULL, NULL, 'efp_adjacent_2: conserved hypothetical protein, PP_1857 family', NULL, 'TIGR03837', NULL, NULL, NULL, 9),
(27706, NULL, 'TIGR01020', NULL, NULL, 'uS5_euk_arch: ribosomal protein uS5', NULL, 'TIGR01020', NULL, NULL, NULL, 9),
(27707, NULL, 'TIGR03395', NULL, NULL, 'sphingomy: sphingomyelin phosphodiesterase', NULL, 'TIGR03395', NULL, NULL, NULL, 9),
(27708, NULL, 'TIGR00298', NULL, NULL, 'TIGR00298: 2-phosphosulfolactate phosphatase', NULL, 'TIGR00298', NULL, NULL, NULL, 9),
(27709, NULL, 'TIGR04494', NULL, NULL, 'c550_PedF: cytochrome c-550 PedF', NULL, 'TIGR04494', NULL, NULL, NULL, 9),
(27710, NULL, 'TIGR02011', NULL, NULL, 'IscA: iron-sulfur cluster assembly protein IscA', NULL, 'TIGR02011', NULL, NULL, NULL, 9),
(27711, NULL, 'TIGR02131', NULL, NULL, 'phaP_Bmeg: polyhydroxyalkanoic acid inclusion protein PhaP', NULL, 'TIGR02131', NULL, NULL, NULL, 9),
(27712, NULL, 'TIGR02458', NULL, NULL, 'CbtA: cobalt transporter subunit CbtA (proposed)', NULL, 'TIGR02458', NULL, NULL, NULL, 9),
(27713, NULL, 'TIGR04428', NULL, NULL, 'B12_rSAM_trp_MT: tryptophan 2-C-methyltransferase', NULL, 'TIGR04428', NULL, NULL, NULL, 9),
(27714, NULL, 'TIGR00921', NULL, NULL, '2A067: efflux transporter, putative, hydrophobe/amphiphile efflux-3 (HAE3) family', NULL, 'TIGR00921', NULL, NULL, NULL, 9),
(27715, NULL, 'TIGR04374', NULL, NULL, 'small_w_EgtBD: hercynine metabolism small protein', NULL, 'TIGR04374', NULL, NULL, NULL, 9),
(27716, NULL, 'TIGR02681', NULL, NULL, 'phage_pRha: phage regulatory protein, Rha family', NULL, 'TIGR02681', NULL, NULL, NULL, 9),
(27717, NULL, 'TIGR01970', NULL, NULL, 'DEAH_box_HrpB: ATP-dependent helicase HrpB', NULL, 'TIGR01970', NULL, NULL, NULL, 9),
(27718, NULL, 'TIGR03619', NULL, NULL, 'F420_Rv2161c: probable F420-dependent oxidoreductase, Rv2161c family', NULL, 'TIGR03619', NULL, NULL, NULL, 9),
(27719, NULL, 'TIGR01409', NULL, NULL, 'TAT_signal_seq: Tat (twin-arginine translocation) pathway signal sequence', NULL, 'TIGR01409', NULL, NULL, NULL, 9),
(27720, NULL, 'TIGR01730', NULL, NULL, 'RND_mfp: efflux transporter, RND family, MFP subunit', NULL, 'TIGR01730', NULL, NULL, NULL, 9),
(27721, NULL, 'TIGR01383', NULL, NULL, 'not_thiJ: DJ-1 family protein', NULL, 'TIGR01383', NULL, NULL, NULL, 9),
(27722, NULL, 'TIGR00010', NULL, NULL, 'TIGR00010: hydrolase, TatD family', NULL, 'TIGR00010', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27723, NULL, 'TIGR02117', NULL, NULL, 'chp_urease_rgn: conserved hypothetical protein', NULL, 'TIGR02117', NULL, NULL, NULL, 9),
(27724, NULL, 'TIGR02025', NULL, NULL, 'BchH: magnesium chelatase, H subunit', NULL, 'TIGR02025', NULL, NULL, NULL, 9),
(27725, NULL, 'TIGR03527', NULL, NULL, 'selenium_YedF: selenium metabolism protein YedF', NULL, 'TIGR03527', NULL, NULL, NULL, 9),
(27726, NULL, 'TIGR01702', NULL, NULL, 'CO_DH_cata: carbon-monoxide dehydrogenase, catalytic subunit', NULL, 'TIGR01702', NULL, NULL, NULL, 9),
(27727, NULL, 'TIGR02444', NULL, NULL, 'TIGR02444: TIGR02444 family protein', NULL, 'TIGR02444', NULL, NULL, NULL, 9),
(27728, NULL, 'TIGR04480', NULL, NULL, 'D_pro_red_PrdA: D-proline reductase (dithiol), PrdA proprotein', NULL, 'TIGR04480', NULL, NULL, NULL, 9),
(27729, NULL, 'TIGR01512', NULL, NULL, 'ATPase-IB2_Cd: cadmium-translocating P-type ATPase', NULL, 'TIGR01512', NULL, NULL, NULL, 9),
(27730, NULL, 'TIGR00672', NULL, NULL, 'cdh: CDP-diacylglycerol diphosphatase', NULL, 'TIGR00672', NULL, NULL, NULL, 9),
(27731, NULL, 'TIGR01434', NULL, NULL, 'glu_cys_ligase: glutamate--cysteine ligase', NULL, 'TIGR01434', NULL, NULL, NULL, 9),
(27732, NULL, 'TIGR03717', NULL, NULL, 'R_switched_YjbE: integral membrane protein, YjbE family', NULL, 'TIGR03717', NULL, NULL, NULL, 9),
(27733, NULL, 'TIGR01140', NULL, NULL, 'L_thr_O3P_dcar: threonine-phosphate decarboxylase', NULL, 'TIGR01140', NULL, NULL, NULL, 9),
(27734, NULL, 'TIGR01087', NULL, NULL, 'murD: UDP-N-acetylmuramoylalanine--D-glutamate ligase', NULL, 'TIGR01087', NULL, NULL, NULL, 9),
(27735, NULL, 'TIGR00443', NULL, NULL, 'hisZ_biosyn_reg: ATP phosphoribosyltransferase, regulatory subunit', NULL, 'TIGR00443', NULL, NULL, NULL, 9),
(27736, NULL, 'TIGR04414', NULL, NULL, 'hepto_Aah_TibC: autotransporter strand-loop-strand O-heptosyltransferase', NULL, 'TIGR04414', NULL, NULL, NULL, 9),
(27737, NULL, 'TIGR00175', NULL, NULL, 'mito_nad_idh: isocitrate dehydrogenase, NAD-dependent', NULL, 'TIGR00175', NULL, NULL, NULL, 9),
(27738, NULL, 'TIGR00935', NULL, NULL, '2a45: arsenite/antimonite efflux pump membrane protein', NULL, 'TIGR00935', NULL, NULL, NULL, 9),
(27739, NULL, 'TIGR01677', NULL, NULL, 'pln_FAD_oxido: plant-specific FAD-dependent oxidoreductase', NULL, 'TIGR01677', NULL, NULL, NULL, 9),
(27740, NULL, 'TIGR03940', NULL, NULL, 'PGA_PgaD: poly-beta-1,6-N-acetyl-D-glucosamine biosynthesis protein PgaD', NULL, 'TIGR03940', NULL, NULL, NULL, 9),
(27741, NULL, 'TIGR02091', NULL, NULL, 'glgC: glucose-1-phosphate adenylyltransferase', NULL, 'TIGR02091', NULL, NULL, NULL, 9),
(27742, NULL, 'TIGR01945', NULL, NULL, 'rnfC: electron transport complex, RnfABCDGE type, C subunit', NULL, 'TIGR01945', NULL, NULL, NULL, 9),
(27743, NULL, 'TIGR02707', NULL, NULL, 'butyr_kinase: butyrate kinase', NULL, 'TIGR02707', NULL, NULL, NULL, 9),
(27744, NULL, 'TIGR02936', NULL, NULL, 'fdxN_nitrog: ferredoxin III, nif-specific', NULL, 'TIGR02936', NULL, NULL, NULL, 9),
(27745, NULL, 'TIGR00686', NULL, NULL, 'phnA: putative alkylphosphonate utilization operon protein PhnA', NULL, 'TIGR00686', NULL, NULL, NULL, 9),
(27746, NULL, 'TIGR03593', NULL, NULL, 'yidC_nterm: membrane protein insertase, YidC/Oxa1 family, N-terminal domain', NULL, 'TIGR03593', NULL, NULL, NULL, 9),
(27747, NULL, 'TIGR03783', NULL, NULL, 'Bac_Flav_CT_G: Bacteroides conjugation system ATPase, TraG family', NULL, 'TIGR03783', NULL, NULL, NULL, 9),
(27748, NULL, 'TIGR04296', NULL, NULL, 'PEFG-CTERM: PEFG-CTERM domain', NULL, 'TIGR04296', NULL, NULL, NULL, 9),
(27749, NULL, 'TIGR00136', NULL, NULL, 'gidA: tRNA uridine 5-carboxymethylaminomethyl modification enzyme GidA', NULL, 'TIGR00136', NULL, NULL, NULL, 9),
(27750, NULL, 'TIGR03398', NULL, NULL, 'plc_access_R: phospholipase C accessory protein PlcR', NULL, 'TIGR03398', NULL, NULL, NULL, 9),
(27751, NULL, 'TIGR03901', NULL, NULL, 'MYXO-CTERM: MYXO-CTERM domain', NULL, 'TIGR03901', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27752, NULL, 'TIGR01328', NULL, NULL, 'met_gam_lyase: methionine gamma-lyase', NULL, 'TIGR01328', NULL, NULL, NULL, 9),
(27753, NULL, 'TIGR01394', NULL, NULL, 'TypA_BipA: GTP-binding protein TypA/BipA', NULL, 'TIGR01394', NULL, NULL, NULL, 9),
(27754, NULL, 'TIGR02226', NULL, NULL, 'two_anch: N-terminal double-transmembrane domain', NULL, 'TIGR02226', NULL, NULL, NULL, 9),
(27755, NULL, 'TIGR00683', NULL, NULL, 'nanA: N-acetylneuraminate lyase', NULL, 'TIGR00683', NULL, NULL, NULL, 9),
(27756, NULL, 'TIGR02816', NULL, NULL, 'pfaB_fam: PfaB family protein', NULL, 'TIGR02816', NULL, NULL, NULL, 9),
(27757, NULL, 'TIGR02413', NULL, NULL, 'Bac_small_yrzI: Bacillus tandem small hypothetical protein', NULL, 'TIGR02413', NULL, NULL, NULL, 9),
(27758, NULL, 'TIGR02642', NULL, NULL, 'phage_xxxx: uncharacterized phage protein', NULL, 'TIGR02642', NULL, NULL, NULL, 9),
(27759, NULL, 'TIGR00726', NULL, NULL, 'TIGR00726: YfiH family protein', NULL, 'TIGR00726', NULL, NULL, NULL, 9),
(27760, NULL, 'TIGR03797', NULL, NULL, 'NHLM_micro_ABC2: NHLM bacteriocin system ABC transporter, ATP-binding protein', NULL, 'TIGR03797', NULL, NULL, NULL, 9),
(27761, NULL, 'TIGR04092', NULL, NULL, 'LTA_DltD: D-alanyl-lipoteichoic acid biosynthesis protein DltD', NULL, 'TIGR04092', NULL, NULL, NULL, 9),
(27762, NULL, 'TIGR00792', NULL, NULL, 'gph: sugar (Glycoside-Pentoside-Hexuronide) transporter', NULL, 'TIGR00792', NULL, NULL, NULL, 9),
(27763, NULL, 'TIGR00284', NULL, NULL, 'TIGR00284: dihydropteroate synthase-related protein', NULL, 'TIGR00284', NULL, NULL, NULL, 9),
(27764, NULL, 'TIGR04425', NULL, NULL, 'P_lya_rel_AroB: putative sugar phosphate phospholyase (cyclizing)', NULL, 'TIGR04425', NULL, NULL, NULL, 9),
(27765, NULL, 'TIGR04503', NULL, NULL, 'mft_etfB: electron transfer flavoprotein, mycofactocin-associated', NULL, 'TIGR04503', NULL, NULL, NULL, 9),
(27766, NULL, 'TIGR01822', NULL, NULL, '2am3keto_CoA: glycine C-acetyltransferase', NULL, 'TIGR01822', NULL, NULL, NULL, 9),
(27767, NULL, 'TIGR02080', NULL, NULL, 'O_succ_thio_ly: O-succinylhomoserine (thiol)-lyase', NULL, 'TIGR02080', NULL, NULL, NULL, 9),
(27768, NULL, 'TIGR03473', NULL, NULL, 'HpnK: hopanoid biosynthesis associated protein HpnK', NULL, 'TIGR03473', NULL, NULL, NULL, 9),
(27769, NULL, 'TIGR02335', NULL, NULL, 'hydr_PhnA: phosphonoacetate hydrolase', NULL, 'TIGR02335', NULL, NULL, NULL, 9),
(27770, NULL, 'TIGR04251', NULL, NULL, 'SCM_rSAM_ScmF: SynChlorMet cassette radical SAM/SPASM protein ScmF', NULL, 'TIGR04251', NULL, NULL, NULL, 9),
(27771, NULL, 'TIGR00164', NULL, NULL, 'PS_decarb_rel: phosphatidylserine decarboxylase homolog', NULL, 'TIGR00164', NULL, NULL, NULL, 9),
(27772, NULL, 'TIGR04170', NULL, NULL, 'RNR_1b_NrdE: ribonucleoside-diphosphate reductase, class 1b, alpha subunit', NULL, 'TIGR04170', NULL, NULL, NULL, 9),
(27773, NULL, 'TIGR00737', NULL, NULL, 'nifR3_yhdG: putative TIM-barrel protein, nifR3 family', NULL, 'TIGR00737', NULL, NULL, NULL, 9),
(27774, NULL, 'TIGR00563', NULL, NULL, 'rsmB: 16S rRNA (cytosine(967)-C(5))-methyltransferase', NULL, 'TIGR00563', NULL, NULL, NULL, 9),
(27775, NULL, 'TIGR01557', NULL, NULL, 'myb_SHAQKYF: myb-like DNA-binding domain, SHAQKYF class', NULL, 'TIGR01557', NULL, NULL, NULL, 9),
(27776, NULL, 'TIGR02790', NULL, NULL, 'nickel_nikC: nickel ABC transporter, permease subunit NikC', NULL, 'TIGR02790', NULL, NULL, NULL, 9),
(27777, NULL, 'TIGR02653', NULL, NULL, 'Lon_rel_chp: conserved hypothetical protein', NULL, 'TIGR02653', NULL, NULL, NULL, 9),
(27778, NULL, 'TIGR03912', NULL, NULL, 'PylS_Nterm: pyrrolysine--tRNA ligase, N-terminal region', NULL, 'TIGR03912', NULL, NULL, NULL, 9),
(27779, NULL, 'TIGR02106', NULL, NULL, 'cyd_oper_ybgT: cyd operon protein YbgT', NULL, 'TIGR02106', NULL, NULL, NULL, 9),
(27780, NULL, 'TIGR02882', NULL, NULL, 'QoxB: cytochrome aa3 quinol oxidase, subunit I', NULL, 'TIGR02882', NULL, NULL, NULL, 9),
(27781, NULL, 'TIGR01076', NULL, NULL, 'sortase_fam: sortase', NULL, 'TIGR01076', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27782, NULL, 'TIGR01836', NULL, NULL, 'PHA_synth_III_C: poly(R)-hydroxyalkanoic acid synthase, class III, PhaC subunit', NULL, 'TIGR01836', NULL, NULL, NULL, 9),
(27783, NULL, 'TIGR01196', NULL, NULL, 'edd: phosphogluconate dehydratase', NULL, 'TIGR01196', NULL, NULL, NULL, 9),
(27784, NULL, 'TIGR01956', NULL, NULL, 'NusG_myco: NusG family protein', NULL, 'TIGR01956', NULL, NULL, NULL, 9),
(27785, NULL, 'TIGR01423', NULL, NULL, 'trypano_reduc: trypanothione-disulfide reductase', NULL, 'TIGR01423', NULL, NULL, NULL, 9),
(27786, NULL, 'TIGR02698', NULL, NULL, 'CopY_TcrY: copper transport repressor, CopY/TcrY family', NULL, 'TIGR02698', NULL, NULL, NULL, 9),
(27787, NULL, 'TIGR01543', NULL, NULL, 'proheadase_HK97: phage prohead protease, HK97 family', NULL, 'TIGR01543', NULL, NULL, NULL, 9),
(27788, NULL, 'TIGR02578', NULL, NULL, 'cas_TM1811_Csm1: CRISPR-associated protein Cas10/Csm1, subtype III-A/MTUBE', NULL, 'TIGR02578', NULL, NULL, NULL, 9),
(27789, NULL, 'TIGR03046', NULL, NULL, 'PS_II_psbV2: photosystem II cytochrome PsbV2', NULL, 'TIGR03046', NULL, NULL, NULL, 9),
(27790, NULL, 'TIGR00041', NULL, NULL, 'DTMP_kinase: dTMP kinase', NULL, 'TIGR00041', NULL, NULL, NULL, 9),
(27791, NULL, 'TIGR04187', NULL, NULL, 'GRASP_SAV_5884: ATP-grasp ribosomal peptide maturase, SAV_5884 family', NULL, 'TIGR04187', NULL, NULL, NULL, 9),
(27792, NULL, 'TIGR00027', NULL, NULL, 'mthyl_TIGR00027: methyltransferase, TIGR00027 family', NULL, 'TIGR00027', NULL, NULL, NULL, 9),
(27793, NULL, 'TIGR01529', NULL, NULL, 'argR_whole: arginine repressor', NULL, 'TIGR01529', NULL, NULL, NULL, 9),
(27794, NULL, 'TIGR00055', NULL, NULL, 'uppS: di-trans,poly-cis-decaprenylcistransferase', NULL, 'TIGR00055', NULL, NULL, NULL, 9),
(27795, NULL, 'TIGR02939', NULL, NULL, 'RpoE_Sigma70: RNA polymerase sigma factor RpoE', NULL, 'TIGR02939', NULL, NULL, NULL, 9),
(27796, NULL, 'TIGR03032', NULL, NULL, 'TIGR03032: TIGR03032 family protein', NULL, 'TIGR03032', NULL, NULL, NULL, 9),
(27797, NULL, 'TIGR02991', NULL, NULL, 'ectoine_eutB: ectoine utilization protein EutB', NULL, 'TIGR02991', NULL, NULL, NULL, 9),
(27798, NULL, 'TIGR00577', NULL, NULL, 'fpg: DNA-formamidopyrimidine glycosylase', NULL, 'TIGR00577', NULL, NULL, NULL, 9),
(27799, NULL, 'TIGR00924', NULL, NULL, 'yjdL_sub1_fam: amino acid/peptide transporter (Peptide:H+ symporter)', NULL, 'TIGR00924', NULL, NULL, NULL, 9),
(27800, NULL, 'TIGR00801', NULL, NULL, 'ncs2: uracil-xanthine permease', NULL, 'TIGR00801', NULL, NULL, NULL, 9),
(27801, NULL, 'TIGR01437', NULL, NULL, 'selA_rel: uncharacterized pyridoxal phosphate-dependent enzyme', NULL, 'TIGR01437', NULL, NULL, NULL, 9),
(27802, NULL, 'TIGR04534', NULL, NULL, 'ELWxxDGT_rpt: ELWxxDGT repeat', NULL, 'TIGR04534', NULL, NULL, NULL, 9),
(27803, NULL, 'TIGR00846', NULL, NULL, 'caca2: calcium/proton exchanger', NULL, 'TIGR00846', NULL, NULL, NULL, 9),
(27804, NULL, 'TIGR04305', NULL, NULL, 'fol_rel_CADD: putative folate metabolism protein, CADD family', NULL, 'TIGR04305', NULL, NULL, NULL, 9),
(27805, NULL, 'TIGR03275', NULL, NULL, 'methan_mark_8: putative methanogenesis marker protein 8', NULL, 'TIGR03275', NULL, NULL, NULL, 9),
(27806, NULL, 'TIGR01031', NULL, NULL, 'rpmF_bact: ribosomal protein bL32', NULL, 'TIGR01031', NULL, NULL, NULL, 9),
(27807, NULL, 'TIGR02533', NULL, NULL, 'type_II_gspE: type II secretion system protein E', NULL, 'TIGR02533', NULL, NULL, NULL, 9),
(27808, NULL, 'TIGR02762', NULL, NULL, 'TraL_TIGR: type IV conjugative transfer system protein TraL', NULL, 'TIGR02762', NULL, NULL, NULL, 9),
(27809, NULL, 'TIGR00499', NULL, NULL, 'lysS_bact: lysine--tRNA ligase', NULL, 'TIGR00499', NULL, NULL, NULL, 9),
(27810, NULL, 'TIGR02134', NULL, NULL, 'transald_staph: transaldolase', NULL, 'TIGR02134', NULL, NULL, NULL, 9),
(27811, NULL, 'TIGR00591', NULL, NULL, 'phr2: deoxyribodipyrimidine photolyase', NULL, 'TIGR00591', NULL, NULL, NULL, 9),
(27812, NULL, 'TIGR03289', NULL, NULL, 'frhB: coenzyme F420 hydrogenase, subunit beta', NULL, 'TIGR03289', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27813, NULL, 'TIGR04371', NULL, NULL, 'methyltran_NanM: putative sugar O-methyltransferase', NULL, 'TIGR04371', NULL, NULL, NULL, 9),
(27814, NULL, 'TIGR04319', NULL, NULL, 'SerAla_Lrha_rpt: surface protein repeat Ser-Ala-175', NULL, 'TIGR04319', NULL, NULL, NULL, 9),
(27815, NULL, 'TIGR04548', NULL, NULL, 'DnaD_Mollicutes: DnaD family protein', NULL, 'TIGR04548', NULL, NULL, NULL, 9),
(27816, NULL, 'TIGR03806', NULL, NULL, 'chp_HNE_0200: conserved hypothetical protein, HNE_0200 family', NULL, 'TIGR03806', NULL, NULL, NULL, 9),
(27817, NULL, 'TIGR00617', NULL, NULL, 'rpa1: replication factor-a protein 1 (rpa1)', NULL, 'TIGR00617', NULL, NULL, NULL, 9),
(27818, NULL, 'TIGR01850', NULL, NULL, 'argC: N-acetyl-gamma-glutamyl-phosphate reductase', NULL, 'TIGR01850', NULL, NULL, NULL, 9),
(27819, NULL, 'TIGR01274', NULL, NULL, 'ACC_deam: 1-aminocyclopropane-1-carboxylate deaminase', NULL, 'TIGR01274', NULL, NULL, NULL, 9),
(27820, NULL, 'TIGR02313', NULL, NULL, 'HpaI-NOT-DapA: 2,4-dihydroxyhept-2-ene-1,7-dioic acid aldolase', NULL, 'TIGR02313', NULL, NULL, NULL, 9),
(27821, NULL, 'TIGR00706', NULL, NULL, 'SppA_dom: signal peptide peptidase SppA, 36K type', NULL, 'TIGR00706', NULL, NULL, NULL, 9),
(27822, NULL, 'TIGR01344', NULL, NULL, 'malate_syn_A: malate synthase A', NULL, 'TIGR01344', NULL, NULL, NULL, 9),
(27823, NULL, 'TIGR03071', NULL, NULL, 'couple_hipA: HipA N-terminal domain', NULL, 'TIGR03071', NULL, NULL, NULL, 9),
(27824, NULL, 'TIGR03674', NULL, NULL, 'fen_arch: flap structure-specific endonuclease', NULL, 'TIGR03674', NULL, NULL, NULL, 9),
(27825, NULL, 'TIGR00223', NULL, NULL, 'panD: aspartate 1-decarboxylase', NULL, 'TIGR00223', NULL, NULL, NULL, 9),
(27826, NULL, 'TIGR00946', NULL, NULL, '2a69: auxin efflux carrier', NULL, 'TIGR00946', NULL, NULL, NULL, 9),
(27827, NULL, 'TIGR04192', NULL, NULL, 'GRASP_w_spasm: ATP-GRASP peptide maturase, grasp-with-spasm system', NULL, 'TIGR04192', NULL, NULL, NULL, 9),
(27828, NULL, 'TIGR01584', NULL, NULL, 'citF: citrate lyase, alpha subunit', NULL, 'TIGR01584', NULL, NULL, NULL, 9),
(27829, NULL, 'TIGR03434', NULL, NULL, 'ADOP: acidobacterial duplicated orphan permease', NULL, 'TIGR03434', NULL, NULL, NULL, 9),
(27830, NULL, 'TIGR01602', NULL, NULL, 'PY-rept-46: Plasmodium yoelii repeat of length 46', NULL, 'TIGR01602', NULL, NULL, NULL, 9),
(27831, NULL, 'TIGR02497', NULL, NULL, 'yscI_hrpB_dom: type III secretion apparatus protein, YscI/HrpB, C-terminal domain', NULL, 'TIGR02497', NULL, NULL, NULL, 9),
(27832, NULL, 'TIGR02295', NULL, NULL, 'HpaD: 3,4-dihydroxyphenylacetate 2,3-dioxygenase', NULL, 'TIGR02295', NULL, NULL, NULL, 9),
(27833, NULL, 'TIGR02000', NULL, NULL, 'NifU_proper: Fe-S cluster assembly protein NifU', NULL, 'TIGR02000', NULL, NULL, NULL, 9),
(27834, NULL, 'TIGR01897', NULL, NULL, 'cas_MJ1666: CRISPR-associated protein, MJ1666 family', NULL, 'TIGR01897', NULL, NULL, NULL, 9),
(27835, NULL, 'TIGR01915', NULL, NULL, 'npdG: NADPH-dependent F420 reductase', NULL, 'TIGR01915', NULL, NULL, NULL, 9),
(27836, NULL, 'TIGR03987', NULL, NULL, 'TIGR03987: TIGR03987 family protein', NULL, 'TIGR03987', NULL, NULL, NULL, 9),
(27837, NULL, 'TIGR04403', NULL, NULL, 'rSAM_skfB: sporulation killing factor system radical SAM maturase', NULL, 'TIGR04403', NULL, NULL, NULL, 9),
(27838, NULL, 'TIGR00536', NULL, NULL, 'hemK_fam: methyltransferase, HemK family', NULL, 'TIGR00536', NULL, NULL, NULL, 9),
(27839, NULL, 'TIGR03001', NULL, NULL, 'Sig-70_gmx1: RNA polymerase sigma-70 factor, Myxococcales family 1', NULL, 'TIGR03001', NULL, NULL, NULL, 9),
(27840, NULL, 'TIGR01979', NULL, NULL, 'sufS: cysteine desulfurase, SufS family', NULL, 'TIGR01979', NULL, NULL, NULL, 9),
(27841, NULL, 'TIGR00776', NULL, NULL, 'RhaT: RhaT L-rhamnose-proton symporter family protein', NULL, 'TIGR00776', NULL, NULL, NULL, 9),
(27842, NULL, 'TIGR03018', NULL, NULL, 'pepcterm_TyrKin: exopolysaccharide/PEP-CTERM locus tyrosine autokinase', NULL, 'TIGR03018', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27843, NULL, 'TIGR01786', NULL, NULL, 'TonB-hemlactrns: TonB-dependent hemoglobin/transferrin/lactoferrin receptor family protein', NULL, 'TIGR01786', NULL, NULL, NULL, 9),
(27844, NULL, 'TIGR01666', NULL, NULL, 'YCCS: TIGR01666 family membrane protein', NULL, 'TIGR01666', NULL, NULL, NULL, 9),
(27845, NULL, 'TIGR02866', NULL, NULL, 'CoxB: cytochrome c oxidase, subunit II', NULL, 'TIGR02866', NULL, NULL, NULL, 9),
(27846, NULL, 'TIGR00320', NULL, NULL, 'dfx_rbo: desulfoferrodoxin', NULL, 'TIGR00320', NULL, NULL, NULL, 9),
(27847, NULL, 'TIGR03876', NULL, NULL, 'cas_csaX: CRISPR type I-A/APERN-associated protein CsaX', NULL, 'TIGR03876', NULL, NULL, NULL, 9),
(27848, NULL, 'TIGR00150', NULL, NULL, 'T6A_YjeE: tRNA threonylcarbamoyl adenosine modification protein YjeE', NULL, 'TIGR00150', NULL, NULL, NULL, 9),
(27849, NULL, 'TIGR00969', NULL, NULL, '3a0106s02: sulfate ABC transporter, permease protein', NULL, 'TIGR00969', NULL, NULL, NULL, 9),
(27850, NULL, 'TIGR01174', NULL, NULL, 'ftsA: cell division protein FtsA', NULL, 'TIGR01174', NULL, NULL, NULL, 9),
(27851, NULL, 'TIGR03241', NULL, NULL, 'arg_catab_astB: succinylarginine dihydrolase', NULL, 'TIGR03241', NULL, NULL, NULL, 9),
(27852, NULL, 'TIGR01151', NULL, NULL, 'psbA: photosystem II q(b) protein', NULL, 'TIGR01151', NULL, NULL, NULL, 9),
(27853, NULL, 'TIGR01233', NULL, NULL, 'lacG: 6-phospho-beta-galactosidase', NULL, 'TIGR01233', NULL, NULL, NULL, 9),
(27854, NULL, 'TIGR02594', NULL, NULL, 'TIGR02594: TIGR02594 family protein', NULL, 'TIGR02594', NULL, NULL, NULL, 9),
(27855, NULL, 'TIGR03264', NULL, NULL, 'met_CoM_red_C: methyl-coenzyme M reductase I operon protein C', NULL, 'TIGR03264', NULL, NULL, NULL, 9),
(27856, NULL, 'TIGR03323', NULL, NULL, 'alt_F1F0_F1_gam: alternate F1F0 ATPase, F1 subunit gamma', NULL, 'TIGR03323', NULL, NULL, NULL, 9),
(27857, NULL, 'TIGR03513', NULL, NULL, 'GldL_gliding: gliding motility-associated protein GldL', NULL, 'TIGR03513', NULL, NULL, NULL, 9),
(27858, NULL, 'TIGR01303', NULL, NULL, 'IMP_DH_rel_1: IMP dehydrogenase family protein', NULL, 'TIGR01303', NULL, NULL, NULL, 9),
(27859, NULL, 'TIGR02354', NULL, NULL, 'thiF_fam2: thiamine biosynthesis protein ThiF', NULL, 'TIGR02354', NULL, NULL, NULL, 9),
(27860, NULL, 'TIGR02805', NULL, NULL, 'exbB2: tonB-system energizer ExbB', NULL, 'TIGR02805', NULL, NULL, NULL, 9),
(27861, NULL, 'TIGR03182', NULL, NULL, 'PDH_E1_alph_y: pyruvate dehydrogenase (acetyl-transferring) E1 component, alpha subunit', NULL, 'TIGR03182', NULL, NULL, NULL, 9),
(27862, NULL, 'TIGR04151', NULL, NULL, 'exosort_VPDSG: exosortase C, VPDSG-CTERM-specific', NULL, 'TIGR04151', NULL, NULL, NULL, 9),
(27863, NULL, 'TIGR01165', NULL, NULL, 'cbiN: cobalt transport protein', NULL, 'TIGR01165', NULL, NULL, NULL, 9),
(27864, NULL, 'TIGR01473', NULL, NULL, 'cyoE_ctaB: protoheme IX farnesyltransferase', NULL, 'TIGR01473', NULL, NULL, NULL, 9),
(27865, NULL, 'TIGR03946', NULL, NULL, 'viomycin_VioC: arginine beta-hydroxylase, Fe(II)/alpha-ketoglutarate-dependent', NULL, 'TIGR03946', NULL, NULL, NULL, 9),
(27866, NULL, 'TIGR00955', NULL, NULL, '3a01204: pigment precursor permease', NULL, 'TIGR00955', NULL, NULL, NULL, 9),
(27867, NULL, 'TIGR02184', NULL, NULL, 'Myco_arth_vir_N: Mycoplasma virulence family signal region', NULL, 'TIGR02184', NULL, NULL, NULL, 9),
(27868, NULL, 'TIGR01643', NULL, NULL, 'YD_repeat_2x: YD repeat (two copies)', NULL, 'TIGR01643', NULL, NULL, NULL, 9),
(27869, NULL, 'TIGR02667', NULL, NULL, 'moaB_proteo: molybdenum cofactor biosynthesis protein B', NULL, 'TIGR02667', NULL, NULL, NULL, 9),
(27870, NULL, 'TIGR04321', NULL, NULL, 'spiroSPASM: spiro-SPASM protein', NULL, 'TIGR04321', NULL, NULL, NULL, 9),
(27871, NULL, 'TIGR01160', NULL, NULL, 'SUI1_MOF2: translation initiation factor SUI1', NULL, 'TIGR01160', NULL, NULL, NULL, 9),
(27872, NULL, 'TIGR02544', NULL, NULL, 'III_secr_YscJ: type III secretion apparatus lipoprotein, YscJ/HrcJ family', NULL, 'TIGR02544', NULL, NULL, NULL, 9);               
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27873, NULL, 'TIGR04028', NULL, NULL, 'SBP_KPN_01854: ABC transporter substrate binding protein, KPN_01854 family', NULL, 'TIGR04028', NULL, NULL, NULL, 9),
(27874, NULL, 'TIGR03311', NULL, NULL, 'Se_dep_XDH: selenium-dependent xanthine dehydrogenase', NULL, 'TIGR03311', NULL, NULL, NULL, 9),
(27875, NULL, 'TIGR04210', NULL, NULL, 'bunya_NSm: bunyavirus nonstructural protein NSm', NULL, 'TIGR04210', NULL, NULL, NULL, 9),
(27876, NULL, 'TIGR03194', NULL, NULL, '4hydrxCoA_A: 4-hydroxybenzoyl-CoA reductase, alpha subunit', NULL, 'TIGR03194', NULL, NULL, NULL, 9),
(27877, NULL, 'TIGR01598', NULL, NULL, 'holin_phiLC3: holin, phage phi LC3 family', NULL, 'TIGR01598', NULL, NULL, NULL, 9),
(27878, NULL, 'TIGR00647', NULL, NULL, 'DNA_bind_WhiA: DNA-binding protein WhiA', NULL, 'TIGR00647', NULL, NULL, NULL, 9),
(27879, NULL, 'TIGR01487', NULL, NULL, 'Pglycolate_arch: phosphoglycolate phosphatase, TA0175-type', NULL, 'TIGR01487', NULL, NULL, NULL, 9),
(27880, NULL, 'TIGR02989', NULL, NULL, 'Sig-70_gvs1: RNA polymerase sigma-70 factor, Rhodopirellula/Verrucomicrobium family', NULL, 'TIGR02989', NULL, NULL, NULL, 9),
(27881, NULL, 'TIGR04224', NULL, NULL, 'ser_adhes_Nterm: serine-rich repeat adhesion glycoprotein', NULL, 'TIGR04224', NULL, NULL, NULL, 9),
(27882, NULL, 'TIGR00522', NULL, NULL, 'dph5: diphthine synthase', NULL, 'TIGR00522', NULL, NULL, NULL, 9),
(27883, NULL, 'TIGR03495', NULL, NULL, 'phage_LysB: phage lysis regulatory protein, LysB family', NULL, 'TIGR03495', NULL, NULL, NULL, 9),
(27884, NULL, 'TIGR00633', NULL, NULL, 'xth: exodeoxyribonuclease III (xth)', NULL, 'TIGR00633', NULL, NULL, NULL, 9),
(27885, NULL, 'TIGR01657', NULL, NULL, 'P-ATPase-V: P-type ATPase of unknown pump specificity (type V)', NULL, 'TIGR01657', NULL, NULL, NULL, 9),
(27886, NULL, 'TIGR02281', NULL, NULL, 'clan_AA_DTGA: clan AA aspartic protease, TIGR02281 family', NULL, 'TIGR02281', NULL, NULL, NULL, 9),
(27887, NULL, 'TIGR00273', NULL, NULL, 'TIGR00273: iron-sulfur cluster-binding protein', NULL, 'TIGR00273', NULL, NULL, NULL, 9),
(27888, NULL, 'TIGR00463', NULL, NULL, 'gltX_arch: glutamate--tRNA ligase', NULL, 'TIGR00463', NULL, NULL, NULL, 9),
(27889, NULL, 'TIGR01965', NULL, NULL, 'VCBS_repeat: VCBS repeat', NULL, 'TIGR01965', NULL, NULL, NULL, 9),
(27890, NULL, 'TIGR03200', NULL, NULL, 'dearomat_oah: 6-oxocyclohex-1-ene-1-carbonyl-CoA hydrolase', NULL, 'TIGR03200', NULL, NULL, NULL, 9),
(27891, NULL, 'TIGR03010', NULL, NULL, 'sulf_tusC_dsrF: sulfur relay protein TusC/DsrF', NULL, 'TIGR03010', NULL, NULL, NULL, 9),
(27892, NULL, 'TIGR02503', NULL, NULL, 'type_III_SycN: type III secretion chaperone SycN', NULL, 'TIGR02503', NULL, NULL, NULL, 9),
(27893, NULL, 'TIGR02846', NULL, NULL, 'spore_sigmaK: RNA polymerase sigma-K factor', NULL, 'TIGR02846', NULL, NULL, NULL, 9),
(27894, NULL, 'TIGR03141', NULL, NULL, 'cytochro_ccmD: heme exporter protein CcmD', NULL, 'TIGR03141', NULL, NULL, NULL, 9),
(27895, NULL, 'TIGR01051', NULL, NULL, 'topA_bact: DNA topoisomerase I', NULL, 'TIGR01051', NULL, NULL, NULL, 9),
(27896, NULL, 'TIGR03364', NULL, NULL, 'HpnW_proposed: FAD dependent oxidoreductase TIGR03364', NULL, 'TIGR03364', NULL, NULL, NULL, 9),
(27897, NULL, 'TIGR00082', NULL, NULL, 'rbfA: ribosome-binding factor A', NULL, 'TIGR00082', NULL, NULL, NULL, 9),
(27898, NULL, 'TIGR01412', NULL, NULL, 'tat_substr_1: Tat-translocated enzyme', NULL, 'TIGR01412', NULL, NULL, NULL, 9),
(27899, NULL, 'TIGR03420', NULL, NULL, 'DnaA_homol_Hda: DnaA regulatory inactivator Hda', NULL, 'TIGR03420', NULL, NULL, NULL, 9),
(27900, NULL, 'TIGR02485', NULL, NULL, 'CobZ_N-term: precorrin 3B synthase CobZ', NULL, 'TIGR02485', NULL, NULL, NULL, 9),
(27901, NULL, 'TIGR01330', NULL, NULL, 'bisphos_HAL2: 3''(2''),5''-bisphosphate nucleotidase', NULL, 'TIGR01330', NULL, NULL, NULL, 9),
(27902, NULL, 'TIGR03085', NULL, NULL, 'TIGR03085: TIGR03085 family protein', NULL, 'TIGR03085', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27903, NULL, 'TIGR00477', NULL, NULL, 'tehB: tellurite resistance protein TehB', NULL, 'TIGR00477', NULL, NULL, NULL, 9),
(27904, NULL, 'TIGR00996', NULL, NULL, 'Mtu_fam_mce: virulence factor Mce family protein', NULL, 'TIGR00996', NULL, NULL, NULL, 9),
(27905, NULL, 'TIGR01124', NULL, NULL, 'ilvA_2Cterm: threonine ammonia-lyase, biosynthetic', NULL, 'TIGR01124', NULL, NULL, NULL, 9),
(27906, NULL, 'TIGR00413', NULL, NULL, 'rlpA: rare lipoprotein A', NULL, 'TIGR00413', NULL, NULL, NULL, 9),
(27907, NULL, 'TIGR02567', NULL, NULL, 'YscW: type III secretion system chaperone YscW', NULL, 'TIGR02567', NULL, NULL, NULL, 9),
(27908, NULL, 'TIGR00701', NULL, NULL, 'TIGR00701: TIGR00701 family protein', NULL, 'TIGR00701', NULL, NULL, NULL, 9),
(27909, NULL, 'TIGR04131', NULL, NULL, 'Bac_Flav_CTERM: gliding motility-associated C-terminal domain', NULL, 'TIGR04131', NULL, NULL, NULL, 9),
(27910, NULL, 'TIGR01596', NULL, NULL, 'cas3_HD: CRISPR-associated endonuclease Cas3-HD', NULL, 'TIGR01596', NULL, NULL, NULL, 9),
(27911, NULL, 'TIGR03196', NULL, NULL, 'pucD: xanthine dehydrogenase D subunit', NULL, 'TIGR03196', NULL, NULL, NULL, 9),
(27912, NULL, 'TIGR00606', NULL, NULL, 'rad50: rad50', NULL, 'TIGR00606', NULL, NULL, NULL, 9),
(27913, NULL, 'TIGR02374', NULL, NULL, 'nitri_red_nirB: nitrite reductase [NAD(P)H], large subunit', NULL, 'TIGR02374', NULL, NULL, NULL, 9),
(27914, NULL, 'TIGR02041', NULL, NULL, 'CysI: sulfite reductase (NADPH) hemoprotein, beta-component', NULL, 'TIGR02041', NULL, NULL, NULL, 9),
(27915, NULL, 'TIGR00887', NULL, NULL, '2A0109: phosphate:H+ symporter', NULL, 'TIGR00887', NULL, NULL, NULL, 9),
(27916, NULL, 'TIGR04464', NULL, NULL, 'chaper_lep: LipL41-expression chaperone Lep', NULL, 'TIGR04464', NULL, NULL, NULL, 9),
(27917, NULL, 'TIGR01403', NULL, NULL, 'fliQ_rel_III: type III secretion protein, HrpO family', NULL, 'TIGR01403', NULL, NULL, NULL, 9),
(27918, NULL, 'TIGR01950', NULL, NULL, 'SoxR: redox-sensitive transcriptional activator SoxR', NULL, 'TIGR01950', NULL, NULL, NULL, 9),
(27919, NULL, 'TIGR02558', NULL, NULL, 'HrpB2: type III secretion protein HrpB2', NULL, 'TIGR02558', NULL, NULL, NULL, 9),
(27920, NULL, 'TIGR03706', NULL, NULL, 'exo_poly_only: exopolyphosphatase', NULL, 'TIGR03706', NULL, NULL, NULL, 9),
(27921, NULL, 'TIGR00524', NULL, NULL, 'eIF-2B_rel: eIF-2B alpha/beta/delta-related uncharacterized proteins', NULL, 'TIGR00524', NULL, NULL, NULL, 9),
(27922, NULL, 'TIGR02388', NULL, NULL, 'rpoC2_cyan: DNA-directed RNA polymerase, beta'''' subunit', NULL, 'TIGR02388', NULL, NULL, NULL, 9),
(27923, NULL, 'TIGR02735', NULL, NULL, 'purC_vibrio: phosphoribosylaminoimidazole-succinocarboxamide synthase', NULL, 'TIGR02735', NULL, NULL, NULL, 9),
(27924, NULL, 'TIGR03373', NULL, NULL, 'VI_minor_4: type VI secretion-associated protein, BMA_A0400 family', NULL, 'TIGR03373', NULL, NULL, NULL, 9),
(27925, NULL, 'TIGR00264', NULL, NULL, 'TIGR00264: alpha-NAC homolog', NULL, 'TIGR00264', NULL, NULL, NULL, 9),
(27926, NULL, 'TIGR00715', NULL, NULL, 'precor6x_red: precorrin-6x reductase', NULL, 'TIGR00715', NULL, NULL, NULL, 9),
(27927, NULL, 'TIGR04101', NULL, NULL, 'CCGSCS: CCGSCS motif protein', NULL, 'TIGR04101', NULL, NULL, NULL, 9),
(27928, NULL, 'TIGR02100', NULL, NULL, 'glgX_debranch: glycogen debranching enzyme GlgX', NULL, 'TIGR02100', NULL, NULL, NULL, 9),
(27929, NULL, 'TIGR02737', NULL, NULL, 'caa3_CtaG: cytochrome c oxidase assembly factor CtaG', NULL, 'TIGR02737', NULL, NULL, NULL, 9),
(27930, NULL, 'TIGR03250', NULL, NULL, 'PhnAcAld_DH: putative phosphonoacetaldehyde dehydrogenase', NULL, 'TIGR03250', NULL, NULL, NULL, 9),
(27931, NULL, 'TIGR00885', NULL, NULL, 'fucP: L-fucose:H+ symporter permease', NULL, 'TIGR00885', NULL, NULL, NULL, 9),
(27932, NULL, 'TIGR03132', NULL, NULL, 'malonate_mdcB: triphosphoribosyl-dephospho-CoA synthase MdcB', NULL, 'TIGR03132', NULL, NULL, NULL, 9),
(27933, NULL, 'TIGR03543', NULL, NULL, 'divI1A_rptt_fam: DivIVA domain repeat protein', NULL, 'TIGR03543', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27934, NULL, 'TIGR01856', NULL, NULL, 'hisJ_fam: histidinol phosphate phosphatase, HisJ family', NULL, 'TIGR01856', NULL, NULL, NULL, 9),
(27935, NULL, 'TIGR01766', NULL, NULL, 'tspaseT_teng_C: transposase, IS605 OrfB family', NULL, 'TIGR01766', NULL, NULL, NULL, 9),
(27936, NULL, 'TIGR03255', NULL, NULL, 'PhnV: 2-aminoethylphosphonate ABC transport system, membrane component PhnV', NULL, 'TIGR03255', NULL, NULL, NULL, 9),
(27937, NULL, 'TIGR00094', NULL, NULL, 'tRNA_TruD_broad: tRNA pseudouridine synthase, TruD family', NULL, 'TIGR00094', NULL, NULL, NULL, 9),
(27938, NULL, 'TIGR01221', NULL, NULL, 'rmlC: dTDP-4-dehydrorhamnose 3,5-epimerase', NULL, 'TIGR01221', NULL, NULL, NULL, 9),
(27939, NULL, 'TIGR00191', NULL, NULL, 'thrB: homoserine kinase', NULL, 'TIGR00191', NULL, NULL, NULL, 9),
(27940, NULL, 'TIGR01693', NULL, NULL, 'UTase_glnD: protein-P-II uridylyltransferase', NULL, 'TIGR01693', NULL, NULL, NULL, 9),
(27941, NULL, 'TIGR03937', NULL, NULL, 'PgaC_IcaA: poly-beta-1,6 N-acetyl-D-glucosamine synthase', NULL, 'TIGR03937', NULL, NULL, NULL, 9),
(27942, NULL, 'TIGR01235', NULL, NULL, 'pyruv_carbox: pyruvate carboxylase', NULL, 'TIGR01235', NULL, NULL, NULL, 9),
(27943, NULL, 'TIGR00899', NULL, NULL, '2A0120: sugar efflux transporter', NULL, 'TIGR00899', NULL, NULL, NULL, 9),
(27944, NULL, 'TIGR03767', NULL, NULL, 'P_acnes_RR: metallophosphoesterase, PPA1498 family', NULL, 'TIGR03767', NULL, NULL, NULL, 9),
(27945, NULL, 'TIGR02612', NULL, NULL, 'mob_myst_A: mobile mystery protein A', NULL, 'TIGR02612', NULL, NULL, NULL, 9),
(27946, NULL, 'TIGR00427', NULL, NULL, 'TIGR00427: membrane protein, MarC family', NULL, 'TIGR00427', NULL, NULL, NULL, 9),
(27947, NULL, 'TIGR02723', NULL, NULL, 'phenyl_P_alpha: phenylphosphate carboxylase, alpha subunit', NULL, 'TIGR02723', NULL, NULL, NULL, 9),
(27948, NULL, 'TIGR00250', NULL, NULL, 'RNAse_H_YqgF: putative transcription antitermination factor YqgF', NULL, 'TIGR00250', NULL, NULL, NULL, 9),
(27949, NULL, 'TIGR03878', NULL, NULL, 'thermo_KaiC_2: KaiC domain protein, AF_0795 family', NULL, 'TIGR03878', NULL, NULL, NULL, 9),
(27950, NULL, 'TIGR00080', NULL, NULL, 'pimt: protein-L-isoaspartate O-methyltransferase', NULL, 'TIGR00080', NULL, NULL, NULL, 9),
(27951, NULL, 'TIGR02553', NULL, NULL, 'SipD_IpaD_SspD: type III effector protein IpaD/SipD/SspD', NULL, 'TIGR02553', NULL, NULL, NULL, 9),
(27952, NULL, 'TIGR01110', NULL, NULL, 'mdcA: malonate decarboxylase, alpha subunit', NULL, 'TIGR01110', NULL, NULL, NULL, 9),
(27953, NULL, 'TIGR01929', NULL, NULL, 'menB: naphthoate synthase', NULL, 'TIGR01929', NULL, NULL, NULL, 9),
(27954, NULL, 'TIGR01001', NULL, NULL, 'metA: homoserine O-succinyltransferase', NULL, 'TIGR01001', NULL, NULL, NULL, 9),
(27955, NULL, 'TIGR01378', NULL, NULL, 'thi_PPkinase: thiamine pyrophosphokinase', NULL, 'TIGR01378', NULL, NULL, NULL, 9),
(27956, NULL, 'TIGR02499', NULL, NULL, 'HrpE_YscL_not: type III secretion apparatus protein, HrpE/YscL family', NULL, 'TIGR02499', NULL, NULL, NULL, 9),
(27957, NULL, 'TIGR02122', NULL, NULL, 'TRAP_TAXI: TRAP transporter solute receptor, TAXI family', NULL, 'TIGR02122', NULL, NULL, NULL, 9),
(27958, NULL, 'TIGR02293', NULL, NULL, 'TAS_TIGR02293: putative toxin-antitoxin system antitoxin component, TIGR02293 family', NULL, 'TIGR02293', NULL, NULL, NULL, 9),
(27959, NULL, 'TIGR01582', NULL, NULL, 'FDH-beta: formate dehydrogenase, beta subunit', NULL, 'TIGR01582', NULL, NULL, NULL, 9),
(27960, NULL, 'TIGR00032', NULL, NULL, 'argG: argininosuccinate synthase', NULL, 'TIGR00032', NULL, NULL, NULL, 9),
(27961, NULL, 'TIGR04383', NULL, NULL, 'acidic_w_LPXTA: processed acidic surface protein', NULL, 'TIGR04383', NULL, NULL, NULL, 9),
(27962, NULL, 'TIGR03672', NULL, NULL, 'rpl4p_arch: 50S ribosomal protein uL4', NULL, 'TIGR03672', NULL, NULL, NULL, 9),
(27963, NULL, 'TIGR00667', NULL, NULL, 'aat: leucyl/phenylalanyl-tRNA--protein transferase', NULL, 'TIGR00667', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27964, NULL, 'TIGR02860', NULL, NULL, 'spore_IV_B: stage IV sporulation protein B', NULL, 'TIGR02860', NULL, NULL, NULL, 9),
(27965, NULL, 'TIGR00770', NULL, NULL, 'Dcu: transporter, anaerobic C4-dicarboxylate uptake (Dcu) family', NULL, 'TIGR00770', NULL, NULL, NULL, 9),
(27966, NULL, 'TIGR00824', NULL, NULL, 'EIIA-man: PTS system, mannose/fructose/sorbose family, IIA component', NULL, 'TIGR00824', NULL, NULL, NULL, 9),
(27967, NULL, 'TIGR02757', NULL, NULL, 'TIGR02757: TIGR02757 family protein', NULL, 'TIGR02757', NULL, NULL, NULL, 9),
(27968, NULL, 'TIGR02832', NULL, NULL, 'spo_yunB: sporulation protein YunB', NULL, 'TIGR02832', NULL, NULL, NULL, 9),
(27969, NULL, 'TIGR03468', NULL, NULL, 'HpnG: hopanoid-associated phosphorylase', NULL, 'TIGR03468', NULL, NULL, NULL, 9),
(27970, NULL, 'TIGR01711', NULL, NULL, 'gspJ: type II secretion system protein J', NULL, 'TIGR01711', NULL, NULL, NULL, 9),
(27971, NULL, 'TIGR00354', NULL, NULL, 'polC: DNA polymerase II, large subunit DP2', NULL, 'TIGR00354', NULL, NULL, NULL, 9),
(27972, NULL, 'TIGR00940', NULL, NULL, '2a6301s01: monovalent cation:proton antiporter', NULL, 'TIGR00940', NULL, NULL, NULL, 9),
(27973, NULL, 'TIGR03638', NULL, NULL, 'cas1_ECOLI: CRISPR-associated endonuclease Cas1, subtype I-E/ECOLI', NULL, 'TIGR03638', NULL, NULL, NULL, 9),
(27974, NULL, 'TIGR04553', NULL, NULL, 'ABC_peri_selen: putative selenate ABC transporter periplasmic binding protein', NULL, 'TIGR04553', NULL, NULL, NULL, 9),
(27975, NULL, 'TIGR03146', NULL, NULL, 'cyt_nit_nrfB: cytochrome c nitrite reductase, pentaheme subunit', NULL, 'TIGR03146', NULL, NULL, NULL, 9),
(27976, NULL, 'TIGR03801', NULL, NULL, 'asp_4_decarbox: aspartate 4-decarboxylase', NULL, 'TIGR03801', NULL, NULL, NULL, 9),
(27977, NULL, 'TIGR00114', NULL, NULL, 'lumazine-synth: 6,7-dimethyl-8-ribityllumazine synthase', NULL, 'TIGR00114', NULL, NULL, NULL, 9),
(27978, NULL, 'TIGR01548', NULL, NULL, 'HAD-SF-IA-hyp1: HAD hydrolase, TIGR01548 family', NULL, 'TIGR01548', NULL, NULL, NULL, 9),
(27979, NULL, 'TIGR01037', NULL, NULL, 'pyrD_sub1_fam: dihydroorotate dehydrogenase family protein', NULL, 'TIGR01037', NULL, NULL, NULL, 9),
(27980, NULL, 'TIGR04042', NULL, NULL, 'MSMEG_0570_fam: MSMEG_0570 family protein', NULL, 'TIGR04042', NULL, NULL, NULL, 9),
(27981, NULL, 'TIGR02047', NULL, NULL, 'CadR-PbrR: Cd(II)/Pb(II)-responsive transcriptional regulator', NULL, 'TIGR02047', NULL, NULL, NULL, 9),
(27982, NULL, 'TIGR04137', NULL, NULL, 'Chlam_Ver_rRNA: Chlam_Verruc_Plancto small basic protein', NULL, 'TIGR04137', NULL, NULL, NULL, 9),
(27983, NULL, 'TIGR02204', NULL, NULL, 'MsbA_rel: ABC transporter, permease/ATP-binding protein', NULL, 'TIGR02204', NULL, NULL, NULL, 9),
(27984, NULL, 'TIGR04212', NULL, NULL, 'GlyGly_RbtA: rhombotarget A', NULL, 'TIGR04212', NULL, NULL, NULL, 9),
(27985, NULL, 'TIGR02319', NULL, NULL, 'CPEP_Pphonmut: carboxyvinyl-carboxyphosphonate phosphorylmutase', NULL, 'TIGR02319', NULL, NULL, NULL, 9),
(27986, NULL, 'TIGR01806', NULL, NULL, 'CM_mono2: putative chorismate mutase', NULL, 'TIGR01806', NULL, NULL, NULL, 9),
(27987, NULL, 'TIGR02463', NULL, NULL, 'MPGP_rel: mannosyl-3-phosphoglycerate phosphatase homolog', NULL, 'TIGR02463', NULL, NULL, NULL, 9),
(27988, NULL, 'TIGR04409', NULL, NULL, 'LptC_YrbK: LPS export ABC transporter periplasmic protein LptC', NULL, 'TIGR04409', NULL, NULL, NULL, 9),
(27989, NULL, 'TIGR03856', NULL, NULL, 'F420_MSMEG_2906: probable F420-dependent oxidoreductase, MSMEG_2906 family', NULL, 'TIGR03856', NULL, NULL, NULL, 9),
(27990, NULL, 'TIGR04478', NULL, NULL, 'rSAM_YfkAB: radical SAM/CxCxxxxC motif protein YfkAB', NULL, 'TIGR04478', NULL, NULL, NULL, 9),
(27991, NULL, 'TIGR02785', NULL, NULL, 'addA_Gpos: helicase-exonuclease AddAB, AddA subunit', NULL, 'TIGR02785', NULL, NULL, NULL, 9),
(27992, NULL, 'TIGR02975', NULL, NULL, 'phageshock_pspG: phage shock protein G', NULL, 'TIGR02975', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(27993, NULL, 'TIGR01780', NULL, NULL, 'SSADH: succinate-semialdehyde dehydrogenase', NULL, 'TIGR01780', NULL, NULL, NULL, 9),
(27994, NULL, 'TIGR00279', NULL, NULL, 'uL16_euk_arch: ribosomal protein uL16', NULL, 'TIGR00279', NULL, NULL, NULL, 9),
(27995, NULL, 'TIGR01453', NULL, NULL, 'grpIintron_endo: group I intron endonuclease', NULL, 'TIGR01453', NULL, NULL, NULL, 9),
(27996, NULL, 'TIGR03515', NULL, NULL, 'GldC: gliding motility-associated protein GldC', NULL, 'TIGR03515', NULL, NULL, NULL, 9),
(27997, NULL, 'TIGR02662', NULL, NULL, 'dinitro_DRAG: ADP-ribosyl-[dinitrogen reductase] hydrolase', NULL, 'TIGR02662', NULL, NULL, NULL, 9),
(27998, NULL, 'TIGR01296', NULL, NULL, 'asd_B: aspartate-semialdehyde dehydrogenase', NULL, 'TIGR01296', NULL, NULL, NULL, 9),
(27999, NULL, 'TIGR01283', NULL, NULL, 'nifE: nitrogenase MoFe cofactor biosynthesis protein NifE', NULL, 'TIGR01283', NULL, NULL, NULL, 9),
(28000, NULL, 'TIGR02955', NULL, NULL, 'TMAO_TorT: TMAO reductase system periplasmic protein TorT', NULL, 'TIGR02955', NULL, NULL, NULL, 9),
(28001, NULL, 'TIGR02798', NULL, NULL, 'ligK_PcmE: 4-carboxy-4-hydroxy-2-oxoadipate aldolase/oxaloacetate decarboxylase', NULL, 'TIGR02798', NULL, NULL, NULL, 9),
(28002, NULL, 'TIGR03016', NULL, NULL, 'pepcterm_hypo_1: uncharacterized protein, PEP-CTERM system associated', NULL, 'TIGR03016', NULL, NULL, NULL, 9),
(28003, NULL, 'TIGR04355', NULL, NULL, 'HprK_rel_B: HprK-related kinase B', NULL, 'TIGR04355', NULL, NULL, NULL, 9),
(28004, NULL, 'TIGR01015', NULL, NULL, 'hmgA: homogentisate 1,2-dioxygenase', NULL, 'TIGR01015', NULL, NULL, NULL, 9),
(28005, NULL, 'TIGR04020', NULL, NULL, 'seco_metab_LLM: natural product biosynthesis luciferase-like monooxygenase domain', NULL, 'TIGR04020', NULL, NULL, NULL, 9),
(28006, NULL, 'TIGR00502', NULL, NULL, 'nagB: glucosamine-6-phosphate deaminase', NULL, 'TIGR00502', NULL, NULL, NULL, 9),
(28007, NULL, 'TIGR00837', NULL, NULL, 'araaP: aromatic amino acid transport protein', NULL, 'TIGR00837', NULL, NULL, NULL, 9),
(28008, NULL, 'TIGR01507', NULL, NULL, 'hopene_cyclase: squalene-hopene cyclase', NULL, 'TIGR01507', NULL, NULL, NULL, 9),
(28009, NULL, 'TIGR00155', NULL, NULL, 'pqiA_fam: integral membrane protein, PqiA family', NULL, 'TIGR00155', NULL, NULL, NULL, 9),
(28010, NULL, 'TIGR00286', NULL, NULL, 'TIGR00286: arginine decarboxylase, pyruvoyl-dependent', NULL, 'TIGR00286', NULL, NULL, NULL, 9),
(28011, NULL, 'TIGR02170', NULL, NULL, 'thyX: thymidylate synthase, flavin-dependent', NULL, 'TIGR02170', NULL, NULL, NULL, 9),
(28012, NULL, 'TIGR04335', NULL, NULL, 'AmmeMemoSam_A: AmmeMemoRadiSam system protein A', NULL, 'TIGR04335', NULL, NULL, NULL, 9),
(28013, NULL, 'TIGR01788', NULL, NULL, 'Glu-decarb-GAD: glutamate decarboxylase', NULL, 'TIGR01788', NULL, NULL, NULL, 9),
(28014, NULL, 'TIGR01834', NULL, NULL, 'PHA_synth_III_E: poly(R)-hydroxyalkanoic acid synthase, class III, PhaE subunit', NULL, 'TIGR01834', NULL, NULL, NULL, 9),
(28015, NULL, 'TIGR02006', NULL, NULL, 'IscS: cysteine desulfurase IscS', NULL, 'TIGR02006', NULL, NULL, NULL, 9),
(28016, NULL, 'TIGR03842', NULL, NULL, 'F420_CPS_4043: F420-dependent oxidoreductase, CPS_4043 family', NULL, 'TIGR03842', NULL, NULL, NULL, 9),
(28017, NULL, 'TIGR04512', NULL, NULL, 'Mycopla_NOT_gsn: STREFT protein', NULL, 'TIGR04512', NULL, NULL, NULL, 9),
(28018, NULL, 'TIGR02517', NULL, NULL, 'type_II_gspD: type II secretion system protein D', NULL, 'TIGR02517', NULL, NULL, NULL, 9),
(28019, NULL, 'TIGR04165', NULL, NULL, 'methano_modCys: Cys-rich peptide, TIGR04165 family', NULL, 'TIGR04165', NULL, NULL, NULL, 9),
(28020, NULL, 'TIGR02150', NULL, NULL, 'IPP_isom_1: isopentenyl-diphosphate delta-isomerase', NULL, 'TIGR02150', NULL, NULL, NULL, 9),
(28021, NULL, 'TIGR00810', NULL, NULL, 'secG: preprotein translocase, SecG subunit', NULL, 'TIGR00810', NULL, NULL, NULL, 9),
(28022, NULL, 'TIGR04525', NULL, NULL, 'prot_M_MG281: IgG-blocking protein M', NULL, 'TIGR04525', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28023, NULL, 'TIGR00332', NULL, NULL, 'neela_ferrous: desulfoferrodoxin ferrous iron-binding domain', NULL, 'TIGR00332', NULL, NULL, NULL, 9),
(28024, NULL, 'TIGR03508', NULL, NULL, 'decahem_SO: decaheme c-type cytochrome, DmsE family', NULL, 'TIGR03508', NULL, NULL, NULL, 9),
(28025, NULL, 'TIGR02340', NULL, NULL, 'chap_CCT_alpha: T-complex protein 1, alpha subunit', NULL, 'TIGR02340', NULL, NULL, NULL, 9),
(28026, NULL, 'TIGR03815', NULL, NULL, 'CpaE_hom_Actino: helicase/secretion neighborhood CpaE-like protein', NULL, 'TIGR03815', NULL, NULL, NULL, 9),
(28027, NULL, 'TIGR02689', NULL, NULL, 'ars_reduc_gluta: arsenate reductase, glutathione/glutaredoxin type', NULL, 'TIGR02689', NULL, NULL, NULL, 9),
(28028, NULL, 'TIGR00756', NULL, NULL, 'PPR: pentatricopeptide repeat domain', NULL, 'TIGR00756', NULL, NULL, NULL, 9),
(28029, NULL, 'TIGR03761', NULL, NULL, 'ICE_PFL4669: integrating conjugative element protein, PFL_4669 family', NULL, 'TIGR03761', NULL, NULL, NULL, 9),
(28030, NULL, 'TIGR01534', NULL, NULL, 'GAPDH-I: glyceraldehyde-3-phosphate dehydrogenase, type I', NULL, 'TIGR01534', NULL, NULL, NULL, 9),
(28031, NULL, 'TIGR00100', NULL, NULL, 'hypA: hydrogenase nickel insertion protein HypA', NULL, 'TIGR00100', NULL, NULL, NULL, 9),
(28032, NULL, 'TIGR04369', NULL, NULL, 'fusion_not_SelD: oxidoreductase/SelD-related fusion protein', NULL, 'TIGR04369', NULL, NULL, NULL, 9),
(28033, NULL, 'TIGR00209', NULL, NULL, 'galT_1: galactose-1-phosphate uridylyltransferase', NULL, 'TIGR00209', NULL, NULL, NULL, 9),
(28034, NULL, 'TIGR01255', NULL, NULL, 'pyr_form_ly_1: formate acetyltransferase', NULL, 'TIGR01255', NULL, NULL, NULL, 9),
(28035, NULL, 'TIGR04539', NULL, NULL, 'tRNA_cyclodipep: tRNA-dependent cyclodipeptide synthase', NULL, 'TIGR04539', NULL, NULL, NULL, 9),
(28036, NULL, 'TIGR01671', NULL, NULL, 'phage_TIGR01671: phage conserved hypothetical protein TIGR01671', NULL, 'TIGR01671', NULL, NULL, NULL, 9),
(28037, NULL, 'TIGR03931', NULL, NULL, 'T7SS_Rv3446c: type VII secretion-associated protein, Rv3446c family', NULL, 'TIGR03931', NULL, NULL, NULL, 9),
(28038, NULL, 'TIGR03291', NULL, NULL, 'methan_mark_17: putative methanogenesis marker protein 17', NULL, 'TIGR03291', NULL, NULL, NULL, 9),
(28039, NULL, 'TIGR01841', NULL, NULL, 'phasin: phasin family protein', NULL, 'TIGR01841', NULL, NULL, NULL, 9),
(28040, NULL, 'TIGR01725', NULL, NULL, 'phge_HK97_gp10: phage protein, HK97 gp10 family', NULL, 'TIGR01725', NULL, NULL, NULL, 9),
(28041, NULL, 'TIGR03214', NULL, NULL, 'ura-cupin: putative allantoin catabolism protein', NULL, 'TIGR03214', NULL, NULL, NULL, 9),
(28042, NULL, 'TIGR02771', NULL, NULL, 'TraF_Ti: conjugative transfer signal peptidase TraF', NULL, 'TIGR02771', NULL, NULL, NULL, 9),
(28043, NULL, 'TIGR00681', NULL, NULL, 'kdpC: K+-transporting ATPase, C subunit', NULL, 'TIGR00681', NULL, NULL, NULL, 9),
(28044, NULL, 'TIGR02531', NULL, NULL, 'yecD_yerC: TrpR homolog YerC/YecD', NULL, 'TIGR02531', NULL, NULL, NULL, 9),
(28045, NULL, 'TIGR00046', NULL, NULL, 'TIGR00046: RNA methyltransferase, RsmE family', NULL, 'TIGR00046', NULL, NULL, NULL, 9),
(28046, NULL, 'TIGR01309', NULL, NULL, 'uL30_arch: ribosomal protein uL30', NULL, 'TIGR01309', NULL, NULL, NULL, 9),
(28047, NULL, 'TIGR03686', NULL, NULL, 'pupylate_PafA: Pup--protein ligase', NULL, 'TIGR03686', NULL, NULL, NULL, 9),
(28048, NULL, 'TIGR02136', NULL, NULL, 'ptsS_2: phosphate binding protein', NULL, 'TIGR02136', NULL, NULL, NULL, 9),
(28049, NULL, 'TIGR00449', NULL, NULL, 'tgt_general: tRNA-guanine family transglycosylase', NULL, 'TIGR00449', NULL, NULL, NULL, 9),
(28050, NULL, 'TIGR03549', NULL, NULL, 'TIGR03549: YcaO domain protein', NULL, 'TIGR03549', NULL, NULL, NULL, 9),
(28051, NULL, 'TIGR00039', NULL, NULL, '6PTHBS: 6-pyruvoyl tetrahydropterin synthase/QueD family protein', NULL, 'TIGR00039', NULL, NULL, NULL, 9),
(28052, NULL, 'TIGR03379', NULL, NULL, 'glycerol3P_GlpC: glycerol-3-phosphate dehydrogenase, anaerobic, C subunit', NULL, 'TIGR03379', NULL, NULL, NULL, 9);        
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28053, NULL, 'TIGR02129', NULL, NULL, 'hisA_euk: phosphoribosylformimino-5-aminoimidazole carboxamide ribotide isomerase', NULL, 'TIGR02129', NULL, NULL, NULL, 9),
(28054, NULL, 'TIGR01616', NULL, NULL, 'nitro_assoc: nitrogenase-associated protein', NULL, 'TIGR01616', NULL, NULL, NULL, 9),
(28055, NULL, 'TIGR03624', NULL, NULL, 'TIGR03624: putative hydrolase', NULL, 'TIGR03624', NULL, NULL, NULL, 9),
(28056, NULL, 'TIGR03454', NULL, NULL, 'partition_RepB: plasmid partitioning protein RepB', NULL, 'TIGR03454', NULL, NULL, NULL, 9),
(28057, NULL, 'TIGR00586', NULL, NULL, 'mutt: mutator mutT protein', NULL, 'TIGR00586', NULL, NULL, NULL, 9),
(28058, NULL, 'TIGR01364', NULL, NULL, 'serC_1: phosphoserine transaminase', NULL, 'TIGR01364', NULL, NULL, NULL, 9),
(28059, NULL, 'TIGR03051', NULL, NULL, 'PS_I_psaG_plant: photosystem I reaction center subunit V', NULL, 'TIGR03051', NULL, NULL, NULL, 9),
(28060, NULL, 'TIGR00851', NULL, NULL, 'mtlA: PTS system, mannitol-specific IIC component', NULL, 'TIGR00851', NULL, NULL, NULL, 9),
(28061, NULL, 'TIGR02115', NULL, NULL, 'potass_kdpF: K+-transporting ATPase, F subunit', NULL, 'TIGR02115', NULL, NULL, NULL, 9),
(28062, NULL, 'TIGR04390', NULL, NULL, 'OMP_YaiO_dom: outer membrane protein, YaiO family', NULL, 'TIGR04390', NULL, NULL, NULL, 9),
(28063, NULL, 'TIGR00558', NULL, NULL, 'pdxH: pyridoxamine 5''-phosphate oxidase', NULL, 'TIGR00558', NULL, NULL, NULL, 9),
(28064, NULL, 'TIGR03563', NULL, NULL, 'perox_SACOL1771: peroxiredoxin, SACOL1771 subfamily', NULL, 'TIGR03563', NULL, NULL, NULL, 9),
(28065, NULL, 'TIGR02408', NULL, NULL, 'ectoine_ThpD: ectoine hydroxylase', NULL, 'TIGR02408', NULL, NULL, NULL, 9),
(28066, NULL, 'TIGR01092', NULL, NULL, 'P5CS: delta l-pyrroline-5-carboxylate synthetase', NULL, 'TIGR01092', NULL, NULL, NULL, 9),
(28067, NULL, 'TIGR01439', NULL, NULL, 'lp_hng_hel_AbrB: transcriptional regulator, AbrB family', NULL, 'TIGR01439', NULL, NULL, NULL, 9),
(28068, NULL, 'TIGR03910', NULL, NULL, 'pyrrolys_PylB: pyrrolysine biosynthesis radical SAM protein', NULL, 'TIGR03910', NULL, NULL, NULL, 9),
(28069, NULL, 'TIGR03870', NULL, NULL, 'ABC_MoxJ: methanol oxidation system protein MoxJ', NULL, 'TIGR03870', NULL, NULL, NULL, 9),
(28070, NULL, 'TIGR01425', NULL, NULL, 'SRP54_euk: signal recognition particle protein SRP54', NULL, 'TIGR01425', NULL, NULL, NULL, 9),
(28071, NULL, 'TIGR00865', NULL, NULL, 'bcl-2: apoptosis regulator', NULL, 'TIGR00865', NULL, NULL, NULL, 9),
(28072, NULL, 'TIGR00695', NULL, NULL, 'uxuA: mannonate dehydratase', NULL, 'TIGR00695', NULL, NULL, NULL, 9),
(28073, NULL, 'TIGR04274', NULL, NULL, 'hypoxanDNAglyco: DNA-deoxyinosine glycosylase', NULL, 'TIGR04274', NULL, NULL, NULL, 9),
(28074, NULL, 'TIGR02927', NULL, NULL, 'SucB_Actino: 2-oxoglutarate dehydrogenase, E2 component, dihydrolipoamide succinyltransferase', NULL, 'TIGR02927', NULL, NULL, NULL, 9),
(28075, NULL, 'TIGR03733', NULL, NULL, 'lanti_perm_MutG: lantibiotic protection ABC transporter permease subunit, MutG family', NULL, 'TIGR03733', NULL, NULL, NULL, 9),
(28076, NULL, 'TIGR02231', NULL, NULL, 'TIGR02231: conserved hypothetical protein', NULL, 'TIGR02231', NULL, NULL, NULL, 9),
(28077, NULL, 'TIGR02061', NULL, NULL, 'aprA: adenylylsulfate reductase, alpha subunit', NULL, 'TIGR02061', NULL, NULL, NULL, 9),
(28078, NULL, 'TIGR04444', NULL, NULL, 'chori_FkbO_Hyg5: chorismatase, FkbO/Hyg5 family', NULL, 'TIGR04444', NULL, NULL, NULL, 9),
(28079, NULL, 'TIGR00742', NULL, NULL, 'yjbN: tRNA dihydrouridine synthase A', NULL, 'TIGR00742', NULL, NULL, NULL, 9),
(28080, NULL, 'TIGR03105', NULL, NULL, 'gln_synth_III: glutamine synthetase, type III', NULL, 'TIGR03105', NULL, NULL, NULL, 9),
(28081, NULL, 'TIGR00060', NULL, NULL, 'L18_bact: ribosomal protein uL18', NULL, 'TIGR00060', NULL, NULL, NULL, 9),
(28082, NULL, 'TIGR00395', NULL, NULL, 'leuS_arch: leucine--tRNA ligase', NULL, 'TIGR00395', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28083, NULL, 'TIGR00728', NULL, NULL, 'OPT_sfam: oligopeptide transporter, OPT superfamily', NULL, 'TIGR00728', NULL, NULL, NULL, 9),
(28084, NULL, 'TIGR04260', NULL, NULL, 'Cyano_gly_rpt: rSAM-associated Gly-rich repeat protein', NULL, 'TIGR04260', NULL, NULL, NULL, 9),
(28085, NULL, 'TIGR03747', NULL, NULL, 'conj_TIGR03747: integrating conjugative element membrane protein, PFL_4697 family', NULL, 'TIGR03747', NULL, NULL, NULL, 9),
(28086, NULL, 'TIGR02245', NULL, NULL, 'HAD_IIID1: HAD hydrolase, family IIID', NULL, 'TIGR02245', NULL, NULL, NULL, 9),
(28087, NULL, 'TIGR02422', NULL, NULL, 'protocat_beta: protocatechuate 3,4-dioxygenase, beta subunit', NULL, 'TIGR02422', NULL, NULL, NULL, 9),
(28088, NULL, 'TIGR03924', NULL, NULL, 'T7SS_EccC_a: type VII secretion protein EccCa', NULL, 'TIGR03924', NULL, NULL, NULL, 9),
(28089, NULL, 'TIGR04430', NULL, NULL, 'OM_asym_MlaD: outer membrane lipid asymmetry maintenance protein MlaD', NULL, 'TIGR04430', NULL, NULL, NULL, 9),
(28090, NULL, 'TIGR03577', NULL, NULL, 'EF_0830: conserved hypothetical protein EF_0830/AHA_3911', NULL, 'TIGR03577', NULL, NULL, NULL, 9),
(28091, NULL, 'TIGR01392', NULL, NULL, 'homoserO_Ac_trn: homoserine O-acetyltransferase', NULL, 'TIGR01392', NULL, NULL, NULL, 9),
(28092, NULL, 'TIGR01418', NULL, NULL, 'PEP_synth: phosphoenolpyruvate synthase', NULL, 'TIGR01418', NULL, NULL, NULL, 9),
(28093, NULL, 'TIGR00905', NULL, NULL, '2A0302: transporter, basic amino acid/polyamine antiporter (APA) family', NULL, 'TIGR00905', NULL, NULL, NULL, 9),
(28094, NULL, 'TIGR02075', NULL, NULL, 'pyrH_bact: UMP kinase', NULL, 'TIGR02075', NULL, NULL, NULL, 9),
(28095, NULL, 'TIGR01562', NULL, NULL, 'FdhE: formate dehydrogenase accessory protein FdhE', NULL, 'TIGR01562', NULL, NULL, NULL, 9),
(28096, NULL, 'TIGR04083', NULL, NULL, 'rSAM_pep_methan: putative peptide-modifying radical SAM enzyme, Mhun_1560 family', NULL, 'TIGR04083', NULL, NULL, NULL, 9),
(28097, NULL, 'TIGR02862', NULL, NULL, 'spore_BofA: pro-sigmaK processing inhibitor BofA', NULL, 'TIGR02862', NULL, NULL, NULL, 9),
(28098, NULL, 'TIGR03125', NULL, NULL, 'citrate_citG: triphosphoribosyl-dephospho-CoA synthase CitG', NULL, 'TIGR03125', NULL, NULL, NULL, 9),
(28099, NULL, 'TIGR02982', NULL, NULL, 'heterocyst_DevA: ABC exporter ATP-binding subunit, DevA family', NULL, 'TIGR02982', NULL, NULL, NULL, 9),
(28100, NULL, 'TIGR03005', NULL, NULL, 'ectoine_ehuA: ectoine/hydroxyectoine ABC transporter, ATP-binding protein EhuA', NULL, 'TIGR03005', NULL, NULL, NULL, 9),
(28101, NULL, 'TIGR03380', NULL, NULL, 'agmatine_aguA: agmatine deiminase', NULL, 'TIGR03380', NULL, NULL, NULL, 9),
(28102, NULL, 'TIGR00549', NULL, NULL, 'mevalon_kin: mevalonate kinase', NULL, 'TIGR00549', NULL, NULL, NULL, 9),
(28103, NULL, 'TIGR01290', NULL, NULL, 'nifB: nitrogenase cofactor biosynthesis protein NifB', NULL, 'TIGR01290', NULL, NULL, NULL, 9),
(28104, NULL, 'TIGR02830', NULL, NULL, 'spore_III_AG: stage III sporulation protein AG', NULL, 'TIGR02830', NULL, NULL, NULL, 9),
(28105, NULL, 'TIGR01187', NULL, NULL, 'potA: polyamine ABC transporter, ATP-binding protein', NULL, 'TIGR01187', NULL, NULL, NULL, 9),
(28106, NULL, 'TIGR00740', NULL, NULL, 'TIGR00740: tRNA (cmo5U34)-methyltransferase', NULL, 'TIGR00740', NULL, NULL, NULL, 9),
(28107, NULL, 'TIGR02894', NULL, NULL, 'DNA_bind_RsfA: transcription factor, RsfA family', NULL, 'TIGR02894', NULL, NULL, NULL, 9),
(28108, NULL, 'TIGR04076', NULL, NULL, 'TIGR04076: TIGR04076 family protein', NULL, 'TIGR04076', NULL, NULL, NULL, 9),
(28109, NULL, 'TIGR02639', NULL, NULL, 'ClpA: ATP-dependent Clp protease ATP-binding subunit ClpA', NULL, 'TIGR02639', NULL, NULL, NULL, 9),
(28110, NULL, 'TIGR03157', NULL, NULL, 'cas_Csc2: CRISPR type I-D/CYANO-associated protein Csc2', NULL, 'TIGR03157', NULL, NULL, NULL, 9),
(28111, NULL, 'TIGR01067', NULL, NULL, 'rplN_bact: ribosomal protein uL14', NULL, 'TIGR01067', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28112, NULL, 'TIGR02581', NULL, NULL, 'cas_cyan_RAMP: CRISPR-associated RAMP protein, SSO1426 family', NULL, 'TIGR02581', NULL, NULL, NULL, 9),
(28113, NULL, 'TIGR02326', NULL, NULL, 'transamin_PhnW: 2-aminoethylphosphonate--pyruvate transaminase', NULL, 'TIGR02326', NULL, NULL, NULL, 9),
(28114, NULL, 'TIGR00933', NULL, NULL, '2a38: potassium uptake protein, TrkH family', NULL, 'TIGR00933', NULL, NULL, NULL, 9),
(28115, NULL, 'TIGR00491', NULL, NULL, 'aIF-2: translation initiation factor aIF-2', NULL, 'TIGR00491', NULL, NULL, NULL, 9),
(28116, NULL, 'TIGR03781', NULL, NULL, 'Bac_Flav_CT_K: Bacteroides conjugative transposon TraK protein', NULL, 'TIGR03781', NULL, NULL, NULL, 9),
(28117, NULL, 'TIGR01348', NULL, NULL, 'PDHac_trf_long: dihydrolipoyllysine-residue acetyltransferase', NULL, 'TIGR01348', NULL, NULL, NULL, 9),
(28118, NULL, 'TIGR04416', NULL, NULL, 'group_II_RT_mat: group II intron reverse transcriptase/maturase', NULL, 'TIGR04416', NULL, NULL, NULL, 9),
(28119, NULL, 'TIGR02358', NULL, NULL, 'thia_cytX: putative hydroxymethylpyrimidine transporter CytX', NULL, 'TIGR02358', NULL, NULL, NULL, 9),
(28120, NULL, 'TIGR00268', NULL, NULL, 'TIGR00268: TIGR00268 family protein', NULL, 'TIGR00268', NULL, NULL, NULL, 9),
(28121, NULL, 'TIGR03438', NULL, NULL, 'egtD_ergothio: dimethylhistidine N-methyltransferase', NULL, 'TIGR03438', NULL, NULL, NULL, 9),
(28122, NULL, 'TIGR01691', NULL, NULL, 'enolase-ppase: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', NULL, 'TIGR01691', NULL, NULL, NULL, 9),
(28123, NULL, 'TIGR00236', NULL, NULL, 'wecB: UDP-N-acetylglucosamine 2-epimerase', NULL, 'TIGR00236', NULL, NULL, NULL, 9),
(28124, NULL, 'TIGR01911', NULL, NULL, 'HesB_rel_seleno: HesB-like selenoprotein', NULL, 'TIGR01911', NULL, NULL, NULL, 9),
(28125, NULL, 'TIGR04389', NULL, NULL, 'Lepto_lipo_1: lipoprotein, tandem type', NULL, 'TIGR04389', NULL, NULL, NULL, 9),
(28126, NULL, 'TIGR01099', NULL, NULL, 'galU: UTP--glucose-1-phosphate uridylyltransferase', NULL, 'TIGR01099', NULL, NULL, NULL, 9),
(28127, NULL, 'TIGR01750', NULL, NULL, 'fabZ: beta-hydroxyacyl-(acyl-carrier-protein) dehydratase FabZ', NULL, 'TIGR01750', NULL, NULL, NULL, 9),
(28128, NULL, 'TIGR03719', NULL, NULL, 'ABC_ABC_ChvD: ATP-binding cassette protein, ChvD family', NULL, 'TIGR03719', NULL, NULL, NULL, 9),
(28129, NULL, 'TIGR04448', NULL, NULL, 'creatininase: creatininase', NULL, 'TIGR04448', NULL, NULL, NULL, 9),
(28130, NULL, 'TIGR02519', NULL, NULL, 'pilus_MshL: pilus (MSHA type) biogenesis protein MshL', NULL, 'TIGR02519', NULL, NULL, NULL, 9),
(28131, NULL, 'TIGR03840', NULL, NULL, 'TMPT_Se_Te: thiopurine S-methyltransferase, Se/Te detoxification family', NULL, 'TIGR03840', NULL, NULL, NULL, 9),
(28132, NULL, 'TIGR03189', NULL, NULL, 'dienoyl_CoA_hyt: cyclohexa-1,5-dienecarbonyl-CoA hydratase', NULL, 'TIGR03189', NULL, NULL, NULL, 9),
(28133, NULL, 'TIGR01852', NULL, NULL, 'lipid_A_lpxA: acyl-[acyl-carrier-protein]-UDP-N-acetylglucosamine O-acyltransferase', NULL, 'TIGR01852', NULL, NULL, NULL, 9),
(28134, NULL, 'TIGR02490', NULL, NULL, 'flgF: flagellar basal-body rod protein FlgF', NULL, 'TIGR02490', NULL, NULL, NULL, 9),
(28135, NULL, 'TIGR03992', NULL, NULL, 'Arch_glmU: UDP-N-acetylglucosamine diphosphorylase/glucosamine-1-phosphate N-acetyltransferase', NULL, 'TIGR03992', NULL, NULL, NULL, 9),
(28136, NULL, 'TIGR02045', NULL, NULL, 'P_fruct_ADP: ADP-specific phosphofructokinase', NULL, 'TIGR02045', NULL, NULL, NULL, 9),
(28137, NULL, 'TIGR00025', NULL, NULL, 'Mtu_efflux: ABC transporter efflux protein, DrrB family', NULL, 'TIGR00025', NULL, NULL, NULL, 9),
(28138, NULL, 'TIGR01782', NULL, NULL, 'TonB-Xanth-Caul: TonB-dependent receptor', NULL, 'TIGR01782', NULL, NULL, NULL, 9),
(28139, NULL, 'TIGR00057', NULL, NULL, 'TIGR00057: tRNA threonylcarbamoyl adenosine modification protein, Sua5/YciO/YrdC/YwlC family', NULL, 'TIGR00057', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28140, NULL, 'TIGR04460', NULL, NULL, 'endura_MppR: enduracididine biosynthesis enzyme MppR', NULL, 'TIGR04460', NULL, NULL, NULL, 9),
(28141, NULL, 'TIGR02077', NULL, NULL, 'thr_lead_pep: thr operon leader peptide', NULL, 'TIGR02077', NULL, NULL, NULL, 9),
(28142, NULL, 'TIGR01820', NULL, NULL, 'TrpE-arch: anthranilate synthase component I', NULL, 'TIGR01820', NULL, NULL, NULL, 9),
(28143, NULL, 'TIGR03529', NULL, NULL, 'GldK_short: gliding motility-associated lipoprotein GldK', NULL, 'TIGR03529', NULL, NULL, NULL, 9),
(28144, NULL, 'TIGR00280', NULL, NULL, 'eL43_euk_arch: ribosomal protein eL43', NULL, 'TIGR00280', NULL, NULL, NULL, 9),
(28145, NULL, 'TIGR01407', NULL, NULL, 'dinG_rel: putative DnaQ family exonuclease/DinG family helicase', NULL, 'TIGR01407', NULL, NULL, NULL, 9),
(28146, NULL, 'TIGR03974', NULL, NULL, 'rSAM_six_Cys: SCIFF radical SAM maturase', NULL, 'TIGR03974', NULL, NULL, NULL, 9),
(28147, NULL, 'TIGR00089', NULL, NULL, 'TIGR00089: radical SAM methylthiotransferase, MiaB/RimO family', NULL, 'TIGR00089', NULL, NULL, NULL, 9),
(28148, NULL, 'TIGR04328', NULL, NULL, 'cas4_PREFRAN: CRISPR-associated protein Cas4, subtype PREFRAN', NULL, 'TIGR04328', NULL, NULL, NULL, 9),
(28149, NULL, 'TIGR02027', NULL, NULL, 'rpoA: DNA-directed RNA polymerase, alpha subunit', NULL, 'TIGR02027', NULL, NULL, NULL, 9),
(28150, NULL, 'TIGR00901', NULL, NULL, '2A0125: AmpG-like permease', NULL, 'TIGR00901', NULL, NULL, NULL, 9),
(28151, NULL, 'TIGR01630', NULL, NULL, 'psiM2_ORF9: phage uncharacterized protein, C-terminal domain', NULL, 'TIGR01630', NULL, NULL, NULL, 9),
(28152, NULL, 'TIGR04518', NULL, NULL, 'ECF_S_folT_fam: ECF transporter S component, folate family', NULL, 'TIGR04518', NULL, NULL, NULL, 9),
(28153, NULL, 'TIGR04269', NULL, NULL, 'SAM_SPASM_FxsB: radical SAM/SPASM domain protein, FxsB family', NULL, 'TIGR04269', NULL, NULL, NULL, 9),
(28154, NULL, 'TIGR02197', NULL, NULL, 'heptose_epim: ADP-glyceromanno-heptose 6-epimerase', NULL, 'TIGR02197', NULL, NULL, NULL, 9),
(28155, NULL, 'TIGR00608', NULL, NULL, 'radc: DNA repair protein RadC', NULL, 'TIGR00608', NULL, NULL, NULL, 9),
(28156, NULL, 'TIGR01527', NULL, NULL, 'arch_NMN_Atrans: nicotinamide-nucleotide adenylyltransferase', NULL, 'TIGR01527', NULL, NULL, NULL, 9),
(28157, NULL, 'TIGR04015', NULL, NULL, 'WcaC: colanic acid biosynthesis glycosyltransferase WcaC', NULL, 'TIGR04015', NULL, NULL, NULL, 9),
(28158, NULL, 'TIGR00338', NULL, NULL, 'serB: phosphoserine phosphatase SerB', NULL, 'TIGR00338', NULL, NULL, NULL, 9),
(28159, NULL, 'TIGR01571', NULL, NULL, 'A_thal_Cys_rich: uncharacterized Cys-rich domain', NULL, 'TIGR01571', NULL, NULL, NULL, 9),
(28160, NULL, 'TIGR01126', NULL, NULL, 'pdi_dom: protein disulfide-isomerase domain', NULL, 'TIGR01126', NULL, NULL, NULL, 9),
(28161, NULL, 'TIGR01278', NULL, NULL, 'DPOR_BchB: light-independent protochlorophyllide reductase, B subunit', NULL, 'TIGR01278', NULL, NULL, NULL, 9),
(28162, NULL, 'TIGR00561', NULL, NULL, 'pntA: NAD(P)(+) transhydrogenase (AB-specific), alpha subunit', NULL, 'TIGR00561', NULL, NULL, NULL, 9),
(28163, NULL, 'TIGR03259', NULL, NULL, 'met_CoM_red_gam: methyl-coenzyme M reductase, gamma subunit', NULL, 'TIGR03259', NULL, NULL, NULL, 9),
(28164, NULL, 'TIGR03488', NULL, NULL, 'cas_Cas5p: CRISPR-associated protein Cas5, subtype PGING', NULL, 'TIGR03488', NULL, NULL, NULL, 9),
(28165, NULL, 'TIGR02308', NULL, NULL, 'RNA_lig_T4_1: RNA ligase, T4 RnlA family', NULL, 'TIGR02308', NULL, NULL, NULL, 9),
(28166, NULL, 'TIGR00790', NULL, NULL, 'fnt: formate/nitrite transporter', NULL, 'TIGR00790', NULL, NULL, NULL, 9),
(28167, NULL, 'TIGR03318', NULL, NULL, 'YdfZ_fam: putative selenium-binding protein YdfZ', NULL, 'TIGR03318', NULL, NULL, NULL, 9),
(28168, NULL, 'TIGR03482', NULL, NULL, 'DMSO_red_II_cha: DMSO reductase family type II enzyme chaperone', NULL, 'TIGR03482', NULL, NULL, NULL, 9),
(28169, NULL, 'TIGR03023', NULL, NULL, 'WcaJ_sugtrans: undecaprenyl-phosphate glucose phosphotransferase', NULL, 'TIGR03023', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28170, NULL, 'TIGR03822', NULL, NULL, 'AblA_like_2: lysine-2,3-aminomutase-related protein', NULL, 'TIGR03822', NULL, NULL, NULL, 9),
(28171, NULL, 'TIGR00116', NULL, NULL, 'tsf: translation elongation factor Ts', NULL, 'TIGR00116', NULL, NULL, NULL, 9),
(28172, NULL, 'TIGR01035', NULL, NULL, 'hemA: glutamyl-tRNA reductase', NULL, 'TIGR01035', NULL, NULL, NULL, 9),
(28173, NULL, 'TIGR01559', NULL, NULL, 'squal_synth: farnesyl-diphosphate farnesyltransferase', NULL, 'TIGR01559', NULL, NULL, NULL, 9),
(28174, NULL, 'TIGR04237', NULL, NULL, 'seadorna_VP9: seadornavirus/coltivirus VP9 protein', NULL, 'TIGR04237', NULL, NULL, NULL, 9),
(28175, NULL, 'TIGR02792', NULL, NULL, 'PCA_ligA: protocatechuate 4,5-dioxygenase, alpha subunit', NULL, 'TIGR02792', NULL, NULL, NULL, 9),
(28176, NULL, 'TIGR00599', NULL, NULL, 'rad18: DNA repair protein rad18', NULL, 'TIGR00599', NULL, NULL, NULL, 9),
(28177, NULL, 'TIGR00722', NULL, NULL, 'ttdA_fumA_fumB: hydrolyase, tartrate alpha subunit/fumarate domain protein, Fe-S type', NULL, 'TIGR00722', NULL, NULL, NULL, 9),
(28178, NULL, 'TIGR01360', NULL, NULL, 'aden_kin_iso1: adenylate kinase', NULL, 'TIGR01360', NULL, NULL, NULL, 9),
(28179, NULL, 'TIGR00479', NULL, NULL, 'rumA: 23S rRNA (uracil-5-)-methyltransferase RumA', NULL, 'TIGR00479', NULL, NULL, NULL, 9),
(28180, NULL, 'TIGR01480', NULL, NULL, 'copper_res_A: copper-resistance protein, CopA family', NULL, 'TIGR01480', NULL, NULL, NULL, 9),
(28181, NULL, 'TIGR04507', NULL, NULL, 'fluorinase: adenosyl-fluoride synthase', NULL, 'TIGR04507', NULL, NULL, NULL, 9),
(28182, NULL, 'TIGR02537', NULL, NULL, 'arch_flag_Nterm: archaeal flagellin N-terminal-like domain', NULL, 'TIGR02537', NULL, NULL, NULL, 9),
(28183, NULL, 'TIGR02569', NULL, NULL, 'TIGR02569_actnb: TIGR02569 family protein', NULL, 'TIGR02569', NULL, NULL, NULL, 9),
(28184, NULL, 'TIGR04058', NULL, NULL, 'AcACP_reductase: long-chain fatty acyl-ACP reductase (aldehyde-forming)', NULL, 'TIGR04058', NULL, NULL, NULL, 9),
(28185, NULL, 'TIGR03087', NULL, NULL, 'stp1: sugar transferase, PEP-CTERM/EpsH1 system associated', NULL, 'TIGR03087', NULL, NULL, NULL, 9),
(28186, NULL, 'TIGR00994', NULL, NULL, '3a0901s05TIC20: chloroplast protein import component, Tic20 family', NULL, 'TIGR00994', NULL, NULL, NULL, 9),
(28187, NULL, 'TIGR00014', NULL, NULL, 'arsC: arsenate reductase (glutaredoxin)', NULL, 'TIGR00014', NULL, NULL, NULL, 9),
(28188, NULL, 'TIGR00670', NULL, NULL, 'asp_carb_tr: aspartate carbamoyltransferase', NULL, 'TIGR00670', NULL, NULL, NULL, 9),
(28189, NULL, 'TIGR03227', NULL, NULL, 'PhnS: 2-aminoethylphosphonate ABC transporter, 2-aminoethylphosphonate binding protein', NULL, 'TIGR03227', NULL, NULL, NULL, 9),
(28190, NULL, 'TIGR03368', NULL, NULL, 'cellulose_yhjU: cellulose synthase operon protein YhjU', NULL, 'TIGR03368', NULL, NULL, NULL, 9),
(28191, NULL, 'TIGR02256', NULL, NULL, 'ICE_VC0181: conserved hypothetical protein', NULL, 'TIGR02256', NULL, NULL, NULL, 9),
(28192, NULL, 'TIGR00842', NULL, NULL, 'bcct: transporter, betaine/carnitine/choline transporter (BCCT) family', NULL, 'TIGR00842', NULL, NULL, NULL, 9),
(28193, NULL, 'TIGR04346', NULL, NULL, 'DotA_TraY: conjugal transfer/type IV secretion protein DotA/TraY', NULL, 'TIGR04346', NULL, NULL, NULL, 9),
(28194, NULL, 'TIGR03828', NULL, NULL, 'pfkB: 1-phosphofructokinase', NULL, 'TIGR03828', NULL, NULL, NULL, 9),
(28195, NULL, 'TIGR04226', NULL, NULL, 'RrgB_K2N_iso_D2: fimbrial isopeptide formation D2 domain', NULL, 'TIGR04226', NULL, NULL, NULL, 9),
(28196, NULL, 'TIGR01738', NULL, NULL, 'bioH: pimelyl-[acyl-carrier protein] methyl ester esterase', NULL, 'TIGR01738', NULL, NULL, NULL, 9),
(28197, NULL, 'TIGR01993', NULL, NULL, 'Pyr-5-nucltdase: pyrimidine 5''-nucleotidase', NULL, 'TIGR01993', NULL, NULL, NULL, 9),
(28198, NULL, 'TIGR01289', NULL, NULL, 'LPOR: light-dependent protochlorophyllide reductase', NULL, 'TIGR01289', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28199, NULL, 'TIGR00831', NULL, NULL, 'a_cpa1: Na+/H+ antiporter', NULL, 'TIGR00831', NULL, NULL, NULL, 9),
(28200, NULL, 'TIGR01986', NULL, NULL, 'glut_syn_euk: glutathione synthetase', NULL, 'TIGR01986', NULL, NULL, NULL, 9),
(28201, NULL, 'TIGR03883', NULL, NULL, 'DUF2342_F420: uncharacterized protein, coenzyme F420 biosynthesis associated', NULL, 'TIGR03883', NULL, NULL, NULL, 9),
(28202, NULL, 'TIGR02921', NULL, NULL, 'PEP_integral: PEP-CTERM family integral membrane protein', NULL, 'TIGR02921', NULL, NULL, NULL, 9),
(28203, NULL, 'TIGR03611', NULL, NULL, 'RutD: pyrimidine utilization protein D', NULL, 'TIGR03611', NULL, NULL, NULL, 9),
(28204, NULL, 'TIGR02964', NULL, NULL, 'xanthine_xdhC: xanthine dehydrogenase accessory protein XdhC', NULL, 'TIGR02964', NULL, NULL, NULL, 9),
(28205, NULL, 'TIGR04219', NULL, NULL, 'OMP_w_GlyGly: outer membrane protein', NULL, 'TIGR04219', NULL, NULL, NULL, 9),
(28206, NULL, 'TIGR00134', NULL, NULL, 'gatE_arch: glutamyl-tRNA(Gln) amidotransferase, subunit E', NULL, 'TIGR00134', NULL, NULL, NULL, 9),
(28207, NULL, 'TIGR01521', NULL, NULL, 'FruBisAldo_II_B: fructose-bisphosphate aldolase, class II, Calvin cycle subtype', NULL, 'TIGR01521', NULL, NULL, NULL, 9),
(28208, NULL, 'TIGR03427', NULL, NULL, 'ABC_peri_uca: ABC transporter periplasmic binding protein, urea carboxylase region', NULL, 'TIGR03427', NULL, NULL, NULL, 9),
(28209, NULL, 'TIGR04065', NULL, NULL, 'ocin_CLI_3235: putative bacteriocin precursor, CLI_3235 family', NULL, 'TIGR04065', NULL, NULL, NULL, 9),
(28210, NULL, 'TIGR01922', NULL, NULL, 'purO_arch: IMP cyclohydrolase', NULL, 'TIGR01922', NULL, NULL, NULL, 9),
(28211, NULL, 'TIGR02440', NULL, NULL, 'FadJ: fatty oxidation complex, alpha subunit FadJ', NULL, 'TIGR02440', NULL, NULL, NULL, 9),
(28212, NULL, 'TIGR00127', NULL, NULL, 'nadp_idh_euk: isocitrate dehydrogenase, NADP-dependent', NULL, 'TIGR00127', NULL, NULL, NULL, 9),
(28213, NULL, 'TIGR00819', NULL, NULL, 'ydaH: AbgT transporter family', NULL, 'TIGR00819', NULL, NULL, NULL, 9),
(28214, NULL, 'TIGR01457', NULL, NULL, 'HAD-SF-IIA-hyp2: HAD hydrolase, TIGR01457 family', NULL, 'TIGR01457', NULL, NULL, NULL, 9),
(28215, NULL, 'TIGR02095', NULL, NULL, 'glgA: glycogen/starch synthase, ADP-glucose type', NULL, 'TIGR02095', NULL, NULL, NULL, 9),
(28216, NULL, 'TIGR03720', NULL, NULL, 'exospor_lead: exosporium leader peptide', NULL, 'TIGR03720', NULL, NULL, NULL, 9),
(28217, NULL, 'TIGR03942', NULL, NULL, 'sulfatase_rSAM: anaerobic sulfatase maturase', NULL, 'TIGR03942', NULL, NULL, NULL, 9),
(28218, NULL, 'TIGR04167', NULL, NULL, 'rSAM_SeCys: radical SAM/Cys-rich domain protein', NULL, 'TIGR04167', NULL, NULL, NULL, 9),
(28219, NULL, 'TIGR01629', NULL, NULL, 'rep_II_X: phage/plasmid replication protein, gene II/X family', NULL, 'TIGR01629', NULL, NULL, NULL, 9),
(28220, NULL, 'TIGR04117', NULL, NULL, 'Syntroph_Cxxx: Cys-Xaa-Xaa-Xaa repeat radical SAM target protein', NULL, 'TIGR04117', NULL, NULL, NULL, 9),
(28221, NULL, 'TIGR02683', NULL, NULL, 'upstrm_HI1419: putative addiction module killer protein', NULL, 'TIGR02683', NULL, NULL, NULL, 9),
(28222, NULL, 'TIGR00007', NULL, NULL, 'TIGR00007: 1-(5-phosphoribosyl)-5-[(5-phosphoribosylamino)methylideneamino]imidazole-4-carboxamide isomerase', NULL, 'TIGR00007', NULL, NULL, NULL, 9),
(28223, NULL, 'TIGR02971', NULL, NULL, 'heterocyst_DevB: ABC exporter membrane fusion protein, DevB family', NULL, 'TIGR02971', NULL, NULL, NULL, 9),
(28224, NULL, 'TIGR01700', NULL, NULL, 'PNPH: purine nucleoside phosphorylase I, inosine and guanosine-specific', NULL, 'TIGR01700', NULL, NULL, NULL, 9),
(28225, NULL, 'TIGR01884', NULL, NULL, 'cas_HTH: CRISPR locus-related DNA-binding protein', NULL, 'TIGR01884', NULL, NULL, NULL, 9),
(28226, NULL, 'TIGR02428', NULL, NULL, 'pcaJ_scoB_fam: 3-oxoacid CoA-transferase, B subunit', NULL, 'TIGR02428', NULL, NULL, NULL, 9),
(28227, NULL, 'TIGR00939', NULL, NULL, '2a57: nucleoside Transporter', NULL, 'TIGR00939', NULL, NULL, NULL, 9);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28228, NULL, 'TIGR03890', NULL, NULL, 'nif11_cupin: nif11 domain/cupin domain protein', NULL, 'TIGR03890', NULL, NULL, NULL, 9),
(28229, NULL, 'TIGR00382', NULL, NULL, 'clpX: ATP-dependent Clp protease, ATP-binding subunit ClpX', NULL, 'TIGR00382', NULL, NULL, NULL, 9),
(28230, NULL, 'TIGR01509', NULL, NULL, 'HAD-SF-IA-v3: HAD hydrolase, family IA, variant 3', NULL, 'TIGR01509', NULL, NULL, NULL, 9),
(28231, NULL, 'TIGR04287', NULL, NULL, 'exosort_XrtK: exosortase K', NULL, 'TIGR04287', NULL, NULL, NULL, 9),
(28232, NULL, 'TIGR02206', NULL, NULL, 'intg_mem_TP0381: conserved hypothetical integral membrane protein TIGR02206', NULL, 'TIGR02206', NULL, NULL, NULL, 9),
(28233, NULL, 'TIGR03708', NULL, NULL, 'poly_P_AMP_trns: polyphosphate:AMP phosphotransferase', NULL, 'TIGR03708', NULL, NULL, NULL, 9),
(28234, NULL, 'TIGR01641', NULL, NULL, 'phageSPP1_gp7: phage head morphogenesis protein, SPP1 gp7 family', NULL, 'TIGR01641', NULL, NULL, NULL, 9),
(28235, NULL, 'TIGR00198', NULL, NULL, 'cat_per_HPI: catalase/peroxidase HPI', NULL, 'TIGR00198', NULL, NULL, NULL, 9),
(28236, NULL, 'TIGR03661', NULL, NULL, 'T1SS_VCA0849: type I secretion C-terminal target domain (VC_A0849 subclass)', NULL, 'TIGR03661', NULL, NULL, NULL, 9),
(28237, NULL, 'TIGR01398', NULL, NULL, 'FlhA: flagellar biosynthesis protein FlhA', NULL, 'TIGR01398', NULL, NULL, NULL, 9),
(28238, NULL, 'TIGR00538', NULL, NULL, 'hemN: oxygen-independent coproporphyrinogen III oxidase', NULL, 'TIGR00538', NULL, NULL, NULL, 9),
(28239, NULL, 'TIGR01228', NULL, NULL, 'hutU: urocanate hydratase', NULL, 'TIGR01228', NULL, NULL, NULL, 9),
(28240, NULL, 'TIGR04339', NULL, NULL, 'PQQ_MSMEG_3727: PQQ system protein', NULL, 'TIGR04339', NULL, NULL, NULL, 9),
(28241, NULL, 'TIGR01169', NULL, NULL, 'rplA_bact: ribosomal protein uL1', NULL, 'TIGR01169', NULL, NULL, NULL, 9),
(28242, NULL, 'TIGR00951', NULL, NULL, '2A43: lysosomal Cystine Transporter', NULL, 'TIGR00951', NULL, NULL, NULL, 9),
(28243, NULL, 'TIGR02435', NULL, NULL, 'CobG: precorrin-3B synthase', NULL, 'TIGR02435', NULL, NULL, NULL, 9),
(28244, NULL, 'TIGR02088', NULL, NULL, 'LEU3_arch: isopropylmalate/isohomocitrate dehydrogenases', NULL, 'TIGR02088', NULL, NULL, NULL, 9),
(28245, NULL, 'TIGR04070', NULL, NULL, 'photo_TT_lyase: spore photoproduct lyase', NULL, 'TIGR04070', NULL, NULL, NULL, 9),
(28246, NULL, 'TIGR00663', NULL, NULL, 'dnan: DNA polymerase III, beta subunit', NULL, 'TIGR00663', NULL, NULL, NULL, 9),
(28247, NULL, 'TIGR04410', NULL, NULL, 'Spiro_T2SS_lipo: type II secretion system-associated lipoprotein', NULL, 'TIGR04410', NULL, NULL, NULL, 9),
(28248, NULL, 'TIGR01176', NULL, NULL, 'fum_red_Fp: fumarate reductase (quinol), flavoprotein subunit', NULL, 'TIGR01176', NULL, NULL, NULL, 9),
(28249, NULL, 'TIGR02147', NULL, NULL, 'Fsuc_second: TIGR02147 family protein', NULL, 'TIGR02147', NULL, NULL, NULL, 9),
(28250, NULL, 'TIGR03649', NULL, NULL, 'ergot_EASG: ergot alkaloid biosynthesis protein, AFUA_2G17970 family', NULL, 'TIGR03649', NULL, NULL, NULL, 9),
(28251, NULL, 'TIGR00892', NULL, NULL, '2A0113: monocarboxylate transporter', NULL, 'TIGR00892', NULL, NULL, NULL, 9),
(28252, NULL, 'TIGR01430', NULL, NULL, 'aden_deam: adenosine deaminase', NULL, 'TIGR01430', NULL, NULL, NULL, 9),
(28253, NULL, 'TIGR03865', NULL, NULL, 'PQQ_CXXCW: PQQ-dependent catabolism-associated CXXCW motif protein', NULL, 'TIGR03865', NULL, NULL, NULL, 9),
(28254, NULL, 'TIGR04128', NULL, NULL, 'exoso_Fjoh_1448: exosortase family protein XrtF', NULL, 'TIGR04128', NULL, NULL, NULL, 9),
(28255, NULL, 'TIGR01310', NULL, NULL, 'uL30_euk: 60S ribosomal protein uL30', NULL, 'TIGR01310', NULL, NULL, NULL, 9),
(28256, NULL, 'TIGR03985', NULL, NULL, 'TIGR03985: CRISPR-associated protein, TIGR03985 family', NULL, 'TIGR03985', NULL, NULL, NULL, 9),
(28257, NULL, 'TIGR04008', NULL, NULL, 'WcaF: colanic acid biosynthesis acetyltransferase WcaF', NULL, 'TIGR04008', NULL, NULL, NULL, 9);           
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28258, NULL, 'TIGR01949', NULL, NULL, 'AroFGH_arch: predicted phospho-2-dehydro-3-deoxyheptonate aldolase', NULL, 'TIGR01949', NULL, NULL, NULL, 9),
(28259, NULL, 'TIGR02038', NULL, NULL, 'protease_degS: periplasmic serine peptidase DegS', NULL, 'TIGR02038', NULL, NULL, NULL, 9),
(28260, NULL, 'TIGR04351', NULL, NULL, 'TOMM_nitrile_2: putative TOMM peptide', NULL, 'TIGR04351', NULL, NULL, NULL, 9),
(28261, NULL, 'TIGR01895', NULL, NULL, 'cas_Cas5t: CRISPR-associated protein Cas5, subtype I-B/TNEAP', NULL, 'TIGR01895', NULL, NULL, NULL, 9),
(28262, NULL, 'TIGR03400', NULL, NULL, '18S_RNA_Rcl1p: 18S rRNA biogenesis protein RCL1', NULL, 'TIGR03400', NULL, NULL, NULL, 9),
(28263, NULL, 'TIGR02154', NULL, NULL, 'PhoB: phosphate regulon transcriptional regulatory protein PhoB', NULL, 'TIGR02154', NULL, NULL, NULL, 9),
(28264, NULL, 'TIGR02261', NULL, NULL, 'benz_CoA_red_D: benzoyl-CoA reductase, subunit D', NULL, 'TIGR02261', NULL, NULL, NULL, 9),
(28265, NULL, 'TIGR02914', NULL, NULL, 'EpsI_fam: EpsI family protein', NULL, 'TIGR02914', NULL, NULL, NULL, 9),
(28266, NULL, 'TIGR00225', NULL, NULL, 'prc: C-terminal processing peptidase', NULL, 'TIGR00225', NULL, NULL, NULL, 9),
(28267, NULL, 'TIGR04190', NULL, NULL, 'B12_SAM_Ta0216: B12-binding domain/radical SAM domain protein, Ta0216 family', NULL, 'TIGR04190', NULL, NULL, NULL, 9),
(28268, NULL, 'TIGR04244', NULL, NULL, 'nitrous_NosZ_RR: nitrous-oxide reductase, TAT-dependent', NULL, 'TIGR04244', NULL, NULL, NULL, 9),
(28269, NULL, 'TIGR03833', NULL, NULL, 'TIGR03833: conserved hypothetical protein', NULL, 'TIGR03833', NULL, NULL, NULL, 9),
(28270, NULL, 'TIGR00171', NULL, NULL, 'leuD: 3-isopropylmalate dehydratase, small subunit', NULL, 'TIGR00171', NULL, NULL, NULL, 9),
(28271, NULL, 'TIGR02315', NULL, NULL, 'ABC_phnC: phosphonate ABC transporter, ATP-binding protein', NULL, 'TIGR02315', NULL, NULL, NULL, 9),
(28272, NULL, 'TIGR03520', NULL, NULL, 'GldE: gliding motility-associated protein GldE', NULL, 'TIGR03520', NULL, NULL, NULL, 9),
(28273, NULL, 'TIGR03329', NULL, NULL, 'Phn_aa_oxid: putative aminophosphonate oxidoreductase', NULL, 'TIGR03329', NULL, NULL, NULL, 9),
(28274, NULL, 'TIGR01239', NULL, NULL, 'galT_2: galactose-1-phosphate uridylyltransferase', NULL, 'TIGR01239', NULL, NULL, NULL, 9),
(28275, NULL, 'TIGR00631', NULL, NULL, 'uvrb: excinuclease ABC subunit B', NULL, 'TIGR00631', NULL, NULL, NULL, 9),
(28276, NULL, 'TIGR04396', NULL, NULL, 'surf_polysacc: surface carbohydrate biosynthesis protein', NULL, 'TIGR04396', NULL, NULL, NULL, 9),
(28277, NULL, 'TIGR00511', NULL, NULL, 'ribulose_e2b2: ribose-1,5-bisphosphate isomerase, e2b2 family', NULL, 'TIGR00511', NULL, NULL, NULL, 9),
(28278, NULL, 'TIGR02574', NULL, NULL, 'stabl_TIGR02574: putative addiction module component, TIGR02574 family', NULL, 'TIGR02574', NULL, NULL, NULL, 9),
(28279, NULL, 'TIGR03209', NULL, NULL, 'P21_Cbot: transcriptional regulator BotR, P-21', NULL, 'TIGR03209', NULL, NULL, NULL, 9),
(28280, NULL, 'TIGR00976', NULL, NULL, '/NonD: hydrolase CocE/NonD family protein', NULL, 'TIGR00976', NULL, NULL, NULL, 9),
(28281, NULL, 'TIGR03234', NULL, NULL, 'OH-pyruv-isom: hydroxypyruvate isomerase', NULL, 'TIGR03234', NULL, NULL, NULL, 9),
(28282, NULL, 'TIGR02721', NULL, NULL, 'ycfN_thiK: thiamine kinase', NULL, 'TIGR02721', NULL, NULL, NULL, 9),
(28283, NULL, 'TIGR01119', NULL, NULL, 'lacB: galactose-6-phosphate isomerase, LacB subunit', NULL, 'TIGR01119', NULL, NULL, NULL, 9),
(28284, NULL, 'TIGR01891', NULL, NULL, 'amidohydrolases: amidohydrolase', NULL, 'TIGR01891', NULL, NULL, NULL, 9),
(28285, NULL, 'TIGR01904', NULL, NULL, 'GSu_C4xC__C2xCH: Geobacter sulfurreducens CxxxxCH...CXXCH domain', NULL, 'TIGR01904', NULL, NULL, NULL, 9),
(28286, NULL, 'TIGR00229', NULL, NULL, 'sensory_box: PAS domain S-box protein', NULL, 'TIGR00229', NULL, NULL, NULL, 9),
(28287, NULL, 'TIGR01462', NULL, NULL, 'greA: transcription elongation factor GreA', NULL, 'TIGR01462', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28288, NULL, 'TIGR00291', NULL, NULL, 'RNA_SBDS: rRNA metabolism protein, SBDS family', NULL, 'TIGR00291', NULL, NULL, NULL, 9),
(28289, NULL, 'TIGR00658', NULL, NULL, 'orni_carb_tr: ornithine carbamoyltransferase', NULL, 'TIGR00658', NULL, NULL, NULL, 9),
(28290, NULL, 'TIGR01829', NULL, NULL, 'AcAcCoA_reduct: acetoacetyl-CoA reductase', NULL, 'TIGR01829', NULL, NULL, NULL, 9),
(28291, NULL, 'TIGR01387', NULL, NULL, 'cztR_silR_copR: heavy metal response regulator', NULL, 'TIGR01387', NULL, NULL, NULL, 9),
(28292, NULL, 'TIGR04124', NULL, NULL, 'archaeo_artE: archaeosortase family protein ArtE', NULL, 'TIGR04124', NULL, NULL, NULL, 9),
(28293, NULL, 'TIGR03477', NULL, NULL, 'DMSO_red_II_gam: DMSO reductase family type II enzyme, heme b subunit', NULL, 'TIGR03477', NULL, NULL, NULL, 9),
(28294, NULL, 'TIGR03981', NULL, NULL, 'SAM_quin_mod: His-Xaa-Ser system putative quinone modification maturase', NULL, 'TIGR03981', NULL, NULL, NULL, 9),
(28295, NULL, 'TIGR02381', NULL, NULL, 'cspD: cold shock domain protein CspD', NULL, 'TIGR02381', NULL, NULL, NULL, 9),
(28296, NULL, 'TIGR03919', NULL, NULL, 'T7SS_EccB: type VII secretion protein EccB', NULL, 'TIGR03919', NULL, NULL, NULL, 9),
(28297, NULL, 'TIGR02748', NULL, NULL, 'GerC3_HepT: heptaprenyl diphosphate synthase component II', NULL, 'TIGR02748', NULL, NULL, NULL, 9),
(28298, NULL, 'TIGR03547', NULL, NULL, 'muta_rot_YjhT: mutatrotase, YjhT family', NULL, 'TIGR03547', NULL, NULL, NULL, 9),
(28299, NULL, 'TIGR01802', NULL, NULL, 'CM_pl-yst: chorismate mutase', NULL, 'TIGR01802', NULL, NULL, NULL, 9),
(28300, NULL, 'TIGR01042', NULL, NULL, 'V-ATPase_V1_A: V-type ATPase, A subunit', NULL, 'TIGR01042', NULL, NULL, NULL, 9),
(28301, NULL, 'TIGR03579', NULL, NULL, 'EF_0833: conserved hypothetical protein EF_0833/AHA_3914', NULL, 'TIGR03579', NULL, NULL, NULL, 9),
(28302, NULL, 'TIGR04530', NULL, NULL, 'hemophoreRv0203: hemophore', NULL, 'TIGR04530', NULL, NULL, NULL, 9),
(28303, NULL, 'TIGR00556', NULL, NULL, 'pantethn_trn: phosphopantetheine--protein transferase domain', NULL, 'TIGR00556', NULL, NULL, NULL, 9),
(28304, NULL, 'TIGR03770', NULL, NULL, 'anch_rpt_perm: anchored repeat-type ABC transporter, permease subunit', NULL, 'TIGR03770', NULL, NULL, NULL, 9),
(28305, NULL, 'TIGR01028', NULL, NULL, 'uS7_euk_arch: ribosomal protein uS7', NULL, 'TIGR01028', NULL, NULL, NULL, 9),
(28306, NULL, 'TIGR03325', NULL, NULL, 'BphB_TodD: cis-2,3-dihydrobiphenyl-2,3-diol dehydrogenase', NULL, 'TIGR03325', NULL, NULL, NULL, 9),
(28307, NULL, 'TIGR03271', NULL, NULL, 'methan_mark_5: putative methanogenesis marker protein 5', NULL, 'TIGR03271', NULL, NULL, NULL, 9),
(28308, NULL, 'TIGR00881', NULL, NULL, '2A0104: phosphoglycerate transporter family protein', NULL, 'TIGR00881', NULL, NULL, NULL, 9),
(28309, NULL, 'TIGR02472', NULL, NULL, 'sucr_P_syn_N: sucrose-phosphate synthase, putative, glycosyltransferase domain', NULL, 'TIGR02472', NULL, NULL, NULL, 9),
(28310, NULL, 'TIGR00436', NULL, NULL, 'era: GTP-binding protein Era', NULL, 'TIGR00436', NULL, NULL, NULL, 9),
(28311, NULL, 'TIGR00109', NULL, NULL, 'hemH: ferrochelatase', NULL, 'TIGR00109', NULL, NULL, NULL, 9),
(28312, NULL, 'TIGR00613', NULL, NULL, 'reco: DNA repair protein RecO', NULL, 'TIGR00613', NULL, NULL, NULL, 9),
(28313, NULL, 'TIGR00765', NULL, NULL, 'yihY_not_rbn: YihY family inner membrane protein', NULL, 'TIGR00765', NULL, NULL, NULL, 9),
(28314, NULL, 'TIGR03391', NULL, NULL, 'FeS_syn_CsdE: cysteine desulfurase, sulfur acceptor subunit CsdE', NULL, 'TIGR03391', NULL, NULL, NULL, 9),
(28315, NULL, 'TIGR03114', NULL, NULL, 'cas8u_csf1: CRISPR type AFERR-associated protein Csf1', NULL, 'TIGR03114', NULL, NULL, NULL, 9),
(28316, NULL, 'TIGR03699', NULL, NULL, 'menaquin_MqnC: dehypoxanthine futalosine cyclase', NULL, 'TIGR03699', NULL, NULL, NULL, 9),
(28317, NULL, 'TIGR02601', NULL, NULL, 'autotrns_rpt: autotransporter-associated beta strand repeat', NULL, 'TIGR02601', NULL, NULL, NULL, 9);  
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28318, NULL, 'TIGR00300', NULL, NULL, 'TIGR00300: TIGR00300 family protein', NULL, 'TIGR00300', NULL, NULL, NULL, 9),
(28319, NULL, 'TIGR01355', NULL, NULL, 'cyt_deam_dimer: cytidine deaminase', NULL, 'TIGR01355', NULL, NULL, NULL, 9),
(28320, NULL, 'TIGR04033', NULL, NULL, 'export_SdpB: antimicrobial peptide system protein, SdpB family', NULL, 'TIGR04033', NULL, NULL, NULL, 9),
(28321, NULL, 'TIGR00123', NULL, NULL, 'cbiM: cobalamin biosynthesis protein CbiM', NULL, 'TIGR00123', NULL, NULL, NULL, 9),
(28322, NULL, 'TIGR04276', NULL, NULL, 'FxsC_Cterm: FxsC C-terminal domain', NULL, 'TIGR04276', NULL, NULL, NULL, 9),
(28323, NULL, 'TIGR01618', NULL, NULL, 'phage_P_loop: phage nucleotide-binding protein', NULL, 'TIGR01618', NULL, NULL, NULL, 9),
(28324, NULL, 'TIGR03731', NULL, NULL, 'lantibio_gallid: lantibiotic, gallidermin/nisin family', NULL, 'TIGR03731', NULL, NULL, NULL, 9),
(28325, NULL, 'TIGR00096', NULL, NULL, 'TIGR00096: 16S rRNA (cytidine(1402)-2''-O)-methyltransferase', NULL, 'TIGR00096', NULL, NULL, NULL, 9),
(28326, NULL, 'TIGR02628', NULL, NULL, 'fuculo_kin_coli: L-fuculokinase', NULL, 'TIGR02628', NULL, NULL, NULL, 9),
(28327, NULL, 'TIGR03763', NULL, NULL, 'cyanoexo_CrtA: cyanoexosortase A', NULL, 'TIGR03763', NULL, NULL, NULL, 9),
(28328, NULL, 'TIGR03180', NULL, NULL, 'UraD_2: OHCU decarboxylase', NULL, 'TIGR03180', NULL, NULL, NULL, 9),
(28329, NULL, 'TIGR00345', NULL, NULL, 'GET3_arsA_TRC40: transport-energizing ATPase, TRC40/GET3/ArsA family', NULL, 'TIGR00345', NULL, NULL, NULL, 9),
(28330, NULL, 'TIGR00588', NULL, NULL, 'ogg: 8-oxoguanine DNA-glycosylase (ogg)', NULL, 'TIGR00588', NULL, NULL, NULL, 9),
(28331, NULL, 'TIGR02694', NULL, NULL, 'arsenite_ox_S: arsenite oxidase, small subunit', NULL, 'TIGR02694', NULL, NULL, NULL, 9),
(28332, NULL, 'TIGR01847', NULL, NULL, 'bacteriocin_sig: bacteriocin-type signal sequence', NULL, 'TIGR01847', NULL, NULL, NULL, 9),
(28333, NULL, 'TIGR02288', NULL, NULL, 'PaaN_2: phenylacetic acid degradation protein paaN', NULL, 'TIGR02288', NULL, NULL, NULL, 9),
(28334, NULL, 'TIGR02932', NULL, NULL, 'vnfK_nitrog: V-containing nitrogenase, beta subunit', NULL, 'TIGR02932', NULL, NULL, NULL, 9),
(28335, NULL, 'TIGR04487', NULL, NULL, 'SoxY_para_1: SoxY-related AACIE arm protein', NULL, 'TIGR04487', NULL, NULL, NULL, 9),
(28336, NULL, 'TIGR02417', NULL, NULL, 'fruct_sucro_rep: D-fructose-responsive transcription factor', NULL, 'TIGR02417', NULL, NULL, NULL, 9),
(28337, NULL, 'TIGR03967', NULL, NULL, 'mycofact_MftB: putative mycofactocin binding protein MftB', NULL, 'TIGR03967', NULL, NULL, NULL, 9),
(28338, NULL, 'TIGR01137', NULL, NULL, 'cysta_beta: cystathionine beta-synthase', NULL, 'TIGR01137', NULL, NULL, NULL, 9),
(28339, NULL, 'TIGR00327', NULL, NULL, 'secE_euk_arch: protein translocase SEC61 complex gamma subunit, archaeal and eukaryotic', NULL, 'TIGR00327', NULL, NULL, NULL, 9),
(28340, NULL, 'TIGR04022', NULL, NULL, 'sulfur_SfnB: sulfur acquisition oxidoreductase, SfnB family', NULL, 'TIGR04022', NULL, NULL, NULL, 9),
(28341, NULL, 'TIGR02812', NULL, NULL, 'fadR_gamma: fatty acid metabolism transcriptional regulator FadR', NULL, 'TIGR02812', NULL, NULL, NULL, 9),
(28342, NULL, 'TIGR02483', NULL, NULL, 'PFK_mixed: phosphofructokinase', NULL, 'TIGR02483', NULL, NULL, NULL, 9),
(28343, NULL, 'TIGR01727', NULL, NULL, 'oligo_HPY: oligopeptide/dipeptide ABC transporter, ATP-binding protein, C-terminal domain', NULL, 'TIGR01727', NULL, NULL, NULL, 9),
(28344, NULL, 'TIGR04421', NULL, NULL, 'FemAB_IMCC1989: FemAB family protein', NULL, 'TIGR04421', NULL, NULL, NULL, 9),
(28345, NULL, 'TIGR02084', NULL, NULL, 'leud: 3-isopropylmalate dehydratase, small subunit', NULL, 'TIGR02084', NULL, NULL, NULL, 9),
(28346, NULL, 'TIGR03502', NULL, NULL, 'lipase_Pla1_cef: extracellular lipase, Pla-1/cef family', NULL, 'TIGR03502', NULL, NULL, NULL, 9),
(28347, NULL, 'TIGR03336', NULL, NULL, 'IOR_alpha: indolepyruvate ferredoxin oxidoreductase, alpha subunit', NULL, 'TIGR03336', NULL, NULL, NULL, 9);
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28348, NULL, 'TIGR01253', NULL, NULL, 'thiP: thiamine/thiamine pyrophosphate ABC transporter, permease protein', NULL, 'TIGR01253', NULL, NULL, NULL, 9),
(28349, NULL, 'TIGR01246', NULL, NULL, 'dapE_proteo: succinyl-diaminopimelate desuccinylase', NULL, 'TIGR01246', NULL, NULL, NULL, 9),
(28350, NULL, 'TIGR01564', NULL, NULL, 'S_layer_MJ: S-layer protein', NULL, 'TIGR01564', NULL, NULL, NULL, 9),
(28351, NULL, 'TIGR04498', NULL, NULL, 'AbiV_defense: abortive infection protein, AbiV family', NULL, 'TIGR04498', NULL, NULL, NULL, 9),
(28352, NULL, 'TIGR03343', NULL, NULL, 'biphenyl_bphD: 2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoate hydrolase', NULL, 'TIGR03343', NULL, NULL, NULL, 9),
(28353, NULL, 'TIGR03162', NULL, NULL, 'ribazole_cobC: alpha-ribazole phosphatase', NULL, 'TIGR03162', NULL, NULL, NULL, 9),
(28354, NULL, 'TIGR00402', NULL, NULL, 'napF: ferredoxin-type protein NapF', NULL, 'TIGR00402', NULL, NULL, NULL, 9),
(28355, NULL, 'TIGR04026', NULL, NULL, 'PPOX_FMN_cyano: PPOX class probable FMN-dependent enzyme, alr4036 family', NULL, 'TIGR04026', NULL, NULL, NULL, 9),
(28356, NULL, 'TIGR02823', NULL, NULL, 'oxido_YhdH: putative quinone oxidoreductase, YhdH/YhfP family', NULL, 'TIGR02823', NULL, NULL, NULL, 9),
(28357, NULL, 'TIGR03107', NULL, NULL, 'glu_aminopep: glutamyl aminopeptidase', NULL, 'TIGR03107', NULL, NULL, NULL, 9),
(28358, NULL, 'TIGR00733', NULL, NULL, 'TIGR00733: oligopeptide transporter, OPT family', NULL, 'TIGR00733', NULL, NULL, NULL, 9),
(28359, NULL, 'TIGR00393', NULL, NULL, 'kpsF: sugar isomerase, KpsF/GutQ family', NULL, 'TIGR00393', NULL, NULL, NULL, 9),
(28360, NULL, 'TIGR00874', NULL, NULL, 'talAB: transaldolase', NULL, 'TIGR00874', NULL, NULL, NULL, 9),
(28361, NULL, 'TIGR01793', NULL, NULL, 'cit_synth_euk: citrate (Si)-synthase, eukaryotic', NULL, 'TIGR01793', NULL, NULL, NULL, 9),
(28362, NULL, 'TIGR02889', NULL, NULL, 'spore_YpeB: germination protein YpeB', NULL, 'TIGR02889', NULL, NULL, NULL, 9),
(28363, NULL, 'TIGR00799', NULL, NULL, 'mtp: Golgi 4-transmembrane spanning transporter', NULL, 'TIGR00799', NULL, NULL, NULL, 9),
(28364, NULL, 'TIGR01017', NULL, NULL, 'rpsD_bact: ribosomal protein uS4', NULL, 'TIGR01017', NULL, NULL, NULL, 9),
(28365, NULL, 'TIGR00334', NULL, NULL, '5S_RNA_mat_M5: ribonuclease M5', NULL, 'TIGR00334', NULL, NULL, NULL, 9),
(28366, NULL, 'TIGR00454', NULL, NULL, 'TIGR00454: TIGR00454 family protein', NULL, 'TIGR00454', NULL, NULL, NULL, 9),
(28367, NULL, 'TIGR02370', NULL, NULL, 'pyl_corrinoid: methyltransferase cognate corrinoid proteins, Methanosarcina family', NULL, 'TIGR02370', NULL, NULL, NULL, 9),
(28368, NULL, 'TIGR03872', NULL, NULL, 'cytochrome_MoxG: cytochrome c(L), periplasmic', NULL, 'TIGR03872', NULL, NULL, NULL, 9),
(28369, NULL, 'TIGR01489', NULL, NULL, 'DKMTPPase-SF: 2,3-diketo-5-methylthio-1-phosphopentane phosphatase', NULL, 'TIGR01489', NULL, NULL, NULL, 9),
(28370, NULL, 'TIGR00867', NULL, NULL, 'deg-1: degenerin', NULL, 'TIGR00867', NULL, NULL, NULL, 9),
(28371, NULL, 'TIGR01090', NULL, NULL, 'apt: adenine phosphoribosyltransferase', NULL, 'TIGR01090', NULL, NULL, NULL, 9),
(28372, NULL, 'TIGR02925', NULL, NULL, 'cis_trans_EpsD: peptidyl-prolyl cis-trans isomerase, EpsD family', NULL, 'TIGR02925', NULL, NULL, NULL, 9),
(28373, NULL, 'TIGR02646', NULL, NULL, 'TIGR02646: TIGR02646 family protein', NULL, 'TIGR02646', NULL, NULL, NULL, 9),
(28374, NULL, 'TIGR04135', NULL, NULL, 'FibroRuminTarg: Cys-rich radical SAM target, FibroRumin family', NULL, 'TIGR04135', NULL, NULL, NULL, 9),
(28375, NULL, 'TIGR01024', NULL, NULL, 'rplS_bact: ribosomal protein bL19', NULL, 'TIGR01024', NULL, NULL, NULL, 9),
(28376, NULL, 'TIGR02526', NULL, NULL, 'eut_PduT: PduT-like ethanolamine utilization protein', NULL, 'TIGR02526', NULL, NULL, NULL, 9),
(28377, NULL, 'TIGR02299', NULL, NULL, 'HpaE: 5-carboxymethyl-2-hydroxymuconate semialdehyde dehydrogenase', NULL, 'TIGR02299', NULL, NULL, NULL, 9);      
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28378, NULL, 'TIGR03445', NULL, NULL, 'mycothiol_MshB: N-acetyl-1-D-myo-inositol-2-amino-2-deoxy-alpha-D-glucopyranoside deacetylase', NULL, 'TIGR03445', NULL, NULL, NULL, 9),
(28379, NULL, 'TIGR01201', NULL, NULL, 'HU_rel: putative DNA-binding protein', NULL, 'TIGR01201', NULL, NULL, NULL, 9),
(28380, NULL, 'TIGR02703', NULL, NULL, 'carboxysome_A: carboxysome peptide A', NULL, 'TIGR02703', NULL, NULL, NULL, 9),
(28381, NULL, 'TIGR02179', NULL, NULL, 'PorD_KorD: 2-oxoacid:acceptor oxidoreductase, delta subunit, pyruvate/2-ketoisovalerate family', NULL, 'TIGR02179', NULL, NULL, NULL, 9),
(28382, NULL, 'TIGR01144', NULL, NULL, 'ATP_synt_b: ATP synthase F0, B subunit', NULL, 'TIGR01144', NULL, NULL, NULL, 9),
(28383, NULL, 'TIGR04562', NULL, NULL, 'TIGR04562: TIGR04562 family protein', NULL, 'TIGR04562', NULL, NULL, NULL, 9),
(28384, NULL, 'TIGR00983', NULL, NULL, '3a0801s02tim23: mitochondrial import inner membrane translocase subunit', NULL, 'TIGR00983', NULL, NULL, NULL, 9),
(28385, NULL, 'TIGR03098', NULL, NULL, 'ligase_PEP_1: acyl-CoA ligase (AMP-forming), exosortase A-associated', NULL, 'TIGR03098', NULL, NULL, NULL, 9),
(28386, NULL, 'TIGR03060', NULL, NULL, 'PS_II_psb29: photosystem II biogenesis protein Psp29', NULL, 'TIGR03060', NULL, NULL, NULL, 9),
(28387, NULL, 'TIGR00990', NULL, NULL, '3a0801s09: mitochondrial precursor proteins import receptor', NULL, 'TIGR00990', NULL, NULL, NULL, 9),
(28388, NULL, 'TIGR03216', NULL, NULL, 'OH_muco_semi_DH: 2-hydroxymuconic semialdehyde dehydrogenase', NULL, 'TIGR03216', NULL, NULL, NULL, 9),
(28389, NULL, 'TIGR03688', NULL, NULL, 'pupylate_PafA2: proteasome accessory factor PafA2', NULL, 'TIGR03688', NULL, NULL, NULL, 9),
(28390, NULL, 'TIGR00218', NULL, NULL, 'manA: mannose-6-phosphate isomerase, class I', NULL, 'TIGR00218', NULL, NULL, NULL, 9),
(28391, NULL, 'TIGR03622', NULL, NULL, 'urea_t_UrtB_arc: urea ABC transporter, permease protein UrtB', NULL, 'TIGR03622', NULL, NULL, NULL, 9),
(28392, NULL, 'TIGR02186', NULL, NULL, 'alph_Pro_TM: conserved hypothetical protein', NULL, 'TIGR02186', NULL, NULL, NULL, 9),
(28393, NULL, 'TIGR01673', NULL, NULL, 'holin_LLH: phage holin, LL-H family', NULL, 'TIGR01673', NULL, NULL, NULL, 9),
(28394, NULL, 'TIGR01680', NULL, NULL, 'Veg_Stor_Prot: vegetative storage protein', NULL, 'TIGR01680', NULL, NULL, NULL, 9),
(28395, NULL, 'TIGR02592', NULL, NULL, 'cas_Cas5h: CRISPR-associated protein Cas5, subtype I-B/HMARI', NULL, 'TIGR02592', NULL, NULL, NULL, 9),
(28396, NULL, 'TIGR00447', NULL, NULL, 'pth: aminoacyl-tRNA hydrolase', NULL, 'TIGR00447', NULL, NULL, NULL, 9),
(28397, NULL, 'TIGR03223', NULL, NULL, 'Phn_opern_protn: putative phosphonate metabolism protein', NULL, 'TIGR03223', NULL, NULL, NULL, 9),
(28398, NULL, 'TIGR02710', NULL, NULL, 'TIGR02710: CRISPR-associated protein, TIGR02710 family', NULL, 'TIGR02710', NULL, NULL, NULL, 9),
(28399, NULL, 'TIGR04142', NULL, NULL, 'PCisTranLspir: putative peptidyl-prolyl cis-trans isomerase, LIC12922 family', NULL, 'TIGR04142', NULL, NULL, NULL, 9),
(28400, NULL, 'TIGR04378', NULL, NULL, 'myo_inos_iolB: 5-deoxy-glucuronate isomerase', NULL, 'TIGR04378', NULL, NULL, NULL, 9),
(28401, NULL, 'TIGR02363', NULL, NULL, 'dhaK1: dihydroxyacetone kinase, DhaK subunit', NULL, 'TIGR02363', NULL, NULL, NULL, 9),
(28402, NULL, 'TIGR03282', NULL, NULL, 'methan_mark_13: putative methanogenesis marker 13 metalloprotein', NULL, 'TIGR03282', NULL, NULL, NULL, 9),
(28403, NULL, 'TIGR01464', NULL, NULL, 'hemE: uroporphyrinogen decarboxylase', NULL, 'TIGR01464', NULL, NULL, NULL, 9),
(28404, NULL, 'TIGR00495', NULL, NULL, 'crvDNA_42K: DNA-binding protein, 42 kDa', NULL, 'TIGR00495', NULL, NULL, NULL, 9),
(28405, NULL, 'TIGR04523', NULL, NULL, 'Mplasa_alph_rch: helix-rich protein', NULL, 'TIGR04523', NULL, NULL, NULL, 9),
(28406, NULL, 'TIGR03402', NULL, NULL, 'FeS_nifS: cysteine desulfurase NifS', NULL, 'TIGR03402', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28407, NULL, 'TIGR03554', NULL, NULL, 'F420_G6P_DH: glucose-6-phosphate dehydrogenase (coenzyme-F420)', NULL, 'TIGR03554', NULL, NULL, NULL, 9),
(28408, NULL, 'TIGR00826', NULL, NULL, 'EIIB_glc: PTS system, glucose-like IIB component', NULL, 'TIGR00826', NULL, NULL, NULL, 9),
(28409, NULL, 'TIGR00978', NULL, NULL, 'asd_EA: aspartate-semialdehyde dehydrogenase', NULL, 'TIGR00978', NULL, NULL, NULL, 9),
(28410, NULL, 'TIGR01312', NULL, NULL, 'XylB: xylulokinase', NULL, 'TIGR01312', NULL, NULL, NULL, 9),
(28411, NULL, 'TIGR00343', NULL, NULL, 'TIGR00343: pyridoxal 5''-phosphate synthase, synthase subunit Pdx1', NULL, 'TIGR00343', NULL, NULL, NULL, 9),
(28412, NULL, 'TIGR04072', NULL, NULL, 'rSAM_ladder_B12: lipid biosynthesis B12-binding/radical SAM protein', NULL, 'TIGR04072', NULL, NULL, NULL, 9),
(28413, NULL, 'TIGR02916', NULL, NULL, 'PEP_his_kin: putative PEP-CTERM system histidine kinase', NULL, 'TIGR02916', NULL, NULL, NULL, 9),
(28414, NULL, 'TIGR04555', NULL, NULL, 'sulfite_DH_soxC: sulfite dehydrogenase', NULL, 'TIGR04555', NULL, NULL, NULL, 9),
(28415, NULL, 'TIGR02433', NULL, NULL, 'lysidine_TilS_C: tRNA(Ile)-lysidine synthetase, C-terminal domain', NULL, 'TIGR02433', NULL, NULL, NULL, 9),
(28416, NULL, 'TIGR02898', NULL, NULL, 'spore_YhcN_YlaJ: sporulation lipoprotein, YhcN/YlaJ family', NULL, 'TIGR02898', NULL, NULL, NULL, 9),
(28417, NULL, 'TIGR04385', NULL, NULL, 'B12_rSAM_cofa1: putative variant cofactor biosynthesis B12-binding domain/radical SAM domain protein 1', NULL, 'TIGR04385', NULL, NULL, NULL, 9),
(28418, NULL, 'TIGR00030', NULL, NULL, 'S21p: ribosomal protein bS21', NULL, 'TIGR00030', NULL, NULL, NULL, 9),
(28419, NULL, 'TIGR02120', NULL, NULL, 'GspF: type II secretion system protein F', NULL, 'TIGR02120', NULL, NULL, NULL, 9),
(28420, NULL, 'TIGR03586', NULL, NULL, 'PseI: pseudaminic acid synthase', NULL, 'TIGR03586', NULL, NULL, NULL, 9),
(28421, NULL, 'TIGR02603', NULL, NULL, 'CxxCH_TIGR02603: putative heme-binding domain', NULL, 'TIGR02603', NULL, NULL, NULL, 9),
(28422, NULL, 'TIGR00513', NULL, NULL, 'accA: acetyl-CoA carboxylase, carboxyl transferase, alpha subunit', NULL, 'TIGR00513', NULL, NULL, NULL, 9),
(28423, NULL, 'TIGR02585', NULL, NULL, 'cas_Cst2_DevR: CRISPR-associated protein Cas7/Cst2/DevR, subtype I-B/TNEAP', NULL, 'TIGR02585', NULL, NULL, NULL, 9),
(28424, NULL, 'TIGR03715', NULL, NULL, 'KxYKxGKxW: KxYKxGKxW signal peptide', NULL, 'TIGR03715', NULL, NULL, NULL, 9),
(28425, NULL, 'TIGR02755', NULL, NULL, 'TraX_Ftype: type-F conjugative transfer system pilin acetylase TraX', NULL, 'TIGR02755', NULL, NULL, NULL, 9),
(28426, NULL, 'TIGR00173', NULL, NULL, 'menD: 2-succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylic-acid synthase', NULL, 'TIGR00173', NULL, NULL, NULL, 9),
(28427, NULL, 'TIGR04242', NULL, NULL, 'nodulat_NodC: chitooligosaccharide synthase NodC', NULL, 'TIGR04242', NULL, NULL, NULL, 9),
(28428, NULL, 'TIGR02152', NULL, NULL, 'D_ribokin_bact: ribokinase', NULL, 'TIGR02152', NULL, NULL, NULL, 9),
(28429, NULL, 'TIGR02263', NULL, NULL, 'benz_CoA_red_C: benzoyl-CoA reductase, subunit C', NULL, 'TIGR02263', NULL, NULL, NULL, 9),
(28430, NULL, 'TIGR01777', NULL, NULL, 'yfcH: TIGR01777 family protein', NULL, 'TIGR01777', NULL, NULL, NULL, 9),
(28431, NULL, 'TIGR02787', NULL, NULL, 'codY_Gpos: GTP-sensing transcriptional pleiotropic repressor CodY', NULL, 'TIGR02787', NULL, NULL, NULL, 9),
(28432, NULL, 'TIGR00665', NULL, NULL, 'DnaB: replicative DNA helicase', NULL, 'TIGR00665', NULL, NULL, NULL, 9),
(28433, NULL, 'TIGR03867', NULL, NULL, 'MprA_tail: MprA protease C-terminal rhombosortase-interaction domain', NULL, 'TIGR03867', NULL, NULL, NULL, 9),
(28434, NULL, 'TIGR00697', NULL, NULL, 'TIGR00697: conserved hypothetical integral membrane protein', NULL, 'TIGR00697', NULL, NULL, NULL, 9),
(28435, NULL, 'TIGR04183', NULL, NULL, 'Por_Secre_tail: Por secretion system C-terminal sorting domain', NULL, 'TIGR04183', NULL, NULL, NULL, 9);   
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28436, NULL, 'TIGR00232', NULL, NULL, 'tktlase_bact: transketolase', NULL, 'TIGR00232', NULL, NULL, NULL, 9),
(28437, NULL, 'TIGR00062', NULL, NULL, 'L27: ribosomal protein bL27', NULL, 'TIGR00062', NULL, NULL, NULL, 9),
(28438, NULL, 'TIGR02322', NULL, NULL, 'phosphon_PhnN: phosphonate metabolism protein/1,5-bisphosphokinase (PRPP-forming) PhnN', NULL, 'TIGR02322', NULL, NULL, NULL, 9),
(28439, NULL, 'TIGR04353', NULL, NULL, 'PqqD_rel_X: PqqD family protein, HPr-rel-A system', NULL, 'TIGR04353', NULL, NULL, NULL, 9),
(28440, NULL, 'TIGR01947', NULL, NULL, 'rnfG: electron transport complex, RnfABCDGE type, G subunit', NULL, 'TIGR01947', NULL, NULL, NULL, 9),
(28441, NULL, 'TIGR04412', NULL, NULL, 'T2SS_GspM_XcpZ: type II secretion system protein M', NULL, 'TIGR04412', NULL, NULL, NULL, 9),
(28442, NULL, 'TIGR02093', NULL, NULL, 'P_ylase: glycogen/starch/alpha-glucan phosphorylases', NULL, 'TIGR02093', NULL, NULL, NULL, 9),
(28443, NULL, 'TIGR04081', NULL, NULL, 'selen_ocin: radical SAM modification target peptide, selenobiotic family', NULL, 'TIGR04081', NULL, NULL, NULL, 9),
(28444, NULL, 'TIGR01906', NULL, NULL, 'integ_TIGR01906: integral membrane protein TIGR01906', NULL, 'TIGR01906', NULL, NULL, NULL, 9),
(28445, NULL, 'TIGR00384', NULL, NULL, 'dhsB: succinate dehydrogenase and fumarate reductase iron-sulfur protein', NULL, 'TIGR00384', NULL, NULL, NULL, 9),
(28446, NULL, 'TIGR03062', NULL, NULL, 'pip_yhgE_Cterm: YhgE/Pip C-terminal domain', NULL, 'TIGR03062', NULL, NULL, NULL, 9),
(28447, NULL, 'TIGR03926', NULL, NULL, 'T7_EssB: type VII secretion protein EssB', NULL, 'TIGR03926', NULL, NULL, NULL, 9),
(28448, NULL, 'TIGR03443', NULL, NULL, 'alpha_am_amid: L-aminoadipate-semialdehyde dehydrogenase', NULL, 'TIGR03443', NULL, NULL, NULL, 9),
(28449, NULL, 'TIGR00835', NULL, NULL, 'agcS: amino acid carrier protein', NULL, 'TIGR00835', NULL, NULL, NULL, 9),
(28450, NULL, 'TIGR02957', NULL, NULL, 'SigX4: RNA polymerase sigma-70 factor, TIGR02957 family', NULL, 'TIGR02957', NULL, NULL, NULL, 9),
(28451, NULL, 'TIGR02424', NULL, NULL, 'TF_pcaQ: pca operon transcription factor PcaQ', NULL, 'TIGR02424', NULL, NULL, NULL, 9),
(28452, NULL, 'TIGR04564', NULL, NULL, 'Synergist_CTERM: Synergist-CTERM protein sorting domain', NULL, 'TIGR04564', NULL, NULL, NULL, 9),
(28453, NULL, 'TIGR00071', NULL, NULL, 'hisT_truA: tRNA pseudouridine(38-40) synthase', NULL, 'TIGR00071', NULL, NULL, NULL, 9),
(28454, NULL, 'TIGR02857', NULL, NULL, 'CydD: thiol reductant ABC exporter, CydD subunit', NULL, 'TIGR02857', NULL, NULL, NULL, 9),
(28455, NULL, 'TIGR02254', NULL, NULL, 'YjjG/YfnB: noncanonical pyrimidine nucleotidase, YjjG family', NULL, 'TIGR02254', NULL, NULL, NULL, 9),
(28456, NULL, 'TIGR03697', NULL, NULL, 'NtcA_cyano: global nitrogen regulator NtcA', NULL, 'TIGR03697', NULL, NULL, NULL, 9),
(28457, NULL, 'TIGR00554', NULL, NULL, 'panK_bact: pantothenate kinase', NULL, 'TIGR00554', NULL, NULL, NULL, 9),
(28458, NULL, 'TIGR03756', NULL, NULL, 'conj_TIGR03756: integrating conjugative element protein, PFL_4710 family', NULL, 'TIGR03756', NULL, NULL, NULL, 9),
(28459, NULL, 'TIGR00200', NULL, NULL, 'cinA_nterm: competence/damage-inducible protein CinA N-terminal domain', NULL, 'TIGR00200', NULL, NULL, NULL, 9),
(28460, NULL, 'TIGR01455', NULL, NULL, 'glmM: phosphoglucosamine mutase', NULL, 'TIGR01455', NULL, NULL, NULL, 9),
(28461, NULL, 'TIGR02222', NULL, NULL, 'chap_CsaA: export-related chaperone protein CsaA', NULL, 'TIGR02222', NULL, NULL, NULL, 9),
(28462, NULL, 'TIGR03232', NULL, NULL, 'benzo_1_2_benB: benzoate 1,2-dioxygenase, small subunit', NULL, 'TIGR03232', NULL, NULL, NULL, 9),
(28463, NULL, 'TIGR01625', NULL, NULL, 'YidE_YbjL_dupl: AspT/YidE/YbjL antiporter duplication domain', NULL, 'TIGR01625', NULL, NULL, NULL, 9),
(28464, NULL, 'TIGR04283', NULL, NULL, 'glyco_like_mftF: transferase 2, rSAM/selenodomain-associated', NULL, 'TIGR04283', NULL, NULL, NULL, 9);    
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28465, NULL, 'TIGR02111', NULL, NULL, 'PQQ_syn_pqqC: coenzyme PQQ biosynthesis protein C', NULL, 'TIGR02111', NULL, NULL, NULL, 9),
(28466, NULL, 'TIGR02746', NULL, NULL, 'TraC-F-type: type-IV secretion system protein TraC', NULL, 'TIGR02746', NULL, NULL, NULL, 9),
(28467, NULL, 'TIGR03384', NULL, NULL, 'betaine_BetI: transcriptional repressor BetI', NULL, 'TIGR03384', NULL, NULL, NULL, 9),
(28468, NULL, 'TIGR01736', NULL, NULL, 'FGAM_synth_II: phosphoribosylformylglycinamidine synthase II', NULL, 'TIGR01736', NULL, NULL, NULL, 9),
(28469, NULL, 'TIGR03121', NULL, NULL, 'one_C_dehyd_A: formylmethanofuran dehydrogenase subunit A', NULL, 'TIGR03121', NULL, NULL, NULL, 9),
(28470, NULL, 'TIGR02687', NULL, NULL, 'TIGR02687: TIGR02687 family protein', NULL, 'TIGR02687', NULL, NULL, NULL, 9),
(28471, NULL, 'TIGR03613', NULL, NULL, 'RutR: pyrimidine utilization regulatory protein R', NULL, 'TIGR03613', NULL, NULL, NULL, 9),
(28472, NULL, 'TIGR01362', NULL, NULL, 'KDO8P_synth: 3-deoxy-8-phosphooctulonate synthase', NULL, 'TIGR01362', NULL, NULL, NULL, 9),
(28473, NULL, 'TIGR00928', NULL, NULL, 'purB: adenylosuccinate lyase', NULL, 'TIGR00928', NULL, NULL, NULL, 9),
(28474, NULL, 'TIGR01192', NULL, NULL, 'chvA: glucan exporter ATP-binding protein', NULL, 'TIGR01192', NULL, NULL, NULL, 9),
(28475, NULL, 'TIGR04394', NULL, NULL, 'choline_CutC: choline trimethylamine-lyase', NULL, 'TIGR04394', NULL, NULL, NULL, 9),
(28476, NULL, 'TIGR02052', NULL, NULL, 'MerP: mercuric transport protein periplasmic component', NULL, 'TIGR02052', NULL, NULL, NULL, 9),
(28477, NULL, 'TIGR03724', NULL, NULL, 'arch_bud32: Kae1-associated kinase Bud32', NULL, 'TIGR03724', NULL, NULL, NULL, 9),
(28478, NULL, 'TIGR04453', NULL, NULL, 'Lepto_8Cys: Cys-rich protein, LA_1312 family', NULL, 'TIGR04453', NULL, NULL, NULL, 9),
(28479, NULL, 'TIGR01997', NULL, NULL, 'sufA_proteo: FeS assembly scaffold SufA', NULL, 'TIGR01997', NULL, NULL, NULL, 9),
(28480, NULL, 'TIGR02966', NULL, NULL, 'phoR_proteo: phosphate regulon sensor kinase PhoR', NULL, 'TIGR02966', NULL, NULL, NULL, 9),
(28481, NULL, 'TIGR03021', NULL, NULL, 'pilP_fam: type IV pilus biogenesis protein PilP', NULL, 'TIGR03021', NULL, NULL, NULL, 9),
(28482, NULL, 'TIGR01414', NULL, NULL, 'autotrans_barl: outer membrane autotransporter barrel domain', NULL, 'TIGR01414', NULL, NULL, NULL, 9),
(28483, NULL, 'TIGR03935', NULL, NULL, 'fragilysin: fragilysin', NULL, 'TIGR03935', NULL, NULL, NULL, 9),
(28484, NULL, 'TIGR00876', NULL, NULL, 'tal_mycobact: transaldolase', NULL, 'TIGR00876', NULL, NULL, NULL, 9),
(28485, NULL, 'TIGR00411', NULL, NULL, 'redox_disulf_1: redox-active disulfide protein 1', NULL, 'TIGR00411', NULL, NULL, NULL, 9),
(28486, NULL, 'TIGR03109', NULL, NULL, 'exosortase_1: exosortase A', NULL, 'TIGR03109', NULL, NULL, NULL, 9),
(28487, NULL, 'TIGR03817', NULL, NULL, 'DECH_helic: helicase/secretion neighborhood putative DEAH-box helicase', NULL, 'TIGR03817', NULL, NULL, NULL, 9),
(28488, NULL, 'TIGR01396', NULL, NULL, 'FlgB: flagellar basal-body rod protein FlgB', NULL, 'TIGR01396', NULL, NULL, NULL, 9),
(28489, NULL, 'TIGR03656', NULL, NULL, 'IsdC: heme uptake protein IsdC', NULL, 'TIGR03656', NULL, NULL, NULL, 9),
(28490, NULL, 'TIGR01532', NULL, NULL, 'E4PD_g-proteo: erythrose-4-phosphate dehydrogenase', NULL, 'TIGR01532', NULL, NULL, NULL, 9),
(28491, NULL, 'TIGR04174', NULL, NULL, 'IPTL_CTERM: IPTL-CTERM protein sorting domain', NULL, 'TIGR04174', NULL, NULL, NULL, 9),
(28492, NULL, 'TIGR01566', NULL, NULL, 'ZF_HD_prot_N: ZF-HD homeobox protein Cys/His-rich dimerization domain', NULL, 'TIGR01566', NULL, NULL, NULL, 9),
(28493, NULL, 'TIGR00241', NULL, NULL, 'CoA_E_activ: putative CoA-substrate-specific enzyme activase', NULL, 'TIGR00241', NULL, NULL, NULL, 9),
(28494, NULL, 'TIGR00597', NULL, NULL, 'rad10: DNA repair protein rad10', NULL, 'TIGR00597', NULL, NULL, NULL, 9),
(28495, NULL, 'TIGR02501', NULL, NULL, 'type_III_yscE: type III secretion system protein, YseE family', NULL, 'TIGR02501', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28496, NULL, 'TIGR00724', NULL, NULL, 'urea_amlyse_rel: biotin-dependent carboxylase uncharacterized domain', NULL, 'TIGR00724', NULL, NULL, NULL, 9),
(28497, NULL, 'TIGR01879', NULL, NULL, 'hydantase: amidase, hydantoinase/carbamoylase family', NULL, 'TIGR01879', NULL, NULL, NULL, 9),
(28498, NULL, 'TIGR03486', NULL, NULL, 'cas_csx13_C: CRISPR-associated protein Cas8a1/Csx13, MYXAN subtype, C-terminal region', NULL, 'TIGR03486', NULL, NULL, NULL, 9),
(28499, NULL, 'TIGR01101', NULL, NULL, 'V_ATP_synt_F: V-type ATPase, F subunit', NULL, 'TIGR01101', NULL, NULL, NULL, 9),
(28500, NULL, 'TIGR02331', NULL, NULL, 'rib_alpha: Rib/alpha/Esp surface antigen repeat', NULL, 'TIGR02331', NULL, NULL, NULL, 9),
(28501, NULL, 'TIGR00595', NULL, NULL, 'priA: primosomal protein N''', NULL, 'TIGR00595', NULL, NULL, NULL, 9),
(28502, NULL, 'TIGR02685', NULL, NULL, 'pter_reduc_Leis: pteridine reductase', NULL, 'TIGR02685', NULL, NULL, NULL, 9),
(28503, NULL, 'TIGR04285', NULL, NULL, 'nucleoid_noc: nucleoid occlusion protein', NULL, 'TIGR04285', NULL, NULL, NULL, 9),
(28504, NULL, 'TIGR00130', NULL, NULL, 'frhD: coenzyme F420-reducing hydrogenase, FrhD protein', NULL, 'TIGR00130', NULL, NULL, NULL, 9),
(28505, NULL, 'TIGR01285', NULL, NULL, 'nifN: nitrogenase molybdenum-iron cofactor biosynthesis protein NifN', NULL, 'TIGR01285', NULL, NULL, NULL, 9),
(28506, NULL, 'TIGR02220', NULL, NULL, 'phg_TIGR02220: phage conserved hypothetical protein, C-terminal domain', NULL, 'TIGR02220', NULL, NULL, NULL, 9),
(28507, NULL, 'TIGR03130', NULL, NULL, 'malonate_delta: malonate decarboxylase acyl carrier protein', NULL, 'TIGR03130', NULL, NULL, NULL, 9),
(28508, NULL, 'TIGR03654', NULL, NULL, 'L6_bact: ribosomal protein uL6', NULL, 'TIGR03654', NULL, NULL, NULL, 9),
(28509, NULL, 'TIGR03300', NULL, NULL, 'assembly_YfgL: outer membrane assembly lipoprotein YfgL', NULL, 'TIGR03300', NULL, NULL, NULL, 9),
(28510, NULL, 'TIGR03375', NULL, NULL, 'type_I_sec_LssB: type I secretion system ATPase', NULL, 'TIGR03375', NULL, NULL, NULL, 9),
(28511, NULL, 'TIGR04455', NULL, NULL, 'lipo_MXAN_6521: probable lipoprotein, LA_1396/MXAN_6521 family', NULL, 'TIGR04455', NULL, NULL, NULL, 9),
(28512, NULL, 'TIGR02050', NULL, NULL, 'gshA_cyan_rel: carboxylate-amine ligase, YbdK family', NULL, 'TIGR02050', NULL, NULL, NULL, 9),
(28513, NULL, 'TIGR03647', NULL, NULL, 'Na_symport_sm: putative solute:sodium symporter small subunit', NULL, 'TIGR03647', NULL, NULL, NULL, 9),
(28514, NULL, 'TIGR03824', NULL, NULL, 'FlgM_jcvi: flagellar biosynthesis anti-sigma factor FlgM', NULL, 'TIGR03824', NULL, NULL, NULL, 9),
(28515, NULL, 'TIGR03765', NULL, NULL, 'ICE_PFL_4695: integrating conjugative element protein, PFL_4695 family', NULL, 'TIGR03765', NULL, NULL, NULL, 9),
(28516, NULL, 'TIGR02029', NULL, NULL, 'AcsF: magnesium-protoporphyrin IX monomethyl ester aerobic oxidative cyclase', NULL, 'TIGR02029', NULL, NULL, NULL, 9),
(28517, NULL, 'TIGR00937', NULL, NULL, '2A51: chromate efflux transporter', NULL, 'TIGR00937', NULL, NULL, NULL, 9),
(28518, NULL, 'TIGR03493', NULL, NULL, 'cellullose_BcsF: celllulose biosynthesis operon protein BcsF/YhjT', NULL, 'TIGR03493', NULL, NULL, NULL, 9),
(28519, NULL, 'TIGR03595', NULL, NULL, 'Obg_CgtA_exten: Obg family GTPase CgtA, C-terminal extension', NULL, 'TIGR03595', NULL, NULL, NULL, 9),
(28520, NULL, 'TIGR02959', NULL, NULL, 'SigZ: RNA polymerase sigma factor, SigZ family', NULL, 'TIGR02959', NULL, NULL, NULL, 9),
(28521, NULL, 'TIGR04514', NULL, NULL, 'GWxTD_dom: GWxTD domain', NULL, 'TIGR04514', NULL, NULL, NULL, 9),
(28522, NULL, 'TIGR01804', NULL, NULL, 'BADH: betaine-aldehyde dehydrogenase', NULL, 'TIGR01804', NULL, NULL, NULL, 9),
(28523, NULL, 'TIGR03012', NULL, NULL, 'sulf_tusD_dsrE: sulfur relay protein TusD/DsrE', NULL, 'TIGR03012', NULL, NULL, NULL, 9),
(28524, NULL, 'TIGR00302', NULL, NULL, 'TIGR00302: phosphoribosylformylglycinamidine synthase, purS protein', NULL, 'TIGR00302', NULL, NULL, NULL, 9);              
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28525, NULL, 'TIGR01353', NULL, NULL, 'dGTP_triPase: putative dGTPase', NULL, 'TIGR01353', NULL, NULL, NULL, 9),
(28526, NULL, 'TIGR04344', NULL, NULL, 'ovoA_Nterm: 5-histidylcysteine sulfoxide synthase', NULL, 'TIGR04344', NULL, NULL, NULL, 9),
(28527, NULL, 'TIGR02161', NULL, NULL, 'napC_nirT: periplasmic nitrate (or nitrite) reductase c-type cytochrome, NapC/NirT family', NULL, 'TIGR02161', NULL, NULL, NULL, 9),
(28528, NULL, 'TIGR03545', NULL, NULL, 'TIGR03545: TIGR03545 family protein', NULL, 'TIGR03545', NULL, NULL, NULL, 9),
(28529, NULL, 'TIGR00767', NULL, NULL, 'rho: transcription termination factor Rho', NULL, 'TIGR00767', NULL, NULL, NULL, 9),
(28530, NULL, 'TIGR04462', NULL, NULL, 'endura_MppP: enduracididine biosynthesis enzyme MppP', NULL, 'TIGR04462', NULL, NULL, NULL, 9),
(28531, NULL, 'TIGR02855', NULL, NULL, 'spore_yabG: sporulation peptidase YabG', NULL, 'TIGR02855', NULL, NULL, NULL, 9),
(28532, NULL, 'TIGR00009', NULL, NULL, 'L28: ribosomal protein bL28', NULL, 'TIGR00009', NULL, NULL, NULL, 9),
(28533, NULL, 'TIGR02043', NULL, NULL, 'ZntR: Zn(II)-responsive transcriptional regulator', NULL, 'TIGR02043', NULL, NULL, NULL, 9),
(28534, NULL, 'TIGR04292', NULL, NULL, 'heavy_Cys_CGP: heavy-Cys/CGP-CTERM domain protein', NULL, 'TIGR04292', NULL, NULL, NULL, 9),
(28535, NULL, 'TIGR01183', NULL, NULL, 'ntrB: nitrate ABC transporter, permease protein', NULL, 'TIGR01183', NULL, NULL, NULL, 9),
(28536, NULL, 'TIGR02796', NULL, NULL, 'tolQ: protein TolQ', NULL, 'TIGR02796', NULL, NULL, NULL, 9),
(28537, NULL, 'TIGR02213', NULL, NULL, 'lolE_release: lipoprotein releasing system, transmembrane protein LolE', NULL, 'TIGR02213', NULL, NULL, NULL, 9),
(28538, NULL, 'TIGR02678', NULL, NULL, 'TIGR02678: TIGR02678 family protein', NULL, 'TIGR02678', NULL, NULL, NULL, 9),
(28539, NULL, 'TIGR01523', NULL, NULL, 'ATPase-IID_K-Na: potassium/sodium efflux P-type ATPase, fungal-type', NULL, 'TIGR01523', NULL, NULL, NULL, 9),
(28540, NULL, 'TIGR00132', NULL, NULL, 'gatA: aspartyl/glutamyl-tRNA(Asn/Gln) amidotransferase, A subunit', NULL, 'TIGR00132', NULL, NULL, NULL, 9),
(28541, NULL, 'TIGR00656', NULL, NULL, 'asp_kin_monofn: aspartate kinase, monofunctional class', NULL, 'TIGR00656', NULL, NULL, NULL, 9),
(28542, NULL, 'TIGR01294', NULL, NULL, 'P_lamban: phospholamban', NULL, 'TIGR01294', NULL, NULL, NULL, 9),
(28543, NULL, 'TIGR03826', NULL, NULL, 'YvyF: flagellar operon protein TIGR03826', NULL, 'TIGR03826', NULL, NULL, NULL, 9),
(28544, NULL, 'TIGR02324', NULL, NULL, 'CP_lyasePhnL: phosphonate C-P lyase system protein PhnL', NULL, 'TIGR02324', NULL, NULL, NULL, 9),
(28545, NULL, 'TIGR02848', NULL, NULL, 'spore_III_AC: stage III sporulation protein AC', NULL, 'TIGR02848', NULL, NULL, NULL, 9),
(28546, NULL, 'TIGR00774', NULL, NULL, 'NhaB: Na+/H+ antiporter NhaB', NULL, 'TIGR00774', NULL, NULL, NULL, 9),
(28547, NULL, 'TIGR00486', NULL, NULL, 'YbgI_SA1388: dinuclear metal center protein, YbgI/SA1388 family', NULL, 'TIGR00486', NULL, NULL, NULL, 9),
(28548, NULL, 'TIGR01988', NULL, NULL, 'Ubi-OHases: ubiquinone biosynthesis hydroxylase, UbiH/UbiF/VisC/COQ6 family', NULL, 'TIGR01988', NULL, NULL, NULL, 9),
(28549, NULL, 'TIGR04181', NULL, NULL, 'NHT_00031: aminotransferase, LLPSF_NHT_00031 family', NULL, 'TIGR04181', NULL, NULL, NULL, 9),
(28550, NULL, 'TIGR00021', NULL, NULL, 'rpiA: ribose 5-phosphate isomerase A', NULL, 'TIGR00021', NULL, NULL, NULL, 9),
(28551, NULL, 'TIGR01634', NULL, NULL, 'tail_P2_I: phage tail protein I', NULL, 'TIGR01634', NULL, NULL, NULL, 9),
(28552, NULL, 'TIGR02789', NULL, NULL, 'nickel_nikB: nickel ABC transporter, permease subunit NikB', NULL, 'TIGR02789', NULL, NULL, NULL, 9),
(28553, NULL, 'TIGR03007', NULL, NULL, 'pepcterm_ChnLen: polysaccharide chain length determinant protein, PEP-CTERM locus subfamily', NULL, 'TIGR03007', NULL, NULL, NULL, 9),
(28554, NULL, 'TIGR03588', NULL, NULL, 'PseC: UDP-4-amino-4,6-dideoxy-N-acetyl-beta-L-altrosamine transaminase', NULL, 'TIGR03588', NULL, NULL, NULL, 9);          
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28555, NULL, 'TIGR04557', NULL, NULL, 'fuse_rel_SoxYZ: quinoprotein dehydrogenase-associated SoxYZ-like carrier', NULL, 'TIGR04557', NULL, NULL, NULL, 9),
(28556, NULL, 'TIGR02467', NULL, NULL, 'CbiE: precorrin-6y C5,15-methyltransferase (decarboxylating), CbiE subunit', NULL, 'TIGR02467', NULL, NULL, NULL, 9),
(28557, NULL, 'TIGR00377', NULL, NULL, 'ant_ant_sig: anti-anti-sigma factor', NULL, 'TIGR00377', NULL, NULL, NULL, 9),
(28558, NULL, 'TIGR00890', NULL, NULL, '2A0111: oxalate/formate antiporter family transporter', NULL, 'TIGR00890', NULL, NULL, NULL, 9),
(28559, NULL, 'TIGR04405', NULL, NULL, 'SkfF: sporulation killing factor system integral membrane protein', NULL, 'TIGR04405', NULL, NULL, NULL, 9),
(28560, NULL, 'TIGR00064', NULL, NULL, 'ftsY: signal recognition particle-docking protein FtsY', NULL, 'TIGR00064', NULL, NULL, NULL, 9),
(28561, NULL, 'TIGR01498', NULL, NULL, 'folK: 2-amino-4-hydroxy-6-hydroxymethyldihydropteridine diphosphokinase', NULL, 'TIGR01498', NULL, NULL, NULL, 9),
(28562, NULL, 'TIGR00944', NULL, NULL, '2a6301s04: multicomponent K+:H+antiporter', NULL, 'TIGR00944', NULL, NULL, NULL, 9),
(28563, NULL, 'TIGR00493', NULL, NULL, 'clpP: ATP-dependent Clp endopeptidase, proteolytic subunit ClpP', NULL, 'TIGR00493', NULL, NULL, NULL, 9),
(28564, NULL, 'TIGR02583', NULL, NULL, 'DevR_archaea: CRISPR-associated protein Cas7/Csa2, subtype I-A/APERN', NULL, 'TIGR02583', NULL, NULL, NULL, 9),
(28565, NULL, 'TIGR01668', NULL, NULL, 'YqeG_hyp_ppase: HAD phosphatase, family IIIA', NULL, 'TIGR01668', NULL, NULL, NULL, 9),
(28566, NULL, 'TIGR02002', NULL, NULL, 'PTS-II-BC-glcB: PTS system, glucose-specific IIBC component', NULL, 'TIGR02002', NULL, NULL, NULL, 9),
(28567, NULL, 'TIGR01913', NULL, NULL, 'bet_lambda: phage recombination protein Bet', NULL, 'TIGR01913', NULL, NULL, NULL, 9),
(28568, NULL, 'TIGR01743', NULL, NULL, 'purR_Bsub: pur operon repressor PurR', NULL, 'TIGR01743', NULL, NULL, NULL, 9),
(28569, NULL, 'TIGR00180', NULL, NULL, 'parB_part: ParB/RepB/Spo0J family partition protein', NULL, 'TIGR00180', NULL, NULL, NULL, 9),
(28570, NULL, 'TIGR03758', NULL, NULL, 'conj_TIGR03758: integrating conjugative element protein, PFL_4701 family', NULL, 'TIGR03758', NULL, NULL, NULL, 9),
(28571, NULL, 'TIGR04235', NULL, NULL, 'seadorna_VP4: seadornavirus VP4 protein', NULL, 'TIGR04235', NULL, NULL, NULL, 9),
(28572, NULL, 'TIGR00622', NULL, NULL, 'ssl1: transcription factor ssl1', NULL, 'TIGR00622', NULL, NULL, NULL, 9),
(28573, NULL, 'TIGR02270', NULL, NULL, 'TIGR02270: conserved hypothetical protein', NULL, 'TIGR02270', NULL, NULL, NULL, 9),
(28574, NULL, 'TIGR02712', NULL, NULL, 'urea_carbox: urea carboxylase', NULL, 'TIGR02712', NULL, NULL, NULL, 9),
(28575, NULL, 'TIGR01203', NULL, NULL, 'HGPRTase: hypoxanthine phosphoribosyltransferase', NULL, 'TIGR01203', NULL, NULL, NULL, 9),
(28576, NULL, 'TIGR02637', NULL, NULL, 'RhaS: rhamnose ABC transporter, rhamnose-binding protein', NULL, 'TIGR02637', NULL, NULL, NULL, 9),
(28577, NULL, 'TIGR00547', NULL, NULL, 'lolA: outer membrane lipoprotein carrier protein LolA', NULL, 'TIGR00547', NULL, NULL, NULL, 9),
(28578, NULL, 'TIGR02807', NULL, NULL, 'cas6_cmx6: CRISPR-associated protein Cas6, subtype MYXAN', NULL, 'TIGR02807', NULL, NULL, NULL, 9),
(28579, NULL, 'TIGR03552', NULL, NULL, 'F420_cofC: 2-phospho-L-lactate guanylyltransferase', NULL, 'TIGR03552', NULL, NULL, NULL, 9),
(28580, NULL, 'TIGR03123', NULL, NULL, 'one_C_unchar_1: probable H4MPT-linked C1 transfer pathway protein', NULL, 'TIGR03123', NULL, NULL, NULL, 9),
(28581, NULL, 'TIGR03722', NULL, NULL, 'arch_KAE1: universal archaeal protein Kae1', NULL, 'TIGR03722', NULL, NULL, NULL, 9),
(28582, NULL, 'TIGR01033', NULL, NULL, 'TIGR01033: DNA-binding regulatory protein, YebC/PmpR family', NULL, 'TIGR01033', NULL, NULL, NULL, 9),
(28583, NULL, 'TIGR03382', NULL, NULL, 'GC_trans_RRR: Myxococcales GC_trans_RRR domain', NULL, 'TIGR03382', NULL, NULL, NULL, 9);            
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28584, NULL, 'TIGR00118', NULL, NULL, 'acolac_lg: acetolactate synthase, large subunit, biosynthetic type', NULL, 'TIGR00118', NULL, NULL, NULL, 9),
(28585, NULL, 'TIGR03048', NULL, NULL, 'PS_I_psaC: photosystem I iron-sulfur protein PsaC', NULL, 'TIGR03048', NULL, NULL, NULL, 9),
(28586, NULL, 'TIGR00717', NULL, NULL, 'rpsA: ribosomal protein bS1', NULL, 'TIGR00717', NULL, NULL, NULL, 9),
(28587, NULL, 'TIGR00350', NULL, NULL, 'lytR_cpsA_psr: cell envelope-related function transcriptional attenuator common domain', NULL, 'TIGR00350', NULL, NULL, NULL, 9),
(28588, NULL, 'TIGR03096', NULL, NULL, 'nitroso_cyanin: nitrosocyanin', NULL, 'TIGR03096', NULL, NULL, NULL, 9),
(28589, NULL, 'TIGR02909', NULL, NULL, 'spore_YkwD: uncharacterized protein, YkwD family', NULL, 'TIGR02909', NULL, NULL, NULL, 9),
(28590, NULL, 'TIGR04119', NULL, NULL, 'CXXX_matur: CXXX repeat peptide maturase', NULL, 'TIGR04119', NULL, NULL, NULL, 9),
(28591, NULL, 'TIGR02079', NULL, NULL, 'THD1: threonine dehydratase', NULL, 'TIGR02079', NULL, NULL, NULL, 9),
(28592, NULL, 'TIGR01886', NULL, NULL, 'dipeptidase: dipeptidase PepV', NULL, 'TIGR01886', NULL, NULL, NULL, 9),
(28593, NULL, 'TIGR00869', NULL, NULL, 'sec62: protein translocation protein, Sec62 family', NULL, 'TIGR00869', NULL, NULL, NULL, 9),
(28594, NULL, 'TIGR02542', NULL, NULL, 'T_forsyth_147: TANFOR domain', NULL, 'TIGR02542', NULL, NULL, NULL, 9),
(28595, NULL, 'TIGR04133', NULL, NULL, 'rSAM_w_lipo: radical SAM enzyme, rSAM/lipoprotein system', NULL, 'TIGR04133', NULL, NULL, NULL, 9),
(28596, NULL, 'TIGR01573', NULL, NULL, 'cas2: CRISPR-associated endonuclease Cas2', NULL, 'TIGR01573', NULL, NULL, NULL, 9),
(28597, NULL, 'TIGR03874', NULL, NULL, '4cys_cytochr: c-type cytochrome, methanol metabolism-related', NULL, 'TIGR03874', NULL, NULL, NULL, 9),
(28598, NULL, 'TIGR02426', NULL, NULL, 'protocat_pcaB: 3-carboxy-cis,cis-muconate cycloisomerase', NULL, 'TIGR02426', NULL, NULL, NULL, 9),
(28599, NULL, 'TIGR02372', NULL, NULL, '4_coum_CoA_lig: 4-coumarate--CoA ligase', NULL, 'TIGR02372', NULL, NULL, NULL, 9),
(28600, NULL, 'TIGR02739', NULL, NULL, 'TraF: type-F conjugative transfer system pilin assembly protein TraF', NULL, 'TIGR02739', NULL, NULL, NULL, 9),
(28601, NULL, 'TIGR03928', NULL, NULL, 'T7_EssCb_Firm: type VII secretion protein EssC', NULL, 'TIGR03928', NULL, NULL, NULL, 9),
(28602, NULL, 'TIGR04387', NULL, NULL, 'capsid_maj_N4: major capsid protein, N4-gp56 family', NULL, 'TIGR04387', NULL, NULL, NULL, 9),
(28603, NULL, 'TIGR03266', NULL, NULL, 'methan_mark_1: putative methanogenesis marker protein 1', NULL, 'TIGR03266', NULL, NULL, NULL, 9),
(28604, NULL, 'TIGR01244', NULL, NULL, 'TIGR01244: TIGR01244 family protein', NULL, 'TIGR01244', NULL, NULL, NULL, 9),
(28605, NULL, 'TIGR02249', NULL, NULL, 'integrase_gron: integron integrase', NULL, 'TIGR02249', NULL, NULL, NULL, 9),
(28606, NULL, 'TIGR02104', NULL, NULL, 'pulA_typeI: pullulanase, type I', NULL, 'TIGR02104', NULL, NULL, NULL, 9),
(28607, NULL, 'TIGR02419', NULL, NULL, 'C4_traR_proteo: phage/conjugal plasmid C-4 type zinc finger protein, TraR family', NULL, 'TIGR02419', NULL, NULL, NULL, 9),
(28608, NULL, 'TIGR02753', NULL, NULL, 'sodN: superoxide dismutase, Ni', NULL, 'TIGR02753', NULL, NULL, NULL, 9),
(28609, NULL, 'TIGR01081', NULL, NULL, 'mpl: UDP-N-acetylmuramate:L-alanyl-gamma-D-glutamyl-meso-diaminopimelate ligase', NULL, 'TIGR01081', NULL, NULL, NULL, 9),
(28610, NULL, 'TIGR01251', NULL, NULL, 'ribP_PPkin: ribose-phosphate diphosphokinase', NULL, 'TIGR01251', NULL, NULL, NULL, 9),
(28611, NULL, 'TIGR03606', NULL, NULL, 'non_repeat_PQQ: dehydrogenase, PQQ-dependent, s-GDH family', NULL, 'TIGR03606', NULL, NULL, NULL, 9),
(28612, NULL, 'TIGR01074', NULL, NULL, 'rep: ATP-dependent DNA helicase Rep', NULL, 'TIGR01074', NULL, NULL, NULL, 9),
(28613, NULL, 'TIGR00699', NULL, NULL, 'GABAtrns_euk: 4-aminobutyrate aminotransferase', NULL, 'TIGR00699', NULL, NULL, NULL, 9);     
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28614, NULL, 'TIGR03436', NULL, NULL, 'acidobact_VWFA: VWFA-related Acidobacterial domain', NULL, 'TIGR03436', NULL, NULL, NULL, 9),
(28615, NULL, 'TIGR01421', NULL, NULL, 'gluta_reduc_1: glutathione-disulfide reductase', NULL, 'TIGR01421', NULL, NULL, NULL, 9),
(28616, NULL, 'TIGR02923', NULL, NULL, 'AhaC: ATP synthase A1, C subunit', NULL, 'TIGR02923', NULL, NULL, NULL, 9),
(28617, NULL, 'TIGR00234', NULL, NULL, 'tyrS: tyrosine--tRNA ligase', NULL, 'TIGR00234', NULL, NULL, NULL, 9),
(28618, NULL, 'TIGR03089', NULL, NULL, 'TIGR03089: TIGR03089 family protein', NULL, 'TIGR03089', NULL, NULL, NULL, 9),
(28619, NULL, 'TIGR01019', NULL, NULL, 'sucCoAalpha: succinate-CoA ligase, alpha subunit', NULL, 'TIGR01019', NULL, NULL, NULL, 9),
(28620, NULL, 'TIGR03055', NULL, NULL, 'photo_alph_chp2: putative photosynthetic complex assembly protein 2', NULL, 'TIGR03055', NULL, NULL, NULL, 9),
(28621, NULL, 'TIGR00445', NULL, NULL, 'mraY: phospho-N-acetylmuramoyl-pentapeptide-transferase', NULL, 'TIGR00445', NULL, NULL, NULL, 9),
(28622, NULL, 'TIGR03504', NULL, NULL, 'FimV_Cterm: FimV C-terminal domain', NULL, 'TIGR03504', NULL, NULL, NULL, 9),
(28623, NULL, 'TIGR01845', NULL, NULL, 'outer_NodT: efflux transporter, outer membrane factor (OMF) lipoprotein, NodT family', NULL, 'TIGR01845', NULL, NULL, NULL, 9),
(28624, NULL, 'TIGR03450', NULL, NULL, 'mycothiol_INO1: inositol 1-phosphate synthase', NULL, 'TIGR03450', NULL, NULL, NULL, 9),
(28625, NULL, 'TIGR02930', NULL, NULL, 'vnfG_nitrog: V-containing nitrogenase, delta subunit', NULL, 'TIGR02930', NULL, NULL, NULL, 9),
(28626, NULL, 'TIGR00166', NULL, NULL, 'S6: ribosomal protein bS6', NULL, 'TIGR00166', NULL, NULL, NULL, 9),
(28627, NULL, 'TIGR02814', NULL, NULL, 'pfaD_fam: PfaD family protein', NULL, 'TIGR02814', NULL, NULL, NULL, 9),
(28628, NULL, 'TIGR04303', NULL, NULL, 'GeoRSP_rSAM: GeoRSP system radical SAM/SPASM protein', NULL, 'TIGR04303', NULL, NULL, NULL, 9),
(28629, NULL, 'TIGR02760', NULL, NULL, 'TraI_TIGR: conjugative transfer relaxase protein TraI', NULL, 'TIGR02760', NULL, NULL, NULL, 9),
(28630, NULL, 'TIGR03969', NULL, NULL, 'mycofactocin: mycofactocin precursor', NULL, 'TIGR03969', NULL, NULL, NULL, 9),
(28631, NULL, 'TIGR00615', NULL, NULL, 'recR: recombination protein RecR', NULL, 'TIGR00615', NULL, NULL, NULL, 9),
(28632, NULL, 'TIGR03620', NULL, NULL, 'F420_MSMEG_4141: probable F420-dependent oxidoreductase, MSMEG_4141 family', NULL, 'TIGR03620', NULL, NULL, NULL, 9),
(28633, NULL, 'TIGR01675', NULL, NULL, 'plant-AP: plant acid phosphatase', NULL, 'TIGR01675', NULL, NULL, NULL, 9),
(28634, NULL, 'TIGR02705', NULL, NULL, 'nudix_YtkD: nucleoside triphosphatase YtkD', NULL, 'TIGR02705', NULL, NULL, NULL, 9),
(28635, NULL, 'TIGR00520', NULL, NULL, 'asnASE_II: L-asparaginase, type II', NULL, 'TIGR00520', NULL, NULL, NULL, 9),
(28636, NULL, 'TIGR02590', NULL, NULL, 'cas_Csh2: CRISPR-associated protein Cas7/Csh2, subtype I-B/HMARI', NULL, 'TIGR02590', NULL, NULL, NULL, 9),
(28637, NULL, 'TIGR03225', NULL, NULL, 'benzo_boxB: benzoyl-CoA oxygenase, B subunit', NULL, 'TIGR03225', NULL, NULL, NULL, 9),
(28638, NULL, 'TIGR01682', NULL, NULL, 'moaD: molybdopterin converting factor, subunit 1', NULL, 'TIGR01682', NULL, NULL, NULL, 9),
(28639, NULL, 'TIGR02195', NULL, NULL, 'heptsyl_trn_II: lipopolysaccharide heptosyltransferase II', NULL, 'TIGR02195', NULL, NULL, NULL, 9),
(28640, NULL, 'TIGR01040', NULL, NULL, 'V-ATPase_V1_B: V-type ATPase, B subunit', NULL, 'TIGR01040', NULL, NULL, NULL, 9),
(28641, NULL, 'TIGR01128', NULL, NULL, 'holA: DNA polymerase III, delta subunit', NULL, 'TIGR01128', NULL, NULL, NULL, 9),
(28642, NULL, 'TIGR04310', NULL, NULL, 'pantocin_A_pre: pantocin A family RiPP', NULL, 'TIGR04310', NULL, NULL, NULL, 9),
(28643, NULL, 'TIGR00992', NULL, NULL, '3a0901s03IAP75: chloroplast envelope protein translocase, IAP75 family', NULL, 'TIGR00992', NULL, NULL, NULL, 9);             
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28644, NULL, 'TIGR01210', NULL, NULL, 'TIGR01210: radical SAM enzyme, TIGR01210 family', NULL, 'TIGR01210', NULL, NULL, NULL, 9),
(28645, NULL, 'TIGR03218', NULL, NULL, 'catechol_dmpH: 4-oxalocrotonate decarboxylase', NULL, 'TIGR03218', NULL, NULL, NULL, 9),
(28646, NULL, 'TIGR01135', NULL, NULL, 'glmS: glutamine-fructose-6-phosphate transaminase (isomerizing)', NULL, 'TIGR01135', NULL, NULL, NULL, 9),
(28647, NULL, 'TIGR03280', NULL, NULL, 'methan_mark_11: methanogenesis imperfect marker protein 11', NULL, 'TIGR03280', NULL, NULL, NULL, 9),
(28648, NULL, 'TIGR02365', NULL, NULL, 'dha_L_ycgS: dihydroxyacetone kinase, L subunit', NULL, 'TIGR02365', NULL, NULL, NULL, 9),
(28649, NULL, 'TIGR00275', NULL, NULL, 'TIGR00275: flavoprotein, HI0933 family', NULL, 'TIGR00275', NULL, NULL, NULL, 9),
(28650, NULL, 'TIGR04140', NULL, NULL, 'chp_AF_0576: TIGR04140 family protein', NULL, 'TIGR04140', NULL, NULL, NULL, 9),
(28651, NULL, 'TIGR01305', NULL, NULL, 'GMP_reduct_1: guanosine monophosphate reductase', NULL, 'TIGR01305', NULL, NULL, NULL, 9),
(28652, NULL, 'TIGR02535', NULL, NULL, 'hyp_Hser_kinase: proposed homoserine kinase', NULL, 'TIGR02535', NULL, NULL, NULL, 9),
(28653, NULL, 'TIGR02474', NULL, NULL, 'pec_lyase: pectate lyase', NULL, 'TIGR02474', NULL, NULL, NULL, 9),
(28654, NULL, 'TIGR03976', NULL, NULL, 'chp_LLNDYxLRE: His-Xaa-Ser system protein HxsD', NULL, 'TIGR03976', NULL, NULL, NULL, 9),
(28655, NULL, 'TIGR02821', NULL, NULL, 'fghA_ester_D: S-formylglutathione hydrolase', NULL, 'TIGR02821', NULL, NULL, NULL, 9),
(28656, NULL, 'TIGR02528', NULL, NULL, 'EutP: ethanolamine utilization protein, EutP', NULL, 'TIGR02528', NULL, NULL, NULL, 9),
(28657, NULL, 'TIGR04031', NULL, NULL, 'Htur_1727_fam: rSAM-partnered protein, Htur_1727 family', NULL, 'TIGR04031', NULL, NULL, NULL, 9),
(28658, NULL, 'TIGR04496', NULL, NULL, 'rSAM_XyeB: radical SAM/SPASM domain peptide maturase, XyeB family', NULL, 'TIGR04496', NULL, NULL, NULL, 9),
(28659, NULL, 'TIGR00452', NULL, NULL, 'TIGR00452: tRNA (mo5U34)-methyltransferase', NULL, 'TIGR00452', NULL, NULL, NULL, 9),
(28660, NULL, 'TIGR00985', NULL, NULL, '3a0801s04tom: mitochondrial import receptor subunit', NULL, 'TIGR00985', NULL, NULL, NULL, 9),
(28661, NULL, 'TIGR00282', NULL, NULL, 'TIGR00282: metallophosphoesterase, MG_246/BB_0505 family', NULL, 'TIGR00282', NULL, NULL, NULL, 9),
(28662, NULL, 'TIGR01784', NULL, NULL, 'T_den_put_tspse: conserved hypothetical protein', NULL, 'TIGR01784', NULL, NULL, NULL, 9),
(28663, NULL, 'TIGR00336', NULL, NULL, 'pyrE: orotate phosphoribosyltransferase', NULL, 'TIGR00336', NULL, NULL, NULL, 9),
(28664, NULL, 'TIGR01838', NULL, NULL, 'PHA_synth_I: poly(R)-hydroxyalkanoic acid synthase, class I', NULL, 'TIGR01838', NULL, NULL, NULL, 9),
(28665, NULL, 'TIGR01954', NULL, NULL, 'nusA_Cterm_rpt: transcription termination factor NusA, C-terminal duplication', NULL, 'TIGR01954', NULL, NULL, NULL, 9),
(28666, NULL, 'TIGR04017', NULL, NULL, 'WcaA: colanic acid biosynthesis glycosyltransferase WcaA', NULL, 'TIGR04017', NULL, NULL, NULL, 9),
(28667, NULL, 'TIGR03327', NULL, NULL, 'AMP_phos: AMP phosphorylase', NULL, 'TIGR03327', NULL, NULL, NULL, 9),
(28668, NULL, 'TIGR01026', NULL, NULL, 'fliI_yscN: ATPase, FliI/YscN family', NULL, 'TIGR01026', NULL, NULL, NULL, 9),
(28669, NULL, 'TIGR01142', NULL, NULL, 'purT: phosphoribosylglycinamide formyltransferase 2', NULL, 'TIGR01142', NULL, NULL, NULL, 9),
(28670, NULL, 'TIGR03990', NULL, NULL, 'Arch_GlmM: phosphoglucosamine mutase', NULL, 'TIGR03990', NULL, NULL, NULL, 9),
(28671, NULL, 'TIGR02297', NULL, NULL, 'HpaA: 4-hydroxyphenylacetate catabolism regulatory protein HpaA', NULL, 'TIGR02297', NULL, NULL, NULL, 9),
(28672, NULL, 'TIGR02651', NULL, NULL, 'RNase_Z: ribonuclease Z', NULL, 'TIGR02651', NULL, NULL, NULL, 9),
(28673, NULL, 'TIGR04201', NULL, NULL, 'Myxo_Cys_RPT: Cys-rich repeat, Myxococcales-type', NULL, 'TIGR04201', NULL, NULL, NULL, 9); 
INSERT INTO PUBLIC.SIGNATURE(ID, ABSTRACT_FIRST_CHUNK, ACCESSION, SIGNATURE_COMMENT, CREATED, DESCRIPTION_FIRST_CHUNK, MD5, SIG_NAME, TYPE, UPDATED, ENTRY_ID, SIGNATURE_LIBRARY_RELEASE_ID) VALUES
(28674, NULL, 'TIGR02644', NULL, NULL, 'Y_phosphoryl: pyrimidine-nucleoside phosphorylase', NULL, 'TIGR02644', NULL, NULL, NULL, 9),
(28675, NULL, 'TIGR03799', NULL, NULL, 'NOD_PanD_pyr: putative pyridoxal-dependent aspartate 1-decarboxylase', NULL, 'TIGR03799', NULL, NULL, NULL, 9),
(28676, NULL, 'TIGR03171', NULL, NULL, 'soxL2: Rieske iron-sulfur protein SoxL2', NULL, 'TIGR03171', NULL, NULL, NULL, 9),
(28677, NULL, 'TIGR03334', NULL, NULL, 'IOR_beta: indolepyruvate ferredoxin oxidoreductase, beta subunit', NULL, 'TIGR03334', NULL, NULL, NULL, 9),
(28678, NULL, 'TIGR01961', NULL, NULL, 'NuoC_fam: NADH (or F420H2) dehydrogenase, subunit C', NULL, 'TIGR01961', NULL, NULL, NULL, 9),
(28679, NULL, 'TIGR04489', NULL, NULL, 'exosort_XrtO: exosortase O', NULL, 'TIGR04489', NULL, NULL, NULL, 9),
(28680, NULL, 'TIGR03164', NULL, NULL, 'UHCUDC: OHCU decarboxylase', NULL, 'TIGR03164', NULL, NULL, NULL, 9),
(28681, NULL, 'TIGR00506', NULL, NULL, 'ribB: 3,4-dihydroxy-2-butanone-4-phosphate synthase', NULL, 'TIGR00506', NULL, NULL, NULL, 9),
(28682, NULL, 'TIGR00159', NULL, NULL, 'TIGR00159: TIGR00159 family protein', NULL, 'TIGR00159', NULL, NULL, NULL, 9),
(28683, NULL, 'TIGR01791', NULL, NULL, 'CM_archaeal: chorismate mutase', NULL, 'TIGR01791', NULL, NULL, NULL, 9),
(28684, NULL, 'TIGR03341', NULL, NULL, 'YhgI_GntY: IscR-regulated protein YhgI', NULL, 'TIGR03341', NULL, NULL, NULL, 9),
(28685, NULL, 'TIGR02481', NULL, NULL, 'hemeryth_dom: hemerythrin-like metal-binding domain', NULL, 'TIGR02481', NULL, NULL, NULL, 9),
(28686, NULL, 'TIGR00329', NULL, NULL, 'gcp_kae1: metallohydrolase, glycoprotease/Kae1 family', NULL, 'TIGR00329', NULL, NULL, NULL, 9),
(28687, NULL, 'TIGR04024', NULL, NULL, 'F420_NP1902A: coenzyme F420-dependent oxidoreductase, NP1902A family', NULL, 'TIGR04024', NULL, NULL, NULL, 9),
(28688, NULL, 'TIGR03511', NULL, NULL, 'GldH_lipo: gliding motility-associated lipoprotein GldH', NULL, 'TIGR03511', NULL, NULL, NULL, 9),
(28689, NULL, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', NULL, NULL, NULL, 10),
(28690, NULL, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', NULL, NULL, NULL, 10),
(28691, NULL, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', NULL, NULL, NULL, 11),
(28692, NULL, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', NULL, NULL, NULL, 11),
(28693, NULL, 'SignalP-noTM', NULL, NULL, NULL, NULL, 'SignalP-noTM', NULL, NULL, NULL, 12),
(28694, NULL, 'SignalP-TM', NULL, NULL, NULL, NULL, 'SignalP-TM', NULL, NULL, NULL, 12);              
CREATE INDEX PUBLIC.SIGNATURE_AC_IDX ON PUBLIC.SIGNATURE(ACCESSION);           
CREATE INDEX PUBLIC.SIGNATURE_NAME_IDX ON PUBLIC.SIGNATURE(SIG_NAME);          
CREATE INDEX PUBLIC.SIGNATURE_TYPE_IDX ON PUBLIC.SIGNATURE(TYPE);              
CREATE INDEX PUBLIC.SIGNATURE_MD5_IDX ON PUBLIC.SIGNATURE(MD5);
CREATE CACHED TABLE PUBLIC.SIGNATURE_ABSTRACT_CHUNK(
    SIGNATURE_ID BIGINT NOT NULL,
    ABSTRACT_CHUNK VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);   
ALTER TABLE PUBLIC.SIGNATURE_ABSTRACT_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_D4 PRIMARY KEY(SIGNATURE_ID, CHUNK_INDEX);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_ABSTRACT_CHUNK; 
CREATE CACHED TABLE PUBLIC.SIGNATURE_DEPRECATED_ACS(
    SIGNATURE_ID BIGINT NOT NULL,
    DEPRECATED_ACCESSIONS VARCHAR(255)
);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_DEPRECATED_ACS; 
CREATE CACHED TABLE PUBLIC.SIGNATURE_DESCRIPTION_CHUNK(
    SIGNATURE_ID BIGINT NOT NULL,
    DESCRIPTION_CHUNKS VARCHAR(4000),
    CHUNK_INDEX INTEGER NOT NULL
);            
ALTER TABLE PUBLIC.SIGNATURE_DESCRIPTION_CHUNK ADD CONSTRAINT PUBLIC.CONSTRAINT_24 PRIMARY KEY(SIGNATURE_ID, CHUNK_INDEX);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_DESCRIPTION_CHUNK;              
CREATE CACHED TABLE PUBLIC.SIGNATURE_LIBRARY_RELEASE(
    ID BIGINT NOT NULL,
    LIBRARY VARCHAR(255) NOT NULL,
    VERSION VARCHAR(255) NOT NULL
);          
ALTER TABLE PUBLIC.SIGNATURE_LIBRARY_RELEASE ADD CONSTRAINT PUBLIC.CONSTRAINT_CB PRIMARY KEY(ID);              
-- 12 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_LIBRARY_RELEASE;               
INSERT INTO PUBLIC.SIGNATURE_LIBRARY_RELEASE(ID, LIBRARY, VERSION) VALUES
(1, 'COILS', '2.2.1'),
(2, 'MOBIDB_LITE', '2.0'),
(3, 'SFLD', '4'),
(4, 'TMHMM', '2.0c'),
(5, 'PHOBIUS', '1.01'),
(6, 'PFAM', '33.1'),
(7, 'HAMAP', '2020_05'),
(8, 'PIRSF', '3.10'),
(9, 'TIGRFAM', '15.0'),
(10, 'SIGNALP_EUK', '4.1'),
(11, 'SIGNALP_GRAM_POSITIVE', '4.1'),
(12, 'SIGNALP_GRAM_NEGATIVE', '4.1');
CREATE CACHED TABLE PUBLIC.SIGNATURE_XREF(
    ID BIGINT NOT NULL,
    DATABASE_NAME VARCHAR(255),
    IDENTIFIER VARCHAR(255) NOT NULL,
    NAME VARCHAR(255),
    SIGNATURE_ID BIGINT NOT NULL
);            
ALTER TABLE PUBLIC.SIGNATURE_XREF ADD CONSTRAINT PUBLIC.CONSTRAINT_55 PRIMARY KEY(ID);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SIGNATURE_XREF;           
CREATE INDEX PUBLIC.IDX83S1WBLRUSMDTUP0G6Q7QIRGD ON PUBLIC.SIGNATURE_XREF(IDENTIFIER);         
CREATE CACHED TABLE PUBLIC.SMART_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    LOCATION_EVALUE DOUBLE
);            
ALTER TABLE PUBLIC.SMART_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_19 PRIMARY KEY(ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SMART_RAW_MATCH;          
CREATE INDEX PUBLIC.SMART_RW_SEQ_IDX ON PUBLIC.SMART_RAW_MATCH(SEQUENCE_ID);   
CREATE INDEX PUBLIC.SMART_RW_NUM_SEQ_IDX ON PUBLIC.SMART_RAW_MATCH(NUMERIC_SEQUENCE_ID);       
CREATE INDEX PUBLIC.SMART_RW_MODEL_IDX ON PUBLIC.SMART_RAW_MATCH(MODEL_ID);    
CREATE INDEX PUBLIC.SMART_RW_SIGLIB_IDX ON PUBLIC.SMART_RAW_MATCH(SIGNATURE_LIBRARY);          
CREATE INDEX PUBLIC.SMART_RW_SIGLIB_REL_IDX ON PUBLIC.SMART_RAW_MATCH(SIG_LIB_RELEASE);        
CREATE CACHED TABLE PUBLIC.STEP_EXECUTION(
    ID BIGINT NOT NULL,
    TIME_COMPLETED TIMESTAMP,
    TIME_CREATED TIMESTAMP,
    EXCEPTION_FIRST_CHUNK VARCHAR(4000),
    PROPORTION_COMPLETED DOUBLE,
    TIME_STARTED_RUNNING TIMESTAMP,
    STATE VARCHAR(255),
    TIME_SUBMITTED TIMESTAMP,
    STEP_INSTANCE_ID BIGINT NOT NULL
);       
ALTER TABLE PUBLIC.STEP_EXECUTION ADD CONSTRAINT PUBLIC.CONSTRAINT_249 PRIMARY KEY(ID);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_EXECUTION;           
CREATE CACHED TABLE PUBLIC.STEP_INSTANCE(
    ID BIGINT NOT NULL,
    BOTTOM_MODEL BIGINT,
    BOTTOM_PROTEIN BIGINT,
    STEP_ID VARCHAR(255) NOT NULL,
    TIME_CREATED TIMESTAMP NOT NULL,
    TOP_MODEL BIGINT,
    TOP_PROTEIN BIGINT
);  
ALTER TABLE PUBLIC.STEP_INSTANCE ADD CONSTRAINT PUBLIC.CONSTRAINT_A8 PRIMARY KEY(ID);          
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_INSTANCE;            
CREATE CACHED TABLE PUBLIC.STEP_INSTANCE_PARAMETERS(
    STEP_INSTANCE_ID BIGINT NOT NULL,
    PARAMETERS VARCHAR(350),
    PARAMETERS_KEY VARCHAR(255) NOT NULL
);            
ALTER TABLE PUBLIC.STEP_INSTANCE_PARAMETERS ADD CONSTRAINT PUBLIC.CONSTRAINT_83 PRIMARY KEY(STEP_INSTANCE_ID, PARAMETERS_KEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_INSTANCE_PARAMETERS; 
CREATE CACHED TABLE PUBLIC.STEP_INSTANCE_STEP_INSTANCE(
    STEP_INSTANCE_ID BIGINT NOT NULL,
    DEPENDS_UPON_ID BIGINT NOT NULL
);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STEP_INSTANCE_STEP_INSTANCE;              
CREATE CACHED TABLE PUBLIC.SUPERFAM_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);           
ALTER TABLE PUBLIC.SUPERFAM_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_77 PRIMARY KEY(ID);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SUPERFAM_LOCATION_FRAGMENT;               
CREATE CACHED TABLE PUBLIC.SUPERFAMILYHMMER3_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    HMM_LENGTH INTEGER NOT NULL
);  
ALTER TABLE PUBLIC.SUPERFAMILYHMMER3_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_E5 PRIMARY KEY(ID);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SUPERFAMILYHMMER3_LOCATION;               
CREATE CACHED TABLE PUBLIC.SUPER_FAMILY_HMMER3MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL,
    EVALUE DOUBLE NOT NULL
);
ALTER TABLE PUBLIC.SUPER_FAMILY_HMMER3MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_11A PRIMARY KEY(ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SUPER_FAMILY_HMMER3MATCH; 
CREATE CACHED TABLE PUBLIC.TIGRFAM_H2_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    LOCATION_EVALUE DOUBLE
);       
ALTER TABLE PUBLIC.TIGRFAM_H2_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_572 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIGRFAM_H2_RAW_MATCH;     
CREATE INDEX PUBLIC.TIGRFAM2_RW_SEQ_IDX ON PUBLIC.TIGRFAM_H2_RAW_MATCH(SEQUENCE_ID);           
CREATE INDEX PUBLIC.TIGRFAM2_RW_NUM_SEQ_IDX ON PUBLIC.TIGRFAM_H2_RAW_MATCH(NUMERIC_SEQUENCE_ID);               
CREATE INDEX PUBLIC.TIGRFAM2_RW_MODEL_IDX ON PUBLIC.TIGRFAM_H2_RAW_MATCH(MODEL_ID);            
CREATE INDEX PUBLIC.TIGRFAM2_RW_SIGLIB_IDX ON PUBLIC.TIGRFAM_H2_RAW_MATCH(SIGNATURE_LIBRARY);  
CREATE INDEX PUBLIC.TIGRFAM2_RW_SIGLIB_REL_IDX ON PUBLIC.TIGRFAM_H2_RAW_MATCH(SIG_LIB_RELEASE);
CREATE CACHED TABLE PUBLIC.TIGRFAM_HMMER3_RAW_MATCH(
    ID BIGINT NOT NULL,
    LOC_FRAGMENT_DCS_TATUS VARCHAR(255),
    LOCATION_END INTEGER,
    LOCATION_START INTEGER,
    MODEL_ID VARCHAR(255),
    NUMERIC_SEQUENCE_ID BIGINT,
    SEQUENCE_ID VARCHAR(255),
    SIGNATURE_LIBRARY VARCHAR(255),
    SIG_LIB_RELEASE VARCHAR(255),
    EVALUE DOUBLE NOT NULL,
    HMM_BOUNDS VARCHAR(2),
    HMM_END INTEGER NOT NULL,
    HMM_START INTEGER NOT NULL,
    LOCATION_SCORE DOUBLE NOT NULL,
    SCORE DOUBLE NOT NULL,
    DOMAIN_BIAS DOUBLE NOT NULL,
    DOMAIN_CE_VALUE DOUBLE NOT NULL,
    DOMAIN_IE_VALUE DOUBLE NOT NULL,
    ENVELOPE_END INTEGER NOT NULL,
    ENVELOPE_START INTEGER NOT NULL,
    EXPECTED_ACCURACY DOUBLE NOT NULL,
    FULL_SEQUENCE_BIAS DOUBLE NOT NULL,
    SPLIT_GROUP BINARY
);     
ALTER TABLE PUBLIC.TIGRFAM_HMMER3_RAW_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_C5 PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIGRFAM_HMMER3_RAW_MATCH; 
CREATE INDEX PUBLIC.TIGR3_RW_SEQ_IDX ON PUBLIC.TIGRFAM_HMMER3_RAW_MATCH(SEQUENCE_ID);          
CREATE INDEX PUBLIC.TIGR3_RW_NUM_SEQ_IDX ON PUBLIC.TIGRFAM_HMMER3_RAW_MATCH(NUMERIC_SEQUENCE_ID);              
CREATE INDEX PUBLIC.TIGR3_RW_MODEL_IDX ON PUBLIC.TIGRFAM_HMMER3_RAW_MATCH(MODEL_ID);           
CREATE INDEX PUBLIC.TIGR3_RW_SIGLIB_IDX ON PUBLIC.TIGRFAM_HMMER3_RAW_MATCH(SIGNATURE_LIBRARY); 
CREATE INDEX PUBLIC.TIGR3_RW_SIGLIB_REL_IDX ON PUBLIC.TIGRFAM_HMMER3_RAW_MATCH(SIG_LIB_RELEASE);               
CREATE CACHED TABLE PUBLIC.TMHMM_LOCATION(
    ID BIGINT NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    MATCH_ID BIGINT NOT NULL,
    PREDICTION VARCHAR(255),
    SCORE FLOAT
); 
ALTER TABLE PUBLIC.TMHMM_LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_EC PRIMARY KEY(ID);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TMHMM_LOCATION;           
CREATE CACHED TABLE PUBLIC.TMHMM_LOCATION_FRAGMENT(
    ID BIGINT NOT NULL,
    DC_STATUS VARCHAR(255) NOT NULL,
    LOC_END INTEGER NOT NULL,
    LOC_START INTEGER NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);              
ALTER TABLE PUBLIC.TMHMM_LOCATION_FRAGMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_E7 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TMHMM_LOCATION_FRAGMENT;  
CREATE CACHED TABLE PUBLIC.TMHMM_MATCH(
    ID BIGINT NOT NULL,
    SIGNATURE_MODELS VARCHAR(255),
    PROTEIN_ID BIGINT NOT NULL,
    SIGNATURE_ID BIGINT NOT NULL
);         
ALTER TABLE PUBLIC.TMHMM_MATCH ADD CONSTRAINT PUBLIC.CONSTRAINT_D6 PRIMARY KEY(ID);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TMHMM_MATCH;              
ALTER TABLE PUBLIC.NUCLEOTIDE_SEQUENCE ADD CONSTRAINT PUBLIC.UK_BJPFWXIJX26IXPSQTW4J80RMF UNIQUE(MD5);         
ALTER TABLE PUBLIC.SIGNATURE_LIBRARY_RELEASE ADD CONSTRAINT PUBLIC.UKH154M142AEKJT4QSFNDXVDWHX UNIQUE(LIBRARY, VERSION);       
ALTER TABLE PUBLIC.PROTEIN ADD CONSTRAINT PUBLIC.UK_KB52DIMA7HWK72OPG5KD6H7YE UNIQUE(MD5);     
ALTER TABLE PUBLIC.RELEASE ADD CONSTRAINT PUBLIC.UKPJVE3O33IH6X53P0YH3KX8COH UNIQUE(VERSION);  
ALTER TABLE PUBLIC.FINGER_PRINTS_MATCH ADD CONSTRAINT PUBLIC.FK_S99KMAPM5O1OMBJOFS25PODCH FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;       
ALTER TABLE PUBLIC.SIGNATURE ADD CONSTRAINT PUBLIC.FK41SQ1S3WA827CS95W6GKHITVM FOREIGN KEY(ENTRY_ID) REFERENCES PUBLIC.ENTRY(ID) NOCHECK;      
ALTER TABLE PUBLIC.RPSBLAST_MATCH ADD CONSTRAINT PUBLIC.FK_IK9OVF90SJQHQKIY4FETVNIHQ FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;            
ALTER TABLE PUBLIC.STEP_INSTANCE_PARAMETERS ADD CONSTRAINT PUBLIC.FKDW0CU4ODRTIGS643ACBG7GDQA FOREIGN KEY(STEP_INSTANCE_ID) REFERENCES PUBLIC.STEP_INSTANCE(ID) NOCHECK;       
ALTER TABLE PUBLIC.ENTRY_RELEASE ADD CONSTRAINT PUBLIC.FKPF7GALRBP4G9SYSUEEANH3JDX FOREIGN KEY(RELEASE_ID) REFERENCES PUBLIC.RELEASE(ID) NOCHECK;              
ALTER TABLE PUBLIC.STEP_EXECUTION ADD CONSTRAINT PUBLIC.FKHYJGNS1LEWEFLG9OHT13MMJR8 FOREIGN KEY(STEP_INSTANCE_ID) REFERENCES PUBLIC.STEP_INSTANCE(ID) NOCHECK; 
ALTER TABLE PUBLIC.ENTRY_GO_XREF ADD CONSTRAINT PUBLIC.FKG911E11L18VQYCKJ1QRMPVQF8 FOREIGN KEY(ENTRY_ID) REFERENCES PUBLIC.ENTRY(ID) NOCHECK;  
ALTER TABLE PUBLIC.TMHMM_MATCH ADD CONSTRAINT PUBLIC.FK_IU65NIRIHXOJU81R5D4GTOGDG FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;               
ALTER TABLE PUBLIC.STEP_INSTANCE_STEP_INSTANCE ADD CONSTRAINT PUBLIC.FK950E0QCTMBGBLD80UR7JH8TQE FOREIGN KEY(DEPENDS_UPON_ID) REFERENCES PUBLIC.STEP_INSTANCE(ID) NOCHECK;     
ALTER TABLE PUBLIC.HMMER2_MATCH ADD CONSTRAINT PUBLIC.FK_7G6V8TXLX7SBPNGLJO4KL9UIA FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;              
ALTER TABLE PUBLIC.STEP_INSTANCE_STEP_INSTANCE ADD CONSTRAINT PUBLIC.FKOH4Y45AFRQFFXSKCFK8BNA3SX FOREIGN KEY(STEP_INSTANCE_ID) REFERENCES PUBLIC.STEP_INSTANCE(ID) NOCHECK;    
ALTER TABLE PUBLIC.HMMER3_MATCH ADD CONSTRAINT PUBLIC.FK_CL5CHKUXF7KI3CSRYBHRX9PIM FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;          
ALTER TABLE PUBLIC.TMHMM_MATCH ADD CONSTRAINT PUBLIC.FK_SYTPCFECL4BJ2QLPEH6WRJDYF FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;           
ALTER TABLE PUBLIC.PANTHER_MATCH ADD CONSTRAINT PUBLIC.FK_EG4L76EU7APMTSLGW25SNEUTD FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;             
ALTER TABLE PUBLIC.PROTEIN_XREF ADD CONSTRAINT PUBLIC.FKRTRD2Y2HA2J2E4EBS45A0BU41 FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;               
ALTER TABLE PUBLIC.HMMER3_MATCH ADD CONSTRAINT PUBLIC.FK_DEY7VKLEDNNBKXCAJ3EMH1NXQ FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;              
ALTER TABLE PUBLIC.PANTHER_MATCH ADD CONSTRAINT PUBLIC.FK_39VYVC342FYTJ1J59RQREBBVE FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;         
ALTER TABLE PUBLIC.HMMER3_MATCH_WITH_SITES ADD CONSTRAINT PUBLIC.FK_HDSNUE38JKBS20FU0D6CL1OIF FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;   
ALTER TABLE PUBLIC.SIGNALP_MATCH ADD CONSTRAINT PUBLIC.FK_QAAUJYE15KT19RU5G9TDRPM4 FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;          
ALTER TABLE PUBLIC.COILS_MATCH ADD CONSTRAINT PUBLIC.FK_M4SSXJXUA113GM90NR5YXOWO4 FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;           
ALTER TABLE PUBLIC.BLAST_PRODOM_MATCH ADD CONSTRAINT PUBLIC.FK_SB3WTQQ94CWVKOG753LG4QCOF FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;    
ALTER TABLE PUBLIC.SIGNATURE_DEPRECATED_ACS ADD CONSTRAINT PUBLIC.FKOEIK352GN5HKYTW1C050FBCWU FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;               
ALTER TABLE PUBLIC.FINGER_PRINTS_MATCH ADD CONSTRAINT PUBLIC.FK_MW7SDTO7JAU7P0HPL98WI6VN0 FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;   
ALTER TABLE PUBLIC.SIGNALP_MATCH ADD CONSTRAINT PUBLIC.FK_E74DWI926E0PWLYF9ODC5M7U5 FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;             
ALTER TABLE PUBLIC.ENTRY_PATHWAY_XREF ADD CONSTRAINT PUBLIC.FKMY1NMNIDILT45FM4I5Q59M1HL FOREIGN KEY(PATHWAY_XREF_ID) REFERENCES PUBLIC.PATHWAY_XREF(ID) NOCHECK;               
ALTER TABLE PUBLIC.NUCLEOTIDE_SEQUENCE_XREF ADD CONSTRAINT PUBLIC.FK7M1I2LDBPFR3KNOXXS753931B FOREIGN KEY(SEQUENCE_ID) REFERENCES PUBLIC.NUCLEOTIDE_SEQUENCE(ID) NOCHECK;      
ALTER TABLE PUBLIC.SIGNATURE_DESCRIPTION_CHUNK ADD CONSTRAINT PUBLIC.FKELB4KTEIG17YBHHK63LRN1CJS FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;            
ALTER TABLE PUBLIC.ENTRY_GO_XREF ADD CONSTRAINT PUBLIC.FK4SR25UQXYHSJGI6T854VJCVP6 FOREIGN KEY(GO_XREF_ID) REFERENCES PUBLIC.GO_XREF(ID) NOCHECK;              
ALTER TABLE PUBLIC.MODEL_DEFINITION_CHUNK ADD CONSTRAINT PUBLIC.FKFWK0V0WMFW9G1GIMC9DX83QBH FOREIGN KEY(MODEL_ID) REFERENCES PUBLIC.MODEL(ID) NOCHECK;         
ALTER TABLE PUBLIC.PROFILE_SCAN_MATCH ADD CONSTRAINT PUBLIC.FK_EWQ9WFI8MVE1D8MSGESJMN91D FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;        
ALTER TABLE PUBLIC.PROFILE_SCAN_MATCH ADD CONSTRAINT PUBLIC.FK_GWBDHU2JMG7H5U2LIPJSCJ4MP FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;    
ALTER TABLE PUBLIC.ENTRY_PATHWAY_XREF ADD CONSTRAINT PUBLIC.FKOAAGH156KSF76V1PL09T85ESH FOREIGN KEY(ENTRY_ID) REFERENCES PUBLIC.ENTRY(ID) NOCHECK;             
ALTER TABLE PUBLIC.MOBIDB_MATCH ADD CONSTRAINT PUBLIC.FK_26BI5S8AKAMGJMYU6E342LIOP FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;          
ALTER TABLE PUBLIC.ENTRY_ABSTRACT_CHUNK ADD CONSTRAINT PUBLIC.FKQIICRKOQ4TAMHUF4GTT4E0TTS FOREIGN KEY(ENTRY_ID) REFERENCES PUBLIC.ENTRY(ID) NOCHECK;           
ALTER TABLE PUBLIC.SIGNATURE_XREF ADD CONSTRAINT PUBLIC.FKKQCD8SQ1HOSY480CTUOK5W8WY FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;         
ALTER TABLE PUBLIC.HMMER2_MATCH ADD CONSTRAINT PUBLIC.FK_S8CAJES95CYDNF3S8M2GAXYFX FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;          
ALTER TABLE PUBLIC.SIGNATURE_ABSTRACT_CHUNK ADD CONSTRAINT PUBLIC.FK1FLJWPGJQVFVBGT3YQ680U24X FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;               
ALTER TABLE PUBLIC.PATTERN_SCAN_MATCH ADD CONSTRAINT PUBLIC.FK_DI7UCK58XF2VOI75QYTBQHUOR FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;    
ALTER TABLE PUBLIC.SIGNATURE ADD CONSTRAINT PUBLIC.FKGMIL1JMKO8P0CGEX3X8UPT26K FOREIGN KEY(SIGNATURE_LIBRARY_RELEASE_ID) REFERENCES PUBLIC.SIGNATURE_LIBRARY_RELEASE(ID) NOCHECK;              
ALTER TABLE PUBLIC.MODEL ADD CONSTRAINT PUBLIC.FKSAXHGS684RT5EC1YKD91P4QIK FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;  
ALTER TABLE PUBLIC.BLAST_PRODOM_MATCH ADD CONSTRAINT PUBLIC.FK_6JA2KQ18P305Q4PRW8JJ6KWU6 FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;        
ALTER TABLE PUBLIC.SUPER_FAMILY_HMMER3MATCH ADD CONSTRAINT PUBLIC.FK_5DP4R1PG8KSJSV7HTUO1Q88VP FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;              
ALTER TABLE PUBLIC.MODEL_DESCRIPTION_CHUNK ADD CONSTRAINT PUBLIC.FKLW3Y3GON5IYBLJS1W0CGBN8H9 FOREIGN KEY(MODEL_ID) REFERENCES PUBLIC.MODEL(ID) NOCHECK;        
ALTER TABLE PUBLIC.SUPER_FAMILY_HMMER3MATCH ADD CONSTRAINT PUBLIC.FK_8KG45L55WLY27K3DIFYLDFLBS FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;  
ALTER TABLE PUBLIC.OPEN_READING_FRAME ADD CONSTRAINT PUBLIC.FK95PMNU6UB0LW2MPRRMBD25YIY FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;         
ALTER TABLE PUBLIC.RPSBLAST_MATCH ADD CONSTRAINT PUBLIC.FK_SAQ2H7G9ACMMJ2HVYFA1L65IQ FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;        
ALTER TABLE PUBLIC.HMMER3_MATCH_WITH_SITES ADD CONSTRAINT PUBLIC.FK_51VT1LUACD879FOQQFINKTY64 FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;               
ALTER TABLE PUBLIC.ENTRY_RELEASE ADD CONSTRAINT PUBLIC.FKMCUONXPV0K0O5JEMOGJTTAWYK FOREIGN KEY(ENTRY_ID) REFERENCES PUBLIC.ENTRY(ID) NOCHECK;  
ALTER TABLE PUBLIC.ENTRY_DESCRIPTION_CHUNK ADD CONSTRAINT PUBLIC.FKNPDB6A4UU2CXREHVEH1VHQ5V8 FOREIGN KEY(ENTRY_ID) REFERENCES PUBLIC.ENTRY(ID) NOCHECK;        
ALTER TABLE PUBLIC.NUCLEOTIDE_SEQUENCE_CHUNK ADD CONSTRAINT PUBLIC.FK25V14MIM0TIKA6GRJ60CQGR20 FOREIGN KEY(NUCLEOTIDE_SEQUENCE_ID) REFERENCES PUBLIC.NUCLEOTIDE_SEQUENCE(ID) NOCHECK;          
ALTER TABLE PUBLIC.PHOBIUS_MATCH ADD CONSTRAINT PUBLIC.FK_OOJJ9YOWJYWYLMB9K813KWDGU FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;             
ALTER TABLE PUBLIC.EXCEPTION_CHUNK ADD CONSTRAINT PUBLIC.FK53IN2U6Y43982K7OQ3PE8AM88 FOREIGN KEY(STEP_EXECUTION_ID) REFERENCES PUBLIC.STEP_EXECUTION(ID) NOCHECK;              
ALTER TABLE PUBLIC.OPEN_READING_FRAME ADD CONSTRAINT PUBLIC.FKQIHQOHSNSIXKK9ONWPD0PGX69 FOREIGN KEY(NUCLEOTIDE_SEQUENCE_ID) REFERENCES PUBLIC.NUCLEOTIDE_SEQUENCE(ID) NOCHECK; 
ALTER TABLE PUBLIC.MOBIDB_MATCH ADD CONSTRAINT PUBLIC.FK_93R7QLTFYYT4BLDM0CB0FX368 FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;              
ALTER TABLE PUBLIC.PHOBIUS_MATCH ADD CONSTRAINT PUBLIC.FK_GJF616074S865QQL79E0FJRUY FOREIGN KEY(SIGNATURE_ID) REFERENCES PUBLIC.SIGNATURE(ID) NOCHECK;         
ALTER TABLE PUBLIC.PROTEIN_SEQUENCE_CHUNK ADD CONSTRAINT PUBLIC.FK2ODTCS4P2RG91P4L5YN9OC6K2 FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;     
ALTER TABLE PUBLIC.PATTERN_SCAN_MATCH ADD CONSTRAINT PUBLIC.FK_8HJL2L27JFMH2IGU0BNI9G7X7 FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;        
ALTER TABLE PUBLIC.COILS_MATCH ADD CONSTRAINT PUBLIC.FK_S8UPCXE4YWOJ8EKQSCUXWPM8W FOREIGN KEY(PROTEIN_ID) REFERENCES PUBLIC.PROTEIN(ID) NOCHECK;               
